# !!!!!!!   DO NOT EDIT THIS FILE   !!!!!!!
# This file is machine-generated by lib/unicore/mktables from the Unicode
# database, Version 7.0.0.  Any changes made here will be lost!

use strict;
use warnings;

# Test qr/\X/ and the \p{} regular expression constructs.  This file is
# constructed by mktables from the tables it generates, so if mktables is
# buggy, this won't necessarily catch those bugs.  Tests are generated for all
# feasible properties; a few aren't currently feasible; see
# is_code_point_usable() in mktables for details.

# Standard test packages are not used because this manipulates SIG_WARN.  It
# exits 0 if every non-skipped test succeeded; -1 if any failed.

my $Tests = 0;
my $Fails = 0;

sub Expect($$$$) {
    my $expected = shift;
    my $ord = shift;
    my $regex  = shift;
    my $warning_type = shift;   # Type of warning message, like 'deprecated'
                                # or empty if none
    my $line   = (caller)[2];

    # Convert the code point to hex form
    my $string = sprintf "\"\\x{%04X}\"", $ord;

    my @tests = "";

    # The first time through, use all warnings.  If the input should generate
    # a warning, add another time through with them turned off
    push @tests, "no warnings '$warning_type';" if $warning_type;

    foreach my $no_warnings (@tests) {

        # Store any warning messages instead of outputting them
        local $SIG{__WARN__} = $SIG{__WARN__};
        my $warning_message;
        $SIG{__WARN__} = sub { $warning_message = $_[0] };

        $Tests++;

        # A string eval is needed because of the 'no warnings'.
        # Assumes no parens in the regular expression
        my $result = eval "$no_warnings
                            my \$RegObj = qr($regex);
                            $string =~ \$RegObj ? 1 : 0";
        if (not defined $result) {
            print "not ok $Tests - couldn't compile /$regex/; line $line: $@\n";
            $Fails++;
        }
        elsif ($result ^ $expected) {
            print "not ok $Tests - expected $expected but got $result for $string =~ qr/$regex/; line $line\n";
            $Fails++;
        }
        elsif ($warning_message) {
            if (! $warning_type || ($warning_type && $no_warnings)) {
                print "not ok $Tests - for qr/$regex/ did not expect warning message '$warning_message'; line $line\n";
                $Fails++;
            }
            else {
                print "ok $Tests - expected and got a warning message for qr/$regex/; line $line\n";
            }
        }
        elsif ($warning_type && ! $no_warnings) {
            print "not ok $Tests - for qr/$regex/ expected a $warning_type warning message, but got none; line $line\n";
            $Fails++;
        }
        else {
            print "ok $Tests - got $result for $string =~ qr/$regex/; line $line\n";
        }
    }
    return;
}

sub Error($) {
    my $regex  = shift;
    $Tests++;
    if (eval { 'x' =~ qr/$regex/; 1 }) {
        $Fails++;
        my $line = (caller)[2];
        print "not ok $Tests - re compiled ok, but expected error for qr/$regex/; line $line: $@\n";
    }
    else {
        my $line = (caller)[2];
        print "ok $Tests - got and expected error for qr/$regex/; line $line\n";
    }
    return;
}

# Break test files (e.g. GCBTest.txt) character that break allowed here
my $breakable_utf8 = my $breakable = chr(utf8::unicode_to_native(0xF7));
utf8::upgrade($breakable_utf8);

# Break test files (e.g. GCBTest.txt) character that indicates can't break
# here
my $nobreak_utf8 = my $nobreak = chr(utf8::unicode_to_native(0xD7));
utf8::upgrade($nobreak_utf8);

use Config;
my $utf8_locale;
chdir 't' if -d 't';
eval { require "./loc_tools.pl" };
$utf8_locale = &find_utf8_ctype_locale if defined &find_utf8_ctype_locale;

sub _test_break($$) {
    # Test qr/\X/ matches.  The input is a line from auxiliary/GCBTest.txt
    # Each such line is a sequence of code points given by their hex numbers,
    # separated by the two characters defined just before this subroutine that
    # indicate that either there can or cannot be a break between the adjacent
    # code points.  If there isn't a break, that means the sequence forms an
    # extended grapheme cluster, which means that \X should match the whole
    # thing.  If there is a break, \X should stop there.  This is all
    # converted by this routine into a match:
    #   $string =~ /(\X)/,
    # Each \X should match the next cluster; and that is what is checked.

    my $template = shift;
    my $break_type = shift;

    my $line   = (caller 1)[2];   # Line number

    # The line contains characters above the ASCII range, but in Latin1.  It
    # may or may not be in utf8, and if it is, it may or may not know it.  So,
    # convert these characters to 8 bits.  If knows is in utf8, simply
    # downgrade.
    if (utf8::is_utf8($template)) {
        utf8::downgrade($template);
    } else {

        # Otherwise, if it is in utf8, but doesn't know it, the next lines
        # convert the two problematic characters to their 8-bit equivalents.
        # If it isn't in utf8, they don't harm anything.
        use bytes;
        $template =~ s/$nobreak_utf8/$nobreak/g;
        $template =~ s/$breakable_utf8/$breakable/g;
    }

    # The input is just the break/no-break symbols and sequences of Unicode
    # code points as hex digits separated by spaces for legibility. e.g.:
    # ÷ 0020 × 0308 ÷ 0020 ÷
    # Convert to native \x format
    $template =~ s/ \s* ( [[:xdigit:]]+ ) \s* /sprintf("\\x{%02X}", utf8::unicode_to_native(hex $1))/gex;
    $template =~ s/ \s* //gx;   # Probably the line above removed all spaces;
                                # but be sure

    # Make a copy of the input with the symbols replaced by \b{} and \B{} as
    # appropriate
    my $break_pattern = $template =~ s/ $breakable /\\b{$break_type}/grx;
    $break_pattern =~ s/ $nobreak /\\B{$break_type}/gx;

    my $display_string = $template =~ s/[$breakable$nobreak]//gr;
    my $string = eval "\"$display_string\"";

    # The remaining massaging of the input is for the \X tests.  Get rid of
    # the leading and trailing breakables
    $template =~ s/^ \s* $breakable \s* //x;
    $template =~ s/ \s* $breakable \s* $ //x;

    # Delete no-breaks
    $template =~ s/ \s* $nobreak \s* //xg;

    # Split the input into segments that are breakable between them.
    my @should_display = split /\s*$breakable\s*/, $template;
    my @should_match = map { eval "\"$_\"" } @should_display;

    # If a string can be represented in both non-ut8 and utf8, test both cases
    my $display_upgrade = "";
    UPGRADE:
    for my $to_upgrade (0 .. 1) {

        if ($to_upgrade) {

            # If already in utf8, would just be a repeat
            next UPGRADE if utf8::is_utf8($string);

            utf8::upgrade($string);
            $display_upgrade = " (utf8-upgraded)";
        }

        # The /l modifier has C after it to indicate the locale to try
        my @modifiers = qw(a aa d lC u i);
        push @modifiers, "l$utf8_locale" if defined $utf8_locale;

        # Test for each of the regex modifiers.
        for my $modifier (@modifiers) {
            my $display_locale = "";

            # For /l, set the locale to what it says to.
            if ($modifier =~ / ^ l (.*) /x) {
                my $locale = $1;
                $display_locale = "(locale = $locale)";
                use Config;
                if (defined $Config{d_setlocale}) {
                    eval { require POSIX; import POSIX 'locale_h'; };
                    if (defined &POSIX::LC_CTYPE) {
                        POSIX::setlocale(&POSIX::LC_CTYPE, $locale);
                    }
                }
                $modifier = 'l';
            }

            no warnings qw(locale regexp surrogate);
            my $pattern = "(?$modifier:$break_pattern)";

            # Actually do the test
            my $matched = $string =~ qr/$pattern/;
            print "not " unless $matched;

            # Fancy display of test results
            $matched = ($matched) ? "matched" : "failed to match";
            print "ok ", ++$Tests, " - \"$display_string\" $matched /$pattern/$display_upgrade; line $line $display_locale\n";

            # Repeat with the first \B{} in the pattern.  This makes sure the
            # code in regexec.c:find_byclass() for \B gets executed
            if ($pattern =~ / ( .*? : ) .* ( \\B\{ .* ) /x) {
                my $B_pattern = "$1$2";
                $matched = $string =~ qr/$B_pattern/;
                print "not " unless $matched;
                print "ok ", ++$Tests, " - \"$display_string\" $matched /$B_pattern/$display_upgrade; line $line $display_locale\n";
            }
        }

        next if $break_type ne 'gcb';

        # Finally, do the \X match.
        my @matches = $string =~ /(\X)/g;

        # Look through each matched cluster to verify that it matches what we
        # expect.
        my $min = (@matches < @should_match) ? @matches : @should_match;
        for my $i (0 .. $min - 1) {
            $Tests++;
            if ($matches[$i] eq $should_match[$i]) {
                print "ok $Tests - ";
                if ($i == 0) {
                    print "In \"$display_string\" =~ /(\\X)/g, \\X #1";
                } else {
                    print "And \\X #", $i + 1,
                }
                print " correctly matched $should_display[$i]; line $line\n";
            } else {
                $matches[$i] = join("", map { sprintf "\\x{%04X}", $_ }
                                                    split "", $matches[$i]);
                print "not ok $Tests - In \"$display_string\" =~ /(\\X)/g, \\X #",
                    $i + 1,
                    " should have matched $should_display[$i]",
                    " but instead matched $matches[$i]",
                    ".  Abandoning rest of line $line\n";
                next UPGRADE;
            }
        }

        # And the number of matches should equal the number of expected matches.
        $Tests++;
        if (@matches == @should_match) {
            print "ok $Tests - Nothing was left over; line $line\n";
        } else {
            print "not ok $Tests - There were ", scalar @should_match, " \\X matches expected, but got ", scalar @matches, " instead; line $line\n";
        }
    }

    return;
}

sub Test_GCB($) {
    _test_break(shift, 'gcb');
}

sub Test_SB($) {
    _test_break(shift, 'sb');
}

sub Test_WB($) {
    _test_break(shift, 'wb');
}

sub Finished() {
    print "1..$Tests\n";
    exit($Fails ? -1 : 0);
}

Error('\p{Script=InGreek}');    # Bug #69018
Test_GCB("1100 $nobreak 1161");  # Bug #70940
Expect(0, 0x2028, '\p{Print}', ""); # Bug # 71722
Expect(0, 0x2029, '\p{Print}', ""); # Bug # 71722
Expect(1, 0xFF10, '\p{XDigit}', ""); # Bug # 71726
Error('\p{ASCII_Hex_Digit=:=	No}');
Error('\P{ASCII_Hex_Digit=:=	No}');
Expect(1, 103, '\p{ASCII_Hex_Digit=no}', "");
Expect(0, 103, '\p{^ASCII_Hex_Digit=no}', "");
Expect(0, 103, '\P{ASCII_Hex_Digit=no}', "");
Expect(1, 103, '\P{^ASCII_Hex_Digit=no}', "");
Expect(0, 102, '\p{ASCII_Hex_Digit=no}', "");
Expect(1, 102, '\p{^ASCII_Hex_Digit=no}', "");
Expect(1, 102, '\P{ASCII_Hex_Digit=no}', "");
Expect(0, 102, '\P{^ASCII_Hex_Digit=no}', "");
Expect(1, 103, '\p{ASCII_Hex_Digit=--No}', "");
Expect(0, 103, '\p{^ASCII_Hex_Digit=--No}', "");
Expect(0, 103, '\P{ASCII_Hex_Digit=--No}', "");
Expect(1, 103, '\P{^ASCII_Hex_Digit=--No}', "");
Expect(0, 102, '\p{ASCII_Hex_Digit=--No}', "");
Expect(1, 102, '\p{^ASCII_Hex_Digit=--No}', "");
Expect(1, 102, '\P{ASCII_Hex_Digit=--No}', "");
Expect(0, 102, '\P{^ASCII_Hex_Digit=--No}', "");
Error('\p{AHex=		N:=}');
Error('\P{AHex=		N:=}');
Expect(1, 103, '\p{AHex=n}', "");
Expect(0, 103, '\p{^AHex=n}', "");
Expect(0, 103, '\P{AHex=n}', "");
Expect(1, 103, '\P{^AHex=n}', "");
Expect(0, 102, '\p{AHex=n}', "");
Expect(1, 102, '\p{^AHex=n}', "");
Expect(1, 102, '\P{AHex=n}', "");
Expect(0, 102, '\P{^AHex=n}', "");
Expect(1, 103, '\p{AHex:	N}', "");
Expect(0, 103, '\p{^AHex:	N}', "");
Expect(0, 103, '\P{AHex:	N}', "");
Expect(1, 103, '\P{^AHex:	N}', "");
Expect(0, 102, '\p{AHex:	N}', "");
Expect(1, 102, '\p{^AHex:	N}', "");
Expect(1, 102, '\P{AHex:	N}', "");
Expect(0, 102, '\P{^AHex:	N}', "");
Error('\p{Is_ASCII_Hex_Digit=/a/		F}');
Error('\P{Is_ASCII_Hex_Digit=/a/		F}');
Expect(1, 103, '\p{Is_ASCII_Hex_Digit=f}', "");
Expect(0, 103, '\p{^Is_ASCII_Hex_Digit=f}', "");
Expect(0, 103, '\P{Is_ASCII_Hex_Digit=f}', "");
Expect(1, 103, '\P{^Is_ASCII_Hex_Digit=f}', "");
Expect(0, 102, '\p{Is_ASCII_Hex_Digit=f}', "");
Expect(1, 102, '\p{^Is_ASCII_Hex_Digit=f}', "");
Expect(1, 102, '\P{Is_ASCII_Hex_Digit=f}', "");
Expect(0, 102, '\P{^Is_ASCII_Hex_Digit=f}', "");
Expect(1, 103, '\p{Is_ASCII_Hex_Digit=-F}', "");
Expect(0, 103, '\p{^Is_ASCII_Hex_Digit=-F}', "");
Expect(0, 103, '\P{Is_ASCII_Hex_Digit=-F}', "");
Expect(1, 103, '\P{^Is_ASCII_Hex_Digit=-F}', "");
Expect(0, 102, '\p{Is_ASCII_Hex_Digit=-F}', "");
Expect(1, 102, '\p{^Is_ASCII_Hex_Digit=-F}', "");
Expect(1, 102, '\P{Is_ASCII_Hex_Digit=-F}', "");
Expect(0, 102, '\P{^Is_ASCII_Hex_Digit=-F}', "");
Error('\p{Is_AHex=		False/a/}');
Error('\P{Is_AHex=		False/a/}');
Expect(1, 103, '\p{Is_AHex=false}', "");
Expect(0, 103, '\p{^Is_AHex=false}', "");
Expect(0, 103, '\P{Is_AHex=false}', "");
Expect(1, 103, '\P{^Is_AHex=false}', "");
Expect(0, 102, '\p{Is_AHex=false}', "");
Expect(1, 102, '\p{^Is_AHex=false}', "");
Expect(1, 102, '\P{Is_AHex=false}', "");
Expect(0, 102, '\P{^Is_AHex=false}', "");
Expect(1, 103, '\p{Is_AHex=_-false}', "");
Expect(0, 103, '\p{^Is_AHex=_-false}', "");
Expect(0, 103, '\P{Is_AHex=_-false}', "");
Expect(1, 103, '\P{^Is_AHex=_-false}', "");
Expect(0, 102, '\p{Is_AHex=_-false}', "");
Expect(1, 102, '\p{^Is_AHex=_-false}', "");
Expect(1, 102, '\P{Is_AHex=_-false}', "");
Expect(0, 102, '\P{^Is_AHex=_-false}', "");
Error('\p{ASCII_Hex_Digit=_ YES:=}');
Error('\P{ASCII_Hex_Digit=_ YES:=}');
Expect(1, 102, '\p{ASCII_Hex_Digit=yes}', "");
Expect(0, 102, '\p{^ASCII_Hex_Digit=yes}', "");
Expect(0, 102, '\P{ASCII_Hex_Digit=yes}', "");
Expect(1, 102, '\P{^ASCII_Hex_Digit=yes}', "");
Expect(0, 103, '\p{ASCII_Hex_Digit=yes}', "");
Expect(1, 103, '\p{^ASCII_Hex_Digit=yes}', "");
Expect(1, 103, '\P{ASCII_Hex_Digit=yes}', "");
Expect(0, 103, '\P{^ASCII_Hex_Digit=yes}', "");
Expect(1, 102, '\p{ASCII_Hex_Digit=_	yes}', "");
Expect(0, 102, '\p{^ASCII_Hex_Digit=_	yes}', "");
Expect(0, 102, '\P{ASCII_Hex_Digit=_	yes}', "");
Expect(1, 102, '\P{^ASCII_Hex_Digit=_	yes}', "");
Expect(0, 103, '\p{ASCII_Hex_Digit=_	yes}', "");
Expect(1, 103, '\p{^ASCII_Hex_Digit=_	yes}', "");
Expect(1, 103, '\P{ASCII_Hex_Digit=_	yes}', "");
Expect(0, 103, '\P{^ASCII_Hex_Digit=_	yes}', "");
Error('\p{AHex:   /a/	Y}');
Error('\P{AHex:   /a/	Y}');
Expect(1, 102, '\p{AHex=y}', "");
Expect(0, 102, '\p{^AHex=y}', "");
Expect(0, 102, '\P{AHex=y}', "");
Expect(1, 102, '\P{^AHex=y}', "");
Expect(0, 103, '\p{AHex=y}', "");
Expect(1, 103, '\p{^AHex=y}', "");
Expect(1, 103, '\P{AHex=y}', "");
Expect(0, 103, '\P{^AHex=y}', "");
Expect(1, 102, '\p{AHex= y}', "");
Expect(0, 102, '\p{^AHex= y}', "");
Expect(0, 102, '\P{AHex= y}', "");
Expect(1, 102, '\P{^AHex= y}', "");
Expect(0, 103, '\p{AHex= y}', "");
Expect(1, 103, '\p{^AHex= y}', "");
Expect(1, 103, '\P{AHex= y}', "");
Expect(0, 103, '\P{^AHex= y}', "");
Error('\p{Is_ASCII_Hex_Digit::=-	T}');
Error('\P{Is_ASCII_Hex_Digit::=-	T}');
Expect(1, 102, '\p{Is_ASCII_Hex_Digit=t}', "");
Expect(0, 102, '\p{^Is_ASCII_Hex_Digit=t}', "");
Expect(0, 102, '\P{Is_ASCII_Hex_Digit=t}', "");
Expect(1, 102, '\P{^Is_ASCII_Hex_Digit=t}', "");
Expect(0, 103, '\p{Is_ASCII_Hex_Digit=t}', "");
Expect(1, 103, '\p{^Is_ASCII_Hex_Digit=t}', "");
Expect(1, 103, '\P{Is_ASCII_Hex_Digit=t}', "");
Expect(0, 103, '\P{^Is_ASCII_Hex_Digit=t}', "");
Expect(1, 102, '\p{Is_ASCII_Hex_Digit:  T}', "");
Expect(0, 102, '\p{^Is_ASCII_Hex_Digit:  T}', "");
Expect(0, 102, '\P{Is_ASCII_Hex_Digit:  T}', "");
Expect(1, 102, '\P{^Is_ASCII_Hex_Digit:  T}', "");
Expect(0, 103, '\p{Is_ASCII_Hex_Digit:  T}', "");
Expect(1, 103, '\p{^Is_ASCII_Hex_Digit:  T}', "");
Expect(1, 103, '\P{Is_ASCII_Hex_Digit:  T}', "");
Expect(0, 103, '\P{^Is_ASCII_Hex_Digit:  T}', "");
Error('\p{Is_AHex=	:=True}');
Error('\P{Is_AHex=	:=True}');
Expect(1, 102, '\p{Is_AHex=true}', "");
Expect(0, 102, '\p{^Is_AHex=true}', "");
Expect(0, 102, '\P{Is_AHex=true}', "");
Expect(1, 102, '\P{^Is_AHex=true}', "");
Expect(0, 103, '\p{Is_AHex=true}', "");
Expect(1, 103, '\p{^Is_AHex=true}', "");
Expect(1, 103, '\P{Is_AHex=true}', "");
Expect(0, 103, '\P{^Is_AHex=true}', "");
Expect(1, 102, '\p{Is_AHex=_	True}', "");
Expect(0, 102, '\p{^Is_AHex=_	True}', "");
Expect(0, 102, '\P{Is_AHex=_	True}', "");
Expect(1, 102, '\P{^Is_AHex=_	True}', "");
Expect(0, 103, '\p{Is_AHex=_	True}', "");
Expect(1, 103, '\p{^Is_AHex=_	True}', "");
Expect(1, 103, '\P{Is_AHex=_	True}', "");
Expect(0, 103, '\P{^Is_AHex=_	True}', "");
Error('\p{Alphabetic= No:=}');
Error('\P{Alphabetic= No:=}');
Expect(1, 195102, '\p{Alphabetic=no}', "");
Expect(0, 195102, '\p{^Alphabetic=no}', "");
Expect(0, 195102, '\P{Alphabetic=no}', "");
Expect(1, 195102, '\P{^Alphabetic=no}', "");
Expect(0, 195101, '\p{Alphabetic=no}', "");
Expect(1, 195101, '\p{^Alphabetic=no}', "");
Expect(1, 195101, '\P{Alphabetic=no}', "");
Expect(0, 195101, '\P{^Alphabetic=no}', "");
Expect(1, 195102, '\p{Alphabetic:   -_No}', "");
Expect(0, 195102, '\p{^Alphabetic:   -_No}', "");
Expect(0, 195102, '\P{Alphabetic:   -_No}', "");
Expect(1, 195102, '\P{^Alphabetic:   -_No}', "");
Expect(0, 195101, '\p{Alphabetic:   -_No}', "");
Expect(1, 195101, '\p{^Alphabetic:   -_No}', "");
Expect(1, 195101, '\P{Alphabetic:   -_No}', "");
Expect(0, 195101, '\P{^Alphabetic:   -_No}', "");
Error('\p{Alpha=-_n/a/}');
Error('\P{Alpha=-_n/a/}');
Expect(1, 195102, '\p{Alpha=n}', "");
Expect(0, 195102, '\p{^Alpha=n}', "");
Expect(0, 195102, '\P{Alpha=n}', "");
Expect(1, 195102, '\P{^Alpha=n}', "");
Expect(0, 195101, '\p{Alpha=n}', "");
Expect(1, 195101, '\p{^Alpha=n}', "");
Expect(1, 195101, '\P{Alpha=n}', "");
Expect(0, 195101, '\P{^Alpha=n}', "");
Expect(1, 195102, '\p{Alpha=	 N}', "");
Expect(0, 195102, '\p{^Alpha=	 N}', "");
Expect(0, 195102, '\P{Alpha=	 N}', "");
Expect(1, 195102, '\P{^Alpha=	 N}', "");
Expect(0, 195101, '\p{Alpha=	 N}', "");
Expect(1, 195101, '\p{^Alpha=	 N}', "");
Expect(1, 195101, '\P{Alpha=	 N}', "");
Expect(0, 195101, '\P{^Alpha=	 N}', "");
Error('\p{Is_Alphabetic:	:=_F}');
Error('\P{Is_Alphabetic:	:=_F}');
Expect(1, 195102, '\p{Is_Alphabetic=f}', "");
Expect(0, 195102, '\p{^Is_Alphabetic=f}', "");
Expect(0, 195102, '\P{Is_Alphabetic=f}', "");
Expect(1, 195102, '\P{^Is_Alphabetic=f}', "");
Expect(0, 195101, '\p{Is_Alphabetic=f}', "");
Expect(1, 195101, '\p{^Is_Alphabetic=f}', "");
Expect(1, 195101, '\P{Is_Alphabetic=f}', "");
Expect(0, 195101, '\P{^Is_Alphabetic=f}', "");
Expect(1, 195102, '\p{Is_Alphabetic= F}', "");
Expect(0, 195102, '\p{^Is_Alphabetic= F}', "");
Expect(0, 195102, '\P{Is_Alphabetic= F}', "");
Expect(1, 195102, '\P{^Is_Alphabetic= F}', "");
Expect(0, 195101, '\p{Is_Alphabetic= F}', "");
Expect(1, 195101, '\p{^Is_Alphabetic= F}', "");
Expect(1, 195101, '\P{Is_Alphabetic= F}', "");
Expect(0, 195101, '\P{^Is_Alphabetic= F}', "");
Error('\p{Is_Alpha=/a/--false}');
Error('\P{Is_Alpha=/a/--false}');
Expect(1, 195102, '\p{Is_Alpha=false}', "");
Expect(0, 195102, '\p{^Is_Alpha=false}', "");
Expect(0, 195102, '\P{Is_Alpha=false}', "");
Expect(1, 195102, '\P{^Is_Alpha=false}', "");
Expect(0, 195101, '\p{Is_Alpha=false}', "");
Expect(1, 195101, '\p{^Is_Alpha=false}', "");
Expect(1, 195101, '\P{Is_Alpha=false}', "");
Expect(0, 195101, '\P{^Is_Alpha=false}', "");
Expect(1, 195102, '\p{Is_Alpha: false}', "");
Expect(0, 195102, '\p{^Is_Alpha: false}', "");
Expect(0, 195102, '\P{Is_Alpha: false}', "");
Expect(1, 195102, '\P{^Is_Alpha: false}', "");
Expect(0, 195101, '\p{Is_Alpha: false}', "");
Expect(1, 195101, '\p{^Is_Alpha: false}', "");
Expect(1, 195101, '\P{Is_Alpha: false}', "");
Expect(0, 195101, '\P{^Is_Alpha: false}', "");
Error('\p{Alphabetic= Yes/a/}');
Error('\P{Alphabetic= Yes/a/}');
Expect(1, 195101, '\p{Alphabetic=yes}', "");
Expect(0, 195101, '\p{^Alphabetic=yes}', "");
Expect(0, 195101, '\P{Alphabetic=yes}', "");
Expect(1, 195101, '\P{^Alphabetic=yes}', "");
Expect(0, 195102, '\p{Alphabetic=yes}', "");
Expect(1, 195102, '\p{^Alphabetic=yes}', "");
Expect(1, 195102, '\P{Alphabetic=yes}', "");
Expect(0, 195102, '\P{^Alphabetic=yes}', "");
Expect(1, 195101, '\p{Alphabetic=-	yes}', "");
Expect(0, 195101, '\p{^Alphabetic=-	yes}', "");
Expect(0, 195101, '\P{Alphabetic=-	yes}', "");
Expect(1, 195101, '\P{^Alphabetic=-	yes}', "");
Expect(0, 195102, '\p{Alphabetic=-	yes}', "");
Expect(1, 195102, '\p{^Alphabetic=-	yes}', "");
Expect(1, 195102, '\P{Alphabetic=-	yes}', "");
Expect(0, 195102, '\P{^Alphabetic=-	yes}', "");
Error('\p{Alpha=:=Y}');
Error('\P{Alpha=:=Y}');
Expect(1, 195101, '\p{Alpha=y}', "");
Expect(0, 195101, '\p{^Alpha=y}', "");
Expect(0, 195101, '\P{Alpha=y}', "");
Expect(1, 195101, '\P{^Alpha=y}', "");
Expect(0, 195102, '\p{Alpha=y}', "");
Expect(1, 195102, '\p{^Alpha=y}', "");
Expect(1, 195102, '\P{Alpha=y}', "");
Expect(0, 195102, '\P{^Alpha=y}', "");
Expect(1, 195101, '\p{Alpha=__Y}', "");
Expect(0, 195101, '\p{^Alpha=__Y}', "");
Expect(0, 195101, '\P{Alpha=__Y}', "");
Expect(1, 195101, '\P{^Alpha=__Y}', "");
Expect(0, 195102, '\p{Alpha=__Y}', "");
Expect(1, 195102, '\p{^Alpha=__Y}', "");
Expect(1, 195102, '\P{Alpha=__Y}', "");
Expect(0, 195102, '\P{^Alpha=__Y}', "");
Error('\p{Is_Alphabetic=	T/a/}');
Error('\P{Is_Alphabetic=	T/a/}');
Expect(1, 195101, '\p{Is_Alphabetic:t}', "");
Expect(0, 195101, '\p{^Is_Alphabetic:t}', "");
Expect(0, 195101, '\P{Is_Alphabetic:t}', "");
Expect(1, 195101, '\P{^Is_Alphabetic:t}', "");
Expect(0, 195102, '\p{Is_Alphabetic:t}', "");
Expect(1, 195102, '\p{^Is_Alphabetic:t}', "");
Expect(1, 195102, '\P{Is_Alphabetic:t}', "");
Expect(0, 195102, '\P{^Is_Alphabetic:t}', "");
Expect(1, 195101, '\p{Is_Alphabetic=_-T}', "");
Expect(0, 195101, '\p{^Is_Alphabetic=_-T}', "");
Expect(0, 195101, '\P{Is_Alphabetic=_-T}', "");
Expect(1, 195101, '\P{^Is_Alphabetic=_-T}', "");
Expect(0, 195102, '\p{Is_Alphabetic=_-T}', "");
Expect(1, 195102, '\p{^Is_Alphabetic=_-T}', "");
Expect(1, 195102, '\P{Is_Alphabetic=_-T}', "");
Expect(0, 195102, '\P{^Is_Alphabetic=_-T}', "");
Error('\p{Is_Alpha=/a/		True}');
Error('\P{Is_Alpha=/a/		True}');
Expect(1, 195101, '\p{Is_Alpha=true}', "");
Expect(0, 195101, '\p{^Is_Alpha=true}', "");
Expect(0, 195101, '\P{Is_Alpha=true}', "");
Expect(1, 195101, '\P{^Is_Alpha=true}', "");
Expect(0, 195102, '\p{Is_Alpha=true}', "");
Expect(1, 195102, '\p{^Is_Alpha=true}', "");
Expect(1, 195102, '\P{Is_Alpha=true}', "");
Expect(0, 195102, '\P{^Is_Alpha=true}', "");
Expect(1, 195101, '\p{Is_Alpha=	-TRUE}', "");
Expect(0, 195101, '\p{^Is_Alpha=	-TRUE}', "");
Expect(0, 195101, '\P{Is_Alpha=	-TRUE}', "");
Expect(1, 195101, '\P{^Is_Alpha=	-TRUE}', "");
Expect(0, 195102, '\p{Is_Alpha=	-TRUE}', "");
Expect(1, 195102, '\p{^Is_Alpha=	-TRUE}', "");
Expect(1, 195102, '\P{Is_Alpha=	-TRUE}', "");
Expect(0, 195102, '\P{^Is_Alpha=	-TRUE}', "");
Error('\p{Bidi_Control=-no:=}');
Error('\P{Bidi_Control=-no:=}');
Expect(1, 8298, '\p{Bidi_Control=no}', "");
Expect(0, 8298, '\p{^Bidi_Control=no}', "");
Expect(0, 8298, '\P{Bidi_Control=no}', "");
Expect(1, 8298, '\P{^Bidi_Control=no}', "");
Expect(0, 8297, '\p{Bidi_Control=no}', "");
Expect(1, 8297, '\p{^Bidi_Control=no}', "");
Expect(1, 8297, '\P{Bidi_Control=no}', "");
Expect(0, 8297, '\P{^Bidi_Control=no}', "");
Expect(1, 8298, '\p{Bidi_Control= NO}', "");
Expect(0, 8298, '\p{^Bidi_Control= NO}', "");
Expect(0, 8298, '\P{Bidi_Control= NO}', "");
Expect(1, 8298, '\P{^Bidi_Control= NO}', "");
Expect(0, 8297, '\p{Bidi_Control= NO}', "");
Expect(1, 8297, '\p{^Bidi_Control= NO}', "");
Expect(1, 8297, '\P{Bidi_Control= NO}', "");
Expect(0, 8297, '\P{^Bidi_Control= NO}', "");
Error('\p{Bidi_C=/a/	-N}');
Error('\P{Bidi_C=/a/	-N}');
Expect(1, 8298, '\p{Bidi_C=n}', "");
Expect(0, 8298, '\p{^Bidi_C=n}', "");
Expect(0, 8298, '\P{Bidi_C=n}', "");
Expect(1, 8298, '\P{^Bidi_C=n}', "");
Expect(0, 8297, '\p{Bidi_C=n}', "");
Expect(1, 8297, '\p{^Bidi_C=n}', "");
Expect(1, 8297, '\P{Bidi_C=n}', "");
Expect(0, 8297, '\P{^Bidi_C=n}', "");
Expect(1, 8298, '\p{Bidi_C=-n}', "");
Expect(0, 8298, '\p{^Bidi_C=-n}', "");
Expect(0, 8298, '\P{Bidi_C=-n}', "");
Expect(1, 8298, '\P{^Bidi_C=-n}', "");
Expect(0, 8297, '\p{Bidi_C=-n}', "");
Expect(1, 8297, '\p{^Bidi_C=-n}', "");
Expect(1, 8297, '\P{Bidi_C=-n}', "");
Expect(0, 8297, '\P{^Bidi_C=-n}', "");
Error('\p{Is_Bidi_Control=	 F:=}');
Error('\P{Is_Bidi_Control=	 F:=}');
Expect(1, 8298, '\p{Is_Bidi_Control=f}', "");
Expect(0, 8298, '\p{^Is_Bidi_Control=f}', "");
Expect(0, 8298, '\P{Is_Bidi_Control=f}', "");
Expect(1, 8298, '\P{^Is_Bidi_Control=f}', "");
Expect(0, 8297, '\p{Is_Bidi_Control=f}', "");
Expect(1, 8297, '\p{^Is_Bidi_Control=f}', "");
Expect(1, 8297, '\P{Is_Bidi_Control=f}', "");
Expect(0, 8297, '\P{^Is_Bidi_Control=f}', "");
Expect(1, 8298, '\p{Is_Bidi_Control=  F}', "");
Expect(0, 8298, '\p{^Is_Bidi_Control=  F}', "");
Expect(0, 8298, '\P{Is_Bidi_Control=  F}', "");
Expect(1, 8298, '\P{^Is_Bidi_Control=  F}', "");
Expect(0, 8297, '\p{Is_Bidi_Control=  F}', "");
Expect(1, 8297, '\p{^Is_Bidi_Control=  F}', "");
Expect(1, 8297, '\P{Is_Bidi_Control=  F}', "");
Expect(0, 8297, '\P{^Is_Bidi_Control=  F}', "");
Error('\p{Is_Bidi_C=-False/a/}');
Error('\P{Is_Bidi_C=-False/a/}');
Expect(1, 8298, '\p{Is_Bidi_C=false}', "");
Expect(0, 8298, '\p{^Is_Bidi_C=false}', "");
Expect(0, 8298, '\P{Is_Bidi_C=false}', "");
Expect(1, 8298, '\P{^Is_Bidi_C=false}', "");
Expect(0, 8297, '\p{Is_Bidi_C=false}', "");
Expect(1, 8297, '\p{^Is_Bidi_C=false}', "");
Expect(1, 8297, '\P{Is_Bidi_C=false}', "");
Expect(0, 8297, '\P{^Is_Bidi_C=false}', "");
Expect(1, 8298, '\p{Is_Bidi_C=FALSE}', "");
Expect(0, 8298, '\p{^Is_Bidi_C=FALSE}', "");
Expect(0, 8298, '\P{Is_Bidi_C=FALSE}', "");
Expect(1, 8298, '\P{^Is_Bidi_C=FALSE}', "");
Expect(0, 8297, '\p{Is_Bidi_C=FALSE}', "");
Expect(1, 8297, '\p{^Is_Bidi_C=FALSE}', "");
Expect(1, 8297, '\P{Is_Bidi_C=FALSE}', "");
Expect(0, 8297, '\P{^Is_Bidi_C=FALSE}', "");
Error('\p{Bidi_Control=--Yes/a/}');
Error('\P{Bidi_Control=--Yes/a/}');
Expect(1, 8297, '\p{Bidi_Control=yes}', "");
Expect(0, 8297, '\p{^Bidi_Control=yes}', "");
Expect(0, 8297, '\P{Bidi_Control=yes}', "");
Expect(1, 8297, '\P{^Bidi_Control=yes}', "");
Expect(0, 8298, '\p{Bidi_Control=yes}', "");
Expect(1, 8298, '\p{^Bidi_Control=yes}', "");
Expect(1, 8298, '\P{Bidi_Control=yes}', "");
Expect(0, 8298, '\P{^Bidi_Control=yes}', "");
Expect(1, 8297, '\p{Bidi_Control=	_Yes}', "");
Expect(0, 8297, '\p{^Bidi_Control=	_Yes}', "");
Expect(0, 8297, '\P{Bidi_Control=	_Yes}', "");
Expect(1, 8297, '\P{^Bidi_Control=	_Yes}', "");
Expect(0, 8298, '\p{Bidi_Control=	_Yes}', "");
Expect(1, 8298, '\p{^Bidi_Control=	_Yes}', "");
Expect(1, 8298, '\P{Bidi_Control=	_Yes}', "");
Expect(0, 8298, '\P{^Bidi_Control=	_Yes}', "");
Error('\p{Bidi_C=:= _Y}');
Error('\P{Bidi_C=:= _Y}');
Expect(1, 8297, '\p{Bidi_C=y}', "");
Expect(0, 8297, '\p{^Bidi_C=y}', "");
Expect(0, 8297, '\P{Bidi_C=y}', "");
Expect(1, 8297, '\P{^Bidi_C=y}', "");
Expect(0, 8298, '\p{Bidi_C=y}', "");
Expect(1, 8298, '\p{^Bidi_C=y}', "");
Expect(1, 8298, '\P{Bidi_C=y}', "");
Expect(0, 8298, '\P{^Bidi_C=y}', "");
Expect(1, 8297, '\p{Bidi_C=_Y}', "");
Expect(0, 8297, '\p{^Bidi_C=_Y}', "");
Expect(0, 8297, '\P{Bidi_C=_Y}', "");
Expect(1, 8297, '\P{^Bidi_C=_Y}', "");
Expect(0, 8298, '\p{Bidi_C=_Y}', "");
Expect(1, 8298, '\p{^Bidi_C=_Y}', "");
Expect(1, 8298, '\P{Bidi_C=_Y}', "");
Expect(0, 8298, '\P{^Bidi_C=_Y}', "");
Error('\p{Is_Bidi_Control= -T/a/}');
Error('\P{Is_Bidi_Control= -T/a/}');
Expect(1, 8297, '\p{Is_Bidi_Control=t}', "");
Expect(0, 8297, '\p{^Is_Bidi_Control=t}', "");
Expect(0, 8297, '\P{Is_Bidi_Control=t}', "");
Expect(1, 8297, '\P{^Is_Bidi_Control=t}', "");
Expect(0, 8298, '\p{Is_Bidi_Control=t}', "");
Expect(1, 8298, '\p{^Is_Bidi_Control=t}', "");
Expect(1, 8298, '\P{Is_Bidi_Control=t}', "");
Expect(0, 8298, '\P{^Is_Bidi_Control=t}', "");
Expect(1, 8297, '\p{Is_Bidi_Control= -T}', "");
Expect(0, 8297, '\p{^Is_Bidi_Control= -T}', "");
Expect(0, 8297, '\P{Is_Bidi_Control= -T}', "");
Expect(1, 8297, '\P{^Is_Bidi_Control= -T}', "");
Expect(0, 8298, '\p{Is_Bidi_Control= -T}', "");
Expect(1, 8298, '\p{^Is_Bidi_Control= -T}', "");
Expect(1, 8298, '\P{Is_Bidi_Control= -T}', "");
Expect(0, 8298, '\P{^Is_Bidi_Control= -T}', "");
Error('\p{Is_Bidi_C=		TRUE/a/}');
Error('\P{Is_Bidi_C=		TRUE/a/}');
Expect(1, 8297, '\p{Is_Bidi_C=true}', "");
Expect(0, 8297, '\p{^Is_Bidi_C=true}', "");
Expect(0, 8297, '\P{Is_Bidi_C=true}', "");
Expect(1, 8297, '\P{^Is_Bidi_C=true}', "");
Expect(0, 8298, '\p{Is_Bidi_C=true}', "");
Expect(1, 8298, '\p{^Is_Bidi_C=true}', "");
Expect(1, 8298, '\P{Is_Bidi_C=true}', "");
Expect(0, 8298, '\P{^Is_Bidi_C=true}', "");
Expect(1, 8297, '\p{Is_Bidi_C=  true}', "");
Expect(0, 8297, '\p{^Is_Bidi_C=  true}', "");
Expect(0, 8297, '\P{Is_Bidi_C=  true}', "");
Expect(1, 8297, '\P{^Is_Bidi_C=  true}', "");
Expect(0, 8298, '\p{Is_Bidi_C=  true}', "");
Expect(1, 8298, '\p{^Is_Bidi_C=  true}', "");
Expect(1, 8298, '\P{Is_Bidi_C=  true}', "");
Expect(0, 8298, '\P{^Is_Bidi_C=  true}', "");
Error('\p{Bidi_Mirrored=		No:=}');
Error('\P{Bidi_Mirrored=		No:=}');
Expect(1, 120772, '\p{Bidi_Mirrored=no}', "");
Expect(0, 120772, '\p{^Bidi_Mirrored=no}', "");
Expect(0, 120772, '\P{Bidi_Mirrored=no}', "");
Expect(1, 120772, '\P{^Bidi_Mirrored=no}', "");
Expect(0, 120771, '\p{Bidi_Mirrored=no}', "");
Expect(1, 120771, '\p{^Bidi_Mirrored=no}', "");
Expect(1, 120771, '\P{Bidi_Mirrored=no}', "");
Expect(0, 120771, '\P{^Bidi_Mirrored=no}', "");
Expect(1, 120772, '\p{Bidi_Mirrored=No}', "");
Expect(0, 120772, '\p{^Bidi_Mirrored=No}', "");
Expect(0, 120772, '\P{Bidi_Mirrored=No}', "");
Expect(1, 120772, '\P{^Bidi_Mirrored=No}', "");
Expect(0, 120771, '\p{Bidi_Mirrored=No}', "");
Expect(1, 120771, '\p{^Bidi_Mirrored=No}', "");
Expect(1, 120771, '\P{Bidi_Mirrored=No}', "");
Expect(0, 120771, '\P{^Bidi_Mirrored=No}', "");
Error('\p{Bidi_M= :=N}');
Error('\P{Bidi_M= :=N}');
Expect(1, 120772, '\p{Bidi_M=n}', "");
Expect(0, 120772, '\p{^Bidi_M=n}', "");
Expect(0, 120772, '\P{Bidi_M=n}', "");
Expect(1, 120772, '\P{^Bidi_M=n}', "");
Expect(0, 120771, '\p{Bidi_M=n}', "");
Expect(1, 120771, '\p{^Bidi_M=n}', "");
Expect(1, 120771, '\P{Bidi_M=n}', "");
Expect(0, 120771, '\P{^Bidi_M=n}', "");
Expect(1, 120772, '\p{Bidi_M=  N}', "");
Expect(0, 120772, '\p{^Bidi_M=  N}', "");
Expect(0, 120772, '\P{Bidi_M=  N}', "");
Expect(1, 120772, '\P{^Bidi_M=  N}', "");
Expect(0, 120771, '\p{Bidi_M=  N}', "");
Expect(1, 120771, '\p{^Bidi_M=  N}', "");
Expect(1, 120771, '\P{Bidi_M=  N}', "");
Expect(0, 120771, '\P{^Bidi_M=  N}', "");
Error('\p{Is_Bidi_Mirrored=/a/-F}');
Error('\P{Is_Bidi_Mirrored=/a/-F}');
Expect(1, 120772, '\p{Is_Bidi_Mirrored=f}', "");
Expect(0, 120772, '\p{^Is_Bidi_Mirrored=f}', "");
Expect(0, 120772, '\P{Is_Bidi_Mirrored=f}', "");
Expect(1, 120772, '\P{^Is_Bidi_Mirrored=f}', "");
Expect(0, 120771, '\p{Is_Bidi_Mirrored=f}', "");
Expect(1, 120771, '\p{^Is_Bidi_Mirrored=f}', "");
Expect(1, 120771, '\P{Is_Bidi_Mirrored=f}', "");
Expect(0, 120771, '\P{^Is_Bidi_Mirrored=f}', "");
Expect(1, 120772, '\p{Is_Bidi_Mirrored=	 F}', "");
Expect(0, 120772, '\p{^Is_Bidi_Mirrored=	 F}', "");
Expect(0, 120772, '\P{Is_Bidi_Mirrored=	 F}', "");
Expect(1, 120772, '\P{^Is_Bidi_Mirrored=	 F}', "");
Expect(0, 120771, '\p{Is_Bidi_Mirrored=	 F}', "");
Expect(1, 120771, '\p{^Is_Bidi_Mirrored=	 F}', "");
Expect(1, 120771, '\P{Is_Bidi_Mirrored=	 F}', "");
Expect(0, 120771, '\P{^Is_Bidi_Mirrored=	 F}', "");
Error('\p{Is_Bidi_M: _-false/a/}');
Error('\P{Is_Bidi_M: _-false/a/}');
Expect(1, 120772, '\p{Is_Bidi_M=false}', "");
Expect(0, 120772, '\p{^Is_Bidi_M=false}', "");
Expect(0, 120772, '\P{Is_Bidi_M=false}', "");
Expect(1, 120772, '\P{^Is_Bidi_M=false}', "");
Expect(0, 120771, '\p{Is_Bidi_M=false}', "");
Expect(1, 120771, '\p{^Is_Bidi_M=false}', "");
Expect(1, 120771, '\P{Is_Bidi_M=false}', "");
Expect(0, 120771, '\P{^Is_Bidi_M=false}', "");
Expect(1, 120772, '\p{Is_Bidi_M= 	False}', "");
Expect(0, 120772, '\p{^Is_Bidi_M= 	False}', "");
Expect(0, 120772, '\P{Is_Bidi_M= 	False}', "");
Expect(1, 120772, '\P{^Is_Bidi_M= 	False}', "");
Expect(0, 120771, '\p{Is_Bidi_M= 	False}', "");
Expect(1, 120771, '\p{^Is_Bidi_M= 	False}', "");
Expect(1, 120771, '\P{Is_Bidi_M= 	False}', "");
Expect(0, 120771, '\P{^Is_Bidi_M= 	False}', "");
Error('\p{Bidi_Mirrored:	/a/	-YES}');
Error('\P{Bidi_Mirrored:	/a/	-YES}');
Expect(1, 120771, '\p{Bidi_Mirrored=yes}', "");
Expect(0, 120771, '\p{^Bidi_Mirrored=yes}', "");
Expect(0, 120771, '\P{Bidi_Mirrored=yes}', "");
Expect(1, 120771, '\P{^Bidi_Mirrored=yes}', "");
Expect(0, 120772, '\p{Bidi_Mirrored=yes}', "");
Expect(1, 120772, '\p{^Bidi_Mirrored=yes}', "");
Expect(1, 120772, '\P{Bidi_Mirrored=yes}', "");
Expect(0, 120772, '\P{^Bidi_Mirrored=yes}', "");
Expect(1, 120771, '\p{Bidi_Mirrored=  Yes}', "");
Expect(0, 120771, '\p{^Bidi_Mirrored=  Yes}', "");
Expect(0, 120771, '\P{Bidi_Mirrored=  Yes}', "");
Expect(1, 120771, '\P{^Bidi_Mirrored=  Yes}', "");
Expect(0, 120772, '\p{Bidi_Mirrored=  Yes}', "");
Expect(1, 120772, '\p{^Bidi_Mirrored=  Yes}', "");
Expect(1, 120772, '\P{Bidi_Mirrored=  Yes}', "");
Expect(0, 120772, '\P{^Bidi_Mirrored=  Yes}', "");
Error('\p{Bidi_M=-	y:=}');
Error('\P{Bidi_M=-	y:=}');
Expect(1, 120771, '\p{Bidi_M=y}', "");
Expect(0, 120771, '\p{^Bidi_M=y}', "");
Expect(0, 120771, '\P{Bidi_M=y}', "");
Expect(1, 120771, '\P{^Bidi_M=y}', "");
Expect(0, 120772, '\p{Bidi_M=y}', "");
Expect(1, 120772, '\p{^Bidi_M=y}', "");
Expect(1, 120772, '\P{Bidi_M=y}', "");
Expect(0, 120772, '\P{^Bidi_M=y}', "");
Expect(1, 120771, '\p{Bidi_M=	_y}', "");
Expect(0, 120771, '\p{^Bidi_M=	_y}', "");
Expect(0, 120771, '\P{Bidi_M=	_y}', "");
Expect(1, 120771, '\P{^Bidi_M=	_y}', "");
Expect(0, 120772, '\p{Bidi_M=	_y}', "");
Expect(1, 120772, '\p{^Bidi_M=	_y}', "");
Expect(1, 120772, '\P{Bidi_M=	_y}', "");
Expect(0, 120772, '\P{^Bidi_M=	_y}', "");
Error('\p{Is_Bidi_Mirrored=_	T/a/}');
Error('\P{Is_Bidi_Mirrored=_	T/a/}');
Expect(1, 120771, '\p{Is_Bidi_Mirrored=t}', "");
Expect(0, 120771, '\p{^Is_Bidi_Mirrored=t}', "");
Expect(0, 120771, '\P{Is_Bidi_Mirrored=t}', "");
Expect(1, 120771, '\P{^Is_Bidi_Mirrored=t}', "");
Expect(0, 120772, '\p{Is_Bidi_Mirrored=t}', "");
Expect(1, 120772, '\p{^Is_Bidi_Mirrored=t}', "");
Expect(1, 120772, '\P{Is_Bidi_Mirrored=t}', "");
Expect(0, 120772, '\P{^Is_Bidi_Mirrored=t}', "");
Expect(1, 120771, '\p{Is_Bidi_Mirrored=-t}', "");
Expect(0, 120771, '\p{^Is_Bidi_Mirrored=-t}', "");
Expect(0, 120771, '\P{Is_Bidi_Mirrored=-t}', "");
Expect(1, 120771, '\P{^Is_Bidi_Mirrored=-t}', "");
Expect(0, 120772, '\p{Is_Bidi_Mirrored=-t}', "");
Expect(1, 120772, '\p{^Is_Bidi_Mirrored=-t}', "");
Expect(1, 120772, '\P{Is_Bidi_Mirrored=-t}', "");
Expect(0, 120772, '\P{^Is_Bidi_Mirrored=-t}', "");
Error('\p{Is_Bidi_M=	/a/TRUE}');
Error('\P{Is_Bidi_M=	/a/TRUE}');
Expect(1, 120771, '\p{Is_Bidi_M=true}', "");
Expect(0, 120771, '\p{^Is_Bidi_M=true}', "");
Expect(0, 120771, '\P{Is_Bidi_M=true}', "");
Expect(1, 120771, '\P{^Is_Bidi_M=true}', "");
Expect(0, 120772, '\p{Is_Bidi_M=true}', "");
Expect(1, 120772, '\p{^Is_Bidi_M=true}', "");
Expect(1, 120772, '\P{Is_Bidi_M=true}', "");
Expect(0, 120772, '\P{^Is_Bidi_M=true}', "");
Expect(1, 120771, '\p{Is_Bidi_M:	-_True}', "");
Expect(0, 120771, '\p{^Is_Bidi_M:	-_True}', "");
Expect(0, 120771, '\P{Is_Bidi_M:	-_True}', "");
Expect(1, 120771, '\P{^Is_Bidi_M:	-_True}', "");
Expect(0, 120772, '\p{Is_Bidi_M:	-_True}', "");
Expect(1, 120772, '\p{^Is_Bidi_M:	-_True}', "");
Expect(1, 120772, '\P{Is_Bidi_M:	-_True}', "");
Expect(0, 120772, '\P{^Is_Bidi_M:	-_True}', "");
Error('\p{Composition_Exclusion=:=-_NO}');
Error('\P{Composition_Exclusion=:=-_NO}');
Expect(1, 119233, '\p{Composition_Exclusion:no}', "");
Expect(0, 119233, '\p{^Composition_Exclusion:no}', "");
Expect(0, 119233, '\P{Composition_Exclusion:no}', "");
Expect(1, 119233, '\P{^Composition_Exclusion:no}', "");
Expect(0, 119232, '\p{Composition_Exclusion:no}', "");
Expect(1, 119232, '\p{^Composition_Exclusion:no}', "");
Expect(1, 119232, '\P{Composition_Exclusion:no}', "");
Expect(0, 119232, '\P{^Composition_Exclusion:no}', "");
Expect(1, 119233, '\p{Composition_Exclusion=_	NO}', "");
Expect(0, 119233, '\p{^Composition_Exclusion=_	NO}', "");
Expect(0, 119233, '\P{Composition_Exclusion=_	NO}', "");
Expect(1, 119233, '\P{^Composition_Exclusion=_	NO}', "");
Expect(0, 119232, '\p{Composition_Exclusion=_	NO}', "");
Expect(1, 119232, '\p{^Composition_Exclusion=_	NO}', "");
Expect(1, 119232, '\P{Composition_Exclusion=_	NO}', "");
Expect(0, 119232, '\P{^Composition_Exclusion=_	NO}', "");
Error('\p{CE=_/a/N}');
Error('\P{CE=_/a/N}');
Expect(1, 119233, '\p{CE=n}', "");
Expect(0, 119233, '\p{^CE=n}', "");
Expect(0, 119233, '\P{CE=n}', "");
Expect(1, 119233, '\P{^CE=n}', "");
Expect(0, 119232, '\p{CE=n}', "");
Expect(1, 119232, '\p{^CE=n}', "");
Expect(1, 119232, '\P{CE=n}', "");
Expect(0, 119232, '\P{^CE=n}', "");
Expect(1, 119233, '\p{CE=N}', "");
Expect(0, 119233, '\p{^CE=N}', "");
Expect(0, 119233, '\P{CE=N}', "");
Expect(1, 119233, '\P{^CE=N}', "");
Expect(0, 119232, '\p{CE=N}', "");
Expect(1, 119232, '\p{^CE=N}', "");
Expect(1, 119232, '\P{CE=N}', "");
Expect(0, 119232, '\P{^CE=N}', "");
Error('\p{Is_Composition_Exclusion=__F:=}');
Error('\P{Is_Composition_Exclusion=__F:=}');
Expect(1, 119233, '\p{Is_Composition_Exclusion=f}', "");
Expect(0, 119233, '\p{^Is_Composition_Exclusion=f}', "");
Expect(0, 119233, '\P{Is_Composition_Exclusion=f}', "");
Expect(1, 119233, '\P{^Is_Composition_Exclusion=f}', "");
Expect(0, 119232, '\p{Is_Composition_Exclusion=f}', "");
Expect(1, 119232, '\p{^Is_Composition_Exclusion=f}', "");
Expect(1, 119232, '\P{Is_Composition_Exclusion=f}', "");
Expect(0, 119232, '\P{^Is_Composition_Exclusion=f}', "");
Expect(1, 119233, '\p{Is_Composition_Exclusion=_-F}', "");
Expect(0, 119233, '\p{^Is_Composition_Exclusion=_-F}', "");
Expect(0, 119233, '\P{Is_Composition_Exclusion=_-F}', "");
Expect(1, 119233, '\P{^Is_Composition_Exclusion=_-F}', "");
Expect(0, 119232, '\p{Is_Composition_Exclusion=_-F}', "");
Expect(1, 119232, '\p{^Is_Composition_Exclusion=_-F}', "");
Expect(1, 119232, '\P{Is_Composition_Exclusion=_-F}', "");
Expect(0, 119232, '\P{^Is_Composition_Exclusion=_-F}', "");
Error('\p{Is_CE=--false/a/}');
Error('\P{Is_CE=--false/a/}');
Expect(1, 119233, '\p{Is_CE=false}', "");
Expect(0, 119233, '\p{^Is_CE=false}', "");
Expect(0, 119233, '\P{Is_CE=false}', "");
Expect(1, 119233, '\P{^Is_CE=false}', "");
Expect(0, 119232, '\p{Is_CE=false}', "");
Expect(1, 119232, '\p{^Is_CE=false}', "");
Expect(1, 119232, '\P{Is_CE=false}', "");
Expect(0, 119232, '\P{^Is_CE=false}', "");
Expect(1, 119233, '\p{Is_CE:    false}', "");
Expect(0, 119233, '\p{^Is_CE:    false}', "");
Expect(0, 119233, '\P{Is_CE:    false}', "");
Expect(1, 119233, '\P{^Is_CE:    false}', "");
Expect(0, 119232, '\p{Is_CE:    false}', "");
Expect(1, 119232, '\p{^Is_CE:    false}', "");
Expect(1, 119232, '\P{Is_CE:    false}', "");
Expect(0, 119232, '\P{^Is_CE:    false}', "");
Error('\p{Composition_Exclusion=:=_yes}');
Error('\P{Composition_Exclusion=:=_yes}');
Expect(1, 119232, '\p{Composition_Exclusion:yes}', "");
Expect(0, 119232, '\p{^Composition_Exclusion:yes}', "");
Expect(0, 119232, '\P{Composition_Exclusion:yes}', "");
Expect(1, 119232, '\P{^Composition_Exclusion:yes}', "");
Expect(0, 119233, '\p{Composition_Exclusion:yes}', "");
Expect(1, 119233, '\p{^Composition_Exclusion:yes}', "");
Expect(1, 119233, '\P{Composition_Exclusion:yes}', "");
Expect(0, 119233, '\P{^Composition_Exclusion:yes}', "");
Expect(1, 119232, '\p{Composition_Exclusion=_	Yes}', "");
Expect(0, 119232, '\p{^Composition_Exclusion=_	Yes}', "");
Expect(0, 119232, '\P{Composition_Exclusion=_	Yes}', "");
Expect(1, 119232, '\P{^Composition_Exclusion=_	Yes}', "");
Expect(0, 119233, '\p{Composition_Exclusion=_	Yes}', "");
Expect(1, 119233, '\p{^Composition_Exclusion=_	Yes}', "");
Expect(1, 119233, '\P{Composition_Exclusion=_	Yes}', "");
Expect(0, 119233, '\P{^Composition_Exclusion=_	Yes}', "");
Error('\p{CE=--y:=}');
Error('\P{CE=--y:=}');
Expect(1, 119232, '\p{CE=y}', "");
Expect(0, 119232, '\p{^CE=y}', "");
Expect(0, 119232, '\P{CE=y}', "");
Expect(1, 119232, '\P{^CE=y}', "");
Expect(0, 119233, '\p{CE=y}', "");
Expect(1, 119233, '\p{^CE=y}', "");
Expect(1, 119233, '\P{CE=y}', "");
Expect(0, 119233, '\P{^CE=y}', "");
Expect(1, 119232, '\p{CE=__y}', "");
Expect(0, 119232, '\p{^CE=__y}', "");
Expect(0, 119232, '\P{CE=__y}', "");
Expect(1, 119232, '\P{^CE=__y}', "");
Expect(0, 119233, '\p{CE=__y}', "");
Expect(1, 119233, '\p{^CE=__y}', "");
Expect(1, 119233, '\P{CE=__y}', "");
Expect(0, 119233, '\P{^CE=__y}', "");
Error('\p{Is_Composition_Exclusion=:=		T}');
Error('\P{Is_Composition_Exclusion=:=		T}');
Expect(1, 119232, '\p{Is_Composition_Exclusion=t}', "");
Expect(0, 119232, '\p{^Is_Composition_Exclusion=t}', "");
Expect(0, 119232, '\P{Is_Composition_Exclusion=t}', "");
Expect(1, 119232, '\P{^Is_Composition_Exclusion=t}', "");
Expect(0, 119233, '\p{Is_Composition_Exclusion=t}', "");
Expect(1, 119233, '\p{^Is_Composition_Exclusion=t}', "");
Expect(1, 119233, '\P{Is_Composition_Exclusion=t}', "");
Expect(0, 119233, '\P{^Is_Composition_Exclusion=t}', "");
Expect(1, 119232, '\p{Is_Composition_Exclusion=__t}', "");
Expect(0, 119232, '\p{^Is_Composition_Exclusion=__t}', "");
Expect(0, 119232, '\P{Is_Composition_Exclusion=__t}', "");
Expect(1, 119232, '\P{^Is_Composition_Exclusion=__t}', "");
Expect(0, 119233, '\p{Is_Composition_Exclusion=__t}', "");
Expect(1, 119233, '\p{^Is_Composition_Exclusion=__t}', "");
Expect(1, 119233, '\P{Is_Composition_Exclusion=__t}', "");
Expect(0, 119233, '\P{^Is_Composition_Exclusion=__t}', "");
Error('\p{Is_CE=_:=true}');
Error('\P{Is_CE=_:=true}');
Expect(1, 119232, '\p{Is_CE=true}', "");
Expect(0, 119232, '\p{^Is_CE=true}', "");
Expect(0, 119232, '\P{Is_CE=true}', "");
Expect(1, 119232, '\P{^Is_CE=true}', "");
Expect(0, 119233, '\p{Is_CE=true}', "");
Expect(1, 119233, '\p{^Is_CE=true}', "");
Expect(1, 119233, '\P{Is_CE=true}', "");
Expect(0, 119233, '\P{^Is_CE=true}', "");
Expect(1, 119232, '\p{Is_CE=_true}', "");
Expect(0, 119232, '\p{^Is_CE=_true}', "");
Expect(0, 119232, '\P{Is_CE=_true}', "");
Expect(1, 119232, '\P{^Is_CE=_true}', "");
Expect(0, 119233, '\p{Is_CE=_true}', "");
Expect(1, 119233, '\p{^Is_CE=_true}', "");
Expect(1, 119233, '\P{Is_CE=_true}', "");
Expect(0, 119233, '\P{^Is_CE=_true}', "");
Error('\p{Case_Ignorable=/a/no}');
Error('\P{Case_Ignorable=/a/no}');
Expect(1, 918000, '\p{Case_Ignorable=no}', "");
Expect(0, 918000, '\p{^Case_Ignorable=no}', "");
Expect(0, 918000, '\P{Case_Ignorable=no}', "");
Expect(1, 918000, '\P{^Case_Ignorable=no}', "");
Expect(0, 917999, '\p{Case_Ignorable=no}', "");
Expect(1, 917999, '\p{^Case_Ignorable=no}', "");
Expect(1, 917999, '\P{Case_Ignorable=no}', "");
Expect(0, 917999, '\P{^Case_Ignorable=no}', "");
Expect(1, 918000, '\p{Case_Ignorable=__No}', "");
Expect(0, 918000, '\p{^Case_Ignorable=__No}', "");
Expect(0, 918000, '\P{Case_Ignorable=__No}', "");
Expect(1, 918000, '\P{^Case_Ignorable=__No}', "");
Expect(0, 917999, '\p{Case_Ignorable=__No}', "");
Expect(1, 917999, '\p{^Case_Ignorable=__No}', "");
Expect(1, 917999, '\P{Case_Ignorable=__No}', "");
Expect(0, 917999, '\P{^Case_Ignorable=__No}', "");
Error('\p{CI:/a/		N}');
Error('\P{CI:/a/		N}');
Expect(1, 918000, '\p{CI=n}', "");
Expect(0, 918000, '\p{^CI=n}', "");
Expect(0, 918000, '\P{CI=n}', "");
Expect(1, 918000, '\P{^CI=n}', "");
Expect(0, 917999, '\p{CI=n}', "");
Expect(1, 917999, '\p{^CI=n}', "");
Expect(1, 917999, '\P{CI=n}', "");
Expect(0, 917999, '\P{^CI=n}', "");
Expect(1, 918000, '\p{CI:   _N}', "");
Expect(0, 918000, '\p{^CI:   _N}', "");
Expect(0, 918000, '\P{CI:   _N}', "");
Expect(1, 918000, '\P{^CI:   _N}', "");
Expect(0, 917999, '\p{CI:   _N}', "");
Expect(1, 917999, '\p{^CI:   _N}', "");
Expect(1, 917999, '\P{CI:   _N}', "");
Expect(0, 917999, '\P{^CI:   _N}', "");
Error('\p{Is_Case_Ignorable=-/a/F}');
Error('\P{Is_Case_Ignorable=-/a/F}');
Expect(1, 918000, '\p{Is_Case_Ignorable=f}', "");
Expect(0, 918000, '\p{^Is_Case_Ignorable=f}', "");
Expect(0, 918000, '\P{Is_Case_Ignorable=f}', "");
Expect(1, 918000, '\P{^Is_Case_Ignorable=f}', "");
Expect(0, 917999, '\p{Is_Case_Ignorable=f}', "");
Expect(1, 917999, '\p{^Is_Case_Ignorable=f}', "");
Expect(1, 917999, '\P{Is_Case_Ignorable=f}', "");
Expect(0, 917999, '\P{^Is_Case_Ignorable=f}', "");
Expect(1, 918000, '\p{Is_Case_Ignorable= -F}', "");
Expect(0, 918000, '\p{^Is_Case_Ignorable= -F}', "");
Expect(0, 918000, '\P{Is_Case_Ignorable= -F}', "");
Expect(1, 918000, '\P{^Is_Case_Ignorable= -F}', "");
Expect(0, 917999, '\p{Is_Case_Ignorable= -F}', "");
Expect(1, 917999, '\p{^Is_Case_Ignorable= -F}', "");
Expect(1, 917999, '\P{Is_Case_Ignorable= -F}', "");
Expect(0, 917999, '\P{^Is_Case_Ignorable= -F}', "");
Error('\p{Is_CI=	 False/a/}');
Error('\P{Is_CI=	 False/a/}');
Expect(1, 918000, '\p{Is_CI=false}', "");
Expect(0, 918000, '\p{^Is_CI=false}', "");
Expect(0, 918000, '\P{Is_CI=false}', "");
Expect(1, 918000, '\P{^Is_CI=false}', "");
Expect(0, 917999, '\p{Is_CI=false}', "");
Expect(1, 917999, '\p{^Is_CI=false}', "");
Expect(1, 917999, '\P{Is_CI=false}', "");
Expect(0, 917999, '\P{^Is_CI=false}', "");
Expect(1, 918000, '\p{Is_CI=- FALSE}', "");
Expect(0, 918000, '\p{^Is_CI=- FALSE}', "");
Expect(0, 918000, '\P{Is_CI=- FALSE}', "");
Expect(1, 918000, '\P{^Is_CI=- FALSE}', "");
Expect(0, 917999, '\p{Is_CI=- FALSE}', "");
Expect(1, 917999, '\p{^Is_CI=- FALSE}', "");
Expect(1, 917999, '\P{Is_CI=- FALSE}', "");
Expect(0, 917999, '\P{^Is_CI=- FALSE}', "");
Error('\p{Case_Ignorable=:= Yes}');
Error('\P{Case_Ignorable=:= Yes}');
Expect(1, 917999, '\p{Case_Ignorable:yes}', "");
Expect(0, 917999, '\p{^Case_Ignorable:yes}', "");
Expect(0, 917999, '\P{Case_Ignorable:yes}', "");
Expect(1, 917999, '\P{^Case_Ignorable:yes}', "");
Expect(0, 918000, '\p{Case_Ignorable:yes}', "");
Expect(1, 918000, '\p{^Case_Ignorable:yes}', "");
Expect(1, 918000, '\P{Case_Ignorable:yes}', "");
Expect(0, 918000, '\P{^Case_Ignorable:yes}', "");
Expect(1, 917999, '\p{Case_Ignorable:	_-yes}', "");
Expect(0, 917999, '\p{^Case_Ignorable:	_-yes}', "");
Expect(0, 917999, '\P{Case_Ignorable:	_-yes}', "");
Expect(1, 917999, '\P{^Case_Ignorable:	_-yes}', "");
Expect(0, 918000, '\p{Case_Ignorable:	_-yes}', "");
Expect(1, 918000, '\p{^Case_Ignorable:	_-yes}', "");
Expect(1, 918000, '\P{Case_Ignorable:	_-yes}', "");
Expect(0, 918000, '\P{^Case_Ignorable:	_-yes}', "");
Error('\p{CI:  :=y}');
Error('\P{CI:  :=y}');
Expect(1, 917999, '\p{CI=y}', "");
Expect(0, 917999, '\p{^CI=y}', "");
Expect(0, 917999, '\P{CI=y}', "");
Expect(1, 917999, '\P{^CI=y}', "");
Expect(0, 918000, '\p{CI=y}', "");
Expect(1, 918000, '\p{^CI=y}', "");
Expect(1, 918000, '\P{CI=y}', "");
Expect(0, 918000, '\P{^CI=y}', "");
Expect(1, 917999, '\p{CI=__Y}', "");
Expect(0, 917999, '\p{^CI=__Y}', "");
Expect(0, 917999, '\P{CI=__Y}', "");
Expect(1, 917999, '\P{^CI=__Y}', "");
Expect(0, 918000, '\p{CI=__Y}', "");
Expect(1, 918000, '\p{^CI=__Y}', "");
Expect(1, 918000, '\P{CI=__Y}', "");
Expect(0, 918000, '\P{^CI=__Y}', "");
Error('\p{Is_Case_Ignorable:   -:=T}');
Error('\P{Is_Case_Ignorable:   -:=T}');
Expect(1, 917999, '\p{Is_Case_Ignorable=t}', "");
Expect(0, 917999, '\p{^Is_Case_Ignorable=t}', "");
Expect(0, 917999, '\P{Is_Case_Ignorable=t}', "");
Expect(1, 917999, '\P{^Is_Case_Ignorable=t}', "");
Expect(0, 918000, '\p{Is_Case_Ignorable=t}', "");
Expect(1, 918000, '\p{^Is_Case_Ignorable=t}', "");
Expect(1, 918000, '\P{Is_Case_Ignorable=t}', "");
Expect(0, 918000, '\P{^Is_Case_Ignorable=t}', "");
Expect(1, 917999, '\p{Is_Case_Ignorable= T}', "");
Expect(0, 917999, '\p{^Is_Case_Ignorable= T}', "");
Expect(0, 917999, '\P{Is_Case_Ignorable= T}', "");
Expect(1, 917999, '\P{^Is_Case_Ignorable= T}', "");
Expect(0, 918000, '\p{Is_Case_Ignorable= T}', "");
Expect(1, 918000, '\p{^Is_Case_Ignorable= T}', "");
Expect(1, 918000, '\P{Is_Case_Ignorable= T}', "");
Expect(0, 918000, '\P{^Is_Case_Ignorable= T}', "");
Error('\p{Is_CI=/a/TRUE}');
Error('\P{Is_CI=/a/TRUE}');
Expect(1, 917999, '\p{Is_CI:	true}', "");
Expect(0, 917999, '\p{^Is_CI:	true}', "");
Expect(0, 917999, '\P{Is_CI:	true}', "");
Expect(1, 917999, '\P{^Is_CI:	true}', "");
Expect(0, 918000, '\p{Is_CI:	true}', "");
Expect(1, 918000, '\p{^Is_CI:	true}', "");
Expect(1, 918000, '\P{Is_CI:	true}', "");
Expect(0, 918000, '\P{^Is_CI:	true}', "");
Expect(1, 917999, '\p{Is_CI= -True}', "");
Expect(0, 917999, '\p{^Is_CI= -True}', "");
Expect(0, 917999, '\P{Is_CI= -True}', "");
Expect(1, 917999, '\P{^Is_CI= -True}', "");
Expect(0, 918000, '\p{Is_CI= -True}', "");
Expect(1, 918000, '\p{^Is_CI= -True}', "");
Expect(1, 918000, '\P{Is_CI= -True}', "");
Expect(0, 918000, '\P{^Is_CI= -True}', "");
Error('\p{Changes_When_Casefolded=:=_	no}');
Error('\P{Changes_When_Casefolded=:=_	no}');
Expect(1, 71872, '\p{Changes_When_Casefolded=no}', "");
Expect(0, 71872, '\p{^Changes_When_Casefolded=no}', "");
Expect(0, 71872, '\P{Changes_When_Casefolded=no}', "");
Expect(1, 71872, '\P{^Changes_When_Casefolded=no}', "");
Expect(0, 71871, '\p{Changes_When_Casefolded=no}', "");
Expect(1, 71871, '\p{^Changes_When_Casefolded=no}', "");
Expect(1, 71871, '\P{Changes_When_Casefolded=no}', "");
Expect(0, 71871, '\P{^Changes_When_Casefolded=no}', "");
Expect(1, 71872, '\p{Changes_When_Casefolded:--No}', "");
Expect(0, 71872, '\p{^Changes_When_Casefolded:--No}', "");
Expect(0, 71872, '\P{Changes_When_Casefolded:--No}', "");
Expect(1, 71872, '\P{^Changes_When_Casefolded:--No}', "");
Expect(0, 71871, '\p{Changes_When_Casefolded:--No}', "");
Expect(1, 71871, '\p{^Changes_When_Casefolded:--No}', "");
Expect(1, 71871, '\P{Changes_When_Casefolded:--No}', "");
Expect(0, 71871, '\P{^Changes_When_Casefolded:--No}', "");
Error('\p{CWCF=_/a/N}');
Error('\P{CWCF=_/a/N}');
Expect(1, 71872, '\p{CWCF=n}', "");
Expect(0, 71872, '\p{^CWCF=n}', "");
Expect(0, 71872, '\P{CWCF=n}', "");
Expect(1, 71872, '\P{^CWCF=n}', "");
Expect(0, 71871, '\p{CWCF=n}', "");
Expect(1, 71871, '\p{^CWCF=n}', "");
Expect(1, 71871, '\P{CWCF=n}', "");
Expect(0, 71871, '\P{^CWCF=n}', "");
Expect(1, 71872, '\p{CWCF:   N}', "");
Expect(0, 71872, '\p{^CWCF:   N}', "");
Expect(0, 71872, '\P{CWCF:   N}', "");
Expect(1, 71872, '\P{^CWCF:   N}', "");
Expect(0, 71871, '\p{CWCF:   N}', "");
Expect(1, 71871, '\p{^CWCF:   N}', "");
Expect(1, 71871, '\P{CWCF:   N}', "");
Expect(0, 71871, '\P{^CWCF:   N}', "");
Error('\p{Is_Changes_When_Casefolded=	/a/F}');
Error('\P{Is_Changes_When_Casefolded=	/a/F}');
Expect(1, 71872, '\p{Is_Changes_When_Casefolded=f}', "");
Expect(0, 71872, '\p{^Is_Changes_When_Casefolded=f}', "");
Expect(0, 71872, '\P{Is_Changes_When_Casefolded=f}', "");
Expect(1, 71872, '\P{^Is_Changes_When_Casefolded=f}', "");
Expect(0, 71871, '\p{Is_Changes_When_Casefolded=f}', "");
Expect(1, 71871, '\p{^Is_Changes_When_Casefolded=f}', "");
Expect(1, 71871, '\P{Is_Changes_When_Casefolded=f}', "");
Expect(0, 71871, '\P{^Is_Changes_When_Casefolded=f}', "");
Expect(1, 71872, '\p{Is_Changes_When_Casefolded= -f}', "");
Expect(0, 71872, '\p{^Is_Changes_When_Casefolded= -f}', "");
Expect(0, 71872, '\P{Is_Changes_When_Casefolded= -f}', "");
Expect(1, 71872, '\P{^Is_Changes_When_Casefolded= -f}', "");
Expect(0, 71871, '\p{Is_Changes_When_Casefolded= -f}', "");
Expect(1, 71871, '\p{^Is_Changes_When_Casefolded= -f}', "");
Expect(1, 71871, '\P{Is_Changes_When_Casefolded= -f}', "");
Expect(0, 71871, '\P{^Is_Changes_When_Casefolded= -f}', "");
Error('\p{Is_CWCF= :=False}');
Error('\P{Is_CWCF= :=False}');
Expect(1, 71872, '\p{Is_CWCF=false}', "");
Expect(0, 71872, '\p{^Is_CWCF=false}', "");
Expect(0, 71872, '\P{Is_CWCF=false}', "");
Expect(1, 71872, '\P{^Is_CWCF=false}', "");
Expect(0, 71871, '\p{Is_CWCF=false}', "");
Expect(1, 71871, '\p{^Is_CWCF=false}', "");
Expect(1, 71871, '\P{Is_CWCF=false}', "");
Expect(0, 71871, '\P{^Is_CWCF=false}', "");
Expect(1, 71872, '\p{Is_CWCF=	_false}', "");
Expect(0, 71872, '\p{^Is_CWCF=	_false}', "");
Expect(0, 71872, '\P{Is_CWCF=	_false}', "");
Expect(1, 71872, '\P{^Is_CWCF=	_false}', "");
Expect(0, 71871, '\p{Is_CWCF=	_false}', "");
Expect(1, 71871, '\p{^Is_CWCF=	_false}', "");
Expect(1, 71871, '\P{Is_CWCF=	_false}', "");
Expect(0, 71871, '\P{^Is_CWCF=	_false}', "");
Error('\p{Changes_When_Casefolded= -Yes:=}');
Error('\P{Changes_When_Casefolded= -Yes:=}');
Expect(1, 71871, '\p{Changes_When_Casefolded=yes}', "");
Expect(0, 71871, '\p{^Changes_When_Casefolded=yes}', "");
Expect(0, 71871, '\P{Changes_When_Casefolded=yes}', "");
Expect(1, 71871, '\P{^Changes_When_Casefolded=yes}', "");
Expect(0, 71872, '\p{Changes_When_Casefolded=yes}', "");
Expect(1, 71872, '\p{^Changes_When_Casefolded=yes}', "");
Expect(1, 71872, '\P{Changes_When_Casefolded=yes}', "");
Expect(0, 71872, '\P{^Changes_When_Casefolded=yes}', "");
Expect(1, 71871, '\p{Changes_When_Casefolded=_Yes}', "");
Expect(0, 71871, '\p{^Changes_When_Casefolded=_Yes}', "");
Expect(0, 71871, '\P{Changes_When_Casefolded=_Yes}', "");
Expect(1, 71871, '\P{^Changes_When_Casefolded=_Yes}', "");
Expect(0, 71872, '\p{Changes_When_Casefolded=_Yes}', "");
Expect(1, 71872, '\p{^Changes_When_Casefolded=_Yes}', "");
Expect(1, 71872, '\P{Changes_When_Casefolded=_Yes}', "");
Expect(0, 71872, '\P{^Changes_When_Casefolded=_Yes}', "");
Error('\p{CWCF=/a/ 	Y}');
Error('\P{CWCF=/a/ 	Y}');
Expect(1, 71871, '\p{CWCF:y}', "");
Expect(0, 71871, '\p{^CWCF:y}', "");
Expect(0, 71871, '\P{CWCF:y}', "");
Expect(1, 71871, '\P{^CWCF:y}', "");
Expect(0, 71872, '\p{CWCF:y}', "");
Expect(1, 71872, '\p{^CWCF:y}', "");
Expect(1, 71872, '\P{CWCF:y}', "");
Expect(0, 71872, '\P{^CWCF:y}', "");
Expect(1, 71871, '\p{CWCF=-y}', "");
Expect(0, 71871, '\p{^CWCF=-y}', "");
Expect(0, 71871, '\P{CWCF=-y}', "");
Expect(1, 71871, '\P{^CWCF=-y}', "");
Expect(0, 71872, '\p{CWCF=-y}', "");
Expect(1, 71872, '\p{^CWCF=-y}', "");
Expect(1, 71872, '\P{CWCF=-y}', "");
Expect(0, 71872, '\P{^CWCF=-y}', "");
Error('\p{Is_Changes_When_Casefolded= :=T}');
Error('\P{Is_Changes_When_Casefolded= :=T}');
Expect(1, 71871, '\p{Is_Changes_When_Casefolded:   t}', "");
Expect(0, 71871, '\p{^Is_Changes_When_Casefolded:   t}', "");
Expect(0, 71871, '\P{Is_Changes_When_Casefolded:   t}', "");
Expect(1, 71871, '\P{^Is_Changes_When_Casefolded:   t}', "");
Expect(0, 71872, '\p{Is_Changes_When_Casefolded:   t}', "");
Expect(1, 71872, '\p{^Is_Changes_When_Casefolded:   t}', "");
Expect(1, 71872, '\P{Is_Changes_When_Casefolded:   t}', "");
Expect(0, 71872, '\P{^Is_Changes_When_Casefolded:   t}', "");
Expect(1, 71871, '\p{Is_Changes_When_Casefolded=_-T}', "");
Expect(0, 71871, '\p{^Is_Changes_When_Casefolded=_-T}', "");
Expect(0, 71871, '\P{Is_Changes_When_Casefolded=_-T}', "");
Expect(1, 71871, '\P{^Is_Changes_When_Casefolded=_-T}', "");
Expect(0, 71872, '\p{Is_Changes_When_Casefolded=_-T}', "");
Expect(1, 71872, '\p{^Is_Changes_When_Casefolded=_-T}', "");
Expect(1, 71872, '\P{Is_Changes_When_Casefolded=_-T}', "");
Expect(0, 71872, '\P{^Is_Changes_When_Casefolded=_-T}', "");
Error('\p{Is_CWCF=TRUE/a/}');
Error('\P{Is_CWCF=TRUE/a/}');
Expect(1, 71871, '\p{Is_CWCF=true}', "");
Expect(0, 71871, '\p{^Is_CWCF=true}', "");
Expect(0, 71871, '\P{Is_CWCF=true}', "");
Expect(1, 71871, '\P{^Is_CWCF=true}', "");
Expect(0, 71872, '\p{Is_CWCF=true}', "");
Expect(1, 71872, '\p{^Is_CWCF=true}', "");
Expect(1, 71872, '\P{Is_CWCF=true}', "");
Expect(0, 71872, '\P{^Is_CWCF=true}', "");
Expect(1, 71871, '\p{Is_CWCF=-True}', "");
Expect(0, 71871, '\p{^Is_CWCF=-True}', "");
Expect(0, 71871, '\P{Is_CWCF=-True}', "");
Expect(1, 71871, '\P{^Is_CWCF=-True}', "");
Expect(0, 71872, '\p{Is_CWCF=-True}', "");
Expect(1, 71872, '\p{^Is_CWCF=-True}', "");
Expect(1, 71872, '\P{Is_CWCF=-True}', "");
Expect(0, 71872, '\P{^Is_CWCF=-True}', "");
Error('\p{Changes_When_Casemapped= /a/No}');
Error('\P{Changes_When_Casemapped= /a/No}');
Expect(1, 71904, '\p{Changes_When_Casemapped=no}', "");
Expect(0, 71904, '\p{^Changes_When_Casemapped=no}', "");
Expect(0, 71904, '\P{Changes_When_Casemapped=no}', "");
Expect(1, 71904, '\P{^Changes_When_Casemapped=no}', "");
Expect(0, 71903, '\p{Changes_When_Casemapped=no}', "");
Expect(1, 71903, '\p{^Changes_When_Casemapped=no}', "");
Expect(1, 71903, '\P{Changes_When_Casemapped=no}', "");
Expect(0, 71903, '\P{^Changes_When_Casemapped=no}', "");
Expect(1, 71904, '\p{Changes_When_Casemapped=	-no}', "");
Expect(0, 71904, '\p{^Changes_When_Casemapped=	-no}', "");
Expect(0, 71904, '\P{Changes_When_Casemapped=	-no}', "");
Expect(1, 71904, '\P{^Changes_When_Casemapped=	-no}', "");
Expect(0, 71903, '\p{Changes_When_Casemapped=	-no}', "");
Expect(1, 71903, '\p{^Changes_When_Casemapped=	-no}', "");
Expect(1, 71903, '\P{Changes_When_Casemapped=	-no}', "");
Expect(0, 71903, '\P{^Changes_When_Casemapped=	-no}', "");
Error('\p{CWCM:-N/a/}');
Error('\P{CWCM:-N/a/}');
Expect(1, 71904, '\p{CWCM=n}', "");
Expect(0, 71904, '\p{^CWCM=n}', "");
Expect(0, 71904, '\P{CWCM=n}', "");
Expect(1, 71904, '\P{^CWCM=n}', "");
Expect(0, 71903, '\p{CWCM=n}', "");
Expect(1, 71903, '\p{^CWCM=n}', "");
Expect(1, 71903, '\P{CWCM=n}', "");
Expect(0, 71903, '\P{^CWCM=n}', "");
Expect(1, 71904, '\p{CWCM=_	n}', "");
Expect(0, 71904, '\p{^CWCM=_	n}', "");
Expect(0, 71904, '\P{CWCM=_	n}', "");
Expect(1, 71904, '\P{^CWCM=_	n}', "");
Expect(0, 71903, '\p{CWCM=_	n}', "");
Expect(1, 71903, '\p{^CWCM=_	n}', "");
Expect(1, 71903, '\P{CWCM=_	n}', "");
Expect(0, 71903, '\P{^CWCM=_	n}', "");
Error('\p{Is_Changes_When_Casemapped=/a/-F}');
Error('\P{Is_Changes_When_Casemapped=/a/-F}');
Expect(1, 71904, '\p{Is_Changes_When_Casemapped=f}', "");
Expect(0, 71904, '\p{^Is_Changes_When_Casemapped=f}', "");
Expect(0, 71904, '\P{Is_Changes_When_Casemapped=f}', "");
Expect(1, 71904, '\P{^Is_Changes_When_Casemapped=f}', "");
Expect(0, 71903, '\p{Is_Changes_When_Casemapped=f}', "");
Expect(1, 71903, '\p{^Is_Changes_When_Casemapped=f}', "");
Expect(1, 71903, '\P{Is_Changes_When_Casemapped=f}', "");
Expect(0, 71903, '\P{^Is_Changes_When_Casemapped=f}', "");
Expect(1, 71904, '\p{Is_Changes_When_Casemapped=--F}', "");
Expect(0, 71904, '\p{^Is_Changes_When_Casemapped=--F}', "");
Expect(0, 71904, '\P{Is_Changes_When_Casemapped=--F}', "");
Expect(1, 71904, '\P{^Is_Changes_When_Casemapped=--F}', "");
Expect(0, 71903, '\p{Is_Changes_When_Casemapped=--F}', "");
Expect(1, 71903, '\p{^Is_Changes_When_Casemapped=--F}', "");
Expect(1, 71903, '\P{Is_Changes_When_Casemapped=--F}', "");
Expect(0, 71903, '\P{^Is_Changes_When_Casemapped=--F}', "");
Error('\p{Is_CWCM=	/a/False}');
Error('\P{Is_CWCM=	/a/False}');
Expect(1, 71904, '\p{Is_CWCM=false}', "");
Expect(0, 71904, '\p{^Is_CWCM=false}', "");
Expect(0, 71904, '\P{Is_CWCM=false}', "");
Expect(1, 71904, '\P{^Is_CWCM=false}', "");
Expect(0, 71903, '\p{Is_CWCM=false}', "");
Expect(1, 71903, '\p{^Is_CWCM=false}', "");
Expect(1, 71903, '\P{Is_CWCM=false}', "");
Expect(0, 71903, '\P{^Is_CWCM=false}', "");
Expect(1, 71904, '\p{Is_CWCM=-_false}', "");
Expect(0, 71904, '\p{^Is_CWCM=-_false}', "");
Expect(0, 71904, '\P{Is_CWCM=-_false}', "");
Expect(1, 71904, '\P{^Is_CWCM=-_false}', "");
Expect(0, 71903, '\p{Is_CWCM=-_false}', "");
Expect(1, 71903, '\p{^Is_CWCM=-_false}', "");
Expect(1, 71903, '\P{Is_CWCM=-_false}', "");
Expect(0, 71903, '\P{^Is_CWCM=-_false}', "");
Error('\p{Changes_When_Casemapped=_/a/YES}');
Error('\P{Changes_When_Casemapped=_/a/YES}');
Expect(1, 71903, '\p{Changes_When_Casemapped=yes}', "");
Expect(0, 71903, '\p{^Changes_When_Casemapped=yes}', "");
Expect(0, 71903, '\P{Changes_When_Casemapped=yes}', "");
Expect(1, 71903, '\P{^Changes_When_Casemapped=yes}', "");
Expect(0, 71904, '\p{Changes_When_Casemapped=yes}', "");
Expect(1, 71904, '\p{^Changes_When_Casemapped=yes}', "");
Expect(1, 71904, '\P{Changes_When_Casemapped=yes}', "");
Expect(0, 71904, '\P{^Changes_When_Casemapped=yes}', "");
Expect(1, 71903, '\p{Changes_When_Casemapped=-	yes}', "");
Expect(0, 71903, '\p{^Changes_When_Casemapped=-	yes}', "");
Expect(0, 71903, '\P{Changes_When_Casemapped=-	yes}', "");
Expect(1, 71903, '\P{^Changes_When_Casemapped=-	yes}', "");
Expect(0, 71904, '\p{Changes_When_Casemapped=-	yes}', "");
Expect(1, 71904, '\p{^Changes_When_Casemapped=-	yes}', "");
Expect(1, 71904, '\P{Changes_When_Casemapped=-	yes}', "");
Expect(0, 71904, '\P{^Changes_When_Casemapped=-	yes}', "");
Error('\p{CWCM=-:=Y}');
Error('\P{CWCM=-:=Y}');
Expect(1, 71903, '\p{CWCM=y}', "");
Expect(0, 71903, '\p{^CWCM=y}', "");
Expect(0, 71903, '\P{CWCM=y}', "");
Expect(1, 71903, '\P{^CWCM=y}', "");
Expect(0, 71904, '\p{CWCM=y}', "");
Expect(1, 71904, '\p{^CWCM=y}', "");
Expect(1, 71904, '\P{CWCM=y}', "");
Expect(0, 71904, '\P{^CWCM=y}', "");
Expect(1, 71903, '\p{CWCM=_ Y}', "");
Expect(0, 71903, '\p{^CWCM=_ Y}', "");
Expect(0, 71903, '\P{CWCM=_ Y}', "");
Expect(1, 71903, '\P{^CWCM=_ Y}', "");
Expect(0, 71904, '\p{CWCM=_ Y}', "");
Expect(1, 71904, '\p{^CWCM=_ Y}', "");
Expect(1, 71904, '\P{CWCM=_ Y}', "");
Expect(0, 71904, '\P{^CWCM=_ Y}', "");
Error('\p{Is_Changes_When_Casemapped=	 T/a/}');
Error('\P{Is_Changes_When_Casemapped=	 T/a/}');
Expect(1, 71903, '\p{Is_Changes_When_Casemapped=t}', "");
Expect(0, 71903, '\p{^Is_Changes_When_Casemapped=t}', "");
Expect(0, 71903, '\P{Is_Changes_When_Casemapped=t}', "");
Expect(1, 71903, '\P{^Is_Changes_When_Casemapped=t}', "");
Expect(0, 71904, '\p{Is_Changes_When_Casemapped=t}', "");
Expect(1, 71904, '\p{^Is_Changes_When_Casemapped=t}', "");
Expect(1, 71904, '\P{Is_Changes_When_Casemapped=t}', "");
Expect(0, 71904, '\P{^Is_Changes_When_Casemapped=t}', "");
Expect(1, 71903, '\p{Is_Changes_When_Casemapped:	 t}', "");
Expect(0, 71903, '\p{^Is_Changes_When_Casemapped:	 t}', "");
Expect(0, 71903, '\P{Is_Changes_When_Casemapped:	 t}', "");
Expect(1, 71903, '\P{^Is_Changes_When_Casemapped:	 t}', "");
Expect(0, 71904, '\p{Is_Changes_When_Casemapped:	 t}', "");
Expect(1, 71904, '\p{^Is_Changes_When_Casemapped:	 t}', "");
Expect(1, 71904, '\P{Is_Changes_When_Casemapped:	 t}', "");
Expect(0, 71904, '\P{^Is_Changes_When_Casemapped:	 t}', "");
Error('\p{Is_CWCM=:=True}');
Error('\P{Is_CWCM=:=True}');
Expect(1, 71903, '\p{Is_CWCM=true}', "");
Expect(0, 71903, '\p{^Is_CWCM=true}', "");
Expect(0, 71903, '\P{Is_CWCM=true}', "");
Expect(1, 71903, '\P{^Is_CWCM=true}', "");
Expect(0, 71904, '\p{Is_CWCM=true}', "");
Expect(1, 71904, '\p{^Is_CWCM=true}', "");
Expect(1, 71904, '\P{Is_CWCM=true}', "");
Expect(0, 71904, '\P{^Is_CWCM=true}', "");
Expect(1, 71903, '\p{Is_CWCM=_-TRUE}', "");
Expect(0, 71903, '\p{^Is_CWCM=_-TRUE}', "");
Expect(0, 71903, '\P{Is_CWCM=_-TRUE}', "");
Expect(1, 71903, '\P{^Is_CWCM=_-TRUE}', "");
Expect(0, 71904, '\p{Is_CWCM=_-TRUE}', "");
Expect(1, 71904, '\p{^Is_CWCM=_-TRUE}', "");
Expect(1, 71904, '\P{Is_CWCM=_-TRUE}', "");
Expect(0, 71904, '\P{^Is_CWCM=_-TRUE}', "");
Error('\p{Changes_When_NFKC_Casefolded=-_NO/a/}');
Error('\P{Changes_When_NFKC_Casefolded=-_NO/a/}');
Expect(1, 921600, '\p{Changes_When_NFKC_Casefolded:   no}', "");
Expect(0, 921600, '\p{^Changes_When_NFKC_Casefolded:   no}', "");
Expect(0, 921600, '\P{Changes_When_NFKC_Casefolded:   no}', "");
Expect(1, 921600, '\P{^Changes_When_NFKC_Casefolded:   no}', "");
Expect(0, 921599, '\p{Changes_When_NFKC_Casefolded:   no}', "");
Expect(1, 921599, '\p{^Changes_When_NFKC_Casefolded:   no}', "");
Expect(1, 921599, '\P{Changes_When_NFKC_Casefolded:   no}', "");
Expect(0, 921599, '\P{^Changes_When_NFKC_Casefolded:   no}', "");
Expect(1, 921600, '\p{Changes_When_NFKC_Casefolded=	-no}', "");
Expect(0, 921600, '\p{^Changes_When_NFKC_Casefolded=	-no}', "");
Expect(0, 921600, '\P{Changes_When_NFKC_Casefolded=	-no}', "");
Expect(1, 921600, '\P{^Changes_When_NFKC_Casefolded=	-no}', "");
Expect(0, 921599, '\p{Changes_When_NFKC_Casefolded=	-no}', "");
Expect(1, 921599, '\p{^Changes_When_NFKC_Casefolded=	-no}', "");
Expect(1, 921599, '\P{Changes_When_NFKC_Casefolded=	-no}', "");
Expect(0, 921599, '\P{^Changes_When_NFKC_Casefolded=	-no}', "");
Error('\p{CWKCF=/a/	n}');
Error('\P{CWKCF=/a/	n}');
Expect(1, 921600, '\p{CWKCF=n}', "");
Expect(0, 921600, '\p{^CWKCF=n}', "");
Expect(0, 921600, '\P{CWKCF=n}', "");
Expect(1, 921600, '\P{^CWKCF=n}', "");
Expect(0, 921599, '\p{CWKCF=n}', "");
Expect(1, 921599, '\p{^CWKCF=n}', "");
Expect(1, 921599, '\P{CWKCF=n}', "");
Expect(0, 921599, '\P{^CWKCF=n}', "");
Expect(1, 921600, '\p{CWKCF:   -N}', "");
Expect(0, 921600, '\p{^CWKCF:   -N}', "");
Expect(0, 921600, '\P{CWKCF:   -N}', "");
Expect(1, 921600, '\P{^CWKCF:   -N}', "");
Expect(0, 921599, '\p{CWKCF:   -N}', "");
Expect(1, 921599, '\p{^CWKCF:   -N}', "");
Expect(1, 921599, '\P{CWKCF:   -N}', "");
Expect(0, 921599, '\P{^CWKCF:   -N}', "");
Error('\p{Is_Changes_When_NFKC_Casefolded=/a/  F}');
Error('\P{Is_Changes_When_NFKC_Casefolded=/a/  F}');
Expect(1, 921600, '\p{Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(0, 921600, '\p{^Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(0, 921600, '\P{Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(1, 921600, '\P{^Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(0, 921599, '\p{Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(1, 921599, '\p{^Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(1, 921599, '\P{Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(0, 921599, '\P{^Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(1, 921600, '\p{Is_Changes_When_NFKC_Casefolded:    	f}', "");
Expect(0, 921600, '\p{^Is_Changes_When_NFKC_Casefolded:    	f}', "");
Expect(0, 921600, '\P{Is_Changes_When_NFKC_Casefolded:    	f}', "");
Expect(1, 921600, '\P{^Is_Changes_When_NFKC_Casefolded:    	f}', "");
Expect(0, 921599, '\p{Is_Changes_When_NFKC_Casefolded:    	f}', "");
Expect(1, 921599, '\p{^Is_Changes_When_NFKC_Casefolded:    	f}', "");
Expect(1, 921599, '\P{Is_Changes_When_NFKC_Casefolded:    	f}', "");
Expect(0, 921599, '\P{^Is_Changes_When_NFKC_Casefolded:    	f}', "");
Error('\p{Is_CWKCF=	 False:=}');
Error('\P{Is_CWKCF=	 False:=}');
Expect(1, 921600, '\p{Is_CWKCF=false}', "");
Expect(0, 921600, '\p{^Is_CWKCF=false}', "");
Expect(0, 921600, '\P{Is_CWKCF=false}', "");
Expect(1, 921600, '\P{^Is_CWKCF=false}', "");
Expect(0, 921599, '\p{Is_CWKCF=false}', "");
Expect(1, 921599, '\p{^Is_CWKCF=false}', "");
Expect(1, 921599, '\P{Is_CWKCF=false}', "");
Expect(0, 921599, '\P{^Is_CWKCF=false}', "");
Expect(1, 921600, '\p{Is_CWKCF=_-FALSE}', "");
Expect(0, 921600, '\p{^Is_CWKCF=_-FALSE}', "");
Expect(0, 921600, '\P{Is_CWKCF=_-FALSE}', "");
Expect(1, 921600, '\P{^Is_CWKCF=_-FALSE}', "");
Expect(0, 921599, '\p{Is_CWKCF=_-FALSE}', "");
Expect(1, 921599, '\p{^Is_CWKCF=_-FALSE}', "");
Expect(1, 921599, '\P{Is_CWKCF=_-FALSE}', "");
Expect(0, 921599, '\P{^Is_CWKCF=_-FALSE}', "");
Error('\p{Changes_When_NFKC_Casefolded=/a/		Yes}');
Error('\P{Changes_When_NFKC_Casefolded=/a/		Yes}');
Expect(1, 921599, '\p{Changes_When_NFKC_Casefolded=yes}', "");
Expect(0, 921599, '\p{^Changes_When_NFKC_Casefolded=yes}', "");
Expect(0, 921599, '\P{Changes_When_NFKC_Casefolded=yes}', "");
Expect(1, 921599, '\P{^Changes_When_NFKC_Casefolded=yes}', "");
Expect(0, 921600, '\p{Changes_When_NFKC_Casefolded=yes}', "");
Expect(1, 921600, '\p{^Changes_When_NFKC_Casefolded=yes}', "");
Expect(1, 921600, '\P{Changes_When_NFKC_Casefolded=yes}', "");
Expect(0, 921600, '\P{^Changes_When_NFKC_Casefolded=yes}', "");
Expect(1, 921599, '\p{Changes_When_NFKC_Casefolded=	-yes}', "");
Expect(0, 921599, '\p{^Changes_When_NFKC_Casefolded=	-yes}', "");
Expect(0, 921599, '\P{Changes_When_NFKC_Casefolded=	-yes}', "");
Expect(1, 921599, '\P{^Changes_When_NFKC_Casefolded=	-yes}', "");
Expect(0, 921600, '\p{Changes_When_NFKC_Casefolded=	-yes}', "");
Expect(1, 921600, '\p{^Changes_When_NFKC_Casefolded=	-yes}', "");
Expect(1, 921600, '\P{Changes_When_NFKC_Casefolded=	-yes}', "");
Expect(0, 921600, '\P{^Changes_When_NFKC_Casefolded=	-yes}', "");
Error('\p{CWKCF=		Y:=}');
Error('\P{CWKCF=		Y:=}');
Expect(1, 921599, '\p{CWKCF=y}', "");
Expect(0, 921599, '\p{^CWKCF=y}', "");
Expect(0, 921599, '\P{CWKCF=y}', "");
Expect(1, 921599, '\P{^CWKCF=y}', "");
Expect(0, 921600, '\p{CWKCF=y}', "");
Expect(1, 921600, '\p{^CWKCF=y}', "");
Expect(1, 921600, '\P{CWKCF=y}', "");
Expect(0, 921600, '\P{^CWKCF=y}', "");
Expect(1, 921599, '\p{CWKCF=-Y}', "");
Expect(0, 921599, '\p{^CWKCF=-Y}', "");
Expect(0, 921599, '\P{CWKCF=-Y}', "");
Expect(1, 921599, '\P{^CWKCF=-Y}', "");
Expect(0, 921600, '\p{CWKCF=-Y}', "");
Expect(1, 921600, '\p{^CWKCF=-Y}', "");
Expect(1, 921600, '\P{CWKCF=-Y}', "");
Expect(0, 921600, '\P{^CWKCF=-Y}', "");
Error('\p{Is_Changes_When_NFKC_Casefolded= 	t:=}');
Error('\P{Is_Changes_When_NFKC_Casefolded= 	t:=}');
Expect(1, 921599, '\p{Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(0, 921599, '\p{^Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(0, 921599, '\P{Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(1, 921599, '\P{^Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(0, 921600, '\p{Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(1, 921600, '\p{^Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(1, 921600, '\P{Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(0, 921600, '\P{^Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(1, 921599, '\p{Is_Changes_When_NFKC_Casefolded= _T}', "");
Expect(0, 921599, '\p{^Is_Changes_When_NFKC_Casefolded= _T}', "");
Expect(0, 921599, '\P{Is_Changes_When_NFKC_Casefolded= _T}', "");
Expect(1, 921599, '\P{^Is_Changes_When_NFKC_Casefolded= _T}', "");
Expect(0, 921600, '\p{Is_Changes_When_NFKC_Casefolded= _T}', "");
Expect(1, 921600, '\p{^Is_Changes_When_NFKC_Casefolded= _T}', "");
Expect(1, 921600, '\P{Is_Changes_When_NFKC_Casefolded= _T}', "");
Expect(0, 921600, '\P{^Is_Changes_When_NFKC_Casefolded= _T}', "");
Error('\p{Is_CWKCF=:=	true}');
Error('\P{Is_CWKCF=:=	true}');
Expect(1, 921599, '\p{Is_CWKCF=true}', "");
Expect(0, 921599, '\p{^Is_CWKCF=true}', "");
Expect(0, 921599, '\P{Is_CWKCF=true}', "");
Expect(1, 921599, '\P{^Is_CWKCF=true}', "");
Expect(0, 921600, '\p{Is_CWKCF=true}', "");
Expect(1, 921600, '\p{^Is_CWKCF=true}', "");
Expect(1, 921600, '\P{Is_CWKCF=true}', "");
Expect(0, 921600, '\P{^Is_CWKCF=true}', "");
Expect(1, 921599, '\p{Is_CWKCF=- True}', "");
Expect(0, 921599, '\p{^Is_CWKCF=- True}', "");
Expect(0, 921599, '\P{Is_CWKCF=- True}', "");
Expect(1, 921599, '\P{^Is_CWKCF=- True}', "");
Expect(0, 921600, '\p{Is_CWKCF=- True}', "");
Expect(1, 921600, '\p{^Is_CWKCF=- True}', "");
Expect(1, 921600, '\P{Is_CWKCF=- True}', "");
Expect(0, 921600, '\P{^Is_CWKCF=- True}', "");
Error('\p{Changes_When_Lowercased=_No/a/}');
Error('\P{Changes_When_Lowercased=_No/a/}');
Expect(1, 71872, '\p{Changes_When_Lowercased=no}', "");
Expect(0, 71872, '\p{^Changes_When_Lowercased=no}', "");
Expect(0, 71872, '\P{Changes_When_Lowercased=no}', "");
Expect(1, 71872, '\P{^Changes_When_Lowercased=no}', "");
Expect(0, 71871, '\p{Changes_When_Lowercased=no}', "");
Expect(1, 71871, '\p{^Changes_When_Lowercased=no}', "");
Expect(1, 71871, '\P{Changes_When_Lowercased=no}', "");
Expect(0, 71871, '\P{^Changes_When_Lowercased=no}', "");
Expect(1, 71872, '\p{Changes_When_Lowercased=-	No}', "");
Expect(0, 71872, '\p{^Changes_When_Lowercased=-	No}', "");
Expect(0, 71872, '\P{Changes_When_Lowercased=-	No}', "");
Expect(1, 71872, '\P{^Changes_When_Lowercased=-	No}', "");
Expect(0, 71871, '\p{Changes_When_Lowercased=-	No}', "");
Expect(1, 71871, '\p{^Changes_When_Lowercased=-	No}', "");
Expect(1, 71871, '\P{Changes_When_Lowercased=-	No}', "");
Expect(0, 71871, '\P{^Changes_When_Lowercased=-	No}', "");
Error('\p{CWL=-/a/N}');
Error('\P{CWL=-/a/N}');
Expect(1, 71872, '\p{CWL=n}', "");
Expect(0, 71872, '\p{^CWL=n}', "");
Expect(0, 71872, '\P{CWL=n}', "");
Expect(1, 71872, '\P{^CWL=n}', "");
Expect(0, 71871, '\p{CWL=n}', "");
Expect(1, 71871, '\p{^CWL=n}', "");
Expect(1, 71871, '\P{CWL=n}', "");
Expect(0, 71871, '\P{^CWL=n}', "");
Expect(1, 71872, '\p{CWL:	_N}', "");
Expect(0, 71872, '\p{^CWL:	_N}', "");
Expect(0, 71872, '\P{CWL:	_N}', "");
Expect(1, 71872, '\P{^CWL:	_N}', "");
Expect(0, 71871, '\p{CWL:	_N}', "");
Expect(1, 71871, '\p{^CWL:	_N}', "");
Expect(1, 71871, '\P{CWL:	_N}', "");
Expect(0, 71871, '\P{^CWL:	_N}', "");
Error('\p{Is_Changes_When_Lowercased=/a/f}');
Error('\P{Is_Changes_When_Lowercased=/a/f}');
Expect(1, 71872, '\p{Is_Changes_When_Lowercased:	f}', "");
Expect(0, 71872, '\p{^Is_Changes_When_Lowercased:	f}', "");
Expect(0, 71872, '\P{Is_Changes_When_Lowercased:	f}', "");
Expect(1, 71872, '\P{^Is_Changes_When_Lowercased:	f}', "");
Expect(0, 71871, '\p{Is_Changes_When_Lowercased:	f}', "");
Expect(1, 71871, '\p{^Is_Changes_When_Lowercased:	f}', "");
Expect(1, 71871, '\P{Is_Changes_When_Lowercased:	f}', "");
Expect(0, 71871, '\P{^Is_Changes_When_Lowercased:	f}', "");
Expect(1, 71872, '\p{Is_Changes_When_Lowercased=_-F}', "");
Expect(0, 71872, '\p{^Is_Changes_When_Lowercased=_-F}', "");
Expect(0, 71872, '\P{Is_Changes_When_Lowercased=_-F}', "");
Expect(1, 71872, '\P{^Is_Changes_When_Lowercased=_-F}', "");
Expect(0, 71871, '\p{Is_Changes_When_Lowercased=_-F}', "");
Expect(1, 71871, '\p{^Is_Changes_When_Lowercased=_-F}', "");
Expect(1, 71871, '\P{Is_Changes_When_Lowercased=_-F}', "");
Expect(0, 71871, '\P{^Is_Changes_When_Lowercased=_-F}', "");
Error('\p{Is_CWL=_-False:=}');
Error('\P{Is_CWL=_-False:=}');
Expect(1, 71872, '\p{Is_CWL=false}', "");
Expect(0, 71872, '\p{^Is_CWL=false}', "");
Expect(0, 71872, '\P{Is_CWL=false}', "");
Expect(1, 71872, '\P{^Is_CWL=false}', "");
Expect(0, 71871, '\p{Is_CWL=false}', "");
Expect(1, 71871, '\p{^Is_CWL=false}', "");
Expect(1, 71871, '\P{Is_CWL=false}', "");
Expect(0, 71871, '\P{^Is_CWL=false}', "");
Expect(1, 71872, '\p{Is_CWL=  false}', "");
Expect(0, 71872, '\p{^Is_CWL=  false}', "");
Expect(0, 71872, '\P{Is_CWL=  false}', "");
Expect(1, 71872, '\P{^Is_CWL=  false}', "");
Expect(0, 71871, '\p{Is_CWL=  false}', "");
Expect(1, 71871, '\p{^Is_CWL=  false}', "");
Expect(1, 71871, '\P{Is_CWL=  false}', "");
Expect(0, 71871, '\P{^Is_CWL=  false}', "");
Error('\p{Changes_When_Lowercased=_	Yes:=}');
Error('\P{Changes_When_Lowercased=_	Yes:=}');
Expect(1, 71871, '\p{Changes_When_Lowercased=yes}', "");
Expect(0, 71871, '\p{^Changes_When_Lowercased=yes}', "");
Expect(0, 71871, '\P{Changes_When_Lowercased=yes}', "");
Expect(1, 71871, '\P{^Changes_When_Lowercased=yes}', "");
Expect(0, 71872, '\p{Changes_When_Lowercased=yes}', "");
Expect(1, 71872, '\p{^Changes_When_Lowercased=yes}', "");
Expect(1, 71872, '\P{Changes_When_Lowercased=yes}', "");
Expect(0, 71872, '\P{^Changes_When_Lowercased=yes}', "");
Expect(1, 71871, '\p{Changes_When_Lowercased=	Yes}', "");
Expect(0, 71871, '\p{^Changes_When_Lowercased=	Yes}', "");
Expect(0, 71871, '\P{Changes_When_Lowercased=	Yes}', "");
Expect(1, 71871, '\P{^Changes_When_Lowercased=	Yes}', "");
Expect(0, 71872, '\p{Changes_When_Lowercased=	Yes}', "");
Expect(1, 71872, '\p{^Changes_When_Lowercased=	Yes}', "");
Expect(1, 71872, '\P{Changes_When_Lowercased=	Yes}', "");
Expect(0, 71872, '\P{^Changes_When_Lowercased=	Yes}', "");
Error('\p{CWL=	Y/a/}');
Error('\P{CWL=	Y/a/}');
Expect(1, 71871, '\p{CWL=y}', "");
Expect(0, 71871, '\p{^CWL=y}', "");
Expect(0, 71871, '\P{CWL=y}', "");
Expect(1, 71871, '\P{^CWL=y}', "");
Expect(0, 71872, '\p{CWL=y}', "");
Expect(1, 71872, '\p{^CWL=y}', "");
Expect(1, 71872, '\P{CWL=y}', "");
Expect(0, 71872, '\P{^CWL=y}', "");
Expect(1, 71871, '\p{CWL=_	Y}', "");
Expect(0, 71871, '\p{^CWL=_	Y}', "");
Expect(0, 71871, '\P{CWL=_	Y}', "");
Expect(1, 71871, '\P{^CWL=_	Y}', "");
Expect(0, 71872, '\p{CWL=_	Y}', "");
Expect(1, 71872, '\p{^CWL=_	Y}', "");
Expect(1, 71872, '\P{CWL=_	Y}', "");
Expect(0, 71872, '\P{^CWL=_	Y}', "");
Error('\p{Is_Changes_When_Lowercased= /a/T}');
Error('\P{Is_Changes_When_Lowercased= /a/T}');
Expect(1, 71871, '\p{Is_Changes_When_Lowercased=t}', "");
Expect(0, 71871, '\p{^Is_Changes_When_Lowercased=t}', "");
Expect(0, 71871, '\P{Is_Changes_When_Lowercased=t}', "");
Expect(1, 71871, '\P{^Is_Changes_When_Lowercased=t}', "");
Expect(0, 71872, '\p{Is_Changes_When_Lowercased=t}', "");
Expect(1, 71872, '\p{^Is_Changes_When_Lowercased=t}', "");
Expect(1, 71872, '\P{Is_Changes_When_Lowercased=t}', "");
Expect(0, 71872, '\P{^Is_Changes_When_Lowercased=t}', "");
Expect(1, 71871, '\p{Is_Changes_When_Lowercased=- T}', "");
Expect(0, 71871, '\p{^Is_Changes_When_Lowercased=- T}', "");
Expect(0, 71871, '\P{Is_Changes_When_Lowercased=- T}', "");
Expect(1, 71871, '\P{^Is_Changes_When_Lowercased=- T}', "");
Expect(0, 71872, '\p{Is_Changes_When_Lowercased=- T}', "");
Expect(1, 71872, '\p{^Is_Changes_When_Lowercased=- T}', "");
Expect(1, 71872, '\P{Is_Changes_When_Lowercased=- T}', "");
Expect(0, 71872, '\P{^Is_Changes_When_Lowercased=- T}', "");
Error('\p{Is_CWL:   :=	 True}');
Error('\P{Is_CWL:   :=	 True}');
Expect(1, 71871, '\p{Is_CWL=true}', "");
Expect(0, 71871, '\p{^Is_CWL=true}', "");
Expect(0, 71871, '\P{Is_CWL=true}', "");
Expect(1, 71871, '\P{^Is_CWL=true}', "");
Expect(0, 71872, '\p{Is_CWL=true}', "");
Expect(1, 71872, '\p{^Is_CWL=true}', "");
Expect(1, 71872, '\P{Is_CWL=true}', "");
Expect(0, 71872, '\P{^Is_CWL=true}', "");
Expect(1, 71871, '\p{Is_CWL=-True}', "");
Expect(0, 71871, '\p{^Is_CWL=-True}', "");
Expect(0, 71871, '\P{Is_CWL=-True}', "");
Expect(1, 71871, '\P{^Is_CWL=-True}', "");
Expect(0, 71872, '\p{Is_CWL=-True}', "");
Expect(1, 71872, '\p{^Is_CWL=-True}', "");
Expect(1, 71872, '\P{Is_CWL=-True}', "");
Expect(0, 71872, '\P{^Is_CWL=-True}', "");
Error('\p{Changes_When_Titlecased: -/a/No}');
Error('\P{Changes_When_Titlecased: -/a/No}');
Expect(1, 71904, '\p{Changes_When_Titlecased=no}', "");
Expect(0, 71904, '\p{^Changes_When_Titlecased=no}', "");
Expect(0, 71904, '\P{Changes_When_Titlecased=no}', "");
Expect(1, 71904, '\P{^Changes_When_Titlecased=no}', "");
Expect(0, 71903, '\p{Changes_When_Titlecased=no}', "");
Expect(1, 71903, '\p{^Changes_When_Titlecased=no}', "");
Expect(1, 71903, '\P{Changes_When_Titlecased=no}', "");
Expect(0, 71903, '\P{^Changes_When_Titlecased=no}', "");
Expect(1, 71904, '\p{Changes_When_Titlecased= _No}', "");
Expect(0, 71904, '\p{^Changes_When_Titlecased= _No}', "");
Expect(0, 71904, '\P{Changes_When_Titlecased= _No}', "");
Expect(1, 71904, '\P{^Changes_When_Titlecased= _No}', "");
Expect(0, 71903, '\p{Changes_When_Titlecased= _No}', "");
Expect(1, 71903, '\p{^Changes_When_Titlecased= _No}', "");
Expect(1, 71903, '\P{Changes_When_Titlecased= _No}', "");
Expect(0, 71903, '\P{^Changes_When_Titlecased= _No}', "");
Error('\p{CWT=/a/		N}');
Error('\P{CWT=/a/		N}');
Expect(1, 71904, '\p{CWT=n}', "");
Expect(0, 71904, '\p{^CWT=n}', "");
Expect(0, 71904, '\P{CWT=n}', "");
Expect(1, 71904, '\P{^CWT=n}', "");
Expect(0, 71903, '\p{CWT=n}', "");
Expect(1, 71903, '\p{^CWT=n}', "");
Expect(1, 71903, '\P{CWT=n}', "");
Expect(0, 71903, '\P{^CWT=n}', "");
Expect(1, 71904, '\p{CWT:	_n}', "");
Expect(0, 71904, '\p{^CWT:	_n}', "");
Expect(0, 71904, '\P{CWT:	_n}', "");
Expect(1, 71904, '\P{^CWT:	_n}', "");
Expect(0, 71903, '\p{CWT:	_n}', "");
Expect(1, 71903, '\p{^CWT:	_n}', "");
Expect(1, 71903, '\P{CWT:	_n}', "");
Expect(0, 71903, '\P{^CWT:	_n}', "");
Error('\p{Is_Changes_When_Titlecased=  F/a/}');
Error('\P{Is_Changes_When_Titlecased=  F/a/}');
Expect(1, 71904, '\p{Is_Changes_When_Titlecased=f}', "");
Expect(0, 71904, '\p{^Is_Changes_When_Titlecased=f}', "");
Expect(0, 71904, '\P{Is_Changes_When_Titlecased=f}', "");
Expect(1, 71904, '\P{^Is_Changes_When_Titlecased=f}', "");
Expect(0, 71903, '\p{Is_Changes_When_Titlecased=f}', "");
Expect(1, 71903, '\p{^Is_Changes_When_Titlecased=f}', "");
Expect(1, 71903, '\P{Is_Changes_When_Titlecased=f}', "");
Expect(0, 71903, '\P{^Is_Changes_When_Titlecased=f}', "");
Expect(1, 71904, '\p{Is_Changes_When_Titlecased=	_F}', "");
Expect(0, 71904, '\p{^Is_Changes_When_Titlecased=	_F}', "");
Expect(0, 71904, '\P{Is_Changes_When_Titlecased=	_F}', "");
Expect(1, 71904, '\P{^Is_Changes_When_Titlecased=	_F}', "");
Expect(0, 71903, '\p{Is_Changes_When_Titlecased=	_F}', "");
Expect(1, 71903, '\p{^Is_Changes_When_Titlecased=	_F}', "");
Expect(1, 71903, '\P{Is_Changes_When_Titlecased=	_F}', "");
Expect(0, 71903, '\P{^Is_Changes_When_Titlecased=	_F}', "");
Error('\p{Is_CWT=/a/	 FALSE}');
Error('\P{Is_CWT=/a/	 FALSE}');
Expect(1, 71904, '\p{Is_CWT=false}', "");
Expect(0, 71904, '\p{^Is_CWT=false}', "");
Expect(0, 71904, '\P{Is_CWT=false}', "");
Expect(1, 71904, '\P{^Is_CWT=false}', "");
Expect(0, 71903, '\p{Is_CWT=false}', "");
Expect(1, 71903, '\p{^Is_CWT=false}', "");
Expect(1, 71903, '\P{Is_CWT=false}', "");
Expect(0, 71903, '\P{^Is_CWT=false}', "");
Expect(1, 71904, '\p{Is_CWT=	false}', "");
Expect(0, 71904, '\p{^Is_CWT=	false}', "");
Expect(0, 71904, '\P{Is_CWT=	false}', "");
Expect(1, 71904, '\P{^Is_CWT=	false}', "");
Expect(0, 71903, '\p{Is_CWT=	false}', "");
Expect(1, 71903, '\p{^Is_CWT=	false}', "");
Expect(1, 71903, '\P{Is_CWT=	false}', "");
Expect(0, 71903, '\P{^Is_CWT=	false}', "");
Error('\p{Changes_When_Titlecased=:=	YES}');
Error('\P{Changes_When_Titlecased=:=	YES}');
Expect(1, 71903, '\p{Changes_When_Titlecased=yes}', "");
Expect(0, 71903, '\p{^Changes_When_Titlecased=yes}', "");
Expect(0, 71903, '\P{Changes_When_Titlecased=yes}', "");
Expect(1, 71903, '\P{^Changes_When_Titlecased=yes}', "");
Expect(0, 71904, '\p{Changes_When_Titlecased=yes}', "");
Expect(1, 71904, '\p{^Changes_When_Titlecased=yes}', "");
Expect(1, 71904, '\P{Changes_When_Titlecased=yes}', "");
Expect(0, 71904, '\P{^Changes_When_Titlecased=yes}', "");
Expect(1, 71903, '\p{Changes_When_Titlecased= 	yes}', "");
Expect(0, 71903, '\p{^Changes_When_Titlecased= 	yes}', "");
Expect(0, 71903, '\P{Changes_When_Titlecased= 	yes}', "");
Expect(1, 71903, '\P{^Changes_When_Titlecased= 	yes}', "");
Expect(0, 71904, '\p{Changes_When_Titlecased= 	yes}', "");
Expect(1, 71904, '\p{^Changes_When_Titlecased= 	yes}', "");
Expect(1, 71904, '\P{Changes_When_Titlecased= 	yes}', "");
Expect(0, 71904, '\P{^Changes_When_Titlecased= 	yes}', "");
Error('\p{CWT=:=Y}');
Error('\P{CWT=:=Y}');
Expect(1, 71903, '\p{CWT=y}', "");
Expect(0, 71903, '\p{^CWT=y}', "");
Expect(0, 71903, '\P{CWT=y}', "");
Expect(1, 71903, '\P{^CWT=y}', "");
Expect(0, 71904, '\p{CWT=y}', "");
Expect(1, 71904, '\p{^CWT=y}', "");
Expect(1, 71904, '\P{CWT=y}', "");
Expect(0, 71904, '\P{^CWT=y}', "");
Expect(1, 71903, '\p{CWT=_ Y}', "");
Expect(0, 71903, '\p{^CWT=_ Y}', "");
Expect(0, 71903, '\P{CWT=_ Y}', "");
Expect(1, 71903, '\P{^CWT=_ Y}', "");
Expect(0, 71904, '\p{CWT=_ Y}', "");
Expect(1, 71904, '\p{^CWT=_ Y}', "");
Expect(1, 71904, '\P{CWT=_ Y}', "");
Expect(0, 71904, '\P{^CWT=_ Y}', "");
Error('\p{Is_Changes_When_Titlecased=/a/_T}');
Error('\P{Is_Changes_When_Titlecased=/a/_T}');
Expect(1, 71903, '\p{Is_Changes_When_Titlecased:   t}', "");
Expect(0, 71903, '\p{^Is_Changes_When_Titlecased:   t}', "");
Expect(0, 71903, '\P{Is_Changes_When_Titlecased:   t}', "");
Expect(1, 71903, '\P{^Is_Changes_When_Titlecased:   t}', "");
Expect(0, 71904, '\p{Is_Changes_When_Titlecased:   t}', "");
Expect(1, 71904, '\p{^Is_Changes_When_Titlecased:   t}', "");
Expect(1, 71904, '\P{Is_Changes_When_Titlecased:   t}', "");
Expect(0, 71904, '\P{^Is_Changes_When_Titlecased:   t}', "");
Expect(1, 71903, '\p{Is_Changes_When_Titlecased=- T}', "");
Expect(0, 71903, '\p{^Is_Changes_When_Titlecased=- T}', "");
Expect(0, 71903, '\P{Is_Changes_When_Titlecased=- T}', "");
Expect(1, 71903, '\P{^Is_Changes_When_Titlecased=- T}', "");
Expect(0, 71904, '\p{Is_Changes_When_Titlecased=- T}', "");
Expect(1, 71904, '\p{^Is_Changes_When_Titlecased=- T}', "");
Expect(1, 71904, '\P{Is_Changes_When_Titlecased=- T}', "");
Expect(0, 71904, '\P{^Is_Changes_When_Titlecased=- T}', "");
Error('\p{Is_CWT:   _-True/a/}');
Error('\P{Is_CWT:   _-True/a/}');
Expect(1, 71903, '\p{Is_CWT=true}', "");
Expect(0, 71903, '\p{^Is_CWT=true}', "");
Expect(0, 71903, '\P{Is_CWT=true}', "");
Expect(1, 71903, '\P{^Is_CWT=true}', "");
Expect(0, 71904, '\p{Is_CWT=true}', "");
Expect(1, 71904, '\p{^Is_CWT=true}', "");
Expect(1, 71904, '\P{Is_CWT=true}', "");
Expect(0, 71904, '\P{^Is_CWT=true}', "");
Expect(1, 71903, '\p{Is_CWT=_true}', "");
Expect(0, 71903, '\p{^Is_CWT=_true}', "");
Expect(0, 71903, '\P{Is_CWT=_true}', "");
Expect(1, 71903, '\P{^Is_CWT=_true}', "");
Expect(0, 71904, '\p{Is_CWT=_true}', "");
Expect(1, 71904, '\p{^Is_CWT=_true}', "");
Expect(1, 71904, '\P{Is_CWT=_true}', "");
Expect(0, 71904, '\P{^Is_CWT=_true}', "");
Error('\p{Changes_When_Uppercased=/a/_NO}');
Error('\P{Changes_When_Uppercased=/a/_NO}');
Expect(1, 71904, '\p{Changes_When_Uppercased=no}', "");
Expect(0, 71904, '\p{^Changes_When_Uppercased=no}', "");
Expect(0, 71904, '\P{Changes_When_Uppercased=no}', "");
Expect(1, 71904, '\P{^Changes_When_Uppercased=no}', "");
Expect(0, 71903, '\p{Changes_When_Uppercased=no}', "");
Expect(1, 71903, '\p{^Changes_When_Uppercased=no}', "");
Expect(1, 71903, '\P{Changes_When_Uppercased=no}', "");
Expect(0, 71903, '\P{^Changes_When_Uppercased=no}', "");
Expect(1, 71904, '\p{Changes_When_Uppercased=-No}', "");
Expect(0, 71904, '\p{^Changes_When_Uppercased=-No}', "");
Expect(0, 71904, '\P{Changes_When_Uppercased=-No}', "");
Expect(1, 71904, '\P{^Changes_When_Uppercased=-No}', "");
Expect(0, 71903, '\p{Changes_When_Uppercased=-No}', "");
Expect(1, 71903, '\p{^Changes_When_Uppercased=-No}', "");
Expect(1, 71903, '\P{Changes_When_Uppercased=-No}', "");
Expect(0, 71903, '\P{^Changes_When_Uppercased=-No}', "");
Error('\p{CWU=-N/a/}');
Error('\P{CWU=-N/a/}');
Expect(1, 71904, '\p{CWU=n}', "");
Expect(0, 71904, '\p{^CWU=n}', "");
Expect(0, 71904, '\P{CWU=n}', "");
Expect(1, 71904, '\P{^CWU=n}', "");
Expect(0, 71903, '\p{CWU=n}', "");
Expect(1, 71903, '\p{^CWU=n}', "");
Expect(1, 71903, '\P{CWU=n}', "");
Expect(0, 71903, '\P{^CWU=n}', "");
Expect(1, 71904, '\p{CWU=_-n}', "");
Expect(0, 71904, '\p{^CWU=_-n}', "");
Expect(0, 71904, '\P{CWU=_-n}', "");
Expect(1, 71904, '\P{^CWU=_-n}', "");
Expect(0, 71903, '\p{CWU=_-n}', "");
Expect(1, 71903, '\p{^CWU=_-n}', "");
Expect(1, 71903, '\P{CWU=_-n}', "");
Expect(0, 71903, '\P{^CWU=_-n}', "");
Error('\p{Is_Changes_When_Uppercased= _F/a/}');
Error('\P{Is_Changes_When_Uppercased= _F/a/}');
Expect(1, 71904, '\p{Is_Changes_When_Uppercased=f}', "");
Expect(0, 71904, '\p{^Is_Changes_When_Uppercased=f}', "");
Expect(0, 71904, '\P{Is_Changes_When_Uppercased=f}', "");
Expect(1, 71904, '\P{^Is_Changes_When_Uppercased=f}', "");
Expect(0, 71903, '\p{Is_Changes_When_Uppercased=f}', "");
Expect(1, 71903, '\p{^Is_Changes_When_Uppercased=f}', "");
Expect(1, 71903, '\P{Is_Changes_When_Uppercased=f}', "");
Expect(0, 71903, '\P{^Is_Changes_When_Uppercased=f}', "");
Expect(1, 71904, '\p{Is_Changes_When_Uppercased=  F}', "");
Expect(0, 71904, '\p{^Is_Changes_When_Uppercased=  F}', "");
Expect(0, 71904, '\P{Is_Changes_When_Uppercased=  F}', "");
Expect(1, 71904, '\P{^Is_Changes_When_Uppercased=  F}', "");
Expect(0, 71903, '\p{Is_Changes_When_Uppercased=  F}', "");
Expect(1, 71903, '\p{^Is_Changes_When_Uppercased=  F}', "");
Expect(1, 71903, '\P{Is_Changes_When_Uppercased=  F}', "");
Expect(0, 71903, '\P{^Is_Changes_When_Uppercased=  F}', "");
Error('\p{Is_CWU=	_False:=}');
Error('\P{Is_CWU=	_False:=}');
Expect(1, 71904, '\p{Is_CWU=false}', "");
Expect(0, 71904, '\p{^Is_CWU=false}', "");
Expect(0, 71904, '\P{Is_CWU=false}', "");
Expect(1, 71904, '\P{^Is_CWU=false}', "");
Expect(0, 71903, '\p{Is_CWU=false}', "");
Expect(1, 71903, '\p{^Is_CWU=false}', "");
Expect(1, 71903, '\P{Is_CWU=false}', "");
Expect(0, 71903, '\P{^Is_CWU=false}', "");
Expect(1, 71904, '\p{Is_CWU= -False}', "");
Expect(0, 71904, '\p{^Is_CWU= -False}', "");
Expect(0, 71904, '\P{Is_CWU= -False}', "");
Expect(1, 71904, '\P{^Is_CWU= -False}', "");
Expect(0, 71903, '\p{Is_CWU= -False}', "");
Expect(1, 71903, '\p{^Is_CWU= -False}', "");
Expect(1, 71903, '\P{Is_CWU= -False}', "");
Expect(0, 71903, '\P{^Is_CWU= -False}', "");
Error('\p{Changes_When_Uppercased=:=_Yes}');
Error('\P{Changes_When_Uppercased=:=_Yes}');
Expect(1, 71903, '\p{Changes_When_Uppercased=yes}', "");
Expect(0, 71903, '\p{^Changes_When_Uppercased=yes}', "");
Expect(0, 71903, '\P{Changes_When_Uppercased=yes}', "");
Expect(1, 71903, '\P{^Changes_When_Uppercased=yes}', "");
Expect(0, 71904, '\p{Changes_When_Uppercased=yes}', "");
Expect(1, 71904, '\p{^Changes_When_Uppercased=yes}', "");
Expect(1, 71904, '\P{Changes_When_Uppercased=yes}', "");
Expect(0, 71904, '\P{^Changes_When_Uppercased=yes}', "");
Expect(1, 71903, '\p{Changes_When_Uppercased=_YES}', "");
Expect(0, 71903, '\p{^Changes_When_Uppercased=_YES}', "");
Expect(0, 71903, '\P{Changes_When_Uppercased=_YES}', "");
Expect(1, 71903, '\P{^Changes_When_Uppercased=_YES}', "");
Expect(0, 71904, '\p{Changes_When_Uppercased=_YES}', "");
Expect(1, 71904, '\p{^Changes_When_Uppercased=_YES}', "");
Expect(1, 71904, '\P{Changes_When_Uppercased=_YES}', "");
Expect(0, 71904, '\P{^Changes_When_Uppercased=_YES}', "");
Error('\p{CWU=:= 	Y}');
Error('\P{CWU=:= 	Y}');
Expect(1, 71903, '\p{CWU=y}', "");
Expect(0, 71903, '\p{^CWU=y}', "");
Expect(0, 71903, '\P{CWU=y}', "");
Expect(1, 71903, '\P{^CWU=y}', "");
Expect(0, 71904, '\p{CWU=y}', "");
Expect(1, 71904, '\p{^CWU=y}', "");
Expect(1, 71904, '\P{CWU=y}', "");
Expect(0, 71904, '\P{^CWU=y}', "");
Expect(1, 71903, '\p{CWU=_ Y}', "");
Expect(0, 71903, '\p{^CWU=_ Y}', "");
Expect(0, 71903, '\P{CWU=_ Y}', "");
Expect(1, 71903, '\P{^CWU=_ Y}', "");
Expect(0, 71904, '\p{CWU=_ Y}', "");
Expect(1, 71904, '\p{^CWU=_ Y}', "");
Expect(1, 71904, '\P{CWU=_ Y}', "");
Expect(0, 71904, '\P{^CWU=_ Y}', "");
Error('\p{Is_Changes_When_Uppercased=/a/T}');
Error('\P{Is_Changes_When_Uppercased=/a/T}');
Expect(1, 71903, '\p{Is_Changes_When_Uppercased=t}', "");
Expect(0, 71903, '\p{^Is_Changes_When_Uppercased=t}', "");
Expect(0, 71903, '\P{Is_Changes_When_Uppercased=t}', "");
Expect(1, 71903, '\P{^Is_Changes_When_Uppercased=t}', "");
Expect(0, 71904, '\p{Is_Changes_When_Uppercased=t}', "");
Expect(1, 71904, '\p{^Is_Changes_When_Uppercased=t}', "");
Expect(1, 71904, '\P{Is_Changes_When_Uppercased=t}', "");
Expect(0, 71904, '\P{^Is_Changes_When_Uppercased=t}', "");
Expect(1, 71903, '\p{Is_Changes_When_Uppercased=	t}', "");
Expect(0, 71903, '\p{^Is_Changes_When_Uppercased=	t}', "");
Expect(0, 71903, '\P{Is_Changes_When_Uppercased=	t}', "");
Expect(1, 71903, '\P{^Is_Changes_When_Uppercased=	t}', "");
Expect(0, 71904, '\p{Is_Changes_When_Uppercased=	t}', "");
Expect(1, 71904, '\p{^Is_Changes_When_Uppercased=	t}', "");
Expect(1, 71904, '\P{Is_Changes_When_Uppercased=	t}', "");
Expect(0, 71904, '\P{^Is_Changes_When_Uppercased=	t}', "");
Error('\p{Is_CWU=	:=True}');
Error('\P{Is_CWU=	:=True}');
Expect(1, 71903, '\p{Is_CWU=true}', "");
Expect(0, 71903, '\p{^Is_CWU=true}', "");
Expect(0, 71903, '\P{Is_CWU=true}', "");
Expect(1, 71903, '\P{^Is_CWU=true}', "");
Expect(0, 71904, '\p{Is_CWU=true}', "");
Expect(1, 71904, '\p{^Is_CWU=true}', "");
Expect(1, 71904, '\P{Is_CWU=true}', "");
Expect(0, 71904, '\P{^Is_CWU=true}', "");
Expect(1, 71903, '\p{Is_CWU=_True}', "");
Expect(0, 71903, '\p{^Is_CWU=_True}', "");
Expect(0, 71903, '\P{Is_CWU=_True}', "");
Expect(1, 71903, '\P{^Is_CWU=_True}', "");
Expect(0, 71904, '\p{Is_CWU=_True}', "");
Expect(1, 71904, '\p{^Is_CWU=_True}', "");
Expect(1, 71904, '\P{Is_CWU=_True}', "");
Expect(0, 71904, '\P{^Is_CWU=_True}', "");
Error('\p{Cased=:= _no}');
Error('\P{Cased=:= _no}');
Expect(1, 127370, '\p{Cased=no}', "");
Expect(0, 127370, '\p{^Cased=no}', "");
Expect(0, 127370, '\P{Cased=no}', "");
Expect(1, 127370, '\P{^Cased=no}', "");
Expect(0, 127369, '\p{Cased=no}', "");
Expect(1, 127369, '\p{^Cased=no}', "");
Expect(1, 127369, '\P{Cased=no}', "");
Expect(0, 127369, '\P{^Cased=no}', "");
Expect(1, 127370, '\p{Cased=No}', "");
Expect(0, 127370, '\p{^Cased=No}', "");
Expect(0, 127370, '\P{Cased=No}', "");
Expect(1, 127370, '\P{^Cased=No}', "");
Expect(0, 127369, '\p{Cased=No}', "");
Expect(1, 127369, '\p{^Cased=No}', "");
Expect(1, 127369, '\P{Cased=No}', "");
Expect(0, 127369, '\P{^Cased=No}', "");
Error('\p{Is_Cased=:= -n}');
Error('\P{Is_Cased=:= -n}');
Expect(1, 127370, '\p{Is_Cased=n}', "");
Expect(0, 127370, '\p{^Is_Cased=n}', "");
Expect(0, 127370, '\P{Is_Cased=n}', "");
Expect(1, 127370, '\P{^Is_Cased=n}', "");
Expect(0, 127369, '\p{Is_Cased=n}', "");
Expect(1, 127369, '\p{^Is_Cased=n}', "");
Expect(1, 127369, '\P{Is_Cased=n}', "");
Expect(0, 127369, '\P{^Is_Cased=n}', "");
Expect(1, 127370, '\p{Is_Cased=- n}', "");
Expect(0, 127370, '\p{^Is_Cased=- n}', "");
Expect(0, 127370, '\P{Is_Cased=- n}', "");
Expect(1, 127370, '\P{^Is_Cased=- n}', "");
Expect(0, 127369, '\p{Is_Cased=- n}', "");
Expect(1, 127369, '\p{^Is_Cased=- n}', "");
Expect(1, 127369, '\P{Is_Cased=- n}', "");
Expect(0, 127369, '\P{^Is_Cased=- n}', "");
Error('\p{Cased=__f/a/}');
Error('\P{Cased=__f/a/}');
Expect(1, 127370, '\p{Cased=f}', "");
Expect(0, 127370, '\p{^Cased=f}', "");
Expect(0, 127370, '\P{Cased=f}', "");
Expect(1, 127370, '\P{^Cased=f}', "");
Expect(0, 127369, '\p{Cased=f}', "");
Expect(1, 127369, '\p{^Cased=f}', "");
Expect(1, 127369, '\P{Cased=f}', "");
Expect(0, 127369, '\P{^Cased=f}', "");
Expect(1, 127370, '\p{Cased=F}', "");
Expect(0, 127370, '\p{^Cased=F}', "");
Expect(0, 127370, '\P{Cased=F}', "");
Expect(1, 127370, '\P{^Cased=F}', "");
Expect(0, 127369, '\p{Cased=F}', "");
Expect(1, 127369, '\p{^Cased=F}', "");
Expect(1, 127369, '\P{Cased=F}', "");
Expect(0, 127369, '\P{^Cased=F}', "");
Error('\p{Is_Cased=_ False:=}');
Error('\P{Is_Cased=_ False:=}');
Expect(1, 127370, '\p{Is_Cased=false}', "");
Expect(0, 127370, '\p{^Is_Cased=false}', "");
Expect(0, 127370, '\P{Is_Cased=false}', "");
Expect(1, 127370, '\P{^Is_Cased=false}', "");
Expect(0, 127369, '\p{Is_Cased=false}', "");
Expect(1, 127369, '\p{^Is_Cased=false}', "");
Expect(1, 127369, '\P{Is_Cased=false}', "");
Expect(0, 127369, '\P{^Is_Cased=false}', "");
Expect(1, 127370, '\p{Is_Cased=- false}', "");
Expect(0, 127370, '\p{^Is_Cased=- false}', "");
Expect(0, 127370, '\P{Is_Cased=- false}', "");
Expect(1, 127370, '\P{^Is_Cased=- false}', "");
Expect(0, 127369, '\p{Is_Cased=- false}', "");
Expect(1, 127369, '\p{^Is_Cased=- false}', "");
Expect(1, 127369, '\P{Is_Cased=- false}', "");
Expect(0, 127369, '\P{^Is_Cased=- false}', "");
Error('\p{Cased=_Yes:=}');
Error('\P{Cased=_Yes:=}');
Expect(1, 127369, '\p{Cased=yes}', "");
Expect(0, 127369, '\p{^Cased=yes}', "");
Expect(0, 127369, '\P{Cased=yes}', "");
Expect(1, 127369, '\P{^Cased=yes}', "");
Expect(0, 127370, '\p{Cased=yes}', "");
Expect(1, 127370, '\p{^Cased=yes}', "");
Expect(1, 127370, '\P{Cased=yes}', "");
Expect(0, 127370, '\P{^Cased=yes}', "");
Expect(1, 127369, '\p{Cased=_yes}', "");
Expect(0, 127369, '\p{^Cased=_yes}', "");
Expect(0, 127369, '\P{Cased=_yes}', "");
Expect(1, 127369, '\P{^Cased=_yes}', "");
Expect(0, 127370, '\p{Cased=_yes}', "");
Expect(1, 127370, '\p{^Cased=_yes}', "");
Expect(1, 127370, '\P{Cased=_yes}', "");
Expect(0, 127370, '\P{^Cased=_yes}', "");
Error('\p{Is_Cased=_/a/Y}');
Error('\P{Is_Cased=_/a/Y}');
Expect(1, 127369, '\p{Is_Cased=y}', "");
Expect(0, 127369, '\p{^Is_Cased=y}', "");
Expect(0, 127369, '\P{Is_Cased=y}', "");
Expect(1, 127369, '\P{^Is_Cased=y}', "");
Expect(0, 127370, '\p{Is_Cased=y}', "");
Expect(1, 127370, '\p{^Is_Cased=y}', "");
Expect(1, 127370, '\P{Is_Cased=y}', "");
Expect(0, 127370, '\P{^Is_Cased=y}', "");
Expect(1, 127369, '\p{Is_Cased=_ Y}', "");
Expect(0, 127369, '\p{^Is_Cased=_ Y}', "");
Expect(0, 127369, '\P{Is_Cased=_ Y}', "");
Expect(1, 127369, '\P{^Is_Cased=_ Y}', "");
Expect(0, 127370, '\p{Is_Cased=_ Y}', "");
Expect(1, 127370, '\p{^Is_Cased=_ Y}', "");
Expect(1, 127370, '\P{Is_Cased=_ Y}', "");
Expect(0, 127370, '\P{^Is_Cased=_ Y}', "");
Error('\p{Cased=/a/-_T}');
Error('\P{Cased=/a/-_T}');
Expect(1, 127369, '\p{Cased=t}', "");
Expect(0, 127369, '\p{^Cased=t}', "");
Expect(0, 127369, '\P{Cased=t}', "");
Expect(1, 127369, '\P{^Cased=t}', "");
Expect(0, 127370, '\p{Cased=t}', "");
Expect(1, 127370, '\p{^Cased=t}', "");
Expect(1, 127370, '\P{Cased=t}', "");
Expect(0, 127370, '\P{^Cased=t}', "");
Expect(1, 127369, '\p{Cased=_ T}', "");
Expect(0, 127369, '\p{^Cased=_ T}', "");
Expect(0, 127369, '\P{Cased=_ T}', "");
Expect(1, 127369, '\P{^Cased=_ T}', "");
Expect(0, 127370, '\p{Cased=_ T}', "");
Expect(1, 127370, '\p{^Cased=_ T}', "");
Expect(1, 127370, '\P{Cased=_ T}', "");
Expect(0, 127370, '\P{^Cased=_ T}', "");
Error('\p{Is_Cased=__true:=}');
Error('\P{Is_Cased=__true:=}');
Expect(1, 127369, '\p{Is_Cased=true}', "");
Expect(0, 127369, '\p{^Is_Cased=true}', "");
Expect(0, 127369, '\P{Is_Cased=true}', "");
Expect(1, 127369, '\P{^Is_Cased=true}', "");
Expect(0, 127370, '\p{Is_Cased=true}', "");
Expect(1, 127370, '\p{^Is_Cased=true}', "");
Expect(1, 127370, '\P{Is_Cased=true}', "");
Expect(0, 127370, '\P{^Is_Cased=true}', "");
Expect(1, 127369, '\p{Is_Cased:_true}', "");
Expect(0, 127369, '\p{^Is_Cased:_true}', "");
Expect(0, 127369, '\P{Is_Cased:_true}', "");
Expect(1, 127369, '\P{^Is_Cased:_true}', "");
Expect(0, 127370, '\p{Is_Cased:_true}', "");
Expect(1, 127370, '\p{^Is_Cased:_true}', "");
Expect(1, 127370, '\P{Is_Cased:_true}', "");
Expect(0, 127370, '\P{^Is_Cased:_true}', "");
Error('\p{Full_Composition_Exclusion= :=NO}');
Error('\P{Full_Composition_Exclusion= :=NO}');
Expect(1, 195102, '\p{Full_Composition_Exclusion=no}', "");
Expect(0, 195102, '\p{^Full_Composition_Exclusion=no}', "");
Expect(0, 195102, '\P{Full_Composition_Exclusion=no}', "");
Expect(1, 195102, '\P{^Full_Composition_Exclusion=no}', "");
Expect(0, 195101, '\p{Full_Composition_Exclusion=no}', "");
Expect(1, 195101, '\p{^Full_Composition_Exclusion=no}', "");
Expect(1, 195101, '\P{Full_Composition_Exclusion=no}', "");
Expect(0, 195101, '\P{^Full_Composition_Exclusion=no}', "");
Expect(1, 195102, '\p{Full_Composition_Exclusion:	no}', "");
Expect(0, 195102, '\p{^Full_Composition_Exclusion:	no}', "");
Expect(0, 195102, '\P{Full_Composition_Exclusion:	no}', "");
Expect(1, 195102, '\P{^Full_Composition_Exclusion:	no}', "");
Expect(0, 195101, '\p{Full_Composition_Exclusion:	no}', "");
Expect(1, 195101, '\p{^Full_Composition_Exclusion:	no}', "");
Expect(1, 195101, '\P{Full_Composition_Exclusion:	no}', "");
Expect(0, 195101, '\P{^Full_Composition_Exclusion:	no}', "");
Error('\p{Comp_Ex:- N:=}');
Error('\P{Comp_Ex:- N:=}');
Expect(1, 195102, '\p{Comp_Ex=n}', "");
Expect(0, 195102, '\p{^Comp_Ex=n}', "");
Expect(0, 195102, '\P{Comp_Ex=n}', "");
Expect(1, 195102, '\P{^Comp_Ex=n}', "");
Expect(0, 195101, '\p{Comp_Ex=n}', "");
Expect(1, 195101, '\p{^Comp_Ex=n}', "");
Expect(1, 195101, '\P{Comp_Ex=n}', "");
Expect(0, 195101, '\P{^Comp_Ex=n}', "");
Expect(1, 195102, '\p{Comp_Ex=__n}', "");
Expect(0, 195102, '\p{^Comp_Ex=__n}', "");
Expect(0, 195102, '\P{Comp_Ex=__n}', "");
Expect(1, 195102, '\P{^Comp_Ex=__n}', "");
Expect(0, 195101, '\p{Comp_Ex=__n}', "");
Expect(1, 195101, '\p{^Comp_Ex=__n}', "");
Expect(1, 195101, '\P{Comp_Ex=__n}', "");
Expect(0, 195101, '\P{^Comp_Ex=__n}', "");
Error('\p{Is_Full_Composition_Exclusion:	-	f/a/}');
Error('\P{Is_Full_Composition_Exclusion:	-	f/a/}');
Expect(1, 195102, '\p{Is_Full_Composition_Exclusion=f}', "");
Expect(0, 195102, '\p{^Is_Full_Composition_Exclusion=f}', "");
Expect(0, 195102, '\P{Is_Full_Composition_Exclusion=f}', "");
Expect(1, 195102, '\P{^Is_Full_Composition_Exclusion=f}', "");
Expect(0, 195101, '\p{Is_Full_Composition_Exclusion=f}', "");
Expect(1, 195101, '\p{^Is_Full_Composition_Exclusion=f}', "");
Expect(1, 195101, '\P{Is_Full_Composition_Exclusion=f}', "");
Expect(0, 195101, '\P{^Is_Full_Composition_Exclusion=f}', "");
Expect(1, 195102, '\p{Is_Full_Composition_Exclusion= F}', "");
Expect(0, 195102, '\p{^Is_Full_Composition_Exclusion= F}', "");
Expect(0, 195102, '\P{Is_Full_Composition_Exclusion= F}', "");
Expect(1, 195102, '\P{^Is_Full_Composition_Exclusion= F}', "");
Expect(0, 195101, '\p{Is_Full_Composition_Exclusion= F}', "");
Expect(1, 195101, '\p{^Is_Full_Composition_Exclusion= F}', "");
Expect(1, 195101, '\P{Is_Full_Composition_Exclusion= F}', "");
Expect(0, 195101, '\P{^Is_Full_Composition_Exclusion= F}', "");
Error('\p{Is_Comp_Ex=/a/__FALSE}');
Error('\P{Is_Comp_Ex=/a/__FALSE}');
Expect(1, 195102, '\p{Is_Comp_Ex=false}', "");
Expect(0, 195102, '\p{^Is_Comp_Ex=false}', "");
Expect(0, 195102, '\P{Is_Comp_Ex=false}', "");
Expect(1, 195102, '\P{^Is_Comp_Ex=false}', "");
Expect(0, 195101, '\p{Is_Comp_Ex=false}', "");
Expect(1, 195101, '\p{^Is_Comp_Ex=false}', "");
Expect(1, 195101, '\P{Is_Comp_Ex=false}', "");
Expect(0, 195101, '\P{^Is_Comp_Ex=false}', "");
Expect(1, 195102, '\p{Is_Comp_Ex= FALSE}', "");
Expect(0, 195102, '\p{^Is_Comp_Ex= FALSE}', "");
Expect(0, 195102, '\P{Is_Comp_Ex= FALSE}', "");
Expect(1, 195102, '\P{^Is_Comp_Ex= FALSE}', "");
Expect(0, 195101, '\p{Is_Comp_Ex= FALSE}', "");
Expect(1, 195101, '\p{^Is_Comp_Ex= FALSE}', "");
Expect(1, 195101, '\P{Is_Comp_Ex= FALSE}', "");
Expect(0, 195101, '\P{^Is_Comp_Ex= FALSE}', "");
Error('\p{Full_Composition_Exclusion=	/a/Yes}');
Error('\P{Full_Composition_Exclusion=	/a/Yes}');
Expect(1, 195101, '\p{Full_Composition_Exclusion: yes}', "");
Expect(0, 195101, '\p{^Full_Composition_Exclusion: yes}', "");
Expect(0, 195101, '\P{Full_Composition_Exclusion: yes}', "");
Expect(1, 195101, '\P{^Full_Composition_Exclusion: yes}', "");
Expect(0, 195102, '\p{Full_Composition_Exclusion: yes}', "");
Expect(1, 195102, '\p{^Full_Composition_Exclusion: yes}', "");
Expect(1, 195102, '\P{Full_Composition_Exclusion: yes}', "");
Expect(0, 195102, '\P{^Full_Composition_Exclusion: yes}', "");
Expect(1, 195101, '\p{Full_Composition_Exclusion=_	YES}', "");
Expect(0, 195101, '\p{^Full_Composition_Exclusion=_	YES}', "");
Expect(0, 195101, '\P{Full_Composition_Exclusion=_	YES}', "");
Expect(1, 195101, '\P{^Full_Composition_Exclusion=_	YES}', "");
Expect(0, 195102, '\p{Full_Composition_Exclusion=_	YES}', "");
Expect(1, 195102, '\p{^Full_Composition_Exclusion=_	YES}', "");
Expect(1, 195102, '\P{Full_Composition_Exclusion=_	YES}', "");
Expect(0, 195102, '\P{^Full_Composition_Exclusion=_	YES}', "");
Error('\p{Comp_Ex:		:=Y}');
Error('\P{Comp_Ex:		:=Y}');
Expect(1, 195101, '\p{Comp_Ex=y}', "");
Expect(0, 195101, '\p{^Comp_Ex=y}', "");
Expect(0, 195101, '\P{Comp_Ex=y}', "");
Expect(1, 195101, '\P{^Comp_Ex=y}', "");
Expect(0, 195102, '\p{Comp_Ex=y}', "");
Expect(1, 195102, '\p{^Comp_Ex=y}', "");
Expect(1, 195102, '\P{Comp_Ex=y}', "");
Expect(0, 195102, '\P{^Comp_Ex=y}', "");
Expect(1, 195101, '\p{Comp_Ex=--Y}', "");
Expect(0, 195101, '\p{^Comp_Ex=--Y}', "");
Expect(0, 195101, '\P{Comp_Ex=--Y}', "");
Expect(1, 195101, '\P{^Comp_Ex=--Y}', "");
Expect(0, 195102, '\p{Comp_Ex=--Y}', "");
Expect(1, 195102, '\p{^Comp_Ex=--Y}', "");
Expect(1, 195102, '\P{Comp_Ex=--Y}', "");
Expect(0, 195102, '\P{^Comp_Ex=--Y}', "");
Error('\p{Is_Full_Composition_Exclusion= :=t}');
Error('\P{Is_Full_Composition_Exclusion= :=t}');
Expect(1, 195101, '\p{Is_Full_Composition_Exclusion=t}', "");
Expect(0, 195101, '\p{^Is_Full_Composition_Exclusion=t}', "");
Expect(0, 195101, '\P{Is_Full_Composition_Exclusion=t}', "");
Expect(1, 195101, '\P{^Is_Full_Composition_Exclusion=t}', "");
Expect(0, 195102, '\p{Is_Full_Composition_Exclusion=t}', "");
Expect(1, 195102, '\p{^Is_Full_Composition_Exclusion=t}', "");
Expect(1, 195102, '\P{Is_Full_Composition_Exclusion=t}', "");
Expect(0, 195102, '\P{^Is_Full_Composition_Exclusion=t}', "");
Expect(1, 195101, '\p{Is_Full_Composition_Exclusion= _T}', "");
Expect(0, 195101, '\p{^Is_Full_Composition_Exclusion= _T}', "");
Expect(0, 195101, '\P{Is_Full_Composition_Exclusion= _T}', "");
Expect(1, 195101, '\P{^Is_Full_Composition_Exclusion= _T}', "");
Expect(0, 195102, '\p{Is_Full_Composition_Exclusion= _T}', "");
Expect(1, 195102, '\p{^Is_Full_Composition_Exclusion= _T}', "");
Expect(1, 195102, '\P{Is_Full_Composition_Exclusion= _T}', "");
Expect(0, 195102, '\P{^Is_Full_Composition_Exclusion= _T}', "");
Error('\p{Is_Comp_Ex:	True:=}');
Error('\P{Is_Comp_Ex:	True:=}');
Expect(1, 195101, '\p{Is_Comp_Ex=true}', "");
Expect(0, 195101, '\p{^Is_Comp_Ex=true}', "");
Expect(0, 195101, '\P{Is_Comp_Ex=true}', "");
Expect(1, 195101, '\P{^Is_Comp_Ex=true}', "");
Expect(0, 195102, '\p{Is_Comp_Ex=true}', "");
Expect(1, 195102, '\p{^Is_Comp_Ex=true}', "");
Expect(1, 195102, '\P{Is_Comp_Ex=true}', "");
Expect(0, 195102, '\P{^Is_Comp_Ex=true}', "");
Expect(1, 195101, '\p{Is_Comp_Ex:	True}', "");
Expect(0, 195101, '\p{^Is_Comp_Ex:	True}', "");
Expect(0, 195101, '\P{Is_Comp_Ex:	True}', "");
Expect(1, 195101, '\P{^Is_Comp_Ex:	True}', "");
Expect(0, 195102, '\p{Is_Comp_Ex:	True}', "");
Expect(1, 195102, '\p{^Is_Comp_Ex:	True}', "");
Expect(1, 195102, '\P{Is_Comp_Ex:	True}', "");
Expect(0, 195102, '\P{^Is_Comp_Ex:	True}', "");
Error('\p{Default_Ignorable_Code_Point=	-NO:=}');
Error('\P{Default_Ignorable_Code_Point=	-NO:=}');
Expect(1, 921600, '\p{Default_Ignorable_Code_Point=no}', "");
Expect(0, 921600, '\p{^Default_Ignorable_Code_Point=no}', "");
Expect(0, 921600, '\P{Default_Ignorable_Code_Point=no}', "");
Expect(1, 921600, '\P{^Default_Ignorable_Code_Point=no}', "");
Expect(0, 921599, '\p{Default_Ignorable_Code_Point=no}', "");
Expect(1, 921599, '\p{^Default_Ignorable_Code_Point=no}', "");
Expect(1, 921599, '\P{Default_Ignorable_Code_Point=no}', "");
Expect(0, 921599, '\P{^Default_Ignorable_Code_Point=no}', "");
Expect(1, 921600, '\p{Default_Ignorable_Code_Point=_No}', "");
Expect(0, 921600, '\p{^Default_Ignorable_Code_Point=_No}', "");
Expect(0, 921600, '\P{Default_Ignorable_Code_Point=_No}', "");
Expect(1, 921600, '\P{^Default_Ignorable_Code_Point=_No}', "");
Expect(0, 921599, '\p{Default_Ignorable_Code_Point=_No}', "");
Expect(1, 921599, '\p{^Default_Ignorable_Code_Point=_No}', "");
Expect(1, 921599, '\P{Default_Ignorable_Code_Point=_No}', "");
Expect(0, 921599, '\P{^Default_Ignorable_Code_Point=_No}', "");
Error('\p{DI=	:=N}');
Error('\P{DI=	:=N}');
Expect(1, 921600, '\p{DI=n}', "");
Expect(0, 921600, '\p{^DI=n}', "");
Expect(0, 921600, '\P{DI=n}', "");
Expect(1, 921600, '\P{^DI=n}', "");
Expect(0, 921599, '\p{DI=n}', "");
Expect(1, 921599, '\p{^DI=n}', "");
Expect(1, 921599, '\P{DI=n}', "");
Expect(0, 921599, '\P{^DI=n}', "");
Expect(1, 921600, '\p{DI:_	N}', "");
Expect(0, 921600, '\p{^DI:_	N}', "");
Expect(0, 921600, '\P{DI:_	N}', "");
Expect(1, 921600, '\P{^DI:_	N}', "");
Expect(0, 921599, '\p{DI:_	N}', "");
Expect(1, 921599, '\p{^DI:_	N}', "");
Expect(1, 921599, '\P{DI:_	N}', "");
Expect(0, 921599, '\P{^DI:_	N}', "");
Error('\p{Is_Default_Ignorable_Code_Point=:=  f}');
Error('\P{Is_Default_Ignorable_Code_Point=:=  f}');
Expect(1, 921600, '\p{Is_Default_Ignorable_Code_Point=f}', "");
Expect(0, 921600, '\p{^Is_Default_Ignorable_Code_Point=f}', "");
Expect(0, 921600, '\P{Is_Default_Ignorable_Code_Point=f}', "");
Expect(1, 921600, '\P{^Is_Default_Ignorable_Code_Point=f}', "");
Expect(0, 921599, '\p{Is_Default_Ignorable_Code_Point=f}', "");
Expect(1, 921599, '\p{^Is_Default_Ignorable_Code_Point=f}', "");
Expect(1, 921599, '\P{Is_Default_Ignorable_Code_Point=f}', "");
Expect(0, 921599, '\P{^Is_Default_Ignorable_Code_Point=f}', "");
Expect(1, 921600, '\p{Is_Default_Ignorable_Code_Point= F}', "");
Expect(0, 921600, '\p{^Is_Default_Ignorable_Code_Point= F}', "");
Expect(0, 921600, '\P{Is_Default_Ignorable_Code_Point= F}', "");
Expect(1, 921600, '\P{^Is_Default_Ignorable_Code_Point= F}', "");
Expect(0, 921599, '\p{Is_Default_Ignorable_Code_Point= F}', "");
Expect(1, 921599, '\p{^Is_Default_Ignorable_Code_Point= F}', "");
Expect(1, 921599, '\P{Is_Default_Ignorable_Code_Point= F}', "");
Expect(0, 921599, '\P{^Is_Default_Ignorable_Code_Point= F}', "");
Error('\p{Is_DI= 	False:=}');
Error('\P{Is_DI= 	False:=}');
Expect(1, 921600, '\p{Is_DI=false}', "");
Expect(0, 921600, '\p{^Is_DI=false}', "");
Expect(0, 921600, '\P{Is_DI=false}', "");
Expect(1, 921600, '\P{^Is_DI=false}', "");
Expect(0, 921599, '\p{Is_DI=false}', "");
Expect(1, 921599, '\p{^Is_DI=false}', "");
Expect(1, 921599, '\P{Is_DI=false}', "");
Expect(0, 921599, '\P{^Is_DI=false}', "");
Expect(1, 921600, '\p{Is_DI=_-False}', "");
Expect(0, 921600, '\p{^Is_DI=_-False}', "");
Expect(0, 921600, '\P{Is_DI=_-False}', "");
Expect(1, 921600, '\P{^Is_DI=_-False}', "");
Expect(0, 921599, '\p{Is_DI=_-False}', "");
Expect(1, 921599, '\p{^Is_DI=_-False}', "");
Expect(1, 921599, '\P{Is_DI=_-False}', "");
Expect(0, 921599, '\P{^Is_DI=_-False}', "");
Error('\p{Default_Ignorable_Code_Point:	yes:=}');
Error('\P{Default_Ignorable_Code_Point:	yes:=}');
Expect(1, 921599, '\p{Default_Ignorable_Code_Point=yes}', "");
Expect(0, 921599, '\p{^Default_Ignorable_Code_Point=yes}', "");
Expect(0, 921599, '\P{Default_Ignorable_Code_Point=yes}', "");
Expect(1, 921599, '\P{^Default_Ignorable_Code_Point=yes}', "");
Expect(0, 921600, '\p{Default_Ignorable_Code_Point=yes}', "");
Expect(1, 921600, '\p{^Default_Ignorable_Code_Point=yes}', "");
Expect(1, 921600, '\P{Default_Ignorable_Code_Point=yes}', "");
Expect(0, 921600, '\P{^Default_Ignorable_Code_Point=yes}', "");
Expect(1, 921599, '\p{Default_Ignorable_Code_Point=_	yes}', "");
Expect(0, 921599, '\p{^Default_Ignorable_Code_Point=_	yes}', "");
Expect(0, 921599, '\P{Default_Ignorable_Code_Point=_	yes}', "");
Expect(1, 921599, '\P{^Default_Ignorable_Code_Point=_	yes}', "");
Expect(0, 921600, '\p{Default_Ignorable_Code_Point=_	yes}', "");
Expect(1, 921600, '\p{^Default_Ignorable_Code_Point=_	yes}', "");
Expect(1, 921600, '\P{Default_Ignorable_Code_Point=_	yes}', "");
Expect(0, 921600, '\P{^Default_Ignorable_Code_Point=_	yes}', "");
Error('\p{DI= 	Y/a/}');
Error('\P{DI= 	Y/a/}');
Expect(1, 921599, '\p{DI=y}', "");
Expect(0, 921599, '\p{^DI=y}', "");
Expect(0, 921599, '\P{DI=y}', "");
Expect(1, 921599, '\P{^DI=y}', "");
Expect(0, 921600, '\p{DI=y}', "");
Expect(1, 921600, '\p{^DI=y}', "");
Expect(1, 921600, '\P{DI=y}', "");
Expect(0, 921600, '\P{^DI=y}', "");
Expect(1, 921599, '\p{DI=-Y}', "");
Expect(0, 921599, '\p{^DI=-Y}', "");
Expect(0, 921599, '\P{DI=-Y}', "");
Expect(1, 921599, '\P{^DI=-Y}', "");
Expect(0, 921600, '\p{DI=-Y}', "");
Expect(1, 921600, '\p{^DI=-Y}', "");
Expect(1, 921600, '\P{DI=-Y}', "");
Expect(0, 921600, '\P{^DI=-Y}', "");
Error('\p{Is_Default_Ignorable_Code_Point=	T:=}');
Error('\P{Is_Default_Ignorable_Code_Point=	T:=}');
Expect(1, 921599, '\p{Is_Default_Ignorable_Code_Point=t}', "");
Expect(0, 921599, '\p{^Is_Default_Ignorable_Code_Point=t}', "");
Expect(0, 921599, '\P{Is_Default_Ignorable_Code_Point=t}', "");
Expect(1, 921599, '\P{^Is_Default_Ignorable_Code_Point=t}', "");
Expect(0, 921600, '\p{Is_Default_Ignorable_Code_Point=t}', "");
Expect(1, 921600, '\p{^Is_Default_Ignorable_Code_Point=t}', "");
Expect(1, 921600, '\P{Is_Default_Ignorable_Code_Point=t}', "");
Expect(0, 921600, '\P{^Is_Default_Ignorable_Code_Point=t}', "");
Expect(1, 921599, '\p{Is_Default_Ignorable_Code_Point=	T}', "");
Expect(0, 921599, '\p{^Is_Default_Ignorable_Code_Point=	T}', "");
Expect(0, 921599, '\P{Is_Default_Ignorable_Code_Point=	T}', "");
Expect(1, 921599, '\P{^Is_Default_Ignorable_Code_Point=	T}', "");
Expect(0, 921600, '\p{Is_Default_Ignorable_Code_Point=	T}', "");
Expect(1, 921600, '\p{^Is_Default_Ignorable_Code_Point=	T}', "");
Expect(1, 921600, '\P{Is_Default_Ignorable_Code_Point=	T}', "");
Expect(0, 921600, '\P{^Is_Default_Ignorable_Code_Point=	T}', "");
Error('\p{Is_DI: -_TRUE:=}');
Error('\P{Is_DI: -_TRUE:=}');
Expect(1, 921599, '\p{Is_DI=true}', "");
Expect(0, 921599, '\p{^Is_DI=true}', "");
Expect(0, 921599, '\P{Is_DI=true}', "");
Expect(1, 921599, '\P{^Is_DI=true}', "");
Expect(0, 921600, '\p{Is_DI=true}', "");
Expect(1, 921600, '\p{^Is_DI=true}', "");
Expect(1, 921600, '\P{Is_DI=true}', "");
Expect(0, 921600, '\P{^Is_DI=true}', "");
Expect(1, 921599, '\p{Is_DI: 	_TRUE}', "");
Expect(0, 921599, '\p{^Is_DI: 	_TRUE}', "");
Expect(0, 921599, '\P{Is_DI: 	_TRUE}', "");
Expect(1, 921599, '\P{^Is_DI: 	_TRUE}', "");
Expect(0, 921600, '\p{Is_DI: 	_TRUE}', "");
Expect(1, 921600, '\p{^Is_DI: 	_TRUE}', "");
Expect(1, 921600, '\P{Is_DI: 	_TRUE}', "");
Expect(0, 921600, '\P{^Is_DI: 	_TRUE}', "");
Error('\p{Dash=_-No/a/}');
Error('\P{Dash=_-No/a/}');
Expect(1, 65294, '\p{Dash: no}', "");
Expect(0, 65294, '\p{^Dash: no}', "");
Expect(0, 65294, '\P{Dash: no}', "");
Expect(1, 65294, '\P{^Dash: no}', "");
Expect(0, 65293, '\p{Dash: no}', "");
Expect(1, 65293, '\p{^Dash: no}', "");
Expect(1, 65293, '\P{Dash: no}', "");
Expect(0, 65293, '\P{^Dash: no}', "");
Expect(1, 65294, '\p{Dash= _NO}', "");
Expect(0, 65294, '\p{^Dash= _NO}', "");
Expect(0, 65294, '\P{Dash= _NO}', "");
Expect(1, 65294, '\P{^Dash= _NO}', "");
Expect(0, 65293, '\p{Dash= _NO}', "");
Expect(1, 65293, '\p{^Dash= _NO}', "");
Expect(1, 65293, '\P{Dash= _NO}', "");
Expect(0, 65293, '\P{^Dash= _NO}', "");
Error('\p{Is_Dash=	:=N}');
Error('\P{Is_Dash=	:=N}');
Expect(1, 65294, '\p{Is_Dash=n}', "");
Expect(0, 65294, '\p{^Is_Dash=n}', "");
Expect(0, 65294, '\P{Is_Dash=n}', "");
Expect(1, 65294, '\P{^Is_Dash=n}', "");
Expect(0, 65293, '\p{Is_Dash=n}', "");
Expect(1, 65293, '\p{^Is_Dash=n}', "");
Expect(1, 65293, '\P{Is_Dash=n}', "");
Expect(0, 65293, '\P{^Is_Dash=n}', "");
Expect(1, 65294, '\p{Is_Dash= 	N}', "");
Expect(0, 65294, '\p{^Is_Dash= 	N}', "");
Expect(0, 65294, '\P{Is_Dash= 	N}', "");
Expect(1, 65294, '\P{^Is_Dash= 	N}', "");
Expect(0, 65293, '\p{Is_Dash= 	N}', "");
Expect(1, 65293, '\p{^Is_Dash= 	N}', "");
Expect(1, 65293, '\P{Is_Dash= 	N}', "");
Expect(0, 65293, '\P{^Is_Dash= 	N}', "");
Error('\p{Dash= /a/F}');
Error('\P{Dash= /a/F}');
Expect(1, 65294, '\p{Dash=f}', "");
Expect(0, 65294, '\p{^Dash=f}', "");
Expect(0, 65294, '\P{Dash=f}', "");
Expect(1, 65294, '\P{^Dash=f}', "");
Expect(0, 65293, '\p{Dash=f}', "");
Expect(1, 65293, '\p{^Dash=f}', "");
Expect(1, 65293, '\P{Dash=f}', "");
Expect(0, 65293, '\P{^Dash=f}', "");
Expect(1, 65294, '\p{Dash=	 f}', "");
Expect(0, 65294, '\p{^Dash=	 f}', "");
Expect(0, 65294, '\P{Dash=	 f}', "");
Expect(1, 65294, '\P{^Dash=	 f}', "");
Expect(0, 65293, '\p{Dash=	 f}', "");
Expect(1, 65293, '\p{^Dash=	 f}', "");
Expect(1, 65293, '\P{Dash=	 f}', "");
Expect(0, 65293, '\P{^Dash=	 f}', "");
Error('\p{Is_Dash=:=_-False}');
Error('\P{Is_Dash=:=_-False}');
Expect(1, 65294, '\p{Is_Dash: false}', "");
Expect(0, 65294, '\p{^Is_Dash: false}', "");
Expect(0, 65294, '\P{Is_Dash: false}', "");
Expect(1, 65294, '\P{^Is_Dash: false}', "");
Expect(0, 65293, '\p{Is_Dash: false}', "");
Expect(1, 65293, '\p{^Is_Dash: false}', "");
Expect(1, 65293, '\P{Is_Dash: false}', "");
Expect(0, 65293, '\P{^Is_Dash: false}', "");
Expect(1, 65294, '\p{Is_Dash=-false}', "");
Expect(0, 65294, '\p{^Is_Dash=-false}', "");
Expect(0, 65294, '\P{Is_Dash=-false}', "");
Expect(1, 65294, '\P{^Is_Dash=-false}', "");
Expect(0, 65293, '\p{Is_Dash=-false}', "");
Expect(1, 65293, '\p{^Is_Dash=-false}', "");
Expect(1, 65293, '\P{Is_Dash=-false}', "");
Expect(0, 65293, '\P{^Is_Dash=-false}', "");
Error('\p{Dash:  :=yes}');
Error('\P{Dash:  :=yes}');
Expect(1, 65293, '\p{Dash=yes}', "");
Expect(0, 65293, '\p{^Dash=yes}', "");
Expect(0, 65293, '\P{Dash=yes}', "");
Expect(1, 65293, '\P{^Dash=yes}', "");
Expect(0, 65294, '\p{Dash=yes}', "");
Expect(1, 65294, '\p{^Dash=yes}', "");
Expect(1, 65294, '\P{Dash=yes}', "");
Expect(0, 65294, '\P{^Dash=yes}', "");
Expect(1, 65293, '\p{Dash=--Yes}', "");
Expect(0, 65293, '\p{^Dash=--Yes}', "");
Expect(0, 65293, '\P{Dash=--Yes}', "");
Expect(1, 65293, '\P{^Dash=--Yes}', "");
Expect(0, 65294, '\p{Dash=--Yes}', "");
Expect(1, 65294, '\p{^Dash=--Yes}', "");
Expect(1, 65294, '\P{Dash=--Yes}', "");
Expect(0, 65294, '\P{^Dash=--Yes}', "");
Error('\p{Is_Dash=	/a/Y}');
Error('\P{Is_Dash=	/a/Y}');
Expect(1, 65293, '\p{Is_Dash=y}', "");
Expect(0, 65293, '\p{^Is_Dash=y}', "");
Expect(0, 65293, '\P{Is_Dash=y}', "");
Expect(1, 65293, '\P{^Is_Dash=y}', "");
Expect(0, 65294, '\p{Is_Dash=y}', "");
Expect(1, 65294, '\p{^Is_Dash=y}', "");
Expect(1, 65294, '\P{Is_Dash=y}', "");
Expect(0, 65294, '\P{^Is_Dash=y}', "");
Expect(1, 65293, '\p{Is_Dash=	-y}', "");
Expect(0, 65293, '\p{^Is_Dash=	-y}', "");
Expect(0, 65293, '\P{Is_Dash=	-y}', "");
Expect(1, 65293, '\P{^Is_Dash=	-y}', "");
Expect(0, 65294, '\p{Is_Dash=	-y}', "");
Expect(1, 65294, '\p{^Is_Dash=	-y}', "");
Expect(1, 65294, '\P{Is_Dash=	-y}', "");
Expect(0, 65294, '\P{^Is_Dash=	-y}', "");
Error('\p{Dash= T/a/}');
Error('\P{Dash= T/a/}');
Expect(1, 65293, '\p{Dash=t}', "");
Expect(0, 65293, '\p{^Dash=t}', "");
Expect(0, 65293, '\P{Dash=t}', "");
Expect(1, 65293, '\P{^Dash=t}', "");
Expect(0, 65294, '\p{Dash=t}', "");
Expect(1, 65294, '\p{^Dash=t}', "");
Expect(1, 65294, '\P{Dash=t}', "");
Expect(0, 65294, '\P{^Dash=t}', "");
Expect(1, 65293, '\p{Dash=-T}', "");
Expect(0, 65293, '\p{^Dash=-T}', "");
Expect(0, 65293, '\P{Dash=-T}', "");
Expect(1, 65293, '\P{^Dash=-T}', "");
Expect(0, 65294, '\p{Dash=-T}', "");
Expect(1, 65294, '\p{^Dash=-T}', "");
Expect(1, 65294, '\P{Dash=-T}', "");
Expect(0, 65294, '\P{^Dash=-T}', "");
Error('\p{Is_Dash=-:=TRUE}');
Error('\P{Is_Dash=-:=TRUE}');
Expect(1, 65293, '\p{Is_Dash=true}', "");
Expect(0, 65293, '\p{^Is_Dash=true}', "");
Expect(0, 65293, '\P{Is_Dash=true}', "");
Expect(1, 65293, '\P{^Is_Dash=true}', "");
Expect(0, 65294, '\p{Is_Dash=true}', "");
Expect(1, 65294, '\p{^Is_Dash=true}', "");
Expect(1, 65294, '\P{Is_Dash=true}', "");
Expect(0, 65294, '\P{^Is_Dash=true}', "");
Expect(1, 65293, '\p{Is_Dash= _True}', "");
Expect(0, 65293, '\p{^Is_Dash= _True}', "");
Expect(0, 65293, '\P{Is_Dash= _True}', "");
Expect(1, 65293, '\P{^Is_Dash= _True}', "");
Expect(0, 65294, '\p{Is_Dash= _True}', "");
Expect(1, 65294, '\p{^Is_Dash= _True}', "");
Expect(1, 65294, '\P{Is_Dash= _True}', "");
Expect(0, 65294, '\P{^Is_Dash= _True}', "");
Error('\p{Deprecated=-/a/NO}');
Error('\P{Deprecated=-/a/NO}');
Expect(1, 917632, '\p{Deprecated=no}', "");
Expect(0, 917632, '\p{^Deprecated=no}', "");
Expect(0, 917632, '\P{Deprecated=no}', "");
Expect(1, 917632, '\P{^Deprecated=no}', "");
Expect(0, 917631, '\p{Deprecated=no}', "");
Expect(1, 917631, '\p{^Deprecated=no}', "");
Expect(1, 917631, '\P{Deprecated=no}', "");
Expect(0, 917631, '\P{^Deprecated=no}', "");
Expect(1, 917632, '\p{Deprecated:   - No}', "");
Expect(0, 917632, '\p{^Deprecated:   - No}', "");
Expect(0, 917632, '\P{Deprecated:   - No}', "");
Expect(1, 917632, '\P{^Deprecated:   - No}', "");
Expect(0, 917631, '\p{Deprecated:   - No}', "");
Expect(1, 917631, '\p{^Deprecated:   - No}', "");
Expect(1, 917631, '\P{Deprecated:   - No}', "");
Expect(0, 917631, '\P{^Deprecated:   - No}', "");
Error('\p{Dep=_:=N}');
Error('\P{Dep=_:=N}');
Expect(1, 917632, '\p{Dep=n}', "");
Expect(0, 917632, '\p{^Dep=n}', "");
Expect(0, 917632, '\P{Dep=n}', "");
Expect(1, 917632, '\P{^Dep=n}', "");
Expect(0, 917631, '\p{Dep=n}', "");
Expect(1, 917631, '\p{^Dep=n}', "");
Expect(1, 917631, '\P{Dep=n}', "");
Expect(0, 917631, '\P{^Dep=n}', "");
Expect(1, 917632, '\p{Dep= N}', "");
Expect(0, 917632, '\p{^Dep= N}', "");
Expect(0, 917632, '\P{Dep= N}', "");
Expect(1, 917632, '\P{^Dep= N}', "");
Expect(0, 917631, '\p{Dep= N}', "");
Expect(1, 917631, '\p{^Dep= N}', "");
Expect(1, 917631, '\P{Dep= N}', "");
Expect(0, 917631, '\P{^Dep= N}', "");
Error('\p{Is_Deprecated= /a/F}');
Error('\P{Is_Deprecated= /a/F}');
Expect(1, 917632, '\p{Is_Deprecated=f}', "");
Expect(0, 917632, '\p{^Is_Deprecated=f}', "");
Expect(0, 917632, '\P{Is_Deprecated=f}', "");
Expect(1, 917632, '\P{^Is_Deprecated=f}', "");
Expect(0, 917631, '\p{Is_Deprecated=f}', "");
Expect(1, 917631, '\p{^Is_Deprecated=f}', "");
Expect(1, 917631, '\P{Is_Deprecated=f}', "");
Expect(0, 917631, '\P{^Is_Deprecated=f}', "");
Expect(1, 917632, '\p{Is_Deprecated=-_F}', "");
Expect(0, 917632, '\p{^Is_Deprecated=-_F}', "");
Expect(0, 917632, '\P{Is_Deprecated=-_F}', "");
Expect(1, 917632, '\P{^Is_Deprecated=-_F}', "");
Expect(0, 917631, '\p{Is_Deprecated=-_F}', "");
Expect(1, 917631, '\p{^Is_Deprecated=-_F}', "");
Expect(1, 917631, '\P{Is_Deprecated=-_F}', "");
Expect(0, 917631, '\P{^Is_Deprecated=-_F}', "");
Error('\p{Is_Dep:		:=FALSE}');
Error('\P{Is_Dep:		:=FALSE}');
Expect(1, 917632, '\p{Is_Dep: false}', "");
Expect(0, 917632, '\p{^Is_Dep: false}', "");
Expect(0, 917632, '\P{Is_Dep: false}', "");
Expect(1, 917632, '\P{^Is_Dep: false}', "");
Expect(0, 917631, '\p{Is_Dep: false}', "");
Expect(1, 917631, '\p{^Is_Dep: false}', "");
Expect(1, 917631, '\P{Is_Dep: false}', "");
Expect(0, 917631, '\P{^Is_Dep: false}', "");
Expect(1, 917632, '\p{Is_Dep=		False}', "");
Expect(0, 917632, '\p{^Is_Dep=		False}', "");
Expect(0, 917632, '\P{Is_Dep=		False}', "");
Expect(1, 917632, '\P{^Is_Dep=		False}', "");
Expect(0, 917631, '\p{Is_Dep=		False}', "");
Expect(1, 917631, '\p{^Is_Dep=		False}', "");
Expect(1, 917631, '\P{Is_Dep=		False}', "");
Expect(0, 917631, '\P{^Is_Dep=		False}', "");
Error('\p{Deprecated=/a/	-yes}');
Error('\P{Deprecated=/a/	-yes}');
Expect(1, 917631, '\p{Deprecated=yes}', "");
Expect(0, 917631, '\p{^Deprecated=yes}', "");
Expect(0, 917631, '\P{Deprecated=yes}', "");
Expect(1, 917631, '\P{^Deprecated=yes}', "");
Expect(0, 917632, '\p{Deprecated=yes}', "");
Expect(1, 917632, '\p{^Deprecated=yes}', "");
Expect(1, 917632, '\P{Deprecated=yes}', "");
Expect(0, 917632, '\P{^Deprecated=yes}', "");
Expect(1, 917631, '\p{Deprecated=__Yes}', "");
Expect(0, 917631, '\p{^Deprecated=__Yes}', "");
Expect(0, 917631, '\P{Deprecated=__Yes}', "");
Expect(1, 917631, '\P{^Deprecated=__Yes}', "");
Expect(0, 917632, '\p{Deprecated=__Yes}', "");
Expect(1, 917632, '\p{^Deprecated=__Yes}', "");
Expect(1, 917632, '\P{Deprecated=__Yes}', "");
Expect(0, 917632, '\P{^Deprecated=__Yes}', "");
Error('\p{Dep=_/a/Y}');
Error('\P{Dep=_/a/Y}');
Expect(1, 917631, '\p{Dep=y}', "");
Expect(0, 917631, '\p{^Dep=y}', "");
Expect(0, 917631, '\P{Dep=y}', "");
Expect(1, 917631, '\P{^Dep=y}', "");
Expect(0, 917632, '\p{Dep=y}', "");
Expect(1, 917632, '\p{^Dep=y}', "");
Expect(1, 917632, '\P{Dep=y}', "");
Expect(0, 917632, '\P{^Dep=y}', "");
Expect(1, 917631, '\p{Dep= y}', "");
Expect(0, 917631, '\p{^Dep= y}', "");
Expect(0, 917631, '\P{Dep= y}', "");
Expect(1, 917631, '\P{^Dep= y}', "");
Expect(0, 917632, '\p{Dep= y}', "");
Expect(1, 917632, '\p{^Dep= y}', "");
Expect(1, 917632, '\P{Dep= y}', "");
Expect(0, 917632, '\P{^Dep= y}', "");
Error('\p{Is_Deprecated:   	/a/t}');
Error('\P{Is_Deprecated:   	/a/t}');
Expect(1, 917631, '\p{Is_Deprecated=t}', "");
Expect(0, 917631, '\p{^Is_Deprecated=t}', "");
Expect(0, 917631, '\P{Is_Deprecated=t}', "");
Expect(1, 917631, '\P{^Is_Deprecated=t}', "");
Expect(0, 917632, '\p{Is_Deprecated=t}', "");
Expect(1, 917632, '\p{^Is_Deprecated=t}', "");
Expect(1, 917632, '\P{Is_Deprecated=t}', "");
Expect(0, 917632, '\P{^Is_Deprecated=t}', "");
Expect(1, 917631, '\p{Is_Deprecated=--T}', "");
Expect(0, 917631, '\p{^Is_Deprecated=--T}', "");
Expect(0, 917631, '\P{Is_Deprecated=--T}', "");
Expect(1, 917631, '\P{^Is_Deprecated=--T}', "");
Expect(0, 917632, '\p{Is_Deprecated=--T}', "");
Expect(1, 917632, '\p{^Is_Deprecated=--T}', "");
Expect(1, 917632, '\P{Is_Deprecated=--T}', "");
Expect(0, 917632, '\P{^Is_Deprecated=--T}', "");
Error('\p{Is_Dep=True/a/}');
Error('\P{Is_Dep=True/a/}');
Expect(1, 917631, '\p{Is_Dep=true}', "");
Expect(0, 917631, '\p{^Is_Dep=true}', "");
Expect(0, 917631, '\P{Is_Dep=true}', "");
Expect(1, 917631, '\P{^Is_Dep=true}', "");
Expect(0, 917632, '\p{Is_Dep=true}', "");
Expect(1, 917632, '\p{^Is_Dep=true}', "");
Expect(1, 917632, '\P{Is_Dep=true}', "");
Expect(0, 917632, '\P{^Is_Dep=true}', "");
Expect(1, 917631, '\p{Is_Dep=--True}', "");
Expect(0, 917631, '\p{^Is_Dep=--True}', "");
Expect(0, 917631, '\P{Is_Dep=--True}', "");
Expect(1, 917631, '\P{^Is_Dep=--True}', "");
Expect(0, 917632, '\p{Is_Dep=--True}', "");
Expect(1, 917632, '\p{^Is_Dep=--True}', "");
Expect(1, 917632, '\P{Is_Dep=--True}', "");
Expect(0, 917632, '\P{^Is_Dep=--True}', "");
Error('\p{Diacritic:		/a/NO}');
Error('\P{Diacritic:		/a/NO}');
Expect(1, 125143, '\p{Diacritic=no}', "");
Expect(0, 125143, '\p{^Diacritic=no}', "");
Expect(0, 125143, '\P{Diacritic=no}', "");
Expect(1, 125143, '\P{^Diacritic=no}', "");
Expect(0, 125142, '\p{Diacritic=no}', "");
Expect(1, 125142, '\p{^Diacritic=no}', "");
Expect(1, 125142, '\P{Diacritic=no}', "");
Expect(0, 125142, '\P{^Diacritic=no}', "");
Expect(1, 125143, '\p{Diacritic=- NO}', "");
Expect(0, 125143, '\p{^Diacritic=- NO}', "");
Expect(0, 125143, '\P{Diacritic=- NO}', "");
Expect(1, 125143, '\P{^Diacritic=- NO}', "");
Expect(0, 125142, '\p{Diacritic=- NO}', "");
Expect(1, 125142, '\p{^Diacritic=- NO}', "");
Expect(1, 125142, '\P{Diacritic=- NO}', "");
Expect(0, 125142, '\P{^Diacritic=- NO}', "");
Error('\p{Dia=/a/  N}');
Error('\P{Dia=/a/  N}');
Expect(1, 125143, '\p{Dia=n}', "");
Expect(0, 125143, '\p{^Dia=n}', "");
Expect(0, 125143, '\P{Dia=n}', "");
Expect(1, 125143, '\P{^Dia=n}', "");
Expect(0, 125142, '\p{Dia=n}', "");
Expect(1, 125142, '\p{^Dia=n}', "");
Expect(1, 125142, '\P{Dia=n}', "");
Expect(0, 125142, '\P{^Dia=n}', "");
Expect(1, 125143, '\p{Dia=-_N}', "");
Expect(0, 125143, '\p{^Dia=-_N}', "");
Expect(0, 125143, '\P{Dia=-_N}', "");
Expect(1, 125143, '\P{^Dia=-_N}', "");
Expect(0, 125142, '\p{Dia=-_N}', "");
Expect(1, 125142, '\p{^Dia=-_N}', "");
Expect(1, 125142, '\P{Dia=-_N}', "");
Expect(0, 125142, '\P{^Dia=-_N}', "");
Error('\p{Is_Diacritic=F:=}');
Error('\P{Is_Diacritic=F:=}');
Expect(1, 125143, '\p{Is_Diacritic=f}', "");
Expect(0, 125143, '\p{^Is_Diacritic=f}', "");
Expect(0, 125143, '\P{Is_Diacritic=f}', "");
Expect(1, 125143, '\P{^Is_Diacritic=f}', "");
Expect(0, 125142, '\p{Is_Diacritic=f}', "");
Expect(1, 125142, '\p{^Is_Diacritic=f}', "");
Expect(1, 125142, '\P{Is_Diacritic=f}', "");
Expect(0, 125142, '\P{^Is_Diacritic=f}', "");
Expect(1, 125143, '\p{Is_Diacritic= 	F}', "");
Expect(0, 125143, '\p{^Is_Diacritic= 	F}', "");
Expect(0, 125143, '\P{Is_Diacritic= 	F}', "");
Expect(1, 125143, '\P{^Is_Diacritic= 	F}', "");
Expect(0, 125142, '\p{Is_Diacritic= 	F}', "");
Expect(1, 125142, '\p{^Is_Diacritic= 	F}', "");
Expect(1, 125142, '\P{Is_Diacritic= 	F}', "");
Expect(0, 125142, '\P{^Is_Diacritic= 	F}', "");
Error('\p{Is_Dia= -False:=}');
Error('\P{Is_Dia= -False:=}');
Expect(1, 125143, '\p{Is_Dia=false}', "");
Expect(0, 125143, '\p{^Is_Dia=false}', "");
Expect(0, 125143, '\P{Is_Dia=false}', "");
Expect(1, 125143, '\P{^Is_Dia=false}', "");
Expect(0, 125142, '\p{Is_Dia=false}', "");
Expect(1, 125142, '\p{^Is_Dia=false}', "");
Expect(1, 125142, '\P{Is_Dia=false}', "");
Expect(0, 125142, '\P{^Is_Dia=false}', "");
Expect(1, 125143, '\p{Is_Dia=- False}', "");
Expect(0, 125143, '\p{^Is_Dia=- False}', "");
Expect(0, 125143, '\P{Is_Dia=- False}', "");
Expect(1, 125143, '\P{^Is_Dia=- False}', "");
Expect(0, 125142, '\p{Is_Dia=- False}', "");
Expect(1, 125142, '\p{^Is_Dia=- False}', "");
Expect(1, 125142, '\P{Is_Dia=- False}', "");
Expect(0, 125142, '\P{^Is_Dia=- False}', "");
Error('\p{Diacritic=-:=Yes}');
Error('\P{Diacritic=-:=Yes}');
Expect(1, 125142, '\p{Diacritic:	yes}', "");
Expect(0, 125142, '\p{^Diacritic:	yes}', "");
Expect(0, 125142, '\P{Diacritic:	yes}', "");
Expect(1, 125142, '\P{^Diacritic:	yes}', "");
Expect(0, 125143, '\p{Diacritic:	yes}', "");
Expect(1, 125143, '\p{^Diacritic:	yes}', "");
Expect(1, 125143, '\P{Diacritic:	yes}', "");
Expect(0, 125143, '\P{^Diacritic:	yes}', "");
Expect(1, 125142, '\p{Diacritic= 	yes}', "");
Expect(0, 125142, '\p{^Diacritic= 	yes}', "");
Expect(0, 125142, '\P{Diacritic= 	yes}', "");
Expect(1, 125142, '\P{^Diacritic= 	yes}', "");
Expect(0, 125143, '\p{Diacritic= 	yes}', "");
Expect(1, 125143, '\p{^Diacritic= 	yes}', "");
Expect(1, 125143, '\P{Diacritic= 	yes}', "");
Expect(0, 125143, '\P{^Diacritic= 	yes}', "");
Error('\p{Dia=_:=Y}');
Error('\P{Dia=_:=Y}');
Expect(1, 125142, '\p{Dia=y}', "");
Expect(0, 125142, '\p{^Dia=y}', "");
Expect(0, 125142, '\P{Dia=y}', "");
Expect(1, 125142, '\P{^Dia=y}', "");
Expect(0, 125143, '\p{Dia=y}', "");
Expect(1, 125143, '\p{^Dia=y}', "");
Expect(1, 125143, '\P{Dia=y}', "");
Expect(0, 125143, '\P{^Dia=y}', "");
Expect(1, 125142, '\p{Dia=	Y}', "");
Expect(0, 125142, '\p{^Dia=	Y}', "");
Expect(0, 125142, '\P{Dia=	Y}', "");
Expect(1, 125142, '\P{^Dia=	Y}', "");
Expect(0, 125143, '\p{Dia=	Y}', "");
Expect(1, 125143, '\p{^Dia=	Y}', "");
Expect(1, 125143, '\P{Dia=	Y}', "");
Expect(0, 125143, '\P{^Dia=	Y}', "");
Error('\p{Is_Diacritic:/a/_T}');
Error('\P{Is_Diacritic:/a/_T}');
Expect(1, 125142, '\p{Is_Diacritic=t}', "");
Expect(0, 125142, '\p{^Is_Diacritic=t}', "");
Expect(0, 125142, '\P{Is_Diacritic=t}', "");
Expect(1, 125142, '\P{^Is_Diacritic=t}', "");
Expect(0, 125143, '\p{Is_Diacritic=t}', "");
Expect(1, 125143, '\p{^Is_Diacritic=t}', "");
Expect(1, 125143, '\P{Is_Diacritic=t}', "");
Expect(0, 125143, '\P{^Is_Diacritic=t}', "");
Expect(1, 125142, '\p{Is_Diacritic=_	T}', "");
Expect(0, 125142, '\p{^Is_Diacritic=_	T}', "");
Expect(0, 125142, '\P{Is_Diacritic=_	T}', "");
Expect(1, 125142, '\P{^Is_Diacritic=_	T}', "");
Expect(0, 125143, '\p{Is_Diacritic=_	T}', "");
Expect(1, 125143, '\p{^Is_Diacritic=_	T}', "");
Expect(1, 125143, '\P{Is_Diacritic=_	T}', "");
Expect(0, 125143, '\P{^Is_Diacritic=_	T}', "");
Error('\p{Is_Dia=:=_TRUE}');
Error('\P{Is_Dia=:=_TRUE}');
Expect(1, 125142, '\p{Is_Dia:   true}', "");
Expect(0, 125142, '\p{^Is_Dia:   true}', "");
Expect(0, 125142, '\P{Is_Dia:   true}', "");
Expect(1, 125142, '\P{^Is_Dia:   true}', "");
Expect(0, 125143, '\p{Is_Dia:   true}', "");
Expect(1, 125143, '\p{^Is_Dia:   true}', "");
Expect(1, 125143, '\P{Is_Dia:   true}', "");
Expect(0, 125143, '\P{^Is_Dia:   true}', "");
Expect(1, 125142, '\p{Is_Dia:	-TRUE}', "");
Expect(0, 125142, '\p{^Is_Dia:	-TRUE}', "");
Expect(0, 125142, '\P{Is_Dia:	-TRUE}', "");
Expect(1, 125142, '\P{^Is_Dia:	-TRUE}', "");
Expect(0, 125143, '\p{Is_Dia:	-TRUE}', "");
Expect(1, 125143, '\p{^Is_Dia:	-TRUE}', "");
Expect(1, 125143, '\P{Is_Dia:	-TRUE}', "");
Expect(0, 125143, '\P{^Is_Dia:	-TRUE}', "");
Error('\p{Extender=:= 	no}');
Error('\P{Extender=:= 	no}');
Expect(1, 92996, '\p{Extender=no}', "");
Expect(0, 92996, '\p{^Extender=no}', "");
Expect(0, 92996, '\P{Extender=no}', "");
Expect(1, 92996, '\P{^Extender=no}', "");
Expect(0, 92995, '\p{Extender=no}', "");
Expect(1, 92995, '\p{^Extender=no}', "");
Expect(1, 92995, '\P{Extender=no}', "");
Expect(0, 92995, '\P{^Extender=no}', "");
Expect(1, 92996, '\p{Extender= no}', "");
Expect(0, 92996, '\p{^Extender= no}', "");
Expect(0, 92996, '\P{Extender= no}', "");
Expect(1, 92996, '\P{^Extender= no}', "");
Expect(0, 92995, '\p{Extender= no}', "");
Expect(1, 92995, '\p{^Extender= no}', "");
Expect(1, 92995, '\P{Extender= no}', "");
Expect(0, 92995, '\P{^Extender= no}', "");
Error('\p{Ext= /a/N}');
Error('\P{Ext= /a/N}');
Expect(1, 92996, '\p{Ext=n}', "");
Expect(0, 92996, '\p{^Ext=n}', "");
Expect(0, 92996, '\P{Ext=n}', "");
Expect(1, 92996, '\P{^Ext=n}', "");
Expect(0, 92995, '\p{Ext=n}', "");
Expect(1, 92995, '\p{^Ext=n}', "");
Expect(1, 92995, '\P{Ext=n}', "");
Expect(0, 92995, '\P{^Ext=n}', "");
Expect(1, 92996, '\p{Ext= n}', "");
Expect(0, 92996, '\p{^Ext= n}', "");
Expect(0, 92996, '\P{Ext= n}', "");
Expect(1, 92996, '\P{^Ext= n}', "");
Expect(0, 92995, '\p{Ext= n}', "");
Expect(1, 92995, '\p{^Ext= n}', "");
Expect(1, 92995, '\P{Ext= n}', "");
Expect(0, 92995, '\P{^Ext= n}', "");
Error('\p{Is_Extender=:= _F}');
Error('\P{Is_Extender=:= _F}');
Expect(1, 92996, '\p{Is_Extender=f}', "");
Expect(0, 92996, '\p{^Is_Extender=f}', "");
Expect(0, 92996, '\P{Is_Extender=f}', "");
Expect(1, 92996, '\P{^Is_Extender=f}', "");
Expect(0, 92995, '\p{Is_Extender=f}', "");
Expect(1, 92995, '\p{^Is_Extender=f}', "");
Expect(1, 92995, '\P{Is_Extender=f}', "");
Expect(0, 92995, '\P{^Is_Extender=f}', "");
Expect(1, 92996, '\p{Is_Extender=-F}', "");
Expect(0, 92996, '\p{^Is_Extender=-F}', "");
Expect(0, 92996, '\P{Is_Extender=-F}', "");
Expect(1, 92996, '\P{^Is_Extender=-F}', "");
Expect(0, 92995, '\p{Is_Extender=-F}', "");
Expect(1, 92995, '\p{^Is_Extender=-F}', "");
Expect(1, 92995, '\P{Is_Extender=-F}', "");
Expect(0, 92995, '\P{^Is_Extender=-F}', "");
Error('\p{Is_Ext=/a/-False}');
Error('\P{Is_Ext=/a/-False}');
Expect(1, 92996, '\p{Is_Ext=false}', "");
Expect(0, 92996, '\p{^Is_Ext=false}', "");
Expect(0, 92996, '\P{Is_Ext=false}', "");
Expect(1, 92996, '\P{^Is_Ext=false}', "");
Expect(0, 92995, '\p{Is_Ext=false}', "");
Expect(1, 92995, '\p{^Is_Ext=false}', "");
Expect(1, 92995, '\P{Is_Ext=false}', "");
Expect(0, 92995, '\P{^Is_Ext=false}', "");
Expect(1, 92996, '\p{Is_Ext=		False}', "");
Expect(0, 92996, '\p{^Is_Ext=		False}', "");
Expect(0, 92996, '\P{Is_Ext=		False}', "");
Expect(1, 92996, '\P{^Is_Ext=		False}', "");
Expect(0, 92995, '\p{Is_Ext=		False}', "");
Expect(1, 92995, '\p{^Is_Ext=		False}', "");
Expect(1, 92995, '\P{Is_Ext=		False}', "");
Expect(0, 92995, '\P{^Is_Ext=		False}', "");
Error('\p{Extender=	 Yes:=}');
Error('\P{Extender=	 Yes:=}');
Expect(1, 92995, '\p{Extender=yes}', "");
Expect(0, 92995, '\p{^Extender=yes}', "");
Expect(0, 92995, '\P{Extender=yes}', "");
Expect(1, 92995, '\P{^Extender=yes}', "");
Expect(0, 92996, '\p{Extender=yes}', "");
Expect(1, 92996, '\p{^Extender=yes}', "");
Expect(1, 92996, '\P{Extender=yes}', "");
Expect(0, 92996, '\P{^Extender=yes}', "");
Expect(1, 92995, '\p{Extender= yes}', "");
Expect(0, 92995, '\p{^Extender= yes}', "");
Expect(0, 92995, '\P{Extender= yes}', "");
Expect(1, 92995, '\P{^Extender= yes}', "");
Expect(0, 92996, '\p{Extender= yes}', "");
Expect(1, 92996, '\p{^Extender= yes}', "");
Expect(1, 92996, '\P{Extender= yes}', "");
Expect(0, 92996, '\P{^Extender= yes}', "");
Error('\p{Ext= _Y:=}');
Error('\P{Ext= _Y:=}');
Expect(1, 92995, '\p{Ext:   y}', "");
Expect(0, 92995, '\p{^Ext:   y}', "");
Expect(0, 92995, '\P{Ext:   y}', "");
Expect(1, 92995, '\P{^Ext:   y}', "");
Expect(0, 92996, '\p{Ext:   y}', "");
Expect(1, 92996, '\p{^Ext:   y}', "");
Expect(1, 92996, '\P{Ext:   y}', "");
Expect(0, 92996, '\P{^Ext:   y}', "");
Expect(1, 92995, '\p{Ext=	_y}', "");
Expect(0, 92995, '\p{^Ext=	_y}', "");
Expect(0, 92995, '\P{Ext=	_y}', "");
Expect(1, 92995, '\P{^Ext=	_y}', "");
Expect(0, 92996, '\p{Ext=	_y}', "");
Expect(1, 92996, '\p{^Ext=	_y}', "");
Expect(1, 92996, '\P{Ext=	_y}', "");
Expect(0, 92996, '\P{^Ext=	_y}', "");
Error('\p{Is_Extender=	:=T}');
Error('\P{Is_Extender=	:=T}');
Expect(1, 92995, '\p{Is_Extender=t}', "");
Expect(0, 92995, '\p{^Is_Extender=t}', "");
Expect(0, 92995, '\P{Is_Extender=t}', "");
Expect(1, 92995, '\P{^Is_Extender=t}', "");
Expect(0, 92996, '\p{Is_Extender=t}', "");
Expect(1, 92996, '\p{^Is_Extender=t}', "");
Expect(1, 92996, '\P{Is_Extender=t}', "");
Expect(0, 92996, '\P{^Is_Extender=t}', "");
Expect(1, 92995, '\p{Is_Extender= T}', "");
Expect(0, 92995, '\p{^Is_Extender= T}', "");
Expect(0, 92995, '\P{Is_Extender= T}', "");
Expect(1, 92995, '\P{^Is_Extender= T}', "");
Expect(0, 92996, '\p{Is_Extender= T}', "");
Expect(1, 92996, '\p{^Is_Extender= T}', "");
Expect(1, 92996, '\P{Is_Extender= T}', "");
Expect(0, 92996, '\P{^Is_Extender= T}', "");
Error('\p{Is_Ext=/a/		True}');
Error('\P{Is_Ext=/a/		True}');
Expect(1, 92995, '\p{Is_Ext:	true}', "");
Expect(0, 92995, '\p{^Is_Ext:	true}', "");
Expect(0, 92995, '\P{Is_Ext:	true}', "");
Expect(1, 92995, '\P{^Is_Ext:	true}', "");
Expect(0, 92996, '\p{Is_Ext:	true}', "");
Expect(1, 92996, '\p{^Is_Ext:	true}', "");
Expect(1, 92996, '\P{Is_Ext:	true}', "");
Expect(0, 92996, '\P{^Is_Ext:	true}', "");
Expect(1, 92995, '\p{Is_Ext=		true}', "");
Expect(0, 92995, '\p{^Is_Ext=		true}', "");
Expect(0, 92995, '\P{Is_Ext=		true}', "");
Expect(1, 92995, '\P{^Is_Ext=		true}', "");
Expect(0, 92996, '\p{Is_Ext=		true}', "");
Expect(1, 92996, '\p{^Is_Ext=		true}', "");
Expect(1, 92996, '\P{Is_Ext=		true}', "");
Expect(0, 92996, '\P{^Is_Ext=		true}', "");
Error('\p{Grapheme_Cluster_Break=/a/	-Control}');
Error('\P{Grapheme_Cluster_Break=/a/	-Control}');
Expect(1, 921599, '\p{Grapheme_Cluster_Break=control}', "");
Expect(0, 921599, '\p{^Grapheme_Cluster_Break=control}', "");
Expect(0, 921599, '\P{Grapheme_Cluster_Break=control}', "");
Expect(1, 921599, '\P{^Grapheme_Cluster_Break=control}', "");
Expect(0, 921600, '\p{Grapheme_Cluster_Break=control}', "");
Expect(1, 921600, '\p{^Grapheme_Cluster_Break=control}', "");
Expect(1, 921600, '\P{Grapheme_Cluster_Break=control}', "");
Expect(0, 921600, '\P{^Grapheme_Cluster_Break=control}', "");
Expect(1, 921599, '\p{Grapheme_Cluster_Break=_-CONTROL}', "");
Expect(0, 921599, '\p{^Grapheme_Cluster_Break=_-CONTROL}', "");
Expect(0, 921599, '\P{Grapheme_Cluster_Break=_-CONTROL}', "");
Expect(1, 921599, '\P{^Grapheme_Cluster_Break=_-CONTROL}', "");
Expect(0, 921600, '\p{Grapheme_Cluster_Break=_-CONTROL}', "");
Expect(1, 921600, '\p{^Grapheme_Cluster_Break=_-CONTROL}', "");
Expect(1, 921600, '\P{Grapheme_Cluster_Break=_-CONTROL}', "");
Expect(0, 921600, '\P{^Grapheme_Cluster_Break=_-CONTROL}', "");
Error('\p{GCB=_/a/CN}');
Error('\P{GCB=_/a/CN}');
Expect(1, 921599, '\p{GCB:cn}', "");
Expect(0, 921599, '\p{^GCB:cn}', "");
Expect(0, 921599, '\P{GCB:cn}', "");
Expect(1, 921599, '\P{^GCB:cn}', "");
Expect(0, 921600, '\p{GCB:cn}', "");
Expect(1, 921600, '\p{^GCB:cn}', "");
Expect(1, 921600, '\P{GCB:cn}', "");
Expect(0, 921600, '\P{^GCB:cn}', "");
Expect(1, 921599, '\p{GCB=		CN}', "");
Expect(0, 921599, '\p{^GCB=		CN}', "");
Expect(0, 921599, '\P{GCB=		CN}', "");
Expect(1, 921599, '\P{^GCB=		CN}', "");
Expect(0, 921600, '\p{GCB=		CN}', "");
Expect(1, 921600, '\p{^GCB=		CN}', "");
Expect(1, 921600, '\P{GCB=		CN}', "");
Expect(0, 921600, '\P{^GCB=		CN}', "");
Error('\p{Is_Grapheme_Cluster_Break=-/a/Control}');
Error('\P{Is_Grapheme_Cluster_Break=-/a/Control}');
Expect(1, 921599, '\p{Is_Grapheme_Cluster_Break=control}', "");
Expect(0, 921599, '\p{^Is_Grapheme_Cluster_Break=control}', "");
Expect(0, 921599, '\P{Is_Grapheme_Cluster_Break=control}', "");
Expect(1, 921599, '\P{^Is_Grapheme_Cluster_Break=control}', "");
Expect(0, 921600, '\p{Is_Grapheme_Cluster_Break=control}', "");
Expect(1, 921600, '\p{^Is_Grapheme_Cluster_Break=control}', "");
Expect(1, 921600, '\P{Is_Grapheme_Cluster_Break=control}', "");
Expect(0, 921600, '\P{^Is_Grapheme_Cluster_Break=control}', "");
Expect(1, 921599, '\p{Is_Grapheme_Cluster_Break=	control}', "");
Expect(0, 921599, '\p{^Is_Grapheme_Cluster_Break=	control}', "");
Expect(0, 921599, '\P{Is_Grapheme_Cluster_Break=	control}', "");
Expect(1, 921599, '\P{^Is_Grapheme_Cluster_Break=	control}', "");
Expect(0, 921600, '\p{Is_Grapheme_Cluster_Break=	control}', "");
Expect(1, 921600, '\p{^Is_Grapheme_Cluster_Break=	control}', "");
Expect(1, 921600, '\P{Is_Grapheme_Cluster_Break=	control}', "");
Expect(0, 921600, '\P{^Is_Grapheme_Cluster_Break=	control}', "");
Error('\p{Is_GCB:	- CN/a/}');
Error('\P{Is_GCB:	- CN/a/}');
Expect(1, 921599, '\p{Is_GCB=cn}', "");
Expect(0, 921599, '\p{^Is_GCB=cn}', "");
Expect(0, 921599, '\P{Is_GCB=cn}', "");
Expect(1, 921599, '\P{^Is_GCB=cn}', "");
Expect(0, 921600, '\p{Is_GCB=cn}', "");
Expect(1, 921600, '\p{^Is_GCB=cn}', "");
Expect(1, 921600, '\P{Is_GCB=cn}', "");
Expect(0, 921600, '\P{^Is_GCB=cn}', "");
Expect(1, 921599, '\p{Is_GCB=	cn}', "");
Expect(0, 921599, '\p{^Is_GCB=	cn}', "");
Expect(0, 921599, '\P{Is_GCB=	cn}', "");
Expect(1, 921599, '\P{^Is_GCB=	cn}', "");
Expect(0, 921600, '\p{Is_GCB=	cn}', "");
Expect(1, 921600, '\p{^Is_GCB=	cn}', "");
Expect(1, 921600, '\P{Is_GCB=	cn}', "");
Expect(0, 921600, '\P{^Is_GCB=	cn}', "");
Error('\p{Grapheme_Cluster_Break=/a/ _CR}');
Error('\P{Grapheme_Cluster_Break=/a/ _CR}');
Expect(1, 13, '\p{Grapheme_Cluster_Break=cr}', "");
Expect(0, 13, '\p{^Grapheme_Cluster_Break=cr}', "");
Expect(0, 13, '\P{Grapheme_Cluster_Break=cr}', "");
Expect(1, 13, '\P{^Grapheme_Cluster_Break=cr}', "");
Expect(0, 14, '\p{Grapheme_Cluster_Break=cr}', "");
Expect(1, 14, '\p{^Grapheme_Cluster_Break=cr}', "");
Expect(1, 14, '\P{Grapheme_Cluster_Break=cr}', "");
Expect(0, 14, '\P{^Grapheme_Cluster_Break=cr}', "");
Expect(1, 13, '\p{Grapheme_Cluster_Break= CR}', "");
Expect(0, 13, '\p{^Grapheme_Cluster_Break= CR}', "");
Expect(0, 13, '\P{Grapheme_Cluster_Break= CR}', "");
Expect(1, 13, '\P{^Grapheme_Cluster_Break= CR}', "");
Expect(0, 14, '\p{Grapheme_Cluster_Break= CR}', "");
Expect(1, 14, '\p{^Grapheme_Cluster_Break= CR}', "");
Expect(1, 14, '\P{Grapheme_Cluster_Break= CR}', "");
Expect(0, 14, '\P{^Grapheme_Cluster_Break= CR}', "");
Error('\p{GCB=:=	 CR}');
Error('\P{GCB=:=	 CR}');
Expect(1, 13, '\p{GCB=cr}', "");
Expect(0, 13, '\p{^GCB=cr}', "");
Expect(0, 13, '\P{GCB=cr}', "");
Expect(1, 13, '\P{^GCB=cr}', "");
Expect(0, 14, '\p{GCB=cr}', "");
Expect(1, 14, '\p{^GCB=cr}', "");
Expect(1, 14, '\P{GCB=cr}', "");
Expect(0, 14, '\P{^GCB=cr}', "");
Expect(1, 13, '\p{GCB= 	CR}', "");
Expect(0, 13, '\p{^GCB= 	CR}', "");
Expect(0, 13, '\P{GCB= 	CR}', "");
Expect(1, 13, '\P{^GCB= 	CR}', "");
Expect(0, 14, '\p{GCB= 	CR}', "");
Expect(1, 14, '\p{^GCB= 	CR}', "");
Expect(1, 14, '\P{GCB= 	CR}', "");
Expect(0, 14, '\P{^GCB= 	CR}', "");
Error('\p{Is_Grapheme_Cluster_Break=	-cr/a/}');
Error('\P{Is_Grapheme_Cluster_Break=	-cr/a/}');
Expect(1, 13, '\p{Is_Grapheme_Cluster_Break=cr}', "");
Expect(0, 13, '\p{^Is_Grapheme_Cluster_Break=cr}', "");
Expect(0, 13, '\P{Is_Grapheme_Cluster_Break=cr}', "");
Expect(1, 13, '\P{^Is_Grapheme_Cluster_Break=cr}', "");
Expect(0, 14, '\p{Is_Grapheme_Cluster_Break=cr}', "");
Expect(1, 14, '\p{^Is_Grapheme_Cluster_Break=cr}', "");
Expect(1, 14, '\P{Is_Grapheme_Cluster_Break=cr}', "");
Expect(0, 14, '\P{^Is_Grapheme_Cluster_Break=cr}', "");
Expect(1, 13, '\p{Is_Grapheme_Cluster_Break=-CR}', "");
Expect(0, 13, '\p{^Is_Grapheme_Cluster_Break=-CR}', "");
Expect(0, 13, '\P{Is_Grapheme_Cluster_Break=-CR}', "");
Expect(1, 13, '\P{^Is_Grapheme_Cluster_Break=-CR}', "");
Expect(0, 14, '\p{Is_Grapheme_Cluster_Break=-CR}', "");
Expect(1, 14, '\p{^Is_Grapheme_Cluster_Break=-CR}', "");
Expect(1, 14, '\P{Is_Grapheme_Cluster_Break=-CR}', "");
Expect(0, 14, '\P{^Is_Grapheme_Cluster_Break=-CR}', "");
Error('\p{Is_GCB= -cr/a/}');
Error('\P{Is_GCB= -cr/a/}');
Expect(1, 13, '\p{Is_GCB=cr}', "");
Expect(0, 13, '\p{^Is_GCB=cr}', "");
Expect(0, 13, '\P{Is_GCB=cr}', "");
Expect(1, 13, '\P{^Is_GCB=cr}', "");
Expect(0, 14, '\p{Is_GCB=cr}', "");
Expect(1, 14, '\p{^Is_GCB=cr}', "");
Expect(1, 14, '\P{Is_GCB=cr}', "");
Expect(0, 14, '\P{^Is_GCB=cr}', "");
Expect(1, 13, '\p{Is_GCB= 	cr}', "");
Expect(0, 13, '\p{^Is_GCB= 	cr}', "");
Expect(0, 13, '\P{Is_GCB= 	cr}', "");
Expect(1, 13, '\P{^Is_GCB= 	cr}', "");
Expect(0, 14, '\p{Is_GCB= 	cr}', "");
Expect(1, 14, '\p{^Is_GCB= 	cr}', "");
Expect(1, 14, '\P{Is_GCB= 	cr}', "");
Expect(0, 14, '\P{^Is_GCB= 	cr}', "");
Error('\p{Grapheme_Cluster_Break=_extend:=}');
Error('\P{Grapheme_Cluster_Break=_extend:=}');
Expect(1, 917999, '\p{Grapheme_Cluster_Break:	extend}', "");
Expect(0, 917999, '\p{^Grapheme_Cluster_Break:	extend}', "");
Expect(0, 917999, '\P{Grapheme_Cluster_Break:	extend}', "");
Expect(1, 917999, '\P{^Grapheme_Cluster_Break:	extend}', "");
Expect(0, 918000, '\p{Grapheme_Cluster_Break:	extend}', "");
Expect(1, 918000, '\p{^Grapheme_Cluster_Break:	extend}', "");
Expect(1, 918000, '\P{Grapheme_Cluster_Break:	extend}', "");
Expect(0, 918000, '\P{^Grapheme_Cluster_Break:	extend}', "");
Expect(1, 917999, '\p{Grapheme_Cluster_Break=  EXTEND}', "");
Expect(0, 917999, '\p{^Grapheme_Cluster_Break=  EXTEND}', "");
Expect(0, 917999, '\P{Grapheme_Cluster_Break=  EXTEND}', "");
Expect(1, 917999, '\P{^Grapheme_Cluster_Break=  EXTEND}', "");
Expect(0, 918000, '\p{Grapheme_Cluster_Break=  EXTEND}', "");
Expect(1, 918000, '\p{^Grapheme_Cluster_Break=  EXTEND}', "");
Expect(1, 918000, '\P{Grapheme_Cluster_Break=  EXTEND}', "");
Expect(0, 918000, '\P{^Grapheme_Cluster_Break=  EXTEND}', "");
Error('\p{GCB=:= EX}');
Error('\P{GCB=:= EX}');
Expect(1, 917999, '\p{GCB=ex}', "");
Expect(0, 917999, '\p{^GCB=ex}', "");
Expect(0, 917999, '\P{GCB=ex}', "");
Expect(1, 917999, '\P{^GCB=ex}', "");
Expect(0, 918000, '\p{GCB=ex}', "");
Expect(1, 918000, '\p{^GCB=ex}', "");
Expect(1, 918000, '\P{GCB=ex}', "");
Expect(0, 918000, '\P{^GCB=ex}', "");
Expect(1, 917999, '\p{GCB:	 EX}', "");
Expect(0, 917999, '\p{^GCB:	 EX}', "");
Expect(0, 917999, '\P{GCB:	 EX}', "");
Expect(1, 917999, '\P{^GCB:	 EX}', "");
Expect(0, 918000, '\p{GCB:	 EX}', "");
Expect(1, 918000, '\p{^GCB:	 EX}', "");
Expect(1, 918000, '\P{GCB:	 EX}', "");
Expect(0, 918000, '\P{^GCB:	 EX}', "");
Error('\p{Is_Grapheme_Cluster_Break=:=	_extend}');
Error('\P{Is_Grapheme_Cluster_Break=:=	_extend}');
Expect(1, 917999, '\p{Is_Grapheme_Cluster_Break:	extend}', "");
Expect(0, 917999, '\p{^Is_Grapheme_Cluster_Break:	extend}', "");
Expect(0, 917999, '\P{Is_Grapheme_Cluster_Break:	extend}', "");
Expect(1, 917999, '\P{^Is_Grapheme_Cluster_Break:	extend}', "");
Expect(0, 918000, '\p{Is_Grapheme_Cluster_Break:	extend}', "");
Expect(1, 918000, '\p{^Is_Grapheme_Cluster_Break:	extend}', "");
Expect(1, 918000, '\P{Is_Grapheme_Cluster_Break:	extend}', "");
Expect(0, 918000, '\P{^Is_Grapheme_Cluster_Break:	extend}', "");
Expect(1, 917999, '\p{Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Expect(0, 917999, '\p{^Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Expect(0, 917999, '\P{Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Expect(1, 917999, '\P{^Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Expect(0, 918000, '\p{Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Expect(1, 918000, '\p{^Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Expect(1, 918000, '\P{Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Expect(0, 918000, '\P{^Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Error('\p{Is_GCB=:= 	EX}');
Error('\P{Is_GCB=:= 	EX}');
Expect(1, 917999, '\p{Is_GCB=ex}', "");
Expect(0, 917999, '\p{^Is_GCB=ex}', "");
Expect(0, 917999, '\P{Is_GCB=ex}', "");
Expect(1, 917999, '\P{^Is_GCB=ex}', "");
Expect(0, 918000, '\p{Is_GCB=ex}', "");
Expect(1, 918000, '\p{^Is_GCB=ex}', "");
Expect(1, 918000, '\P{Is_GCB=ex}', "");
Expect(0, 918000, '\P{^Is_GCB=ex}', "");
Expect(1, 917999, '\p{Is_GCB=- EX}', "");
Expect(0, 917999, '\p{^Is_GCB=- EX}', "");
Expect(0, 917999, '\P{Is_GCB=- EX}', "");
Expect(1, 917999, '\P{^Is_GCB=- EX}', "");
Expect(0, 918000, '\p{Is_GCB=- EX}', "");
Expect(1, 918000, '\p{^Is_GCB=- EX}', "");
Expect(1, 918000, '\P{Is_GCB=- EX}', "");
Expect(0, 918000, '\P{^Is_GCB=- EX}', "");
Error('\p{Grapheme_Cluster_Break=	l/a/}');
Error('\P{Grapheme_Cluster_Break=	l/a/}');
Expect(1, 43388, '\p{Grapheme_Cluster_Break=l}', "");
Expect(0, 43388, '\p{^Grapheme_Cluster_Break=l}', "");
Expect(0, 43388, '\P{Grapheme_Cluster_Break=l}', "");
Expect(1, 43388, '\P{^Grapheme_Cluster_Break=l}', "");
Expect(0, 43389, '\p{Grapheme_Cluster_Break=l}', "");
Expect(1, 43389, '\p{^Grapheme_Cluster_Break=l}', "");
Expect(1, 43389, '\P{Grapheme_Cluster_Break=l}', "");
Expect(0, 43389, '\P{^Grapheme_Cluster_Break=l}', "");
Expect(1, 43388, '\p{Grapheme_Cluster_Break=__L}', "");
Expect(0, 43388, '\p{^Grapheme_Cluster_Break=__L}', "");
Expect(0, 43388, '\P{Grapheme_Cluster_Break=__L}', "");
Expect(1, 43388, '\P{^Grapheme_Cluster_Break=__L}', "");
Expect(0, 43389, '\p{Grapheme_Cluster_Break=__L}', "");
Expect(1, 43389, '\p{^Grapheme_Cluster_Break=__L}', "");
Expect(1, 43389, '\P{Grapheme_Cluster_Break=__L}', "");
Expect(0, 43389, '\P{^Grapheme_Cluster_Break=__L}', "");
Error('\p{GCB=  L:=}');
Error('\P{GCB=  L:=}');
Expect(1, 43388, '\p{GCB=l}', "");
Expect(0, 43388, '\p{^GCB=l}', "");
Expect(0, 43388, '\P{GCB=l}', "");
Expect(1, 43388, '\P{^GCB=l}', "");
Expect(0, 43389, '\p{GCB=l}', "");
Expect(1, 43389, '\p{^GCB=l}', "");
Expect(1, 43389, '\P{GCB=l}', "");
Expect(0, 43389, '\P{^GCB=l}', "");
Expect(1, 43388, '\p{GCB= -L}', "");
Expect(0, 43388, '\p{^GCB= -L}', "");
Expect(0, 43388, '\P{GCB= -L}', "");
Expect(1, 43388, '\P{^GCB= -L}', "");
Expect(0, 43389, '\p{GCB= -L}', "");
Expect(1, 43389, '\p{^GCB= -L}', "");
Expect(1, 43389, '\P{GCB= -L}', "");
Expect(0, 43389, '\P{^GCB= -L}', "");
Error('\p{Is_Grapheme_Cluster_Break:	  l:=}');
Error('\P{Is_Grapheme_Cluster_Break:	  l:=}');
Expect(1, 43388, '\p{Is_Grapheme_Cluster_Break=l}', "");
Expect(0, 43388, '\p{^Is_Grapheme_Cluster_Break=l}', "");
Expect(0, 43388, '\P{Is_Grapheme_Cluster_Break=l}', "");
Expect(1, 43388, '\P{^Is_Grapheme_Cluster_Break=l}', "");
Expect(0, 43389, '\p{Is_Grapheme_Cluster_Break=l}', "");
Expect(1, 43389, '\p{^Is_Grapheme_Cluster_Break=l}', "");
Expect(1, 43389, '\P{Is_Grapheme_Cluster_Break=l}', "");
Expect(0, 43389, '\P{^Is_Grapheme_Cluster_Break=l}', "");
Expect(1, 43388, '\p{Is_Grapheme_Cluster_Break=L}', "");
Expect(0, 43388, '\p{^Is_Grapheme_Cluster_Break=L}', "");
Expect(0, 43388, '\P{Is_Grapheme_Cluster_Break=L}', "");
Expect(1, 43388, '\P{^Is_Grapheme_Cluster_Break=L}', "");
Expect(0, 43389, '\p{Is_Grapheme_Cluster_Break=L}', "");
Expect(1, 43389, '\p{^Is_Grapheme_Cluster_Break=L}', "");
Expect(1, 43389, '\P{Is_Grapheme_Cluster_Break=L}', "");
Expect(0, 43389, '\P{^Is_Grapheme_Cluster_Break=L}', "");
Error('\p{Is_GCB=	_L:=}');
Error('\P{Is_GCB=	_L:=}');
Expect(1, 43388, '\p{Is_GCB=l}', "");
Expect(0, 43388, '\p{^Is_GCB=l}', "");
Expect(0, 43388, '\P{Is_GCB=l}', "");
Expect(1, 43388, '\P{^Is_GCB=l}', "");
Expect(0, 43389, '\p{Is_GCB=l}', "");
Expect(1, 43389, '\p{^Is_GCB=l}', "");
Expect(1, 43389, '\P{Is_GCB=l}', "");
Expect(0, 43389, '\P{^Is_GCB=l}', "");
Expect(1, 43388, '\p{Is_GCB=-_L}', "");
Expect(0, 43388, '\p{^Is_GCB=-_L}', "");
Expect(0, 43388, '\P{Is_GCB=-_L}', "");
Expect(1, 43388, '\P{^Is_GCB=-_L}', "");
Expect(0, 43389, '\p{Is_GCB=-_L}', "");
Expect(1, 43389, '\p{^Is_GCB=-_L}', "");
Expect(1, 43389, '\P{Is_GCB=-_L}', "");
Expect(0, 43389, '\P{^Is_GCB=-_L}', "");
Error('\p{Grapheme_Cluster_Break:  LF:=}');
Error('\P{Grapheme_Cluster_Break:  LF:=}');
Expect(1, 10, '\p{Grapheme_Cluster_Break=lf}', "");
Expect(0, 10, '\p{^Grapheme_Cluster_Break=lf}', "");
Expect(0, 10, '\P{Grapheme_Cluster_Break=lf}', "");
Expect(1, 10, '\P{^Grapheme_Cluster_Break=lf}', "");
Expect(0, 11, '\p{Grapheme_Cluster_Break=lf}', "");
Expect(1, 11, '\p{^Grapheme_Cluster_Break=lf}', "");
Expect(1, 11, '\P{Grapheme_Cluster_Break=lf}', "");
Expect(0, 11, '\P{^Grapheme_Cluster_Break=lf}', "");
Expect(1, 10, '\p{Grapheme_Cluster_Break=__LF}', "");
Expect(0, 10, '\p{^Grapheme_Cluster_Break=__LF}', "");
Expect(0, 10, '\P{Grapheme_Cluster_Break=__LF}', "");
Expect(1, 10, '\P{^Grapheme_Cluster_Break=__LF}', "");
Expect(0, 11, '\p{Grapheme_Cluster_Break=__LF}', "");
Expect(1, 11, '\p{^Grapheme_Cluster_Break=__LF}', "");
Expect(1, 11, '\P{Grapheme_Cluster_Break=__LF}', "");
Expect(0, 11, '\P{^Grapheme_Cluster_Break=__LF}', "");
Error('\p{GCB= :=lf}');
Error('\P{GCB= :=lf}');
Expect(1, 10, '\p{GCB:   lf}', "");
Expect(0, 10, '\p{^GCB:   lf}', "");
Expect(0, 10, '\P{GCB:   lf}', "");
Expect(1, 10, '\P{^GCB:   lf}', "");
Expect(0, 11, '\p{GCB:   lf}', "");
Expect(1, 11, '\p{^GCB:   lf}', "");
Expect(1, 11, '\P{GCB:   lf}', "");
Expect(0, 11, '\P{^GCB:   lf}', "");
Expect(1, 10, '\p{GCB=	_LF}', "");
Expect(0, 10, '\p{^GCB=	_LF}', "");
Expect(0, 10, '\P{GCB=	_LF}', "");
Expect(1, 10, '\P{^GCB=	_LF}', "");
Expect(0, 11, '\p{GCB=	_LF}', "");
Expect(1, 11, '\p{^GCB=	_LF}', "");
Expect(1, 11, '\P{GCB=	_LF}', "");
Expect(0, 11, '\P{^GCB=	_LF}', "");
Error('\p{Is_Grapheme_Cluster_Break=	-LF/a/}');
Error('\P{Is_Grapheme_Cluster_Break=	-LF/a/}');
Expect(1, 10, '\p{Is_Grapheme_Cluster_Break=lf}', "");
Expect(0, 10, '\p{^Is_Grapheme_Cluster_Break=lf}', "");
Expect(0, 10, '\P{Is_Grapheme_Cluster_Break=lf}', "");
Expect(1, 10, '\P{^Is_Grapheme_Cluster_Break=lf}', "");
Expect(0, 11, '\p{Is_Grapheme_Cluster_Break=lf}', "");
Expect(1, 11, '\p{^Is_Grapheme_Cluster_Break=lf}', "");
Expect(1, 11, '\P{Is_Grapheme_Cluster_Break=lf}', "");
Expect(0, 11, '\P{^Is_Grapheme_Cluster_Break=lf}', "");
Expect(1, 10, '\p{Is_Grapheme_Cluster_Break=	_LF}', "");
Expect(0, 10, '\p{^Is_Grapheme_Cluster_Break=	_LF}', "");
Expect(0, 10, '\P{Is_Grapheme_Cluster_Break=	_LF}', "");
Expect(1, 10, '\P{^Is_Grapheme_Cluster_Break=	_LF}', "");
Expect(0, 11, '\p{Is_Grapheme_Cluster_Break=	_LF}', "");
Expect(1, 11, '\p{^Is_Grapheme_Cluster_Break=	_LF}', "");
Expect(1, 11, '\P{Is_Grapheme_Cluster_Break=	_LF}', "");
Expect(0, 11, '\P{^Is_Grapheme_Cluster_Break=	_LF}', "");
Error('\p{Is_GCB::=	lf}');
Error('\P{Is_GCB::=	lf}');
Expect(1, 10, '\p{Is_GCB: lf}', "");
Expect(0, 10, '\p{^Is_GCB: lf}', "");
Expect(0, 10, '\P{Is_GCB: lf}', "");
Expect(1, 10, '\P{^Is_GCB: lf}', "");
Expect(0, 11, '\p{Is_GCB: lf}', "");
Expect(1, 11, '\p{^Is_GCB: lf}', "");
Expect(1, 11, '\P{Is_GCB: lf}', "");
Expect(0, 11, '\P{^Is_GCB: lf}', "");
Expect(1, 10, '\p{Is_GCB= LF}', "");
Expect(0, 10, '\p{^Is_GCB= LF}', "");
Expect(0, 10, '\P{Is_GCB= LF}', "");
Expect(1, 10, '\P{^Is_GCB= LF}', "");
Expect(0, 11, '\p{Is_GCB= LF}', "");
Expect(1, 11, '\p{^Is_GCB= LF}', "");
Expect(1, 11, '\P{Is_GCB= LF}', "");
Expect(0, 11, '\P{^Is_GCB= LF}', "");
Error('\p{Grapheme_Cluster_Break=  lv/a/}');
Error('\P{Grapheme_Cluster_Break=  lv/a/}');
Expect(1, 55176, '\p{Grapheme_Cluster_Break=lv}', "");
Expect(0, 55176, '\p{^Grapheme_Cluster_Break=lv}', "");
Expect(0, 55176, '\P{Grapheme_Cluster_Break=lv}', "");
Expect(1, 55176, '\P{^Grapheme_Cluster_Break=lv}', "");
Expect(0, 55177, '\p{Grapheme_Cluster_Break=lv}', "");
Expect(1, 55177, '\p{^Grapheme_Cluster_Break=lv}', "");
Expect(1, 55177, '\P{Grapheme_Cluster_Break=lv}', "");
Expect(0, 55177, '\P{^Grapheme_Cluster_Break=lv}', "");
Expect(1, 55176, '\p{Grapheme_Cluster_Break:	-LV}', "");
Expect(0, 55176, '\p{^Grapheme_Cluster_Break:	-LV}', "");
Expect(0, 55176, '\P{Grapheme_Cluster_Break:	-LV}', "");
Expect(1, 55176, '\P{^Grapheme_Cluster_Break:	-LV}', "");
Expect(0, 55177, '\p{Grapheme_Cluster_Break:	-LV}', "");
Expect(1, 55177, '\p{^Grapheme_Cluster_Break:	-LV}', "");
Expect(1, 55177, '\P{Grapheme_Cluster_Break:	-LV}', "");
Expect(0, 55177, '\P{^Grapheme_Cluster_Break:	-LV}', "");
Error('\p{GCB=	LV:=}');
Error('\P{GCB=	LV:=}');
Expect(1, 55176, '\p{GCB: lv}', "");
Expect(0, 55176, '\p{^GCB: lv}', "");
Expect(0, 55176, '\P{GCB: lv}', "");
Expect(1, 55176, '\P{^GCB: lv}', "");
Expect(0, 55177, '\p{GCB: lv}', "");
Expect(1, 55177, '\p{^GCB: lv}', "");
Expect(1, 55177, '\P{GCB: lv}', "");
Expect(0, 55177, '\P{^GCB: lv}', "");
Expect(1, 55176, '\p{GCB=_ lv}', "");
Expect(0, 55176, '\p{^GCB=_ lv}', "");
Expect(0, 55176, '\P{GCB=_ lv}', "");
Expect(1, 55176, '\P{^GCB=_ lv}', "");
Expect(0, 55177, '\p{GCB=_ lv}', "");
Expect(1, 55177, '\p{^GCB=_ lv}', "");
Expect(1, 55177, '\P{GCB=_ lv}', "");
Expect(0, 55177, '\P{^GCB=_ lv}', "");
Error('\p{Is_Grapheme_Cluster_Break=:=- LV}');
Error('\P{Is_Grapheme_Cluster_Break=:=- LV}');
Expect(1, 55176, '\p{Is_Grapheme_Cluster_Break=lv}', "");
Expect(0, 55176, '\p{^Is_Grapheme_Cluster_Break=lv}', "");
Expect(0, 55176, '\P{Is_Grapheme_Cluster_Break=lv}', "");
Expect(1, 55176, '\P{^Is_Grapheme_Cluster_Break=lv}', "");
Expect(0, 55177, '\p{Is_Grapheme_Cluster_Break=lv}', "");
Expect(1, 55177, '\p{^Is_Grapheme_Cluster_Break=lv}', "");
Expect(1, 55177, '\P{Is_Grapheme_Cluster_Break=lv}', "");
Expect(0, 55177, '\P{^Is_Grapheme_Cluster_Break=lv}', "");
Expect(1, 55176, '\p{Is_Grapheme_Cluster_Break=-LV}', "");
Expect(0, 55176, '\p{^Is_Grapheme_Cluster_Break=-LV}', "");
Expect(0, 55176, '\P{Is_Grapheme_Cluster_Break=-LV}', "");
Expect(1, 55176, '\P{^Is_Grapheme_Cluster_Break=-LV}', "");
Expect(0, 55177, '\p{Is_Grapheme_Cluster_Break=-LV}', "");
Expect(1, 55177, '\p{^Is_Grapheme_Cluster_Break=-LV}', "");
Expect(1, 55177, '\P{Is_Grapheme_Cluster_Break=-LV}', "");
Expect(0, 55177, '\P{^Is_Grapheme_Cluster_Break=-LV}', "");
Error('\p{Is_GCB=_	LV:=}');
Error('\P{Is_GCB=_	LV:=}');
Expect(1, 55176, '\p{Is_GCB=lv}', "");
Expect(0, 55176, '\p{^Is_GCB=lv}', "");
Expect(0, 55176, '\P{Is_GCB=lv}', "");
Expect(1, 55176, '\P{^Is_GCB=lv}', "");
Expect(0, 55177, '\p{Is_GCB=lv}', "");
Expect(1, 55177, '\p{^Is_GCB=lv}', "");
Expect(1, 55177, '\P{Is_GCB=lv}', "");
Expect(0, 55177, '\P{^Is_GCB=lv}', "");
Expect(1, 55176, '\p{Is_GCB=	_lv}', "");
Expect(0, 55176, '\p{^Is_GCB=	_lv}', "");
Expect(0, 55176, '\P{Is_GCB=	_lv}', "");
Expect(1, 55176, '\P{^Is_GCB=	_lv}', "");
Expect(0, 55177, '\p{Is_GCB=	_lv}', "");
Expect(1, 55177, '\p{^Is_GCB=	_lv}', "");
Expect(1, 55177, '\P{Is_GCB=	_lv}', "");
Expect(0, 55177, '\P{^Is_GCB=	_lv}', "");
Error('\p{Grapheme_Cluster_Break=__lvt/a/}');
Error('\P{Grapheme_Cluster_Break=__lvt/a/}');
Expect(1, 55203, '\p{Grapheme_Cluster_Break=lvt}', "");
Expect(0, 55203, '\p{^Grapheme_Cluster_Break=lvt}', "");
Expect(0, 55203, '\P{Grapheme_Cluster_Break=lvt}', "");
Expect(1, 55203, '\P{^Grapheme_Cluster_Break=lvt}', "");
Expect(0, 55204, '\p{Grapheme_Cluster_Break=lvt}', "");
Expect(1, 55204, '\p{^Grapheme_Cluster_Break=lvt}', "");
Expect(1, 55204, '\P{Grapheme_Cluster_Break=lvt}', "");
Expect(0, 55204, '\P{^Grapheme_Cluster_Break=lvt}', "");
Expect(1, 55203, '\p{Grapheme_Cluster_Break=	 lvt}', "");
Expect(0, 55203, '\p{^Grapheme_Cluster_Break=	 lvt}', "");
Expect(0, 55203, '\P{Grapheme_Cluster_Break=	 lvt}', "");
Expect(1, 55203, '\P{^Grapheme_Cluster_Break=	 lvt}', "");
Expect(0, 55204, '\p{Grapheme_Cluster_Break=	 lvt}', "");
Expect(1, 55204, '\p{^Grapheme_Cluster_Break=	 lvt}', "");
Expect(1, 55204, '\P{Grapheme_Cluster_Break=	 lvt}', "");
Expect(0, 55204, '\P{^Grapheme_Cluster_Break=	 lvt}', "");
Error('\p{GCB= LVT/a/}');
Error('\P{GCB= LVT/a/}');
Expect(1, 55203, '\p{GCB=lvt}', "");
Expect(0, 55203, '\p{^GCB=lvt}', "");
Expect(0, 55203, '\P{GCB=lvt}', "");
Expect(1, 55203, '\P{^GCB=lvt}', "");
Expect(0, 55204, '\p{GCB=lvt}', "");
Expect(1, 55204, '\p{^GCB=lvt}', "");
Expect(1, 55204, '\P{GCB=lvt}', "");
Expect(0, 55204, '\P{^GCB=lvt}', "");
Expect(1, 55203, '\p{GCB=_ LVT}', "");
Expect(0, 55203, '\p{^GCB=_ LVT}', "");
Expect(0, 55203, '\P{GCB=_ LVT}', "");
Expect(1, 55203, '\P{^GCB=_ LVT}', "");
Expect(0, 55204, '\p{GCB=_ LVT}', "");
Expect(1, 55204, '\p{^GCB=_ LVT}', "");
Expect(1, 55204, '\P{GCB=_ LVT}', "");
Expect(0, 55204, '\P{^GCB=_ LVT}', "");
Error('\p{Is_Grapheme_Cluster_Break=--LVT/a/}');
Error('\P{Is_Grapheme_Cluster_Break=--LVT/a/}');
Expect(1, 55203, '\p{Is_Grapheme_Cluster_Break: lvt}', "");
Expect(0, 55203, '\p{^Is_Grapheme_Cluster_Break: lvt}', "");
Expect(0, 55203, '\P{Is_Grapheme_Cluster_Break: lvt}', "");
Expect(1, 55203, '\P{^Is_Grapheme_Cluster_Break: lvt}', "");
Expect(0, 55204, '\p{Is_Grapheme_Cluster_Break: lvt}', "");
Expect(1, 55204, '\p{^Is_Grapheme_Cluster_Break: lvt}', "");
Expect(1, 55204, '\P{Is_Grapheme_Cluster_Break: lvt}', "");
Expect(0, 55204, '\P{^Is_Grapheme_Cluster_Break: lvt}', "");
Expect(1, 55203, '\p{Is_Grapheme_Cluster_Break:   - LVT}', "");
Expect(0, 55203, '\p{^Is_Grapheme_Cluster_Break:   - LVT}', "");
Expect(0, 55203, '\P{Is_Grapheme_Cluster_Break:   - LVT}', "");
Expect(1, 55203, '\P{^Is_Grapheme_Cluster_Break:   - LVT}', "");
Expect(0, 55204, '\p{Is_Grapheme_Cluster_Break:   - LVT}', "");
Expect(1, 55204, '\p{^Is_Grapheme_Cluster_Break:   - LVT}', "");
Expect(1, 55204, '\P{Is_Grapheme_Cluster_Break:   - LVT}', "");
Expect(0, 55204, '\P{^Is_Grapheme_Cluster_Break:   - LVT}', "");
Error('\p{Is_GCB=-:=LVT}');
Error('\P{Is_GCB=-:=LVT}');
Expect(1, 55203, '\p{Is_GCB=lvt}', "");
Expect(0, 55203, '\p{^Is_GCB=lvt}', "");
Expect(0, 55203, '\P{Is_GCB=lvt}', "");
Expect(1, 55203, '\P{^Is_GCB=lvt}', "");
Expect(0, 55204, '\p{Is_GCB=lvt}', "");
Expect(1, 55204, '\p{^Is_GCB=lvt}', "");
Expect(1, 55204, '\P{Is_GCB=lvt}', "");
Expect(0, 55204, '\P{^Is_GCB=lvt}', "");
Expect(1, 55203, '\p{Is_GCB=-_lvt}', "");
Expect(0, 55203, '\p{^Is_GCB=-_lvt}', "");
Expect(0, 55203, '\P{Is_GCB=-_lvt}', "");
Expect(1, 55203, '\P{^Is_GCB=-_lvt}', "");
Expect(0, 55204, '\p{Is_GCB=-_lvt}', "");
Expect(1, 55204, '\p{^Is_GCB=-_lvt}', "");
Expect(1, 55204, '\P{Is_GCB=-_lvt}', "");
Expect(0, 55204, '\P{^Is_GCB=-_lvt}', "");
Error('\p{Grapheme_Cluster_Break=:=_ Prepend}');
Error('\P{Grapheme_Cluster_Break=:=_ Prepend}');
Expect(0, 1, '\p{Grapheme_Cluster_Break=prepend}', "");
Expect(1, 1, '\p{^Grapheme_Cluster_Break=prepend}', "");
Expect(1, 1, '\P{Grapheme_Cluster_Break=prepend}', "");
Expect(0, 1, '\P{^Grapheme_Cluster_Break=prepend}', "");
Expect(0, 1, '\p{Grapheme_Cluster_Break= 	PREPEND}', "");
Expect(1, 1, '\p{^Grapheme_Cluster_Break= 	PREPEND}', "");
Expect(1, 1, '\P{Grapheme_Cluster_Break= 	PREPEND}', "");
Expect(0, 1, '\P{^Grapheme_Cluster_Break= 	PREPEND}', "");
Error('\p{GCB:- PP/a/}');
Error('\P{GCB:- PP/a/}');
Expect(0, 1, '\p{GCB=pp}', "");
Expect(1, 1, '\p{^GCB=pp}', "");
Expect(1, 1, '\P{GCB=pp}', "");
Expect(0, 1, '\P{^GCB=pp}', "");
Expect(0, 1, '\p{GCB=_PP}', "");
Expect(1, 1, '\p{^GCB=_PP}', "");
Expect(1, 1, '\P{GCB=_PP}', "");
Expect(0, 1, '\P{^GCB=_PP}', "");
Error('\p{Is_Grapheme_Cluster_Break=:=-_prepend}');
Error('\P{Is_Grapheme_Cluster_Break=:=-_prepend}');
Expect(0, 1, '\p{Is_Grapheme_Cluster_Break=prepend}', "");
Expect(1, 1, '\p{^Is_Grapheme_Cluster_Break=prepend}', "");
Expect(1, 1, '\P{Is_Grapheme_Cluster_Break=prepend}', "");
Expect(0, 1, '\P{^Is_Grapheme_Cluster_Break=prepend}', "");
Expect(0, 1, '\p{Is_Grapheme_Cluster_Break=-_Prepend}', "");
Expect(1, 1, '\p{^Is_Grapheme_Cluster_Break=-_Prepend}', "");
Expect(1, 1, '\P{Is_Grapheme_Cluster_Break=-_Prepend}', "");
Expect(0, 1, '\P{^Is_Grapheme_Cluster_Break=-_Prepend}', "");
Error('\p{Is_GCB=/a/__PP}');
Error('\P{Is_GCB=/a/__PP}');
Expect(0, 1, '\p{Is_GCB=pp}', "");
Expect(1, 1, '\p{^Is_GCB=pp}', "");
Expect(1, 1, '\P{Is_GCB=pp}', "");
Expect(0, 1, '\P{^Is_GCB=pp}', "");
Expect(0, 1, '\p{Is_GCB=_PP}', "");
Expect(1, 1, '\p{^Is_GCB=_PP}', "");
Expect(1, 1, '\P{Is_GCB=_PP}', "");
Expect(0, 1, '\P{^Is_GCB=_PP}', "");
Error('\p{Grapheme_Cluster_Break=:= regional_indicator}');
Error('\P{Grapheme_Cluster_Break=:= regional_indicator}');
Expect(1, 127487, '\p{Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127487, '\p{^Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127487, '\P{Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127487, '\P{^Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127488, '\p{Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127488, '\p{^Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127488, '\P{Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127488, '\P{^Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127487, '\p{Grapheme_Cluster_Break= -Regional_Indicator}', "");
Expect(0, 127487, '\p{^Grapheme_Cluster_Break= -Regional_Indicator}', "");
Expect(0, 127487, '\P{Grapheme_Cluster_Break= -Regional_Indicator}', "");
Expect(1, 127487, '\P{^Grapheme_Cluster_Break= -Regional_Indicator}', "");
Expect(0, 127488, '\p{Grapheme_Cluster_Break= -Regional_Indicator}', "");
Expect(1, 127488, '\p{^Grapheme_Cluster_Break= -Regional_Indicator}', "");
Expect(1, 127488, '\P{Grapheme_Cluster_Break= -Regional_Indicator}', "");
Expect(0, 127488, '\P{^Grapheme_Cluster_Break= -Regional_Indicator}', "");
Error('\p{GCB=__RI/a/}');
Error('\P{GCB=__RI/a/}');
Expect(1, 127487, '\p{GCB=ri}', "");
Expect(0, 127487, '\p{^GCB=ri}', "");
Expect(0, 127487, '\P{GCB=ri}', "");
Expect(1, 127487, '\P{^GCB=ri}', "");
Expect(0, 127488, '\p{GCB=ri}', "");
Expect(1, 127488, '\p{^GCB=ri}', "");
Expect(1, 127488, '\P{GCB=ri}', "");
Expect(0, 127488, '\P{^GCB=ri}', "");
Expect(1, 127487, '\p{GCB:    ri}', "");
Expect(0, 127487, '\p{^GCB:    ri}', "");
Expect(0, 127487, '\P{GCB:    ri}', "");
Expect(1, 127487, '\P{^GCB:    ri}', "");
Expect(0, 127488, '\p{GCB:    ri}', "");
Expect(1, 127488, '\p{^GCB:    ri}', "");
Expect(1, 127488, '\P{GCB:    ri}', "");
Expect(0, 127488, '\P{^GCB:    ri}', "");
Error('\p{Is_Grapheme_Cluster_Break= 	regional_indicator/a/}');
Error('\P{Is_Grapheme_Cluster_Break= 	regional_indicator/a/}');
Expect(1, 127487, '\p{Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127487, '\p{^Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127487, '\P{Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127487, '\P{^Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127488, '\p{Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127488, '\p{^Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127488, '\P{Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127488, '\P{^Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127487, '\p{Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Expect(0, 127487, '\p{^Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Expect(0, 127487, '\P{Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Expect(1, 127487, '\P{^Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Expect(0, 127488, '\p{Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Expect(1, 127488, '\p{^Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Expect(1, 127488, '\P{Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Expect(0, 127488, '\P{^Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Error('\p{Is_GCB=-:=RI}');
Error('\P{Is_GCB=-:=RI}');
Expect(1, 127487, '\p{Is_GCB=ri}', "");
Expect(0, 127487, '\p{^Is_GCB=ri}', "");
Expect(0, 127487, '\P{Is_GCB=ri}', "");
Expect(1, 127487, '\P{^Is_GCB=ri}', "");
Expect(0, 127488, '\p{Is_GCB=ri}', "");
Expect(1, 127488, '\p{^Is_GCB=ri}', "");
Expect(1, 127488, '\P{Is_GCB=ri}', "");
Expect(0, 127488, '\P{^Is_GCB=ri}', "");
Expect(1, 127487, '\p{Is_GCB= RI}', "");
Expect(0, 127487, '\p{^Is_GCB= RI}', "");
Expect(0, 127487, '\P{Is_GCB= RI}', "");
Expect(1, 127487, '\P{^Is_GCB= RI}', "");
Expect(0, 127488, '\p{Is_GCB= RI}', "");
Expect(1, 127488, '\p{^Is_GCB= RI}', "");
Expect(1, 127488, '\P{Is_GCB= RI}', "");
Expect(0, 127488, '\P{^Is_GCB= RI}', "");
Error('\p{Grapheme_Cluster_Break=:=--SPACINGMARK}');
Error('\P{Grapheme_Cluster_Break=:=--SPACINGMARK}');
Expect(1, 119149, '\p{Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119149, '\p{^Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119149, '\P{Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119149, '\P{^Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119150, '\p{Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119150, '\p{^Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119150, '\P{Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119150, '\P{^Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119149, '\p{Grapheme_Cluster_Break= SPACINGMARK}', "");
Expect(0, 119149, '\p{^Grapheme_Cluster_Break= SPACINGMARK}', "");
Expect(0, 119149, '\P{Grapheme_Cluster_Break= SPACINGMARK}', "");
Expect(1, 119149, '\P{^Grapheme_Cluster_Break= SPACINGMARK}', "");
Expect(0, 119150, '\p{Grapheme_Cluster_Break= SPACINGMARK}', "");
Expect(1, 119150, '\p{^Grapheme_Cluster_Break= SPACINGMARK}', "");
Expect(1, 119150, '\P{Grapheme_Cluster_Break= SPACINGMARK}', "");
Expect(0, 119150, '\P{^Grapheme_Cluster_Break= SPACINGMARK}', "");
Error('\p{GCB= SM:=}');
Error('\P{GCB= SM:=}');
Expect(1, 119149, '\p{GCB:sm}', "");
Expect(0, 119149, '\p{^GCB:sm}', "");
Expect(0, 119149, '\P{GCB:sm}', "");
Expect(1, 119149, '\P{^GCB:sm}', "");
Expect(0, 119150, '\p{GCB:sm}', "");
Expect(1, 119150, '\p{^GCB:sm}', "");
Expect(1, 119150, '\P{GCB:sm}', "");
Expect(0, 119150, '\P{^GCB:sm}', "");
Expect(1, 119149, '\p{GCB=-_sm}', "");
Expect(0, 119149, '\p{^GCB=-_sm}', "");
Expect(0, 119149, '\P{GCB=-_sm}', "");
Expect(1, 119149, '\P{^GCB=-_sm}', "");
Expect(0, 119150, '\p{GCB=-_sm}', "");
Expect(1, 119150, '\p{^GCB=-_sm}', "");
Expect(1, 119150, '\P{GCB=-_sm}', "");
Expect(0, 119150, '\P{^GCB=-_sm}', "");
Error('\p{Is_Grapheme_Cluster_Break= -SpacingMark/a/}');
Error('\P{Is_Grapheme_Cluster_Break= -SpacingMark/a/}');
Expect(1, 119149, '\p{Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119149, '\p{^Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119149, '\P{Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119149, '\P{^Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119150, '\p{Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119150, '\p{^Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119150, '\P{Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119150, '\P{^Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119149, '\p{Is_Grapheme_Cluster_Break=__spacingmark}', "");
Expect(0, 119149, '\p{^Is_Grapheme_Cluster_Break=__spacingmark}', "");
Expect(0, 119149, '\P{Is_Grapheme_Cluster_Break=__spacingmark}', "");
Expect(1, 119149, '\P{^Is_Grapheme_Cluster_Break=__spacingmark}', "");
Expect(0, 119150, '\p{Is_Grapheme_Cluster_Break=__spacingmark}', "");
Expect(1, 119150, '\p{^Is_Grapheme_Cluster_Break=__spacingmark}', "");
Expect(1, 119150, '\P{Is_Grapheme_Cluster_Break=__spacingmark}', "");
Expect(0, 119150, '\P{^Is_Grapheme_Cluster_Break=__spacingmark}', "");
Error('\p{Is_GCB=  SM/a/}');
Error('\P{Is_GCB=  SM/a/}');
Expect(1, 119149, '\p{Is_GCB=sm}', "");
Expect(0, 119149, '\p{^Is_GCB=sm}', "");
Expect(0, 119149, '\P{Is_GCB=sm}', "");
Expect(1, 119149, '\P{^Is_GCB=sm}', "");
Expect(0, 119150, '\p{Is_GCB=sm}', "");
Expect(1, 119150, '\p{^Is_GCB=sm}', "");
Expect(1, 119150, '\P{Is_GCB=sm}', "");
Expect(0, 119150, '\P{^Is_GCB=sm}', "");
Expect(1, 119149, '\p{Is_GCB= -SM}', "");
Expect(0, 119149, '\p{^Is_GCB= -SM}', "");
Expect(0, 119149, '\P{Is_GCB= -SM}', "");
Expect(1, 119149, '\P{^Is_GCB= -SM}', "");
Expect(0, 119150, '\p{Is_GCB= -SM}', "");
Expect(1, 119150, '\p{^Is_GCB= -SM}', "");
Expect(1, 119150, '\P{Is_GCB= -SM}', "");
Expect(0, 119150, '\P{^Is_GCB= -SM}', "");
Error('\p{Grapheme_Cluster_Break=/a/_-t}');
Error('\P{Grapheme_Cluster_Break=/a/_-t}');
Expect(1, 55291, '\p{Grapheme_Cluster_Break=t}', "");
Expect(0, 55291, '\p{^Grapheme_Cluster_Break=t}', "");
Expect(0, 55291, '\P{Grapheme_Cluster_Break=t}', "");
Expect(1, 55291, '\P{^Grapheme_Cluster_Break=t}', "");
Expect(0, 55292, '\p{Grapheme_Cluster_Break=t}', "");
Expect(1, 55292, '\p{^Grapheme_Cluster_Break=t}', "");
Expect(1, 55292, '\P{Grapheme_Cluster_Break=t}', "");
Expect(0, 55292, '\P{^Grapheme_Cluster_Break=t}', "");
Expect(1, 55291, '\p{Grapheme_Cluster_Break= T}', "");
Expect(0, 55291, '\p{^Grapheme_Cluster_Break= T}', "");
Expect(0, 55291, '\P{Grapheme_Cluster_Break= T}', "");
Expect(1, 55291, '\P{^Grapheme_Cluster_Break= T}', "");
Expect(0, 55292, '\p{Grapheme_Cluster_Break= T}', "");
Expect(1, 55292, '\p{^Grapheme_Cluster_Break= T}', "");
Expect(1, 55292, '\P{Grapheme_Cluster_Break= T}', "");
Expect(0, 55292, '\P{^Grapheme_Cluster_Break= T}', "");
Error('\p{GCB=:=-T}');
Error('\P{GCB=:=-T}');
Expect(1, 55291, '\p{GCB:   t}', "");
Expect(0, 55291, '\p{^GCB:   t}', "");
Expect(0, 55291, '\P{GCB:   t}', "");
Expect(1, 55291, '\P{^GCB:   t}', "");
Expect(0, 55292, '\p{GCB:   t}', "");
Expect(1, 55292, '\p{^GCB:   t}', "");
Expect(1, 55292, '\P{GCB:   t}', "");
Expect(0, 55292, '\P{^GCB:   t}', "");
Expect(1, 55291, '\p{GCB=_-t}', "");
Expect(0, 55291, '\p{^GCB=_-t}', "");
Expect(0, 55291, '\P{GCB=_-t}', "");
Expect(1, 55291, '\P{^GCB=_-t}', "");
Expect(0, 55292, '\p{GCB=_-t}', "");
Expect(1, 55292, '\p{^GCB=_-t}', "");
Expect(1, 55292, '\P{GCB=_-t}', "");
Expect(0, 55292, '\P{^GCB=_-t}', "");
Error('\p{Is_Grapheme_Cluster_Break=-/a/T}');
Error('\P{Is_Grapheme_Cluster_Break=-/a/T}');
Expect(1, 55291, '\p{Is_Grapheme_Cluster_Break=t}', "");
Expect(0, 55291, '\p{^Is_Grapheme_Cluster_Break=t}', "");
Expect(0, 55291, '\P{Is_Grapheme_Cluster_Break=t}', "");
Expect(1, 55291, '\P{^Is_Grapheme_Cluster_Break=t}', "");
Expect(0, 55292, '\p{Is_Grapheme_Cluster_Break=t}', "");
Expect(1, 55292, '\p{^Is_Grapheme_Cluster_Break=t}', "");
Expect(1, 55292, '\P{Is_Grapheme_Cluster_Break=t}', "");
Expect(0, 55292, '\P{^Is_Grapheme_Cluster_Break=t}', "");
Expect(1, 55291, '\p{Is_Grapheme_Cluster_Break=_T}', "");
Expect(0, 55291, '\p{^Is_Grapheme_Cluster_Break=_T}', "");
Expect(0, 55291, '\P{Is_Grapheme_Cluster_Break=_T}', "");
Expect(1, 55291, '\P{^Is_Grapheme_Cluster_Break=_T}', "");
Expect(0, 55292, '\p{Is_Grapheme_Cluster_Break=_T}', "");
Expect(1, 55292, '\p{^Is_Grapheme_Cluster_Break=_T}', "");
Expect(1, 55292, '\P{Is_Grapheme_Cluster_Break=_T}', "");
Expect(0, 55292, '\P{^Is_Grapheme_Cluster_Break=_T}', "");
Error('\p{Is_GCB=	T/a/}');
Error('\P{Is_GCB=	T/a/}');
Expect(1, 55291, '\p{Is_GCB=t}', "");
Expect(0, 55291, '\p{^Is_GCB=t}', "");
Expect(0, 55291, '\P{Is_GCB=t}', "");
Expect(1, 55291, '\P{^Is_GCB=t}', "");
Expect(0, 55292, '\p{Is_GCB=t}', "");
Expect(1, 55292, '\p{^Is_GCB=t}', "");
Expect(1, 55292, '\P{Is_GCB=t}', "");
Expect(0, 55292, '\P{^Is_GCB=t}', "");
Expect(1, 55291, '\p{Is_GCB=	t}', "");
Expect(0, 55291, '\p{^Is_GCB=	t}', "");
Expect(0, 55291, '\P{Is_GCB=	t}', "");
Expect(1, 55291, '\P{^Is_GCB=	t}', "");
Expect(0, 55292, '\p{Is_GCB=	t}', "");
Expect(1, 55292, '\p{^Is_GCB=	t}', "");
Expect(1, 55292, '\P{Is_GCB=	t}', "");
Expect(0, 55292, '\P{^Is_GCB=	t}', "");
Error('\p{Grapheme_Cluster_Break=--V:=}');
Error('\P{Grapheme_Cluster_Break=--V:=}');
Expect(1, 55238, '\p{Grapheme_Cluster_Break:	v}', "");
Expect(0, 55238, '\p{^Grapheme_Cluster_Break:	v}', "");
Expect(0, 55238, '\P{Grapheme_Cluster_Break:	v}', "");
Expect(1, 55238, '\P{^Grapheme_Cluster_Break:	v}', "");
Expect(0, 55239, '\p{Grapheme_Cluster_Break:	v}', "");
Expect(1, 55239, '\p{^Grapheme_Cluster_Break:	v}', "");
Expect(1, 55239, '\P{Grapheme_Cluster_Break:	v}', "");
Expect(0, 55239, '\P{^Grapheme_Cluster_Break:	v}', "");
Expect(1, 55238, '\p{Grapheme_Cluster_Break=_ V}', "");
Expect(0, 55238, '\p{^Grapheme_Cluster_Break=_ V}', "");
Expect(0, 55238, '\P{Grapheme_Cluster_Break=_ V}', "");
Expect(1, 55238, '\P{^Grapheme_Cluster_Break=_ V}', "");
Expect(0, 55239, '\p{Grapheme_Cluster_Break=_ V}', "");
Expect(1, 55239, '\p{^Grapheme_Cluster_Break=_ V}', "");
Expect(1, 55239, '\P{Grapheme_Cluster_Break=_ V}', "");
Expect(0, 55239, '\P{^Grapheme_Cluster_Break=_ V}', "");
Error('\p{GCB=/a/-_V}');
Error('\P{GCB=/a/-_V}');
Expect(1, 55238, '\p{GCB=v}', "");
Expect(0, 55238, '\p{^GCB=v}', "");
Expect(0, 55238, '\P{GCB=v}', "");
Expect(1, 55238, '\P{^GCB=v}', "");
Expect(0, 55239, '\p{GCB=v}', "");
Expect(1, 55239, '\p{^GCB=v}', "");
Expect(1, 55239, '\P{GCB=v}', "");
Expect(0, 55239, '\P{^GCB=v}', "");
Expect(1, 55238, '\p{GCB=	 V}', "");
Expect(0, 55238, '\p{^GCB=	 V}', "");
Expect(0, 55238, '\P{GCB=	 V}', "");
Expect(1, 55238, '\P{^GCB=	 V}', "");
Expect(0, 55239, '\p{GCB=	 V}', "");
Expect(1, 55239, '\p{^GCB=	 V}', "");
Expect(1, 55239, '\P{GCB=	 V}', "");
Expect(0, 55239, '\P{^GCB=	 V}', "");
Error('\p{Is_Grapheme_Cluster_Break=/a/V}');
Error('\P{Is_Grapheme_Cluster_Break=/a/V}');
Expect(1, 55238, '\p{Is_Grapheme_Cluster_Break=v}', "");
Expect(0, 55238, '\p{^Is_Grapheme_Cluster_Break=v}', "");
Expect(0, 55238, '\P{Is_Grapheme_Cluster_Break=v}', "");
Expect(1, 55238, '\P{^Is_Grapheme_Cluster_Break=v}', "");
Expect(0, 55239, '\p{Is_Grapheme_Cluster_Break=v}', "");
Expect(1, 55239, '\p{^Is_Grapheme_Cluster_Break=v}', "");
Expect(1, 55239, '\P{Is_Grapheme_Cluster_Break=v}', "");
Expect(0, 55239, '\P{^Is_Grapheme_Cluster_Break=v}', "");
Expect(1, 55238, '\p{Is_Grapheme_Cluster_Break=__V}', "");
Expect(0, 55238, '\p{^Is_Grapheme_Cluster_Break=__V}', "");
Expect(0, 55238, '\P{Is_Grapheme_Cluster_Break=__V}', "");
Expect(1, 55238, '\P{^Is_Grapheme_Cluster_Break=__V}', "");
Expect(0, 55239, '\p{Is_Grapheme_Cluster_Break=__V}', "");
Expect(1, 55239, '\p{^Is_Grapheme_Cluster_Break=__V}', "");
Expect(1, 55239, '\P{Is_Grapheme_Cluster_Break=__V}', "");
Expect(0, 55239, '\P{^Is_Grapheme_Cluster_Break=__V}', "");
Error('\p{Is_GCB=:= V}');
Error('\P{Is_GCB=:= V}');
Expect(1, 55238, '\p{Is_GCB:v}', "");
Expect(0, 55238, '\p{^Is_GCB:v}', "");
Expect(0, 55238, '\P{Is_GCB:v}', "");
Expect(1, 55238, '\P{^Is_GCB:v}', "");
Expect(0, 55239, '\p{Is_GCB:v}', "");
Expect(1, 55239, '\p{^Is_GCB:v}', "");
Expect(1, 55239, '\P{Is_GCB:v}', "");
Expect(0, 55239, '\P{^Is_GCB:v}', "");
Expect(1, 55238, '\p{Is_GCB=_v}', "");
Expect(0, 55238, '\p{^Is_GCB=_v}', "");
Expect(0, 55238, '\P{Is_GCB=_v}', "");
Expect(1, 55238, '\P{^Is_GCB=_v}', "");
Expect(0, 55239, '\p{Is_GCB=_v}', "");
Expect(1, 55239, '\p{^Is_GCB=_v}', "");
Expect(1, 55239, '\P{Is_GCB=_v}', "");
Expect(0, 55239, '\P{^Is_GCB=_v}', "");
Error('\p{Grapheme_Cluster_Break=/a/ 	Other}');
Error('\P{Grapheme_Cluster_Break=/a/ 	Other}');
Expect(1, 921600, '\p{Grapheme_Cluster_Break=other}', "");
Expect(0, 921600, '\p{^Grapheme_Cluster_Break=other}', "");
Expect(0, 921600, '\P{Grapheme_Cluster_Break=other}', "");
Expect(1, 921600, '\P{^Grapheme_Cluster_Break=other}', "");
Expect(0, 921599, '\p{Grapheme_Cluster_Break=other}', "");
Expect(1, 921599, '\p{^Grapheme_Cluster_Break=other}', "");
Expect(1, 921599, '\P{Grapheme_Cluster_Break=other}', "");
Expect(0, 921599, '\P{^Grapheme_Cluster_Break=other}', "");
Expect(1, 921600, '\p{Grapheme_Cluster_Break=	Other}', "");
Expect(0, 921600, '\p{^Grapheme_Cluster_Break=	Other}', "");
Expect(0, 921600, '\P{Grapheme_Cluster_Break=	Other}', "");
Expect(1, 921600, '\P{^Grapheme_Cluster_Break=	Other}', "");
Expect(0, 921599, '\p{Grapheme_Cluster_Break=	Other}', "");
Expect(1, 921599, '\p{^Grapheme_Cluster_Break=	Other}', "");
Expect(1, 921599, '\P{Grapheme_Cluster_Break=	Other}', "");
Expect(0, 921599, '\P{^Grapheme_Cluster_Break=	Other}', "");
Error('\p{GCB:	-/a/xx}');
Error('\P{GCB:	-/a/xx}');
Expect(1, 921600, '\p{GCB=xx}', "");
Expect(0, 921600, '\p{^GCB=xx}', "");
Expect(0, 921600, '\P{GCB=xx}', "");
Expect(1, 921600, '\P{^GCB=xx}', "");
Expect(0, 921599, '\p{GCB=xx}', "");
Expect(1, 921599, '\p{^GCB=xx}', "");
Expect(1, 921599, '\P{GCB=xx}', "");
Expect(0, 921599, '\P{^GCB=xx}', "");
Expect(1, 921600, '\p{GCB=XX}', "");
Expect(0, 921600, '\p{^GCB=XX}', "");
Expect(0, 921600, '\P{GCB=XX}', "");
Expect(1, 921600, '\P{^GCB=XX}', "");
Expect(0, 921599, '\p{GCB=XX}', "");
Expect(1, 921599, '\p{^GCB=XX}', "");
Expect(1, 921599, '\P{GCB=XX}', "");
Expect(0, 921599, '\P{^GCB=XX}', "");
Error('\p{Is_Grapheme_Cluster_Break:	-_Other:=}');
Error('\P{Is_Grapheme_Cluster_Break:	-_Other:=}');
Expect(1, 921600, '\p{Is_Grapheme_Cluster_Break=other}', "");
Expect(0, 921600, '\p{^Is_Grapheme_Cluster_Break=other}', "");
Expect(0, 921600, '\P{Is_Grapheme_Cluster_Break=other}', "");
Expect(1, 921600, '\P{^Is_Grapheme_Cluster_Break=other}', "");
Expect(0, 921599, '\p{Is_Grapheme_Cluster_Break=other}', "");
Expect(1, 921599, '\p{^Is_Grapheme_Cluster_Break=other}', "");
Expect(1, 921599, '\P{Is_Grapheme_Cluster_Break=other}', "");
Expect(0, 921599, '\P{^Is_Grapheme_Cluster_Break=other}', "");
Expect(1, 921600, '\p{Is_Grapheme_Cluster_Break=_	Other}', "");
Expect(0, 921600, '\p{^Is_Grapheme_Cluster_Break=_	Other}', "");
Expect(0, 921600, '\P{Is_Grapheme_Cluster_Break=_	Other}', "");
Expect(1, 921600, '\P{^Is_Grapheme_Cluster_Break=_	Other}', "");
Expect(0, 921599, '\p{Is_Grapheme_Cluster_Break=_	Other}', "");
Expect(1, 921599, '\p{^Is_Grapheme_Cluster_Break=_	Other}', "");
Expect(1, 921599, '\P{Is_Grapheme_Cluster_Break=_	Other}', "");
Expect(0, 921599, '\P{^Is_Grapheme_Cluster_Break=_	Other}', "");
Error('\p{Is_GCB=:=		xx}');
Error('\P{Is_GCB=:=		xx}');
Expect(1, 921600, '\p{Is_GCB=xx}', "");
Expect(0, 921600, '\p{^Is_GCB=xx}', "");
Expect(0, 921600, '\P{Is_GCB=xx}', "");
Expect(1, 921600, '\P{^Is_GCB=xx}', "");
Expect(0, 921599, '\p{Is_GCB=xx}', "");
Expect(1, 921599, '\p{^Is_GCB=xx}', "");
Expect(1, 921599, '\P{Is_GCB=xx}', "");
Expect(0, 921599, '\P{^Is_GCB=xx}', "");
Expect(1, 921600, '\p{Is_GCB=_	XX}', "");
Expect(0, 921600, '\p{^Is_GCB=_	XX}', "");
Expect(0, 921600, '\P{Is_GCB=_	XX}', "");
Expect(1, 921600, '\P{^Is_GCB=_	XX}', "");
Expect(0, 921599, '\p{Is_GCB=_	XX}', "");
Expect(1, 921599, '\p{^Is_GCB=_	XX}', "");
Expect(1, 921599, '\P{Is_GCB=_	XX}', "");
Expect(0, 921599, '\P{^Is_GCB=_	XX}', "");
Error('\p{Grapheme_Base:/a/		no}');
Error('\P{Grapheme_Base:/a/		no}');
Expect(1, 195102, '\p{Grapheme_Base:no}', "");
Expect(0, 195102, '\p{^Grapheme_Base:no}', "");
Expect(0, 195102, '\P{Grapheme_Base:no}', "");
Expect(1, 195102, '\P{^Grapheme_Base:no}', "");
Expect(0, 195101, '\p{Grapheme_Base:no}', "");
Expect(1, 195101, '\p{^Grapheme_Base:no}', "");
Expect(1, 195101, '\P{Grapheme_Base:no}', "");
Expect(0, 195101, '\P{^Grapheme_Base:no}', "");
Expect(1, 195102, '\p{Grapheme_Base=__No}', "");
Expect(0, 195102, '\p{^Grapheme_Base=__No}', "");
Expect(0, 195102, '\P{Grapheme_Base=__No}', "");
Expect(1, 195102, '\P{^Grapheme_Base=__No}', "");
Expect(0, 195101, '\p{Grapheme_Base=__No}', "");
Expect(1, 195101, '\p{^Grapheme_Base=__No}', "");
Expect(1, 195101, '\P{Grapheme_Base=__No}', "");
Expect(0, 195101, '\P{^Grapheme_Base=__No}', "");
Error('\p{Gr_Base=:=_ n}');
Error('\P{Gr_Base=:=_ n}');
Expect(1, 195102, '\p{Gr_Base=n}', "");
Expect(0, 195102, '\p{^Gr_Base=n}', "");
Expect(0, 195102, '\P{Gr_Base=n}', "");
Expect(1, 195102, '\P{^Gr_Base=n}', "");
Expect(0, 195101, '\p{Gr_Base=n}', "");
Expect(1, 195101, '\p{^Gr_Base=n}', "");
Expect(1, 195101, '\P{Gr_Base=n}', "");
Expect(0, 195101, '\P{^Gr_Base=n}', "");
Expect(1, 195102, '\p{Gr_Base=	_N}', "");
Expect(0, 195102, '\p{^Gr_Base=	_N}', "");
Expect(0, 195102, '\P{Gr_Base=	_N}', "");
Expect(1, 195102, '\P{^Gr_Base=	_N}', "");
Expect(0, 195101, '\p{Gr_Base=	_N}', "");
Expect(1, 195101, '\p{^Gr_Base=	_N}', "");
Expect(1, 195101, '\P{Gr_Base=	_N}', "");
Expect(0, 195101, '\P{^Gr_Base=	_N}', "");
Error('\p{Is_Grapheme_Base:   -	f/a/}');
Error('\P{Is_Grapheme_Base:   -	f/a/}');
Expect(1, 195102, '\p{Is_Grapheme_Base=f}', "");
Expect(0, 195102, '\p{^Is_Grapheme_Base=f}', "");
Expect(0, 195102, '\P{Is_Grapheme_Base=f}', "");
Expect(1, 195102, '\P{^Is_Grapheme_Base=f}', "");
Expect(0, 195101, '\p{Is_Grapheme_Base=f}', "");
Expect(1, 195101, '\p{^Is_Grapheme_Base=f}', "");
Expect(1, 195101, '\P{Is_Grapheme_Base=f}', "");
Expect(0, 195101, '\P{^Is_Grapheme_Base=f}', "");
Expect(1, 195102, '\p{Is_Grapheme_Base=	f}', "");
Expect(0, 195102, '\p{^Is_Grapheme_Base=	f}', "");
Expect(0, 195102, '\P{Is_Grapheme_Base=	f}', "");
Expect(1, 195102, '\P{^Is_Grapheme_Base=	f}', "");
Expect(0, 195101, '\p{Is_Grapheme_Base=	f}', "");
Expect(1, 195101, '\p{^Is_Grapheme_Base=	f}', "");
Expect(1, 195101, '\P{Is_Grapheme_Base=	f}', "");
Expect(0, 195101, '\P{^Is_Grapheme_Base=	f}', "");
Error('\p{Is_Gr_Base= _False:=}');
Error('\P{Is_Gr_Base= _False:=}');
Expect(1, 195102, '\p{Is_Gr_Base=false}', "");
Expect(0, 195102, '\p{^Is_Gr_Base=false}', "");
Expect(0, 195102, '\P{Is_Gr_Base=false}', "");
Expect(1, 195102, '\P{^Is_Gr_Base=false}', "");
Expect(0, 195101, '\p{Is_Gr_Base=false}', "");
Expect(1, 195101, '\p{^Is_Gr_Base=false}', "");
Expect(1, 195101, '\P{Is_Gr_Base=false}', "");
Expect(0, 195101, '\P{^Is_Gr_Base=false}', "");
Expect(1, 195102, '\p{Is_Gr_Base=_-False}', "");
Expect(0, 195102, '\p{^Is_Gr_Base=_-False}', "");
Expect(0, 195102, '\P{Is_Gr_Base=_-False}', "");
Expect(1, 195102, '\P{^Is_Gr_Base=_-False}', "");
Expect(0, 195101, '\p{Is_Gr_Base=_-False}', "");
Expect(1, 195101, '\p{^Is_Gr_Base=_-False}', "");
Expect(1, 195101, '\P{Is_Gr_Base=_-False}', "");
Expect(0, 195101, '\P{^Is_Gr_Base=_-False}', "");
Error('\p{Grapheme_Base=- YES/a/}');
Error('\P{Grapheme_Base=- YES/a/}');
Expect(1, 195101, '\p{Grapheme_Base=yes}', "");
Expect(0, 195101, '\p{^Grapheme_Base=yes}', "");
Expect(0, 195101, '\P{Grapheme_Base=yes}', "");
Expect(1, 195101, '\P{^Grapheme_Base=yes}', "");
Expect(0, 195102, '\p{Grapheme_Base=yes}', "");
Expect(1, 195102, '\p{^Grapheme_Base=yes}', "");
Expect(1, 195102, '\P{Grapheme_Base=yes}', "");
Expect(0, 195102, '\P{^Grapheme_Base=yes}', "");
Expect(1, 195101, '\p{Grapheme_Base=-Yes}', "");
Expect(0, 195101, '\p{^Grapheme_Base=-Yes}', "");
Expect(0, 195101, '\P{Grapheme_Base=-Yes}', "");
Expect(1, 195101, '\P{^Grapheme_Base=-Yes}', "");
Expect(0, 195102, '\p{Grapheme_Base=-Yes}', "");
Expect(1, 195102, '\p{^Grapheme_Base=-Yes}', "");
Expect(1, 195102, '\P{Grapheme_Base=-Yes}', "");
Expect(0, 195102, '\P{^Grapheme_Base=-Yes}', "");
Error('\p{Gr_Base=-/a/y}');
Error('\P{Gr_Base=-/a/y}');
Expect(1, 195101, '\p{Gr_Base=y}', "");
Expect(0, 195101, '\p{^Gr_Base=y}', "");
Expect(0, 195101, '\P{Gr_Base=y}', "");
Expect(1, 195101, '\P{^Gr_Base=y}', "");
Expect(0, 195102, '\p{Gr_Base=y}', "");
Expect(1, 195102, '\p{^Gr_Base=y}', "");
Expect(1, 195102, '\P{Gr_Base=y}', "");
Expect(0, 195102, '\P{^Gr_Base=y}', "");
Expect(1, 195101, '\p{Gr_Base= _Y}', "");
Expect(0, 195101, '\p{^Gr_Base= _Y}', "");
Expect(0, 195101, '\P{Gr_Base= _Y}', "");
Expect(1, 195101, '\P{^Gr_Base= _Y}', "");
Expect(0, 195102, '\p{Gr_Base= _Y}', "");
Expect(1, 195102, '\p{^Gr_Base= _Y}', "");
Expect(1, 195102, '\P{Gr_Base= _Y}', "");
Expect(0, 195102, '\P{^Gr_Base= _Y}', "");
Error('\p{Is_Grapheme_Base=:=T}');
Error('\P{Is_Grapheme_Base=:=T}');
Expect(1, 195101, '\p{Is_Grapheme_Base=t}', "");
Expect(0, 195101, '\p{^Is_Grapheme_Base=t}', "");
Expect(0, 195101, '\P{Is_Grapheme_Base=t}', "");
Expect(1, 195101, '\P{^Is_Grapheme_Base=t}', "");
Expect(0, 195102, '\p{Is_Grapheme_Base=t}', "");
Expect(1, 195102, '\p{^Is_Grapheme_Base=t}', "");
Expect(1, 195102, '\P{Is_Grapheme_Base=t}', "");
Expect(0, 195102, '\P{^Is_Grapheme_Base=t}', "");
Expect(1, 195101, '\p{Is_Grapheme_Base:   	_T}', "");
Expect(0, 195101, '\p{^Is_Grapheme_Base:   	_T}', "");
Expect(0, 195101, '\P{Is_Grapheme_Base:   	_T}', "");
Expect(1, 195101, '\P{^Is_Grapheme_Base:   	_T}', "");
Expect(0, 195102, '\p{Is_Grapheme_Base:   	_T}', "");
Expect(1, 195102, '\p{^Is_Grapheme_Base:   	_T}', "");
Expect(1, 195102, '\P{Is_Grapheme_Base:   	_T}', "");
Expect(0, 195102, '\P{^Is_Grapheme_Base:   	_T}', "");
Error('\p{Is_Gr_Base=-:=TRUE}');
Error('\P{Is_Gr_Base=-:=TRUE}');
Expect(1, 195101, '\p{Is_Gr_Base=true}', "");
Expect(0, 195101, '\p{^Is_Gr_Base=true}', "");
Expect(0, 195101, '\P{Is_Gr_Base=true}', "");
Expect(1, 195101, '\P{^Is_Gr_Base=true}', "");
Expect(0, 195102, '\p{Is_Gr_Base=true}', "");
Expect(1, 195102, '\p{^Is_Gr_Base=true}', "");
Expect(1, 195102, '\P{Is_Gr_Base=true}', "");
Expect(0, 195102, '\P{^Is_Gr_Base=true}', "");
Expect(1, 195101, '\p{Is_Gr_Base=_TRUE}', "");
Expect(0, 195101, '\p{^Is_Gr_Base=_TRUE}', "");
Expect(0, 195101, '\P{Is_Gr_Base=_TRUE}', "");
Expect(1, 195101, '\P{^Is_Gr_Base=_TRUE}', "");
Expect(0, 195102, '\p{Is_Gr_Base=_TRUE}', "");
Expect(1, 195102, '\p{^Is_Gr_Base=_TRUE}', "");
Expect(1, 195102, '\P{Is_Gr_Base=_TRUE}', "");
Expect(0, 195102, '\P{^Is_Gr_Base=_TRUE}', "");
Error('\p{Grapheme_Extend=-_No/a/}');
Error('\P{Grapheme_Extend=-_No/a/}');
Expect(1, 918000, '\p{Grapheme_Extend=no}', "");
Expect(0, 918000, '\p{^Grapheme_Extend=no}', "");
Expect(0, 918000, '\P{Grapheme_Extend=no}', "");
Expect(1, 918000, '\P{^Grapheme_Extend=no}', "");
Expect(0, 917999, '\p{Grapheme_Extend=no}', "");
Expect(1, 917999, '\p{^Grapheme_Extend=no}', "");
Expect(1, 917999, '\P{Grapheme_Extend=no}', "");
Expect(0, 917999, '\P{^Grapheme_Extend=no}', "");
Expect(1, 918000, '\p{Grapheme_Extend=	 No}', "");
Expect(0, 918000, '\p{^Grapheme_Extend=	 No}', "");
Expect(0, 918000, '\P{Grapheme_Extend=	 No}', "");
Expect(1, 918000, '\P{^Grapheme_Extend=	 No}', "");
Expect(0, 917999, '\p{Grapheme_Extend=	 No}', "");
Expect(1, 917999, '\p{^Grapheme_Extend=	 No}', "");
Expect(1, 917999, '\P{Grapheme_Extend=	 No}', "");
Expect(0, 917999, '\P{^Grapheme_Extend=	 No}', "");
Error('\p{Gr_Ext=_/a/N}');
Error('\P{Gr_Ext=_/a/N}');
Expect(1, 918000, '\p{Gr_Ext=n}', "");
Expect(0, 918000, '\p{^Gr_Ext=n}', "");
Expect(0, 918000, '\P{Gr_Ext=n}', "");
Expect(1, 918000, '\P{^Gr_Ext=n}', "");
Expect(0, 917999, '\p{Gr_Ext=n}', "");
Expect(1, 917999, '\p{^Gr_Ext=n}', "");
Expect(1, 917999, '\P{Gr_Ext=n}', "");
Expect(0, 917999, '\P{^Gr_Ext=n}', "");
Expect(1, 918000, '\p{Gr_Ext=_-N}', "");
Expect(0, 918000, '\p{^Gr_Ext=_-N}', "");
Expect(0, 918000, '\P{Gr_Ext=_-N}', "");
Expect(1, 918000, '\P{^Gr_Ext=_-N}', "");
Expect(0, 917999, '\p{Gr_Ext=_-N}', "");
Expect(1, 917999, '\p{^Gr_Ext=_-N}', "");
Expect(1, 917999, '\P{Gr_Ext=_-N}', "");
Expect(0, 917999, '\P{^Gr_Ext=_-N}', "");
Error('\p{Is_Grapheme_Extend=-:=F}');
Error('\P{Is_Grapheme_Extend=-:=F}');
Expect(1, 918000, '\p{Is_Grapheme_Extend=f}', "");
Expect(0, 918000, '\p{^Is_Grapheme_Extend=f}', "");
Expect(0, 918000, '\P{Is_Grapheme_Extend=f}', "");
Expect(1, 918000, '\P{^Is_Grapheme_Extend=f}', "");
Expect(0, 917999, '\p{Is_Grapheme_Extend=f}', "");
Expect(1, 917999, '\p{^Is_Grapheme_Extend=f}', "");
Expect(1, 917999, '\P{Is_Grapheme_Extend=f}', "");
Expect(0, 917999, '\P{^Is_Grapheme_Extend=f}', "");
Expect(1, 918000, '\p{Is_Grapheme_Extend=-f}', "");
Expect(0, 918000, '\p{^Is_Grapheme_Extend=-f}', "");
Expect(0, 918000, '\P{Is_Grapheme_Extend=-f}', "");
Expect(1, 918000, '\P{^Is_Grapheme_Extend=-f}', "");
Expect(0, 917999, '\p{Is_Grapheme_Extend=-f}', "");
Expect(1, 917999, '\p{^Is_Grapheme_Extend=-f}', "");
Expect(1, 917999, '\P{Is_Grapheme_Extend=-f}', "");
Expect(0, 917999, '\P{^Is_Grapheme_Extend=-f}', "");
Error('\p{Is_Gr_Ext= False/a/}');
Error('\P{Is_Gr_Ext= False/a/}');
Expect(1, 918000, '\p{Is_Gr_Ext=false}', "");
Expect(0, 918000, '\p{^Is_Gr_Ext=false}', "");
Expect(0, 918000, '\P{Is_Gr_Ext=false}', "");
Expect(1, 918000, '\P{^Is_Gr_Ext=false}', "");
Expect(0, 917999, '\p{Is_Gr_Ext=false}', "");
Expect(1, 917999, '\p{^Is_Gr_Ext=false}', "");
Expect(1, 917999, '\P{Is_Gr_Ext=false}', "");
Expect(0, 917999, '\P{^Is_Gr_Ext=false}', "");
Expect(1, 918000, '\p{Is_Gr_Ext=	 False}', "");
Expect(0, 918000, '\p{^Is_Gr_Ext=	 False}', "");
Expect(0, 918000, '\P{Is_Gr_Ext=	 False}', "");
Expect(1, 918000, '\P{^Is_Gr_Ext=	 False}', "");
Expect(0, 917999, '\p{Is_Gr_Ext=	 False}', "");
Expect(1, 917999, '\p{^Is_Gr_Ext=	 False}', "");
Expect(1, 917999, '\P{Is_Gr_Ext=	 False}', "");
Expect(0, 917999, '\P{^Is_Gr_Ext=	 False}', "");
Error('\p{Grapheme_Extend= yes/a/}');
Error('\P{Grapheme_Extend= yes/a/}');
Expect(1, 917999, '\p{Grapheme_Extend=yes}', "");
Expect(0, 917999, '\p{^Grapheme_Extend=yes}', "");
Expect(0, 917999, '\P{Grapheme_Extend=yes}', "");
Expect(1, 917999, '\P{^Grapheme_Extend=yes}', "");
Expect(0, 918000, '\p{Grapheme_Extend=yes}', "");
Expect(1, 918000, '\p{^Grapheme_Extend=yes}', "");
Expect(1, 918000, '\P{Grapheme_Extend=yes}', "");
Expect(0, 918000, '\P{^Grapheme_Extend=yes}', "");
Expect(1, 917999, '\p{Grapheme_Extend=--Yes}', "");
Expect(0, 917999, '\p{^Grapheme_Extend=--Yes}', "");
Expect(0, 917999, '\P{Grapheme_Extend=--Yes}', "");
Expect(1, 917999, '\P{^Grapheme_Extend=--Yes}', "");
Expect(0, 918000, '\p{Grapheme_Extend=--Yes}', "");
Expect(1, 918000, '\p{^Grapheme_Extend=--Yes}', "");
Expect(1, 918000, '\P{Grapheme_Extend=--Yes}', "");
Expect(0, 918000, '\P{^Grapheme_Extend=--Yes}', "");
Error('\p{Gr_Ext=	:=y}');
Error('\P{Gr_Ext=	:=y}');
Expect(1, 917999, '\p{Gr_Ext=y}', "");
Expect(0, 917999, '\p{^Gr_Ext=y}', "");
Expect(0, 917999, '\P{Gr_Ext=y}', "");
Expect(1, 917999, '\P{^Gr_Ext=y}', "");
Expect(0, 918000, '\p{Gr_Ext=y}', "");
Expect(1, 918000, '\p{^Gr_Ext=y}', "");
Expect(1, 918000, '\P{Gr_Ext=y}', "");
Expect(0, 918000, '\P{^Gr_Ext=y}', "");
Expect(1, 917999, '\p{Gr_Ext= 	Y}', "");
Expect(0, 917999, '\p{^Gr_Ext= 	Y}', "");
Expect(0, 917999, '\P{Gr_Ext= 	Y}', "");
Expect(1, 917999, '\P{^Gr_Ext= 	Y}', "");
Expect(0, 918000, '\p{Gr_Ext= 	Y}', "");
Expect(1, 918000, '\p{^Gr_Ext= 	Y}', "");
Expect(1, 918000, '\P{Gr_Ext= 	Y}', "");
Expect(0, 918000, '\P{^Gr_Ext= 	Y}', "");
Error('\p{Is_Grapheme_Extend: - T:=}');
Error('\P{Is_Grapheme_Extend: - T:=}');
Expect(1, 917999, '\p{Is_Grapheme_Extend=t}', "");
Expect(0, 917999, '\p{^Is_Grapheme_Extend=t}', "");
Expect(0, 917999, '\P{Is_Grapheme_Extend=t}', "");
Expect(1, 917999, '\P{^Is_Grapheme_Extend=t}', "");
Expect(0, 918000, '\p{Is_Grapheme_Extend=t}', "");
Expect(1, 918000, '\p{^Is_Grapheme_Extend=t}', "");
Expect(1, 918000, '\P{Is_Grapheme_Extend=t}', "");
Expect(0, 918000, '\P{^Is_Grapheme_Extend=t}', "");
Expect(1, 917999, '\p{Is_Grapheme_Extend=--t}', "");
Expect(0, 917999, '\p{^Is_Grapheme_Extend=--t}', "");
Expect(0, 917999, '\P{Is_Grapheme_Extend=--t}', "");
Expect(1, 917999, '\P{^Is_Grapheme_Extend=--t}', "");
Expect(0, 918000, '\p{Is_Grapheme_Extend=--t}', "");
Expect(1, 918000, '\p{^Is_Grapheme_Extend=--t}', "");
Expect(1, 918000, '\P{Is_Grapheme_Extend=--t}', "");
Expect(0, 918000, '\P{^Is_Grapheme_Extend=--t}', "");
Error('\p{Is_Gr_Ext=/a/ -TRUE}');
Error('\P{Is_Gr_Ext=/a/ -TRUE}');
Expect(1, 917999, '\p{Is_Gr_Ext=true}', "");
Expect(0, 917999, '\p{^Is_Gr_Ext=true}', "");
Expect(0, 917999, '\P{Is_Gr_Ext=true}', "");
Expect(1, 917999, '\P{^Is_Gr_Ext=true}', "");
Expect(0, 918000, '\p{Is_Gr_Ext=true}', "");
Expect(1, 918000, '\p{^Is_Gr_Ext=true}', "");
Expect(1, 918000, '\P{Is_Gr_Ext=true}', "");
Expect(0, 918000, '\P{^Is_Gr_Ext=true}', "");
Expect(1, 917999, '\p{Is_Gr_Ext=_true}', "");
Expect(0, 917999, '\p{^Is_Gr_Ext=_true}', "");
Expect(0, 917999, '\P{Is_Gr_Ext=_true}', "");
Expect(1, 917999, '\P{^Is_Gr_Ext=_true}', "");
Expect(0, 918000, '\p{Is_Gr_Ext=_true}', "");
Expect(1, 918000, '\p{^Is_Gr_Ext=_true}', "");
Expect(1, 918000, '\P{Is_Gr_Ext=_true}', "");
Expect(0, 918000, '\P{^Is_Gr_Ext=_true}', "");
Error('\p{Grapheme_Link=No}');
Error('\P{Grapheme_Link=No}');
Error('\p{Gr_Link=N}');
Error('\P{Gr_Link=N}');
Error('\p{Is_Grapheme_Link=F}');
Error('\P{Is_Grapheme_Link=F}');
Error('\p{Is_Gr_Link=False}');
Error('\P{Is_Gr_Link=False}');
Error('\p{Grapheme_Link:	Yes}');
Error('\P{Grapheme_Link:	Yes}');
Error('\p{Gr_Link=Y}');
Error('\P{Gr_Link=Y}');
Error('\p{Is_Grapheme_Link=T}');
Error('\P{Is_Grapheme_Link=T}');
Error('\p{Is_Gr_Link=True}');
Error('\P{Is_Gr_Link=True}');
Error('\p{Hex_Digit:   := NO}');
Error('\P{Hex_Digit:   := NO}');
Expect(1, 65351, '\p{Hex_Digit=no}', "");
Expect(0, 65351, '\p{^Hex_Digit=no}', "");
Expect(0, 65351, '\P{Hex_Digit=no}', "");
Expect(1, 65351, '\P{^Hex_Digit=no}', "");
Expect(0, 65350, '\p{Hex_Digit=no}', "");
Expect(1, 65350, '\p{^Hex_Digit=no}', "");
Expect(1, 65350, '\P{Hex_Digit=no}', "");
Expect(0, 65350, '\P{^Hex_Digit=no}', "");
Expect(1, 65351, '\p{Hex_Digit=--No}', "");
Expect(0, 65351, '\p{^Hex_Digit=--No}', "");
Expect(0, 65351, '\P{Hex_Digit=--No}', "");
Expect(1, 65351, '\P{^Hex_Digit=--No}', "");
Expect(0, 65350, '\p{Hex_Digit=--No}', "");
Expect(1, 65350, '\p{^Hex_Digit=--No}', "");
Expect(1, 65350, '\P{Hex_Digit=--No}', "");
Expect(0, 65350, '\P{^Hex_Digit=--No}', "");
Error('\p{Hex=- N/a/}');
Error('\P{Hex=- N/a/}');
Expect(1, 65351, '\p{Hex=n}', "");
Expect(0, 65351, '\p{^Hex=n}', "");
Expect(0, 65351, '\P{Hex=n}', "");
Expect(1, 65351, '\P{^Hex=n}', "");
Expect(0, 65350, '\p{Hex=n}', "");
Expect(1, 65350, '\p{^Hex=n}', "");
Expect(1, 65350, '\P{Hex=n}', "");
Expect(0, 65350, '\P{^Hex=n}', "");
Expect(1, 65351, '\p{Hex= -N}', "");
Expect(0, 65351, '\p{^Hex= -N}', "");
Expect(0, 65351, '\P{Hex= -N}', "");
Expect(1, 65351, '\P{^Hex= -N}', "");
Expect(0, 65350, '\p{Hex= -N}', "");
Expect(1, 65350, '\p{^Hex= -N}', "");
Expect(1, 65350, '\P{Hex= -N}', "");
Expect(0, 65350, '\P{^Hex= -N}', "");
Error('\p{Is_Hex_Digit=-F:=}');
Error('\P{Is_Hex_Digit=-F:=}');
Expect(1, 65351, '\p{Is_Hex_Digit=f}', "");
Expect(0, 65351, '\p{^Is_Hex_Digit=f}', "");
Expect(0, 65351, '\P{Is_Hex_Digit=f}', "");
Expect(1, 65351, '\P{^Is_Hex_Digit=f}', "");
Expect(0, 65350, '\p{Is_Hex_Digit=f}', "");
Expect(1, 65350, '\p{^Is_Hex_Digit=f}', "");
Expect(1, 65350, '\P{Is_Hex_Digit=f}', "");
Expect(0, 65350, '\P{^Is_Hex_Digit=f}', "");
Expect(1, 65351, '\p{Is_Hex_Digit=	 f}', "");
Expect(0, 65351, '\p{^Is_Hex_Digit=	 f}', "");
Expect(0, 65351, '\P{Is_Hex_Digit=	 f}', "");
Expect(1, 65351, '\P{^Is_Hex_Digit=	 f}', "");
Expect(0, 65350, '\p{Is_Hex_Digit=	 f}', "");
Expect(1, 65350, '\p{^Is_Hex_Digit=	 f}', "");
Expect(1, 65350, '\P{Is_Hex_Digit=	 f}', "");
Expect(0, 65350, '\P{^Is_Hex_Digit=	 f}', "");
Error('\p{Is_Hex=:= False}');
Error('\P{Is_Hex=:= False}');
Expect(1, 65351, '\p{Is_Hex=false}', "");
Expect(0, 65351, '\p{^Is_Hex=false}', "");
Expect(0, 65351, '\P{Is_Hex=false}', "");
Expect(1, 65351, '\P{^Is_Hex=false}', "");
Expect(0, 65350, '\p{Is_Hex=false}', "");
Expect(1, 65350, '\p{^Is_Hex=false}', "");
Expect(1, 65350, '\P{Is_Hex=false}', "");
Expect(0, 65350, '\P{^Is_Hex=false}', "");
Expect(1, 65351, '\p{Is_Hex=-false}', "");
Expect(0, 65351, '\p{^Is_Hex=-false}', "");
Expect(0, 65351, '\P{Is_Hex=-false}', "");
Expect(1, 65351, '\P{^Is_Hex=-false}', "");
Expect(0, 65350, '\p{Is_Hex=-false}', "");
Expect(1, 65350, '\p{^Is_Hex=-false}', "");
Expect(1, 65350, '\P{Is_Hex=-false}', "");
Expect(0, 65350, '\P{^Is_Hex=-false}', "");
Error('\p{Hex_Digit=:= Yes}');
Error('\P{Hex_Digit=:= Yes}');
Expect(1, 65350, '\p{Hex_Digit=yes}', "");
Expect(0, 65350, '\p{^Hex_Digit=yes}', "");
Expect(0, 65350, '\P{Hex_Digit=yes}', "");
Expect(1, 65350, '\P{^Hex_Digit=yes}', "");
Expect(0, 65351, '\p{Hex_Digit=yes}', "");
Expect(1, 65351, '\p{^Hex_Digit=yes}', "");
Expect(1, 65351, '\P{Hex_Digit=yes}', "");
Expect(0, 65351, '\P{^Hex_Digit=yes}', "");
Expect(1, 65350, '\p{Hex_Digit:	-Yes}', "");
Expect(0, 65350, '\p{^Hex_Digit:	-Yes}', "");
Expect(0, 65350, '\P{Hex_Digit:	-Yes}', "");
Expect(1, 65350, '\P{^Hex_Digit:	-Yes}', "");
Expect(0, 65351, '\p{Hex_Digit:	-Yes}', "");
Expect(1, 65351, '\p{^Hex_Digit:	-Yes}', "");
Expect(1, 65351, '\P{Hex_Digit:	-Yes}', "");
Expect(0, 65351, '\P{^Hex_Digit:	-Yes}', "");
Error('\p{Hex=_/a/Y}');
Error('\P{Hex=_/a/Y}');
Expect(1, 65350, '\p{Hex=y}', "");
Expect(0, 65350, '\p{^Hex=y}', "");
Expect(0, 65350, '\P{Hex=y}', "");
Expect(1, 65350, '\P{^Hex=y}', "");
Expect(0, 65351, '\p{Hex=y}', "");
Expect(1, 65351, '\p{^Hex=y}', "");
Expect(1, 65351, '\P{Hex=y}', "");
Expect(0, 65351, '\P{^Hex=y}', "");
Expect(1, 65350, '\p{Hex=-	y}', "");
Expect(0, 65350, '\p{^Hex=-	y}', "");
Expect(0, 65350, '\P{Hex=-	y}', "");
Expect(1, 65350, '\P{^Hex=-	y}', "");
Expect(0, 65351, '\p{Hex=-	y}', "");
Expect(1, 65351, '\p{^Hex=-	y}', "");
Expect(1, 65351, '\P{Hex=-	y}', "");
Expect(0, 65351, '\P{^Hex=-	y}', "");
Error('\p{Is_Hex_Digit=/a/-T}');
Error('\P{Is_Hex_Digit=/a/-T}');
Expect(1, 65350, '\p{Is_Hex_Digit=t}', "");
Expect(0, 65350, '\p{^Is_Hex_Digit=t}', "");
Expect(0, 65350, '\P{Is_Hex_Digit=t}', "");
Expect(1, 65350, '\P{^Is_Hex_Digit=t}', "");
Expect(0, 65351, '\p{Is_Hex_Digit=t}', "");
Expect(1, 65351, '\p{^Is_Hex_Digit=t}', "");
Expect(1, 65351, '\P{Is_Hex_Digit=t}', "");
Expect(0, 65351, '\P{^Is_Hex_Digit=t}', "");
Expect(1, 65350, '\p{Is_Hex_Digit=_	T}', "");
Expect(0, 65350, '\p{^Is_Hex_Digit=_	T}', "");
Expect(0, 65350, '\P{Is_Hex_Digit=_	T}', "");
Expect(1, 65350, '\P{^Is_Hex_Digit=_	T}', "");
Expect(0, 65351, '\p{Is_Hex_Digit=_	T}', "");
Expect(1, 65351, '\p{^Is_Hex_Digit=_	T}', "");
Expect(1, 65351, '\P{Is_Hex_Digit=_	T}', "");
Expect(0, 65351, '\P{^Is_Hex_Digit=_	T}', "");
Error('\p{Is_Hex=-TRUE:=}');
Error('\P{Is_Hex=-TRUE:=}');
Expect(1, 65350, '\p{Is_Hex=true}', "");
Expect(0, 65350, '\p{^Is_Hex=true}', "");
Expect(0, 65350, '\P{Is_Hex=true}', "");
Expect(1, 65350, '\P{^Is_Hex=true}', "");
Expect(0, 65351, '\p{Is_Hex=true}', "");
Expect(1, 65351, '\p{^Is_Hex=true}', "");
Expect(1, 65351, '\P{Is_Hex=true}', "");
Expect(0, 65351, '\P{^Is_Hex=true}', "");
Expect(1, 65350, '\p{Is_Hex= _True}', "");
Expect(0, 65350, '\p{^Is_Hex= _True}', "");
Expect(0, 65350, '\P{Is_Hex= _True}', "");
Expect(1, 65350, '\P{^Is_Hex= _True}', "");
Expect(0, 65351, '\p{Is_Hex= _True}', "");
Expect(1, 65351, '\p{^Is_Hex= _True}', "");
Expect(1, 65351, '\P{Is_Hex= _True}', "");
Expect(0, 65351, '\P{^Is_Hex= _True}', "");
Error('\p{Hyphen=:=_No}');
Error('\P{Hyphen=:=_No}');
Expect(1, 65382, '\p{Hyphen=no}', 'deprecated');
Expect(0, 65382, '\p{^Hyphen=no}', 'deprecated');
Expect(0, 65382, '\P{Hyphen=no}', 'deprecated');
Expect(1, 65382, '\P{^Hyphen=no}', 'deprecated');
Expect(0, 65381, '\p{Hyphen=no}', 'deprecated');
Expect(1, 65381, '\p{^Hyphen=no}', 'deprecated');
Expect(1, 65381, '\P{Hyphen=no}', 'deprecated');
Expect(0, 65381, '\P{^Hyphen=no}', 'deprecated');
Expect(1, 65382, '\p{Hyphen= No}', 'deprecated');
Expect(0, 65382, '\p{^Hyphen= No}', 'deprecated');
Expect(0, 65382, '\P{Hyphen= No}', 'deprecated');
Expect(1, 65382, '\P{^Hyphen= No}', 'deprecated');
Expect(0, 65381, '\p{Hyphen= No}', 'deprecated');
Expect(1, 65381, '\p{^Hyphen= No}', 'deprecated');
Expect(1, 65381, '\P{Hyphen= No}', 'deprecated');
Expect(0, 65381, '\P{^Hyphen= No}', 'deprecated');
Error('\p{Is_Hyphen=_:=N}');
Error('\P{Is_Hyphen=_:=N}');
Expect(1, 65382, '\p{Is_Hyphen=n}', 'deprecated');
Expect(0, 65382, '\p{^Is_Hyphen=n}', 'deprecated');
Expect(0, 65382, '\P{Is_Hyphen=n}', 'deprecated');
Expect(1, 65382, '\P{^Is_Hyphen=n}', 'deprecated');
Expect(0, 65381, '\p{Is_Hyphen=n}', 'deprecated');
Expect(1, 65381, '\p{^Is_Hyphen=n}', 'deprecated');
Expect(1, 65381, '\P{Is_Hyphen=n}', 'deprecated');
Expect(0, 65381, '\P{^Is_Hyphen=n}', 'deprecated');
Expect(1, 65382, '\p{Is_Hyphen=	-N}', 'deprecated');
Expect(0, 65382, '\p{^Is_Hyphen=	-N}', 'deprecated');
Expect(0, 65382, '\P{Is_Hyphen=	-N}', 'deprecated');
Expect(1, 65382, '\P{^Is_Hyphen=	-N}', 'deprecated');
Expect(0, 65381, '\p{Is_Hyphen=	-N}', 'deprecated');
Expect(1, 65381, '\p{^Is_Hyphen=	-N}', 'deprecated');
Expect(1, 65381, '\P{Is_Hyphen=	-N}', 'deprecated');
Expect(0, 65381, '\P{^Is_Hyphen=	-N}', 'deprecated');
Error('\p{Hyphen=	_F/a/}');
Error('\P{Hyphen=	_F/a/}');
Expect(1, 65382, '\p{Hyphen=f}', 'deprecated');
Expect(0, 65382, '\p{^Hyphen=f}', 'deprecated');
Expect(0, 65382, '\P{Hyphen=f}', 'deprecated');
Expect(1, 65382, '\P{^Hyphen=f}', 'deprecated');
Expect(0, 65381, '\p{Hyphen=f}', 'deprecated');
Expect(1, 65381, '\p{^Hyphen=f}', 'deprecated');
Expect(1, 65381, '\P{Hyphen=f}', 'deprecated');
Expect(0, 65381, '\P{^Hyphen=f}', 'deprecated');
Expect(1, 65382, '\p{Hyphen=		F}', 'deprecated');
Expect(0, 65382, '\p{^Hyphen=		F}', 'deprecated');
Expect(0, 65382, '\P{Hyphen=		F}', 'deprecated');
Expect(1, 65382, '\P{^Hyphen=		F}', 'deprecated');
Expect(0, 65381, '\p{Hyphen=		F}', 'deprecated');
Expect(1, 65381, '\p{^Hyphen=		F}', 'deprecated');
Expect(1, 65381, '\P{Hyphen=		F}', 'deprecated');
Expect(0, 65381, '\P{^Hyphen=		F}', 'deprecated');
Error('\p{Is_Hyphen=-	FALSE/a/}');
Error('\P{Is_Hyphen=-	FALSE/a/}');
Expect(1, 65382, '\p{Is_Hyphen=false}', 'deprecated');
Expect(0, 65382, '\p{^Is_Hyphen=false}', 'deprecated');
Expect(0, 65382, '\P{Is_Hyphen=false}', 'deprecated');
Expect(1, 65382, '\P{^Is_Hyphen=false}', 'deprecated');
Expect(0, 65381, '\p{Is_Hyphen=false}', 'deprecated');
Expect(1, 65381, '\p{^Is_Hyphen=false}', 'deprecated');
Expect(1, 65381, '\P{Is_Hyphen=false}', 'deprecated');
Expect(0, 65381, '\P{^Is_Hyphen=false}', 'deprecated');
Expect(1, 65382, '\p{Is_Hyphen=--False}', 'deprecated');
Expect(0, 65382, '\p{^Is_Hyphen=--False}', 'deprecated');
Expect(0, 65382, '\P{Is_Hyphen=--False}', 'deprecated');
Expect(1, 65382, '\P{^Is_Hyphen=--False}', 'deprecated');
Expect(0, 65381, '\p{Is_Hyphen=--False}', 'deprecated');
Expect(1, 65381, '\p{^Is_Hyphen=--False}', 'deprecated');
Expect(1, 65381, '\P{Is_Hyphen=--False}', 'deprecated');
Expect(0, 65381, '\P{^Is_Hyphen=--False}', 'deprecated');
Error('\p{Hyphen: /a/YES}');
Error('\P{Hyphen: /a/YES}');
Expect(1, 65381, '\p{Hyphen=yes}', 'deprecated');
Expect(0, 65381, '\p{^Hyphen=yes}', 'deprecated');
Expect(0, 65381, '\P{Hyphen=yes}', 'deprecated');
Expect(1, 65381, '\P{^Hyphen=yes}', 'deprecated');
Expect(0, 65382, '\p{Hyphen=yes}', 'deprecated');
Expect(1, 65382, '\p{^Hyphen=yes}', 'deprecated');
Expect(1, 65382, '\P{Hyphen=yes}', 'deprecated');
Expect(0, 65382, '\P{^Hyphen=yes}', 'deprecated');
Expect(1, 65381, '\p{Hyphen=	-yes}', 'deprecated');
Expect(0, 65381, '\p{^Hyphen=	-yes}', 'deprecated');
Expect(0, 65381, '\P{Hyphen=	-yes}', 'deprecated');
Expect(1, 65381, '\P{^Hyphen=	-yes}', 'deprecated');
Expect(0, 65382, '\p{Hyphen=	-yes}', 'deprecated');
Expect(1, 65382, '\p{^Hyphen=	-yes}', 'deprecated');
Expect(1, 65382, '\P{Hyphen=	-yes}', 'deprecated');
Expect(0, 65382, '\P{^Hyphen=	-yes}', 'deprecated');
Error('\p{Is_Hyphen=:=	Y}');
Error('\P{Is_Hyphen=:=	Y}');
Expect(1, 65381, '\p{Is_Hyphen=y}', 'deprecated');
Expect(0, 65381, '\p{^Is_Hyphen=y}', 'deprecated');
Expect(0, 65381, '\P{Is_Hyphen=y}', 'deprecated');
Expect(1, 65381, '\P{^Is_Hyphen=y}', 'deprecated');
Expect(0, 65382, '\p{Is_Hyphen=y}', 'deprecated');
Expect(1, 65382, '\p{^Is_Hyphen=y}', 'deprecated');
Expect(1, 65382, '\P{Is_Hyphen=y}', 'deprecated');
Expect(0, 65382, '\P{^Is_Hyphen=y}', 'deprecated');
Expect(1, 65381, '\p{Is_Hyphen=-y}', 'deprecated');
Expect(0, 65381, '\p{^Is_Hyphen=-y}', 'deprecated');
Expect(0, 65381, '\P{Is_Hyphen=-y}', 'deprecated');
Expect(1, 65381, '\P{^Is_Hyphen=-y}', 'deprecated');
Expect(0, 65382, '\p{Is_Hyphen=-y}', 'deprecated');
Expect(1, 65382, '\p{^Is_Hyphen=-y}', 'deprecated');
Expect(1, 65382, '\P{Is_Hyphen=-y}', 'deprecated');
Expect(0, 65382, '\P{^Is_Hyphen=-y}', 'deprecated');
Error('\p{Hyphen=/a/_T}');
Error('\P{Hyphen=/a/_T}');
Expect(1, 65381, '\p{Hyphen=t}', 'deprecated');
Expect(0, 65381, '\p{^Hyphen=t}', 'deprecated');
Expect(0, 65381, '\P{Hyphen=t}', 'deprecated');
Expect(1, 65381, '\P{^Hyphen=t}', 'deprecated');
Expect(0, 65382, '\p{Hyphen=t}', 'deprecated');
Expect(1, 65382, '\p{^Hyphen=t}', 'deprecated');
Expect(1, 65382, '\P{Hyphen=t}', 'deprecated');
Expect(0, 65382, '\P{^Hyphen=t}', 'deprecated');
Expect(1, 65381, '\p{Hyphen=_	t}', 'deprecated');
Expect(0, 65381, '\p{^Hyphen=_	t}', 'deprecated');
Expect(0, 65381, '\P{Hyphen=_	t}', 'deprecated');
Expect(1, 65381, '\P{^Hyphen=_	t}', 'deprecated');
Expect(0, 65382, '\p{Hyphen=_	t}', 'deprecated');
Expect(1, 65382, '\p{^Hyphen=_	t}', 'deprecated');
Expect(1, 65382, '\P{Hyphen=_	t}', 'deprecated');
Expect(0, 65382, '\P{^Hyphen=_	t}', 'deprecated');
Error('\p{Is_Hyphen=-/a/true}');
Error('\P{Is_Hyphen=-/a/true}');
Expect(1, 65381, '\p{Is_Hyphen=true}', 'deprecated');
Expect(0, 65381, '\p{^Is_Hyphen=true}', 'deprecated');
Expect(0, 65381, '\P{Is_Hyphen=true}', 'deprecated');
Expect(1, 65381, '\P{^Is_Hyphen=true}', 'deprecated');
Expect(0, 65382, '\p{Is_Hyphen=true}', 'deprecated');
Expect(1, 65382, '\p{^Is_Hyphen=true}', 'deprecated');
Expect(1, 65382, '\P{Is_Hyphen=true}', 'deprecated');
Expect(0, 65382, '\P{^Is_Hyphen=true}', 'deprecated');
Expect(1, 65381, '\p{Is_Hyphen=	True}', 'deprecated');
Expect(0, 65381, '\p{^Is_Hyphen=	True}', 'deprecated');
Expect(0, 65381, '\P{Is_Hyphen=	True}', 'deprecated');
Expect(1, 65381, '\P{^Is_Hyphen=	True}', 'deprecated');
Expect(0, 65382, '\p{Is_Hyphen=	True}', 'deprecated');
Expect(1, 65382, '\p{^Is_Hyphen=	True}', 'deprecated');
Expect(1, 65382, '\P{Is_Hyphen=	True}', 'deprecated');
Expect(0, 65382, '\P{^Is_Hyphen=	True}', 'deprecated');
Error('\p{ID_Continue= /a/no}');
Error('\P{ID_Continue= /a/no}');
Expect(1, 918000, '\p{ID_Continue=no}', "");
Expect(0, 918000, '\p{^ID_Continue=no}', "");
Expect(0, 918000, '\P{ID_Continue=no}', "");
Expect(1, 918000, '\P{^ID_Continue=no}', "");
Expect(0, 917999, '\p{ID_Continue=no}', "");
Expect(1, 917999, '\p{^ID_Continue=no}', "");
Expect(1, 917999, '\P{ID_Continue=no}', "");
Expect(0, 917999, '\P{^ID_Continue=no}', "");
Expect(1, 918000, '\p{ID_Continue=-	No}', "");
Expect(0, 918000, '\p{^ID_Continue=-	No}', "");
Expect(0, 918000, '\P{ID_Continue=-	No}', "");
Expect(1, 918000, '\P{^ID_Continue=-	No}', "");
Expect(0, 917999, '\p{ID_Continue=-	No}', "");
Expect(1, 917999, '\p{^ID_Continue=-	No}', "");
Expect(1, 917999, '\P{ID_Continue=-	No}', "");
Expect(0, 917999, '\P{^ID_Continue=-	No}', "");
Error('\p{IDC:  N:=}');
Error('\P{IDC:  N:=}');
Expect(1, 918000, '\p{IDC:	n}', "");
Expect(0, 918000, '\p{^IDC:	n}', "");
Expect(0, 918000, '\P{IDC:	n}', "");
Expect(1, 918000, '\P{^IDC:	n}', "");
Expect(0, 917999, '\p{IDC:	n}', "");
Expect(1, 917999, '\p{^IDC:	n}', "");
Expect(1, 917999, '\P{IDC:	n}', "");
Expect(0, 917999, '\P{^IDC:	n}', "");
Expect(1, 918000, '\p{IDC=_ n}', "");
Expect(0, 918000, '\p{^IDC=_ n}', "");
Expect(0, 918000, '\P{IDC=_ n}', "");
Expect(1, 918000, '\P{^IDC=_ n}', "");
Expect(0, 917999, '\p{IDC=_ n}', "");
Expect(1, 917999, '\p{^IDC=_ n}', "");
Expect(1, 917999, '\P{IDC=_ n}', "");
Expect(0, 917999, '\P{^IDC=_ n}', "");
Error('\p{Is_ID_Continue= F:=}');
Error('\P{Is_ID_Continue= F:=}');
Expect(1, 918000, '\p{Is_ID_Continue=f}', "");
Expect(0, 918000, '\p{^Is_ID_Continue=f}', "");
Expect(0, 918000, '\P{Is_ID_Continue=f}', "");
Expect(1, 918000, '\P{^Is_ID_Continue=f}', "");
Expect(0, 917999, '\p{Is_ID_Continue=f}', "");
Expect(1, 917999, '\p{^Is_ID_Continue=f}', "");
Expect(1, 917999, '\P{Is_ID_Continue=f}', "");
Expect(0, 917999, '\P{^Is_ID_Continue=f}', "");
Expect(1, 918000, '\p{Is_ID_Continue=--F}', "");
Expect(0, 918000, '\p{^Is_ID_Continue=--F}', "");
Expect(0, 918000, '\P{Is_ID_Continue=--F}', "");
Expect(1, 918000, '\P{^Is_ID_Continue=--F}', "");
Expect(0, 917999, '\p{Is_ID_Continue=--F}', "");
Expect(1, 917999, '\p{^Is_ID_Continue=--F}', "");
Expect(1, 917999, '\P{Is_ID_Continue=--F}', "");
Expect(0, 917999, '\P{^Is_ID_Continue=--F}', "");
Error('\p{Is_IDC=_:=false}');
Error('\P{Is_IDC=_:=false}');
Expect(1, 918000, '\p{Is_IDC=false}', "");
Expect(0, 918000, '\p{^Is_IDC=false}', "");
Expect(0, 918000, '\P{Is_IDC=false}', "");
Expect(1, 918000, '\P{^Is_IDC=false}', "");
Expect(0, 917999, '\p{Is_IDC=false}', "");
Expect(1, 917999, '\p{^Is_IDC=false}', "");
Expect(1, 917999, '\P{Is_IDC=false}', "");
Expect(0, 917999, '\P{^Is_IDC=false}', "");
Expect(1, 918000, '\p{Is_IDC= _False}', "");
Expect(0, 918000, '\p{^Is_IDC= _False}', "");
Expect(0, 918000, '\P{Is_IDC= _False}', "");
Expect(1, 918000, '\P{^Is_IDC= _False}', "");
Expect(0, 917999, '\p{Is_IDC= _False}', "");
Expect(1, 917999, '\p{^Is_IDC= _False}', "");
Expect(1, 917999, '\P{Is_IDC= _False}', "");
Expect(0, 917999, '\P{^Is_IDC= _False}', "");
Error('\p{ID_Continue=:=  Yes}');
Error('\P{ID_Continue=:=  Yes}');
Expect(1, 917999, '\p{ID_Continue=yes}', "");
Expect(0, 917999, '\p{^ID_Continue=yes}', "");
Expect(0, 917999, '\P{ID_Continue=yes}', "");
Expect(1, 917999, '\P{^ID_Continue=yes}', "");
Expect(0, 918000, '\p{ID_Continue=yes}', "");
Expect(1, 918000, '\p{^ID_Continue=yes}', "");
Expect(1, 918000, '\P{ID_Continue=yes}', "");
Expect(0, 918000, '\P{^ID_Continue=yes}', "");
Expect(1, 917999, '\p{ID_Continue=__yes}', "");
Expect(0, 917999, '\p{^ID_Continue=__yes}', "");
Expect(0, 917999, '\P{ID_Continue=__yes}', "");
Expect(1, 917999, '\P{^ID_Continue=__yes}', "");
Expect(0, 918000, '\p{ID_Continue=__yes}', "");
Expect(1, 918000, '\p{^ID_Continue=__yes}', "");
Expect(1, 918000, '\P{ID_Continue=__yes}', "");
Expect(0, 918000, '\P{^ID_Continue=__yes}', "");
Error('\p{IDC=:=Y}');
Error('\P{IDC=:=Y}');
Expect(1, 917999, '\p{IDC=y}', "");
Expect(0, 917999, '\p{^IDC=y}', "");
Expect(0, 917999, '\P{IDC=y}', "");
Expect(1, 917999, '\P{^IDC=y}', "");
Expect(0, 918000, '\p{IDC=y}', "");
Expect(1, 918000, '\p{^IDC=y}', "");
Expect(1, 918000, '\P{IDC=y}', "");
Expect(0, 918000, '\P{^IDC=y}', "");
Expect(1, 917999, '\p{IDC=-_Y}', "");
Expect(0, 917999, '\p{^IDC=-_Y}', "");
Expect(0, 917999, '\P{IDC=-_Y}', "");
Expect(1, 917999, '\P{^IDC=-_Y}', "");
Expect(0, 918000, '\p{IDC=-_Y}', "");
Expect(1, 918000, '\p{^IDC=-_Y}', "");
Expect(1, 918000, '\P{IDC=-_Y}', "");
Expect(0, 918000, '\P{^IDC=-_Y}', "");
Error('\p{Is_ID_Continue=	-T/a/}');
Error('\P{Is_ID_Continue=	-T/a/}');
Expect(1, 917999, '\p{Is_ID_Continue=t}', "");
Expect(0, 917999, '\p{^Is_ID_Continue=t}', "");
Expect(0, 917999, '\P{Is_ID_Continue=t}', "");
Expect(1, 917999, '\P{^Is_ID_Continue=t}', "");
Expect(0, 918000, '\p{Is_ID_Continue=t}', "");
Expect(1, 918000, '\p{^Is_ID_Continue=t}', "");
Expect(1, 918000, '\P{Is_ID_Continue=t}', "");
Expect(0, 918000, '\P{^Is_ID_Continue=t}', "");
Expect(1, 917999, '\p{Is_ID_Continue:_T}', "");
Expect(0, 917999, '\p{^Is_ID_Continue:_T}', "");
Expect(0, 917999, '\P{Is_ID_Continue:_T}', "");
Expect(1, 917999, '\P{^Is_ID_Continue:_T}', "");
Expect(0, 918000, '\p{Is_ID_Continue:_T}', "");
Expect(1, 918000, '\p{^Is_ID_Continue:_T}', "");
Expect(1, 918000, '\P{Is_ID_Continue:_T}', "");
Expect(0, 918000, '\P{^Is_ID_Continue:_T}', "");
Error('\p{Is_IDC=_:=true}');
Error('\P{Is_IDC=_:=true}');
Expect(1, 917999, '\p{Is_IDC=true}', "");
Expect(0, 917999, '\p{^Is_IDC=true}', "");
Expect(0, 917999, '\P{Is_IDC=true}', "");
Expect(1, 917999, '\P{^Is_IDC=true}', "");
Expect(0, 918000, '\p{Is_IDC=true}', "");
Expect(1, 918000, '\p{^Is_IDC=true}', "");
Expect(1, 918000, '\P{Is_IDC=true}', "");
Expect(0, 918000, '\P{^Is_IDC=true}', "");
Expect(1, 917999, '\p{Is_IDC=True}', "");
Expect(0, 917999, '\p{^Is_IDC=True}', "");
Expect(0, 917999, '\P{Is_IDC=True}', "");
Expect(1, 917999, '\P{^Is_IDC=True}', "");
Expect(0, 918000, '\p{Is_IDC=True}', "");
Expect(1, 918000, '\p{^Is_IDC=True}', "");
Expect(1, 918000, '\P{Is_IDC=True}', "");
Expect(0, 918000, '\P{^Is_IDC=True}', "");
Error('\p{ID_Start=/a/- No}');
Error('\P{ID_Start=/a/- No}');
Expect(1, 195102, '\p{ID_Start=no}', "");
Expect(0, 195102, '\p{^ID_Start=no}', "");
Expect(0, 195102, '\P{ID_Start=no}', "");
Expect(1, 195102, '\P{^ID_Start=no}', "");
Expect(0, 195101, '\p{ID_Start=no}', "");
Expect(1, 195101, '\p{^ID_Start=no}', "");
Expect(1, 195101, '\P{ID_Start=no}', "");
Expect(0, 195101, '\P{^ID_Start=no}', "");
Expect(1, 195102, '\p{ID_Start=--NO}', "");
Expect(0, 195102, '\p{^ID_Start=--NO}', "");
Expect(0, 195102, '\P{ID_Start=--NO}', "");
Expect(1, 195102, '\P{^ID_Start=--NO}', "");
Expect(0, 195101, '\p{ID_Start=--NO}', "");
Expect(1, 195101, '\p{^ID_Start=--NO}', "");
Expect(1, 195101, '\P{ID_Start=--NO}', "");
Expect(0, 195101, '\P{^ID_Start=--NO}', "");
Error('\p{IDS=	:=N}');
Error('\P{IDS=	:=N}');
Expect(1, 195102, '\p{IDS=n}', "");
Expect(0, 195102, '\p{^IDS=n}', "");
Expect(0, 195102, '\P{IDS=n}', "");
Expect(1, 195102, '\P{^IDS=n}', "");
Expect(0, 195101, '\p{IDS=n}', "");
Expect(1, 195101, '\p{^IDS=n}', "");
Expect(1, 195101, '\P{IDS=n}', "");
Expect(0, 195101, '\P{^IDS=n}', "");
Expect(1, 195102, '\p{IDS=-N}', "");
Expect(0, 195102, '\p{^IDS=-N}', "");
Expect(0, 195102, '\P{IDS=-N}', "");
Expect(1, 195102, '\P{^IDS=-N}', "");
Expect(0, 195101, '\p{IDS=-N}', "");
Expect(1, 195101, '\p{^IDS=-N}', "");
Expect(1, 195101, '\P{IDS=-N}', "");
Expect(0, 195101, '\P{^IDS=-N}', "");
Error('\p{Is_ID_Start= _F/a/}');
Error('\P{Is_ID_Start= _F/a/}');
Expect(1, 195102, '\p{Is_ID_Start=f}', "");
Expect(0, 195102, '\p{^Is_ID_Start=f}', "");
Expect(0, 195102, '\P{Is_ID_Start=f}', "");
Expect(1, 195102, '\P{^Is_ID_Start=f}', "");
Expect(0, 195101, '\p{Is_ID_Start=f}', "");
Expect(1, 195101, '\p{^Is_ID_Start=f}', "");
Expect(1, 195101, '\P{Is_ID_Start=f}', "");
Expect(0, 195101, '\P{^Is_ID_Start=f}', "");
Expect(1, 195102, '\p{Is_ID_Start=-	F}', "");
Expect(0, 195102, '\p{^Is_ID_Start=-	F}', "");
Expect(0, 195102, '\P{Is_ID_Start=-	F}', "");
Expect(1, 195102, '\P{^Is_ID_Start=-	F}', "");
Expect(0, 195101, '\p{Is_ID_Start=-	F}', "");
Expect(1, 195101, '\p{^Is_ID_Start=-	F}', "");
Expect(1, 195101, '\P{Is_ID_Start=-	F}', "");
Expect(0, 195101, '\P{^Is_ID_Start=-	F}', "");
Error('\p{Is_IDS= 	False:=}');
Error('\P{Is_IDS= 	False:=}');
Expect(1, 195102, '\p{Is_IDS=false}', "");
Expect(0, 195102, '\p{^Is_IDS=false}', "");
Expect(0, 195102, '\P{Is_IDS=false}', "");
Expect(1, 195102, '\P{^Is_IDS=false}', "");
Expect(0, 195101, '\p{Is_IDS=false}', "");
Expect(1, 195101, '\p{^Is_IDS=false}', "");
Expect(1, 195101, '\P{Is_IDS=false}', "");
Expect(0, 195101, '\P{^Is_IDS=false}', "");
Expect(1, 195102, '\p{Is_IDS= FALSE}', "");
Expect(0, 195102, '\p{^Is_IDS= FALSE}', "");
Expect(0, 195102, '\P{Is_IDS= FALSE}', "");
Expect(1, 195102, '\P{^Is_IDS= FALSE}', "");
Expect(0, 195101, '\p{Is_IDS= FALSE}', "");
Expect(1, 195101, '\p{^Is_IDS= FALSE}', "");
Expect(1, 195101, '\P{Is_IDS= FALSE}', "");
Expect(0, 195101, '\P{^Is_IDS= FALSE}', "");
Error('\p{ID_Start=:=		YES}');
Error('\P{ID_Start=:=		YES}');
Expect(1, 195101, '\p{ID_Start=yes}', "");
Expect(0, 195101, '\p{^ID_Start=yes}', "");
Expect(0, 195101, '\P{ID_Start=yes}', "");
Expect(1, 195101, '\P{^ID_Start=yes}', "");
Expect(0, 195102, '\p{ID_Start=yes}', "");
Expect(1, 195102, '\p{^ID_Start=yes}', "");
Expect(1, 195102, '\P{ID_Start=yes}', "");
Expect(0, 195102, '\P{^ID_Start=yes}', "");
Expect(1, 195101, '\p{ID_Start= _YES}', "");
Expect(0, 195101, '\p{^ID_Start= _YES}', "");
Expect(0, 195101, '\P{ID_Start= _YES}', "");
Expect(1, 195101, '\P{^ID_Start= _YES}', "");
Expect(0, 195102, '\p{ID_Start= _YES}', "");
Expect(1, 195102, '\p{^ID_Start= _YES}', "");
Expect(1, 195102, '\P{ID_Start= _YES}', "");
Expect(0, 195102, '\P{^ID_Start= _YES}', "");
Error('\p{IDS=-	y:=}');
Error('\P{IDS=-	y:=}');
Expect(1, 195101, '\p{IDS=y}', "");
Expect(0, 195101, '\p{^IDS=y}', "");
Expect(0, 195101, '\P{IDS=y}', "");
Expect(1, 195101, '\P{^IDS=y}', "");
Expect(0, 195102, '\p{IDS=y}', "");
Expect(1, 195102, '\p{^IDS=y}', "");
Expect(1, 195102, '\P{IDS=y}', "");
Expect(0, 195102, '\P{^IDS=y}', "");
Expect(1, 195101, '\p{IDS=_-Y}', "");
Expect(0, 195101, '\p{^IDS=_-Y}', "");
Expect(0, 195101, '\P{IDS=_-Y}', "");
Expect(1, 195101, '\P{^IDS=_-Y}', "");
Expect(0, 195102, '\p{IDS=_-Y}', "");
Expect(1, 195102, '\p{^IDS=_-Y}', "");
Expect(1, 195102, '\P{IDS=_-Y}', "");
Expect(0, 195102, '\P{^IDS=_-Y}', "");
Error('\p{Is_ID_Start=	/a/T}');
Error('\P{Is_ID_Start=	/a/T}');
Expect(1, 195101, '\p{Is_ID_Start:	t}', "");
Expect(0, 195101, '\p{^Is_ID_Start:	t}', "");
Expect(0, 195101, '\P{Is_ID_Start:	t}', "");
Expect(1, 195101, '\P{^Is_ID_Start:	t}', "");
Expect(0, 195102, '\p{Is_ID_Start:	t}', "");
Expect(1, 195102, '\p{^Is_ID_Start:	t}', "");
Expect(1, 195102, '\P{Is_ID_Start:	t}', "");
Expect(0, 195102, '\P{^Is_ID_Start:	t}', "");
Expect(1, 195101, '\p{Is_ID_Start=_ T}', "");
Expect(0, 195101, '\p{^Is_ID_Start=_ T}', "");
Expect(0, 195101, '\P{Is_ID_Start=_ T}', "");
Expect(1, 195101, '\P{^Is_ID_Start=_ T}', "");
Expect(0, 195102, '\p{Is_ID_Start=_ T}', "");
Expect(1, 195102, '\p{^Is_ID_Start=_ T}', "");
Expect(1, 195102, '\P{Is_ID_Start=_ T}', "");
Expect(0, 195102, '\P{^Is_ID_Start=_ T}', "");
Error('\p{Is_IDS:	_True/a/}');
Error('\P{Is_IDS:	_True/a/}');
Expect(1, 195101, '\p{Is_IDS:	true}', "");
Expect(0, 195101, '\p{^Is_IDS:	true}', "");
Expect(0, 195101, '\P{Is_IDS:	true}', "");
Expect(1, 195101, '\P{^Is_IDS:	true}', "");
Expect(0, 195102, '\p{Is_IDS:	true}', "");
Expect(1, 195102, '\p{^Is_IDS:	true}', "");
Expect(1, 195102, '\P{Is_IDS:	true}', "");
Expect(0, 195102, '\P{^Is_IDS:	true}', "");
Expect(1, 195101, '\p{Is_IDS:	_True}', "");
Expect(0, 195101, '\p{^Is_IDS:	_True}', "");
Expect(0, 195101, '\P{Is_IDS:	_True}', "");
Expect(1, 195101, '\P{^Is_IDS:	_True}', "");
Expect(0, 195102, '\p{Is_IDS:	_True}', "");
Expect(1, 195102, '\p{^Is_IDS:	_True}', "");
Expect(1, 195102, '\P{Is_IDS:	_True}', "");
Expect(0, 195102, '\P{^Is_IDS:	_True}', "");
Error('\p{IDS_Binary_Operator=	NO/a/}');
Error('\P{IDS_Binary_Operator=	NO/a/}');
Expect(1, 12284, '\p{IDS_Binary_Operator=no}', "");
Expect(0, 12284, '\p{^IDS_Binary_Operator=no}', "");
Expect(0, 12284, '\P{IDS_Binary_Operator=no}', "");
Expect(1, 12284, '\P{^IDS_Binary_Operator=no}', "");
Expect(0, 12283, '\p{IDS_Binary_Operator=no}', "");
Expect(1, 12283, '\p{^IDS_Binary_Operator=no}', "");
Expect(1, 12283, '\P{IDS_Binary_Operator=no}', "");
Expect(0, 12283, '\P{^IDS_Binary_Operator=no}', "");
Expect(1, 12284, '\p{IDS_Binary_Operator=-NO}', "");
Expect(0, 12284, '\p{^IDS_Binary_Operator=-NO}', "");
Expect(0, 12284, '\P{IDS_Binary_Operator=-NO}', "");
Expect(1, 12284, '\P{^IDS_Binary_Operator=-NO}', "");
Expect(0, 12283, '\p{IDS_Binary_Operator=-NO}', "");
Expect(1, 12283, '\p{^IDS_Binary_Operator=-NO}', "");
Expect(1, 12283, '\P{IDS_Binary_Operator=-NO}', "");
Expect(0, 12283, '\P{^IDS_Binary_Operator=-NO}', "");
Error('\p{IDSB:   --N/a/}');
Error('\P{IDSB:   --N/a/}');
Expect(1, 12284, '\p{IDSB:n}', "");
Expect(0, 12284, '\p{^IDSB:n}', "");
Expect(0, 12284, '\P{IDSB:n}', "");
Expect(1, 12284, '\P{^IDSB:n}', "");
Expect(0, 12283, '\p{IDSB:n}', "");
Expect(1, 12283, '\p{^IDSB:n}', "");
Expect(1, 12283, '\P{IDSB:n}', "");
Expect(0, 12283, '\P{^IDSB:n}', "");
Expect(1, 12284, '\p{IDSB=	-n}', "");
Expect(0, 12284, '\p{^IDSB=	-n}', "");
Expect(0, 12284, '\P{IDSB=	-n}', "");
Expect(1, 12284, '\P{^IDSB=	-n}', "");
Expect(0, 12283, '\p{IDSB=	-n}', "");
Expect(1, 12283, '\p{^IDSB=	-n}', "");
Expect(1, 12283, '\P{IDSB=	-n}', "");
Expect(0, 12283, '\P{^IDSB=	-n}', "");
Error('\p{Is_IDS_Binary_Operator= _F/a/}');
Error('\P{Is_IDS_Binary_Operator= _F/a/}');
Expect(1, 12284, '\p{Is_IDS_Binary_Operator=f}', "");
Expect(0, 12284, '\p{^Is_IDS_Binary_Operator=f}', "");
Expect(0, 12284, '\P{Is_IDS_Binary_Operator=f}', "");
Expect(1, 12284, '\P{^Is_IDS_Binary_Operator=f}', "");
Expect(0, 12283, '\p{Is_IDS_Binary_Operator=f}', "");
Expect(1, 12283, '\p{^Is_IDS_Binary_Operator=f}', "");
Expect(1, 12283, '\P{Is_IDS_Binary_Operator=f}', "");
Expect(0, 12283, '\P{^Is_IDS_Binary_Operator=f}', "");
Expect(1, 12284, '\p{Is_IDS_Binary_Operator:   -	f}', "");
Expect(0, 12284, '\p{^Is_IDS_Binary_Operator:   -	f}', "");
Expect(0, 12284, '\P{Is_IDS_Binary_Operator:   -	f}', "");
Expect(1, 12284, '\P{^Is_IDS_Binary_Operator:   -	f}', "");
Expect(0, 12283, '\p{Is_IDS_Binary_Operator:   -	f}', "");
Expect(1, 12283, '\p{^Is_IDS_Binary_Operator:   -	f}', "");
Expect(1, 12283, '\P{Is_IDS_Binary_Operator:   -	f}', "");
Expect(0, 12283, '\P{^Is_IDS_Binary_Operator:   -	f}', "");
Error('\p{Is_IDSB=	/a/False}');
Error('\P{Is_IDSB=	/a/False}');
Expect(1, 12284, '\p{Is_IDSB=false}', "");
Expect(0, 12284, '\p{^Is_IDSB=false}', "");
Expect(0, 12284, '\P{Is_IDSB=false}', "");
Expect(1, 12284, '\P{^Is_IDSB=false}', "");
Expect(0, 12283, '\p{Is_IDSB=false}', "");
Expect(1, 12283, '\p{^Is_IDSB=false}', "");
Expect(1, 12283, '\P{Is_IDSB=false}', "");
Expect(0, 12283, '\P{^Is_IDSB=false}', "");
Expect(1, 12284, '\p{Is_IDSB=FALSE}', "");
Expect(0, 12284, '\p{^Is_IDSB=FALSE}', "");
Expect(0, 12284, '\P{Is_IDSB=FALSE}', "");
Expect(1, 12284, '\P{^Is_IDSB=FALSE}', "");
Expect(0, 12283, '\p{Is_IDSB=FALSE}', "");
Expect(1, 12283, '\p{^Is_IDSB=FALSE}', "");
Expect(1, 12283, '\P{Is_IDSB=FALSE}', "");
Expect(0, 12283, '\P{^Is_IDSB=FALSE}', "");
Error('\p{IDS_Binary_Operator= _Yes:=}');
Error('\P{IDS_Binary_Operator= _Yes:=}');
Expect(1, 12283, '\p{IDS_Binary_Operator=yes}', "");
Expect(0, 12283, '\p{^IDS_Binary_Operator=yes}', "");
Expect(0, 12283, '\P{IDS_Binary_Operator=yes}', "");
Expect(1, 12283, '\P{^IDS_Binary_Operator=yes}', "");
Expect(0, 12284, '\p{IDS_Binary_Operator=yes}', "");
Expect(1, 12284, '\p{^IDS_Binary_Operator=yes}', "");
Expect(1, 12284, '\P{IDS_Binary_Operator=yes}', "");
Expect(0, 12284, '\P{^IDS_Binary_Operator=yes}', "");
Expect(1, 12283, '\p{IDS_Binary_Operator=Yes}', "");
Expect(0, 12283, '\p{^IDS_Binary_Operator=Yes}', "");
Expect(0, 12283, '\P{IDS_Binary_Operator=Yes}', "");
Expect(1, 12283, '\P{^IDS_Binary_Operator=Yes}', "");
Expect(0, 12284, '\p{IDS_Binary_Operator=Yes}', "");
Expect(1, 12284, '\p{^IDS_Binary_Operator=Yes}', "");
Expect(1, 12284, '\P{IDS_Binary_Operator=Yes}', "");
Expect(0, 12284, '\P{^IDS_Binary_Operator=Yes}', "");
Error('\p{IDSB=- Y:=}');
Error('\P{IDSB=- Y:=}');
Expect(1, 12283, '\p{IDSB=y}', "");
Expect(0, 12283, '\p{^IDSB=y}', "");
Expect(0, 12283, '\P{IDSB=y}', "");
Expect(1, 12283, '\P{^IDSB=y}', "");
Expect(0, 12284, '\p{IDSB=y}', "");
Expect(1, 12284, '\p{^IDSB=y}', "");
Expect(1, 12284, '\P{IDSB=y}', "");
Expect(0, 12284, '\P{^IDSB=y}', "");
Expect(1, 12283, '\p{IDSB=_y}', "");
Expect(0, 12283, '\p{^IDSB=_y}', "");
Expect(0, 12283, '\P{IDSB=_y}', "");
Expect(1, 12283, '\P{^IDSB=_y}', "");
Expect(0, 12284, '\p{IDSB=_y}', "");
Expect(1, 12284, '\p{^IDSB=_y}', "");
Expect(1, 12284, '\P{IDSB=_y}', "");
Expect(0, 12284, '\P{^IDSB=_y}', "");
Error('\p{Is_IDS_Binary_Operator= :=T}');
Error('\P{Is_IDS_Binary_Operator= :=T}');
Expect(1, 12283, '\p{Is_IDS_Binary_Operator:	t}', "");
Expect(0, 12283, '\p{^Is_IDS_Binary_Operator:	t}', "");
Expect(0, 12283, '\P{Is_IDS_Binary_Operator:	t}', "");
Expect(1, 12283, '\P{^Is_IDS_Binary_Operator:	t}', "");
Expect(0, 12284, '\p{Is_IDS_Binary_Operator:	t}', "");
Expect(1, 12284, '\p{^Is_IDS_Binary_Operator:	t}', "");
Expect(1, 12284, '\P{Is_IDS_Binary_Operator:	t}', "");
Expect(0, 12284, '\P{^Is_IDS_Binary_Operator:	t}', "");
Expect(1, 12283, '\p{Is_IDS_Binary_Operator=__T}', "");
Expect(0, 12283, '\p{^Is_IDS_Binary_Operator=__T}', "");
Expect(0, 12283, '\P{Is_IDS_Binary_Operator=__T}', "");
Expect(1, 12283, '\P{^Is_IDS_Binary_Operator=__T}', "");
Expect(0, 12284, '\p{Is_IDS_Binary_Operator=__T}', "");
Expect(1, 12284, '\p{^Is_IDS_Binary_Operator=__T}', "");
Expect(1, 12284, '\P{Is_IDS_Binary_Operator=__T}', "");
Expect(0, 12284, '\P{^Is_IDS_Binary_Operator=__T}', "");
Error('\p{Is_IDSB=- true/a/}');
Error('\P{Is_IDSB=- true/a/}');
Expect(1, 12283, '\p{Is_IDSB=true}', "");
Expect(0, 12283, '\p{^Is_IDSB=true}', "");
Expect(0, 12283, '\P{Is_IDSB=true}', "");
Expect(1, 12283, '\P{^Is_IDSB=true}', "");
Expect(0, 12284, '\p{Is_IDSB=true}', "");
Expect(1, 12284, '\p{^Is_IDSB=true}', "");
Expect(1, 12284, '\P{Is_IDSB=true}', "");
Expect(0, 12284, '\P{^Is_IDSB=true}', "");
Expect(1, 12283, '\p{Is_IDSB: -TRUE}', "");
Expect(0, 12283, '\p{^Is_IDSB: -TRUE}', "");
Expect(0, 12283, '\P{Is_IDSB: -TRUE}', "");
Expect(1, 12283, '\P{^Is_IDSB: -TRUE}', "");
Expect(0, 12284, '\p{Is_IDSB: -TRUE}', "");
Expect(1, 12284, '\p{^Is_IDSB: -TRUE}', "");
Expect(1, 12284, '\P{Is_IDSB: -TRUE}', "");
Expect(0, 12284, '\P{^Is_IDSB: -TRUE}', "");
Error('\p{IDS_Trinary_Operator=	:=No}');
Error('\P{IDS_Trinary_Operator=	:=No}');
Expect(1, 12276, '\p{IDS_Trinary_Operator=no}', "");
Expect(0, 12276, '\p{^IDS_Trinary_Operator=no}', "");
Expect(0, 12276, '\P{IDS_Trinary_Operator=no}', "");
Expect(1, 12276, '\P{^IDS_Trinary_Operator=no}', "");
Expect(0, 12275, '\p{IDS_Trinary_Operator=no}', "");
Expect(1, 12275, '\p{^IDS_Trinary_Operator=no}', "");
Expect(1, 12275, '\P{IDS_Trinary_Operator=no}', "");
Expect(0, 12275, '\P{^IDS_Trinary_Operator=no}', "");
Expect(1, 12276, '\p{IDS_Trinary_Operator=	No}', "");
Expect(0, 12276, '\p{^IDS_Trinary_Operator=	No}', "");
Expect(0, 12276, '\P{IDS_Trinary_Operator=	No}', "");
Expect(1, 12276, '\P{^IDS_Trinary_Operator=	No}', "");
Expect(0, 12275, '\p{IDS_Trinary_Operator=	No}', "");
Expect(1, 12275, '\p{^IDS_Trinary_Operator=	No}', "");
Expect(1, 12275, '\P{IDS_Trinary_Operator=	No}', "");
Expect(0, 12275, '\P{^IDS_Trinary_Operator=	No}', "");
Error('\p{IDST=/a/__N}');
Error('\P{IDST=/a/__N}');
Expect(1, 12276, '\p{IDST=n}', "");
Expect(0, 12276, '\p{^IDST=n}', "");
Expect(0, 12276, '\P{IDST=n}', "");
Expect(1, 12276, '\P{^IDST=n}', "");
Expect(0, 12275, '\p{IDST=n}', "");
Expect(1, 12275, '\p{^IDST=n}', "");
Expect(1, 12275, '\P{IDST=n}', "");
Expect(0, 12275, '\P{^IDST=n}', "");
Expect(1, 12276, '\p{IDST=_	N}', "");
Expect(0, 12276, '\p{^IDST=_	N}', "");
Expect(0, 12276, '\P{IDST=_	N}', "");
Expect(1, 12276, '\P{^IDST=_	N}', "");
Expect(0, 12275, '\p{IDST=_	N}', "");
Expect(1, 12275, '\p{^IDST=_	N}', "");
Expect(1, 12275, '\P{IDST=_	N}', "");
Expect(0, 12275, '\P{^IDST=_	N}', "");
Error('\p{Is_IDS_Trinary_Operator=-:=F}');
Error('\P{Is_IDS_Trinary_Operator=-:=F}');
Expect(1, 12276, '\p{Is_IDS_Trinary_Operator=f}', "");
Expect(0, 12276, '\p{^Is_IDS_Trinary_Operator=f}', "");
Expect(0, 12276, '\P{Is_IDS_Trinary_Operator=f}', "");
Expect(1, 12276, '\P{^Is_IDS_Trinary_Operator=f}', "");
Expect(0, 12275, '\p{Is_IDS_Trinary_Operator=f}', "");
Expect(1, 12275, '\p{^Is_IDS_Trinary_Operator=f}', "");
Expect(1, 12275, '\P{Is_IDS_Trinary_Operator=f}', "");
Expect(0, 12275, '\P{^Is_IDS_Trinary_Operator=f}', "");
Expect(1, 12276, '\p{Is_IDS_Trinary_Operator=_F}', "");
Expect(0, 12276, '\p{^Is_IDS_Trinary_Operator=_F}', "");
Expect(0, 12276, '\P{Is_IDS_Trinary_Operator=_F}', "");
Expect(1, 12276, '\P{^Is_IDS_Trinary_Operator=_F}', "");
Expect(0, 12275, '\p{Is_IDS_Trinary_Operator=_F}', "");
Expect(1, 12275, '\p{^Is_IDS_Trinary_Operator=_F}', "");
Expect(1, 12275, '\P{Is_IDS_Trinary_Operator=_F}', "");
Expect(0, 12275, '\P{^Is_IDS_Trinary_Operator=_F}', "");
Error('\p{Is_IDST=:=--False}');
Error('\P{Is_IDST=:=--False}');
Expect(1, 12276, '\p{Is_IDST=false}', "");
Expect(0, 12276, '\p{^Is_IDST=false}', "");
Expect(0, 12276, '\P{Is_IDST=false}', "");
Expect(1, 12276, '\P{^Is_IDST=false}', "");
Expect(0, 12275, '\p{Is_IDST=false}', "");
Expect(1, 12275, '\p{^Is_IDST=false}', "");
Expect(1, 12275, '\P{Is_IDST=false}', "");
Expect(0, 12275, '\P{^Is_IDST=false}', "");
Expect(1, 12276, '\p{Is_IDST=_-False}', "");
Expect(0, 12276, '\p{^Is_IDST=_-False}', "");
Expect(0, 12276, '\P{Is_IDST=_-False}', "");
Expect(1, 12276, '\P{^Is_IDST=_-False}', "");
Expect(0, 12275, '\p{Is_IDST=_-False}', "");
Expect(1, 12275, '\p{^Is_IDST=_-False}', "");
Expect(1, 12275, '\P{Is_IDST=_-False}', "");
Expect(0, 12275, '\P{^Is_IDST=_-False}', "");
Error('\p{IDS_Trinary_Operator=/a/-Yes}');
Error('\P{IDS_Trinary_Operator=/a/-Yes}');
Expect(1, 12275, '\p{IDS_Trinary_Operator:	yes}', "");
Expect(0, 12275, '\p{^IDS_Trinary_Operator:	yes}', "");
Expect(0, 12275, '\P{IDS_Trinary_Operator:	yes}', "");
Expect(1, 12275, '\P{^IDS_Trinary_Operator:	yes}', "");
Expect(0, 12276, '\p{IDS_Trinary_Operator:	yes}', "");
Expect(1, 12276, '\p{^IDS_Trinary_Operator:	yes}', "");
Expect(1, 12276, '\P{IDS_Trinary_Operator:	yes}', "");
Expect(0, 12276, '\P{^IDS_Trinary_Operator:	yes}', "");
Expect(1, 12275, '\p{IDS_Trinary_Operator=-Yes}', "");
Expect(0, 12275, '\p{^IDS_Trinary_Operator=-Yes}', "");
Expect(0, 12275, '\P{IDS_Trinary_Operator=-Yes}', "");
Expect(1, 12275, '\P{^IDS_Trinary_Operator=-Yes}', "");
Expect(0, 12276, '\p{IDS_Trinary_Operator=-Yes}', "");
Expect(1, 12276, '\p{^IDS_Trinary_Operator=-Yes}', "");
Expect(1, 12276, '\P{IDS_Trinary_Operator=-Yes}', "");
Expect(0, 12276, '\P{^IDS_Trinary_Operator=-Yes}', "");
Error('\p{IDST= /a/Y}');
Error('\P{IDST= /a/Y}');
Expect(1, 12275, '\p{IDST=y}', "");
Expect(0, 12275, '\p{^IDST=y}', "");
Expect(0, 12275, '\P{IDST=y}', "");
Expect(1, 12275, '\P{^IDST=y}', "");
Expect(0, 12276, '\p{IDST=y}', "");
Expect(1, 12276, '\p{^IDST=y}', "");
Expect(1, 12276, '\P{IDST=y}', "");
Expect(0, 12276, '\P{^IDST=y}', "");
Expect(1, 12275, '\p{IDST=-_Y}', "");
Expect(0, 12275, '\p{^IDST=-_Y}', "");
Expect(0, 12275, '\P{IDST=-_Y}', "");
Expect(1, 12275, '\P{^IDST=-_Y}', "");
Expect(0, 12276, '\p{IDST=-_Y}', "");
Expect(1, 12276, '\p{^IDST=-_Y}', "");
Expect(1, 12276, '\P{IDST=-_Y}', "");
Expect(0, 12276, '\P{^IDST=-_Y}', "");
Error('\p{Is_IDS_Trinary_Operator: 	/a/T}');
Error('\P{Is_IDS_Trinary_Operator: 	/a/T}');
Expect(1, 12275, '\p{Is_IDS_Trinary_Operator=t}', "");
Expect(0, 12275, '\p{^Is_IDS_Trinary_Operator=t}', "");
Expect(0, 12275, '\P{Is_IDS_Trinary_Operator=t}', "");
Expect(1, 12275, '\P{^Is_IDS_Trinary_Operator=t}', "");
Expect(0, 12276, '\p{Is_IDS_Trinary_Operator=t}', "");
Expect(1, 12276, '\p{^Is_IDS_Trinary_Operator=t}', "");
Expect(1, 12276, '\P{Is_IDS_Trinary_Operator=t}', "");
Expect(0, 12276, '\P{^Is_IDS_Trinary_Operator=t}', "");
Expect(1, 12275, '\p{Is_IDS_Trinary_Operator=- T}', "");
Expect(0, 12275, '\p{^Is_IDS_Trinary_Operator=- T}', "");
Expect(0, 12275, '\P{Is_IDS_Trinary_Operator=- T}', "");
Expect(1, 12275, '\P{^Is_IDS_Trinary_Operator=- T}', "");
Expect(0, 12276, '\p{Is_IDS_Trinary_Operator=- T}', "");
Expect(1, 12276, '\p{^Is_IDS_Trinary_Operator=- T}', "");
Expect(1, 12276, '\P{Is_IDS_Trinary_Operator=- T}', "");
Expect(0, 12276, '\P{^Is_IDS_Trinary_Operator=- T}', "");
Error('\p{Is_IDST=:=-true}');
Error('\P{Is_IDST=:=-true}');
Expect(1, 12275, '\p{Is_IDST=true}', "");
Expect(0, 12275, '\p{^Is_IDST=true}', "");
Expect(0, 12275, '\P{Is_IDST=true}', "");
Expect(1, 12275, '\P{^Is_IDST=true}', "");
Expect(0, 12276, '\p{Is_IDST=true}', "");
Expect(1, 12276, '\p{^Is_IDST=true}', "");
Expect(1, 12276, '\P{Is_IDST=true}', "");
Expect(0, 12276, '\P{^Is_IDST=true}', "");
Expect(1, 12275, '\p{Is_IDST=	-true}', "");
Expect(0, 12275, '\p{^Is_IDST=	-true}', "");
Expect(0, 12275, '\P{Is_IDST=	-true}', "");
Expect(1, 12275, '\P{^Is_IDST=	-true}', "");
Expect(0, 12276, '\p{Is_IDST=	-true}', "");
Expect(1, 12276, '\p{^Is_IDST=	-true}', "");
Expect(1, 12276, '\P{Is_IDST=	-true}', "");
Expect(0, 12276, '\P{^Is_IDST=	-true}', "");
Error('\p{Ideographic= _No/a/}');
Error('\P{Ideographic= _No/a/}');
Expect(1, 195102, '\p{Ideographic=no}', "");
Expect(0, 195102, '\p{^Ideographic=no}', "");
Expect(0, 195102, '\P{Ideographic=no}', "");
Expect(1, 195102, '\P{^Ideographic=no}', "");
Expect(0, 195101, '\p{Ideographic=no}', "");
Expect(1, 195101, '\p{^Ideographic=no}', "");
Expect(1, 195101, '\P{Ideographic=no}', "");
Expect(0, 195101, '\P{^Ideographic=no}', "");
Expect(1, 195102, '\p{Ideographic=-_no}', "");
Expect(0, 195102, '\p{^Ideographic=-_no}', "");
Expect(0, 195102, '\P{Ideographic=-_no}', "");
Expect(1, 195102, '\P{^Ideographic=-_no}', "");
Expect(0, 195101, '\p{Ideographic=-_no}', "");
Expect(1, 195101, '\p{^Ideographic=-_no}', "");
Expect(1, 195101, '\P{Ideographic=-_no}', "");
Expect(0, 195101, '\P{^Ideographic=-_no}', "");
Error('\p{Ideo= N/a/}');
Error('\P{Ideo= N/a/}');
Expect(1, 195102, '\p{Ideo=n}', "");
Expect(0, 195102, '\p{^Ideo=n}', "");
Expect(0, 195102, '\P{Ideo=n}', "");
Expect(1, 195102, '\P{^Ideo=n}', "");
Expect(0, 195101, '\p{Ideo=n}', "");
Expect(1, 195101, '\p{^Ideo=n}', "");
Expect(1, 195101, '\P{Ideo=n}', "");
Expect(0, 195101, '\P{^Ideo=n}', "");
Expect(1, 195102, '\p{Ideo= 	N}', "");
Expect(0, 195102, '\p{^Ideo= 	N}', "");
Expect(0, 195102, '\P{Ideo= 	N}', "");
Expect(1, 195102, '\P{^Ideo= 	N}', "");
Expect(0, 195101, '\p{Ideo= 	N}', "");
Expect(1, 195101, '\p{^Ideo= 	N}', "");
Expect(1, 195101, '\P{Ideo= 	N}', "");
Expect(0, 195101, '\P{^Ideo= 	N}', "");
Error('\p{Is_Ideographic=/a/f}');
Error('\P{Is_Ideographic=/a/f}');
Expect(1, 195102, '\p{Is_Ideographic=f}', "");
Expect(0, 195102, '\p{^Is_Ideographic=f}', "");
Expect(0, 195102, '\P{Is_Ideographic=f}', "");
Expect(1, 195102, '\P{^Is_Ideographic=f}', "");
Expect(0, 195101, '\p{Is_Ideographic=f}', "");
Expect(1, 195101, '\p{^Is_Ideographic=f}', "");
Expect(1, 195101, '\P{Is_Ideographic=f}', "");
Expect(0, 195101, '\P{^Is_Ideographic=f}', "");
Expect(1, 195102, '\p{Is_Ideographic=- F}', "");
Expect(0, 195102, '\p{^Is_Ideographic=- F}', "");
Expect(0, 195102, '\P{Is_Ideographic=- F}', "");
Expect(1, 195102, '\P{^Is_Ideographic=- F}', "");
Expect(0, 195101, '\p{Is_Ideographic=- F}', "");
Expect(1, 195101, '\p{^Is_Ideographic=- F}', "");
Expect(1, 195101, '\P{Is_Ideographic=- F}', "");
Expect(0, 195101, '\P{^Is_Ideographic=- F}', "");
Error('\p{Is_Ideo=__False/a/}');
Error('\P{Is_Ideo=__False/a/}');
Expect(1, 195102, '\p{Is_Ideo=false}', "");
Expect(0, 195102, '\p{^Is_Ideo=false}', "");
Expect(0, 195102, '\P{Is_Ideo=false}', "");
Expect(1, 195102, '\P{^Is_Ideo=false}', "");
Expect(0, 195101, '\p{Is_Ideo=false}', "");
Expect(1, 195101, '\p{^Is_Ideo=false}', "");
Expect(1, 195101, '\P{Is_Ideo=false}', "");
Expect(0, 195101, '\P{^Is_Ideo=false}', "");
Expect(1, 195102, '\p{Is_Ideo=_	False}', "");
Expect(0, 195102, '\p{^Is_Ideo=_	False}', "");
Expect(0, 195102, '\P{Is_Ideo=_	False}', "");
Expect(1, 195102, '\P{^Is_Ideo=_	False}', "");
Expect(0, 195101, '\p{Is_Ideo=_	False}', "");
Expect(1, 195101, '\p{^Is_Ideo=_	False}', "");
Expect(1, 195101, '\P{Is_Ideo=_	False}', "");
Expect(0, 195101, '\P{^Is_Ideo=_	False}', "");
Error('\p{Ideographic=/a/	-YES}');
Error('\P{Ideographic=/a/	-YES}');
Expect(1, 195101, '\p{Ideographic=yes}', "");
Expect(0, 195101, '\p{^Ideographic=yes}', "");
Expect(0, 195101, '\P{Ideographic=yes}', "");
Expect(1, 195101, '\P{^Ideographic=yes}', "");
Expect(0, 195102, '\p{Ideographic=yes}', "");
Expect(1, 195102, '\p{^Ideographic=yes}', "");
Expect(1, 195102, '\P{Ideographic=yes}', "");
Expect(0, 195102, '\P{^Ideographic=yes}', "");
Expect(1, 195101, '\p{Ideographic=--yes}', "");
Expect(0, 195101, '\p{^Ideographic=--yes}', "");
Expect(0, 195101, '\P{Ideographic=--yes}', "");
Expect(1, 195101, '\P{^Ideographic=--yes}', "");
Expect(0, 195102, '\p{Ideographic=--yes}', "");
Expect(1, 195102, '\p{^Ideographic=--yes}', "");
Expect(1, 195102, '\P{Ideographic=--yes}', "");
Expect(0, 195102, '\P{^Ideographic=--yes}', "");
Error('\p{Ideo=_Y/a/}');
Error('\P{Ideo=_Y/a/}');
Expect(1, 195101, '\p{Ideo:	y}', "");
Expect(0, 195101, '\p{^Ideo:	y}', "");
Expect(0, 195101, '\P{Ideo:	y}', "");
Expect(1, 195101, '\P{^Ideo:	y}', "");
Expect(0, 195102, '\p{Ideo:	y}', "");
Expect(1, 195102, '\p{^Ideo:	y}', "");
Expect(1, 195102, '\P{Ideo:	y}', "");
Expect(0, 195102, '\P{^Ideo:	y}', "");
Expect(1, 195101, '\p{Ideo=_Y}', "");
Expect(0, 195101, '\p{^Ideo=_Y}', "");
Expect(0, 195101, '\P{Ideo=_Y}', "");
Expect(1, 195101, '\P{^Ideo=_Y}', "");
Expect(0, 195102, '\p{Ideo=_Y}', "");
Expect(1, 195102, '\p{^Ideo=_Y}', "");
Expect(1, 195102, '\P{Ideo=_Y}', "");
Expect(0, 195102, '\P{^Ideo=_Y}', "");
Error('\p{Is_Ideographic=_/a/T}');
Error('\P{Is_Ideographic=_/a/T}');
Expect(1, 195101, '\p{Is_Ideographic=t}', "");
Expect(0, 195101, '\p{^Is_Ideographic=t}', "");
Expect(0, 195101, '\P{Is_Ideographic=t}', "");
Expect(1, 195101, '\P{^Is_Ideographic=t}', "");
Expect(0, 195102, '\p{Is_Ideographic=t}', "");
Expect(1, 195102, '\p{^Is_Ideographic=t}', "");
Expect(1, 195102, '\P{Is_Ideographic=t}', "");
Expect(0, 195102, '\P{^Is_Ideographic=t}', "");
Expect(1, 195101, '\p{Is_Ideographic=- t}', "");
Expect(0, 195101, '\p{^Is_Ideographic=- t}', "");
Expect(0, 195101, '\P{Is_Ideographic=- t}', "");
Expect(1, 195101, '\P{^Is_Ideographic=- t}', "");
Expect(0, 195102, '\p{Is_Ideographic=- t}', "");
Expect(1, 195102, '\p{^Is_Ideographic=- t}', "");
Expect(1, 195102, '\P{Is_Ideographic=- t}', "");
Expect(0, 195102, '\P{^Is_Ideographic=- t}', "");
Error('\p{Is_Ideo=:= True}');
Error('\P{Is_Ideo=:= True}');
Expect(1, 195101, '\p{Is_Ideo=true}', "");
Expect(0, 195101, '\p{^Is_Ideo=true}', "");
Expect(0, 195101, '\P{Is_Ideo=true}', "");
Expect(1, 195101, '\P{^Is_Ideo=true}', "");
Expect(0, 195102, '\p{Is_Ideo=true}', "");
Expect(1, 195102, '\p{^Is_Ideo=true}', "");
Expect(1, 195102, '\P{Is_Ideo=true}', "");
Expect(0, 195102, '\P{^Is_Ideo=true}', "");
Expect(1, 195101, '\p{Is_Ideo:  True}', "");
Expect(0, 195101, '\p{^Is_Ideo:  True}', "");
Expect(0, 195101, '\P{Is_Ideo:  True}', "");
Expect(1, 195101, '\P{^Is_Ideo:  True}', "");
Expect(0, 195102, '\p{Is_Ideo:  True}', "");
Expect(1, 195102, '\p{^Is_Ideo:  True}', "");
Expect(1, 195102, '\P{Is_Ideo:  True}', "");
Expect(0, 195102, '\P{^Is_Ideo:  True}', "");
Error('\p{Present_In=	:=00001.1}');
Error('\P{Present_In=	:=00001.1}');
Expect(1, 65533, '\p{Present_In=+00001.1}', "");
Expect(0, 65533, '\p{^Present_In=+00001.1}', "");
Expect(0, 65533, '\P{Present_In=+00001.1}', "");
Expect(1, 65533, '\P{^Present_In=+00001.1}', "");
Expect(0, 65536, '\p{Present_In=+00001.1}', "");
Expect(1, 65536, '\p{^Present_In=+00001.1}', "");
Expect(1, 65536, '\P{Present_In=+00001.1}', "");
Expect(0, 65536, '\P{^Present_In=+00001.1}', "");
Error('\p{In= 1.1/a/}');
Error('\P{In= 1.1/a/}');
Expect(1, 65533, '\p{In=0000_0000_1.1}', "");
Expect(0, 65533, '\p{^In=0000_0000_1.1}', "");
Expect(0, 65533, '\P{In=0000_0000_1.1}', "");
Expect(1, 65533, '\P{^In=0000_0000_1.1}', "");
Expect(0, 65536, '\p{In=0000_0000_1.1}', "");
Expect(1, 65536, '\p{^In=0000_0000_1.1}', "");
Expect(1, 65536, '\P{In=0000_0000_1.1}', "");
Expect(0, 65536, '\P{^In=0000_0000_1.1}', "");
Error('\p{Is_Present_In=- +00_1.1/a/}');
Error('\P{Is_Present_In=- +00_1.1/a/}');
Expect(1, 65533, '\p{Is_Present_In=+000001.1}', "");
Expect(0, 65533, '\p{^Is_Present_In=+000001.1}', "");
Expect(0, 65533, '\P{Is_Present_In=+000001.1}', "");
Expect(1, 65533, '\P{^Is_Present_In=+000001.1}', "");
Expect(0, 65536, '\p{Is_Present_In=+000001.1}', "");
Expect(1, 65536, '\p{^Is_Present_In=+000001.1}', "");
Expect(1, 65536, '\P{Is_Present_In=+000001.1}', "");
Expect(0, 65536, '\P{^Is_Present_In=+000001.1}', "");
Error('\p{Is_In=-/a/+00000001.1}');
Error('\P{Is_In=-/a/+00000001.1}');
Expect(1, 65533, '\p{Is_In=0_1.1}', "");
Expect(0, 65533, '\p{^Is_In=0_1.1}', "");
Expect(0, 65533, '\P{Is_In=0_1.1}', "");
Expect(1, 65533, '\P{^Is_In=0_1.1}', "");
Expect(0, 65536, '\p{Is_In=0_1.1}', "");
Expect(1, 65536, '\p{^Is_In=0_1.1}', "");
Expect(1, 65536, '\P{Is_In=0_1.1}', "");
Expect(0, 65536, '\P{^Is_In=0_1.1}', "");
Error('\p{Present_In=/a/ -2.0}');
Error('\P{Present_In=/a/ -2.0}');
Expect(1, 983040, '\p{Present_In:+00000002.0}', "");
Expect(0, 983040, '\p{^Present_In:+00000002.0}', "");
Expect(0, 983040, '\P{Present_In:+00000002.0}', "");
Expect(1, 983040, '\P{^Present_In:+00000002.0}', "");
Expect(0, 983037, '\p{Present_In:+00000002.0}', "");
Expect(1, 983037, '\p{^Present_In:+00000002.0}', "");
Expect(1, 983037, '\P{Present_In:+00000002.0}', "");
Expect(0, 983037, '\P{^Present_In:+00000002.0}', "");
Error('\p{In: _ 0002.0:=}');
Error('\P{In: _ 0002.0:=}');
Expect(1, 983040, '\p{In=+0000002.0}', "");
Expect(0, 983040, '\p{^In=+0000002.0}', "");
Expect(0, 983040, '\P{In=+0000002.0}', "");
Expect(1, 983040, '\P{^In=+0000002.0}', "");
Expect(0, 983037, '\p{In=+0000002.0}', "");
Expect(1, 983037, '\p{^In=+0000002.0}', "");
Expect(1, 983037, '\P{In=+0000002.0}', "");
Expect(0, 983037, '\P{^In=+0000002.0}', "");
Error('\p{Is_Present_In= -0000000002.0/a/}');
Error('\P{Is_Present_In= -0000000002.0/a/}');
Expect(1, 983040, '\p{Is_Present_In=+000_000_2.0}', "");
Expect(0, 983040, '\p{^Is_Present_In=+000_000_2.0}', "");
Expect(0, 983040, '\P{Is_Present_In=+000_000_2.0}', "");
Expect(1, 983040, '\P{^Is_Present_In=+000_000_2.0}', "");
Expect(0, 983037, '\p{Is_Present_In=+000_000_2.0}', "");
Expect(1, 983037, '\p{^Is_Present_In=+000_000_2.0}', "");
Expect(1, 983037, '\P{Is_Present_In=+000_000_2.0}', "");
Expect(0, 983037, '\P{^Is_Present_In=+000_000_2.0}', "");
Error('\p{Is_In=:= _0_2.0}');
Error('\P{Is_In=:= _0_2.0}');
Expect(1, 983040, '\p{Is_In=000002.0}', "");
Expect(0, 983040, '\p{^Is_In=000002.0}', "");
Expect(0, 983040, '\P{Is_In=000002.0}', "");
Expect(1, 983040, '\P{^Is_In=000002.0}', "");
Expect(0, 983037, '\p{Is_In=000002.0}', "");
Expect(1, 983037, '\p{^Is_In=000002.0}', "");
Expect(1, 983037, '\P{Is_In=000002.0}', "");
Expect(0, 983037, '\P{^Is_In=000002.0}', "");
Error('\p{Present_In=- 000_000_000_2.1/a/}');
Error('\P{Present_In=- 000_000_000_2.1/a/}');
Expect(1, 983040, '\p{Present_In=00_00_2.1}', "");
Expect(0, 983040, '\p{^Present_In=00_00_2.1}', "");
Expect(0, 983040, '\P{Present_In=00_00_2.1}', "");
Expect(1, 983040, '\P{^Present_In=00_00_2.1}', "");
Expect(0, 983037, '\p{Present_In=00_00_2.1}', "");
Expect(1, 983037, '\p{^Present_In=00_00_2.1}', "");
Expect(1, 983037, '\P{Present_In=00_00_2.1}', "");
Expect(0, 983037, '\P{^Present_In=00_00_2.1}', "");
Error('\p{In=:=000002.1}');
Error('\P{In=:=000002.1}');
Expect(1, 983040, '\p{In=+0_0_0_0_0_0_0_0_02.1}', "");
Expect(0, 983040, '\p{^In=+0_0_0_0_0_0_0_0_02.1}', "");
Expect(0, 983040, '\P{In=+0_0_0_0_0_0_0_0_02.1}', "");
Expect(1, 983040, '\P{^In=+0_0_0_0_0_0_0_0_02.1}', "");
Expect(0, 983037, '\p{In=+0_0_0_0_0_0_0_0_02.1}', "");
Expect(1, 983037, '\p{^In=+0_0_0_0_0_0_0_0_02.1}', "");
Expect(1, 983037, '\P{In=+0_0_0_0_0_0_0_0_02.1}', "");
Expect(0, 983037, '\P{^In=+0_0_0_0_0_0_0_0_02.1}', "");
Error('\p{Is_Present_In=-:=0_0_0_0_002.1}');
Error('\P{Is_Present_In=-:=0_0_0_0_002.1}');
Expect(1, 983040, '\p{Is_Present_In=+0000002.1}', "");
Expect(0, 983040, '\p{^Is_Present_In=+0000002.1}', "");
Expect(0, 983040, '\P{Is_Present_In=+0000002.1}', "");
Expect(1, 983040, '\P{^Is_Present_In=+0000002.1}', "");
Expect(0, 983037, '\p{Is_Present_In=+0000002.1}', "");
Expect(1, 983037, '\p{^Is_Present_In=+0000002.1}', "");
Expect(1, 983037, '\P{Is_Present_In=+0000002.1}', "");
Expect(0, 983037, '\P{^Is_Present_In=+0000002.1}', "");
Error('\p{Is_In=_/a/+000_000_000_2.1}');
Error('\P{Is_In=_/a/+000_000_000_2.1}');
Expect(1, 983040, '\p{Is_In=0_0_0_0_0002.1}', "");
Expect(0, 983040, '\p{^Is_In=0_0_0_0_0002.1}', "");
Expect(0, 983040, '\P{Is_In=0_0_0_0_0002.1}', "");
Expect(1, 983040, '\P{^Is_In=0_0_0_0_0002.1}', "");
Expect(0, 983037, '\p{Is_In=0_0_0_0_0002.1}', "");
Expect(1, 983037, '\p{^Is_In=0_0_0_0_0002.1}', "");
Expect(1, 983037, '\P{Is_In=0_0_0_0_0002.1}', "");
Expect(0, 983037, '\P{^Is_In=0_0_0_0_0002.1}', "");
Error('\p{Present_In=	-+0003.0:=}');
Error('\P{Present_In=	-+0003.0:=}');
Expect(1, 983040, '\p{Present_In=000003.0}', "");
Expect(0, 983040, '\p{^Present_In=000003.0}', "");
Expect(0, 983040, '\P{Present_In=000003.0}', "");
Expect(1, 983040, '\P{^Present_In=000003.0}', "");
Expect(0, 983037, '\p{Present_In=000003.0}', "");
Expect(1, 983037, '\p{^Present_In=000003.0}', "");
Expect(1, 983037, '\P{Present_In=000003.0}', "");
Expect(0, 983037, '\P{^Present_In=000003.0}', "");
Error('\p{In=/a/+0_0_0_0_0003.0}');
Error('\P{In=/a/+0_0_0_0_0003.0}');
Expect(1, 983040, '\p{In=000_3.0}', "");
Expect(0, 983040, '\p{^In=000_3.0}', "");
Expect(0, 983040, '\P{In=000_3.0}', "");
Expect(1, 983040, '\P{^In=000_3.0}', "");
Expect(0, 983037, '\p{In=000_3.0}', "");
Expect(1, 983037, '\p{^In=000_3.0}', "");
Expect(1, 983037, '\P{In=000_3.0}', "");
Expect(0, 983037, '\P{^In=000_3.0}', "");
Error('\p{Is_Present_In=:= +0_3.0}');
Error('\P{Is_Present_In=:= +0_3.0}');
Expect(1, 983040, '\p{Is_Present_In:   3.0}', "");
Expect(0, 983040, '\p{^Is_Present_In:   3.0}', "");
Expect(0, 983040, '\P{Is_Present_In:   3.0}', "");
Expect(1, 983040, '\P{^Is_Present_In:   3.0}', "");
Expect(0, 983037, '\p{Is_Present_In:   3.0}', "");
Expect(1, 983037, '\p{^Is_Present_In:   3.0}', "");
Expect(1, 983037, '\P{Is_Present_In:   3.0}', "");
Expect(0, 983037, '\P{^Is_Present_In:   3.0}', "");
Error('\p{Is_In=	:=0000_0000_3.0}');
Error('\P{Is_In=	:=0000_0000_3.0}');
Expect(1, 983040, '\p{Is_In=+03.0}', "");
Expect(0, 983040, '\p{^Is_In=+03.0}', "");
Expect(0, 983040, '\P{Is_In=+03.0}', "");
Expect(1, 983040, '\P{^Is_In=+03.0}', "");
Expect(0, 983037, '\p{Is_In=+03.0}', "");
Expect(1, 983037, '\p{^Is_In=+03.0}', "");
Expect(1, 983037, '\P{Is_In=+03.0}', "");
Expect(0, 983037, '\P{^Is_In=+03.0}', "");
Error('\p{Present_In=/a/	_+0000000003.1}');
Error('\P{Present_In=/a/	_+0000000003.1}');
Expect(1, 983040, '\p{Present_In=003.1}', "");
Expect(0, 983040, '\p{^Present_In=003.1}', "");
Expect(0, 983040, '\P{Present_In=003.1}', "");
Expect(1, 983040, '\P{^Present_In=003.1}', "");
Expect(0, 983037, '\p{Present_In=003.1}', "");
Expect(1, 983037, '\p{^Present_In=003.1}', "");
Expect(1, 983037, '\P{Present_In=003.1}', "");
Expect(0, 983037, '\P{^Present_In=003.1}', "");
Error('\p{In=_ +00_00_3.1/a/}');
Error('\P{In=_ +00_00_3.1/a/}');
Expect(1, 983040, '\p{In=+0000000003.1}', "");
Expect(0, 983040, '\p{^In=+0000000003.1}', "");
Expect(0, 983040, '\P{In=+0000000003.1}', "");
Expect(1, 983040, '\P{^In=+0000000003.1}', "");
Expect(0, 983037, '\p{In=+0000000003.1}', "");
Expect(1, 983037, '\p{^In=+0000000003.1}', "");
Expect(1, 983037, '\P{In=+0000000003.1}', "");
Expect(0, 983037, '\P{^In=+0000000003.1}', "");
Error('\p{Is_Present_In=	_0000000003.1:=}');
Error('\P{Is_Present_In=	_0000000003.1:=}');
Expect(1, 983040, '\p{Is_Present_In=3.1}', "");
Expect(0, 983040, '\p{^Is_Present_In=3.1}', "");
Expect(0, 983040, '\P{Is_Present_In=3.1}', "");
Expect(1, 983040, '\P{^Is_Present_In=3.1}', "");
Expect(0, 983037, '\p{Is_Present_In=3.1}', "");
Expect(1, 983037, '\p{^Is_Present_In=3.1}', "");
Expect(1, 983037, '\P{Is_Present_In=3.1}', "");
Expect(0, 983037, '\P{^Is_Present_In=3.1}', "");
Error('\p{Is_In=:=_+000_000_03.1}');
Error('\P{Is_In=:=_+000_000_03.1}');
Expect(1, 983040, '\p{Is_In:0000003.1}', "");
Expect(0, 983040, '\p{^Is_In:0000003.1}', "");
Expect(0, 983040, '\P{Is_In:0000003.1}', "");
Expect(1, 983040, '\P{^Is_In:0000003.1}', "");
Expect(0, 983037, '\p{Is_In:0000003.1}', "");
Expect(1, 983037, '\p{^Is_In:0000003.1}', "");
Expect(1, 983037, '\P{Is_In:0000003.1}', "");
Expect(0, 983037, '\P{^Is_In:0000003.1}', "");
Error('\p{Present_In=:= 	+03.2}');
Error('\P{Present_In=:= 	+03.2}');
Expect(1, 983040, '\p{Present_In=+0000000_3.2}', "");
Expect(0, 983040, '\p{^Present_In=+0000000_3.2}', "");
Expect(0, 983040, '\P{Present_In=+0000000_3.2}', "");
Expect(1, 983040, '\P{^Present_In=+0000000_3.2}', "");
Expect(0, 983037, '\p{Present_In=+0000000_3.2}', "");
Expect(1, 983037, '\p{^Present_In=+0000000_3.2}', "");
Expect(1, 983037, '\P{Present_In=+0000000_3.2}', "");
Expect(0, 983037, '\P{^Present_In=+0000000_3.2}', "");
Error('\p{In=_/a/00000_3.2}');
Error('\P{In=_/a/00000_3.2}');
Expect(1, 983040, '\p{In=00000000_3.2}', "");
Expect(0, 983040, '\p{^In=00000000_3.2}', "");
Expect(0, 983040, '\P{In=00000000_3.2}', "");
Expect(1, 983040, '\P{^In=00000000_3.2}', "");
Expect(0, 983037, '\p{In=00000000_3.2}', "");
Expect(1, 983037, '\p{^In=00000000_3.2}', "");
Expect(1, 983037, '\P{In=00000000_3.2}', "");
Expect(0, 983037, '\P{^In=00000000_3.2}', "");
Error('\p{Is_Present_In:	:=--000000000_3.2}');
Error('\P{Is_Present_In:	:=--000000000_3.2}');
Expect(1, 983040, '\p{Is_Present_In=0003.2}', "");
Expect(0, 983040, '\p{^Is_Present_In=0003.2}', "");
Expect(0, 983040, '\P{Is_Present_In=0003.2}', "");
Expect(1, 983040, '\P{^Is_Present_In=0003.2}', "");
Expect(0, 983037, '\p{Is_Present_In=0003.2}', "");
Expect(1, 983037, '\p{^Is_Present_In=0003.2}', "");
Expect(1, 983037, '\P{Is_Present_In=0003.2}', "");
Expect(0, 983037, '\P{^Is_Present_In=0003.2}', "");
Error('\p{Is_In=	/a/+3.2}');
Error('\P{Is_In=	/a/+3.2}');
Expect(1, 983040, '\p{Is_In:	+000_000_03.2}', "");
Expect(0, 983040, '\p{^Is_In:	+000_000_03.2}', "");
Expect(0, 983040, '\P{Is_In:	+000_000_03.2}', "");
Expect(1, 983040, '\P{^Is_In:	+000_000_03.2}', "");
Expect(0, 983037, '\p{Is_In:	+000_000_03.2}', "");
Expect(1, 983037, '\p{^Is_In:	+000_000_03.2}', "");
Expect(1, 983037, '\P{Is_In:	+000_000_03.2}', "");
Expect(0, 983037, '\P{^Is_In:	+000_000_03.2}', "");
Error('\p{Present_In=-+0_0_0_004.0:=}');
Error('\P{Present_In=-+0_0_0_004.0:=}');
Expect(1, 983040, '\p{Present_In=0004.0}', "");
Expect(0, 983040, '\p{^Present_In=0004.0}', "");
Expect(0, 983040, '\P{Present_In=0004.0}', "");
Expect(1, 983040, '\P{^Present_In=0004.0}', "");
Expect(0, 983037, '\p{Present_In=0004.0}', "");
Expect(1, 983037, '\p{^Present_In=0004.0}', "");
Expect(1, 983037, '\P{Present_In=0004.0}', "");
Expect(0, 983037, '\P{^Present_In=0004.0}', "");
Error('\p{In=- +0000000004.0:=}');
Error('\P{In=- +0000000004.0:=}');
Expect(1, 983040, '\p{In=+4.0}', "");
Expect(0, 983040, '\p{^In=+4.0}', "");
Expect(0, 983040, '\P{In=+4.0}', "");
Expect(1, 983040, '\P{^In=+4.0}', "");
Expect(0, 983037, '\p{In=+4.0}', "");
Expect(1, 983037, '\p{^In=+4.0}', "");
Expect(1, 983037, '\P{In=+4.0}', "");
Expect(0, 983037, '\P{^In=+4.0}', "");
Error('\p{Is_Present_In=:=000_000_4.0}');
Error('\P{Is_Present_In=:=000_000_4.0}');
Expect(1, 983040, '\p{Is_Present_In=+0004.0}', "");
Expect(0, 983040, '\p{^Is_Present_In=+0004.0}', "");
Expect(0, 983040, '\P{Is_Present_In=+0004.0}', "");
Expect(1, 983040, '\P{^Is_Present_In=+0004.0}', "");
Expect(0, 983037, '\p{Is_Present_In=+0004.0}', "");
Expect(1, 983037, '\p{^Is_Present_In=+0004.0}', "");
Expect(1, 983037, '\P{Is_Present_In=+0004.0}', "");
Expect(0, 983037, '\P{^Is_Present_In=+0004.0}', "");
Error('\p{Is_In=/a/	-004.0}');
Error('\P{Is_In=/a/	-004.0}');
Expect(1, 983040, '\p{Is_In=0004.0}', "");
Expect(0, 983040, '\p{^Is_In=0004.0}', "");
Expect(0, 983040, '\P{Is_In=0004.0}', "");
Expect(1, 983040, '\P{^Is_In=0004.0}', "");
Expect(0, 983037, '\p{Is_In=0004.0}', "");
Expect(1, 983037, '\p{^Is_In=0004.0}', "");
Expect(1, 983037, '\P{Is_In=0004.0}', "");
Expect(0, 983037, '\P{^Is_In=0004.0}', "");
Error('\p{Present_In:	 /a/4.1}');
Error('\P{Present_In:	 /a/4.1}');
Expect(1, 983040, '\p{Present_In=0000004.1}', "");
Expect(0, 983040, '\p{^Present_In=0000004.1}', "");
Expect(0, 983040, '\P{Present_In=0000004.1}', "");
Expect(1, 983040, '\P{^Present_In=0000004.1}', "");
Expect(0, 983037, '\p{Present_In=0000004.1}', "");
Expect(1, 983037, '\p{^Present_In=0000004.1}', "");
Expect(1, 983037, '\P{Present_In=0000004.1}', "");
Expect(0, 983037, '\P{^Present_In=0000004.1}', "");
Error('\p{In=:=4.1}');
Error('\P{In=:=4.1}');
Expect(1, 983040, '\p{In:   +004.1}', "");
Expect(0, 983040, '\p{^In:   +004.1}', "");
Expect(0, 983040, '\P{In:   +004.1}', "");
Expect(1, 983040, '\P{^In:   +004.1}', "");
Expect(0, 983037, '\p{In:   +004.1}', "");
Expect(1, 983037, '\p{^In:   +004.1}', "");
Expect(1, 983037, '\P{In:   +004.1}', "");
Expect(0, 983037, '\P{^In:   +004.1}', "");
Error('\p{Is_Present_In=/a/+00000004.1}');
Error('\P{Is_Present_In=/a/+00000004.1}');
Expect(1, 983040, '\p{Is_Present_In=00000004.1}', "");
Expect(0, 983040, '\p{^Is_Present_In=00000004.1}', "");
Expect(0, 983040, '\P{Is_Present_In=00000004.1}', "");
Expect(1, 983040, '\P{^Is_Present_In=00000004.1}', "");
Expect(0, 983037, '\p{Is_Present_In=00000004.1}', "");
Expect(1, 983037, '\p{^Is_Present_In=00000004.1}', "");
Expect(1, 983037, '\P{Is_Present_In=00000004.1}', "");
Expect(0, 983037, '\P{^Is_Present_In=00000004.1}', "");
Error('\p{Is_In=/a/  +0004.1}');
Error('\P{Is_In=/a/  +0004.1}');
Expect(1, 983040, '\p{Is_In=0004.1}', "");
Expect(0, 983040, '\p{^Is_In=0004.1}', "");
Expect(0, 983040, '\P{Is_In=0004.1}', "");
Expect(1, 983040, '\P{^Is_In=0004.1}', "");
Expect(0, 983037, '\p{Is_In=0004.1}', "");
Expect(1, 983037, '\p{^Is_In=0004.1}', "");
Expect(1, 983037, '\P{Is_In=0004.1}', "");
Expect(0, 983037, '\P{^Is_In=0004.1}', "");
Error('\p{Present_In=:=_0000005.0}');
Error('\P{Present_In=:=_0000005.0}');
Expect(1, 983040, '\p{Present_In=005.0}', "");
Expect(0, 983040, '\p{^Present_In=005.0}', "");
Expect(0, 983040, '\P{Present_In=005.0}', "");
Expect(1, 983040, '\P{^Present_In=005.0}', "");
Expect(0, 983037, '\p{Present_In=005.0}', "");
Expect(1, 983037, '\p{^Present_In=005.0}', "");
Expect(1, 983037, '\P{Present_In=005.0}', "");
Expect(0, 983037, '\P{^Present_In=005.0}', "");
Error('\p{In:	/a/00000000_5.0}');
Error('\P{In:	/a/00000000_5.0}');
Expect(1, 983040, '\p{In=+00_00_5.0}', "");
Expect(0, 983040, '\p{^In=+00_00_5.0}', "");
Expect(0, 983040, '\P{In=+00_00_5.0}', "");
Expect(1, 983040, '\P{^In=+00_00_5.0}', "");
Expect(0, 983037, '\p{In=+00_00_5.0}', "");
Expect(1, 983037, '\p{^In=+00_00_5.0}', "");
Expect(1, 983037, '\P{In=+00_00_5.0}', "");
Expect(0, 983037, '\P{^In=+00_00_5.0}', "");
Error('\p{Is_Present_In=:=	-00000005.0}');
Error('\P{Is_Present_In=:=	-00000005.0}');
Expect(1, 983040, '\p{Is_Present_In=0_0_0_05.0}', "");
Expect(0, 983040, '\p{^Is_Present_In=0_0_0_05.0}', "");
Expect(0, 983040, '\P{Is_Present_In=0_0_0_05.0}', "");
Expect(1, 983040, '\P{^Is_Present_In=0_0_0_05.0}', "");
Expect(0, 983037, '\p{Is_Present_In=0_0_0_05.0}', "");
Expect(1, 983037, '\p{^Is_Present_In=0_0_0_05.0}', "");
Expect(1, 983037, '\P{Is_Present_In=0_0_0_05.0}', "");
Expect(0, 983037, '\P{^Is_Present_In=0_0_0_05.0}', "");
Error('\p{Is_In=/a/	-5.0}');
Error('\P{Is_In=/a/	-5.0}');
Expect(1, 983040, '\p{Is_In=000000005.0}', "");
Expect(0, 983040, '\p{^Is_In=000000005.0}', "");
Expect(0, 983040, '\P{Is_In=000000005.0}', "");
Expect(1, 983040, '\P{^Is_In=000000005.0}', "");
Expect(0, 983037, '\p{Is_In=000000005.0}', "");
Expect(1, 983037, '\p{^Is_In=000000005.0}', "");
Expect(1, 983037, '\P{Is_In=000000005.0}', "");
Expect(0, 983037, '\P{^Is_In=000000005.0}', "");
Error('\p{Present_In=__00000_5.1:=}');
Error('\P{Present_In=__00000_5.1:=}');
Expect(1, 983040, '\p{Present_In=0_0_0_05.1}', "");
Expect(0, 983040, '\p{^Present_In=0_0_0_05.1}', "");
Expect(0, 983040, '\P{Present_In=0_0_0_05.1}', "");
Expect(1, 983040, '\P{^Present_In=0_0_0_05.1}', "");
Expect(0, 983037, '\p{Present_In=0_0_0_05.1}', "");
Expect(1, 983037, '\p{^Present_In=0_0_0_05.1}', "");
Expect(1, 983037, '\P{Present_In=0_0_0_05.1}', "");
Expect(0, 983037, '\P{^Present_In=0_0_0_05.1}', "");
Error('\p{In::=-+0_0_0_0_0_05.1}');
Error('\P{In::=-+0_0_0_0_0_05.1}');
Expect(1, 983040, '\p{In=0000000005.1}', "");
Expect(0, 983040, '\p{^In=0000000005.1}', "");
Expect(0, 983040, '\P{In=0000000005.1}', "");
Expect(1, 983040, '\P{^In=0000000005.1}', "");
Expect(0, 983037, '\p{In=0000000005.1}', "");
Expect(1, 983037, '\p{^In=0000000005.1}', "");
Expect(1, 983037, '\P{In=0000000005.1}', "");
Expect(0, 983037, '\P{^In=0000000005.1}', "");
Error('\p{Is_Present_In=	:=00000_5.1}');
Error('\P{Is_Present_In=	:=00000_5.1}');
Expect(1, 983040, '\p{Is_Present_In=0_0_0_0_05.1}', "");
Expect(0, 983040, '\p{^Is_Present_In=0_0_0_0_05.1}', "");
Expect(0, 983040, '\P{Is_Present_In=0_0_0_0_05.1}', "");
Expect(1, 983040, '\P{^Is_Present_In=0_0_0_0_05.1}', "");
Expect(0, 983037, '\p{Is_Present_In=0_0_0_0_05.1}', "");
Expect(1, 983037, '\p{^Is_Present_In=0_0_0_0_05.1}', "");
Expect(1, 983037, '\P{Is_Present_In=0_0_0_0_05.1}', "");
Expect(0, 983037, '\P{^Is_Present_In=0_0_0_0_05.1}', "");
Error('\p{Is_In: 	-0_5.1:=}');
Error('\P{Is_In: 	-0_5.1:=}');
Expect(1, 983040, '\p{Is_In=0_0_0_0_005.1}', "");
Expect(0, 983040, '\p{^Is_In=0_0_0_0_005.1}', "");
Expect(0, 983040, '\P{Is_In=0_0_0_0_005.1}', "");
Expect(1, 983040, '\P{^Is_In=0_0_0_0_005.1}', "");
Expect(0, 983037, '\p{Is_In=0_0_0_0_005.1}', "");
Expect(1, 983037, '\p{^Is_In=0_0_0_0_005.1}', "");
Expect(1, 983037, '\P{Is_In=0_0_0_0_005.1}', "");
Expect(0, 983037, '\P{^Is_In=0_0_0_0_005.1}', "");
Error('\p{Present_In:		/a/0_0_05.2}');
Error('\P{Present_In:		/a/0_0_05.2}');
Expect(1, 983040, '\p{Present_In=0_0_0_0_0_00005.2}', "");
Expect(0, 983040, '\p{^Present_In=0_0_0_0_0_00005.2}', "");
Expect(0, 983040, '\P{Present_In=0_0_0_0_0_00005.2}', "");
Expect(1, 983040, '\P{^Present_In=0_0_0_0_0_00005.2}', "");
Expect(0, 983037, '\p{Present_In=0_0_0_0_0_00005.2}', "");
Expect(1, 983037, '\p{^Present_In=0_0_0_0_0_00005.2}', "");
Expect(1, 983037, '\P{Present_In=0_0_0_0_0_00005.2}', "");
Expect(0, 983037, '\P{^Present_In=0_0_0_0_0_00005.2}', "");
Error('\p{In=-:=+005.2}');
Error('\P{In=-:=+005.2}');
Expect(1, 983040, '\p{In:	00000005.2}', "");
Expect(0, 983040, '\p{^In:	00000005.2}', "");
Expect(0, 983040, '\P{In:	00000005.2}', "");
Expect(1, 983040, '\P{^In:	00000005.2}', "");
Expect(0, 983037, '\p{In:	00000005.2}', "");
Expect(1, 983037, '\p{^In:	00000005.2}', "");
Expect(1, 983037, '\P{In:	00000005.2}', "");
Expect(0, 983037, '\P{^In:	00000005.2}', "");
Error('\p{Is_Present_In=	:=+0_0_0_0_0_0_0_05.2}');
Error('\P{Is_Present_In=	:=+0_0_0_0_0_0_0_05.2}');
Expect(1, 983040, '\p{Is_Present_In=+00005.2}', "");
Expect(0, 983040, '\p{^Is_Present_In=+00005.2}', "");
Expect(0, 983040, '\P{Is_Present_In=+00005.2}', "");
Expect(1, 983040, '\P{^Is_Present_In=+00005.2}', "");
Expect(0, 983037, '\p{Is_Present_In=+00005.2}', "");
Expect(1, 983037, '\p{^Is_Present_In=+00005.2}', "");
Expect(1, 983037, '\P{Is_Present_In=+00005.2}', "");
Expect(0, 983037, '\P{^Is_Present_In=+00005.2}', "");
Error('\p{Is_In: := 	+00000005.2}');
Error('\P{Is_In: := 	+00000005.2}');
Expect(1, 983040, '\p{Is_In=0_5.2}', "");
Expect(0, 983040, '\p{^Is_In=0_5.2}', "");
Expect(0, 983040, '\P{Is_In=0_5.2}', "");
Expect(1, 983040, '\P{^Is_In=0_5.2}', "");
Expect(0, 983037, '\p{Is_In=0_5.2}', "");
Expect(1, 983037, '\p{^Is_In=0_5.2}', "");
Expect(1, 983037, '\P{Is_In=0_5.2}', "");
Expect(0, 983037, '\P{^Is_In=0_5.2}', "");
Error('\p{Present_In::=_-+00_00_06.0}');
Error('\P{Present_In::=_-+00_00_06.0}');
Expect(1, 983040, '\p{Present_In=06.0}', "");
Expect(0, 983040, '\p{^Present_In=06.0}', "");
Expect(0, 983040, '\P{Present_In=06.0}', "");
Expect(1, 983040, '\P{^Present_In=06.0}', "");
Expect(0, 983037, '\p{Present_In=06.0}', "");
Expect(1, 983037, '\p{^Present_In=06.0}', "");
Expect(1, 983037, '\P{Present_In=06.0}', "");
Expect(0, 983037, '\P{^Present_In=06.0}', "");
Error('\p{In=:=	 006.0}');
Error('\P{In=:=	 006.0}');
Expect(1, 983040, '\p{In=+0006.0}', "");
Expect(0, 983040, '\p{^In=+0006.0}', "");
Expect(0, 983040, '\P{In=+0006.0}', "");
Expect(1, 983040, '\P{^In=+0006.0}', "");
Expect(0, 983037, '\p{In=+0006.0}', "");
Expect(1, 983037, '\p{^In=+0006.0}', "");
Expect(1, 983037, '\P{In=+0006.0}', "");
Expect(0, 983037, '\P{^In=+0006.0}', "");
Error('\p{Is_Present_In=/a/ 0_0_06.0}');
Error('\P{Is_Present_In=/a/ 0_0_06.0}');
Expect(1, 983040, '\p{Is_Present_In=000000_6.0}', "");
Expect(0, 983040, '\p{^Is_Present_In=000000_6.0}', "");
Expect(0, 983040, '\P{Is_Present_In=000000_6.0}', "");
Expect(1, 983040, '\P{^Is_Present_In=000000_6.0}', "");
Expect(0, 983037, '\p{Is_Present_In=000000_6.0}', "");
Expect(1, 983037, '\p{^Is_Present_In=000000_6.0}', "");
Expect(1, 983037, '\P{Is_Present_In=000000_6.0}', "");
Expect(0, 983037, '\P{^Is_Present_In=000000_6.0}', "");
Error('\p{Is_In=__0006.0:=}');
Error('\P{Is_In=__0006.0:=}');
Expect(1, 983040, '\p{Is_In=6.0}', "");
Expect(0, 983040, '\p{^Is_In=6.0}', "");
Expect(0, 983040, '\P{Is_In=6.0}', "");
Expect(1, 983040, '\P{^Is_In=6.0}', "");
Expect(0, 983037, '\p{Is_In=6.0}', "");
Expect(1, 983037, '\p{^Is_In=6.0}', "");
Expect(1, 983037, '\P{Is_In=6.0}', "");
Expect(0, 983037, '\P{^Is_In=6.0}', "");
Error('\p{Present_In=:=00000006.1}');
Error('\P{Present_In=:=00000006.1}');
Expect(1, 983040, '\p{Present_In=+000_000_06.1}', "");
Expect(0, 983040, '\p{^Present_In=+000_000_06.1}', "");
Expect(0, 983040, '\P{Present_In=+000_000_06.1}', "");
Expect(1, 983040, '\P{^Present_In=+000_000_06.1}', "");
Expect(0, 983037, '\p{Present_In=+000_000_06.1}', "");
Expect(1, 983037, '\p{^Present_In=+000_000_06.1}', "");
Expect(1, 983037, '\P{Present_In=+000_000_06.1}', "");
Expect(0, 983037, '\P{^Present_In=+000_000_06.1}', "");
Error('\p{In=	/a/+6.1}');
Error('\P{In=	/a/+6.1}');
Expect(1, 983040, '\p{In=+00_6.1}', "");
Expect(0, 983040, '\p{^In=+00_6.1}', "");
Expect(0, 983040, '\P{In=+00_6.1}', "");
Expect(1, 983040, '\P{^In=+00_6.1}', "");
Expect(0, 983037, '\p{In=+00_6.1}', "");
Expect(1, 983037, '\p{^In=+00_6.1}', "");
Expect(1, 983037, '\P{In=+00_6.1}', "");
Expect(0, 983037, '\P{^In=+00_6.1}', "");
Error('\p{Is_Present_In=/a/	6.1}');
Error('\P{Is_Present_In=/a/	6.1}');
Expect(1, 983040, '\p{Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Expect(0, 983040, '\p{^Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Expect(0, 983040, '\P{Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Expect(1, 983040, '\P{^Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Expect(0, 983037, '\p{Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Expect(1, 983037, '\p{^Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Expect(1, 983037, '\P{Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Expect(0, 983037, '\P{^Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Error('\p{Is_In:	:=-	+0_0_0_0_0_006.1}');
Error('\P{Is_In:	:=-	+0_0_0_0_0_006.1}');
Expect(1, 983040, '\p{Is_In=0000000006.1}', "");
Expect(0, 983040, '\p{^Is_In=0000000006.1}', "");
Expect(0, 983040, '\P{Is_In=0000000006.1}', "");
Expect(1, 983040, '\P{^Is_In=0000000006.1}', "");
Expect(0, 983037, '\p{Is_In=0000000006.1}', "");
Expect(1, 983037, '\p{^Is_In=0000000006.1}', "");
Expect(1, 983037, '\P{Is_In=0000000006.1}', "");
Expect(0, 983037, '\P{^Is_In=0000000006.1}', "");
Error('\p{Present_In=:=		000006.2}');
Error('\P{Present_In=:=		000006.2}');
Expect(1, 983040, '\p{Present_In=+000006.2}', "");
Expect(0, 983040, '\p{^Present_In=+000006.2}', "");
Expect(0, 983040, '\P{Present_In=+000006.2}', "");
Expect(1, 983040, '\P{^Present_In=+000006.2}', "");
Expect(0, 983037, '\p{Present_In=+000006.2}', "");
Expect(1, 983037, '\p{^Present_In=+000006.2}', "");
Expect(1, 983037, '\P{Present_In=+000006.2}', "");
Expect(0, 983037, '\P{^Present_In=+000006.2}', "");
Error('\p{In=_/a/0000_6.2}');
Error('\P{In=_/a/0000_6.2}');
Expect(1, 983040, '\p{In=000000_6.2}', "");
Expect(0, 983040, '\p{^In=000000_6.2}', "");
Expect(0, 983040, '\P{In=000000_6.2}', "");
Expect(1, 983040, '\P{^In=000000_6.2}', "");
Expect(0, 983037, '\p{In=000000_6.2}', "");
Expect(1, 983037, '\p{^In=000000_6.2}', "");
Expect(1, 983037, '\P{In=000000_6.2}', "");
Expect(0, 983037, '\P{^In=000000_6.2}', "");
Error('\p{Is_Present_In=:=	 +00_00_6.2}');
Error('\P{Is_Present_In=:=	 +00_00_6.2}');
Expect(1, 983040, '\p{Is_Present_In=0000006.2}', "");
Expect(0, 983040, '\p{^Is_Present_In=0000006.2}', "");
Expect(0, 983040, '\P{Is_Present_In=0000006.2}', "");
Expect(1, 983040, '\P{^Is_Present_In=0000006.2}', "");
Expect(0, 983037, '\p{Is_Present_In=0000006.2}', "");
Expect(1, 983037, '\p{^Is_Present_In=0000006.2}', "");
Expect(1, 983037, '\P{Is_Present_In=0000006.2}', "");
Expect(0, 983037, '\P{^Is_Present_In=0000006.2}', "");
Error('\p{Is_In=/a/_ 000000006.2}');
Error('\P{Is_In=/a/_ 000000006.2}');
Expect(1, 983040, '\p{Is_In=6.2}', "");
Expect(0, 983040, '\p{^Is_In=6.2}', "");
Expect(0, 983040, '\P{Is_In=6.2}', "");
Expect(1, 983040, '\P{^Is_In=6.2}', "");
Expect(0, 983037, '\p{Is_In=6.2}', "");
Expect(1, 983037, '\p{^Is_In=6.2}', "");
Expect(1, 983037, '\P{Is_In=6.2}', "");
Expect(0, 983037, '\P{^Is_In=6.2}', "");
Error('\p{Present_In= +006.3/a/}');
Error('\P{Present_In= +006.3/a/}');
Expect(1, 983040, '\p{Present_In=000_000_06.3}', "");
Expect(0, 983040, '\p{^Present_In=000_000_06.3}', "");
Expect(0, 983040, '\P{Present_In=000_000_06.3}', "");
Expect(1, 983040, '\P{^Present_In=000_000_06.3}', "");
Expect(0, 983037, '\p{Present_In=000_000_06.3}', "");
Expect(1, 983037, '\p{^Present_In=000_000_06.3}', "");
Expect(1, 983037, '\P{Present_In=000_000_06.3}', "");
Expect(0, 983037, '\P{^Present_In=000_000_06.3}', "");
Error('\p{In=--+00_00_00_006.3/a/}');
Error('\P{In=--+00_00_00_006.3/a/}');
Expect(1, 983040, '\p{In=000006.3}', "");
Expect(0, 983040, '\p{^In=000006.3}', "");
Expect(0, 983040, '\P{In=000006.3}', "");
Expect(1, 983040, '\P{^In=000006.3}', "");
Expect(0, 983037, '\p{In=000006.3}', "");
Expect(1, 983037, '\p{^In=000006.3}', "");
Expect(1, 983037, '\P{In=000006.3}', "");
Expect(0, 983037, '\P{^In=000006.3}', "");
Error('\p{Is_Present_In=-000000006.3/a/}');
Error('\P{Is_Present_In=-000000006.3/a/}');
Expect(1, 983040, '\p{Is_Present_In=000006.3}', "");
Expect(0, 983040, '\p{^Is_Present_In=000006.3}', "");
Expect(0, 983040, '\P{Is_Present_In=000006.3}', "");
Expect(1, 983040, '\P{^Is_Present_In=000006.3}', "");
Expect(0, 983037, '\p{Is_Present_In=000006.3}', "");
Expect(1, 983037, '\p{^Is_Present_In=000006.3}', "");
Expect(1, 983037, '\P{Is_Present_In=000006.3}', "");
Expect(0, 983037, '\P{^Is_Present_In=000006.3}', "");
Error('\p{Is_In=_/a/06.3}');
Error('\P{Is_In=_/a/06.3}');
Expect(1, 983040, '\p{Is_In=+000000006.3}', "");
Expect(0, 983040, '\p{^Is_In=+000000006.3}', "");
Expect(0, 983040, '\P{Is_In=+000000006.3}', "");
Expect(1, 983040, '\P{^Is_In=+000000006.3}', "");
Expect(0, 983037, '\p{Is_In=+000000006.3}', "");
Expect(1, 983037, '\p{^Is_In=+000000006.3}', "");
Expect(1, 983037, '\P{Is_In=+000000006.3}', "");
Expect(0, 983037, '\P{^Is_In=+000000006.3}', "");
Error('\p{Present_In=_:=+0_0_0_0_0_0_0_007.0}');
Error('\P{Present_In=_:=+0_0_0_0_0_0_0_007.0}');
Expect(1, 983040, '\p{Present_In=00007.0}', "");
Expect(0, 983040, '\p{^Present_In=00007.0}', "");
Expect(0, 983040, '\P{Present_In=00007.0}', "");
Expect(1, 983040, '\P{^Present_In=00007.0}', "");
Expect(0, 983037, '\p{Present_In=00007.0}', "");
Expect(1, 983037, '\p{^Present_In=00007.0}', "");
Expect(1, 983037, '\P{Present_In=00007.0}', "");
Expect(0, 983037, '\P{^Present_In=00007.0}', "");
Error('\p{In=/a/000_7.0}');
Error('\P{In=/a/000_7.0}');
Expect(1, 983040, '\p{In=00_00_07.0}', "");
Expect(0, 983040, '\p{^In=00_00_07.0}', "");
Expect(0, 983040, '\P{In=00_00_07.0}', "");
Expect(1, 983040, '\P{^In=00_00_07.0}', "");
Expect(0, 983037, '\p{In=00_00_07.0}', "");
Expect(1, 983037, '\p{^In=00_00_07.0}', "");
Expect(1, 983037, '\P{In=00_00_07.0}', "");
Expect(0, 983037, '\P{^In=00_00_07.0}', "");
Error('\p{Is_Present_In=	:=0_0_0_0_0_07.0}');
Error('\P{Is_Present_In=	:=0_0_0_0_0_07.0}');
Expect(1, 983040, '\p{Is_Present_In=000007.0}', "");
Expect(0, 983040, '\p{^Is_Present_In=000007.0}', "");
Expect(0, 983040, '\P{Is_Present_In=000007.0}', "");
Expect(1, 983040, '\P{^Is_Present_In=000007.0}', "");
Expect(0, 983037, '\p{Is_Present_In=000007.0}', "");
Expect(1, 983037, '\p{^Is_Present_In=000007.0}', "");
Expect(1, 983037, '\P{Is_Present_In=000007.0}', "");
Expect(0, 983037, '\P{^Is_Present_In=000007.0}', "");
Error('\p{Is_In= 	00007.0/a/}');
Error('\P{Is_In= 	00007.0/a/}');
Expect(1, 983040, '\p{Is_In=00_00_7.0}', "");
Expect(0, 983040, '\p{^Is_In=00_00_7.0}', "");
Expect(0, 983040, '\P{Is_In=00_00_7.0}', "");
Expect(1, 983040, '\P{^Is_In=00_00_7.0}', "");
Expect(0, 983037, '\p{Is_In=00_00_7.0}', "");
Expect(1, 983037, '\p{^Is_In=00_00_7.0}', "");
Expect(1, 983037, '\P{Is_In=00_00_7.0}', "");
Expect(0, 983037, '\P{^Is_In=00_00_7.0}', "");
Error('\p{Present_In=	:=Unassigned}');
Error('\P{Present_In=	:=Unassigned}');
Expect(1, 983037, '\p{Present_In=unassigned}', "");
Expect(0, 983037, '\p{^Present_In=unassigned}', "");
Expect(0, 983037, '\P{Present_In=unassigned}', "");
Expect(1, 983037, '\P{^Present_In=unassigned}', "");
Expect(0, 983040, '\p{Present_In=unassigned}', "");
Expect(1, 983040, '\p{^Present_In=unassigned}', "");
Expect(1, 983040, '\P{Present_In=unassigned}', "");
Expect(0, 983040, '\P{^Present_In=unassigned}', "");
Expect(1, 983037, '\p{Present_In=		UNASSIGNED}', "");
Expect(0, 983037, '\p{^Present_In=		UNASSIGNED}', "");
Expect(0, 983037, '\P{Present_In=		UNASSIGNED}', "");
Expect(1, 983037, '\P{^Present_In=		UNASSIGNED}', "");
Expect(0, 983040, '\p{Present_In=		UNASSIGNED}', "");
Expect(1, 983040, '\p{^Present_In=		UNASSIGNED}', "");
Expect(1, 983040, '\P{Present_In=		UNASSIGNED}', "");
Expect(0, 983040, '\P{^Present_In=		UNASSIGNED}', "");
Error('\p{In=/a/__unassigned}');
Error('\P{In=/a/__unassigned}');
Expect(1, 983037, '\p{In=unassigned}', "");
Expect(0, 983037, '\p{^In=unassigned}', "");
Expect(0, 983037, '\P{In=unassigned}', "");
Expect(1, 983037, '\P{^In=unassigned}', "");
Expect(0, 983040, '\p{In=unassigned}', "");
Expect(1, 983040, '\p{^In=unassigned}', "");
Expect(1, 983040, '\P{In=unassigned}', "");
Expect(0, 983040, '\P{^In=unassigned}', "");
Expect(1, 983037, '\p{In=-Unassigned}', "");
Expect(0, 983037, '\p{^In=-Unassigned}', "");
Expect(0, 983037, '\P{In=-Unassigned}', "");
Expect(1, 983037, '\P{^In=-Unassigned}', "");
Expect(0, 983040, '\p{In=-Unassigned}', "");
Expect(1, 983040, '\p{^In=-Unassigned}', "");
Expect(1, 983040, '\P{In=-Unassigned}', "");
Expect(0, 983040, '\P{^In=-Unassigned}', "");
Error('\p{Is_Present_In=-UNASSIGNED:=}');
Error('\P{Is_Present_In=-UNASSIGNED:=}');
Expect(1, 983037, '\p{Is_Present_In=unassigned}', "");
Expect(0, 983037, '\p{^Is_Present_In=unassigned}', "");
Expect(0, 983037, '\P{Is_Present_In=unassigned}', "");
Expect(1, 983037, '\P{^Is_Present_In=unassigned}', "");
Expect(0, 983040, '\p{Is_Present_In=unassigned}', "");
Expect(1, 983040, '\p{^Is_Present_In=unassigned}', "");
Expect(1, 983040, '\P{Is_Present_In=unassigned}', "");
Expect(0, 983040, '\P{^Is_Present_In=unassigned}', "");
Expect(1, 983037, '\p{Is_Present_In=	 unassigned}', "");
Expect(0, 983037, '\p{^Is_Present_In=	 unassigned}', "");
Expect(0, 983037, '\P{Is_Present_In=	 unassigned}', "");
Expect(1, 983037, '\P{^Is_Present_In=	 unassigned}', "");
Expect(0, 983040, '\p{Is_Present_In=	 unassigned}', "");
Expect(1, 983040, '\p{^Is_Present_In=	 unassigned}', "");
Expect(1, 983040, '\P{Is_Present_In=	 unassigned}', "");
Expect(0, 983040, '\P{^Is_Present_In=	 unassigned}', "");
Error('\p{Is_In:-:=UNASSIGNED}');
Error('\P{Is_In:-:=UNASSIGNED}');
Expect(1, 983037, '\p{Is_In=unassigned}', "");
Expect(0, 983037, '\p{^Is_In=unassigned}', "");
Expect(0, 983037, '\P{Is_In=unassigned}', "");
Expect(1, 983037, '\P{^Is_In=unassigned}', "");
Expect(0, 983040, '\p{Is_In=unassigned}', "");
Expect(1, 983040, '\p{^Is_In=unassigned}', "");
Expect(1, 983040, '\P{Is_In=unassigned}', "");
Expect(0, 983040, '\P{^Is_In=unassigned}', "");
Expect(1, 983037, '\p{Is_In=_Unassigned}', "");
Expect(0, 983037, '\p{^Is_In=_Unassigned}', "");
Expect(0, 983037, '\P{Is_In=_Unassigned}', "");
Expect(1, 983037, '\P{^Is_In=_Unassigned}', "");
Expect(0, 983040, '\p{Is_In=_Unassigned}', "");
Expect(1, 983040, '\p{^Is_In=_Unassigned}', "");
Expect(1, 983040, '\P{Is_In=_Unassigned}', "");
Expect(0, 983040, '\P{^Is_In=_Unassigned}', "");
Error('\p{Indic_Matra_Category=Bottom}');
Error('\P{Indic_Matra_Category=Bottom}');
Error('\p{InMC=Bottom}');
Error('\P{InMC=Bottom}');
Error('\p{Is_Indic_Matra_Category=Bottom}');
Error('\P{Is_Indic_Matra_Category=Bottom}');
Error('\p{Is_InMC=Bottom}');
Error('\P{Is_InMC=Bottom}');
Error('\p{Indic_Matra_Category:	Bottom_And_Right}');
Error('\P{Indic_Matra_Category:	Bottom_And_Right}');
Error('\p{InMC:Bottom_And_Right}');
Error('\P{InMC:Bottom_And_Right}');
Error('\p{Is_Indic_Matra_Category:Bottom_And_Right}');
Error('\P{Is_Indic_Matra_Category:Bottom_And_Right}');
Error('\p{Is_InMC=Bottom_And_Right}');
Error('\P{Is_InMC=Bottom_And_Right}');
Error('\p{Indic_Matra_Category:	Left}');
Error('\P{Indic_Matra_Category:	Left}');
Error('\p{InMC=Left}');
Error('\P{InMC=Left}');
Error('\p{Is_Indic_Matra_Category=Left}');
Error('\P{Is_Indic_Matra_Category=Left}');
Error('\p{Is_InMC=Left}');
Error('\P{Is_InMC=Left}');
Error('\p{Indic_Matra_Category: Left_And_Right}');
Error('\P{Indic_Matra_Category: Left_And_Right}');
Error('\p{InMC=Left_And_Right}');
Error('\P{InMC=Left_And_Right}');
Error('\p{Is_Indic_Matra_Category=Left_And_Right}');
Error('\P{Is_Indic_Matra_Category=Left_And_Right}');
Error('\p{Is_InMC=Left_And_Right}');
Error('\P{Is_InMC=Left_And_Right}');
Error('\p{Indic_Matra_Category=NA}');
Error('\P{Indic_Matra_Category=NA}');
Error('\p{InMC=NA}');
Error('\P{InMC=NA}');
Error('\p{Is_Indic_Matra_Category=NA}');
Error('\P{Is_Indic_Matra_Category=NA}');
Error('\p{Is_InMC=NA}');
Error('\P{Is_InMC=NA}');
Error('\p{Indic_Matra_Category=Overstruck}');
Error('\P{Indic_Matra_Category=Overstruck}');
Error('\p{InMC=Overstruck}');
Error('\P{InMC=Overstruck}');
Error('\p{Is_Indic_Matra_Category:	Overstruck}');
Error('\P{Is_Indic_Matra_Category:	Overstruck}');
Error('\p{Is_InMC=Overstruck}');
Error('\P{Is_InMC=Overstruck}');
Error('\p{Indic_Matra_Category=Right}');
Error('\P{Indic_Matra_Category=Right}');
Error('\p{InMC=Right}');
Error('\P{InMC=Right}');
Error('\p{Is_Indic_Matra_Category=Right}');
Error('\P{Is_Indic_Matra_Category=Right}');
Error('\p{Is_InMC=Right}');
Error('\P{Is_InMC=Right}');
Error('\p{Indic_Matra_Category=Top}');
Error('\P{Indic_Matra_Category=Top}');
Error('\p{InMC=Top}');
Error('\P{InMC=Top}');
Error('\p{Is_Indic_Matra_Category=Top}');
Error('\P{Is_Indic_Matra_Category=Top}');
Error('\p{Is_InMC=Top}');
Error('\P{Is_InMC=Top}');
Error('\p{Indic_Matra_Category=Top_And_Bottom}');
Error('\P{Indic_Matra_Category=Top_And_Bottom}');
Error('\p{InMC:   Top_And_Bottom}');
Error('\P{InMC:   Top_And_Bottom}');
Error('\p{Is_Indic_Matra_Category=Top_And_Bottom}');
Error('\P{Is_Indic_Matra_Category=Top_And_Bottom}');
Error('\p{Is_InMC=Top_And_Bottom}');
Error('\P{Is_InMC=Top_And_Bottom}');
Error('\p{Indic_Matra_Category:Top_And_Bottom_And_Right}');
Error('\P{Indic_Matra_Category:Top_And_Bottom_And_Right}');
Error('\p{InMC=Top_And_Bottom_And_Right}');
Error('\P{InMC=Top_And_Bottom_And_Right}');
Error('\p{Is_Indic_Matra_Category: Top_And_Bottom_And_Right}');
Error('\P{Is_Indic_Matra_Category: Top_And_Bottom_And_Right}');
Error('\p{Is_InMC:Top_And_Bottom_And_Right}');
Error('\P{Is_InMC:Top_And_Bottom_And_Right}');
Error('\p{Indic_Matra_Category=Top_And_Left}');
Error('\P{Indic_Matra_Category=Top_And_Left}');
Error('\p{InMC=Top_And_Left}');
Error('\P{InMC=Top_And_Left}');
Error('\p{Is_Indic_Matra_Category=Top_And_Left}');
Error('\P{Is_Indic_Matra_Category=Top_And_Left}');
Error('\p{Is_InMC=Top_And_Left}');
Error('\P{Is_InMC=Top_And_Left}');
Error('\p{Indic_Matra_Category=Top_And_Left_And_Right}');
Error('\P{Indic_Matra_Category=Top_And_Left_And_Right}');
Error('\p{InMC=Top_And_Left_And_Right}');
Error('\P{InMC=Top_And_Left_And_Right}');
Error('\p{Is_Indic_Matra_Category=Top_And_Left_And_Right}');
Error('\P{Is_Indic_Matra_Category=Top_And_Left_And_Right}');
Error('\p{Is_InMC:   Top_And_Left_And_Right}');
Error('\P{Is_InMC:   Top_And_Left_And_Right}');
Error('\p{Indic_Matra_Category=Top_And_Right}');
Error('\P{Indic_Matra_Category=Top_And_Right}');
Error('\p{InMC=Top_And_Right}');
Error('\P{InMC=Top_And_Right}');
Error('\p{Is_Indic_Matra_Category=Top_And_Right}');
Error('\P{Is_Indic_Matra_Category=Top_And_Right}');
Error('\p{Is_InMC=Top_And_Right}');
Error('\P{Is_InMC=Top_And_Right}');
Error('\p{Indic_Matra_Category=Visual_Order_Left}');
Error('\P{Indic_Matra_Category=Visual_Order_Left}');
Error('\p{InMC=Visual_Order_Left}');
Error('\P{InMC=Visual_Order_Left}');
Error('\p{Is_Indic_Matra_Category=Visual_Order_Left}');
Error('\P{Is_Indic_Matra_Category=Visual_Order_Left}');
Error('\p{Is_InMC=Visual_Order_Left}');
Error('\P{Is_InMC=Visual_Order_Left}');
Error('\p{Indic_Syllabic_Category=Avagraha}');
Error('\P{Indic_Syllabic_Category=Avagraha}');
Error('\p{InSC: Avagraha}');
Error('\P{InSC: Avagraha}');
Error('\p{Is_Indic_Syllabic_Category=Avagraha}');
Error('\P{Is_Indic_Syllabic_Category=Avagraha}');
Error('\p{Is_InSC=Avagraha}');
Error('\P{Is_InSC=Avagraha}');
Error('\p{Indic_Syllabic_Category=Bindu}');
Error('\P{Indic_Syllabic_Category=Bindu}');
Error('\p{InSC=Bindu}');
Error('\P{InSC=Bindu}');
Error('\p{Is_Indic_Syllabic_Category:Bindu}');
Error('\P{Is_Indic_Syllabic_Category:Bindu}');
Error('\p{Is_InSC=Bindu}');
Error('\P{Is_InSC=Bindu}');
Error('\p{Indic_Syllabic_Category=Brahmi_Joining_Number}');
Error('\P{Indic_Syllabic_Category=Brahmi_Joining_Number}');
Error('\p{InSC=Brahmi_Joining_Number}');
Error('\P{InSC=Brahmi_Joining_Number}');
Error('\p{Is_Indic_Syllabic_Category=Brahmi_Joining_Number}');
Error('\P{Is_Indic_Syllabic_Category=Brahmi_Joining_Number}');
Error('\p{Is_InSC=Brahmi_Joining_Number}');
Error('\P{Is_InSC=Brahmi_Joining_Number}');
Error('\p{Indic_Syllabic_Category:Cantillation_Mark}');
Error('\P{Indic_Syllabic_Category:Cantillation_Mark}');
Error('\p{InSC=Cantillation_Mark}');
Error('\P{InSC=Cantillation_Mark}');
Error('\p{Is_Indic_Syllabic_Category:   Cantillation_Mark}');
Error('\P{Is_Indic_Syllabic_Category:   Cantillation_Mark}');
Error('\p{Is_InSC=Cantillation_Mark}');
Error('\P{Is_InSC=Cantillation_Mark}');
Error('\p{Indic_Syllabic_Category=Consonant}');
Error('\P{Indic_Syllabic_Category=Consonant}');
Error('\p{InSC=Consonant}');
Error('\P{InSC=Consonant}');
Error('\p{Is_Indic_Syllabic_Category:Consonant}');
Error('\P{Is_Indic_Syllabic_Category:Consonant}');
Error('\p{Is_InSC=Consonant}');
Error('\P{Is_InSC=Consonant}');
Error('\p{Indic_Syllabic_Category:Consonant_Dead}');
Error('\P{Indic_Syllabic_Category:Consonant_Dead}');
Error('\p{InSC:	Consonant_Dead}');
Error('\P{InSC:	Consonant_Dead}');
Error('\p{Is_Indic_Syllabic_Category=Consonant_Dead}');
Error('\P{Is_Indic_Syllabic_Category=Consonant_Dead}');
Error('\p{Is_InSC=Consonant_Dead}');
Error('\P{Is_InSC=Consonant_Dead}');
Error('\p{Indic_Syllabic_Category=Consonant_Final}');
Error('\P{Indic_Syllabic_Category=Consonant_Final}');
Error('\p{InSC=Consonant_Final}');
Error('\P{InSC=Consonant_Final}');
Error('\p{Is_Indic_Syllabic_Category=Consonant_Final}');
Error('\P{Is_Indic_Syllabic_Category=Consonant_Final}');
Error('\p{Is_InSC=Consonant_Final}');
Error('\P{Is_InSC=Consonant_Final}');
Error('\p{Indic_Syllabic_Category=Consonant_Head_Letter}');
Error('\P{Indic_Syllabic_Category=Consonant_Head_Letter}');
Error('\p{InSC=Consonant_Head_Letter}');
Error('\P{InSC=Consonant_Head_Letter}');
Error('\p{Is_Indic_Syllabic_Category=Consonant_Head_Letter}');
Error('\P{Is_Indic_Syllabic_Category=Consonant_Head_Letter}');
Error('\p{Is_InSC=Consonant_Head_Letter}');
Error('\P{Is_InSC=Consonant_Head_Letter}');
Error('\p{Indic_Syllabic_Category=Consonant_Medial}');
Error('\P{Indic_Syllabic_Category=Consonant_Medial}');
Error('\p{InSC=Consonant_Medial}');
Error('\P{InSC=Consonant_Medial}');
Error('\p{Is_Indic_Syllabic_Category:   Consonant_Medial}');
Error('\P{Is_Indic_Syllabic_Category:   Consonant_Medial}');
Error('\p{Is_InSC=Consonant_Medial}');
Error('\P{Is_InSC=Consonant_Medial}');
Error('\p{Indic_Syllabic_Category=Consonant_Placeholder}');
Error('\P{Indic_Syllabic_Category=Consonant_Placeholder}');
Error('\p{InSC=Consonant_Placeholder}');
Error('\P{InSC=Consonant_Placeholder}');
Error('\p{Is_Indic_Syllabic_Category=Consonant_Placeholder}');
Error('\P{Is_Indic_Syllabic_Category=Consonant_Placeholder}');
Error('\p{Is_InSC=Consonant_Placeholder}');
Error('\P{Is_InSC=Consonant_Placeholder}');
Error('\p{Indic_Syllabic_Category=Consonant_Preceding_Repha}');
Error('\P{Indic_Syllabic_Category=Consonant_Preceding_Repha}');
Error('\p{InSC=Consonant_Preceding_Repha}');
Error('\P{InSC=Consonant_Preceding_Repha}');
Error('\p{Is_Indic_Syllabic_Category=Consonant_Preceding_Repha}');
Error('\P{Is_Indic_Syllabic_Category=Consonant_Preceding_Repha}');
Error('\p{Is_InSC=Consonant_Preceding_Repha}');
Error('\P{Is_InSC=Consonant_Preceding_Repha}');
Error('\p{Indic_Syllabic_Category=Consonant_Subjoined}');
Error('\P{Indic_Syllabic_Category=Consonant_Subjoined}');
Error('\p{InSC=Consonant_Subjoined}');
Error('\P{InSC=Consonant_Subjoined}');
Error('\p{Is_Indic_Syllabic_Category=Consonant_Subjoined}');
Error('\P{Is_Indic_Syllabic_Category=Consonant_Subjoined}');
Error('\p{Is_InSC=Consonant_Subjoined}');
Error('\P{Is_InSC=Consonant_Subjoined}');
Error('\p{Indic_Syllabic_Category=Consonant_Succeeding_Repha}');
Error('\P{Indic_Syllabic_Category=Consonant_Succeeding_Repha}');
Error('\p{InSC=Consonant_Succeeding_Repha}');
Error('\P{InSC=Consonant_Succeeding_Repha}');
Error('\p{Is_Indic_Syllabic_Category=Consonant_Succeeding_Repha}');
Error('\P{Is_Indic_Syllabic_Category=Consonant_Succeeding_Repha}');
Error('\p{Is_InSC=Consonant_Succeeding_Repha}');
Error('\P{Is_InSC=Consonant_Succeeding_Repha}');
Error('\p{Indic_Syllabic_Category=Gemination_Mark}');
Error('\P{Indic_Syllabic_Category=Gemination_Mark}');
Error('\p{InSC=Gemination_Mark}');
Error('\P{InSC=Gemination_Mark}');
Error('\p{Is_Indic_Syllabic_Category=Gemination_Mark}');
Error('\P{Is_Indic_Syllabic_Category=Gemination_Mark}');
Error('\p{Is_InSC=Gemination_Mark}');
Error('\P{Is_InSC=Gemination_Mark}');
Error('\p{Indic_Syllabic_Category=Invisible_Stacker}');
Error('\P{Indic_Syllabic_Category=Invisible_Stacker}');
Error('\p{InSC=Invisible_Stacker}');
Error('\P{InSC=Invisible_Stacker}');
Error('\p{Is_Indic_Syllabic_Category=Invisible_Stacker}');
Error('\P{Is_Indic_Syllabic_Category=Invisible_Stacker}');
Error('\p{Is_InSC=Invisible_Stacker}');
Error('\P{Is_InSC=Invisible_Stacker}');
Error('\p{Indic_Syllabic_Category=Joiner}');
Error('\P{Indic_Syllabic_Category=Joiner}');
Error('\p{InSC=Joiner}');
Error('\P{InSC=Joiner}');
Error('\p{Is_Indic_Syllabic_Category=Joiner}');
Error('\P{Is_Indic_Syllabic_Category=Joiner}');
Error('\p{Is_InSC=Joiner}');
Error('\P{Is_InSC=Joiner}');
Error('\p{Indic_Syllabic_Category: Modifying_Letter}');
Error('\P{Indic_Syllabic_Category: Modifying_Letter}');
Error('\p{InSC=Modifying_Letter}');
Error('\P{InSC=Modifying_Letter}');
Error('\p{Is_Indic_Syllabic_Category:   Modifying_Letter}');
Error('\P{Is_Indic_Syllabic_Category:   Modifying_Letter}');
Error('\p{Is_InSC=Modifying_Letter}');
Error('\P{Is_InSC=Modifying_Letter}');
Error('\p{Indic_Syllabic_Category=Non_Joiner}');
Error('\P{Indic_Syllabic_Category=Non_Joiner}');
Error('\p{InSC=Non_Joiner}');
Error('\P{InSC=Non_Joiner}');
Error('\p{Is_Indic_Syllabic_Category:Non_Joiner}');
Error('\P{Is_Indic_Syllabic_Category:Non_Joiner}');
Error('\p{Is_InSC=Non_Joiner}');
Error('\P{Is_InSC=Non_Joiner}');
Error('\p{Indic_Syllabic_Category=Nukta}');
Error('\P{Indic_Syllabic_Category=Nukta}');
Error('\p{InSC=Nukta}');
Error('\P{InSC=Nukta}');
Error('\p{Is_Indic_Syllabic_Category:	Nukta}');
Error('\P{Is_Indic_Syllabic_Category:	Nukta}');
Error('\p{Is_InSC=Nukta}');
Error('\P{Is_InSC=Nukta}');
Error('\p{Indic_Syllabic_Category:   Number}');
Error('\P{Indic_Syllabic_Category:   Number}');
Error('\p{InSC=Number}');
Error('\P{InSC=Number}');
Error('\p{Is_Indic_Syllabic_Category=Number}');
Error('\P{Is_Indic_Syllabic_Category=Number}');
Error('\p{Is_InSC=Number}');
Error('\P{Is_InSC=Number}');
Error('\p{Indic_Syllabic_Category:   Number_Joiner}');
Error('\P{Indic_Syllabic_Category:   Number_Joiner}');
Error('\p{InSC=Number_Joiner}');
Error('\P{InSC=Number_Joiner}');
Error('\p{Is_Indic_Syllabic_Category=Number_Joiner}');
Error('\P{Is_Indic_Syllabic_Category=Number_Joiner}');
Error('\p{Is_InSC=Number_Joiner}');
Error('\P{Is_InSC=Number_Joiner}');
Error('\p{Indic_Syllabic_Category=Other}');
Error('\P{Indic_Syllabic_Category=Other}');
Error('\p{InSC=Other}');
Error('\P{InSC=Other}');
Error('\p{Is_Indic_Syllabic_Category=Other}');
Error('\P{Is_Indic_Syllabic_Category=Other}');
Error('\p{Is_InSC=Other}');
Error('\P{Is_InSC=Other}');
Error('\p{Indic_Syllabic_Category=Pure_Killer}');
Error('\P{Indic_Syllabic_Category=Pure_Killer}');
Error('\p{InSC=Pure_Killer}');
Error('\P{InSC=Pure_Killer}');
Error('\p{Is_Indic_Syllabic_Category=Pure_Killer}');
Error('\P{Is_Indic_Syllabic_Category=Pure_Killer}');
Error('\p{Is_InSC=Pure_Killer}');
Error('\P{Is_InSC=Pure_Killer}');
Error('\p{Indic_Syllabic_Category=Register_Shifter}');
Error('\P{Indic_Syllabic_Category=Register_Shifter}');
Error('\p{InSC=Register_Shifter}');
Error('\P{InSC=Register_Shifter}');
Error('\p{Is_Indic_Syllabic_Category=Register_Shifter}');
Error('\P{Is_Indic_Syllabic_Category=Register_Shifter}');
Error('\p{Is_InSC=Register_Shifter}');
Error('\P{Is_InSC=Register_Shifter}');
Error('\p{Indic_Syllabic_Category=Tone_Letter}');
Error('\P{Indic_Syllabic_Category=Tone_Letter}');
Error('\p{InSC=Tone_Letter}');
Error('\P{InSC=Tone_Letter}');
Error('\p{Is_Indic_Syllabic_Category=Tone_Letter}');
Error('\P{Is_Indic_Syllabic_Category=Tone_Letter}');
Error('\p{Is_InSC=Tone_Letter}');
Error('\P{Is_InSC=Tone_Letter}');
Error('\p{Indic_Syllabic_Category=Tone_Mark}');
Error('\P{Indic_Syllabic_Category=Tone_Mark}');
Error('\p{InSC=Tone_Mark}');
Error('\P{InSC=Tone_Mark}');
Error('\p{Is_Indic_Syllabic_Category=Tone_Mark}');
Error('\P{Is_Indic_Syllabic_Category=Tone_Mark}');
Error('\p{Is_InSC=Tone_Mark}');
Error('\P{Is_InSC=Tone_Mark}');
Error('\p{Indic_Syllabic_Category:Virama}');
Error('\P{Indic_Syllabic_Category:Virama}');
Error('\p{InSC=Virama}');
Error('\P{InSC=Virama}');
Error('\p{Is_Indic_Syllabic_Category=Virama}');
Error('\P{Is_Indic_Syllabic_Category=Virama}');
Error('\p{Is_InSC=Virama}');
Error('\P{Is_InSC=Virama}');
Error('\p{Indic_Syllabic_Category=Visarga}');
Error('\P{Indic_Syllabic_Category=Visarga}');
Error('\p{InSC=Visarga}');
Error('\P{InSC=Visarga}');
Error('\p{Is_Indic_Syllabic_Category=Visarga}');
Error('\P{Is_Indic_Syllabic_Category=Visarga}');
Error('\p{Is_InSC=Visarga}');
Error('\P{Is_InSC=Visarga}');
Error('\p{Indic_Syllabic_Category=Vowel}');
Error('\P{Indic_Syllabic_Category=Vowel}');
Error('\p{InSC=Vowel}');
Error('\P{InSC=Vowel}');
Error('\p{Is_Indic_Syllabic_Category:   Vowel}');
Error('\P{Is_Indic_Syllabic_Category:   Vowel}');
Error('\p{Is_InSC=Vowel}');
Error('\P{Is_InSC=Vowel}');
Error('\p{Indic_Syllabic_Category=Vowel_Dependent}');
Error('\P{Indic_Syllabic_Category=Vowel_Dependent}');
Error('\p{InSC=Vowel_Dependent}');
Error('\P{InSC=Vowel_Dependent}');
Error('\p{Is_Indic_Syllabic_Category=Vowel_Dependent}');
Error('\P{Is_Indic_Syllabic_Category=Vowel_Dependent}');
Error('\p{Is_InSC=Vowel_Dependent}');
Error('\P{Is_InSC=Vowel_Dependent}');
Error('\p{Indic_Syllabic_Category=Vowel_Independent}');
Error('\P{Indic_Syllabic_Category=Vowel_Independent}');
Error('\p{InSC=Vowel_Independent}');
Error('\P{InSC=Vowel_Independent}');
Error('\p{Is_Indic_Syllabic_Category=Vowel_Independent}');
Error('\P{Is_Indic_Syllabic_Category=Vowel_Independent}');
Error('\p{Is_InSC=Vowel_Independent}');
Error('\P{Is_InSC=Vowel_Independent}');
Error('\p{Jamo_Short_Name=A}');
Error('\P{Jamo_Short_Name=A}');
Error('\p{JSN=A}');
Error('\P{JSN=A}');
Error('\p{Is_Jamo_Short_Name=A}');
Error('\P{Is_Jamo_Short_Name=A}');
Error('\p{Is_JSN=A}');
Error('\P{Is_JSN=A}');
Error('\p{Jamo_Short_Name=AE}');
Error('\P{Jamo_Short_Name=AE}');
Error('\p{JSN=AE}');
Error('\P{JSN=AE}');
Error('\p{Is_Jamo_Short_Name: AE}');
Error('\P{Is_Jamo_Short_Name: AE}');
Error('\p{Is_JSN=AE}');
Error('\P{Is_JSN=AE}');
Error('\p{Jamo_Short_Name=B}');
Error('\P{Jamo_Short_Name=B}');
Error('\p{JSN=B}');
Error('\P{JSN=B}');
Error('\p{Is_Jamo_Short_Name: B}');
Error('\P{Is_Jamo_Short_Name: B}');
Error('\p{Is_JSN:B}');
Error('\P{Is_JSN:B}');
Error('\p{Jamo_Short_Name=BB}');
Error('\P{Jamo_Short_Name=BB}');
Error('\p{JSN=BB}');
Error('\P{JSN=BB}');
Error('\p{Is_Jamo_Short_Name=BB}');
Error('\P{Is_Jamo_Short_Name=BB}');
Error('\p{Is_JSN=BB}');
Error('\P{Is_JSN=BB}');
Error('\p{Jamo_Short_Name=BS}');
Error('\P{Jamo_Short_Name=BS}');
Error('\p{JSN=BS}');
Error('\P{JSN=BS}');
Error('\p{Is_Jamo_Short_Name=BS}');
Error('\P{Is_Jamo_Short_Name=BS}');
Error('\p{Is_JSN=BS}');
Error('\P{Is_JSN=BS}');
Error('\p{Jamo_Short_Name=C}');
Error('\P{Jamo_Short_Name=C}');
Error('\p{JSN:   C}');
Error('\P{JSN:   C}');
Error('\p{Is_Jamo_Short_Name=C}');
Error('\P{Is_Jamo_Short_Name=C}');
Error('\p{Is_JSN=C}');
Error('\P{Is_JSN=C}');
Error('\p{Jamo_Short_Name=D}');
Error('\P{Jamo_Short_Name=D}');
Error('\p{JSN=D}');
Error('\P{JSN=D}');
Error('\p{Is_Jamo_Short_Name=D}');
Error('\P{Is_Jamo_Short_Name=D}');
Error('\p{Is_JSN=D}');
Error('\P{Is_JSN=D}');
Error('\p{Jamo_Short_Name=DD}');
Error('\P{Jamo_Short_Name=DD}');
Error('\p{JSN=DD}');
Error('\P{JSN=DD}');
Error('\p{Is_Jamo_Short_Name=DD}');
Error('\P{Is_Jamo_Short_Name=DD}');
Error('\p{Is_JSN=DD}');
Error('\P{Is_JSN=DD}');
Error('\p{Jamo_Short_Name=E}');
Error('\P{Jamo_Short_Name=E}');
Error('\p{JSN=E}');
Error('\P{JSN=E}');
Error('\p{Is_Jamo_Short_Name=E}');
Error('\P{Is_Jamo_Short_Name=E}');
Error('\p{Is_JSN=E}');
Error('\P{Is_JSN=E}');
Error('\p{Jamo_Short_Name=EO}');
Error('\P{Jamo_Short_Name=EO}');
Error('\p{JSN=EO}');
Error('\P{JSN=EO}');
Error('\p{Is_Jamo_Short_Name=EO}');
Error('\P{Is_Jamo_Short_Name=EO}');
Error('\p{Is_JSN=EO}');
Error('\P{Is_JSN=EO}');
Error('\p{Jamo_Short_Name=EU}');
Error('\P{Jamo_Short_Name=EU}');
Error('\p{JSN=EU}');
Error('\P{JSN=EU}');
Error('\p{Is_Jamo_Short_Name=EU}');
Error('\P{Is_Jamo_Short_Name=EU}');
Error('\p{Is_JSN=EU}');
Error('\P{Is_JSN=EU}');
Error('\p{Jamo_Short_Name=G}');
Error('\P{Jamo_Short_Name=G}');
Error('\p{JSN=G}');
Error('\P{JSN=G}');
Error('\p{Is_Jamo_Short_Name=G}');
Error('\P{Is_Jamo_Short_Name=G}');
Error('\p{Is_JSN=G}');
Error('\P{Is_JSN=G}');
Error('\p{Jamo_Short_Name:	GG}');
Error('\P{Jamo_Short_Name:	GG}');
Error('\p{JSN=GG}');
Error('\P{JSN=GG}');
Error('\p{Is_Jamo_Short_Name=GG}');
Error('\P{Is_Jamo_Short_Name=GG}');
Error('\p{Is_JSN=GG}');
Error('\P{Is_JSN=GG}');
Error('\p{Jamo_Short_Name=GS}');
Error('\P{Jamo_Short_Name=GS}');
Error('\p{JSN=GS}');
Error('\P{JSN=GS}');
Error('\p{Is_Jamo_Short_Name: GS}');
Error('\P{Is_Jamo_Short_Name: GS}');
Error('\p{Is_JSN=GS}');
Error('\P{Is_JSN=GS}');
Error('\p{Jamo_Short_Name=H}');
Error('\P{Jamo_Short_Name=H}');
Error('\p{JSN=H}');
Error('\P{JSN=H}');
Error('\p{Is_Jamo_Short_Name=H}');
Error('\P{Is_Jamo_Short_Name=H}');
Error('\p{Is_JSN=H}');
Error('\P{Is_JSN=H}');
Error('\p{Jamo_Short_Name=I}');
Error('\P{Jamo_Short_Name=I}');
Error('\p{JSN:I}');
Error('\P{JSN:I}');
Error('\p{Is_Jamo_Short_Name=I}');
Error('\P{Is_Jamo_Short_Name=I}');
Error('\p{Is_JSN=I}');
Error('\P{Is_JSN=I}');
Error('\p{Jamo_Short_Name=J}');
Error('\P{Jamo_Short_Name=J}');
Error('\p{JSN=J}');
Error('\P{JSN=J}');
Error('\p{Is_Jamo_Short_Name=J}');
Error('\P{Is_Jamo_Short_Name=J}');
Error('\p{Is_JSN: J}');
Error('\P{Is_JSN: J}');
Error('\p{Jamo_Short_Name=JJ}');
Error('\P{Jamo_Short_Name=JJ}');
Error('\p{JSN=JJ}');
Error('\P{JSN=JJ}');
Error('\p{Is_Jamo_Short_Name=JJ}');
Error('\P{Is_Jamo_Short_Name=JJ}');
Error('\p{Is_JSN=JJ}');
Error('\P{Is_JSN=JJ}');
Error('\p{Jamo_Short_Name=K}');
Error('\P{Jamo_Short_Name=K}');
Error('\p{JSN=K}');
Error('\P{JSN=K}');
Error('\p{Is_Jamo_Short_Name=K}');
Error('\P{Is_Jamo_Short_Name=K}');
Error('\p{Is_JSN=K}');
Error('\P{Is_JSN=K}');
Error('\p{Jamo_Short_Name: L}');
Error('\P{Jamo_Short_Name: L}');
Error('\p{JSN=L}');
Error('\P{JSN=L}');
Error('\p{Is_Jamo_Short_Name:   L}');
Error('\P{Is_Jamo_Short_Name:   L}');
Error('\p{Is_JSN=L}');
Error('\P{Is_JSN=L}');
Error('\p{Jamo_Short_Name=LB}');
Error('\P{Jamo_Short_Name=LB}');
Error('\p{JSN=LB}');
Error('\P{JSN=LB}');
Error('\p{Is_Jamo_Short_Name=LB}');
Error('\P{Is_Jamo_Short_Name=LB}');
Error('\p{Is_JSN:   LB}');
Error('\P{Is_JSN:   LB}');
Error('\p{Jamo_Short_Name=LG}');
Error('\P{Jamo_Short_Name=LG}');
Error('\p{JSN:   LG}');
Error('\P{JSN:   LG}');
Error('\p{Is_Jamo_Short_Name=LG}');
Error('\P{Is_Jamo_Short_Name=LG}');
Error('\p{Is_JSN=LG}');
Error('\P{Is_JSN=LG}');
Error('\p{Jamo_Short_Name=LH}');
Error('\P{Jamo_Short_Name=LH}');
Error('\p{JSN=LH}');
Error('\P{JSN=LH}');
Error('\p{Is_Jamo_Short_Name=LH}');
Error('\P{Is_Jamo_Short_Name=LH}');
Error('\p{Is_JSN=LH}');
Error('\P{Is_JSN=LH}');
Error('\p{Jamo_Short_Name:LM}');
Error('\P{Jamo_Short_Name:LM}');
Error('\p{JSN=LM}');
Error('\P{JSN=LM}');
Error('\p{Is_Jamo_Short_Name=LM}');
Error('\P{Is_Jamo_Short_Name=LM}');
Error('\p{Is_JSN=LM}');
Error('\P{Is_JSN=LM}');
Error('\p{Jamo_Short_Name=LP}');
Error('\P{Jamo_Short_Name=LP}');
Error('\p{JSN=LP}');
Error('\P{JSN=LP}');
Error('\p{Is_Jamo_Short_Name:	LP}');
Error('\P{Is_Jamo_Short_Name:	LP}');
Error('\p{Is_JSN=LP}');
Error('\P{Is_JSN=LP}');
Error('\p{Jamo_Short_Name=LS}');
Error('\P{Jamo_Short_Name=LS}');
Error('\p{JSN: LS}');
Error('\P{JSN: LS}');
Error('\p{Is_Jamo_Short_Name=LS}');
Error('\P{Is_Jamo_Short_Name=LS}');
Error('\p{Is_JSN=LS}');
Error('\P{Is_JSN=LS}');
Error('\p{Jamo_Short_Name=LT}');
Error('\P{Jamo_Short_Name=LT}');
Error('\p{JSN=LT}');
Error('\P{JSN=LT}');
Error('\p{Is_Jamo_Short_Name=LT}');
Error('\P{Is_Jamo_Short_Name=LT}');
Error('\p{Is_JSN=LT}');
Error('\P{Is_JSN=LT}');
Error('\p{Jamo_Short_Name=M}');
Error('\P{Jamo_Short_Name=M}');
Error('\p{JSN=M}');
Error('\P{JSN=M}');
Error('\p{Is_Jamo_Short_Name: M}');
Error('\P{Is_Jamo_Short_Name: M}');
Error('\p{Is_JSN=M}');
Error('\P{Is_JSN=M}');
Error('\p{Jamo_Short_Name=N}');
Error('\P{Jamo_Short_Name=N}');
Error('\p{JSN=N}');
Error('\P{JSN=N}');
Error('\p{Is_Jamo_Short_Name=N}');
Error('\P{Is_Jamo_Short_Name=N}');
Error('\p{Is_JSN=N}');
Error('\P{Is_JSN=N}');
Error('\p{Jamo_Short_Name=NG}');
Error('\P{Jamo_Short_Name=NG}');
Error('\p{JSN=NG}');
Error('\P{JSN=NG}');
Error('\p{Is_Jamo_Short_Name=NG}');
Error('\P{Is_Jamo_Short_Name=NG}');
Error('\p{Is_JSN=NG}');
Error('\P{Is_JSN=NG}');
Error('\p{Jamo_Short_Name=NH}');
Error('\P{Jamo_Short_Name=NH}');
Error('\p{JSN=NH}');
Error('\P{JSN=NH}');
Error('\p{Is_Jamo_Short_Name:   NH}');
Error('\P{Is_Jamo_Short_Name:   NH}');
Error('\p{Is_JSN=NH}');
Error('\P{Is_JSN=NH}');
Error('\p{Jamo_Short_Name=NJ}');
Error('\P{Jamo_Short_Name=NJ}');
Error('\p{JSN=NJ}');
Error('\P{JSN=NJ}');
Error('\p{Is_Jamo_Short_Name=NJ}');
Error('\P{Is_Jamo_Short_Name=NJ}');
Error('\p{Is_JSN=NJ}');
Error('\P{Is_JSN=NJ}');
Error('\p{Jamo_Short_Name=O}');
Error('\P{Jamo_Short_Name=O}');
Error('\p{JSN=O}');
Error('\P{JSN=O}');
Error('\p{Is_Jamo_Short_Name=O}');
Error('\P{Is_Jamo_Short_Name=O}');
Error('\p{Is_JSN=O}');
Error('\P{Is_JSN=O}');
Error('\p{Jamo_Short_Name=OE}');
Error('\P{Jamo_Short_Name=OE}');
Error('\p{JSN:   OE}');
Error('\P{JSN:   OE}');
Error('\p{Is_Jamo_Short_Name=OE}');
Error('\P{Is_Jamo_Short_Name=OE}');
Error('\p{Is_JSN=OE}');
Error('\P{Is_JSN=OE}');
Error('\p{Jamo_Short_Name=P}');
Error('\P{Jamo_Short_Name=P}');
Error('\p{JSN=P}');
Error('\P{JSN=P}');
Error('\p{Is_Jamo_Short_Name=P}');
Error('\P{Is_Jamo_Short_Name=P}');
Error('\p{Is_JSN: P}');
Error('\P{Is_JSN: P}');
Error('\p{Jamo_Short_Name=R}');
Error('\P{Jamo_Short_Name=R}');
Error('\p{JSN=R}');
Error('\P{JSN=R}');
Error('\p{Is_Jamo_Short_Name=R}');
Error('\P{Is_Jamo_Short_Name=R}');
Error('\p{Is_JSN=R}');
Error('\P{Is_JSN=R}');
Error('\p{Jamo_Short_Name=S}');
Error('\P{Jamo_Short_Name=S}');
Error('\p{JSN=S}');
Error('\P{JSN=S}');
Error('\p{Is_Jamo_Short_Name=S}');
Error('\P{Is_Jamo_Short_Name=S}');
Error('\p{Is_JSN=S}');
Error('\P{Is_JSN=S}');
Error('\p{Jamo_Short_Name=SS}');
Error('\P{Jamo_Short_Name=SS}');
Error('\p{JSN=SS}');
Error('\P{JSN=SS}');
Error('\p{Is_Jamo_Short_Name=SS}');
Error('\P{Is_Jamo_Short_Name=SS}');
Error('\p{Is_JSN:SS}');
Error('\P{Is_JSN:SS}');
Error('\p{Jamo_Short_Name=T}');
Error('\P{Jamo_Short_Name=T}');
Error('\p{JSN=T}');
Error('\P{JSN=T}');
Error('\p{Is_Jamo_Short_Name=T}');
Error('\P{Is_Jamo_Short_Name=T}');
Error('\p{Is_JSN=T}');
Error('\P{Is_JSN=T}');
Error('\p{Jamo_Short_Name=U}');
Error('\P{Jamo_Short_Name=U}');
Error('\p{JSN=U}');
Error('\P{JSN=U}');
Error('\p{Is_Jamo_Short_Name=U}');
Error('\P{Is_Jamo_Short_Name=U}');
Error('\p{Is_JSN=U}');
Error('\P{Is_JSN=U}');
Error('\p{Jamo_Short_Name=WA}');
Error('\P{Jamo_Short_Name=WA}');
Error('\p{JSN=WA}');
Error('\P{JSN=WA}');
Error('\p{Is_Jamo_Short_Name=WA}');
Error('\P{Is_Jamo_Short_Name=WA}');
Error('\p{Is_JSN=WA}');
Error('\P{Is_JSN=WA}');
Error('\p{Jamo_Short_Name=WAE}');
Error('\P{Jamo_Short_Name=WAE}');
Error('\p{JSN=WAE}');
Error('\P{JSN=WAE}');
Error('\p{Is_Jamo_Short_Name=WAE}');
Error('\P{Is_Jamo_Short_Name=WAE}');
Error('\p{Is_JSN=WAE}');
Error('\P{Is_JSN=WAE}');
Error('\p{Jamo_Short_Name=WE}');
Error('\P{Jamo_Short_Name=WE}');
Error('\p{JSN=WE}');
Error('\P{JSN=WE}');
Error('\p{Is_Jamo_Short_Name=WE}');
Error('\P{Is_Jamo_Short_Name=WE}');
Error('\p{Is_JSN=WE}');
Error('\P{Is_JSN=WE}');
Error('\p{Jamo_Short_Name: WEO}');
Error('\P{Jamo_Short_Name: WEO}');
Error('\p{JSN=WEO}');
Error('\P{JSN=WEO}');
Error('\p{Is_Jamo_Short_Name:WEO}');
Error('\P{Is_Jamo_Short_Name:WEO}');
Error('\p{Is_JSN:   WEO}');
Error('\P{Is_JSN:   WEO}');
Error('\p{Jamo_Short_Name=WI}');
Error('\P{Jamo_Short_Name=WI}');
Error('\p{JSN=WI}');
Error('\P{JSN=WI}');
Error('\p{Is_Jamo_Short_Name=WI}');
Error('\P{Is_Jamo_Short_Name=WI}');
Error('\p{Is_JSN=WI}');
Error('\P{Is_JSN=WI}');
Error('\p{Jamo_Short_Name: YA}');
Error('\P{Jamo_Short_Name: YA}');
Error('\p{JSN=YA}');
Error('\P{JSN=YA}');
Error('\p{Is_Jamo_Short_Name=YA}');
Error('\P{Is_Jamo_Short_Name=YA}');
Error('\p{Is_JSN=YA}');
Error('\P{Is_JSN=YA}');
Error('\p{Jamo_Short_Name=YAE}');
Error('\P{Jamo_Short_Name=YAE}');
Error('\p{JSN=YAE}');
Error('\P{JSN=YAE}');
Error('\p{Is_Jamo_Short_Name=YAE}');
Error('\P{Is_Jamo_Short_Name=YAE}');
Error('\p{Is_JSN=YAE}');
Error('\P{Is_JSN=YAE}');
Error('\p{Jamo_Short_Name=YE}');
Error('\P{Jamo_Short_Name=YE}');
Error('\p{JSN=YE}');
Error('\P{JSN=YE}');
Error('\p{Is_Jamo_Short_Name=YE}');
Error('\P{Is_Jamo_Short_Name=YE}');
Error('\p{Is_JSN=YE}');
Error('\P{Is_JSN=YE}');
Error('\p{Jamo_Short_Name=YEO}');
Error('\P{Jamo_Short_Name=YEO}');
Error('\p{JSN=YEO}');
Error('\P{JSN=YEO}');
Error('\p{Is_Jamo_Short_Name=YEO}');
Error('\P{Is_Jamo_Short_Name=YEO}');
Error('\p{Is_JSN=YEO}');
Error('\P{Is_JSN=YEO}');
Error('\p{Jamo_Short_Name=YI}');
Error('\P{Jamo_Short_Name=YI}');
Error('\p{JSN=YI}');
Error('\P{JSN=YI}');
Error('\p{Is_Jamo_Short_Name=YI}');
Error('\P{Is_Jamo_Short_Name=YI}');
Error('\p{Is_JSN=YI}');
Error('\P{Is_JSN=YI}');
Error('\p{Jamo_Short_Name=YO}');
Error('\P{Jamo_Short_Name=YO}');
Error('\p{JSN=YO}');
Error('\P{JSN=YO}');
Error('\p{Is_Jamo_Short_Name:	YO}');
Error('\P{Is_Jamo_Short_Name:	YO}');
Error('\p{Is_JSN=YO}');
Error('\P{Is_JSN=YO}');
Error('\p{Jamo_Short_Name=YU}');
Error('\P{Jamo_Short_Name=YU}');
Error('\p{JSN=YU}');
Error('\P{JSN=YU}');
Error('\p{Is_Jamo_Short_Name=YU}');
Error('\P{Is_Jamo_Short_Name=YU}');
Error('\p{Is_JSN=YU}');
Error('\P{Is_JSN=YU}');
Error('\p{Join_Control=/a/- NO}');
Error('\P{Join_Control=/a/- NO}');
Expect(1, 8206, '\p{Join_Control:no}', "");
Expect(0, 8206, '\p{^Join_Control:no}', "");
Expect(0, 8206, '\P{Join_Control:no}', "");
Expect(1, 8206, '\P{^Join_Control:no}', "");
Expect(0, 8205, '\p{Join_Control:no}', "");
Expect(1, 8205, '\p{^Join_Control:no}', "");
Expect(1, 8205, '\P{Join_Control:no}', "");
Expect(0, 8205, '\P{^Join_Control:no}', "");
Expect(1, 8206, '\p{Join_Control:--NO}', "");
Expect(0, 8206, '\p{^Join_Control:--NO}', "");
Expect(0, 8206, '\P{Join_Control:--NO}', "");
Expect(1, 8206, '\P{^Join_Control:--NO}', "");
Expect(0, 8205, '\p{Join_Control:--NO}', "");
Expect(1, 8205, '\p{^Join_Control:--NO}', "");
Expect(1, 8205, '\P{Join_Control:--NO}', "");
Expect(0, 8205, '\P{^Join_Control:--NO}', "");
Error('\p{Join_C=_/a/N}');
Error('\P{Join_C=_/a/N}');
Expect(1, 8206, '\p{Join_C=n}', "");
Expect(0, 8206, '\p{^Join_C=n}', "");
Expect(0, 8206, '\P{Join_C=n}', "");
Expect(1, 8206, '\P{^Join_C=n}', "");
Expect(0, 8205, '\p{Join_C=n}', "");
Expect(1, 8205, '\p{^Join_C=n}', "");
Expect(1, 8205, '\P{Join_C=n}', "");
Expect(0, 8205, '\P{^Join_C=n}', "");
Expect(1, 8206, '\p{Join_C=_n}', "");
Expect(0, 8206, '\p{^Join_C=_n}', "");
Expect(0, 8206, '\P{Join_C=_n}', "");
Expect(1, 8206, '\P{^Join_C=_n}', "");
Expect(0, 8205, '\p{Join_C=_n}', "");
Expect(1, 8205, '\p{^Join_C=_n}', "");
Expect(1, 8205, '\P{Join_C=_n}', "");
Expect(0, 8205, '\P{^Join_C=_n}', "");
Error('\p{Is_Join_Control=:= _F}');
Error('\P{Is_Join_Control=:= _F}');
Expect(1, 8206, '\p{Is_Join_Control=f}', "");
Expect(0, 8206, '\p{^Is_Join_Control=f}', "");
Expect(0, 8206, '\P{Is_Join_Control=f}', "");
Expect(1, 8206, '\P{^Is_Join_Control=f}', "");
Expect(0, 8205, '\p{Is_Join_Control=f}', "");
Expect(1, 8205, '\p{^Is_Join_Control=f}', "");
Expect(1, 8205, '\P{Is_Join_Control=f}', "");
Expect(0, 8205, '\P{^Is_Join_Control=f}', "");
Expect(1, 8206, '\p{Is_Join_Control=--F}', "");
Expect(0, 8206, '\p{^Is_Join_Control=--F}', "");
Expect(0, 8206, '\P{Is_Join_Control=--F}', "");
Expect(1, 8206, '\P{^Is_Join_Control=--F}', "");
Expect(0, 8205, '\p{Is_Join_Control=--F}', "");
Expect(1, 8205, '\p{^Is_Join_Control=--F}', "");
Expect(1, 8205, '\P{Is_Join_Control=--F}', "");
Expect(0, 8205, '\P{^Is_Join_Control=--F}', "");
Error('\p{Is_Join_C=:=  FALSE}');
Error('\P{Is_Join_C=:=  FALSE}');
Expect(1, 8206, '\p{Is_Join_C=false}', "");
Expect(0, 8206, '\p{^Is_Join_C=false}', "");
Expect(0, 8206, '\P{Is_Join_C=false}', "");
Expect(1, 8206, '\P{^Is_Join_C=false}', "");
Expect(0, 8205, '\p{Is_Join_C=false}', "");
Expect(1, 8205, '\p{^Is_Join_C=false}', "");
Expect(1, 8205, '\P{Is_Join_C=false}', "");
Expect(0, 8205, '\P{^Is_Join_C=false}', "");
Expect(1, 8206, '\p{Is_Join_C= -FALSE}', "");
Expect(0, 8206, '\p{^Is_Join_C= -FALSE}', "");
Expect(0, 8206, '\P{Is_Join_C= -FALSE}', "");
Expect(1, 8206, '\P{^Is_Join_C= -FALSE}', "");
Expect(0, 8205, '\p{Is_Join_C= -FALSE}', "");
Expect(1, 8205, '\p{^Is_Join_C= -FALSE}', "");
Expect(1, 8205, '\P{Is_Join_C= -FALSE}', "");
Expect(0, 8205, '\P{^Is_Join_C= -FALSE}', "");
Error('\p{Join_Control=-/a/yes}');
Error('\P{Join_Control=-/a/yes}');
Expect(1, 8205, '\p{Join_Control=yes}', "");
Expect(0, 8205, '\p{^Join_Control=yes}', "");
Expect(0, 8205, '\P{Join_Control=yes}', "");
Expect(1, 8205, '\P{^Join_Control=yes}', "");
Expect(0, 8206, '\p{Join_Control=yes}', "");
Expect(1, 8206, '\p{^Join_Control=yes}', "");
Expect(1, 8206, '\P{Join_Control=yes}', "");
Expect(0, 8206, '\P{^Join_Control=yes}', "");
Expect(1, 8205, '\p{Join_Control=-	Yes}', "");
Expect(0, 8205, '\p{^Join_Control=-	Yes}', "");
Expect(0, 8205, '\P{Join_Control=-	Yes}', "");
Expect(1, 8205, '\P{^Join_Control=-	Yes}', "");
Expect(0, 8206, '\p{Join_Control=-	Yes}', "");
Expect(1, 8206, '\p{^Join_Control=-	Yes}', "");
Expect(1, 8206, '\P{Join_Control=-	Yes}', "");
Expect(0, 8206, '\P{^Join_Control=-	Yes}', "");
Error('\p{Join_C=-Y:=}');
Error('\P{Join_C=-Y:=}');
Expect(1, 8205, '\p{Join_C:	y}', "");
Expect(0, 8205, '\p{^Join_C:	y}', "");
Expect(0, 8205, '\P{Join_C:	y}', "");
Expect(1, 8205, '\P{^Join_C:	y}', "");
Expect(0, 8206, '\p{Join_C:	y}', "");
Expect(1, 8206, '\p{^Join_C:	y}', "");
Expect(1, 8206, '\P{Join_C:	y}', "");
Expect(0, 8206, '\P{^Join_C:	y}', "");
Expect(1, 8205, '\p{Join_C=  y}', "");
Expect(0, 8205, '\p{^Join_C=  y}', "");
Expect(0, 8205, '\P{Join_C=  y}', "");
Expect(1, 8205, '\P{^Join_C=  y}', "");
Expect(0, 8206, '\p{Join_C=  y}', "");
Expect(1, 8206, '\p{^Join_C=  y}', "");
Expect(1, 8206, '\P{Join_C=  y}', "");
Expect(0, 8206, '\P{^Join_C=  y}', "");
Error('\p{Is_Join_Control=/a/ t}');
Error('\P{Is_Join_Control=/a/ t}');
Expect(1, 8205, '\p{Is_Join_Control=t}', "");
Expect(0, 8205, '\p{^Is_Join_Control=t}', "");
Expect(0, 8205, '\P{Is_Join_Control=t}', "");
Expect(1, 8205, '\P{^Is_Join_Control=t}', "");
Expect(0, 8206, '\p{Is_Join_Control=t}', "");
Expect(1, 8206, '\p{^Is_Join_Control=t}', "");
Expect(1, 8206, '\P{Is_Join_Control=t}', "");
Expect(0, 8206, '\P{^Is_Join_Control=t}', "");
Expect(1, 8205, '\p{Is_Join_Control= 	T}', "");
Expect(0, 8205, '\p{^Is_Join_Control= 	T}', "");
Expect(0, 8205, '\P{Is_Join_Control= 	T}', "");
Expect(1, 8205, '\P{^Is_Join_Control= 	T}', "");
Expect(0, 8206, '\p{Is_Join_Control= 	T}', "");
Expect(1, 8206, '\p{^Is_Join_Control= 	T}', "");
Expect(1, 8206, '\P{Is_Join_Control= 	T}', "");
Expect(0, 8206, '\P{^Is_Join_Control= 	T}', "");
Error('\p{Is_Join_C=/a/__TRUE}');
Error('\P{Is_Join_C=/a/__TRUE}');
Expect(1, 8205, '\p{Is_Join_C=true}', "");
Expect(0, 8205, '\p{^Is_Join_C=true}', "");
Expect(0, 8205, '\P{Is_Join_C=true}', "");
Expect(1, 8205, '\P{^Is_Join_C=true}', "");
Expect(0, 8206, '\p{Is_Join_C=true}', "");
Expect(1, 8206, '\p{^Is_Join_C=true}', "");
Expect(1, 8206, '\P{Is_Join_C=true}', "");
Expect(0, 8206, '\P{^Is_Join_C=true}', "");
Expect(1, 8205, '\p{Is_Join_C=-True}', "");
Expect(0, 8205, '\p{^Is_Join_C=-True}', "");
Expect(0, 8205, '\P{Is_Join_C=-True}', "");
Expect(1, 8205, '\P{^Is_Join_C=-True}', "");
Expect(0, 8206, '\p{Is_Join_C=-True}', "");
Expect(1, 8206, '\p{^Is_Join_C=-True}', "");
Expect(1, 8206, '\P{Is_Join_C=-True}', "");
Expect(0, 8206, '\P{^Is_Join_C=-True}', "");
Error('\p{Logical_Order_Exception= /a/no}');
Error('\P{Logical_Order_Exception= /a/no}');
Expect(1, 43709, '\p{Logical_Order_Exception=no}', "");
Expect(0, 43709, '\p{^Logical_Order_Exception=no}', "");
Expect(0, 43709, '\P{Logical_Order_Exception=no}', "");
Expect(1, 43709, '\P{^Logical_Order_Exception=no}', "");
Expect(0, 43708, '\p{Logical_Order_Exception=no}', "");
Expect(1, 43708, '\p{^Logical_Order_Exception=no}', "");
Expect(1, 43708, '\P{Logical_Order_Exception=no}', "");
Expect(0, 43708, '\P{^Logical_Order_Exception=no}', "");
Expect(1, 43709, '\p{Logical_Order_Exception=_-No}', "");
Expect(0, 43709, '\p{^Logical_Order_Exception=_-No}', "");
Expect(0, 43709, '\P{Logical_Order_Exception=_-No}', "");
Expect(1, 43709, '\P{^Logical_Order_Exception=_-No}', "");
Expect(0, 43708, '\p{Logical_Order_Exception=_-No}', "");
Expect(1, 43708, '\p{^Logical_Order_Exception=_-No}', "");
Expect(1, 43708, '\P{Logical_Order_Exception=_-No}', "");
Expect(0, 43708, '\P{^Logical_Order_Exception=_-No}', "");
Error('\p{LOE=__N/a/}');
Error('\P{LOE=__N/a/}');
Expect(1, 43709, '\p{LOE=n}', "");
Expect(0, 43709, '\p{^LOE=n}', "");
Expect(0, 43709, '\P{LOE=n}', "");
Expect(1, 43709, '\P{^LOE=n}', "");
Expect(0, 43708, '\p{LOE=n}', "");
Expect(1, 43708, '\p{^LOE=n}', "");
Expect(1, 43708, '\P{LOE=n}', "");
Expect(0, 43708, '\P{^LOE=n}', "");
Expect(1, 43709, '\p{LOE=_ N}', "");
Expect(0, 43709, '\p{^LOE=_ N}', "");
Expect(0, 43709, '\P{LOE=_ N}', "");
Expect(1, 43709, '\P{^LOE=_ N}', "");
Expect(0, 43708, '\p{LOE=_ N}', "");
Expect(1, 43708, '\p{^LOE=_ N}', "");
Expect(1, 43708, '\P{LOE=_ N}', "");
Expect(0, 43708, '\P{^LOE=_ N}', "");
Error('\p{Is_Logical_Order_Exception=:=-_F}');
Error('\P{Is_Logical_Order_Exception=:=-_F}');
Expect(1, 43709, '\p{Is_Logical_Order_Exception:f}', "");
Expect(0, 43709, '\p{^Is_Logical_Order_Exception:f}', "");
Expect(0, 43709, '\P{Is_Logical_Order_Exception:f}', "");
Expect(1, 43709, '\P{^Is_Logical_Order_Exception:f}', "");
Expect(0, 43708, '\p{Is_Logical_Order_Exception:f}', "");
Expect(1, 43708, '\p{^Is_Logical_Order_Exception:f}', "");
Expect(1, 43708, '\P{Is_Logical_Order_Exception:f}', "");
Expect(0, 43708, '\P{^Is_Logical_Order_Exception:f}', "");
Expect(1, 43709, '\p{Is_Logical_Order_Exception=		f}', "");
Expect(0, 43709, '\p{^Is_Logical_Order_Exception=		f}', "");
Expect(0, 43709, '\P{Is_Logical_Order_Exception=		f}', "");
Expect(1, 43709, '\P{^Is_Logical_Order_Exception=		f}', "");
Expect(0, 43708, '\p{Is_Logical_Order_Exception=		f}', "");
Expect(1, 43708, '\p{^Is_Logical_Order_Exception=		f}', "");
Expect(1, 43708, '\P{Is_Logical_Order_Exception=		f}', "");
Expect(0, 43708, '\P{^Is_Logical_Order_Exception=		f}', "");
Error('\p{Is_LOE= false/a/}');
Error('\P{Is_LOE= false/a/}');
Expect(1, 43709, '\p{Is_LOE: false}', "");
Expect(0, 43709, '\p{^Is_LOE: false}', "");
Expect(0, 43709, '\P{Is_LOE: false}', "");
Expect(1, 43709, '\P{^Is_LOE: false}', "");
Expect(0, 43708, '\p{Is_LOE: false}', "");
Expect(1, 43708, '\p{^Is_LOE: false}', "");
Expect(1, 43708, '\P{Is_LOE: false}', "");
Expect(0, 43708, '\P{^Is_LOE: false}', "");
Expect(1, 43709, '\p{Is_LOE=	 False}', "");
Expect(0, 43709, '\p{^Is_LOE=	 False}', "");
Expect(0, 43709, '\P{Is_LOE=	 False}', "");
Expect(1, 43709, '\P{^Is_LOE=	 False}', "");
Expect(0, 43708, '\p{Is_LOE=	 False}', "");
Expect(1, 43708, '\p{^Is_LOE=	 False}', "");
Expect(1, 43708, '\P{Is_LOE=	 False}', "");
Expect(0, 43708, '\P{^Is_LOE=	 False}', "");
Error('\p{Logical_Order_Exception=	-yes/a/}');
Error('\P{Logical_Order_Exception=	-yes/a/}');
Expect(1, 43708, '\p{Logical_Order_Exception=yes}', "");
Expect(0, 43708, '\p{^Logical_Order_Exception=yes}', "");
Expect(0, 43708, '\P{Logical_Order_Exception=yes}', "");
Expect(1, 43708, '\P{^Logical_Order_Exception=yes}', "");
Expect(0, 43709, '\p{Logical_Order_Exception=yes}', "");
Expect(1, 43709, '\p{^Logical_Order_Exception=yes}', "");
Expect(1, 43709, '\P{Logical_Order_Exception=yes}', "");
Expect(0, 43709, '\P{^Logical_Order_Exception=yes}', "");
Expect(1, 43708, '\p{Logical_Order_Exception=	-Yes}', "");
Expect(0, 43708, '\p{^Logical_Order_Exception=	-Yes}', "");
Expect(0, 43708, '\P{Logical_Order_Exception=	-Yes}', "");
Expect(1, 43708, '\P{^Logical_Order_Exception=	-Yes}', "");
Expect(0, 43709, '\p{Logical_Order_Exception=	-Yes}', "");
Expect(1, 43709, '\p{^Logical_Order_Exception=	-Yes}', "");
Expect(1, 43709, '\P{Logical_Order_Exception=	-Yes}', "");
Expect(0, 43709, '\P{^Logical_Order_Exception=	-Yes}', "");
Error('\p{LOE=	/a/Y}');
Error('\P{LOE=	/a/Y}');
Expect(1, 43708, '\p{LOE=y}', "");
Expect(0, 43708, '\p{^LOE=y}', "");
Expect(0, 43708, '\P{LOE=y}', "");
Expect(1, 43708, '\P{^LOE=y}', "");
Expect(0, 43709, '\p{LOE=y}', "");
Expect(1, 43709, '\p{^LOE=y}', "");
Expect(1, 43709, '\P{LOE=y}', "");
Expect(0, 43709, '\P{^LOE=y}', "");
Expect(1, 43708, '\p{LOE=		Y}', "");
Expect(0, 43708, '\p{^LOE=		Y}', "");
Expect(0, 43708, '\P{LOE=		Y}', "");
Expect(1, 43708, '\P{^LOE=		Y}', "");
Expect(0, 43709, '\p{LOE=		Y}', "");
Expect(1, 43709, '\p{^LOE=		Y}', "");
Expect(1, 43709, '\P{LOE=		Y}', "");
Expect(0, 43709, '\P{^LOE=		Y}', "");
Error('\p{Is_Logical_Order_Exception=-/a/T}');
Error('\P{Is_Logical_Order_Exception=-/a/T}');
Expect(1, 43708, '\p{Is_Logical_Order_Exception=t}', "");
Expect(0, 43708, '\p{^Is_Logical_Order_Exception=t}', "");
Expect(0, 43708, '\P{Is_Logical_Order_Exception=t}', "");
Expect(1, 43708, '\P{^Is_Logical_Order_Exception=t}', "");
Expect(0, 43709, '\p{Is_Logical_Order_Exception=t}', "");
Expect(1, 43709, '\p{^Is_Logical_Order_Exception=t}', "");
Expect(1, 43709, '\P{Is_Logical_Order_Exception=t}', "");
Expect(0, 43709, '\P{^Is_Logical_Order_Exception=t}', "");
Expect(1, 43708, '\p{Is_Logical_Order_Exception=_T}', "");
Expect(0, 43708, '\p{^Is_Logical_Order_Exception=_T}', "");
Expect(0, 43708, '\P{Is_Logical_Order_Exception=_T}', "");
Expect(1, 43708, '\P{^Is_Logical_Order_Exception=_T}', "");
Expect(0, 43709, '\p{Is_Logical_Order_Exception=_T}', "");
Expect(1, 43709, '\p{^Is_Logical_Order_Exception=_T}', "");
Expect(1, 43709, '\P{Is_Logical_Order_Exception=_T}', "");
Expect(0, 43709, '\P{^Is_Logical_Order_Exception=_T}', "");
Error('\p{Is_LOE=_/a/True}');
Error('\P{Is_LOE=_/a/True}');
Expect(1, 43708, '\p{Is_LOE=true}', "");
Expect(0, 43708, '\p{^Is_LOE=true}', "");
Expect(0, 43708, '\P{Is_LOE=true}', "");
Expect(1, 43708, '\P{^Is_LOE=true}', "");
Expect(0, 43709, '\p{Is_LOE=true}', "");
Expect(1, 43709, '\p{^Is_LOE=true}', "");
Expect(1, 43709, '\P{Is_LOE=true}', "");
Expect(0, 43709, '\P{^Is_LOE=true}', "");
Expect(1, 43708, '\p{Is_LOE=		TRUE}', "");
Expect(0, 43708, '\p{^Is_LOE=		TRUE}', "");
Expect(0, 43708, '\P{Is_LOE=		TRUE}', "");
Expect(1, 43708, '\P{^Is_LOE=		TRUE}', "");
Expect(0, 43709, '\p{Is_LOE=		TRUE}', "");
Expect(1, 43709, '\p{^Is_LOE=		TRUE}', "");
Expect(1, 43709, '\P{Is_LOE=		TRUE}', "");
Expect(0, 43709, '\P{^Is_LOE=		TRUE}', "");
Error('\p{Lowercase=--NO:=}');
Error('\P{Lowercase=--NO:=}');
Expect(1, 120780, '\p{Lowercase=no}', "");
Expect(0, 120780, '\p{^Lowercase=no}', "");
Expect(0, 120780, '\P{Lowercase=no}', "");
Expect(1, 120780, '\P{^Lowercase=no}', "");
Expect(0, 120779, '\p{Lowercase=no}', "");
Expect(1, 120779, '\p{^Lowercase=no}', "");
Expect(1, 120779, '\P{Lowercase=no}', "");
Expect(0, 120779, '\P{^Lowercase=no}', "");
Expect(1, 120780, '\p{Lowercase:		no}', "");
Expect(0, 120780, '\p{^Lowercase:		no}', "");
Expect(0, 120780, '\P{Lowercase:		no}', "");
Expect(1, 120780, '\P{^Lowercase:		no}', "");
Expect(0, 120779, '\p{Lowercase:		no}', "");
Expect(1, 120779, '\p{^Lowercase:		no}', "");
Expect(1, 120779, '\P{Lowercase:		no}', "");
Expect(0, 120779, '\P{^Lowercase:		no}', "");
Error('\p{Lower=		N:=}');
Error('\P{Lower=		N:=}');
Expect(1, 120780, '\p{Lower=n}', "");
Expect(0, 120780, '\p{^Lower=n}', "");
Expect(0, 120780, '\P{Lower=n}', "");
Expect(1, 120780, '\P{^Lower=n}', "");
Expect(0, 120779, '\p{Lower=n}', "");
Expect(1, 120779, '\p{^Lower=n}', "");
Expect(1, 120779, '\P{Lower=n}', "");
Expect(0, 120779, '\P{^Lower=n}', "");
Expect(1, 120780, '\p{Lower= N}', "");
Expect(0, 120780, '\p{^Lower= N}', "");
Expect(0, 120780, '\P{Lower= N}', "");
Expect(1, 120780, '\P{^Lower= N}', "");
Expect(0, 120779, '\p{Lower= N}', "");
Expect(1, 120779, '\p{^Lower= N}', "");
Expect(1, 120779, '\P{Lower= N}', "");
Expect(0, 120779, '\P{^Lower= N}', "");
Error('\p{Is_Lowercase=_/a/F}');
Error('\P{Is_Lowercase=_/a/F}');
Expect(1, 120780, '\p{Is_Lowercase=f}', "");
Expect(0, 120780, '\p{^Is_Lowercase=f}', "");
Expect(0, 120780, '\P{Is_Lowercase=f}', "");
Expect(1, 120780, '\P{^Is_Lowercase=f}', "");
Expect(0, 120779, '\p{Is_Lowercase=f}', "");
Expect(1, 120779, '\p{^Is_Lowercase=f}', "");
Expect(1, 120779, '\P{Is_Lowercase=f}', "");
Expect(0, 120779, '\P{^Is_Lowercase=f}', "");
Expect(1, 120780, '\p{Is_Lowercase= -F}', "");
Expect(0, 120780, '\p{^Is_Lowercase= -F}', "");
Expect(0, 120780, '\P{Is_Lowercase= -F}', "");
Expect(1, 120780, '\P{^Is_Lowercase= -F}', "");
Expect(0, 120779, '\p{Is_Lowercase= -F}', "");
Expect(1, 120779, '\p{^Is_Lowercase= -F}', "");
Expect(1, 120779, '\P{Is_Lowercase= -F}', "");
Expect(0, 120779, '\P{^Is_Lowercase= -F}', "");
Error('\p{Is_Lower=__False/a/}');
Error('\P{Is_Lower=__False/a/}');
Expect(1, 120780, '\p{Is_Lower=false}', "");
Expect(0, 120780, '\p{^Is_Lower=false}', "");
Expect(0, 120780, '\P{Is_Lower=false}', "");
Expect(1, 120780, '\P{^Is_Lower=false}', "");
Expect(0, 120779, '\p{Is_Lower=false}', "");
Expect(1, 120779, '\p{^Is_Lower=false}', "");
Expect(1, 120779, '\P{Is_Lower=false}', "");
Expect(0, 120779, '\P{^Is_Lower=false}', "");
Expect(1, 120780, '\p{Is_Lower= false}', "");
Expect(0, 120780, '\p{^Is_Lower= false}', "");
Expect(0, 120780, '\P{Is_Lower= false}', "");
Expect(1, 120780, '\P{^Is_Lower= false}', "");
Expect(0, 120779, '\p{Is_Lower= false}', "");
Expect(1, 120779, '\p{^Is_Lower= false}', "");
Expect(1, 120779, '\P{Is_Lower= false}', "");
Expect(0, 120779, '\P{^Is_Lower= false}', "");
Error('\p{Lowercase=-	Yes/a/}');
Error('\P{Lowercase=-	Yes/a/}');
Expect(1, 120779, '\p{Lowercase:yes}', "");
Expect(0, 120779, '\p{^Lowercase:yes}', "");
Expect(0, 120779, '\P{Lowercase:yes}', "");
Expect(1, 120779, '\P{^Lowercase:yes}', "");
Expect(0, 120780, '\p{Lowercase:yes}', "");
Expect(1, 120780, '\p{^Lowercase:yes}', "");
Expect(1, 120780, '\P{Lowercase:yes}', "");
Expect(0, 120780, '\P{^Lowercase:yes}', "");
Expect(1, 120779, '\p{Lowercase=  Yes}', "");
Expect(0, 120779, '\p{^Lowercase=  Yes}', "");
Expect(0, 120779, '\P{Lowercase=  Yes}', "");
Expect(1, 120779, '\P{^Lowercase=  Yes}', "");
Expect(0, 120780, '\p{Lowercase=  Yes}', "");
Expect(1, 120780, '\p{^Lowercase=  Yes}', "");
Expect(1, 120780, '\P{Lowercase=  Yes}', "");
Expect(0, 120780, '\P{^Lowercase=  Yes}', "");
Error('\p{Lower=-:=Y}');
Error('\P{Lower=-:=Y}');
Expect(1, 120779, '\p{Lower=y}', "");
Expect(0, 120779, '\p{^Lower=y}', "");
Expect(0, 120779, '\P{Lower=y}', "");
Expect(1, 120779, '\P{^Lower=y}', "");
Expect(0, 120780, '\p{Lower=y}', "");
Expect(1, 120780, '\p{^Lower=y}', "");
Expect(1, 120780, '\P{Lower=y}', "");
Expect(0, 120780, '\P{^Lower=y}', "");
Expect(1, 120779, '\p{Lower= Y}', "");
Expect(0, 120779, '\p{^Lower= Y}', "");
Expect(0, 120779, '\P{Lower= Y}', "");
Expect(1, 120779, '\P{^Lower= Y}', "");
Expect(0, 120780, '\p{Lower= Y}', "");
Expect(1, 120780, '\p{^Lower= Y}', "");
Expect(1, 120780, '\P{Lower= Y}', "");
Expect(0, 120780, '\P{^Lower= Y}', "");
Error('\p{Is_Lowercase=:=__T}');
Error('\P{Is_Lowercase=:=__T}');
Expect(1, 120779, '\p{Is_Lowercase: t}', "");
Expect(0, 120779, '\p{^Is_Lowercase: t}', "");
Expect(0, 120779, '\P{Is_Lowercase: t}', "");
Expect(1, 120779, '\P{^Is_Lowercase: t}', "");
Expect(0, 120780, '\p{Is_Lowercase: t}', "");
Expect(1, 120780, '\p{^Is_Lowercase: t}', "");
Expect(1, 120780, '\P{Is_Lowercase: t}', "");
Expect(0, 120780, '\P{^Is_Lowercase: t}', "");
Expect(1, 120779, '\p{Is_Lowercase=_ T}', "");
Expect(0, 120779, '\p{^Is_Lowercase=_ T}', "");
Expect(0, 120779, '\P{Is_Lowercase=_ T}', "");
Expect(1, 120779, '\P{^Is_Lowercase=_ T}', "");
Expect(0, 120780, '\p{Is_Lowercase=_ T}', "");
Expect(1, 120780, '\p{^Is_Lowercase=_ T}', "");
Expect(1, 120780, '\P{Is_Lowercase=_ T}', "");
Expect(0, 120780, '\P{^Is_Lowercase=_ T}', "");
Error('\p{Is_Lower= /a/true}');
Error('\P{Is_Lower= /a/true}');
Expect(1, 120779, '\p{Is_Lower=true}', "");
Expect(0, 120779, '\p{^Is_Lower=true}', "");
Expect(0, 120779, '\P{Is_Lower=true}', "");
Expect(1, 120779, '\P{^Is_Lower=true}', "");
Expect(0, 120780, '\p{Is_Lower=true}', "");
Expect(1, 120780, '\p{^Is_Lower=true}', "");
Expect(1, 120780, '\P{Is_Lower=true}', "");
Expect(0, 120780, '\P{^Is_Lower=true}', "");
Expect(1, 120779, '\p{Is_Lower= True}', "");
Expect(0, 120779, '\p{^Is_Lower= True}', "");
Expect(0, 120779, '\P{Is_Lower= True}', "");
Expect(1, 120779, '\P{^Is_Lower= True}', "");
Expect(0, 120780, '\p{Is_Lower= True}', "");
Expect(1, 120780, '\p{^Is_Lower= True}', "");
Expect(1, 120780, '\P{Is_Lower= True}', "");
Expect(0, 120780, '\P{^Is_Lower= True}', "");
Error('\p{Math=	 no:=}');
Error('\P{Math=	 no:=}');
Expect(1, 126706, '\p{Math=no}', "");
Expect(0, 126706, '\p{^Math=no}', "");
Expect(0, 126706, '\P{Math=no}', "");
Expect(1, 126706, '\P{^Math=no}', "");
Expect(0, 126705, '\p{Math=no}', "");
Expect(1, 126705, '\p{^Math=no}', "");
Expect(1, 126705, '\P{Math=no}', "");
Expect(0, 126705, '\P{^Math=no}', "");
Expect(1, 126706, '\p{Math=-NO}', "");
Expect(0, 126706, '\p{^Math=-NO}', "");
Expect(0, 126706, '\P{Math=-NO}', "");
Expect(1, 126706, '\P{^Math=-NO}', "");
Expect(0, 126705, '\p{Math=-NO}', "");
Expect(1, 126705, '\p{^Math=-NO}', "");
Expect(1, 126705, '\P{Math=-NO}', "");
Expect(0, 126705, '\P{^Math=-NO}', "");
Error('\p{Is_Math=  N/a/}');
Error('\P{Is_Math=  N/a/}');
Expect(1, 126706, '\p{Is_Math=n}', "");
Expect(0, 126706, '\p{^Is_Math=n}', "");
Expect(0, 126706, '\P{Is_Math=n}', "");
Expect(1, 126706, '\P{^Is_Math=n}', "");
Expect(0, 126705, '\p{Is_Math=n}', "");
Expect(1, 126705, '\p{^Is_Math=n}', "");
Expect(1, 126705, '\P{Is_Math=n}', "");
Expect(0, 126705, '\P{^Is_Math=n}', "");
Expect(1, 126706, '\p{Is_Math=__N}', "");
Expect(0, 126706, '\p{^Is_Math=__N}', "");
Expect(0, 126706, '\P{Is_Math=__N}', "");
Expect(1, 126706, '\P{^Is_Math=__N}', "");
Expect(0, 126705, '\p{Is_Math=__N}', "");
Expect(1, 126705, '\p{^Is_Math=__N}', "");
Expect(1, 126705, '\P{Is_Math=__N}', "");
Expect(0, 126705, '\P{^Is_Math=__N}', "");
Error('\p{Math=/a/ 	F}');
Error('\P{Math=/a/ 	F}');
Expect(1, 126706, '\p{Math=f}', "");
Expect(0, 126706, '\p{^Math=f}', "");
Expect(0, 126706, '\P{Math=f}', "");
Expect(1, 126706, '\P{^Math=f}', "");
Expect(0, 126705, '\p{Math=f}', "");
Expect(1, 126705, '\p{^Math=f}', "");
Expect(1, 126705, '\P{Math=f}', "");
Expect(0, 126705, '\P{^Math=f}', "");
Expect(1, 126706, '\p{Math=	_f}', "");
Expect(0, 126706, '\p{^Math=	_f}', "");
Expect(0, 126706, '\P{Math=	_f}', "");
Expect(1, 126706, '\P{^Math=	_f}', "");
Expect(0, 126705, '\p{Math=	_f}', "");
Expect(1, 126705, '\p{^Math=	_f}', "");
Expect(1, 126705, '\P{Math=	_f}', "");
Expect(0, 126705, '\P{^Math=	_f}', "");
Error('\p{Is_Math=-/a/FALSE}');
Error('\P{Is_Math=-/a/FALSE}');
Expect(1, 126706, '\p{Is_Math=false}', "");
Expect(0, 126706, '\p{^Is_Math=false}', "");
Expect(0, 126706, '\P{Is_Math=false}', "");
Expect(1, 126706, '\P{^Is_Math=false}', "");
Expect(0, 126705, '\p{Is_Math=false}', "");
Expect(1, 126705, '\p{^Is_Math=false}', "");
Expect(1, 126705, '\P{Is_Math=false}', "");
Expect(0, 126705, '\P{^Is_Math=false}', "");
Expect(1, 126706, '\p{Is_Math:__FALSE}', "");
Expect(0, 126706, '\p{^Is_Math:__FALSE}', "");
Expect(0, 126706, '\P{Is_Math:__FALSE}', "");
Expect(1, 126706, '\P{^Is_Math:__FALSE}', "");
Expect(0, 126705, '\p{Is_Math:__FALSE}', "");
Expect(1, 126705, '\p{^Is_Math:__FALSE}', "");
Expect(1, 126705, '\P{Is_Math:__FALSE}', "");
Expect(0, 126705, '\P{^Is_Math:__FALSE}', "");
Error('\p{Math:  _Yes/a/}');
Error('\P{Math:  _Yes/a/}');
Expect(1, 126705, '\p{Math=yes}', "");
Expect(0, 126705, '\p{^Math=yes}', "");
Expect(0, 126705, '\P{Math=yes}', "");
Expect(1, 126705, '\P{^Math=yes}', "");
Expect(0, 126706, '\p{Math=yes}', "");
Expect(1, 126706, '\p{^Math=yes}', "");
Expect(1, 126706, '\P{Math=yes}', "");
Expect(0, 126706, '\P{^Math=yes}', "");
Expect(1, 126705, '\p{Math=_	Yes}', "");
Expect(0, 126705, '\p{^Math=_	Yes}', "");
Expect(0, 126705, '\P{Math=_	Yes}', "");
Expect(1, 126705, '\P{^Math=_	Yes}', "");
Expect(0, 126706, '\p{Math=_	Yes}', "");
Expect(1, 126706, '\p{^Math=_	Yes}', "");
Expect(1, 126706, '\P{Math=_	Yes}', "");
Expect(0, 126706, '\P{^Math=_	Yes}', "");
Error('\p{Is_Math=:=y}');
Error('\P{Is_Math=:=y}');
Expect(1, 126705, '\p{Is_Math=y}', "");
Expect(0, 126705, '\p{^Is_Math=y}', "");
Expect(0, 126705, '\P{Is_Math=y}', "");
Expect(1, 126705, '\P{^Is_Math=y}', "");
Expect(0, 126706, '\p{Is_Math=y}', "");
Expect(1, 126706, '\p{^Is_Math=y}', "");
Expect(1, 126706, '\P{Is_Math=y}', "");
Expect(0, 126706, '\P{^Is_Math=y}', "");
Expect(1, 126705, '\p{Is_Math=	Y}', "");
Expect(0, 126705, '\p{^Is_Math=	Y}', "");
Expect(0, 126705, '\P{Is_Math=	Y}', "");
Expect(1, 126705, '\P{^Is_Math=	Y}', "");
Expect(0, 126706, '\p{Is_Math=	Y}', "");
Expect(1, 126706, '\p{^Is_Math=	Y}', "");
Expect(1, 126706, '\P{Is_Math=	Y}', "");
Expect(0, 126706, '\P{^Is_Math=	Y}', "");
Error('\p{Math= _T:=}');
Error('\P{Math= _T:=}');
Expect(1, 126705, '\p{Math=t}', "");
Expect(0, 126705, '\p{^Math=t}', "");
Expect(0, 126705, '\P{Math=t}', "");
Expect(1, 126705, '\P{^Math=t}', "");
Expect(0, 126706, '\p{Math=t}', "");
Expect(1, 126706, '\p{^Math=t}', "");
Expect(1, 126706, '\P{Math=t}', "");
Expect(0, 126706, '\P{^Math=t}', "");
Expect(1, 126705, '\p{Math=_	T}', "");
Expect(0, 126705, '\p{^Math=_	T}', "");
Expect(0, 126705, '\P{Math=_	T}', "");
Expect(1, 126705, '\P{^Math=_	T}', "");
Expect(0, 126706, '\p{Math=_	T}', "");
Expect(1, 126706, '\p{^Math=_	T}', "");
Expect(1, 126706, '\P{Math=_	T}', "");
Expect(0, 126706, '\P{^Math=_	T}', "");
Error('\p{Is_Math=	:=True}');
Error('\P{Is_Math=	:=True}');
Expect(1, 126705, '\p{Is_Math=true}', "");
Expect(0, 126705, '\p{^Is_Math=true}', "");
Expect(0, 126705, '\P{Is_Math=true}', "");
Expect(1, 126705, '\P{^Is_Math=true}', "");
Expect(0, 126706, '\p{Is_Math=true}', "");
Expect(1, 126706, '\p{^Is_Math=true}', "");
Expect(1, 126706, '\P{Is_Math=true}', "");
Expect(0, 126706, '\P{^Is_Math=true}', "");
Expect(1, 126705, '\p{Is_Math=-TRUE}', "");
Expect(0, 126705, '\p{^Is_Math=-TRUE}', "");
Expect(0, 126705, '\P{Is_Math=-TRUE}', "");
Expect(1, 126705, '\P{^Is_Math=-TRUE}', "");
Expect(0, 126706, '\p{Is_Math=-TRUE}', "");
Expect(1, 126706, '\p{^Is_Math=-TRUE}', "");
Expect(1, 126706, '\P{Is_Math=-TRUE}', "");
Expect(0, 126706, '\P{^Is_Math=-TRUE}', "");
Error('\p{Noncharacter_Code_Point=:=-	NO}');
Error('\P{Noncharacter_Code_Point=:=-	NO}');
Expect(1, 1114109, '\p{Noncharacter_Code_Point=no}', "");
Expect(0, 1114109, '\p{^Noncharacter_Code_Point=no}', "");
Expect(0, 1114109, '\P{Noncharacter_Code_Point=no}', "");
Expect(1, 1114109, '\P{^Noncharacter_Code_Point=no}', "");
Expect(0, 1114111, '\p{Noncharacter_Code_Point=no}', "");
Expect(1, 1114111, '\p{^Noncharacter_Code_Point=no}', "");
Expect(1, 1114111, '\P{Noncharacter_Code_Point=no}', "");
Expect(0, 1114111, '\P{^Noncharacter_Code_Point=no}', "");
Expect(1, 1114109, '\p{Noncharacter_Code_Point= _No}', "");
Expect(0, 1114109, '\p{^Noncharacter_Code_Point= _No}', "");
Expect(0, 1114109, '\P{Noncharacter_Code_Point= _No}', "");
Expect(1, 1114109, '\P{^Noncharacter_Code_Point= _No}', "");
Expect(0, 1114111, '\p{Noncharacter_Code_Point= _No}', "");
Expect(1, 1114111, '\p{^Noncharacter_Code_Point= _No}', "");
Expect(1, 1114111, '\P{Noncharacter_Code_Point= _No}', "");
Expect(0, 1114111, '\P{^Noncharacter_Code_Point= _No}', "");
Error('\p{NChar=-_N:=}');
Error('\P{NChar=-_N:=}');
Expect(1, 1114109, '\p{NChar:	n}', "");
Expect(0, 1114109, '\p{^NChar:	n}', "");
Expect(0, 1114109, '\P{NChar:	n}', "");
Expect(1, 1114109, '\P{^NChar:	n}', "");
Expect(0, 1114111, '\p{NChar:	n}', "");
Expect(1, 1114111, '\p{^NChar:	n}', "");
Expect(1, 1114111, '\P{NChar:	n}', "");
Expect(0, 1114111, '\P{^NChar:	n}', "");
Expect(1, 1114109, '\p{NChar=_	N}', "");
Expect(0, 1114109, '\p{^NChar=_	N}', "");
Expect(0, 1114109, '\P{NChar=_	N}', "");
Expect(1, 1114109, '\P{^NChar=_	N}', "");
Expect(0, 1114111, '\p{NChar=_	N}', "");
Expect(1, 1114111, '\p{^NChar=_	N}', "");
Expect(1, 1114111, '\P{NChar=_	N}', "");
Expect(0, 1114111, '\P{^NChar=_	N}', "");
Error('\p{Is_Noncharacter_Code_Point=:= -F}');
Error('\P{Is_Noncharacter_Code_Point=:= -F}');
Expect(1, 1114109, '\p{Is_Noncharacter_Code_Point=f}', "");
Expect(0, 1114109, '\p{^Is_Noncharacter_Code_Point=f}', "");
Expect(0, 1114109, '\P{Is_Noncharacter_Code_Point=f}', "");
Expect(1, 1114109, '\P{^Is_Noncharacter_Code_Point=f}', "");
Expect(0, 1114111, '\p{Is_Noncharacter_Code_Point=f}', "");
Expect(1, 1114111, '\p{^Is_Noncharacter_Code_Point=f}', "");
Expect(1, 1114111, '\P{Is_Noncharacter_Code_Point=f}', "");
Expect(0, 1114111, '\P{^Is_Noncharacter_Code_Point=f}', "");
Expect(1, 1114109, '\p{Is_Noncharacter_Code_Point=-_f}', "");
Expect(0, 1114109, '\p{^Is_Noncharacter_Code_Point=-_f}', "");
Expect(0, 1114109, '\P{Is_Noncharacter_Code_Point=-_f}', "");
Expect(1, 1114109, '\P{^Is_Noncharacter_Code_Point=-_f}', "");
Expect(0, 1114111, '\p{Is_Noncharacter_Code_Point=-_f}', "");
Expect(1, 1114111, '\p{^Is_Noncharacter_Code_Point=-_f}', "");
Expect(1, 1114111, '\P{Is_Noncharacter_Code_Point=-_f}', "");
Expect(0, 1114111, '\P{^Is_Noncharacter_Code_Point=-_f}', "");
Error('\p{Is_NChar=	:=False}');
Error('\P{Is_NChar=	:=False}');
Expect(1, 1114109, '\p{Is_NChar=false}', "");
Expect(0, 1114109, '\p{^Is_NChar=false}', "");
Expect(0, 1114109, '\P{Is_NChar=false}', "");
Expect(1, 1114109, '\P{^Is_NChar=false}', "");
Expect(0, 1114111, '\p{Is_NChar=false}', "");
Expect(1, 1114111, '\p{^Is_NChar=false}', "");
Expect(1, 1114111, '\P{Is_NChar=false}', "");
Expect(0, 1114111, '\P{^Is_NChar=false}', "");
Expect(1, 1114109, '\p{Is_NChar=-FALSE}', "");
Expect(0, 1114109, '\p{^Is_NChar=-FALSE}', "");
Expect(0, 1114109, '\P{Is_NChar=-FALSE}', "");
Expect(1, 1114109, '\P{^Is_NChar=-FALSE}', "");
Expect(0, 1114111, '\p{Is_NChar=-FALSE}', "");
Expect(1, 1114111, '\p{^Is_NChar=-FALSE}', "");
Expect(1, 1114111, '\P{Is_NChar=-FALSE}', "");
Expect(0, 1114111, '\P{^Is_NChar=-FALSE}', "");
Error('\p{Noncharacter_Code_Point=YES/a/}');
Error('\P{Noncharacter_Code_Point=YES/a/}');
Expect(1, 1114111, '\p{Noncharacter_Code_Point=yes}', "");
Expect(0, 1114111, '\p{^Noncharacter_Code_Point=yes}', "");
Expect(0, 1114111, '\P{Noncharacter_Code_Point=yes}', "");
Expect(1, 1114111, '\P{^Noncharacter_Code_Point=yes}', "");
Expect(0, 1114109, '\p{Noncharacter_Code_Point=yes}', "");
Expect(1, 1114109, '\p{^Noncharacter_Code_Point=yes}', "");
Expect(1, 1114109, '\P{Noncharacter_Code_Point=yes}', "");
Expect(0, 1114109, '\P{^Noncharacter_Code_Point=yes}', "");
Expect(1, 1114111, '\p{Noncharacter_Code_Point=Yes}', "");
Expect(0, 1114111, '\p{^Noncharacter_Code_Point=Yes}', "");
Expect(0, 1114111, '\P{Noncharacter_Code_Point=Yes}', "");
Expect(1, 1114111, '\P{^Noncharacter_Code_Point=Yes}', "");
Expect(0, 1114109, '\p{Noncharacter_Code_Point=Yes}', "");
Expect(1, 1114109, '\p{^Noncharacter_Code_Point=Yes}', "");
Expect(1, 1114109, '\P{Noncharacter_Code_Point=Yes}', "");
Expect(0, 1114109, '\P{^Noncharacter_Code_Point=Yes}', "");
Error('\p{NChar=-/a/Y}');
Error('\P{NChar=-/a/Y}');
Expect(1, 1114111, '\p{NChar=y}', "");
Expect(0, 1114111, '\p{^NChar=y}', "");
Expect(0, 1114111, '\P{NChar=y}', "");
Expect(1, 1114111, '\P{^NChar=y}', "");
Expect(0, 1114109, '\p{NChar=y}', "");
Expect(1, 1114109, '\p{^NChar=y}', "");
Expect(1, 1114109, '\P{NChar=y}', "");
Expect(0, 1114109, '\P{^NChar=y}', "");
Expect(1, 1114111, '\p{NChar=- y}', "");
Expect(0, 1114111, '\p{^NChar=- y}', "");
Expect(0, 1114111, '\P{NChar=- y}', "");
Expect(1, 1114111, '\P{^NChar=- y}', "");
Expect(0, 1114109, '\p{NChar=- y}', "");
Expect(1, 1114109, '\p{^NChar=- y}', "");
Expect(1, 1114109, '\P{NChar=- y}', "");
Expect(0, 1114109, '\P{^NChar=- y}', "");
Error('\p{Is_Noncharacter_Code_Point=:=t}');
Error('\P{Is_Noncharacter_Code_Point=:=t}');
Expect(1, 1114111, '\p{Is_Noncharacter_Code_Point=t}', "");
Expect(0, 1114111, '\p{^Is_Noncharacter_Code_Point=t}', "");
Expect(0, 1114111, '\P{Is_Noncharacter_Code_Point=t}', "");
Expect(1, 1114111, '\P{^Is_Noncharacter_Code_Point=t}', "");
Expect(0, 1114109, '\p{Is_Noncharacter_Code_Point=t}', "");
Expect(1, 1114109, '\p{^Is_Noncharacter_Code_Point=t}', "");
Expect(1, 1114109, '\P{Is_Noncharacter_Code_Point=t}', "");
Expect(0, 1114109, '\P{^Is_Noncharacter_Code_Point=t}', "");
Expect(1, 1114111, '\p{Is_Noncharacter_Code_Point=	T}', "");
Expect(0, 1114111, '\p{^Is_Noncharacter_Code_Point=	T}', "");
Expect(0, 1114111, '\P{Is_Noncharacter_Code_Point=	T}', "");
Expect(1, 1114111, '\P{^Is_Noncharacter_Code_Point=	T}', "");
Expect(0, 1114109, '\p{Is_Noncharacter_Code_Point=	T}', "");
Expect(1, 1114109, '\p{^Is_Noncharacter_Code_Point=	T}', "");
Expect(1, 1114109, '\P{Is_Noncharacter_Code_Point=	T}', "");
Expect(0, 1114109, '\P{^Is_Noncharacter_Code_Point=	T}', "");
Error('\p{Is_NChar:   :=_	True}');
Error('\P{Is_NChar:   :=_	True}');
Expect(1, 1114111, '\p{Is_NChar:	true}', "");
Expect(0, 1114111, '\p{^Is_NChar:	true}', "");
Expect(0, 1114111, '\P{Is_NChar:	true}', "");
Expect(1, 1114111, '\P{^Is_NChar:	true}', "");
Expect(0, 1114109, '\p{Is_NChar:	true}', "");
Expect(1, 1114109, '\p{^Is_NChar:	true}', "");
Expect(1, 1114109, '\P{Is_NChar:	true}', "");
Expect(0, 1114109, '\P{^Is_NChar:	true}', "");
Expect(1, 1114111, '\p{Is_NChar=	 TRUE}', "");
Expect(0, 1114111, '\p{^Is_NChar=	 TRUE}', "");
Expect(0, 1114111, '\P{Is_NChar=	 TRUE}', "");
Expect(1, 1114111, '\P{^Is_NChar=	 TRUE}', "");
Expect(0, 1114109, '\p{Is_NChar=	 TRUE}', "");
Expect(1, 1114109, '\p{^Is_NChar=	 TRUE}', "");
Expect(1, 1114109, '\P{Is_NChar=	 TRUE}', "");
Expect(0, 1114109, '\P{^Is_NChar=	 TRUE}', "");
Error('\p{NFC_Quick_Check=/a/-Maybe}');
Error('\P{NFC_Quick_Check=/a/-Maybe}');
Expect(1, 71087, '\p{NFC_Quick_Check=maybe}', "");
Expect(0, 71087, '\p{^NFC_Quick_Check=maybe}', "");
Expect(0, 71087, '\P{NFC_Quick_Check=maybe}', "");
Expect(1, 71087, '\P{^NFC_Quick_Check=maybe}', "");
Expect(0, 71088, '\p{NFC_Quick_Check=maybe}', "");
Expect(1, 71088, '\p{^NFC_Quick_Check=maybe}', "");
Expect(1, 71088, '\P{NFC_Quick_Check=maybe}', "");
Expect(0, 71088, '\P{^NFC_Quick_Check=maybe}', "");
Expect(1, 71087, '\p{NFC_Quick_Check=-maybe}', "");
Expect(0, 71087, '\p{^NFC_Quick_Check=-maybe}', "");
Expect(0, 71087, '\P{NFC_Quick_Check=-maybe}', "");
Expect(1, 71087, '\P{^NFC_Quick_Check=-maybe}', "");
Expect(0, 71088, '\p{NFC_Quick_Check=-maybe}', "");
Expect(1, 71088, '\p{^NFC_Quick_Check=-maybe}', "");
Expect(1, 71088, '\P{NFC_Quick_Check=-maybe}', "");
Expect(0, 71088, '\P{^NFC_Quick_Check=-maybe}', "");
Error('\p{NFC_QC=_:=M}');
Error('\P{NFC_QC=_:=M}');
Expect(1, 71087, '\p{NFC_QC=m}', "");
Expect(0, 71087, '\p{^NFC_QC=m}', "");
Expect(0, 71087, '\P{NFC_QC=m}', "");
Expect(1, 71087, '\P{^NFC_QC=m}', "");
Expect(0, 71088, '\p{NFC_QC=m}', "");
Expect(1, 71088, '\p{^NFC_QC=m}', "");
Expect(1, 71088, '\P{NFC_QC=m}', "");
Expect(0, 71088, '\P{^NFC_QC=m}', "");
Expect(1, 71087, '\p{NFC_QC: M}', "");
Expect(0, 71087, '\p{^NFC_QC: M}', "");
Expect(0, 71087, '\P{NFC_QC: M}', "");
Expect(1, 71087, '\P{^NFC_QC: M}', "");
Expect(0, 71088, '\p{NFC_QC: M}', "");
Expect(1, 71088, '\p{^NFC_QC: M}', "");
Expect(1, 71088, '\P{NFC_QC: M}', "");
Expect(0, 71088, '\P{^NFC_QC: M}', "");
Error('\p{Is_NFC_Quick_Check=:=	Maybe}');
Error('\P{Is_NFC_Quick_Check=:=	Maybe}');
Expect(1, 71087, '\p{Is_NFC_Quick_Check=maybe}', "");
Expect(0, 71087, '\p{^Is_NFC_Quick_Check=maybe}', "");
Expect(0, 71087, '\P{Is_NFC_Quick_Check=maybe}', "");
Expect(1, 71087, '\P{^Is_NFC_Quick_Check=maybe}', "");
Expect(0, 71088, '\p{Is_NFC_Quick_Check=maybe}', "");
Expect(1, 71088, '\p{^Is_NFC_Quick_Check=maybe}', "");
Expect(1, 71088, '\P{Is_NFC_Quick_Check=maybe}', "");
Expect(0, 71088, '\P{^Is_NFC_Quick_Check=maybe}', "");
Expect(1, 71087, '\p{Is_NFC_Quick_Check=_maybe}', "");
Expect(0, 71087, '\p{^Is_NFC_Quick_Check=_maybe}', "");
Expect(0, 71087, '\P{Is_NFC_Quick_Check=_maybe}', "");
Expect(1, 71087, '\P{^Is_NFC_Quick_Check=_maybe}', "");
Expect(0, 71088, '\p{Is_NFC_Quick_Check=_maybe}', "");
Expect(1, 71088, '\p{^Is_NFC_Quick_Check=_maybe}', "");
Expect(1, 71088, '\P{Is_NFC_Quick_Check=_maybe}', "");
Expect(0, 71088, '\P{^Is_NFC_Quick_Check=_maybe}', "");
Error('\p{Is_NFC_QC=/a/_M}');
Error('\P{Is_NFC_QC=/a/_M}');
Expect(1, 71087, '\p{Is_NFC_QC=m}', "");
Expect(0, 71087, '\p{^Is_NFC_QC=m}', "");
Expect(0, 71087, '\P{Is_NFC_QC=m}', "");
Expect(1, 71087, '\P{^Is_NFC_QC=m}', "");
Expect(0, 71088, '\p{Is_NFC_QC=m}', "");
Expect(1, 71088, '\p{^Is_NFC_QC=m}', "");
Expect(1, 71088, '\P{Is_NFC_QC=m}', "");
Expect(0, 71088, '\P{^Is_NFC_QC=m}', "");
Expect(1, 71087, '\p{Is_NFC_QC=- M}', "");
Expect(0, 71087, '\p{^Is_NFC_QC=- M}', "");
Expect(0, 71087, '\P{Is_NFC_QC=- M}', "");
Expect(1, 71087, '\P{^Is_NFC_QC=- M}', "");
Expect(0, 71088, '\p{Is_NFC_QC=- M}', "");
Expect(1, 71088, '\p{^Is_NFC_QC=- M}', "");
Expect(1, 71088, '\P{Is_NFC_QC=- M}', "");
Expect(0, 71088, '\P{^Is_NFC_QC=- M}', "");
Error('\p{NFC_Quick_Check=-No:=}');
Error('\P{NFC_Quick_Check=-No:=}');
Expect(1, 195101, '\p{NFC_Quick_Check=no}', "");
Expect(0, 195101, '\p{^NFC_Quick_Check=no}', "");
Expect(0, 195101, '\P{NFC_Quick_Check=no}', "");
Expect(1, 195101, '\P{^NFC_Quick_Check=no}', "");
Expect(0, 195102, '\p{NFC_Quick_Check=no}', "");
Expect(1, 195102, '\p{^NFC_Quick_Check=no}', "");
Expect(1, 195102, '\P{NFC_Quick_Check=no}', "");
Expect(0, 195102, '\P{^NFC_Quick_Check=no}', "");
Expect(1, 195101, '\p{NFC_Quick_Check:  No}', "");
Expect(0, 195101, '\p{^NFC_Quick_Check:  No}', "");
Expect(0, 195101, '\P{NFC_Quick_Check:  No}', "");
Expect(1, 195101, '\P{^NFC_Quick_Check:  No}', "");
Expect(0, 195102, '\p{NFC_Quick_Check:  No}', "");
Expect(1, 195102, '\p{^NFC_Quick_Check:  No}', "");
Expect(1, 195102, '\P{NFC_Quick_Check:  No}', "");
Expect(0, 195102, '\P{^NFC_Quick_Check:  No}', "");
Error('\p{NFC_QC=:= 	n}');
Error('\P{NFC_QC=:= 	n}');
Expect(1, 195101, '\p{NFC_QC=n}', "");
Expect(0, 195101, '\p{^NFC_QC=n}', "");
Expect(0, 195101, '\P{NFC_QC=n}', "");
Expect(1, 195101, '\P{^NFC_QC=n}', "");
Expect(0, 195102, '\p{NFC_QC=n}', "");
Expect(1, 195102, '\p{^NFC_QC=n}', "");
Expect(1, 195102, '\P{NFC_QC=n}', "");
Expect(0, 195102, '\P{^NFC_QC=n}', "");
Expect(1, 195101, '\p{NFC_QC=--N}', "");
Expect(0, 195101, '\p{^NFC_QC=--N}', "");
Expect(0, 195101, '\P{NFC_QC=--N}', "");
Expect(1, 195101, '\P{^NFC_QC=--N}', "");
Expect(0, 195102, '\p{NFC_QC=--N}', "");
Expect(1, 195102, '\p{^NFC_QC=--N}', "");
Expect(1, 195102, '\P{NFC_QC=--N}', "");
Expect(0, 195102, '\P{^NFC_QC=--N}', "");
Error('\p{Is_NFC_Quick_Check=	no:=}');
Error('\P{Is_NFC_Quick_Check=	no:=}');
Expect(1, 195101, '\p{Is_NFC_Quick_Check=no}', "");
Expect(0, 195101, '\p{^Is_NFC_Quick_Check=no}', "");
Expect(0, 195101, '\P{Is_NFC_Quick_Check=no}', "");
Expect(1, 195101, '\P{^Is_NFC_Quick_Check=no}', "");
Expect(0, 195102, '\p{Is_NFC_Quick_Check=no}', "");
Expect(1, 195102, '\p{^Is_NFC_Quick_Check=no}', "");
Expect(1, 195102, '\P{Is_NFC_Quick_Check=no}', "");
Expect(0, 195102, '\P{^Is_NFC_Quick_Check=no}', "");
Expect(1, 195101, '\p{Is_NFC_Quick_Check=--No}', "");
Expect(0, 195101, '\p{^Is_NFC_Quick_Check=--No}', "");
Expect(0, 195101, '\P{Is_NFC_Quick_Check=--No}', "");
Expect(1, 195101, '\P{^Is_NFC_Quick_Check=--No}', "");
Expect(0, 195102, '\p{Is_NFC_Quick_Check=--No}', "");
Expect(1, 195102, '\p{^Is_NFC_Quick_Check=--No}', "");
Expect(1, 195102, '\P{Is_NFC_Quick_Check=--No}', "");
Expect(0, 195102, '\P{^Is_NFC_Quick_Check=--No}', "");
Error('\p{Is_NFC_QC=_-N:=}');
Error('\P{Is_NFC_QC=_-N:=}');
Expect(1, 195101, '\p{Is_NFC_QC=n}', "");
Expect(0, 195101, '\p{^Is_NFC_QC=n}', "");
Expect(0, 195101, '\P{Is_NFC_QC=n}', "");
Expect(1, 195101, '\P{^Is_NFC_QC=n}', "");
Expect(0, 195102, '\p{Is_NFC_QC=n}', "");
Expect(1, 195102, '\p{^Is_NFC_QC=n}', "");
Expect(1, 195102, '\P{Is_NFC_QC=n}', "");
Expect(0, 195102, '\P{^Is_NFC_QC=n}', "");
Expect(1, 195101, '\p{Is_NFC_QC=	-N}', "");
Expect(0, 195101, '\p{^Is_NFC_QC=	-N}', "");
Expect(0, 195101, '\P{Is_NFC_QC=	-N}', "");
Expect(1, 195101, '\P{^Is_NFC_QC=	-N}', "");
Expect(0, 195102, '\p{Is_NFC_QC=	-N}', "");
Expect(1, 195102, '\p{^Is_NFC_QC=	-N}', "");
Expect(1, 195102, '\P{Is_NFC_QC=	-N}', "");
Expect(0, 195102, '\P{^Is_NFC_QC=	-N}', "");
Error('\p{NFC_Quick_Check=- Yes:=}');
Error('\P{NFC_Quick_Check=- Yes:=}');
Expect(1, 195102, '\p{NFC_Quick_Check=yes}', "");
Expect(0, 195102, '\p{^NFC_Quick_Check=yes}', "");
Expect(0, 195102, '\P{NFC_Quick_Check=yes}', "");
Expect(1, 195102, '\P{^NFC_Quick_Check=yes}', "");
Expect(0, 195101, '\p{NFC_Quick_Check=yes}', "");
Expect(1, 195101, '\p{^NFC_Quick_Check=yes}', "");
Expect(1, 195101, '\P{NFC_Quick_Check=yes}', "");
Expect(0, 195101, '\P{^NFC_Quick_Check=yes}', "");
Expect(1, 195102, '\p{NFC_Quick_Check=_Yes}', "");
Expect(0, 195102, '\p{^NFC_Quick_Check=_Yes}', "");
Expect(0, 195102, '\P{NFC_Quick_Check=_Yes}', "");
Expect(1, 195102, '\P{^NFC_Quick_Check=_Yes}', "");
Expect(0, 195101, '\p{NFC_Quick_Check=_Yes}', "");
Expect(1, 195101, '\p{^NFC_Quick_Check=_Yes}', "");
Expect(1, 195101, '\P{NFC_Quick_Check=_Yes}', "");
Expect(0, 195101, '\P{^NFC_Quick_Check=_Yes}', "");
Error('\p{NFC_QC=:=-	Y}');
Error('\P{NFC_QC=:=-	Y}');
Expect(1, 195102, '\p{NFC_QC:   y}', "");
Expect(0, 195102, '\p{^NFC_QC:   y}', "");
Expect(0, 195102, '\P{NFC_QC:   y}', "");
Expect(1, 195102, '\P{^NFC_QC:   y}', "");
Expect(0, 195101, '\p{NFC_QC:   y}', "");
Expect(1, 195101, '\p{^NFC_QC:   y}', "");
Expect(1, 195101, '\P{NFC_QC:   y}', "");
Expect(0, 195101, '\P{^NFC_QC:   y}', "");
Expect(1, 195102, '\p{NFC_QC=	Y}', "");
Expect(0, 195102, '\p{^NFC_QC=	Y}', "");
Expect(0, 195102, '\P{NFC_QC=	Y}', "");
Expect(1, 195102, '\P{^NFC_QC=	Y}', "");
Expect(0, 195101, '\p{NFC_QC=	Y}', "");
Expect(1, 195101, '\p{^NFC_QC=	Y}', "");
Expect(1, 195101, '\P{NFC_QC=	Y}', "");
Expect(0, 195101, '\P{^NFC_QC=	Y}', "");
Error('\p{Is_NFC_Quick_Check=:=--Yes}');
Error('\P{Is_NFC_Quick_Check=:=--Yes}');
Expect(1, 195102, '\p{Is_NFC_Quick_Check:yes}', "");
Expect(0, 195102, '\p{^Is_NFC_Quick_Check:yes}', "");
Expect(0, 195102, '\P{Is_NFC_Quick_Check:yes}', "");
Expect(1, 195102, '\P{^Is_NFC_Quick_Check:yes}', "");
Expect(0, 195101, '\p{Is_NFC_Quick_Check:yes}', "");
Expect(1, 195101, '\p{^Is_NFC_Quick_Check:yes}', "");
Expect(1, 195101, '\P{Is_NFC_Quick_Check:yes}', "");
Expect(0, 195101, '\P{^Is_NFC_Quick_Check:yes}', "");
Expect(1, 195102, '\p{Is_NFC_Quick_Check=YES}', "");
Expect(0, 195102, '\p{^Is_NFC_Quick_Check=YES}', "");
Expect(0, 195102, '\P{Is_NFC_Quick_Check=YES}', "");
Expect(1, 195102, '\P{^Is_NFC_Quick_Check=YES}', "");
Expect(0, 195101, '\p{Is_NFC_Quick_Check=YES}', "");
Expect(1, 195101, '\p{^Is_NFC_Quick_Check=YES}', "");
Expect(1, 195101, '\P{Is_NFC_Quick_Check=YES}', "");
Expect(0, 195101, '\P{^Is_NFC_Quick_Check=YES}', "");
Error('\p{Is_NFC_QC=/a/Y}');
Error('\P{Is_NFC_QC=/a/Y}');
Expect(1, 195102, '\p{Is_NFC_QC:	y}', "");
Expect(0, 195102, '\p{^Is_NFC_QC:	y}', "");
Expect(0, 195102, '\P{Is_NFC_QC:	y}', "");
Expect(1, 195102, '\P{^Is_NFC_QC:	y}', "");
Expect(0, 195101, '\p{Is_NFC_QC:	y}', "");
Expect(1, 195101, '\p{^Is_NFC_QC:	y}', "");
Expect(1, 195101, '\P{Is_NFC_QC:	y}', "");
Expect(0, 195101, '\P{^Is_NFC_QC:	y}', "");
Expect(1, 195102, '\p{Is_NFC_QC=_ Y}', "");
Expect(0, 195102, '\p{^Is_NFC_QC=_ Y}', "");
Expect(0, 195102, '\P{Is_NFC_QC=_ Y}', "");
Expect(1, 195102, '\P{^Is_NFC_QC=_ Y}', "");
Expect(0, 195101, '\p{Is_NFC_QC=_ Y}', "");
Expect(1, 195101, '\p{^Is_NFC_QC=_ Y}', "");
Expect(1, 195101, '\P{Is_NFC_QC=_ Y}', "");
Expect(0, 195101, '\P{^Is_NFC_QC=_ Y}', "");
Error('\p{NFD_Quick_Check:   _/a/No}');
Error('\P{NFD_Quick_Check:   _/a/No}');
Expect(1, 195101, '\p{NFD_Quick_Check=no}', "");
Expect(0, 195101, '\p{^NFD_Quick_Check=no}', "");
Expect(0, 195101, '\P{NFD_Quick_Check=no}', "");
Expect(1, 195101, '\P{^NFD_Quick_Check=no}', "");
Expect(0, 195102, '\p{NFD_Quick_Check=no}', "");
Expect(1, 195102, '\p{^NFD_Quick_Check=no}', "");
Expect(1, 195102, '\P{NFD_Quick_Check=no}', "");
Expect(0, 195102, '\P{^NFD_Quick_Check=no}', "");
Expect(1, 195101, '\p{NFD_Quick_Check=_No}', "");
Expect(0, 195101, '\p{^NFD_Quick_Check=_No}', "");
Expect(0, 195101, '\P{NFD_Quick_Check=_No}', "");
Expect(1, 195101, '\P{^NFD_Quick_Check=_No}', "");
Expect(0, 195102, '\p{NFD_Quick_Check=_No}', "");
Expect(1, 195102, '\p{^NFD_Quick_Check=_No}', "");
Expect(1, 195102, '\P{NFD_Quick_Check=_No}', "");
Expect(0, 195102, '\P{^NFD_Quick_Check=_No}', "");
Error('\p{NFD_QC=:=	N}');
Error('\P{NFD_QC=:=	N}');
Expect(1, 195101, '\p{NFD_QC=n}', "");
Expect(0, 195101, '\p{^NFD_QC=n}', "");
Expect(0, 195101, '\P{NFD_QC=n}', "");
Expect(1, 195101, '\P{^NFD_QC=n}', "");
Expect(0, 195102, '\p{NFD_QC=n}', "");
Expect(1, 195102, '\p{^NFD_QC=n}', "");
Expect(1, 195102, '\P{NFD_QC=n}', "");
Expect(0, 195102, '\P{^NFD_QC=n}', "");
Expect(1, 195101, '\p{NFD_QC=_-n}', "");
Expect(0, 195101, '\p{^NFD_QC=_-n}', "");
Expect(0, 195101, '\P{NFD_QC=_-n}', "");
Expect(1, 195101, '\P{^NFD_QC=_-n}', "");
Expect(0, 195102, '\p{NFD_QC=_-n}', "");
Expect(1, 195102, '\p{^NFD_QC=_-n}', "");
Expect(1, 195102, '\P{NFD_QC=_-n}', "");
Expect(0, 195102, '\P{^NFD_QC=_-n}', "");
Error('\p{Is_NFD_Quick_Check=	/a/No}');
Error('\P{Is_NFD_Quick_Check=	/a/No}');
Expect(1, 195101, '\p{Is_NFD_Quick_Check=no}', "");
Expect(0, 195101, '\p{^Is_NFD_Quick_Check=no}', "");
Expect(0, 195101, '\P{Is_NFD_Quick_Check=no}', "");
Expect(1, 195101, '\P{^Is_NFD_Quick_Check=no}', "");
Expect(0, 195102, '\p{Is_NFD_Quick_Check=no}', "");
Expect(1, 195102, '\p{^Is_NFD_Quick_Check=no}', "");
Expect(1, 195102, '\P{Is_NFD_Quick_Check=no}', "");
Expect(0, 195102, '\P{^Is_NFD_Quick_Check=no}', "");
Expect(1, 195101, '\p{Is_NFD_Quick_Check=_No}', "");
Expect(0, 195101, '\p{^Is_NFD_Quick_Check=_No}', "");
Expect(0, 195101, '\P{Is_NFD_Quick_Check=_No}', "");
Expect(1, 195101, '\P{^Is_NFD_Quick_Check=_No}', "");
Expect(0, 195102, '\p{Is_NFD_Quick_Check=_No}', "");
Expect(1, 195102, '\p{^Is_NFD_Quick_Check=_No}', "");
Expect(1, 195102, '\P{Is_NFD_Quick_Check=_No}', "");
Expect(0, 195102, '\P{^Is_NFD_Quick_Check=_No}', "");
Error('\p{Is_NFD_QC= 	n/a/}');
Error('\P{Is_NFD_QC= 	n/a/}');
Expect(1, 195101, '\p{Is_NFD_QC=n}', "");
Expect(0, 195101, '\p{^Is_NFD_QC=n}', "");
Expect(0, 195101, '\P{Is_NFD_QC=n}', "");
Expect(1, 195101, '\P{^Is_NFD_QC=n}', "");
Expect(0, 195102, '\p{Is_NFD_QC=n}', "");
Expect(1, 195102, '\p{^Is_NFD_QC=n}', "");
Expect(1, 195102, '\P{Is_NFD_QC=n}', "");
Expect(0, 195102, '\P{^Is_NFD_QC=n}', "");
Expect(1, 195101, '\p{Is_NFD_QC= 	N}', "");
Expect(0, 195101, '\p{^Is_NFD_QC= 	N}', "");
Expect(0, 195101, '\P{Is_NFD_QC= 	N}', "");
Expect(1, 195101, '\P{^Is_NFD_QC= 	N}', "");
Expect(0, 195102, '\p{Is_NFD_QC= 	N}', "");
Expect(1, 195102, '\p{^Is_NFD_QC= 	N}', "");
Expect(1, 195102, '\P{Is_NFD_QC= 	N}', "");
Expect(0, 195102, '\P{^Is_NFD_QC= 	N}', "");
Error('\p{NFD_Quick_Check=-Yes/a/}');
Error('\P{NFD_Quick_Check=-Yes/a/}');
Expect(1, 195102, '\p{NFD_Quick_Check=yes}', "");
Expect(0, 195102, '\p{^NFD_Quick_Check=yes}', "");
Expect(0, 195102, '\P{NFD_Quick_Check=yes}', "");
Expect(1, 195102, '\P{^NFD_Quick_Check=yes}', "");
Expect(0, 195101, '\p{NFD_Quick_Check=yes}', "");
Expect(1, 195101, '\p{^NFD_Quick_Check=yes}', "");
Expect(1, 195101, '\P{NFD_Quick_Check=yes}', "");
Expect(0, 195101, '\P{^NFD_Quick_Check=yes}', "");
Expect(1, 195102, '\p{NFD_Quick_Check= 	YES}', "");
Expect(0, 195102, '\p{^NFD_Quick_Check= 	YES}', "");
Expect(0, 195102, '\P{NFD_Quick_Check= 	YES}', "");
Expect(1, 195102, '\P{^NFD_Quick_Check= 	YES}', "");
Expect(0, 195101, '\p{NFD_Quick_Check= 	YES}', "");
Expect(1, 195101, '\p{^NFD_Quick_Check= 	YES}', "");
Expect(1, 195101, '\P{NFD_Quick_Check= 	YES}', "");
Expect(0, 195101, '\P{^NFD_Quick_Check= 	YES}', "");
Error('\p{NFD_QC=/a/	_Y}');
Error('\P{NFD_QC=/a/	_Y}');
Expect(1, 195102, '\p{NFD_QC=y}', "");
Expect(0, 195102, '\p{^NFD_QC=y}', "");
Expect(0, 195102, '\P{NFD_QC=y}', "");
Expect(1, 195102, '\P{^NFD_QC=y}', "");
Expect(0, 195101, '\p{NFD_QC=y}', "");
Expect(1, 195101, '\p{^NFD_QC=y}', "");
Expect(1, 195101, '\P{NFD_QC=y}', "");
Expect(0, 195101, '\P{^NFD_QC=y}', "");
Expect(1, 195102, '\p{NFD_QC=	_Y}', "");
Expect(0, 195102, '\p{^NFD_QC=	_Y}', "");
Expect(0, 195102, '\P{NFD_QC=	_Y}', "");
Expect(1, 195102, '\P{^NFD_QC=	_Y}', "");
Expect(0, 195101, '\p{NFD_QC=	_Y}', "");
Expect(1, 195101, '\p{^NFD_QC=	_Y}', "");
Expect(1, 195101, '\P{NFD_QC=	_Y}', "");
Expect(0, 195101, '\P{^NFD_QC=	_Y}', "");
Error('\p{Is_NFD_Quick_Check=:= Yes}');
Error('\P{Is_NFD_Quick_Check=:= Yes}');
Expect(1, 195102, '\p{Is_NFD_Quick_Check=yes}', "");
Expect(0, 195102, '\p{^Is_NFD_Quick_Check=yes}', "");
Expect(0, 195102, '\P{Is_NFD_Quick_Check=yes}', "");
Expect(1, 195102, '\P{^Is_NFD_Quick_Check=yes}', "");
Expect(0, 195101, '\p{Is_NFD_Quick_Check=yes}', "");
Expect(1, 195101, '\p{^Is_NFD_Quick_Check=yes}', "");
Expect(1, 195101, '\P{Is_NFD_Quick_Check=yes}', "");
Expect(0, 195101, '\P{^Is_NFD_Quick_Check=yes}', "");
Expect(1, 195102, '\p{Is_NFD_Quick_Check=_Yes}', "");
Expect(0, 195102, '\p{^Is_NFD_Quick_Check=_Yes}', "");
Expect(0, 195102, '\P{Is_NFD_Quick_Check=_Yes}', "");
Expect(1, 195102, '\P{^Is_NFD_Quick_Check=_Yes}', "");
Expect(0, 195101, '\p{Is_NFD_Quick_Check=_Yes}', "");
Expect(1, 195101, '\p{^Is_NFD_Quick_Check=_Yes}', "");
Expect(1, 195101, '\P{Is_NFD_Quick_Check=_Yes}', "");
Expect(0, 195101, '\P{^Is_NFD_Quick_Check=_Yes}', "");
Error('\p{Is_NFD_QC=/a/_Y}');
Error('\P{Is_NFD_QC=/a/_Y}');
Expect(1, 195102, '\p{Is_NFD_QC=y}', "");
Expect(0, 195102, '\p{^Is_NFD_QC=y}', "");
Expect(0, 195102, '\P{Is_NFD_QC=y}', "");
Expect(1, 195102, '\P{^Is_NFD_QC=y}', "");
Expect(0, 195101, '\p{Is_NFD_QC=y}', "");
Expect(1, 195101, '\p{^Is_NFD_QC=y}', "");
Expect(1, 195101, '\P{Is_NFD_QC=y}', "");
Expect(0, 195101, '\P{^Is_NFD_QC=y}', "");
Expect(1, 195102, '\p{Is_NFD_QC=_	Y}', "");
Expect(0, 195102, '\p{^Is_NFD_QC=_	Y}', "");
Expect(0, 195102, '\P{Is_NFD_QC=_	Y}', "");
Expect(1, 195102, '\P{^Is_NFD_QC=_	Y}', "");
Expect(0, 195101, '\p{Is_NFD_QC=_	Y}', "");
Expect(1, 195101, '\p{^Is_NFD_QC=_	Y}', "");
Expect(1, 195101, '\P{Is_NFD_QC=_	Y}', "");
Expect(0, 195101, '\P{^Is_NFD_QC=_	Y}', "");
Error('\p{NFKC_Quick_Check=	/a/maybe}');
Error('\P{NFKC_Quick_Check=	/a/maybe}');
Expect(1, 71087, '\p{NFKC_Quick_Check=maybe}', "");
Expect(0, 71087, '\p{^NFKC_Quick_Check=maybe}', "");
Expect(0, 71087, '\P{NFKC_Quick_Check=maybe}', "");
Expect(1, 71087, '\P{^NFKC_Quick_Check=maybe}', "");
Expect(0, 71088, '\p{NFKC_Quick_Check=maybe}', "");
Expect(1, 71088, '\p{^NFKC_Quick_Check=maybe}', "");
Expect(1, 71088, '\P{NFKC_Quick_Check=maybe}', "");
Expect(0, 71088, '\P{^NFKC_Quick_Check=maybe}', "");
Expect(1, 71087, '\p{NFKC_Quick_Check=	-Maybe}', "");
Expect(0, 71087, '\p{^NFKC_Quick_Check=	-Maybe}', "");
Expect(0, 71087, '\P{NFKC_Quick_Check=	-Maybe}', "");
Expect(1, 71087, '\P{^NFKC_Quick_Check=	-Maybe}', "");
Expect(0, 71088, '\p{NFKC_Quick_Check=	-Maybe}', "");
Expect(1, 71088, '\p{^NFKC_Quick_Check=	-Maybe}', "");
Expect(1, 71088, '\P{NFKC_Quick_Check=	-Maybe}', "");
Expect(0, 71088, '\P{^NFKC_Quick_Check=	-Maybe}', "");
Error('\p{NFKC_QC: /a/		m}');
Error('\P{NFKC_QC: /a/		m}');
Expect(1, 71087, '\p{NFKC_QC: m}', "");
Expect(0, 71087, '\p{^NFKC_QC: m}', "");
Expect(0, 71087, '\P{NFKC_QC: m}', "");
Expect(1, 71087, '\P{^NFKC_QC: m}', "");
Expect(0, 71088, '\p{NFKC_QC: m}', "");
Expect(1, 71088, '\p{^NFKC_QC: m}', "");
Expect(1, 71088, '\P{NFKC_QC: m}', "");
Expect(0, 71088, '\P{^NFKC_QC: m}', "");
Expect(1, 71087, '\p{NFKC_QC=--M}', "");
Expect(0, 71087, '\p{^NFKC_QC=--M}', "");
Expect(0, 71087, '\P{NFKC_QC=--M}', "");
Expect(1, 71087, '\P{^NFKC_QC=--M}', "");
Expect(0, 71088, '\p{NFKC_QC=--M}', "");
Expect(1, 71088, '\p{^NFKC_QC=--M}', "");
Expect(1, 71088, '\P{NFKC_QC=--M}', "");
Expect(0, 71088, '\P{^NFKC_QC=--M}', "");
Error('\p{Is_NFKC_Quick_Check=	-maybe:=}');
Error('\P{Is_NFKC_Quick_Check=	-maybe:=}');
Expect(1, 71087, '\p{Is_NFKC_Quick_Check=maybe}', "");
Expect(0, 71087, '\p{^Is_NFKC_Quick_Check=maybe}', "");
Expect(0, 71087, '\P{Is_NFKC_Quick_Check=maybe}', "");
Expect(1, 71087, '\P{^Is_NFKC_Quick_Check=maybe}', "");
Expect(0, 71088, '\p{Is_NFKC_Quick_Check=maybe}', "");
Expect(1, 71088, '\p{^Is_NFKC_Quick_Check=maybe}', "");
Expect(1, 71088, '\P{Is_NFKC_Quick_Check=maybe}', "");
Expect(0, 71088, '\P{^Is_NFKC_Quick_Check=maybe}', "");
Expect(1, 71087, '\p{Is_NFKC_Quick_Check=		MAYBE}', "");
Expect(0, 71087, '\p{^Is_NFKC_Quick_Check=		MAYBE}', "");
Expect(0, 71087, '\P{Is_NFKC_Quick_Check=		MAYBE}', "");
Expect(1, 71087, '\P{^Is_NFKC_Quick_Check=		MAYBE}', "");
Expect(0, 71088, '\p{Is_NFKC_Quick_Check=		MAYBE}', "");
Expect(1, 71088, '\p{^Is_NFKC_Quick_Check=		MAYBE}', "");
Expect(1, 71088, '\P{Is_NFKC_Quick_Check=		MAYBE}', "");
Expect(0, 71088, '\P{^Is_NFKC_Quick_Check=		MAYBE}', "");
Error('\p{Is_NFKC_QC=	/a/m}');
Error('\P{Is_NFKC_QC=	/a/m}');
Expect(1, 71087, '\p{Is_NFKC_QC:   m}', "");
Expect(0, 71087, '\p{^Is_NFKC_QC:   m}', "");
Expect(0, 71087, '\P{Is_NFKC_QC:   m}', "");
Expect(1, 71087, '\P{^Is_NFKC_QC:   m}', "");
Expect(0, 71088, '\p{Is_NFKC_QC:   m}', "");
Expect(1, 71088, '\p{^Is_NFKC_QC:   m}', "");
Expect(1, 71088, '\P{Is_NFKC_QC:   m}', "");
Expect(0, 71088, '\P{^Is_NFKC_QC:   m}', "");
Expect(1, 71087, '\p{Is_NFKC_QC=_	M}', "");
Expect(0, 71087, '\p{^Is_NFKC_QC=_	M}', "");
Expect(0, 71087, '\P{Is_NFKC_QC=_	M}', "");
Expect(1, 71087, '\P{^Is_NFKC_QC=_	M}', "");
Expect(0, 71088, '\p{Is_NFKC_QC=_	M}', "");
Expect(1, 71088, '\p{^Is_NFKC_QC=_	M}', "");
Expect(1, 71088, '\P{Is_NFKC_QC=_	M}', "");
Expect(0, 71088, '\P{^Is_NFKC_QC=_	M}', "");
Error('\p{NFKC_Quick_Check:   :=-_no}');
Error('\P{NFKC_Quick_Check:   :=-_no}');
Expect(1, 195101, '\p{NFKC_Quick_Check=no}', "");
Expect(0, 195101, '\p{^NFKC_Quick_Check=no}', "");
Expect(0, 195101, '\P{NFKC_Quick_Check=no}', "");
Expect(1, 195101, '\P{^NFKC_Quick_Check=no}', "");
Expect(0, 195102, '\p{NFKC_Quick_Check=no}', "");
Expect(1, 195102, '\p{^NFKC_Quick_Check=no}', "");
Expect(1, 195102, '\P{NFKC_Quick_Check=no}', "");
Expect(0, 195102, '\P{^NFKC_Quick_Check=no}', "");
Expect(1, 195101, '\p{NFKC_Quick_Check=	No}', "");
Expect(0, 195101, '\p{^NFKC_Quick_Check=	No}', "");
Expect(0, 195101, '\P{NFKC_Quick_Check=	No}', "");
Expect(1, 195101, '\P{^NFKC_Quick_Check=	No}', "");
Expect(0, 195102, '\p{NFKC_Quick_Check=	No}', "");
Expect(1, 195102, '\p{^NFKC_Quick_Check=	No}', "");
Expect(1, 195102, '\P{NFKC_Quick_Check=	No}', "");
Expect(0, 195102, '\P{^NFKC_Quick_Check=	No}', "");
Error('\p{NFKC_QC= _n/a/}');
Error('\P{NFKC_QC= _n/a/}');
Expect(1, 195101, '\p{NFKC_QC=n}', "");
Expect(0, 195101, '\p{^NFKC_QC=n}', "");
Expect(0, 195101, '\P{NFKC_QC=n}', "");
Expect(1, 195101, '\P{^NFKC_QC=n}', "");
Expect(0, 195102, '\p{NFKC_QC=n}', "");
Expect(1, 195102, '\p{^NFKC_QC=n}', "");
Expect(1, 195102, '\P{NFKC_QC=n}', "");
Expect(0, 195102, '\P{^NFKC_QC=n}', "");
Expect(1, 195101, '\p{NFKC_QC=_-N}', "");
Expect(0, 195101, '\p{^NFKC_QC=_-N}', "");
Expect(0, 195101, '\P{NFKC_QC=_-N}', "");
Expect(1, 195101, '\P{^NFKC_QC=_-N}', "");
Expect(0, 195102, '\p{NFKC_QC=_-N}', "");
Expect(1, 195102, '\p{^NFKC_QC=_-N}', "");
Expect(1, 195102, '\P{NFKC_QC=_-N}', "");
Expect(0, 195102, '\P{^NFKC_QC=_-N}', "");
Error('\p{Is_NFKC_Quick_Check:	/a/_	NO}');
Error('\P{Is_NFKC_Quick_Check:	/a/_	NO}');
Expect(1, 195101, '\p{Is_NFKC_Quick_Check=no}', "");
Expect(0, 195101, '\p{^Is_NFKC_Quick_Check=no}', "");
Expect(0, 195101, '\P{Is_NFKC_Quick_Check=no}', "");
Expect(1, 195101, '\P{^Is_NFKC_Quick_Check=no}', "");
Expect(0, 195102, '\p{Is_NFKC_Quick_Check=no}', "");
Expect(1, 195102, '\p{^Is_NFKC_Quick_Check=no}', "");
Expect(1, 195102, '\P{Is_NFKC_Quick_Check=no}', "");
Expect(0, 195102, '\P{^Is_NFKC_Quick_Check=no}', "");
Expect(1, 195101, '\p{Is_NFKC_Quick_Check=		no}', "");
Expect(0, 195101, '\p{^Is_NFKC_Quick_Check=		no}', "");
Expect(0, 195101, '\P{Is_NFKC_Quick_Check=		no}', "");
Expect(1, 195101, '\P{^Is_NFKC_Quick_Check=		no}', "");
Expect(0, 195102, '\p{Is_NFKC_Quick_Check=		no}', "");
Expect(1, 195102, '\p{^Is_NFKC_Quick_Check=		no}', "");
Expect(1, 195102, '\P{Is_NFKC_Quick_Check=		no}', "");
Expect(0, 195102, '\P{^Is_NFKC_Quick_Check=		no}', "");
Error('\p{Is_NFKC_QC=__N:=}');
Error('\P{Is_NFKC_QC=__N:=}');
Expect(1, 195101, '\p{Is_NFKC_QC=n}', "");
Expect(0, 195101, '\p{^Is_NFKC_QC=n}', "");
Expect(0, 195101, '\P{Is_NFKC_QC=n}', "");
Expect(1, 195101, '\P{^Is_NFKC_QC=n}', "");
Expect(0, 195102, '\p{Is_NFKC_QC=n}', "");
Expect(1, 195102, '\p{^Is_NFKC_QC=n}', "");
Expect(1, 195102, '\P{Is_NFKC_QC=n}', "");
Expect(0, 195102, '\P{^Is_NFKC_QC=n}', "");
Expect(1, 195101, '\p{Is_NFKC_QC=__N}', "");
Expect(0, 195101, '\p{^Is_NFKC_QC=__N}', "");
Expect(0, 195101, '\P{Is_NFKC_QC=__N}', "");
Expect(1, 195101, '\P{^Is_NFKC_QC=__N}', "");
Expect(0, 195102, '\p{Is_NFKC_QC=__N}', "");
Expect(1, 195102, '\p{^Is_NFKC_QC=__N}', "");
Expect(1, 195102, '\P{Is_NFKC_QC=__N}', "");
Expect(0, 195102, '\P{^Is_NFKC_QC=__N}', "");
Error('\p{NFKC_Quick_Check=-_yes:=}');
Error('\P{NFKC_Quick_Check=-_yes:=}');
Expect(1, 195102, '\p{NFKC_Quick_Check=yes}', "");
Expect(0, 195102, '\p{^NFKC_Quick_Check=yes}', "");
Expect(0, 195102, '\P{NFKC_Quick_Check=yes}', "");
Expect(1, 195102, '\P{^NFKC_Quick_Check=yes}', "");
Expect(0, 195101, '\p{NFKC_Quick_Check=yes}', "");
Expect(1, 195101, '\p{^NFKC_Quick_Check=yes}', "");
Expect(1, 195101, '\P{NFKC_Quick_Check=yes}', "");
Expect(0, 195101, '\P{^NFKC_Quick_Check=yes}', "");
Expect(1, 195102, '\p{NFKC_Quick_Check= Yes}', "");
Expect(0, 195102, '\p{^NFKC_Quick_Check= Yes}', "");
Expect(0, 195102, '\P{NFKC_Quick_Check= Yes}', "");
Expect(1, 195102, '\P{^NFKC_Quick_Check= Yes}', "");
Expect(0, 195101, '\p{NFKC_Quick_Check= Yes}', "");
Expect(1, 195101, '\p{^NFKC_Quick_Check= Yes}', "");
Expect(1, 195101, '\P{NFKC_Quick_Check= Yes}', "");
Expect(0, 195101, '\P{^NFKC_Quick_Check= Yes}', "");
Error('\p{NFKC_QC=_/a/y}');
Error('\P{NFKC_QC=_/a/y}');
Expect(1, 195102, '\p{NFKC_QC=y}', "");
Expect(0, 195102, '\p{^NFKC_QC=y}', "");
Expect(0, 195102, '\P{NFKC_QC=y}', "");
Expect(1, 195102, '\P{^NFKC_QC=y}', "");
Expect(0, 195101, '\p{NFKC_QC=y}', "");
Expect(1, 195101, '\p{^NFKC_QC=y}', "");
Expect(1, 195101, '\P{NFKC_QC=y}', "");
Expect(0, 195101, '\P{^NFKC_QC=y}', "");
Expect(1, 195102, '\p{NFKC_QC=-Y}', "");
Expect(0, 195102, '\p{^NFKC_QC=-Y}', "");
Expect(0, 195102, '\P{NFKC_QC=-Y}', "");
Expect(1, 195102, '\P{^NFKC_QC=-Y}', "");
Expect(0, 195101, '\p{NFKC_QC=-Y}', "");
Expect(1, 195101, '\p{^NFKC_QC=-Y}', "");
Expect(1, 195101, '\P{NFKC_QC=-Y}', "");
Expect(0, 195101, '\P{^NFKC_QC=-Y}', "");
Error('\p{Is_NFKC_Quick_Check=:=	Yes}');
Error('\P{Is_NFKC_Quick_Check=:=	Yes}');
Expect(1, 195102, '\p{Is_NFKC_Quick_Check=yes}', "");
Expect(0, 195102, '\p{^Is_NFKC_Quick_Check=yes}', "");
Expect(0, 195102, '\P{Is_NFKC_Quick_Check=yes}', "");
Expect(1, 195102, '\P{^Is_NFKC_Quick_Check=yes}', "");
Expect(0, 195101, '\p{Is_NFKC_Quick_Check=yes}', "");
Expect(1, 195101, '\p{^Is_NFKC_Quick_Check=yes}', "");
Expect(1, 195101, '\P{Is_NFKC_Quick_Check=yes}', "");
Expect(0, 195101, '\P{^Is_NFKC_Quick_Check=yes}', "");
Expect(1, 195102, '\p{Is_NFKC_Quick_Check=	 Yes}', "");
Expect(0, 195102, '\p{^Is_NFKC_Quick_Check=	 Yes}', "");
Expect(0, 195102, '\P{Is_NFKC_Quick_Check=	 Yes}', "");
Expect(1, 195102, '\P{^Is_NFKC_Quick_Check=	 Yes}', "");
Expect(0, 195101, '\p{Is_NFKC_Quick_Check=	 Yes}', "");
Expect(1, 195101, '\p{^Is_NFKC_Quick_Check=	 Yes}', "");
Expect(1, 195101, '\P{Is_NFKC_Quick_Check=	 Yes}', "");
Expect(0, 195101, '\P{^Is_NFKC_Quick_Check=	 Yes}', "");
Error('\p{Is_NFKC_QC=:=  Y}');
Error('\P{Is_NFKC_QC=:=  Y}');
Expect(1, 195102, '\p{Is_NFKC_QC=y}', "");
Expect(0, 195102, '\p{^Is_NFKC_QC=y}', "");
Expect(0, 195102, '\P{Is_NFKC_QC=y}', "");
Expect(1, 195102, '\P{^Is_NFKC_QC=y}', "");
Expect(0, 195101, '\p{Is_NFKC_QC=y}', "");
Expect(1, 195101, '\p{^Is_NFKC_QC=y}', "");
Expect(1, 195101, '\P{Is_NFKC_QC=y}', "");
Expect(0, 195101, '\P{^Is_NFKC_QC=y}', "");
Expect(1, 195102, '\p{Is_NFKC_QC= _Y}', "");
Expect(0, 195102, '\p{^Is_NFKC_QC= _Y}', "");
Expect(0, 195102, '\P{Is_NFKC_QC= _Y}', "");
Expect(1, 195102, '\P{^Is_NFKC_QC= _Y}', "");
Expect(0, 195101, '\p{Is_NFKC_QC= _Y}', "");
Expect(1, 195101, '\p{^Is_NFKC_QC= _Y}', "");
Expect(1, 195101, '\P{Is_NFKC_QC= _Y}', "");
Expect(0, 195101, '\P{^Is_NFKC_QC= _Y}', "");
Error('\p{NFKD_Quick_Check=/a/no}');
Error('\P{NFKD_Quick_Check=/a/no}');
Expect(1, 195101, '\p{NFKD_Quick_Check=no}', "");
Expect(0, 195101, '\p{^NFKD_Quick_Check=no}', "");
Expect(0, 195101, '\P{NFKD_Quick_Check=no}', "");
Expect(1, 195101, '\P{^NFKD_Quick_Check=no}', "");
Expect(0, 195102, '\p{NFKD_Quick_Check=no}', "");
Expect(1, 195102, '\p{^NFKD_Quick_Check=no}', "");
Expect(1, 195102, '\P{NFKD_Quick_Check=no}', "");
Expect(0, 195102, '\P{^NFKD_Quick_Check=no}', "");
Expect(1, 195101, '\p{NFKD_Quick_Check=_No}', "");
Expect(0, 195101, '\p{^NFKD_Quick_Check=_No}', "");
Expect(0, 195101, '\P{NFKD_Quick_Check=_No}', "");
Expect(1, 195101, '\P{^NFKD_Quick_Check=_No}', "");
Expect(0, 195102, '\p{NFKD_Quick_Check=_No}', "");
Expect(1, 195102, '\p{^NFKD_Quick_Check=_No}', "");
Expect(1, 195102, '\P{NFKD_Quick_Check=_No}', "");
Expect(0, 195102, '\P{^NFKD_Quick_Check=_No}', "");
Error('\p{NFKD_QC=/a/_N}');
Error('\P{NFKD_QC=/a/_N}');
Expect(1, 195101, '\p{NFKD_QC=n}', "");
Expect(0, 195101, '\p{^NFKD_QC=n}', "");
Expect(0, 195101, '\P{NFKD_QC=n}', "");
Expect(1, 195101, '\P{^NFKD_QC=n}', "");
Expect(0, 195102, '\p{NFKD_QC=n}', "");
Expect(1, 195102, '\p{^NFKD_QC=n}', "");
Expect(1, 195102, '\P{NFKD_QC=n}', "");
Expect(0, 195102, '\P{^NFKD_QC=n}', "");
Expect(1, 195101, '\p{NFKD_QC=_N}', "");
Expect(0, 195101, '\p{^NFKD_QC=_N}', "");
Expect(0, 195101, '\P{NFKD_QC=_N}', "");
Expect(1, 195101, '\P{^NFKD_QC=_N}', "");
Expect(0, 195102, '\p{NFKD_QC=_N}', "");
Expect(1, 195102, '\p{^NFKD_QC=_N}', "");
Expect(1, 195102, '\P{NFKD_QC=_N}', "");
Expect(0, 195102, '\P{^NFKD_QC=_N}', "");
Error('\p{Is_NFKD_Quick_Check=_:=No}');
Error('\P{Is_NFKD_Quick_Check=_:=No}');
Expect(1, 195101, '\p{Is_NFKD_Quick_Check:   no}', "");
Expect(0, 195101, '\p{^Is_NFKD_Quick_Check:   no}', "");
Expect(0, 195101, '\P{Is_NFKD_Quick_Check:   no}', "");
Expect(1, 195101, '\P{^Is_NFKD_Quick_Check:   no}', "");
Expect(0, 195102, '\p{Is_NFKD_Quick_Check:   no}', "");
Expect(1, 195102, '\p{^Is_NFKD_Quick_Check:   no}', "");
Expect(1, 195102, '\P{Is_NFKD_Quick_Check:   no}', "");
Expect(0, 195102, '\P{^Is_NFKD_Quick_Check:   no}', "");
Expect(1, 195101, '\p{Is_NFKD_Quick_Check=-No}', "");
Expect(0, 195101, '\p{^Is_NFKD_Quick_Check=-No}', "");
Expect(0, 195101, '\P{Is_NFKD_Quick_Check=-No}', "");
Expect(1, 195101, '\P{^Is_NFKD_Quick_Check=-No}', "");
Expect(0, 195102, '\p{Is_NFKD_Quick_Check=-No}', "");
Expect(1, 195102, '\p{^Is_NFKD_Quick_Check=-No}', "");
Expect(1, 195102, '\P{Is_NFKD_Quick_Check=-No}', "");
Expect(0, 195102, '\P{^Is_NFKD_Quick_Check=-No}', "");
Error('\p{Is_NFKD_QC=:=	-n}');
Error('\P{Is_NFKD_QC=:=	-n}');
Expect(1, 195101, '\p{Is_NFKD_QC=n}', "");
Expect(0, 195101, '\p{^Is_NFKD_QC=n}', "");
Expect(0, 195101, '\P{Is_NFKD_QC=n}', "");
Expect(1, 195101, '\P{^Is_NFKD_QC=n}', "");
Expect(0, 195102, '\p{Is_NFKD_QC=n}', "");
Expect(1, 195102, '\p{^Is_NFKD_QC=n}', "");
Expect(1, 195102, '\P{Is_NFKD_QC=n}', "");
Expect(0, 195102, '\P{^Is_NFKD_QC=n}', "");
Expect(1, 195101, '\p{Is_NFKD_QC=	-n}', "");
Expect(0, 195101, '\p{^Is_NFKD_QC=	-n}', "");
Expect(0, 195101, '\P{Is_NFKD_QC=	-n}', "");
Expect(1, 195101, '\P{^Is_NFKD_QC=	-n}', "");
Expect(0, 195102, '\p{Is_NFKD_QC=	-n}', "");
Expect(1, 195102, '\p{^Is_NFKD_QC=	-n}', "");
Expect(1, 195102, '\P{Is_NFKD_QC=	-n}', "");
Expect(0, 195102, '\P{^Is_NFKD_QC=	-n}', "");
Error('\p{NFKD_Quick_Check=__Yes/a/}');
Error('\P{NFKD_Quick_Check=__Yes/a/}');
Expect(1, 195102, '\p{NFKD_Quick_Check=yes}', "");
Expect(0, 195102, '\p{^NFKD_Quick_Check=yes}', "");
Expect(0, 195102, '\P{NFKD_Quick_Check=yes}', "");
Expect(1, 195102, '\P{^NFKD_Quick_Check=yes}', "");
Expect(0, 195101, '\p{NFKD_Quick_Check=yes}', "");
Expect(1, 195101, '\p{^NFKD_Quick_Check=yes}', "");
Expect(1, 195101, '\P{NFKD_Quick_Check=yes}', "");
Expect(0, 195101, '\P{^NFKD_Quick_Check=yes}', "");
Expect(1, 195102, '\p{NFKD_Quick_Check= _yes}', "");
Expect(0, 195102, '\p{^NFKD_Quick_Check= _yes}', "");
Expect(0, 195102, '\P{NFKD_Quick_Check= _yes}', "");
Expect(1, 195102, '\P{^NFKD_Quick_Check= _yes}', "");
Expect(0, 195101, '\p{NFKD_Quick_Check= _yes}', "");
Expect(1, 195101, '\p{^NFKD_Quick_Check= _yes}', "");
Expect(1, 195101, '\P{NFKD_Quick_Check= _yes}', "");
Expect(0, 195101, '\P{^NFKD_Quick_Check= _yes}', "");
Error('\p{NFKD_QC=	/a/Y}');
Error('\P{NFKD_QC=	/a/Y}');
Expect(1, 195102, '\p{NFKD_QC=y}', "");
Expect(0, 195102, '\p{^NFKD_QC=y}', "");
Expect(0, 195102, '\P{NFKD_QC=y}', "");
Expect(1, 195102, '\P{^NFKD_QC=y}', "");
Expect(0, 195101, '\p{NFKD_QC=y}', "");
Expect(1, 195101, '\p{^NFKD_QC=y}', "");
Expect(1, 195101, '\P{NFKD_QC=y}', "");
Expect(0, 195101, '\P{^NFKD_QC=y}', "");
Expect(1, 195102, '\p{NFKD_QC=-Y}', "");
Expect(0, 195102, '\p{^NFKD_QC=-Y}', "");
Expect(0, 195102, '\P{NFKD_QC=-Y}', "");
Expect(1, 195102, '\P{^NFKD_QC=-Y}', "");
Expect(0, 195101, '\p{NFKD_QC=-Y}', "");
Expect(1, 195101, '\p{^NFKD_QC=-Y}', "");
Expect(1, 195101, '\P{NFKD_QC=-Y}', "");
Expect(0, 195101, '\P{^NFKD_QC=-Y}', "");
Error('\p{Is_NFKD_Quick_Check=  yes/a/}');
Error('\P{Is_NFKD_Quick_Check=  yes/a/}');
Expect(1, 195102, '\p{Is_NFKD_Quick_Check=yes}', "");
Expect(0, 195102, '\p{^Is_NFKD_Quick_Check=yes}', "");
Expect(0, 195102, '\P{Is_NFKD_Quick_Check=yes}', "");
Expect(1, 195102, '\P{^Is_NFKD_Quick_Check=yes}', "");
Expect(0, 195101, '\p{Is_NFKD_Quick_Check=yes}', "");
Expect(1, 195101, '\p{^Is_NFKD_Quick_Check=yes}', "");
Expect(1, 195101, '\P{Is_NFKD_Quick_Check=yes}', "");
Expect(0, 195101, '\P{^Is_NFKD_Quick_Check=yes}', "");
Expect(1, 195102, '\p{Is_NFKD_Quick_Check:	_Yes}', "");
Expect(0, 195102, '\p{^Is_NFKD_Quick_Check:	_Yes}', "");
Expect(0, 195102, '\P{Is_NFKD_Quick_Check:	_Yes}', "");
Expect(1, 195102, '\P{^Is_NFKD_Quick_Check:	_Yes}', "");
Expect(0, 195101, '\p{Is_NFKD_Quick_Check:	_Yes}', "");
Expect(1, 195101, '\p{^Is_NFKD_Quick_Check:	_Yes}', "");
Expect(1, 195101, '\P{Is_NFKD_Quick_Check:	_Yes}', "");
Expect(0, 195101, '\P{^Is_NFKD_Quick_Check:	_Yes}', "");
Error('\p{Is_NFKD_QC=-:=Y}');
Error('\P{Is_NFKD_QC=-:=Y}');
Expect(1, 195102, '\p{Is_NFKD_QC:   y}', "");
Expect(0, 195102, '\p{^Is_NFKD_QC:   y}', "");
Expect(0, 195102, '\P{Is_NFKD_QC:   y}', "");
Expect(1, 195102, '\P{^Is_NFKD_QC:   y}', "");
Expect(0, 195101, '\p{Is_NFKD_QC:   y}', "");
Expect(1, 195101, '\p{^Is_NFKD_QC:   y}', "");
Expect(1, 195101, '\P{Is_NFKD_QC:   y}', "");
Expect(0, 195101, '\P{^Is_NFKD_QC:   y}', "");
Expect(1, 195102, '\p{Is_NFKD_QC=_Y}', "");
Expect(0, 195102, '\p{^Is_NFKD_QC=_Y}', "");
Expect(0, 195102, '\P{Is_NFKD_QC=_Y}', "");
Expect(1, 195102, '\P{^Is_NFKD_QC=_Y}', "");
Expect(0, 195101, '\p{Is_NFKD_QC=_Y}', "");
Expect(1, 195101, '\p{^Is_NFKD_QC=_Y}', "");
Expect(1, 195101, '\P{Is_NFKD_QC=_Y}', "");
Expect(0, 195101, '\P{^Is_NFKD_QC=_Y}', "");
Error('\p{Other_Alphabetic=No}');
Error('\P{Other_Alphabetic=No}');
Error('\p{OAlpha=N}');
Error('\P{OAlpha=N}');
Error('\p{Is_Other_Alphabetic=F}');
Error('\P{Is_Other_Alphabetic=F}');
Error('\p{Is_OAlpha=False}');
Error('\P{Is_OAlpha=False}');
Error('\p{Other_Alphabetic=Yes}');
Error('\P{Other_Alphabetic=Yes}');
Error('\p{OAlpha=Y}');
Error('\P{OAlpha=Y}');
Error('\p{Is_Other_Alphabetic=T}');
Error('\P{Is_Other_Alphabetic=T}');
Error('\p{Is_OAlpha=True}');
Error('\P{Is_OAlpha=True}');
Error('\p{Other_Default_Ignorable_Code_Point=No}');
Error('\P{Other_Default_Ignorable_Code_Point=No}');
Error('\p{ODI=N}');
Error('\P{ODI=N}');
Error('\p{Is_Other_Default_Ignorable_Code_Point=F}');
Error('\P{Is_Other_Default_Ignorable_Code_Point=F}');
Error('\p{Is_ODI=False}');
Error('\P{Is_ODI=False}');
Error('\p{Other_Default_Ignorable_Code_Point=Yes}');
Error('\P{Other_Default_Ignorable_Code_Point=Yes}');
Error('\p{ODI=Y}');
Error('\P{ODI=Y}');
Error('\p{Is_Other_Default_Ignorable_Code_Point=T}');
Error('\P{Is_Other_Default_Ignorable_Code_Point=T}');
Error('\p{Is_ODI=True}');
Error('\P{Is_ODI=True}');
Error('\p{Other_Grapheme_Extend=No}');
Error('\P{Other_Grapheme_Extend=No}');
Error('\p{OGr_Ext=N}');
Error('\P{OGr_Ext=N}');
Error('\p{Is_Other_Grapheme_Extend=F}');
Error('\P{Is_Other_Grapheme_Extend=F}');
Error('\p{Is_OGr_Ext=False}');
Error('\P{Is_OGr_Ext=False}');
Error('\p{Other_Grapheme_Extend=Yes}');
Error('\P{Other_Grapheme_Extend=Yes}');
Error('\p{OGr_Ext=Y}');
Error('\P{OGr_Ext=Y}');
Error('\p{Is_Other_Grapheme_Extend=T}');
Error('\P{Is_Other_Grapheme_Extend=T}');
Error('\p{Is_OGr_Ext=True}');
Error('\P{Is_OGr_Ext=True}');
Error('\p{Other_ID_Continue: No}');
Error('\P{Other_ID_Continue: No}');
Error('\p{OIDC=N}');
Error('\P{OIDC=N}');
Error('\p{Is_Other_ID_Continue=F}');
Error('\P{Is_Other_ID_Continue=F}');
Error('\p{Is_OIDC=False}');
Error('\P{Is_OIDC=False}');
Error('\p{Other_ID_Continue=Yes}');
Error('\P{Other_ID_Continue=Yes}');
Error('\p{OIDC=Y}');
Error('\P{OIDC=Y}');
Error('\p{Is_Other_ID_Continue:   T}');
Error('\P{Is_Other_ID_Continue:   T}');
Error('\p{Is_OIDC=True}');
Error('\P{Is_OIDC=True}');
Error('\p{Other_ID_Start=No}');
Error('\P{Other_ID_Start=No}');
Error('\p{OIDS: N}');
Error('\P{OIDS: N}');
Error('\p{Is_Other_ID_Start=F}');
Error('\P{Is_Other_ID_Start=F}');
Error('\p{Is_OIDS=False}');
Error('\P{Is_OIDS=False}');
Error('\p{Other_ID_Start: Yes}');
Error('\P{Other_ID_Start: Yes}');
Error('\p{OIDS:Y}');
Error('\P{OIDS:Y}');
Error('\p{Is_Other_ID_Start=T}');
Error('\P{Is_Other_ID_Start=T}');
Error('\p{Is_OIDS=True}');
Error('\P{Is_OIDS=True}');
Error('\p{Other_Lowercase=No}');
Error('\P{Other_Lowercase=No}');
Error('\p{OLower=N}');
Error('\P{OLower=N}');
Error('\p{Is_Other_Lowercase=F}');
Error('\P{Is_Other_Lowercase=F}');
Error('\p{Is_OLower=False}');
Error('\P{Is_OLower=False}');
Error('\p{Other_Lowercase=Yes}');
Error('\P{Other_Lowercase=Yes}');
Error('\p{OLower=Y}');
Error('\P{OLower=Y}');
Error('\p{Is_Other_Lowercase=T}');
Error('\P{Is_Other_Lowercase=T}');
Error('\p{Is_OLower:   True}');
Error('\P{Is_OLower:   True}');
Error('\p{Other_Math=No}');
Error('\P{Other_Math=No}');
Error('\p{OMath=N}');
Error('\P{OMath=N}');
Error('\p{Is_Other_Math=F}');
Error('\P{Is_Other_Math=F}');
Error('\p{Is_OMath=False}');
Error('\P{Is_OMath=False}');
Error('\p{Other_Math:Yes}');
Error('\P{Other_Math:Yes}');
Error('\p{OMath=Y}');
Error('\P{OMath=Y}');
Error('\p{Is_Other_Math:T}');
Error('\P{Is_Other_Math:T}');
Error('\p{Is_OMath: True}');
Error('\P{Is_OMath: True}');
Error('\p{Other_Uppercase=No}');
Error('\P{Other_Uppercase=No}');
Error('\p{OUpper=N}');
Error('\P{OUpper=N}');
Error('\p{Is_Other_Uppercase=F}');
Error('\P{Is_Other_Uppercase=F}');
Error('\p{Is_OUpper=False}');
Error('\P{Is_OUpper=False}');
Error('\p{Other_Uppercase=Yes}');
Error('\P{Other_Uppercase=Yes}');
Error('\p{OUpper=Y}');
Error('\P{OUpper=Y}');
Error('\p{Is_Other_Uppercase:	T}');
Error('\P{Is_Other_Uppercase:	T}');
Error('\p{Is_OUpper=True}');
Error('\P{Is_OUpper=True}');
Error('\p{Pattern_Syntax=	/a/No}');
Error('\P{Pattern_Syntax=	/a/No}');
Expect(1, 65095, '\p{Pattern_Syntax=no}', "");
Expect(0, 65095, '\p{^Pattern_Syntax=no}', "");
Expect(0, 65095, '\P{Pattern_Syntax=no}', "");
Expect(1, 65095, '\P{^Pattern_Syntax=no}', "");
Expect(0, 65094, '\p{Pattern_Syntax=no}', "");
Expect(1, 65094, '\p{^Pattern_Syntax=no}', "");
Expect(1, 65094, '\P{Pattern_Syntax=no}', "");
Expect(0, 65094, '\P{^Pattern_Syntax=no}', "");
Expect(1, 65095, '\p{Pattern_Syntax=_	no}', "");
Expect(0, 65095, '\p{^Pattern_Syntax=_	no}', "");
Expect(0, 65095, '\P{Pattern_Syntax=_	no}', "");
Expect(1, 65095, '\P{^Pattern_Syntax=_	no}', "");
Expect(0, 65094, '\p{Pattern_Syntax=_	no}', "");
Expect(1, 65094, '\p{^Pattern_Syntax=_	no}', "");
Expect(1, 65094, '\P{Pattern_Syntax=_	no}', "");
Expect(0, 65094, '\P{^Pattern_Syntax=_	no}', "");
Error('\p{Pat_Syn=	 N/a/}');
Error('\P{Pat_Syn=	 N/a/}');
Expect(1, 65095, '\p{Pat_Syn=n}', "");
Expect(0, 65095, '\p{^Pat_Syn=n}', "");
Expect(0, 65095, '\P{Pat_Syn=n}', "");
Expect(1, 65095, '\P{^Pat_Syn=n}', "");
Expect(0, 65094, '\p{Pat_Syn=n}', "");
Expect(1, 65094, '\p{^Pat_Syn=n}', "");
Expect(1, 65094, '\P{Pat_Syn=n}', "");
Expect(0, 65094, '\P{^Pat_Syn=n}', "");
Expect(1, 65095, '\p{Pat_Syn=-N}', "");
Expect(0, 65095, '\p{^Pat_Syn=-N}', "");
Expect(0, 65095, '\P{Pat_Syn=-N}', "");
Expect(1, 65095, '\P{^Pat_Syn=-N}', "");
Expect(0, 65094, '\p{Pat_Syn=-N}', "");
Expect(1, 65094, '\p{^Pat_Syn=-N}', "");
Expect(1, 65094, '\P{Pat_Syn=-N}', "");
Expect(0, 65094, '\P{^Pat_Syn=-N}', "");
Error('\p{Is_Pattern_Syntax=/a/-F}');
Error('\P{Is_Pattern_Syntax=/a/-F}');
Expect(1, 65095, '\p{Is_Pattern_Syntax=f}', "");
Expect(0, 65095, '\p{^Is_Pattern_Syntax=f}', "");
Expect(0, 65095, '\P{Is_Pattern_Syntax=f}', "");
Expect(1, 65095, '\P{^Is_Pattern_Syntax=f}', "");
Expect(0, 65094, '\p{Is_Pattern_Syntax=f}', "");
Expect(1, 65094, '\p{^Is_Pattern_Syntax=f}', "");
Expect(1, 65094, '\P{Is_Pattern_Syntax=f}', "");
Expect(0, 65094, '\P{^Is_Pattern_Syntax=f}', "");
Expect(1, 65095, '\p{Is_Pattern_Syntax=-_F}', "");
Expect(0, 65095, '\p{^Is_Pattern_Syntax=-_F}', "");
Expect(0, 65095, '\P{Is_Pattern_Syntax=-_F}', "");
Expect(1, 65095, '\P{^Is_Pattern_Syntax=-_F}', "");
Expect(0, 65094, '\p{Is_Pattern_Syntax=-_F}', "");
Expect(1, 65094, '\p{^Is_Pattern_Syntax=-_F}', "");
Expect(1, 65094, '\P{Is_Pattern_Syntax=-_F}', "");
Expect(0, 65094, '\P{^Is_Pattern_Syntax=-_F}', "");
Error('\p{Is_Pat_Syn=/a/False}');
Error('\P{Is_Pat_Syn=/a/False}');
Expect(1, 65095, '\p{Is_Pat_Syn=false}', "");
Expect(0, 65095, '\p{^Is_Pat_Syn=false}', "");
Expect(0, 65095, '\P{Is_Pat_Syn=false}', "");
Expect(1, 65095, '\P{^Is_Pat_Syn=false}', "");
Expect(0, 65094, '\p{Is_Pat_Syn=false}', "");
Expect(1, 65094, '\p{^Is_Pat_Syn=false}', "");
Expect(1, 65094, '\P{Is_Pat_Syn=false}', "");
Expect(0, 65094, '\P{^Is_Pat_Syn=false}', "");
Expect(1, 65095, '\p{Is_Pat_Syn:-_false}', "");
Expect(0, 65095, '\p{^Is_Pat_Syn:-_false}', "");
Expect(0, 65095, '\P{Is_Pat_Syn:-_false}', "");
Expect(1, 65095, '\P{^Is_Pat_Syn:-_false}', "");
Expect(0, 65094, '\p{Is_Pat_Syn:-_false}', "");
Expect(1, 65094, '\p{^Is_Pat_Syn:-_false}', "");
Expect(1, 65094, '\P{Is_Pat_Syn:-_false}', "");
Expect(0, 65094, '\P{^Is_Pat_Syn:-_false}', "");
Error('\p{Pattern_Syntax=- yes/a/}');
Error('\P{Pattern_Syntax=- yes/a/}');
Expect(1, 65094, '\p{Pattern_Syntax=yes}', "");
Expect(0, 65094, '\p{^Pattern_Syntax=yes}', "");
Expect(0, 65094, '\P{Pattern_Syntax=yes}', "");
Expect(1, 65094, '\P{^Pattern_Syntax=yes}', "");
Expect(0, 65095, '\p{Pattern_Syntax=yes}', "");
Expect(1, 65095, '\p{^Pattern_Syntax=yes}', "");
Expect(1, 65095, '\P{Pattern_Syntax=yes}', "");
Expect(0, 65095, '\P{^Pattern_Syntax=yes}', "");
Expect(1, 65094, '\p{Pattern_Syntax=_	yes}', "");
Expect(0, 65094, '\p{^Pattern_Syntax=_	yes}', "");
Expect(0, 65094, '\P{Pattern_Syntax=_	yes}', "");
Expect(1, 65094, '\P{^Pattern_Syntax=_	yes}', "");
Expect(0, 65095, '\p{Pattern_Syntax=_	yes}', "");
Expect(1, 65095, '\p{^Pattern_Syntax=_	yes}', "");
Expect(1, 65095, '\P{Pattern_Syntax=_	yes}', "");
Expect(0, 65095, '\P{^Pattern_Syntax=_	yes}', "");
Error('\p{Pat_Syn=		Y:=}');
Error('\P{Pat_Syn=		Y:=}');
Expect(1, 65094, '\p{Pat_Syn=y}', "");
Expect(0, 65094, '\p{^Pat_Syn=y}', "");
Expect(0, 65094, '\P{Pat_Syn=y}', "");
Expect(1, 65094, '\P{^Pat_Syn=y}', "");
Expect(0, 65095, '\p{Pat_Syn=y}', "");
Expect(1, 65095, '\p{^Pat_Syn=y}', "");
Expect(1, 65095, '\P{Pat_Syn=y}', "");
Expect(0, 65095, '\P{^Pat_Syn=y}', "");
Expect(1, 65094, '\p{Pat_Syn= _Y}', "");
Expect(0, 65094, '\p{^Pat_Syn= _Y}', "");
Expect(0, 65094, '\P{Pat_Syn= _Y}', "");
Expect(1, 65094, '\P{^Pat_Syn= _Y}', "");
Expect(0, 65095, '\p{Pat_Syn= _Y}', "");
Expect(1, 65095, '\p{^Pat_Syn= _Y}', "");
Expect(1, 65095, '\P{Pat_Syn= _Y}', "");
Expect(0, 65095, '\P{^Pat_Syn= _Y}', "");
Error('\p{Is_Pattern_Syntax:   _/a/T}');
Error('\P{Is_Pattern_Syntax:   _/a/T}');
Expect(1, 65094, '\p{Is_Pattern_Syntax=t}', "");
Expect(0, 65094, '\p{^Is_Pattern_Syntax=t}', "");
Expect(0, 65094, '\P{Is_Pattern_Syntax=t}', "");
Expect(1, 65094, '\P{^Is_Pattern_Syntax=t}', "");
Expect(0, 65095, '\p{Is_Pattern_Syntax=t}', "");
Expect(1, 65095, '\p{^Is_Pattern_Syntax=t}', "");
Expect(1, 65095, '\P{Is_Pattern_Syntax=t}', "");
Expect(0, 65095, '\P{^Is_Pattern_Syntax=t}', "");
Expect(1, 65094, '\p{Is_Pattern_Syntax=	 T}', "");
Expect(0, 65094, '\p{^Is_Pattern_Syntax=	 T}', "");
Expect(0, 65094, '\P{Is_Pattern_Syntax=	 T}', "");
Expect(1, 65094, '\P{^Is_Pattern_Syntax=	 T}', "");
Expect(0, 65095, '\p{Is_Pattern_Syntax=	 T}', "");
Expect(1, 65095, '\p{^Is_Pattern_Syntax=	 T}', "");
Expect(1, 65095, '\P{Is_Pattern_Syntax=	 T}', "");
Expect(0, 65095, '\P{^Is_Pattern_Syntax=	 T}', "");
Error('\p{Is_Pat_Syn=:=--true}');
Error('\P{Is_Pat_Syn=:=--true}');
Expect(1, 65094, '\p{Is_Pat_Syn=true}', "");
Expect(0, 65094, '\p{^Is_Pat_Syn=true}', "");
Expect(0, 65094, '\P{Is_Pat_Syn=true}', "");
Expect(1, 65094, '\P{^Is_Pat_Syn=true}', "");
Expect(0, 65095, '\p{Is_Pat_Syn=true}', "");
Expect(1, 65095, '\p{^Is_Pat_Syn=true}', "");
Expect(1, 65095, '\P{Is_Pat_Syn=true}', "");
Expect(0, 65095, '\P{^Is_Pat_Syn=true}', "");
Expect(1, 65094, '\p{Is_Pat_Syn=_ True}', "");
Expect(0, 65094, '\p{^Is_Pat_Syn=_ True}', "");
Expect(0, 65094, '\P{Is_Pat_Syn=_ True}', "");
Expect(1, 65094, '\P{^Is_Pat_Syn=_ True}', "");
Expect(0, 65095, '\p{Is_Pat_Syn=_ True}', "");
Expect(1, 65095, '\p{^Is_Pat_Syn=_ True}', "");
Expect(1, 65095, '\P{Is_Pat_Syn=_ True}', "");
Expect(0, 65095, '\P{^Is_Pat_Syn=_ True}', "");
Error('\p{Pattern_White_Space=		No:=}');
Error('\P{Pattern_White_Space=		No:=}');
Expect(1, 8234, '\p{Pattern_White_Space=no}', "");
Expect(0, 8234, '\p{^Pattern_White_Space=no}', "");
Expect(0, 8234, '\P{Pattern_White_Space=no}', "");
Expect(1, 8234, '\P{^Pattern_White_Space=no}', "");
Expect(0, 8233, '\p{Pattern_White_Space=no}', "");
Expect(1, 8233, '\p{^Pattern_White_Space=no}', "");
Expect(1, 8233, '\P{Pattern_White_Space=no}', "");
Expect(0, 8233, '\P{^Pattern_White_Space=no}', "");
Expect(1, 8234, '\p{Pattern_White_Space=--no}', "");
Expect(0, 8234, '\p{^Pattern_White_Space=--no}', "");
Expect(0, 8234, '\P{Pattern_White_Space=--no}', "");
Expect(1, 8234, '\P{^Pattern_White_Space=--no}', "");
Expect(0, 8233, '\p{Pattern_White_Space=--no}', "");
Expect(1, 8233, '\p{^Pattern_White_Space=--no}', "");
Expect(1, 8233, '\P{Pattern_White_Space=--no}', "");
Expect(0, 8233, '\P{^Pattern_White_Space=--no}', "");
Error('\p{Pat_WS=  N/a/}');
Error('\P{Pat_WS=  N/a/}');
Expect(1, 8234, '\p{Pat_WS=n}', "");
Expect(0, 8234, '\p{^Pat_WS=n}', "");
Expect(0, 8234, '\P{Pat_WS=n}', "");
Expect(1, 8234, '\P{^Pat_WS=n}', "");
Expect(0, 8233, '\p{Pat_WS=n}', "");
Expect(1, 8233, '\p{^Pat_WS=n}', "");
Expect(1, 8233, '\P{Pat_WS=n}', "");
Expect(0, 8233, '\P{^Pat_WS=n}', "");
Expect(1, 8234, '\p{Pat_WS=_n}', "");
Expect(0, 8234, '\p{^Pat_WS=_n}', "");
Expect(0, 8234, '\P{Pat_WS=_n}', "");
Expect(1, 8234, '\P{^Pat_WS=_n}', "");
Expect(0, 8233, '\p{Pat_WS=_n}', "");
Expect(1, 8233, '\p{^Pat_WS=_n}', "");
Expect(1, 8233, '\P{Pat_WS=_n}', "");
Expect(0, 8233, '\P{^Pat_WS=_n}', "");
Error('\p{Is_Pattern_White_Space=_/a/F}');
Error('\P{Is_Pattern_White_Space=_/a/F}');
Expect(1, 8234, '\p{Is_Pattern_White_Space:	f}', "");
Expect(0, 8234, '\p{^Is_Pattern_White_Space:	f}', "");
Expect(0, 8234, '\P{Is_Pattern_White_Space:	f}', "");
Expect(1, 8234, '\P{^Is_Pattern_White_Space:	f}', "");
Expect(0, 8233, '\p{Is_Pattern_White_Space:	f}', "");
Expect(1, 8233, '\p{^Is_Pattern_White_Space:	f}', "");
Expect(1, 8233, '\P{Is_Pattern_White_Space:	f}', "");
Expect(0, 8233, '\P{^Is_Pattern_White_Space:	f}', "");
Expect(1, 8234, '\p{Is_Pattern_White_Space=_ F}', "");
Expect(0, 8234, '\p{^Is_Pattern_White_Space=_ F}', "");
Expect(0, 8234, '\P{Is_Pattern_White_Space=_ F}', "");
Expect(1, 8234, '\P{^Is_Pattern_White_Space=_ F}', "");
Expect(0, 8233, '\p{Is_Pattern_White_Space=_ F}', "");
Expect(1, 8233, '\p{^Is_Pattern_White_Space=_ F}', "");
Expect(1, 8233, '\P{Is_Pattern_White_Space=_ F}', "");
Expect(0, 8233, '\P{^Is_Pattern_White_Space=_ F}', "");
Error('\p{Is_Pat_WS=	/a/False}');
Error('\P{Is_Pat_WS=	/a/False}');
Expect(1, 8234, '\p{Is_Pat_WS=false}', "");
Expect(0, 8234, '\p{^Is_Pat_WS=false}', "");
Expect(0, 8234, '\P{Is_Pat_WS=false}', "");
Expect(1, 8234, '\P{^Is_Pat_WS=false}', "");
Expect(0, 8233, '\p{Is_Pat_WS=false}', "");
Expect(1, 8233, '\p{^Is_Pat_WS=false}', "");
Expect(1, 8233, '\P{Is_Pat_WS=false}', "");
Expect(0, 8233, '\P{^Is_Pat_WS=false}', "");
Expect(1, 8234, '\p{Is_Pat_WS=__False}', "");
Expect(0, 8234, '\p{^Is_Pat_WS=__False}', "");
Expect(0, 8234, '\P{Is_Pat_WS=__False}', "");
Expect(1, 8234, '\P{^Is_Pat_WS=__False}', "");
Expect(0, 8233, '\p{Is_Pat_WS=__False}', "");
Expect(1, 8233, '\p{^Is_Pat_WS=__False}', "");
Expect(1, 8233, '\P{Is_Pat_WS=__False}', "");
Expect(0, 8233, '\P{^Is_Pat_WS=__False}', "");
Error('\p{Pattern_White_Space=_/a/yes}');
Error('\P{Pattern_White_Space=_/a/yes}');
Expect(1, 8233, '\p{Pattern_White_Space=yes}', "");
Expect(0, 8233, '\p{^Pattern_White_Space=yes}', "");
Expect(0, 8233, '\P{Pattern_White_Space=yes}', "");
Expect(1, 8233, '\P{^Pattern_White_Space=yes}', "");
Expect(0, 8234, '\p{Pattern_White_Space=yes}', "");
Expect(1, 8234, '\p{^Pattern_White_Space=yes}', "");
Expect(1, 8234, '\P{Pattern_White_Space=yes}', "");
Expect(0, 8234, '\P{^Pattern_White_Space=yes}', "");
Expect(1, 8233, '\p{Pattern_White_Space=_ YES}', "");
Expect(0, 8233, '\p{^Pattern_White_Space=_ YES}', "");
Expect(0, 8233, '\P{Pattern_White_Space=_ YES}', "");
Expect(1, 8233, '\P{^Pattern_White_Space=_ YES}', "");
Expect(0, 8234, '\p{Pattern_White_Space=_ YES}', "");
Expect(1, 8234, '\p{^Pattern_White_Space=_ YES}', "");
Expect(1, 8234, '\P{Pattern_White_Space=_ YES}', "");
Expect(0, 8234, '\P{^Pattern_White_Space=_ YES}', "");
Error('\p{Pat_WS=_Y:=}');
Error('\P{Pat_WS=_Y:=}');
Expect(1, 8233, '\p{Pat_WS=y}', "");
Expect(0, 8233, '\p{^Pat_WS=y}', "");
Expect(0, 8233, '\P{Pat_WS=y}', "");
Expect(1, 8233, '\P{^Pat_WS=y}', "");
Expect(0, 8234, '\p{Pat_WS=y}', "");
Expect(1, 8234, '\p{^Pat_WS=y}', "");
Expect(1, 8234, '\P{Pat_WS=y}', "");
Expect(0, 8234, '\P{^Pat_WS=y}', "");
Expect(1, 8233, '\p{Pat_WS=- Y}', "");
Expect(0, 8233, '\p{^Pat_WS=- Y}', "");
Expect(0, 8233, '\P{Pat_WS=- Y}', "");
Expect(1, 8233, '\P{^Pat_WS=- Y}', "");
Expect(0, 8234, '\p{Pat_WS=- Y}', "");
Expect(1, 8234, '\p{^Pat_WS=- Y}', "");
Expect(1, 8234, '\P{Pat_WS=- Y}', "");
Expect(0, 8234, '\P{^Pat_WS=- Y}', "");
Error('\p{Is_Pattern_White_Space=:=	 t}');
Error('\P{Is_Pattern_White_Space=:=	 t}');
Expect(1, 8233, '\p{Is_Pattern_White_Space=t}', "");
Expect(0, 8233, '\p{^Is_Pattern_White_Space=t}', "");
Expect(0, 8233, '\P{Is_Pattern_White_Space=t}', "");
Expect(1, 8233, '\P{^Is_Pattern_White_Space=t}', "");
Expect(0, 8234, '\p{Is_Pattern_White_Space=t}', "");
Expect(1, 8234, '\p{^Is_Pattern_White_Space=t}', "");
Expect(1, 8234, '\P{Is_Pattern_White_Space=t}', "");
Expect(0, 8234, '\P{^Is_Pattern_White_Space=t}', "");
Expect(1, 8233, '\p{Is_Pattern_White_Space=	T}', "");
Expect(0, 8233, '\p{^Is_Pattern_White_Space=	T}', "");
Expect(0, 8233, '\P{Is_Pattern_White_Space=	T}', "");
Expect(1, 8233, '\P{^Is_Pattern_White_Space=	T}', "");
Expect(0, 8234, '\p{Is_Pattern_White_Space=	T}', "");
Expect(1, 8234, '\p{^Is_Pattern_White_Space=	T}', "");
Expect(1, 8234, '\P{Is_Pattern_White_Space=	T}', "");
Expect(0, 8234, '\P{^Is_Pattern_White_Space=	T}', "");
Error('\p{Is_Pat_WS=	-True/a/}');
Error('\P{Is_Pat_WS=	-True/a/}');
Expect(1, 8233, '\p{Is_Pat_WS=true}', "");
Expect(0, 8233, '\p{^Is_Pat_WS=true}', "");
Expect(0, 8233, '\P{Is_Pat_WS=true}', "");
Expect(1, 8233, '\P{^Is_Pat_WS=true}', "");
Expect(0, 8234, '\p{Is_Pat_WS=true}', "");
Expect(1, 8234, '\p{^Is_Pat_WS=true}', "");
Expect(1, 8234, '\P{Is_Pat_WS=true}', "");
Expect(0, 8234, '\P{^Is_Pat_WS=true}', "");
Expect(1, 8233, '\p{Is_Pat_WS=-	True}', "");
Expect(0, 8233, '\p{^Is_Pat_WS=-	True}', "");
Expect(0, 8233, '\P{Is_Pat_WS=-	True}', "");
Expect(1, 8233, '\P{^Is_Pat_WS=-	True}', "");
Expect(0, 8234, '\p{Is_Pat_WS=-	True}', "");
Expect(1, 8234, '\p{^Is_Pat_WS=-	True}', "");
Expect(1, 8234, '\P{Is_Pat_WS=-	True}', "");
Expect(0, 8234, '\P{^Is_Pat_WS=-	True}', "");
Error('\p{Quotation_Mark=	/a/no}');
Error('\P{Quotation_Mark=	/a/no}');
Expect(1, 65380, '\p{Quotation_Mark=no}', "");
Expect(0, 65380, '\p{^Quotation_Mark=no}', "");
Expect(0, 65380, '\P{Quotation_Mark=no}', "");
Expect(1, 65380, '\P{^Quotation_Mark=no}', "");
Expect(0, 65379, '\p{Quotation_Mark=no}', "");
Expect(1, 65379, '\p{^Quotation_Mark=no}', "");
Expect(1, 65379, '\P{Quotation_Mark=no}', "");
Expect(0, 65379, '\P{^Quotation_Mark=no}', "");
Expect(1, 65380, '\p{Quotation_Mark=- No}', "");
Expect(0, 65380, '\p{^Quotation_Mark=- No}', "");
Expect(0, 65380, '\P{Quotation_Mark=- No}', "");
Expect(1, 65380, '\P{^Quotation_Mark=- No}', "");
Expect(0, 65379, '\p{Quotation_Mark=- No}', "");
Expect(1, 65379, '\p{^Quotation_Mark=- No}', "");
Expect(1, 65379, '\P{Quotation_Mark=- No}', "");
Expect(0, 65379, '\P{^Quotation_Mark=- No}', "");
Error('\p{QMark= _N:=}');
Error('\P{QMark= _N:=}');
Expect(1, 65380, '\p{QMark:n}', "");
Expect(0, 65380, '\p{^QMark:n}', "");
Expect(0, 65380, '\P{QMark:n}', "");
Expect(1, 65380, '\P{^QMark:n}', "");
Expect(0, 65379, '\p{QMark:n}', "");
Expect(1, 65379, '\p{^QMark:n}', "");
Expect(1, 65379, '\P{QMark:n}', "");
Expect(0, 65379, '\P{^QMark:n}', "");
Expect(1, 65380, '\p{QMark:   		N}', "");
Expect(0, 65380, '\p{^QMark:   		N}', "");
Expect(0, 65380, '\P{QMark:   		N}', "");
Expect(1, 65380, '\P{^QMark:   		N}', "");
Expect(0, 65379, '\p{QMark:   		N}', "");
Expect(1, 65379, '\p{^QMark:   		N}', "");
Expect(1, 65379, '\P{QMark:   		N}', "");
Expect(0, 65379, '\P{^QMark:   		N}', "");
Error('\p{Is_Quotation_Mark= F:=}');
Error('\P{Is_Quotation_Mark= F:=}');
Expect(1, 65380, '\p{Is_Quotation_Mark=f}', "");
Expect(0, 65380, '\p{^Is_Quotation_Mark=f}', "");
Expect(0, 65380, '\P{Is_Quotation_Mark=f}', "");
Expect(1, 65380, '\P{^Is_Quotation_Mark=f}', "");
Expect(0, 65379, '\p{Is_Quotation_Mark=f}', "");
Expect(1, 65379, '\p{^Is_Quotation_Mark=f}', "");
Expect(1, 65379, '\P{Is_Quotation_Mark=f}', "");
Expect(0, 65379, '\P{^Is_Quotation_Mark=f}', "");
Expect(1, 65380, '\p{Is_Quotation_Mark=-F}', "");
Expect(0, 65380, '\p{^Is_Quotation_Mark=-F}', "");
Expect(0, 65380, '\P{Is_Quotation_Mark=-F}', "");
Expect(1, 65380, '\P{^Is_Quotation_Mark=-F}', "");
Expect(0, 65379, '\p{Is_Quotation_Mark=-F}', "");
Expect(1, 65379, '\p{^Is_Quotation_Mark=-F}', "");
Expect(1, 65379, '\P{Is_Quotation_Mark=-F}', "");
Expect(0, 65379, '\P{^Is_Quotation_Mark=-F}', "");
Error('\p{Is_QMark=:=-false}');
Error('\P{Is_QMark=:=-false}');
Expect(1, 65380, '\p{Is_QMark=false}', "");
Expect(0, 65380, '\p{^Is_QMark=false}', "");
Expect(0, 65380, '\P{Is_QMark=false}', "");
Expect(1, 65380, '\P{^Is_QMark=false}', "");
Expect(0, 65379, '\p{Is_QMark=false}', "");
Expect(1, 65379, '\p{^Is_QMark=false}', "");
Expect(1, 65379, '\P{Is_QMark=false}', "");
Expect(0, 65379, '\P{^Is_QMark=false}', "");
Expect(1, 65380, '\p{Is_QMark: -FALSE}', "");
Expect(0, 65380, '\p{^Is_QMark: -FALSE}', "");
Expect(0, 65380, '\P{Is_QMark: -FALSE}', "");
Expect(1, 65380, '\P{^Is_QMark: -FALSE}', "");
Expect(0, 65379, '\p{Is_QMark: -FALSE}', "");
Expect(1, 65379, '\p{^Is_QMark: -FALSE}', "");
Expect(1, 65379, '\P{Is_QMark: -FALSE}', "");
Expect(0, 65379, '\P{^Is_QMark: -FALSE}', "");
Error('\p{Quotation_Mark=_-YES/a/}');
Error('\P{Quotation_Mark=_-YES/a/}');
Expect(1, 65379, '\p{Quotation_Mark=yes}', "");
Expect(0, 65379, '\p{^Quotation_Mark=yes}', "");
Expect(0, 65379, '\P{Quotation_Mark=yes}', "");
Expect(1, 65379, '\P{^Quotation_Mark=yes}', "");
Expect(0, 65380, '\p{Quotation_Mark=yes}', "");
Expect(1, 65380, '\p{^Quotation_Mark=yes}', "");
Expect(1, 65380, '\P{Quotation_Mark=yes}', "");
Expect(0, 65380, '\P{^Quotation_Mark=yes}', "");
Expect(1, 65379, '\p{Quotation_Mark=	YES}', "");
Expect(0, 65379, '\p{^Quotation_Mark=	YES}', "");
Expect(0, 65379, '\P{Quotation_Mark=	YES}', "");
Expect(1, 65379, '\P{^Quotation_Mark=	YES}', "");
Expect(0, 65380, '\p{Quotation_Mark=	YES}', "");
Expect(1, 65380, '\p{^Quotation_Mark=	YES}', "");
Expect(1, 65380, '\P{Quotation_Mark=	YES}', "");
Expect(0, 65380, '\P{^Quotation_Mark=	YES}', "");
Error('\p{QMark= /a/Y}');
Error('\P{QMark= /a/Y}');
Expect(1, 65379, '\p{QMark=y}', "");
Expect(0, 65379, '\p{^QMark=y}', "");
Expect(0, 65379, '\P{QMark=y}', "");
Expect(1, 65379, '\P{^QMark=y}', "");
Expect(0, 65380, '\p{QMark=y}', "");
Expect(1, 65380, '\p{^QMark=y}', "");
Expect(1, 65380, '\P{QMark=y}', "");
Expect(0, 65380, '\P{^QMark=y}', "");
Error('\p{Is_Quotation_Mark::= t}');
Error('\P{Is_Quotation_Mark::= t}');
Expect(1, 65379, '\p{Is_Quotation_Mark=t}', "");
Expect(0, 65379, '\p{^Is_Quotation_Mark=t}', "");
Expect(0, 65379, '\P{Is_Quotation_Mark=t}', "");
Expect(1, 65379, '\P{^Is_Quotation_Mark=t}', "");
Expect(0, 65380, '\p{Is_Quotation_Mark=t}', "");
Expect(1, 65380, '\p{^Is_Quotation_Mark=t}', "");
Expect(1, 65380, '\P{Is_Quotation_Mark=t}', "");
Expect(0, 65380, '\P{^Is_Quotation_Mark=t}', "");
Expect(1, 65379, '\p{Is_Quotation_Mark=_	T}', "");
Expect(0, 65379, '\p{^Is_Quotation_Mark=_	T}', "");
Expect(0, 65379, '\P{Is_Quotation_Mark=_	T}', "");
Expect(1, 65379, '\P{^Is_Quotation_Mark=_	T}', "");
Expect(0, 65380, '\p{Is_Quotation_Mark=_	T}', "");
Expect(1, 65380, '\p{^Is_Quotation_Mark=_	T}', "");
Expect(1, 65380, '\P{Is_Quotation_Mark=_	T}', "");
Expect(0, 65380, '\P{^Is_Quotation_Mark=_	T}', "");
Error('\p{Is_QMark= True/a/}');
Error('\P{Is_QMark= True/a/}');
Expect(1, 65379, '\p{Is_QMark:   true}', "");
Expect(0, 65379, '\p{^Is_QMark:   true}', "");
Expect(0, 65379, '\P{Is_QMark:   true}', "");
Expect(1, 65379, '\P{^Is_QMark:   true}', "");
Expect(0, 65380, '\p{Is_QMark:   true}', "");
Expect(1, 65380, '\p{^Is_QMark:   true}', "");
Expect(1, 65380, '\P{Is_QMark:   true}', "");
Expect(0, 65380, '\P{^Is_QMark:   true}', "");
Expect(1, 65379, '\p{Is_QMark=	_True}', "");
Expect(0, 65379, '\p{^Is_QMark=	_True}', "");
Expect(0, 65379, '\P{Is_QMark=	_True}', "");
Expect(1, 65379, '\P{^Is_QMark=	_True}', "");
Expect(0, 65380, '\p{Is_QMark=	_True}', "");
Expect(1, 65380, '\p{^Is_QMark=	_True}', "");
Expect(1, 65380, '\P{Is_QMark=	_True}', "");
Expect(0, 65380, '\P{^Is_QMark=	_True}', "");
Error('\p{Radical:  	no/a/}');
Error('\P{Radical:  	no/a/}');
Expect(1, 12246, '\p{Radical=no}', "");
Expect(0, 12246, '\p{^Radical=no}', "");
Expect(0, 12246, '\P{Radical=no}', "");
Expect(1, 12246, '\P{^Radical=no}', "");
Expect(0, 12245, '\p{Radical=no}', "");
Expect(1, 12245, '\p{^Radical=no}', "");
Expect(1, 12245, '\P{Radical=no}', "");
Expect(0, 12245, '\P{^Radical=no}', "");
Expect(1, 12246, '\p{Radical=	No}', "");
Expect(0, 12246, '\p{^Radical=	No}', "");
Expect(0, 12246, '\P{Radical=	No}', "");
Expect(1, 12246, '\P{^Radical=	No}', "");
Expect(0, 12245, '\p{Radical=	No}', "");
Expect(1, 12245, '\p{^Radical=	No}', "");
Expect(1, 12245, '\P{Radical=	No}', "");
Expect(0, 12245, '\P{^Radical=	No}', "");
Error('\p{Is_Radical= N:=}');
Error('\P{Is_Radical= N:=}');
Expect(1, 12246, '\p{Is_Radical=n}', "");
Expect(0, 12246, '\p{^Is_Radical=n}', "");
Expect(0, 12246, '\P{Is_Radical=n}', "");
Expect(1, 12246, '\P{^Is_Radical=n}', "");
Expect(0, 12245, '\p{Is_Radical=n}', "");
Expect(1, 12245, '\p{^Is_Radical=n}', "");
Expect(1, 12245, '\P{Is_Radical=n}', "");
Expect(0, 12245, '\P{^Is_Radical=n}', "");
Expect(1, 12246, '\p{Is_Radical=		N}', "");
Expect(0, 12246, '\p{^Is_Radical=		N}', "");
Expect(0, 12246, '\P{Is_Radical=		N}', "");
Expect(1, 12246, '\P{^Is_Radical=		N}', "");
Expect(0, 12245, '\p{Is_Radical=		N}', "");
Expect(1, 12245, '\p{^Is_Radical=		N}', "");
Expect(1, 12245, '\P{Is_Radical=		N}', "");
Expect(0, 12245, '\P{^Is_Radical=		N}', "");
Error('\p{Radical=-f/a/}');
Error('\P{Radical=-f/a/}');
Expect(1, 12246, '\p{Radical=f}', "");
Expect(0, 12246, '\p{^Radical=f}', "");
Expect(0, 12246, '\P{Radical=f}', "");
Expect(1, 12246, '\P{^Radical=f}', "");
Expect(0, 12245, '\p{Radical=f}', "");
Expect(1, 12245, '\p{^Radical=f}', "");
Expect(1, 12245, '\P{Radical=f}', "");
Expect(0, 12245, '\P{^Radical=f}', "");
Expect(1, 12246, '\p{Radical=	_F}', "");
Expect(0, 12246, '\p{^Radical=	_F}', "");
Expect(0, 12246, '\P{Radical=	_F}', "");
Expect(1, 12246, '\P{^Radical=	_F}', "");
Expect(0, 12245, '\p{Radical=	_F}', "");
Expect(1, 12245, '\p{^Radical=	_F}', "");
Expect(1, 12245, '\P{Radical=	_F}', "");
Expect(0, 12245, '\P{^Radical=	_F}', "");
Error('\p{Is_Radical=/a/		false}');
Error('\P{Is_Radical=/a/		false}');
Expect(1, 12246, '\p{Is_Radical=false}', "");
Expect(0, 12246, '\p{^Is_Radical=false}', "");
Expect(0, 12246, '\P{Is_Radical=false}', "");
Expect(1, 12246, '\P{^Is_Radical=false}', "");
Expect(0, 12245, '\p{Is_Radical=false}', "");
Expect(1, 12245, '\p{^Is_Radical=false}', "");
Expect(1, 12245, '\P{Is_Radical=false}', "");
Expect(0, 12245, '\P{^Is_Radical=false}', "");
Expect(1, 12246, '\p{Is_Radical= -FALSE}', "");
Expect(0, 12246, '\p{^Is_Radical= -FALSE}', "");
Expect(0, 12246, '\P{Is_Radical= -FALSE}', "");
Expect(1, 12246, '\P{^Is_Radical= -FALSE}', "");
Expect(0, 12245, '\p{Is_Radical= -FALSE}', "");
Expect(1, 12245, '\p{^Is_Radical= -FALSE}', "");
Expect(1, 12245, '\P{Is_Radical= -FALSE}', "");
Expect(0, 12245, '\P{^Is_Radical= -FALSE}', "");
Error('\p{Radical=--yes:=}');
Error('\P{Radical=--yes:=}');
Expect(1, 12245, '\p{Radical=yes}', "");
Expect(0, 12245, '\p{^Radical=yes}', "");
Expect(0, 12245, '\P{Radical=yes}', "");
Expect(1, 12245, '\P{^Radical=yes}', "");
Expect(0, 12246, '\p{Radical=yes}', "");
Expect(1, 12246, '\p{^Radical=yes}', "");
Expect(1, 12246, '\P{Radical=yes}', "");
Expect(0, 12246, '\P{^Radical=yes}', "");
Expect(1, 12245, '\p{Radical=-Yes}', "");
Expect(0, 12245, '\p{^Radical=-Yes}', "");
Expect(0, 12245, '\P{Radical=-Yes}', "");
Expect(1, 12245, '\P{^Radical=-Yes}', "");
Expect(0, 12246, '\p{Radical=-Yes}', "");
Expect(1, 12246, '\p{^Radical=-Yes}', "");
Expect(1, 12246, '\P{Radical=-Yes}', "");
Expect(0, 12246, '\P{^Radical=-Yes}', "");
Error('\p{Is_Radical=_ y:=}');
Error('\P{Is_Radical=_ y:=}');
Expect(1, 12245, '\p{Is_Radical=y}', "");
Expect(0, 12245, '\p{^Is_Radical=y}', "");
Expect(0, 12245, '\P{Is_Radical=y}', "");
Expect(1, 12245, '\P{^Is_Radical=y}', "");
Expect(0, 12246, '\p{Is_Radical=y}', "");
Expect(1, 12246, '\p{^Is_Radical=y}', "");
Expect(1, 12246, '\P{Is_Radical=y}', "");
Expect(0, 12246, '\P{^Is_Radical=y}', "");
Expect(1, 12245, '\p{Is_Radical= 	y}', "");
Expect(0, 12245, '\p{^Is_Radical= 	y}', "");
Expect(0, 12245, '\P{Is_Radical= 	y}', "");
Expect(1, 12245, '\P{^Is_Radical= 	y}', "");
Expect(0, 12246, '\p{Is_Radical= 	y}', "");
Expect(1, 12246, '\p{^Is_Radical= 	y}', "");
Expect(1, 12246, '\P{Is_Radical= 	y}', "");
Expect(0, 12246, '\P{^Is_Radical= 	y}', "");
Error('\p{Radical=_T:=}');
Error('\P{Radical=_T:=}');
Expect(1, 12245, '\p{Radical=t}', "");
Expect(0, 12245, '\p{^Radical=t}', "");
Expect(0, 12245, '\P{Radical=t}', "");
Expect(1, 12245, '\P{^Radical=t}', "");
Expect(0, 12246, '\p{Radical=t}', "");
Expect(1, 12246, '\p{^Radical=t}', "");
Expect(1, 12246, '\P{Radical=t}', "");
Expect(0, 12246, '\P{^Radical=t}', "");
Expect(1, 12245, '\p{Radical=- t}', "");
Expect(0, 12245, '\p{^Radical=- t}', "");
Expect(0, 12245, '\P{Radical=- t}', "");
Expect(1, 12245, '\P{^Radical=- t}', "");
Expect(0, 12246, '\p{Radical=- t}', "");
Expect(1, 12246, '\p{^Radical=- t}', "");
Expect(1, 12246, '\P{Radical=- t}', "");
Expect(0, 12246, '\P{^Radical=- t}', "");
Error('\p{Is_Radical=:=-	TRUE}');
Error('\P{Is_Radical=:=-	TRUE}');
Expect(1, 12245, '\p{Is_Radical=true}', "");
Expect(0, 12245, '\p{^Is_Radical=true}', "");
Expect(0, 12245, '\P{Is_Radical=true}', "");
Expect(1, 12245, '\P{^Is_Radical=true}', "");
Expect(0, 12246, '\p{Is_Radical=true}', "");
Expect(1, 12246, '\p{^Is_Radical=true}', "");
Expect(1, 12246, '\P{Is_Radical=true}', "");
Expect(0, 12246, '\P{^Is_Radical=true}', "");
Expect(1, 12245, '\p{Is_Radical=-True}', "");
Expect(0, 12245, '\p{^Is_Radical=-True}', "");
Expect(0, 12245, '\P{Is_Radical=-True}', "");
Expect(1, 12245, '\P{^Is_Radical=-True}', "");
Expect(0, 12246, '\p{Is_Radical=-True}', "");
Expect(1, 12246, '\p{^Is_Radical=-True}', "");
Expect(1, 12246, '\P{Is_Radical=-True}', "");
Expect(0, 12246, '\P{^Is_Radical=-True}', "");
Error('\p{Sentence_Break=	_ATerm/a/}');
Error('\P{Sentence_Break=	_ATerm/a/}');
Expect(1, 65294, '\p{Sentence_Break=aterm}', "");
Expect(0, 65294, '\p{^Sentence_Break=aterm}', "");
Expect(0, 65294, '\P{Sentence_Break=aterm}', "");
Expect(1, 65294, '\P{^Sentence_Break=aterm}', "");
Expect(0, 65295, '\p{Sentence_Break=aterm}', "");
Expect(1, 65295, '\p{^Sentence_Break=aterm}', "");
Expect(1, 65295, '\P{Sentence_Break=aterm}', "");
Expect(0, 65295, '\P{^Sentence_Break=aterm}', "");
Expect(1, 65294, '\p{Sentence_Break=  aterm}', "");
Expect(0, 65294, '\p{^Sentence_Break=  aterm}', "");
Expect(0, 65294, '\P{Sentence_Break=  aterm}', "");
Expect(1, 65294, '\P{^Sentence_Break=  aterm}', "");
Expect(0, 65295, '\p{Sentence_Break=  aterm}', "");
Expect(1, 65295, '\p{^Sentence_Break=  aterm}', "");
Expect(1, 65295, '\P{Sentence_Break=  aterm}', "");
Expect(0, 65295, '\P{^Sentence_Break=  aterm}', "");
Error('\p{SB=:= AT}');
Error('\P{SB=:= AT}');
Expect(1, 65294, '\p{SB=at}', "");
Expect(0, 65294, '\p{^SB=at}', "");
Expect(0, 65294, '\P{SB=at}', "");
Expect(1, 65294, '\P{^SB=at}', "");
Expect(0, 65295, '\p{SB=at}', "");
Expect(1, 65295, '\p{^SB=at}', "");
Expect(1, 65295, '\P{SB=at}', "");
Expect(0, 65295, '\P{^SB=at}', "");
Expect(1, 65294, '\p{SB:	AT}', "");
Expect(0, 65294, '\p{^SB:	AT}', "");
Expect(0, 65294, '\P{SB:	AT}', "");
Expect(1, 65294, '\P{^SB:	AT}', "");
Expect(0, 65295, '\p{SB:	AT}', "");
Expect(1, 65295, '\p{^SB:	AT}', "");
Expect(1, 65295, '\P{SB:	AT}', "");
Expect(0, 65295, '\P{^SB:	AT}', "");
Error('\p{Is_Sentence_Break=:=- ATERM}');
Error('\P{Is_Sentence_Break=:=- ATERM}');
Expect(1, 65294, '\p{Is_Sentence_Break:   aterm}', "");
Expect(0, 65294, '\p{^Is_Sentence_Break:   aterm}', "");
Expect(0, 65294, '\P{Is_Sentence_Break:   aterm}', "");
Expect(1, 65294, '\P{^Is_Sentence_Break:   aterm}', "");
Expect(0, 65295, '\p{Is_Sentence_Break:   aterm}', "");
Expect(1, 65295, '\p{^Is_Sentence_Break:   aterm}', "");
Expect(1, 65295, '\P{Is_Sentence_Break:   aterm}', "");
Expect(0, 65295, '\P{^Is_Sentence_Break:   aterm}', "");
Expect(1, 65294, '\p{Is_Sentence_Break=		aterm}', "");
Expect(0, 65294, '\p{^Is_Sentence_Break=		aterm}', "");
Expect(0, 65294, '\P{Is_Sentence_Break=		aterm}', "");
Expect(1, 65294, '\P{^Is_Sentence_Break=		aterm}', "");
Expect(0, 65295, '\p{Is_Sentence_Break=		aterm}', "");
Expect(1, 65295, '\p{^Is_Sentence_Break=		aterm}', "");
Expect(1, 65295, '\P{Is_Sentence_Break=		aterm}', "");
Expect(0, 65295, '\P{^Is_Sentence_Break=		aterm}', "");
Error('\p{Is_SB=/a/ -AT}');
Error('\P{Is_SB=/a/ -AT}');
Expect(1, 65294, '\p{Is_SB=at}', "");
Expect(0, 65294, '\p{^Is_SB=at}', "");
Expect(0, 65294, '\P{Is_SB=at}', "");
Expect(1, 65294, '\P{^Is_SB=at}', "");
Expect(0, 65295, '\p{Is_SB=at}', "");
Expect(1, 65295, '\p{^Is_SB=at}', "");
Expect(1, 65295, '\P{Is_SB=at}', "");
Expect(0, 65295, '\P{^Is_SB=at}', "");
Expect(1, 65294, '\p{Is_SB=-	AT}', "");
Expect(0, 65294, '\p{^Is_SB=-	AT}', "");
Expect(0, 65294, '\P{Is_SB=-	AT}', "");
Expect(1, 65294, '\P{^Is_SB=-	AT}', "");
Expect(0, 65295, '\p{Is_SB=-	AT}', "");
Expect(1, 65295, '\p{^Is_SB=-	AT}', "");
Expect(1, 65295, '\P{Is_SB=-	AT}', "");
Expect(0, 65295, '\P{^Is_SB=-	AT}', "");
Error('\p{Sentence_Break=-:=CLOSE}');
Error('\P{Sentence_Break=-:=CLOSE}');
Expect(1, 128632, '\p{Sentence_Break=close}', "");
Expect(0, 128632, '\p{^Sentence_Break=close}', "");
Expect(0, 128632, '\P{Sentence_Break=close}', "");
Expect(1, 128632, '\P{^Sentence_Break=close}', "");
Expect(0, 128633, '\p{Sentence_Break=close}', "");
Expect(1, 128633, '\p{^Sentence_Break=close}', "");
Expect(1, 128633, '\P{Sentence_Break=close}', "");
Expect(0, 128633, '\P{^Sentence_Break=close}', "");
Expect(1, 128632, '\p{Sentence_Break=_-CLOSE}', "");
Expect(0, 128632, '\p{^Sentence_Break=_-CLOSE}', "");
Expect(0, 128632, '\P{Sentence_Break=_-CLOSE}', "");
Expect(1, 128632, '\P{^Sentence_Break=_-CLOSE}', "");
Expect(0, 128633, '\p{Sentence_Break=_-CLOSE}', "");
Expect(1, 128633, '\p{^Sentence_Break=_-CLOSE}', "");
Expect(1, 128633, '\P{Sentence_Break=_-CLOSE}', "");
Expect(0, 128633, '\P{^Sentence_Break=_-CLOSE}', "");
Error('\p{SB=:=	 CL}');
Error('\P{SB=:=	 CL}');
Expect(1, 128632, '\p{SB=cl}', "");
Expect(0, 128632, '\p{^SB=cl}', "");
Expect(0, 128632, '\P{SB=cl}', "");
Expect(1, 128632, '\P{^SB=cl}', "");
Expect(0, 128633, '\p{SB=cl}', "");
Expect(1, 128633, '\p{^SB=cl}', "");
Expect(1, 128633, '\P{SB=cl}', "");
Expect(0, 128633, '\P{^SB=cl}', "");
Expect(1, 128632, '\p{SB=-_cl}', "");
Expect(0, 128632, '\p{^SB=-_cl}', "");
Expect(0, 128632, '\P{SB=-_cl}', "");
Expect(1, 128632, '\P{^SB=-_cl}', "");
Expect(0, 128633, '\p{SB=-_cl}', "");
Expect(1, 128633, '\p{^SB=-_cl}', "");
Expect(1, 128633, '\P{SB=-_cl}', "");
Expect(0, 128633, '\P{^SB=-_cl}', "");
Error('\p{Is_Sentence_Break=  CLOSE/a/}');
Error('\P{Is_Sentence_Break=  CLOSE/a/}');
Expect(1, 128632, '\p{Is_Sentence_Break=close}', "");
Expect(0, 128632, '\p{^Is_Sentence_Break=close}', "");
Expect(0, 128632, '\P{Is_Sentence_Break=close}', "");
Expect(1, 128632, '\P{^Is_Sentence_Break=close}', "");
Expect(0, 128633, '\p{Is_Sentence_Break=close}', "");
Expect(1, 128633, '\p{^Is_Sentence_Break=close}', "");
Expect(1, 128633, '\P{Is_Sentence_Break=close}', "");
Expect(0, 128633, '\P{^Is_Sentence_Break=close}', "");
Expect(1, 128632, '\p{Is_Sentence_Break=	-close}', "");
Expect(0, 128632, '\p{^Is_Sentence_Break=	-close}', "");
Expect(0, 128632, '\P{Is_Sentence_Break=	-close}', "");
Expect(1, 128632, '\P{^Is_Sentence_Break=	-close}', "");
Expect(0, 128633, '\p{Is_Sentence_Break=	-close}', "");
Expect(1, 128633, '\p{^Is_Sentence_Break=	-close}', "");
Expect(1, 128633, '\P{Is_Sentence_Break=	-close}', "");
Expect(0, 128633, '\P{^Is_Sentence_Break=	-close}', "");
Error('\p{Is_SB=	CL:=}');
Error('\P{Is_SB=	CL:=}');
Expect(1, 128632, '\p{Is_SB=cl}', "");
Expect(0, 128632, '\p{^Is_SB=cl}', "");
Expect(0, 128632, '\P{Is_SB=cl}', "");
Expect(1, 128632, '\P{^Is_SB=cl}', "");
Expect(0, 128633, '\p{Is_SB=cl}', "");
Expect(1, 128633, '\p{^Is_SB=cl}', "");
Expect(1, 128633, '\P{Is_SB=cl}', "");
Expect(0, 128633, '\P{^Is_SB=cl}', "");
Expect(1, 128632, '\p{Is_SB= -CL}', "");
Expect(0, 128632, '\p{^Is_SB= -CL}', "");
Expect(0, 128632, '\P{Is_SB= -CL}', "");
Expect(1, 128632, '\P{^Is_SB= -CL}', "");
Expect(0, 128633, '\p{Is_SB= -CL}', "");
Expect(1, 128633, '\p{^Is_SB= -CL}', "");
Expect(1, 128633, '\P{Is_SB= -CL}', "");
Expect(0, 128633, '\P{^Is_SB= -CL}', "");
Error('\p{Sentence_Break=	CR/a/}');
Error('\P{Sentence_Break=	CR/a/}');
Expect(1, 13, '\p{Sentence_Break=cr}', "");
Expect(0, 13, '\p{^Sentence_Break=cr}', "");
Expect(0, 13, '\P{Sentence_Break=cr}', "");
Expect(1, 13, '\P{^Sentence_Break=cr}', "");
Expect(0, 14, '\p{Sentence_Break=cr}', "");
Expect(1, 14, '\p{^Sentence_Break=cr}', "");
Expect(1, 14, '\P{Sentence_Break=cr}', "");
Expect(0, 14, '\P{^Sentence_Break=cr}', "");
Expect(1, 13, '\p{Sentence_Break:_-cr}', "");
Expect(0, 13, '\p{^Sentence_Break:_-cr}', "");
Expect(0, 13, '\P{Sentence_Break:_-cr}', "");
Expect(1, 13, '\P{^Sentence_Break:_-cr}', "");
Expect(0, 14, '\p{Sentence_Break:_-cr}', "");
Expect(1, 14, '\p{^Sentence_Break:_-cr}', "");
Expect(1, 14, '\P{Sentence_Break:_-cr}', "");
Expect(0, 14, '\P{^Sentence_Break:_-cr}', "");
Error('\p{SB:   /a/ 	cr}');
Error('\P{SB:   /a/ 	cr}');
Expect(1, 13, '\p{SB=cr}', "");
Expect(0, 13, '\p{^SB=cr}', "");
Expect(0, 13, '\P{SB=cr}', "");
Expect(1, 13, '\P{^SB=cr}', "");
Expect(0, 14, '\p{SB=cr}', "");
Expect(1, 14, '\p{^SB=cr}', "");
Expect(1, 14, '\P{SB=cr}', "");
Expect(0, 14, '\P{^SB=cr}', "");
Expect(1, 13, '\p{SB=_CR}', "");
Expect(0, 13, '\p{^SB=_CR}', "");
Expect(0, 13, '\P{SB=_CR}', "");
Expect(1, 13, '\P{^SB=_CR}', "");
Expect(0, 14, '\p{SB=_CR}', "");
Expect(1, 14, '\p{^SB=_CR}', "");
Expect(1, 14, '\P{SB=_CR}', "");
Expect(0, 14, '\P{^SB=_CR}', "");
Error('\p{Is_Sentence_Break=/a/ CR}');
Error('\P{Is_Sentence_Break=/a/ CR}');
Expect(1, 13, '\p{Is_Sentence_Break=cr}', "");
Expect(0, 13, '\p{^Is_Sentence_Break=cr}', "");
Expect(0, 13, '\P{Is_Sentence_Break=cr}', "");
Expect(1, 13, '\P{^Is_Sentence_Break=cr}', "");
Expect(0, 14, '\p{Is_Sentence_Break=cr}', "");
Expect(1, 14, '\p{^Is_Sentence_Break=cr}', "");
Expect(1, 14, '\P{Is_Sentence_Break=cr}', "");
Expect(0, 14, '\P{^Is_Sentence_Break=cr}', "");
Expect(1, 13, '\p{Is_Sentence_Break=-CR}', "");
Expect(0, 13, '\p{^Is_Sentence_Break=-CR}', "");
Expect(0, 13, '\P{Is_Sentence_Break=-CR}', "");
Expect(1, 13, '\P{^Is_Sentence_Break=-CR}', "");
Expect(0, 14, '\p{Is_Sentence_Break=-CR}', "");
Expect(1, 14, '\p{^Is_Sentence_Break=-CR}', "");
Expect(1, 14, '\P{Is_Sentence_Break=-CR}', "");
Expect(0, 14, '\P{^Is_Sentence_Break=-CR}', "");
Error('\p{Is_SB=/a/	CR}');
Error('\P{Is_SB=/a/	CR}');
Expect(1, 13, '\p{Is_SB=cr}', "");
Expect(0, 13, '\p{^Is_SB=cr}', "");
Expect(0, 13, '\P{Is_SB=cr}', "");
Expect(1, 13, '\P{^Is_SB=cr}', "");
Expect(0, 14, '\p{Is_SB=cr}', "");
Expect(1, 14, '\p{^Is_SB=cr}', "");
Expect(1, 14, '\P{Is_SB=cr}', "");
Expect(0, 14, '\P{^Is_SB=cr}', "");
Expect(1, 13, '\p{Is_SB=__CR}', "");
Expect(0, 13, '\p{^Is_SB=__CR}', "");
Expect(0, 13, '\P{Is_SB=__CR}', "");
Expect(1, 13, '\P{^Is_SB=__CR}', "");
Expect(0, 14, '\p{Is_SB=__CR}', "");
Expect(1, 14, '\p{^Is_SB=__CR}', "");
Expect(1, 14, '\P{Is_SB=__CR}', "");
Expect(0, 14, '\P{^Is_SB=__CR}', "");
Error('\p{Sentence_Break= EXTEND/a/}');
Error('\P{Sentence_Break= EXTEND/a/}');
Expect(1, 917999, '\p{Sentence_Break=extend}', "");
Expect(0, 917999, '\p{^Sentence_Break=extend}', "");
Expect(0, 917999, '\P{Sentence_Break=extend}', "");
Expect(1, 917999, '\P{^Sentence_Break=extend}', "");
Expect(0, 918000, '\p{Sentence_Break=extend}', "");
Expect(1, 918000, '\p{^Sentence_Break=extend}', "");
Expect(1, 918000, '\P{Sentence_Break=extend}', "");
Expect(0, 918000, '\P{^Sentence_Break=extend}', "");
Expect(1, 917999, '\p{Sentence_Break=--EXTEND}', "");
Expect(0, 917999, '\p{^Sentence_Break=--EXTEND}', "");
Expect(0, 917999, '\P{Sentence_Break=--EXTEND}', "");
Expect(1, 917999, '\P{^Sentence_Break=--EXTEND}', "");
Expect(0, 918000, '\p{Sentence_Break=--EXTEND}', "");
Expect(1, 918000, '\p{^Sentence_Break=--EXTEND}', "");
Expect(1, 918000, '\P{Sentence_Break=--EXTEND}', "");
Expect(0, 918000, '\P{^Sentence_Break=--EXTEND}', "");
Error('\p{SB: :=	EX}');
Error('\P{SB: :=	EX}');
Expect(1, 917999, '\p{SB=ex}', "");
Expect(0, 917999, '\p{^SB=ex}', "");
Expect(0, 917999, '\P{SB=ex}', "");
Expect(1, 917999, '\P{^SB=ex}', "");
Expect(0, 918000, '\p{SB=ex}', "");
Expect(1, 918000, '\p{^SB=ex}', "");
Expect(1, 918000, '\P{SB=ex}', "");
Expect(0, 918000, '\P{^SB=ex}', "");
Expect(1, 917999, '\p{SB=_ex}', "");
Expect(0, 917999, '\p{^SB=_ex}', "");
Expect(0, 917999, '\P{SB=_ex}', "");
Expect(1, 917999, '\P{^SB=_ex}', "");
Expect(0, 918000, '\p{SB=_ex}', "");
Expect(1, 918000, '\p{^SB=_ex}', "");
Expect(1, 918000, '\P{SB=_ex}', "");
Expect(0, 918000, '\P{^SB=_ex}', "");
Error('\p{Is_Sentence_Break=_Extend:=}');
Error('\P{Is_Sentence_Break=_Extend:=}');
Expect(1, 917999, '\p{Is_Sentence_Break=extend}', "");
Expect(0, 917999, '\p{^Is_Sentence_Break=extend}', "");
Expect(0, 917999, '\P{Is_Sentence_Break=extend}', "");
Expect(1, 917999, '\P{^Is_Sentence_Break=extend}', "");
Expect(0, 918000, '\p{Is_Sentence_Break=extend}', "");
Expect(1, 918000, '\p{^Is_Sentence_Break=extend}', "");
Expect(1, 918000, '\P{Is_Sentence_Break=extend}', "");
Expect(0, 918000, '\P{^Is_Sentence_Break=extend}', "");
Expect(1, 917999, '\p{Is_Sentence_Break= _EXTEND}', "");
Expect(0, 917999, '\p{^Is_Sentence_Break= _EXTEND}', "");
Expect(0, 917999, '\P{Is_Sentence_Break= _EXTEND}', "");
Expect(1, 917999, '\P{^Is_Sentence_Break= _EXTEND}', "");
Expect(0, 918000, '\p{Is_Sentence_Break= _EXTEND}', "");
Expect(1, 918000, '\p{^Is_Sentence_Break= _EXTEND}', "");
Expect(1, 918000, '\P{Is_Sentence_Break= _EXTEND}', "");
Expect(0, 918000, '\P{^Is_Sentence_Break= _EXTEND}', "");
Error('\p{Is_SB=	_ex/a/}');
Error('\P{Is_SB=	_ex/a/}');
Expect(1, 917999, '\p{Is_SB=ex}', "");
Expect(0, 917999, '\p{^Is_SB=ex}', "");
Expect(0, 917999, '\P{Is_SB=ex}', "");
Expect(1, 917999, '\P{^Is_SB=ex}', "");
Expect(0, 918000, '\p{Is_SB=ex}', "");
Expect(1, 918000, '\p{^Is_SB=ex}', "");
Expect(1, 918000, '\P{Is_SB=ex}', "");
Expect(0, 918000, '\P{^Is_SB=ex}', "");
Expect(1, 917999, '\p{Is_SB=-	EX}', "");
Expect(0, 917999, '\p{^Is_SB=-	EX}', "");
Expect(0, 917999, '\P{Is_SB=-	EX}', "");
Expect(1, 917999, '\P{^Is_SB=-	EX}', "");
Expect(0, 918000, '\p{Is_SB=-	EX}', "");
Expect(1, 918000, '\p{^Is_SB=-	EX}', "");
Expect(1, 918000, '\P{Is_SB=-	EX}', "");
Expect(0, 918000, '\P{^Is_SB=-	EX}', "");
Error('\p{Sentence_Break=:=- FORMAT}');
Error('\P{Sentence_Break=:=- FORMAT}');
Expect(1, 917631, '\p{Sentence_Break=format}', "");
Expect(0, 917631, '\p{^Sentence_Break=format}', "");
Expect(0, 917631, '\P{Sentence_Break=format}', "");
Expect(1, 917631, '\P{^Sentence_Break=format}', "");
Expect(0, 917632, '\p{Sentence_Break=format}', "");
Expect(1, 917632, '\p{^Sentence_Break=format}', "");
Expect(1, 917632, '\P{Sentence_Break=format}', "");
Expect(0, 917632, '\P{^Sentence_Break=format}', "");
Expect(1, 917631, '\p{Sentence_Break=	_format}', "");
Expect(0, 917631, '\p{^Sentence_Break=	_format}', "");
Expect(0, 917631, '\P{Sentence_Break=	_format}', "");
Expect(1, 917631, '\P{^Sentence_Break=	_format}', "");
Expect(0, 917632, '\p{Sentence_Break=	_format}', "");
Expect(1, 917632, '\p{^Sentence_Break=	_format}', "");
Expect(1, 917632, '\P{Sentence_Break=	_format}', "");
Expect(0, 917632, '\P{^Sentence_Break=	_format}', "");
Error('\p{SB:_/a/FO}');
Error('\P{SB:_/a/FO}');
Expect(1, 917631, '\p{SB=fo}', "");
Expect(0, 917631, '\p{^SB=fo}', "");
Expect(0, 917631, '\P{SB=fo}', "");
Expect(1, 917631, '\P{^SB=fo}', "");
Expect(0, 917632, '\p{SB=fo}', "");
Expect(1, 917632, '\p{^SB=fo}', "");
Expect(1, 917632, '\P{SB=fo}', "");
Expect(0, 917632, '\P{^SB=fo}', "");
Expect(1, 917631, '\p{SB=_-fo}', "");
Expect(0, 917631, '\p{^SB=_-fo}', "");
Expect(0, 917631, '\P{SB=_-fo}', "");
Expect(1, 917631, '\P{^SB=_-fo}', "");
Expect(0, 917632, '\p{SB=_-fo}', "");
Expect(1, 917632, '\p{^SB=_-fo}', "");
Expect(1, 917632, '\P{SB=_-fo}', "");
Expect(0, 917632, '\P{^SB=_-fo}', "");
Error('\p{Is_Sentence_Break=_:=Format}');
Error('\P{Is_Sentence_Break=_:=Format}');
Expect(1, 917631, '\p{Is_Sentence_Break=format}', "");
Expect(0, 917631, '\p{^Is_Sentence_Break=format}', "");
Expect(0, 917631, '\P{Is_Sentence_Break=format}', "");
Expect(1, 917631, '\P{^Is_Sentence_Break=format}', "");
Expect(0, 917632, '\p{Is_Sentence_Break=format}', "");
Expect(1, 917632, '\p{^Is_Sentence_Break=format}', "");
Expect(1, 917632, '\P{Is_Sentence_Break=format}', "");
Expect(0, 917632, '\P{^Is_Sentence_Break=format}', "");
Expect(1, 917631, '\p{Is_Sentence_Break=_-format}', "");
Expect(0, 917631, '\p{^Is_Sentence_Break=_-format}', "");
Expect(0, 917631, '\P{Is_Sentence_Break=_-format}', "");
Expect(1, 917631, '\P{^Is_Sentence_Break=_-format}', "");
Expect(0, 917632, '\p{Is_Sentence_Break=_-format}', "");
Expect(1, 917632, '\p{^Is_Sentence_Break=_-format}', "");
Expect(1, 917632, '\P{Is_Sentence_Break=_-format}', "");
Expect(0, 917632, '\P{^Is_Sentence_Break=_-format}', "");
Error('\p{Is_SB=  fo/a/}');
Error('\P{Is_SB=  fo/a/}');
Expect(1, 917631, '\p{Is_SB=fo}', "");
Expect(0, 917631, '\p{^Is_SB=fo}', "");
Expect(0, 917631, '\P{Is_SB=fo}', "");
Expect(1, 917631, '\P{^Is_SB=fo}', "");
Expect(0, 917632, '\p{Is_SB=fo}', "");
Expect(1, 917632, '\p{^Is_SB=fo}', "");
Expect(1, 917632, '\P{Is_SB=fo}', "");
Expect(0, 917632, '\P{^Is_SB=fo}', "");
Expect(1, 917631, '\p{Is_SB=-FO}', "");
Expect(0, 917631, '\p{^Is_SB=-FO}', "");
Expect(0, 917631, '\P{Is_SB=-FO}', "");
Expect(1, 917631, '\P{^Is_SB=-FO}', "");
Expect(0, 917632, '\p{Is_SB=-FO}', "");
Expect(1, 917632, '\p{^Is_SB=-FO}', "");
Expect(1, 917632, '\P{Is_SB=-FO}', "");
Expect(0, 917632, '\P{^Is_SB=-FO}', "");
Error('\p{Sentence_Break=:=__OLetter}');
Error('\P{Sentence_Break=:=__OLetter}');
Expect(1, 195101, '\p{Sentence_Break=oletter}', "");
Expect(0, 195101, '\p{^Sentence_Break=oletter}', "");
Expect(0, 195101, '\P{Sentence_Break=oletter}', "");
Expect(1, 195101, '\P{^Sentence_Break=oletter}', "");
Expect(0, 195102, '\p{Sentence_Break=oletter}', "");
Expect(1, 195102, '\p{^Sentence_Break=oletter}', "");
Expect(1, 195102, '\P{Sentence_Break=oletter}', "");
Expect(0, 195102, '\P{^Sentence_Break=oletter}', "");
Expect(1, 195101, '\p{Sentence_Break=-oletter}', "");
Expect(0, 195101, '\p{^Sentence_Break=-oletter}', "");
Expect(0, 195101, '\P{Sentence_Break=-oletter}', "");
Expect(1, 195101, '\P{^Sentence_Break=-oletter}', "");
Expect(0, 195102, '\p{Sentence_Break=-oletter}', "");
Expect(1, 195102, '\p{^Sentence_Break=-oletter}', "");
Expect(1, 195102, '\P{Sentence_Break=-oletter}', "");
Expect(0, 195102, '\P{^Sentence_Break=-oletter}', "");
Error('\p{SB= le:=}');
Error('\P{SB= le:=}');
Expect(1, 195101, '\p{SB=le}', "");
Expect(0, 195101, '\p{^SB=le}', "");
Expect(0, 195101, '\P{SB=le}', "");
Expect(1, 195101, '\P{^SB=le}', "");
Expect(0, 195102, '\p{SB=le}', "");
Expect(1, 195102, '\p{^SB=le}', "");
Expect(1, 195102, '\P{SB=le}', "");
Expect(0, 195102, '\P{^SB=le}', "");
Expect(1, 195101, '\p{SB=	LE}', "");
Expect(0, 195101, '\p{^SB=	LE}', "");
Expect(0, 195101, '\P{SB=	LE}', "");
Expect(1, 195101, '\P{^SB=	LE}', "");
Expect(0, 195102, '\p{SB=	LE}', "");
Expect(1, 195102, '\p{^SB=	LE}', "");
Expect(1, 195102, '\P{SB=	LE}', "");
Expect(0, 195102, '\P{^SB=	LE}', "");
Error('\p{Is_Sentence_Break=-:=OLetter}');
Error('\P{Is_Sentence_Break=-:=OLetter}');
Expect(1, 195101, '\p{Is_Sentence_Break=oletter}', "");
Expect(0, 195101, '\p{^Is_Sentence_Break=oletter}', "");
Expect(0, 195101, '\P{Is_Sentence_Break=oletter}', "");
Expect(1, 195101, '\P{^Is_Sentence_Break=oletter}', "");
Expect(0, 195102, '\p{Is_Sentence_Break=oletter}', "");
Expect(1, 195102, '\p{^Is_Sentence_Break=oletter}', "");
Expect(1, 195102, '\P{Is_Sentence_Break=oletter}', "");
Expect(0, 195102, '\P{^Is_Sentence_Break=oletter}', "");
Expect(1, 195101, '\p{Is_Sentence_Break:   -OLetter}', "");
Expect(0, 195101, '\p{^Is_Sentence_Break:   -OLetter}', "");
Expect(0, 195101, '\P{Is_Sentence_Break:   -OLetter}', "");
Expect(1, 195101, '\P{^Is_Sentence_Break:   -OLetter}', "");
Expect(0, 195102, '\p{Is_Sentence_Break:   -OLetter}', "");
Expect(1, 195102, '\p{^Is_Sentence_Break:   -OLetter}', "");
Expect(1, 195102, '\P{Is_Sentence_Break:   -OLetter}', "");
Expect(0, 195102, '\P{^Is_Sentence_Break:   -OLetter}', "");
Error('\p{Is_SB=_LE:=}');
Error('\P{Is_SB=_LE:=}');
Expect(1, 195101, '\p{Is_SB=le}', "");
Expect(0, 195101, '\p{^Is_SB=le}', "");
Expect(0, 195101, '\P{Is_SB=le}', "");
Expect(1, 195101, '\P{^Is_SB=le}', "");
Expect(0, 195102, '\p{Is_SB=le}', "");
Expect(1, 195102, '\p{^Is_SB=le}', "");
Expect(1, 195102, '\P{Is_SB=le}', "");
Expect(0, 195102, '\P{^Is_SB=le}', "");
Expect(1, 195101, '\p{Is_SB=		le}', "");
Expect(0, 195101, '\p{^Is_SB=		le}', "");
Expect(0, 195101, '\P{Is_SB=		le}', "");
Expect(1, 195101, '\P{^Is_SB=		le}', "");
Expect(0, 195102, '\p{Is_SB=		le}', "");
Expect(1, 195102, '\p{^Is_SB=		le}', "");
Expect(1, 195102, '\P{Is_SB=		le}', "");
Expect(0, 195102, '\P{^Is_SB=		le}', "");
Error('\p{Sentence_Break=	:=LF}');
Error('\P{Sentence_Break=	:=LF}');
Expect(1, 10, '\p{Sentence_Break=lf}', "");
Expect(0, 10, '\p{^Sentence_Break=lf}', "");
Expect(0, 10, '\P{Sentence_Break=lf}', "");
Expect(1, 10, '\P{^Sentence_Break=lf}', "");
Expect(0, 11, '\p{Sentence_Break=lf}', "");
Expect(1, 11, '\p{^Sentence_Break=lf}', "");
Expect(1, 11, '\P{Sentence_Break=lf}', "");
Expect(0, 11, '\P{^Sentence_Break=lf}', "");
Expect(1, 10, '\p{Sentence_Break= LF}', "");
Expect(0, 10, '\p{^Sentence_Break= LF}', "");
Expect(0, 10, '\P{Sentence_Break= LF}', "");
Expect(1, 10, '\P{^Sentence_Break= LF}', "");
Expect(0, 11, '\p{Sentence_Break= LF}', "");
Expect(1, 11, '\p{^Sentence_Break= LF}', "");
Expect(1, 11, '\P{Sentence_Break= LF}', "");
Expect(0, 11, '\P{^Sentence_Break= LF}', "");
Error('\p{SB=	/a/LF}');
Error('\P{SB=	/a/LF}');
Expect(1, 10, '\p{SB=lf}', "");
Expect(0, 10, '\p{^SB=lf}', "");
Expect(0, 10, '\P{SB=lf}', "");
Expect(1, 10, '\P{^SB=lf}', "");
Expect(0, 11, '\p{SB=lf}', "");
Expect(1, 11, '\p{^SB=lf}', "");
Expect(1, 11, '\P{SB=lf}', "");
Expect(0, 11, '\P{^SB=lf}', "");
Expect(1, 10, '\p{SB=__LF}', "");
Expect(0, 10, '\p{^SB=__LF}', "");
Expect(0, 10, '\P{SB=__LF}', "");
Expect(1, 10, '\P{^SB=__LF}', "");
Expect(0, 11, '\p{SB=__LF}', "");
Expect(1, 11, '\p{^SB=__LF}', "");
Expect(1, 11, '\P{SB=__LF}', "");
Expect(0, 11, '\P{^SB=__LF}', "");
Error('\p{Is_Sentence_Break=	 lf:=}');
Error('\P{Is_Sentence_Break=	 lf:=}');
Expect(1, 10, '\p{Is_Sentence_Break=lf}', "");
Expect(0, 10, '\p{^Is_Sentence_Break=lf}', "");
Expect(0, 10, '\P{Is_Sentence_Break=lf}', "");
Expect(1, 10, '\P{^Is_Sentence_Break=lf}', "");
Expect(0, 11, '\p{Is_Sentence_Break=lf}', "");
Expect(1, 11, '\p{^Is_Sentence_Break=lf}', "");
Expect(1, 11, '\P{Is_Sentence_Break=lf}', "");
Expect(0, 11, '\P{^Is_Sentence_Break=lf}', "");
Expect(1, 10, '\p{Is_Sentence_Break: _ LF}', "");
Expect(0, 10, '\p{^Is_Sentence_Break: _ LF}', "");
Expect(0, 10, '\P{Is_Sentence_Break: _ LF}', "");
Expect(1, 10, '\P{^Is_Sentence_Break: _ LF}', "");
Expect(0, 11, '\p{Is_Sentence_Break: _ LF}', "");
Expect(1, 11, '\p{^Is_Sentence_Break: _ LF}', "");
Expect(1, 11, '\P{Is_Sentence_Break: _ LF}', "");
Expect(0, 11, '\P{^Is_Sentence_Break: _ LF}', "");
Error('\p{Is_SB=:=	LF}');
Error('\P{Is_SB=:=	LF}');
Expect(1, 10, '\p{Is_SB=lf}', "");
Expect(0, 10, '\p{^Is_SB=lf}', "");
Expect(0, 10, '\P{Is_SB=lf}', "");
Expect(1, 10, '\P{^Is_SB=lf}', "");
Expect(0, 11, '\p{Is_SB=lf}', "");
Expect(1, 11, '\p{^Is_SB=lf}', "");
Expect(1, 11, '\P{Is_SB=lf}', "");
Expect(0, 11, '\P{^Is_SB=lf}', "");
Expect(1, 10, '\p{Is_SB=_ LF}', "");
Expect(0, 10, '\p{^Is_SB=_ LF}', "");
Expect(0, 10, '\P{Is_SB=_ LF}', "");
Expect(1, 10, '\P{^Is_SB=_ LF}', "");
Expect(0, 11, '\p{Is_SB=_ LF}', "");
Expect(1, 11, '\p{^Is_SB=_ LF}', "");
Expect(1, 11, '\P{Is_SB=_ LF}', "");
Expect(0, 11, '\P{^Is_SB=_ LF}', "");
Error('\p{Sentence_Break=	/a/lower}');
Error('\P{Sentence_Break=	/a/lower}');
Expect(1, 120779, '\p{Sentence_Break=lower}', "");
Expect(0, 120779, '\p{^Sentence_Break=lower}', "");
Expect(0, 120779, '\P{Sentence_Break=lower}', "");
Expect(1, 120779, '\P{^Sentence_Break=lower}', "");
Expect(0, 120780, '\p{Sentence_Break=lower}', "");
Expect(1, 120780, '\p{^Sentence_Break=lower}', "");
Expect(1, 120780, '\P{Sentence_Break=lower}', "");
Expect(0, 120780, '\P{^Sentence_Break=lower}', "");
Expect(1, 120779, '\p{Sentence_Break=-LOWER}', "");
Expect(0, 120779, '\p{^Sentence_Break=-LOWER}', "");
Expect(0, 120779, '\P{Sentence_Break=-LOWER}', "");
Expect(1, 120779, '\P{^Sentence_Break=-LOWER}', "");
Expect(0, 120780, '\p{Sentence_Break=-LOWER}', "");
Expect(1, 120780, '\p{^Sentence_Break=-LOWER}', "");
Expect(1, 120780, '\P{Sentence_Break=-LOWER}', "");
Expect(0, 120780, '\P{^Sentence_Break=-LOWER}', "");
Error('\p{SB:	:= LO}');
Error('\P{SB:	:= LO}');
Expect(1, 120779, '\p{SB:lo}', "");
Expect(0, 120779, '\p{^SB:lo}', "");
Expect(0, 120779, '\P{SB:lo}', "");
Expect(1, 120779, '\P{^SB:lo}', "");
Expect(0, 120780, '\p{SB:lo}', "");
Expect(1, 120780, '\p{^SB:lo}', "");
Expect(1, 120780, '\P{SB:lo}', "");
Expect(0, 120780, '\P{^SB:lo}', "");
Expect(1, 120779, '\p{SB=	 lo}', "");
Expect(0, 120779, '\p{^SB=	 lo}', "");
Expect(0, 120779, '\P{SB=	 lo}', "");
Expect(1, 120779, '\P{^SB=	 lo}', "");
Expect(0, 120780, '\p{SB=	 lo}', "");
Expect(1, 120780, '\p{^SB=	 lo}', "");
Expect(1, 120780, '\P{SB=	 lo}', "");
Expect(0, 120780, '\P{^SB=	 lo}', "");
Error('\p{Is_Sentence_Break=/a/	Lower}');
Error('\P{Is_Sentence_Break=/a/	Lower}');
Expect(1, 120779, '\p{Is_Sentence_Break=lower}', "");
Expect(0, 120779, '\p{^Is_Sentence_Break=lower}', "");
Expect(0, 120779, '\P{Is_Sentence_Break=lower}', "");
Expect(1, 120779, '\P{^Is_Sentence_Break=lower}', "");
Expect(0, 120780, '\p{Is_Sentence_Break=lower}', "");
Expect(1, 120780, '\p{^Is_Sentence_Break=lower}', "");
Expect(1, 120780, '\P{Is_Sentence_Break=lower}', "");
Expect(0, 120780, '\P{^Is_Sentence_Break=lower}', "");
Expect(1, 120779, '\p{Is_Sentence_Break= 	LOWER}', "");
Expect(0, 120779, '\p{^Is_Sentence_Break= 	LOWER}', "");
Expect(0, 120779, '\P{Is_Sentence_Break= 	LOWER}', "");
Expect(1, 120779, '\P{^Is_Sentence_Break= 	LOWER}', "");
Expect(0, 120780, '\p{Is_Sentence_Break= 	LOWER}', "");
Expect(1, 120780, '\p{^Is_Sentence_Break= 	LOWER}', "");
Expect(1, 120780, '\P{Is_Sentence_Break= 	LOWER}', "");
Expect(0, 120780, '\P{^Is_Sentence_Break= 	LOWER}', "");
Error('\p{Is_SB:_lo/a/}');
Error('\P{Is_SB:_lo/a/}');
Expect(1, 120779, '\p{Is_SB=lo}', "");
Expect(0, 120779, '\p{^Is_SB=lo}', "");
Expect(0, 120779, '\P{Is_SB=lo}', "");
Expect(1, 120779, '\P{^Is_SB=lo}', "");
Expect(0, 120780, '\p{Is_SB=lo}', "");
Expect(1, 120780, '\p{^Is_SB=lo}', "");
Expect(1, 120780, '\P{Is_SB=lo}', "");
Expect(0, 120780, '\P{^Is_SB=lo}', "");
Expect(1, 120779, '\p{Is_SB=	-LO}', "");
Expect(0, 120779, '\p{^Is_SB=	-LO}', "");
Expect(0, 120779, '\P{Is_SB=	-LO}', "");
Expect(1, 120779, '\P{^Is_SB=	-LO}', "");
Expect(0, 120780, '\p{Is_SB=	-LO}', "");
Expect(1, 120780, '\p{^Is_SB=	-LO}', "");
Expect(1, 120780, '\P{Is_SB=	-LO}', "");
Expect(0, 120780, '\P{^Is_SB=	-LO}', "");
Error('\p{Sentence_Break=/a/	 NUMERIC}');
Error('\P{Sentence_Break=/a/	 NUMERIC}');
Expect(1, 120831, '\p{Sentence_Break=numeric}', "");
Expect(0, 120831, '\p{^Sentence_Break=numeric}', "");
Expect(0, 120831, '\P{Sentence_Break=numeric}', "");
Expect(1, 120831, '\P{^Sentence_Break=numeric}', "");
Expect(0, 120832, '\p{Sentence_Break=numeric}', "");
Expect(1, 120832, '\p{^Sentence_Break=numeric}', "");
Expect(1, 120832, '\P{Sentence_Break=numeric}', "");
Expect(0, 120832, '\P{^Sentence_Break=numeric}', "");
Expect(1, 120831, '\p{Sentence_Break=  numeric}', "");
Expect(0, 120831, '\p{^Sentence_Break=  numeric}', "");
Expect(0, 120831, '\P{Sentence_Break=  numeric}', "");
Expect(1, 120831, '\P{^Sentence_Break=  numeric}', "");
Expect(0, 120832, '\p{Sentence_Break=  numeric}', "");
Expect(1, 120832, '\p{^Sentence_Break=  numeric}', "");
Expect(1, 120832, '\P{Sentence_Break=  numeric}', "");
Expect(0, 120832, '\P{^Sentence_Break=  numeric}', "");
Error('\p{SB: :=NU}');
Error('\P{SB: :=NU}');
Expect(1, 120831, '\p{SB=nu}', "");
Expect(0, 120831, '\p{^SB=nu}', "");
Expect(0, 120831, '\P{SB=nu}', "");
Expect(1, 120831, '\P{^SB=nu}', "");
Expect(0, 120832, '\p{SB=nu}', "");
Expect(1, 120832, '\p{^SB=nu}', "");
Expect(1, 120832, '\P{SB=nu}', "");
Expect(0, 120832, '\P{^SB=nu}', "");
Expect(1, 120831, '\p{SB=	_NU}', "");
Expect(0, 120831, '\p{^SB=	_NU}', "");
Expect(0, 120831, '\P{SB=	_NU}', "");
Expect(1, 120831, '\P{^SB=	_NU}', "");
Expect(0, 120832, '\p{SB=	_NU}', "");
Expect(1, 120832, '\p{^SB=	_NU}', "");
Expect(1, 120832, '\P{SB=	_NU}', "");
Expect(0, 120832, '\P{^SB=	_NU}', "");
Error('\p{Is_Sentence_Break=	NUMERIC/a/}');
Error('\P{Is_Sentence_Break=	NUMERIC/a/}');
Expect(1, 120831, '\p{Is_Sentence_Break=numeric}', "");
Expect(0, 120831, '\p{^Is_Sentence_Break=numeric}', "");
Expect(0, 120831, '\P{Is_Sentence_Break=numeric}', "");
Expect(1, 120831, '\P{^Is_Sentence_Break=numeric}', "");
Expect(0, 120832, '\p{Is_Sentence_Break=numeric}', "");
Expect(1, 120832, '\p{^Is_Sentence_Break=numeric}', "");
Expect(1, 120832, '\P{Is_Sentence_Break=numeric}', "");
Expect(0, 120832, '\P{^Is_Sentence_Break=numeric}', "");
Expect(1, 120831, '\p{Is_Sentence_Break=  Numeric}', "");
Expect(0, 120831, '\p{^Is_Sentence_Break=  Numeric}', "");
Expect(0, 120831, '\P{Is_Sentence_Break=  Numeric}', "");
Expect(1, 120831, '\P{^Is_Sentence_Break=  Numeric}', "");
Expect(0, 120832, '\p{Is_Sentence_Break=  Numeric}', "");
Expect(1, 120832, '\p{^Is_Sentence_Break=  Numeric}', "");
Expect(1, 120832, '\P{Is_Sentence_Break=  Numeric}', "");
Expect(0, 120832, '\P{^Is_Sentence_Break=  Numeric}', "");
Error('\p{Is_SB=-/a/NU}');
Error('\P{Is_SB=-/a/NU}');
Expect(1, 120831, '\p{Is_SB:nu}', "");
Expect(0, 120831, '\p{^Is_SB:nu}', "");
Expect(0, 120831, '\P{Is_SB:nu}', "");
Expect(1, 120831, '\P{^Is_SB:nu}', "");
Expect(0, 120832, '\p{Is_SB:nu}', "");
Expect(1, 120832, '\p{^Is_SB:nu}', "");
Expect(1, 120832, '\P{Is_SB:nu}', "");
Expect(0, 120832, '\P{^Is_SB:nu}', "");
Expect(1, 120831, '\p{Is_SB=	-NU}', "");
Expect(0, 120831, '\p{^Is_SB=	-NU}', "");
Expect(0, 120831, '\P{Is_SB=	-NU}', "");
Expect(1, 120831, '\P{^Is_SB=	-NU}', "");
Expect(0, 120832, '\p{Is_SB=	-NU}', "");
Expect(1, 120832, '\p{^Is_SB=	-NU}', "");
Expect(1, 120832, '\P{Is_SB=	-NU}', "");
Expect(0, 120832, '\P{^Is_SB=	-NU}', "");
Error('\p{Sentence_Break:_:=scontinue}');
Error('\P{Sentence_Break:_:=scontinue}');
Expect(1, 65380, '\p{Sentence_Break=scontinue}', "");
Expect(0, 65380, '\p{^Sentence_Break=scontinue}', "");
Expect(0, 65380, '\P{Sentence_Break=scontinue}', "");
Expect(1, 65380, '\P{^Sentence_Break=scontinue}', "");
Expect(0, 65381, '\p{Sentence_Break=scontinue}', "");
Expect(1, 65381, '\p{^Sentence_Break=scontinue}', "");
Expect(1, 65381, '\P{Sentence_Break=scontinue}', "");
Expect(0, 65381, '\P{^Sentence_Break=scontinue}', "");
Expect(1, 65380, '\p{Sentence_Break:   	-SCONTINUE}', "");
Expect(0, 65380, '\p{^Sentence_Break:   	-SCONTINUE}', "");
Expect(0, 65380, '\P{Sentence_Break:   	-SCONTINUE}', "");
Expect(1, 65380, '\P{^Sentence_Break:   	-SCONTINUE}', "");
Expect(0, 65381, '\p{Sentence_Break:   	-SCONTINUE}', "");
Expect(1, 65381, '\p{^Sentence_Break:   	-SCONTINUE}', "");
Expect(1, 65381, '\P{Sentence_Break:   	-SCONTINUE}', "");
Expect(0, 65381, '\P{^Sentence_Break:   	-SCONTINUE}', "");
Error('\p{SB:   _-SC/a/}');
Error('\P{SB:   _-SC/a/}');
Expect(1, 65380, '\p{SB=sc}', "");
Expect(0, 65380, '\p{^SB=sc}', "");
Expect(0, 65380, '\P{SB=sc}', "");
Expect(1, 65380, '\P{^SB=sc}', "");
Expect(0, 65381, '\p{SB=sc}', "");
Expect(1, 65381, '\p{^SB=sc}', "");
Expect(1, 65381, '\P{SB=sc}', "");
Expect(0, 65381, '\P{^SB=sc}', "");
Expect(1, 65380, '\p{SB:	sc}', "");
Expect(0, 65380, '\p{^SB:	sc}', "");
Expect(0, 65380, '\P{SB:	sc}', "");
Expect(1, 65380, '\P{^SB:	sc}', "");
Expect(0, 65381, '\p{SB:	sc}', "");
Expect(1, 65381, '\p{^SB:	sc}', "");
Expect(1, 65381, '\P{SB:	sc}', "");
Expect(0, 65381, '\P{^SB:	sc}', "");
Error('\p{Is_Sentence_Break=/a/ 	SContinue}');
Error('\P{Is_Sentence_Break=/a/ 	SContinue}');
Expect(1, 65380, '\p{Is_Sentence_Break=scontinue}', "");
Expect(0, 65380, '\p{^Is_Sentence_Break=scontinue}', "");
Expect(0, 65380, '\P{Is_Sentence_Break=scontinue}', "");
Expect(1, 65380, '\P{^Is_Sentence_Break=scontinue}', "");
Expect(0, 65381, '\p{Is_Sentence_Break=scontinue}', "");
Expect(1, 65381, '\p{^Is_Sentence_Break=scontinue}', "");
Expect(1, 65381, '\P{Is_Sentence_Break=scontinue}', "");
Expect(0, 65381, '\P{^Is_Sentence_Break=scontinue}', "");
Expect(1, 65380, '\p{Is_Sentence_Break=_scontinue}', "");
Expect(0, 65380, '\p{^Is_Sentence_Break=_scontinue}', "");
Expect(0, 65380, '\P{Is_Sentence_Break=_scontinue}', "");
Expect(1, 65380, '\P{^Is_Sentence_Break=_scontinue}', "");
Expect(0, 65381, '\p{Is_Sentence_Break=_scontinue}', "");
Expect(1, 65381, '\p{^Is_Sentence_Break=_scontinue}', "");
Expect(1, 65381, '\P{Is_Sentence_Break=_scontinue}', "");
Expect(0, 65381, '\P{^Is_Sentence_Break=_scontinue}', "");
Error('\p{Is_SB= /a/SC}');
Error('\P{Is_SB= /a/SC}');
Expect(1, 65380, '\p{Is_SB=sc}', "");
Expect(0, 65380, '\p{^Is_SB=sc}', "");
Expect(0, 65380, '\P{Is_SB=sc}', "");
Expect(1, 65380, '\P{^Is_SB=sc}', "");
Expect(0, 65381, '\p{Is_SB=sc}', "");
Expect(1, 65381, '\p{^Is_SB=sc}', "");
Expect(1, 65381, '\P{Is_SB=sc}', "");
Expect(0, 65381, '\P{^Is_SB=sc}', "");
Expect(1, 65380, '\p{Is_SB=-SC}', "");
Expect(0, 65380, '\p{^Is_SB=-SC}', "");
Expect(0, 65380, '\P{Is_SB=-SC}', "");
Expect(1, 65380, '\P{^Is_SB=-SC}', "");
Expect(0, 65381, '\p{Is_SB=-SC}', "");
Expect(1, 65381, '\p{^Is_SB=-SC}', "");
Expect(1, 65381, '\P{Is_SB=-SC}', "");
Expect(0, 65381, '\P{^Is_SB=-SC}', "");
Error('\p{Sentence_Break=/a/_	Sep}');
Error('\P{Sentence_Break=/a/_	Sep}');
Expect(1, 8233, '\p{Sentence_Break=sep}', "");
Expect(0, 8233, '\p{^Sentence_Break=sep}', "");
Expect(0, 8233, '\P{Sentence_Break=sep}', "");
Expect(1, 8233, '\P{^Sentence_Break=sep}', "");
Expect(0, 8234, '\p{Sentence_Break=sep}', "");
Expect(1, 8234, '\p{^Sentence_Break=sep}', "");
Expect(1, 8234, '\P{Sentence_Break=sep}', "");
Expect(0, 8234, '\P{^Sentence_Break=sep}', "");
Expect(1, 8233, '\p{Sentence_Break=--sep}', "");
Expect(0, 8233, '\p{^Sentence_Break=--sep}', "");
Expect(0, 8233, '\P{Sentence_Break=--sep}', "");
Expect(1, 8233, '\P{^Sentence_Break=--sep}', "");
Expect(0, 8234, '\p{Sentence_Break=--sep}', "");
Expect(1, 8234, '\p{^Sentence_Break=--sep}', "");
Expect(1, 8234, '\P{Sentence_Break=--sep}', "");
Expect(0, 8234, '\P{^Sentence_Break=--sep}', "");
Error('\p{SB=	/a/SE}');
Error('\P{SB=	/a/SE}');
Expect(1, 8233, '\p{SB=se}', "");
Expect(0, 8233, '\p{^SB=se}', "");
Expect(0, 8233, '\P{SB=se}', "");
Expect(1, 8233, '\P{^SB=se}', "");
Expect(0, 8234, '\p{SB=se}', "");
Expect(1, 8234, '\p{^SB=se}', "");
Expect(1, 8234, '\P{SB=se}', "");
Expect(0, 8234, '\P{^SB=se}', "");
Expect(1, 8233, '\p{SB=_SE}', "");
Expect(0, 8233, '\p{^SB=_SE}', "");
Expect(0, 8233, '\P{SB=_SE}', "");
Expect(1, 8233, '\P{^SB=_SE}', "");
Expect(0, 8234, '\p{SB=_SE}', "");
Expect(1, 8234, '\p{^SB=_SE}', "");
Expect(1, 8234, '\P{SB=_SE}', "");
Expect(0, 8234, '\P{^SB=_SE}', "");
Error('\p{Is_Sentence_Break=	sep:=}');
Error('\P{Is_Sentence_Break=	sep:=}');
Expect(1, 8233, '\p{Is_Sentence_Break=sep}', "");
Expect(0, 8233, '\p{^Is_Sentence_Break=sep}', "");
Expect(0, 8233, '\P{Is_Sentence_Break=sep}', "");
Expect(1, 8233, '\P{^Is_Sentence_Break=sep}', "");
Expect(0, 8234, '\p{Is_Sentence_Break=sep}', "");
Expect(1, 8234, '\p{^Is_Sentence_Break=sep}', "");
Expect(1, 8234, '\P{Is_Sentence_Break=sep}', "");
Expect(0, 8234, '\P{^Is_Sentence_Break=sep}', "");
Expect(1, 8233, '\p{Is_Sentence_Break= _SEP}', "");
Expect(0, 8233, '\p{^Is_Sentence_Break= _SEP}', "");
Expect(0, 8233, '\P{Is_Sentence_Break= _SEP}', "");
Expect(1, 8233, '\P{^Is_Sentence_Break= _SEP}', "");
Expect(0, 8234, '\p{Is_Sentence_Break= _SEP}', "");
Expect(1, 8234, '\p{^Is_Sentence_Break= _SEP}', "");
Expect(1, 8234, '\P{Is_Sentence_Break= _SEP}', "");
Expect(0, 8234, '\P{^Is_Sentence_Break= _SEP}', "");
Error('\p{Is_SB=:=	 se}');
Error('\P{Is_SB=:=	 se}');
Expect(1, 8233, '\p{Is_SB=se}', "");
Expect(0, 8233, '\p{^Is_SB=se}', "");
Expect(0, 8233, '\P{Is_SB=se}', "");
Expect(1, 8233, '\P{^Is_SB=se}', "");
Expect(0, 8234, '\p{Is_SB=se}', "");
Expect(1, 8234, '\p{^Is_SB=se}', "");
Expect(1, 8234, '\P{Is_SB=se}', "");
Expect(0, 8234, '\P{^Is_SB=se}', "");
Expect(1, 8233, '\p{Is_SB=- SE}', "");
Expect(0, 8233, '\p{^Is_SB=- SE}', "");
Expect(0, 8233, '\P{Is_SB=- SE}', "");
Expect(1, 8233, '\P{^Is_SB=- SE}', "");
Expect(0, 8234, '\p{Is_SB=- SE}', "");
Expect(1, 8234, '\p{^Is_SB=- SE}', "");
Expect(1, 8234, '\P{Is_SB=- SE}', "");
Expect(0, 8234, '\P{^Is_SB=- SE}', "");
Error('\p{Sentence_Break: 	sp:=}');
Error('\P{Sentence_Break: 	sp:=}');
Expect(1, 12288, '\p{Sentence_Break=sp}', "");
Expect(0, 12288, '\p{^Sentence_Break=sp}', "");
Expect(0, 12288, '\P{Sentence_Break=sp}', "");
Expect(1, 12288, '\P{^Sentence_Break=sp}', "");
Expect(0, 12289, '\p{Sentence_Break=sp}', "");
Expect(1, 12289, '\p{^Sentence_Break=sp}', "");
Expect(1, 12289, '\P{Sentence_Break=sp}', "");
Expect(0, 12289, '\P{^Sentence_Break=sp}', "");
Expect(1, 12288, '\p{Sentence_Break=	sp}', "");
Expect(0, 12288, '\p{^Sentence_Break=	sp}', "");
Expect(0, 12288, '\P{Sentence_Break=	sp}', "");
Expect(1, 12288, '\P{^Sentence_Break=	sp}', "");
Expect(0, 12289, '\p{Sentence_Break=	sp}', "");
Expect(1, 12289, '\p{^Sentence_Break=	sp}', "");
Expect(1, 12289, '\P{Sentence_Break=	sp}', "");
Expect(0, 12289, '\P{^Sentence_Break=	sp}', "");
Error('\p{SB=	:=Sp}');
Error('\P{SB=	:=Sp}');
Expect(1, 12288, '\p{SB=sp}', "");
Expect(0, 12288, '\p{^SB=sp}', "");
Expect(0, 12288, '\P{SB=sp}', "");
Expect(1, 12288, '\P{^SB=sp}', "");
Expect(0, 12289, '\p{SB=sp}', "");
Expect(1, 12289, '\p{^SB=sp}', "");
Expect(1, 12289, '\P{SB=sp}', "");
Expect(0, 12289, '\P{^SB=sp}', "");
Expect(1, 12288, '\p{SB=	Sp}', "");
Expect(0, 12288, '\p{^SB=	Sp}', "");
Expect(0, 12288, '\P{SB=	Sp}', "");
Expect(1, 12288, '\P{^SB=	Sp}', "");
Expect(0, 12289, '\p{SB=	Sp}', "");
Expect(1, 12289, '\p{^SB=	Sp}', "");
Expect(1, 12289, '\P{SB=	Sp}', "");
Expect(0, 12289, '\P{^SB=	Sp}', "");
Error('\p{Is_Sentence_Break=:=	Sp}');
Error('\P{Is_Sentence_Break=:=	Sp}');
Expect(1, 12288, '\p{Is_Sentence_Break=sp}', "");
Expect(0, 12288, '\p{^Is_Sentence_Break=sp}', "");
Expect(0, 12288, '\P{Is_Sentence_Break=sp}', "");
Expect(1, 12288, '\P{^Is_Sentence_Break=sp}', "");
Expect(0, 12289, '\p{Is_Sentence_Break=sp}', "");
Expect(1, 12289, '\p{^Is_Sentence_Break=sp}', "");
Expect(1, 12289, '\P{Is_Sentence_Break=sp}', "");
Expect(0, 12289, '\P{^Is_Sentence_Break=sp}', "");
Expect(1, 12288, '\p{Is_Sentence_Break=	 Sp}', "");
Expect(0, 12288, '\p{^Is_Sentence_Break=	 Sp}', "");
Expect(0, 12288, '\P{Is_Sentence_Break=	 Sp}', "");
Expect(1, 12288, '\P{^Is_Sentence_Break=	 Sp}', "");
Expect(0, 12289, '\p{Is_Sentence_Break=	 Sp}', "");
Expect(1, 12289, '\p{^Is_Sentence_Break=	 Sp}', "");
Expect(1, 12289, '\P{Is_Sentence_Break=	 Sp}', "");
Expect(0, 12289, '\P{^Is_Sentence_Break=	 Sp}', "");
Error('\p{Is_SB=:=	 Sp}');
Error('\P{Is_SB=:=	 Sp}');
Expect(1, 12288, '\p{Is_SB=sp}', "");
Expect(0, 12288, '\p{^Is_SB=sp}', "");
Expect(0, 12288, '\P{Is_SB=sp}', "");
Expect(1, 12288, '\P{^Is_SB=sp}', "");
Expect(0, 12289, '\p{Is_SB=sp}', "");
Expect(1, 12289, '\p{^Is_SB=sp}', "");
Expect(1, 12289, '\P{Is_SB=sp}', "");
Expect(0, 12289, '\P{^Is_SB=sp}', "");
Expect(1, 12288, '\p{Is_SB=	Sp}', "");
Expect(0, 12288, '\p{^Is_SB=	Sp}', "");
Expect(0, 12288, '\P{Is_SB=	Sp}', "");
Expect(1, 12288, '\P{^Is_SB=	Sp}', "");
Expect(0, 12289, '\p{Is_SB=	Sp}', "");
Expect(1, 12289, '\p{^Is_SB=	Sp}', "");
Expect(1, 12289, '\P{Is_SB=	Sp}', "");
Expect(0, 12289, '\P{^Is_SB=	Sp}', "");
Error('\p{Sentence_Break=	-STERM/a/}');
Error('\P{Sentence_Break=	-STERM/a/}');
Expect(1, 113823, '\p{Sentence_Break=sterm}', "");
Expect(0, 113823, '\p{^Sentence_Break=sterm}', "");
Expect(0, 113823, '\P{Sentence_Break=sterm}', "");
Expect(1, 113823, '\P{^Sentence_Break=sterm}', "");
Expect(0, 113824, '\p{Sentence_Break=sterm}', "");
Expect(1, 113824, '\p{^Sentence_Break=sterm}', "");
Expect(1, 113824, '\P{Sentence_Break=sterm}', "");
Expect(0, 113824, '\P{^Sentence_Break=sterm}', "");
Expect(1, 113823, '\p{Sentence_Break=_-STerm}', "");
Expect(0, 113823, '\p{^Sentence_Break=_-STerm}', "");
Expect(0, 113823, '\P{Sentence_Break=_-STerm}', "");
Expect(1, 113823, '\P{^Sentence_Break=_-STerm}', "");
Expect(0, 113824, '\p{Sentence_Break=_-STerm}', "");
Expect(1, 113824, '\p{^Sentence_Break=_-STerm}', "");
Expect(1, 113824, '\P{Sentence_Break=_-STerm}', "");
Expect(0, 113824, '\P{^Sentence_Break=_-STerm}', "");
Error('\p{SB=:=_ST}');
Error('\P{SB=:=_ST}');
Expect(1, 113823, '\p{SB=st}', "");
Expect(0, 113823, '\p{^SB=st}', "");
Expect(0, 113823, '\P{SB=st}', "");
Expect(1, 113823, '\P{^SB=st}', "");
Expect(0, 113824, '\p{SB=st}', "");
Expect(1, 113824, '\p{^SB=st}', "");
Expect(1, 113824, '\P{SB=st}', "");
Expect(0, 113824, '\P{^SB=st}', "");
Expect(1, 113823, '\p{SB=	-ST}', "");
Expect(0, 113823, '\p{^SB=	-ST}', "");
Expect(0, 113823, '\P{SB=	-ST}', "");
Expect(1, 113823, '\P{^SB=	-ST}', "");
Expect(0, 113824, '\p{SB=	-ST}', "");
Expect(1, 113824, '\p{^SB=	-ST}', "");
Expect(1, 113824, '\P{SB=	-ST}', "");
Expect(0, 113824, '\P{^SB=	-ST}', "");
Error('\p{Is_Sentence_Break= /a/STerm}');
Error('\P{Is_Sentence_Break= /a/STerm}');
Expect(1, 113823, '\p{Is_Sentence_Break=sterm}', "");
Expect(0, 113823, '\p{^Is_Sentence_Break=sterm}', "");
Expect(0, 113823, '\P{Is_Sentence_Break=sterm}', "");
Expect(1, 113823, '\P{^Is_Sentence_Break=sterm}', "");
Expect(0, 113824, '\p{Is_Sentence_Break=sterm}', "");
Expect(1, 113824, '\p{^Is_Sentence_Break=sterm}', "");
Expect(1, 113824, '\P{Is_Sentence_Break=sterm}', "");
Expect(0, 113824, '\P{^Is_Sentence_Break=sterm}', "");
Expect(1, 113823, '\p{Is_Sentence_Break=--STerm}', "");
Expect(0, 113823, '\p{^Is_Sentence_Break=--STerm}', "");
Expect(0, 113823, '\P{Is_Sentence_Break=--STerm}', "");
Expect(1, 113823, '\P{^Is_Sentence_Break=--STerm}', "");
Expect(0, 113824, '\p{Is_Sentence_Break=--STerm}', "");
Expect(1, 113824, '\p{^Is_Sentence_Break=--STerm}', "");
Expect(1, 113824, '\P{Is_Sentence_Break=--STerm}', "");
Expect(0, 113824, '\P{^Is_Sentence_Break=--STerm}', "");
Error('\p{Is_SB=	 ST:=}');
Error('\P{Is_SB=	 ST:=}');
Expect(1, 113823, '\p{Is_SB=st}', "");
Expect(0, 113823, '\p{^Is_SB=st}', "");
Expect(0, 113823, '\P{Is_SB=st}', "");
Expect(1, 113823, '\P{^Is_SB=st}', "");
Expect(0, 113824, '\p{Is_SB=st}', "");
Expect(1, 113824, '\p{^Is_SB=st}', "");
Expect(1, 113824, '\P{Is_SB=st}', "");
Expect(0, 113824, '\P{^Is_SB=st}', "");
Expect(1, 113823, '\p{Is_SB=	ST}', "");
Expect(0, 113823, '\p{^Is_SB=	ST}', "");
Expect(0, 113823, '\P{Is_SB=	ST}', "");
Expect(1, 113823, '\P{^Is_SB=	ST}', "");
Expect(0, 113824, '\p{Is_SB=	ST}', "");
Expect(1, 113824, '\p{^Is_SB=	ST}', "");
Expect(1, 113824, '\P{Is_SB=	ST}', "");
Expect(0, 113824, '\P{^Is_SB=	ST}', "");
Error('\p{Sentence_Break=	/a/Upper}');
Error('\P{Sentence_Break=	/a/Upper}');
Expect(1, 127369, '\p{Sentence_Break=upper}', "");
Expect(0, 127369, '\p{^Sentence_Break=upper}', "");
Expect(0, 127369, '\P{Sentence_Break=upper}', "");
Expect(1, 127369, '\P{^Sentence_Break=upper}', "");
Expect(0, 127370, '\p{Sentence_Break=upper}', "");
Expect(1, 127370, '\p{^Sentence_Break=upper}', "");
Expect(1, 127370, '\P{Sentence_Break=upper}', "");
Expect(0, 127370, '\P{^Sentence_Break=upper}', "");
Expect(1, 127369, '\p{Sentence_Break=_UPPER}', "");
Expect(0, 127369, '\p{^Sentence_Break=_UPPER}', "");
Expect(0, 127369, '\P{Sentence_Break=_UPPER}', "");
Expect(1, 127369, '\P{^Sentence_Break=_UPPER}', "");
Expect(0, 127370, '\p{Sentence_Break=_UPPER}', "");
Expect(1, 127370, '\p{^Sentence_Break=_UPPER}', "");
Expect(1, 127370, '\P{Sentence_Break=_UPPER}', "");
Expect(0, 127370, '\P{^Sentence_Break=_UPPER}', "");
Error('\p{SB=/a/UP}');
Error('\P{SB=/a/UP}');
Expect(1, 127369, '\p{SB=up}', "");
Expect(0, 127369, '\p{^SB=up}', "");
Expect(0, 127369, '\P{SB=up}', "");
Expect(1, 127369, '\P{^SB=up}', "");
Expect(0, 127370, '\p{SB=up}', "");
Expect(1, 127370, '\p{^SB=up}', "");
Expect(1, 127370, '\P{SB=up}', "");
Expect(0, 127370, '\P{^SB=up}', "");
Expect(1, 127369, '\p{SB=	-UP}', "");
Expect(0, 127369, '\p{^SB=	-UP}', "");
Expect(0, 127369, '\P{SB=	-UP}', "");
Expect(1, 127369, '\P{^SB=	-UP}', "");
Expect(0, 127370, '\p{SB=	-UP}', "");
Expect(1, 127370, '\p{^SB=	-UP}', "");
Expect(1, 127370, '\P{SB=	-UP}', "");
Expect(0, 127370, '\P{^SB=	-UP}', "");
Error('\p{Is_Sentence_Break=_/a/UPPER}');
Error('\P{Is_Sentence_Break=_/a/UPPER}');
Expect(1, 127369, '\p{Is_Sentence_Break=upper}', "");
Expect(0, 127369, '\p{^Is_Sentence_Break=upper}', "");
Expect(0, 127369, '\P{Is_Sentence_Break=upper}', "");
Expect(1, 127369, '\P{^Is_Sentence_Break=upper}', "");
Expect(0, 127370, '\p{Is_Sentence_Break=upper}', "");
Expect(1, 127370, '\p{^Is_Sentence_Break=upper}', "");
Expect(1, 127370, '\P{Is_Sentence_Break=upper}', "");
Expect(0, 127370, '\P{^Is_Sentence_Break=upper}', "");
Expect(1, 127369, '\p{Is_Sentence_Break=__Upper}', "");
Expect(0, 127369, '\p{^Is_Sentence_Break=__Upper}', "");
Expect(0, 127369, '\P{Is_Sentence_Break=__Upper}', "");
Expect(1, 127369, '\P{^Is_Sentence_Break=__Upper}', "");
Expect(0, 127370, '\p{Is_Sentence_Break=__Upper}', "");
Expect(1, 127370, '\p{^Is_Sentence_Break=__Upper}', "");
Expect(1, 127370, '\P{Is_Sentence_Break=__Upper}', "");
Expect(0, 127370, '\P{^Is_Sentence_Break=__Upper}', "");
Error('\p{Is_SB:/a/--up}');
Error('\P{Is_SB:/a/--up}');
Expect(1, 127369, '\p{Is_SB=up}', "");
Expect(0, 127369, '\p{^Is_SB=up}', "");
Expect(0, 127369, '\P{Is_SB=up}', "");
Expect(1, 127369, '\P{^Is_SB=up}', "");
Expect(0, 127370, '\p{Is_SB=up}', "");
Expect(1, 127370, '\p{^Is_SB=up}', "");
Expect(1, 127370, '\P{Is_SB=up}', "");
Expect(0, 127370, '\P{^Is_SB=up}', "");
Expect(1, 127369, '\p{Is_SB=	-UP}', "");
Expect(0, 127369, '\p{^Is_SB=	-UP}', "");
Expect(0, 127369, '\P{Is_SB=	-UP}', "");
Expect(1, 127369, '\P{^Is_SB=	-UP}', "");
Expect(0, 127370, '\p{Is_SB=	-UP}', "");
Expect(1, 127370, '\p{^Is_SB=	-UP}', "");
Expect(1, 127370, '\P{Is_SB=	-UP}', "");
Expect(0, 127370, '\P{^Is_SB=	-UP}', "");
Error('\p{Sentence_Break=/a/_-other}');
Error('\P{Sentence_Break=/a/_-other}');
Expect(1, 918000, '\p{Sentence_Break=other}', "");
Expect(0, 918000, '\p{^Sentence_Break=other}', "");
Expect(0, 918000, '\P{Sentence_Break=other}', "");
Expect(1, 918000, '\P{^Sentence_Break=other}', "");
Expect(0, 917999, '\p{Sentence_Break=other}', "");
Expect(1, 917999, '\p{^Sentence_Break=other}', "");
Expect(1, 917999, '\P{Sentence_Break=other}', "");
Expect(0, 917999, '\P{^Sentence_Break=other}', "");
Expect(1, 918000, '\p{Sentence_Break=_Other}', "");
Expect(0, 918000, '\p{^Sentence_Break=_Other}', "");
Expect(0, 918000, '\P{Sentence_Break=_Other}', "");
Expect(1, 918000, '\P{^Sentence_Break=_Other}', "");
Expect(0, 917999, '\p{Sentence_Break=_Other}', "");
Expect(1, 917999, '\p{^Sentence_Break=_Other}', "");
Expect(1, 917999, '\P{Sentence_Break=_Other}', "");
Expect(0, 917999, '\P{^Sentence_Break=_Other}', "");
Error('\p{SB=	/a/XX}');
Error('\P{SB=	/a/XX}');
Expect(1, 918000, '\p{SB=xx}', "");
Expect(0, 918000, '\p{^SB=xx}', "");
Expect(0, 918000, '\P{SB=xx}', "");
Expect(1, 918000, '\P{^SB=xx}', "");
Expect(0, 917999, '\p{SB=xx}', "");
Expect(1, 917999, '\p{^SB=xx}', "");
Expect(1, 917999, '\P{SB=xx}', "");
Expect(0, 917999, '\P{^SB=xx}', "");
Expect(1, 918000, '\p{SB=	-XX}', "");
Expect(0, 918000, '\p{^SB=	-XX}', "");
Expect(0, 918000, '\P{SB=	-XX}', "");
Expect(1, 918000, '\P{^SB=	-XX}', "");
Expect(0, 917999, '\p{SB=	-XX}', "");
Expect(1, 917999, '\p{^SB=	-XX}', "");
Expect(1, 917999, '\P{SB=	-XX}', "");
Expect(0, 917999, '\P{^SB=	-XX}', "");
Error('\p{Is_Sentence_Break= :=Other}');
Error('\P{Is_Sentence_Break= :=Other}');
Expect(1, 918000, '\p{Is_Sentence_Break=other}', "");
Expect(0, 918000, '\p{^Is_Sentence_Break=other}', "");
Expect(0, 918000, '\P{Is_Sentence_Break=other}', "");
Expect(1, 918000, '\P{^Is_Sentence_Break=other}', "");
Expect(0, 917999, '\p{Is_Sentence_Break=other}', "");
Expect(1, 917999, '\p{^Is_Sentence_Break=other}', "");
Expect(1, 917999, '\P{Is_Sentence_Break=other}', "");
Expect(0, 917999, '\P{^Is_Sentence_Break=other}', "");
Expect(1, 918000, '\p{Is_Sentence_Break=_OTHER}', "");
Expect(0, 918000, '\p{^Is_Sentence_Break=_OTHER}', "");
Expect(0, 918000, '\P{Is_Sentence_Break=_OTHER}', "");
Expect(1, 918000, '\P{^Is_Sentence_Break=_OTHER}', "");
Expect(0, 917999, '\p{Is_Sentence_Break=_OTHER}', "");
Expect(1, 917999, '\p{^Is_Sentence_Break=_OTHER}', "");
Expect(1, 917999, '\P{Is_Sentence_Break=_OTHER}', "");
Expect(0, 917999, '\P{^Is_Sentence_Break=_OTHER}', "");
Error('\p{Is_SB=/a/_-XX}');
Error('\P{Is_SB=/a/_-XX}');
Expect(1, 918000, '\p{Is_SB=xx}', "");
Expect(0, 918000, '\p{^Is_SB=xx}', "");
Expect(0, 918000, '\P{Is_SB=xx}', "");
Expect(1, 918000, '\P{^Is_SB=xx}', "");
Expect(0, 917999, '\p{Is_SB=xx}', "");
Expect(1, 917999, '\p{^Is_SB=xx}', "");
Expect(1, 917999, '\P{Is_SB=xx}', "");
Expect(0, 917999, '\P{^Is_SB=xx}', "");
Expect(1, 918000, '\p{Is_SB= 	XX}', "");
Expect(0, 918000, '\p{^Is_SB= 	XX}', "");
Expect(0, 918000, '\P{Is_SB= 	XX}', "");
Expect(1, 918000, '\P{^Is_SB= 	XX}', "");
Expect(0, 917999, '\p{Is_SB= 	XX}', "");
Expect(1, 917999, '\p{^Is_SB= 	XX}', "");
Expect(1, 917999, '\P{Is_SB= 	XX}', "");
Expect(0, 917999, '\P{^Is_SB= 	XX}', "");
Error('\p{Soft_Dotted=-_NO/a/}');
Error('\P{Soft_Dotted=-_NO/a/}');
Expect(1, 120468, '\p{Soft_Dotted=no}', "");
Expect(0, 120468, '\p{^Soft_Dotted=no}', "");
Expect(0, 120468, '\P{Soft_Dotted=no}', "");
Expect(1, 120468, '\P{^Soft_Dotted=no}', "");
Expect(0, 120467, '\p{Soft_Dotted=no}', "");
Expect(1, 120467, '\p{^Soft_Dotted=no}', "");
Expect(1, 120467, '\P{Soft_Dotted=no}', "");
Expect(0, 120467, '\P{^Soft_Dotted=no}', "");
Expect(1, 120468, '\p{Soft_Dotted=-no}', "");
Expect(0, 120468, '\p{^Soft_Dotted=-no}', "");
Expect(0, 120468, '\P{Soft_Dotted=-no}', "");
Expect(1, 120468, '\P{^Soft_Dotted=-no}', "");
Expect(0, 120467, '\p{Soft_Dotted=-no}', "");
Expect(1, 120467, '\p{^Soft_Dotted=-no}', "");
Expect(1, 120467, '\P{Soft_Dotted=-no}', "");
Expect(0, 120467, '\P{^Soft_Dotted=-no}', "");
Error('\p{SD=_/a/n}');
Error('\P{SD=_/a/n}');
Expect(1, 120468, '\p{SD=n}', "");
Expect(0, 120468, '\p{^SD=n}', "");
Expect(0, 120468, '\P{SD=n}', "");
Expect(1, 120468, '\P{^SD=n}', "");
Expect(0, 120467, '\p{SD=n}', "");
Expect(1, 120467, '\p{^SD=n}', "");
Expect(1, 120467, '\P{SD=n}', "");
Expect(0, 120467, '\P{^SD=n}', "");
Expect(1, 120468, '\p{SD:	_N}', "");
Expect(0, 120468, '\p{^SD:	_N}', "");
Expect(0, 120468, '\P{SD:	_N}', "");
Expect(1, 120468, '\P{^SD:	_N}', "");
Expect(0, 120467, '\p{SD:	_N}', "");
Expect(1, 120467, '\p{^SD:	_N}', "");
Expect(1, 120467, '\P{SD:	_N}', "");
Expect(0, 120467, '\P{^SD:	_N}', "");
Error('\p{Is_Soft_Dotted=:=F}');
Error('\P{Is_Soft_Dotted=:=F}');
Expect(1, 120468, '\p{Is_Soft_Dotted=f}', "");
Expect(0, 120468, '\p{^Is_Soft_Dotted=f}', "");
Expect(0, 120468, '\P{Is_Soft_Dotted=f}', "");
Expect(1, 120468, '\P{^Is_Soft_Dotted=f}', "");
Expect(0, 120467, '\p{Is_Soft_Dotted=f}', "");
Expect(1, 120467, '\p{^Is_Soft_Dotted=f}', "");
Expect(1, 120467, '\P{Is_Soft_Dotted=f}', "");
Expect(0, 120467, '\P{^Is_Soft_Dotted=f}', "");
Expect(1, 120468, '\p{Is_Soft_Dotted=_	f}', "");
Expect(0, 120468, '\p{^Is_Soft_Dotted=_	f}', "");
Expect(0, 120468, '\P{Is_Soft_Dotted=_	f}', "");
Expect(1, 120468, '\P{^Is_Soft_Dotted=_	f}', "");
Expect(0, 120467, '\p{Is_Soft_Dotted=_	f}', "");
Expect(1, 120467, '\p{^Is_Soft_Dotted=_	f}', "");
Expect(1, 120467, '\P{Is_Soft_Dotted=_	f}', "");
Expect(0, 120467, '\P{^Is_Soft_Dotted=_	f}', "");
Error('\p{Is_SD= /a/FALSE}');
Error('\P{Is_SD= /a/FALSE}');
Expect(1, 120468, '\p{Is_SD=false}', "");
Expect(0, 120468, '\p{^Is_SD=false}', "");
Expect(0, 120468, '\P{Is_SD=false}', "");
Expect(1, 120468, '\P{^Is_SD=false}', "");
Expect(0, 120467, '\p{Is_SD=false}', "");
Expect(1, 120467, '\p{^Is_SD=false}', "");
Expect(1, 120467, '\P{Is_SD=false}', "");
Expect(0, 120467, '\P{^Is_SD=false}', "");
Expect(1, 120468, '\p{Is_SD=	_FALSE}', "");
Expect(0, 120468, '\p{^Is_SD=	_FALSE}', "");
Expect(0, 120468, '\P{Is_SD=	_FALSE}', "");
Expect(1, 120468, '\P{^Is_SD=	_FALSE}', "");
Expect(0, 120467, '\p{Is_SD=	_FALSE}', "");
Expect(1, 120467, '\p{^Is_SD=	_FALSE}', "");
Expect(1, 120467, '\P{Is_SD=	_FALSE}', "");
Expect(0, 120467, '\P{^Is_SD=	_FALSE}', "");
Error('\p{Soft_Dotted=:= yes}');
Error('\P{Soft_Dotted=:= yes}');
Expect(1, 120467, '\p{Soft_Dotted:yes}', "");
Expect(0, 120467, '\p{^Soft_Dotted:yes}', "");
Expect(0, 120467, '\P{Soft_Dotted:yes}', "");
Expect(1, 120467, '\P{^Soft_Dotted:yes}', "");
Expect(0, 120468, '\p{Soft_Dotted:yes}', "");
Expect(1, 120468, '\p{^Soft_Dotted:yes}', "");
Expect(1, 120468, '\P{Soft_Dotted:yes}', "");
Expect(0, 120468, '\P{^Soft_Dotted:yes}', "");
Expect(1, 120467, '\p{Soft_Dotted=		yes}', "");
Expect(0, 120467, '\p{^Soft_Dotted=		yes}', "");
Expect(0, 120467, '\P{Soft_Dotted=		yes}', "");
Expect(1, 120467, '\P{^Soft_Dotted=		yes}', "");
Expect(0, 120468, '\p{Soft_Dotted=		yes}', "");
Expect(1, 120468, '\p{^Soft_Dotted=		yes}', "");
Expect(1, 120468, '\P{Soft_Dotted=		yes}', "");
Expect(0, 120468, '\P{^Soft_Dotted=		yes}', "");
Error('\p{SD:_ y/a/}');
Error('\P{SD:_ y/a/}');
Expect(1, 120467, '\p{SD: y}', "");
Expect(0, 120467, '\p{^SD: y}', "");
Expect(0, 120467, '\P{SD: y}', "");
Expect(1, 120467, '\P{^SD: y}', "");
Expect(0, 120468, '\p{SD: y}', "");
Expect(1, 120468, '\p{^SD: y}', "");
Expect(1, 120468, '\P{SD: y}', "");
Expect(0, 120468, '\P{^SD: y}', "");
Expect(1, 120467, '\p{SD=-Y}', "");
Expect(0, 120467, '\p{^SD=-Y}', "");
Expect(0, 120467, '\P{SD=-Y}', "");
Expect(1, 120467, '\P{^SD=-Y}', "");
Expect(0, 120468, '\p{SD=-Y}', "");
Expect(1, 120468, '\p{^SD=-Y}', "");
Expect(1, 120468, '\P{SD=-Y}', "");
Expect(0, 120468, '\P{^SD=-Y}', "");
Error('\p{Is_Soft_Dotted=:=	t}');
Error('\P{Is_Soft_Dotted=:=	t}');
Expect(1, 120467, '\p{Is_Soft_Dotted=t}', "");
Expect(0, 120467, '\p{^Is_Soft_Dotted=t}', "");
Expect(0, 120467, '\P{Is_Soft_Dotted=t}', "");
Expect(1, 120467, '\P{^Is_Soft_Dotted=t}', "");
Expect(0, 120468, '\p{Is_Soft_Dotted=t}', "");
Expect(1, 120468, '\p{^Is_Soft_Dotted=t}', "");
Expect(1, 120468, '\P{Is_Soft_Dotted=t}', "");
Expect(0, 120468, '\P{^Is_Soft_Dotted=t}', "");
Expect(1, 120467, '\p{Is_Soft_Dotted: 	 T}', "");
Expect(0, 120467, '\p{^Is_Soft_Dotted: 	 T}', "");
Expect(0, 120467, '\P{Is_Soft_Dotted: 	 T}', "");
Expect(1, 120467, '\P{^Is_Soft_Dotted: 	 T}', "");
Expect(0, 120468, '\p{Is_Soft_Dotted: 	 T}', "");
Expect(1, 120468, '\p{^Is_Soft_Dotted: 	 T}', "");
Expect(1, 120468, '\P{Is_Soft_Dotted: 	 T}', "");
Expect(0, 120468, '\P{^Is_Soft_Dotted: 	 T}', "");
Error('\p{Is_SD= 	true:=}');
Error('\P{Is_SD= 	true:=}');
Expect(1, 120467, '\p{Is_SD=true}', "");
Expect(0, 120467, '\p{^Is_SD=true}', "");
Expect(0, 120467, '\P{Is_SD=true}', "");
Expect(1, 120467, '\P{^Is_SD=true}', "");
Expect(0, 120468, '\p{Is_SD=true}', "");
Expect(1, 120468, '\p{^Is_SD=true}', "");
Expect(1, 120468, '\P{Is_SD=true}', "");
Expect(0, 120468, '\P{^Is_SD=true}', "");
Expect(1, 120467, '\p{Is_SD=	-true}', "");
Expect(0, 120467, '\p{^Is_SD=	-true}', "");
Expect(0, 120467, '\P{Is_SD=	-true}', "");
Expect(1, 120467, '\P{^Is_SD=	-true}', "");
Expect(0, 120468, '\p{Is_SD=	-true}', "");
Expect(1, 120468, '\p{^Is_SD=	-true}', "");
Expect(1, 120468, '\P{Is_SD=	-true}', "");
Expect(0, 120468, '\P{^Is_SD=	-true}', "");
Error('\p{STerm=_:=No}');
Error('\P{STerm=_:=No}');
Expect(1, 113824, '\p{STerm=no}', "");
Expect(0, 113824, '\p{^STerm=no}', "");
Expect(0, 113824, '\P{STerm=no}', "");
Expect(1, 113824, '\P{^STerm=no}', "");
Expect(0, 113823, '\p{STerm=no}', "");
Expect(1, 113823, '\p{^STerm=no}', "");
Expect(1, 113823, '\P{STerm=no}', "");
Expect(0, 113823, '\P{^STerm=no}', "");
Expect(1, 113824, '\p{STerm= _No}', "");
Expect(0, 113824, '\p{^STerm= _No}', "");
Expect(0, 113824, '\P{STerm= _No}', "");
Expect(1, 113824, '\P{^STerm= _No}', "");
Expect(0, 113823, '\p{STerm= _No}', "");
Expect(1, 113823, '\p{^STerm= _No}', "");
Expect(1, 113823, '\P{STerm= _No}', "");
Expect(0, 113823, '\P{^STerm= _No}', "");
Error('\p{Is_STerm:		_N/a/}');
Error('\P{Is_STerm:		_N/a/}');
Expect(1, 113824, '\p{Is_STerm=n}', "");
Expect(0, 113824, '\p{^Is_STerm=n}', "");
Expect(0, 113824, '\P{Is_STerm=n}', "");
Expect(1, 113824, '\P{^Is_STerm=n}', "");
Expect(0, 113823, '\p{Is_STerm=n}', "");
Expect(1, 113823, '\p{^Is_STerm=n}', "");
Expect(1, 113823, '\P{Is_STerm=n}', "");
Expect(0, 113823, '\P{^Is_STerm=n}', "");
Expect(1, 113824, '\p{Is_STerm=	_N}', "");
Expect(0, 113824, '\p{^Is_STerm=	_N}', "");
Expect(0, 113824, '\P{Is_STerm=	_N}', "");
Expect(1, 113824, '\P{^Is_STerm=	_N}', "");
Expect(0, 113823, '\p{Is_STerm=	_N}', "");
Expect(1, 113823, '\p{^Is_STerm=	_N}', "");
Expect(1, 113823, '\P{Is_STerm=	_N}', "");
Expect(0, 113823, '\P{^Is_STerm=	_N}', "");
Error('\p{STerm=:=	_F}');
Error('\P{STerm=:=	_F}');
Expect(1, 113824, '\p{STerm=f}', "");
Expect(0, 113824, '\p{^STerm=f}', "");
Expect(0, 113824, '\P{STerm=f}', "");
Expect(1, 113824, '\P{^STerm=f}', "");
Expect(0, 113823, '\p{STerm=f}', "");
Expect(1, 113823, '\p{^STerm=f}', "");
Expect(1, 113823, '\P{STerm=f}', "");
Expect(0, 113823, '\P{^STerm=f}', "");
Expect(1, 113824, '\p{STerm=	_F}', "");
Expect(0, 113824, '\p{^STerm=	_F}', "");
Expect(0, 113824, '\P{STerm=	_F}', "");
Expect(1, 113824, '\P{^STerm=	_F}', "");
Expect(0, 113823, '\p{STerm=	_F}', "");
Expect(1, 113823, '\p{^STerm=	_F}', "");
Expect(1, 113823, '\P{STerm=	_F}', "");
Expect(0, 113823, '\P{^STerm=	_F}', "");
Error('\p{Is_STerm=__false:=}');
Error('\P{Is_STerm=__false:=}');
Expect(1, 113824, '\p{Is_STerm=false}', "");
Expect(0, 113824, '\p{^Is_STerm=false}', "");
Expect(0, 113824, '\P{Is_STerm=false}', "");
Expect(1, 113824, '\P{^Is_STerm=false}', "");
Expect(0, 113823, '\p{Is_STerm=false}', "");
Expect(1, 113823, '\p{^Is_STerm=false}', "");
Expect(1, 113823, '\P{Is_STerm=false}', "");
Expect(0, 113823, '\P{^Is_STerm=false}', "");
Expect(1, 113824, '\p{Is_STerm=  False}', "");
Expect(0, 113824, '\p{^Is_STerm=  False}', "");
Expect(0, 113824, '\P{Is_STerm=  False}', "");
Expect(1, 113824, '\P{^Is_STerm=  False}', "");
Expect(0, 113823, '\p{Is_STerm=  False}', "");
Expect(1, 113823, '\p{^Is_STerm=  False}', "");
Expect(1, 113823, '\P{Is_STerm=  False}', "");
Expect(0, 113823, '\P{^Is_STerm=  False}', "");
Error('\p{STerm=:=	_Yes}');
Error('\P{STerm=:=	_Yes}');
Expect(1, 113823, '\p{STerm=yes}', "");
Expect(0, 113823, '\p{^STerm=yes}', "");
Expect(0, 113823, '\P{STerm=yes}', "");
Expect(1, 113823, '\P{^STerm=yes}', "");
Expect(0, 113824, '\p{STerm=yes}', "");
Expect(1, 113824, '\p{^STerm=yes}', "");
Expect(1, 113824, '\P{STerm=yes}', "");
Expect(0, 113824, '\P{^STerm=yes}', "");
Expect(1, 113823, '\p{STerm=_-Yes}', "");
Expect(0, 113823, '\p{^STerm=_-Yes}', "");
Expect(0, 113823, '\P{STerm=_-Yes}', "");
Expect(1, 113823, '\P{^STerm=_-Yes}', "");
Expect(0, 113824, '\p{STerm=_-Yes}', "");
Expect(1, 113824, '\p{^STerm=_-Yes}', "");
Expect(1, 113824, '\P{STerm=_-Yes}', "");
Expect(0, 113824, '\P{^STerm=_-Yes}', "");
Error('\p{Is_STerm=/a/_Y}');
Error('\P{Is_STerm=/a/_Y}');
Expect(1, 113823, '\p{Is_STerm=y}', "");
Expect(0, 113823, '\p{^Is_STerm=y}', "");
Expect(0, 113823, '\P{Is_STerm=y}', "");
Expect(1, 113823, '\P{^Is_STerm=y}', "");
Expect(0, 113824, '\p{Is_STerm=y}', "");
Expect(1, 113824, '\p{^Is_STerm=y}', "");
Expect(1, 113824, '\P{Is_STerm=y}', "");
Expect(0, 113824, '\P{^Is_STerm=y}', "");
Expect(1, 113823, '\p{Is_STerm=	 y}', "");
Expect(0, 113823, '\p{^Is_STerm=	 y}', "");
Expect(0, 113823, '\P{Is_STerm=	 y}', "");
Expect(1, 113823, '\P{^Is_STerm=	 y}', "");
Expect(0, 113824, '\p{Is_STerm=	 y}', "");
Expect(1, 113824, '\p{^Is_STerm=	 y}', "");
Expect(1, 113824, '\P{Is_STerm=	 y}', "");
Expect(0, 113824, '\P{^Is_STerm=	 y}', "");
Error('\p{STerm=:=	-T}');
Error('\P{STerm=:=	-T}');
Expect(1, 113823, '\p{STerm=t}', "");
Expect(0, 113823, '\p{^STerm=t}', "");
Expect(0, 113823, '\P{STerm=t}', "");
Expect(1, 113823, '\P{^STerm=t}', "");
Expect(0, 113824, '\p{STerm=t}', "");
Expect(1, 113824, '\p{^STerm=t}', "");
Expect(1, 113824, '\P{STerm=t}', "");
Expect(0, 113824, '\P{^STerm=t}', "");
Expect(1, 113823, '\p{STerm=T}', "");
Expect(0, 113823, '\p{^STerm=T}', "");
Expect(0, 113823, '\P{STerm=T}', "");
Expect(1, 113823, '\P{^STerm=T}', "");
Expect(0, 113824, '\p{STerm=T}', "");
Expect(1, 113824, '\p{^STerm=T}', "");
Expect(1, 113824, '\P{STerm=T}', "");
Expect(0, 113824, '\P{^STerm=T}', "");
Error('\p{Is_STerm=-TRUE:=}');
Error('\P{Is_STerm=-TRUE:=}');
Expect(1, 113823, '\p{Is_STerm=true}', "");
Expect(0, 113823, '\p{^Is_STerm=true}', "");
Expect(0, 113823, '\P{Is_STerm=true}', "");
Expect(1, 113823, '\P{^Is_STerm=true}', "");
Expect(0, 113824, '\p{Is_STerm=true}', "");
Expect(1, 113824, '\p{^Is_STerm=true}', "");
Expect(1, 113824, '\P{Is_STerm=true}', "");
Expect(0, 113824, '\P{^Is_STerm=true}', "");
Expect(1, 113823, '\p{Is_STerm=	 true}', "");
Expect(0, 113823, '\p{^Is_STerm=	 true}', "");
Expect(0, 113823, '\P{Is_STerm=	 true}', "");
Expect(1, 113823, '\P{^Is_STerm=	 true}', "");
Expect(0, 113824, '\p{Is_STerm=	 true}', "");
Expect(1, 113824, '\p{^Is_STerm=	 true}', "");
Expect(1, 113824, '\P{Is_STerm=	 true}', "");
Expect(0, 113824, '\P{^Is_STerm=	 true}', "");
Error('\p{Terminal_Punctuation= :=No}');
Error('\P{Terminal_Punctuation= :=No}');
Expect(1, 113824, '\p{Terminal_Punctuation=no}', "");
Expect(0, 113824, '\p{^Terminal_Punctuation=no}', "");
Expect(0, 113824, '\P{Terminal_Punctuation=no}', "");
Expect(1, 113824, '\P{^Terminal_Punctuation=no}', "");
Expect(0, 113823, '\p{Terminal_Punctuation=no}', "");
Expect(1, 113823, '\p{^Terminal_Punctuation=no}', "");
Expect(1, 113823, '\P{Terminal_Punctuation=no}', "");
Expect(0, 113823, '\P{^Terminal_Punctuation=no}', "");
Expect(1, 113824, '\p{Terminal_Punctuation= 	No}', "");
Expect(0, 113824, '\p{^Terminal_Punctuation= 	No}', "");
Expect(0, 113824, '\P{Terminal_Punctuation= 	No}', "");
Expect(1, 113824, '\P{^Terminal_Punctuation= 	No}', "");
Expect(0, 113823, '\p{Terminal_Punctuation= 	No}', "");
Expect(1, 113823, '\p{^Terminal_Punctuation= 	No}', "");
Expect(1, 113823, '\P{Terminal_Punctuation= 	No}', "");
Expect(0, 113823, '\P{^Terminal_Punctuation= 	No}', "");
Error('\p{Term= N/a/}');
Error('\P{Term= N/a/}');
Expect(1, 113824, '\p{Term=n}', "");
Expect(0, 113824, '\p{^Term=n}', "");
Expect(0, 113824, '\P{Term=n}', "");
Expect(1, 113824, '\P{^Term=n}', "");
Expect(0, 113823, '\p{Term=n}', "");
Expect(1, 113823, '\p{^Term=n}', "");
Expect(1, 113823, '\P{Term=n}', "");
Expect(0, 113823, '\P{^Term=n}', "");
Expect(1, 113824, '\p{Term=  N}', "");
Expect(0, 113824, '\p{^Term=  N}', "");
Expect(0, 113824, '\P{Term=  N}', "");
Expect(1, 113824, '\P{^Term=  N}', "");
Expect(0, 113823, '\p{Term=  N}', "");
Expect(1, 113823, '\p{^Term=  N}', "");
Expect(1, 113823, '\P{Term=  N}', "");
Expect(0, 113823, '\P{^Term=  N}', "");
Error('\p{Is_Terminal_Punctuation=:=-_F}');
Error('\P{Is_Terminal_Punctuation=:=-_F}');
Expect(1, 113824, '\p{Is_Terminal_Punctuation=f}', "");
Expect(0, 113824, '\p{^Is_Terminal_Punctuation=f}', "");
Expect(0, 113824, '\P{Is_Terminal_Punctuation=f}', "");
Expect(1, 113824, '\P{^Is_Terminal_Punctuation=f}', "");
Expect(0, 113823, '\p{Is_Terminal_Punctuation=f}', "");
Expect(1, 113823, '\p{^Is_Terminal_Punctuation=f}', "");
Expect(1, 113823, '\P{Is_Terminal_Punctuation=f}', "");
Expect(0, 113823, '\P{^Is_Terminal_Punctuation=f}', "");
Expect(1, 113824, '\p{Is_Terminal_Punctuation= F}', "");
Expect(0, 113824, '\p{^Is_Terminal_Punctuation= F}', "");
Expect(0, 113824, '\P{Is_Terminal_Punctuation= F}', "");
Expect(1, 113824, '\P{^Is_Terminal_Punctuation= F}', "");
Expect(0, 113823, '\p{Is_Terminal_Punctuation= F}', "");
Expect(1, 113823, '\p{^Is_Terminal_Punctuation= F}', "");
Expect(1, 113823, '\P{Is_Terminal_Punctuation= F}', "");
Expect(0, 113823, '\P{^Is_Terminal_Punctuation= F}', "");
Error('\p{Is_Term=-	False/a/}');
Error('\P{Is_Term=-	False/a/}');
Expect(1, 113824, '\p{Is_Term=false}', "");
Expect(0, 113824, '\p{^Is_Term=false}', "");
Expect(0, 113824, '\P{Is_Term=false}', "");
Expect(1, 113824, '\P{^Is_Term=false}', "");
Expect(0, 113823, '\p{Is_Term=false}', "");
Expect(1, 113823, '\p{^Is_Term=false}', "");
Expect(1, 113823, '\P{Is_Term=false}', "");
Expect(0, 113823, '\P{^Is_Term=false}', "");
Expect(1, 113824, '\p{Is_Term:	- False}', "");
Expect(0, 113824, '\p{^Is_Term:	- False}', "");
Expect(0, 113824, '\P{Is_Term:	- False}', "");
Expect(1, 113824, '\P{^Is_Term:	- False}', "");
Expect(0, 113823, '\p{Is_Term:	- False}', "");
Expect(1, 113823, '\p{^Is_Term:	- False}', "");
Expect(1, 113823, '\P{Is_Term:	- False}', "");
Expect(0, 113823, '\P{^Is_Term:	- False}', "");
Error('\p{Terminal_Punctuation=/a/ -yes}');
Error('\P{Terminal_Punctuation=/a/ -yes}');
Expect(1, 113823, '\p{Terminal_Punctuation=yes}', "");
Expect(0, 113823, '\p{^Terminal_Punctuation=yes}', "");
Expect(0, 113823, '\P{Terminal_Punctuation=yes}', "");
Expect(1, 113823, '\P{^Terminal_Punctuation=yes}', "");
Expect(0, 113824, '\p{Terminal_Punctuation=yes}', "");
Expect(1, 113824, '\p{^Terminal_Punctuation=yes}', "");
Expect(1, 113824, '\P{Terminal_Punctuation=yes}', "");
Expect(0, 113824, '\P{^Terminal_Punctuation=yes}', "");
Expect(1, 113823, '\p{Terminal_Punctuation= Yes}', "");
Expect(0, 113823, '\p{^Terminal_Punctuation= Yes}', "");
Expect(0, 113823, '\P{Terminal_Punctuation= Yes}', "");
Expect(1, 113823, '\P{^Terminal_Punctuation= Yes}', "");
Expect(0, 113824, '\p{Terminal_Punctuation= Yes}', "");
Expect(1, 113824, '\p{^Terminal_Punctuation= Yes}', "");
Expect(1, 113824, '\P{Terminal_Punctuation= Yes}', "");
Expect(0, 113824, '\P{^Terminal_Punctuation= Yes}', "");
Error('\p{Term:	  Y/a/}');
Error('\P{Term:	  Y/a/}');
Expect(1, 113823, '\p{Term=y}', "");
Expect(0, 113823, '\p{^Term=y}', "");
Expect(0, 113823, '\P{Term=y}', "");
Expect(1, 113823, '\P{^Term=y}', "");
Expect(0, 113824, '\p{Term=y}', "");
Expect(1, 113824, '\p{^Term=y}', "");
Expect(1, 113824, '\P{Term=y}', "");
Expect(0, 113824, '\P{^Term=y}', "");
Expect(1, 113823, '\p{Term= y}', "");
Expect(0, 113823, '\p{^Term= y}', "");
Expect(0, 113823, '\P{Term= y}', "");
Expect(1, 113823, '\P{^Term= y}', "");
Expect(0, 113824, '\p{Term= y}', "");
Expect(1, 113824, '\p{^Term= y}', "");
Expect(1, 113824, '\P{Term= y}', "");
Expect(0, 113824, '\P{^Term= y}', "");
Error('\p{Is_Terminal_Punctuation:	_:=t}');
Error('\P{Is_Terminal_Punctuation:	_:=t}');
Expect(1, 113823, '\p{Is_Terminal_Punctuation=t}', "");
Expect(0, 113823, '\p{^Is_Terminal_Punctuation=t}', "");
Expect(0, 113823, '\P{Is_Terminal_Punctuation=t}', "");
Expect(1, 113823, '\P{^Is_Terminal_Punctuation=t}', "");
Expect(0, 113824, '\p{Is_Terminal_Punctuation=t}', "");
Expect(1, 113824, '\p{^Is_Terminal_Punctuation=t}', "");
Expect(1, 113824, '\P{Is_Terminal_Punctuation=t}', "");
Expect(0, 113824, '\P{^Is_Terminal_Punctuation=t}', "");
Expect(1, 113823, '\p{Is_Terminal_Punctuation=-T}', "");
Expect(0, 113823, '\p{^Is_Terminal_Punctuation=-T}', "");
Expect(0, 113823, '\P{Is_Terminal_Punctuation=-T}', "");
Expect(1, 113823, '\P{^Is_Terminal_Punctuation=-T}', "");
Expect(0, 113824, '\p{Is_Terminal_Punctuation=-T}', "");
Expect(1, 113824, '\p{^Is_Terminal_Punctuation=-T}', "");
Expect(1, 113824, '\P{Is_Terminal_Punctuation=-T}', "");
Expect(0, 113824, '\P{^Is_Terminal_Punctuation=-T}', "");
Error('\p{Is_Term=_True:=}');
Error('\P{Is_Term=_True:=}');
Expect(1, 113823, '\p{Is_Term=true}', "");
Expect(0, 113823, '\p{^Is_Term=true}', "");
Expect(0, 113823, '\P{Is_Term=true}', "");
Expect(1, 113823, '\P{^Is_Term=true}', "");
Expect(0, 113824, '\p{Is_Term=true}', "");
Expect(1, 113824, '\p{^Is_Term=true}', "");
Expect(1, 113824, '\P{Is_Term=true}', "");
Expect(0, 113824, '\P{^Is_Term=true}', "");
Expect(1, 113823, '\p{Is_Term=	True}', "");
Expect(0, 113823, '\p{^Is_Term=	True}', "");
Expect(0, 113823, '\P{Is_Term=	True}', "");
Expect(1, 113823, '\P{^Is_Term=	True}', "");
Expect(0, 113824, '\p{Is_Term=	True}', "");
Expect(1, 113824, '\p{^Is_Term=	True}', "");
Expect(1, 113824, '\P{Is_Term=	True}', "");
Expect(0, 113824, '\P{^Is_Term=	True}', "");
Error('\p{Unified_Ideograph=/a/ 	No}');
Error('\P{Unified_Ideograph=/a/ 	No}');
Expect(1, 178206, '\p{Unified_Ideograph=no}', "");
Expect(0, 178206, '\p{^Unified_Ideograph=no}', "");
Expect(0, 178206, '\P{Unified_Ideograph=no}', "");
Expect(1, 178206, '\P{^Unified_Ideograph=no}', "");
Expect(0, 178205, '\p{Unified_Ideograph=no}', "");
Expect(1, 178205, '\p{^Unified_Ideograph=no}', "");
Expect(1, 178205, '\P{Unified_Ideograph=no}', "");
Expect(0, 178205, '\P{^Unified_Ideograph=no}', "");
Expect(1, 178206, '\p{Unified_Ideograph=_ No}', "");
Expect(0, 178206, '\p{^Unified_Ideograph=_ No}', "");
Expect(0, 178206, '\P{Unified_Ideograph=_ No}', "");
Expect(1, 178206, '\P{^Unified_Ideograph=_ No}', "");
Expect(0, 178205, '\p{Unified_Ideograph=_ No}', "");
Expect(1, 178205, '\p{^Unified_Ideograph=_ No}', "");
Expect(1, 178205, '\P{Unified_Ideograph=_ No}', "");
Expect(0, 178205, '\P{^Unified_Ideograph=_ No}', "");
Error('\p{UIdeo=/a/N}');
Error('\P{UIdeo=/a/N}');
Expect(1, 178206, '\p{UIdeo=n}', "");
Expect(0, 178206, '\p{^UIdeo=n}', "");
Expect(0, 178206, '\P{UIdeo=n}', "");
Expect(1, 178206, '\P{^UIdeo=n}', "");
Expect(0, 178205, '\p{UIdeo=n}', "");
Expect(1, 178205, '\p{^UIdeo=n}', "");
Expect(1, 178205, '\P{UIdeo=n}', "");
Expect(0, 178205, '\P{^UIdeo=n}', "");
Expect(1, 178206, '\p{UIdeo=	 N}', "");
Expect(0, 178206, '\p{^UIdeo=	 N}', "");
Expect(0, 178206, '\P{UIdeo=	 N}', "");
Expect(1, 178206, '\P{^UIdeo=	 N}', "");
Expect(0, 178205, '\p{UIdeo=	 N}', "");
Expect(1, 178205, '\p{^UIdeo=	 N}', "");
Expect(1, 178205, '\P{UIdeo=	 N}', "");
Expect(0, 178205, '\P{^UIdeo=	 N}', "");
Error('\p{Is_Unified_Ideograph: /a/- f}');
Error('\P{Is_Unified_Ideograph: /a/- f}');
Expect(1, 178206, '\p{Is_Unified_Ideograph=f}', "");
Expect(0, 178206, '\p{^Is_Unified_Ideograph=f}', "");
Expect(0, 178206, '\P{Is_Unified_Ideograph=f}', "");
Expect(1, 178206, '\P{^Is_Unified_Ideograph=f}', "");
Expect(0, 178205, '\p{Is_Unified_Ideograph=f}', "");
Expect(1, 178205, '\p{^Is_Unified_Ideograph=f}', "");
Expect(1, 178205, '\P{Is_Unified_Ideograph=f}', "");
Expect(0, 178205, '\P{^Is_Unified_Ideograph=f}', "");
Expect(1, 178206, '\p{Is_Unified_Ideograph=	f}', "");
Expect(0, 178206, '\p{^Is_Unified_Ideograph=	f}', "");
Expect(0, 178206, '\P{Is_Unified_Ideograph=	f}', "");
Expect(1, 178206, '\P{^Is_Unified_Ideograph=	f}', "");
Expect(0, 178205, '\p{Is_Unified_Ideograph=	f}', "");
Expect(1, 178205, '\p{^Is_Unified_Ideograph=	f}', "");
Expect(1, 178205, '\P{Is_Unified_Ideograph=	f}', "");
Expect(0, 178205, '\P{^Is_Unified_Ideograph=	f}', "");
Error('\p{Is_UIdeo:	_False/a/}');
Error('\P{Is_UIdeo:	_False/a/}');
Expect(1, 178206, '\p{Is_UIdeo=false}', "");
Expect(0, 178206, '\p{^Is_UIdeo=false}', "");
Expect(0, 178206, '\P{Is_UIdeo=false}', "");
Expect(1, 178206, '\P{^Is_UIdeo=false}', "");
Expect(0, 178205, '\p{Is_UIdeo=false}', "");
Expect(1, 178205, '\p{^Is_UIdeo=false}', "");
Expect(1, 178205, '\P{Is_UIdeo=false}', "");
Expect(0, 178205, '\P{^Is_UIdeo=false}', "");
Expect(1, 178206, '\p{Is_UIdeo=-_False}', "");
Expect(0, 178206, '\p{^Is_UIdeo=-_False}', "");
Expect(0, 178206, '\P{Is_UIdeo=-_False}', "");
Expect(1, 178206, '\P{^Is_UIdeo=-_False}', "");
Expect(0, 178205, '\p{Is_UIdeo=-_False}', "");
Expect(1, 178205, '\p{^Is_UIdeo=-_False}', "");
Expect(1, 178205, '\P{Is_UIdeo=-_False}', "");
Expect(0, 178205, '\P{^Is_UIdeo=-_False}', "");
Error('\p{Unified_Ideograph:    Yes:=}');
Error('\P{Unified_Ideograph:    Yes:=}');
Expect(1, 178205, '\p{Unified_Ideograph=yes}', "");
Expect(0, 178205, '\p{^Unified_Ideograph=yes}', "");
Expect(0, 178205, '\P{Unified_Ideograph=yes}', "");
Expect(1, 178205, '\P{^Unified_Ideograph=yes}', "");
Expect(0, 178206, '\p{Unified_Ideograph=yes}', "");
Expect(1, 178206, '\p{^Unified_Ideograph=yes}', "");
Expect(1, 178206, '\P{Unified_Ideograph=yes}', "");
Expect(0, 178206, '\P{^Unified_Ideograph=yes}', "");
Expect(1, 178205, '\p{Unified_Ideograph=	 yes}', "");
Expect(0, 178205, '\p{^Unified_Ideograph=	 yes}', "");
Expect(0, 178205, '\P{Unified_Ideograph=	 yes}', "");
Expect(1, 178205, '\P{^Unified_Ideograph=	 yes}', "");
Expect(0, 178206, '\p{Unified_Ideograph=	 yes}', "");
Expect(1, 178206, '\p{^Unified_Ideograph=	 yes}', "");
Expect(1, 178206, '\P{Unified_Ideograph=	 yes}', "");
Expect(0, 178206, '\P{^Unified_Ideograph=	 yes}', "");
Error('\p{UIdeo=	-y:=}');
Error('\P{UIdeo=	-y:=}');
Expect(1, 178205, '\p{UIdeo=y}', "");
Expect(0, 178205, '\p{^UIdeo=y}', "");
Expect(0, 178205, '\P{UIdeo=y}', "");
Expect(1, 178205, '\P{^UIdeo=y}', "");
Expect(0, 178206, '\p{UIdeo=y}', "");
Expect(1, 178206, '\p{^UIdeo=y}', "");
Expect(1, 178206, '\P{UIdeo=y}', "");
Expect(0, 178206, '\P{^UIdeo=y}', "");
Expect(1, 178205, '\p{UIdeo=	Y}', "");
Expect(0, 178205, '\p{^UIdeo=	Y}', "");
Expect(0, 178205, '\P{UIdeo=	Y}', "");
Expect(1, 178205, '\P{^UIdeo=	Y}', "");
Expect(0, 178206, '\p{UIdeo=	Y}', "");
Expect(1, 178206, '\p{^UIdeo=	Y}', "");
Expect(1, 178206, '\P{UIdeo=	Y}', "");
Expect(0, 178206, '\P{^UIdeo=	Y}', "");
Error('\p{Is_Unified_Ideograph= 	T:=}');
Error('\P{Is_Unified_Ideograph= 	T:=}');
Expect(1, 178205, '\p{Is_Unified_Ideograph=t}', "");
Expect(0, 178205, '\p{^Is_Unified_Ideograph=t}', "");
Expect(0, 178205, '\P{Is_Unified_Ideograph=t}', "");
Expect(1, 178205, '\P{^Is_Unified_Ideograph=t}', "");
Expect(0, 178206, '\p{Is_Unified_Ideograph=t}', "");
Expect(1, 178206, '\p{^Is_Unified_Ideograph=t}', "");
Expect(1, 178206, '\P{Is_Unified_Ideograph=t}', "");
Expect(0, 178206, '\P{^Is_Unified_Ideograph=t}', "");
Expect(1, 178205, '\p{Is_Unified_Ideograph=__T}', "");
Expect(0, 178205, '\p{^Is_Unified_Ideograph=__T}', "");
Expect(0, 178205, '\P{Is_Unified_Ideograph=__T}', "");
Expect(1, 178205, '\P{^Is_Unified_Ideograph=__T}', "");
Expect(0, 178206, '\p{Is_Unified_Ideograph=__T}', "");
Expect(1, 178206, '\p{^Is_Unified_Ideograph=__T}', "");
Expect(1, 178206, '\P{Is_Unified_Ideograph=__T}', "");
Expect(0, 178206, '\P{^Is_Unified_Ideograph=__T}', "");
Error('\p{Is_UIdeo=-true/a/}');
Error('\P{Is_UIdeo=-true/a/}');
Expect(1, 178205, '\p{Is_UIdeo=true}', "");
Expect(0, 178205, '\p{^Is_UIdeo=true}', "");
Expect(0, 178205, '\P{Is_UIdeo=true}', "");
Expect(1, 178205, '\P{^Is_UIdeo=true}', "");
Expect(0, 178206, '\p{Is_UIdeo=true}', "");
Expect(1, 178206, '\p{^Is_UIdeo=true}', "");
Expect(1, 178206, '\P{Is_UIdeo=true}', "");
Expect(0, 178206, '\P{^Is_UIdeo=true}', "");
Expect(1, 178205, '\p{Is_UIdeo=	True}', "");
Expect(0, 178205, '\p{^Is_UIdeo=	True}', "");
Expect(0, 178205, '\P{Is_UIdeo=	True}', "");
Expect(1, 178205, '\P{^Is_UIdeo=	True}', "");
Expect(0, 178206, '\p{Is_UIdeo=	True}', "");
Expect(1, 178206, '\p{^Is_UIdeo=	True}', "");
Expect(1, 178206, '\P{Is_UIdeo=	True}', "");
Expect(0, 178206, '\P{^Is_UIdeo=	True}', "");
Error('\p{Uppercase=_:=No}');
Error('\P{Uppercase=_:=No}');
Expect(1, 127370, '\p{Uppercase=no}', "");
Expect(0, 127370, '\p{^Uppercase=no}', "");
Expect(0, 127370, '\P{Uppercase=no}', "");
Expect(1, 127370, '\P{^Uppercase=no}', "");
Expect(0, 127369, '\p{Uppercase=no}', "");
Expect(1, 127369, '\p{^Uppercase=no}', "");
Expect(1, 127369, '\P{Uppercase=no}', "");
Expect(0, 127369, '\P{^Uppercase=no}', "");
Expect(1, 127370, '\p{Uppercase=NO}', "");
Expect(0, 127370, '\p{^Uppercase=NO}', "");
Expect(0, 127370, '\P{Uppercase=NO}', "");
Expect(1, 127370, '\P{^Uppercase=NO}', "");
Expect(0, 127369, '\p{Uppercase=NO}', "");
Expect(1, 127369, '\p{^Uppercase=NO}', "");
Expect(1, 127369, '\P{Uppercase=NO}', "");
Expect(0, 127369, '\P{^Uppercase=NO}', "");
Error('\p{Upper=/a/-_N}');
Error('\P{Upper=/a/-_N}');
Expect(1, 127370, '\p{Upper=n}', "");
Expect(0, 127370, '\p{^Upper=n}', "");
Expect(0, 127370, '\P{Upper=n}', "");
Expect(1, 127370, '\P{^Upper=n}', "");
Expect(0, 127369, '\p{Upper=n}', "");
Expect(1, 127369, '\p{^Upper=n}', "");
Expect(1, 127369, '\P{Upper=n}', "");
Expect(0, 127369, '\P{^Upper=n}', "");
Expect(1, 127370, '\p{Upper= _N}', "");
Expect(0, 127370, '\p{^Upper= _N}', "");
Expect(0, 127370, '\P{Upper= _N}', "");
Expect(1, 127370, '\P{^Upper= _N}', "");
Expect(0, 127369, '\p{Upper= _N}', "");
Expect(1, 127369, '\p{^Upper= _N}', "");
Expect(1, 127369, '\P{Upper= _N}', "");
Expect(0, 127369, '\P{^Upper= _N}', "");
Error('\p{Is_Uppercase=:=	_F}');
Error('\P{Is_Uppercase=:=	_F}');
Expect(1, 127370, '\p{Is_Uppercase=f}', "");
Expect(0, 127370, '\p{^Is_Uppercase=f}', "");
Expect(0, 127370, '\P{Is_Uppercase=f}', "");
Expect(1, 127370, '\P{^Is_Uppercase=f}', "");
Expect(0, 127369, '\p{Is_Uppercase=f}', "");
Expect(1, 127369, '\p{^Is_Uppercase=f}', "");
Expect(1, 127369, '\P{Is_Uppercase=f}', "");
Expect(0, 127369, '\P{^Is_Uppercase=f}', "");
Expect(1, 127370, '\p{Is_Uppercase=_-f}', "");
Expect(0, 127370, '\p{^Is_Uppercase=_-f}', "");
Expect(0, 127370, '\P{Is_Uppercase=_-f}', "");
Expect(1, 127370, '\P{^Is_Uppercase=_-f}', "");
Expect(0, 127369, '\p{Is_Uppercase=_-f}', "");
Expect(1, 127369, '\p{^Is_Uppercase=_-f}', "");
Expect(1, 127369, '\P{Is_Uppercase=_-f}', "");
Expect(0, 127369, '\P{^Is_Uppercase=_-f}', "");
Error('\p{Is_Upper=_/a/False}');
Error('\P{Is_Upper=_/a/False}');
Expect(1, 127370, '\p{Is_Upper=false}', "");
Expect(0, 127370, '\p{^Is_Upper=false}', "");
Expect(0, 127370, '\P{Is_Upper=false}', "");
Expect(1, 127370, '\P{^Is_Upper=false}', "");
Expect(0, 127369, '\p{Is_Upper=false}', "");
Expect(1, 127369, '\p{^Is_Upper=false}', "");
Expect(1, 127369, '\P{Is_Upper=false}', "");
Expect(0, 127369, '\P{^Is_Upper=false}', "");
Expect(1, 127370, '\p{Is_Upper= 	False}', "");
Expect(0, 127370, '\p{^Is_Upper= 	False}', "");
Expect(0, 127370, '\P{Is_Upper= 	False}', "");
Expect(1, 127370, '\P{^Is_Upper= 	False}', "");
Expect(0, 127369, '\p{Is_Upper= 	False}', "");
Expect(1, 127369, '\p{^Is_Upper= 	False}', "");
Expect(1, 127369, '\P{Is_Upper= 	False}', "");
Expect(0, 127369, '\P{^Is_Upper= 	False}', "");
Error('\p{Uppercase=/a/Yes}');
Error('\P{Uppercase=/a/Yes}');
Expect(1, 127369, '\p{Uppercase=yes}', "");
Expect(0, 127369, '\p{^Uppercase=yes}', "");
Expect(0, 127369, '\P{Uppercase=yes}', "");
Expect(1, 127369, '\P{^Uppercase=yes}', "");
Expect(0, 127370, '\p{Uppercase=yes}', "");
Expect(1, 127370, '\p{^Uppercase=yes}', "");
Expect(1, 127370, '\P{Uppercase=yes}', "");
Expect(0, 127370, '\P{^Uppercase=yes}', "");
Expect(1, 127369, '\p{Uppercase= YES}', "");
Expect(0, 127369, '\p{^Uppercase= YES}', "");
Expect(0, 127369, '\P{Uppercase= YES}', "");
Expect(1, 127369, '\P{^Uppercase= YES}', "");
Expect(0, 127370, '\p{Uppercase= YES}', "");
Expect(1, 127370, '\p{^Uppercase= YES}', "");
Expect(1, 127370, '\P{Uppercase= YES}', "");
Expect(0, 127370, '\P{^Uppercase= YES}', "");
Error('\p{Upper=/a/	Y}');
Error('\P{Upper=/a/	Y}');
Expect(1, 127369, '\p{Upper=y}', "");
Expect(0, 127369, '\p{^Upper=y}', "");
Expect(0, 127369, '\P{Upper=y}', "");
Expect(1, 127369, '\P{^Upper=y}', "");
Expect(0, 127370, '\p{Upper=y}', "");
Expect(1, 127370, '\p{^Upper=y}', "");
Expect(1, 127370, '\P{Upper=y}', "");
Expect(0, 127370, '\P{^Upper=y}', "");
Expect(1, 127369, '\p{Upper=--y}', "");
Expect(0, 127369, '\p{^Upper=--y}', "");
Expect(0, 127369, '\P{Upper=--y}', "");
Expect(1, 127369, '\P{^Upper=--y}', "");
Expect(0, 127370, '\p{Upper=--y}', "");
Expect(1, 127370, '\p{^Upper=--y}', "");
Expect(1, 127370, '\P{Upper=--y}', "");
Expect(0, 127370, '\P{^Upper=--y}', "");
Error('\p{Is_Uppercase=/a/_-t}');
Error('\P{Is_Uppercase=/a/_-t}');
Expect(1, 127369, '\p{Is_Uppercase=t}', "");
Expect(0, 127369, '\p{^Is_Uppercase=t}', "");
Expect(0, 127369, '\P{Is_Uppercase=t}', "");
Expect(1, 127369, '\P{^Is_Uppercase=t}', "");
Expect(0, 127370, '\p{Is_Uppercase=t}', "");
Expect(1, 127370, '\p{^Is_Uppercase=t}', "");
Expect(1, 127370, '\P{Is_Uppercase=t}', "");
Expect(0, 127370, '\P{^Is_Uppercase=t}', "");
Expect(1, 127369, '\p{Is_Uppercase=_ T}', "");
Expect(0, 127369, '\p{^Is_Uppercase=_ T}', "");
Expect(0, 127369, '\P{Is_Uppercase=_ T}', "");
Expect(1, 127369, '\P{^Is_Uppercase=_ T}', "");
Expect(0, 127370, '\p{Is_Uppercase=_ T}', "");
Expect(1, 127370, '\p{^Is_Uppercase=_ T}', "");
Expect(1, 127370, '\P{Is_Uppercase=_ T}', "");
Expect(0, 127370, '\P{^Is_Uppercase=_ T}', "");
Error('\p{Is_Upper=-true:=}');
Error('\P{Is_Upper=-true:=}');
Expect(1, 127369, '\p{Is_Upper=true}', "");
Expect(0, 127369, '\p{^Is_Upper=true}', "");
Expect(0, 127369, '\P{Is_Upper=true}', "");
Expect(1, 127369, '\P{^Is_Upper=true}', "");
Expect(0, 127370, '\p{Is_Upper=true}', "");
Expect(1, 127370, '\p{^Is_Upper=true}', "");
Expect(1, 127370, '\P{Is_Upper=true}', "");
Expect(0, 127370, '\P{^Is_Upper=true}', "");
Expect(1, 127369, '\p{Is_Upper: True}', "");
Expect(0, 127369, '\p{^Is_Upper: True}', "");
Expect(0, 127369, '\P{Is_Upper: True}', "");
Expect(1, 127369, '\P{^Is_Upper: True}', "");
Expect(0, 127370, '\p{Is_Upper: True}', "");
Expect(1, 127370, '\p{^Is_Upper: True}', "");
Expect(1, 127370, '\P{Is_Upper: True}', "");
Expect(0, 127370, '\P{^Is_Upper: True}', "");
Error('\p{Variation_Selector=	 NO:=}');
Error('\P{Variation_Selector=	 NO:=}');
Expect(1, 918000, '\p{Variation_Selector=no}', "");
Expect(0, 918000, '\p{^Variation_Selector=no}', "");
Expect(0, 918000, '\P{Variation_Selector=no}', "");
Expect(1, 918000, '\P{^Variation_Selector=no}', "");
Expect(0, 917999, '\p{Variation_Selector=no}', "");
Expect(1, 917999, '\p{^Variation_Selector=no}', "");
Expect(1, 917999, '\P{Variation_Selector=no}', "");
Expect(0, 917999, '\P{^Variation_Selector=no}', "");
Expect(1, 918000, '\p{Variation_Selector=No}', "");
Expect(0, 918000, '\p{^Variation_Selector=No}', "");
Expect(0, 918000, '\P{Variation_Selector=No}', "");
Expect(1, 918000, '\P{^Variation_Selector=No}', "");
Expect(0, 917999, '\p{Variation_Selector=No}', "");
Expect(1, 917999, '\p{^Variation_Selector=No}', "");
Expect(1, 917999, '\P{Variation_Selector=No}', "");
Expect(0, 917999, '\P{^Variation_Selector=No}', "");
Error('\p{VS= -N:=}');
Error('\P{VS= -N:=}');
Expect(1, 918000, '\p{VS=n}', "");
Expect(0, 918000, '\p{^VS=n}', "");
Expect(0, 918000, '\P{VS=n}', "");
Expect(1, 918000, '\P{^VS=n}', "");
Expect(0, 917999, '\p{VS=n}', "");
Expect(1, 917999, '\p{^VS=n}', "");
Expect(1, 917999, '\P{VS=n}', "");
Expect(0, 917999, '\P{^VS=n}', "");
Expect(1, 918000, '\p{VS=--N}', "");
Expect(0, 918000, '\p{^VS=--N}', "");
Expect(0, 918000, '\P{VS=--N}', "");
Expect(1, 918000, '\P{^VS=--N}', "");
Expect(0, 917999, '\p{VS=--N}', "");
Expect(1, 917999, '\p{^VS=--N}', "");
Expect(1, 917999, '\P{VS=--N}', "");
Expect(0, 917999, '\P{^VS=--N}', "");
Error('\p{Is_Variation_Selector=:=	-F}');
Error('\P{Is_Variation_Selector=:=	-F}');
Expect(1, 918000, '\p{Is_Variation_Selector=f}', "");
Expect(0, 918000, '\p{^Is_Variation_Selector=f}', "");
Expect(0, 918000, '\P{Is_Variation_Selector=f}', "");
Expect(1, 918000, '\P{^Is_Variation_Selector=f}', "");
Expect(0, 917999, '\p{Is_Variation_Selector=f}', "");
Expect(1, 917999, '\p{^Is_Variation_Selector=f}', "");
Expect(1, 917999, '\P{Is_Variation_Selector=f}', "");
Expect(0, 917999, '\P{^Is_Variation_Selector=f}', "");
Expect(1, 918000, '\p{Is_Variation_Selector=	 F}', "");
Expect(0, 918000, '\p{^Is_Variation_Selector=	 F}', "");
Expect(0, 918000, '\P{Is_Variation_Selector=	 F}', "");
Expect(1, 918000, '\P{^Is_Variation_Selector=	 F}', "");
Expect(0, 917999, '\p{Is_Variation_Selector=	 F}', "");
Expect(1, 917999, '\p{^Is_Variation_Selector=	 F}', "");
Expect(1, 917999, '\P{Is_Variation_Selector=	 F}', "");
Expect(0, 917999, '\P{^Is_Variation_Selector=	 F}', "");
Error('\p{Is_VS=- FALSE/a/}');
Error('\P{Is_VS=- FALSE/a/}');
Expect(1, 918000, '\p{Is_VS=false}', "");
Expect(0, 918000, '\p{^Is_VS=false}', "");
Expect(0, 918000, '\P{Is_VS=false}', "");
Expect(1, 918000, '\P{^Is_VS=false}', "");
Expect(0, 917999, '\p{Is_VS=false}', "");
Expect(1, 917999, '\p{^Is_VS=false}', "");
Expect(1, 917999, '\P{Is_VS=false}', "");
Expect(0, 917999, '\P{^Is_VS=false}', "");
Expect(1, 918000, '\p{Is_VS=-_FALSE}', "");
Expect(0, 918000, '\p{^Is_VS=-_FALSE}', "");
Expect(0, 918000, '\P{Is_VS=-_FALSE}', "");
Expect(1, 918000, '\P{^Is_VS=-_FALSE}', "");
Expect(0, 917999, '\p{Is_VS=-_FALSE}', "");
Expect(1, 917999, '\p{^Is_VS=-_FALSE}', "");
Expect(1, 917999, '\P{Is_VS=-_FALSE}', "");
Expect(0, 917999, '\P{^Is_VS=-_FALSE}', "");
Error('\p{Variation_Selector=/a/_yes}');
Error('\P{Variation_Selector=/a/_yes}');
Expect(1, 917999, '\p{Variation_Selector=yes}', "");
Expect(0, 917999, '\p{^Variation_Selector=yes}', "");
Expect(0, 917999, '\P{Variation_Selector=yes}', "");
Expect(1, 917999, '\P{^Variation_Selector=yes}', "");
Expect(0, 918000, '\p{Variation_Selector=yes}', "");
Expect(1, 918000, '\p{^Variation_Selector=yes}', "");
Expect(1, 918000, '\P{Variation_Selector=yes}', "");
Expect(0, 918000, '\P{^Variation_Selector=yes}', "");
Expect(1, 917999, '\p{Variation_Selector=	_yes}', "");
Expect(0, 917999, '\p{^Variation_Selector=	_yes}', "");
Expect(0, 917999, '\P{Variation_Selector=	_yes}', "");
Expect(1, 917999, '\P{^Variation_Selector=	_yes}', "");
Expect(0, 918000, '\p{Variation_Selector=	_yes}', "");
Expect(1, 918000, '\p{^Variation_Selector=	_yes}', "");
Expect(1, 918000, '\P{Variation_Selector=	_yes}', "");
Expect(0, 918000, '\P{^Variation_Selector=	_yes}', "");
Error('\p{VS=_-Y/a/}');
Error('\P{VS=_-Y/a/}');
Expect(1, 917999, '\p{VS=y}', "");
Expect(0, 917999, '\p{^VS=y}', "");
Expect(0, 917999, '\P{VS=y}', "");
Expect(1, 917999, '\P{^VS=y}', "");
Expect(0, 918000, '\p{VS=y}', "");
Expect(1, 918000, '\p{^VS=y}', "");
Expect(1, 918000, '\P{VS=y}', "");
Expect(0, 918000, '\P{^VS=y}', "");
Expect(1, 917999, '\p{VS=	-Y}', "");
Expect(0, 917999, '\p{^VS=	-Y}', "");
Expect(0, 917999, '\P{VS=	-Y}', "");
Expect(1, 917999, '\P{^VS=	-Y}', "");
Expect(0, 918000, '\p{VS=	-Y}', "");
Expect(1, 918000, '\p{^VS=	-Y}', "");
Expect(1, 918000, '\P{VS=	-Y}', "");
Expect(0, 918000, '\P{^VS=	-Y}', "");
Error('\p{Is_Variation_Selector=T/a/}');
Error('\P{Is_Variation_Selector=T/a/}');
Expect(1, 917999, '\p{Is_Variation_Selector=t}', "");
Expect(0, 917999, '\p{^Is_Variation_Selector=t}', "");
Expect(0, 917999, '\P{Is_Variation_Selector=t}', "");
Expect(1, 917999, '\P{^Is_Variation_Selector=t}', "");
Expect(0, 918000, '\p{Is_Variation_Selector=t}', "");
Expect(1, 918000, '\p{^Is_Variation_Selector=t}', "");
Expect(1, 918000, '\P{Is_Variation_Selector=t}', "");
Expect(0, 918000, '\P{^Is_Variation_Selector=t}', "");
Expect(1, 917999, '\p{Is_Variation_Selector=_	T}', "");
Expect(0, 917999, '\p{^Is_Variation_Selector=_	T}', "");
Expect(0, 917999, '\P{Is_Variation_Selector=_	T}', "");
Expect(1, 917999, '\P{^Is_Variation_Selector=_	T}', "");
Expect(0, 918000, '\p{Is_Variation_Selector=_	T}', "");
Expect(1, 918000, '\p{^Is_Variation_Selector=_	T}', "");
Expect(1, 918000, '\P{Is_Variation_Selector=_	T}', "");
Expect(0, 918000, '\P{^Is_Variation_Selector=_	T}', "");
Error('\p{Is_VS:	_TRUE:=}');
Error('\P{Is_VS:	_TRUE:=}');
Expect(1, 917999, '\p{Is_VS=true}', "");
Expect(0, 917999, '\p{^Is_VS=true}', "");
Expect(0, 917999, '\P{Is_VS=true}', "");
Expect(1, 917999, '\P{^Is_VS=true}', "");
Expect(0, 918000, '\p{Is_VS=true}', "");
Expect(1, 918000, '\p{^Is_VS=true}', "");
Expect(1, 918000, '\P{Is_VS=true}', "");
Expect(0, 918000, '\P{^Is_VS=true}', "");
Expect(1, 917999, '\p{Is_VS= 	true}', "");
Expect(0, 917999, '\p{^Is_VS= 	true}', "");
Expect(0, 917999, '\P{Is_VS= 	true}', "");
Expect(1, 917999, '\P{^Is_VS= 	true}', "");
Expect(0, 918000, '\p{Is_VS= 	true}', "");
Expect(1, 918000, '\p{^Is_VS= 	true}', "");
Expect(1, 918000, '\P{Is_VS= 	true}', "");
Expect(0, 918000, '\P{^Is_VS= 	true}', "");
Error('\p{Word_Break=/a/_-cr}');
Error('\P{Word_Break=/a/_-cr}');
Expect(1, 13, '\p{Word_Break=cr}', "");
Expect(0, 13, '\p{^Word_Break=cr}', "");
Expect(0, 13, '\P{Word_Break=cr}', "");
Expect(1, 13, '\P{^Word_Break=cr}', "");
Expect(0, 14, '\p{Word_Break=cr}', "");
Expect(1, 14, '\p{^Word_Break=cr}', "");
Expect(1, 14, '\P{Word_Break=cr}', "");
Expect(0, 14, '\P{^Word_Break=cr}', "");
Expect(1, 13, '\p{Word_Break= cr}', "");
Expect(0, 13, '\p{^Word_Break= cr}', "");
Expect(0, 13, '\P{Word_Break= cr}', "");
Expect(1, 13, '\P{^Word_Break= cr}', "");
Expect(0, 14, '\p{Word_Break= cr}', "");
Expect(1, 14, '\p{^Word_Break= cr}', "");
Expect(1, 14, '\P{Word_Break= cr}', "");
Expect(0, 14, '\P{^Word_Break= cr}', "");
Error('\p{WB= 	cr:=}');
Error('\P{WB= 	cr:=}');
Expect(1, 13, '\p{WB=cr}', "");
Expect(0, 13, '\p{^WB=cr}', "");
Expect(0, 13, '\P{WB=cr}', "");
Expect(1, 13, '\P{^WB=cr}', "");
Expect(0, 14, '\p{WB=cr}', "");
Expect(1, 14, '\p{^WB=cr}', "");
Expect(1, 14, '\P{WB=cr}', "");
Expect(0, 14, '\P{^WB=cr}', "");
Expect(1, 13, '\p{WB:	 CR}', "");
Expect(0, 13, '\p{^WB:	 CR}', "");
Expect(0, 13, '\P{WB:	 CR}', "");
Expect(1, 13, '\P{^WB:	 CR}', "");
Expect(0, 14, '\p{WB:	 CR}', "");
Expect(1, 14, '\p{^WB:	 CR}', "");
Expect(1, 14, '\P{WB:	 CR}', "");
Expect(0, 14, '\P{^WB:	 CR}', "");
Error('\p{Is_Word_Break= CR/a/}');
Error('\P{Is_Word_Break= CR/a/}');
Expect(1, 13, '\p{Is_Word_Break=cr}', "");
Expect(0, 13, '\p{^Is_Word_Break=cr}', "");
Expect(0, 13, '\P{Is_Word_Break=cr}', "");
Expect(1, 13, '\P{^Is_Word_Break=cr}', "");
Expect(0, 14, '\p{Is_Word_Break=cr}', "");
Expect(1, 14, '\p{^Is_Word_Break=cr}', "");
Expect(1, 14, '\P{Is_Word_Break=cr}', "");
Expect(0, 14, '\P{^Is_Word_Break=cr}', "");
Expect(1, 13, '\p{Is_Word_Break=_CR}', "");
Expect(0, 13, '\p{^Is_Word_Break=_CR}', "");
Expect(0, 13, '\P{Is_Word_Break=_CR}', "");
Expect(1, 13, '\P{^Is_Word_Break=_CR}', "");
Expect(0, 14, '\p{Is_Word_Break=_CR}', "");
Expect(1, 14, '\p{^Is_Word_Break=_CR}', "");
Expect(1, 14, '\P{Is_Word_Break=_CR}', "");
Expect(0, 14, '\P{^Is_Word_Break=_CR}', "");
Error('\p{Is_WB=/a/_	cr}');
Error('\P{Is_WB=/a/_	cr}');
Expect(1, 13, '\p{Is_WB=cr}', "");
Expect(0, 13, '\p{^Is_WB=cr}', "");
Expect(0, 13, '\P{Is_WB=cr}', "");
Expect(1, 13, '\P{^Is_WB=cr}', "");
Expect(0, 14, '\p{Is_WB=cr}', "");
Expect(1, 14, '\p{^Is_WB=cr}', "");
Expect(1, 14, '\P{Is_WB=cr}', "");
Expect(0, 14, '\P{^Is_WB=cr}', "");
Expect(1, 13, '\p{Is_WB=_cr}', "");
Expect(0, 13, '\p{^Is_WB=_cr}', "");
Expect(0, 13, '\P{Is_WB=_cr}', "");
Expect(1, 13, '\P{^Is_WB=_cr}', "");
Expect(0, 14, '\p{Is_WB=_cr}', "");
Expect(1, 14, '\p{^Is_WB=_cr}', "");
Expect(1, 14, '\P{Is_WB=_cr}', "");
Expect(0, 14, '\P{^Is_WB=_cr}', "");
Error('\p{Word_Break=:=--Double_quote}');
Error('\P{Word_Break=:=--Double_quote}');
Expect(1, 34, '\p{Word_Break=doublequote}', "");
Expect(0, 34, '\p{^Word_Break=doublequote}', "");
Expect(0, 34, '\P{Word_Break=doublequote}', "");
Expect(1, 34, '\P{^Word_Break=doublequote}', "");
Expect(0, 35, '\p{Word_Break=doublequote}', "");
Expect(1, 35, '\p{^Word_Break=doublequote}', "");
Expect(1, 35, '\P{Word_Break=doublequote}', "");
Expect(0, 35, '\P{^Word_Break=doublequote}', "");
Expect(1, 34, '\p{Word_Break= Double_Quote}', "");
Expect(0, 34, '\p{^Word_Break= Double_Quote}', "");
Expect(0, 34, '\P{Word_Break= Double_Quote}', "");
Expect(1, 34, '\P{^Word_Break= Double_Quote}', "");
Expect(0, 35, '\p{Word_Break= Double_Quote}', "");
Expect(1, 35, '\p{^Word_Break= Double_Quote}', "");
Expect(1, 35, '\P{Word_Break= Double_Quote}', "");
Expect(0, 35, '\P{^Word_Break= Double_Quote}', "");
Error('\p{WB=_dq:=}');
Error('\P{WB=_dq:=}');
Expect(1, 34, '\p{WB=dq}', "");
Expect(0, 34, '\p{^WB=dq}', "");
Expect(0, 34, '\P{WB=dq}', "");
Expect(1, 34, '\P{^WB=dq}', "");
Expect(0, 35, '\p{WB=dq}', "");
Expect(1, 35, '\p{^WB=dq}', "");
Expect(1, 35, '\P{WB=dq}', "");
Expect(0, 35, '\P{^WB=dq}', "");
Expect(1, 34, '\p{WB=- dq}', "");
Expect(0, 34, '\p{^WB=- dq}', "");
Expect(0, 34, '\P{WB=- dq}', "");
Expect(1, 34, '\P{^WB=- dq}', "");
Expect(0, 35, '\p{WB=- dq}', "");
Expect(1, 35, '\p{^WB=- dq}', "");
Expect(1, 35, '\P{WB=- dq}', "");
Expect(0, 35, '\P{^WB=- dq}', "");
Error('\p{Is_Word_Break=	-DOUBLE_quote/a/}');
Error('\P{Is_Word_Break=	-DOUBLE_quote/a/}');
Expect(1, 34, '\p{Is_Word_Break=doublequote}', "");
Expect(0, 34, '\p{^Is_Word_Break=doublequote}', "");
Expect(0, 34, '\P{Is_Word_Break=doublequote}', "");
Expect(1, 34, '\P{^Is_Word_Break=doublequote}', "");
Expect(0, 35, '\p{Is_Word_Break=doublequote}', "");
Expect(1, 35, '\p{^Is_Word_Break=doublequote}', "");
Expect(1, 35, '\P{Is_Word_Break=doublequote}', "");
Expect(0, 35, '\P{^Is_Word_Break=doublequote}', "");
Expect(1, 34, '\p{Is_Word_Break=	double_Quote}', "");
Expect(0, 34, '\p{^Is_Word_Break=	double_Quote}', "");
Expect(0, 34, '\P{Is_Word_Break=	double_Quote}', "");
Expect(1, 34, '\P{^Is_Word_Break=	double_Quote}', "");
Expect(0, 35, '\p{Is_Word_Break=	double_Quote}', "");
Expect(1, 35, '\p{^Is_Word_Break=	double_Quote}', "");
Expect(1, 35, '\P{Is_Word_Break=	double_Quote}', "");
Expect(0, 35, '\P{^Is_Word_Break=	double_Quote}', "");
Error('\p{Is_WB=/a/_ DQ}');
Error('\P{Is_WB=/a/_ DQ}');
Expect(1, 34, '\p{Is_WB=dq}', "");
Expect(0, 34, '\p{^Is_WB=dq}', "");
Expect(0, 34, '\P{Is_WB=dq}', "");
Expect(1, 34, '\P{^Is_WB=dq}', "");
Expect(0, 35, '\p{Is_WB=dq}', "");
Expect(1, 35, '\p{^Is_WB=dq}', "");
Expect(1, 35, '\P{Is_WB=dq}', "");
Expect(0, 35, '\P{^Is_WB=dq}', "");
Expect(1, 34, '\p{Is_WB= -DQ}', "");
Expect(0, 34, '\p{^Is_WB= -DQ}', "");
Expect(0, 34, '\P{Is_WB= -DQ}', "");
Expect(1, 34, '\P{^Is_WB= -DQ}', "");
Expect(0, 35, '\p{Is_WB= -DQ}', "");
Expect(1, 35, '\p{^Is_WB= -DQ}', "");
Expect(1, 35, '\P{Is_WB= -DQ}', "");
Expect(0, 35, '\P{^Is_WB= -DQ}', "");
Error('\p{Word_Break=:=_	ExtendNumLet}');
Error('\P{Word_Break=:=_	ExtendNumLet}');
Expect(1, 65343, '\p{Word_Break=extendnumlet}', "");
Expect(0, 65343, '\p{^Word_Break=extendnumlet}', "");
Expect(0, 65343, '\P{Word_Break=extendnumlet}', "");
Expect(1, 65343, '\P{^Word_Break=extendnumlet}', "");
Expect(0, 65344, '\p{Word_Break=extendnumlet}', "");
Expect(1, 65344, '\p{^Word_Break=extendnumlet}', "");
Expect(1, 65344, '\P{Word_Break=extendnumlet}', "");
Expect(0, 65344, '\P{^Word_Break=extendnumlet}', "");
Expect(1, 65343, '\p{Word_Break=-ExtendNumLet}', "");
Expect(0, 65343, '\p{^Word_Break=-ExtendNumLet}', "");
Expect(0, 65343, '\P{Word_Break=-ExtendNumLet}', "");
Expect(1, 65343, '\P{^Word_Break=-ExtendNumLet}', "");
Expect(0, 65344, '\p{Word_Break=-ExtendNumLet}', "");
Expect(1, 65344, '\p{^Word_Break=-ExtendNumLet}', "");
Expect(1, 65344, '\P{Word_Break=-ExtendNumLet}', "");
Expect(0, 65344, '\P{^Word_Break=-ExtendNumLet}', "");
Error('\p{WB: _	ex/a/}');
Error('\P{WB: _	ex/a/}');
Expect(1, 65343, '\p{WB=ex}', "");
Expect(0, 65343, '\p{^WB=ex}', "");
Expect(0, 65343, '\P{WB=ex}', "");
Expect(1, 65343, '\P{^WB=ex}', "");
Expect(0, 65344, '\p{WB=ex}', "");
Expect(1, 65344, '\p{^WB=ex}', "");
Expect(1, 65344, '\P{WB=ex}', "");
Expect(0, 65344, '\P{^WB=ex}', "");
Expect(1, 65343, '\p{WB:			EX}', "");
Expect(0, 65343, '\p{^WB:			EX}', "");
Expect(0, 65343, '\P{WB:			EX}', "");
Expect(1, 65343, '\P{^WB:			EX}', "");
Expect(0, 65344, '\p{WB:			EX}', "");
Expect(1, 65344, '\p{^WB:			EX}', "");
Expect(1, 65344, '\P{WB:			EX}', "");
Expect(0, 65344, '\P{^WB:			EX}', "");
Error('\p{Is_Word_Break=:= EXTENDNUMLET}');
Error('\P{Is_Word_Break=:= EXTENDNUMLET}');
Expect(1, 65343, '\p{Is_Word_Break=extendnumlet}', "");
Expect(0, 65343, '\p{^Is_Word_Break=extendnumlet}', "");
Expect(0, 65343, '\P{Is_Word_Break=extendnumlet}', "");
Expect(1, 65343, '\P{^Is_Word_Break=extendnumlet}', "");
Expect(0, 65344, '\p{Is_Word_Break=extendnumlet}', "");
Expect(1, 65344, '\p{^Is_Word_Break=extendnumlet}', "");
Expect(1, 65344, '\P{Is_Word_Break=extendnumlet}', "");
Expect(0, 65344, '\P{^Is_Word_Break=extendnumlet}', "");
Expect(1, 65343, '\p{Is_Word_Break=	-ExtendNumLet}', "");
Expect(0, 65343, '\p{^Is_Word_Break=	-ExtendNumLet}', "");
Expect(0, 65343, '\P{Is_Word_Break=	-ExtendNumLet}', "");
Expect(1, 65343, '\P{^Is_Word_Break=	-ExtendNumLet}', "");
Expect(0, 65344, '\p{Is_Word_Break=	-ExtendNumLet}', "");
Expect(1, 65344, '\p{^Is_Word_Break=	-ExtendNumLet}', "");
Expect(1, 65344, '\P{Is_Word_Break=	-ExtendNumLet}', "");
Expect(0, 65344, '\P{^Is_Word_Break=	-ExtendNumLet}', "");
Error('\p{Is_WB=:=	_EX}');
Error('\P{Is_WB=:=	_EX}');
Expect(1, 65343, '\p{Is_WB=ex}', "");
Expect(0, 65343, '\p{^Is_WB=ex}', "");
Expect(0, 65343, '\P{Is_WB=ex}', "");
Expect(1, 65343, '\P{^Is_WB=ex}', "");
Expect(0, 65344, '\p{Is_WB=ex}', "");
Expect(1, 65344, '\p{^Is_WB=ex}', "");
Expect(1, 65344, '\P{Is_WB=ex}', "");
Expect(0, 65344, '\P{^Is_WB=ex}', "");
Expect(1, 65343, '\p{Is_WB=_-EX}', "");
Expect(0, 65343, '\p{^Is_WB=_-EX}', "");
Expect(0, 65343, '\P{Is_WB=_-EX}', "");
Expect(1, 65343, '\P{^Is_WB=_-EX}', "");
Expect(0, 65344, '\p{Is_WB=_-EX}', "");
Expect(1, 65344, '\p{^Is_WB=_-EX}', "");
Expect(1, 65344, '\P{Is_WB=_-EX}', "");
Expect(0, 65344, '\P{^Is_WB=_-EX}', "");
Error('\p{Word_Break=/a/	EXTEND}');
Error('\P{Word_Break=/a/	EXTEND}');
Expect(1, 917999, '\p{Word_Break=extend}', "");
Expect(0, 917999, '\p{^Word_Break=extend}', "");
Expect(0, 917999, '\P{Word_Break=extend}', "");
Expect(1, 917999, '\P{^Word_Break=extend}', "");
Expect(0, 918000, '\p{Word_Break=extend}', "");
Expect(1, 918000, '\p{^Word_Break=extend}', "");
Expect(1, 918000, '\P{Word_Break=extend}', "");
Expect(0, 918000, '\P{^Word_Break=extend}', "");
Expect(1, 917999, '\p{Word_Break= Extend}', "");
Expect(0, 917999, '\p{^Word_Break= Extend}', "");
Expect(0, 917999, '\P{Word_Break= Extend}', "");
Expect(1, 917999, '\P{^Word_Break= Extend}', "");
Expect(0, 918000, '\p{Word_Break= Extend}', "");
Expect(1, 918000, '\p{^Word_Break= Extend}', "");
Expect(1, 918000, '\P{Word_Break= Extend}', "");
Expect(0, 918000, '\P{^Word_Break= Extend}', "");
Error('\p{WB:	-:=Extend}');
Error('\P{WB:	-:=Extend}');
Expect(1, 917999, '\p{WB=extend}', "");
Expect(0, 917999, '\p{^WB=extend}', "");
Expect(0, 917999, '\P{WB=extend}', "");
Expect(1, 917999, '\P{^WB=extend}', "");
Expect(0, 918000, '\p{WB=extend}', "");
Expect(1, 918000, '\p{^WB=extend}', "");
Expect(1, 918000, '\P{WB=extend}', "");
Expect(0, 918000, '\P{^WB=extend}', "");
Expect(1, 917999, '\p{WB=	_extend}', "");
Expect(0, 917999, '\p{^WB=	_extend}', "");
Expect(0, 917999, '\P{WB=	_extend}', "");
Expect(1, 917999, '\P{^WB=	_extend}', "");
Expect(0, 918000, '\p{WB=	_extend}', "");
Expect(1, 918000, '\p{^WB=	_extend}', "");
Expect(1, 918000, '\P{WB=	_extend}', "");
Expect(0, 918000, '\P{^WB=	_extend}', "");
Error('\p{Is_Word_Break:   	/a/Extend}');
Error('\P{Is_Word_Break:   	/a/Extend}');
Expect(1, 917999, '\p{Is_Word_Break=extend}', "");
Expect(0, 917999, '\p{^Is_Word_Break=extend}', "");
Expect(0, 917999, '\P{Is_Word_Break=extend}', "");
Expect(1, 917999, '\P{^Is_Word_Break=extend}', "");
Expect(0, 918000, '\p{Is_Word_Break=extend}', "");
Expect(1, 918000, '\p{^Is_Word_Break=extend}', "");
Expect(1, 918000, '\P{Is_Word_Break=extend}', "");
Expect(0, 918000, '\P{^Is_Word_Break=extend}', "");
Expect(1, 917999, '\p{Is_Word_Break=__EXTEND}', "");
Expect(0, 917999, '\p{^Is_Word_Break=__EXTEND}', "");
Expect(0, 917999, '\P{Is_Word_Break=__EXTEND}', "");
Expect(1, 917999, '\P{^Is_Word_Break=__EXTEND}', "");
Expect(0, 918000, '\p{Is_Word_Break=__EXTEND}', "");
Expect(1, 918000, '\p{^Is_Word_Break=__EXTEND}', "");
Expect(1, 918000, '\P{Is_Word_Break=__EXTEND}', "");
Expect(0, 918000, '\P{^Is_Word_Break=__EXTEND}', "");
Error('\p{Is_WB=Extend/a/}');
Error('\P{Is_WB=Extend/a/}');
Expect(1, 917999, '\p{Is_WB:   extend}', "");
Expect(0, 917999, '\p{^Is_WB:   extend}', "");
Expect(0, 917999, '\P{Is_WB:   extend}', "");
Expect(1, 917999, '\P{^Is_WB:   extend}', "");
Expect(0, 918000, '\p{Is_WB:   extend}', "");
Expect(1, 918000, '\p{^Is_WB:   extend}', "");
Expect(1, 918000, '\P{Is_WB:   extend}', "");
Expect(0, 918000, '\P{^Is_WB:   extend}', "");
Expect(1, 917999, '\p{Is_WB:_	extend}', "");
Expect(0, 917999, '\p{^Is_WB:_	extend}', "");
Expect(0, 917999, '\P{Is_WB:_	extend}', "");
Expect(1, 917999, '\P{^Is_WB:_	extend}', "");
Expect(0, 918000, '\p{Is_WB:_	extend}', "");
Expect(1, 918000, '\p{^Is_WB:_	extend}', "");
Expect(1, 918000, '\P{Is_WB:_	extend}', "");
Expect(0, 918000, '\P{^Is_WB:_	extend}', "");
Error('\p{Word_Break=_:=format}');
Error('\P{Word_Break=_:=format}');
Expect(1, 917631, '\p{Word_Break=format}', "");
Expect(0, 917631, '\p{^Word_Break=format}', "");
Expect(0, 917631, '\P{Word_Break=format}', "");
Expect(1, 917631, '\P{^Word_Break=format}', "");
Expect(0, 917632, '\p{Word_Break=format}', "");
Expect(1, 917632, '\p{^Word_Break=format}', "");
Expect(1, 917632, '\P{Word_Break=format}', "");
Expect(0, 917632, '\P{^Word_Break=format}', "");
Expect(1, 917631, '\p{Word_Break=_FORMAT}', "");
Expect(0, 917631, '\p{^Word_Break=_FORMAT}', "");
Expect(0, 917631, '\P{Word_Break=_FORMAT}', "");
Expect(1, 917631, '\P{^Word_Break=_FORMAT}', "");
Expect(0, 917632, '\p{Word_Break=_FORMAT}', "");
Expect(1, 917632, '\p{^Word_Break=_FORMAT}', "");
Expect(1, 917632, '\P{Word_Break=_FORMAT}', "");
Expect(0, 917632, '\P{^Word_Break=_FORMAT}', "");
Error('\p{WB= :=fo}');
Error('\P{WB= :=fo}');
Expect(1, 917631, '\p{WB:   fo}', "");
Expect(0, 917631, '\p{^WB:   fo}', "");
Expect(0, 917631, '\P{WB:   fo}', "");
Expect(1, 917631, '\P{^WB:   fo}', "");
Expect(0, 917632, '\p{WB:   fo}', "");
Expect(1, 917632, '\p{^WB:   fo}', "");
Expect(1, 917632, '\P{WB:   fo}', "");
Expect(0, 917632, '\P{^WB:   fo}', "");
Expect(1, 917631, '\p{WB= 	FO}', "");
Expect(0, 917631, '\p{^WB= 	FO}', "");
Expect(0, 917631, '\P{WB= 	FO}', "");
Expect(1, 917631, '\P{^WB= 	FO}', "");
Expect(0, 917632, '\p{WB= 	FO}', "");
Expect(1, 917632, '\p{^WB= 	FO}', "");
Expect(1, 917632, '\P{WB= 	FO}', "");
Expect(0, 917632, '\P{^WB= 	FO}', "");
Error('\p{Is_Word_Break=/a/Format}');
Error('\P{Is_Word_Break=/a/Format}');
Expect(1, 917631, '\p{Is_Word_Break=format}', "");
Expect(0, 917631, '\p{^Is_Word_Break=format}', "");
Expect(0, 917631, '\P{Is_Word_Break=format}', "");
Expect(1, 917631, '\P{^Is_Word_Break=format}', "");
Expect(0, 917632, '\p{Is_Word_Break=format}', "");
Expect(1, 917632, '\p{^Is_Word_Break=format}', "");
Expect(1, 917632, '\P{Is_Word_Break=format}', "");
Expect(0, 917632, '\P{^Is_Word_Break=format}', "");
Expect(1, 917631, '\p{Is_Word_Break= Format}', "");
Expect(0, 917631, '\p{^Is_Word_Break= Format}', "");
Expect(0, 917631, '\P{Is_Word_Break= Format}', "");
Expect(1, 917631, '\P{^Is_Word_Break= Format}', "");
Expect(0, 917632, '\p{Is_Word_Break= Format}', "");
Expect(1, 917632, '\p{^Is_Word_Break= Format}', "");
Expect(1, 917632, '\P{Is_Word_Break= Format}', "");
Expect(0, 917632, '\P{^Is_Word_Break= Format}', "");
Error('\p{Is_WB=	_fo:=}');
Error('\P{Is_WB=	_fo:=}');
Expect(1, 917631, '\p{Is_WB:fo}', "");
Expect(0, 917631, '\p{^Is_WB:fo}', "");
Expect(0, 917631, '\P{Is_WB:fo}', "");
Expect(1, 917631, '\P{^Is_WB:fo}', "");
Expect(0, 917632, '\p{Is_WB:fo}', "");
Expect(1, 917632, '\p{^Is_WB:fo}', "");
Expect(1, 917632, '\P{Is_WB:fo}', "");
Expect(0, 917632, '\P{^Is_WB:fo}', "");
Expect(1, 917631, '\p{Is_WB=_ FO}', "");
Expect(0, 917631, '\p{^Is_WB=_ FO}', "");
Expect(0, 917631, '\P{Is_WB=_ FO}', "");
Expect(1, 917631, '\P{^Is_WB=_ FO}', "");
Expect(0, 917632, '\p{Is_WB=_ FO}', "");
Expect(1, 917632, '\p{^Is_WB=_ FO}', "");
Expect(1, 917632, '\P{Is_WB=_ FO}', "");
Expect(0, 917632, '\P{^Is_WB=_ FO}', "");
Error('\p{Word_Break=	-HEBREW_LETTER/a/}');
Error('\P{Word_Break=	-HEBREW_LETTER/a/}');
Expect(1, 64335, '\p{Word_Break=hebrewletter}', "");
Expect(0, 64335, '\p{^Word_Break=hebrewletter}', "");
Expect(0, 64335, '\P{Word_Break=hebrewletter}', "");
Expect(1, 64335, '\P{^Word_Break=hebrewletter}', "");
Expect(0, 64336, '\p{Word_Break=hebrewletter}', "");
Expect(1, 64336, '\p{^Word_Break=hebrewletter}', "");
Expect(1, 64336, '\P{Word_Break=hebrewletter}', "");
Expect(0, 64336, '\P{^Word_Break=hebrewletter}', "");
Expect(1, 64335, '\p{Word_Break= 	HEBREW_LETTER}', "");
Expect(0, 64335, '\p{^Word_Break= 	HEBREW_LETTER}', "");
Expect(0, 64335, '\P{Word_Break= 	HEBREW_LETTER}', "");
Expect(1, 64335, '\P{^Word_Break= 	HEBREW_LETTER}', "");
Expect(0, 64336, '\p{Word_Break= 	HEBREW_LETTER}', "");
Expect(1, 64336, '\p{^Word_Break= 	HEBREW_LETTER}', "");
Expect(1, 64336, '\P{Word_Break= 	HEBREW_LETTER}', "");
Expect(0, 64336, '\P{^Word_Break= 	HEBREW_LETTER}', "");
Error('\p{WB=/a/__HL}');
Error('\P{WB=/a/__HL}');
Expect(1, 64335, '\p{WB=hl}', "");
Expect(0, 64335, '\p{^WB=hl}', "");
Expect(0, 64335, '\P{WB=hl}', "");
Expect(1, 64335, '\P{^WB=hl}', "");
Expect(0, 64336, '\p{WB=hl}', "");
Expect(1, 64336, '\p{^WB=hl}', "");
Expect(1, 64336, '\P{WB=hl}', "");
Expect(0, 64336, '\P{^WB=hl}', "");
Expect(1, 64335, '\p{WB=  HL}', "");
Expect(0, 64335, '\p{^WB=  HL}', "");
Expect(0, 64335, '\P{WB=  HL}', "");
Expect(1, 64335, '\P{^WB=  HL}', "");
Expect(0, 64336, '\p{WB=  HL}', "");
Expect(1, 64336, '\p{^WB=  HL}', "");
Expect(1, 64336, '\P{WB=  HL}', "");
Expect(0, 64336, '\P{^WB=  HL}', "");
Error('\p{Is_Word_Break=:=-Hebrew_Letter}');
Error('\P{Is_Word_Break=:=-Hebrew_Letter}');
Expect(1, 64335, '\p{Is_Word_Break=hebrewletter}', "");
Expect(0, 64335, '\p{^Is_Word_Break=hebrewletter}', "");
Expect(0, 64335, '\P{Is_Word_Break=hebrewletter}', "");
Expect(1, 64335, '\P{^Is_Word_Break=hebrewletter}', "");
Expect(0, 64336, '\p{Is_Word_Break=hebrewletter}', "");
Expect(1, 64336, '\p{^Is_Word_Break=hebrewletter}', "");
Expect(1, 64336, '\P{Is_Word_Break=hebrewletter}', "");
Expect(0, 64336, '\P{^Is_Word_Break=hebrewletter}', "");
Expect(1, 64335, '\p{Is_Word_Break= -Hebrew_Letter}', "");
Expect(0, 64335, '\p{^Is_Word_Break= -Hebrew_Letter}', "");
Expect(0, 64335, '\P{Is_Word_Break= -Hebrew_Letter}', "");
Expect(1, 64335, '\P{^Is_Word_Break= -Hebrew_Letter}', "");
Expect(0, 64336, '\p{Is_Word_Break= -Hebrew_Letter}', "");
Expect(1, 64336, '\p{^Is_Word_Break= -Hebrew_Letter}', "");
Expect(1, 64336, '\P{Is_Word_Break= -Hebrew_Letter}', "");
Expect(0, 64336, '\P{^Is_Word_Break= -Hebrew_Letter}', "");
Error('\p{Is_WB=:= HL}');
Error('\P{Is_WB=:= HL}');
Expect(1, 64335, '\p{Is_WB=hl}', "");
Expect(0, 64335, '\p{^Is_WB=hl}', "");
Expect(0, 64335, '\P{Is_WB=hl}', "");
Expect(1, 64335, '\P{^Is_WB=hl}', "");
Expect(0, 64336, '\p{Is_WB=hl}', "");
Expect(1, 64336, '\p{^Is_WB=hl}', "");
Expect(1, 64336, '\P{Is_WB=hl}', "");
Expect(0, 64336, '\P{^Is_WB=hl}', "");
Expect(1, 64335, '\p{Is_WB=  HL}', "");
Expect(0, 64335, '\p{^Is_WB=  HL}', "");
Expect(0, 64335, '\P{Is_WB=  HL}', "");
Expect(1, 64335, '\P{^Is_WB=  HL}', "");
Expect(0, 64336, '\p{Is_WB=  HL}', "");
Expect(1, 64336, '\p{^Is_WB=  HL}', "");
Expect(1, 64336, '\P{Is_WB=  HL}', "");
Expect(0, 64336, '\P{^Is_WB=  HL}', "");
Error('\p{Word_Break= KATAKANA/a/}');
Error('\P{Word_Break= KATAKANA/a/}');
Expect(1, 110592, '\p{Word_Break=katakana}', "");
Expect(0, 110592, '\p{^Word_Break=katakana}', "");
Expect(0, 110592, '\P{Word_Break=katakana}', "");
Expect(1, 110592, '\P{^Word_Break=katakana}', "");
Expect(0, 110593, '\p{Word_Break=katakana}', "");
Expect(1, 110593, '\p{^Word_Break=katakana}', "");
Expect(1, 110593, '\P{Word_Break=katakana}', "");
Expect(0, 110593, '\P{^Word_Break=katakana}', "");
Expect(1, 110592, '\p{Word_Break=-	katakana}', "");
Expect(0, 110592, '\p{^Word_Break=-	katakana}', "");
Expect(0, 110592, '\P{Word_Break=-	katakana}', "");
Expect(1, 110592, '\P{^Word_Break=-	katakana}', "");
Expect(0, 110593, '\p{Word_Break=-	katakana}', "");
Expect(1, 110593, '\p{^Word_Break=-	katakana}', "");
Expect(1, 110593, '\P{Word_Break=-	katakana}', "");
Expect(0, 110593, '\P{^Word_Break=-	katakana}', "");
Error('\p{WB=:=_KA}');
Error('\P{WB=:=_KA}');
Expect(1, 110592, '\p{WB=ka}', "");
Expect(0, 110592, '\p{^WB=ka}', "");
Expect(0, 110592, '\P{WB=ka}', "");
Expect(1, 110592, '\P{^WB=ka}', "");
Expect(0, 110593, '\p{WB=ka}', "");
Expect(1, 110593, '\p{^WB=ka}', "");
Expect(1, 110593, '\P{WB=ka}', "");
Expect(0, 110593, '\P{^WB=ka}', "");
Expect(1, 110592, '\p{WB=__KA}', "");
Expect(0, 110592, '\p{^WB=__KA}', "");
Expect(0, 110592, '\P{WB=__KA}', "");
Expect(1, 110592, '\P{^WB=__KA}', "");
Expect(0, 110593, '\p{WB=__KA}', "");
Expect(1, 110593, '\p{^WB=__KA}', "");
Expect(1, 110593, '\P{WB=__KA}', "");
Expect(0, 110593, '\P{^WB=__KA}', "");
Error('\p{Is_Word_Break:   _/a/KATAKANA}');
Error('\P{Is_Word_Break:   _/a/KATAKANA}');
Expect(1, 110592, '\p{Is_Word_Break=katakana}', "");
Expect(0, 110592, '\p{^Is_Word_Break=katakana}', "");
Expect(0, 110592, '\P{Is_Word_Break=katakana}', "");
Expect(1, 110592, '\P{^Is_Word_Break=katakana}', "");
Expect(0, 110593, '\p{Is_Word_Break=katakana}', "");
Expect(1, 110593, '\p{^Is_Word_Break=katakana}', "");
Expect(1, 110593, '\P{Is_Word_Break=katakana}', "");
Expect(0, 110593, '\P{^Is_Word_Break=katakana}', "");
Expect(1, 110592, '\p{Is_Word_Break= _katakana}', "");
Expect(0, 110592, '\p{^Is_Word_Break= _katakana}', "");
Expect(0, 110592, '\P{Is_Word_Break= _katakana}', "");
Expect(1, 110592, '\P{^Is_Word_Break= _katakana}', "");
Expect(0, 110593, '\p{Is_Word_Break= _katakana}', "");
Expect(1, 110593, '\p{^Is_Word_Break= _katakana}', "");
Expect(1, 110593, '\P{Is_Word_Break= _katakana}', "");
Expect(0, 110593, '\P{^Is_Word_Break= _katakana}', "");
Error('\p{Is_WB=/a/KA}');
Error('\P{Is_WB=/a/KA}');
Expect(1, 110592, '\p{Is_WB=ka}', "");
Expect(0, 110592, '\p{^Is_WB=ka}', "");
Expect(0, 110592, '\P{Is_WB=ka}', "");
Expect(1, 110592, '\P{^Is_WB=ka}', "");
Expect(0, 110593, '\p{Is_WB=ka}', "");
Expect(1, 110593, '\p{^Is_WB=ka}', "");
Expect(1, 110593, '\P{Is_WB=ka}', "");
Expect(0, 110593, '\P{^Is_WB=ka}', "");
Expect(1, 110592, '\p{Is_WB=	_KA}', "");
Expect(0, 110592, '\p{^Is_WB=	_KA}', "");
Expect(0, 110592, '\P{Is_WB=	_KA}', "");
Expect(1, 110592, '\P{^Is_WB=	_KA}', "");
Expect(0, 110593, '\p{Is_WB=	_KA}', "");
Expect(1, 110593, '\p{^Is_WB=	_KA}', "");
Expect(1, 110593, '\P{Is_WB=	_KA}', "");
Expect(0, 110593, '\P{^Is_WB=	_KA}', "");
Error('\p{Word_Break:   :=	-ALetter}');
Error('\P{Word_Break:   :=	-ALetter}');
Expect(1, 127369, '\p{Word_Break:aletter}', "");
Expect(0, 127369, '\p{^Word_Break:aletter}', "");
Expect(0, 127369, '\P{Word_Break:aletter}', "");
Expect(1, 127369, '\P{^Word_Break:aletter}', "");
Expect(0, 127370, '\p{Word_Break:aletter}', "");
Expect(1, 127370, '\p{^Word_Break:aletter}', "");
Expect(1, 127370, '\P{Word_Break:aletter}', "");
Expect(0, 127370, '\P{^Word_Break:aletter}', "");
Expect(1, 127369, '\p{Word_Break= ALETTER}', "");
Expect(0, 127369, '\p{^Word_Break= ALETTER}', "");
Expect(0, 127369, '\P{Word_Break= ALETTER}', "");
Expect(1, 127369, '\P{^Word_Break= ALETTER}', "");
Expect(0, 127370, '\p{Word_Break= ALETTER}', "");
Expect(1, 127370, '\p{^Word_Break= ALETTER}', "");
Expect(1, 127370, '\P{Word_Break= ALETTER}', "");
Expect(0, 127370, '\P{^Word_Break= ALETTER}', "");
Error('\p{WB:	 LE/a/}');
Error('\P{WB:	 LE/a/}');
Expect(1, 127369, '\p{WB=le}', "");
Expect(0, 127369, '\p{^WB=le}', "");
Expect(0, 127369, '\P{WB=le}', "");
Expect(1, 127369, '\P{^WB=le}', "");
Expect(0, 127370, '\p{WB=le}', "");
Expect(1, 127370, '\p{^WB=le}', "");
Expect(1, 127370, '\P{WB=le}', "");
Expect(0, 127370, '\P{^WB=le}', "");
Error('\p{Is_Word_Break=-:=aletter}');
Error('\P{Is_Word_Break=-:=aletter}');
Expect(1, 127369, '\p{Is_Word_Break=aletter}', "");
Expect(0, 127369, '\p{^Is_Word_Break=aletter}', "");
Expect(0, 127369, '\P{Is_Word_Break=aletter}', "");
Expect(1, 127369, '\P{^Is_Word_Break=aletter}', "");
Expect(0, 127370, '\p{Is_Word_Break=aletter}', "");
Expect(1, 127370, '\p{^Is_Word_Break=aletter}', "");
Expect(1, 127370, '\P{Is_Word_Break=aletter}', "");
Expect(0, 127370, '\P{^Is_Word_Break=aletter}', "");
Expect(1, 127369, '\p{Is_Word_Break=	ALETTER}', "");
Expect(0, 127369, '\p{^Is_Word_Break=	ALETTER}', "");
Expect(0, 127369, '\P{Is_Word_Break=	ALETTER}', "");
Expect(1, 127369, '\P{^Is_Word_Break=	ALETTER}', "");
Expect(0, 127370, '\p{Is_Word_Break=	ALETTER}', "");
Expect(1, 127370, '\p{^Is_Word_Break=	ALETTER}', "");
Expect(1, 127370, '\P{Is_Word_Break=	ALETTER}', "");
Expect(0, 127370, '\P{^Is_Word_Break=	ALETTER}', "");
Error('\p{Is_WB= -le:=}');
Error('\P{Is_WB= -le:=}');
Expect(1, 127369, '\p{Is_WB=le}', "");
Expect(0, 127369, '\p{^Is_WB=le}', "");
Expect(0, 127369, '\P{Is_WB=le}', "");
Expect(1, 127369, '\P{^Is_WB=le}', "");
Expect(0, 127370, '\p{Is_WB=le}', "");
Expect(1, 127370, '\p{^Is_WB=le}', "");
Expect(1, 127370, '\P{Is_WB=le}', "");
Expect(0, 127370, '\P{^Is_WB=le}', "");
Expect(1, 127369, '\p{Is_WB=LE}', "");
Expect(0, 127369, '\p{^Is_WB=LE}', "");
Expect(0, 127369, '\P{Is_WB=LE}', "");
Expect(1, 127369, '\P{^Is_WB=LE}', "");
Expect(0, 127370, '\p{Is_WB=LE}', "");
Expect(1, 127370, '\p{^Is_WB=LE}', "");
Expect(1, 127370, '\P{Is_WB=LE}', "");
Expect(0, 127370, '\P{^Is_WB=LE}', "");
Error('\p{Word_Break= :=LF}');
Error('\P{Word_Break= :=LF}');
Expect(1, 10, '\p{Word_Break=lf}', "");
Expect(0, 10, '\p{^Word_Break=lf}', "");
Expect(0, 10, '\P{Word_Break=lf}', "");
Expect(1, 10, '\P{^Word_Break=lf}', "");
Expect(0, 11, '\p{Word_Break=lf}', "");
Expect(1, 11, '\p{^Word_Break=lf}', "");
Expect(1, 11, '\P{Word_Break=lf}', "");
Expect(0, 11, '\P{^Word_Break=lf}', "");
Expect(1, 10, '\p{Word_Break:_-LF}', "");
Expect(0, 10, '\p{^Word_Break:_-LF}', "");
Expect(0, 10, '\P{Word_Break:_-LF}', "");
Expect(1, 10, '\P{^Word_Break:_-LF}', "");
Expect(0, 11, '\p{Word_Break:_-LF}', "");
Expect(1, 11, '\p{^Word_Break:_-LF}', "");
Expect(1, 11, '\P{Word_Break:_-LF}', "");
Expect(0, 11, '\P{^Word_Break:_-LF}', "");
Error('\p{WB:_ lf/a/}');
Error('\P{WB:_ lf/a/}');
Expect(1, 10, '\p{WB=lf}', "");
Expect(0, 10, '\p{^WB=lf}', "");
Expect(0, 10, '\P{WB=lf}', "");
Expect(1, 10, '\P{^WB=lf}', "");
Expect(0, 11, '\p{WB=lf}', "");
Expect(1, 11, '\p{^WB=lf}', "");
Expect(1, 11, '\P{WB=lf}', "");
Expect(0, 11, '\P{^WB=lf}', "");
Expect(1, 10, '\p{WB=_ LF}', "");
Expect(0, 10, '\p{^WB=_ LF}', "");
Expect(0, 10, '\P{WB=_ LF}', "");
Expect(1, 10, '\P{^WB=_ LF}', "");
Expect(0, 11, '\p{WB=_ LF}', "");
Expect(1, 11, '\p{^WB=_ LF}', "");
Expect(1, 11, '\P{WB=_ LF}', "");
Expect(0, 11, '\P{^WB=_ LF}', "");
Error('\p{Is_Word_Break=_-LF:=}');
Error('\P{Is_Word_Break=_-LF:=}');
Expect(1, 10, '\p{Is_Word_Break=lf}', "");
Expect(0, 10, '\p{^Is_Word_Break=lf}', "");
Expect(0, 10, '\P{Is_Word_Break=lf}', "");
Expect(1, 10, '\P{^Is_Word_Break=lf}', "");
Expect(0, 11, '\p{Is_Word_Break=lf}', "");
Expect(1, 11, '\p{^Is_Word_Break=lf}', "");
Expect(1, 11, '\P{Is_Word_Break=lf}', "");
Expect(0, 11, '\P{^Is_Word_Break=lf}', "");
Expect(1, 10, '\p{Is_Word_Break=__LF}', "");
Expect(0, 10, '\p{^Is_Word_Break=__LF}', "");
Expect(0, 10, '\P{Is_Word_Break=__LF}', "");
Expect(1, 10, '\P{^Is_Word_Break=__LF}', "");
Expect(0, 11, '\p{Is_Word_Break=__LF}', "");
Expect(1, 11, '\p{^Is_Word_Break=__LF}', "");
Expect(1, 11, '\P{Is_Word_Break=__LF}', "");
Expect(0, 11, '\P{^Is_Word_Break=__LF}', "");
Error('\p{Is_WB= LF:=}');
Error('\P{Is_WB= LF:=}');
Expect(1, 10, '\p{Is_WB=lf}', "");
Expect(0, 10, '\p{^Is_WB=lf}', "");
Expect(0, 10, '\P{Is_WB=lf}', "");
Expect(1, 10, '\P{^Is_WB=lf}', "");
Expect(0, 11, '\p{Is_WB=lf}', "");
Expect(1, 11, '\p{^Is_WB=lf}', "");
Expect(1, 11, '\P{Is_WB=lf}', "");
Expect(0, 11, '\P{^Is_WB=lf}', "");
Expect(1, 10, '\p{Is_WB:   	lf}', "");
Expect(0, 10, '\p{^Is_WB:   	lf}', "");
Expect(0, 10, '\P{Is_WB:   	lf}', "");
Expect(1, 10, '\P{^Is_WB:   	lf}', "");
Expect(0, 11, '\p{Is_WB:   	lf}', "");
Expect(1, 11, '\p{^Is_WB:   	lf}', "");
Expect(1, 11, '\P{Is_WB:   	lf}', "");
Expect(0, 11, '\P{^Is_WB:   	lf}', "");
Error('\p{Word_Break=/a/__MidNumLet}');
Error('\P{Word_Break=/a/__MidNumLet}');
Expect(1, 65294, '\p{Word_Break: midnumlet}', "");
Expect(0, 65294, '\p{^Word_Break: midnumlet}', "");
Expect(0, 65294, '\P{Word_Break: midnumlet}', "");
Expect(1, 65294, '\P{^Word_Break: midnumlet}', "");
Expect(0, 65295, '\p{Word_Break: midnumlet}', "");
Expect(1, 65295, '\p{^Word_Break: midnumlet}', "");
Expect(1, 65295, '\P{Word_Break: midnumlet}', "");
Expect(0, 65295, '\P{^Word_Break: midnumlet}', "");
Expect(1, 65294, '\p{Word_Break= -midnumlet}', "");
Expect(0, 65294, '\p{^Word_Break= -midnumlet}', "");
Expect(0, 65294, '\P{Word_Break= -midnumlet}', "");
Expect(1, 65294, '\P{^Word_Break= -midnumlet}', "");
Expect(0, 65295, '\p{Word_Break= -midnumlet}', "");
Expect(1, 65295, '\p{^Word_Break= -midnumlet}', "");
Expect(1, 65295, '\P{Word_Break= -midnumlet}', "");
Expect(0, 65295, '\P{^Word_Break= -midnumlet}', "");
Error('\p{WB=/a/ 	MB}');
Error('\P{WB=/a/ 	MB}');
Expect(1, 65294, '\p{WB=mb}', "");
Expect(0, 65294, '\p{^WB=mb}', "");
Expect(0, 65294, '\P{WB=mb}', "");
Expect(1, 65294, '\P{^WB=mb}', "");
Expect(0, 65295, '\p{WB=mb}', "");
Expect(1, 65295, '\p{^WB=mb}', "");
Expect(1, 65295, '\P{WB=mb}', "");
Expect(0, 65295, '\P{^WB=mb}', "");
Expect(1, 65294, '\p{WB=-MB}', "");
Expect(0, 65294, '\p{^WB=-MB}', "");
Expect(0, 65294, '\P{WB=-MB}', "");
Expect(1, 65294, '\P{^WB=-MB}', "");
Expect(0, 65295, '\p{WB=-MB}', "");
Expect(1, 65295, '\p{^WB=-MB}', "");
Expect(1, 65295, '\P{WB=-MB}', "");
Expect(0, 65295, '\P{^WB=-MB}', "");
Error('\p{Is_Word_Break=--midnumlet:=}');
Error('\P{Is_Word_Break=--midnumlet:=}');
Expect(1, 65294, '\p{Is_Word_Break=midnumlet}', "");
Expect(0, 65294, '\p{^Is_Word_Break=midnumlet}', "");
Expect(0, 65294, '\P{Is_Word_Break=midnumlet}', "");
Expect(1, 65294, '\P{^Is_Word_Break=midnumlet}', "");
Expect(0, 65295, '\p{Is_Word_Break=midnumlet}', "");
Expect(1, 65295, '\p{^Is_Word_Break=midnumlet}', "");
Expect(1, 65295, '\P{Is_Word_Break=midnumlet}', "");
Expect(0, 65295, '\P{^Is_Word_Break=midnumlet}', "");
Error('\p{Is_WB=_mb:=}');
Error('\P{Is_WB=_mb:=}');
Expect(1, 65294, '\p{Is_WB=mb}', "");
Expect(0, 65294, '\p{^Is_WB=mb}', "");
Expect(0, 65294, '\P{Is_WB=mb}', "");
Expect(1, 65294, '\P{^Is_WB=mb}', "");
Expect(0, 65295, '\p{Is_WB=mb}', "");
Expect(1, 65295, '\p{^Is_WB=mb}', "");
Expect(1, 65295, '\P{Is_WB=mb}', "");
Expect(0, 65295, '\P{^Is_WB=mb}', "");
Expect(1, 65294, '\p{Is_WB=__mb}', "");
Expect(0, 65294, '\p{^Is_WB=__mb}', "");
Expect(0, 65294, '\P{Is_WB=__mb}', "");
Expect(1, 65294, '\P{^Is_WB=__mb}', "");
Expect(0, 65295, '\p{Is_WB=__mb}', "");
Expect(1, 65295, '\p{^Is_WB=__mb}', "");
Expect(1, 65295, '\P{Is_WB=__mb}', "");
Expect(0, 65295, '\P{^Is_WB=__mb}', "");
Error('\p{Word_Break=_midletter:=}');
Error('\P{Word_Break=_midletter:=}');
Expect(1, 65306, '\p{Word_Break=midletter}', "");
Expect(0, 65306, '\p{^Word_Break=midletter}', "");
Expect(0, 65306, '\P{Word_Break=midletter}', "");
Expect(1, 65306, '\P{^Word_Break=midletter}', "");
Expect(0, 65307, '\p{Word_Break=midletter}', "");
Expect(1, 65307, '\p{^Word_Break=midletter}', "");
Expect(1, 65307, '\P{Word_Break=midletter}', "");
Expect(0, 65307, '\P{^Word_Break=midletter}', "");
Expect(1, 65306, '\p{Word_Break=	-MidLetter}', "");
Expect(0, 65306, '\p{^Word_Break=	-MidLetter}', "");
Expect(0, 65306, '\P{Word_Break=	-MidLetter}', "");
Expect(1, 65306, '\P{^Word_Break=	-MidLetter}', "");
Expect(0, 65307, '\p{Word_Break=	-MidLetter}', "");
Expect(1, 65307, '\p{^Word_Break=	-MidLetter}', "");
Expect(1, 65307, '\P{Word_Break=	-MidLetter}', "");
Expect(0, 65307, '\P{^Word_Break=	-MidLetter}', "");
Error('\p{WB=ML:=}');
Error('\P{WB=ML:=}');
Expect(1, 65306, '\p{WB=ml}', "");
Expect(0, 65306, '\p{^WB=ml}', "");
Expect(0, 65306, '\P{WB=ml}', "");
Expect(1, 65306, '\P{^WB=ml}', "");
Expect(0, 65307, '\p{WB=ml}', "");
Expect(1, 65307, '\p{^WB=ml}', "");
Expect(1, 65307, '\P{WB=ml}', "");
Expect(0, 65307, '\P{^WB=ml}', "");
Expect(1, 65306, '\p{WB= ml}', "");
Expect(0, 65306, '\p{^WB= ml}', "");
Expect(0, 65306, '\P{WB= ml}', "");
Expect(1, 65306, '\P{^WB= ml}', "");
Expect(0, 65307, '\p{WB= ml}', "");
Expect(1, 65307, '\p{^WB= ml}', "");
Expect(1, 65307, '\P{WB= ml}', "");
Expect(0, 65307, '\P{^WB= ml}', "");
Error('\p{Is_Word_Break=_/a/MidLetter}');
Error('\P{Is_Word_Break=_/a/MidLetter}');
Expect(1, 65306, '\p{Is_Word_Break:	midletter}', "");
Expect(0, 65306, '\p{^Is_Word_Break:	midletter}', "");
Expect(0, 65306, '\P{Is_Word_Break:	midletter}', "");
Expect(1, 65306, '\P{^Is_Word_Break:	midletter}', "");
Expect(0, 65307, '\p{Is_Word_Break:	midletter}', "");
Expect(1, 65307, '\p{^Is_Word_Break:	midletter}', "");
Expect(1, 65307, '\P{Is_Word_Break:	midletter}', "");
Expect(0, 65307, '\P{^Is_Word_Break:	midletter}', "");
Expect(1, 65306, '\p{Is_Word_Break=- MidLetter}', "");
Expect(0, 65306, '\p{^Is_Word_Break=- MidLetter}', "");
Expect(0, 65306, '\P{Is_Word_Break=- MidLetter}', "");
Expect(1, 65306, '\P{^Is_Word_Break=- MidLetter}', "");
Expect(0, 65307, '\p{Is_Word_Break=- MidLetter}', "");
Expect(1, 65307, '\p{^Is_Word_Break=- MidLetter}', "");
Expect(1, 65307, '\P{Is_Word_Break=- MidLetter}', "");
Expect(0, 65307, '\P{^Is_Word_Break=- MidLetter}', "");
Error('\p{Is_WB=/a/-_ML}');
Error('\P{Is_WB=/a/-_ML}');
Expect(1, 65306, '\p{Is_WB: ml}', "");
Expect(0, 65306, '\p{^Is_WB: ml}', "");
Expect(0, 65306, '\P{Is_WB: ml}', "");
Expect(1, 65306, '\P{^Is_WB: ml}', "");
Expect(0, 65307, '\p{Is_WB: ml}', "");
Expect(1, 65307, '\p{^Is_WB: ml}', "");
Expect(1, 65307, '\P{Is_WB: ml}', "");
Expect(0, 65307, '\P{^Is_WB: ml}', "");
Expect(1, 65306, '\p{Is_WB=	ML}', "");
Expect(0, 65306, '\p{^Is_WB=	ML}', "");
Expect(0, 65306, '\P{Is_WB=	ML}', "");
Expect(1, 65306, '\P{^Is_WB=	ML}', "");
Expect(0, 65307, '\p{Is_WB=	ML}', "");
Expect(1, 65307, '\p{^Is_WB=	ML}', "");
Expect(1, 65307, '\P{Is_WB=	ML}', "");
Expect(0, 65307, '\P{^Is_WB=	ML}', "");
Error('\p{Word_Break:-MidNum:=}');
Error('\P{Word_Break:-MidNum:=}');
Expect(1, 65307, '\p{Word_Break:   midnum}', "");
Expect(0, 65307, '\p{^Word_Break:   midnum}', "");
Expect(0, 65307, '\P{Word_Break:   midnum}', "");
Expect(1, 65307, '\P{^Word_Break:   midnum}', "");
Expect(0, 65308, '\p{Word_Break:   midnum}', "");
Expect(1, 65308, '\p{^Word_Break:   midnum}', "");
Expect(1, 65308, '\P{Word_Break:   midnum}', "");
Expect(0, 65308, '\P{^Word_Break:   midnum}', "");
Expect(1, 65307, '\p{Word_Break:   -MidNum}', "");
Expect(0, 65307, '\p{^Word_Break:   -MidNum}', "");
Expect(0, 65307, '\P{Word_Break:   -MidNum}', "");
Expect(1, 65307, '\P{^Word_Break:   -MidNum}', "");
Expect(0, 65308, '\p{Word_Break:   -MidNum}', "");
Expect(1, 65308, '\p{^Word_Break:   -MidNum}', "");
Expect(1, 65308, '\P{Word_Break:   -MidNum}', "");
Expect(0, 65308, '\P{^Word_Break:   -MidNum}', "");
Error('\p{WB=	_MN/a/}');
Error('\P{WB=	_MN/a/}');
Expect(1, 65307, '\p{WB=mn}', "");
Expect(0, 65307, '\p{^WB=mn}', "");
Expect(0, 65307, '\P{WB=mn}', "");
Expect(1, 65307, '\P{^WB=mn}', "");
Expect(0, 65308, '\p{WB=mn}', "");
Expect(1, 65308, '\p{^WB=mn}', "");
Expect(1, 65308, '\P{WB=mn}', "");
Expect(0, 65308, '\P{^WB=mn}', "");
Expect(1, 65307, '\p{WB=-_MN}', "");
Expect(0, 65307, '\p{^WB=-_MN}', "");
Expect(0, 65307, '\P{WB=-_MN}', "");
Expect(1, 65307, '\P{^WB=-_MN}', "");
Expect(0, 65308, '\p{WB=-_MN}', "");
Expect(1, 65308, '\p{^WB=-_MN}', "");
Expect(1, 65308, '\P{WB=-_MN}', "");
Expect(0, 65308, '\P{^WB=-_MN}', "");
Error('\p{Is_Word_Break= MidNum:=}');
Error('\P{Is_Word_Break= MidNum:=}');
Expect(1, 65307, '\p{Is_Word_Break=midnum}', "");
Expect(0, 65307, '\p{^Is_Word_Break=midnum}', "");
Expect(0, 65307, '\P{Is_Word_Break=midnum}', "");
Expect(1, 65307, '\P{^Is_Word_Break=midnum}', "");
Expect(0, 65308, '\p{Is_Word_Break=midnum}', "");
Expect(1, 65308, '\p{^Is_Word_Break=midnum}', "");
Expect(1, 65308, '\P{Is_Word_Break=midnum}', "");
Expect(0, 65308, '\P{^Is_Word_Break=midnum}', "");
Expect(1, 65307, '\p{Is_Word_Break=_midnum}', "");
Expect(0, 65307, '\p{^Is_Word_Break=_midnum}', "");
Expect(0, 65307, '\P{Is_Word_Break=_midnum}', "");
Expect(1, 65307, '\P{^Is_Word_Break=_midnum}', "");
Expect(0, 65308, '\p{Is_Word_Break=_midnum}', "");
Expect(1, 65308, '\p{^Is_Word_Break=_midnum}', "");
Expect(1, 65308, '\P{Is_Word_Break=_midnum}', "");
Expect(0, 65308, '\P{^Is_Word_Break=_midnum}', "");
Error('\p{Is_WB:	_mn/a/}');
Error('\P{Is_WB:	_mn/a/}');
Expect(1, 65307, '\p{Is_WB=mn}', "");
Expect(0, 65307, '\p{^Is_WB=mn}', "");
Expect(0, 65307, '\P{Is_WB=mn}', "");
Expect(1, 65307, '\P{^Is_WB=mn}', "");
Expect(0, 65308, '\p{Is_WB=mn}', "");
Expect(1, 65308, '\p{^Is_WB=mn}', "");
Expect(1, 65308, '\P{Is_WB=mn}', "");
Expect(0, 65308, '\P{^Is_WB=mn}', "");
Expect(1, 65307, '\p{Is_WB: _MN}', "");
Expect(0, 65307, '\p{^Is_WB: _MN}', "");
Expect(0, 65307, '\P{Is_WB: _MN}', "");
Expect(1, 65307, '\P{^Is_WB: _MN}', "");
Expect(0, 65308, '\p{Is_WB: _MN}', "");
Expect(1, 65308, '\p{^Is_WB: _MN}', "");
Expect(1, 65308, '\P{Is_WB: _MN}', "");
Expect(0, 65308, '\P{^Is_WB: _MN}', "");
Error('\p{Word_Break=	_Newline:=}');
Error('\P{Word_Break=	_Newline:=}');
Expect(1, 8233, '\p{Word_Break:   newline}', "");
Expect(0, 8233, '\p{^Word_Break:   newline}', "");
Expect(0, 8233, '\P{Word_Break:   newline}', "");
Expect(1, 8233, '\P{^Word_Break:   newline}', "");
Expect(0, 8234, '\p{Word_Break:   newline}', "");
Expect(1, 8234, '\p{^Word_Break:   newline}', "");
Expect(1, 8234, '\P{Word_Break:   newline}', "");
Expect(0, 8234, '\P{^Word_Break:   newline}', "");
Expect(1, 8233, '\p{Word_Break=-newline}', "");
Expect(0, 8233, '\p{^Word_Break=-newline}', "");
Expect(0, 8233, '\P{Word_Break=-newline}', "");
Expect(1, 8233, '\P{^Word_Break=-newline}', "");
Expect(0, 8234, '\p{Word_Break=-newline}', "");
Expect(1, 8234, '\p{^Word_Break=-newline}', "");
Expect(1, 8234, '\P{Word_Break=-newline}', "");
Expect(0, 8234, '\P{^Word_Break=-newline}', "");
Error('\p{WB=/a/_-NL}');
Error('\P{WB=/a/_-NL}');
Expect(1, 8233, '\p{WB=nl}', "");
Expect(0, 8233, '\p{^WB=nl}', "");
Expect(0, 8233, '\P{WB=nl}', "");
Expect(1, 8233, '\P{^WB=nl}', "");
Expect(0, 8234, '\p{WB=nl}', "");
Expect(1, 8234, '\p{^WB=nl}', "");
Expect(1, 8234, '\P{WB=nl}', "");
Expect(0, 8234, '\P{^WB=nl}', "");
Expect(1, 8233, '\p{WB: 	NL}', "");
Expect(0, 8233, '\p{^WB: 	NL}', "");
Expect(0, 8233, '\P{WB: 	NL}', "");
Expect(1, 8233, '\P{^WB: 	NL}', "");
Expect(0, 8234, '\p{WB: 	NL}', "");
Expect(1, 8234, '\p{^WB: 	NL}', "");
Expect(1, 8234, '\P{WB: 	NL}', "");
Expect(0, 8234, '\P{^WB: 	NL}', "");
Error('\p{Is_Word_Break=	:=newline}');
Error('\P{Is_Word_Break=	:=newline}');
Expect(1, 8233, '\p{Is_Word_Break:	newline}', "");
Expect(0, 8233, '\p{^Is_Word_Break:	newline}', "");
Expect(0, 8233, '\P{Is_Word_Break:	newline}', "");
Expect(1, 8233, '\P{^Is_Word_Break:	newline}', "");
Expect(0, 8234, '\p{Is_Word_Break:	newline}', "");
Expect(1, 8234, '\p{^Is_Word_Break:	newline}', "");
Expect(1, 8234, '\P{Is_Word_Break:	newline}', "");
Expect(0, 8234, '\P{^Is_Word_Break:	newline}', "");
Expect(1, 8233, '\p{Is_Word_Break= NEWLINE}', "");
Expect(0, 8233, '\p{^Is_Word_Break= NEWLINE}', "");
Expect(0, 8233, '\P{Is_Word_Break= NEWLINE}', "");
Expect(1, 8233, '\P{^Is_Word_Break= NEWLINE}', "");
Expect(0, 8234, '\p{Is_Word_Break= NEWLINE}', "");
Expect(1, 8234, '\p{^Is_Word_Break= NEWLINE}', "");
Expect(1, 8234, '\P{Is_Word_Break= NEWLINE}', "");
Expect(0, 8234, '\P{^Is_Word_Break= NEWLINE}', "");
Error('\p{Is_WB=/a/  NL}');
Error('\P{Is_WB=/a/  NL}');
Expect(1, 8233, '\p{Is_WB=nl}', "");
Expect(0, 8233, '\p{^Is_WB=nl}', "");
Expect(0, 8233, '\P{Is_WB=nl}', "");
Expect(1, 8233, '\P{^Is_WB=nl}', "");
Expect(0, 8234, '\p{Is_WB=nl}', "");
Expect(1, 8234, '\p{^Is_WB=nl}', "");
Expect(1, 8234, '\P{Is_WB=nl}', "");
Expect(0, 8234, '\P{^Is_WB=nl}', "");
Expect(1, 8233, '\p{Is_WB=-	NL}', "");
Expect(0, 8233, '\p{^Is_WB=-	NL}', "");
Expect(0, 8233, '\P{Is_WB=-	NL}', "");
Expect(1, 8233, '\P{^Is_WB=-	NL}', "");
Expect(0, 8234, '\p{Is_WB=-	NL}', "");
Expect(1, 8234, '\p{^Is_WB=-	NL}', "");
Expect(1, 8234, '\P{Is_WB=-	NL}', "");
Expect(0, 8234, '\P{^Is_WB=-	NL}', "");
Error('\p{Word_Break=:=Numeric}');
Error('\P{Word_Break=:=Numeric}');
Expect(1, 120831, '\p{Word_Break=numeric}', "");
Expect(0, 120831, '\p{^Word_Break=numeric}', "");
Expect(0, 120831, '\P{Word_Break=numeric}', "");
Expect(1, 120831, '\P{^Word_Break=numeric}', "");
Expect(0, 120832, '\p{Word_Break=numeric}', "");
Expect(1, 120832, '\p{^Word_Break=numeric}', "");
Expect(1, 120832, '\P{Word_Break=numeric}', "");
Expect(0, 120832, '\P{^Word_Break=numeric}', "");
Expect(1, 120831, '\p{Word_Break= numeric}', "");
Expect(0, 120831, '\p{^Word_Break= numeric}', "");
Expect(0, 120831, '\P{Word_Break= numeric}', "");
Expect(1, 120831, '\P{^Word_Break= numeric}', "");
Expect(0, 120832, '\p{Word_Break= numeric}', "");
Expect(1, 120832, '\p{^Word_Break= numeric}', "");
Expect(1, 120832, '\P{Word_Break= numeric}', "");
Expect(0, 120832, '\P{^Word_Break= numeric}', "");
Error('\p{WB=:=- NU}');
Error('\P{WB=:=- NU}');
Expect(1, 120831, '\p{WB=nu}', "");
Expect(0, 120831, '\p{^WB=nu}', "");
Expect(0, 120831, '\P{WB=nu}', "");
Expect(1, 120831, '\P{^WB=nu}', "");
Expect(0, 120832, '\p{WB=nu}', "");
Expect(1, 120832, '\p{^WB=nu}', "");
Expect(1, 120832, '\P{WB=nu}', "");
Expect(0, 120832, '\P{^WB=nu}', "");
Expect(1, 120831, '\p{WB= _NU}', "");
Expect(0, 120831, '\p{^WB= _NU}', "");
Expect(0, 120831, '\P{WB= _NU}', "");
Expect(1, 120831, '\P{^WB= _NU}', "");
Expect(0, 120832, '\p{WB= _NU}', "");
Expect(1, 120832, '\p{^WB= _NU}', "");
Expect(1, 120832, '\P{WB= _NU}', "");
Expect(0, 120832, '\P{^WB= _NU}', "");
Error('\p{Is_Word_Break:/a/_-numeric}');
Error('\P{Is_Word_Break:/a/_-numeric}');
Expect(1, 120831, '\p{Is_Word_Break=numeric}', "");
Expect(0, 120831, '\p{^Is_Word_Break=numeric}', "");
Expect(0, 120831, '\P{Is_Word_Break=numeric}', "");
Expect(1, 120831, '\P{^Is_Word_Break=numeric}', "");
Expect(0, 120832, '\p{Is_Word_Break=numeric}', "");
Expect(1, 120832, '\p{^Is_Word_Break=numeric}', "");
Expect(1, 120832, '\P{Is_Word_Break=numeric}', "");
Expect(0, 120832, '\P{^Is_Word_Break=numeric}', "");
Expect(1, 120831, '\p{Is_Word_Break= -Numeric}', "");
Expect(0, 120831, '\p{^Is_Word_Break= -Numeric}', "");
Expect(0, 120831, '\P{Is_Word_Break= -Numeric}', "");
Expect(1, 120831, '\P{^Is_Word_Break= -Numeric}', "");
Expect(0, 120832, '\p{Is_Word_Break= -Numeric}', "");
Expect(1, 120832, '\p{^Is_Word_Break= -Numeric}', "");
Expect(1, 120832, '\P{Is_Word_Break= -Numeric}', "");
Expect(0, 120832, '\P{^Is_Word_Break= -Numeric}', "");
Error('\p{Is_WB=--NU:=}');
Error('\P{Is_WB=--NU:=}');
Expect(1, 120831, '\p{Is_WB=nu}', "");
Expect(0, 120831, '\p{^Is_WB=nu}', "");
Expect(0, 120831, '\P{Is_WB=nu}', "");
Expect(1, 120831, '\P{^Is_WB=nu}', "");
Expect(0, 120832, '\p{Is_WB=nu}', "");
Expect(1, 120832, '\p{^Is_WB=nu}', "");
Expect(1, 120832, '\P{Is_WB=nu}', "");
Expect(0, 120832, '\P{^Is_WB=nu}', "");
Expect(1, 120831, '\p{Is_WB: _	nu}', "");
Expect(0, 120831, '\p{^Is_WB: _	nu}', "");
Expect(0, 120831, '\P{Is_WB: _	nu}', "");
Expect(1, 120831, '\P{^Is_WB: _	nu}', "");
Expect(0, 120832, '\p{Is_WB: _	nu}', "");
Expect(1, 120832, '\p{^Is_WB: _	nu}', "");
Expect(1, 120832, '\P{Is_WB: _	nu}', "");
Expect(0, 120832, '\P{^Is_WB: _	nu}', "");
Error('\p{Word_Break=- Regional_INDICATOR:=}');
Error('\P{Word_Break=- Regional_INDICATOR:=}');
Expect(1, 127487, '\p{Word_Break=regionalindicator}', "");
Expect(0, 127487, '\p{^Word_Break=regionalindicator}', "");
Expect(0, 127487, '\P{Word_Break=regionalindicator}', "");
Expect(1, 127487, '\P{^Word_Break=regionalindicator}', "");
Expect(0, 127488, '\p{Word_Break=regionalindicator}', "");
Expect(1, 127488, '\p{^Word_Break=regionalindicator}', "");
Expect(1, 127488, '\P{Word_Break=regionalindicator}', "");
Expect(0, 127488, '\P{^Word_Break=regionalindicator}', "");
Expect(1, 127487, '\p{Word_Break= -Regional_Indicator}', "");
Expect(0, 127487, '\p{^Word_Break= -Regional_Indicator}', "");
Expect(0, 127487, '\P{Word_Break= -Regional_Indicator}', "");
Expect(1, 127487, '\P{^Word_Break= -Regional_Indicator}', "");
Expect(0, 127488, '\p{Word_Break= -Regional_Indicator}', "");
Expect(1, 127488, '\p{^Word_Break= -Regional_Indicator}', "");
Expect(1, 127488, '\P{Word_Break= -Regional_Indicator}', "");
Expect(0, 127488, '\P{^Word_Break= -Regional_Indicator}', "");
Error('\p{WB=_/a/RI}');
Error('\P{WB=_/a/RI}');
Expect(1, 127487, '\p{WB=ri}', "");
Expect(0, 127487, '\p{^WB=ri}', "");
Expect(0, 127487, '\P{WB=ri}', "");
Expect(1, 127487, '\P{^WB=ri}', "");
Expect(0, 127488, '\p{WB=ri}', "");
Expect(1, 127488, '\p{^WB=ri}', "");
Expect(1, 127488, '\P{WB=ri}', "");
Expect(0, 127488, '\P{^WB=ri}', "");
Expect(1, 127487, '\p{WB=-RI}', "");
Expect(0, 127487, '\p{^WB=-RI}', "");
Expect(0, 127487, '\P{WB=-RI}', "");
Expect(1, 127487, '\P{^WB=-RI}', "");
Expect(0, 127488, '\p{WB=-RI}', "");
Expect(1, 127488, '\p{^WB=-RI}', "");
Expect(1, 127488, '\P{WB=-RI}', "");
Expect(0, 127488, '\P{^WB=-RI}', "");
Error('\p{Is_Word_Break=__regional_indicator:=}');
Error('\P{Is_Word_Break=__regional_indicator:=}');
Expect(1, 127487, '\p{Is_Word_Break=regionalindicator}', "");
Expect(0, 127487, '\p{^Is_Word_Break=regionalindicator}', "");
Expect(0, 127487, '\P{Is_Word_Break=regionalindicator}', "");
Expect(1, 127487, '\P{^Is_Word_Break=regionalindicator}', "");
Expect(0, 127488, '\p{Is_Word_Break=regionalindicator}', "");
Expect(1, 127488, '\p{^Is_Word_Break=regionalindicator}', "");
Expect(1, 127488, '\P{Is_Word_Break=regionalindicator}', "");
Expect(0, 127488, '\P{^Is_Word_Break=regionalindicator}', "");
Expect(1, 127487, '\p{Is_Word_Break=	REGIONAL_INDICATOR}', "");
Expect(0, 127487, '\p{^Is_Word_Break=	REGIONAL_INDICATOR}', "");
Expect(0, 127487, '\P{Is_Word_Break=	REGIONAL_INDICATOR}', "");
Expect(1, 127487, '\P{^Is_Word_Break=	REGIONAL_INDICATOR}', "");
Expect(0, 127488, '\p{Is_Word_Break=	REGIONAL_INDICATOR}', "");
Expect(1, 127488, '\p{^Is_Word_Break=	REGIONAL_INDICATOR}', "");
Expect(1, 127488, '\P{Is_Word_Break=	REGIONAL_INDICATOR}', "");
Expect(0, 127488, '\P{^Is_Word_Break=	REGIONAL_INDICATOR}', "");
Error('\p{Is_WB=-_RI:=}');
Error('\P{Is_WB=-_RI:=}');
Expect(1, 127487, '\p{Is_WB=ri}', "");
Expect(0, 127487, '\p{^Is_WB=ri}', "");
Expect(0, 127487, '\P{Is_WB=ri}', "");
Expect(1, 127487, '\P{^Is_WB=ri}', "");
Expect(0, 127488, '\p{Is_WB=ri}', "");
Expect(1, 127488, '\p{^Is_WB=ri}', "");
Expect(1, 127488, '\P{Is_WB=ri}', "");
Expect(0, 127488, '\P{^Is_WB=ri}', "");
Expect(1, 127487, '\p{Is_WB=- RI}', "");
Expect(0, 127487, '\p{^Is_WB=- RI}', "");
Expect(0, 127487, '\P{Is_WB=- RI}', "");
Expect(1, 127487, '\P{^Is_WB=- RI}', "");
Expect(0, 127488, '\p{Is_WB=- RI}', "");
Expect(1, 127488, '\p{^Is_WB=- RI}', "");
Expect(1, 127488, '\P{Is_WB=- RI}', "");
Expect(0, 127488, '\P{^Is_WB=- RI}', "");
Error('\p{Word_Break: :=-	Single_Quote}');
Error('\P{Word_Break: :=-	Single_Quote}');
Expect(1, 39, '\p{Word_Break=singlequote}', "");
Expect(0, 39, '\p{^Word_Break=singlequote}', "");
Expect(0, 39, '\P{Word_Break=singlequote}', "");
Expect(1, 39, '\P{^Word_Break=singlequote}', "");
Expect(0, 40, '\p{Word_Break=singlequote}', "");
Expect(1, 40, '\p{^Word_Break=singlequote}', "");
Expect(1, 40, '\P{Word_Break=singlequote}', "");
Expect(0, 40, '\P{^Word_Break=singlequote}', "");
Expect(1, 39, '\p{Word_Break=-_Single_quote}', "");
Expect(0, 39, '\p{^Word_Break=-_Single_quote}', "");
Expect(0, 39, '\P{Word_Break=-_Single_quote}', "");
Expect(1, 39, '\P{^Word_Break=-_Single_quote}', "");
Expect(0, 40, '\p{Word_Break=-_Single_quote}', "");
Expect(1, 40, '\p{^Word_Break=-_Single_quote}', "");
Expect(1, 40, '\P{Word_Break=-_Single_quote}', "");
Expect(0, 40, '\P{^Word_Break=-_Single_quote}', "");
Error('\p{WB=:= SQ}');
Error('\P{WB=:= SQ}');
Expect(1, 39, '\p{WB=sq}', "");
Expect(0, 39, '\p{^WB=sq}', "");
Expect(0, 39, '\P{WB=sq}', "");
Expect(1, 39, '\P{^WB=sq}', "");
Expect(0, 40, '\p{WB=sq}', "");
Expect(1, 40, '\p{^WB=sq}', "");
Expect(1, 40, '\P{WB=sq}', "");
Expect(0, 40, '\P{^WB=sq}', "");
Expect(1, 39, '\p{WB=	-SQ}', "");
Expect(0, 39, '\p{^WB=	-SQ}', "");
Expect(0, 39, '\P{WB=	-SQ}', "");
Expect(1, 39, '\P{^WB=	-SQ}', "");
Expect(0, 40, '\p{WB=	-SQ}', "");
Expect(1, 40, '\p{^WB=	-SQ}', "");
Expect(1, 40, '\P{WB=	-SQ}', "");
Expect(0, 40, '\P{^WB=	-SQ}', "");
Error('\p{Is_Word_Break=:= -single_Quote}');
Error('\P{Is_Word_Break=:= -single_Quote}');
Expect(1, 39, '\p{Is_Word_Break=singlequote}', "");
Expect(0, 39, '\p{^Is_Word_Break=singlequote}', "");
Expect(0, 39, '\P{Is_Word_Break=singlequote}', "");
Expect(1, 39, '\P{^Is_Word_Break=singlequote}', "");
Expect(0, 40, '\p{Is_Word_Break=singlequote}', "");
Expect(1, 40, '\p{^Is_Word_Break=singlequote}', "");
Expect(1, 40, '\P{Is_Word_Break=singlequote}', "");
Expect(0, 40, '\P{^Is_Word_Break=singlequote}', "");
Expect(1, 39, '\p{Is_Word_Break=	_Single_Quote}', "");
Expect(0, 39, '\p{^Is_Word_Break=	_Single_Quote}', "");
Expect(0, 39, '\P{Is_Word_Break=	_Single_Quote}', "");
Expect(1, 39, '\P{^Is_Word_Break=	_Single_Quote}', "");
Expect(0, 40, '\p{Is_Word_Break=	_Single_Quote}', "");
Expect(1, 40, '\p{^Is_Word_Break=	_Single_Quote}', "");
Expect(1, 40, '\P{Is_Word_Break=	_Single_Quote}', "");
Expect(0, 40, '\P{^Is_Word_Break=	_Single_Quote}', "");
Error('\p{Is_WB=/a/ SQ}');
Error('\P{Is_WB=/a/ SQ}');
Expect(1, 39, '\p{Is_WB=sq}', "");
Expect(0, 39, '\p{^Is_WB=sq}', "");
Expect(0, 39, '\P{Is_WB=sq}', "");
Expect(1, 39, '\P{^Is_WB=sq}', "");
Expect(0, 40, '\p{Is_WB=sq}', "");
Expect(1, 40, '\p{^Is_WB=sq}', "");
Expect(1, 40, '\P{Is_WB=sq}', "");
Expect(0, 40, '\P{^Is_WB=sq}', "");
Expect(1, 39, '\p{Is_WB= sq}', "");
Expect(0, 39, '\p{^Is_WB= sq}', "");
Expect(0, 39, '\P{Is_WB= sq}', "");
Expect(1, 39, '\P{^Is_WB= sq}', "");
Expect(0, 40, '\p{Is_WB= sq}', "");
Expect(1, 40, '\p{^Is_WB= sq}', "");
Expect(1, 40, '\P{Is_WB= sq}', "");
Expect(0, 40, '\P{^Is_WB= sq}', "");
Error('\p{Word_Break=/a/-other}');
Error('\P{Word_Break=/a/-other}');
Expect(1, 918000, '\p{Word_Break=other}', "");
Expect(0, 918000, '\p{^Word_Break=other}', "");
Expect(0, 918000, '\P{Word_Break=other}', "");
Expect(1, 918000, '\P{^Word_Break=other}', "");
Expect(0, 917999, '\p{Word_Break=other}', "");
Expect(1, 917999, '\p{^Word_Break=other}', "");
Expect(1, 917999, '\P{Word_Break=other}', "");
Expect(0, 917999, '\P{^Word_Break=other}', "");
Expect(1, 918000, '\p{Word_Break=	OTHER}', "");
Expect(0, 918000, '\p{^Word_Break=	OTHER}', "");
Expect(0, 918000, '\P{Word_Break=	OTHER}', "");
Expect(1, 918000, '\P{^Word_Break=	OTHER}', "");
Expect(0, 917999, '\p{Word_Break=	OTHER}', "");
Expect(1, 917999, '\p{^Word_Break=	OTHER}', "");
Expect(1, 917999, '\P{Word_Break=	OTHER}', "");
Expect(0, 917999, '\P{^Word_Break=	OTHER}', "");
Error('\p{WB=_-XX:=}');
Error('\P{WB=_-XX:=}');
Expect(1, 918000, '\p{WB=xx}', "");
Expect(0, 918000, '\p{^WB=xx}', "");
Expect(0, 918000, '\P{WB=xx}', "");
Expect(1, 918000, '\P{^WB=xx}', "");
Expect(0, 917999, '\p{WB=xx}', "");
Expect(1, 917999, '\p{^WB=xx}', "");
Expect(1, 917999, '\P{WB=xx}', "");
Expect(0, 917999, '\P{^WB=xx}', "");
Expect(1, 918000, '\p{WB=	_xx}', "");
Expect(0, 918000, '\p{^WB=	_xx}', "");
Expect(0, 918000, '\P{WB=	_xx}', "");
Expect(1, 918000, '\P{^WB=	_xx}', "");
Expect(0, 917999, '\p{WB=	_xx}', "");
Expect(1, 917999, '\p{^WB=	_xx}', "");
Expect(1, 917999, '\P{WB=	_xx}', "");
Expect(0, 917999, '\P{^WB=	_xx}', "");
Error('\p{Is_Word_Break=:=_-Other}');
Error('\P{Is_Word_Break=:=_-Other}');
Expect(1, 918000, '\p{Is_Word_Break=other}', "");
Expect(0, 918000, '\p{^Is_Word_Break=other}', "");
Expect(0, 918000, '\P{Is_Word_Break=other}', "");
Expect(1, 918000, '\P{^Is_Word_Break=other}', "");
Expect(0, 917999, '\p{Is_Word_Break=other}', "");
Expect(1, 917999, '\p{^Is_Word_Break=other}', "");
Expect(1, 917999, '\P{Is_Word_Break=other}', "");
Expect(0, 917999, '\P{^Is_Word_Break=other}', "");
Expect(1, 918000, '\p{Is_Word_Break=_other}', "");
Expect(0, 918000, '\p{^Is_Word_Break=_other}', "");
Expect(0, 918000, '\P{Is_Word_Break=_other}', "");
Expect(1, 918000, '\P{^Is_Word_Break=_other}', "");
Expect(0, 917999, '\p{Is_Word_Break=_other}', "");
Expect(1, 917999, '\p{^Is_Word_Break=_other}', "");
Expect(1, 917999, '\P{Is_Word_Break=_other}', "");
Expect(0, 917999, '\P{^Is_Word_Break=_other}', "");
Error('\p{Is_WB=:=XX}');
Error('\P{Is_WB=:=XX}');
Expect(1, 918000, '\p{Is_WB=xx}', "");
Expect(0, 918000, '\p{^Is_WB=xx}', "");
Expect(0, 918000, '\P{Is_WB=xx}', "");
Expect(1, 918000, '\P{^Is_WB=xx}', "");
Expect(0, 917999, '\p{Is_WB=xx}', "");
Expect(1, 917999, '\p{^Is_WB=xx}', "");
Expect(1, 917999, '\P{Is_WB=xx}', "");
Expect(0, 917999, '\P{^Is_WB=xx}', "");
Expect(1, 918000, '\p{Is_WB:	 -XX}', "");
Expect(0, 918000, '\p{^Is_WB:	 -XX}', "");
Expect(0, 918000, '\P{Is_WB:	 -XX}', "");
Expect(1, 918000, '\P{^Is_WB:	 -XX}', "");
Expect(0, 917999, '\p{Is_WB:	 -XX}', "");
Expect(1, 917999, '\p{^Is_WB:	 -XX}', "");
Expect(1, 917999, '\P{Is_WB:	 -XX}', "");
Expect(0, 917999, '\P{^Is_WB:	 -XX}', "");
Error('\p{White_Space=-/a/No}');
Error('\P{White_Space=-/a/No}');
Expect(1, 12289, '\p{White_Space=no}', "");
Expect(0, 12289, '\p{^White_Space=no}', "");
Expect(0, 12289, '\P{White_Space=no}', "");
Expect(1, 12289, '\P{^White_Space=no}', "");
Expect(0, 12288, '\p{White_Space=no}', "");
Expect(1, 12288, '\p{^White_Space=no}', "");
Expect(1, 12288, '\P{White_Space=no}', "");
Expect(0, 12288, '\P{^White_Space=no}', "");
Expect(1, 12289, '\p{White_Space=-NO}', "");
Expect(0, 12289, '\p{^White_Space=-NO}', "");
Expect(0, 12289, '\P{White_Space=-NO}', "");
Expect(1, 12289, '\P{^White_Space=-NO}', "");
Expect(0, 12288, '\p{White_Space=-NO}', "");
Expect(1, 12288, '\p{^White_Space=-NO}', "");
Expect(1, 12288, '\P{White_Space=-NO}', "");
Expect(0, 12288, '\P{^White_Space=-NO}', "");
Error('\p{WSpace=_/a/n}');
Error('\P{WSpace=_/a/n}');
Expect(1, 12289, '\p{WSpace=n}', "");
Expect(0, 12289, '\p{^WSpace=n}', "");
Expect(0, 12289, '\P{WSpace=n}', "");
Expect(1, 12289, '\P{^WSpace=n}', "");
Expect(0, 12288, '\p{WSpace=n}', "");
Expect(1, 12288, '\p{^WSpace=n}', "");
Expect(1, 12288, '\P{WSpace=n}', "");
Expect(0, 12288, '\P{^WSpace=n}', "");
Expect(1, 12289, '\p{WSpace:   -	N}', "");
Expect(0, 12289, '\p{^WSpace:   -	N}', "");
Expect(0, 12289, '\P{WSpace:   -	N}', "");
Expect(1, 12289, '\P{^WSpace:   -	N}', "");
Expect(0, 12288, '\p{WSpace:   -	N}', "");
Expect(1, 12288, '\p{^WSpace:   -	N}', "");
Expect(1, 12288, '\P{WSpace:   -	N}', "");
Expect(0, 12288, '\P{^WSpace:   -	N}', "");
Error('\p{Space=/a/_ f}');
Error('\P{Space=/a/_ f}');
Expect(1, 12289, '\p{Space: f}', "");
Expect(0, 12289, '\p{^Space: f}', "");
Expect(0, 12289, '\P{Space: f}', "");
Expect(1, 12289, '\P{^Space: f}', "");
Expect(0, 12288, '\p{Space: f}', "");
Expect(1, 12288, '\p{^Space: f}', "");
Expect(1, 12288, '\P{Space: f}', "");
Expect(0, 12288, '\P{^Space: f}', "");
Expect(1, 12289, '\p{Space=	F}', "");
Expect(0, 12289, '\p{^Space=	F}', "");
Expect(0, 12289, '\P{Space=	F}', "");
Expect(1, 12289, '\P{^Space=	F}', "");
Expect(0, 12288, '\p{Space=	F}', "");
Expect(1, 12288, '\p{^Space=	F}', "");
Expect(1, 12288, '\P{Space=	F}', "");
Expect(0, 12288, '\P{^Space=	F}', "");
Error('\p{Is_White_Space=-:=false}');
Error('\P{Is_White_Space=-:=false}');
Expect(1, 12289, '\p{Is_White_Space:false}', "");
Expect(0, 12289, '\p{^Is_White_Space:false}', "");
Expect(0, 12289, '\P{Is_White_Space:false}', "");
Expect(1, 12289, '\P{^Is_White_Space:false}', "");
Expect(0, 12288, '\p{Is_White_Space:false}', "");
Expect(1, 12288, '\p{^Is_White_Space:false}', "");
Expect(1, 12288, '\P{Is_White_Space:false}', "");
Expect(0, 12288, '\P{^Is_White_Space:false}', "");
Expect(1, 12289, '\p{Is_White_Space=	_False}', "");
Expect(0, 12289, '\p{^Is_White_Space=	_False}', "");
Expect(0, 12289, '\P{Is_White_Space=	_False}', "");
Expect(1, 12289, '\P{^Is_White_Space=	_False}', "");
Expect(0, 12288, '\p{Is_White_Space=	_False}', "");
Expect(1, 12288, '\p{^Is_White_Space=	_False}', "");
Expect(1, 12288, '\P{Is_White_Space=	_False}', "");
Expect(0, 12288, '\P{^Is_White_Space=	_False}', "");
Error('\p{Is_WSpace=	no:=}');
Error('\P{Is_WSpace=	no:=}');
Expect(1, 12289, '\p{Is_WSpace=no}', "");
Expect(0, 12289, '\p{^Is_WSpace=no}', "");
Expect(0, 12289, '\P{Is_WSpace=no}', "");
Expect(1, 12289, '\P{^Is_WSpace=no}', "");
Expect(0, 12288, '\p{Is_WSpace=no}', "");
Expect(1, 12288, '\p{^Is_WSpace=no}', "");
Expect(1, 12288, '\P{Is_WSpace=no}', "");
Expect(0, 12288, '\P{^Is_WSpace=no}', "");
Expect(1, 12289, '\p{Is_WSpace=	-NO}', "");
Expect(0, 12289, '\p{^Is_WSpace=	-NO}', "");
Expect(0, 12289, '\P{Is_WSpace=	-NO}', "");
Expect(1, 12289, '\P{^Is_WSpace=	-NO}', "");
Expect(0, 12288, '\p{Is_WSpace=	-NO}', "");
Expect(1, 12288, '\p{^Is_WSpace=	-NO}', "");
Expect(1, 12288, '\P{Is_WSpace=	-NO}', "");
Expect(0, 12288, '\P{^Is_WSpace=	-NO}', "");
Error('\p{Is_Space=:=N}');
Error('\P{Is_Space=:=N}');
Expect(1, 12289, '\p{Is_Space=n}', "");
Expect(0, 12289, '\p{^Is_Space=n}', "");
Expect(0, 12289, '\P{Is_Space=n}', "");
Expect(1, 12289, '\P{^Is_Space=n}', "");
Expect(0, 12288, '\p{Is_Space=n}', "");
Expect(1, 12288, '\p{^Is_Space=n}', "");
Expect(1, 12288, '\P{Is_Space=n}', "");
Expect(0, 12288, '\P{^Is_Space=n}', "");
Expect(1, 12289, '\p{Is_Space=	 N}', "");
Expect(0, 12289, '\p{^Is_Space=	 N}', "");
Expect(0, 12289, '\P{Is_Space=	 N}', "");
Expect(1, 12289, '\P{^Is_Space=	 N}', "");
Expect(0, 12288, '\p{Is_Space=	 N}', "");
Expect(1, 12288, '\p{^Is_Space=	 N}', "");
Expect(1, 12288, '\P{Is_Space=	 N}', "");
Expect(0, 12288, '\P{^Is_Space=	 N}', "");
Error('\p{White_Space=	yes/a/}');
Error('\P{White_Space=	yes/a/}');
Expect(1, 12288, '\p{White_Space=yes}', "");
Expect(0, 12288, '\p{^White_Space=yes}', "");
Expect(0, 12288, '\P{White_Space=yes}', "");
Expect(1, 12288, '\P{^White_Space=yes}', "");
Expect(0, 12289, '\p{White_Space=yes}', "");
Expect(1, 12289, '\p{^White_Space=yes}', "");
Expect(1, 12289, '\P{White_Space=yes}', "");
Expect(0, 12289, '\P{^White_Space=yes}', "");
Expect(1, 12288, '\p{White_Space=-Yes}', "");
Expect(0, 12288, '\p{^White_Space=-Yes}', "");
Expect(0, 12288, '\P{White_Space=-Yes}', "");
Expect(1, 12288, '\P{^White_Space=-Yes}', "");
Expect(0, 12289, '\p{White_Space=-Yes}', "");
Expect(1, 12289, '\p{^White_Space=-Yes}', "");
Expect(1, 12289, '\P{White_Space=-Yes}', "");
Expect(0, 12289, '\P{^White_Space=-Yes}', "");
Error('\p{WSpace=/a/_Y}');
Error('\P{WSpace=/a/_Y}');
Expect(1, 12288, '\p{WSpace=y}', "");
Expect(0, 12288, '\p{^WSpace=y}', "");
Expect(0, 12288, '\P{WSpace=y}', "");
Expect(1, 12288, '\P{^WSpace=y}', "");
Expect(0, 12289, '\p{WSpace=y}', "");
Expect(1, 12289, '\p{^WSpace=y}', "");
Expect(1, 12289, '\P{WSpace=y}', "");
Expect(0, 12289, '\P{^WSpace=y}', "");
Expect(1, 12288, '\p{WSpace=__Y}', "");
Expect(0, 12288, '\p{^WSpace=__Y}', "");
Expect(0, 12288, '\P{WSpace=__Y}', "");
Expect(1, 12288, '\P{^WSpace=__Y}', "");
Expect(0, 12289, '\p{WSpace=__Y}', "");
Expect(1, 12289, '\p{^WSpace=__Y}', "");
Expect(1, 12289, '\P{WSpace=__Y}', "");
Expect(0, 12289, '\P{^WSpace=__Y}', "");
Error('\p{Space= T:=}');
Error('\P{Space= T:=}');
Expect(1, 12288, '\p{Space:t}', "");
Expect(0, 12288, '\p{^Space:t}', "");
Expect(0, 12288, '\P{Space:t}', "");
Expect(1, 12288, '\P{^Space:t}', "");
Expect(0, 12289, '\p{Space:t}', "");
Expect(1, 12289, '\p{^Space:t}', "");
Expect(1, 12289, '\P{Space:t}', "");
Expect(0, 12289, '\P{^Space:t}', "");
Expect(1, 12288, '\p{Space=	T}', "");
Expect(0, 12288, '\p{^Space=	T}', "");
Expect(0, 12288, '\P{Space=	T}', "");
Expect(1, 12288, '\P{^Space=	T}', "");
Expect(0, 12289, '\p{Space=	T}', "");
Expect(1, 12289, '\p{^Space=	T}', "");
Expect(1, 12289, '\P{Space=	T}', "");
Expect(0, 12289, '\P{^Space=	T}', "");
Error('\p{Is_White_Space=:=	-true}');
Error('\P{Is_White_Space=:=	-true}');
Expect(1, 12288, '\p{Is_White_Space=true}', "");
Expect(0, 12288, '\p{^Is_White_Space=true}', "");
Expect(0, 12288, '\P{Is_White_Space=true}', "");
Expect(1, 12288, '\P{^Is_White_Space=true}', "");
Expect(0, 12289, '\p{Is_White_Space=true}', "");
Expect(1, 12289, '\p{^Is_White_Space=true}', "");
Expect(1, 12289, '\P{Is_White_Space=true}', "");
Expect(0, 12289, '\P{^Is_White_Space=true}', "");
Expect(1, 12288, '\p{Is_White_Space=	-True}', "");
Expect(0, 12288, '\p{^Is_White_Space=	-True}', "");
Expect(0, 12288, '\P{Is_White_Space=	-True}', "");
Expect(1, 12288, '\P{^Is_White_Space=	-True}', "");
Expect(0, 12289, '\p{Is_White_Space=	-True}', "");
Expect(1, 12289, '\p{^Is_White_Space=	-True}', "");
Expect(1, 12289, '\P{Is_White_Space=	-True}', "");
Expect(0, 12289, '\P{^Is_White_Space=	-True}', "");
Error('\p{Is_WSpace=--YES:=}');
Error('\P{Is_WSpace=--YES:=}');
Expect(1, 12288, '\p{Is_WSpace=yes}', "");
Expect(0, 12288, '\p{^Is_WSpace=yes}', "");
Expect(0, 12288, '\P{Is_WSpace=yes}', "");
Expect(1, 12288, '\P{^Is_WSpace=yes}', "");
Expect(0, 12289, '\p{Is_WSpace=yes}', "");
Expect(1, 12289, '\p{^Is_WSpace=yes}', "");
Expect(1, 12289, '\P{Is_WSpace=yes}', "");
Expect(0, 12289, '\P{^Is_WSpace=yes}', "");
Expect(1, 12288, '\p{Is_WSpace= yes}', "");
Expect(0, 12288, '\p{^Is_WSpace= yes}', "");
Expect(0, 12288, '\P{Is_WSpace= yes}', "");
Expect(1, 12288, '\P{^Is_WSpace= yes}', "");
Expect(0, 12289, '\p{Is_WSpace= yes}', "");
Expect(1, 12289, '\p{^Is_WSpace= yes}', "");
Expect(1, 12289, '\P{Is_WSpace= yes}', "");
Expect(0, 12289, '\P{^Is_WSpace= yes}', "");
Error('\p{Is_Space=:=	-Y}');
Error('\P{Is_Space=:=	-Y}');
Expect(1, 12288, '\p{Is_Space=y}', "");
Expect(0, 12288, '\p{^Is_Space=y}', "");
Expect(0, 12288, '\P{Is_Space=y}', "");
Expect(1, 12288, '\P{^Is_Space=y}', "");
Expect(0, 12289, '\p{Is_Space=y}', "");
Expect(1, 12289, '\p{^Is_Space=y}', "");
Expect(1, 12289, '\P{Is_Space=y}', "");
Expect(0, 12289, '\P{^Is_Space=y}', "");
Expect(1, 12288, '\p{Is_Space=--y}', "");
Expect(0, 12288, '\p{^Is_Space=--y}', "");
Expect(0, 12288, '\P{Is_Space=--y}', "");
Expect(1, 12288, '\P{^Is_Space=--y}', "");
Expect(0, 12289, '\p{Is_Space=--y}', "");
Expect(1, 12289, '\p{^Is_Space=--y}', "");
Expect(1, 12289, '\P{Is_Space=--y}', "");
Expect(0, 12289, '\P{^Is_Space=--y}', "");
Error('\p{XID_Continue= _No/a/}');
Error('\P{XID_Continue= _No/a/}');
Expect(1, 918000, '\p{XID_Continue=no}', "");
Expect(0, 918000, '\p{^XID_Continue=no}', "");
Expect(0, 918000, '\P{XID_Continue=no}', "");
Expect(1, 918000, '\P{^XID_Continue=no}', "");
Expect(0, 917999, '\p{XID_Continue=no}', "");
Expect(1, 917999, '\p{^XID_Continue=no}', "");
Expect(1, 917999, '\P{XID_Continue=no}', "");
Expect(0, 917999, '\P{^XID_Continue=no}', "");
Expect(1, 918000, '\p{XID_Continue:		NO}', "");
Expect(0, 918000, '\p{^XID_Continue:		NO}', "");
Expect(0, 918000, '\P{XID_Continue:		NO}', "");
Expect(1, 918000, '\P{^XID_Continue:		NO}', "");
Expect(0, 917999, '\p{XID_Continue:		NO}', "");
Expect(1, 917999, '\p{^XID_Continue:		NO}', "");
Expect(1, 917999, '\P{XID_Continue:		NO}', "");
Expect(0, 917999, '\P{^XID_Continue:		NO}', "");
Error('\p{XIDC=/a/_N}');
Error('\P{XIDC=/a/_N}');
Expect(1, 918000, '\p{XIDC=n}', "");
Expect(0, 918000, '\p{^XIDC=n}', "");
Expect(0, 918000, '\P{XIDC=n}', "");
Expect(1, 918000, '\P{^XIDC=n}', "");
Expect(0, 917999, '\p{XIDC=n}', "");
Expect(1, 917999, '\p{^XIDC=n}', "");
Expect(1, 917999, '\P{XIDC=n}', "");
Expect(0, 917999, '\P{^XIDC=n}', "");
Expect(1, 918000, '\p{XIDC=	N}', "");
Expect(0, 918000, '\p{^XIDC=	N}', "");
Expect(0, 918000, '\P{XIDC=	N}', "");
Expect(1, 918000, '\P{^XIDC=	N}', "");
Expect(0, 917999, '\p{XIDC=	N}', "");
Expect(1, 917999, '\p{^XIDC=	N}', "");
Expect(1, 917999, '\P{XIDC=	N}', "");
Expect(0, 917999, '\P{^XIDC=	N}', "");
Error('\p{Is_XID_Continue=--F:=}');
Error('\P{Is_XID_Continue=--F:=}');
Expect(1, 918000, '\p{Is_XID_Continue=f}', "");
Expect(0, 918000, '\p{^Is_XID_Continue=f}', "");
Expect(0, 918000, '\P{Is_XID_Continue=f}', "");
Expect(1, 918000, '\P{^Is_XID_Continue=f}', "");
Expect(0, 917999, '\p{Is_XID_Continue=f}', "");
Expect(1, 917999, '\p{^Is_XID_Continue=f}', "");
Expect(1, 917999, '\P{Is_XID_Continue=f}', "");
Expect(0, 917999, '\P{^Is_XID_Continue=f}', "");
Expect(1, 918000, '\p{Is_XID_Continue= _F}', "");
Expect(0, 918000, '\p{^Is_XID_Continue= _F}', "");
Expect(0, 918000, '\P{Is_XID_Continue= _F}', "");
Expect(1, 918000, '\P{^Is_XID_Continue= _F}', "");
Expect(0, 917999, '\p{Is_XID_Continue= _F}', "");
Expect(1, 917999, '\p{^Is_XID_Continue= _F}', "");
Expect(1, 917999, '\P{Is_XID_Continue= _F}', "");
Expect(0, 917999, '\P{^Is_XID_Continue= _F}', "");
Error('\p{Is_XIDC:False:=}');
Error('\P{Is_XIDC:False:=}');
Expect(1, 918000, '\p{Is_XIDC:	false}', "");
Expect(0, 918000, '\p{^Is_XIDC:	false}', "");
Expect(0, 918000, '\P{Is_XIDC:	false}', "");
Expect(1, 918000, '\P{^Is_XIDC:	false}', "");
Expect(0, 917999, '\p{Is_XIDC:	false}', "");
Expect(1, 917999, '\p{^Is_XIDC:	false}', "");
Expect(1, 917999, '\P{Is_XIDC:	false}', "");
Expect(0, 917999, '\P{^Is_XIDC:	false}', "");
Expect(1, 918000, '\p{Is_XIDC=-False}', "");
Expect(0, 918000, '\p{^Is_XIDC=-False}', "");
Expect(0, 918000, '\P{Is_XIDC=-False}', "");
Expect(1, 918000, '\P{^Is_XIDC=-False}', "");
Expect(0, 917999, '\p{Is_XIDC=-False}', "");
Expect(1, 917999, '\p{^Is_XIDC=-False}', "");
Expect(1, 917999, '\P{Is_XIDC=-False}', "");
Expect(0, 917999, '\P{^Is_XIDC=-False}', "");
Error('\p{XID_Continue=-	Yes/a/}');
Error('\P{XID_Continue=-	Yes/a/}');
Expect(1, 917999, '\p{XID_Continue: yes}', "");
Expect(0, 917999, '\p{^XID_Continue: yes}', "");
Expect(0, 917999, '\P{XID_Continue: yes}', "");
Expect(1, 917999, '\P{^XID_Continue: yes}', "");
Expect(0, 918000, '\p{XID_Continue: yes}', "");
Expect(1, 918000, '\p{^XID_Continue: yes}', "");
Expect(1, 918000, '\P{XID_Continue: yes}', "");
Expect(0, 918000, '\P{^XID_Continue: yes}', "");
Expect(1, 917999, '\p{XID_Continue= Yes}', "");
Expect(0, 917999, '\p{^XID_Continue= Yes}', "");
Expect(0, 917999, '\P{XID_Continue= Yes}', "");
Expect(1, 917999, '\P{^XID_Continue= Yes}', "");
Expect(0, 918000, '\p{XID_Continue= Yes}', "");
Expect(1, 918000, '\p{^XID_Continue= Yes}', "");
Expect(1, 918000, '\P{XID_Continue= Yes}', "");
Expect(0, 918000, '\P{^XID_Continue= Yes}', "");
Error('\p{XIDC=  Y:=}');
Error('\P{XIDC=  Y:=}');
Expect(1, 917999, '\p{XIDC=y}', "");
Expect(0, 917999, '\p{^XIDC=y}', "");
Expect(0, 917999, '\P{XIDC=y}', "");
Expect(1, 917999, '\P{^XIDC=y}', "");
Expect(0, 918000, '\p{XIDC=y}', "");
Expect(1, 918000, '\p{^XIDC=y}', "");
Expect(1, 918000, '\P{XIDC=y}', "");
Expect(0, 918000, '\P{^XIDC=y}', "");
Expect(1, 917999, '\p{XIDC=  Y}', "");
Expect(0, 917999, '\p{^XIDC=  Y}', "");
Expect(0, 917999, '\P{XIDC=  Y}', "");
Expect(1, 917999, '\P{^XIDC=  Y}', "");
Expect(0, 918000, '\p{XIDC=  Y}', "");
Expect(1, 918000, '\p{^XIDC=  Y}', "");
Expect(1, 918000, '\P{XIDC=  Y}', "");
Expect(0, 918000, '\P{^XIDC=  Y}', "");
Error('\p{Is_XID_Continue= -T/a/}');
Error('\P{Is_XID_Continue= -T/a/}');
Expect(1, 917999, '\p{Is_XID_Continue=t}', "");
Expect(0, 917999, '\p{^Is_XID_Continue=t}', "");
Expect(0, 917999, '\P{Is_XID_Continue=t}', "");
Expect(1, 917999, '\P{^Is_XID_Continue=t}', "");
Expect(0, 918000, '\p{Is_XID_Continue=t}', "");
Expect(1, 918000, '\p{^Is_XID_Continue=t}', "");
Expect(1, 918000, '\P{Is_XID_Continue=t}', "");
Expect(0, 918000, '\P{^Is_XID_Continue=t}', "");
Expect(1, 917999, '\p{Is_XID_Continue=	_t}', "");
Expect(0, 917999, '\p{^Is_XID_Continue=	_t}', "");
Expect(0, 917999, '\P{Is_XID_Continue=	_t}', "");
Expect(1, 917999, '\P{^Is_XID_Continue=	_t}', "");
Expect(0, 918000, '\p{Is_XID_Continue=	_t}', "");
Expect(1, 918000, '\p{^Is_XID_Continue=	_t}', "");
Expect(1, 918000, '\P{Is_XID_Continue=	_t}', "");
Expect(0, 918000, '\P{^Is_XID_Continue=	_t}', "");
Error('\p{Is_XIDC=:=_ True}');
Error('\P{Is_XIDC=:=_ True}');
Expect(1, 917999, '\p{Is_XIDC=true}', "");
Expect(0, 917999, '\p{^Is_XIDC=true}', "");
Expect(0, 917999, '\P{Is_XIDC=true}', "");
Expect(1, 917999, '\P{^Is_XIDC=true}', "");
Expect(0, 918000, '\p{Is_XIDC=true}', "");
Expect(1, 918000, '\p{^Is_XIDC=true}', "");
Expect(1, 918000, '\P{Is_XIDC=true}', "");
Expect(0, 918000, '\P{^Is_XIDC=true}', "");
Expect(1, 917999, '\p{Is_XIDC=_TRUE}', "");
Expect(0, 917999, '\p{^Is_XIDC=_TRUE}', "");
Expect(0, 917999, '\P{Is_XIDC=_TRUE}', "");
Expect(1, 917999, '\P{^Is_XIDC=_TRUE}', "");
Expect(0, 918000, '\p{Is_XIDC=_TRUE}', "");
Expect(1, 918000, '\p{^Is_XIDC=_TRUE}', "");
Expect(1, 918000, '\P{Is_XIDC=_TRUE}', "");
Expect(0, 918000, '\P{^Is_XIDC=_TRUE}', "");
Error('\p{XID_Start=/a/	 NO}');
Error('\P{XID_Start=/a/	 NO}');
Expect(1, 195102, '\p{XID_Start=no}', "");
Expect(0, 195102, '\p{^XID_Start=no}', "");
Expect(0, 195102, '\P{XID_Start=no}', "");
Expect(1, 195102, '\P{^XID_Start=no}', "");
Expect(0, 195101, '\p{XID_Start=no}', "");
Expect(1, 195101, '\p{^XID_Start=no}', "");
Expect(1, 195101, '\P{XID_Start=no}', "");
Expect(0, 195101, '\P{^XID_Start=no}', "");
Expect(1, 195102, '\p{XID_Start=_-No}', "");
Expect(0, 195102, '\p{^XID_Start=_-No}', "");
Expect(0, 195102, '\P{XID_Start=_-No}', "");
Expect(1, 195102, '\P{^XID_Start=_-No}', "");
Expect(0, 195101, '\p{XID_Start=_-No}', "");
Expect(1, 195101, '\p{^XID_Start=_-No}', "");
Expect(1, 195101, '\P{XID_Start=_-No}', "");
Expect(0, 195101, '\P{^XID_Start=_-No}', "");
Error('\p{XIDS=_/a/N}');
Error('\P{XIDS=_/a/N}');
Expect(1, 195102, '\p{XIDS=n}', "");
Expect(0, 195102, '\p{^XIDS=n}', "");
Expect(0, 195102, '\P{XIDS=n}', "");
Expect(1, 195102, '\P{^XIDS=n}', "");
Expect(0, 195101, '\p{XIDS=n}', "");
Expect(1, 195101, '\p{^XIDS=n}', "");
Expect(1, 195101, '\P{XIDS=n}', "");
Expect(0, 195101, '\P{^XIDS=n}', "");
Expect(1, 195102, '\p{XIDS=	N}', "");
Expect(0, 195102, '\p{^XIDS=	N}', "");
Expect(0, 195102, '\P{XIDS=	N}', "");
Expect(1, 195102, '\P{^XIDS=	N}', "");
Expect(0, 195101, '\p{XIDS=	N}', "");
Expect(1, 195101, '\p{^XIDS=	N}', "");
Expect(1, 195101, '\P{XIDS=	N}', "");
Expect(0, 195101, '\P{^XIDS=	N}', "");
Error('\p{Is_XID_Start=--F:=}');
Error('\P{Is_XID_Start=--F:=}');
Expect(1, 195102, '\p{Is_XID_Start=f}', "");
Expect(0, 195102, '\p{^Is_XID_Start=f}', "");
Expect(0, 195102, '\P{Is_XID_Start=f}', "");
Expect(1, 195102, '\P{^Is_XID_Start=f}', "");
Expect(0, 195101, '\p{Is_XID_Start=f}', "");
Expect(1, 195101, '\p{^Is_XID_Start=f}', "");
Expect(1, 195101, '\P{Is_XID_Start=f}', "");
Expect(0, 195101, '\P{^Is_XID_Start=f}', "");
Expect(1, 195102, '\p{Is_XID_Start=__F}', "");
Expect(0, 195102, '\p{^Is_XID_Start=__F}', "");
Expect(0, 195102, '\P{Is_XID_Start=__F}', "");
Expect(1, 195102, '\P{^Is_XID_Start=__F}', "");
Expect(0, 195101, '\p{Is_XID_Start=__F}', "");
Expect(1, 195101, '\p{^Is_XID_Start=__F}', "");
Expect(1, 195101, '\P{Is_XID_Start=__F}', "");
Expect(0, 195101, '\P{^Is_XID_Start=__F}', "");
Error('\p{Is_XIDS= /a/false}');
Error('\P{Is_XIDS= /a/false}');
Expect(1, 195102, '\p{Is_XIDS=false}', "");
Expect(0, 195102, '\p{^Is_XIDS=false}', "");
Expect(0, 195102, '\P{Is_XIDS=false}', "");
Expect(1, 195102, '\P{^Is_XIDS=false}', "");
Expect(0, 195101, '\p{Is_XIDS=false}', "");
Expect(1, 195101, '\p{^Is_XIDS=false}', "");
Expect(1, 195101, '\P{Is_XIDS=false}', "");
Expect(0, 195101, '\P{^Is_XIDS=false}', "");
Expect(1, 195102, '\p{Is_XIDS=--FALSE}', "");
Expect(0, 195102, '\p{^Is_XIDS=--FALSE}', "");
Expect(0, 195102, '\P{Is_XIDS=--FALSE}', "");
Expect(1, 195102, '\P{^Is_XIDS=--FALSE}', "");
Expect(0, 195101, '\p{Is_XIDS=--FALSE}', "");
Expect(1, 195101, '\p{^Is_XIDS=--FALSE}', "");
Expect(1, 195101, '\P{Is_XIDS=--FALSE}', "");
Expect(0, 195101, '\P{^Is_XIDS=--FALSE}', "");
Error('\p{XID_Start=/a/_	Yes}');
Error('\P{XID_Start=/a/_	Yes}');
Expect(1, 195101, '\p{XID_Start=yes}', "");
Expect(0, 195101, '\p{^XID_Start=yes}', "");
Expect(0, 195101, '\P{XID_Start=yes}', "");
Expect(1, 195101, '\P{^XID_Start=yes}', "");
Expect(0, 195102, '\p{XID_Start=yes}', "");
Expect(1, 195102, '\p{^XID_Start=yes}', "");
Expect(1, 195102, '\P{XID_Start=yes}', "");
Expect(0, 195102, '\P{^XID_Start=yes}', "");
Expect(1, 195101, '\p{XID_Start=-	yes}', "");
Expect(0, 195101, '\p{^XID_Start=-	yes}', "");
Expect(0, 195101, '\P{XID_Start=-	yes}', "");
Expect(1, 195101, '\P{^XID_Start=-	yes}', "");
Expect(0, 195102, '\p{XID_Start=-	yes}', "");
Expect(1, 195102, '\p{^XID_Start=-	yes}', "");
Expect(1, 195102, '\P{XID_Start=-	yes}', "");
Expect(0, 195102, '\P{^XID_Start=-	yes}', "");
Error('\p{XIDS= /a/Y}');
Error('\P{XIDS= /a/Y}');
Expect(1, 195101, '\p{XIDS:   y}', "");
Expect(0, 195101, '\p{^XIDS:   y}', "");
Expect(0, 195101, '\P{XIDS:   y}', "");
Expect(1, 195101, '\P{^XIDS:   y}', "");
Expect(0, 195102, '\p{XIDS:   y}', "");
Expect(1, 195102, '\p{^XIDS:   y}', "");
Expect(1, 195102, '\P{XIDS:   y}', "");
Expect(0, 195102, '\P{^XIDS:   y}', "");
Expect(1, 195101, '\p{XIDS=_-Y}', "");
Expect(0, 195101, '\p{^XIDS=_-Y}', "");
Expect(0, 195101, '\P{XIDS=_-Y}', "");
Expect(1, 195101, '\P{^XIDS=_-Y}', "");
Expect(0, 195102, '\p{XIDS=_-Y}', "");
Expect(1, 195102, '\p{^XIDS=_-Y}', "");
Expect(1, 195102, '\P{XIDS=_-Y}', "");
Expect(0, 195102, '\P{^XIDS=_-Y}', "");
Error('\p{Is_XID_Start= T:=}');
Error('\P{Is_XID_Start= T:=}');
Expect(1, 195101, '\p{Is_XID_Start=t}', "");
Expect(0, 195101, '\p{^Is_XID_Start=t}', "");
Expect(0, 195101, '\P{Is_XID_Start=t}', "");
Expect(1, 195101, '\P{^Is_XID_Start=t}', "");
Expect(0, 195102, '\p{Is_XID_Start=t}', "");
Expect(1, 195102, '\p{^Is_XID_Start=t}', "");
Expect(1, 195102, '\P{Is_XID_Start=t}', "");
Expect(0, 195102, '\P{^Is_XID_Start=t}', "");
Expect(1, 195101, '\p{Is_XID_Start=-_t}', "");
Expect(0, 195101, '\p{^Is_XID_Start=-_t}', "");
Expect(0, 195101, '\P{Is_XID_Start=-_t}', "");
Expect(1, 195101, '\P{^Is_XID_Start=-_t}', "");
Expect(0, 195102, '\p{Is_XID_Start=-_t}', "");
Expect(1, 195102, '\p{^Is_XID_Start=-_t}', "");
Expect(1, 195102, '\P{Is_XID_Start=-_t}', "");
Expect(0, 195102, '\P{^Is_XID_Start=-_t}', "");
Error('\p{Is_XIDS=/a/		TRUE}');
Error('\P{Is_XIDS=/a/		TRUE}');
Expect(1, 195101, '\p{Is_XIDS=true}', "");
Expect(0, 195101, '\p{^Is_XIDS=true}', "");
Expect(0, 195101, '\P{Is_XIDS=true}', "");
Expect(1, 195101, '\P{^Is_XIDS=true}', "");
Expect(0, 195102, '\p{Is_XIDS=true}', "");
Expect(1, 195102, '\p{^Is_XIDS=true}', "");
Expect(1, 195102, '\P{Is_XIDS=true}', "");
Expect(0, 195102, '\P{^Is_XIDS=true}', "");
Expect(1, 195101, '\p{Is_XIDS=-True}', "");
Expect(0, 195101, '\p{^Is_XIDS=-True}', "");
Expect(0, 195101, '\P{Is_XIDS=-True}', "");
Expect(1, 195101, '\P{^Is_XIDS=-True}', "");
Expect(0, 195102, '\p{Is_XIDS=-True}', "");
Expect(1, 195102, '\p{^Is_XIDS=-True}', "");
Expect(1, 195102, '\P{Is_XIDS=-True}', "");
Expect(0, 195102, '\P{^Is_XIDS=-True}', "");
Error('\p{Expands_On_NFC=No}');
Error('\P{Expands_On_NFC=No}');
Error('\p{XO_NFC=N}');
Error('\P{XO_NFC=N}');
Error('\p{Is_Expands_On_NFC=F}');
Error('\P{Is_Expands_On_NFC=F}');
Error('\p{Is_XO_NFC=False}');
Error('\P{Is_XO_NFC=False}');
Error('\p{Expands_On_NFC=Yes}');
Error('\P{Expands_On_NFC=Yes}');
Error('\p{XO_NFC=Y}');
Error('\P{XO_NFC=Y}');
Error('\p{Is_Expands_On_NFC=T}');
Error('\P{Is_Expands_On_NFC=T}');
Error('\p{Is_XO_NFC=True}');
Error('\P{Is_XO_NFC=True}');
Error('\p{Expands_On_NFD=No}');
Error('\P{Expands_On_NFD=No}');
Error('\p{XO_NFD=N}');
Error('\P{XO_NFD=N}');
Error('\p{Is_Expands_On_NFD=F}');
Error('\P{Is_Expands_On_NFD=F}');
Error('\p{Is_XO_NFD:   False}');
Error('\P{Is_XO_NFD:   False}');
Error('\p{Expands_On_NFD=Yes}');
Error('\P{Expands_On_NFD=Yes}');
Error('\p{XO_NFD=Y}');
Error('\P{XO_NFD=Y}');
Error('\p{Is_Expands_On_NFD=T}');
Error('\P{Is_Expands_On_NFD=T}');
Error('\p{Is_XO_NFD=True}');
Error('\P{Is_XO_NFD=True}');
Error('\p{Expands_On_NFKC=No}');
Error('\P{Expands_On_NFKC=No}');
Error('\p{XO_NFKC=N}');
Error('\P{XO_NFKC=N}');
Error('\p{Is_Expands_On_NFKC: F}');
Error('\P{Is_Expands_On_NFKC: F}');
Error('\p{Is_XO_NFKC=False}');
Error('\P{Is_XO_NFKC=False}');
Error('\p{Expands_On_NFKC=Yes}');
Error('\P{Expands_On_NFKC=Yes}');
Error('\p{XO_NFKC=Y}');
Error('\P{XO_NFKC=Y}');
Error('\p{Is_Expands_On_NFKC:   T}');
Error('\P{Is_Expands_On_NFKC:   T}');
Error('\p{Is_XO_NFKC=True}');
Error('\P{Is_XO_NFKC=True}');
Error('\p{Expands_On_NFKD=No}');
Error('\P{Expands_On_NFKD=No}');
Error('\p{XO_NFKD: N}');
Error('\P{XO_NFKD: N}');
Error('\p{Is_Expands_On_NFKD=F}');
Error('\P{Is_Expands_On_NFKD=F}');
Error('\p{Is_XO_NFKD=False}');
Error('\P{Is_XO_NFKD=False}');
Error('\p{Expands_On_NFKD=Yes}');
Error('\P{Expands_On_NFKD=Yes}');
Error('\p{XO_NFKD=Y}');
Error('\P{XO_NFKD=Y}');
Error('\p{Is_Expands_On_NFKD=T}');
Error('\P{Is_Expands_On_NFKD=T}');
Error('\p{Is_XO_NFKD=True}');
Error('\P{Is_XO_NFKD=True}');
Error('\p{Age=:=		V1_1}');
Error('\P{Age=:=		V1_1}');
Expect(1, 65533, '\p{Age=v11}', "");
Expect(0, 65533, '\p{^Age=v11}', "");
Expect(0, 65533, '\P{Age=v11}', "");
Expect(1, 65533, '\P{^Age=v11}', "");
Expect(0, 65536, '\p{Age=v11}', "");
Expect(1, 65536, '\p{^Age=v11}', "");
Expect(1, 65536, '\P{Age=v11}', "");
Expect(0, 65536, '\P{^Age=v11}', "");
Expect(1, 65533, '\p{Age=		V1_1}', "");
Expect(0, 65533, '\p{^Age=		V1_1}', "");
Expect(0, 65533, '\P{Age=		V1_1}', "");
Expect(1, 65533, '\P{^Age=		V1_1}', "");
Expect(0, 65536, '\p{Age=		V1_1}', "");
Expect(1, 65536, '\p{^Age=		V1_1}', "");
Expect(1, 65536, '\P{Age=		V1_1}', "");
Expect(0, 65536, '\P{^Age=		V1_1}', "");
Error('\p{Is_Age=/a/  0000001.1}');
Error('\P{Is_Age=/a/  0000001.1}');
Expect(1, 65533, '\p{Is_Age=00001.1}', "");
Expect(0, 65533, '\p{^Is_Age=00001.1}', "");
Expect(0, 65533, '\P{Is_Age=00001.1}', "");
Expect(1, 65533, '\P{^Is_Age=00001.1}', "");
Expect(0, 65536, '\p{Is_Age=00001.1}', "");
Expect(1, 65536, '\p{^Is_Age=00001.1}', "");
Expect(1, 65536, '\P{Is_Age=00001.1}', "");
Expect(0, 65536, '\P{^Is_Age=00001.1}', "");
Error('\p{Age=--V2_0:=}');
Error('\P{Age=--V2_0:=}');
Expect(1, 983040, '\p{Age=v20}', "");
Expect(0, 983040, '\p{^Age=v20}', "");
Expect(0, 983040, '\P{Age=v20}', "");
Expect(1, 983040, '\P{^Age=v20}', "");
Expect(0, 983037, '\p{Age=v20}', "");
Expect(1, 983037, '\p{^Age=v20}', "");
Expect(1, 983037, '\P{Age=v20}', "");
Expect(0, 983037, '\P{^Age=v20}', "");
Expect(1, 983040, '\p{Age=	V2_0}', "");
Expect(0, 983040, '\p{^Age=	V2_0}', "");
Expect(0, 983040, '\P{Age=	V2_0}', "");
Expect(1, 983040, '\P{^Age=	V2_0}', "");
Expect(0, 983037, '\p{Age=	V2_0}', "");
Expect(1, 983037, '\p{^Age=	V2_0}', "");
Expect(1, 983037, '\P{Age=	V2_0}', "");
Expect(0, 983037, '\P{^Age=	V2_0}', "");
Error('\p{Is_Age=/a/-0000002.0}');
Error('\P{Is_Age=/a/-0000002.0}');
Expect(1, 983040, '\p{Is_Age=2.0}', "");
Expect(0, 983040, '\p{^Is_Age=2.0}', "");
Expect(0, 983040, '\P{Is_Age=2.0}', "");
Expect(1, 983040, '\P{^Is_Age=2.0}', "");
Expect(0, 983037, '\p{Is_Age=2.0}', "");
Expect(1, 983037, '\p{^Is_Age=2.0}', "");
Expect(1, 983037, '\P{Is_Age=2.0}', "");
Expect(0, 983037, '\P{^Is_Age=2.0}', "");
Error('\p{Age:   :=_V2_1}');
Error('\P{Age:   :=_V2_1}');
Expect(1, 65532, '\p{Age: v21}', "");
Expect(0, 65532, '\p{^Age: v21}', "");
Expect(0, 65532, '\P{Age: v21}', "");
Expect(1, 65532, '\P{^Age: v21}', "");
Expect(0, 65533, '\p{Age: v21}', "");
Expect(1, 65533, '\p{^Age: v21}', "");
Expect(1, 65533, '\P{Age: v21}', "");
Expect(0, 65533, '\P{^Age: v21}', "");
Expect(1, 65532, '\p{Age=	_V2_1}', "");
Expect(0, 65532, '\p{^Age=	_V2_1}', "");
Expect(0, 65532, '\P{Age=	_V2_1}', "");
Expect(1, 65532, '\P{^Age=	_V2_1}', "");
Expect(0, 65533, '\p{Age=	_V2_1}', "");
Expect(1, 65533, '\p{^Age=	_V2_1}', "");
Expect(1, 65533, '\P{Age=	_V2_1}', "");
Expect(0, 65533, '\P{^Age=	_V2_1}', "");
Error('\p{Is_Age=_ 0002.1:=}');
Error('\P{Is_Age=_ 0002.1:=}');
Expect(1, 65532, '\p{Is_Age=2.1}', "");
Expect(0, 65532, '\p{^Is_Age=2.1}', "");
Expect(0, 65532, '\P{Is_Age=2.1}', "");
Expect(1, 65532, '\P{^Is_Age=2.1}', "");
Expect(0, 65533, '\p{Is_Age=2.1}', "");
Expect(1, 65533, '\p{^Is_Age=2.1}', "");
Expect(1, 65533, '\P{Is_Age=2.1}', "");
Expect(0, 65533, '\P{^Is_Age=2.1}', "");
Error('\p{Age=/a/ -v3_0}');
Error('\P{Age=/a/ -v3_0}');
Expect(1, 65531, '\p{Age=v30}', "");
Expect(0, 65531, '\p{^Age=v30}', "");
Expect(0, 65531, '\P{Age=v30}', "");
Expect(1, 65531, '\P{^Age=v30}', "");
Expect(0, 65532, '\p{Age=v30}', "");
Expect(1, 65532, '\p{^Age=v30}', "");
Expect(1, 65532, '\P{Age=v30}', "");
Expect(0, 65532, '\P{^Age=v30}', "");
Expect(1, 65531, '\p{Age:	V3_0}', "");
Expect(0, 65531, '\p{^Age:	V3_0}', "");
Expect(0, 65531, '\P{Age:	V3_0}', "");
Expect(1, 65531, '\P{^Age:	V3_0}', "");
Expect(0, 65532, '\p{Age:	V3_0}', "");
Expect(1, 65532, '\p{^Age:	V3_0}', "");
Expect(1, 65532, '\P{Age:	V3_0}', "");
Expect(0, 65532, '\P{^Age:	V3_0}', "");
Error('\p{Is_Age=/a/+003.0}');
Error('\P{Is_Age=/a/+003.0}');
Expect(1, 65531, '\p{Is_Age=00_00_00_00_03.0}', "");
Expect(0, 65531, '\p{^Is_Age=00_00_00_00_03.0}', "");
Expect(0, 65531, '\P{Is_Age=00_00_00_00_03.0}', "");
Expect(1, 65531, '\P{^Is_Age=00_00_00_00_03.0}', "");
Expect(0, 65532, '\p{Is_Age=00_00_00_00_03.0}', "");
Expect(1, 65532, '\p{^Is_Age=00_00_00_00_03.0}', "");
Expect(1, 65532, '\P{Is_Age=00_00_00_00_03.0}', "");
Expect(0, 65532, '\P{^Is_Age=00_00_00_00_03.0}', "");
Error('\p{Age=_:=V3_1}');
Error('\P{Age=_:=V3_1}');
Expect(1, 917631, '\p{Age=v31}', "");
Expect(0, 917631, '\p{^Age=v31}', "");
Expect(0, 917631, '\P{Age=v31}', "");
Expect(1, 917631, '\P{^Age=v31}', "");
Expect(0, 917632, '\p{Age=v31}', "");
Expect(1, 917632, '\p{^Age=v31}', "");
Expect(1, 917632, '\P{Age=v31}', "");
Expect(0, 917632, '\P{^Age=v31}', "");
Expect(1, 917631, '\p{Age=__V3_1}', "");
Expect(0, 917631, '\p{^Age=__V3_1}', "");
Expect(0, 917631, '\P{Age=__V3_1}', "");
Expect(1, 917631, '\P{^Age=__V3_1}', "");
Expect(0, 917632, '\p{Age=__V3_1}', "");
Expect(1, 917632, '\p{^Age=__V3_1}', "");
Expect(1, 917632, '\P{Age=__V3_1}', "");
Expect(0, 917632, '\P{^Age=__V3_1}', "");
Error('\p{Is_Age= :=+3.1}');
Error('\P{Is_Age= :=+3.1}');
Expect(1, 917631, '\p{Is_Age=00003.1}', "");
Expect(0, 917631, '\p{^Is_Age=00003.1}', "");
Expect(0, 917631, '\P{Is_Age=00003.1}', "");
Expect(1, 917631, '\P{^Is_Age=00003.1}', "");
Expect(0, 917632, '\p{Is_Age=00003.1}', "");
Expect(1, 917632, '\p{^Is_Age=00003.1}', "");
Expect(1, 917632, '\P{Is_Age=00003.1}', "");
Expect(0, 917632, '\P{^Is_Age=00003.1}', "");
Error('\p{Age=_-V3_2/a/}');
Error('\P{Age=_-V3_2/a/}');
Expect(1, 65376, '\p{Age=v32}', "");
Expect(0, 65376, '\p{^Age=v32}', "");
Expect(0, 65376, '\P{Age=v32}', "");
Expect(1, 65376, '\P{^Age=v32}', "");
Expect(0, 65377, '\p{Age=v32}', "");
Expect(1, 65377, '\p{^Age=v32}', "");
Expect(1, 65377, '\P{Age=v32}', "");
Expect(0, 65377, '\P{^Age=v32}', "");
Expect(1, 65376, '\p{Age= _V3_2}', "");
Expect(0, 65376, '\p{^Age= _V3_2}', "");
Expect(0, 65376, '\P{Age= _V3_2}', "");
Expect(1, 65376, '\P{^Age= _V3_2}', "");
Expect(0, 65377, '\p{Age= _V3_2}', "");
Expect(1, 65377, '\p{^Age= _V3_2}', "");
Expect(1, 65377, '\P{Age= _V3_2}', "");
Expect(0, 65377, '\P{^Age= _V3_2}', "");
Error('\p{Is_Age=:=_	000000003.2}');
Error('\P{Is_Age=:=_	000000003.2}');
Expect(1, 65376, '\p{Is_Age=0_0_0_0_03.2}', "");
Expect(0, 65376, '\p{^Is_Age=0_0_0_0_03.2}', "");
Expect(0, 65376, '\P{Is_Age=0_0_0_0_03.2}', "");
Expect(1, 65376, '\P{^Is_Age=0_0_0_0_03.2}', "");
Expect(0, 65377, '\p{Is_Age=0_0_0_0_03.2}', "");
Expect(1, 65377, '\p{^Is_Age=0_0_0_0_03.2}', "");
Expect(1, 65377, '\P{Is_Age=0_0_0_0_03.2}', "");
Expect(0, 65377, '\P{^Is_Age=0_0_0_0_03.2}', "");
Error('\p{Age:	/a/	_V4_0}');
Error('\P{Age:	/a/	_V4_0}');
Expect(1, 917999, '\p{Age=v40}', "");
Expect(0, 917999, '\p{^Age=v40}', "");
Expect(0, 917999, '\P{Age=v40}', "");
Expect(1, 917999, '\P{^Age=v40}', "");
Expect(0, 918000, '\p{Age=v40}', "");
Expect(1, 918000, '\p{^Age=v40}', "");
Expect(1, 918000, '\P{Age=v40}', "");
Expect(0, 918000, '\P{^Age=v40}', "");
Expect(1, 917999, '\p{Age: _V4_0}', "");
Expect(0, 917999, '\p{^Age: _V4_0}', "");
Expect(0, 917999, '\P{Age: _V4_0}', "");
Expect(1, 917999, '\P{^Age: _V4_0}', "");
Expect(0, 918000, '\p{Age: _V4_0}', "");
Expect(1, 918000, '\p{^Age: _V4_0}', "");
Expect(1, 918000, '\P{Age: _V4_0}', "");
Expect(0, 918000, '\P{^Age: _V4_0}', "");
Error('\p{Is_Age=:=_000004.0}');
Error('\P{Is_Age=:=_000004.0}');
Expect(1, 917999, '\p{Is_Age=+000_000_000_4.0}', "");
Expect(0, 917999, '\p{^Is_Age=+000_000_000_4.0}', "");
Expect(0, 917999, '\P{Is_Age=+000_000_000_4.0}', "");
Expect(1, 917999, '\P{^Is_Age=+000_000_000_4.0}', "");
Expect(0, 918000, '\p{Is_Age=+000_000_000_4.0}', "");
Expect(1, 918000, '\p{^Is_Age=+000_000_000_4.0}', "");
Expect(1, 918000, '\P{Is_Age=+000_000_000_4.0}', "");
Expect(0, 918000, '\P{^Is_Age=+000_000_000_4.0}', "");
Error('\p{Age=	-V4_1/a/}');
Error('\P{Age=	-V4_1/a/}');
Expect(1, 120485, '\p{Age=v41}', "");
Expect(0, 120485, '\p{^Age=v41}', "");
Expect(0, 120485, '\P{Age=v41}', "");
Expect(1, 120485, '\P{^Age=v41}', "");
Expect(0, 120486, '\p{Age=v41}', "");
Expect(1, 120486, '\p{^Age=v41}', "");
Expect(1, 120486, '\P{Age=v41}', "");
Expect(0, 120486, '\P{^Age=v41}', "");
Expect(1, 120485, '\p{Age=-_v4_1}', "");
Expect(0, 120485, '\p{^Age=-_v4_1}', "");
Expect(0, 120485, '\P{Age=-_v4_1}', "");
Expect(1, 120485, '\P{^Age=-_v4_1}', "");
Expect(0, 120486, '\p{Age=-_v4_1}', "");
Expect(1, 120486, '\p{^Age=-_v4_1}', "");
Expect(1, 120486, '\P{Age=-_v4_1}', "");
Expect(0, 120486, '\P{^Age=-_v4_1}', "");
Error('\p{Is_Age:-:=00004.1}');
Error('\P{Is_Age:-:=00004.1}');
Expect(1, 120485, '\p{Is_Age=000_4.1}', "");
Expect(0, 120485, '\p{^Is_Age=000_4.1}', "");
Expect(0, 120485, '\P{Is_Age=000_4.1}', "");
Expect(1, 120485, '\P{^Is_Age=000_4.1}', "");
Expect(0, 120486, '\p{Is_Age=000_4.1}', "");
Expect(1, 120486, '\p{^Is_Age=000_4.1}', "");
Expect(1, 120486, '\P{Is_Age=000_4.1}', "");
Expect(0, 120486, '\P{^Is_Age=000_4.1}', "");
Error('\p{Age=:=	_V5_0}');
Error('\P{Age=:=	_V5_0}');
Expect(1, 120779, '\p{Age=v50}', "");
Expect(0, 120779, '\p{^Age=v50}', "");
Expect(0, 120779, '\P{Age=v50}', "");
Expect(1, 120779, '\P{^Age=v50}', "");
Expect(0, 120780, '\p{Age=v50}', "");
Expect(1, 120780, '\p{^Age=v50}', "");
Expect(1, 120780, '\P{Age=v50}', "");
Expect(0, 120780, '\P{^Age=v50}', "");
Expect(1, 120779, '\p{Age: -V5_0}', "");
Expect(0, 120779, '\p{^Age: -V5_0}', "");
Expect(0, 120779, '\P{Age: -V5_0}', "");
Expect(1, 120779, '\P{^Age: -V5_0}', "");
Expect(0, 120780, '\p{Age: -V5_0}', "");
Expect(1, 120780, '\p{^Age: -V5_0}', "");
Expect(1, 120780, '\P{Age: -V5_0}', "");
Expect(0, 120780, '\P{^Age: -V5_0}', "");
Error('\p{Is_Age=_/a/+00_5.0}');
Error('\P{Is_Age=_/a/+00_5.0}');
Expect(1, 120779, '\p{Is_Age=5.0}', "");
Expect(0, 120779, '\p{^Is_Age=5.0}', "");
Expect(0, 120779, '\P{Is_Age=5.0}', "");
Expect(1, 120779, '\P{^Is_Age=5.0}', "");
Expect(0, 120780, '\p{Is_Age=5.0}', "");
Expect(1, 120780, '\p{^Is_Age=5.0}', "");
Expect(1, 120780, '\P{Is_Age=5.0}', "");
Expect(0, 120780, '\P{^Is_Age=5.0}', "");
Error('\p{Age=	V5_1/a/}');
Error('\P{Age=	V5_1/a/}');
Expect(1, 127123, '\p{Age=v51}', "");
Expect(0, 127123, '\p{^Age=v51}', "");
Expect(0, 127123, '\P{Age=v51}', "");
Expect(1, 127123, '\P{^Age=v51}', "");
Expect(0, 127124, '\p{Age=v51}', "");
Expect(1, 127124, '\p{^Age=v51}', "");
Expect(1, 127124, '\P{Age=v51}', "");
Expect(0, 127124, '\P{^Age=v51}', "");
Expect(1, 127123, '\p{Age=_-V5_1}', "");
Expect(0, 127123, '\p{^Age=_-V5_1}', "");
Expect(0, 127123, '\P{Age=_-V5_1}', "");
Expect(1, 127123, '\P{^Age=_-V5_1}', "");
Expect(0, 127124, '\p{Age=_-V5_1}', "");
Expect(1, 127124, '\p{^Age=_-V5_1}', "");
Expect(1, 127124, '\P{Age=_-V5_1}', "");
Expect(0, 127124, '\P{^Age=_-V5_1}', "");
Error('\p{Is_Age:	:=00005.1}');
Error('\P{Is_Age:	:=00005.1}');
Expect(1, 127123, '\p{Is_Age=0_0_0_0_0_0_05.1}', "");
Expect(0, 127123, '\p{^Is_Age=0_0_0_0_0_0_05.1}', "");
Expect(0, 127123, '\P{Is_Age=0_0_0_0_0_0_05.1}', "");
Expect(1, 127123, '\P{^Is_Age=0_0_0_0_0_0_05.1}', "");
Expect(0, 127124, '\p{Is_Age=0_0_0_0_0_0_05.1}', "");
Expect(1, 127124, '\p{^Is_Age=0_0_0_0_0_0_05.1}', "");
Expect(1, 127124, '\P{Is_Age=0_0_0_0_0_0_05.1}', "");
Expect(0, 127124, '\P{^Is_Age=0_0_0_0_0_0_05.1}', "");
Error('\p{Age=-_V5_2:=}');
Error('\P{Age=-_V5_2:=}');
Expect(1, 177972, '\p{Age=v52}', "");
Expect(0, 177972, '\p{^Age=v52}', "");
Expect(0, 177972, '\P{Age=v52}', "");
Expect(1, 177972, '\P{^Age=v52}', "");
Expect(0, 177973, '\p{Age=v52}', "");
Expect(1, 177973, '\p{^Age=v52}', "");
Expect(1, 177973, '\P{Age=v52}', "");
Expect(0, 177973, '\P{^Age=v52}', "");
Expect(1, 177972, '\p{Age=	 V5_2}', "");
Expect(0, 177972, '\p{^Age=	 V5_2}', "");
Expect(0, 177972, '\P{Age=	 V5_2}', "");
Expect(1, 177972, '\P{^Age=	 V5_2}', "");
Expect(0, 177973, '\p{Age=	 V5_2}', "");
Expect(1, 177973, '\p{^Age=	 V5_2}', "");
Expect(1, 177973, '\P{Age=	 V5_2}', "");
Expect(0, 177973, '\P{^Age=	 V5_2}', "");
Error('\p{Is_Age=-/a/000005.2}');
Error('\P{Is_Age=-/a/000005.2}');
Expect(1, 177972, '\p{Is_Age=+000_000_05.2}', "");
Expect(0, 177972, '\p{^Is_Age=+000_000_05.2}', "");
Expect(0, 177972, '\P{Is_Age=+000_000_05.2}', "");
Expect(1, 177972, '\P{^Is_Age=+000_000_05.2}', "");
Expect(0, 177973, '\p{Is_Age=+000_000_05.2}', "");
Expect(1, 177973, '\p{^Is_Age=+000_000_05.2}', "");
Expect(1, 177973, '\P{Is_Age=+000_000_05.2}', "");
Expect(0, 177973, '\P{^Is_Age=+000_000_05.2}', "");
Error('\p{Age=_/a/V6_0}');
Error('\P{Age=_/a/V6_0}');
Expect(1, 178205, '\p{Age=v60}', "");
Expect(0, 178205, '\p{^Age=v60}', "");
Expect(0, 178205, '\P{Age=v60}', "");
Expect(1, 178205, '\P{^Age=v60}', "");
Expect(0, 178206, '\p{Age=v60}', "");
Expect(1, 178206, '\p{^Age=v60}', "");
Expect(1, 178206, '\P{Age=v60}', "");
Expect(0, 178206, '\P{^Age=v60}', "");
Expect(1, 178205, '\p{Age=	 V6_0}', "");
Expect(0, 178205, '\p{^Age=	 V6_0}', "");
Expect(0, 178205, '\P{Age=	 V6_0}', "");
Expect(1, 178205, '\P{^Age=	 V6_0}', "");
Expect(0, 178206, '\p{Age=	 V6_0}', "");
Expect(1, 178206, '\p{^Age=	 V6_0}', "");
Expect(1, 178206, '\P{Age=	 V6_0}', "");
Expect(0, 178206, '\P{^Age=	 V6_0}', "");
Error('\p{Is_Age=:=-	0_0_0_0_0_006.0}');
Error('\P{Is_Age=:=-	0_0_0_0_0_006.0}');
Expect(1, 178205, '\p{Is_Age=+0000006.0}', "");
Expect(0, 178205, '\p{^Is_Age=+0000006.0}', "");
Expect(0, 178205, '\P{Is_Age=+0000006.0}', "");
Expect(1, 178205, '\P{^Is_Age=+0000006.0}', "");
Expect(0, 178206, '\p{Is_Age=+0000006.0}', "");
Expect(1, 178206, '\p{^Is_Age=+0000006.0}', "");
Expect(1, 178206, '\P{Is_Age=+0000006.0}', "");
Expect(0, 178206, '\P{^Is_Age=+0000006.0}', "");
Error('\p{Age=-/a/V6_1}');
Error('\P{Age=-/a/V6_1}');
Expect(1, 128564, '\p{Age=v61}', "");
Expect(0, 128564, '\p{^Age=v61}', "");
Expect(0, 128564, '\P{Age=v61}', "");
Expect(1, 128564, '\P{^Age=v61}', "");
Expect(0, 128565, '\p{Age=v61}', "");
Expect(1, 128565, '\p{^Age=v61}', "");
Expect(1, 128565, '\P{Age=v61}', "");
Expect(0, 128565, '\P{^Age=v61}', "");
Expect(1, 128564, '\p{Age:	 _V6_1}', "");
Expect(0, 128564, '\p{^Age:	 _V6_1}', "");
Expect(0, 128564, '\P{Age:	 _V6_1}', "");
Expect(1, 128564, '\P{^Age:	 _V6_1}', "");
Expect(0, 128565, '\p{Age:	 _V6_1}', "");
Expect(1, 128565, '\p{^Age:	 _V6_1}', "");
Expect(1, 128565, '\P{Age:	 _V6_1}', "");
Expect(0, 128565, '\P{^Age:	 _V6_1}', "");
Error('\p{Is_Age=_/a/00_00_00_06.1}');
Error('\P{Is_Age=_/a/00_00_00_06.1}');
Expect(1, 128564, '\p{Is_Age=00_00_00_00_06.1}', "");
Expect(0, 128564, '\p{^Is_Age=00_00_00_00_06.1}', "");
Expect(0, 128564, '\P{Is_Age=00_00_00_00_06.1}', "");
Expect(1, 128564, '\P{^Is_Age=00_00_00_00_06.1}', "");
Expect(0, 128565, '\p{Is_Age=00_00_00_00_06.1}', "");
Expect(1, 128565, '\p{^Is_Age=00_00_00_00_06.1}', "");
Expect(1, 128565, '\P{Is_Age=00_00_00_00_06.1}', "");
Expect(0, 128565, '\P{^Is_Age=00_00_00_00_06.1}', "");
Error('\p{Age= 	V6_2/a/}');
Error('\P{Age= 	V6_2/a/}');
Expect(1, 8378, '\p{Age=v62}', "");
Expect(0, 8378, '\p{^Age=v62}', "");
Expect(0, 8378, '\P{Age=v62}', "");
Expect(1, 8378, '\P{^Age=v62}', "");
Expect(0, 8379, '\p{Age=v62}', "");
Expect(1, 8379, '\p{^Age=v62}', "");
Expect(1, 8379, '\P{Age=v62}', "");
Expect(0, 8379, '\P{^Age=v62}', "");
Expect(1, 8378, '\p{Age= _V6_2}', "");
Expect(0, 8378, '\p{^Age= _V6_2}', "");
Expect(0, 8378, '\P{Age= _V6_2}', "");
Expect(1, 8378, '\P{^Age= _V6_2}', "");
Expect(0, 8379, '\p{Age= _V6_2}', "");
Expect(1, 8379, '\p{^Age= _V6_2}', "");
Expect(1, 8379, '\P{Age= _V6_2}', "");
Expect(0, 8379, '\P{^Age= _V6_2}', "");
Error('\p{Is_Age=/a/		+0_0_06.2}');
Error('\P{Is_Age=/a/		+0_0_06.2}');
Expect(1, 8378, '\p{Is_Age=0006.2}', "");
Expect(0, 8378, '\p{^Is_Age=0006.2}', "");
Expect(0, 8378, '\P{Is_Age=0006.2}', "");
Expect(1, 8378, '\P{^Is_Age=0006.2}', "");
Expect(0, 8379, '\p{Is_Age=0006.2}', "");
Expect(1, 8379, '\p{^Is_Age=0006.2}', "");
Expect(1, 8379, '\P{Is_Age=0006.2}', "");
Expect(0, 8379, '\P{^Is_Age=0006.2}', "");
Error('\p{Age:  v6_3:=}');
Error('\P{Age:  v6_3:=}');
Expect(1, 8297, '\p{Age=v63}', "");
Expect(0, 8297, '\p{^Age=v63}', "");
Expect(0, 8297, '\P{Age=v63}', "");
Expect(1, 8297, '\P{^Age=v63}', "");
Expect(0, 8298, '\p{Age=v63}', "");
Expect(1, 8298, '\p{^Age=v63}', "");
Expect(1, 8298, '\P{Age=v63}', "");
Expect(0, 8298, '\P{^Age=v63}', "");
Expect(1, 8297, '\p{Age=	 V6_3}', "");
Expect(0, 8297, '\p{^Age=	 V6_3}', "");
Expect(0, 8297, '\P{Age=	 V6_3}', "");
Expect(1, 8297, '\P{^Age=	 V6_3}', "");
Expect(0, 8298, '\p{Age=	 V6_3}', "");
Expect(1, 8298, '\p{^Age=	 V6_3}', "");
Expect(1, 8298, '\P{Age=	 V6_3}', "");
Expect(0, 8298, '\P{^Age=	 V6_3}', "");
Error('\p{Is_Age=/a/ 	+0_0_0_0_0_006.3}');
Error('\P{Is_Age=/a/ 	+0_0_0_0_0_006.3}');
Expect(1, 8297, '\p{Is_Age=0_0_0_006.3}', "");
Expect(0, 8297, '\p{^Is_Age=0_0_0_006.3}', "");
Expect(0, 8297, '\P{Is_Age=0_0_0_006.3}', "");
Expect(1, 8297, '\P{^Is_Age=0_0_0_006.3}', "");
Expect(0, 8298, '\p{Is_Age=0_0_0_006.3}', "");
Expect(1, 8298, '\p{^Is_Age=0_0_0_006.3}', "");
Expect(1, 8298, '\P{Is_Age=0_0_0_006.3}', "");
Expect(0, 8298, '\P{^Is_Age=0_0_0_006.3}', "");
Error('\p{Age=:=		V7_0}');
Error('\P{Age=:=		V7_0}');
Expect(1, 129197, '\p{Age=v70}', "");
Expect(0, 129197, '\p{^Age=v70}', "");
Expect(0, 129197, '\P{Age=v70}', "");
Expect(1, 129197, '\P{^Age=v70}', "");
Expect(0, 129198, '\p{Age=v70}', "");
Expect(1, 129198, '\p{^Age=v70}', "");
Expect(1, 129198, '\P{Age=v70}', "");
Expect(0, 129198, '\P{^Age=v70}', "");
Expect(1, 129197, '\p{Age=	 V7_0}', "");
Expect(0, 129197, '\p{^Age=	 V7_0}', "");
Expect(0, 129197, '\P{Age=	 V7_0}', "");
Expect(1, 129197, '\P{^Age=	 V7_0}', "");
Expect(0, 129198, '\p{Age=	 V7_0}', "");
Expect(1, 129198, '\p{^Age=	 V7_0}', "");
Expect(1, 129198, '\P{Age=	 V7_0}', "");
Expect(0, 129198, '\P{^Age=	 V7_0}', "");
Error('\p{Is_Age=_0000007.0/a/}');
Error('\P{Is_Age=_0000007.0/a/}');
Expect(1, 129197, '\p{Is_Age=7.0}', "");
Expect(0, 129197, '\p{^Is_Age=7.0}', "");
Expect(0, 129197, '\P{Is_Age=7.0}', "");
Expect(1, 129197, '\P{^Is_Age=7.0}', "");
Expect(0, 129198, '\p{Is_Age=7.0}', "");
Expect(1, 129198, '\p{^Is_Age=7.0}', "");
Expect(1, 129198, '\P{Is_Age=7.0}', "");
Expect(0, 129198, '\P{^Is_Age=7.0}', "");
Error('\p{Age=_:=unassigned}');
Error('\P{Age=_:=unassigned}');
Expect(1, 983037, '\p{Age=unassigned}', "");
Expect(0, 983037, '\p{^Age=unassigned}', "");
Expect(0, 983037, '\P{Age=unassigned}', "");
Expect(1, 983037, '\P{^Age=unassigned}', "");
Expect(0, 983040, '\p{Age=unassigned}', "");
Expect(1, 983040, '\p{^Age=unassigned}', "");
Expect(1, 983040, '\P{Age=unassigned}', "");
Expect(0, 983040, '\P{^Age=unassigned}', "");
Expect(1, 983037, '\p{Age=_unassigned}', "");
Expect(0, 983037, '\p{^Age=_unassigned}', "");
Expect(0, 983037, '\P{Age=_unassigned}', "");
Expect(1, 983037, '\P{^Age=_unassigned}', "");
Expect(0, 983040, '\p{Age=_unassigned}', "");
Expect(1, 983040, '\p{^Age=_unassigned}', "");
Expect(1, 983040, '\P{Age=_unassigned}', "");
Expect(0, 983040, '\P{^Age=_unassigned}', "");
Error('\p{Is_Age=_/a/NA}');
Error('\P{Is_Age=_/a/NA}');
Expect(1, 983037, '\p{Is_Age=na}', "");
Expect(0, 983037, '\p{^Is_Age=na}', "");
Expect(0, 983037, '\P{Is_Age=na}', "");
Expect(1, 983037, '\P{^Is_Age=na}', "");
Expect(0, 983040, '\p{Is_Age=na}', "");
Expect(1, 983040, '\p{^Is_Age=na}', "");
Expect(1, 983040, '\P{Is_Age=na}', "");
Expect(0, 983040, '\P{^Is_Age=na}', "");
Expect(1, 983037, '\p{Is_Age: __NA}', "");
Expect(0, 983037, '\p{^Is_Age: __NA}', "");
Expect(0, 983037, '\P{Is_Age: __NA}', "");
Expect(1, 983037, '\P{^Is_Age: __NA}', "");
Expect(0, 983040, '\p{Is_Age: __NA}', "");
Expect(1, 983040, '\p{^Is_Age: __NA}', "");
Expect(1, 983040, '\P{Is_Age: __NA}', "");
Expect(0, 983040, '\P{^Is_Age: __NA}', "");
Error('\p{Bidi_Class=-	Arabic_Letter/a/}');
Error('\P{Bidi_Class=-	Arabic_Letter/a/}');
Expect(1, 126719, '\p{Bidi_Class=arabicletter}', "");
Expect(0, 126719, '\p{^Bidi_Class=arabicletter}', "");
Expect(0, 126719, '\P{Bidi_Class=arabicletter}', "");
Expect(1, 126719, '\P{^Bidi_Class=arabicletter}', "");
Expect(0, 126720, '\p{Bidi_Class=arabicletter}', "");
Expect(1, 126720, '\p{^Bidi_Class=arabicletter}', "");
Expect(1, 126720, '\P{Bidi_Class=arabicletter}', "");
Expect(0, 126720, '\P{^Bidi_Class=arabicletter}', "");
Expect(1, 126719, '\p{Bidi_Class: _arabic_LETTER}', "");
Expect(0, 126719, '\p{^Bidi_Class: _arabic_LETTER}', "");
Expect(0, 126719, '\P{Bidi_Class: _arabic_LETTER}', "");
Expect(1, 126719, '\P{^Bidi_Class: _arabic_LETTER}', "");
Expect(0, 126720, '\p{Bidi_Class: _arabic_LETTER}', "");
Expect(1, 126720, '\p{^Bidi_Class: _arabic_LETTER}', "");
Expect(1, 126720, '\P{Bidi_Class: _arabic_LETTER}', "");
Expect(0, 126720, '\P{^Bidi_Class: _arabic_LETTER}', "");
Error('\p{Bc=:= AL}');
Error('\P{Bc=:= AL}');
Expect(1, 126719, '\p{Bc=al}', "");
Expect(0, 126719, '\p{^Bc=al}', "");
Expect(0, 126719, '\P{Bc=al}', "");
Expect(1, 126719, '\P{^Bc=al}', "");
Expect(0, 126720, '\p{Bc=al}', "");
Expect(1, 126720, '\p{^Bc=al}', "");
Expect(1, 126720, '\P{Bc=al}', "");
Expect(0, 126720, '\P{^Bc=al}', "");
Expect(1, 126719, '\p{Bc= al}', "");
Expect(0, 126719, '\p{^Bc= al}', "");
Expect(0, 126719, '\P{Bc= al}', "");
Expect(1, 126719, '\P{^Bc= al}', "");
Expect(0, 126720, '\p{Bc= al}', "");
Expect(1, 126720, '\p{^Bc= al}', "");
Expect(1, 126720, '\P{Bc= al}', "");
Expect(0, 126720, '\P{^Bc= al}', "");
Error('\p{Is_Bidi_Class=	:=arabic_letter}');
Error('\P{Is_Bidi_Class=	:=arabic_letter}');
Expect(1, 126719, '\p{Is_Bidi_Class=arabicletter}', "");
Expect(0, 126719, '\p{^Is_Bidi_Class=arabicletter}', "");
Expect(0, 126719, '\P{Is_Bidi_Class=arabicletter}', "");
Expect(1, 126719, '\P{^Is_Bidi_Class=arabicletter}', "");
Expect(0, 126720, '\p{Is_Bidi_Class=arabicletter}', "");
Expect(1, 126720, '\p{^Is_Bidi_Class=arabicletter}', "");
Expect(1, 126720, '\P{Is_Bidi_Class=arabicletter}', "");
Expect(0, 126720, '\P{^Is_Bidi_Class=arabicletter}', "");
Expect(1, 126719, '\p{Is_Bidi_Class=_ARABIC_Letter}', "");
Expect(0, 126719, '\p{^Is_Bidi_Class=_ARABIC_Letter}', "");
Expect(0, 126719, '\P{Is_Bidi_Class=_ARABIC_Letter}', "");
Expect(1, 126719, '\P{^Is_Bidi_Class=_ARABIC_Letter}', "");
Expect(0, 126720, '\p{Is_Bidi_Class=_ARABIC_Letter}', "");
Expect(1, 126720, '\p{^Is_Bidi_Class=_ARABIC_Letter}', "");
Expect(1, 126720, '\P{Is_Bidi_Class=_ARABIC_Letter}', "");
Expect(0, 126720, '\P{^Is_Bidi_Class=_ARABIC_Letter}', "");
Error('\p{Is_Bc= 	al/a/}');
Error('\P{Is_Bc= 	al/a/}');
Expect(1, 126719, '\p{Is_Bc=al}', "");
Expect(0, 126719, '\p{^Is_Bc=al}', "");
Expect(0, 126719, '\P{Is_Bc=al}', "");
Expect(1, 126719, '\P{^Is_Bc=al}', "");
Expect(0, 126720, '\p{Is_Bc=al}', "");
Expect(1, 126720, '\p{^Is_Bc=al}', "");
Expect(1, 126720, '\P{Is_Bc=al}', "");
Expect(0, 126720, '\P{^Is_Bc=al}', "");
Expect(1, 126719, '\p{Is_Bc=_AL}', "");
Expect(0, 126719, '\p{^Is_Bc=_AL}', "");
Expect(0, 126719, '\P{Is_Bc=_AL}', "");
Expect(1, 126719, '\P{^Is_Bc=_AL}', "");
Expect(0, 126720, '\p{Is_Bc=_AL}', "");
Expect(1, 126720, '\p{^Is_Bc=_AL}', "");
Expect(1, 126720, '\P{Is_Bc=_AL}', "");
Expect(0, 126720, '\P{^Is_Bc=_AL}', "");
Error('\p{Bidi_Class=_/a/Arabic_Number}');
Error('\P{Bidi_Class=_/a/Arabic_Number}');
Expect(1, 69246, '\p{Bidi_Class=arabicnumber}', "");
Expect(0, 69246, '\p{^Bidi_Class=arabicnumber}', "");
Expect(0, 69246, '\P{Bidi_Class=arabicnumber}', "");
Expect(1, 69246, '\P{^Bidi_Class=arabicnumber}', "");
Expect(0, 69247, '\p{Bidi_Class=arabicnumber}', "");
Expect(1, 69247, '\p{^Bidi_Class=arabicnumber}', "");
Expect(1, 69247, '\P{Bidi_Class=arabicnumber}', "");
Expect(0, 69247, '\P{^Bidi_Class=arabicnumber}', "");
Expect(1, 69246, '\p{Bidi_Class=- Arabic_number}', "");
Expect(0, 69246, '\p{^Bidi_Class=- Arabic_number}', "");
Expect(0, 69246, '\P{Bidi_Class=- Arabic_number}', "");
Expect(1, 69246, '\P{^Bidi_Class=- Arabic_number}', "");
Expect(0, 69247, '\p{Bidi_Class=- Arabic_number}', "");
Expect(1, 69247, '\p{^Bidi_Class=- Arabic_number}', "");
Expect(1, 69247, '\P{Bidi_Class=- Arabic_number}', "");
Expect(0, 69247, '\P{^Bidi_Class=- Arabic_number}', "");
Error('\p{Bc=:= -AN}');
Error('\P{Bc=:= -AN}');
Expect(1, 69246, '\p{Bc: an}', "");
Expect(0, 69246, '\p{^Bc: an}', "");
Expect(0, 69246, '\P{Bc: an}', "");
Expect(1, 69246, '\P{^Bc: an}', "");
Expect(0, 69247, '\p{Bc: an}', "");
Expect(1, 69247, '\p{^Bc: an}', "");
Expect(1, 69247, '\P{Bc: an}', "");
Expect(0, 69247, '\P{^Bc: an}', "");
Expect(1, 69246, '\p{Bc= 	an}', "");
Expect(0, 69246, '\p{^Bc= 	an}', "");
Expect(0, 69246, '\P{Bc= 	an}', "");
Expect(1, 69246, '\P{^Bc= 	an}', "");
Expect(0, 69247, '\p{Bc= 	an}', "");
Expect(1, 69247, '\p{^Bc= 	an}', "");
Expect(1, 69247, '\P{Bc= 	an}', "");
Expect(0, 69247, '\P{^Bc= 	an}', "");
Error('\p{Is_Bidi_Class=:=	_arabic_Number}');
Error('\P{Is_Bidi_Class=:=	_arabic_Number}');
Expect(1, 69246, '\p{Is_Bidi_Class=arabicnumber}', "");
Expect(0, 69246, '\p{^Is_Bidi_Class=arabicnumber}', "");
Expect(0, 69246, '\P{Is_Bidi_Class=arabicnumber}', "");
Expect(1, 69246, '\P{^Is_Bidi_Class=arabicnumber}', "");
Expect(0, 69247, '\p{Is_Bidi_Class=arabicnumber}', "");
Expect(1, 69247, '\p{^Is_Bidi_Class=arabicnumber}', "");
Expect(1, 69247, '\P{Is_Bidi_Class=arabicnumber}', "");
Expect(0, 69247, '\P{^Is_Bidi_Class=arabicnumber}', "");
Expect(1, 69246, '\p{Is_Bidi_Class=-	arabic_NUMBER}', "");
Expect(0, 69246, '\p{^Is_Bidi_Class=-	arabic_NUMBER}', "");
Expect(0, 69246, '\P{Is_Bidi_Class=-	arabic_NUMBER}', "");
Expect(1, 69246, '\P{^Is_Bidi_Class=-	arabic_NUMBER}', "");
Expect(0, 69247, '\p{Is_Bidi_Class=-	arabic_NUMBER}', "");
Expect(1, 69247, '\p{^Is_Bidi_Class=-	arabic_NUMBER}', "");
Expect(1, 69247, '\P{Is_Bidi_Class=-	arabic_NUMBER}', "");
Expect(0, 69247, '\P{^Is_Bidi_Class=-	arabic_NUMBER}', "");
Error('\p{Is_Bc=/a/_AN}');
Error('\P{Is_Bc=/a/_AN}');
Expect(1, 69246, '\p{Is_Bc=an}', "");
Expect(0, 69246, '\p{^Is_Bc=an}', "");
Expect(0, 69246, '\P{Is_Bc=an}', "");
Expect(1, 69246, '\P{^Is_Bc=an}', "");
Expect(0, 69247, '\p{Is_Bc=an}', "");
Expect(1, 69247, '\p{^Is_Bc=an}', "");
Expect(1, 69247, '\P{Is_Bc=an}', "");
Expect(0, 69247, '\P{^Is_Bc=an}', "");
Expect(1, 69246, '\p{Is_Bc=		AN}', "");
Expect(0, 69246, '\p{^Is_Bc=		AN}', "");
Expect(0, 69246, '\P{Is_Bc=		AN}', "");
Expect(1, 69246, '\P{^Is_Bc=		AN}', "");
Expect(0, 69247, '\p{Is_Bc=		AN}', "");
Expect(1, 69247, '\p{^Is_Bc=		AN}', "");
Expect(1, 69247, '\P{Is_Bc=		AN}', "");
Expect(0, 69247, '\P{^Is_Bc=		AN}', "");
Error('\p{Bidi_Class=  paragraph_SEPARATOR:=}');
Error('\P{Bidi_Class=  paragraph_SEPARATOR:=}');
Expect(1, 8233, '\p{Bidi_Class=paragraphseparator}', "");
Expect(0, 8233, '\p{^Bidi_Class=paragraphseparator}', "");
Expect(0, 8233, '\P{Bidi_Class=paragraphseparator}', "");
Expect(1, 8233, '\P{^Bidi_Class=paragraphseparator}', "");
Expect(0, 8234, '\p{Bidi_Class=paragraphseparator}', "");
Expect(1, 8234, '\p{^Bidi_Class=paragraphseparator}', "");
Expect(1, 8234, '\P{Bidi_Class=paragraphseparator}', "");
Expect(0, 8234, '\P{^Bidi_Class=paragraphseparator}', "");
Expect(1, 8233, '\p{Bidi_Class=-Paragraph_Separator}', "");
Expect(0, 8233, '\p{^Bidi_Class=-Paragraph_Separator}', "");
Expect(0, 8233, '\P{Bidi_Class=-Paragraph_Separator}', "");
Expect(1, 8233, '\P{^Bidi_Class=-Paragraph_Separator}', "");
Expect(0, 8234, '\p{Bidi_Class=-Paragraph_Separator}', "");
Expect(1, 8234, '\p{^Bidi_Class=-Paragraph_Separator}', "");
Expect(1, 8234, '\P{Bidi_Class=-Paragraph_Separator}', "");
Expect(0, 8234, '\P{^Bidi_Class=-Paragraph_Separator}', "");
Error('\p{Bc=:=  B}');
Error('\P{Bc=:=  B}');
Expect(1, 8233, '\p{Bc=b}', "");
Expect(0, 8233, '\p{^Bc=b}', "");
Expect(0, 8233, '\P{Bc=b}', "");
Expect(1, 8233, '\P{^Bc=b}', "");
Expect(0, 8234, '\p{Bc=b}', "");
Expect(1, 8234, '\p{^Bc=b}', "");
Expect(1, 8234, '\P{Bc=b}', "");
Expect(0, 8234, '\P{^Bc=b}', "");
Expect(1, 8233, '\p{Bc:	- B}', "");
Expect(0, 8233, '\p{^Bc:	- B}', "");
Expect(0, 8233, '\P{Bc:	- B}', "");
Expect(1, 8233, '\P{^Bc:	- B}', "");
Expect(0, 8234, '\p{Bc:	- B}', "");
Expect(1, 8234, '\p{^Bc:	- B}', "");
Expect(1, 8234, '\P{Bc:	- B}', "");
Expect(0, 8234, '\P{^Bc:	- B}', "");
Error('\p{Is_Bidi_Class=/a/ _PARAGRAPH_separator}');
Error('\P{Is_Bidi_Class=/a/ _PARAGRAPH_separator}');
Expect(1, 8233, '\p{Is_Bidi_Class=paragraphseparator}', "");
Expect(0, 8233, '\p{^Is_Bidi_Class=paragraphseparator}', "");
Expect(0, 8233, '\P{Is_Bidi_Class=paragraphseparator}', "");
Expect(1, 8233, '\P{^Is_Bidi_Class=paragraphseparator}', "");
Expect(0, 8234, '\p{Is_Bidi_Class=paragraphseparator}', "");
Expect(1, 8234, '\p{^Is_Bidi_Class=paragraphseparator}', "");
Expect(1, 8234, '\P{Is_Bidi_Class=paragraphseparator}', "");
Expect(0, 8234, '\P{^Is_Bidi_Class=paragraphseparator}', "");
Expect(1, 8233, '\p{Is_Bidi_Class=-_Paragraph_Separator}', "");
Expect(0, 8233, '\p{^Is_Bidi_Class=-_Paragraph_Separator}', "");
Expect(0, 8233, '\P{Is_Bidi_Class=-_Paragraph_Separator}', "");
Expect(1, 8233, '\P{^Is_Bidi_Class=-_Paragraph_Separator}', "");
Expect(0, 8234, '\p{Is_Bidi_Class=-_Paragraph_Separator}', "");
Expect(1, 8234, '\p{^Is_Bidi_Class=-_Paragraph_Separator}', "");
Expect(1, 8234, '\P{Is_Bidi_Class=-_Paragraph_Separator}', "");
Expect(0, 8234, '\P{^Is_Bidi_Class=-_Paragraph_Separator}', "");
Error('\p{Is_Bc=-	B:=}');
Error('\P{Is_Bc=-	B:=}');
Expect(1, 8233, '\p{Is_Bc=b}', "");
Expect(0, 8233, '\p{^Is_Bc=b}', "");
Expect(0, 8233, '\P{Is_Bc=b}', "");
Expect(1, 8233, '\P{^Is_Bc=b}', "");
Expect(0, 8234, '\p{Is_Bc=b}', "");
Expect(1, 8234, '\p{^Is_Bc=b}', "");
Expect(1, 8234, '\P{Is_Bc=b}', "");
Expect(0, 8234, '\P{^Is_Bc=b}', "");
Expect(1, 8233, '\p{Is_Bc=  B}', "");
Expect(0, 8233, '\p{^Is_Bc=  B}', "");
Expect(0, 8233, '\P{Is_Bc=  B}', "");
Expect(1, 8233, '\P{^Is_Bc=  B}', "");
Expect(0, 8234, '\p{Is_Bc=  B}', "");
Expect(1, 8234, '\p{^Is_Bc=  B}', "");
Expect(1, 8234, '\P{Is_Bc=  B}', "");
Expect(0, 8234, '\P{^Is_Bc=  B}', "");
Error('\p{Bidi_Class=:= BOUNDARY_neutral}');
Error('\P{Bidi_Class=:= BOUNDARY_neutral}');
Expect(1, 921599, '\p{Bidi_Class=boundaryneutral}', "");
Expect(0, 921599, '\p{^Bidi_Class=boundaryneutral}', "");
Expect(0, 921599, '\P{Bidi_Class=boundaryneutral}', "");
Expect(1, 921599, '\P{^Bidi_Class=boundaryneutral}', "");
Expect(0, 1114109, '\p{Bidi_Class=boundaryneutral}', "");
Expect(1, 1114109, '\p{^Bidi_Class=boundaryneutral}', "");
Expect(1, 1114109, '\P{Bidi_Class=boundaryneutral}', "");
Expect(0, 1114109, '\P{^Bidi_Class=boundaryneutral}', "");
Expect(1, 921599, '\p{Bidi_Class=  Boundary_Neutral}', "");
Expect(0, 921599, '\p{^Bidi_Class=  Boundary_Neutral}', "");
Expect(0, 921599, '\P{Bidi_Class=  Boundary_Neutral}', "");
Expect(1, 921599, '\P{^Bidi_Class=  Boundary_Neutral}', "");
Expect(0, 1114109, '\p{Bidi_Class=  Boundary_Neutral}', "");
Expect(1, 1114109, '\p{^Bidi_Class=  Boundary_Neutral}', "");
Expect(1, 1114109, '\P{Bidi_Class=  Boundary_Neutral}', "");
Expect(0, 1114109, '\P{^Bidi_Class=  Boundary_Neutral}', "");
Error('\p{Bc=:=_BN}');
Error('\P{Bc=:=_BN}');
Expect(1, 921599, '\p{Bc=bn}', "");
Expect(0, 921599, '\p{^Bc=bn}', "");
Expect(0, 921599, '\P{Bc=bn}', "");
Expect(1, 921599, '\P{^Bc=bn}', "");
Expect(0, 1114109, '\p{Bc=bn}', "");
Expect(1, 1114109, '\p{^Bc=bn}', "");
Expect(1, 1114109, '\P{Bc=bn}', "");
Expect(0, 1114109, '\P{^Bc=bn}', "");
Expect(1, 921599, '\p{Bc=-	BN}', "");
Expect(0, 921599, '\p{^Bc=-	BN}', "");
Expect(0, 921599, '\P{Bc=-	BN}', "");
Expect(1, 921599, '\P{^Bc=-	BN}', "");
Expect(0, 1114109, '\p{Bc=-	BN}', "");
Expect(1, 1114109, '\p{^Bc=-	BN}', "");
Expect(1, 1114109, '\P{Bc=-	BN}', "");
Expect(0, 1114109, '\P{^Bc=-	BN}', "");
Error('\p{Is_Bidi_Class:	:= -boundary_Neutral}');
Error('\P{Is_Bidi_Class:	:= -boundary_Neutral}');
Expect(1, 921599, '\p{Is_Bidi_Class=boundaryneutral}', "");
Expect(0, 921599, '\p{^Is_Bidi_Class=boundaryneutral}', "");
Expect(0, 921599, '\P{Is_Bidi_Class=boundaryneutral}', "");
Expect(1, 921599, '\P{^Is_Bidi_Class=boundaryneutral}', "");
Expect(0, 1114109, '\p{Is_Bidi_Class=boundaryneutral}', "");
Expect(1, 1114109, '\p{^Is_Bidi_Class=boundaryneutral}', "");
Expect(1, 1114109, '\P{Is_Bidi_Class=boundaryneutral}', "");
Expect(0, 1114109, '\P{^Is_Bidi_Class=boundaryneutral}', "");
Expect(1, 921599, '\p{Is_Bidi_Class=__boundary_Neutral}', "");
Expect(0, 921599, '\p{^Is_Bidi_Class=__boundary_Neutral}', "");
Expect(0, 921599, '\P{Is_Bidi_Class=__boundary_Neutral}', "");
Expect(1, 921599, '\P{^Is_Bidi_Class=__boundary_Neutral}', "");
Expect(0, 1114109, '\p{Is_Bidi_Class=__boundary_Neutral}', "");
Expect(1, 1114109, '\p{^Is_Bidi_Class=__boundary_Neutral}', "");
Expect(1, 1114109, '\P{Is_Bidi_Class=__boundary_Neutral}', "");
Expect(0, 1114109, '\P{^Is_Bidi_Class=__boundary_Neutral}', "");
Error('\p{Is_Bc:	bn/a/}');
Error('\P{Is_Bc:	bn/a/}');
Expect(1, 921599, '\p{Is_Bc=bn}', "");
Expect(0, 921599, '\p{^Is_Bc=bn}', "");
Expect(0, 921599, '\P{Is_Bc=bn}', "");
Expect(1, 921599, '\P{^Is_Bc=bn}', "");
Expect(0, 1114109, '\p{Is_Bc=bn}', "");
Expect(1, 1114109, '\p{^Is_Bc=bn}', "");
Expect(1, 1114109, '\P{Is_Bc=bn}', "");
Expect(0, 1114109, '\P{^Is_Bc=bn}', "");
Expect(1, 921599, '\p{Is_Bc:-BN}', "");
Expect(0, 921599, '\p{^Is_Bc:-BN}', "");
Expect(0, 921599, '\P{Is_Bc:-BN}', "");
Expect(1, 921599, '\P{^Is_Bc:-BN}', "");
Expect(0, 1114109, '\p{Is_Bc:-BN}', "");
Expect(1, 1114109, '\p{^Is_Bc:-BN}', "");
Expect(1, 1114109, '\P{Is_Bc:-BN}', "");
Expect(0, 1114109, '\P{^Is_Bc:-BN}', "");
Error('\p{Bidi_Class=-:=common_Separator}');
Error('\P{Bidi_Class=-:=common_Separator}');
Expect(1, 65306, '\p{Bidi_Class=commonseparator}', "");
Expect(0, 65306, '\p{^Bidi_Class=commonseparator}', "");
Expect(0, 65306, '\P{Bidi_Class=commonseparator}', "");
Expect(1, 65306, '\P{^Bidi_Class=commonseparator}', "");
Expect(0, 65307, '\p{Bidi_Class=commonseparator}', "");
Expect(1, 65307, '\p{^Bidi_Class=commonseparator}', "");
Expect(1, 65307, '\P{Bidi_Class=commonseparator}', "");
Expect(0, 65307, '\P{^Bidi_Class=commonseparator}', "");
Expect(1, 65306, '\p{Bidi_Class:	COMMON_SEPARATOR}', "");
Expect(0, 65306, '\p{^Bidi_Class:	COMMON_SEPARATOR}', "");
Expect(0, 65306, '\P{Bidi_Class:	COMMON_SEPARATOR}', "");
Expect(1, 65306, '\P{^Bidi_Class:	COMMON_SEPARATOR}', "");
Expect(0, 65307, '\p{Bidi_Class:	COMMON_SEPARATOR}', "");
Expect(1, 65307, '\p{^Bidi_Class:	COMMON_SEPARATOR}', "");
Expect(1, 65307, '\P{Bidi_Class:	COMMON_SEPARATOR}', "");
Expect(0, 65307, '\P{^Bidi_Class:	COMMON_SEPARATOR}', "");
Error('\p{Bc=- CS/a/}');
Error('\P{Bc=- CS/a/}');
Expect(1, 65306, '\p{Bc=cs}', "");
Expect(0, 65306, '\p{^Bc=cs}', "");
Expect(0, 65306, '\P{Bc=cs}', "");
Expect(1, 65306, '\P{^Bc=cs}', "");
Expect(0, 65307, '\p{Bc=cs}', "");
Expect(1, 65307, '\p{^Bc=cs}', "");
Expect(1, 65307, '\P{Bc=cs}', "");
Expect(0, 65307, '\P{^Bc=cs}', "");
Expect(1, 65306, '\p{Bc= 	CS}', "");
Expect(0, 65306, '\p{^Bc= 	CS}', "");
Expect(0, 65306, '\P{Bc= 	CS}', "");
Expect(1, 65306, '\P{^Bc= 	CS}', "");
Expect(0, 65307, '\p{Bc= 	CS}', "");
Expect(1, 65307, '\p{^Bc= 	CS}', "");
Expect(1, 65307, '\P{Bc= 	CS}', "");
Expect(0, 65307, '\P{^Bc= 	CS}', "");
Error('\p{Is_Bidi_Class:__COMMON_separator:=}');
Error('\P{Is_Bidi_Class:__COMMON_separator:=}');
Expect(1, 65306, '\p{Is_Bidi_Class=commonseparator}', "");
Expect(0, 65306, '\p{^Is_Bidi_Class=commonseparator}', "");
Expect(0, 65306, '\P{Is_Bidi_Class=commonseparator}', "");
Expect(1, 65306, '\P{^Is_Bidi_Class=commonseparator}', "");
Expect(0, 65307, '\p{Is_Bidi_Class=commonseparator}', "");
Expect(1, 65307, '\p{^Is_Bidi_Class=commonseparator}', "");
Expect(1, 65307, '\P{Is_Bidi_Class=commonseparator}', "");
Expect(0, 65307, '\P{^Is_Bidi_Class=commonseparator}', "");
Expect(1, 65306, '\p{Is_Bidi_Class:__Common_SEPARATOR}', "");
Expect(0, 65306, '\p{^Is_Bidi_Class:__Common_SEPARATOR}', "");
Expect(0, 65306, '\P{Is_Bidi_Class:__Common_SEPARATOR}', "");
Expect(1, 65306, '\P{^Is_Bidi_Class:__Common_SEPARATOR}', "");
Expect(0, 65307, '\p{Is_Bidi_Class:__Common_SEPARATOR}', "");
Expect(1, 65307, '\p{^Is_Bidi_Class:__Common_SEPARATOR}', "");
Expect(1, 65307, '\P{Is_Bidi_Class:__Common_SEPARATOR}', "");
Expect(0, 65307, '\P{^Is_Bidi_Class:__Common_SEPARATOR}', "");
Error('\p{Is_Bc: /a/		CS}');
Error('\P{Is_Bc: /a/		CS}');
Expect(1, 65306, '\p{Is_Bc=cs}', "");
Expect(0, 65306, '\p{^Is_Bc=cs}', "");
Expect(0, 65306, '\P{Is_Bc=cs}', "");
Expect(1, 65306, '\P{^Is_Bc=cs}', "");
Expect(0, 65307, '\p{Is_Bc=cs}', "");
Expect(1, 65307, '\p{^Is_Bc=cs}', "");
Expect(1, 65307, '\P{Is_Bc=cs}', "");
Expect(0, 65307, '\P{^Is_Bc=cs}', "");
Expect(1, 65306, '\p{Is_Bc=- CS}', "");
Expect(0, 65306, '\p{^Is_Bc=- CS}', "");
Expect(0, 65306, '\P{Is_Bc=- CS}', "");
Expect(1, 65306, '\P{^Is_Bc=- CS}', "");
Expect(0, 65307, '\p{Is_Bc=- CS}', "");
Expect(1, 65307, '\p{^Is_Bc=- CS}', "");
Expect(1, 65307, '\P{Is_Bc=- CS}', "");
Expect(0, 65307, '\P{^Is_Bc=- CS}', "");
Error('\p{Bidi_Class=	European_Number/a/}');
Error('\P{Bidi_Class=	European_Number/a/}');
Expect(1, 127242, '\p{Bidi_Class=europeannumber}', "");
Expect(0, 127242, '\p{^Bidi_Class=europeannumber}', "");
Expect(0, 127242, '\P{Bidi_Class=europeannumber}', "");
Expect(1, 127242, '\P{^Bidi_Class=europeannumber}', "");
Expect(0, 127243, '\p{Bidi_Class=europeannumber}', "");
Expect(1, 127243, '\p{^Bidi_Class=europeannumber}', "");
Expect(1, 127243, '\P{Bidi_Class=europeannumber}', "");
Expect(0, 127243, '\P{^Bidi_Class=europeannumber}', "");
Expect(1, 127242, '\p{Bidi_Class:_european_NUMBER}', "");
Expect(0, 127242, '\p{^Bidi_Class:_european_NUMBER}', "");
Expect(0, 127242, '\P{Bidi_Class:_european_NUMBER}', "");
Expect(1, 127242, '\P{^Bidi_Class:_european_NUMBER}', "");
Expect(0, 127243, '\p{Bidi_Class:_european_NUMBER}', "");
Expect(1, 127243, '\p{^Bidi_Class:_european_NUMBER}', "");
Expect(1, 127243, '\P{Bidi_Class:_european_NUMBER}', "");
Expect(0, 127243, '\P{^Bidi_Class:_european_NUMBER}', "");
Error('\p{Bc=-:=EN}');
Error('\P{Bc=-:=EN}');
Expect(1, 127242, '\p{Bc=en}', "");
Expect(0, 127242, '\p{^Bc=en}', "");
Expect(0, 127242, '\P{Bc=en}', "");
Expect(1, 127242, '\P{^Bc=en}', "");
Expect(0, 127243, '\p{Bc=en}', "");
Expect(1, 127243, '\p{^Bc=en}', "");
Expect(1, 127243, '\P{Bc=en}', "");
Expect(0, 127243, '\P{^Bc=en}', "");
Expect(1, 127242, '\p{Bc=_-EN}', "");
Expect(0, 127242, '\p{^Bc=_-EN}', "");
Expect(0, 127242, '\P{Bc=_-EN}', "");
Expect(1, 127242, '\P{^Bc=_-EN}', "");
Expect(0, 127243, '\p{Bc=_-EN}', "");
Expect(1, 127243, '\p{^Bc=_-EN}', "");
Expect(1, 127243, '\P{Bc=_-EN}', "");
Expect(0, 127243, '\P{^Bc=_-EN}', "");
Error('\p{Is_Bidi_Class=/a/European_Number}');
Error('\P{Is_Bidi_Class=/a/European_Number}');
Expect(1, 127242, '\p{Is_Bidi_Class=europeannumber}', "");
Expect(0, 127242, '\p{^Is_Bidi_Class=europeannumber}', "");
Expect(0, 127242, '\P{Is_Bidi_Class=europeannumber}', "");
Expect(1, 127242, '\P{^Is_Bidi_Class=europeannumber}', "");
Expect(0, 127243, '\p{Is_Bidi_Class=europeannumber}', "");
Expect(1, 127243, '\p{^Is_Bidi_Class=europeannumber}', "");
Expect(1, 127243, '\P{Is_Bidi_Class=europeannumber}', "");
Expect(0, 127243, '\P{^Is_Bidi_Class=europeannumber}', "");
Expect(1, 127242, '\p{Is_Bidi_Class=	European_Number}', "");
Expect(0, 127242, '\p{^Is_Bidi_Class=	European_Number}', "");
Expect(0, 127242, '\P{Is_Bidi_Class=	European_Number}', "");
Expect(1, 127242, '\P{^Is_Bidi_Class=	European_Number}', "");
Expect(0, 127243, '\p{Is_Bidi_Class=	European_Number}', "");
Expect(1, 127243, '\p{^Is_Bidi_Class=	European_Number}', "");
Expect(1, 127243, '\P{Is_Bidi_Class=	European_Number}', "");
Expect(0, 127243, '\P{^Is_Bidi_Class=	European_Number}', "");
Error('\p{Is_Bc=	EN:=}');
Error('\P{Is_Bc=	EN:=}');
Expect(1, 127242, '\p{Is_Bc=en}', "");
Expect(0, 127242, '\p{^Is_Bc=en}', "");
Expect(0, 127242, '\P{Is_Bc=en}', "");
Expect(1, 127242, '\P{^Is_Bc=en}', "");
Expect(0, 127243, '\p{Is_Bc=en}', "");
Expect(1, 127243, '\p{^Is_Bc=en}', "");
Expect(1, 127243, '\P{Is_Bc=en}', "");
Expect(0, 127243, '\P{^Is_Bc=en}', "");
Expect(1, 127242, '\p{Is_Bc=_en}', "");
Expect(0, 127242, '\p{^Is_Bc=_en}', "");
Expect(0, 127242, '\P{Is_Bc=_en}', "");
Expect(1, 127242, '\P{^Is_Bc=_en}', "");
Expect(0, 127243, '\p{Is_Bc=_en}', "");
Expect(1, 127243, '\p{^Is_Bc=_en}', "");
Expect(1, 127243, '\P{Is_Bc=_en}', "");
Expect(0, 127243, '\P{^Is_Bc=_en}', "");
Error('\p{Bidi_Class=/a/ European_SEPARATOR}');
Error('\P{Bidi_Class=/a/ European_SEPARATOR}');
Expect(1, 65293, '\p{Bidi_Class=europeanseparator}', "");
Expect(0, 65293, '\p{^Bidi_Class=europeanseparator}', "");
Expect(0, 65293, '\P{Bidi_Class=europeanseparator}', "");
Expect(1, 65293, '\P{^Bidi_Class=europeanseparator}', "");
Expect(0, 65294, '\p{Bidi_Class=europeanseparator}', "");
Expect(1, 65294, '\p{^Bidi_Class=europeanseparator}', "");
Expect(1, 65294, '\P{Bidi_Class=europeanseparator}', "");
Expect(0, 65294, '\P{^Bidi_Class=europeanseparator}', "");
Expect(1, 65293, '\p{Bidi_Class= -european_SEPARATOR}', "");
Expect(0, 65293, '\p{^Bidi_Class= -european_SEPARATOR}', "");
Expect(0, 65293, '\P{Bidi_Class= -european_SEPARATOR}', "");
Expect(1, 65293, '\P{^Bidi_Class= -european_SEPARATOR}', "");
Expect(0, 65294, '\p{Bidi_Class= -european_SEPARATOR}', "");
Expect(1, 65294, '\p{^Bidi_Class= -european_SEPARATOR}', "");
Expect(1, 65294, '\P{Bidi_Class= -european_SEPARATOR}', "");
Expect(0, 65294, '\P{^Bidi_Class= -european_SEPARATOR}', "");
Error('\p{Bc=-:=ES}');
Error('\P{Bc=-:=ES}');
Expect(1, 65293, '\p{Bc=es}', "");
Expect(0, 65293, '\p{^Bc=es}', "");
Expect(0, 65293, '\P{Bc=es}', "");
Expect(1, 65293, '\P{^Bc=es}', "");
Expect(0, 65294, '\p{Bc=es}', "");
Expect(1, 65294, '\p{^Bc=es}', "");
Expect(1, 65294, '\P{Bc=es}', "");
Expect(0, 65294, '\P{^Bc=es}', "");
Expect(1, 65293, '\p{Bc:    es}', "");
Expect(0, 65293, '\p{^Bc:    es}', "");
Expect(0, 65293, '\P{Bc:    es}', "");
Expect(1, 65293, '\P{^Bc:    es}', "");
Expect(0, 65294, '\p{Bc:    es}', "");
Expect(1, 65294, '\p{^Bc:    es}', "");
Expect(1, 65294, '\P{Bc:    es}', "");
Expect(0, 65294, '\P{^Bc:    es}', "");
Error('\p{Is_Bidi_Class=	:=european_Separator}');
Error('\P{Is_Bidi_Class=	:=european_Separator}');
Expect(1, 65293, '\p{Is_Bidi_Class=europeanseparator}', "");
Expect(0, 65293, '\p{^Is_Bidi_Class=europeanseparator}', "");
Expect(0, 65293, '\P{Is_Bidi_Class=europeanseparator}', "");
Expect(1, 65293, '\P{^Is_Bidi_Class=europeanseparator}', "");
Expect(0, 65294, '\p{Is_Bidi_Class=europeanseparator}', "");
Expect(1, 65294, '\p{^Is_Bidi_Class=europeanseparator}', "");
Expect(1, 65294, '\P{Is_Bidi_Class=europeanseparator}', "");
Expect(0, 65294, '\P{^Is_Bidi_Class=europeanseparator}', "");
Expect(1, 65293, '\p{Is_Bidi_Class=--European_separator}', "");
Expect(0, 65293, '\p{^Is_Bidi_Class=--European_separator}', "");
Expect(0, 65293, '\P{Is_Bidi_Class=--European_separator}', "");
Expect(1, 65293, '\P{^Is_Bidi_Class=--European_separator}', "");
Expect(0, 65294, '\p{Is_Bidi_Class=--European_separator}', "");
Expect(1, 65294, '\p{^Is_Bidi_Class=--European_separator}', "");
Expect(1, 65294, '\P{Is_Bidi_Class=--European_separator}', "");
Expect(0, 65294, '\P{^Is_Bidi_Class=--European_separator}', "");
Error('\p{Is_Bc= 	es/a/}');
Error('\P{Is_Bc= 	es/a/}');
Expect(1, 65293, '\p{Is_Bc=es}', "");
Expect(0, 65293, '\p{^Is_Bc=es}', "");
Expect(0, 65293, '\P{Is_Bc=es}', "");
Expect(1, 65293, '\P{^Is_Bc=es}', "");
Expect(0, 65294, '\p{Is_Bc=es}', "");
Expect(1, 65294, '\p{^Is_Bc=es}', "");
Expect(1, 65294, '\P{Is_Bc=es}', "");
Expect(0, 65294, '\P{^Is_Bc=es}', "");
Expect(1, 65293, '\p{Is_Bc=	ES}', "");
Expect(0, 65293, '\p{^Is_Bc=	ES}', "");
Expect(0, 65293, '\P{Is_Bc=	ES}', "");
Expect(1, 65293, '\P{^Is_Bc=	ES}', "");
Expect(0, 65294, '\p{Is_Bc=	ES}', "");
Expect(1, 65294, '\p{^Is_Bc=	ES}', "");
Expect(1, 65294, '\P{Is_Bc=	ES}', "");
Expect(0, 65294, '\P{^Is_Bc=	ES}', "");
Error('\p{Bidi_Class: :=European_Terminator}');
Error('\P{Bidi_Class: :=European_Terminator}');
Expect(1, 65510, '\p{Bidi_Class=europeanterminator}', "");
Expect(0, 65510, '\p{^Bidi_Class=europeanterminator}', "");
Expect(0, 65510, '\P{Bidi_Class=europeanterminator}', "");
Expect(1, 65510, '\P{^Bidi_Class=europeanterminator}', "");
Expect(0, 65511, '\p{Bidi_Class=europeanterminator}', "");
Expect(1, 65511, '\p{^Bidi_Class=europeanterminator}', "");
Expect(1, 65511, '\P{Bidi_Class=europeanterminator}', "");
Expect(0, 65511, '\P{^Bidi_Class=europeanterminator}', "");
Expect(1, 65510, '\p{Bidi_Class=- EUROPEAN_Terminator}', "");
Expect(0, 65510, '\p{^Bidi_Class=- EUROPEAN_Terminator}', "");
Expect(0, 65510, '\P{Bidi_Class=- EUROPEAN_Terminator}', "");
Expect(1, 65510, '\P{^Bidi_Class=- EUROPEAN_Terminator}', "");
Expect(0, 65511, '\p{Bidi_Class=- EUROPEAN_Terminator}', "");
Expect(1, 65511, '\p{^Bidi_Class=- EUROPEAN_Terminator}', "");
Expect(1, 65511, '\P{Bidi_Class=- EUROPEAN_Terminator}', "");
Expect(0, 65511, '\P{^Bidi_Class=- EUROPEAN_Terminator}', "");
Error('\p{Bc=_/a/ET}');
Error('\P{Bc=_/a/ET}');
Expect(1, 65510, '\p{Bc=et}', "");
Expect(0, 65510, '\p{^Bc=et}', "");
Expect(0, 65510, '\P{Bc=et}', "");
Expect(1, 65510, '\P{^Bc=et}', "");
Expect(0, 65511, '\p{Bc=et}', "");
Expect(1, 65511, '\p{^Bc=et}', "");
Expect(1, 65511, '\P{Bc=et}', "");
Expect(0, 65511, '\P{^Bc=et}', "");
Expect(1, 65510, '\p{Bc=__ET}', "");
Expect(0, 65510, '\p{^Bc=__ET}', "");
Expect(0, 65510, '\P{Bc=__ET}', "");
Expect(1, 65510, '\P{^Bc=__ET}', "");
Expect(0, 65511, '\p{Bc=__ET}', "");
Expect(1, 65511, '\p{^Bc=__ET}', "");
Expect(1, 65511, '\P{Bc=__ET}', "");
Expect(0, 65511, '\P{^Bc=__ET}', "");
Error('\p{Is_Bidi_Class=	_European_Terminator:=}');
Error('\P{Is_Bidi_Class=	_European_Terminator:=}');
Expect(1, 65510, '\p{Is_Bidi_Class:	europeanterminator}', "");
Expect(0, 65510, '\p{^Is_Bidi_Class:	europeanterminator}', "");
Expect(0, 65510, '\P{Is_Bidi_Class:	europeanterminator}', "");
Expect(1, 65510, '\P{^Is_Bidi_Class:	europeanterminator}', "");
Expect(0, 65511, '\p{Is_Bidi_Class:	europeanterminator}', "");
Expect(1, 65511, '\p{^Is_Bidi_Class:	europeanterminator}', "");
Expect(1, 65511, '\P{Is_Bidi_Class:	europeanterminator}', "");
Expect(0, 65511, '\P{^Is_Bidi_Class:	europeanterminator}', "");
Expect(1, 65510, '\p{Is_Bidi_Class=_	EUROPEAN_Terminator}', "");
Expect(0, 65510, '\p{^Is_Bidi_Class=_	EUROPEAN_Terminator}', "");
Expect(0, 65510, '\P{Is_Bidi_Class=_	EUROPEAN_Terminator}', "");
Expect(1, 65510, '\P{^Is_Bidi_Class=_	EUROPEAN_Terminator}', "");
Expect(0, 65511, '\p{Is_Bidi_Class=_	EUROPEAN_Terminator}', "");
Expect(1, 65511, '\p{^Is_Bidi_Class=_	EUROPEAN_Terminator}', "");
Expect(1, 65511, '\P{Is_Bidi_Class=_	EUROPEAN_Terminator}', "");
Expect(0, 65511, '\P{^Is_Bidi_Class=_	EUROPEAN_Terminator}', "");
Error('\p{Is_Bc=_:=ET}');
Error('\P{Is_Bc=_:=ET}');
Expect(1, 65510, '\p{Is_Bc=et}', "");
Expect(0, 65510, '\p{^Is_Bc=et}', "");
Expect(0, 65510, '\P{Is_Bc=et}', "");
Expect(1, 65510, '\P{^Is_Bc=et}', "");
Expect(0, 65511, '\p{Is_Bc=et}', "");
Expect(1, 65511, '\p{^Is_Bc=et}', "");
Expect(1, 65511, '\P{Is_Bc=et}', "");
Expect(0, 65511, '\P{^Is_Bc=et}', "");
Expect(1, 65510, '\p{Is_Bc:   --ET}', "");
Expect(0, 65510, '\p{^Is_Bc:   --ET}', "");
Expect(0, 65510, '\P{Is_Bc:   --ET}', "");
Expect(1, 65510, '\P{^Is_Bc:   --ET}', "");
Expect(0, 65511, '\p{Is_Bc:   --ET}', "");
Expect(1, 65511, '\p{^Is_Bc:   --ET}', "");
Expect(1, 65511, '\P{Is_Bc:   --ET}', "");
Expect(0, 65511, '\P{^Is_Bc:   --ET}', "");
Error('\p{Bidi_Class=_/a/First_strong_Isolate}');
Error('\P{Bidi_Class=_/a/First_strong_Isolate}');
Expect(1, 8296, '\p{Bidi_Class=firststrongisolate}', "");
Expect(0, 8296, '\p{^Bidi_Class=firststrongisolate}', "");
Expect(0, 8296, '\P{Bidi_Class=firststrongisolate}', "");
Expect(1, 8296, '\P{^Bidi_Class=firststrongisolate}', "");
Expect(0, 8297, '\p{Bidi_Class=firststrongisolate}', "");
Expect(1, 8297, '\p{^Bidi_Class=firststrongisolate}', "");
Expect(1, 8297, '\P{Bidi_Class=firststrongisolate}', "");
Expect(0, 8297, '\P{^Bidi_Class=firststrongisolate}', "");
Expect(1, 8296, '\p{Bidi_Class= 	First_Strong_ISOLATE}', "");
Expect(0, 8296, '\p{^Bidi_Class= 	First_Strong_ISOLATE}', "");
Expect(0, 8296, '\P{Bidi_Class= 	First_Strong_ISOLATE}', "");
Expect(1, 8296, '\P{^Bidi_Class= 	First_Strong_ISOLATE}', "");
Expect(0, 8297, '\p{Bidi_Class= 	First_Strong_ISOLATE}', "");
Expect(1, 8297, '\p{^Bidi_Class= 	First_Strong_ISOLATE}', "");
Expect(1, 8297, '\P{Bidi_Class= 	First_Strong_ISOLATE}', "");
Expect(0, 8297, '\P{^Bidi_Class= 	First_Strong_ISOLATE}', "");
Error('\p{Bc=:=-_FSI}');
Error('\P{Bc=:=-_FSI}');
Expect(1, 8296, '\p{Bc=fsi}', "");
Expect(0, 8296, '\p{^Bc=fsi}', "");
Expect(0, 8296, '\P{Bc=fsi}', "");
Expect(1, 8296, '\P{^Bc=fsi}', "");
Expect(0, 8297, '\p{Bc=fsi}', "");
Expect(1, 8297, '\p{^Bc=fsi}', "");
Expect(1, 8297, '\P{Bc=fsi}', "");
Expect(0, 8297, '\P{^Bc=fsi}', "");
Expect(1, 8296, '\p{Bc=	 fsi}', "");
Expect(0, 8296, '\p{^Bc=	 fsi}', "");
Expect(0, 8296, '\P{Bc=	 fsi}', "");
Expect(1, 8296, '\P{^Bc=	 fsi}', "");
Expect(0, 8297, '\p{Bc=	 fsi}', "");
Expect(1, 8297, '\p{^Bc=	 fsi}', "");
Expect(1, 8297, '\P{Bc=	 fsi}', "");
Expect(0, 8297, '\P{^Bc=	 fsi}', "");
Error('\p{Is_Bidi_Class=/a/First_Strong_Isolate}');
Error('\P{Is_Bidi_Class=/a/First_Strong_Isolate}');
Expect(1, 8296, '\p{Is_Bidi_Class=firststrongisolate}', "");
Expect(0, 8296, '\p{^Is_Bidi_Class=firststrongisolate}', "");
Expect(0, 8296, '\P{Is_Bidi_Class=firststrongisolate}', "");
Expect(1, 8296, '\P{^Is_Bidi_Class=firststrongisolate}', "");
Expect(0, 8297, '\p{Is_Bidi_Class=firststrongisolate}', "");
Expect(1, 8297, '\p{^Is_Bidi_Class=firststrongisolate}', "");
Expect(1, 8297, '\P{Is_Bidi_Class=firststrongisolate}', "");
Expect(0, 8297, '\P{^Is_Bidi_Class=firststrongisolate}', "");
Expect(1, 8296, '\p{Is_Bidi_Class:- FIRST_strong_Isolate}', "");
Expect(0, 8296, '\p{^Is_Bidi_Class:- FIRST_strong_Isolate}', "");
Expect(0, 8296, '\P{Is_Bidi_Class:- FIRST_strong_Isolate}', "");
Expect(1, 8296, '\P{^Is_Bidi_Class:- FIRST_strong_Isolate}', "");
Expect(0, 8297, '\p{Is_Bidi_Class:- FIRST_strong_Isolate}', "");
Expect(1, 8297, '\p{^Is_Bidi_Class:- FIRST_strong_Isolate}', "");
Expect(1, 8297, '\P{Is_Bidi_Class:- FIRST_strong_Isolate}', "");
Expect(0, 8297, '\P{^Is_Bidi_Class:- FIRST_strong_Isolate}', "");
Error('\p{Is_Bc=:=-FSI}');
Error('\P{Is_Bc=:=-FSI}');
Expect(1, 8296, '\p{Is_Bc=fsi}', "");
Expect(0, 8296, '\p{^Is_Bc=fsi}', "");
Expect(0, 8296, '\P{Is_Bc=fsi}', "");
Expect(1, 8296, '\P{^Is_Bc=fsi}', "");
Expect(0, 8297, '\p{Is_Bc=fsi}', "");
Expect(1, 8297, '\p{^Is_Bc=fsi}', "");
Expect(1, 8297, '\P{Is_Bc=fsi}', "");
Expect(0, 8297, '\P{^Is_Bc=fsi}', "");
Expect(1, 8296, '\p{Is_Bc:-	FSI}', "");
Expect(0, 8296, '\p{^Is_Bc:-	FSI}', "");
Expect(0, 8296, '\P{Is_Bc:-	FSI}', "");
Expect(1, 8296, '\P{^Is_Bc:-	FSI}', "");
Expect(0, 8297, '\p{Is_Bc:-	FSI}', "");
Expect(1, 8297, '\p{^Is_Bc:-	FSI}', "");
Expect(1, 8297, '\P{Is_Bc:-	FSI}', "");
Expect(0, 8297, '\P{^Is_Bc:-	FSI}', "");
Error('\p{Bidi_Class: :=-LEFT_TO_Right}');
Error('\P{Bidi_Class: :=-LEFT_TO_Right}');
Expect(1, 1114109, '\p{Bidi_Class=lefttoright}', "");
Expect(0, 1114109, '\p{^Bidi_Class=lefttoright}', "");
Expect(0, 1114109, '\P{Bidi_Class=lefttoright}', "");
Expect(1, 1114109, '\P{^Bidi_Class=lefttoright}', "");
Expect(0, 921599, '\p{Bidi_Class=lefttoright}', "");
Expect(1, 921599, '\p{^Bidi_Class=lefttoright}', "");
Expect(1, 921599, '\P{Bidi_Class=lefttoright}', "");
Expect(0, 921599, '\P{^Bidi_Class=lefttoright}', "");
Expect(1, 1114109, '\p{Bidi_Class=		left_to_Right}', "");
Expect(0, 1114109, '\p{^Bidi_Class=		left_to_Right}', "");
Expect(0, 1114109, '\P{Bidi_Class=		left_to_Right}', "");
Expect(1, 1114109, '\P{^Bidi_Class=		left_to_Right}', "");
Expect(0, 921599, '\p{Bidi_Class=		left_to_Right}', "");
Expect(1, 921599, '\p{^Bidi_Class=		left_to_Right}', "");
Expect(1, 921599, '\P{Bidi_Class=		left_to_Right}', "");
Expect(0, 921599, '\P{^Bidi_Class=		left_to_Right}', "");
Error('\p{Bc:_:=L}');
Error('\P{Bc:_:=L}');
Expect(1, 1114109, '\p{Bc=l}', "");
Expect(0, 1114109, '\p{^Bc=l}', "");
Expect(0, 1114109, '\P{Bc=l}', "");
Expect(1, 1114109, '\P{^Bc=l}', "");
Expect(0, 921599, '\p{Bc=l}', "");
Expect(1, 921599, '\p{^Bc=l}', "");
Expect(1, 921599, '\P{Bc=l}', "");
Expect(0, 921599, '\P{^Bc=l}', "");
Expect(1, 1114109, '\p{Bc= 	L}', "");
Expect(0, 1114109, '\p{^Bc= 	L}', "");
Expect(0, 1114109, '\P{Bc= 	L}', "");
Expect(1, 1114109, '\P{^Bc= 	L}', "");
Expect(0, 921599, '\p{Bc= 	L}', "");
Expect(1, 921599, '\p{^Bc= 	L}', "");
Expect(1, 921599, '\P{Bc= 	L}', "");
Expect(0, 921599, '\P{^Bc= 	L}', "");
Error('\p{Is_Bidi_Class=/a/_left_To_Right}');
Error('\P{Is_Bidi_Class=/a/_left_To_Right}');
Expect(1, 1114109, '\p{Is_Bidi_Class=lefttoright}', "");
Expect(0, 1114109, '\p{^Is_Bidi_Class=lefttoright}', "");
Expect(0, 1114109, '\P{Is_Bidi_Class=lefttoright}', "");
Expect(1, 1114109, '\P{^Is_Bidi_Class=lefttoright}', "");
Expect(0, 921599, '\p{Is_Bidi_Class=lefttoright}', "");
Expect(1, 921599, '\p{^Is_Bidi_Class=lefttoright}', "");
Expect(1, 921599, '\P{Is_Bidi_Class=lefttoright}', "");
Expect(0, 921599, '\P{^Is_Bidi_Class=lefttoright}', "");
Expect(1, 1114109, '\p{Is_Bidi_Class=	Left_TO_Right}', "");
Expect(0, 1114109, '\p{^Is_Bidi_Class=	Left_TO_Right}', "");
Expect(0, 1114109, '\P{Is_Bidi_Class=	Left_TO_Right}', "");
Expect(1, 1114109, '\P{^Is_Bidi_Class=	Left_TO_Right}', "");
Expect(0, 921599, '\p{Is_Bidi_Class=	Left_TO_Right}', "");
Expect(1, 921599, '\p{^Is_Bidi_Class=	Left_TO_Right}', "");
Expect(1, 921599, '\P{Is_Bidi_Class=	Left_TO_Right}', "");
Expect(0, 921599, '\P{^Is_Bidi_Class=	Left_TO_Right}', "");
Error('\p{Is_Bc=:=	-L}');
Error('\P{Is_Bc=:=	-L}');
Expect(1, 1114109, '\p{Is_Bc=l}', "");
Expect(0, 1114109, '\p{^Is_Bc=l}', "");
Expect(0, 1114109, '\P{Is_Bc=l}', "");
Expect(1, 1114109, '\P{^Is_Bc=l}', "");
Expect(0, 921599, '\p{Is_Bc=l}', "");
Expect(1, 921599, '\p{^Is_Bc=l}', "");
Expect(1, 921599, '\P{Is_Bc=l}', "");
Expect(0, 921599, '\P{^Is_Bc=l}', "");
Expect(1, 1114109, '\p{Is_Bc: 	L}', "");
Expect(0, 1114109, '\p{^Is_Bc: 	L}', "");
Expect(0, 1114109, '\P{Is_Bc: 	L}', "");
Expect(1, 1114109, '\P{^Is_Bc: 	L}', "");
Expect(0, 921599, '\p{Is_Bc: 	L}', "");
Expect(1, 921599, '\p{^Is_Bc: 	L}', "");
Expect(1, 921599, '\P{Is_Bc: 	L}', "");
Expect(0, 921599, '\P{^Is_Bc: 	L}', "");
Error('\p{Bidi_Class=:= -Left_to_Right_Embedding}');
Error('\P{Bidi_Class=:= -Left_to_Right_Embedding}');
Expect(1, 8234, '\p{Bidi_Class=lefttorightembedding}', "");
Expect(0, 8234, '\p{^Bidi_Class=lefttorightembedding}', "");
Expect(0, 8234, '\P{Bidi_Class=lefttorightembedding}', "");
Expect(1, 8234, '\P{^Bidi_Class=lefttorightembedding}', "");
Expect(0, 8235, '\p{Bidi_Class=lefttorightembedding}', "");
Expect(1, 8235, '\p{^Bidi_Class=lefttorightembedding}', "");
Expect(1, 8235, '\P{Bidi_Class=lefttorightembedding}', "");
Expect(0, 8235, '\P{^Bidi_Class=lefttorightembedding}', "");
Expect(1, 8234, '\p{Bidi_Class=_	left_To_RIGHT_EMBEDDING}', "");
Expect(0, 8234, '\p{^Bidi_Class=_	left_To_RIGHT_EMBEDDING}', "");
Expect(0, 8234, '\P{Bidi_Class=_	left_To_RIGHT_EMBEDDING}', "");
Expect(1, 8234, '\P{^Bidi_Class=_	left_To_RIGHT_EMBEDDING}', "");
Expect(0, 8235, '\p{Bidi_Class=_	left_To_RIGHT_EMBEDDING}', "");
Expect(1, 8235, '\p{^Bidi_Class=_	left_To_RIGHT_EMBEDDING}', "");
Expect(1, 8235, '\P{Bidi_Class=_	left_To_RIGHT_EMBEDDING}', "");
Expect(0, 8235, '\P{^Bidi_Class=_	left_To_RIGHT_EMBEDDING}', "");
Error('\p{Bc=:=- LRE}');
Error('\P{Bc=:=- LRE}');
Expect(1, 8234, '\p{Bc=lre}', "");
Expect(0, 8234, '\p{^Bc=lre}', "");
Expect(0, 8234, '\P{Bc=lre}', "");
Expect(1, 8234, '\P{^Bc=lre}', "");
Expect(0, 8235, '\p{Bc=lre}', "");
Expect(1, 8235, '\p{^Bc=lre}', "");
Expect(1, 8235, '\P{Bc=lre}', "");
Expect(0, 8235, '\P{^Bc=lre}', "");
Expect(1, 8234, '\p{Bc=	lre}', "");
Expect(0, 8234, '\p{^Bc=	lre}', "");
Expect(0, 8234, '\P{Bc=	lre}', "");
Expect(1, 8234, '\P{^Bc=	lre}', "");
Expect(0, 8235, '\p{Bc=	lre}', "");
Expect(1, 8235, '\p{^Bc=	lre}', "");
Expect(1, 8235, '\P{Bc=	lre}', "");
Expect(0, 8235, '\P{^Bc=	lre}', "");
Error('\p{Is_Bidi_Class=- LEFT_To_RIGHT_Embedding/a/}');
Error('\P{Is_Bidi_Class=- LEFT_To_RIGHT_Embedding/a/}');
Expect(1, 8234, '\p{Is_Bidi_Class=lefttorightembedding}', "");
Expect(0, 8234, '\p{^Is_Bidi_Class=lefttorightembedding}', "");
Expect(0, 8234, '\P{Is_Bidi_Class=lefttorightembedding}', "");
Expect(1, 8234, '\P{^Is_Bidi_Class=lefttorightembedding}', "");
Expect(0, 8235, '\p{Is_Bidi_Class=lefttorightembedding}', "");
Expect(1, 8235, '\p{^Is_Bidi_Class=lefttorightembedding}', "");
Expect(1, 8235, '\P{Is_Bidi_Class=lefttorightembedding}', "");
Expect(0, 8235, '\P{^Is_Bidi_Class=lefttorightembedding}', "");
Expect(1, 8234, '\p{Is_Bidi_Class=- LEFT_To_RIGHT_Embedding}', "");
Expect(0, 8234, '\p{^Is_Bidi_Class=- LEFT_To_RIGHT_Embedding}', "");
Expect(0, 8234, '\P{Is_Bidi_Class=- LEFT_To_RIGHT_Embedding}', "");
Expect(1, 8234, '\P{^Is_Bidi_Class=- LEFT_To_RIGHT_Embedding}', "");
Expect(0, 8235, '\p{Is_Bidi_Class=- LEFT_To_RIGHT_Embedding}', "");
Expect(1, 8235, '\p{^Is_Bidi_Class=- LEFT_To_RIGHT_Embedding}', "");
Expect(1, 8235, '\P{Is_Bidi_Class=- LEFT_To_RIGHT_Embedding}', "");
Expect(0, 8235, '\P{^Is_Bidi_Class=- LEFT_To_RIGHT_Embedding}', "");
Error('\p{Is_Bc=/a/-	LRE}');
Error('\P{Is_Bc=/a/-	LRE}');
Expect(1, 8234, '\p{Is_Bc=lre}', "");
Expect(0, 8234, '\p{^Is_Bc=lre}', "");
Expect(0, 8234, '\P{Is_Bc=lre}', "");
Expect(1, 8234, '\P{^Is_Bc=lre}', "");
Expect(0, 8235, '\p{Is_Bc=lre}', "");
Expect(1, 8235, '\p{^Is_Bc=lre}', "");
Expect(1, 8235, '\P{Is_Bc=lre}', "");
Expect(0, 8235, '\P{^Is_Bc=lre}', "");
Expect(1, 8234, '\p{Is_Bc= LRE}', "");
Expect(0, 8234, '\p{^Is_Bc= LRE}', "");
Expect(0, 8234, '\P{Is_Bc= LRE}', "");
Expect(1, 8234, '\P{^Is_Bc= LRE}', "");
Expect(0, 8235, '\p{Is_Bc= LRE}', "");
Expect(1, 8235, '\p{^Is_Bc= LRE}', "");
Expect(1, 8235, '\P{Is_Bc= LRE}', "");
Expect(0, 8235, '\P{^Is_Bc= LRE}', "");
Error('\p{Bidi_Class=_:=LEFT_to_RIGHT_ISOLATE}');
Error('\P{Bidi_Class=_:=LEFT_to_RIGHT_ISOLATE}');
Expect(1, 8294, '\p{Bidi_Class=lefttorightisolate}', "");
Expect(0, 8294, '\p{^Bidi_Class=lefttorightisolate}', "");
Expect(0, 8294, '\P{Bidi_Class=lefttorightisolate}', "");
Expect(1, 8294, '\P{^Bidi_Class=lefttorightisolate}', "");
Expect(0, 8295, '\p{Bidi_Class=lefttorightisolate}', "");
Expect(1, 8295, '\p{^Bidi_Class=lefttorightisolate}', "");
Expect(1, 8295, '\P{Bidi_Class=lefttorightisolate}', "");
Expect(0, 8295, '\P{^Bidi_Class=lefttorightisolate}', "");
Expect(1, 8294, '\p{Bidi_Class= Left_to_Right_isolate}', "");
Expect(0, 8294, '\p{^Bidi_Class= Left_to_Right_isolate}', "");
Expect(0, 8294, '\P{Bidi_Class= Left_to_Right_isolate}', "");
Expect(1, 8294, '\P{^Bidi_Class= Left_to_Right_isolate}', "");
Expect(0, 8295, '\p{Bidi_Class= Left_to_Right_isolate}', "");
Expect(1, 8295, '\p{^Bidi_Class= Left_to_Right_isolate}', "");
Expect(1, 8295, '\P{Bidi_Class= Left_to_Right_isolate}', "");
Expect(0, 8295, '\P{^Bidi_Class= Left_to_Right_isolate}', "");
Error('\p{Bc=/a/ -lri}');
Error('\P{Bc=/a/ -lri}');
Expect(1, 8294, '\p{Bc=lri}', "");
Expect(0, 8294, '\p{^Bc=lri}', "");
Expect(0, 8294, '\P{Bc=lri}', "");
Expect(1, 8294, '\P{^Bc=lri}', "");
Expect(0, 8295, '\p{Bc=lri}', "");
Expect(1, 8295, '\p{^Bc=lri}', "");
Expect(1, 8295, '\P{Bc=lri}', "");
Expect(0, 8295, '\P{^Bc=lri}', "");
Expect(1, 8294, '\p{Bc=LRI}', "");
Expect(0, 8294, '\p{^Bc=LRI}', "");
Expect(0, 8294, '\P{Bc=LRI}', "");
Expect(1, 8294, '\P{^Bc=LRI}', "");
Expect(0, 8295, '\p{Bc=LRI}', "");
Expect(1, 8295, '\p{^Bc=LRI}', "");
Expect(1, 8295, '\P{Bc=LRI}', "");
Expect(0, 8295, '\P{^Bc=LRI}', "");
Error('\p{Is_Bidi_Class=:=-Left_TO_right_ISOLATE}');
Error('\P{Is_Bidi_Class=:=-Left_TO_right_ISOLATE}');
Expect(1, 8294, '\p{Is_Bidi_Class=lefttorightisolate}', "");
Expect(0, 8294, '\p{^Is_Bidi_Class=lefttorightisolate}', "");
Expect(0, 8294, '\P{Is_Bidi_Class=lefttorightisolate}', "");
Expect(1, 8294, '\P{^Is_Bidi_Class=lefttorightisolate}', "");
Expect(0, 8295, '\p{Is_Bidi_Class=lefttorightisolate}', "");
Expect(1, 8295, '\p{^Is_Bidi_Class=lefttorightisolate}', "");
Expect(1, 8295, '\P{Is_Bidi_Class=lefttorightisolate}', "");
Expect(0, 8295, '\P{^Is_Bidi_Class=lefttorightisolate}', "");
Expect(1, 8294, '\p{Is_Bidi_Class= left_TO_Right_Isolate}', "");
Expect(0, 8294, '\p{^Is_Bidi_Class= left_TO_Right_Isolate}', "");
Expect(0, 8294, '\P{Is_Bidi_Class= left_TO_Right_Isolate}', "");
Expect(1, 8294, '\P{^Is_Bidi_Class= left_TO_Right_Isolate}', "");
Expect(0, 8295, '\p{Is_Bidi_Class= left_TO_Right_Isolate}', "");
Expect(1, 8295, '\p{^Is_Bidi_Class= left_TO_Right_Isolate}', "");
Expect(1, 8295, '\P{Is_Bidi_Class= left_TO_Right_Isolate}', "");
Expect(0, 8295, '\P{^Is_Bidi_Class= left_TO_Right_Isolate}', "");
Error('\p{Is_Bc=	:=LRI}');
Error('\P{Is_Bc=	:=LRI}');
Expect(1, 8294, '\p{Is_Bc=lri}', "");
Expect(0, 8294, '\p{^Is_Bc=lri}', "");
Expect(0, 8294, '\P{Is_Bc=lri}', "");
Expect(1, 8294, '\P{^Is_Bc=lri}', "");
Expect(0, 8295, '\p{Is_Bc=lri}', "");
Expect(1, 8295, '\p{^Is_Bc=lri}', "");
Expect(1, 8295, '\P{Is_Bc=lri}', "");
Expect(0, 8295, '\P{^Is_Bc=lri}', "");
Expect(1, 8294, '\p{Is_Bc=	_lri}', "");
Expect(0, 8294, '\p{^Is_Bc=	_lri}', "");
Expect(0, 8294, '\P{Is_Bc=	_lri}', "");
Expect(1, 8294, '\P{^Is_Bc=	_lri}', "");
Expect(0, 8295, '\p{Is_Bc=	_lri}', "");
Expect(1, 8295, '\p{^Is_Bc=	_lri}', "");
Expect(1, 8295, '\P{Is_Bc=	_lri}', "");
Expect(0, 8295, '\P{^Is_Bc=	_lri}', "");
Error('\p{Bidi_Class=/a/-_Left_To_right_OVERRIDE}');
Error('\P{Bidi_Class=/a/-_Left_To_right_OVERRIDE}');
Expect(1, 8237, '\p{Bidi_Class=lefttorightoverride}', "");
Expect(0, 8237, '\p{^Bidi_Class=lefttorightoverride}', "");
Expect(0, 8237, '\P{Bidi_Class=lefttorightoverride}', "");
Expect(1, 8237, '\P{^Bidi_Class=lefttorightoverride}', "");
Expect(0, 8238, '\p{Bidi_Class=lefttorightoverride}', "");
Expect(1, 8238, '\p{^Bidi_Class=lefttorightoverride}', "");
Expect(1, 8238, '\P{Bidi_Class=lefttorightoverride}', "");
Expect(0, 8238, '\P{^Bidi_Class=lefttorightoverride}', "");
Expect(1, 8237, '\p{Bidi_Class=left_TO_RIGHT_Override}', "");
Expect(0, 8237, '\p{^Bidi_Class=left_TO_RIGHT_Override}', "");
Expect(0, 8237, '\P{Bidi_Class=left_TO_RIGHT_Override}', "");
Expect(1, 8237, '\P{^Bidi_Class=left_TO_RIGHT_Override}', "");
Expect(0, 8238, '\p{Bidi_Class=left_TO_RIGHT_Override}', "");
Expect(1, 8238, '\p{^Bidi_Class=left_TO_RIGHT_Override}', "");
Expect(1, 8238, '\P{Bidi_Class=left_TO_RIGHT_Override}', "");
Expect(0, 8238, '\P{^Bidi_Class=left_TO_RIGHT_Override}', "");
Error('\p{Bc=_/a/LRO}');
Error('\P{Bc=_/a/LRO}');
Expect(1, 8237, '\p{Bc=lro}', "");
Expect(0, 8237, '\p{^Bc=lro}', "");
Expect(0, 8237, '\P{Bc=lro}', "");
Expect(1, 8237, '\P{^Bc=lro}', "");
Expect(0, 8238, '\p{Bc=lro}', "");
Expect(1, 8238, '\p{^Bc=lro}', "");
Expect(1, 8238, '\P{Bc=lro}', "");
Expect(0, 8238, '\P{^Bc=lro}', "");
Expect(1, 8237, '\p{Bc=	_LRO}', "");
Expect(0, 8237, '\p{^Bc=	_LRO}', "");
Expect(0, 8237, '\P{Bc=	_LRO}', "");
Expect(1, 8237, '\P{^Bc=	_LRO}', "");
Expect(0, 8238, '\p{Bc=	_LRO}', "");
Expect(1, 8238, '\p{^Bc=	_LRO}', "");
Expect(1, 8238, '\P{Bc=	_LRO}', "");
Expect(0, 8238, '\P{^Bc=	_LRO}', "");
Error('\p{Is_Bidi_Class: /a/--Left_to_Right_Override}');
Error('\P{Is_Bidi_Class: /a/--Left_to_Right_Override}');
Expect(1, 8237, '\p{Is_Bidi_Class=lefttorightoverride}', "");
Expect(0, 8237, '\p{^Is_Bidi_Class=lefttorightoverride}', "");
Expect(0, 8237, '\P{Is_Bidi_Class=lefttorightoverride}', "");
Expect(1, 8237, '\P{^Is_Bidi_Class=lefttorightoverride}', "");
Expect(0, 8238, '\p{Is_Bidi_Class=lefttorightoverride}', "");
Expect(1, 8238, '\p{^Is_Bidi_Class=lefttorightoverride}', "");
Expect(1, 8238, '\P{Is_Bidi_Class=lefttorightoverride}', "");
Expect(0, 8238, '\P{^Is_Bidi_Class=lefttorightoverride}', "");
Expect(1, 8237, '\p{Is_Bidi_Class= LEFT_to_right_OVERRIDE}', "");
Expect(0, 8237, '\p{^Is_Bidi_Class= LEFT_to_right_OVERRIDE}', "");
Expect(0, 8237, '\P{Is_Bidi_Class= LEFT_to_right_OVERRIDE}', "");
Expect(1, 8237, '\P{^Is_Bidi_Class= LEFT_to_right_OVERRIDE}', "");
Expect(0, 8238, '\p{Is_Bidi_Class= LEFT_to_right_OVERRIDE}', "");
Expect(1, 8238, '\p{^Is_Bidi_Class= LEFT_to_right_OVERRIDE}', "");
Expect(1, 8238, '\P{Is_Bidi_Class= LEFT_to_right_OVERRIDE}', "");
Expect(0, 8238, '\P{^Is_Bidi_Class= LEFT_to_right_OVERRIDE}', "");
Error('\p{Is_Bc: -LRO/a/}');
Error('\P{Is_Bc: -LRO/a/}');
Expect(1, 8237, '\p{Is_Bc=lro}', "");
Expect(0, 8237, '\p{^Is_Bc=lro}', "");
Expect(0, 8237, '\P{Is_Bc=lro}', "");
Expect(1, 8237, '\P{^Is_Bc=lro}', "");
Expect(0, 8238, '\p{Is_Bc=lro}', "");
Expect(1, 8238, '\p{^Is_Bc=lro}', "");
Expect(1, 8238, '\P{Is_Bc=lro}', "");
Expect(0, 8238, '\P{^Is_Bc=lro}', "");
Expect(1, 8237, '\p{Is_Bc=	_LRO}', "");
Expect(0, 8237, '\p{^Is_Bc=	_LRO}', "");
Expect(0, 8237, '\P{Is_Bc=	_LRO}', "");
Expect(1, 8237, '\P{^Is_Bc=	_LRO}', "");
Expect(0, 8238, '\p{Is_Bc=	_LRO}', "");
Expect(1, 8238, '\p{^Is_Bc=	_LRO}', "");
Expect(1, 8238, '\P{Is_Bc=	_LRO}', "");
Expect(0, 8238, '\P{^Is_Bc=	_LRO}', "");
Error('\p{Bidi_Class=/a/ 	NONSPACING_Mark}');
Error('\P{Bidi_Class=/a/ 	NONSPACING_Mark}');
Expect(1, 917999, '\p{Bidi_Class=nonspacingmark}', "");
Expect(0, 917999, '\p{^Bidi_Class=nonspacingmark}', "");
Expect(0, 917999, '\P{Bidi_Class=nonspacingmark}', "");
Expect(1, 917999, '\P{^Bidi_Class=nonspacingmark}', "");
Expect(0, 918000, '\p{Bidi_Class=nonspacingmark}', "");
Expect(1, 918000, '\p{^Bidi_Class=nonspacingmark}', "");
Expect(1, 918000, '\P{Bidi_Class=nonspacingmark}', "");
Expect(0, 918000, '\P{^Bidi_Class=nonspacingmark}', "");
Expect(1, 917999, '\p{Bidi_Class=_nonspacing_mark}', "");
Expect(0, 917999, '\p{^Bidi_Class=_nonspacing_mark}', "");
Expect(0, 917999, '\P{Bidi_Class=_nonspacing_mark}', "");
Expect(1, 917999, '\P{^Bidi_Class=_nonspacing_mark}', "");
Expect(0, 918000, '\p{Bidi_Class=_nonspacing_mark}', "");
Expect(1, 918000, '\p{^Bidi_Class=_nonspacing_mark}', "");
Expect(1, 918000, '\P{Bidi_Class=_nonspacing_mark}', "");
Expect(0, 918000, '\P{^Bidi_Class=_nonspacing_mark}', "");
Error('\p{Bc=:=NSM}');
Error('\P{Bc=:=NSM}');
Expect(1, 917999, '\p{Bc:nsm}', "");
Expect(0, 917999, '\p{^Bc:nsm}', "");
Expect(0, 917999, '\P{Bc:nsm}', "");
Expect(1, 917999, '\P{^Bc:nsm}', "");
Expect(0, 918000, '\p{Bc:nsm}', "");
Expect(1, 918000, '\p{^Bc:nsm}', "");
Expect(1, 918000, '\P{Bc:nsm}', "");
Expect(0, 918000, '\P{^Bc:nsm}', "");
Expect(1, 917999, '\p{Bc=-NSM}', "");
Expect(0, 917999, '\p{^Bc=-NSM}', "");
Expect(0, 917999, '\P{Bc=-NSM}', "");
Expect(1, 917999, '\P{^Bc=-NSM}', "");
Expect(0, 918000, '\p{Bc=-NSM}', "");
Expect(1, 918000, '\p{^Bc=-NSM}', "");
Expect(1, 918000, '\P{Bc=-NSM}', "");
Expect(0, 918000, '\P{^Bc=-NSM}', "");
Error('\p{Is_Bidi_Class:		:=NONSPACING_MARK}');
Error('\P{Is_Bidi_Class:		:=NONSPACING_MARK}');
Expect(1, 917999, '\p{Is_Bidi_Class=nonspacingmark}', "");
Expect(0, 917999, '\p{^Is_Bidi_Class=nonspacingmark}', "");
Expect(0, 917999, '\P{Is_Bidi_Class=nonspacingmark}', "");
Expect(1, 917999, '\P{^Is_Bidi_Class=nonspacingmark}', "");
Expect(0, 918000, '\p{Is_Bidi_Class=nonspacingmark}', "");
Expect(1, 918000, '\p{^Is_Bidi_Class=nonspacingmark}', "");
Expect(1, 918000, '\P{Is_Bidi_Class=nonspacingmark}', "");
Expect(0, 918000, '\P{^Is_Bidi_Class=nonspacingmark}', "");
Expect(1, 917999, '\p{Is_Bidi_Class=_	Nonspacing_Mark}', "");
Expect(0, 917999, '\p{^Is_Bidi_Class=_	Nonspacing_Mark}', "");
Expect(0, 917999, '\P{Is_Bidi_Class=_	Nonspacing_Mark}', "");
Expect(1, 917999, '\P{^Is_Bidi_Class=_	Nonspacing_Mark}', "");
Expect(0, 918000, '\p{Is_Bidi_Class=_	Nonspacing_Mark}', "");
Expect(1, 918000, '\p{^Is_Bidi_Class=_	Nonspacing_Mark}', "");
Expect(1, 918000, '\P{Is_Bidi_Class=_	Nonspacing_Mark}', "");
Expect(0, 918000, '\P{^Is_Bidi_Class=_	Nonspacing_Mark}', "");
Error('\p{Is_Bc=:=	NSM}');
Error('\P{Is_Bc=:=	NSM}');
Expect(1, 917999, '\p{Is_Bc=nsm}', "");
Expect(0, 917999, '\p{^Is_Bc=nsm}', "");
Expect(0, 917999, '\P{Is_Bc=nsm}', "");
Expect(1, 917999, '\P{^Is_Bc=nsm}', "");
Expect(0, 918000, '\p{Is_Bc=nsm}', "");
Expect(1, 918000, '\p{^Is_Bc=nsm}', "");
Expect(1, 918000, '\P{Is_Bc=nsm}', "");
Expect(0, 918000, '\P{^Is_Bc=nsm}', "");
Expect(1, 917999, '\p{Is_Bc=-_NSM}', "");
Expect(0, 917999, '\p{^Is_Bc=-_NSM}', "");
Expect(0, 917999, '\P{Is_Bc=-_NSM}', "");
Expect(1, 917999, '\P{^Is_Bc=-_NSM}', "");
Expect(0, 918000, '\p{Is_Bc=-_NSM}', "");
Expect(1, 918000, '\p{^Is_Bc=-_NSM}', "");
Expect(1, 918000, '\P{Is_Bc=-_NSM}', "");
Expect(0, 918000, '\P{^Is_Bc=-_NSM}', "");
Error('\p{Bidi_Class=	/a/OTHER_Neutral}');
Error('\P{Bidi_Class=	/a/OTHER_Neutral}');
Expect(1, 129197, '\p{Bidi_Class=otherneutral}', "");
Expect(0, 129197, '\p{^Bidi_Class=otherneutral}', "");
Expect(0, 129197, '\P{Bidi_Class=otherneutral}', "");
Expect(1, 129197, '\P{^Bidi_Class=otherneutral}', "");
Expect(0, 129198, '\p{Bidi_Class=otherneutral}', "");
Expect(1, 129198, '\p{^Bidi_Class=otherneutral}', "");
Expect(1, 129198, '\P{Bidi_Class=otherneutral}', "");
Expect(0, 129198, '\P{^Bidi_Class=otherneutral}', "");
Expect(1, 129197, '\p{Bidi_Class= other_Neutral}', "");
Expect(0, 129197, '\p{^Bidi_Class= other_Neutral}', "");
Expect(0, 129197, '\P{Bidi_Class= other_Neutral}', "");
Expect(1, 129197, '\P{^Bidi_Class= other_Neutral}', "");
Expect(0, 129198, '\p{Bidi_Class= other_Neutral}', "");
Expect(1, 129198, '\p{^Bidi_Class= other_Neutral}', "");
Expect(1, 129198, '\P{Bidi_Class= other_Neutral}', "");
Expect(0, 129198, '\P{^Bidi_Class= other_Neutral}', "");
Error('\p{Bc=-:=ON}');
Error('\P{Bc=-:=ON}');
Expect(1, 129197, '\p{Bc=on}', "");
Expect(0, 129197, '\p{^Bc=on}', "");
Expect(0, 129197, '\P{Bc=on}', "");
Expect(1, 129197, '\P{^Bc=on}', "");
Expect(0, 129198, '\p{Bc=on}', "");
Expect(1, 129198, '\p{^Bc=on}', "");
Expect(1, 129198, '\P{Bc=on}', "");
Expect(0, 129198, '\P{^Bc=on}', "");
Expect(1, 129197, '\p{Bc=		ON}', "");
Expect(0, 129197, '\p{^Bc=		ON}', "");
Expect(0, 129197, '\P{Bc=		ON}', "");
Expect(1, 129197, '\P{^Bc=		ON}', "");
Expect(0, 129198, '\p{Bc=		ON}', "");
Expect(1, 129198, '\p{^Bc=		ON}', "");
Expect(1, 129198, '\P{Bc=		ON}', "");
Expect(0, 129198, '\P{^Bc=		ON}', "");
Error('\p{Is_Bidi_Class=/a/	OTHER_Neutral}');
Error('\P{Is_Bidi_Class=/a/	OTHER_Neutral}');
Expect(1, 129197, '\p{Is_Bidi_Class=otherneutral}', "");
Expect(0, 129197, '\p{^Is_Bidi_Class=otherneutral}', "");
Expect(0, 129197, '\P{Is_Bidi_Class=otherneutral}', "");
Expect(1, 129197, '\P{^Is_Bidi_Class=otherneutral}', "");
Expect(0, 129198, '\p{Is_Bidi_Class=otherneutral}', "");
Expect(1, 129198, '\p{^Is_Bidi_Class=otherneutral}', "");
Expect(1, 129198, '\P{Is_Bidi_Class=otherneutral}', "");
Expect(0, 129198, '\P{^Is_Bidi_Class=otherneutral}', "");
Expect(1, 129197, '\p{Is_Bidi_Class:   _-other_Neutral}', "");
Expect(0, 129197, '\p{^Is_Bidi_Class:   _-other_Neutral}', "");
Expect(0, 129197, '\P{Is_Bidi_Class:   _-other_Neutral}', "");
Expect(1, 129197, '\P{^Is_Bidi_Class:   _-other_Neutral}', "");
Expect(0, 129198, '\p{Is_Bidi_Class:   _-other_Neutral}', "");
Expect(1, 129198, '\p{^Is_Bidi_Class:   _-other_Neutral}', "");
Expect(1, 129198, '\P{Is_Bidi_Class:   _-other_Neutral}', "");
Expect(0, 129198, '\P{^Is_Bidi_Class:   _-other_Neutral}', "");
Error('\p{Is_Bc=__ON/a/}');
Error('\P{Is_Bc=__ON/a/}');
Expect(1, 129197, '\p{Is_Bc=on}', "");
Expect(0, 129197, '\p{^Is_Bc=on}', "");
Expect(0, 129197, '\P{Is_Bc=on}', "");
Expect(1, 129197, '\P{^Is_Bc=on}', "");
Expect(0, 129198, '\p{Is_Bc=on}', "");
Expect(1, 129198, '\p{^Is_Bc=on}', "");
Expect(1, 129198, '\P{Is_Bc=on}', "");
Expect(0, 129198, '\P{^Is_Bc=on}', "");
Expect(1, 129197, '\p{Is_Bc= -ON}', "");
Expect(0, 129197, '\p{^Is_Bc= -ON}', "");
Expect(0, 129197, '\P{Is_Bc= -ON}', "");
Expect(1, 129197, '\P{^Is_Bc= -ON}', "");
Expect(0, 129198, '\p{Is_Bc= -ON}', "");
Expect(1, 129198, '\p{^Is_Bc= -ON}', "");
Expect(1, 129198, '\P{Is_Bc= -ON}', "");
Expect(0, 129198, '\P{^Is_Bc= -ON}', "");
Error('\p{Bidi_Class=/a/pop_Directional_format}');
Error('\P{Bidi_Class=/a/pop_Directional_format}');
Expect(1, 8236, '\p{Bidi_Class=popdirectionalformat}', "");
Expect(0, 8236, '\p{^Bidi_Class=popdirectionalformat}', "");
Expect(0, 8236, '\P{Bidi_Class=popdirectionalformat}', "");
Expect(1, 8236, '\P{^Bidi_Class=popdirectionalformat}', "");
Expect(0, 8237, '\p{Bidi_Class=popdirectionalformat}', "");
Expect(1, 8237, '\p{^Bidi_Class=popdirectionalformat}', "");
Expect(1, 8237, '\P{Bidi_Class=popdirectionalformat}', "");
Expect(0, 8237, '\P{^Bidi_Class=popdirectionalformat}', "");
Expect(1, 8236, '\p{Bidi_Class=	_Pop_Directional_format}', "");
Expect(0, 8236, '\p{^Bidi_Class=	_Pop_Directional_format}', "");
Expect(0, 8236, '\P{Bidi_Class=	_Pop_Directional_format}', "");
Expect(1, 8236, '\P{^Bidi_Class=	_Pop_Directional_format}', "");
Expect(0, 8237, '\p{Bidi_Class=	_Pop_Directional_format}', "");
Expect(1, 8237, '\p{^Bidi_Class=	_Pop_Directional_format}', "");
Expect(1, 8237, '\P{Bidi_Class=	_Pop_Directional_format}', "");
Expect(0, 8237, '\P{^Bidi_Class=	_Pop_Directional_format}', "");
Error('\p{Bc=:=PDF}');
Error('\P{Bc=:=PDF}');
Expect(1, 8236, '\p{Bc=pdf}', "");
Expect(0, 8236, '\p{^Bc=pdf}', "");
Expect(0, 8236, '\P{Bc=pdf}', "");
Expect(1, 8236, '\P{^Bc=pdf}', "");
Expect(0, 8237, '\p{Bc=pdf}', "");
Expect(1, 8237, '\p{^Bc=pdf}', "");
Expect(1, 8237, '\P{Bc=pdf}', "");
Expect(0, 8237, '\P{^Bc=pdf}', "");
Expect(1, 8236, '\p{Bc=_PDF}', "");
Expect(0, 8236, '\p{^Bc=_PDF}', "");
Expect(0, 8236, '\P{Bc=_PDF}', "");
Expect(1, 8236, '\P{^Bc=_PDF}', "");
Expect(0, 8237, '\p{Bc=_PDF}', "");
Expect(1, 8237, '\p{^Bc=_PDF}', "");
Expect(1, 8237, '\P{Bc=_PDF}', "");
Expect(0, 8237, '\P{^Bc=_PDF}', "");
Error('\p{Is_Bidi_Class=_	POP_Directional_format:=}');
Error('\P{Is_Bidi_Class=_	POP_Directional_format:=}');
Expect(1, 8236, '\p{Is_Bidi_Class=popdirectionalformat}', "");
Expect(0, 8236, '\p{^Is_Bidi_Class=popdirectionalformat}', "");
Expect(0, 8236, '\P{Is_Bidi_Class=popdirectionalformat}', "");
Expect(1, 8236, '\P{^Is_Bidi_Class=popdirectionalformat}', "");
Expect(0, 8237, '\p{Is_Bidi_Class=popdirectionalformat}', "");
Expect(1, 8237, '\p{^Is_Bidi_Class=popdirectionalformat}', "");
Expect(1, 8237, '\P{Is_Bidi_Class=popdirectionalformat}', "");
Expect(0, 8237, '\P{^Is_Bidi_Class=popdirectionalformat}', "");
Expect(1, 8236, '\p{Is_Bidi_Class:   _	Pop_DIRECTIONAL_format}', "");
Expect(0, 8236, '\p{^Is_Bidi_Class:   _	Pop_DIRECTIONAL_format}', "");
Expect(0, 8236, '\P{Is_Bidi_Class:   _	Pop_DIRECTIONAL_format}', "");
Expect(1, 8236, '\P{^Is_Bidi_Class:   _	Pop_DIRECTIONAL_format}', "");
Expect(0, 8237, '\p{Is_Bidi_Class:   _	Pop_DIRECTIONAL_format}', "");
Expect(1, 8237, '\p{^Is_Bidi_Class:   _	Pop_DIRECTIONAL_format}', "");
Expect(1, 8237, '\P{Is_Bidi_Class:   _	Pop_DIRECTIONAL_format}', "");
Expect(0, 8237, '\P{^Is_Bidi_Class:   _	Pop_DIRECTIONAL_format}', "");
Error('\p{Is_Bc=:=  pdf}');
Error('\P{Is_Bc=:=  pdf}');
Expect(1, 8236, '\p{Is_Bc=pdf}', "");
Expect(0, 8236, '\p{^Is_Bc=pdf}', "");
Expect(0, 8236, '\P{Is_Bc=pdf}', "");
Expect(1, 8236, '\P{^Is_Bc=pdf}', "");
Expect(0, 8237, '\p{Is_Bc=pdf}', "");
Expect(1, 8237, '\p{^Is_Bc=pdf}', "");
Expect(1, 8237, '\P{Is_Bc=pdf}', "");
Expect(0, 8237, '\P{^Is_Bc=pdf}', "");
Expect(1, 8236, '\p{Is_Bc=	PDF}', "");
Expect(0, 8236, '\p{^Is_Bc=	PDF}', "");
Expect(0, 8236, '\P{Is_Bc=	PDF}', "");
Expect(1, 8236, '\P{^Is_Bc=	PDF}', "");
Expect(0, 8237, '\p{Is_Bc=	PDF}', "");
Expect(1, 8237, '\p{^Is_Bc=	PDF}', "");
Expect(1, 8237, '\P{Is_Bc=	PDF}', "");
Expect(0, 8237, '\P{^Is_Bc=	PDF}', "");
Error('\p{Bidi_Class=/a/- POP_DIRECTIONAL_ISOLATE}');
Error('\P{Bidi_Class=/a/- POP_DIRECTIONAL_ISOLATE}');
Expect(1, 8297, '\p{Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8297, '\p{^Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8297, '\P{Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8297, '\P{^Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8298, '\p{Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8298, '\p{^Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8298, '\P{Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8298, '\P{^Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8297, '\p{Bidi_Class= POP_DIRECTIONAL_ISOLATE}', "");
Expect(0, 8297, '\p{^Bidi_Class= POP_DIRECTIONAL_ISOLATE}', "");
Expect(0, 8297, '\P{Bidi_Class= POP_DIRECTIONAL_ISOLATE}', "");
Expect(1, 8297, '\P{^Bidi_Class= POP_DIRECTIONAL_ISOLATE}', "");
Expect(0, 8298, '\p{Bidi_Class= POP_DIRECTIONAL_ISOLATE}', "");
Expect(1, 8298, '\p{^Bidi_Class= POP_DIRECTIONAL_ISOLATE}', "");
Expect(1, 8298, '\P{Bidi_Class= POP_DIRECTIONAL_ISOLATE}', "");
Expect(0, 8298, '\P{^Bidi_Class= POP_DIRECTIONAL_ISOLATE}', "");
Error('\p{Bc=	PDI/a/}');
Error('\P{Bc=	PDI/a/}');
Expect(1, 8297, '\p{Bc=pdi}', "");
Expect(0, 8297, '\p{^Bc=pdi}', "");
Expect(0, 8297, '\P{Bc=pdi}', "");
Expect(1, 8297, '\P{^Bc=pdi}', "");
Expect(0, 8298, '\p{Bc=pdi}', "");
Expect(1, 8298, '\p{^Bc=pdi}', "");
Expect(1, 8298, '\P{Bc=pdi}', "");
Expect(0, 8298, '\P{^Bc=pdi}', "");
Expect(1, 8297, '\p{Bc=-_PDI}', "");
Expect(0, 8297, '\p{^Bc=-_PDI}', "");
Expect(0, 8297, '\P{Bc=-_PDI}', "");
Expect(1, 8297, '\P{^Bc=-_PDI}', "");
Expect(0, 8298, '\p{Bc=-_PDI}', "");
Expect(1, 8298, '\p{^Bc=-_PDI}', "");
Expect(1, 8298, '\P{Bc=-_PDI}', "");
Expect(0, 8298, '\P{^Bc=-_PDI}', "");
Error('\p{Is_Bidi_Class=:=__POP_directional_Isolate}');
Error('\P{Is_Bidi_Class=:=__POP_directional_Isolate}');
Expect(1, 8297, '\p{Is_Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8297, '\p{^Is_Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8297, '\P{Is_Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8297, '\P{^Is_Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8298, '\p{Is_Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8298, '\p{^Is_Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8298, '\P{Is_Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8298, '\P{^Is_Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8297, '\p{Is_Bidi_Class:pop_Directional_Isolate}', "");
Expect(0, 8297, '\p{^Is_Bidi_Class:pop_Directional_Isolate}', "");
Expect(0, 8297, '\P{Is_Bidi_Class:pop_Directional_Isolate}', "");
Expect(1, 8297, '\P{^Is_Bidi_Class:pop_Directional_Isolate}', "");
Expect(0, 8298, '\p{Is_Bidi_Class:pop_Directional_Isolate}', "");
Expect(1, 8298, '\p{^Is_Bidi_Class:pop_Directional_Isolate}', "");
Expect(1, 8298, '\P{Is_Bidi_Class:pop_Directional_Isolate}', "");
Expect(0, 8298, '\P{^Is_Bidi_Class:pop_Directional_Isolate}', "");
Error('\p{Is_Bc=-	PDI/a/}');
Error('\P{Is_Bc=-	PDI/a/}');
Expect(1, 8297, '\p{Is_Bc=pdi}', "");
Expect(0, 8297, '\p{^Is_Bc=pdi}', "");
Expect(0, 8297, '\P{Is_Bc=pdi}', "");
Expect(1, 8297, '\P{^Is_Bc=pdi}', "");
Expect(0, 8298, '\p{Is_Bc=pdi}', "");
Expect(1, 8298, '\p{^Is_Bc=pdi}', "");
Expect(1, 8298, '\P{Is_Bc=pdi}', "");
Expect(0, 8298, '\P{^Is_Bc=pdi}', "");
Expect(1, 8297, '\p{Is_Bc=_-PDI}', "");
Expect(0, 8297, '\p{^Is_Bc=_-PDI}', "");
Expect(0, 8297, '\P{Is_Bc=_-PDI}', "");
Expect(1, 8297, '\P{^Is_Bc=_-PDI}', "");
Expect(0, 8298, '\p{Is_Bc=_-PDI}', "");
Expect(1, 8298, '\p{^Is_Bc=_-PDI}', "");
Expect(1, 8298, '\P{Is_Bc=_-PDI}', "");
Expect(0, 8298, '\P{^Is_Bc=_-PDI}', "");
Error('\p{Bidi_Class=:=-_Right_To_left}');
Error('\P{Bidi_Class=:=-_Right_To_left}');
Expect(1, 126975, '\p{Bidi_Class=righttoleft}', "");
Expect(0, 126975, '\p{^Bidi_Class=righttoleft}', "");
Expect(0, 126975, '\P{Bidi_Class=righttoleft}', "");
Expect(1, 126975, '\P{^Bidi_Class=righttoleft}', "");
Expect(0, 126976, '\p{Bidi_Class=righttoleft}', "");
Expect(1, 126976, '\p{^Bidi_Class=righttoleft}', "");
Expect(1, 126976, '\P{Bidi_Class=righttoleft}', "");
Expect(0, 126976, '\P{^Bidi_Class=righttoleft}', "");
Expect(1, 126975, '\p{Bidi_Class=-right_to_Left}', "");
Expect(0, 126975, '\p{^Bidi_Class=-right_to_Left}', "");
Expect(0, 126975, '\P{Bidi_Class=-right_to_Left}', "");
Expect(1, 126975, '\P{^Bidi_Class=-right_to_Left}', "");
Expect(0, 126976, '\p{Bidi_Class=-right_to_Left}', "");
Expect(1, 126976, '\p{^Bidi_Class=-right_to_Left}', "");
Expect(1, 126976, '\P{Bidi_Class=-right_to_Left}', "");
Expect(0, 126976, '\P{^Bidi_Class=-right_to_Left}', "");
Error('\p{Bc=	:=R}');
Error('\P{Bc=	:=R}');
Expect(1, 126975, '\p{Bc=r}', "");
Expect(0, 126975, '\p{^Bc=r}', "");
Expect(0, 126975, '\P{Bc=r}', "");
Expect(1, 126975, '\P{^Bc=r}', "");
Expect(0, 126976, '\p{Bc=r}', "");
Expect(1, 126976, '\p{^Bc=r}', "");
Expect(1, 126976, '\P{Bc=r}', "");
Expect(0, 126976, '\P{^Bc=r}', "");
Expect(1, 126975, '\p{Bc:   _-R}', "");
Expect(0, 126975, '\p{^Bc:   _-R}', "");
Expect(0, 126975, '\P{Bc:   _-R}', "");
Expect(1, 126975, '\P{^Bc:   _-R}', "");
Expect(0, 126976, '\p{Bc:   _-R}', "");
Expect(1, 126976, '\p{^Bc:   _-R}', "");
Expect(1, 126976, '\P{Bc:   _-R}', "");
Expect(0, 126976, '\P{^Bc:   _-R}', "");
Error('\p{Is_Bidi_Class=	_Right_to_Left/a/}');
Error('\P{Is_Bidi_Class=	_Right_to_Left/a/}');
Expect(1, 126975, '\p{Is_Bidi_Class=righttoleft}', "");
Expect(0, 126975, '\p{^Is_Bidi_Class=righttoleft}', "");
Expect(0, 126975, '\P{Is_Bidi_Class=righttoleft}', "");
Expect(1, 126975, '\P{^Is_Bidi_Class=righttoleft}', "");
Expect(0, 126976, '\p{Is_Bidi_Class=righttoleft}', "");
Expect(1, 126976, '\p{^Is_Bidi_Class=righttoleft}', "");
Expect(1, 126976, '\P{Is_Bidi_Class=righttoleft}', "");
Expect(0, 126976, '\P{^Is_Bidi_Class=righttoleft}', "");
Expect(1, 126975, '\p{Is_Bidi_Class=-right_To_LEFT}', "");
Expect(0, 126975, '\p{^Is_Bidi_Class=-right_To_LEFT}', "");
Expect(0, 126975, '\P{Is_Bidi_Class=-right_To_LEFT}', "");
Expect(1, 126975, '\P{^Is_Bidi_Class=-right_To_LEFT}', "");
Expect(0, 126976, '\p{Is_Bidi_Class=-right_To_LEFT}', "");
Expect(1, 126976, '\p{^Is_Bidi_Class=-right_To_LEFT}', "");
Expect(1, 126976, '\P{Is_Bidi_Class=-right_To_LEFT}', "");
Expect(0, 126976, '\P{^Is_Bidi_Class=-right_To_LEFT}', "");
Error('\p{Is_Bc=-:=R}');
Error('\P{Is_Bc=-:=R}');
Expect(1, 126975, '\p{Is_Bc=r}', "");
Expect(0, 126975, '\p{^Is_Bc=r}', "");
Expect(0, 126975, '\P{Is_Bc=r}', "");
Expect(1, 126975, '\P{^Is_Bc=r}', "");
Expect(0, 126976, '\p{Is_Bc=r}', "");
Expect(1, 126976, '\p{^Is_Bc=r}', "");
Expect(1, 126976, '\P{Is_Bc=r}', "");
Expect(0, 126976, '\P{^Is_Bc=r}', "");
Expect(1, 126975, '\p{Is_Bc:	 _R}', "");
Expect(0, 126975, '\p{^Is_Bc:	 _R}', "");
Expect(0, 126975, '\P{Is_Bc:	 _R}', "");
Expect(1, 126975, '\P{^Is_Bc:	 _R}', "");
Expect(0, 126976, '\p{Is_Bc:	 _R}', "");
Expect(1, 126976, '\p{^Is_Bc:	 _R}', "");
Expect(1, 126976, '\P{Is_Bc:	 _R}', "");
Expect(0, 126976, '\P{^Is_Bc:	 _R}', "");
Error('\p{Bidi_Class=-/a/right_to_LEFT_Embedding}');
Error('\P{Bidi_Class=-/a/right_to_LEFT_Embedding}');
Expect(1, 8235, '\p{Bidi_Class=righttoleftembedding}', "");
Expect(0, 8235, '\p{^Bidi_Class=righttoleftembedding}', "");
Expect(0, 8235, '\P{Bidi_Class=righttoleftembedding}', "");
Expect(1, 8235, '\P{^Bidi_Class=righttoleftembedding}', "");
Expect(0, 8236, '\p{Bidi_Class=righttoleftembedding}', "");
Expect(1, 8236, '\p{^Bidi_Class=righttoleftembedding}', "");
Expect(1, 8236, '\P{Bidi_Class=righttoleftembedding}', "");
Expect(0, 8236, '\P{^Bidi_Class=righttoleftembedding}', "");
Expect(1, 8235, '\p{Bidi_Class=	Right_TO_LEFT_embedding}', "");
Expect(0, 8235, '\p{^Bidi_Class=	Right_TO_LEFT_embedding}', "");
Expect(0, 8235, '\P{Bidi_Class=	Right_TO_LEFT_embedding}', "");
Expect(1, 8235, '\P{^Bidi_Class=	Right_TO_LEFT_embedding}', "");
Expect(0, 8236, '\p{Bidi_Class=	Right_TO_LEFT_embedding}', "");
Expect(1, 8236, '\p{^Bidi_Class=	Right_TO_LEFT_embedding}', "");
Expect(1, 8236, '\P{Bidi_Class=	Right_TO_LEFT_embedding}', "");
Expect(0, 8236, '\P{^Bidi_Class=	Right_TO_LEFT_embedding}', "");
Error('\p{Bc: _-RLE:=}');
Error('\P{Bc: _-RLE:=}');
Expect(1, 8235, '\p{Bc=rle}', "");
Expect(0, 8235, '\p{^Bc=rle}', "");
Expect(0, 8235, '\P{Bc=rle}', "");
Expect(1, 8235, '\P{^Bc=rle}', "");
Expect(0, 8236, '\p{Bc=rle}', "");
Expect(1, 8236, '\p{^Bc=rle}', "");
Expect(1, 8236, '\P{Bc=rle}', "");
Expect(0, 8236, '\P{^Bc=rle}', "");
Expect(1, 8235, '\p{Bc=-	RLE}', "");
Expect(0, 8235, '\p{^Bc=-	RLE}', "");
Expect(0, 8235, '\P{Bc=-	RLE}', "");
Expect(1, 8235, '\P{^Bc=-	RLE}', "");
Expect(0, 8236, '\p{Bc=-	RLE}', "");
Expect(1, 8236, '\p{^Bc=-	RLE}', "");
Expect(1, 8236, '\P{Bc=-	RLE}', "");
Expect(0, 8236, '\P{^Bc=-	RLE}', "");
Error('\p{Is_Bidi_Class=/a/ Right_to_Left_embedding}');
Error('\P{Is_Bidi_Class=/a/ Right_to_Left_embedding}');
Expect(1, 8235, '\p{Is_Bidi_Class: righttoleftembedding}', "");
Expect(0, 8235, '\p{^Is_Bidi_Class: righttoleftembedding}', "");
Expect(0, 8235, '\P{Is_Bidi_Class: righttoleftembedding}', "");
Expect(1, 8235, '\P{^Is_Bidi_Class: righttoleftembedding}', "");
Expect(0, 8236, '\p{Is_Bidi_Class: righttoleftembedding}', "");
Expect(1, 8236, '\p{^Is_Bidi_Class: righttoleftembedding}', "");
Expect(1, 8236, '\P{Is_Bidi_Class: righttoleftembedding}', "");
Expect(0, 8236, '\P{^Is_Bidi_Class: righttoleftembedding}', "");
Expect(1, 8235, '\p{Is_Bidi_Class=--right_To_left_Embedding}', "");
Expect(0, 8235, '\p{^Is_Bidi_Class=--right_To_left_Embedding}', "");
Expect(0, 8235, '\P{Is_Bidi_Class=--right_To_left_Embedding}', "");
Expect(1, 8235, '\P{^Is_Bidi_Class=--right_To_left_Embedding}', "");
Expect(0, 8236, '\p{Is_Bidi_Class=--right_To_left_Embedding}', "");
Expect(1, 8236, '\p{^Is_Bidi_Class=--right_To_left_Embedding}', "");
Expect(1, 8236, '\P{Is_Bidi_Class=--right_To_left_Embedding}', "");
Expect(0, 8236, '\P{^Is_Bidi_Class=--right_To_left_Embedding}', "");
Error('\p{Is_Bc=:=	RLE}');
Error('\P{Is_Bc=:=	RLE}');
Expect(1, 8235, '\p{Is_Bc=rle}', "");
Expect(0, 8235, '\p{^Is_Bc=rle}', "");
Expect(0, 8235, '\P{Is_Bc=rle}', "");
Expect(1, 8235, '\P{^Is_Bc=rle}', "");
Expect(0, 8236, '\p{Is_Bc=rle}', "");
Expect(1, 8236, '\p{^Is_Bc=rle}', "");
Expect(1, 8236, '\P{Is_Bc=rle}', "");
Expect(0, 8236, '\P{^Is_Bc=rle}', "");
Expect(1, 8235, '\p{Is_Bc= _RLE}', "");
Expect(0, 8235, '\p{^Is_Bc= _RLE}', "");
Expect(0, 8235, '\P{Is_Bc= _RLE}', "");
Expect(1, 8235, '\P{^Is_Bc= _RLE}', "");
Expect(0, 8236, '\p{Is_Bc= _RLE}', "");
Expect(1, 8236, '\p{^Is_Bc= _RLE}', "");
Expect(1, 8236, '\P{Is_Bc= _RLE}', "");
Expect(0, 8236, '\P{^Is_Bc= _RLE}', "");
Error('\p{Bidi_Class:   -	right_to_left_Isolate/a/}');
Error('\P{Bidi_Class:   -	right_to_left_Isolate/a/}');
Expect(1, 8295, '\p{Bidi_Class=righttoleftisolate}', "");
Expect(0, 8295, '\p{^Bidi_Class=righttoleftisolate}', "");
Expect(0, 8295, '\P{Bidi_Class=righttoleftisolate}', "");
Expect(1, 8295, '\P{^Bidi_Class=righttoleftisolate}', "");
Expect(0, 8296, '\p{Bidi_Class=righttoleftisolate}', "");
Expect(1, 8296, '\p{^Bidi_Class=righttoleftisolate}', "");
Expect(1, 8296, '\P{Bidi_Class=righttoleftisolate}', "");
Expect(0, 8296, '\P{^Bidi_Class=righttoleftisolate}', "");
Expect(1, 8295, '\p{Bidi_Class=--Right_To_LEFT_isolate}', "");
Expect(0, 8295, '\p{^Bidi_Class=--Right_To_LEFT_isolate}', "");
Expect(0, 8295, '\P{Bidi_Class=--Right_To_LEFT_isolate}', "");
Expect(1, 8295, '\P{^Bidi_Class=--Right_To_LEFT_isolate}', "");
Expect(0, 8296, '\p{Bidi_Class=--Right_To_LEFT_isolate}', "");
Expect(1, 8296, '\p{^Bidi_Class=--Right_To_LEFT_isolate}', "");
Expect(1, 8296, '\P{Bidi_Class=--Right_To_LEFT_isolate}', "");
Expect(0, 8296, '\P{^Bidi_Class=--Right_To_LEFT_isolate}', "");
Error('\p{Bc=-/a/RLI}');
Error('\P{Bc=-/a/RLI}');
Expect(1, 8295, '\p{Bc=rli}', "");
Expect(0, 8295, '\p{^Bc=rli}', "");
Expect(0, 8295, '\P{Bc=rli}', "");
Expect(1, 8295, '\P{^Bc=rli}', "");
Expect(0, 8296, '\p{Bc=rli}', "");
Expect(1, 8296, '\p{^Bc=rli}', "");
Expect(1, 8296, '\P{Bc=rli}', "");
Expect(0, 8296, '\P{^Bc=rli}', "");
Expect(1, 8295, '\p{Bc=--RLI}', "");
Expect(0, 8295, '\p{^Bc=--RLI}', "");
Expect(0, 8295, '\P{Bc=--RLI}', "");
Expect(1, 8295, '\P{^Bc=--RLI}', "");
Expect(0, 8296, '\p{Bc=--RLI}', "");
Expect(1, 8296, '\p{^Bc=--RLI}', "");
Expect(1, 8296, '\P{Bc=--RLI}', "");
Expect(0, 8296, '\P{^Bc=--RLI}', "");
Error('\p{Is_Bidi_Class:  :=right_To_left_isolate}');
Error('\P{Is_Bidi_Class:  :=right_To_left_isolate}');
Expect(1, 8295, '\p{Is_Bidi_Class=righttoleftisolate}', "");
Expect(0, 8295, '\p{^Is_Bidi_Class=righttoleftisolate}', "");
Expect(0, 8295, '\P{Is_Bidi_Class=righttoleftisolate}', "");
Expect(1, 8295, '\P{^Is_Bidi_Class=righttoleftisolate}', "");
Expect(0, 8296, '\p{Is_Bidi_Class=righttoleftisolate}', "");
Expect(1, 8296, '\p{^Is_Bidi_Class=righttoleftisolate}', "");
Expect(1, 8296, '\P{Is_Bidi_Class=righttoleftisolate}', "");
Expect(0, 8296, '\P{^Is_Bidi_Class=righttoleftisolate}', "");
Expect(1, 8295, '\p{Is_Bidi_Class= -right_To_left_ISOLATE}', "");
Expect(0, 8295, '\p{^Is_Bidi_Class= -right_To_left_ISOLATE}', "");
Expect(0, 8295, '\P{Is_Bidi_Class= -right_To_left_ISOLATE}', "");
Expect(1, 8295, '\P{^Is_Bidi_Class= -right_To_left_ISOLATE}', "");
Expect(0, 8296, '\p{Is_Bidi_Class= -right_To_left_ISOLATE}', "");
Expect(1, 8296, '\p{^Is_Bidi_Class= -right_To_left_ISOLATE}', "");
Expect(1, 8296, '\P{Is_Bidi_Class= -right_To_left_ISOLATE}', "");
Expect(0, 8296, '\P{^Is_Bidi_Class= -right_To_left_ISOLATE}', "");
Error('\p{Is_Bc=	RLI:=}');
Error('\P{Is_Bc=	RLI:=}');
Expect(1, 8295, '\p{Is_Bc: rli}', "");
Expect(0, 8295, '\p{^Is_Bc: rli}', "");
Expect(0, 8295, '\P{Is_Bc: rli}', "");
Expect(1, 8295, '\P{^Is_Bc: rli}', "");
Expect(0, 8296, '\p{Is_Bc: rli}', "");
Expect(1, 8296, '\p{^Is_Bc: rli}', "");
Expect(1, 8296, '\P{Is_Bc: rli}', "");
Expect(0, 8296, '\P{^Is_Bc: rli}', "");
Expect(1, 8295, '\p{Is_Bc=	RLI}', "");
Expect(0, 8295, '\p{^Is_Bc=	RLI}', "");
Expect(0, 8295, '\P{Is_Bc=	RLI}', "");
Expect(1, 8295, '\P{^Is_Bc=	RLI}', "");
Expect(0, 8296, '\p{Is_Bc=	RLI}', "");
Expect(1, 8296, '\p{^Is_Bc=	RLI}', "");
Expect(1, 8296, '\P{Is_Bc=	RLI}', "");
Expect(0, 8296, '\P{^Is_Bc=	RLI}', "");
Error('\p{Bidi_Class=:=-Right_to_Left_OVERRIDE}');
Error('\P{Bidi_Class=:=-Right_to_Left_OVERRIDE}');
Expect(1, 8238, '\p{Bidi_Class=righttoleftoverride}', "");
Expect(0, 8238, '\p{^Bidi_Class=righttoleftoverride}', "");
Expect(0, 8238, '\P{Bidi_Class=righttoleftoverride}', "");
Expect(1, 8238, '\P{^Bidi_Class=righttoleftoverride}', "");
Expect(0, 8239, '\p{Bidi_Class=righttoleftoverride}', "");
Expect(1, 8239, '\p{^Bidi_Class=righttoleftoverride}', "");
Expect(1, 8239, '\P{Bidi_Class=righttoleftoverride}', "");
Expect(0, 8239, '\P{^Bidi_Class=righttoleftoverride}', "");
Expect(1, 8238, '\p{Bidi_Class=--Right_To_Left_override}', "");
Expect(0, 8238, '\p{^Bidi_Class=--Right_To_Left_override}', "");
Expect(0, 8238, '\P{Bidi_Class=--Right_To_Left_override}', "");
Expect(1, 8238, '\P{^Bidi_Class=--Right_To_Left_override}', "");
Expect(0, 8239, '\p{Bidi_Class=--Right_To_Left_override}', "");
Expect(1, 8239, '\p{^Bidi_Class=--Right_To_Left_override}', "");
Expect(1, 8239, '\P{Bidi_Class=--Right_To_Left_override}', "");
Expect(0, 8239, '\P{^Bidi_Class=--Right_To_Left_override}', "");
Error('\p{Bc=	RLO:=}');
Error('\P{Bc=	RLO:=}');
Expect(1, 8238, '\p{Bc=rlo}', "");
Expect(0, 8238, '\p{^Bc=rlo}', "");
Expect(0, 8238, '\P{Bc=rlo}', "");
Expect(1, 8238, '\P{^Bc=rlo}', "");
Expect(0, 8239, '\p{Bc=rlo}', "");
Expect(1, 8239, '\p{^Bc=rlo}', "");
Expect(1, 8239, '\P{Bc=rlo}', "");
Expect(0, 8239, '\P{^Bc=rlo}', "");
Expect(1, 8238, '\p{Bc=_ RLO}', "");
Expect(0, 8238, '\p{^Bc=_ RLO}', "");
Expect(0, 8238, '\P{Bc=_ RLO}', "");
Expect(1, 8238, '\P{^Bc=_ RLO}', "");
Expect(0, 8239, '\p{Bc=_ RLO}', "");
Expect(1, 8239, '\p{^Bc=_ RLO}', "");
Expect(1, 8239, '\P{Bc=_ RLO}', "");
Expect(0, 8239, '\P{^Bc=_ RLO}', "");
Error('\p{Is_Bidi_Class=/a/	-RIGHT_TO_Left_Override}');
Error('\P{Is_Bidi_Class=/a/	-RIGHT_TO_Left_Override}');
Expect(1, 8238, '\p{Is_Bidi_Class=righttoleftoverride}', "");
Expect(0, 8238, '\p{^Is_Bidi_Class=righttoleftoverride}', "");
Expect(0, 8238, '\P{Is_Bidi_Class=righttoleftoverride}', "");
Expect(1, 8238, '\P{^Is_Bidi_Class=righttoleftoverride}', "");
Expect(0, 8239, '\p{Is_Bidi_Class=righttoleftoverride}', "");
Expect(1, 8239, '\p{^Is_Bidi_Class=righttoleftoverride}', "");
Expect(1, 8239, '\P{Is_Bidi_Class=righttoleftoverride}', "");
Expect(0, 8239, '\P{^Is_Bidi_Class=righttoleftoverride}', "");
Expect(1, 8238, '\p{Is_Bidi_Class= Right_TO_Left_override}', "");
Expect(0, 8238, '\p{^Is_Bidi_Class= Right_TO_Left_override}', "");
Expect(0, 8238, '\P{Is_Bidi_Class= Right_TO_Left_override}', "");
Expect(1, 8238, '\P{^Is_Bidi_Class= Right_TO_Left_override}', "");
Expect(0, 8239, '\p{Is_Bidi_Class= Right_TO_Left_override}', "");
Expect(1, 8239, '\p{^Is_Bidi_Class= Right_TO_Left_override}', "");
Expect(1, 8239, '\P{Is_Bidi_Class= Right_TO_Left_override}', "");
Expect(0, 8239, '\P{^Is_Bidi_Class= Right_TO_Left_override}', "");
Error('\p{Is_Bc:    /a/RLO}');
Error('\P{Is_Bc:    /a/RLO}');
Expect(1, 8238, '\p{Is_Bc=rlo}', "");
Expect(0, 8238, '\p{^Is_Bc=rlo}', "");
Expect(0, 8238, '\P{Is_Bc=rlo}', "");
Expect(1, 8238, '\P{^Is_Bc=rlo}', "");
Expect(0, 8239, '\p{Is_Bc=rlo}', "");
Expect(1, 8239, '\p{^Is_Bc=rlo}', "");
Expect(1, 8239, '\P{Is_Bc=rlo}', "");
Expect(0, 8239, '\P{^Is_Bc=rlo}', "");
Expect(1, 8238, '\p{Is_Bc=- rlo}', "");
Expect(0, 8238, '\p{^Is_Bc=- rlo}', "");
Expect(0, 8238, '\P{Is_Bc=- rlo}', "");
Expect(1, 8238, '\P{^Is_Bc=- rlo}', "");
Expect(0, 8239, '\p{Is_Bc=- rlo}', "");
Expect(1, 8239, '\p{^Is_Bc=- rlo}', "");
Expect(1, 8239, '\P{Is_Bc=- rlo}', "");
Expect(0, 8239, '\P{^Is_Bc=- rlo}', "");
Error('\p{Bidi_Class=:= Segment_separator}');
Error('\P{Bidi_Class=:= Segment_separator}');
Expect(1, 31, '\p{Bidi_Class=segmentseparator}', "");
Expect(0, 31, '\p{^Bidi_Class=segmentseparator}', "");
Expect(0, 31, '\P{Bidi_Class=segmentseparator}', "");
Expect(1, 31, '\P{^Bidi_Class=segmentseparator}', "");
Expect(0, 32, '\p{Bidi_Class=segmentseparator}', "");
Expect(1, 32, '\p{^Bidi_Class=segmentseparator}', "");
Expect(1, 32, '\P{Bidi_Class=segmentseparator}', "");
Expect(0, 32, '\P{^Bidi_Class=segmentseparator}', "");
Expect(1, 31, '\p{Bidi_Class=		Segment_Separator}', "");
Expect(0, 31, '\p{^Bidi_Class=		Segment_Separator}', "");
Expect(0, 31, '\P{Bidi_Class=		Segment_Separator}', "");
Expect(1, 31, '\P{^Bidi_Class=		Segment_Separator}', "");
Expect(0, 32, '\p{Bidi_Class=		Segment_Separator}', "");
Expect(1, 32, '\p{^Bidi_Class=		Segment_Separator}', "");
Expect(1, 32, '\P{Bidi_Class=		Segment_Separator}', "");
Expect(0, 32, '\P{^Bidi_Class=		Segment_Separator}', "");
Error('\p{Bc=- S:=}');
Error('\P{Bc=- S:=}');
Expect(1, 31, '\p{Bc=s}', "");
Expect(0, 31, '\p{^Bc=s}', "");
Expect(0, 31, '\P{Bc=s}', "");
Expect(1, 31, '\P{^Bc=s}', "");
Expect(0, 32, '\p{Bc=s}', "");
Expect(1, 32, '\p{^Bc=s}', "");
Expect(1, 32, '\P{Bc=s}', "");
Expect(0, 32, '\P{^Bc=s}', "");
Expect(1, 31, '\p{Bc=_S}', "");
Expect(0, 31, '\p{^Bc=_S}', "");
Expect(0, 31, '\P{Bc=_S}', "");
Expect(1, 31, '\P{^Bc=_S}', "");
Expect(0, 32, '\p{Bc=_S}', "");
Expect(1, 32, '\p{^Bc=_S}', "");
Expect(1, 32, '\P{Bc=_S}', "");
Expect(0, 32, '\P{^Bc=_S}', "");
Error('\p{Is_Bidi_Class:/a/	segment_separator}');
Error('\P{Is_Bidi_Class:/a/	segment_separator}');
Expect(1, 31, '\p{Is_Bidi_Class=segmentseparator}', "");
Expect(0, 31, '\p{^Is_Bidi_Class=segmentseparator}', "");
Expect(0, 31, '\P{Is_Bidi_Class=segmentseparator}', "");
Expect(1, 31, '\P{^Is_Bidi_Class=segmentseparator}', "");
Expect(0, 32, '\p{Is_Bidi_Class=segmentseparator}', "");
Expect(1, 32, '\p{^Is_Bidi_Class=segmentseparator}', "");
Expect(1, 32, '\P{Is_Bidi_Class=segmentseparator}', "");
Expect(0, 32, '\P{^Is_Bidi_Class=segmentseparator}', "");
Expect(1, 31, '\p{Is_Bidi_Class=	segment_Separator}', "");
Expect(0, 31, '\p{^Is_Bidi_Class=	segment_Separator}', "");
Expect(0, 31, '\P{Is_Bidi_Class=	segment_Separator}', "");
Expect(1, 31, '\P{^Is_Bidi_Class=	segment_Separator}', "");
Expect(0, 32, '\p{Is_Bidi_Class=	segment_Separator}', "");
Expect(1, 32, '\p{^Is_Bidi_Class=	segment_Separator}', "");
Expect(1, 32, '\P{Is_Bidi_Class=	segment_Separator}', "");
Expect(0, 32, '\P{^Is_Bidi_Class=	segment_Separator}', "");
Error('\p{Is_Bc=_s/a/}');
Error('\P{Is_Bc=_s/a/}');
Expect(1, 31, '\p{Is_Bc=s}', "");
Expect(0, 31, '\p{^Is_Bc=s}', "");
Expect(0, 31, '\P{Is_Bc=s}', "");
Expect(1, 31, '\P{^Is_Bc=s}', "");
Expect(0, 32, '\p{Is_Bc=s}', "");
Expect(1, 32, '\p{^Is_Bc=s}', "");
Expect(1, 32, '\P{Is_Bc=s}', "");
Expect(0, 32, '\P{^Is_Bc=s}', "");
Expect(1, 31, '\p{Is_Bc=_-S}', "");
Expect(0, 31, '\p{^Is_Bc=_-S}', "");
Expect(0, 31, '\P{Is_Bc=_-S}', "");
Expect(1, 31, '\P{^Is_Bc=_-S}', "");
Expect(0, 32, '\p{Is_Bc=_-S}', "");
Expect(1, 32, '\p{^Is_Bc=_-S}', "");
Expect(1, 32, '\P{Is_Bc=_-S}', "");
Expect(0, 32, '\P{^Is_Bc=_-S}', "");
Error('\p{Bidi_Class= :=White_Space}');
Error('\P{Bidi_Class= :=White_Space}');
Expect(1, 12288, '\p{Bidi_Class=whitespace}', "");
Expect(0, 12288, '\p{^Bidi_Class=whitespace}', "");
Expect(0, 12288, '\P{Bidi_Class=whitespace}', "");
Expect(1, 12288, '\P{^Bidi_Class=whitespace}', "");
Expect(0, 12289, '\p{Bidi_Class=whitespace}', "");
Expect(1, 12289, '\p{^Bidi_Class=whitespace}', "");
Expect(1, 12289, '\P{Bidi_Class=whitespace}', "");
Expect(0, 12289, '\P{^Bidi_Class=whitespace}', "");
Expect(1, 12288, '\p{Bidi_Class= -White_Space}', "");
Expect(0, 12288, '\p{^Bidi_Class= -White_Space}', "");
Expect(0, 12288, '\P{Bidi_Class= -White_Space}', "");
Expect(1, 12288, '\P{^Bidi_Class= -White_Space}', "");
Expect(0, 12289, '\p{Bidi_Class= -White_Space}', "");
Expect(1, 12289, '\p{^Bidi_Class= -White_Space}', "");
Expect(1, 12289, '\P{Bidi_Class= -White_Space}', "");
Expect(0, 12289, '\P{^Bidi_Class= -White_Space}', "");
Error('\p{Bc=		WS:=}');
Error('\P{Bc=		WS:=}');
Expect(1, 12288, '\p{Bc=ws}', "");
Expect(0, 12288, '\p{^Bc=ws}', "");
Expect(0, 12288, '\P{Bc=ws}', "");
Expect(1, 12288, '\P{^Bc=ws}', "");
Expect(0, 12289, '\p{Bc=ws}', "");
Expect(1, 12289, '\p{^Bc=ws}', "");
Expect(1, 12289, '\P{Bc=ws}', "");
Expect(0, 12289, '\P{^Bc=ws}', "");
Expect(1, 12288, '\p{Bc= WS}', "");
Expect(0, 12288, '\p{^Bc= WS}', "");
Expect(0, 12288, '\P{Bc= WS}', "");
Expect(1, 12288, '\P{^Bc= WS}', "");
Expect(0, 12289, '\p{Bc= WS}', "");
Expect(1, 12289, '\p{^Bc= WS}', "");
Expect(1, 12289, '\P{Bc= WS}', "");
Expect(0, 12289, '\P{^Bc= WS}', "");
Error('\p{Is_Bidi_Class= 	WHITE_Space/a/}');
Error('\P{Is_Bidi_Class= 	WHITE_Space/a/}');
Expect(1, 12288, '\p{Is_Bidi_Class=whitespace}', "");
Expect(0, 12288, '\p{^Is_Bidi_Class=whitespace}', "");
Expect(0, 12288, '\P{Is_Bidi_Class=whitespace}', "");
Expect(1, 12288, '\P{^Is_Bidi_Class=whitespace}', "");
Expect(0, 12289, '\p{Is_Bidi_Class=whitespace}', "");
Expect(1, 12289, '\p{^Is_Bidi_Class=whitespace}', "");
Expect(1, 12289, '\P{Is_Bidi_Class=whitespace}', "");
Expect(0, 12289, '\P{^Is_Bidi_Class=whitespace}', "");
Expect(1, 12288, '\p{Is_Bidi_Class=_White_Space}', "");
Expect(0, 12288, '\p{^Is_Bidi_Class=_White_Space}', "");
Expect(0, 12288, '\P{Is_Bidi_Class=_White_Space}', "");
Expect(1, 12288, '\P{^Is_Bidi_Class=_White_Space}', "");
Expect(0, 12289, '\p{Is_Bidi_Class=_White_Space}', "");
Expect(1, 12289, '\p{^Is_Bidi_Class=_White_Space}', "");
Expect(1, 12289, '\P{Is_Bidi_Class=_White_Space}', "");
Expect(0, 12289, '\P{^Is_Bidi_Class=_White_Space}', "");
Error('\p{Is_Bc=_:=WS}');
Error('\P{Is_Bc=_:=WS}');
Expect(1, 12288, '\p{Is_Bc=ws}', "");
Expect(0, 12288, '\p{^Is_Bc=ws}', "");
Expect(0, 12288, '\P{Is_Bc=ws}', "");
Expect(1, 12288, '\P{^Is_Bc=ws}', "");
Expect(0, 12289, '\p{Is_Bc=ws}', "");
Expect(1, 12289, '\p{^Is_Bc=ws}', "");
Expect(1, 12289, '\P{Is_Bc=ws}', "");
Expect(0, 12289, '\P{^Is_Bc=ws}', "");
Expect(1, 12288, '\p{Is_Bc= 	WS}', "");
Expect(0, 12288, '\p{^Is_Bc= 	WS}', "");
Expect(0, 12288, '\P{Is_Bc= 	WS}', "");
Expect(1, 12288, '\P{^Is_Bc= 	WS}', "");
Expect(0, 12289, '\p{Is_Bc= 	WS}', "");
Expect(1, 12289, '\p{^Is_Bc= 	WS}', "");
Expect(1, 12289, '\P{Is_Bc= 	WS}', "");
Expect(0, 12289, '\P{^Is_Bc= 	WS}', "");
Error('\p{Block:_BASIC_latin/a/}');
Error('\P{Block:_BASIC_latin/a/}');
Expect(1, 127, '\p{Block:	basiclatin}', "");
Expect(0, 127, '\p{^Block:	basiclatin}', "");
Expect(0, 127, '\P{Block:	basiclatin}', "");
Expect(1, 127, '\P{^Block:	basiclatin}', "");
Expect(0, 128, '\p{Block:	basiclatin}', "");
Expect(1, 128, '\p{^Block:	basiclatin}', "");
Expect(1, 128, '\P{Block:	basiclatin}', "");
Expect(0, 128, '\P{^Block:	basiclatin}', "");
Expect(1, 127, '\p{Block= 	BASIC_Latin}', "");
Expect(0, 127, '\p{^Block= 	BASIC_Latin}', "");
Expect(0, 127, '\P{Block= 	BASIC_Latin}', "");
Expect(1, 127, '\P{^Block= 	BASIC_Latin}', "");
Expect(0, 128, '\p{Block= 	BASIC_Latin}', "");
Expect(1, 128, '\p{^Block= 	BASIC_Latin}', "");
Expect(1, 128, '\P{Block= 	BASIC_Latin}', "");
Expect(0, 128, '\P{^Block= 	BASIC_Latin}', "");
Error('\p{Blk=-	ascii:=}');
Error('\P{Blk=-	ascii:=}');
Expect(1, 127, '\p{Blk=ascii}', "");
Expect(0, 127, '\p{^Blk=ascii}', "");
Expect(0, 127, '\P{Blk=ascii}', "");
Expect(1, 127, '\P{^Blk=ascii}', "");
Expect(0, 128, '\p{Blk=ascii}', "");
Expect(1, 128, '\p{^Blk=ascii}', "");
Expect(1, 128, '\P{Blk=ascii}', "");
Expect(0, 128, '\P{^Blk=ascii}', "");
Expect(1, 127, '\p{Blk:   	ascii}', "");
Expect(0, 127, '\p{^Blk:   	ascii}', "");
Expect(0, 127, '\P{Blk:   	ascii}', "");
Expect(1, 127, '\P{^Blk:   	ascii}', "");
Expect(0, 128, '\p{Blk:   	ascii}', "");
Expect(1, 128, '\p{^Blk:   	ascii}', "");
Expect(1, 128, '\P{Blk:   	ascii}', "");
Expect(0, 128, '\P{^Blk:   	ascii}', "");
Error('\p{Is_Block:   :=	BASIC_Latin}');
Error('\P{Is_Block:   :=	BASIC_Latin}');
Expect(1, 127, '\p{Is_Block=basiclatin}', "");
Expect(0, 127, '\p{^Is_Block=basiclatin}', "");
Expect(0, 127, '\P{Is_Block=basiclatin}', "");
Expect(1, 127, '\P{^Is_Block=basiclatin}', "");
Expect(0, 128, '\p{Is_Block=basiclatin}', "");
Expect(1, 128, '\p{^Is_Block=basiclatin}', "");
Expect(1, 128, '\P{Is_Block=basiclatin}', "");
Expect(0, 128, '\P{^Is_Block=basiclatin}', "");
Expect(1, 127, '\p{Is_Block=	-BASIC_latin}', "");
Expect(0, 127, '\p{^Is_Block=	-BASIC_latin}', "");
Expect(0, 127, '\P{Is_Block=	-BASIC_latin}', "");
Expect(1, 127, '\P{^Is_Block=	-BASIC_latin}', "");
Expect(0, 128, '\p{Is_Block=	-BASIC_latin}', "");
Expect(1, 128, '\p{^Is_Block=	-BASIC_latin}', "");
Expect(1, 128, '\P{Is_Block=	-BASIC_latin}', "");
Expect(0, 128, '\P{^Is_Block=	-BASIC_latin}', "");
Error('\p{Is_Blk=	 ASCII:=}');
Error('\P{Is_Blk=	 ASCII:=}');
Expect(1, 127, '\p{Is_Blk=ascii}', "");
Expect(0, 127, '\p{^Is_Blk=ascii}', "");
Expect(0, 127, '\P{Is_Blk=ascii}', "");
Expect(1, 127, '\P{^Is_Blk=ascii}', "");
Expect(0, 128, '\p{Is_Blk=ascii}', "");
Expect(1, 128, '\p{^Is_Blk=ascii}', "");
Expect(1, 128, '\P{Is_Blk=ascii}', "");
Expect(0, 128, '\P{^Is_Blk=ascii}', "");
Expect(1, 127, '\p{Is_Blk=	ASCII}', "");
Expect(0, 127, '\p{^Is_Blk=	ASCII}', "");
Expect(0, 127, '\P{Is_Blk=	ASCII}', "");
Expect(1, 127, '\P{^Is_Blk=	ASCII}', "");
Expect(0, 128, '\p{Is_Blk=	ASCII}', "");
Expect(1, 128, '\p{^Is_Blk=	ASCII}', "");
Expect(1, 128, '\P{Is_Blk=	ASCII}', "");
Expect(0, 128, '\P{^Is_Blk=	ASCII}', "");
Error('\p{Block=:=-_Aegean_Numbers}');
Error('\P{Block=:=-_Aegean_Numbers}');
Expect(1, 65855, '\p{Block: aegeannumbers}', "");
Expect(0, 65855, '\p{^Block: aegeannumbers}', "");
Expect(0, 65855, '\P{Block: aegeannumbers}', "");
Expect(1, 65855, '\P{^Block: aegeannumbers}', "");
Expect(0, 65856, '\p{Block: aegeannumbers}', "");
Expect(1, 65856, '\p{^Block: aegeannumbers}', "");
Expect(1, 65856, '\P{Block: aegeannumbers}', "");
Expect(0, 65856, '\P{^Block: aegeannumbers}', "");
Expect(1, 65855, '\p{Block=_Aegean_NUMBERS}', "");
Expect(0, 65855, '\p{^Block=_Aegean_NUMBERS}', "");
Expect(0, 65855, '\P{Block=_Aegean_NUMBERS}', "");
Expect(1, 65855, '\P{^Block=_Aegean_NUMBERS}', "");
Expect(0, 65856, '\p{Block=_Aegean_NUMBERS}', "");
Expect(1, 65856, '\p{^Block=_Aegean_NUMBERS}', "");
Expect(1, 65856, '\P{Block=_Aegean_NUMBERS}', "");
Expect(0, 65856, '\P{^Block=_Aegean_NUMBERS}', "");
Error('\p{Blk=_:=Aegean_Numbers}');
Error('\P{Blk=_:=Aegean_Numbers}');
Expect(1, 65855, '\p{Blk=aegeannumbers}', "");
Expect(0, 65855, '\p{^Blk=aegeannumbers}', "");
Expect(0, 65855, '\P{Blk=aegeannumbers}', "");
Expect(1, 65855, '\P{^Blk=aegeannumbers}', "");
Expect(0, 65856, '\p{Blk=aegeannumbers}', "");
Expect(1, 65856, '\p{^Blk=aegeannumbers}', "");
Expect(1, 65856, '\P{Blk=aegeannumbers}', "");
Expect(0, 65856, '\P{^Blk=aegeannumbers}', "");
Expect(1, 65855, '\p{Blk=__Aegean_Numbers}', "");
Expect(0, 65855, '\p{^Blk=__Aegean_Numbers}', "");
Expect(0, 65855, '\P{Blk=__Aegean_Numbers}', "");
Expect(1, 65855, '\P{^Blk=__Aegean_Numbers}', "");
Expect(0, 65856, '\p{Blk=__Aegean_Numbers}', "");
Expect(1, 65856, '\p{^Blk=__Aegean_Numbers}', "");
Expect(1, 65856, '\P{Blk=__Aegean_Numbers}', "");
Expect(0, 65856, '\P{^Blk=__Aegean_Numbers}', "");
Error('\p{Is_Block=/a/ Aegean_Numbers}');
Error('\P{Is_Block=/a/ Aegean_Numbers}');
Expect(1, 65855, '\p{Is_Block=aegeannumbers}', "");
Expect(0, 65855, '\p{^Is_Block=aegeannumbers}', "");
Expect(0, 65855, '\P{Is_Block=aegeannumbers}', "");
Expect(1, 65855, '\P{^Is_Block=aegeannumbers}', "");
Expect(0, 65856, '\p{Is_Block=aegeannumbers}', "");
Expect(1, 65856, '\p{^Is_Block=aegeannumbers}', "");
Expect(1, 65856, '\P{Is_Block=aegeannumbers}', "");
Expect(0, 65856, '\P{^Is_Block=aegeannumbers}', "");
Expect(1, 65855, '\p{Is_Block=_	AEGEAN_NUMBERS}', "");
Expect(0, 65855, '\p{^Is_Block=_	AEGEAN_NUMBERS}', "");
Expect(0, 65855, '\P{Is_Block=_	AEGEAN_NUMBERS}', "");
Expect(1, 65855, '\P{^Is_Block=_	AEGEAN_NUMBERS}', "");
Expect(0, 65856, '\p{Is_Block=_	AEGEAN_NUMBERS}', "");
Expect(1, 65856, '\p{^Is_Block=_	AEGEAN_NUMBERS}', "");
Expect(1, 65856, '\P{Is_Block=_	AEGEAN_NUMBERS}', "");
Expect(0, 65856, '\P{^Is_Block=_	AEGEAN_NUMBERS}', "");
Error('\p{Is_Blk=	Aegean_Numbers:=}');
Error('\P{Is_Blk=	Aegean_Numbers:=}');
Expect(1, 65855, '\p{Is_Blk=aegeannumbers}', "");
Expect(0, 65855, '\p{^Is_Blk=aegeannumbers}', "");
Expect(0, 65855, '\P{Is_Blk=aegeannumbers}', "");
Expect(1, 65855, '\P{^Is_Blk=aegeannumbers}', "");
Expect(0, 65856, '\p{Is_Blk=aegeannumbers}', "");
Expect(1, 65856, '\p{^Is_Blk=aegeannumbers}', "");
Expect(1, 65856, '\P{Is_Blk=aegeannumbers}', "");
Expect(0, 65856, '\P{^Is_Blk=aegeannumbers}', "");
Expect(1, 65855, '\p{Is_Blk=-Aegean_NUMBERS}', "");
Expect(0, 65855, '\p{^Is_Blk=-Aegean_NUMBERS}', "");
Expect(0, 65855, '\P{Is_Blk=-Aegean_NUMBERS}', "");
Expect(1, 65855, '\P{^Is_Blk=-Aegean_NUMBERS}', "");
Expect(0, 65856, '\p{Is_Blk=-Aegean_NUMBERS}', "");
Expect(1, 65856, '\p{^Is_Blk=-Aegean_NUMBERS}', "");
Expect(1, 65856, '\P{Is_Blk=-Aegean_NUMBERS}', "");
Expect(0, 65856, '\P{^Is_Blk=-Aegean_NUMBERS}', "");
Error('\p{Block=/a/ALCHEMICAL_Symbols}');
Error('\P{Block=/a/ALCHEMICAL_Symbols}');
Expect(1, 128895, '\p{Block=alchemicalsymbols}', "");
Expect(0, 128895, '\p{^Block=alchemicalsymbols}', "");
Expect(0, 128895, '\P{Block=alchemicalsymbols}', "");
Expect(1, 128895, '\P{^Block=alchemicalsymbols}', "");
Expect(0, 128896, '\p{Block=alchemicalsymbols}', "");
Expect(1, 128896, '\p{^Block=alchemicalsymbols}', "");
Expect(1, 128896, '\P{Block=alchemicalsymbols}', "");
Expect(0, 128896, '\P{^Block=alchemicalsymbols}', "");
Expect(1, 128895, '\p{Block=_	alchemical_Symbols}', "");
Expect(0, 128895, '\p{^Block=_	alchemical_Symbols}', "");
Expect(0, 128895, '\P{Block=_	alchemical_Symbols}', "");
Expect(1, 128895, '\P{^Block=_	alchemical_Symbols}', "");
Expect(0, 128896, '\p{Block=_	alchemical_Symbols}', "");
Expect(1, 128896, '\p{^Block=_	alchemical_Symbols}', "");
Expect(1, 128896, '\P{Block=_	alchemical_Symbols}', "");
Expect(0, 128896, '\P{^Block=_	alchemical_Symbols}', "");
Error('\p{Blk=-alchemical/a/}');
Error('\P{Blk=-alchemical/a/}');
Expect(1, 128895, '\p{Blk=alchemical}', "");
Expect(0, 128895, '\p{^Blk=alchemical}', "");
Expect(0, 128895, '\P{Blk=alchemical}', "");
Expect(1, 128895, '\P{^Blk=alchemical}', "");
Expect(0, 128896, '\p{Blk=alchemical}', "");
Expect(1, 128896, '\p{^Blk=alchemical}', "");
Expect(1, 128896, '\P{Blk=alchemical}', "");
Expect(0, 128896, '\P{^Blk=alchemical}', "");
Expect(1, 128895, '\p{Blk=_alchemical}', "");
Expect(0, 128895, '\p{^Blk=_alchemical}', "");
Expect(0, 128895, '\P{Blk=_alchemical}', "");
Expect(1, 128895, '\P{^Blk=_alchemical}', "");
Expect(0, 128896, '\p{Blk=_alchemical}', "");
Expect(1, 128896, '\p{^Blk=_alchemical}', "");
Expect(1, 128896, '\P{Blk=_alchemical}', "");
Expect(0, 128896, '\P{^Blk=_alchemical}', "");
Error('\p{Is_Block=:=- alchemical_Symbols}');
Error('\P{Is_Block=:=- alchemical_Symbols}');
Expect(1, 128895, '\p{Is_Block=alchemicalsymbols}', "");
Expect(0, 128895, '\p{^Is_Block=alchemicalsymbols}', "");
Expect(0, 128895, '\P{Is_Block=alchemicalsymbols}', "");
Expect(1, 128895, '\P{^Is_Block=alchemicalsymbols}', "");
Expect(0, 128896, '\p{Is_Block=alchemicalsymbols}', "");
Expect(1, 128896, '\p{^Is_Block=alchemicalsymbols}', "");
Expect(1, 128896, '\P{Is_Block=alchemicalsymbols}', "");
Expect(0, 128896, '\P{^Is_Block=alchemicalsymbols}', "");
Expect(1, 128895, '\p{Is_Block:	 _Alchemical_Symbols}', "");
Expect(0, 128895, '\p{^Is_Block:	 _Alchemical_Symbols}', "");
Expect(0, 128895, '\P{Is_Block:	 _Alchemical_Symbols}', "");
Expect(1, 128895, '\P{^Is_Block:	 _Alchemical_Symbols}', "");
Expect(0, 128896, '\p{Is_Block:	 _Alchemical_Symbols}', "");
Expect(1, 128896, '\p{^Is_Block:	 _Alchemical_Symbols}', "");
Expect(1, 128896, '\P{Is_Block:	 _Alchemical_Symbols}', "");
Expect(0, 128896, '\P{^Is_Block:	 _Alchemical_Symbols}', "");
Error('\p{Is_Blk=/a/	_Alchemical}');
Error('\P{Is_Blk=/a/	_Alchemical}');
Expect(1, 128895, '\p{Is_Blk=alchemical}', "");
Expect(0, 128895, '\p{^Is_Blk=alchemical}', "");
Expect(0, 128895, '\P{Is_Blk=alchemical}', "");
Expect(1, 128895, '\P{^Is_Blk=alchemical}', "");
Expect(0, 128896, '\p{Is_Blk=alchemical}', "");
Expect(1, 128896, '\p{^Is_Blk=alchemical}', "");
Expect(1, 128896, '\P{Is_Blk=alchemical}', "");
Expect(0, 128896, '\P{^Is_Blk=alchemical}', "");
Expect(1, 128895, '\p{Is_Blk=-ALCHEMICAL}', "");
Expect(0, 128895, '\p{^Is_Blk=-ALCHEMICAL}', "");
Expect(0, 128895, '\P{Is_Blk=-ALCHEMICAL}', "");
Expect(1, 128895, '\P{^Is_Blk=-ALCHEMICAL}', "");
Expect(0, 128896, '\p{Is_Blk=-ALCHEMICAL}', "");
Expect(1, 128896, '\p{^Is_Blk=-ALCHEMICAL}', "");
Expect(1, 128896, '\P{Is_Blk=-ALCHEMICAL}', "");
Expect(0, 128896, '\P{^Is_Blk=-ALCHEMICAL}', "");
Error('\p{Block=-:=Alphabetic_Presentation_FORMS}');
Error('\P{Block=-:=Alphabetic_Presentation_FORMS}');
Expect(1, 64335, '\p{Block=alphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^Block=alphabeticpresentationforms}', "");
Expect(0, 64335, '\P{Block=alphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^Block=alphabeticpresentationforms}', "");
Expect(0, 64336, '\p{Block=alphabeticpresentationforms}', "");
Expect(1, 64336, '\p{^Block=alphabeticpresentationforms}', "");
Expect(1, 64336, '\P{Block=alphabeticpresentationforms}', "");
Expect(0, 64336, '\P{^Block=alphabeticpresentationforms}', "");
Expect(1, 64335, '\p{Block= alphabetic_Presentation_forms}', "");
Expect(0, 64335, '\p{^Block= alphabetic_Presentation_forms}', "");
Expect(0, 64335, '\P{Block= alphabetic_Presentation_forms}', "");
Expect(1, 64335, '\P{^Block= alphabetic_Presentation_forms}', "");
Expect(0, 64336, '\p{Block= alphabetic_Presentation_forms}', "");
Expect(1, 64336, '\p{^Block= alphabetic_Presentation_forms}', "");
Expect(1, 64336, '\P{Block= alphabetic_Presentation_forms}', "");
Expect(0, 64336, '\P{^Block= alphabetic_Presentation_forms}', "");
Error('\p{Blk=-_Alphabetic_PF:=}');
Error('\P{Blk=-_Alphabetic_PF:=}');
Expect(1, 64335, '\p{Blk=alphabeticpf}', "");
Expect(0, 64335, '\p{^Blk=alphabeticpf}', "");
Expect(0, 64335, '\P{Blk=alphabeticpf}', "");
Expect(1, 64335, '\P{^Blk=alphabeticpf}', "");
Expect(0, 64336, '\p{Blk=alphabeticpf}', "");
Expect(1, 64336, '\p{^Blk=alphabeticpf}', "");
Expect(1, 64336, '\P{Blk=alphabeticpf}', "");
Expect(0, 64336, '\P{^Blk=alphabeticpf}', "");
Expect(1, 64335, '\p{Blk=	Alphabetic_PF}', "");
Expect(0, 64335, '\p{^Blk=	Alphabetic_PF}', "");
Expect(0, 64335, '\P{Blk=	Alphabetic_PF}', "");
Expect(1, 64335, '\P{^Blk=	Alphabetic_PF}', "");
Expect(0, 64336, '\p{Blk=	Alphabetic_PF}', "");
Expect(1, 64336, '\p{^Blk=	Alphabetic_PF}', "");
Expect(1, 64336, '\P{Blk=	Alphabetic_PF}', "");
Expect(0, 64336, '\P{^Blk=	Alphabetic_PF}', "");
Error('\p{Is_Block=-/a/ALPHABETIC_presentation_FORMS}');
Error('\P{Is_Block=-/a/ALPHABETIC_presentation_FORMS}');
Expect(1, 64335, '\p{Is_Block=alphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^Is_Block=alphabeticpresentationforms}', "");
Expect(0, 64335, '\P{Is_Block=alphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^Is_Block=alphabeticpresentationforms}', "");
Expect(0, 64336, '\p{Is_Block=alphabeticpresentationforms}', "");
Expect(1, 64336, '\p{^Is_Block=alphabeticpresentationforms}', "");
Expect(1, 64336, '\P{Is_Block=alphabeticpresentationforms}', "");
Expect(0, 64336, '\P{^Is_Block=alphabeticpresentationforms}', "");
Expect(1, 64335, '\p{Is_Block=  alphabetic_Presentation_Forms}', "");
Expect(0, 64335, '\p{^Is_Block=  alphabetic_Presentation_Forms}', "");
Expect(0, 64335, '\P{Is_Block=  alphabetic_Presentation_Forms}', "");
Expect(1, 64335, '\P{^Is_Block=  alphabetic_Presentation_Forms}', "");
Expect(0, 64336, '\p{Is_Block=  alphabetic_Presentation_Forms}', "");
Expect(1, 64336, '\p{^Is_Block=  alphabetic_Presentation_Forms}', "");
Expect(1, 64336, '\P{Is_Block=  alphabetic_Presentation_Forms}', "");
Expect(0, 64336, '\P{^Is_Block=  alphabetic_Presentation_Forms}', "");
Error('\p{Is_Blk::=-_alphabetic_PF}');
Error('\P{Is_Blk::=-_alphabetic_PF}');
Expect(1, 64335, '\p{Is_Blk=alphabeticpf}', "");
Expect(0, 64335, '\p{^Is_Blk=alphabeticpf}', "");
Expect(0, 64335, '\P{Is_Blk=alphabeticpf}', "");
Expect(1, 64335, '\P{^Is_Blk=alphabeticpf}', "");
Expect(0, 64336, '\p{Is_Blk=alphabeticpf}', "");
Expect(1, 64336, '\p{^Is_Blk=alphabeticpf}', "");
Expect(1, 64336, '\P{Is_Blk=alphabeticpf}', "");
Expect(0, 64336, '\P{^Is_Blk=alphabeticpf}', "");
Expect(1, 64335, '\p{Is_Blk=	_alphabetic_PF}', "");
Expect(0, 64335, '\p{^Is_Blk=	_alphabetic_PF}', "");
Expect(0, 64335, '\P{Is_Blk=	_alphabetic_PF}', "");
Expect(1, 64335, '\P{^Is_Blk=	_alphabetic_PF}', "");
Expect(0, 64336, '\p{Is_Blk=	_alphabetic_PF}', "");
Expect(1, 64336, '\p{^Is_Blk=	_alphabetic_PF}', "");
Expect(1, 64336, '\P{Is_Blk=	_alphabetic_PF}', "");
Expect(0, 64336, '\P{^Is_Blk=	_alphabetic_PF}', "");
Error('\p{Block:	/a/  ancient_Greek_Musical_Notation}');
Error('\P{Block:	/a/  ancient_Greek_Musical_Notation}');
Expect(1, 119375, '\p{Block=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^Block=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{Block=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^Block=ancientgreekmusicalnotation}', "");
Expect(0, 119376, '\p{Block=ancientgreekmusicalnotation}', "");
Expect(1, 119376, '\p{^Block=ancientgreekmusicalnotation}', "");
Expect(1, 119376, '\P{Block=ancientgreekmusicalnotation}', "");
Expect(0, 119376, '\P{^Block=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{Block= 	Ancient_Greek_Musical_Notation}', "");
Expect(0, 119375, '\p{^Block= 	Ancient_Greek_Musical_Notation}', "");
Expect(0, 119375, '\P{Block= 	Ancient_Greek_Musical_Notation}', "");
Expect(1, 119375, '\P{^Block= 	Ancient_Greek_Musical_Notation}', "");
Expect(0, 119376, '\p{Block= 	Ancient_Greek_Musical_Notation}', "");
Expect(1, 119376, '\p{^Block= 	Ancient_Greek_Musical_Notation}', "");
Expect(1, 119376, '\P{Block= 	Ancient_Greek_Musical_Notation}', "");
Expect(0, 119376, '\P{^Block= 	Ancient_Greek_Musical_Notation}', "");
Error('\p{Blk=_ ANCIENT_Greek_music:=}');
Error('\P{Blk=_ ANCIENT_Greek_music:=}');
Expect(1, 119375, '\p{Blk=ancientgreekmusic}', "");
Expect(0, 119375, '\p{^Blk=ancientgreekmusic}', "");
Expect(0, 119375, '\P{Blk=ancientgreekmusic}', "");
Expect(1, 119375, '\P{^Blk=ancientgreekmusic}', "");
Expect(0, 119376, '\p{Blk=ancientgreekmusic}', "");
Expect(1, 119376, '\p{^Blk=ancientgreekmusic}', "");
Expect(1, 119376, '\P{Blk=ancientgreekmusic}', "");
Expect(0, 119376, '\P{^Blk=ancientgreekmusic}', "");
Expect(1, 119375, '\p{Blk=--ANCIENT_GREEK_Music}', "");
Expect(0, 119375, '\p{^Blk=--ANCIENT_GREEK_Music}', "");
Expect(0, 119375, '\P{Blk=--ANCIENT_GREEK_Music}', "");
Expect(1, 119375, '\P{^Blk=--ANCIENT_GREEK_Music}', "");
Expect(0, 119376, '\p{Blk=--ANCIENT_GREEK_Music}', "");
Expect(1, 119376, '\p{^Blk=--ANCIENT_GREEK_Music}', "");
Expect(1, 119376, '\P{Blk=--ANCIENT_GREEK_Music}', "");
Expect(0, 119376, '\P{^Blk=--ANCIENT_GREEK_Music}', "");
Error('\p{Is_Block=_-ancient_Greek_musical_notation/a/}');
Error('\P{Is_Block=_-ancient_Greek_musical_notation/a/}');
Expect(1, 119375, '\p{Is_Block=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^Is_Block=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{Is_Block=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^Is_Block=ancientgreekmusicalnotation}', "");
Expect(0, 119376, '\p{Is_Block=ancientgreekmusicalnotation}', "");
Expect(1, 119376, '\p{^Is_Block=ancientgreekmusicalnotation}', "");
Expect(1, 119376, '\P{Is_Block=ancientgreekmusicalnotation}', "");
Expect(0, 119376, '\P{^Is_Block=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{Is_Block:		 Ancient_Greek_Musical_notation}', "");
Expect(0, 119375, '\p{^Is_Block:		 Ancient_Greek_Musical_notation}', "");
Expect(0, 119375, '\P{Is_Block:		 Ancient_Greek_Musical_notation}', "");
Expect(1, 119375, '\P{^Is_Block:		 Ancient_Greek_Musical_notation}', "");
Expect(0, 119376, '\p{Is_Block:		 Ancient_Greek_Musical_notation}', "");
Expect(1, 119376, '\p{^Is_Block:		 Ancient_Greek_Musical_notation}', "");
Expect(1, 119376, '\P{Is_Block:		 Ancient_Greek_Musical_notation}', "");
Expect(0, 119376, '\P{^Is_Block:		 Ancient_Greek_Musical_notation}', "");
Error('\p{Is_Blk=:=_ANCIENT_Greek_Music}');
Error('\P{Is_Blk=:=_ANCIENT_Greek_Music}');
Expect(1, 119375, '\p{Is_Blk=ancientgreekmusic}', "");
Expect(0, 119375, '\p{^Is_Blk=ancientgreekmusic}', "");
Expect(0, 119375, '\P{Is_Blk=ancientgreekmusic}', "");
Expect(1, 119375, '\P{^Is_Blk=ancientgreekmusic}', "");
Expect(0, 119376, '\p{Is_Blk=ancientgreekmusic}', "");
Expect(1, 119376, '\p{^Is_Blk=ancientgreekmusic}', "");
Expect(1, 119376, '\P{Is_Blk=ancientgreekmusic}', "");
Expect(0, 119376, '\P{^Is_Blk=ancientgreekmusic}', "");
Expect(1, 119375, '\p{Is_Blk=  ancient_greek_MUSIC}', "");
Expect(0, 119375, '\p{^Is_Blk=  ancient_greek_MUSIC}', "");
Expect(0, 119375, '\P{Is_Blk=  ancient_greek_MUSIC}', "");
Expect(1, 119375, '\P{^Is_Blk=  ancient_greek_MUSIC}', "");
Expect(0, 119376, '\p{Is_Blk=  ancient_greek_MUSIC}', "");
Expect(1, 119376, '\p{^Is_Blk=  ancient_greek_MUSIC}', "");
Expect(1, 119376, '\P{Is_Blk=  ancient_greek_MUSIC}', "");
Expect(0, 119376, '\P{^Is_Blk=  ancient_greek_MUSIC}', "");
Error('\p{Block:		:=ANCIENT_greek_NUMBERS}');
Error('\P{Block:		:=ANCIENT_greek_NUMBERS}');
Expect(1, 65935, '\p{Block: ancientgreeknumbers}', "");
Expect(0, 65935, '\p{^Block: ancientgreeknumbers}', "");
Expect(0, 65935, '\P{Block: ancientgreeknumbers}', "");
Expect(1, 65935, '\P{^Block: ancientgreeknumbers}', "");
Expect(0, 65936, '\p{Block: ancientgreeknumbers}', "");
Expect(1, 65936, '\p{^Block: ancientgreeknumbers}', "");
Expect(1, 65936, '\P{Block: ancientgreeknumbers}', "");
Expect(0, 65936, '\P{^Block: ancientgreeknumbers}', "");
Expect(1, 65935, '\p{Block= _Ancient_Greek_numbers}', "");
Expect(0, 65935, '\p{^Block= _Ancient_Greek_numbers}', "");
Expect(0, 65935, '\P{Block= _Ancient_Greek_numbers}', "");
Expect(1, 65935, '\P{^Block= _Ancient_Greek_numbers}', "");
Expect(0, 65936, '\p{Block= _Ancient_Greek_numbers}', "");
Expect(1, 65936, '\p{^Block= _Ancient_Greek_numbers}', "");
Expect(1, 65936, '\P{Block= _Ancient_Greek_numbers}', "");
Expect(0, 65936, '\P{^Block= _Ancient_Greek_numbers}', "");
Error('\p{Blk=	ANCIENT_GREEK_Numbers/a/}');
Error('\P{Blk=	ANCIENT_GREEK_Numbers/a/}');
Expect(1, 65935, '\p{Blk=ancientgreeknumbers}', "");
Expect(0, 65935, '\p{^Blk=ancientgreeknumbers}', "");
Expect(0, 65935, '\P{Blk=ancientgreeknumbers}', "");
Expect(1, 65935, '\P{^Blk=ancientgreeknumbers}', "");
Expect(0, 65936, '\p{Blk=ancientgreeknumbers}', "");
Expect(1, 65936, '\p{^Blk=ancientgreeknumbers}', "");
Expect(1, 65936, '\P{Blk=ancientgreeknumbers}', "");
Expect(0, 65936, '\P{^Blk=ancientgreeknumbers}', "");
Expect(1, 65935, '\p{Blk=__Ancient_Greek_Numbers}', "");
Expect(0, 65935, '\p{^Blk=__Ancient_Greek_Numbers}', "");
Expect(0, 65935, '\P{Blk=__Ancient_Greek_Numbers}', "");
Expect(1, 65935, '\P{^Blk=__Ancient_Greek_Numbers}', "");
Expect(0, 65936, '\p{Blk=__Ancient_Greek_Numbers}', "");
Expect(1, 65936, '\p{^Blk=__Ancient_Greek_Numbers}', "");
Expect(1, 65936, '\P{Blk=__Ancient_Greek_Numbers}', "");
Expect(0, 65936, '\P{^Blk=__Ancient_Greek_Numbers}', "");
Error('\p{Is_Block=/a/_Ancient_Greek_Numbers}');
Error('\P{Is_Block=/a/_Ancient_Greek_Numbers}');
Expect(1, 65935, '\p{Is_Block=ancientgreeknumbers}', "");
Expect(0, 65935, '\p{^Is_Block=ancientgreeknumbers}', "");
Expect(0, 65935, '\P{Is_Block=ancientgreeknumbers}', "");
Expect(1, 65935, '\P{^Is_Block=ancientgreeknumbers}', "");
Expect(0, 65936, '\p{Is_Block=ancientgreeknumbers}', "");
Expect(1, 65936, '\p{^Is_Block=ancientgreeknumbers}', "");
Expect(1, 65936, '\P{Is_Block=ancientgreeknumbers}', "");
Expect(0, 65936, '\P{^Is_Block=ancientgreeknumbers}', "");
Expect(1, 65935, '\p{Is_Block=	-ANCIENT_GREEK_Numbers}', "");
Expect(0, 65935, '\p{^Is_Block=	-ANCIENT_GREEK_Numbers}', "");
Expect(0, 65935, '\P{Is_Block=	-ANCIENT_GREEK_Numbers}', "");
Expect(1, 65935, '\P{^Is_Block=	-ANCIENT_GREEK_Numbers}', "");
Expect(0, 65936, '\p{Is_Block=	-ANCIENT_GREEK_Numbers}', "");
Expect(1, 65936, '\p{^Is_Block=	-ANCIENT_GREEK_Numbers}', "");
Expect(1, 65936, '\P{Is_Block=	-ANCIENT_GREEK_Numbers}', "");
Expect(0, 65936, '\P{^Is_Block=	-ANCIENT_GREEK_Numbers}', "");
Error('\p{Is_Blk=-	ANCIENT_greek_Numbers/a/}');
Error('\P{Is_Blk=-	ANCIENT_greek_Numbers/a/}');
Expect(1, 65935, '\p{Is_Blk=ancientgreeknumbers}', "");
Expect(0, 65935, '\p{^Is_Blk=ancientgreeknumbers}', "");
Expect(0, 65935, '\P{Is_Blk=ancientgreeknumbers}', "");
Expect(1, 65935, '\P{^Is_Blk=ancientgreeknumbers}', "");
Expect(0, 65936, '\p{Is_Blk=ancientgreeknumbers}', "");
Expect(1, 65936, '\p{^Is_Blk=ancientgreeknumbers}', "");
Expect(1, 65936, '\P{Is_Blk=ancientgreeknumbers}', "");
Expect(0, 65936, '\P{^Is_Blk=ancientgreeknumbers}', "");
Expect(1, 65935, '\p{Is_Blk: _ ANCIENT_greek_Numbers}', "");
Expect(0, 65935, '\p{^Is_Blk: _ ANCIENT_greek_Numbers}', "");
Expect(0, 65935, '\P{Is_Blk: _ ANCIENT_greek_Numbers}', "");
Expect(1, 65935, '\P{^Is_Blk: _ ANCIENT_greek_Numbers}', "");
Expect(0, 65936, '\p{Is_Blk: _ ANCIENT_greek_Numbers}', "");
Expect(1, 65936, '\p{^Is_Blk: _ ANCIENT_greek_Numbers}', "");
Expect(1, 65936, '\P{Is_Blk: _ ANCIENT_greek_Numbers}', "");
Expect(0, 65936, '\P{^Is_Blk: _ ANCIENT_greek_Numbers}', "");
Error('\p{Block=/a/Ancient_SYMBOLS}');
Error('\P{Block=/a/Ancient_SYMBOLS}');
Expect(1, 65999, '\p{Block=ancientsymbols}', "");
Expect(0, 65999, '\p{^Block=ancientsymbols}', "");
Expect(0, 65999, '\P{Block=ancientsymbols}', "");
Expect(1, 65999, '\P{^Block=ancientsymbols}', "");
Expect(0, 66000, '\p{Block=ancientsymbols}', "");
Expect(1, 66000, '\p{^Block=ancientsymbols}', "");
Expect(1, 66000, '\P{Block=ancientsymbols}', "");
Expect(0, 66000, '\P{^Block=ancientsymbols}', "");
Expect(1, 65999, '\p{Block= ANCIENT_symbols}', "");
Expect(0, 65999, '\p{^Block= ANCIENT_symbols}', "");
Expect(0, 65999, '\P{Block= ANCIENT_symbols}', "");
Expect(1, 65999, '\P{^Block= ANCIENT_symbols}', "");
Expect(0, 66000, '\p{Block= ANCIENT_symbols}', "");
Expect(1, 66000, '\p{^Block= ANCIENT_symbols}', "");
Expect(1, 66000, '\P{Block= ANCIENT_symbols}', "");
Expect(0, 66000, '\P{^Block= ANCIENT_symbols}', "");
Error('\p{Blk=	ANCIENT_symbols:=}');
Error('\P{Blk=	ANCIENT_symbols:=}');
Expect(1, 65999, '\p{Blk=ancientsymbols}', "");
Expect(0, 65999, '\p{^Blk=ancientsymbols}', "");
Expect(0, 65999, '\P{Blk=ancientsymbols}', "");
Expect(1, 65999, '\P{^Blk=ancientsymbols}', "");
Expect(0, 66000, '\p{Blk=ancientsymbols}', "");
Expect(1, 66000, '\p{^Blk=ancientsymbols}', "");
Expect(1, 66000, '\P{Blk=ancientsymbols}', "");
Expect(0, 66000, '\P{^Blk=ancientsymbols}', "");
Expect(1, 65999, '\p{Blk=	_ancient_Symbols}', "");
Expect(0, 65999, '\p{^Blk=	_ancient_Symbols}', "");
Expect(0, 65999, '\P{Blk=	_ancient_Symbols}', "");
Expect(1, 65999, '\P{^Blk=	_ancient_Symbols}', "");
Expect(0, 66000, '\p{Blk=	_ancient_Symbols}', "");
Expect(1, 66000, '\p{^Blk=	_ancient_Symbols}', "");
Expect(1, 66000, '\P{Blk=	_ancient_Symbols}', "");
Expect(0, 66000, '\P{^Blk=	_ancient_Symbols}', "");
Error('\p{Is_Block=:=	 ancient_Symbols}');
Error('\P{Is_Block=:=	 ancient_Symbols}');
Expect(1, 65999, '\p{Is_Block=ancientsymbols}', "");
Expect(0, 65999, '\p{^Is_Block=ancientsymbols}', "");
Expect(0, 65999, '\P{Is_Block=ancientsymbols}', "");
Expect(1, 65999, '\P{^Is_Block=ancientsymbols}', "");
Expect(0, 66000, '\p{Is_Block=ancientsymbols}', "");
Expect(1, 66000, '\p{^Is_Block=ancientsymbols}', "");
Expect(1, 66000, '\P{Is_Block=ancientsymbols}', "");
Expect(0, 66000, '\P{^Is_Block=ancientsymbols}', "");
Expect(1, 65999, '\p{Is_Block= 	Ancient_SYMBOLS}', "");
Expect(0, 65999, '\p{^Is_Block= 	Ancient_SYMBOLS}', "");
Expect(0, 65999, '\P{Is_Block= 	Ancient_SYMBOLS}', "");
Expect(1, 65999, '\P{^Is_Block= 	Ancient_SYMBOLS}', "");
Expect(0, 66000, '\p{Is_Block= 	Ancient_SYMBOLS}', "");
Expect(1, 66000, '\p{^Is_Block= 	Ancient_SYMBOLS}', "");
Expect(1, 66000, '\P{Is_Block= 	Ancient_SYMBOLS}', "");
Expect(0, 66000, '\P{^Is_Block= 	Ancient_SYMBOLS}', "");
Error('\p{Is_Blk=/a/__ANCIENT_symbols}');
Error('\P{Is_Blk=/a/__ANCIENT_symbols}');
Expect(1, 65999, '\p{Is_Blk=ancientsymbols}', "");
Expect(0, 65999, '\p{^Is_Blk=ancientsymbols}', "");
Expect(0, 65999, '\P{Is_Blk=ancientsymbols}', "");
Expect(1, 65999, '\P{^Is_Blk=ancientsymbols}', "");
Expect(0, 66000, '\p{Is_Blk=ancientsymbols}', "");
Expect(1, 66000, '\p{^Is_Blk=ancientsymbols}', "");
Expect(1, 66000, '\P{Is_Blk=ancientsymbols}', "");
Expect(0, 66000, '\P{^Is_Blk=ancientsymbols}', "");
Expect(1, 65999, '\p{Is_Blk:  _ANCIENT_Symbols}', "");
Expect(0, 65999, '\p{^Is_Blk:  _ANCIENT_Symbols}', "");
Expect(0, 65999, '\P{Is_Blk:  _ANCIENT_Symbols}', "");
Expect(1, 65999, '\P{^Is_Blk:  _ANCIENT_Symbols}', "");
Expect(0, 66000, '\p{Is_Blk:  _ANCIENT_Symbols}', "");
Expect(1, 66000, '\p{^Is_Blk:  _ANCIENT_Symbols}', "");
Expect(1, 66000, '\P{Is_Blk:  _ANCIENT_Symbols}', "");
Expect(0, 66000, '\P{^Is_Blk:  _ANCIENT_Symbols}', "");
Error('\p{Block=	:=Arabic}');
Error('\P{Block=	:=Arabic}');
Expect(1, 1791, '\p{Block=arabic}', "");
Expect(0, 1791, '\p{^Block=arabic}', "");
Expect(0, 1791, '\P{Block=arabic}', "");
Expect(1, 1791, '\P{^Block=arabic}', "");
Expect(0, 1792, '\p{Block=arabic}', "");
Expect(1, 1792, '\p{^Block=arabic}', "");
Expect(1, 1792, '\P{Block=arabic}', "");
Expect(0, 1792, '\P{^Block=arabic}', "");
Expect(1, 1791, '\p{Block= Arabic}', "");
Expect(0, 1791, '\p{^Block= Arabic}', "");
Expect(0, 1791, '\P{Block= Arabic}', "");
Expect(1, 1791, '\P{^Block= Arabic}', "");
Expect(0, 1792, '\p{Block= Arabic}', "");
Expect(1, 1792, '\p{^Block= Arabic}', "");
Expect(1, 1792, '\P{Block= Arabic}', "");
Expect(0, 1792, '\P{^Block= Arabic}', "");
Error('\p{Blk=_Arabic/a/}');
Error('\P{Blk=_Arabic/a/}');
Expect(1, 1791, '\p{Blk=arabic}', "");
Expect(0, 1791, '\p{^Blk=arabic}', "");
Expect(0, 1791, '\P{Blk=arabic}', "");
Expect(1, 1791, '\P{^Blk=arabic}', "");
Expect(0, 1792, '\p{Blk=arabic}', "");
Expect(1, 1792, '\p{^Blk=arabic}', "");
Expect(1, 1792, '\P{Blk=arabic}', "");
Expect(0, 1792, '\P{^Blk=arabic}', "");
Expect(1, 1791, '\p{Blk=	Arabic}', "");
Expect(0, 1791, '\p{^Blk=	Arabic}', "");
Expect(0, 1791, '\P{Blk=	Arabic}', "");
Expect(1, 1791, '\P{^Blk=	Arabic}', "");
Expect(0, 1792, '\p{Blk=	Arabic}', "");
Expect(1, 1792, '\p{^Blk=	Arabic}', "");
Expect(1, 1792, '\P{Blk=	Arabic}', "");
Expect(0, 1792, '\P{^Blk=	Arabic}', "");
Error('\p{Is_Block=-:=Arabic}');
Error('\P{Is_Block=-:=Arabic}');
Expect(1, 1791, '\p{Is_Block=arabic}', "");
Expect(0, 1791, '\p{^Is_Block=arabic}', "");
Expect(0, 1791, '\P{Is_Block=arabic}', "");
Expect(1, 1791, '\P{^Is_Block=arabic}', "");
Expect(0, 1792, '\p{Is_Block=arabic}', "");
Expect(1, 1792, '\p{^Is_Block=arabic}', "");
Expect(1, 1792, '\P{Is_Block=arabic}', "");
Expect(0, 1792, '\P{^Is_Block=arabic}', "");
Expect(1, 1791, '\p{Is_Block=-ARABIC}', "");
Expect(0, 1791, '\p{^Is_Block=-ARABIC}', "");
Expect(0, 1791, '\P{Is_Block=-ARABIC}', "");
Expect(1, 1791, '\P{^Is_Block=-ARABIC}', "");
Expect(0, 1792, '\p{Is_Block=-ARABIC}', "");
Expect(1, 1792, '\p{^Is_Block=-ARABIC}', "");
Expect(1, 1792, '\P{Is_Block=-ARABIC}', "");
Expect(0, 1792, '\P{^Is_Block=-ARABIC}', "");
Error('\p{Is_Blk=_-Arabic:=}');
Error('\P{Is_Blk=_-Arabic:=}');
Expect(1, 1791, '\p{Is_Blk=arabic}', "");
Expect(0, 1791, '\p{^Is_Blk=arabic}', "");
Expect(0, 1791, '\P{Is_Blk=arabic}', "");
Expect(1, 1791, '\P{^Is_Blk=arabic}', "");
Expect(0, 1792, '\p{Is_Blk=arabic}', "");
Expect(1, 1792, '\p{^Is_Blk=arabic}', "");
Expect(1, 1792, '\P{Is_Blk=arabic}', "");
Expect(0, 1792, '\P{^Is_Blk=arabic}', "");
Expect(1, 1791, '\p{Is_Blk=	 arabic}', "");
Expect(0, 1791, '\p{^Is_Blk=	 arabic}', "");
Expect(0, 1791, '\P{Is_Blk=	 arabic}', "");
Expect(1, 1791, '\P{^Is_Blk=	 arabic}', "");
Expect(0, 1792, '\p{Is_Blk=	 arabic}', "");
Expect(1, 1792, '\p{^Is_Blk=	 arabic}', "");
Expect(1, 1792, '\P{Is_Blk=	 arabic}', "");
Expect(0, 1792, '\P{^Is_Blk=	 arabic}', "");
Error('\p{Block=-	Arabic_Extended_a:=}');
Error('\P{Block=-	Arabic_Extended_a:=}');
Expect(1, 2303, '\p{Block=arabicextendeda}', "");
Expect(0, 2303, '\p{^Block=arabicextendeda}', "");
Expect(0, 2303, '\P{Block=arabicextendeda}', "");
Expect(1, 2303, '\P{^Block=arabicextendeda}', "");
Expect(0, 2304, '\p{Block=arabicextendeda}', "");
Expect(1, 2304, '\p{^Block=arabicextendeda}', "");
Expect(1, 2304, '\P{Block=arabicextendeda}', "");
Expect(0, 2304, '\P{^Block=arabicextendeda}', "");
Expect(1, 2303, '\p{Block=_ARABIC_EXTENDED_A}', "");
Expect(0, 2303, '\p{^Block=_ARABIC_EXTENDED_A}', "");
Expect(0, 2303, '\P{Block=_ARABIC_EXTENDED_A}', "");
Expect(1, 2303, '\P{^Block=_ARABIC_EXTENDED_A}', "");
Expect(0, 2304, '\p{Block=_ARABIC_EXTENDED_A}', "");
Expect(1, 2304, '\p{^Block=_ARABIC_EXTENDED_A}', "");
Expect(1, 2304, '\P{Block=_ARABIC_EXTENDED_A}', "");
Expect(0, 2304, '\P{^Block=_ARABIC_EXTENDED_A}', "");
Error('\p{Blk=_ Arabic_ext_A/a/}');
Error('\P{Blk=_ Arabic_ext_A/a/}');
Expect(1, 2303, '\p{Blk:	arabicexta}', "");
Expect(0, 2303, '\p{^Blk:	arabicexta}', "");
Expect(0, 2303, '\P{Blk:	arabicexta}', "");
Expect(1, 2303, '\P{^Blk:	arabicexta}', "");
Expect(0, 2304, '\p{Blk:	arabicexta}', "");
Expect(1, 2304, '\p{^Blk:	arabicexta}', "");
Expect(1, 2304, '\P{Blk:	arabicexta}', "");
Expect(0, 2304, '\P{^Blk:	arabicexta}', "");
Expect(1, 2303, '\p{Blk=--Arabic_EXT_A}', "");
Expect(0, 2303, '\p{^Blk=--Arabic_EXT_A}', "");
Expect(0, 2303, '\P{Blk=--Arabic_EXT_A}', "");
Expect(1, 2303, '\P{^Blk=--Arabic_EXT_A}', "");
Expect(0, 2304, '\p{Blk=--Arabic_EXT_A}', "");
Expect(1, 2304, '\p{^Blk=--Arabic_EXT_A}', "");
Expect(1, 2304, '\P{Blk=--Arabic_EXT_A}', "");
Expect(0, 2304, '\P{^Blk=--Arabic_EXT_A}', "");
Error('\p{Is_Block:/a/_arabic_Extended_a}');
Error('\P{Is_Block:/a/_arabic_Extended_a}');
Expect(1, 2303, '\p{Is_Block=arabicextendeda}', "");
Expect(0, 2303, '\p{^Is_Block=arabicextendeda}', "");
Expect(0, 2303, '\P{Is_Block=arabicextendeda}', "");
Expect(1, 2303, '\P{^Is_Block=arabicextendeda}', "");
Expect(0, 2304, '\p{Is_Block=arabicextendeda}', "");
Expect(1, 2304, '\p{^Is_Block=arabicextendeda}', "");
Expect(1, 2304, '\P{Is_Block=arabicextendeda}', "");
Expect(0, 2304, '\P{^Is_Block=arabicextendeda}', "");
Expect(1, 2303, '\p{Is_Block: -_ARABIC_Extended_A}', "");
Expect(0, 2303, '\p{^Is_Block: -_ARABIC_Extended_A}', "");
Expect(0, 2303, '\P{Is_Block: -_ARABIC_Extended_A}', "");
Expect(1, 2303, '\P{^Is_Block: -_ARABIC_Extended_A}', "");
Expect(0, 2304, '\p{Is_Block: -_ARABIC_Extended_A}', "");
Expect(1, 2304, '\p{^Is_Block: -_ARABIC_Extended_A}', "");
Expect(1, 2304, '\P{Is_Block: -_ARABIC_Extended_A}', "");
Expect(0, 2304, '\P{^Is_Block: -_ARABIC_Extended_A}', "");
Error('\p{Is_Blk=	:=Arabic_EXT_A}');
Error('\P{Is_Blk=	:=Arabic_EXT_A}');
Expect(1, 2303, '\p{Is_Blk=arabicexta}', "");
Expect(0, 2303, '\p{^Is_Blk=arabicexta}', "");
Expect(0, 2303, '\P{Is_Blk=arabicexta}', "");
Expect(1, 2303, '\P{^Is_Blk=arabicexta}', "");
Expect(0, 2304, '\p{Is_Blk=arabicexta}', "");
Expect(1, 2304, '\p{^Is_Blk=arabicexta}', "");
Expect(1, 2304, '\P{Is_Blk=arabicexta}', "");
Expect(0, 2304, '\P{^Is_Blk=arabicexta}', "");
Expect(1, 2303, '\p{Is_Blk=_Arabic_EXT_A}', "");
Expect(0, 2303, '\p{^Is_Blk=_Arabic_EXT_A}', "");
Expect(0, 2303, '\P{Is_Blk=_Arabic_EXT_A}', "");
Expect(1, 2303, '\P{^Is_Blk=_Arabic_EXT_A}', "");
Expect(0, 2304, '\p{Is_Blk=_Arabic_EXT_A}', "");
Expect(1, 2304, '\p{^Is_Blk=_Arabic_EXT_A}', "");
Expect(1, 2304, '\P{Is_Blk=_Arabic_EXT_A}', "");
Expect(0, 2304, '\P{^Is_Blk=_Arabic_EXT_A}', "");
Error('\p{Block= ARABIC_MATHEMATICAL_alphabetic_Symbols/a/}');
Error('\P{Block= ARABIC_MATHEMATICAL_alphabetic_Symbols/a/}');
Expect(1, 126719, '\p{Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\p{^Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\P{Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\P{^Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\p{Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\p{^Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\P{Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\P{^Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\p{Block:   _Arabic_Mathematical_alphabetic_Symbols}', "");
Expect(0, 126719, '\p{^Block:   _Arabic_Mathematical_alphabetic_Symbols}', "");
Expect(0, 126719, '\P{Block:   _Arabic_Mathematical_alphabetic_Symbols}', "");
Expect(1, 126719, '\P{^Block:   _Arabic_Mathematical_alphabetic_Symbols}', "");
Expect(0, 126720, '\p{Block:   _Arabic_Mathematical_alphabetic_Symbols}', "");
Expect(1, 126720, '\p{^Block:   _Arabic_Mathematical_alphabetic_Symbols}', "");
Expect(1, 126720, '\P{Block:   _Arabic_Mathematical_alphabetic_Symbols}', "");
Expect(0, 126720, '\P{^Block:   _Arabic_Mathematical_alphabetic_Symbols}', "");
Error('\p{Blk=/a/	-arabic_MATH}');
Error('\P{Blk=/a/	-arabic_MATH}');
Expect(1, 126719, '\p{Blk:	arabicmath}', "");
Expect(0, 126719, '\p{^Blk:	arabicmath}', "");
Expect(0, 126719, '\P{Blk:	arabicmath}', "");
Expect(1, 126719, '\P{^Blk:	arabicmath}', "");
Expect(0, 126720, '\p{Blk:	arabicmath}', "");
Expect(1, 126720, '\p{^Blk:	arabicmath}', "");
Expect(1, 126720, '\P{Blk:	arabicmath}', "");
Expect(0, 126720, '\P{^Blk:	arabicmath}', "");
Expect(1, 126719, '\p{Blk=arabic_math}', "");
Expect(0, 126719, '\p{^Blk=arabic_math}', "");
Expect(0, 126719, '\P{Blk=arabic_math}', "");
Expect(1, 126719, '\P{^Blk=arabic_math}', "");
Expect(0, 126720, '\p{Blk=arabic_math}', "");
Expect(1, 126720, '\p{^Blk=arabic_math}', "");
Expect(1, 126720, '\P{Blk=arabic_math}', "");
Expect(0, 126720, '\P{^Blk=arabic_math}', "");
Error('\p{Is_Block=-Arabic_Mathematical_Alphabetic_symbols:=}');
Error('\P{Is_Block=-Arabic_Mathematical_Alphabetic_symbols:=}');
Expect(1, 126719, '\p{Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\p{^Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\P{Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\P{^Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\p{Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\p{^Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\P{Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\P{^Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\p{Is_Block= Arabic_MATHEMATICAL_ALPHABETIC_Symbols}', "");
Expect(0, 126719, '\p{^Is_Block= Arabic_MATHEMATICAL_ALPHABETIC_Symbols}', "");
Expect(0, 126719, '\P{Is_Block= Arabic_MATHEMATICAL_ALPHABETIC_Symbols}', "");
Expect(1, 126719, '\P{^Is_Block= Arabic_MATHEMATICAL_ALPHABETIC_Symbols}', "");
Expect(0, 126720, '\p{Is_Block= Arabic_MATHEMATICAL_ALPHABETIC_Symbols}', "");
Expect(1, 126720, '\p{^Is_Block= Arabic_MATHEMATICAL_ALPHABETIC_Symbols}', "");
Expect(1, 126720, '\P{Is_Block= Arabic_MATHEMATICAL_ALPHABETIC_Symbols}', "");
Expect(0, 126720, '\P{^Is_Block= Arabic_MATHEMATICAL_ALPHABETIC_Symbols}', "");
Error('\p{Is_Blk=:=	 Arabic_Math}');
Error('\P{Is_Blk=:=	 Arabic_Math}');
Expect(1, 126719, '\p{Is_Blk=arabicmath}', "");
Expect(0, 126719, '\p{^Is_Blk=arabicmath}', "");
Expect(0, 126719, '\P{Is_Blk=arabicmath}', "");
Expect(1, 126719, '\P{^Is_Blk=arabicmath}', "");
Expect(0, 126720, '\p{Is_Blk=arabicmath}', "");
Expect(1, 126720, '\p{^Is_Blk=arabicmath}', "");
Expect(1, 126720, '\P{Is_Blk=arabicmath}', "");
Expect(0, 126720, '\P{^Is_Blk=arabicmath}', "");
Expect(1, 126719, '\p{Is_Blk: 	 arabic_MATH}', "");
Expect(0, 126719, '\p{^Is_Blk: 	 arabic_MATH}', "");
Expect(0, 126719, '\P{Is_Blk: 	 arabic_MATH}', "");
Expect(1, 126719, '\P{^Is_Blk: 	 arabic_MATH}', "");
Expect(0, 126720, '\p{Is_Blk: 	 arabic_MATH}', "");
Expect(1, 126720, '\p{^Is_Blk: 	 arabic_MATH}', "");
Expect(1, 126720, '\P{Is_Blk: 	 arabic_MATH}', "");
Expect(0, 126720, '\P{^Is_Blk: 	 arabic_MATH}', "");
Error('\p{Block=--Arabic_Presentation_FORMS_a:=}');
Error('\P{Block=--Arabic_Presentation_FORMS_a:=}');
Expect(1, 65023, '\p{Block=arabicpresentationformsa}', "");
Expect(0, 65023, '\p{^Block=arabicpresentationformsa}', "");
Expect(0, 65023, '\P{Block=arabicpresentationformsa}', "");
Expect(1, 65023, '\P{^Block=arabicpresentationformsa}', "");
Expect(0, 65024, '\p{Block=arabicpresentationformsa}', "");
Expect(1, 65024, '\p{^Block=arabicpresentationformsa}', "");
Expect(1, 65024, '\P{Block=arabicpresentationformsa}', "");
Expect(0, 65024, '\P{^Block=arabicpresentationformsa}', "");
Expect(1, 65023, '\p{Block=	-Arabic_presentation_Forms_a}', "");
Expect(0, 65023, '\p{^Block=	-Arabic_presentation_Forms_a}', "");
Expect(0, 65023, '\P{Block=	-Arabic_presentation_Forms_a}', "");
Expect(1, 65023, '\P{^Block=	-Arabic_presentation_Forms_a}', "");
Expect(0, 65024, '\p{Block=	-Arabic_presentation_Forms_a}', "");
Expect(1, 65024, '\p{^Block=	-Arabic_presentation_Forms_a}', "");
Expect(1, 65024, '\P{Block=	-Arabic_presentation_Forms_a}', "");
Expect(0, 65024, '\P{^Block=	-Arabic_presentation_Forms_a}', "");
Error('\p{Blk: arabic_PF_A:=}');
Error('\P{Blk: arabic_PF_A:=}');
Expect(1, 65023, '\p{Blk:	arabicpfa}', "");
Expect(0, 65023, '\p{^Blk:	arabicpfa}', "");
Expect(0, 65023, '\P{Blk:	arabicpfa}', "");
Expect(1, 65023, '\P{^Blk:	arabicpfa}', "");
Expect(0, 65024, '\p{Blk:	arabicpfa}', "");
Expect(1, 65024, '\p{^Blk:	arabicpfa}', "");
Expect(1, 65024, '\P{Blk:	arabicpfa}', "");
Expect(0, 65024, '\P{^Blk:	arabicpfa}', "");
Expect(1, 65023, '\p{Blk=--ARABIC_pf_A}', "");
Expect(0, 65023, '\p{^Blk=--ARABIC_pf_A}', "");
Expect(0, 65023, '\P{Blk=--ARABIC_pf_A}', "");
Expect(1, 65023, '\P{^Blk=--ARABIC_pf_A}', "");
Expect(0, 65024, '\p{Blk=--ARABIC_pf_A}', "");
Expect(1, 65024, '\p{^Blk=--ARABIC_pf_A}', "");
Expect(1, 65024, '\P{Blk=--ARABIC_pf_A}', "");
Expect(0, 65024, '\P{^Blk=--ARABIC_pf_A}', "");
Error('\p{Is_Block=:= 	ARABIC_Presentation_forms_A}');
Error('\P{Is_Block=:= 	ARABIC_Presentation_forms_A}');
Expect(1, 65023, '\p{Is_Block=arabicpresentationformsa}', "");
Expect(0, 65023, '\p{^Is_Block=arabicpresentationformsa}', "");
Expect(0, 65023, '\P{Is_Block=arabicpresentationformsa}', "");
Expect(1, 65023, '\P{^Is_Block=arabicpresentationformsa}', "");
Expect(0, 65024, '\p{Is_Block=arabicpresentationformsa}', "");
Expect(1, 65024, '\p{^Is_Block=arabicpresentationformsa}', "");
Expect(1, 65024, '\P{Is_Block=arabicpresentationformsa}', "");
Expect(0, 65024, '\P{^Is_Block=arabicpresentationformsa}', "");
Expect(1, 65023, '\p{Is_Block=__ARABIC_Presentation_forms_A}', "");
Expect(0, 65023, '\p{^Is_Block=__ARABIC_Presentation_forms_A}', "");
Expect(0, 65023, '\P{Is_Block=__ARABIC_Presentation_forms_A}', "");
Expect(1, 65023, '\P{^Is_Block=__ARABIC_Presentation_forms_A}', "");
Expect(0, 65024, '\p{Is_Block=__ARABIC_Presentation_forms_A}', "");
Expect(1, 65024, '\p{^Is_Block=__ARABIC_Presentation_forms_A}', "");
Expect(1, 65024, '\P{Is_Block=__ARABIC_Presentation_forms_A}', "");
Expect(0, 65024, '\P{^Is_Block=__ARABIC_Presentation_forms_A}', "");
Error('\p{Is_Blk=_/a/ARABIC_PF_a}');
Error('\P{Is_Blk=_/a/ARABIC_PF_a}');
Expect(1, 65023, '\p{Is_Blk=arabicpfa}', "");
Expect(0, 65023, '\p{^Is_Blk=arabicpfa}', "");
Expect(0, 65023, '\P{Is_Blk=arabicpfa}', "");
Expect(1, 65023, '\P{^Is_Blk=arabicpfa}', "");
Expect(0, 65024, '\p{Is_Blk=arabicpfa}', "");
Expect(1, 65024, '\p{^Is_Blk=arabicpfa}', "");
Expect(1, 65024, '\P{Is_Blk=arabicpfa}', "");
Expect(0, 65024, '\P{^Is_Blk=arabicpfa}', "");
Expect(1, 65023, '\p{Is_Blk=- Arabic_PF_A}', "");
Expect(0, 65023, '\p{^Is_Blk=- Arabic_PF_A}', "");
Expect(0, 65023, '\P{Is_Blk=- Arabic_PF_A}', "");
Expect(1, 65023, '\P{^Is_Blk=- Arabic_PF_A}', "");
Expect(0, 65024, '\p{Is_Blk=- Arabic_PF_A}', "");
Expect(1, 65024, '\p{^Is_Blk=- Arabic_PF_A}', "");
Expect(1, 65024, '\P{Is_Blk=- Arabic_PF_A}', "");
Expect(0, 65024, '\P{^Is_Blk=- Arabic_PF_A}', "");
Error('\p{Block=	/a/Arabic_presentation_Forms_b}');
Error('\P{Block=	/a/Arabic_presentation_Forms_b}');
Expect(1, 65279, '\p{Block=arabicpresentationformsb}', "");
Expect(0, 65279, '\p{^Block=arabicpresentationformsb}', "");
Expect(0, 65279, '\P{Block=arabicpresentationformsb}', "");
Expect(1, 65279, '\P{^Block=arabicpresentationformsb}', "");
Expect(0, 65280, '\p{Block=arabicpresentationformsb}', "");
Expect(1, 65280, '\p{^Block=arabicpresentationformsb}', "");
Expect(1, 65280, '\P{Block=arabicpresentationformsb}', "");
Expect(0, 65280, '\P{^Block=arabicpresentationformsb}', "");
Expect(1, 65279, '\p{Block=- Arabic_presentation_Forms_B}', "");
Expect(0, 65279, '\p{^Block=- Arabic_presentation_Forms_B}', "");
Expect(0, 65279, '\P{Block=- Arabic_presentation_Forms_B}', "");
Expect(1, 65279, '\P{^Block=- Arabic_presentation_Forms_B}', "");
Expect(0, 65280, '\p{Block=- Arabic_presentation_Forms_B}', "");
Expect(1, 65280, '\p{^Block=- Arabic_presentation_Forms_B}', "");
Expect(1, 65280, '\P{Block=- Arabic_presentation_Forms_B}', "");
Expect(0, 65280, '\P{^Block=- Arabic_presentation_Forms_B}', "");
Error('\p{Blk=_ARABIC_pf_b/a/}');
Error('\P{Blk=_ARABIC_pf_b/a/}');
Expect(1, 65279, '\p{Blk=arabicpfb}', "");
Expect(0, 65279, '\p{^Blk=arabicpfb}', "");
Expect(0, 65279, '\P{Blk=arabicpfb}', "");
Expect(1, 65279, '\P{^Blk=arabicpfb}', "");
Expect(0, 65280, '\p{Blk=arabicpfb}', "");
Expect(1, 65280, '\p{^Blk=arabicpfb}', "");
Expect(1, 65280, '\P{Blk=arabicpfb}', "");
Expect(0, 65280, '\P{^Blk=arabicpfb}', "");
Expect(1, 65279, '\p{Blk=	Arabic_PF_B}', "");
Expect(0, 65279, '\p{^Blk=	Arabic_PF_B}', "");
Expect(0, 65279, '\P{Blk=	Arabic_PF_B}', "");
Expect(1, 65279, '\P{^Blk=	Arabic_PF_B}', "");
Expect(0, 65280, '\p{Blk=	Arabic_PF_B}', "");
Expect(1, 65280, '\p{^Blk=	Arabic_PF_B}', "");
Expect(1, 65280, '\P{Blk=	Arabic_PF_B}', "");
Expect(0, 65280, '\P{^Blk=	Arabic_PF_B}', "");
Error('\p{Is_Block:	:=Arabic_Presentation_Forms_B}');
Error('\P{Is_Block:	:=Arabic_Presentation_Forms_B}');
Expect(1, 65279, '\p{Is_Block=arabicpresentationformsb}', "");
Expect(0, 65279, '\p{^Is_Block=arabicpresentationformsb}', "");
Expect(0, 65279, '\P{Is_Block=arabicpresentationformsb}', "");
Expect(1, 65279, '\P{^Is_Block=arabicpresentationformsb}', "");
Expect(0, 65280, '\p{Is_Block=arabicpresentationformsb}', "");
Expect(1, 65280, '\p{^Is_Block=arabicpresentationformsb}', "");
Expect(1, 65280, '\P{Is_Block=arabicpresentationformsb}', "");
Expect(0, 65280, '\P{^Is_Block=arabicpresentationformsb}', "");
Expect(1, 65279, '\p{Is_Block:_Arabic_Presentation_Forms_B}', "");
Expect(0, 65279, '\p{^Is_Block:_Arabic_Presentation_Forms_B}', "");
Expect(0, 65279, '\P{Is_Block:_Arabic_Presentation_Forms_B}', "");
Expect(1, 65279, '\P{^Is_Block:_Arabic_Presentation_Forms_B}', "");
Expect(0, 65280, '\p{Is_Block:_Arabic_Presentation_Forms_B}', "");
Expect(1, 65280, '\p{^Is_Block:_Arabic_Presentation_Forms_B}', "");
Expect(1, 65280, '\P{Is_Block:_Arabic_Presentation_Forms_B}', "");
Expect(0, 65280, '\P{^Is_Block:_Arabic_Presentation_Forms_B}', "");
Error('\p{Is_Blk=/a/Arabic_PF_b}');
Error('\P{Is_Blk=/a/Arabic_PF_b}');
Expect(1, 65279, '\p{Is_Blk=arabicpfb}', "");
Expect(0, 65279, '\p{^Is_Blk=arabicpfb}', "");
Expect(0, 65279, '\P{Is_Blk=arabicpfb}', "");
Expect(1, 65279, '\P{^Is_Blk=arabicpfb}', "");
Expect(0, 65280, '\p{Is_Blk=arabicpfb}', "");
Expect(1, 65280, '\p{^Is_Blk=arabicpfb}', "");
Expect(1, 65280, '\P{Is_Blk=arabicpfb}', "");
Expect(0, 65280, '\P{^Is_Blk=arabicpfb}', "");
Expect(1, 65279, '\p{Is_Blk=-arabic_PF_B}', "");
Expect(0, 65279, '\p{^Is_Blk=-arabic_PF_B}', "");
Expect(0, 65279, '\P{Is_Blk=-arabic_PF_B}', "");
Expect(1, 65279, '\P{^Is_Blk=-arabic_PF_B}', "");
Expect(0, 65280, '\p{Is_Blk=-arabic_PF_B}', "");
Expect(1, 65280, '\p{^Is_Blk=-arabic_PF_B}', "");
Expect(1, 65280, '\P{Is_Blk=-arabic_PF_B}', "");
Expect(0, 65280, '\P{^Is_Blk=-arabic_PF_B}', "");
Error('\p{Block=	/a/arabic_supplement}');
Error('\P{Block=	/a/arabic_supplement}');
Expect(1, 1919, '\p{Block=arabicsupplement}', "");
Expect(0, 1919, '\p{^Block=arabicsupplement}', "");
Expect(0, 1919, '\P{Block=arabicsupplement}', "");
Expect(1, 1919, '\P{^Block=arabicsupplement}', "");
Expect(0, 1920, '\p{Block=arabicsupplement}', "");
Expect(1, 1920, '\p{^Block=arabicsupplement}', "");
Expect(1, 1920, '\P{Block=arabicsupplement}', "");
Expect(0, 1920, '\P{^Block=arabicsupplement}', "");
Expect(1, 1919, '\p{Block= Arabic_SUPPLEMENT}', "");
Expect(0, 1919, '\p{^Block= Arabic_SUPPLEMENT}', "");
Expect(0, 1919, '\P{Block= Arabic_SUPPLEMENT}', "");
Expect(1, 1919, '\P{^Block= Arabic_SUPPLEMENT}', "");
Expect(0, 1920, '\p{Block= Arabic_SUPPLEMENT}', "");
Expect(1, 1920, '\p{^Block= Arabic_SUPPLEMENT}', "");
Expect(1, 1920, '\P{Block= Arabic_SUPPLEMENT}', "");
Expect(0, 1920, '\P{^Block= Arabic_SUPPLEMENT}', "");
Error('\p{Blk=:=_arabic_Sup}');
Error('\P{Blk=:=_arabic_Sup}');
Expect(1, 1919, '\p{Blk=arabicsup}', "");
Expect(0, 1919, '\p{^Blk=arabicsup}', "");
Expect(0, 1919, '\P{Blk=arabicsup}', "");
Expect(1, 1919, '\P{^Blk=arabicsup}', "");
Expect(0, 1920, '\p{Blk=arabicsup}', "");
Expect(1, 1920, '\p{^Blk=arabicsup}', "");
Expect(1, 1920, '\P{Blk=arabicsup}', "");
Expect(0, 1920, '\P{^Blk=arabicsup}', "");
Expect(1, 1919, '\p{Blk=	_Arabic_Sup}', "");
Expect(0, 1919, '\p{^Blk=	_Arabic_Sup}', "");
Expect(0, 1919, '\P{Blk=	_Arabic_Sup}', "");
Expect(1, 1919, '\P{^Blk=	_Arabic_Sup}', "");
Expect(0, 1920, '\p{Blk=	_Arabic_Sup}', "");
Expect(1, 1920, '\p{^Blk=	_Arabic_Sup}', "");
Expect(1, 1920, '\P{Blk=	_Arabic_Sup}', "");
Expect(0, 1920, '\P{^Blk=	_Arabic_Sup}', "");
Error('\p{Is_Block:   :=Arabic_Supplement}');
Error('\P{Is_Block:   :=Arabic_Supplement}');
Expect(1, 1919, '\p{Is_Block=arabicsupplement}', "");
Expect(0, 1919, '\p{^Is_Block=arabicsupplement}', "");
Expect(0, 1919, '\P{Is_Block=arabicsupplement}', "");
Expect(1, 1919, '\P{^Is_Block=arabicsupplement}', "");
Expect(0, 1920, '\p{Is_Block=arabicsupplement}', "");
Expect(1, 1920, '\p{^Is_Block=arabicsupplement}', "");
Expect(1, 1920, '\P{Is_Block=arabicsupplement}', "");
Expect(0, 1920, '\P{^Is_Block=arabicsupplement}', "");
Expect(1, 1919, '\p{Is_Block=_-ARABIC_supplement}', "");
Expect(0, 1919, '\p{^Is_Block=_-ARABIC_supplement}', "");
Expect(0, 1919, '\P{Is_Block=_-ARABIC_supplement}', "");
Expect(1, 1919, '\P{^Is_Block=_-ARABIC_supplement}', "");
Expect(0, 1920, '\p{Is_Block=_-ARABIC_supplement}', "");
Expect(1, 1920, '\p{^Is_Block=_-ARABIC_supplement}', "");
Expect(1, 1920, '\P{Is_Block=_-ARABIC_supplement}', "");
Expect(0, 1920, '\P{^Is_Block=_-ARABIC_supplement}', "");
Error('\p{Is_Blk=/a/ -ARABIC_SUP}');
Error('\P{Is_Blk=/a/ -ARABIC_SUP}');
Expect(1, 1919, '\p{Is_Blk=arabicsup}', "");
Expect(0, 1919, '\p{^Is_Blk=arabicsup}', "");
Expect(0, 1919, '\P{Is_Blk=arabicsup}', "");
Expect(1, 1919, '\P{^Is_Blk=arabicsup}', "");
Expect(0, 1920, '\p{Is_Blk=arabicsup}', "");
Expect(1, 1920, '\p{^Is_Blk=arabicsup}', "");
Expect(1, 1920, '\P{Is_Blk=arabicsup}', "");
Expect(0, 1920, '\P{^Is_Blk=arabicsup}', "");
Expect(1, 1919, '\p{Is_Blk=_arabic_Sup}', "");
Expect(0, 1919, '\p{^Is_Blk=_arabic_Sup}', "");
Expect(0, 1919, '\P{Is_Blk=_arabic_Sup}', "");
Expect(1, 1919, '\P{^Is_Blk=_arabic_Sup}', "");
Expect(0, 1920, '\p{Is_Blk=_arabic_Sup}', "");
Expect(1, 1920, '\p{^Is_Blk=_arabic_Sup}', "");
Expect(1, 1920, '\P{Is_Blk=_arabic_Sup}', "");
Expect(0, 1920, '\P{^Is_Blk=_arabic_Sup}', "");
Error('\p{Block=	Armenian/a/}');
Error('\P{Block=	Armenian/a/}');
Expect(1, 1423, '\p{Block=armenian}', "");
Expect(0, 1423, '\p{^Block=armenian}', "");
Expect(0, 1423, '\P{Block=armenian}', "");
Expect(1, 1423, '\P{^Block=armenian}', "");
Expect(0, 1424, '\p{Block=armenian}', "");
Expect(1, 1424, '\p{^Block=armenian}', "");
Expect(1, 1424, '\P{Block=armenian}', "");
Expect(0, 1424, '\P{^Block=armenian}', "");
Expect(1, 1423, '\p{Block: -Armenian}', "");
Expect(0, 1423, '\p{^Block: -Armenian}', "");
Expect(0, 1423, '\P{Block: -Armenian}', "");
Expect(1, 1423, '\P{^Block: -Armenian}', "");
Expect(0, 1424, '\p{Block: -Armenian}', "");
Expect(1, 1424, '\p{^Block: -Armenian}', "");
Expect(1, 1424, '\P{Block: -Armenian}', "");
Expect(0, 1424, '\P{^Block: -Armenian}', "");
Error('\p{Blk= Armenian:=}');
Error('\P{Blk= Armenian:=}');
Expect(1, 1423, '\p{Blk=armenian}', "");
Expect(0, 1423, '\p{^Blk=armenian}', "");
Expect(0, 1423, '\P{Blk=armenian}', "");
Expect(1, 1423, '\P{^Blk=armenian}', "");
Expect(0, 1424, '\p{Blk=armenian}', "");
Expect(1, 1424, '\p{^Blk=armenian}', "");
Expect(1, 1424, '\P{Blk=armenian}', "");
Expect(0, 1424, '\P{^Blk=armenian}', "");
Expect(1, 1423, '\p{Blk=		ARMENIAN}', "");
Expect(0, 1423, '\p{^Blk=		ARMENIAN}', "");
Expect(0, 1423, '\P{Blk=		ARMENIAN}', "");
Expect(1, 1423, '\P{^Blk=		ARMENIAN}', "");
Expect(0, 1424, '\p{Blk=		ARMENIAN}', "");
Expect(1, 1424, '\p{^Blk=		ARMENIAN}', "");
Expect(1, 1424, '\P{Blk=		ARMENIAN}', "");
Expect(0, 1424, '\P{^Blk=		ARMENIAN}', "");
Error('\p{Is_Block=:=		armenian}');
Error('\P{Is_Block=:=		armenian}');
Expect(1, 1423, '\p{Is_Block=armenian}', "");
Expect(0, 1423, '\p{^Is_Block=armenian}', "");
Expect(0, 1423, '\P{Is_Block=armenian}', "");
Expect(1, 1423, '\P{^Is_Block=armenian}', "");
Expect(0, 1424, '\p{Is_Block=armenian}', "");
Expect(1, 1424, '\p{^Is_Block=armenian}', "");
Expect(1, 1424, '\P{Is_Block=armenian}', "");
Expect(0, 1424, '\P{^Is_Block=armenian}', "");
Expect(1, 1423, '\p{Is_Block=_-Armenian}', "");
Expect(0, 1423, '\p{^Is_Block=_-Armenian}', "");
Expect(0, 1423, '\P{Is_Block=_-Armenian}', "");
Expect(1, 1423, '\P{^Is_Block=_-Armenian}', "");
Expect(0, 1424, '\p{Is_Block=_-Armenian}', "");
Expect(1, 1424, '\p{^Is_Block=_-Armenian}', "");
Expect(1, 1424, '\P{Is_Block=_-Armenian}', "");
Expect(0, 1424, '\P{^Is_Block=_-Armenian}', "");
Error('\p{Is_Blk:   _-Armenian:=}');
Error('\P{Is_Blk:   _-Armenian:=}');
Expect(1, 1423, '\p{Is_Blk:   armenian}', "");
Expect(0, 1423, '\p{^Is_Blk:   armenian}', "");
Expect(0, 1423, '\P{Is_Blk:   armenian}', "");
Expect(1, 1423, '\P{^Is_Blk:   armenian}', "");
Expect(0, 1424, '\p{Is_Blk:   armenian}', "");
Expect(1, 1424, '\p{^Is_Blk:   armenian}', "");
Expect(1, 1424, '\P{Is_Blk:   armenian}', "");
Expect(0, 1424, '\P{^Is_Blk:   armenian}', "");
Expect(1, 1423, '\p{Is_Blk=	_Armenian}', "");
Expect(0, 1423, '\p{^Is_Blk=	_Armenian}', "");
Expect(0, 1423, '\P{Is_Blk=	_Armenian}', "");
Expect(1, 1423, '\P{^Is_Blk=	_Armenian}', "");
Expect(0, 1424, '\p{Is_Blk=	_Armenian}', "");
Expect(1, 1424, '\p{^Is_Blk=	_Armenian}', "");
Expect(1, 1424, '\P{Is_Blk=	_Armenian}', "");
Expect(0, 1424, '\P{^Is_Blk=	_Armenian}', "");
Error('\p{Block=/a/Arrows}');
Error('\P{Block=/a/Arrows}');
Expect(1, 8703, '\p{Block=arrows}', "");
Expect(0, 8703, '\p{^Block=arrows}', "");
Expect(0, 8703, '\P{Block=arrows}', "");
Expect(1, 8703, '\P{^Block=arrows}', "");
Expect(0, 8704, '\p{Block=arrows}', "");
Expect(1, 8704, '\p{^Block=arrows}', "");
Expect(1, 8704, '\P{Block=arrows}', "");
Expect(0, 8704, '\P{^Block=arrows}', "");
Expect(1, 8703, '\p{Block=_arrows}', "");
Expect(0, 8703, '\p{^Block=_arrows}', "");
Expect(0, 8703, '\P{Block=_arrows}', "");
Expect(1, 8703, '\P{^Block=_arrows}', "");
Expect(0, 8704, '\p{Block=_arrows}', "");
Expect(1, 8704, '\p{^Block=_arrows}', "");
Expect(1, 8704, '\P{Block=_arrows}', "");
Expect(0, 8704, '\P{^Block=_arrows}', "");
Error('\p{Blk=/a/ _ARROWS}');
Error('\P{Blk=/a/ _ARROWS}');
Expect(1, 8703, '\p{Blk=arrows}', "");
Expect(0, 8703, '\p{^Blk=arrows}', "");
Expect(0, 8703, '\P{Blk=arrows}', "");
Expect(1, 8703, '\P{^Blk=arrows}', "");
Expect(0, 8704, '\p{Blk=arrows}', "");
Expect(1, 8704, '\p{^Blk=arrows}', "");
Expect(1, 8704, '\P{Blk=arrows}', "");
Expect(0, 8704, '\P{^Blk=arrows}', "");
Expect(1, 8703, '\p{Blk=	-arrows}', "");
Expect(0, 8703, '\p{^Blk=	-arrows}', "");
Expect(0, 8703, '\P{Blk=	-arrows}', "");
Expect(1, 8703, '\P{^Blk=	-arrows}', "");
Expect(0, 8704, '\p{Blk=	-arrows}', "");
Expect(1, 8704, '\p{^Blk=	-arrows}', "");
Expect(1, 8704, '\P{Blk=	-arrows}', "");
Expect(0, 8704, '\P{^Blk=	-arrows}', "");
Error('\p{Is_Block=/a/ arrows}');
Error('\P{Is_Block=/a/ arrows}');
Expect(1, 8703, '\p{Is_Block=arrows}', "");
Expect(0, 8703, '\p{^Is_Block=arrows}', "");
Expect(0, 8703, '\P{Is_Block=arrows}', "");
Expect(1, 8703, '\P{^Is_Block=arrows}', "");
Expect(0, 8704, '\p{Is_Block=arrows}', "");
Expect(1, 8704, '\p{^Is_Block=arrows}', "");
Expect(1, 8704, '\P{Is_Block=arrows}', "");
Expect(0, 8704, '\P{^Is_Block=arrows}', "");
Expect(1, 8703, '\p{Is_Block=	arrows}', "");
Expect(0, 8703, '\p{^Is_Block=	arrows}', "");
Expect(0, 8703, '\P{Is_Block=	arrows}', "");
Expect(1, 8703, '\P{^Is_Block=	arrows}', "");
Expect(0, 8704, '\p{Is_Block=	arrows}', "");
Expect(1, 8704, '\p{^Is_Block=	arrows}', "");
Expect(1, 8704, '\P{Is_Block=	arrows}', "");
Expect(0, 8704, '\P{^Is_Block=	arrows}', "");
Error('\p{Is_Blk=/a/Arrows}');
Error('\P{Is_Blk=/a/Arrows}');
Expect(1, 8703, '\p{Is_Blk=arrows}', "");
Expect(0, 8703, '\p{^Is_Blk=arrows}', "");
Expect(0, 8703, '\P{Is_Blk=arrows}', "");
Expect(1, 8703, '\P{^Is_Blk=arrows}', "");
Expect(0, 8704, '\p{Is_Blk=arrows}', "");
Expect(1, 8704, '\p{^Is_Blk=arrows}', "");
Expect(1, 8704, '\P{Is_Blk=arrows}', "");
Expect(0, 8704, '\P{^Is_Blk=arrows}', "");
Expect(1, 8703, '\p{Is_Blk: --Arrows}', "");
Expect(0, 8703, '\p{^Is_Blk: --Arrows}', "");
Expect(0, 8703, '\P{Is_Blk: --Arrows}', "");
Expect(1, 8703, '\P{^Is_Blk: --Arrows}', "");
Expect(0, 8704, '\p{Is_Blk: --Arrows}', "");
Expect(1, 8704, '\p{^Is_Blk: --Arrows}', "");
Expect(1, 8704, '\P{Is_Blk: --Arrows}', "");
Expect(0, 8704, '\P{^Is_Blk: --Arrows}', "");
Error('\p{Block=	/a/avestan}');
Error('\P{Block=	/a/avestan}');
Expect(1, 68415, '\p{Block=avestan}', "");
Expect(0, 68415, '\p{^Block=avestan}', "");
Expect(0, 68415, '\P{Block=avestan}', "");
Expect(1, 68415, '\P{^Block=avestan}', "");
Expect(0, 68416, '\p{Block=avestan}', "");
Expect(1, 68416, '\p{^Block=avestan}', "");
Expect(1, 68416, '\P{Block=avestan}', "");
Expect(0, 68416, '\P{^Block=avestan}', "");
Expect(1, 68415, '\p{Block=-	AVESTAN}', "");
Expect(0, 68415, '\p{^Block=-	AVESTAN}', "");
Expect(0, 68415, '\P{Block=-	AVESTAN}', "");
Expect(1, 68415, '\P{^Block=-	AVESTAN}', "");
Expect(0, 68416, '\p{Block=-	AVESTAN}', "");
Expect(1, 68416, '\p{^Block=-	AVESTAN}', "");
Expect(1, 68416, '\P{Block=-	AVESTAN}', "");
Expect(0, 68416, '\P{^Block=-	AVESTAN}', "");
Error('\p{Blk=-/a/avestan}');
Error('\P{Blk=-/a/avestan}');
Expect(1, 68415, '\p{Blk:	avestan}', "");
Expect(0, 68415, '\p{^Blk:	avestan}', "");
Expect(0, 68415, '\P{Blk:	avestan}', "");
Expect(1, 68415, '\P{^Blk:	avestan}', "");
Expect(0, 68416, '\p{Blk:	avestan}', "");
Expect(1, 68416, '\p{^Blk:	avestan}', "");
Expect(1, 68416, '\P{Blk:	avestan}', "");
Expect(0, 68416, '\P{^Blk:	avestan}', "");
Expect(1, 68415, '\p{Blk= AVESTAN}', "");
Expect(0, 68415, '\p{^Blk= AVESTAN}', "");
Expect(0, 68415, '\P{Blk= AVESTAN}', "");
Expect(1, 68415, '\P{^Blk= AVESTAN}', "");
Expect(0, 68416, '\p{Blk= AVESTAN}', "");
Expect(1, 68416, '\p{^Blk= AVESTAN}', "");
Expect(1, 68416, '\P{Blk= AVESTAN}', "");
Expect(0, 68416, '\P{^Blk= AVESTAN}', "");
Error('\p{Is_Block=:=	-avestan}');
Error('\P{Is_Block=:=	-avestan}');
Expect(1, 68415, '\p{Is_Block=avestan}', "");
Expect(0, 68415, '\p{^Is_Block=avestan}', "");
Expect(0, 68415, '\P{Is_Block=avestan}', "");
Expect(1, 68415, '\P{^Is_Block=avestan}', "");
Expect(0, 68416, '\p{Is_Block=avestan}', "");
Expect(1, 68416, '\p{^Is_Block=avestan}', "");
Expect(1, 68416, '\P{Is_Block=avestan}', "");
Expect(0, 68416, '\P{^Is_Block=avestan}', "");
Expect(1, 68415, '\p{Is_Block=-avestan}', "");
Expect(0, 68415, '\p{^Is_Block=-avestan}', "");
Expect(0, 68415, '\P{Is_Block=-avestan}', "");
Expect(1, 68415, '\P{^Is_Block=-avestan}', "");
Expect(0, 68416, '\p{Is_Block=-avestan}', "");
Expect(1, 68416, '\p{^Is_Block=-avestan}', "");
Expect(1, 68416, '\P{Is_Block=-avestan}', "");
Expect(0, 68416, '\P{^Is_Block=-avestan}', "");
Error('\p{Is_Blk=/a/Avestan}');
Error('\P{Is_Blk=/a/Avestan}');
Expect(1, 68415, '\p{Is_Blk=avestan}', "");
Expect(0, 68415, '\p{^Is_Blk=avestan}', "");
Expect(0, 68415, '\P{Is_Blk=avestan}', "");
Expect(1, 68415, '\P{^Is_Blk=avestan}', "");
Expect(0, 68416, '\p{Is_Blk=avestan}', "");
Expect(1, 68416, '\p{^Is_Blk=avestan}', "");
Expect(1, 68416, '\P{Is_Blk=avestan}', "");
Expect(0, 68416, '\P{^Is_Blk=avestan}', "");
Expect(1, 68415, '\p{Is_Blk= 	Avestan}', "");
Expect(0, 68415, '\p{^Is_Blk= 	Avestan}', "");
Expect(0, 68415, '\P{Is_Blk= 	Avestan}', "");
Expect(1, 68415, '\P{^Is_Blk= 	Avestan}', "");
Expect(0, 68416, '\p{Is_Blk= 	Avestan}', "");
Expect(1, 68416, '\p{^Is_Blk= 	Avestan}', "");
Expect(1, 68416, '\P{Is_Blk= 	Avestan}', "");
Expect(0, 68416, '\P{^Is_Blk= 	Avestan}', "");
Error('\p{Block=_:=BALINESE}');
Error('\P{Block=_:=BALINESE}');
Expect(1, 7039, '\p{Block=balinese}', "");
Expect(0, 7039, '\p{^Block=balinese}', "");
Expect(0, 7039, '\P{Block=balinese}', "");
Expect(1, 7039, '\P{^Block=balinese}', "");
Expect(0, 7040, '\p{Block=balinese}', "");
Expect(1, 7040, '\p{^Block=balinese}', "");
Expect(1, 7040, '\P{Block=balinese}', "");
Expect(0, 7040, '\P{^Block=balinese}', "");
Expect(1, 7039, '\p{Block=_-Balinese}', "");
Expect(0, 7039, '\p{^Block=_-Balinese}', "");
Expect(0, 7039, '\P{Block=_-Balinese}', "");
Expect(1, 7039, '\P{^Block=_-Balinese}', "");
Expect(0, 7040, '\p{Block=_-Balinese}', "");
Expect(1, 7040, '\p{^Block=_-Balinese}', "");
Expect(1, 7040, '\P{Block=_-Balinese}', "");
Expect(0, 7040, '\P{^Block=_-Balinese}', "");
Error('\p{Blk=:=Balinese}');
Error('\P{Blk=:=Balinese}');
Expect(1, 7039, '\p{Blk=balinese}', "");
Expect(0, 7039, '\p{^Blk=balinese}', "");
Expect(0, 7039, '\P{Blk=balinese}', "");
Expect(1, 7039, '\P{^Blk=balinese}', "");
Expect(0, 7040, '\p{Blk=balinese}', "");
Expect(1, 7040, '\p{^Blk=balinese}', "");
Expect(1, 7040, '\P{Blk=balinese}', "");
Expect(0, 7040, '\P{^Blk=balinese}', "");
Expect(1, 7039, '\p{Blk=-BALINESE}', "");
Expect(0, 7039, '\p{^Blk=-BALINESE}', "");
Expect(0, 7039, '\P{Blk=-BALINESE}', "");
Expect(1, 7039, '\P{^Blk=-BALINESE}', "");
Expect(0, 7040, '\p{Blk=-BALINESE}', "");
Expect(1, 7040, '\p{^Blk=-BALINESE}', "");
Expect(1, 7040, '\P{Blk=-BALINESE}', "");
Expect(0, 7040, '\P{^Blk=-BALINESE}', "");
Error('\p{Is_Block=		Balinese/a/}');
Error('\P{Is_Block=		Balinese/a/}');
Expect(1, 7039, '\p{Is_Block=balinese}', "");
Expect(0, 7039, '\p{^Is_Block=balinese}', "");
Expect(0, 7039, '\P{Is_Block=balinese}', "");
Expect(1, 7039, '\P{^Is_Block=balinese}', "");
Expect(0, 7040, '\p{Is_Block=balinese}', "");
Expect(1, 7040, '\p{^Is_Block=balinese}', "");
Expect(1, 7040, '\P{Is_Block=balinese}', "");
Expect(0, 7040, '\P{^Is_Block=balinese}', "");
Expect(1, 7039, '\p{Is_Block:	 -Balinese}', "");
Expect(0, 7039, '\p{^Is_Block:	 -Balinese}', "");
Expect(0, 7039, '\P{Is_Block:	 -Balinese}', "");
Expect(1, 7039, '\P{^Is_Block:	 -Balinese}', "");
Expect(0, 7040, '\p{Is_Block:	 -Balinese}', "");
Expect(1, 7040, '\p{^Is_Block:	 -Balinese}', "");
Expect(1, 7040, '\P{Is_Block:	 -Balinese}', "");
Expect(0, 7040, '\P{^Is_Block:	 -Balinese}', "");
Error('\p{Is_Blk=/a/Balinese}');
Error('\P{Is_Blk=/a/Balinese}');
Expect(1, 7039, '\p{Is_Blk=balinese}', "");
Expect(0, 7039, '\p{^Is_Blk=balinese}', "");
Expect(0, 7039, '\P{Is_Blk=balinese}', "");
Expect(1, 7039, '\P{^Is_Blk=balinese}', "");
Expect(0, 7040, '\p{Is_Blk=balinese}', "");
Expect(1, 7040, '\p{^Is_Blk=balinese}', "");
Expect(1, 7040, '\P{Is_Blk=balinese}', "");
Expect(0, 7040, '\P{^Is_Blk=balinese}', "");
Expect(1, 7039, '\p{Is_Blk= -Balinese}', "");
Expect(0, 7039, '\p{^Is_Blk= -Balinese}', "");
Expect(0, 7039, '\P{Is_Blk= -Balinese}', "");
Expect(1, 7039, '\P{^Is_Blk= -Balinese}', "");
Expect(0, 7040, '\p{Is_Blk= -Balinese}', "");
Expect(1, 7040, '\p{^Is_Blk= -Balinese}', "");
Expect(1, 7040, '\P{Is_Blk= -Balinese}', "");
Expect(0, 7040, '\P{^Is_Blk= -Balinese}', "");
Error('\p{Block=/a/_	BAMUM}');
Error('\P{Block=/a/_	BAMUM}');
Expect(1, 42751, '\p{Block=bamum}', "");
Expect(0, 42751, '\p{^Block=bamum}', "");
Expect(0, 42751, '\P{Block=bamum}', "");
Expect(1, 42751, '\P{^Block=bamum}', "");
Expect(0, 42752, '\p{Block=bamum}', "");
Expect(1, 42752, '\p{^Block=bamum}', "");
Expect(1, 42752, '\P{Block=bamum}', "");
Expect(0, 42752, '\P{^Block=bamum}', "");
Expect(1, 42751, '\p{Block=- Bamum}', "");
Expect(0, 42751, '\p{^Block=- Bamum}', "");
Expect(0, 42751, '\P{Block=- Bamum}', "");
Expect(1, 42751, '\P{^Block=- Bamum}', "");
Expect(0, 42752, '\p{Block=- Bamum}', "");
Expect(1, 42752, '\p{^Block=- Bamum}', "");
Expect(1, 42752, '\P{Block=- Bamum}', "");
Expect(0, 42752, '\P{^Block=- Bamum}', "");
Error('\p{Blk=:=-Bamum}');
Error('\P{Blk=:=-Bamum}');
Expect(1, 42751, '\p{Blk=bamum}', "");
Expect(0, 42751, '\p{^Blk=bamum}', "");
Expect(0, 42751, '\P{Blk=bamum}', "");
Expect(1, 42751, '\P{^Blk=bamum}', "");
Expect(0, 42752, '\p{Blk=bamum}', "");
Expect(1, 42752, '\p{^Blk=bamum}', "");
Expect(1, 42752, '\P{Blk=bamum}', "");
Expect(0, 42752, '\P{^Blk=bamum}', "");
Expect(1, 42751, '\p{Blk= _Bamum}', "");
Expect(0, 42751, '\p{^Blk= _Bamum}', "");
Expect(0, 42751, '\P{Blk= _Bamum}', "");
Expect(1, 42751, '\P{^Blk= _Bamum}', "");
Expect(0, 42752, '\p{Blk= _Bamum}', "");
Expect(1, 42752, '\p{^Blk= _Bamum}', "");
Expect(1, 42752, '\P{Blk= _Bamum}', "");
Expect(0, 42752, '\P{^Blk= _Bamum}', "");
Error('\p{Is_Block=_	Bamum/a/}');
Error('\P{Is_Block=_	Bamum/a/}');
Expect(1, 42751, '\p{Is_Block=bamum}', "");
Expect(0, 42751, '\p{^Is_Block=bamum}', "");
Expect(0, 42751, '\P{Is_Block=bamum}', "");
Expect(1, 42751, '\P{^Is_Block=bamum}', "");
Expect(0, 42752, '\p{Is_Block=bamum}', "");
Expect(1, 42752, '\p{^Is_Block=bamum}', "");
Expect(1, 42752, '\P{Is_Block=bamum}', "");
Expect(0, 42752, '\P{^Is_Block=bamum}', "");
Expect(1, 42751, '\p{Is_Block=--Bamum}', "");
Expect(0, 42751, '\p{^Is_Block=--Bamum}', "");
Expect(0, 42751, '\P{Is_Block=--Bamum}', "");
Expect(1, 42751, '\P{^Is_Block=--Bamum}', "");
Expect(0, 42752, '\p{Is_Block=--Bamum}', "");
Expect(1, 42752, '\p{^Is_Block=--Bamum}', "");
Expect(1, 42752, '\P{Is_Block=--Bamum}', "");
Expect(0, 42752, '\P{^Is_Block=--Bamum}', "");
Error('\p{Is_Blk=-_Bamum:=}');
Error('\P{Is_Blk=-_Bamum:=}');
Expect(1, 42751, '\p{Is_Blk=bamum}', "");
Expect(0, 42751, '\p{^Is_Blk=bamum}', "");
Expect(0, 42751, '\P{Is_Blk=bamum}', "");
Expect(1, 42751, '\P{^Is_Blk=bamum}', "");
Expect(0, 42752, '\p{Is_Blk=bamum}', "");
Expect(1, 42752, '\p{^Is_Blk=bamum}', "");
Expect(1, 42752, '\P{Is_Blk=bamum}', "");
Expect(0, 42752, '\P{^Is_Blk=bamum}', "");
Expect(1, 42751, '\p{Is_Blk=-_Bamum}', "");
Expect(0, 42751, '\p{^Is_Blk=-_Bamum}', "");
Expect(0, 42751, '\P{Is_Blk=-_Bamum}', "");
Expect(1, 42751, '\P{^Is_Blk=-_Bamum}', "");
Expect(0, 42752, '\p{Is_Blk=-_Bamum}', "");
Expect(1, 42752, '\p{^Is_Blk=-_Bamum}', "");
Expect(1, 42752, '\P{Is_Blk=-_Bamum}', "");
Expect(0, 42752, '\P{^Is_Blk=-_Bamum}', "");
Error('\p{Block=	/a/Bamum_Supplement}');
Error('\P{Block=	/a/Bamum_Supplement}');
Expect(1, 92735, '\p{Block=bamumsupplement}', "");
Expect(0, 92735, '\p{^Block=bamumsupplement}', "");
Expect(0, 92735, '\P{Block=bamumsupplement}', "");
Expect(1, 92735, '\P{^Block=bamumsupplement}', "");
Expect(0, 92736, '\p{Block=bamumsupplement}', "");
Expect(1, 92736, '\p{^Block=bamumsupplement}', "");
Expect(1, 92736, '\P{Block=bamumsupplement}', "");
Expect(0, 92736, '\P{^Block=bamumsupplement}', "");
Expect(1, 92735, '\p{Block=  bamum_SUPPLEMENT}', "");
Expect(0, 92735, '\p{^Block=  bamum_SUPPLEMENT}', "");
Expect(0, 92735, '\P{Block=  bamum_SUPPLEMENT}', "");
Expect(1, 92735, '\P{^Block=  bamum_SUPPLEMENT}', "");
Expect(0, 92736, '\p{Block=  bamum_SUPPLEMENT}', "");
Expect(1, 92736, '\p{^Block=  bamum_SUPPLEMENT}', "");
Expect(1, 92736, '\P{Block=  bamum_SUPPLEMENT}', "");
Expect(0, 92736, '\P{^Block=  bamum_SUPPLEMENT}', "");
Error('\p{Blk=	/a/BAMUM_sup}');
Error('\P{Blk=	/a/BAMUM_sup}');
Expect(1, 92735, '\p{Blk=bamumsup}', "");
Expect(0, 92735, '\p{^Blk=bamumsup}', "");
Expect(0, 92735, '\P{Blk=bamumsup}', "");
Expect(1, 92735, '\P{^Blk=bamumsup}', "");
Expect(0, 92736, '\p{Blk=bamumsup}', "");
Expect(1, 92736, '\p{^Blk=bamumsup}', "");
Expect(1, 92736, '\P{Blk=bamumsup}', "");
Expect(0, 92736, '\P{^Blk=bamumsup}', "");
Expect(1, 92735, '\p{Blk=	 bamum_Sup}', "");
Expect(0, 92735, '\p{^Blk=	 bamum_Sup}', "");
Expect(0, 92735, '\P{Blk=	 bamum_Sup}', "");
Expect(1, 92735, '\P{^Blk=	 bamum_Sup}', "");
Expect(0, 92736, '\p{Blk=	 bamum_Sup}', "");
Expect(1, 92736, '\p{^Blk=	 bamum_Sup}', "");
Expect(1, 92736, '\P{Blk=	 bamum_Sup}', "");
Expect(0, 92736, '\P{^Blk=	 bamum_Sup}', "");
Error('\p{Is_Block=-/a/Bamum_Supplement}');
Error('\P{Is_Block=-/a/Bamum_Supplement}');
Expect(1, 92735, '\p{Is_Block=bamumsupplement}', "");
Expect(0, 92735, '\p{^Is_Block=bamumsupplement}', "");
Expect(0, 92735, '\P{Is_Block=bamumsupplement}', "");
Expect(1, 92735, '\P{^Is_Block=bamumsupplement}', "");
Expect(0, 92736, '\p{Is_Block=bamumsupplement}', "");
Expect(1, 92736, '\p{^Is_Block=bamumsupplement}', "");
Expect(1, 92736, '\P{Is_Block=bamumsupplement}', "");
Expect(0, 92736, '\P{^Is_Block=bamumsupplement}', "");
Expect(1, 92735, '\p{Is_Block:	-_BAMUM_Supplement}', "");
Expect(0, 92735, '\p{^Is_Block:	-_BAMUM_Supplement}', "");
Expect(0, 92735, '\P{Is_Block:	-_BAMUM_Supplement}', "");
Expect(1, 92735, '\P{^Is_Block:	-_BAMUM_Supplement}', "");
Expect(0, 92736, '\p{Is_Block:	-_BAMUM_Supplement}', "");
Expect(1, 92736, '\p{^Is_Block:	-_BAMUM_Supplement}', "");
Expect(1, 92736, '\P{Is_Block:	-_BAMUM_Supplement}', "");
Expect(0, 92736, '\P{^Is_Block:	-_BAMUM_Supplement}', "");
Error('\p{Is_Blk=:=- Bamum_Sup}');
Error('\P{Is_Blk=:=- Bamum_Sup}');
Expect(1, 92735, '\p{Is_Blk=bamumsup}', "");
Expect(0, 92735, '\p{^Is_Blk=bamumsup}', "");
Expect(0, 92735, '\P{Is_Blk=bamumsup}', "");
Expect(1, 92735, '\P{^Is_Blk=bamumsup}', "");
Expect(0, 92736, '\p{Is_Blk=bamumsup}', "");
Expect(1, 92736, '\p{^Is_Blk=bamumsup}', "");
Expect(1, 92736, '\P{Is_Blk=bamumsup}', "");
Expect(0, 92736, '\P{^Is_Blk=bamumsup}', "");
Expect(1, 92735, '\p{Is_Blk=	 Bamum_sup}', "");
Expect(0, 92735, '\p{^Is_Blk=	 Bamum_sup}', "");
Expect(0, 92735, '\P{Is_Blk=	 Bamum_sup}', "");
Expect(1, 92735, '\P{^Is_Blk=	 Bamum_sup}', "");
Expect(0, 92736, '\p{Is_Blk=	 Bamum_sup}', "");
Expect(1, 92736, '\p{^Is_Blk=	 Bamum_sup}', "");
Expect(1, 92736, '\P{Is_Blk=	 Bamum_sup}', "");
Expect(0, 92736, '\P{^Is_Blk=	 Bamum_sup}', "");
Error('\p{Block=/a/  Bassa_Vah}');
Error('\P{Block=/a/  Bassa_Vah}');
Expect(1, 92927, '\p{Block=bassavah}', "");
Expect(0, 92927, '\p{^Block=bassavah}', "");
Expect(0, 92927, '\P{Block=bassavah}', "");
Expect(1, 92927, '\P{^Block=bassavah}', "");
Expect(0, 92928, '\p{Block=bassavah}', "");
Expect(1, 92928, '\p{^Block=bassavah}', "");
Expect(1, 92928, '\P{Block=bassavah}', "");
Expect(0, 92928, '\P{^Block=bassavah}', "");
Expect(1, 92927, '\p{Block=__Bassa_Vah}', "");
Expect(0, 92927, '\p{^Block=__Bassa_Vah}', "");
Expect(0, 92927, '\P{Block=__Bassa_Vah}', "");
Expect(1, 92927, '\P{^Block=__Bassa_Vah}', "");
Expect(0, 92928, '\p{Block=__Bassa_Vah}', "");
Expect(1, 92928, '\p{^Block=__Bassa_Vah}', "");
Expect(1, 92928, '\P{Block=__Bassa_Vah}', "");
Expect(0, 92928, '\P{^Block=__Bassa_Vah}', "");
Error('\p{Blk=-/a/Bassa_VAH}');
Error('\P{Blk=-/a/Bassa_VAH}');
Expect(1, 92927, '\p{Blk=bassavah}', "");
Expect(0, 92927, '\p{^Blk=bassavah}', "");
Expect(0, 92927, '\P{Blk=bassavah}', "");
Expect(1, 92927, '\P{^Blk=bassavah}', "");
Expect(0, 92928, '\p{Blk=bassavah}', "");
Expect(1, 92928, '\p{^Blk=bassavah}', "");
Expect(1, 92928, '\P{Blk=bassavah}', "");
Expect(0, 92928, '\P{^Blk=bassavah}', "");
Expect(1, 92927, '\p{Blk=		bassa_vah}', "");
Expect(0, 92927, '\p{^Blk=		bassa_vah}', "");
Expect(0, 92927, '\P{Blk=		bassa_vah}', "");
Expect(1, 92927, '\P{^Blk=		bassa_vah}', "");
Expect(0, 92928, '\p{Blk=		bassa_vah}', "");
Expect(1, 92928, '\p{^Blk=		bassa_vah}', "");
Expect(1, 92928, '\P{Blk=		bassa_vah}', "");
Expect(0, 92928, '\P{^Blk=		bassa_vah}', "");
Error('\p{Is_Block=_	BASSA_vah:=}');
Error('\P{Is_Block=_	BASSA_vah:=}');
Expect(1, 92927, '\p{Is_Block=bassavah}', "");
Expect(0, 92927, '\p{^Is_Block=bassavah}', "");
Expect(0, 92927, '\P{Is_Block=bassavah}', "");
Expect(1, 92927, '\P{^Is_Block=bassavah}', "");
Expect(0, 92928, '\p{Is_Block=bassavah}', "");
Expect(1, 92928, '\p{^Is_Block=bassavah}', "");
Expect(1, 92928, '\P{Is_Block=bassavah}', "");
Expect(0, 92928, '\P{^Is_Block=bassavah}', "");
Expect(1, 92927, '\p{Is_Block=  Bassa_Vah}', "");
Expect(0, 92927, '\p{^Is_Block=  Bassa_Vah}', "");
Expect(0, 92927, '\P{Is_Block=  Bassa_Vah}', "");
Expect(1, 92927, '\P{^Is_Block=  Bassa_Vah}', "");
Expect(0, 92928, '\p{Is_Block=  Bassa_Vah}', "");
Expect(1, 92928, '\p{^Is_Block=  Bassa_Vah}', "");
Expect(1, 92928, '\P{Is_Block=  Bassa_Vah}', "");
Expect(0, 92928, '\P{^Is_Block=  Bassa_Vah}', "");
Error('\p{Is_Blk=	-BASSA_Vah/a/}');
Error('\P{Is_Blk=	-BASSA_Vah/a/}');
Expect(1, 92927, '\p{Is_Blk=bassavah}', "");
Expect(0, 92927, '\p{^Is_Blk=bassavah}', "");
Expect(0, 92927, '\P{Is_Blk=bassavah}', "");
Expect(1, 92927, '\P{^Is_Blk=bassavah}', "");
Expect(0, 92928, '\p{Is_Blk=bassavah}', "");
Expect(1, 92928, '\p{^Is_Blk=bassavah}', "");
Expect(1, 92928, '\P{Is_Blk=bassavah}', "");
Expect(0, 92928, '\P{^Is_Blk=bassavah}', "");
Expect(1, 92927, '\p{Is_Blk= BASSA_Vah}', "");
Expect(0, 92927, '\p{^Is_Blk= BASSA_Vah}', "");
Expect(0, 92927, '\P{Is_Blk= BASSA_Vah}', "");
Expect(1, 92927, '\P{^Is_Blk= BASSA_Vah}', "");
Expect(0, 92928, '\p{Is_Blk= BASSA_Vah}', "");
Expect(1, 92928, '\p{^Is_Blk= BASSA_Vah}', "");
Expect(1, 92928, '\P{Is_Blk= BASSA_Vah}', "");
Expect(0, 92928, '\P{^Is_Blk= BASSA_Vah}', "");
Error('\p{Block=-Batak:=}');
Error('\P{Block=-Batak:=}');
Expect(1, 7167, '\p{Block=batak}', "");
Expect(0, 7167, '\p{^Block=batak}', "");
Expect(0, 7167, '\P{Block=batak}', "");
Expect(1, 7167, '\P{^Block=batak}', "");
Expect(0, 7168, '\p{Block=batak}', "");
Expect(1, 7168, '\p{^Block=batak}', "");
Expect(1, 7168, '\P{Block=batak}', "");
Expect(0, 7168, '\P{^Block=batak}', "");
Expect(1, 7167, '\p{Block:   __BATAK}', "");
Expect(0, 7167, '\p{^Block:   __BATAK}', "");
Expect(0, 7167, '\P{Block:   __BATAK}', "");
Expect(1, 7167, '\P{^Block:   __BATAK}', "");
Expect(0, 7168, '\p{Block:   __BATAK}', "");
Expect(1, 7168, '\p{^Block:   __BATAK}', "");
Expect(1, 7168, '\P{Block:   __BATAK}', "");
Expect(0, 7168, '\P{^Block:   __BATAK}', "");
Error('\p{Blk:   :=	-Batak}');
Error('\P{Blk:   :=	-Batak}');
Expect(1, 7167, '\p{Blk=batak}', "");
Expect(0, 7167, '\p{^Blk=batak}', "");
Expect(0, 7167, '\P{Blk=batak}', "");
Expect(1, 7167, '\P{^Blk=batak}', "");
Expect(0, 7168, '\p{Blk=batak}', "");
Expect(1, 7168, '\p{^Blk=batak}', "");
Expect(1, 7168, '\P{Blk=batak}', "");
Expect(0, 7168, '\P{^Blk=batak}', "");
Expect(1, 7167, '\p{Blk=Batak}', "");
Expect(0, 7167, '\p{^Blk=Batak}', "");
Expect(0, 7167, '\P{Blk=Batak}', "");
Expect(1, 7167, '\P{^Blk=Batak}', "");
Expect(0, 7168, '\p{Blk=Batak}', "");
Expect(1, 7168, '\p{^Blk=Batak}', "");
Expect(1, 7168, '\P{Blk=Batak}', "");
Expect(0, 7168, '\P{^Blk=Batak}', "");
Error('\p{Is_Block= :=BATAK}');
Error('\P{Is_Block= :=BATAK}');
Expect(1, 7167, '\p{Is_Block:batak}', "");
Expect(0, 7167, '\p{^Is_Block:batak}', "");
Expect(0, 7167, '\P{Is_Block:batak}', "");
Expect(1, 7167, '\P{^Is_Block:batak}', "");
Expect(0, 7168, '\p{Is_Block:batak}', "");
Expect(1, 7168, '\p{^Is_Block:batak}', "");
Expect(1, 7168, '\P{Is_Block:batak}', "");
Expect(0, 7168, '\P{^Is_Block:batak}', "");
Expect(1, 7167, '\p{Is_Block=  Batak}', "");
Expect(0, 7167, '\p{^Is_Block=  Batak}', "");
Expect(0, 7167, '\P{Is_Block=  Batak}', "");
Expect(1, 7167, '\P{^Is_Block=  Batak}', "");
Expect(0, 7168, '\p{Is_Block=  Batak}', "");
Expect(1, 7168, '\p{^Is_Block=  Batak}', "");
Expect(1, 7168, '\P{Is_Block=  Batak}', "");
Expect(0, 7168, '\P{^Is_Block=  Batak}', "");
Error('\p{Is_Blk=		Batak:=}');
Error('\P{Is_Blk=		Batak:=}');
Expect(1, 7167, '\p{Is_Blk=batak}', "");
Expect(0, 7167, '\p{^Is_Blk=batak}', "");
Expect(0, 7167, '\P{Is_Blk=batak}', "");
Expect(1, 7167, '\P{^Is_Blk=batak}', "");
Expect(0, 7168, '\p{Is_Blk=batak}', "");
Expect(1, 7168, '\p{^Is_Blk=batak}', "");
Expect(1, 7168, '\P{Is_Blk=batak}', "");
Expect(0, 7168, '\P{^Is_Blk=batak}', "");
Expect(1, 7167, '\p{Is_Blk:   BATAK}', "");
Expect(0, 7167, '\p{^Is_Blk:   BATAK}', "");
Expect(0, 7167, '\P{Is_Blk:   BATAK}', "");
Expect(1, 7167, '\P{^Is_Blk:   BATAK}', "");
Expect(0, 7168, '\p{Is_Blk:   BATAK}', "");
Expect(1, 7168, '\p{^Is_Blk:   BATAK}', "");
Expect(1, 7168, '\P{Is_Blk:   BATAK}', "");
Expect(0, 7168, '\P{^Is_Blk:   BATAK}', "");
Error('\p{Block=/a/	 Bengali}');
Error('\P{Block=/a/	 Bengali}');
Expect(1, 2559, '\p{Block=bengali}', "");
Expect(0, 2559, '\p{^Block=bengali}', "");
Expect(0, 2559, '\P{Block=bengali}', "");
Expect(1, 2559, '\P{^Block=bengali}', "");
Expect(0, 2560, '\p{Block=bengali}', "");
Expect(1, 2560, '\p{^Block=bengali}', "");
Expect(1, 2560, '\P{Block=bengali}', "");
Expect(0, 2560, '\P{^Block=bengali}', "");
Expect(1, 2559, '\p{Block=-Bengali}', "");
Expect(0, 2559, '\p{^Block=-Bengali}', "");
Expect(0, 2559, '\P{Block=-Bengali}', "");
Expect(1, 2559, '\P{^Block=-Bengali}', "");
Expect(0, 2560, '\p{Block=-Bengali}', "");
Expect(1, 2560, '\p{^Block=-Bengali}', "");
Expect(1, 2560, '\P{Block=-Bengali}', "");
Expect(0, 2560, '\P{^Block=-Bengali}', "");
Error('\p{Blk=:=bengali}');
Error('\P{Blk=:=bengali}');
Expect(1, 2559, '\p{Blk=bengali}', "");
Expect(0, 2559, '\p{^Blk=bengali}', "");
Expect(0, 2559, '\P{Blk=bengali}', "");
Expect(1, 2559, '\P{^Blk=bengali}', "");
Expect(0, 2560, '\p{Blk=bengali}', "");
Expect(1, 2560, '\p{^Blk=bengali}', "");
Expect(1, 2560, '\P{Blk=bengali}', "");
Expect(0, 2560, '\P{^Blk=bengali}', "");
Expect(1, 2559, '\p{Blk=	-Bengali}', "");
Expect(0, 2559, '\p{^Blk=	-Bengali}', "");
Expect(0, 2559, '\P{Blk=	-Bengali}', "");
Expect(1, 2559, '\P{^Blk=	-Bengali}', "");
Expect(0, 2560, '\p{Blk=	-Bengali}', "");
Expect(1, 2560, '\p{^Blk=	-Bengali}', "");
Expect(1, 2560, '\P{Blk=	-Bengali}', "");
Expect(0, 2560, '\P{^Blk=	-Bengali}', "");
Error('\p{Is_Block=:=--bengali}');
Error('\P{Is_Block=:=--bengali}');
Expect(1, 2559, '\p{Is_Block=bengali}', "");
Expect(0, 2559, '\p{^Is_Block=bengali}', "");
Expect(0, 2559, '\P{Is_Block=bengali}', "");
Expect(1, 2559, '\P{^Is_Block=bengali}', "");
Expect(0, 2560, '\p{Is_Block=bengali}', "");
Expect(1, 2560, '\p{^Is_Block=bengali}', "");
Expect(1, 2560, '\P{Is_Block=bengali}', "");
Expect(0, 2560, '\P{^Is_Block=bengali}', "");
Expect(1, 2559, '\p{Is_Block=_Bengali}', "");
Expect(0, 2559, '\p{^Is_Block=_Bengali}', "");
Expect(0, 2559, '\P{Is_Block=_Bengali}', "");
Expect(1, 2559, '\P{^Is_Block=_Bengali}', "");
Expect(0, 2560, '\p{Is_Block=_Bengali}', "");
Expect(1, 2560, '\p{^Is_Block=_Bengali}', "");
Expect(1, 2560, '\P{Is_Block=_Bengali}', "");
Expect(0, 2560, '\P{^Is_Block=_Bengali}', "");
Error('\p{Is_Blk= bengali/a/}');
Error('\P{Is_Blk= bengali/a/}');
Expect(1, 2559, '\p{Is_Blk=bengali}', "");
Expect(0, 2559, '\p{^Is_Blk=bengali}', "");
Expect(0, 2559, '\P{Is_Blk=bengali}', "");
Expect(1, 2559, '\P{^Is_Blk=bengali}', "");
Expect(0, 2560, '\p{Is_Blk=bengali}', "");
Expect(1, 2560, '\p{^Is_Blk=bengali}', "");
Expect(1, 2560, '\P{Is_Blk=bengali}', "");
Expect(0, 2560, '\P{^Is_Blk=bengali}', "");
Expect(1, 2559, '\p{Is_Blk=-	Bengali}', "");
Expect(0, 2559, '\p{^Is_Blk=-	Bengali}', "");
Expect(0, 2559, '\P{Is_Blk=-	Bengali}', "");
Expect(1, 2559, '\P{^Is_Blk=-	Bengali}', "");
Expect(0, 2560, '\p{Is_Blk=-	Bengali}', "");
Expect(1, 2560, '\p{^Is_Blk=-	Bengali}', "");
Expect(1, 2560, '\P{Is_Blk=-	Bengali}', "");
Expect(0, 2560, '\P{^Is_Blk=-	Bengali}', "");
Error('\p{Block=_/a/block_elements}');
Error('\P{Block=_/a/block_elements}');
Expect(1, 9631, '\p{Block=blockelements}', "");
Expect(0, 9631, '\p{^Block=blockelements}', "");
Expect(0, 9631, '\P{Block=blockelements}', "");
Expect(1, 9631, '\P{^Block=blockelements}', "");
Expect(0, 9632, '\p{Block=blockelements}', "");
Expect(1, 9632, '\p{^Block=blockelements}', "");
Expect(1, 9632, '\P{Block=blockelements}', "");
Expect(0, 9632, '\P{^Block=blockelements}', "");
Expect(1, 9631, '\p{Block= _BLOCK_ELEMENTS}', "");
Expect(0, 9631, '\p{^Block= _BLOCK_ELEMENTS}', "");
Expect(0, 9631, '\P{Block= _BLOCK_ELEMENTS}', "");
Expect(1, 9631, '\P{^Block= _BLOCK_ELEMENTS}', "");
Expect(0, 9632, '\p{Block= _BLOCK_ELEMENTS}', "");
Expect(1, 9632, '\p{^Block= _BLOCK_ELEMENTS}', "");
Expect(1, 9632, '\P{Block= _BLOCK_ELEMENTS}', "");
Expect(0, 9632, '\P{^Block= _BLOCK_ELEMENTS}', "");
Error('\p{Blk=-_Block_elements:=}');
Error('\P{Blk=-_Block_elements:=}');
Expect(1, 9631, '\p{Blk=blockelements}', "");
Expect(0, 9631, '\p{^Blk=blockelements}', "");
Expect(0, 9631, '\P{Blk=blockelements}', "");
Expect(1, 9631, '\P{^Blk=blockelements}', "");
Expect(0, 9632, '\p{Blk=blockelements}', "");
Expect(1, 9632, '\p{^Blk=blockelements}', "");
Expect(1, 9632, '\P{Blk=blockelements}', "");
Expect(0, 9632, '\P{^Blk=blockelements}', "");
Expect(1, 9631, '\p{Blk=  Block_ELEMENTS}', "");
Expect(0, 9631, '\p{^Blk=  Block_ELEMENTS}', "");
Expect(0, 9631, '\P{Blk=  Block_ELEMENTS}', "");
Expect(1, 9631, '\P{^Blk=  Block_ELEMENTS}', "");
Expect(0, 9632, '\p{Blk=  Block_ELEMENTS}', "");
Expect(1, 9632, '\p{^Blk=  Block_ELEMENTS}', "");
Expect(1, 9632, '\P{Blk=  Block_ELEMENTS}', "");
Expect(0, 9632, '\P{^Blk=  Block_ELEMENTS}', "");
Error('\p{Is_Block:	block_Elements/a/}');
Error('\P{Is_Block:	block_Elements/a/}');
Expect(1, 9631, '\p{Is_Block=blockelements}', "");
Expect(0, 9631, '\p{^Is_Block=blockelements}', "");
Expect(0, 9631, '\P{Is_Block=blockelements}', "");
Expect(1, 9631, '\P{^Is_Block=blockelements}', "");
Expect(0, 9632, '\p{Is_Block=blockelements}', "");
Expect(1, 9632, '\p{^Is_Block=blockelements}', "");
Expect(1, 9632, '\P{Is_Block=blockelements}', "");
Expect(0, 9632, '\P{^Is_Block=blockelements}', "");
Expect(1, 9631, '\p{Is_Block=-_BLOCK_elements}', "");
Expect(0, 9631, '\p{^Is_Block=-_BLOCK_elements}', "");
Expect(0, 9631, '\P{Is_Block=-_BLOCK_elements}', "");
Expect(1, 9631, '\P{^Is_Block=-_BLOCK_elements}', "");
Expect(0, 9632, '\p{Is_Block=-_BLOCK_elements}', "");
Expect(1, 9632, '\p{^Is_Block=-_BLOCK_elements}', "");
Expect(1, 9632, '\P{Is_Block=-_BLOCK_elements}', "");
Expect(0, 9632, '\P{^Is_Block=-_BLOCK_elements}', "");
Error('\p{Is_Blk=_/a/block_Elements}');
Error('\P{Is_Blk=_/a/block_Elements}');
Expect(1, 9631, '\p{Is_Blk=blockelements}', "");
Expect(0, 9631, '\p{^Is_Blk=blockelements}', "");
Expect(0, 9631, '\P{Is_Blk=blockelements}', "");
Expect(1, 9631, '\P{^Is_Blk=blockelements}', "");
Expect(0, 9632, '\p{Is_Blk=blockelements}', "");
Expect(1, 9632, '\p{^Is_Blk=blockelements}', "");
Expect(1, 9632, '\P{Is_Blk=blockelements}', "");
Expect(0, 9632, '\P{^Is_Blk=blockelements}', "");
Expect(1, 9631, '\p{Is_Blk=--BLOCK_Elements}', "");
Expect(0, 9631, '\p{^Is_Blk=--BLOCK_Elements}', "");
Expect(0, 9631, '\P{Is_Blk=--BLOCK_Elements}', "");
Expect(1, 9631, '\P{^Is_Blk=--BLOCK_Elements}', "");
Expect(0, 9632, '\p{Is_Blk=--BLOCK_Elements}', "");
Expect(1, 9632, '\p{^Is_Blk=--BLOCK_Elements}', "");
Expect(1, 9632, '\P{Is_Blk=--BLOCK_Elements}', "");
Expect(0, 9632, '\P{^Is_Blk=--BLOCK_Elements}', "");
Error('\p{Block=	 bopomofo/a/}');
Error('\P{Block=	 bopomofo/a/}');
Expect(1, 12591, '\p{Block=bopomofo}', "");
Expect(0, 12591, '\p{^Block=bopomofo}', "");
Expect(0, 12591, '\P{Block=bopomofo}', "");
Expect(1, 12591, '\P{^Block=bopomofo}', "");
Expect(0, 12592, '\p{Block=bopomofo}', "");
Expect(1, 12592, '\p{^Block=bopomofo}', "");
Expect(1, 12592, '\P{Block=bopomofo}', "");
Expect(0, 12592, '\P{^Block=bopomofo}', "");
Expect(1, 12591, '\p{Block= _BOPOMOFO}', "");
Expect(0, 12591, '\p{^Block= _BOPOMOFO}', "");
Expect(0, 12591, '\P{Block= _BOPOMOFO}', "");
Expect(1, 12591, '\P{^Block= _BOPOMOFO}', "");
Expect(0, 12592, '\p{Block= _BOPOMOFO}', "");
Expect(1, 12592, '\p{^Block= _BOPOMOFO}', "");
Expect(1, 12592, '\P{Block= _BOPOMOFO}', "");
Expect(0, 12592, '\P{^Block= _BOPOMOFO}', "");
Error('\p{Blk=Bopomofo:=}');
Error('\P{Blk=Bopomofo:=}');
Expect(1, 12591, '\p{Blk=bopomofo}', "");
Expect(0, 12591, '\p{^Blk=bopomofo}', "");
Expect(0, 12591, '\P{Blk=bopomofo}', "");
Expect(1, 12591, '\P{^Blk=bopomofo}', "");
Expect(0, 12592, '\p{Blk=bopomofo}', "");
Expect(1, 12592, '\p{^Blk=bopomofo}', "");
Expect(1, 12592, '\P{Blk=bopomofo}', "");
Expect(0, 12592, '\P{^Blk=bopomofo}', "");
Expect(1, 12591, '\p{Blk: 	_Bopomofo}', "");
Expect(0, 12591, '\p{^Blk: 	_Bopomofo}', "");
Expect(0, 12591, '\P{Blk: 	_Bopomofo}', "");
Expect(1, 12591, '\P{^Blk: 	_Bopomofo}', "");
Expect(0, 12592, '\p{Blk: 	_Bopomofo}', "");
Expect(1, 12592, '\p{^Blk: 	_Bopomofo}', "");
Expect(1, 12592, '\P{Blk: 	_Bopomofo}', "");
Expect(0, 12592, '\P{^Blk: 	_Bopomofo}', "");
Error('\p{Is_Block: :=BOPOMOFO}');
Error('\P{Is_Block: :=BOPOMOFO}');
Expect(1, 12591, '\p{Is_Block=bopomofo}', "");
Expect(0, 12591, '\p{^Is_Block=bopomofo}', "");
Expect(0, 12591, '\P{Is_Block=bopomofo}', "");
Expect(1, 12591, '\P{^Is_Block=bopomofo}', "");
Expect(0, 12592, '\p{Is_Block=bopomofo}', "");
Expect(1, 12592, '\p{^Is_Block=bopomofo}', "");
Expect(1, 12592, '\P{Is_Block=bopomofo}', "");
Expect(0, 12592, '\P{^Is_Block=bopomofo}', "");
Expect(1, 12591, '\p{Is_Block=BOPOMOFO}', "");
Expect(0, 12591, '\p{^Is_Block=BOPOMOFO}', "");
Expect(0, 12591, '\P{Is_Block=BOPOMOFO}', "");
Expect(1, 12591, '\P{^Is_Block=BOPOMOFO}', "");
Expect(0, 12592, '\p{Is_Block=BOPOMOFO}', "");
Expect(1, 12592, '\p{^Is_Block=BOPOMOFO}', "");
Expect(1, 12592, '\P{Is_Block=BOPOMOFO}', "");
Expect(0, 12592, '\P{^Is_Block=BOPOMOFO}', "");
Error('\p{Is_Blk= Bopomofo/a/}');
Error('\P{Is_Blk= Bopomofo/a/}');
Expect(1, 12591, '\p{Is_Blk=bopomofo}', "");
Expect(0, 12591, '\p{^Is_Blk=bopomofo}', "");
Expect(0, 12591, '\P{Is_Blk=bopomofo}', "");
Expect(1, 12591, '\P{^Is_Blk=bopomofo}', "");
Expect(0, 12592, '\p{Is_Blk=bopomofo}', "");
Expect(1, 12592, '\p{^Is_Blk=bopomofo}', "");
Expect(1, 12592, '\P{Is_Blk=bopomofo}', "");
Expect(0, 12592, '\P{^Is_Blk=bopomofo}', "");
Expect(1, 12591, '\p{Is_Blk=-	Bopomofo}', "");
Expect(0, 12591, '\p{^Is_Blk=-	Bopomofo}', "");
Expect(0, 12591, '\P{Is_Blk=-	Bopomofo}', "");
Expect(1, 12591, '\P{^Is_Blk=-	Bopomofo}', "");
Expect(0, 12592, '\p{Is_Blk=-	Bopomofo}', "");
Expect(1, 12592, '\p{^Is_Blk=-	Bopomofo}', "");
Expect(1, 12592, '\P{Is_Blk=-	Bopomofo}', "");
Expect(0, 12592, '\P{^Is_Blk=-	Bopomofo}', "");
Error('\p{Block=		Bopomofo_EXTENDED:=}');
Error('\P{Block=		Bopomofo_EXTENDED:=}');
Expect(1, 12735, '\p{Block=bopomofoextended}', "");
Expect(0, 12735, '\p{^Block=bopomofoextended}', "");
Expect(0, 12735, '\P{Block=bopomofoextended}', "");
Expect(1, 12735, '\P{^Block=bopomofoextended}', "");
Expect(0, 12736, '\p{Block=bopomofoextended}', "");
Expect(1, 12736, '\p{^Block=bopomofoextended}', "");
Expect(1, 12736, '\P{Block=bopomofoextended}', "");
Expect(0, 12736, '\P{^Block=bopomofoextended}', "");
Expect(1, 12735, '\p{Block=_Bopomofo_Extended}', "");
Expect(0, 12735, '\p{^Block=_Bopomofo_Extended}', "");
Expect(0, 12735, '\P{Block=_Bopomofo_Extended}', "");
Expect(1, 12735, '\P{^Block=_Bopomofo_Extended}', "");
Expect(0, 12736, '\p{Block=_Bopomofo_Extended}', "");
Expect(1, 12736, '\p{^Block=_Bopomofo_Extended}', "");
Expect(1, 12736, '\P{Block=_Bopomofo_Extended}', "");
Expect(0, 12736, '\P{^Block=_Bopomofo_Extended}', "");
Error('\p{Blk=:= 	bopomofo_EXT}');
Error('\P{Blk=:= 	bopomofo_EXT}');
Expect(1, 12735, '\p{Blk=bopomofoext}', "");
Expect(0, 12735, '\p{^Blk=bopomofoext}', "");
Expect(0, 12735, '\P{Blk=bopomofoext}', "");
Expect(1, 12735, '\P{^Blk=bopomofoext}', "");
Expect(0, 12736, '\p{Blk=bopomofoext}', "");
Expect(1, 12736, '\p{^Blk=bopomofoext}', "");
Expect(1, 12736, '\P{Blk=bopomofoext}', "");
Expect(0, 12736, '\P{^Blk=bopomofoext}', "");
Expect(1, 12735, '\p{Blk=__BOPOMOFO_Ext}', "");
Expect(0, 12735, '\p{^Blk=__BOPOMOFO_Ext}', "");
Expect(0, 12735, '\P{Blk=__BOPOMOFO_Ext}', "");
Expect(1, 12735, '\P{^Blk=__BOPOMOFO_Ext}', "");
Expect(0, 12736, '\p{Blk=__BOPOMOFO_Ext}', "");
Expect(1, 12736, '\p{^Blk=__BOPOMOFO_Ext}', "");
Expect(1, 12736, '\P{Blk=__BOPOMOFO_Ext}', "");
Expect(0, 12736, '\P{^Blk=__BOPOMOFO_Ext}', "");
Error('\p{Is_Block:/a/-	bopomofo_EXTENDED}');
Error('\P{Is_Block:/a/-	bopomofo_EXTENDED}');
Expect(1, 12735, '\p{Is_Block=bopomofoextended}', "");
Expect(0, 12735, '\p{^Is_Block=bopomofoextended}', "");
Expect(0, 12735, '\P{Is_Block=bopomofoextended}', "");
Expect(1, 12735, '\P{^Is_Block=bopomofoextended}', "");
Expect(0, 12736, '\p{Is_Block=bopomofoextended}', "");
Expect(1, 12736, '\p{^Is_Block=bopomofoextended}', "");
Expect(1, 12736, '\P{Is_Block=bopomofoextended}', "");
Expect(0, 12736, '\P{^Is_Block=bopomofoextended}', "");
Expect(1, 12735, '\p{Is_Block= 	Bopomofo_Extended}', "");
Expect(0, 12735, '\p{^Is_Block= 	Bopomofo_Extended}', "");
Expect(0, 12735, '\P{Is_Block= 	Bopomofo_Extended}', "");
Expect(1, 12735, '\P{^Is_Block= 	Bopomofo_Extended}', "");
Expect(0, 12736, '\p{Is_Block= 	Bopomofo_Extended}', "");
Expect(1, 12736, '\p{^Is_Block= 	Bopomofo_Extended}', "");
Expect(1, 12736, '\P{Is_Block= 	Bopomofo_Extended}', "");
Expect(0, 12736, '\P{^Is_Block= 	Bopomofo_Extended}', "");
Error('\p{Is_Blk=:=-_Bopomofo_Ext}');
Error('\P{Is_Blk=:=-_Bopomofo_Ext}');
Expect(1, 12735, '\p{Is_Blk=bopomofoext}', "");
Expect(0, 12735, '\p{^Is_Blk=bopomofoext}', "");
Expect(0, 12735, '\P{Is_Blk=bopomofoext}', "");
Expect(1, 12735, '\P{^Is_Blk=bopomofoext}', "");
Expect(0, 12736, '\p{Is_Blk=bopomofoext}', "");
Expect(1, 12736, '\p{^Is_Blk=bopomofoext}', "");
Expect(1, 12736, '\P{Is_Blk=bopomofoext}', "");
Expect(0, 12736, '\P{^Is_Blk=bopomofoext}', "");
Expect(1, 12735, '\p{Is_Blk=_-Bopomofo_Ext}', "");
Expect(0, 12735, '\p{^Is_Blk=_-Bopomofo_Ext}', "");
Expect(0, 12735, '\P{Is_Blk=_-Bopomofo_Ext}', "");
Expect(1, 12735, '\P{^Is_Blk=_-Bopomofo_Ext}', "");
Expect(0, 12736, '\p{Is_Blk=_-Bopomofo_Ext}', "");
Expect(1, 12736, '\p{^Is_Blk=_-Bopomofo_Ext}', "");
Expect(1, 12736, '\P{Is_Blk=_-Bopomofo_Ext}', "");
Expect(0, 12736, '\P{^Is_Blk=_-Bopomofo_Ext}', "");
Error('\p{Block=/a/ _BOX_drawing}');
Error('\P{Block=/a/ _BOX_drawing}');
Expect(1, 9599, '\p{Block=boxdrawing}', "");
Expect(0, 9599, '\p{^Block=boxdrawing}', "");
Expect(0, 9599, '\P{Block=boxdrawing}', "");
Expect(1, 9599, '\P{^Block=boxdrawing}', "");
Expect(0, 9600, '\p{Block=boxdrawing}', "");
Expect(1, 9600, '\p{^Block=boxdrawing}', "");
Expect(1, 9600, '\P{Block=boxdrawing}', "");
Expect(0, 9600, '\P{^Block=boxdrawing}', "");
Expect(1, 9599, '\p{Block=_box_drawing}', "");
Expect(0, 9599, '\p{^Block=_box_drawing}', "");
Expect(0, 9599, '\P{Block=_box_drawing}', "");
Expect(1, 9599, '\P{^Block=_box_drawing}', "");
Expect(0, 9600, '\p{Block=_box_drawing}', "");
Expect(1, 9600, '\p{^Block=_box_drawing}', "");
Expect(1, 9600, '\P{Block=_box_drawing}', "");
Expect(0, 9600, '\P{^Block=_box_drawing}', "");
Error('\p{Blk=	/a/Box_DRAWING}');
Error('\P{Blk=	/a/Box_DRAWING}');
Expect(1, 9599, '\p{Blk=boxdrawing}', "");
Expect(0, 9599, '\p{^Blk=boxdrawing}', "");
Expect(0, 9599, '\P{Blk=boxdrawing}', "");
Expect(1, 9599, '\P{^Blk=boxdrawing}', "");
Expect(0, 9600, '\p{Blk=boxdrawing}', "");
Expect(1, 9600, '\p{^Blk=boxdrawing}', "");
Expect(1, 9600, '\P{Blk=boxdrawing}', "");
Expect(0, 9600, '\P{^Blk=boxdrawing}', "");
Expect(1, 9599, '\p{Blk=	Box_drawing}', "");
Expect(0, 9599, '\p{^Blk=	Box_drawing}', "");
Expect(0, 9599, '\P{Blk=	Box_drawing}', "");
Expect(1, 9599, '\P{^Blk=	Box_drawing}', "");
Expect(0, 9600, '\p{Blk=	Box_drawing}', "");
Expect(1, 9600, '\p{^Blk=	Box_drawing}', "");
Expect(1, 9600, '\P{Blk=	Box_drawing}', "");
Expect(0, 9600, '\P{^Blk=	Box_drawing}', "");
Error('\p{Is_Block=:=_ Box_DRAWING}');
Error('\P{Is_Block=:=_ Box_DRAWING}');
Expect(1, 9599, '\p{Is_Block=boxdrawing}', "");
Expect(0, 9599, '\p{^Is_Block=boxdrawing}', "");
Expect(0, 9599, '\P{Is_Block=boxdrawing}', "");
Expect(1, 9599, '\P{^Is_Block=boxdrawing}', "");
Expect(0, 9600, '\p{Is_Block=boxdrawing}', "");
Expect(1, 9600, '\p{^Is_Block=boxdrawing}', "");
Expect(1, 9600, '\P{Is_Block=boxdrawing}', "");
Expect(0, 9600, '\P{^Is_Block=boxdrawing}', "");
Expect(1, 9599, '\p{Is_Block=_	Box_Drawing}', "");
Expect(0, 9599, '\p{^Is_Block=_	Box_Drawing}', "");
Expect(0, 9599, '\P{Is_Block=_	Box_Drawing}', "");
Expect(1, 9599, '\P{^Is_Block=_	Box_Drawing}', "");
Expect(0, 9600, '\p{Is_Block=_	Box_Drawing}', "");
Expect(1, 9600, '\p{^Is_Block=_	Box_Drawing}', "");
Expect(1, 9600, '\P{Is_Block=_	Box_Drawing}', "");
Expect(0, 9600, '\P{^Is_Block=_	Box_Drawing}', "");
Error('\p{Is_Blk=/a/box_Drawing}');
Error('\P{Is_Blk=/a/box_Drawing}');
Expect(1, 9599, '\p{Is_Blk=boxdrawing}', "");
Expect(0, 9599, '\p{^Is_Blk=boxdrawing}', "");
Expect(0, 9599, '\P{Is_Blk=boxdrawing}', "");
Expect(1, 9599, '\P{^Is_Blk=boxdrawing}', "");
Expect(0, 9600, '\p{Is_Blk=boxdrawing}', "");
Expect(1, 9600, '\p{^Is_Blk=boxdrawing}', "");
Expect(1, 9600, '\P{Is_Blk=boxdrawing}', "");
Expect(0, 9600, '\P{^Is_Blk=boxdrawing}', "");
Expect(1, 9599, '\p{Is_Blk=-Box_DRAWING}', "");
Expect(0, 9599, '\p{^Is_Blk=-Box_DRAWING}', "");
Expect(0, 9599, '\P{Is_Blk=-Box_DRAWING}', "");
Expect(1, 9599, '\P{^Is_Blk=-Box_DRAWING}', "");
Expect(0, 9600, '\p{Is_Blk=-Box_DRAWING}', "");
Expect(1, 9600, '\p{^Is_Blk=-Box_DRAWING}', "");
Expect(1, 9600, '\P{Is_Blk=-Box_DRAWING}', "");
Expect(0, 9600, '\P{^Is_Blk=-Box_DRAWING}', "");
Error('\p{Block: /a/ -brahmi}');
Error('\P{Block: /a/ -brahmi}');
Expect(1, 69759, '\p{Block=brahmi}', "");
Expect(0, 69759, '\p{^Block=brahmi}', "");
Expect(0, 69759, '\P{Block=brahmi}', "");
Expect(1, 69759, '\P{^Block=brahmi}', "");
Expect(0, 69760, '\p{Block=brahmi}', "");
Expect(1, 69760, '\p{^Block=brahmi}', "");
Expect(1, 69760, '\P{Block=brahmi}', "");
Expect(0, 69760, '\P{^Block=brahmi}', "");
Expect(1, 69759, '\p{Block=--BRAHMI}', "");
Expect(0, 69759, '\p{^Block=--BRAHMI}', "");
Expect(0, 69759, '\P{Block=--BRAHMI}', "");
Expect(1, 69759, '\P{^Block=--BRAHMI}', "");
Expect(0, 69760, '\p{Block=--BRAHMI}', "");
Expect(1, 69760, '\p{^Block=--BRAHMI}', "");
Expect(1, 69760, '\P{Block=--BRAHMI}', "");
Expect(0, 69760, '\P{^Block=--BRAHMI}', "");
Error('\p{Blk=/a/--BRAHMI}');
Error('\P{Blk=/a/--BRAHMI}');
Expect(1, 69759, '\p{Blk=brahmi}', "");
Expect(0, 69759, '\p{^Blk=brahmi}', "");
Expect(0, 69759, '\P{Blk=brahmi}', "");
Expect(1, 69759, '\P{^Blk=brahmi}', "");
Expect(0, 69760, '\p{Blk=brahmi}', "");
Expect(1, 69760, '\p{^Blk=brahmi}', "");
Expect(1, 69760, '\P{Blk=brahmi}', "");
Expect(0, 69760, '\P{^Blk=brahmi}', "");
Expect(1, 69759, '\p{Blk= 	Brahmi}', "");
Expect(0, 69759, '\p{^Blk= 	Brahmi}', "");
Expect(0, 69759, '\P{Blk= 	Brahmi}', "");
Expect(1, 69759, '\P{^Blk= 	Brahmi}', "");
Expect(0, 69760, '\p{Blk= 	Brahmi}', "");
Expect(1, 69760, '\p{^Blk= 	Brahmi}', "");
Expect(1, 69760, '\P{Blk= 	Brahmi}', "");
Expect(0, 69760, '\P{^Blk= 	Brahmi}', "");
Error('\p{Is_Block=	_brahmi/a/}');
Error('\P{Is_Block=	_brahmi/a/}');
Expect(1, 69759, '\p{Is_Block=brahmi}', "");
Expect(0, 69759, '\p{^Is_Block=brahmi}', "");
Expect(0, 69759, '\P{Is_Block=brahmi}', "");
Expect(1, 69759, '\P{^Is_Block=brahmi}', "");
Expect(0, 69760, '\p{Is_Block=brahmi}', "");
Expect(1, 69760, '\p{^Is_Block=brahmi}', "");
Expect(1, 69760, '\P{Is_Block=brahmi}', "");
Expect(0, 69760, '\P{^Is_Block=brahmi}', "");
Expect(1, 69759, '\p{Is_Block=- Brahmi}', "");
Expect(0, 69759, '\p{^Is_Block=- Brahmi}', "");
Expect(0, 69759, '\P{Is_Block=- Brahmi}', "");
Expect(1, 69759, '\P{^Is_Block=- Brahmi}', "");
Expect(0, 69760, '\p{Is_Block=- Brahmi}', "");
Expect(1, 69760, '\p{^Is_Block=- Brahmi}', "");
Expect(1, 69760, '\P{Is_Block=- Brahmi}', "");
Expect(0, 69760, '\P{^Is_Block=- Brahmi}', "");
Error('\p{Is_Blk=_	brahmi:=}');
Error('\P{Is_Blk=_	brahmi:=}');
Expect(1, 69759, '\p{Is_Blk=brahmi}', "");
Expect(0, 69759, '\p{^Is_Blk=brahmi}', "");
Expect(0, 69759, '\P{Is_Blk=brahmi}', "");
Expect(1, 69759, '\P{^Is_Blk=brahmi}', "");
Expect(0, 69760, '\p{Is_Blk=brahmi}', "");
Expect(1, 69760, '\p{^Is_Blk=brahmi}', "");
Expect(1, 69760, '\P{Is_Blk=brahmi}', "");
Expect(0, 69760, '\P{^Is_Blk=brahmi}', "");
Expect(1, 69759, '\p{Is_Blk=	brahmi}', "");
Expect(0, 69759, '\p{^Is_Blk=	brahmi}', "");
Expect(0, 69759, '\P{Is_Blk=	brahmi}', "");
Expect(1, 69759, '\P{^Is_Blk=	brahmi}', "");
Expect(0, 69760, '\p{Is_Blk=	brahmi}', "");
Expect(1, 69760, '\p{^Is_Blk=	brahmi}', "");
Expect(1, 69760, '\P{Is_Blk=	brahmi}', "");
Expect(0, 69760, '\P{^Is_Blk=	brahmi}', "");
Error('\p{Block=:=	braille_Patterns}');
Error('\P{Block=:=	braille_Patterns}');
Expect(1, 10495, '\p{Block:braillepatterns}', "");
Expect(0, 10495, '\p{^Block:braillepatterns}', "");
Expect(0, 10495, '\P{Block:braillepatterns}', "");
Expect(1, 10495, '\P{^Block:braillepatterns}', "");
Expect(0, 10496, '\p{Block:braillepatterns}', "");
Expect(1, 10496, '\p{^Block:braillepatterns}', "");
Expect(1, 10496, '\P{Block:braillepatterns}', "");
Expect(0, 10496, '\P{^Block:braillepatterns}', "");
Expect(1, 10495, '\p{Block=  Braille_Patterns}', "");
Expect(0, 10495, '\p{^Block=  Braille_Patterns}', "");
Expect(0, 10495, '\P{Block=  Braille_Patterns}', "");
Expect(1, 10495, '\P{^Block=  Braille_Patterns}', "");
Expect(0, 10496, '\p{Block=  Braille_Patterns}', "");
Expect(1, 10496, '\p{^Block=  Braille_Patterns}', "");
Expect(1, 10496, '\P{Block=  Braille_Patterns}', "");
Expect(0, 10496, '\P{^Block=  Braille_Patterns}', "");
Error('\p{Blk=/a/ Braille}');
Error('\P{Blk=/a/ Braille}');
Expect(1, 10495, '\p{Blk:   braille}', "");
Expect(0, 10495, '\p{^Blk:   braille}', "");
Expect(0, 10495, '\P{Blk:   braille}', "");
Expect(1, 10495, '\P{^Blk:   braille}', "");
Expect(0, 10496, '\p{Blk:   braille}', "");
Expect(1, 10496, '\p{^Blk:   braille}', "");
Expect(1, 10496, '\P{Blk:   braille}', "");
Expect(0, 10496, '\P{^Blk:   braille}', "");
Expect(1, 10495, '\p{Blk=_braille}', "");
Expect(0, 10495, '\p{^Blk=_braille}', "");
Expect(0, 10495, '\P{Blk=_braille}', "");
Expect(1, 10495, '\P{^Blk=_braille}', "");
Expect(0, 10496, '\p{Blk=_braille}', "");
Expect(1, 10496, '\p{^Blk=_braille}', "");
Expect(1, 10496, '\P{Blk=_braille}', "");
Expect(0, 10496, '\P{^Blk=_braille}', "");
Error('\p{Is_Block=_BRAILLE_Patterns:=}');
Error('\P{Is_Block=_BRAILLE_Patterns:=}');
Expect(1, 10495, '\p{Is_Block=braillepatterns}', "");
Expect(0, 10495, '\p{^Is_Block=braillepatterns}', "");
Expect(0, 10495, '\P{Is_Block=braillepatterns}', "");
Expect(1, 10495, '\P{^Is_Block=braillepatterns}', "");
Expect(0, 10496, '\p{Is_Block=braillepatterns}', "");
Expect(1, 10496, '\p{^Is_Block=braillepatterns}', "");
Expect(1, 10496, '\P{Is_Block=braillepatterns}', "");
Expect(0, 10496, '\P{^Is_Block=braillepatterns}', "");
Expect(1, 10495, '\p{Is_Block:	Braille_patterns}', "");
Expect(0, 10495, '\p{^Is_Block:	Braille_patterns}', "");
Expect(0, 10495, '\P{Is_Block:	Braille_patterns}', "");
Expect(1, 10495, '\P{^Is_Block:	Braille_patterns}', "");
Expect(0, 10496, '\p{Is_Block:	Braille_patterns}', "");
Expect(1, 10496, '\p{^Is_Block:	Braille_patterns}', "");
Expect(1, 10496, '\P{Is_Block:	Braille_patterns}', "");
Expect(0, 10496, '\P{^Is_Block:	Braille_patterns}', "");
Error('\p{Is_Blk=__Braille:=}');
Error('\P{Is_Blk=__Braille:=}');
Expect(1, 10495, '\p{Is_Blk=braille}', "");
Expect(0, 10495, '\p{^Is_Blk=braille}', "");
Expect(0, 10495, '\P{Is_Blk=braille}', "");
Expect(1, 10495, '\P{^Is_Blk=braille}', "");
Expect(0, 10496, '\p{Is_Blk=braille}', "");
Expect(1, 10496, '\p{^Is_Blk=braille}', "");
Expect(1, 10496, '\P{Is_Blk=braille}', "");
Expect(0, 10496, '\P{^Is_Blk=braille}', "");
Expect(1, 10495, '\p{Is_Blk=	BRAILLE}', "");
Expect(0, 10495, '\p{^Is_Blk=	BRAILLE}', "");
Expect(0, 10495, '\P{Is_Blk=	BRAILLE}', "");
Expect(1, 10495, '\P{^Is_Blk=	BRAILLE}', "");
Expect(0, 10496, '\p{Is_Blk=	BRAILLE}', "");
Expect(1, 10496, '\p{^Is_Blk=	BRAILLE}', "");
Expect(1, 10496, '\P{Is_Blk=	BRAILLE}', "");
Expect(0, 10496, '\P{^Is_Blk=	BRAILLE}', "");
Error('\p{Block=-_Buginese/a/}');
Error('\P{Block=-_Buginese/a/}');
Expect(1, 6687, '\p{Block=buginese}', "");
Expect(0, 6687, '\p{^Block=buginese}', "");
Expect(0, 6687, '\P{Block=buginese}', "");
Expect(1, 6687, '\P{^Block=buginese}', "");
Expect(0, 6688, '\p{Block=buginese}', "");
Expect(1, 6688, '\p{^Block=buginese}', "");
Expect(1, 6688, '\P{Block=buginese}', "");
Expect(0, 6688, '\P{^Block=buginese}', "");
Expect(1, 6687, '\p{Block=__Buginese}', "");
Expect(0, 6687, '\p{^Block=__Buginese}', "");
Expect(0, 6687, '\P{Block=__Buginese}', "");
Expect(1, 6687, '\P{^Block=__Buginese}', "");
Expect(0, 6688, '\p{Block=__Buginese}', "");
Expect(1, 6688, '\p{^Block=__Buginese}', "");
Expect(1, 6688, '\P{Block=__Buginese}', "");
Expect(0, 6688, '\P{^Block=__Buginese}', "");
Error('\p{Blk=_:=buginese}');
Error('\P{Blk=_:=buginese}');
Expect(1, 6687, '\p{Blk=buginese}', "");
Expect(0, 6687, '\p{^Blk=buginese}', "");
Expect(0, 6687, '\P{Blk=buginese}', "");
Expect(1, 6687, '\P{^Blk=buginese}', "");
Expect(0, 6688, '\p{Blk=buginese}', "");
Expect(1, 6688, '\p{^Blk=buginese}', "");
Expect(1, 6688, '\P{Blk=buginese}', "");
Expect(0, 6688, '\P{^Blk=buginese}', "");
Expect(1, 6687, '\p{Blk=	buginese}', "");
Expect(0, 6687, '\p{^Blk=	buginese}', "");
Expect(0, 6687, '\P{Blk=	buginese}', "");
Expect(1, 6687, '\P{^Blk=	buginese}', "");
Expect(0, 6688, '\p{Blk=	buginese}', "");
Expect(1, 6688, '\p{^Blk=	buginese}', "");
Expect(1, 6688, '\P{Blk=	buginese}', "");
Expect(0, 6688, '\P{^Blk=	buginese}', "");
Error('\p{Is_Block=-	buginese/a/}');
Error('\P{Is_Block=-	buginese/a/}');
Expect(1, 6687, '\p{Is_Block=buginese}', "");
Expect(0, 6687, '\p{^Is_Block=buginese}', "");
Expect(0, 6687, '\P{Is_Block=buginese}', "");
Expect(1, 6687, '\P{^Is_Block=buginese}', "");
Expect(0, 6688, '\p{Is_Block=buginese}', "");
Expect(1, 6688, '\p{^Is_Block=buginese}', "");
Expect(1, 6688, '\P{Is_Block=buginese}', "");
Expect(0, 6688, '\P{^Is_Block=buginese}', "");
Expect(1, 6687, '\p{Is_Block=	 BUGINESE}', "");
Expect(0, 6687, '\p{^Is_Block=	 BUGINESE}', "");
Expect(0, 6687, '\P{Is_Block=	 BUGINESE}', "");
Expect(1, 6687, '\P{^Is_Block=	 BUGINESE}', "");
Expect(0, 6688, '\p{Is_Block=	 BUGINESE}', "");
Expect(1, 6688, '\p{^Is_Block=	 BUGINESE}', "");
Expect(1, 6688, '\P{Is_Block=	 BUGINESE}', "");
Expect(0, 6688, '\P{^Is_Block=	 BUGINESE}', "");
Error('\p{Is_Blk=:=		BUGINESE}');
Error('\P{Is_Blk=:=		BUGINESE}');
Expect(1, 6687, '\p{Is_Blk=buginese}', "");
Expect(0, 6687, '\p{^Is_Blk=buginese}', "");
Expect(0, 6687, '\P{Is_Blk=buginese}', "");
Expect(1, 6687, '\P{^Is_Blk=buginese}', "");
Expect(0, 6688, '\p{Is_Blk=buginese}', "");
Expect(1, 6688, '\p{^Is_Blk=buginese}', "");
Expect(1, 6688, '\P{Is_Blk=buginese}', "");
Expect(0, 6688, '\P{^Is_Blk=buginese}', "");
Expect(1, 6687, '\p{Is_Blk=	-Buginese}', "");
Expect(0, 6687, '\p{^Is_Blk=	-Buginese}', "");
Expect(0, 6687, '\P{Is_Blk=	-Buginese}', "");
Expect(1, 6687, '\P{^Is_Blk=	-Buginese}', "");
Expect(0, 6688, '\p{Is_Blk=	-Buginese}', "");
Expect(1, 6688, '\p{^Is_Blk=	-Buginese}', "");
Expect(1, 6688, '\P{Is_Blk=	-Buginese}', "");
Expect(0, 6688, '\P{^Is_Blk=	-Buginese}', "");
Error('\p{Block=/a/Buhid}');
Error('\P{Block=/a/Buhid}');
Expect(1, 5983, '\p{Block=buhid}', "");
Expect(0, 5983, '\p{^Block=buhid}', "");
Expect(0, 5983, '\P{Block=buhid}', "");
Expect(1, 5983, '\P{^Block=buhid}', "");
Expect(0, 5984, '\p{Block=buhid}', "");
Expect(1, 5984, '\p{^Block=buhid}', "");
Expect(1, 5984, '\P{Block=buhid}', "");
Expect(0, 5984, '\P{^Block=buhid}', "");
Expect(1, 5983, '\p{Block=-_BUHID}', "");
Expect(0, 5983, '\p{^Block=-_BUHID}', "");
Expect(0, 5983, '\P{Block=-_BUHID}', "");
Expect(1, 5983, '\P{^Block=-_BUHID}', "");
Expect(0, 5984, '\p{Block=-_BUHID}', "");
Expect(1, 5984, '\p{^Block=-_BUHID}', "");
Expect(1, 5984, '\P{Block=-_BUHID}', "");
Expect(0, 5984, '\P{^Block=-_BUHID}', "");
Error('\p{Blk=_:=buhid}');
Error('\P{Blk=_:=buhid}');
Expect(1, 5983, '\p{Blk=buhid}', "");
Expect(0, 5983, '\p{^Blk=buhid}', "");
Expect(0, 5983, '\P{Blk=buhid}', "");
Expect(1, 5983, '\P{^Blk=buhid}', "");
Expect(0, 5984, '\p{Blk=buhid}', "");
Expect(1, 5984, '\p{^Blk=buhid}', "");
Expect(1, 5984, '\P{Blk=buhid}', "");
Expect(0, 5984, '\P{^Blk=buhid}', "");
Expect(1, 5983, '\p{Blk=_buhid}', "");
Expect(0, 5983, '\p{^Blk=_buhid}', "");
Expect(0, 5983, '\P{Blk=_buhid}', "");
Expect(1, 5983, '\P{^Blk=_buhid}', "");
Expect(0, 5984, '\p{Blk=_buhid}', "");
Expect(1, 5984, '\p{^Blk=_buhid}', "");
Expect(1, 5984, '\P{Blk=_buhid}', "");
Expect(0, 5984, '\P{^Blk=_buhid}', "");
Error('\p{Is_Block=BUHID/a/}');
Error('\P{Is_Block=BUHID/a/}');
Expect(1, 5983, '\p{Is_Block=buhid}', "");
Expect(0, 5983, '\p{^Is_Block=buhid}', "");
Expect(0, 5983, '\P{Is_Block=buhid}', "");
Expect(1, 5983, '\P{^Is_Block=buhid}', "");
Expect(0, 5984, '\p{Is_Block=buhid}', "");
Expect(1, 5984, '\p{^Is_Block=buhid}', "");
Expect(1, 5984, '\P{Is_Block=buhid}', "");
Expect(0, 5984, '\P{^Is_Block=buhid}', "");
Expect(1, 5983, '\p{Is_Block=_	Buhid}', "");
Expect(0, 5983, '\p{^Is_Block=_	Buhid}', "");
Expect(0, 5983, '\P{Is_Block=_	Buhid}', "");
Expect(1, 5983, '\P{^Is_Block=_	Buhid}', "");
Expect(0, 5984, '\p{Is_Block=_	Buhid}', "");
Expect(1, 5984, '\p{^Is_Block=_	Buhid}', "");
Expect(1, 5984, '\P{Is_Block=_	Buhid}', "");
Expect(0, 5984, '\P{^Is_Block=_	Buhid}', "");
Error('\p{Is_Blk=	Buhid/a/}');
Error('\P{Is_Blk=	Buhid/a/}');
Expect(1, 5983, '\p{Is_Blk=buhid}', "");
Expect(0, 5983, '\p{^Is_Blk=buhid}', "");
Expect(0, 5983, '\P{Is_Blk=buhid}', "");
Expect(1, 5983, '\P{^Is_Blk=buhid}', "");
Expect(0, 5984, '\p{Is_Blk=buhid}', "");
Expect(1, 5984, '\p{^Is_Blk=buhid}', "");
Expect(1, 5984, '\P{Is_Blk=buhid}', "");
Expect(0, 5984, '\P{^Is_Blk=buhid}', "");
Expect(1, 5983, '\p{Is_Blk:	Buhid}', "");
Expect(0, 5983, '\p{^Is_Blk:	Buhid}', "");
Expect(0, 5983, '\P{Is_Blk:	Buhid}', "");
Expect(1, 5983, '\P{^Is_Blk:	Buhid}', "");
Expect(0, 5984, '\p{Is_Blk:	Buhid}', "");
Expect(1, 5984, '\p{^Is_Blk:	Buhid}', "");
Expect(1, 5984, '\P{Is_Blk:	Buhid}', "");
Expect(0, 5984, '\P{^Is_Blk:	Buhid}', "");
Error('\p{Block=/a/ -byzantine_Musical_Symbols}');
Error('\P{Block=/a/ -byzantine_Musical_Symbols}');
Expect(1, 119039, '\p{Block=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^Block=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{Block=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^Block=byzantinemusicalsymbols}', "");
Expect(0, 119040, '\p{Block=byzantinemusicalsymbols}', "");
Expect(1, 119040, '\p{^Block=byzantinemusicalsymbols}', "");
Expect(1, 119040, '\P{Block=byzantinemusicalsymbols}', "");
Expect(0, 119040, '\P{^Block=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{Block=		byzantine_musical_Symbols}', "");
Expect(0, 119039, '\p{^Block=		byzantine_musical_Symbols}', "");
Expect(0, 119039, '\P{Block=		byzantine_musical_Symbols}', "");
Expect(1, 119039, '\P{^Block=		byzantine_musical_Symbols}', "");
Expect(0, 119040, '\p{Block=		byzantine_musical_Symbols}', "");
Expect(1, 119040, '\p{^Block=		byzantine_musical_Symbols}', "");
Expect(1, 119040, '\P{Block=		byzantine_musical_Symbols}', "");
Expect(0, 119040, '\P{^Block=		byzantine_musical_Symbols}', "");
Error('\p{Blk=/a/_Byzantine_Music}');
Error('\P{Blk=/a/_Byzantine_Music}');
Expect(1, 119039, '\p{Blk=byzantinemusic}', "");
Expect(0, 119039, '\p{^Blk=byzantinemusic}', "");
Expect(0, 119039, '\P{Blk=byzantinemusic}', "");
Expect(1, 119039, '\P{^Blk=byzantinemusic}', "");
Expect(0, 119040, '\p{Blk=byzantinemusic}', "");
Expect(1, 119040, '\p{^Blk=byzantinemusic}', "");
Expect(1, 119040, '\P{Blk=byzantinemusic}', "");
Expect(0, 119040, '\P{^Blk=byzantinemusic}', "");
Expect(1, 119039, '\p{Blk=--BYZANTINE_Music}', "");
Expect(0, 119039, '\p{^Blk=--BYZANTINE_Music}', "");
Expect(0, 119039, '\P{Blk=--BYZANTINE_Music}', "");
Expect(1, 119039, '\P{^Blk=--BYZANTINE_Music}', "");
Expect(0, 119040, '\p{Blk=--BYZANTINE_Music}', "");
Expect(1, 119040, '\p{^Blk=--BYZANTINE_Music}', "");
Expect(1, 119040, '\P{Blk=--BYZANTINE_Music}', "");
Expect(0, 119040, '\P{^Blk=--BYZANTINE_Music}', "");
Error('\p{Is_Block=/a/ _Byzantine_Musical_Symbols}');
Error('\P{Is_Block=/a/ _Byzantine_Musical_Symbols}');
Expect(1, 119039, '\p{Is_Block=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^Is_Block=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{Is_Block=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^Is_Block=byzantinemusicalsymbols}', "");
Expect(0, 119040, '\p{Is_Block=byzantinemusicalsymbols}', "");
Expect(1, 119040, '\p{^Is_Block=byzantinemusicalsymbols}', "");
Expect(1, 119040, '\P{Is_Block=byzantinemusicalsymbols}', "");
Expect(0, 119040, '\P{^Is_Block=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{Is_Block=	_Byzantine_Musical_Symbols}', "");
Expect(0, 119039, '\p{^Is_Block=	_Byzantine_Musical_Symbols}', "");
Expect(0, 119039, '\P{Is_Block=	_Byzantine_Musical_Symbols}', "");
Expect(1, 119039, '\P{^Is_Block=	_Byzantine_Musical_Symbols}', "");
Expect(0, 119040, '\p{Is_Block=	_Byzantine_Musical_Symbols}', "");
Expect(1, 119040, '\p{^Is_Block=	_Byzantine_Musical_Symbols}', "");
Expect(1, 119040, '\P{Is_Block=	_Byzantine_Musical_Symbols}', "");
Expect(0, 119040, '\P{^Is_Block=	_Byzantine_Musical_Symbols}', "");
Error('\p{Is_Blk=-	byzantine_music:=}');
Error('\P{Is_Blk=-	byzantine_music:=}');
Expect(1, 119039, '\p{Is_Blk=byzantinemusic}', "");
Expect(0, 119039, '\p{^Is_Blk=byzantinemusic}', "");
Expect(0, 119039, '\P{Is_Blk=byzantinemusic}', "");
Expect(1, 119039, '\P{^Is_Blk=byzantinemusic}', "");
Expect(0, 119040, '\p{Is_Blk=byzantinemusic}', "");
Expect(1, 119040, '\p{^Is_Blk=byzantinemusic}', "");
Expect(1, 119040, '\P{Is_Blk=byzantinemusic}', "");
Expect(0, 119040, '\P{^Is_Blk=byzantinemusic}', "");
Expect(1, 119039, '\p{Is_Blk=-_Byzantine_MUSIC}', "");
Expect(0, 119039, '\p{^Is_Blk=-_Byzantine_MUSIC}', "");
Expect(0, 119039, '\P{Is_Blk=-_Byzantine_MUSIC}', "");
Expect(1, 119039, '\P{^Is_Blk=-_Byzantine_MUSIC}', "");
Expect(0, 119040, '\p{Is_Blk=-_Byzantine_MUSIC}', "");
Expect(1, 119040, '\p{^Is_Blk=-_Byzantine_MUSIC}', "");
Expect(1, 119040, '\P{Is_Blk=-_Byzantine_MUSIC}', "");
Expect(0, 119040, '\P{^Is_Blk=-_Byzantine_MUSIC}', "");
Error('\p{Block=-:=CJK_UNIFIED_IDEOGRAPHS}');
Error('\P{Block=-:=CJK_UNIFIED_IDEOGRAPHS}');
Expect(1, 40959, '\p{Block=cjkunifiedideographs}', "");
Expect(0, 40959, '\p{^Block=cjkunifiedideographs}', "");
Expect(0, 40959, '\P{Block=cjkunifiedideographs}', "");
Expect(1, 40959, '\P{^Block=cjkunifiedideographs}', "");
Expect(0, 40960, '\p{Block=cjkunifiedideographs}', "");
Expect(1, 40960, '\p{^Block=cjkunifiedideographs}', "");
Expect(1, 40960, '\P{Block=cjkunifiedideographs}', "");
Expect(0, 40960, '\P{^Block=cjkunifiedideographs}', "");
Expect(1, 40959, '\p{Block=	-CJK_Unified_IDEOGRAPHS}', "");
Expect(0, 40959, '\p{^Block=	-CJK_Unified_IDEOGRAPHS}', "");
Expect(0, 40959, '\P{Block=	-CJK_Unified_IDEOGRAPHS}', "");
Expect(1, 40959, '\P{^Block=	-CJK_Unified_IDEOGRAPHS}', "");
Expect(0, 40960, '\p{Block=	-CJK_Unified_IDEOGRAPHS}', "");
Expect(1, 40960, '\p{^Block=	-CJK_Unified_IDEOGRAPHS}', "");
Expect(1, 40960, '\P{Block=	-CJK_Unified_IDEOGRAPHS}', "");
Expect(0, 40960, '\P{^Block=	-CJK_Unified_IDEOGRAPHS}', "");
Error('\p{Blk=_	CJK:=}');
Error('\P{Blk=_	CJK:=}');
Expect(1, 40959, '\p{Blk=cjk}', "");
Expect(0, 40959, '\p{^Blk=cjk}', "");
Expect(0, 40959, '\P{Blk=cjk}', "");
Expect(1, 40959, '\P{^Blk=cjk}', "");
Expect(0, 40960, '\p{Blk=cjk}', "");
Expect(1, 40960, '\p{^Blk=cjk}', "");
Expect(1, 40960, '\P{Blk=cjk}', "");
Expect(0, 40960, '\P{^Blk=cjk}', "");
Expect(1, 40959, '\p{Blk= cjk}', "");
Expect(0, 40959, '\p{^Blk= cjk}', "");
Expect(0, 40959, '\P{Blk= cjk}', "");
Expect(1, 40959, '\P{^Blk= cjk}', "");
Expect(0, 40960, '\p{Blk= cjk}', "");
Expect(1, 40960, '\p{^Blk= cjk}', "");
Expect(1, 40960, '\P{Blk= cjk}', "");
Expect(0, 40960, '\P{^Blk= cjk}', "");
Error('\p{Is_Block=-	CJK_Unified_Ideographs:=}');
Error('\P{Is_Block=-	CJK_Unified_Ideographs:=}');
Expect(1, 40959, '\p{Is_Block=cjkunifiedideographs}', "");
Expect(0, 40959, '\p{^Is_Block=cjkunifiedideographs}', "");
Expect(0, 40959, '\P{Is_Block=cjkunifiedideographs}', "");
Expect(1, 40959, '\P{^Is_Block=cjkunifiedideographs}', "");
Expect(0, 40960, '\p{Is_Block=cjkunifiedideographs}', "");
Expect(1, 40960, '\p{^Is_Block=cjkunifiedideographs}', "");
Expect(1, 40960, '\P{Is_Block=cjkunifiedideographs}', "");
Expect(0, 40960, '\P{^Is_Block=cjkunifiedideographs}', "");
Expect(1, 40959, '\p{Is_Block=_cjk_UNIFIED_Ideographs}', "");
Expect(0, 40959, '\p{^Is_Block=_cjk_UNIFIED_Ideographs}', "");
Expect(0, 40959, '\P{Is_Block=_cjk_UNIFIED_Ideographs}', "");
Expect(1, 40959, '\P{^Is_Block=_cjk_UNIFIED_Ideographs}', "");
Expect(0, 40960, '\p{Is_Block=_cjk_UNIFIED_Ideographs}', "");
Expect(1, 40960, '\p{^Is_Block=_cjk_UNIFIED_Ideographs}', "");
Expect(1, 40960, '\P{Is_Block=_cjk_UNIFIED_Ideographs}', "");
Expect(0, 40960, '\P{^Is_Block=_cjk_UNIFIED_Ideographs}', "");
Error('\p{Is_Blk=--CJK/a/}');
Error('\P{Is_Blk=--CJK/a/}');
Expect(1, 40959, '\p{Is_Blk: cjk}', "");
Expect(0, 40959, '\p{^Is_Blk: cjk}', "");
Expect(0, 40959, '\P{Is_Blk: cjk}', "");
Expect(1, 40959, '\P{^Is_Blk: cjk}', "");
Expect(0, 40960, '\p{Is_Blk: cjk}', "");
Expect(1, 40960, '\p{^Is_Blk: cjk}', "");
Expect(1, 40960, '\P{Is_Blk: cjk}', "");
Expect(0, 40960, '\P{^Is_Blk: cjk}', "");
Expect(1, 40959, '\p{Is_Blk=	_CJK}', "");
Expect(0, 40959, '\p{^Is_Blk=	_CJK}', "");
Expect(0, 40959, '\P{Is_Blk=	_CJK}', "");
Expect(1, 40959, '\P{^Is_Blk=	_CJK}', "");
Expect(0, 40960, '\p{Is_Blk=	_CJK}', "");
Expect(1, 40960, '\p{^Is_Blk=	_CJK}', "");
Expect(1, 40960, '\P{Is_Blk=	_CJK}', "");
Expect(0, 40960, '\P{^Is_Blk=	_CJK}', "");
Error('\p{Block:	/a/ -CJK_Compatibility}');
Error('\P{Block:	/a/ -CJK_Compatibility}');
Expect(1, 13311, '\p{Block=cjkcompatibility}', "");
Expect(0, 13311, '\p{^Block=cjkcompatibility}', "");
Expect(0, 13311, '\P{Block=cjkcompatibility}', "");
Expect(1, 13311, '\P{^Block=cjkcompatibility}', "");
Expect(0, 13312, '\p{Block=cjkcompatibility}', "");
Expect(1, 13312, '\p{^Block=cjkcompatibility}', "");
Expect(1, 13312, '\P{Block=cjkcompatibility}', "");
Expect(0, 13312, '\P{^Block=cjkcompatibility}', "");
Expect(1, 13311, '\p{Block=__CJK_Compatibility}', "");
Expect(0, 13311, '\p{^Block=__CJK_Compatibility}', "");
Expect(0, 13311, '\P{Block=__CJK_Compatibility}', "");
Expect(1, 13311, '\P{^Block=__CJK_Compatibility}', "");
Expect(0, 13312, '\p{Block=__CJK_Compatibility}', "");
Expect(1, 13312, '\p{^Block=__CJK_Compatibility}', "");
Expect(1, 13312, '\P{Block=__CJK_Compatibility}', "");
Expect(0, 13312, '\P{^Block=__CJK_Compatibility}', "");
Error('\p{Blk=:= 	CJK_Compat}');
Error('\P{Blk=:= 	CJK_Compat}');
Expect(1, 13311, '\p{Blk=cjkcompat}', "");
Expect(0, 13311, '\p{^Blk=cjkcompat}', "");
Expect(0, 13311, '\P{Blk=cjkcompat}', "");
Expect(1, 13311, '\P{^Blk=cjkcompat}', "");
Expect(0, 13312, '\p{Blk=cjkcompat}', "");
Expect(1, 13312, '\p{^Blk=cjkcompat}', "");
Expect(1, 13312, '\P{Blk=cjkcompat}', "");
Expect(0, 13312, '\P{^Blk=cjkcompat}', "");
Expect(1, 13311, '\p{Blk= -CJK_compat}', "");
Expect(0, 13311, '\p{^Blk= -CJK_compat}', "");
Expect(0, 13311, '\P{Blk= -CJK_compat}', "");
Expect(1, 13311, '\P{^Blk= -CJK_compat}', "");
Expect(0, 13312, '\p{Blk= -CJK_compat}', "");
Expect(1, 13312, '\p{^Blk= -CJK_compat}', "");
Expect(1, 13312, '\P{Blk= -CJK_compat}', "");
Expect(0, 13312, '\P{^Blk= -CJK_compat}', "");
Error('\p{Is_Block=/a/-CJK_Compatibility}');
Error('\P{Is_Block=/a/-CJK_Compatibility}');
Expect(1, 13311, '\p{Is_Block=cjkcompatibility}', "");
Expect(0, 13311, '\p{^Is_Block=cjkcompatibility}', "");
Expect(0, 13311, '\P{Is_Block=cjkcompatibility}', "");
Expect(1, 13311, '\P{^Is_Block=cjkcompatibility}', "");
Expect(0, 13312, '\p{Is_Block=cjkcompatibility}', "");
Expect(1, 13312, '\p{^Is_Block=cjkcompatibility}', "");
Expect(1, 13312, '\P{Is_Block=cjkcompatibility}', "");
Expect(0, 13312, '\P{^Is_Block=cjkcompatibility}', "");
Expect(1, 13311, '\p{Is_Block=  CJK_Compatibility}', "");
Expect(0, 13311, '\p{^Is_Block=  CJK_Compatibility}', "");
Expect(0, 13311, '\P{Is_Block=  CJK_Compatibility}', "");
Expect(1, 13311, '\P{^Is_Block=  CJK_Compatibility}', "");
Expect(0, 13312, '\p{Is_Block=  CJK_Compatibility}', "");
Expect(1, 13312, '\p{^Is_Block=  CJK_Compatibility}', "");
Expect(1, 13312, '\P{Is_Block=  CJK_Compatibility}', "");
Expect(0, 13312, '\P{^Is_Block=  CJK_Compatibility}', "");
Error('\p{Is_Blk=/a/cjk_COMPAT}');
Error('\P{Is_Blk=/a/cjk_COMPAT}');
Expect(1, 13311, '\p{Is_Blk=cjkcompat}', "");
Expect(0, 13311, '\p{^Is_Blk=cjkcompat}', "");
Expect(0, 13311, '\P{Is_Blk=cjkcompat}', "");
Expect(1, 13311, '\P{^Is_Blk=cjkcompat}', "");
Expect(0, 13312, '\p{Is_Blk=cjkcompat}', "");
Expect(1, 13312, '\p{^Is_Blk=cjkcompat}', "");
Expect(1, 13312, '\P{Is_Blk=cjkcompat}', "");
Expect(0, 13312, '\P{^Is_Blk=cjkcompat}', "");
Expect(1, 13311, '\p{Is_Blk=CJK_Compat}', "");
Expect(0, 13311, '\p{^Is_Blk=CJK_Compat}', "");
Expect(0, 13311, '\P{Is_Blk=CJK_Compat}', "");
Expect(1, 13311, '\P{^Is_Blk=CJK_Compat}', "");
Expect(0, 13312, '\p{Is_Blk=CJK_Compat}', "");
Expect(1, 13312, '\p{^Is_Blk=CJK_Compat}', "");
Expect(1, 13312, '\P{Is_Blk=CJK_Compat}', "");
Expect(0, 13312, '\P{^Is_Blk=CJK_Compat}', "");
Error('\p{Block::= 	CJK_Compatibility_Forms}');
Error('\P{Block::= 	CJK_Compatibility_Forms}');
Expect(1, 65103, '\p{Block=cjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^Block=cjkcompatibilityforms}', "");
Expect(0, 65103, '\P{Block=cjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^Block=cjkcompatibilityforms}', "");
Expect(0, 65104, '\p{Block=cjkcompatibilityforms}', "");
Expect(1, 65104, '\p{^Block=cjkcompatibilityforms}', "");
Expect(1, 65104, '\P{Block=cjkcompatibilityforms}', "");
Expect(0, 65104, '\P{^Block=cjkcompatibilityforms}', "");
Expect(1, 65103, '\p{Block=CJK_Compatibility_Forms}', "");
Expect(0, 65103, '\p{^Block=CJK_Compatibility_Forms}', "");
Expect(0, 65103, '\P{Block=CJK_Compatibility_Forms}', "");
Expect(1, 65103, '\P{^Block=CJK_Compatibility_Forms}', "");
Expect(0, 65104, '\p{Block=CJK_Compatibility_Forms}', "");
Expect(1, 65104, '\p{^Block=CJK_Compatibility_Forms}', "");
Expect(1, 65104, '\P{Block=CJK_Compatibility_Forms}', "");
Expect(0, 65104, '\P{^Block=CJK_Compatibility_Forms}', "");
Error('\p{Blk=__CJK_Compat_Forms:=}');
Error('\P{Blk=__CJK_Compat_Forms:=}');
Expect(1, 65103, '\p{Blk:   cjkcompatforms}', "");
Expect(0, 65103, '\p{^Blk:   cjkcompatforms}', "");
Expect(0, 65103, '\P{Blk:   cjkcompatforms}', "");
Expect(1, 65103, '\P{^Blk:   cjkcompatforms}', "");
Expect(0, 65104, '\p{Blk:   cjkcompatforms}', "");
Expect(1, 65104, '\p{^Blk:   cjkcompatforms}', "");
Expect(1, 65104, '\P{Blk:   cjkcompatforms}', "");
Expect(0, 65104, '\P{^Blk:   cjkcompatforms}', "");
Expect(1, 65103, '\p{Blk=_ CJK_Compat_FORMS}', "");
Expect(0, 65103, '\p{^Blk=_ CJK_Compat_FORMS}', "");
Expect(0, 65103, '\P{Blk=_ CJK_Compat_FORMS}', "");
Expect(1, 65103, '\P{^Blk=_ CJK_Compat_FORMS}', "");
Expect(0, 65104, '\p{Blk=_ CJK_Compat_FORMS}', "");
Expect(1, 65104, '\p{^Blk=_ CJK_Compat_FORMS}', "");
Expect(1, 65104, '\P{Blk=_ CJK_Compat_FORMS}', "");
Expect(0, 65104, '\P{^Blk=_ CJK_Compat_FORMS}', "");
Error('\p{Is_Block=_-cjk_Compatibility_Forms/a/}');
Error('\P{Is_Block=_-cjk_Compatibility_Forms/a/}');
Expect(1, 65103, '\p{Is_Block=cjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^Is_Block=cjkcompatibilityforms}', "");
Expect(0, 65103, '\P{Is_Block=cjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^Is_Block=cjkcompatibilityforms}', "");
Expect(0, 65104, '\p{Is_Block=cjkcompatibilityforms}', "");
Expect(1, 65104, '\p{^Is_Block=cjkcompatibilityforms}', "");
Expect(1, 65104, '\P{Is_Block=cjkcompatibilityforms}', "");
Expect(0, 65104, '\P{^Is_Block=cjkcompatibilityforms}', "");
Expect(1, 65103, '\p{Is_Block=	_CJK_Compatibility_forms}', "");
Expect(0, 65103, '\p{^Is_Block=	_CJK_Compatibility_forms}', "");
Expect(0, 65103, '\P{Is_Block=	_CJK_Compatibility_forms}', "");
Expect(1, 65103, '\P{^Is_Block=	_CJK_Compatibility_forms}', "");
Expect(0, 65104, '\p{Is_Block=	_CJK_Compatibility_forms}', "");
Expect(1, 65104, '\p{^Is_Block=	_CJK_Compatibility_forms}', "");
Expect(1, 65104, '\P{Is_Block=	_CJK_Compatibility_forms}', "");
Expect(0, 65104, '\P{^Is_Block=	_CJK_Compatibility_forms}', "");
Error('\p{Is_Blk=:=_CJK_compat_FORMS}');
Error('\P{Is_Blk=:=_CJK_compat_FORMS}');
Expect(1, 65103, '\p{Is_Blk=cjkcompatforms}', "");
Expect(0, 65103, '\p{^Is_Blk=cjkcompatforms}', "");
Expect(0, 65103, '\P{Is_Blk=cjkcompatforms}', "");
Expect(1, 65103, '\P{^Is_Blk=cjkcompatforms}', "");
Expect(0, 65104, '\p{Is_Blk=cjkcompatforms}', "");
Expect(1, 65104, '\p{^Is_Blk=cjkcompatforms}', "");
Expect(1, 65104, '\P{Is_Blk=cjkcompatforms}', "");
Expect(0, 65104, '\P{^Is_Blk=cjkcompatforms}', "");
Expect(1, 65103, '\p{Is_Blk= CJK_Compat_forms}', "");
Expect(0, 65103, '\p{^Is_Blk= CJK_Compat_forms}', "");
Expect(0, 65103, '\P{Is_Blk= CJK_Compat_forms}', "");
Expect(1, 65103, '\P{^Is_Blk= CJK_Compat_forms}', "");
Expect(0, 65104, '\p{Is_Blk= CJK_Compat_forms}', "");
Expect(1, 65104, '\p{^Is_Blk= CJK_Compat_forms}', "");
Expect(1, 65104, '\P{Is_Blk= CJK_Compat_forms}', "");
Expect(0, 65104, '\P{^Is_Blk= CJK_Compat_forms}', "");
Error('\p{Block=	CJK_Compatibility_IDEOGRAPHS/a/}');
Error('\P{Block=	CJK_Compatibility_IDEOGRAPHS/a/}');
Expect(1, 64255, '\p{Block=cjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^Block=cjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{Block=cjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^Block=cjkcompatibilityideographs}', "");
Expect(0, 64256, '\p{Block=cjkcompatibilityideographs}', "");
Expect(1, 64256, '\p{^Block=cjkcompatibilityideographs}', "");
Expect(1, 64256, '\P{Block=cjkcompatibilityideographs}', "");
Expect(0, 64256, '\P{^Block=cjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{Block=		CJK_COMPATIBILITY_ideographs}', "");
Expect(0, 64255, '\p{^Block=		CJK_COMPATIBILITY_ideographs}', "");
Expect(0, 64255, '\P{Block=		CJK_COMPATIBILITY_ideographs}', "");
Expect(1, 64255, '\P{^Block=		CJK_COMPATIBILITY_ideographs}', "");
Expect(0, 64256, '\p{Block=		CJK_COMPATIBILITY_ideographs}', "");
Expect(1, 64256, '\p{^Block=		CJK_COMPATIBILITY_ideographs}', "");
Expect(1, 64256, '\P{Block=		CJK_COMPATIBILITY_ideographs}', "");
Expect(0, 64256, '\P{^Block=		CJK_COMPATIBILITY_ideographs}', "");
Error('\p{Blk:   	_CJK_Compat_Ideographs:=}');
Error('\P{Blk:   	_CJK_Compat_Ideographs:=}');
Expect(1, 64255, '\p{Blk=cjkcompatideographs}', "");
Expect(0, 64255, '\p{^Blk=cjkcompatideographs}', "");
Expect(0, 64255, '\P{Blk=cjkcompatideographs}', "");
Expect(1, 64255, '\P{^Blk=cjkcompatideographs}', "");
Expect(0, 64256, '\p{Blk=cjkcompatideographs}', "");
Expect(1, 64256, '\p{^Blk=cjkcompatideographs}', "");
Expect(1, 64256, '\P{Blk=cjkcompatideographs}', "");
Expect(0, 64256, '\P{^Blk=cjkcompatideographs}', "");
Expect(1, 64255, '\p{Blk=_ CJK_Compat_Ideographs}', "");
Expect(0, 64255, '\p{^Blk=_ CJK_Compat_Ideographs}', "");
Expect(0, 64255, '\P{Blk=_ CJK_Compat_Ideographs}', "");
Expect(1, 64255, '\P{^Blk=_ CJK_Compat_Ideographs}', "");
Expect(0, 64256, '\p{Blk=_ CJK_Compat_Ideographs}', "");
Expect(1, 64256, '\p{^Blk=_ CJK_Compat_Ideographs}', "");
Expect(1, 64256, '\P{Blk=_ CJK_Compat_Ideographs}', "");
Expect(0, 64256, '\P{^Blk=_ CJK_Compat_Ideographs}', "");
Error('\p{Is_Block=_ cjk_Compatibility_Ideographs:=}');
Error('\P{Is_Block=_ cjk_Compatibility_Ideographs:=}');
Expect(1, 64255, '\p{Is_Block=cjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^Is_Block=cjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{Is_Block=cjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^Is_Block=cjkcompatibilityideographs}', "");
Expect(0, 64256, '\p{Is_Block=cjkcompatibilityideographs}', "");
Expect(1, 64256, '\p{^Is_Block=cjkcompatibilityideographs}', "");
Expect(1, 64256, '\P{Is_Block=cjkcompatibilityideographs}', "");
Expect(0, 64256, '\P{^Is_Block=cjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{Is_Block=	_CJK_Compatibility_Ideographs}', "");
Expect(0, 64255, '\p{^Is_Block=	_CJK_Compatibility_Ideographs}', "");
Expect(0, 64255, '\P{Is_Block=	_CJK_Compatibility_Ideographs}', "");
Expect(1, 64255, '\P{^Is_Block=	_CJK_Compatibility_Ideographs}', "");
Expect(0, 64256, '\p{Is_Block=	_CJK_Compatibility_Ideographs}', "");
Expect(1, 64256, '\p{^Is_Block=	_CJK_Compatibility_Ideographs}', "");
Expect(1, 64256, '\P{Is_Block=	_CJK_Compatibility_Ideographs}', "");
Expect(0, 64256, '\P{^Is_Block=	_CJK_Compatibility_Ideographs}', "");
Error('\p{Is_Blk=_:=cjk_Compat_Ideographs}');
Error('\P{Is_Blk=_:=cjk_Compat_Ideographs}');
Expect(1, 64255, '\p{Is_Blk=cjkcompatideographs}', "");
Expect(0, 64255, '\p{^Is_Blk=cjkcompatideographs}', "");
Expect(0, 64255, '\P{Is_Blk=cjkcompatideographs}', "");
Expect(1, 64255, '\P{^Is_Blk=cjkcompatideographs}', "");
Expect(0, 64256, '\p{Is_Blk=cjkcompatideographs}', "");
Expect(1, 64256, '\p{^Is_Blk=cjkcompatideographs}', "");
Expect(1, 64256, '\P{Is_Blk=cjkcompatideographs}', "");
Expect(0, 64256, '\P{^Is_Blk=cjkcompatideographs}', "");
Expect(1, 64255, '\p{Is_Blk=-	CJK_COMPAT_Ideographs}', "");
Expect(0, 64255, '\p{^Is_Blk=-	CJK_COMPAT_Ideographs}', "");
Expect(0, 64255, '\P{Is_Blk=-	CJK_COMPAT_Ideographs}', "");
Expect(1, 64255, '\P{^Is_Blk=-	CJK_COMPAT_Ideographs}', "");
Expect(0, 64256, '\p{Is_Blk=-	CJK_COMPAT_Ideographs}', "");
Expect(1, 64256, '\p{^Is_Blk=-	CJK_COMPAT_Ideographs}', "");
Expect(1, 64256, '\P{Is_Blk=-	CJK_COMPAT_Ideographs}', "");
Expect(0, 64256, '\P{^Is_Blk=-	CJK_COMPAT_Ideographs}', "");
Error('\p{Block= CJK_compatibility_Ideographs_Supplement/a/}');
Error('\P{Block= CJK_compatibility_Ideographs_Supplement/a/}');
Expect(1, 195103, '\p{Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\p{Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\p{^Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\P{Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\P{^Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{Block=__CJK_compatibility_ideographs_SUPPLEMENT}', "");
Expect(0, 195103, '\p{^Block=__CJK_compatibility_ideographs_SUPPLEMENT}', "");
Expect(0, 195103, '\P{Block=__CJK_compatibility_ideographs_SUPPLEMENT}', "");
Expect(1, 195103, '\P{^Block=__CJK_compatibility_ideographs_SUPPLEMENT}', "");
Expect(0, 195104, '\p{Block=__CJK_compatibility_ideographs_SUPPLEMENT}', "");
Expect(1, 195104, '\p{^Block=__CJK_compatibility_ideographs_SUPPLEMENT}', "");
Expect(1, 195104, '\P{Block=__CJK_compatibility_ideographs_SUPPLEMENT}', "");
Expect(0, 195104, '\P{^Block=__CJK_compatibility_ideographs_SUPPLEMENT}', "");
Error('\p{Blk= :=CJK_compat_ideographs_sup}');
Error('\P{Blk= :=CJK_compat_ideographs_sup}');
Expect(1, 195103, '\p{Blk=cjkcompatideographssup}', "");
Expect(0, 195103, '\p{^Blk=cjkcompatideographssup}', "");
Expect(0, 195103, '\P{Blk=cjkcompatideographssup}', "");
Expect(1, 195103, '\P{^Blk=cjkcompatideographssup}', "");
Expect(0, 195104, '\p{Blk=cjkcompatideographssup}', "");
Expect(1, 195104, '\p{^Blk=cjkcompatideographssup}', "");
Expect(1, 195104, '\P{Blk=cjkcompatideographssup}', "");
Expect(0, 195104, '\P{^Blk=cjkcompatideographssup}', "");
Expect(1, 195103, '\p{Blk= CJK_Compat_Ideographs_Sup}', "");
Expect(0, 195103, '\p{^Blk= CJK_Compat_Ideographs_Sup}', "");
Expect(0, 195103, '\P{Blk= CJK_Compat_Ideographs_Sup}', "");
Expect(1, 195103, '\P{^Blk= CJK_Compat_Ideographs_Sup}', "");
Expect(0, 195104, '\p{Blk= CJK_Compat_Ideographs_Sup}', "");
Expect(1, 195104, '\p{^Blk= CJK_Compat_Ideographs_Sup}', "");
Expect(1, 195104, '\P{Blk= CJK_Compat_Ideographs_Sup}', "");
Expect(0, 195104, '\P{^Blk= CJK_Compat_Ideographs_Sup}', "");
Error('\p{Is_Block=:=	CJK_COMPATIBILITY_ideographs_supplement}');
Error('\P{Is_Block=:=	CJK_COMPATIBILITY_ideographs_supplement}');
Expect(1, 195103, '\p{Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\p{Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\p{^Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\P{Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\P{^Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{Is_Block=-CJK_Compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Expect(0, 195103, '\p{^Is_Block=-CJK_Compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Expect(0, 195103, '\P{Is_Block=-CJK_Compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Expect(1, 195103, '\P{^Is_Block=-CJK_Compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Expect(0, 195104, '\p{Is_Block=-CJK_Compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Expect(1, 195104, '\p{^Is_Block=-CJK_Compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Expect(1, 195104, '\P{Is_Block=-CJK_Compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Expect(0, 195104, '\P{^Is_Block=-CJK_Compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Error('\p{Is_Blk=:=_ CJK_COMPAT_ideographs_Sup}');
Error('\P{Is_Blk=:=_ CJK_COMPAT_ideographs_Sup}');
Expect(1, 195103, '\p{Is_Blk=cjkcompatideographssup}', "");
Expect(0, 195103, '\p{^Is_Blk=cjkcompatideographssup}', "");
Expect(0, 195103, '\P{Is_Blk=cjkcompatideographssup}', "");
Expect(1, 195103, '\P{^Is_Blk=cjkcompatideographssup}', "");
Expect(0, 195104, '\p{Is_Blk=cjkcompatideographssup}', "");
Expect(1, 195104, '\p{^Is_Blk=cjkcompatideographssup}', "");
Expect(1, 195104, '\P{Is_Blk=cjkcompatideographssup}', "");
Expect(0, 195104, '\P{^Is_Blk=cjkcompatideographssup}', "");
Expect(1, 195103, '\p{Is_Blk=_ CJK_compat_Ideographs_SUP}', "");
Expect(0, 195103, '\p{^Is_Blk=_ CJK_compat_Ideographs_SUP}', "");
Expect(0, 195103, '\P{Is_Blk=_ CJK_compat_Ideographs_SUP}', "");
Expect(1, 195103, '\P{^Is_Blk=_ CJK_compat_Ideographs_SUP}', "");
Expect(0, 195104, '\p{Is_Blk=_ CJK_compat_Ideographs_SUP}', "");
Expect(1, 195104, '\p{^Is_Blk=_ CJK_compat_Ideographs_SUP}', "");
Expect(1, 195104, '\P{Is_Blk=_ CJK_compat_Ideographs_SUP}', "");
Expect(0, 195104, '\P{^Is_Blk=_ CJK_compat_Ideographs_SUP}', "");
Error('\p{Block=--CJK_Unified_ideographs_Extension_A/a/}');
Error('\P{Block=--CJK_Unified_ideographs_Extension_A/a/}');
Expect(1, 19903, '\p{Block=cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^Block=cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{Block=cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^Block=cjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\p{Block=cjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\p{^Block=cjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\P{Block=cjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\P{^Block=cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{Block:		CJK_Unified_IDEOGRAPHS_EXTENSION_A}', "");
Expect(0, 19903, '\p{^Block:		CJK_Unified_IDEOGRAPHS_EXTENSION_A}', "");
Expect(0, 19903, '\P{Block:		CJK_Unified_IDEOGRAPHS_EXTENSION_A}', "");
Expect(1, 19903, '\P{^Block:		CJK_Unified_IDEOGRAPHS_EXTENSION_A}', "");
Expect(0, 19904, '\p{Block:		CJK_Unified_IDEOGRAPHS_EXTENSION_A}', "");
Expect(1, 19904, '\p{^Block:		CJK_Unified_IDEOGRAPHS_EXTENSION_A}', "");
Expect(1, 19904, '\P{Block:		CJK_Unified_IDEOGRAPHS_EXTENSION_A}', "");
Expect(0, 19904, '\P{^Block:		CJK_Unified_IDEOGRAPHS_EXTENSION_A}', "");
Error('\p{Blk= 	CJK_EXT_A:=}');
Error('\P{Blk= 	CJK_EXT_A:=}');
Expect(1, 19903, '\p{Blk=cjkexta}', "");
Expect(0, 19903, '\p{^Blk=cjkexta}', "");
Expect(0, 19903, '\P{Blk=cjkexta}', "");
Expect(1, 19903, '\P{^Blk=cjkexta}', "");
Expect(0, 19904, '\p{Blk=cjkexta}', "");
Expect(1, 19904, '\p{^Blk=cjkexta}', "");
Expect(1, 19904, '\P{Blk=cjkexta}', "");
Expect(0, 19904, '\P{^Blk=cjkexta}', "");
Expect(1, 19903, '\p{Blk=__CJK_EXT_A}', "");
Expect(0, 19903, '\p{^Blk=__CJK_EXT_A}', "");
Expect(0, 19903, '\P{Blk=__CJK_EXT_A}', "");
Expect(1, 19903, '\P{^Blk=__CJK_EXT_A}', "");
Expect(0, 19904, '\p{Blk=__CJK_EXT_A}', "");
Expect(1, 19904, '\p{^Blk=__CJK_EXT_A}', "");
Expect(1, 19904, '\P{Blk=__CJK_EXT_A}', "");
Expect(0, 19904, '\P{^Blk=__CJK_EXT_A}', "");
Error('\p{Is_Block=-:=CJK_unified_Ideographs_Extension_a}');
Error('\P{Is_Block=-:=CJK_unified_Ideographs_Extension_a}');
Expect(1, 19903, '\p{Is_Block=cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^Is_Block=cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{Is_Block=cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^Is_Block=cjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\p{Is_Block=cjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\p{^Is_Block=cjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\P{Is_Block=cjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\P{^Is_Block=cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{Is_Block=  CJK_Unified_IDEOGRAPHS_Extension_A}', "");
Expect(0, 19903, '\p{^Is_Block=  CJK_Unified_IDEOGRAPHS_Extension_A}', "");
Expect(0, 19903, '\P{Is_Block=  CJK_Unified_IDEOGRAPHS_Extension_A}', "");
Expect(1, 19903, '\P{^Is_Block=  CJK_Unified_IDEOGRAPHS_Extension_A}', "");
Expect(0, 19904, '\p{Is_Block=  CJK_Unified_IDEOGRAPHS_Extension_A}', "");
Expect(1, 19904, '\p{^Is_Block=  CJK_Unified_IDEOGRAPHS_Extension_A}', "");
Expect(1, 19904, '\P{Is_Block=  CJK_Unified_IDEOGRAPHS_Extension_A}', "");
Expect(0, 19904, '\P{^Is_Block=  CJK_Unified_IDEOGRAPHS_Extension_A}', "");
Error('\p{Is_Blk=	 cjk_EXT_A/a/}');
Error('\P{Is_Blk=	 cjk_EXT_A/a/}');
Expect(1, 19903, '\p{Is_Blk:   cjkexta}', "");
Expect(0, 19903, '\p{^Is_Blk:   cjkexta}', "");
Expect(0, 19903, '\P{Is_Blk:   cjkexta}', "");
Expect(1, 19903, '\P{^Is_Blk:   cjkexta}', "");
Expect(0, 19904, '\p{Is_Blk:   cjkexta}', "");
Expect(1, 19904, '\p{^Is_Blk:   cjkexta}', "");
Expect(1, 19904, '\P{Is_Blk:   cjkexta}', "");
Expect(0, 19904, '\P{^Is_Blk:   cjkexta}', "");
Expect(1, 19903, '\p{Is_Blk=	CJK_Ext_A}', "");
Expect(0, 19903, '\p{^Is_Blk=	CJK_Ext_A}', "");
Expect(0, 19903, '\P{Is_Blk=	CJK_Ext_A}', "");
Expect(1, 19903, '\P{^Is_Blk=	CJK_Ext_A}', "");
Expect(0, 19904, '\p{Is_Blk=	CJK_Ext_A}', "");
Expect(1, 19904, '\p{^Is_Blk=	CJK_Ext_A}', "");
Expect(1, 19904, '\P{Is_Blk=	CJK_Ext_A}', "");
Expect(0, 19904, '\P{^Is_Blk=	CJK_Ext_A}', "");
Error('\p{Block= 	CJK_unified_ideographs_EXTENSION_B:=}');
Error('\P{Block= 	CJK_unified_ideographs_EXTENSION_B:=}');
Expect(1, 173791, '\p{Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\p{Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\p{^Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\P{Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\P{^Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{Block=CJK_Unified_IDEOGRAPHS_extension_B}', "");
Expect(0, 173791, '\p{^Block=CJK_Unified_IDEOGRAPHS_extension_B}', "");
Expect(0, 173791, '\P{Block=CJK_Unified_IDEOGRAPHS_extension_B}', "");
Expect(1, 173791, '\P{^Block=CJK_Unified_IDEOGRAPHS_extension_B}', "");
Expect(0, 173792, '\p{Block=CJK_Unified_IDEOGRAPHS_extension_B}', "");
Expect(1, 173792, '\p{^Block=CJK_Unified_IDEOGRAPHS_extension_B}', "");
Expect(1, 173792, '\P{Block=CJK_Unified_IDEOGRAPHS_extension_B}', "");
Expect(0, 173792, '\P{^Block=CJK_Unified_IDEOGRAPHS_extension_B}', "");
Error('\p{Blk=:=_	cjk_Ext_B}');
Error('\P{Blk=:=_	cjk_Ext_B}');
Expect(1, 173791, '\p{Blk=cjkextb}', "");
Expect(0, 173791, '\p{^Blk=cjkextb}', "");
Expect(0, 173791, '\P{Blk=cjkextb}', "");
Expect(1, 173791, '\P{^Blk=cjkextb}', "");
Expect(0, 173792, '\p{Blk=cjkextb}', "");
Expect(1, 173792, '\p{^Blk=cjkextb}', "");
Expect(1, 173792, '\P{Blk=cjkextb}', "");
Expect(0, 173792, '\P{^Blk=cjkextb}', "");
Expect(1, 173791, '\p{Blk:   --cjk_ext_b}', "");
Expect(0, 173791, '\p{^Blk:   --cjk_ext_b}', "");
Expect(0, 173791, '\P{Blk:   --cjk_ext_b}', "");
Expect(1, 173791, '\P{^Blk:   --cjk_ext_b}', "");
Expect(0, 173792, '\p{Blk:   --cjk_ext_b}', "");
Expect(1, 173792, '\p{^Blk:   --cjk_ext_b}', "");
Expect(1, 173792, '\P{Blk:   --cjk_ext_b}', "");
Expect(0, 173792, '\P{^Blk:   --cjk_ext_b}', "");
Error('\p{Is_Block=:=-_cjk_unified_ideographs_Extension_b}');
Error('\P{Is_Block=:=-_cjk_unified_ideographs_Extension_b}');
Expect(1, 173791, '\p{Is_Block: cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^Is_Block: cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{Is_Block: cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^Is_Block: cjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\p{Is_Block: cjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\p{^Is_Block: cjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\P{Is_Block: cjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\P{^Is_Block: cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{Is_Block=	_CJK_UNIFIED_IDEOGRAPHS_extension_B}', "");
Expect(0, 173791, '\p{^Is_Block=	_CJK_UNIFIED_IDEOGRAPHS_extension_B}', "");
Expect(0, 173791, '\P{Is_Block=	_CJK_UNIFIED_IDEOGRAPHS_extension_B}', "");
Expect(1, 173791, '\P{^Is_Block=	_CJK_UNIFIED_IDEOGRAPHS_extension_B}', "");
Expect(0, 173792, '\p{Is_Block=	_CJK_UNIFIED_IDEOGRAPHS_extension_B}', "");
Expect(1, 173792, '\p{^Is_Block=	_CJK_UNIFIED_IDEOGRAPHS_extension_B}', "");
Expect(1, 173792, '\P{Is_Block=	_CJK_UNIFIED_IDEOGRAPHS_extension_B}', "");
Expect(0, 173792, '\P{^Is_Block=	_CJK_UNIFIED_IDEOGRAPHS_extension_B}', "");
Error('\p{Is_Blk=:= _cjk_Ext_B}');
Error('\P{Is_Blk=:= _cjk_Ext_B}');
Expect(1, 173791, '\p{Is_Blk=cjkextb}', "");
Expect(0, 173791, '\p{^Is_Blk=cjkextb}', "");
Expect(0, 173791, '\P{Is_Blk=cjkextb}', "");
Expect(1, 173791, '\P{^Is_Blk=cjkextb}', "");
Expect(0, 173792, '\p{Is_Blk=cjkextb}', "");
Expect(1, 173792, '\p{^Is_Blk=cjkextb}', "");
Expect(1, 173792, '\P{Is_Blk=cjkextb}', "");
Expect(0, 173792, '\P{^Is_Blk=cjkextb}', "");
Expect(1, 173791, '\p{Is_Blk=	_cjk_ext_B}', "");
Expect(0, 173791, '\p{^Is_Blk=	_cjk_ext_B}', "");
Expect(0, 173791, '\P{Is_Blk=	_cjk_ext_B}', "");
Expect(1, 173791, '\P{^Is_Blk=	_cjk_ext_B}', "");
Expect(0, 173792, '\p{Is_Blk=	_cjk_ext_B}', "");
Expect(1, 173792, '\p{^Is_Blk=	_cjk_ext_B}', "");
Expect(1, 173792, '\P{Is_Blk=	_cjk_ext_B}', "");
Expect(0, 173792, '\P{^Is_Blk=	_cjk_ext_B}', "");
Error('\p{Block=:= cjk_Unified_Ideographs_Extension_C}');
Error('\P{Block=:= cjk_Unified_Ideographs_Extension_C}');
Expect(1, 177983, '\p{Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\p{Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\p{^Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\P{Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\P{^Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{Block=-_CJK_UNIFIED_ideographs_Extension_C}', "");
Expect(0, 177983, '\p{^Block=-_CJK_UNIFIED_ideographs_Extension_C}', "");
Expect(0, 177983, '\P{Block=-_CJK_UNIFIED_ideographs_Extension_C}', "");
Expect(1, 177983, '\P{^Block=-_CJK_UNIFIED_ideographs_Extension_C}', "");
Expect(0, 177984, '\p{Block=-_CJK_UNIFIED_ideographs_Extension_C}', "");
Expect(1, 177984, '\p{^Block=-_CJK_UNIFIED_ideographs_Extension_C}', "");
Expect(1, 177984, '\P{Block=-_CJK_UNIFIED_ideographs_Extension_C}', "");
Expect(0, 177984, '\P{^Block=-_CJK_UNIFIED_ideographs_Extension_C}', "");
Error('\p{Blk=-:=CJK_ext_C}');
Error('\P{Blk=-:=CJK_ext_C}');
Expect(1, 177983, '\p{Blk=cjkextc}', "");
Expect(0, 177983, '\p{^Blk=cjkextc}', "");
Expect(0, 177983, '\P{Blk=cjkextc}', "");
Expect(1, 177983, '\P{^Blk=cjkextc}', "");
Expect(0, 177984, '\p{Blk=cjkextc}', "");
Expect(1, 177984, '\p{^Blk=cjkextc}', "");
Expect(1, 177984, '\P{Blk=cjkextc}', "");
Expect(0, 177984, '\P{^Blk=cjkextc}', "");
Expect(1, 177983, '\p{Blk:	- CJK_ext_C}', "");
Expect(0, 177983, '\p{^Blk:	- CJK_ext_C}', "");
Expect(0, 177983, '\P{Blk:	- CJK_ext_C}', "");
Expect(1, 177983, '\P{^Blk:	- CJK_ext_C}', "");
Expect(0, 177984, '\p{Blk:	- CJK_ext_C}', "");
Expect(1, 177984, '\p{^Blk:	- CJK_ext_C}', "");
Expect(1, 177984, '\P{Blk:	- CJK_ext_C}', "");
Expect(0, 177984, '\P{^Blk:	- CJK_ext_C}', "");
Error('\p{Is_Block=-/a/CJK_unified_IDEOGRAPHS_Extension_C}');
Error('\P{Is_Block=-/a/CJK_unified_IDEOGRAPHS_Extension_C}');
Expect(1, 177983, '\p{Is_Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^Is_Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{Is_Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^Is_Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\p{Is_Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\p{^Is_Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\P{Is_Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\P{^Is_Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{Is_Block:	_	CJK_Unified_IDEOGRAPHS_EXTENSION_C}', "");
Expect(0, 177983, '\p{^Is_Block:	_	CJK_Unified_IDEOGRAPHS_EXTENSION_C}', "");
Expect(0, 177983, '\P{Is_Block:	_	CJK_Unified_IDEOGRAPHS_EXTENSION_C}', "");
Expect(1, 177983, '\P{^Is_Block:	_	CJK_Unified_IDEOGRAPHS_EXTENSION_C}', "");
Expect(0, 177984, '\p{Is_Block:	_	CJK_Unified_IDEOGRAPHS_EXTENSION_C}', "");
Expect(1, 177984, '\p{^Is_Block:	_	CJK_Unified_IDEOGRAPHS_EXTENSION_C}', "");
Expect(1, 177984, '\P{Is_Block:	_	CJK_Unified_IDEOGRAPHS_EXTENSION_C}', "");
Expect(0, 177984, '\P{^Is_Block:	_	CJK_Unified_IDEOGRAPHS_EXTENSION_C}', "");
Error('\p{Is_Blk=/a/	CJK_Ext_c}');
Error('\P{Is_Blk=/a/	CJK_Ext_c}');
Expect(1, 177983, '\p{Is_Blk=cjkextc}', "");
Expect(0, 177983, '\p{^Is_Blk=cjkextc}', "");
Expect(0, 177983, '\P{Is_Blk=cjkextc}', "");
Expect(1, 177983, '\P{^Is_Blk=cjkextc}', "");
Expect(0, 177984, '\p{Is_Blk=cjkextc}', "");
Expect(1, 177984, '\p{^Is_Blk=cjkextc}', "");
Expect(1, 177984, '\P{Is_Blk=cjkextc}', "");
Expect(0, 177984, '\P{^Is_Blk=cjkextc}', "");
Expect(1, 177983, '\p{Is_Blk=_	CJK_EXT_C}', "");
Expect(0, 177983, '\p{^Is_Blk=_	CJK_EXT_C}', "");
Expect(0, 177983, '\P{Is_Blk=_	CJK_EXT_C}', "");
Expect(1, 177983, '\P{^Is_Blk=_	CJK_EXT_C}', "");
Expect(0, 177984, '\p{Is_Blk=_	CJK_EXT_C}', "");
Expect(1, 177984, '\p{^Is_Blk=_	CJK_EXT_C}', "");
Expect(1, 177984, '\P{Is_Blk=_	CJK_EXT_C}', "");
Expect(0, 177984, '\P{^Is_Blk=_	CJK_EXT_C}', "");
Error('\p{Block=/a/-	CJK_Unified_Ideographs_extension_d}');
Error('\P{Block=/a/-	CJK_Unified_Ideographs_extension_d}');
Expect(1, 178207, '\p{Block=cjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\p{^Block=cjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\P{Block=cjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\P{^Block=cjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\p{Block=cjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\p{^Block=cjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\P{Block=cjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\P{^Block=cjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\p{Block=	_CJK_UNIFIED_IDEOGRAPHS_Extension_D}', "");
Expect(0, 178207, '\p{^Block=	_CJK_UNIFIED_IDEOGRAPHS_Extension_D}', "");
Expect(0, 178207, '\P{Block=	_CJK_UNIFIED_IDEOGRAPHS_Extension_D}', "");
Expect(1, 178207, '\P{^Block=	_CJK_UNIFIED_IDEOGRAPHS_Extension_D}', "");
Expect(0, 178208, '\p{Block=	_CJK_UNIFIED_IDEOGRAPHS_Extension_D}', "");
Expect(1, 178208, '\p{^Block=	_CJK_UNIFIED_IDEOGRAPHS_Extension_D}', "");
Expect(1, 178208, '\P{Block=	_CJK_UNIFIED_IDEOGRAPHS_Extension_D}', "");
Expect(0, 178208, '\P{^Block=	_CJK_UNIFIED_IDEOGRAPHS_Extension_D}', "");
Error('\p{Blk=		CJK_ext_d/a/}');
Error('\P{Blk=		CJK_ext_d/a/}');
Expect(1, 178207, '\p{Blk=cjkextd}', "");
Expect(0, 178207, '\p{^Blk=cjkextd}', "");
Expect(0, 178207, '\P{Blk=cjkextd}', "");
Expect(1, 178207, '\P{^Blk=cjkextd}', "");
Expect(0, 178208, '\p{Blk=cjkextd}', "");
Expect(1, 178208, '\p{^Blk=cjkextd}', "");
Expect(1, 178208, '\P{Blk=cjkextd}', "");
Expect(0, 178208, '\P{^Blk=cjkextd}', "");
Expect(1, 178207, '\p{Blk=  cjk_Ext_D}', "");
Expect(0, 178207, '\p{^Blk=  cjk_Ext_D}', "");
Expect(0, 178207, '\P{Blk=  cjk_Ext_D}', "");
Expect(1, 178207, '\P{^Blk=  cjk_Ext_D}', "");
Expect(0, 178208, '\p{Blk=  cjk_Ext_D}', "");
Expect(1, 178208, '\p{^Blk=  cjk_Ext_D}', "");
Expect(1, 178208, '\P{Blk=  cjk_Ext_D}', "");
Expect(0, 178208, '\P{^Blk=  cjk_Ext_D}', "");
Error('\p{Is_Block=_-CJK_Unified_Ideographs_Extension_D:=}');
Error('\P{Is_Block=_-CJK_Unified_Ideographs_Extension_D:=}');
Expect(1, 178207, '\p{Is_Block=cjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\p{^Is_Block=cjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\P{Is_Block=cjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\P{^Is_Block=cjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\p{Is_Block=cjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\p{^Is_Block=cjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\P{Is_Block=cjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\P{^Is_Block=cjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\p{Is_Block= CJK_Unified_Ideographs_Extension_d}', "");
Expect(0, 178207, '\p{^Is_Block= CJK_Unified_Ideographs_Extension_d}', "");
Expect(0, 178207, '\P{Is_Block= CJK_Unified_Ideographs_Extension_d}', "");
Expect(1, 178207, '\P{^Is_Block= CJK_Unified_Ideographs_Extension_d}', "");
Expect(0, 178208, '\p{Is_Block= CJK_Unified_Ideographs_Extension_d}', "");
Expect(1, 178208, '\p{^Is_Block= CJK_Unified_Ideographs_Extension_d}', "");
Expect(1, 178208, '\P{Is_Block= CJK_Unified_Ideographs_Extension_d}', "");
Expect(0, 178208, '\P{^Is_Block= CJK_Unified_Ideographs_Extension_d}', "");
Error('\p{Is_Blk=	:=CJK_EXT_D}');
Error('\P{Is_Blk=	:=CJK_EXT_D}');
Expect(1, 178207, '\p{Is_Blk=cjkextd}', "");
Expect(0, 178207, '\p{^Is_Blk=cjkextd}', "");
Expect(0, 178207, '\P{Is_Blk=cjkextd}', "");
Expect(1, 178207, '\P{^Is_Blk=cjkextd}', "");
Expect(0, 178208, '\p{Is_Blk=cjkextd}', "");
Expect(1, 178208, '\p{^Is_Blk=cjkextd}', "");
Expect(1, 178208, '\P{Is_Blk=cjkextd}', "");
Expect(0, 178208, '\P{^Is_Blk=cjkextd}', "");
Expect(1, 178207, '\p{Is_Blk:	--CJK_ext_d}', "");
Expect(0, 178207, '\p{^Is_Blk:	--CJK_ext_d}', "");
Expect(0, 178207, '\P{Is_Blk:	--CJK_ext_d}', "");
Expect(1, 178207, '\P{^Is_Blk:	--CJK_ext_d}', "");
Expect(0, 178208, '\p{Is_Blk:	--CJK_ext_d}', "");
Expect(1, 178208, '\p{^Is_Blk:	--CJK_ext_d}', "");
Expect(1, 178208, '\P{Is_Blk:	--CJK_ext_d}', "");
Expect(0, 178208, '\P{^Is_Blk:	--CJK_ext_d}', "");
Error('\p{Block=--CJK_radicals_Supplement:=}');
Error('\P{Block=--CJK_radicals_Supplement:=}');
Expect(1, 12031, '\p{Block=cjkradicalssupplement}', "");
Expect(0, 12031, '\p{^Block=cjkradicalssupplement}', "");
Expect(0, 12031, '\P{Block=cjkradicalssupplement}', "");
Expect(1, 12031, '\P{^Block=cjkradicalssupplement}', "");
Expect(0, 12032, '\p{Block=cjkradicalssupplement}', "");
Expect(1, 12032, '\p{^Block=cjkradicalssupplement}', "");
Expect(1, 12032, '\P{Block=cjkradicalssupplement}', "");
Expect(0, 12032, '\P{^Block=cjkradicalssupplement}', "");
Expect(1, 12031, '\p{Block:    -cjk_radicals_SUPPLEMENT}', "");
Expect(0, 12031, '\p{^Block:    -cjk_radicals_SUPPLEMENT}', "");
Expect(0, 12031, '\P{Block:    -cjk_radicals_SUPPLEMENT}', "");
Expect(1, 12031, '\P{^Block:    -cjk_radicals_SUPPLEMENT}', "");
Expect(0, 12032, '\p{Block:    -cjk_radicals_SUPPLEMENT}', "");
Expect(1, 12032, '\p{^Block:    -cjk_radicals_SUPPLEMENT}', "");
Expect(1, 12032, '\P{Block:    -cjk_radicals_SUPPLEMENT}', "");
Expect(0, 12032, '\P{^Block:    -cjk_radicals_SUPPLEMENT}', "");
Error('\p{Blk=	-CJK_Radicals_sup:=}');
Error('\P{Blk=	-CJK_Radicals_sup:=}');
Expect(1, 12031, '\p{Blk=cjkradicalssup}', "");
Expect(0, 12031, '\p{^Blk=cjkradicalssup}', "");
Expect(0, 12031, '\P{Blk=cjkradicalssup}', "");
Expect(1, 12031, '\P{^Blk=cjkradicalssup}', "");
Expect(0, 12032, '\p{Blk=cjkradicalssup}', "");
Expect(1, 12032, '\p{^Blk=cjkradicalssup}', "");
Expect(1, 12032, '\P{Blk=cjkradicalssup}', "");
Expect(0, 12032, '\P{^Blk=cjkradicalssup}', "");
Expect(1, 12031, '\p{Blk=_ CJK_Radicals_sup}', "");
Expect(0, 12031, '\p{^Blk=_ CJK_Radicals_sup}', "");
Expect(0, 12031, '\P{Blk=_ CJK_Radicals_sup}', "");
Expect(1, 12031, '\P{^Blk=_ CJK_Radicals_sup}', "");
Expect(0, 12032, '\p{Blk=_ CJK_Radicals_sup}', "");
Expect(1, 12032, '\p{^Blk=_ CJK_Radicals_sup}', "");
Expect(1, 12032, '\P{Blk=_ CJK_Radicals_sup}', "");
Expect(0, 12032, '\P{^Blk=_ CJK_Radicals_sup}', "");
Error('\p{Is_Block=/a/ _CJK_radicals_Supplement}');
Error('\P{Is_Block=/a/ _CJK_radicals_Supplement}');
Expect(1, 12031, '\p{Is_Block:   cjkradicalssupplement}', "");
Expect(0, 12031, '\p{^Is_Block:   cjkradicalssupplement}', "");
Expect(0, 12031, '\P{Is_Block:   cjkradicalssupplement}', "");
Expect(1, 12031, '\P{^Is_Block:   cjkradicalssupplement}', "");
Expect(0, 12032, '\p{Is_Block:   cjkradicalssupplement}', "");
Expect(1, 12032, '\p{^Is_Block:   cjkradicalssupplement}', "");
Expect(1, 12032, '\P{Is_Block:   cjkradicalssupplement}', "");
Expect(0, 12032, '\P{^Is_Block:   cjkradicalssupplement}', "");
Expect(1, 12031, '\p{Is_Block=	 CJK_radicals_supplement}', "");
Expect(0, 12031, '\p{^Is_Block=	 CJK_radicals_supplement}', "");
Expect(0, 12031, '\P{Is_Block=	 CJK_radicals_supplement}', "");
Expect(1, 12031, '\P{^Is_Block=	 CJK_radicals_supplement}', "");
Expect(0, 12032, '\p{Is_Block=	 CJK_radicals_supplement}', "");
Expect(1, 12032, '\p{^Is_Block=	 CJK_radicals_supplement}', "");
Expect(1, 12032, '\P{Is_Block=	 CJK_radicals_supplement}', "");
Expect(0, 12032, '\P{^Is_Block=	 CJK_radicals_supplement}', "");
Error('\p{Is_Blk=	cjk_RADICALS_Sup:=}');
Error('\P{Is_Blk=	cjk_RADICALS_Sup:=}');
Expect(1, 12031, '\p{Is_Blk=cjkradicalssup}', "");
Expect(0, 12031, '\p{^Is_Blk=cjkradicalssup}', "");
Expect(0, 12031, '\P{Is_Blk=cjkradicalssup}', "");
Expect(1, 12031, '\P{^Is_Blk=cjkradicalssup}', "");
Expect(0, 12032, '\p{Is_Blk=cjkradicalssup}', "");
Expect(1, 12032, '\p{^Is_Blk=cjkradicalssup}', "");
Expect(1, 12032, '\P{Is_Blk=cjkradicalssup}', "");
Expect(0, 12032, '\P{^Is_Blk=cjkradicalssup}', "");
Expect(1, 12031, '\p{Is_Blk=	CJK_Radicals_SUP}', "");
Expect(0, 12031, '\p{^Is_Blk=	CJK_Radicals_SUP}', "");
Expect(0, 12031, '\P{Is_Blk=	CJK_Radicals_SUP}', "");
Expect(1, 12031, '\P{^Is_Blk=	CJK_Radicals_SUP}', "");
Expect(0, 12032, '\p{Is_Blk=	CJK_Radicals_SUP}', "");
Expect(1, 12032, '\p{^Is_Blk=	CJK_Radicals_SUP}', "");
Expect(1, 12032, '\P{Is_Blk=	CJK_Radicals_SUP}', "");
Expect(0, 12032, '\P{^Is_Blk=	CJK_Radicals_SUP}', "");
Error('\p{Block=_-CJK_Strokes/a/}');
Error('\P{Block=_-CJK_Strokes/a/}');
Expect(1, 12783, '\p{Block=cjkstrokes}', "");
Expect(0, 12783, '\p{^Block=cjkstrokes}', "");
Expect(0, 12783, '\P{Block=cjkstrokes}', "");
Expect(1, 12783, '\P{^Block=cjkstrokes}', "");
Expect(0, 12784, '\p{Block=cjkstrokes}', "");
Expect(1, 12784, '\p{^Block=cjkstrokes}', "");
Expect(1, 12784, '\P{Block=cjkstrokes}', "");
Expect(0, 12784, '\P{^Block=cjkstrokes}', "");
Expect(1, 12783, '\p{Block=- CJK_STROKES}', "");
Expect(0, 12783, '\p{^Block=- CJK_STROKES}', "");
Expect(0, 12783, '\P{Block=- CJK_STROKES}', "");
Expect(1, 12783, '\P{^Block=- CJK_STROKES}', "");
Expect(0, 12784, '\p{Block=- CJK_STROKES}', "");
Expect(1, 12784, '\p{^Block=- CJK_STROKES}', "");
Expect(1, 12784, '\P{Block=- CJK_STROKES}', "");
Expect(0, 12784, '\P{^Block=- CJK_STROKES}', "");
Error('\p{Blk=:=  CJK_Strokes}');
Error('\P{Blk=:=  CJK_Strokes}');
Expect(1, 12783, '\p{Blk=cjkstrokes}', "");
Expect(0, 12783, '\p{^Blk=cjkstrokes}', "");
Expect(0, 12783, '\P{Blk=cjkstrokes}', "");
Expect(1, 12783, '\P{^Blk=cjkstrokes}', "");
Expect(0, 12784, '\p{Blk=cjkstrokes}', "");
Expect(1, 12784, '\p{^Blk=cjkstrokes}', "");
Expect(1, 12784, '\P{Blk=cjkstrokes}', "");
Expect(0, 12784, '\P{^Blk=cjkstrokes}', "");
Expect(1, 12783, '\p{Blk: - CJK_Strokes}', "");
Expect(0, 12783, '\p{^Blk: - CJK_Strokes}', "");
Expect(0, 12783, '\P{Blk: - CJK_Strokes}', "");
Expect(1, 12783, '\P{^Blk: - CJK_Strokes}', "");
Expect(0, 12784, '\p{Blk: - CJK_Strokes}', "");
Expect(1, 12784, '\p{^Blk: - CJK_Strokes}', "");
Expect(1, 12784, '\P{Blk: - CJK_Strokes}', "");
Expect(0, 12784, '\P{^Blk: - CJK_Strokes}', "");
Error('\p{Is_Block=/a/ _CJK_Strokes}');
Error('\P{Is_Block=/a/ _CJK_Strokes}');
Expect(1, 12783, '\p{Is_Block=cjkstrokes}', "");
Expect(0, 12783, '\p{^Is_Block=cjkstrokes}', "");
Expect(0, 12783, '\P{Is_Block=cjkstrokes}', "");
Expect(1, 12783, '\P{^Is_Block=cjkstrokes}', "");
Expect(0, 12784, '\p{Is_Block=cjkstrokes}', "");
Expect(1, 12784, '\p{^Is_Block=cjkstrokes}', "");
Expect(1, 12784, '\P{Is_Block=cjkstrokes}', "");
Expect(0, 12784, '\P{^Is_Block=cjkstrokes}', "");
Expect(1, 12783, '\p{Is_Block=	_CJK_Strokes}', "");
Expect(0, 12783, '\p{^Is_Block=	_CJK_Strokes}', "");
Expect(0, 12783, '\P{Is_Block=	_CJK_Strokes}', "");
Expect(1, 12783, '\P{^Is_Block=	_CJK_Strokes}', "");
Expect(0, 12784, '\p{Is_Block=	_CJK_Strokes}', "");
Expect(1, 12784, '\p{^Is_Block=	_CJK_Strokes}', "");
Expect(1, 12784, '\P{Is_Block=	_CJK_Strokes}', "");
Expect(0, 12784, '\P{^Is_Block=	_CJK_Strokes}', "");
Error('\p{Is_Blk=:=-_CJK_Strokes}');
Error('\P{Is_Blk=:=-_CJK_Strokes}');
Expect(1, 12783, '\p{Is_Blk=cjkstrokes}', "");
Expect(0, 12783, '\p{^Is_Blk=cjkstrokes}', "");
Expect(0, 12783, '\P{Is_Blk=cjkstrokes}', "");
Expect(1, 12783, '\P{^Is_Blk=cjkstrokes}', "");
Expect(0, 12784, '\p{Is_Blk=cjkstrokes}', "");
Expect(1, 12784, '\p{^Is_Blk=cjkstrokes}', "");
Expect(1, 12784, '\P{Is_Blk=cjkstrokes}', "");
Expect(0, 12784, '\P{^Is_Blk=cjkstrokes}', "");
Expect(1, 12783, '\p{Is_Blk=_-CJK_Strokes}', "");
Expect(0, 12783, '\p{^Is_Blk=_-CJK_Strokes}', "");
Expect(0, 12783, '\P{Is_Blk=_-CJK_Strokes}', "");
Expect(1, 12783, '\P{^Is_Blk=_-CJK_Strokes}', "");
Expect(0, 12784, '\p{Is_Blk=_-CJK_Strokes}', "");
Expect(1, 12784, '\p{^Is_Blk=_-CJK_Strokes}', "");
Expect(1, 12784, '\P{Is_Blk=_-CJK_Strokes}', "");
Expect(0, 12784, '\P{^Is_Blk=_-CJK_Strokes}', "");
Error('\p{Block=/a/- CJK_Symbols_AND_PUNCTUATION}');
Error('\P{Block=/a/- CJK_Symbols_AND_PUNCTUATION}');
Expect(1, 12351, '\p{Block=cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^Block=cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{Block=cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^Block=cjksymbolsandpunctuation}', "");
Expect(0, 12352, '\p{Block=cjksymbolsandpunctuation}', "");
Expect(1, 12352, '\p{^Block=cjksymbolsandpunctuation}', "");
Expect(1, 12352, '\P{Block=cjksymbolsandpunctuation}', "");
Expect(0, 12352, '\P{^Block=cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{Block= 	CJK_Symbols_and_Punctuation}', "");
Expect(0, 12351, '\p{^Block= 	CJK_Symbols_and_Punctuation}', "");
Expect(0, 12351, '\P{Block= 	CJK_Symbols_and_Punctuation}', "");
Expect(1, 12351, '\P{^Block= 	CJK_Symbols_and_Punctuation}', "");
Expect(0, 12352, '\p{Block= 	CJK_Symbols_and_Punctuation}', "");
Expect(1, 12352, '\p{^Block= 	CJK_Symbols_and_Punctuation}', "");
Expect(1, 12352, '\P{Block= 	CJK_Symbols_and_Punctuation}', "");
Expect(0, 12352, '\P{^Block= 	CJK_Symbols_and_Punctuation}', "");
Error('\p{Blk:   :=-CJK_SYMBOLS}');
Error('\P{Blk:   :=-CJK_SYMBOLS}');
Expect(1, 12351, '\p{Blk=cjksymbols}', "");
Expect(0, 12351, '\p{^Blk=cjksymbols}', "");
Expect(0, 12351, '\P{Blk=cjksymbols}', "");
Expect(1, 12351, '\P{^Blk=cjksymbols}', "");
Expect(0, 12352, '\p{Blk=cjksymbols}', "");
Expect(1, 12352, '\p{^Blk=cjksymbols}', "");
Expect(1, 12352, '\P{Blk=cjksymbols}', "");
Expect(0, 12352, '\P{^Blk=cjksymbols}', "");
Expect(1, 12351, '\p{Blk=-CJK_Symbols}', "");
Expect(0, 12351, '\p{^Blk=-CJK_Symbols}', "");
Expect(0, 12351, '\P{Blk=-CJK_Symbols}', "");
Expect(1, 12351, '\P{^Blk=-CJK_Symbols}', "");
Expect(0, 12352, '\p{Blk=-CJK_Symbols}', "");
Expect(1, 12352, '\p{^Blk=-CJK_Symbols}', "");
Expect(1, 12352, '\P{Blk=-CJK_Symbols}', "");
Expect(0, 12352, '\P{^Blk=-CJK_Symbols}', "");
Error('\p{Is_Block:   -:=CJK_Symbols_AND_punctuation}');
Error('\P{Is_Block:   -:=CJK_Symbols_AND_punctuation}');
Expect(1, 12351, '\p{Is_Block=cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^Is_Block=cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{Is_Block=cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^Is_Block=cjksymbolsandpunctuation}', "");
Expect(0, 12352, '\p{Is_Block=cjksymbolsandpunctuation}', "");
Expect(1, 12352, '\p{^Is_Block=cjksymbolsandpunctuation}', "");
Expect(1, 12352, '\P{Is_Block=cjksymbolsandpunctuation}', "");
Expect(0, 12352, '\P{^Is_Block=cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{Is_Block=CJK_symbols_And_punctuation}', "");
Expect(0, 12351, '\p{^Is_Block=CJK_symbols_And_punctuation}', "");
Expect(0, 12351, '\P{Is_Block=CJK_symbols_And_punctuation}', "");
Expect(1, 12351, '\P{^Is_Block=CJK_symbols_And_punctuation}', "");
Expect(0, 12352, '\p{Is_Block=CJK_symbols_And_punctuation}', "");
Expect(1, 12352, '\p{^Is_Block=CJK_symbols_And_punctuation}', "");
Expect(1, 12352, '\P{Is_Block=CJK_symbols_And_punctuation}', "");
Expect(0, 12352, '\P{^Is_Block=CJK_symbols_And_punctuation}', "");
Error('\p{Is_Blk:	_/a/cjk_Symbols}');
Error('\P{Is_Blk:	_/a/cjk_Symbols}');
Expect(1, 12351, '\p{Is_Blk=cjksymbols}', "");
Expect(0, 12351, '\p{^Is_Blk=cjksymbols}', "");
Expect(0, 12351, '\P{Is_Blk=cjksymbols}', "");
Expect(1, 12351, '\P{^Is_Blk=cjksymbols}', "");
Expect(0, 12352, '\p{Is_Blk=cjksymbols}', "");
Expect(1, 12352, '\p{^Is_Blk=cjksymbols}', "");
Expect(1, 12352, '\P{Is_Blk=cjksymbols}', "");
Expect(0, 12352, '\P{^Is_Blk=cjksymbols}', "");
Expect(1, 12351, '\p{Is_Blk= CJK_Symbols}', "");
Expect(0, 12351, '\p{^Is_Blk= CJK_Symbols}', "");
Expect(0, 12351, '\P{Is_Blk= CJK_Symbols}', "");
Expect(1, 12351, '\P{^Is_Blk= CJK_Symbols}', "");
Expect(0, 12352, '\p{Is_Blk= CJK_Symbols}', "");
Expect(1, 12352, '\p{^Is_Blk= CJK_Symbols}', "");
Expect(1, 12352, '\P{Is_Blk= CJK_Symbols}', "");
Expect(0, 12352, '\P{^Is_Blk= CJK_Symbols}', "");
Error('\p{Block=__carian/a/}');
Error('\P{Block=__carian/a/}');
Expect(1, 66271, '\p{Block=carian}', "");
Expect(0, 66271, '\p{^Block=carian}', "");
Expect(0, 66271, '\P{Block=carian}', "");
Expect(1, 66271, '\P{^Block=carian}', "");
Expect(0, 66272, '\p{Block=carian}', "");
Expect(1, 66272, '\p{^Block=carian}', "");
Expect(1, 66272, '\P{Block=carian}', "");
Expect(0, 66272, '\P{^Block=carian}', "");
Expect(1, 66271, '\p{Block= -CARIAN}', "");
Expect(0, 66271, '\p{^Block= -CARIAN}', "");
Expect(0, 66271, '\P{Block= -CARIAN}', "");
Expect(1, 66271, '\P{^Block= -CARIAN}', "");
Expect(0, 66272, '\p{Block= -CARIAN}', "");
Expect(1, 66272, '\p{^Block= -CARIAN}', "");
Expect(1, 66272, '\P{Block= -CARIAN}', "");
Expect(0, 66272, '\P{^Block= -CARIAN}', "");
Error('\p{Blk=-carian/a/}');
Error('\P{Blk=-carian/a/}');
Expect(1, 66271, '\p{Blk=carian}', "");
Expect(0, 66271, '\p{^Blk=carian}', "");
Expect(0, 66271, '\P{Blk=carian}', "");
Expect(1, 66271, '\P{^Blk=carian}', "");
Expect(0, 66272, '\p{Blk=carian}', "");
Expect(1, 66272, '\p{^Blk=carian}', "");
Expect(1, 66272, '\P{Blk=carian}', "");
Expect(0, 66272, '\P{^Blk=carian}', "");
Expect(1, 66271, '\p{Blk=	Carian}', "");
Expect(0, 66271, '\p{^Blk=	Carian}', "");
Expect(0, 66271, '\P{Blk=	Carian}', "");
Expect(1, 66271, '\P{^Blk=	Carian}', "");
Expect(0, 66272, '\p{Blk=	Carian}', "");
Expect(1, 66272, '\p{^Blk=	Carian}', "");
Expect(1, 66272, '\P{Blk=	Carian}', "");
Expect(0, 66272, '\P{^Blk=	Carian}', "");
Error('\p{Is_Block= Carian:=}');
Error('\P{Is_Block= Carian:=}');
Expect(1, 66271, '\p{Is_Block:carian}', "");
Expect(0, 66271, '\p{^Is_Block:carian}', "");
Expect(0, 66271, '\P{Is_Block:carian}', "");
Expect(1, 66271, '\P{^Is_Block:carian}', "");
Expect(0, 66272, '\p{Is_Block:carian}', "");
Expect(1, 66272, '\p{^Is_Block:carian}', "");
Expect(1, 66272, '\P{Is_Block:carian}', "");
Expect(0, 66272, '\P{^Is_Block:carian}', "");
Expect(1, 66271, '\p{Is_Block=	_carian}', "");
Expect(0, 66271, '\p{^Is_Block=	_carian}', "");
Expect(0, 66271, '\P{Is_Block=	_carian}', "");
Expect(1, 66271, '\P{^Is_Block=	_carian}', "");
Expect(0, 66272, '\p{Is_Block=	_carian}', "");
Expect(1, 66272, '\p{^Is_Block=	_carian}', "");
Expect(1, 66272, '\P{Is_Block=	_carian}', "");
Expect(0, 66272, '\P{^Is_Block=	_carian}', "");
Error('\p{Is_Blk=-_carian:=}');
Error('\P{Is_Blk=-_carian:=}');
Expect(1, 66271, '\p{Is_Blk=carian}', "");
Expect(0, 66271, '\p{^Is_Blk=carian}', "");
Expect(0, 66271, '\P{Is_Blk=carian}', "");
Expect(1, 66271, '\P{^Is_Blk=carian}', "");
Expect(0, 66272, '\p{Is_Blk=carian}', "");
Expect(1, 66272, '\p{^Is_Blk=carian}', "");
Expect(1, 66272, '\P{Is_Blk=carian}', "");
Expect(0, 66272, '\P{^Is_Blk=carian}', "");
Expect(1, 66271, '\p{Is_Blk:  -Carian}', "");
Expect(0, 66271, '\p{^Is_Blk:  -Carian}', "");
Expect(0, 66271, '\P{Is_Blk:  -Carian}', "");
Expect(1, 66271, '\P{^Is_Blk:  -Carian}', "");
Expect(0, 66272, '\p{Is_Blk:  -Carian}', "");
Expect(1, 66272, '\p{^Is_Blk:  -Carian}', "");
Expect(1, 66272, '\P{Is_Blk:  -Carian}', "");
Expect(0, 66272, '\P{^Is_Blk:  -Carian}', "");
Error('\p{Block=/a/_CAUCASIAN_albanian}');
Error('\P{Block=/a/_CAUCASIAN_albanian}');
Expect(1, 66927, '\p{Block=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Block=caucasianalbanian}', "");
Expect(0, 66927, '\P{Block=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Block=caucasianalbanian}', "");
Expect(0, 66928, '\p{Block=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Block=caucasianalbanian}', "");
Expect(1, 66928, '\P{Block=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Block=caucasianalbanian}', "");
Expect(1, 66927, '\p{Block=-caucasian_Albanian}', "");
Expect(0, 66927, '\p{^Block=-caucasian_Albanian}', "");
Expect(0, 66927, '\P{Block=-caucasian_Albanian}', "");
Expect(1, 66927, '\P{^Block=-caucasian_Albanian}', "");
Expect(0, 66928, '\p{Block=-caucasian_Albanian}', "");
Expect(1, 66928, '\p{^Block=-caucasian_Albanian}', "");
Expect(1, 66928, '\P{Block=-caucasian_Albanian}', "");
Expect(0, 66928, '\P{^Block=-caucasian_Albanian}', "");
Error('\p{Blk=/a/-	Caucasian_ALBANIAN}');
Error('\P{Blk=/a/-	Caucasian_ALBANIAN}');
Expect(1, 66927, '\p{Blk=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Blk=caucasianalbanian}', "");
Expect(0, 66927, '\P{Blk=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Blk=caucasianalbanian}', "");
Expect(0, 66928, '\p{Blk=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Blk=caucasianalbanian}', "");
Expect(1, 66928, '\P{Blk=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Blk=caucasianalbanian}', "");
Expect(1, 66927, '\p{Blk=_-caucasian_Albanian}', "");
Expect(0, 66927, '\p{^Blk=_-caucasian_Albanian}', "");
Expect(0, 66927, '\P{Blk=_-caucasian_Albanian}', "");
Expect(1, 66927, '\P{^Blk=_-caucasian_Albanian}', "");
Expect(0, 66928, '\p{Blk=_-caucasian_Albanian}', "");
Expect(1, 66928, '\p{^Blk=_-caucasian_Albanian}', "");
Expect(1, 66928, '\P{Blk=_-caucasian_Albanian}', "");
Expect(0, 66928, '\P{^Blk=_-caucasian_Albanian}', "");
Error('\p{Is_Block=-Caucasian_Albanian/a/}');
Error('\P{Is_Block=-Caucasian_Albanian/a/}');
Expect(1, 66927, '\p{Is_Block=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Is_Block=caucasianalbanian}', "");
Expect(0, 66927, '\P{Is_Block=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Is_Block=caucasianalbanian}', "");
Expect(0, 66928, '\p{Is_Block=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Is_Block=caucasianalbanian}', "");
Expect(1, 66928, '\P{Is_Block=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Is_Block=caucasianalbanian}', "");
Expect(1, 66927, '\p{Is_Block= _caucasian_Albanian}', "");
Expect(0, 66927, '\p{^Is_Block= _caucasian_Albanian}', "");
Expect(0, 66927, '\P{Is_Block= _caucasian_Albanian}', "");
Expect(1, 66927, '\P{^Is_Block= _caucasian_Albanian}', "");
Expect(0, 66928, '\p{Is_Block= _caucasian_Albanian}', "");
Expect(1, 66928, '\p{^Is_Block= _caucasian_Albanian}', "");
Expect(1, 66928, '\P{Is_Block= _caucasian_Albanian}', "");
Expect(0, 66928, '\P{^Is_Block= _caucasian_Albanian}', "");
Error('\p{Is_Blk=/a/_-Caucasian_ALBANIAN}');
Error('\P{Is_Blk=/a/_-Caucasian_ALBANIAN}');
Expect(1, 66927, '\p{Is_Blk=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Is_Blk=caucasianalbanian}', "");
Expect(0, 66927, '\P{Is_Blk=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Is_Blk=caucasianalbanian}', "");
Expect(0, 66928, '\p{Is_Blk=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Is_Blk=caucasianalbanian}', "");
Expect(1, 66928, '\P{Is_Blk=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Is_Blk=caucasianalbanian}', "");
Expect(1, 66927, '\p{Is_Blk=		Caucasian_Albanian}', "");
Expect(0, 66927, '\p{^Is_Blk=		Caucasian_Albanian}', "");
Expect(0, 66927, '\P{Is_Blk=		Caucasian_Albanian}', "");
Expect(1, 66927, '\P{^Is_Blk=		Caucasian_Albanian}', "");
Expect(0, 66928, '\p{Is_Blk=		Caucasian_Albanian}', "");
Expect(1, 66928, '\p{^Is_Blk=		Caucasian_Albanian}', "");
Expect(1, 66928, '\P{Is_Blk=		Caucasian_Albanian}', "");
Expect(0, 66928, '\P{^Is_Blk=		Caucasian_Albanian}', "");
Error('\p{Block=_ Chakma/a/}');
Error('\P{Block=_ Chakma/a/}');
Expect(1, 69967, '\p{Block=chakma}', "");
Expect(0, 69967, '\p{^Block=chakma}', "");
Expect(0, 69967, '\P{Block=chakma}', "");
Expect(1, 69967, '\P{^Block=chakma}', "");
Expect(0, 69968, '\p{Block=chakma}', "");
Expect(1, 69968, '\p{^Block=chakma}', "");
Expect(1, 69968, '\P{Block=chakma}', "");
Expect(0, 69968, '\P{^Block=chakma}', "");
Expect(1, 69967, '\p{Block=_-chakma}', "");
Expect(0, 69967, '\p{^Block=_-chakma}', "");
Expect(0, 69967, '\P{Block=_-chakma}', "");
Expect(1, 69967, '\P{^Block=_-chakma}', "");
Expect(0, 69968, '\p{Block=_-chakma}', "");
Expect(1, 69968, '\p{^Block=_-chakma}', "");
Expect(1, 69968, '\P{Block=_-chakma}', "");
Expect(0, 69968, '\P{^Block=_-chakma}', "");
Error('\p{Blk=_/a/Chakma}');
Error('\P{Blk=_/a/Chakma}');
Expect(1, 69967, '\p{Blk=chakma}', "");
Expect(0, 69967, '\p{^Blk=chakma}', "");
Expect(0, 69967, '\P{Blk=chakma}', "");
Expect(1, 69967, '\P{^Blk=chakma}', "");
Expect(0, 69968, '\p{Blk=chakma}', "");
Expect(1, 69968, '\p{^Blk=chakma}', "");
Expect(1, 69968, '\P{Blk=chakma}', "");
Expect(0, 69968, '\P{^Blk=chakma}', "");
Expect(1, 69967, '\p{Blk=CHAKMA}', "");
Expect(0, 69967, '\p{^Blk=CHAKMA}', "");
Expect(0, 69967, '\P{Blk=CHAKMA}', "");
Expect(1, 69967, '\P{^Blk=CHAKMA}', "");
Expect(0, 69968, '\p{Blk=CHAKMA}', "");
Expect(1, 69968, '\p{^Blk=CHAKMA}', "");
Expect(1, 69968, '\P{Blk=CHAKMA}', "");
Expect(0, 69968, '\P{^Blk=CHAKMA}', "");
Error('\p{Is_Block=:=-Chakma}');
Error('\P{Is_Block=:=-Chakma}');
Expect(1, 69967, '\p{Is_Block:	chakma}', "");
Expect(0, 69967, '\p{^Is_Block:	chakma}', "");
Expect(0, 69967, '\P{Is_Block:	chakma}', "");
Expect(1, 69967, '\P{^Is_Block:	chakma}', "");
Expect(0, 69968, '\p{Is_Block:	chakma}', "");
Expect(1, 69968, '\p{^Is_Block:	chakma}', "");
Expect(1, 69968, '\P{Is_Block:	chakma}', "");
Expect(0, 69968, '\P{^Is_Block:	chakma}', "");
Expect(1, 69967, '\p{Is_Block=-CHAKMA}', "");
Expect(0, 69967, '\p{^Is_Block=-CHAKMA}', "");
Expect(0, 69967, '\P{Is_Block=-CHAKMA}', "");
Expect(1, 69967, '\P{^Is_Block=-CHAKMA}', "");
Expect(0, 69968, '\p{Is_Block=-CHAKMA}', "");
Expect(1, 69968, '\p{^Is_Block=-CHAKMA}', "");
Expect(1, 69968, '\P{Is_Block=-CHAKMA}', "");
Expect(0, 69968, '\P{^Is_Block=-CHAKMA}', "");
Error('\p{Is_Blk=Chakma/a/}');
Error('\P{Is_Blk=Chakma/a/}');
Expect(1, 69967, '\p{Is_Blk=chakma}', "");
Expect(0, 69967, '\p{^Is_Blk=chakma}', "");
Expect(0, 69967, '\P{Is_Blk=chakma}', "");
Expect(1, 69967, '\P{^Is_Blk=chakma}', "");
Expect(0, 69968, '\p{Is_Blk=chakma}', "");
Expect(1, 69968, '\p{^Is_Blk=chakma}', "");
Expect(1, 69968, '\P{Is_Blk=chakma}', "");
Expect(0, 69968, '\P{^Is_Blk=chakma}', "");
Expect(1, 69967, '\p{Is_Blk:	 chakma}', "");
Expect(0, 69967, '\p{^Is_Blk:	 chakma}', "");
Expect(0, 69967, '\P{Is_Blk:	 chakma}', "");
Expect(1, 69967, '\P{^Is_Blk:	 chakma}', "");
Expect(0, 69968, '\p{Is_Blk:	 chakma}', "");
Expect(1, 69968, '\p{^Is_Blk:	 chakma}', "");
Expect(1, 69968, '\P{Is_Blk:	 chakma}', "");
Expect(0, 69968, '\P{^Is_Blk:	 chakma}', "");
Error('\p{Block= /a/Cham}');
Error('\P{Block= /a/Cham}');
Expect(1, 43615, '\p{Block=cham}', "");
Expect(0, 43615, '\p{^Block=cham}', "");
Expect(0, 43615, '\P{Block=cham}', "");
Expect(1, 43615, '\P{^Block=cham}', "");
Expect(0, 43616, '\p{Block=cham}', "");
Expect(1, 43616, '\p{^Block=cham}', "");
Expect(1, 43616, '\P{Block=cham}', "");
Expect(0, 43616, '\P{^Block=cham}', "");
Expect(1, 43615, '\p{Block=  Cham}', "");
Expect(0, 43615, '\p{^Block=  Cham}', "");
Expect(0, 43615, '\P{Block=  Cham}', "");
Expect(1, 43615, '\P{^Block=  Cham}', "");
Expect(0, 43616, '\p{Block=  Cham}', "");
Expect(1, 43616, '\p{^Block=  Cham}', "");
Expect(1, 43616, '\P{Block=  Cham}', "");
Expect(0, 43616, '\P{^Block=  Cham}', "");
Error('\p{Blk=:= _cham}');
Error('\P{Blk=:= _cham}');
Expect(1, 43615, '\p{Blk=cham}', "");
Expect(0, 43615, '\p{^Blk=cham}', "");
Expect(0, 43615, '\P{Blk=cham}', "");
Expect(1, 43615, '\P{^Blk=cham}', "");
Expect(0, 43616, '\p{Blk=cham}', "");
Expect(1, 43616, '\p{^Blk=cham}', "");
Expect(1, 43616, '\P{Blk=cham}', "");
Expect(0, 43616, '\P{^Blk=cham}', "");
Expect(1, 43615, '\p{Blk=-cham}', "");
Expect(0, 43615, '\p{^Blk=-cham}', "");
Expect(0, 43615, '\P{Blk=-cham}', "");
Expect(1, 43615, '\P{^Blk=-cham}', "");
Expect(0, 43616, '\p{Blk=-cham}', "");
Expect(1, 43616, '\p{^Blk=-cham}', "");
Expect(1, 43616, '\P{Blk=-cham}', "");
Expect(0, 43616, '\P{^Blk=-cham}', "");
Error('\p{Is_Block=/a/cham}');
Error('\P{Is_Block=/a/cham}');
Expect(1, 43615, '\p{Is_Block=cham}', "");
Expect(0, 43615, '\p{^Is_Block=cham}', "");
Expect(0, 43615, '\P{Is_Block=cham}', "");
Expect(1, 43615, '\P{^Is_Block=cham}', "");
Expect(0, 43616, '\p{Is_Block=cham}', "");
Expect(1, 43616, '\p{^Is_Block=cham}', "");
Expect(1, 43616, '\P{Is_Block=cham}', "");
Expect(0, 43616, '\P{^Is_Block=cham}', "");
Expect(1, 43615, '\p{Is_Block=  Cham}', "");
Expect(0, 43615, '\p{^Is_Block=  Cham}', "");
Expect(0, 43615, '\P{Is_Block=  Cham}', "");
Expect(1, 43615, '\P{^Is_Block=  Cham}', "");
Expect(0, 43616, '\p{Is_Block=  Cham}', "");
Expect(1, 43616, '\p{^Is_Block=  Cham}', "");
Expect(1, 43616, '\P{Is_Block=  Cham}', "");
Expect(0, 43616, '\P{^Is_Block=  Cham}', "");
Error('\p{Is_Blk=	_cham/a/}');
Error('\P{Is_Blk=	_cham/a/}');
Expect(1, 43615, '\p{Is_Blk=cham}', "");
Expect(0, 43615, '\p{^Is_Blk=cham}', "");
Expect(0, 43615, '\P{Is_Blk=cham}', "");
Expect(1, 43615, '\P{^Is_Blk=cham}', "");
Expect(0, 43616, '\p{Is_Blk=cham}', "");
Expect(1, 43616, '\p{^Is_Blk=cham}', "");
Expect(1, 43616, '\P{Is_Blk=cham}', "");
Expect(0, 43616, '\P{^Is_Blk=cham}', "");
Expect(1, 43615, '\p{Is_Blk= -Cham}', "");
Expect(0, 43615, '\p{^Is_Blk= -Cham}', "");
Expect(0, 43615, '\P{Is_Blk= -Cham}', "");
Expect(1, 43615, '\P{^Is_Blk= -Cham}', "");
Expect(0, 43616, '\p{Is_Blk= -Cham}', "");
Expect(1, 43616, '\p{^Is_Blk= -Cham}', "");
Expect(1, 43616, '\P{Is_Blk= -Cham}', "");
Expect(0, 43616, '\P{^Is_Blk= -Cham}', "");
Error('\p{Block:	:=cherokee}');
Error('\P{Block:	:=cherokee}');
Expect(1, 5119, '\p{Block=cherokee}', "");
Expect(0, 5119, '\p{^Block=cherokee}', "");
Expect(0, 5119, '\P{Block=cherokee}', "");
Expect(1, 5119, '\P{^Block=cherokee}', "");
Expect(0, 5120, '\p{Block=cherokee}', "");
Expect(1, 5120, '\p{^Block=cherokee}', "");
Expect(1, 5120, '\P{Block=cherokee}', "");
Expect(0, 5120, '\P{^Block=cherokee}', "");
Expect(1, 5119, '\p{Block=_CHEROKEE}', "");
Expect(0, 5119, '\p{^Block=_CHEROKEE}', "");
Expect(0, 5119, '\P{Block=_CHEROKEE}', "");
Expect(1, 5119, '\P{^Block=_CHEROKEE}', "");
Expect(0, 5120, '\p{Block=_CHEROKEE}', "");
Expect(1, 5120, '\p{^Block=_CHEROKEE}', "");
Expect(1, 5120, '\P{Block=_CHEROKEE}', "");
Expect(0, 5120, '\P{^Block=_CHEROKEE}', "");
Error('\p{Blk=_ CHEROKEE:=}');
Error('\P{Blk=_ CHEROKEE:=}');
Expect(1, 5119, '\p{Blk=cherokee}', "");
Expect(0, 5119, '\p{^Blk=cherokee}', "");
Expect(0, 5119, '\P{Blk=cherokee}', "");
Expect(1, 5119, '\P{^Blk=cherokee}', "");
Expect(0, 5120, '\p{Blk=cherokee}', "");
Expect(1, 5120, '\p{^Blk=cherokee}', "");
Expect(1, 5120, '\P{Blk=cherokee}', "");
Expect(0, 5120, '\P{^Blk=cherokee}', "");
Expect(1, 5119, '\p{Blk=-_Cherokee}', "");
Expect(0, 5119, '\p{^Blk=-_Cherokee}', "");
Expect(0, 5119, '\P{Blk=-_Cherokee}', "");
Expect(1, 5119, '\P{^Blk=-_Cherokee}', "");
Expect(0, 5120, '\p{Blk=-_Cherokee}', "");
Expect(1, 5120, '\p{^Blk=-_Cherokee}', "");
Expect(1, 5120, '\P{Blk=-_Cherokee}', "");
Expect(0, 5120, '\P{^Blk=-_Cherokee}', "");
Error('\p{Is_Block=	:=Cherokee}');
Error('\P{Is_Block=	:=Cherokee}');
Expect(1, 5119, '\p{Is_Block=cherokee}', "");
Expect(0, 5119, '\p{^Is_Block=cherokee}', "");
Expect(0, 5119, '\P{Is_Block=cherokee}', "");
Expect(1, 5119, '\P{^Is_Block=cherokee}', "");
Expect(0, 5120, '\p{Is_Block=cherokee}', "");
Expect(1, 5120, '\p{^Is_Block=cherokee}', "");
Expect(1, 5120, '\P{Is_Block=cherokee}', "");
Expect(0, 5120, '\P{^Is_Block=cherokee}', "");
Expect(1, 5119, '\p{Is_Block= cherokee}', "");
Expect(0, 5119, '\p{^Is_Block= cherokee}', "");
Expect(0, 5119, '\P{Is_Block= cherokee}', "");
Expect(1, 5119, '\P{^Is_Block= cherokee}', "");
Expect(0, 5120, '\p{Is_Block= cherokee}', "");
Expect(1, 5120, '\p{^Is_Block= cherokee}', "");
Expect(1, 5120, '\P{Is_Block= cherokee}', "");
Expect(0, 5120, '\P{^Is_Block= cherokee}', "");
Error('\p{Is_Blk= 	Cherokee/a/}');
Error('\P{Is_Blk= 	Cherokee/a/}');
Expect(1, 5119, '\p{Is_Blk=cherokee}', "");
Expect(0, 5119, '\p{^Is_Blk=cherokee}', "");
Expect(0, 5119, '\P{Is_Blk=cherokee}', "");
Expect(1, 5119, '\P{^Is_Blk=cherokee}', "");
Expect(0, 5120, '\p{Is_Blk=cherokee}', "");
Expect(1, 5120, '\p{^Is_Blk=cherokee}', "");
Expect(1, 5120, '\P{Is_Blk=cherokee}', "");
Expect(0, 5120, '\P{^Is_Blk=cherokee}', "");
Expect(1, 5119, '\p{Is_Blk=	cherokee}', "");
Expect(0, 5119, '\p{^Is_Blk=	cherokee}', "");
Expect(0, 5119, '\P{Is_Blk=	cherokee}', "");
Expect(1, 5119, '\P{^Is_Blk=	cherokee}', "");
Expect(0, 5120, '\p{Is_Blk=	cherokee}', "");
Expect(1, 5120, '\p{^Is_Blk=	cherokee}', "");
Expect(1, 5120, '\P{Is_Blk=	cherokee}', "");
Expect(0, 5120, '\P{^Is_Blk=	cherokee}', "");
Error('\p{Block:	-hangul_Compatibility_Jamo/a/}');
Error('\P{Block:	-hangul_Compatibility_Jamo/a/}');
Expect(1, 12687, '\p{Block=hangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^Block=hangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{Block=hangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^Block=hangulcompatibilityjamo}', "");
Expect(0, 12688, '\p{Block=hangulcompatibilityjamo}', "");
Expect(1, 12688, '\p{^Block=hangulcompatibilityjamo}', "");
Expect(1, 12688, '\P{Block=hangulcompatibilityjamo}', "");
Expect(0, 12688, '\P{^Block=hangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{Block=	hangul_Compatibility_jamo}', "");
Expect(0, 12687, '\p{^Block=	hangul_Compatibility_jamo}', "");
Expect(0, 12687, '\P{Block=	hangul_Compatibility_jamo}', "");
Expect(1, 12687, '\P{^Block=	hangul_Compatibility_jamo}', "");
Expect(0, 12688, '\p{Block=	hangul_Compatibility_jamo}', "");
Expect(1, 12688, '\p{^Block=	hangul_Compatibility_jamo}', "");
Expect(1, 12688, '\P{Block=	hangul_Compatibility_jamo}', "");
Expect(0, 12688, '\P{^Block=	hangul_Compatibility_jamo}', "");
Error('\p{Blk=_:=Compat_JAMO}');
Error('\P{Blk=_:=Compat_JAMO}');
Expect(1, 12687, '\p{Blk:	compatjamo}', "");
Expect(0, 12687, '\p{^Blk:	compatjamo}', "");
Expect(0, 12687, '\P{Blk:	compatjamo}', "");
Expect(1, 12687, '\P{^Blk:	compatjamo}', "");
Expect(0, 12688, '\p{Blk:	compatjamo}', "");
Expect(1, 12688, '\p{^Blk:	compatjamo}', "");
Expect(1, 12688, '\P{Blk:	compatjamo}', "");
Expect(0, 12688, '\P{^Blk:	compatjamo}', "");
Expect(1, 12687, '\p{Blk=_Compat_Jamo}', "");
Expect(0, 12687, '\p{^Blk=_Compat_Jamo}', "");
Expect(0, 12687, '\P{Blk=_Compat_Jamo}', "");
Expect(1, 12687, '\P{^Blk=_Compat_Jamo}', "");
Expect(0, 12688, '\p{Blk=_Compat_Jamo}', "");
Expect(1, 12688, '\p{^Blk=_Compat_Jamo}', "");
Expect(1, 12688, '\P{Blk=_Compat_Jamo}', "");
Expect(0, 12688, '\P{^Blk=_Compat_Jamo}', "");
Error('\p{Is_Block=-	HANGUL_Compatibility_jamo/a/}');
Error('\P{Is_Block=-	HANGUL_Compatibility_jamo/a/}');
Expect(1, 12687, '\p{Is_Block=hangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^Is_Block=hangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{Is_Block=hangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^Is_Block=hangulcompatibilityjamo}', "");
Expect(0, 12688, '\p{Is_Block=hangulcompatibilityjamo}', "");
Expect(1, 12688, '\p{^Is_Block=hangulcompatibilityjamo}', "");
Expect(1, 12688, '\P{Is_Block=hangulcompatibilityjamo}', "");
Expect(0, 12688, '\P{^Is_Block=hangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{Is_Block=	-Hangul_Compatibility_Jamo}', "");
Expect(0, 12687, '\p{^Is_Block=	-Hangul_Compatibility_Jamo}', "");
Expect(0, 12687, '\P{Is_Block=	-Hangul_Compatibility_Jamo}', "");
Expect(1, 12687, '\P{^Is_Block=	-Hangul_Compatibility_Jamo}', "");
Expect(0, 12688, '\p{Is_Block=	-Hangul_Compatibility_Jamo}', "");
Expect(1, 12688, '\p{^Is_Block=	-Hangul_Compatibility_Jamo}', "");
Expect(1, 12688, '\P{Is_Block=	-Hangul_Compatibility_Jamo}', "");
Expect(0, 12688, '\P{^Is_Block=	-Hangul_Compatibility_Jamo}', "");
Error('\p{Is_Blk=:=_Compat_JAMO}');
Error('\P{Is_Blk=:=_Compat_JAMO}');
Expect(1, 12687, '\p{Is_Blk:	compatjamo}', "");
Expect(0, 12687, '\p{^Is_Blk:	compatjamo}', "");
Expect(0, 12687, '\P{Is_Blk:	compatjamo}', "");
Expect(1, 12687, '\P{^Is_Blk:	compatjamo}', "");
Expect(0, 12688, '\p{Is_Blk:	compatjamo}', "");
Expect(1, 12688, '\p{^Is_Blk:	compatjamo}', "");
Expect(1, 12688, '\P{Is_Blk:	compatjamo}', "");
Expect(0, 12688, '\P{^Is_Blk:	compatjamo}', "");
Expect(1, 12687, '\p{Is_Blk=_Compat_jamo}', "");
Expect(0, 12687, '\p{^Is_Blk=_Compat_jamo}', "");
Expect(0, 12687, '\P{Is_Blk=_Compat_jamo}', "");
Expect(1, 12687, '\P{^Is_Blk=_Compat_jamo}', "");
Expect(0, 12688, '\p{Is_Blk=_Compat_jamo}', "");
Expect(1, 12688, '\p{^Is_Blk=_Compat_jamo}', "");
Expect(1, 12688, '\P{Is_Blk=_Compat_jamo}', "");
Expect(0, 12688, '\P{^Is_Blk=_Compat_jamo}', "");
Error('\p{Block=_CONTROL_Pictures:=}');
Error('\P{Block=_CONTROL_Pictures:=}');
Expect(1, 9279, '\p{Block=controlpictures}', "");
Expect(0, 9279, '\p{^Block=controlpictures}', "");
Expect(0, 9279, '\P{Block=controlpictures}', "");
Expect(1, 9279, '\P{^Block=controlpictures}', "");
Expect(0, 9280, '\p{Block=controlpictures}', "");
Expect(1, 9280, '\p{^Block=controlpictures}', "");
Expect(1, 9280, '\P{Block=controlpictures}', "");
Expect(0, 9280, '\P{^Block=controlpictures}', "");
Expect(1, 9279, '\p{Block=-control_PICTURES}', "");
Expect(0, 9279, '\p{^Block=-control_PICTURES}', "");
Expect(0, 9279, '\P{Block=-control_PICTURES}', "");
Expect(1, 9279, '\P{^Block=-control_PICTURES}', "");
Expect(0, 9280, '\p{Block=-control_PICTURES}', "");
Expect(1, 9280, '\p{^Block=-control_PICTURES}', "");
Expect(1, 9280, '\P{Block=-control_PICTURES}', "");
Expect(0, 9280, '\P{^Block=-control_PICTURES}', "");
Error('\p{Blk=  Control_PICTURES/a/}');
Error('\P{Blk=  Control_PICTURES/a/}');
Expect(1, 9279, '\p{Blk=controlpictures}', "");
Expect(0, 9279, '\p{^Blk=controlpictures}', "");
Expect(0, 9279, '\P{Blk=controlpictures}', "");
Expect(1, 9279, '\P{^Blk=controlpictures}', "");
Expect(0, 9280, '\p{Blk=controlpictures}', "");
Expect(1, 9280, '\p{^Blk=controlpictures}', "");
Expect(1, 9280, '\P{Blk=controlpictures}', "");
Expect(0, 9280, '\P{^Blk=controlpictures}', "");
Expect(1, 9279, '\p{Blk=  control_PICTURES}', "");
Expect(0, 9279, '\p{^Blk=  control_PICTURES}', "");
Expect(0, 9279, '\P{Blk=  control_PICTURES}', "");
Expect(1, 9279, '\P{^Blk=  control_PICTURES}', "");
Expect(0, 9280, '\p{Blk=  control_PICTURES}', "");
Expect(1, 9280, '\p{^Blk=  control_PICTURES}', "");
Expect(1, 9280, '\P{Blk=  control_PICTURES}', "");
Expect(0, 9280, '\P{^Blk=  control_PICTURES}', "");
Error('\p{Is_Block=-:=control_PICTURES}');
Error('\P{Is_Block=-:=control_PICTURES}');
Expect(1, 9279, '\p{Is_Block=controlpictures}', "");
Expect(0, 9279, '\p{^Is_Block=controlpictures}', "");
Expect(0, 9279, '\P{Is_Block=controlpictures}', "");
Expect(1, 9279, '\P{^Is_Block=controlpictures}', "");
Expect(0, 9280, '\p{Is_Block=controlpictures}', "");
Expect(1, 9280, '\p{^Is_Block=controlpictures}', "");
Expect(1, 9280, '\P{Is_Block=controlpictures}', "");
Expect(0, 9280, '\P{^Is_Block=controlpictures}', "");
Expect(1, 9279, '\p{Is_Block= -Control_Pictures}', "");
Expect(0, 9279, '\p{^Is_Block= -Control_Pictures}', "");
Expect(0, 9279, '\P{Is_Block= -Control_Pictures}', "");
Expect(1, 9279, '\P{^Is_Block= -Control_Pictures}', "");
Expect(0, 9280, '\p{Is_Block= -Control_Pictures}', "");
Expect(1, 9280, '\p{^Is_Block= -Control_Pictures}', "");
Expect(1, 9280, '\P{Is_Block= -Control_Pictures}', "");
Expect(0, 9280, '\P{^Is_Block= -Control_Pictures}', "");
Error('\p{Is_Blk=--control_Pictures/a/}');
Error('\P{Is_Blk=--control_Pictures/a/}');
Expect(1, 9279, '\p{Is_Blk=controlpictures}', "");
Expect(0, 9279, '\p{^Is_Blk=controlpictures}', "");
Expect(0, 9279, '\P{Is_Blk=controlpictures}', "");
Expect(1, 9279, '\P{^Is_Blk=controlpictures}', "");
Expect(0, 9280, '\p{Is_Blk=controlpictures}', "");
Expect(1, 9280, '\p{^Is_Blk=controlpictures}', "");
Expect(1, 9280, '\P{Is_Blk=controlpictures}', "");
Expect(0, 9280, '\P{^Is_Blk=controlpictures}', "");
Expect(1, 9279, '\p{Is_Blk=-Control_Pictures}', "");
Expect(0, 9279, '\p{^Is_Blk=-Control_Pictures}', "");
Expect(0, 9279, '\P{Is_Blk=-Control_Pictures}', "");
Expect(1, 9279, '\P{^Is_Blk=-Control_Pictures}', "");
Expect(0, 9280, '\p{Is_Blk=-Control_Pictures}', "");
Expect(1, 9280, '\p{^Is_Blk=-Control_Pictures}', "");
Expect(1, 9280, '\P{Is_Blk=-Control_Pictures}', "");
Expect(0, 9280, '\P{^Is_Blk=-Control_Pictures}', "");
Error('\p{Block=-_Coptic:=}');
Error('\P{Block=-_Coptic:=}');
Expect(1, 11519, '\p{Block:	coptic}', "");
Expect(0, 11519, '\p{^Block:	coptic}', "");
Expect(0, 11519, '\P{Block:	coptic}', "");
Expect(1, 11519, '\P{^Block:	coptic}', "");
Expect(0, 11520, '\p{Block:	coptic}', "");
Expect(1, 11520, '\p{^Block:	coptic}', "");
Expect(1, 11520, '\P{Block:	coptic}', "");
Expect(0, 11520, '\P{^Block:	coptic}', "");
Expect(1, 11519, '\p{Block=		coptic}', "");
Expect(0, 11519, '\p{^Block=		coptic}', "");
Expect(0, 11519, '\P{Block=		coptic}', "");
Expect(1, 11519, '\P{^Block=		coptic}', "");
Expect(0, 11520, '\p{Block=		coptic}', "");
Expect(1, 11520, '\p{^Block=		coptic}', "");
Expect(1, 11520, '\P{Block=		coptic}', "");
Expect(0, 11520, '\P{^Block=		coptic}', "");
Error('\p{Blk=:=-Coptic}');
Error('\P{Blk=:=-Coptic}');
Expect(1, 11519, '\p{Blk=coptic}', "");
Expect(0, 11519, '\p{^Blk=coptic}', "");
Expect(0, 11519, '\P{Blk=coptic}', "");
Expect(1, 11519, '\P{^Blk=coptic}', "");
Expect(0, 11520, '\p{Blk=coptic}', "");
Expect(1, 11520, '\p{^Blk=coptic}', "");
Expect(1, 11520, '\P{Blk=coptic}', "");
Expect(0, 11520, '\P{^Blk=coptic}', "");
Expect(1, 11519, '\p{Blk=-	coptic}', "");
Expect(0, 11519, '\p{^Blk=-	coptic}', "");
Expect(0, 11519, '\P{Blk=-	coptic}', "");
Expect(1, 11519, '\P{^Blk=-	coptic}', "");
Expect(0, 11520, '\p{Blk=-	coptic}', "");
Expect(1, 11520, '\p{^Blk=-	coptic}', "");
Expect(1, 11520, '\P{Blk=-	coptic}', "");
Expect(0, 11520, '\P{^Blk=-	coptic}', "");
Error('\p{Is_Block=	 coptic:=}');
Error('\P{Is_Block=	 coptic:=}');
Expect(1, 11519, '\p{Is_Block=coptic}', "");
Expect(0, 11519, '\p{^Is_Block=coptic}', "");
Expect(0, 11519, '\P{Is_Block=coptic}', "");
Expect(1, 11519, '\P{^Is_Block=coptic}', "");
Expect(0, 11520, '\p{Is_Block=coptic}', "");
Expect(1, 11520, '\p{^Is_Block=coptic}', "");
Expect(1, 11520, '\P{Is_Block=coptic}', "");
Expect(0, 11520, '\P{^Is_Block=coptic}', "");
Expect(1, 11519, '\p{Is_Block= coptic}', "");
Expect(0, 11519, '\p{^Is_Block= coptic}', "");
Expect(0, 11519, '\P{Is_Block= coptic}', "");
Expect(1, 11519, '\P{^Is_Block= coptic}', "");
Expect(0, 11520, '\p{Is_Block= coptic}', "");
Expect(1, 11520, '\p{^Is_Block= coptic}', "");
Expect(1, 11520, '\P{Is_Block= coptic}', "");
Expect(0, 11520, '\P{^Is_Block= coptic}', "");
Error('\p{Is_Blk= /a/COPTIC}');
Error('\P{Is_Blk= /a/COPTIC}');
Expect(1, 11519, '\p{Is_Blk=coptic}', "");
Expect(0, 11519, '\p{^Is_Blk=coptic}', "");
Expect(0, 11519, '\P{Is_Blk=coptic}', "");
Expect(1, 11519, '\P{^Is_Blk=coptic}', "");
Expect(0, 11520, '\p{Is_Blk=coptic}', "");
Expect(1, 11520, '\p{^Is_Blk=coptic}', "");
Expect(1, 11520, '\P{Is_Blk=coptic}', "");
Expect(0, 11520, '\P{^Is_Blk=coptic}', "");
Expect(1, 11519, '\p{Is_Blk=_	Coptic}', "");
Expect(0, 11519, '\p{^Is_Blk=_	Coptic}', "");
Expect(0, 11519, '\P{Is_Blk=_	Coptic}', "");
Expect(1, 11519, '\P{^Is_Blk=_	Coptic}', "");
Expect(0, 11520, '\p{Is_Blk=_	Coptic}', "");
Expect(1, 11520, '\p{^Is_Blk=_	Coptic}', "");
Expect(1, 11520, '\P{Is_Blk=_	Coptic}', "");
Expect(0, 11520, '\P{^Is_Blk=_	Coptic}', "");
Error('\p{Block:/a/ -COPTIC_EPACT_Numbers}');
Error('\P{Block:/a/ -COPTIC_EPACT_Numbers}');
Expect(1, 66303, '\p{Block=copticepactnumbers}', "");
Expect(0, 66303, '\p{^Block=copticepactnumbers}', "");
Expect(0, 66303, '\P{Block=copticepactnumbers}', "");
Expect(1, 66303, '\P{^Block=copticepactnumbers}', "");
Expect(0, 66304, '\p{Block=copticepactnumbers}', "");
Expect(1, 66304, '\p{^Block=copticepactnumbers}', "");
Expect(1, 66304, '\P{Block=copticepactnumbers}', "");
Expect(0, 66304, '\P{^Block=copticepactnumbers}', "");
Expect(1, 66303, '\p{Block=	-COPTIC_EPACT_numbers}', "");
Expect(0, 66303, '\p{^Block=	-COPTIC_EPACT_numbers}', "");
Expect(0, 66303, '\P{Block=	-COPTIC_EPACT_numbers}', "");
Expect(1, 66303, '\P{^Block=	-COPTIC_EPACT_numbers}', "");
Expect(0, 66304, '\p{Block=	-COPTIC_EPACT_numbers}', "");
Expect(1, 66304, '\p{^Block=	-COPTIC_EPACT_numbers}', "");
Expect(1, 66304, '\P{Block=	-COPTIC_EPACT_numbers}', "");
Expect(0, 66304, '\P{^Block=	-COPTIC_EPACT_numbers}', "");
Error('\p{Blk= :=Coptic_EPACT_Numbers}');
Error('\P{Blk= :=Coptic_EPACT_Numbers}');
Expect(1, 66303, '\p{Blk=copticepactnumbers}', "");
Expect(0, 66303, '\p{^Blk=copticepactnumbers}', "");
Expect(0, 66303, '\P{Blk=copticepactnumbers}', "");
Expect(1, 66303, '\P{^Blk=copticepactnumbers}', "");
Expect(0, 66304, '\p{Blk=copticepactnumbers}', "");
Expect(1, 66304, '\p{^Blk=copticepactnumbers}', "");
Expect(1, 66304, '\P{Blk=copticepactnumbers}', "");
Expect(0, 66304, '\P{^Blk=copticepactnumbers}', "");
Expect(1, 66303, '\p{Blk=-COPTIC_Epact_numbers}', "");
Expect(0, 66303, '\p{^Blk=-COPTIC_Epact_numbers}', "");
Expect(0, 66303, '\P{Blk=-COPTIC_Epact_numbers}', "");
Expect(1, 66303, '\P{^Blk=-COPTIC_Epact_numbers}', "");
Expect(0, 66304, '\p{Blk=-COPTIC_Epact_numbers}', "");
Expect(1, 66304, '\p{^Blk=-COPTIC_Epact_numbers}', "");
Expect(1, 66304, '\P{Blk=-COPTIC_Epact_numbers}', "");
Expect(0, 66304, '\P{^Blk=-COPTIC_Epact_numbers}', "");
Error('\p{Is_Block=/a/_	coptic_Epact_Numbers}');
Error('\P{Is_Block=/a/_	coptic_Epact_Numbers}');
Expect(1, 66303, '\p{Is_Block=copticepactnumbers}', "");
Expect(0, 66303, '\p{^Is_Block=copticepactnumbers}', "");
Expect(0, 66303, '\P{Is_Block=copticepactnumbers}', "");
Expect(1, 66303, '\P{^Is_Block=copticepactnumbers}', "");
Expect(0, 66304, '\p{Is_Block=copticepactnumbers}', "");
Expect(1, 66304, '\p{^Is_Block=copticepactnumbers}', "");
Expect(1, 66304, '\P{Is_Block=copticepactnumbers}', "");
Expect(0, 66304, '\P{^Is_Block=copticepactnumbers}', "");
Expect(1, 66303, '\p{Is_Block=_COPTIC_EPACT_NUMBERS}', "");
Expect(0, 66303, '\p{^Is_Block=_COPTIC_EPACT_NUMBERS}', "");
Expect(0, 66303, '\P{Is_Block=_COPTIC_EPACT_NUMBERS}', "");
Expect(1, 66303, '\P{^Is_Block=_COPTIC_EPACT_NUMBERS}', "");
Expect(0, 66304, '\p{Is_Block=_COPTIC_EPACT_NUMBERS}', "");
Expect(1, 66304, '\p{^Is_Block=_COPTIC_EPACT_NUMBERS}', "");
Expect(1, 66304, '\P{Is_Block=_COPTIC_EPACT_NUMBERS}', "");
Expect(0, 66304, '\P{^Is_Block=_COPTIC_EPACT_NUMBERS}', "");
Error('\p{Is_Blk:   /a/_	Coptic_Epact_Numbers}');
Error('\P{Is_Blk:   /a/_	Coptic_Epact_Numbers}');
Expect(1, 66303, '\p{Is_Blk=copticepactnumbers}', "");
Expect(0, 66303, '\p{^Is_Blk=copticepactnumbers}', "");
Expect(0, 66303, '\P{Is_Blk=copticepactnumbers}', "");
Expect(1, 66303, '\P{^Is_Blk=copticepactnumbers}', "");
Expect(0, 66304, '\p{Is_Blk=copticepactnumbers}', "");
Expect(1, 66304, '\p{^Is_Blk=copticepactnumbers}', "");
Expect(1, 66304, '\P{Is_Blk=copticepactnumbers}', "");
Expect(0, 66304, '\P{^Is_Blk=copticepactnumbers}', "");
Expect(1, 66303, '\p{Is_Blk=	 COPTIC_Epact_Numbers}', "");
Expect(0, 66303, '\p{^Is_Blk=	 COPTIC_Epact_Numbers}', "");
Expect(0, 66303, '\P{Is_Blk=	 COPTIC_Epact_Numbers}', "");
Expect(1, 66303, '\P{^Is_Blk=	 COPTIC_Epact_Numbers}', "");
Expect(0, 66304, '\p{Is_Blk=	 COPTIC_Epact_Numbers}', "");
Expect(1, 66304, '\p{^Is_Blk=	 COPTIC_Epact_Numbers}', "");
Expect(1, 66304, '\P{Is_Blk=	 COPTIC_Epact_Numbers}', "");
Expect(0, 66304, '\P{^Is_Blk=	 COPTIC_Epact_Numbers}', "");
Error('\p{Block:	/a/ counting_ROD_Numerals}');
Error('\P{Block:	/a/ counting_ROD_Numerals}');
Expect(1, 119679, '\p{Block=countingrodnumerals}', "");
Expect(0, 119679, '\p{^Block=countingrodnumerals}', "");
Expect(0, 119679, '\P{Block=countingrodnumerals}', "");
Expect(1, 119679, '\P{^Block=countingrodnumerals}', "");
Expect(0, 119680, '\p{Block=countingrodnumerals}', "");
Expect(1, 119680, '\p{^Block=countingrodnumerals}', "");
Expect(1, 119680, '\P{Block=countingrodnumerals}', "");
Expect(0, 119680, '\P{^Block=countingrodnumerals}', "");
Expect(1, 119679, '\p{Block=- Counting_ROD_Numerals}', "");
Expect(0, 119679, '\p{^Block=- Counting_ROD_Numerals}', "");
Expect(0, 119679, '\P{Block=- Counting_ROD_Numerals}', "");
Expect(1, 119679, '\P{^Block=- Counting_ROD_Numerals}', "");
Expect(0, 119680, '\p{Block=- Counting_ROD_Numerals}', "");
Expect(1, 119680, '\p{^Block=- Counting_ROD_Numerals}', "");
Expect(1, 119680, '\P{Block=- Counting_ROD_Numerals}', "");
Expect(0, 119680, '\P{^Block=- Counting_ROD_Numerals}', "");
Error('\p{Blk=-_Counting_ROD/a/}');
Error('\P{Blk=-_Counting_ROD/a/}');
Expect(1, 119679, '\p{Blk=countingrod}', "");
Expect(0, 119679, '\p{^Blk=countingrod}', "");
Expect(0, 119679, '\P{Blk=countingrod}', "");
Expect(1, 119679, '\P{^Blk=countingrod}', "");
Expect(0, 119680, '\p{Blk=countingrod}', "");
Expect(1, 119680, '\p{^Blk=countingrod}', "");
Expect(1, 119680, '\P{Blk=countingrod}', "");
Expect(0, 119680, '\P{^Blk=countingrod}', "");
Expect(1, 119679, '\p{Blk=__Counting_ROD}', "");
Expect(0, 119679, '\p{^Blk=__Counting_ROD}', "");
Expect(0, 119679, '\P{Blk=__Counting_ROD}', "");
Expect(1, 119679, '\P{^Blk=__Counting_ROD}', "");
Expect(0, 119680, '\p{Blk=__Counting_ROD}', "");
Expect(1, 119680, '\p{^Blk=__Counting_ROD}', "");
Expect(1, 119680, '\P{Blk=__Counting_ROD}', "");
Expect(0, 119680, '\P{^Blk=__Counting_ROD}', "");
Error('\p{Is_Block= -Counting_Rod_numerals:=}');
Error('\P{Is_Block= -Counting_Rod_numerals:=}');
Expect(1, 119679, '\p{Is_Block=countingrodnumerals}', "");
Expect(0, 119679, '\p{^Is_Block=countingrodnumerals}', "");
Expect(0, 119679, '\P{Is_Block=countingrodnumerals}', "");
Expect(1, 119679, '\P{^Is_Block=countingrodnumerals}', "");
Expect(0, 119680, '\p{Is_Block=countingrodnumerals}', "");
Expect(1, 119680, '\p{^Is_Block=countingrodnumerals}', "");
Expect(1, 119680, '\P{Is_Block=countingrodnumerals}', "");
Expect(0, 119680, '\P{^Is_Block=countingrodnumerals}', "");
Expect(1, 119679, '\p{Is_Block= 	Counting_rod_NUMERALS}', "");
Expect(0, 119679, '\p{^Is_Block= 	Counting_rod_NUMERALS}', "");
Expect(0, 119679, '\P{Is_Block= 	Counting_rod_NUMERALS}', "");
Expect(1, 119679, '\P{^Is_Block= 	Counting_rod_NUMERALS}', "");
Expect(0, 119680, '\p{Is_Block= 	Counting_rod_NUMERALS}', "");
Expect(1, 119680, '\p{^Is_Block= 	Counting_rod_NUMERALS}', "");
Expect(1, 119680, '\P{Is_Block= 	Counting_rod_NUMERALS}', "");
Expect(0, 119680, '\P{^Is_Block= 	Counting_rod_NUMERALS}', "");
Error('\p{Is_Blk=:=-counting_Rod}');
Error('\P{Is_Blk=:=-counting_Rod}');
Expect(1, 119679, '\p{Is_Blk=countingrod}', "");
Expect(0, 119679, '\p{^Is_Blk=countingrod}', "");
Expect(0, 119679, '\P{Is_Blk=countingrod}', "");
Expect(1, 119679, '\P{^Is_Blk=countingrod}', "");
Expect(0, 119680, '\p{Is_Blk=countingrod}', "");
Expect(1, 119680, '\p{^Is_Blk=countingrod}', "");
Expect(1, 119680, '\P{Is_Blk=countingrod}', "");
Expect(0, 119680, '\P{^Is_Blk=countingrod}', "");
Expect(1, 119679, '\p{Is_Blk=_ Counting_Rod}', "");
Expect(0, 119679, '\p{^Is_Blk=_ Counting_Rod}', "");
Expect(0, 119679, '\P{Is_Blk=_ Counting_Rod}', "");
Expect(1, 119679, '\P{^Is_Blk=_ Counting_Rod}', "");
Expect(0, 119680, '\p{Is_Blk=_ Counting_Rod}', "");
Expect(1, 119680, '\p{^Is_Blk=_ Counting_Rod}', "");
Expect(1, 119680, '\P{Is_Blk=_ Counting_Rod}', "");
Expect(0, 119680, '\P{^Is_Blk=_ Counting_Rod}', "");
Error('\p{Block=--Cuneiform/a/}');
Error('\P{Block=--Cuneiform/a/}');
Expect(1, 74751, '\p{Block=cuneiform}', "");
Expect(0, 74751, '\p{^Block=cuneiform}', "");
Expect(0, 74751, '\P{Block=cuneiform}', "");
Expect(1, 74751, '\P{^Block=cuneiform}', "");
Expect(0, 74752, '\p{Block=cuneiform}', "");
Expect(1, 74752, '\p{^Block=cuneiform}', "");
Expect(1, 74752, '\P{Block=cuneiform}', "");
Expect(0, 74752, '\P{^Block=cuneiform}', "");
Expect(1, 74751, '\p{Block=-Cuneiform}', "");
Expect(0, 74751, '\p{^Block=-Cuneiform}', "");
Expect(0, 74751, '\P{Block=-Cuneiform}', "");
Expect(1, 74751, '\P{^Block=-Cuneiform}', "");
Expect(0, 74752, '\p{Block=-Cuneiform}', "");
Expect(1, 74752, '\p{^Block=-Cuneiform}', "");
Expect(1, 74752, '\P{Block=-Cuneiform}', "");
Expect(0, 74752, '\P{^Block=-Cuneiform}', "");
Error('\p{Blk:_:=Cuneiform}');
Error('\P{Blk:_:=Cuneiform}');
Expect(1, 74751, '\p{Blk:   cuneiform}', "");
Expect(0, 74751, '\p{^Blk:   cuneiform}', "");
Expect(0, 74751, '\P{Blk:   cuneiform}', "");
Expect(1, 74751, '\P{^Blk:   cuneiform}', "");
Expect(0, 74752, '\p{Blk:   cuneiform}', "");
Expect(1, 74752, '\p{^Blk:   cuneiform}', "");
Expect(1, 74752, '\P{Blk:   cuneiform}', "");
Expect(0, 74752, '\P{^Blk:   cuneiform}', "");
Expect(1, 74751, '\p{Blk=-Cuneiform}', "");
Expect(0, 74751, '\p{^Blk=-Cuneiform}', "");
Expect(0, 74751, '\P{Blk=-Cuneiform}', "");
Expect(1, 74751, '\P{^Blk=-Cuneiform}', "");
Expect(0, 74752, '\p{Blk=-Cuneiform}', "");
Expect(1, 74752, '\p{^Blk=-Cuneiform}', "");
Expect(1, 74752, '\P{Blk=-Cuneiform}', "");
Expect(0, 74752, '\P{^Blk=-Cuneiform}', "");
Error('\p{Is_Block: _cuneiform/a/}');
Error('\P{Is_Block: _cuneiform/a/}');
Expect(1, 74751, '\p{Is_Block=cuneiform}', "");
Expect(0, 74751, '\p{^Is_Block=cuneiform}', "");
Expect(0, 74751, '\P{Is_Block=cuneiform}', "");
Expect(1, 74751, '\P{^Is_Block=cuneiform}', "");
Expect(0, 74752, '\p{Is_Block=cuneiform}', "");
Expect(1, 74752, '\p{^Is_Block=cuneiform}', "");
Expect(1, 74752, '\P{Is_Block=cuneiform}', "");
Expect(0, 74752, '\P{^Is_Block=cuneiform}', "");
Expect(1, 74751, '\p{Is_Block=	-cuneiform}', "");
Expect(0, 74751, '\p{^Is_Block=	-cuneiform}', "");
Expect(0, 74751, '\P{Is_Block=	-cuneiform}', "");
Expect(1, 74751, '\P{^Is_Block=	-cuneiform}', "");
Expect(0, 74752, '\p{Is_Block=	-cuneiform}', "");
Expect(1, 74752, '\p{^Is_Block=	-cuneiform}', "");
Expect(1, 74752, '\P{Is_Block=	-cuneiform}', "");
Expect(0, 74752, '\P{^Is_Block=	-cuneiform}', "");
Error('\p{Is_Blk:	/a/ -Cuneiform}');
Error('\P{Is_Blk:	/a/ -Cuneiform}');
Expect(1, 74751, '\p{Is_Blk=cuneiform}', "");
Expect(0, 74751, '\p{^Is_Blk=cuneiform}', "");
Expect(0, 74751, '\P{Is_Blk=cuneiform}', "");
Expect(1, 74751, '\P{^Is_Blk=cuneiform}', "");
Expect(0, 74752, '\p{Is_Blk=cuneiform}', "");
Expect(1, 74752, '\p{^Is_Blk=cuneiform}', "");
Expect(1, 74752, '\P{Is_Blk=cuneiform}', "");
Expect(0, 74752, '\P{^Is_Blk=cuneiform}', "");
Expect(1, 74751, '\p{Is_Blk=CUNEIFORM}', "");
Expect(0, 74751, '\p{^Is_Blk=CUNEIFORM}', "");
Expect(0, 74751, '\P{Is_Blk=CUNEIFORM}', "");
Expect(1, 74751, '\P{^Is_Blk=CUNEIFORM}', "");
Expect(0, 74752, '\p{Is_Blk=CUNEIFORM}', "");
Expect(1, 74752, '\p{^Is_Blk=CUNEIFORM}', "");
Expect(1, 74752, '\P{Is_Blk=CUNEIFORM}', "");
Expect(0, 74752, '\P{^Is_Blk=CUNEIFORM}', "");
Error('\p{Block=-/a/Cuneiform_Numbers_And_punctuation}');
Error('\P{Block=-/a/Cuneiform_Numbers_And_punctuation}');
Expect(1, 74879, '\p{Block:cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^Block:cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{Block:cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^Block:cuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\p{Block:cuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\p{^Block:cuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\P{Block:cuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\P{^Block:cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{Block=_	CUNEIFORM_Numbers_AND_punctuation}', "");
Expect(0, 74879, '\p{^Block=_	CUNEIFORM_Numbers_AND_punctuation}', "");
Expect(0, 74879, '\P{Block=_	CUNEIFORM_Numbers_AND_punctuation}', "");
Expect(1, 74879, '\P{^Block=_	CUNEIFORM_Numbers_AND_punctuation}', "");
Expect(0, 74880, '\p{Block=_	CUNEIFORM_Numbers_AND_punctuation}', "");
Expect(1, 74880, '\p{^Block=_	CUNEIFORM_Numbers_AND_punctuation}', "");
Expect(1, 74880, '\P{Block=_	CUNEIFORM_Numbers_AND_punctuation}', "");
Expect(0, 74880, '\P{^Block=_	CUNEIFORM_Numbers_AND_punctuation}', "");
Error('\p{Blk=:=--Cuneiform_NUMBERS}');
Error('\P{Blk=:=--Cuneiform_NUMBERS}');
Expect(1, 74879, '\p{Blk=cuneiformnumbers}', "");
Expect(0, 74879, '\p{^Blk=cuneiformnumbers}', "");
Expect(0, 74879, '\P{Blk=cuneiformnumbers}', "");
Expect(1, 74879, '\P{^Blk=cuneiformnumbers}', "");
Expect(0, 74880, '\p{Blk=cuneiformnumbers}', "");
Expect(1, 74880, '\p{^Blk=cuneiformnumbers}', "");
Expect(1, 74880, '\P{Blk=cuneiformnumbers}', "");
Expect(0, 74880, '\P{^Blk=cuneiformnumbers}', "");
Expect(1, 74879, '\p{Blk=-	Cuneiform_Numbers}', "");
Expect(0, 74879, '\p{^Blk=-	Cuneiform_Numbers}', "");
Expect(0, 74879, '\P{Blk=-	Cuneiform_Numbers}', "");
Expect(1, 74879, '\P{^Blk=-	Cuneiform_Numbers}', "");
Expect(0, 74880, '\p{Blk=-	Cuneiform_Numbers}', "");
Expect(1, 74880, '\p{^Blk=-	Cuneiform_Numbers}', "");
Expect(1, 74880, '\P{Blk=-	Cuneiform_Numbers}', "");
Expect(0, 74880, '\P{^Blk=-	Cuneiform_Numbers}', "");
Error('\p{Is_Block=/a/_-Cuneiform_NUMBERS_and_Punctuation}');
Error('\P{Is_Block=/a/_-Cuneiform_NUMBERS_and_Punctuation}');
Expect(1, 74879, '\p{Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\p{Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\p{^Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\P{Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\P{^Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{Is_Block=-cuneiform_numbers_and_Punctuation}', "");
Expect(0, 74879, '\p{^Is_Block=-cuneiform_numbers_and_Punctuation}', "");
Expect(0, 74879, '\P{Is_Block=-cuneiform_numbers_and_Punctuation}', "");
Expect(1, 74879, '\P{^Is_Block=-cuneiform_numbers_and_Punctuation}', "");
Expect(0, 74880, '\p{Is_Block=-cuneiform_numbers_and_Punctuation}', "");
Expect(1, 74880, '\p{^Is_Block=-cuneiform_numbers_and_Punctuation}', "");
Expect(1, 74880, '\P{Is_Block=-cuneiform_numbers_and_Punctuation}', "");
Expect(0, 74880, '\P{^Is_Block=-cuneiform_numbers_and_Punctuation}', "");
Error('\p{Is_Blk= :=cuneiform_Numbers}');
Error('\P{Is_Blk= :=cuneiform_Numbers}');
Expect(1, 74879, '\p{Is_Blk=cuneiformnumbers}', "");
Expect(0, 74879, '\p{^Is_Blk=cuneiformnumbers}', "");
Expect(0, 74879, '\P{Is_Blk=cuneiformnumbers}', "");
Expect(1, 74879, '\P{^Is_Blk=cuneiformnumbers}', "");
Expect(0, 74880, '\p{Is_Blk=cuneiformnumbers}', "");
Expect(1, 74880, '\p{^Is_Blk=cuneiformnumbers}', "");
Expect(1, 74880, '\P{Is_Blk=cuneiformnumbers}', "");
Expect(0, 74880, '\P{^Is_Blk=cuneiformnumbers}', "");
Expect(1, 74879, '\p{Is_Blk=	-Cuneiform_Numbers}', "");
Expect(0, 74879, '\p{^Is_Blk=	-Cuneiform_Numbers}', "");
Expect(0, 74879, '\P{Is_Blk=	-Cuneiform_Numbers}', "");
Expect(1, 74879, '\P{^Is_Blk=	-Cuneiform_Numbers}', "");
Expect(0, 74880, '\p{Is_Blk=	-Cuneiform_Numbers}', "");
Expect(1, 74880, '\p{^Is_Blk=	-Cuneiform_Numbers}', "");
Expect(1, 74880, '\P{Is_Blk=	-Cuneiform_Numbers}', "");
Expect(0, 74880, '\P{^Is_Blk=	-Cuneiform_Numbers}', "");
Error('\p{Block=-CURRENCY_symbols/a/}');
Error('\P{Block=-CURRENCY_symbols/a/}');
Expect(1, 8399, '\p{Block=currencysymbols}', "");
Expect(0, 8399, '\p{^Block=currencysymbols}', "");
Expect(0, 8399, '\P{Block=currencysymbols}', "");
Expect(1, 8399, '\P{^Block=currencysymbols}', "");
Expect(0, 8400, '\p{Block=currencysymbols}', "");
Expect(1, 8400, '\p{^Block=currencysymbols}', "");
Expect(1, 8400, '\P{Block=currencysymbols}', "");
Expect(0, 8400, '\P{^Block=currencysymbols}', "");
Expect(1, 8399, '\p{Block=		currency_SYMBOLS}', "");
Expect(0, 8399, '\p{^Block=		currency_SYMBOLS}', "");
Expect(0, 8399, '\P{Block=		currency_SYMBOLS}', "");
Expect(1, 8399, '\P{^Block=		currency_SYMBOLS}', "");
Expect(0, 8400, '\p{Block=		currency_SYMBOLS}', "");
Expect(1, 8400, '\p{^Block=		currency_SYMBOLS}', "");
Expect(1, 8400, '\P{Block=		currency_SYMBOLS}', "");
Expect(0, 8400, '\P{^Block=		currency_SYMBOLS}', "");
Error('\p{Blk=:=-_Currency_Symbols}');
Error('\P{Blk=:=-_Currency_Symbols}');
Expect(1, 8399, '\p{Blk=currencysymbols}', "");
Expect(0, 8399, '\p{^Blk=currencysymbols}', "");
Expect(0, 8399, '\P{Blk=currencysymbols}', "");
Expect(1, 8399, '\P{^Blk=currencysymbols}', "");
Expect(0, 8400, '\p{Blk=currencysymbols}', "");
Expect(1, 8400, '\p{^Blk=currencysymbols}', "");
Expect(1, 8400, '\P{Blk=currencysymbols}', "");
Expect(0, 8400, '\P{^Blk=currencysymbols}', "");
Expect(1, 8399, '\p{Blk=Currency_Symbols}', "");
Expect(0, 8399, '\p{^Blk=Currency_Symbols}', "");
Expect(0, 8399, '\P{Blk=Currency_Symbols}', "");
Expect(1, 8399, '\P{^Blk=Currency_Symbols}', "");
Expect(0, 8400, '\p{Blk=Currency_Symbols}', "");
Expect(1, 8400, '\p{^Blk=Currency_Symbols}', "");
Expect(1, 8400, '\P{Blk=Currency_Symbols}', "");
Expect(0, 8400, '\P{^Blk=Currency_Symbols}', "");
Error('\p{Is_Block=/a/--CURRENCY_Symbols}');
Error('\P{Is_Block=/a/--CURRENCY_Symbols}');
Expect(1, 8399, '\p{Is_Block=currencysymbols}', "");
Expect(0, 8399, '\p{^Is_Block=currencysymbols}', "");
Expect(0, 8399, '\P{Is_Block=currencysymbols}', "");
Expect(1, 8399, '\P{^Is_Block=currencysymbols}', "");
Expect(0, 8400, '\p{Is_Block=currencysymbols}', "");
Expect(1, 8400, '\p{^Is_Block=currencysymbols}', "");
Expect(1, 8400, '\P{Is_Block=currencysymbols}', "");
Expect(0, 8400, '\P{^Is_Block=currencysymbols}', "");
Expect(1, 8399, '\p{Is_Block=_	Currency_Symbols}', "");
Expect(0, 8399, '\p{^Is_Block=_	Currency_Symbols}', "");
Expect(0, 8399, '\P{Is_Block=_	Currency_Symbols}', "");
Expect(1, 8399, '\P{^Is_Block=_	Currency_Symbols}', "");
Expect(0, 8400, '\p{Is_Block=_	Currency_Symbols}', "");
Expect(1, 8400, '\p{^Is_Block=_	Currency_Symbols}', "");
Expect(1, 8400, '\P{Is_Block=_	Currency_Symbols}', "");
Expect(0, 8400, '\P{^Is_Block=_	Currency_Symbols}', "");
Error('\p{Is_Blk=/a/-Currency_SYMBOLS}');
Error('\P{Is_Blk=/a/-Currency_SYMBOLS}');
Expect(1, 8399, '\p{Is_Blk=currencysymbols}', "");
Expect(0, 8399, '\p{^Is_Blk=currencysymbols}', "");
Expect(0, 8399, '\P{Is_Blk=currencysymbols}', "");
Expect(1, 8399, '\P{^Is_Blk=currencysymbols}', "");
Expect(0, 8400, '\p{Is_Blk=currencysymbols}', "");
Expect(1, 8400, '\p{^Is_Blk=currencysymbols}', "");
Expect(1, 8400, '\P{Is_Blk=currencysymbols}', "");
Expect(0, 8400, '\P{^Is_Blk=currencysymbols}', "");
Expect(1, 8399, '\p{Is_Blk=-_Currency_SYMBOLS}', "");
Expect(0, 8399, '\p{^Is_Blk=-_Currency_SYMBOLS}', "");
Expect(0, 8399, '\P{Is_Blk=-_Currency_SYMBOLS}', "");
Expect(1, 8399, '\P{^Is_Blk=-_Currency_SYMBOLS}', "");
Expect(0, 8400, '\p{Is_Blk=-_Currency_SYMBOLS}', "");
Expect(1, 8400, '\p{^Is_Blk=-_Currency_SYMBOLS}', "");
Expect(1, 8400, '\P{Is_Blk=-_Currency_SYMBOLS}', "");
Expect(0, 8400, '\P{^Is_Blk=-_Currency_SYMBOLS}', "");
Error('\p{Block= _Cypriot_Syllabary:=}');
Error('\P{Block= _Cypriot_Syllabary:=}');
Expect(1, 67647, '\p{Block: cypriotsyllabary}', "");
Expect(0, 67647, '\p{^Block: cypriotsyllabary}', "");
Expect(0, 67647, '\P{Block: cypriotsyllabary}', "");
Expect(1, 67647, '\P{^Block: cypriotsyllabary}', "");
Expect(0, 67648, '\p{Block: cypriotsyllabary}', "");
Expect(1, 67648, '\p{^Block: cypriotsyllabary}', "");
Expect(1, 67648, '\P{Block: cypriotsyllabary}', "");
Expect(0, 67648, '\P{^Block: cypriotsyllabary}', "");
Expect(1, 67647, '\p{Block= CYPRIOT_Syllabary}', "");
Expect(0, 67647, '\p{^Block= CYPRIOT_Syllabary}', "");
Expect(0, 67647, '\P{Block= CYPRIOT_Syllabary}', "");
Expect(1, 67647, '\P{^Block= CYPRIOT_Syllabary}', "");
Expect(0, 67648, '\p{Block= CYPRIOT_Syllabary}', "");
Expect(1, 67648, '\p{^Block= CYPRIOT_Syllabary}', "");
Expect(1, 67648, '\P{Block= CYPRIOT_Syllabary}', "");
Expect(0, 67648, '\P{^Block= CYPRIOT_Syllabary}', "");
Error('\p{Blk:/a/ CYPRIOT_syllabary}');
Error('\P{Blk:/a/ CYPRIOT_syllabary}');
Expect(1, 67647, '\p{Blk=cypriotsyllabary}', "");
Expect(0, 67647, '\p{^Blk=cypriotsyllabary}', "");
Expect(0, 67647, '\P{Blk=cypriotsyllabary}', "");
Expect(1, 67647, '\P{^Blk=cypriotsyllabary}', "");
Expect(0, 67648, '\p{Blk=cypriotsyllabary}', "");
Expect(1, 67648, '\p{^Blk=cypriotsyllabary}', "");
Expect(1, 67648, '\P{Blk=cypriotsyllabary}', "");
Expect(0, 67648, '\P{^Blk=cypriotsyllabary}', "");
Expect(1, 67647, '\p{Blk=- cypriot_SYLLABARY}', "");
Expect(0, 67647, '\p{^Blk=- cypriot_SYLLABARY}', "");
Expect(0, 67647, '\P{Blk=- cypriot_SYLLABARY}', "");
Expect(1, 67647, '\P{^Blk=- cypriot_SYLLABARY}', "");
Expect(0, 67648, '\p{Blk=- cypriot_SYLLABARY}', "");
Expect(1, 67648, '\p{^Blk=- cypriot_SYLLABARY}', "");
Expect(1, 67648, '\P{Blk=- cypriot_SYLLABARY}', "");
Expect(0, 67648, '\P{^Blk=- cypriot_SYLLABARY}', "");
Error('\p{Is_Block=/a/cypriot_syllabary}');
Error('\P{Is_Block=/a/cypriot_syllabary}');
Expect(1, 67647, '\p{Is_Block=cypriotsyllabary}', "");
Expect(0, 67647, '\p{^Is_Block=cypriotsyllabary}', "");
Expect(0, 67647, '\P{Is_Block=cypriotsyllabary}', "");
Expect(1, 67647, '\P{^Is_Block=cypriotsyllabary}', "");
Expect(0, 67648, '\p{Is_Block=cypriotsyllabary}', "");
Expect(1, 67648, '\p{^Is_Block=cypriotsyllabary}', "");
Expect(1, 67648, '\P{Is_Block=cypriotsyllabary}', "");
Expect(0, 67648, '\P{^Is_Block=cypriotsyllabary}', "");
Expect(1, 67647, '\p{Is_Block=_	Cypriot_SYLLABARY}', "");
Expect(0, 67647, '\p{^Is_Block=_	Cypriot_SYLLABARY}', "");
Expect(0, 67647, '\P{Is_Block=_	Cypriot_SYLLABARY}', "");
Expect(1, 67647, '\P{^Is_Block=_	Cypriot_SYLLABARY}', "");
Expect(0, 67648, '\p{Is_Block=_	Cypriot_SYLLABARY}', "");
Expect(1, 67648, '\p{^Is_Block=_	Cypriot_SYLLABARY}', "");
Expect(1, 67648, '\P{Is_Block=_	Cypriot_SYLLABARY}', "");
Expect(0, 67648, '\P{^Is_Block=_	Cypriot_SYLLABARY}', "");
Error('\p{Is_Blk=	:=CYPRIOT_SYLLABARY}');
Error('\P{Is_Blk=	:=CYPRIOT_SYLLABARY}');
Expect(1, 67647, '\p{Is_Blk=cypriotsyllabary}', "");
Expect(0, 67647, '\p{^Is_Blk=cypriotsyllabary}', "");
Expect(0, 67647, '\P{Is_Blk=cypriotsyllabary}', "");
Expect(1, 67647, '\P{^Is_Blk=cypriotsyllabary}', "");
Expect(0, 67648, '\p{Is_Blk=cypriotsyllabary}', "");
Expect(1, 67648, '\p{^Is_Blk=cypriotsyllabary}', "");
Expect(1, 67648, '\P{Is_Blk=cypriotsyllabary}', "");
Expect(0, 67648, '\P{^Is_Blk=cypriotsyllabary}', "");
Expect(1, 67647, '\p{Is_Blk=  CYPRIOT_Syllabary}', "");
Expect(0, 67647, '\p{^Is_Blk=  CYPRIOT_Syllabary}', "");
Expect(0, 67647, '\P{Is_Blk=  CYPRIOT_Syllabary}', "");
Expect(1, 67647, '\P{^Is_Blk=  CYPRIOT_Syllabary}', "");
Expect(0, 67648, '\p{Is_Blk=  CYPRIOT_Syllabary}', "");
Expect(1, 67648, '\p{^Is_Blk=  CYPRIOT_Syllabary}', "");
Expect(1, 67648, '\P{Is_Blk=  CYPRIOT_Syllabary}', "");
Expect(0, 67648, '\P{^Is_Blk=  CYPRIOT_Syllabary}', "");
Error('\p{Block=:=_	Cyrillic}');
Error('\P{Block=:=_	Cyrillic}');
Expect(1, 1279, '\p{Block=cyrillic}', "");
Expect(0, 1279, '\p{^Block=cyrillic}', "");
Expect(0, 1279, '\P{Block=cyrillic}', "");
Expect(1, 1279, '\P{^Block=cyrillic}', "");
Expect(0, 1280, '\p{Block=cyrillic}', "");
Expect(1, 1280, '\p{^Block=cyrillic}', "");
Expect(1, 1280, '\P{Block=cyrillic}', "");
Expect(0, 1280, '\P{^Block=cyrillic}', "");
Expect(1, 1279, '\p{Block=__Cyrillic}', "");
Expect(0, 1279, '\p{^Block=__Cyrillic}', "");
Expect(0, 1279, '\P{Block=__Cyrillic}', "");
Expect(1, 1279, '\P{^Block=__Cyrillic}', "");
Expect(0, 1280, '\p{Block=__Cyrillic}', "");
Expect(1, 1280, '\p{^Block=__Cyrillic}', "");
Expect(1, 1280, '\P{Block=__Cyrillic}', "");
Expect(0, 1280, '\P{^Block=__Cyrillic}', "");
Error('\p{Blk: -CYRILLIC:=}');
Error('\P{Blk: -CYRILLIC:=}');
Expect(1, 1279, '\p{Blk=cyrillic}', "");
Expect(0, 1279, '\p{^Blk=cyrillic}', "");
Expect(0, 1279, '\P{Blk=cyrillic}', "");
Expect(1, 1279, '\P{^Blk=cyrillic}', "");
Expect(0, 1280, '\p{Blk=cyrillic}', "");
Expect(1, 1280, '\p{^Blk=cyrillic}', "");
Expect(1, 1280, '\P{Blk=cyrillic}', "");
Expect(0, 1280, '\P{^Blk=cyrillic}', "");
Expect(1, 1279, '\p{Blk= 	CYRILLIC}', "");
Expect(0, 1279, '\p{^Blk= 	CYRILLIC}', "");
Expect(0, 1279, '\P{Blk= 	CYRILLIC}', "");
Expect(1, 1279, '\P{^Blk= 	CYRILLIC}', "");
Expect(0, 1280, '\p{Blk= 	CYRILLIC}', "");
Expect(1, 1280, '\p{^Blk= 	CYRILLIC}', "");
Expect(1, 1280, '\P{Blk= 	CYRILLIC}', "");
Expect(0, 1280, '\P{^Blk= 	CYRILLIC}', "");
Error('\p{Is_Block= :=Cyrillic}');
Error('\P{Is_Block= :=Cyrillic}');
Expect(1, 1279, '\p{Is_Block: cyrillic}', "");
Expect(0, 1279, '\p{^Is_Block: cyrillic}', "");
Expect(0, 1279, '\P{Is_Block: cyrillic}', "");
Expect(1, 1279, '\P{^Is_Block: cyrillic}', "");
Expect(0, 1280, '\p{Is_Block: cyrillic}', "");
Expect(1, 1280, '\p{^Is_Block: cyrillic}', "");
Expect(1, 1280, '\P{Is_Block: cyrillic}', "");
Expect(0, 1280, '\P{^Is_Block: cyrillic}', "");
Expect(1, 1279, '\p{Is_Block=--Cyrillic}', "");
Expect(0, 1279, '\p{^Is_Block=--Cyrillic}', "");
Expect(0, 1279, '\P{Is_Block=--Cyrillic}', "");
Expect(1, 1279, '\P{^Is_Block=--Cyrillic}', "");
Expect(0, 1280, '\p{Is_Block=--Cyrillic}', "");
Expect(1, 1280, '\p{^Is_Block=--Cyrillic}', "");
Expect(1, 1280, '\P{Is_Block=--Cyrillic}', "");
Expect(0, 1280, '\P{^Is_Block=--Cyrillic}', "");
Error('\p{Is_Blk= /a/CYRILLIC}');
Error('\P{Is_Blk= /a/CYRILLIC}');
Expect(1, 1279, '\p{Is_Blk:cyrillic}', "");
Expect(0, 1279, '\p{^Is_Blk:cyrillic}', "");
Expect(0, 1279, '\P{Is_Blk:cyrillic}', "");
Expect(1, 1279, '\P{^Is_Blk:cyrillic}', "");
Expect(0, 1280, '\p{Is_Blk:cyrillic}', "");
Expect(1, 1280, '\p{^Is_Blk:cyrillic}', "");
Expect(1, 1280, '\P{Is_Blk:cyrillic}', "");
Expect(0, 1280, '\P{^Is_Blk:cyrillic}', "");
Expect(1, 1279, '\p{Is_Blk=-Cyrillic}', "");
Expect(0, 1279, '\p{^Is_Blk=-Cyrillic}', "");
Expect(0, 1279, '\P{Is_Blk=-Cyrillic}', "");
Expect(1, 1279, '\P{^Is_Blk=-Cyrillic}', "");
Expect(0, 1280, '\p{Is_Blk=-Cyrillic}', "");
Expect(1, 1280, '\p{^Is_Blk=-Cyrillic}', "");
Expect(1, 1280, '\P{Is_Blk=-Cyrillic}', "");
Expect(0, 1280, '\P{^Is_Blk=-Cyrillic}', "");
Error('\p{Block=_	Cyrillic_EXTENDED_A/a/}');
Error('\P{Block=_	Cyrillic_EXTENDED_A/a/}');
Expect(1, 11775, '\p{Block:   cyrillicextendeda}', "");
Expect(0, 11775, '\p{^Block:   cyrillicextendeda}', "");
Expect(0, 11775, '\P{Block:   cyrillicextendeda}', "");
Expect(1, 11775, '\P{^Block:   cyrillicextendeda}', "");
Expect(0, 11776, '\p{Block:   cyrillicextendeda}', "");
Expect(1, 11776, '\p{^Block:   cyrillicextendeda}', "");
Expect(1, 11776, '\P{Block:   cyrillicextendeda}', "");
Expect(0, 11776, '\P{^Block:   cyrillicextendeda}', "");
Expect(1, 11775, '\p{Block=_CYRILLIC_Extended_a}', "");
Expect(0, 11775, '\p{^Block=_CYRILLIC_Extended_a}', "");
Expect(0, 11775, '\P{Block=_CYRILLIC_Extended_a}', "");
Expect(1, 11775, '\P{^Block=_CYRILLIC_Extended_a}', "");
Expect(0, 11776, '\p{Block=_CYRILLIC_Extended_a}', "");
Expect(1, 11776, '\p{^Block=_CYRILLIC_Extended_a}', "");
Expect(1, 11776, '\P{Block=_CYRILLIC_Extended_a}', "");
Expect(0, 11776, '\P{^Block=_CYRILLIC_Extended_a}', "");
Error('\p{Blk=/a/	CYRILLIC_Ext_A}');
Error('\P{Blk=/a/	CYRILLIC_Ext_A}');
Expect(1, 11775, '\p{Blk=cyrillicexta}', "");
Expect(0, 11775, '\p{^Blk=cyrillicexta}', "");
Expect(0, 11775, '\P{Blk=cyrillicexta}', "");
Expect(1, 11775, '\P{^Blk=cyrillicexta}', "");
Expect(0, 11776, '\p{Blk=cyrillicexta}', "");
Expect(1, 11776, '\p{^Blk=cyrillicexta}', "");
Expect(1, 11776, '\P{Blk=cyrillicexta}', "");
Expect(0, 11776, '\P{^Blk=cyrillicexta}', "");
Expect(1, 11775, '\p{Blk=-	CYRILLIC_Ext_A}', "");
Expect(0, 11775, '\p{^Blk=-	CYRILLIC_Ext_A}', "");
Expect(0, 11775, '\P{Blk=-	CYRILLIC_Ext_A}', "");
Expect(1, 11775, '\P{^Blk=-	CYRILLIC_Ext_A}', "");
Expect(0, 11776, '\p{Blk=-	CYRILLIC_Ext_A}', "");
Expect(1, 11776, '\p{^Blk=-	CYRILLIC_Ext_A}', "");
Expect(1, 11776, '\P{Blk=-	CYRILLIC_Ext_A}', "");
Expect(0, 11776, '\P{^Blk=-	CYRILLIC_Ext_A}', "");
Error('\p{Is_Block=/a/ Cyrillic_EXTENDED_A}');
Error('\P{Is_Block=/a/ Cyrillic_EXTENDED_A}');
Expect(1, 11775, '\p{Is_Block=cyrillicextendeda}', "");
Expect(0, 11775, '\p{^Is_Block=cyrillicextendeda}', "");
Expect(0, 11775, '\P{Is_Block=cyrillicextendeda}', "");
Expect(1, 11775, '\P{^Is_Block=cyrillicextendeda}', "");
Expect(0, 11776, '\p{Is_Block=cyrillicextendeda}', "");
Expect(1, 11776, '\p{^Is_Block=cyrillicextendeda}', "");
Expect(1, 11776, '\P{Is_Block=cyrillicextendeda}', "");
Expect(0, 11776, '\P{^Is_Block=cyrillicextendeda}', "");
Expect(1, 11775, '\p{Is_Block= -CYRILLIC_extended_A}', "");
Expect(0, 11775, '\p{^Is_Block= -CYRILLIC_extended_A}', "");
Expect(0, 11775, '\P{Is_Block= -CYRILLIC_extended_A}', "");
Expect(1, 11775, '\P{^Is_Block= -CYRILLIC_extended_A}', "");
Expect(0, 11776, '\p{Is_Block= -CYRILLIC_extended_A}', "");
Expect(1, 11776, '\p{^Is_Block= -CYRILLIC_extended_A}', "");
Expect(1, 11776, '\P{Is_Block= -CYRILLIC_extended_A}', "");
Expect(0, 11776, '\P{^Is_Block= -CYRILLIC_extended_A}', "");
Error('\p{Is_Blk=__cyrillic_ext_A/a/}');
Error('\P{Is_Blk=__cyrillic_ext_A/a/}');
Expect(1, 11775, '\p{Is_Blk=cyrillicexta}', "");
Expect(0, 11775, '\p{^Is_Blk=cyrillicexta}', "");
Expect(0, 11775, '\P{Is_Blk=cyrillicexta}', "");
Expect(1, 11775, '\P{^Is_Blk=cyrillicexta}', "");
Expect(0, 11776, '\p{Is_Blk=cyrillicexta}', "");
Expect(1, 11776, '\p{^Is_Blk=cyrillicexta}', "");
Expect(1, 11776, '\P{Is_Blk=cyrillicexta}', "");
Expect(0, 11776, '\P{^Is_Blk=cyrillicexta}', "");
Expect(1, 11775, '\p{Is_Blk: _Cyrillic_EXT_A}', "");
Expect(0, 11775, '\p{^Is_Blk: _Cyrillic_EXT_A}', "");
Expect(0, 11775, '\P{Is_Blk: _Cyrillic_EXT_A}', "");
Expect(1, 11775, '\P{^Is_Blk: _Cyrillic_EXT_A}', "");
Expect(0, 11776, '\p{Is_Blk: _Cyrillic_EXT_A}', "");
Expect(1, 11776, '\p{^Is_Blk: _Cyrillic_EXT_A}', "");
Expect(1, 11776, '\P{Is_Blk: _Cyrillic_EXT_A}', "");
Expect(0, 11776, '\P{^Is_Blk: _Cyrillic_EXT_A}', "");
Error('\p{Block= /a/Cyrillic_Extended_B}');
Error('\P{Block= /a/Cyrillic_Extended_B}');
Expect(1, 42655, '\p{Block=cyrillicextendedb}', "");
Expect(0, 42655, '\p{^Block=cyrillicextendedb}', "");
Expect(0, 42655, '\P{Block=cyrillicextendedb}', "");
Expect(1, 42655, '\P{^Block=cyrillicextendedb}', "");
Expect(0, 42656, '\p{Block=cyrillicextendedb}', "");
Expect(1, 42656, '\p{^Block=cyrillicextendedb}', "");
Expect(1, 42656, '\P{Block=cyrillicextendedb}', "");
Expect(0, 42656, '\P{^Block=cyrillicextendedb}', "");
Expect(1, 42655, '\p{Block=	 CYRILLIC_Extended_B}', "");
Expect(0, 42655, '\p{^Block=	 CYRILLIC_Extended_B}', "");
Expect(0, 42655, '\P{Block=	 CYRILLIC_Extended_B}', "");
Expect(1, 42655, '\P{^Block=	 CYRILLIC_Extended_B}', "");
Expect(0, 42656, '\p{Block=	 CYRILLIC_Extended_B}', "");
Expect(1, 42656, '\p{^Block=	 CYRILLIC_Extended_B}', "");
Expect(1, 42656, '\P{Block=	 CYRILLIC_Extended_B}', "");
Expect(0, 42656, '\P{^Block=	 CYRILLIC_Extended_B}', "");
Error('\p{Blk=__Cyrillic_EXT_B:=}');
Error('\P{Blk=__Cyrillic_EXT_B:=}');
Expect(1, 42655, '\p{Blk=cyrillicextb}', "");
Expect(0, 42655, '\p{^Blk=cyrillicextb}', "");
Expect(0, 42655, '\P{Blk=cyrillicextb}', "");
Expect(1, 42655, '\P{^Blk=cyrillicextb}', "");
Expect(0, 42656, '\p{Blk=cyrillicextb}', "");
Expect(1, 42656, '\p{^Blk=cyrillicextb}', "");
Expect(1, 42656, '\P{Blk=cyrillicextb}', "");
Expect(0, 42656, '\P{^Blk=cyrillicextb}', "");
Expect(1, 42655, '\p{Blk= CYRILLIC_ext_B}', "");
Expect(0, 42655, '\p{^Blk= CYRILLIC_ext_B}', "");
Expect(0, 42655, '\P{Blk= CYRILLIC_ext_B}', "");
Expect(1, 42655, '\P{^Blk= CYRILLIC_ext_B}', "");
Expect(0, 42656, '\p{Blk= CYRILLIC_ext_B}', "");
Expect(1, 42656, '\p{^Blk= CYRILLIC_ext_B}', "");
Expect(1, 42656, '\P{Blk= CYRILLIC_ext_B}', "");
Expect(0, 42656, '\P{^Blk= CYRILLIC_ext_B}', "");
Error('\p{Is_Block=:=	Cyrillic_EXTENDED_b}');
Error('\P{Is_Block=:=	Cyrillic_EXTENDED_b}');
Expect(1, 42655, '\p{Is_Block=cyrillicextendedb}', "");
Expect(0, 42655, '\p{^Is_Block=cyrillicextendedb}', "");
Expect(0, 42655, '\P{Is_Block=cyrillicextendedb}', "");
Expect(1, 42655, '\P{^Is_Block=cyrillicextendedb}', "");
Expect(0, 42656, '\p{Is_Block=cyrillicextendedb}', "");
Expect(1, 42656, '\p{^Is_Block=cyrillicextendedb}', "");
Expect(1, 42656, '\P{Is_Block=cyrillicextendedb}', "");
Expect(0, 42656, '\P{^Is_Block=cyrillicextendedb}', "");
Expect(1, 42655, '\p{Is_Block:		_cyrillic_Extended_B}', "");
Expect(0, 42655, '\p{^Is_Block:		_cyrillic_Extended_B}', "");
Expect(0, 42655, '\P{Is_Block:		_cyrillic_Extended_B}', "");
Expect(1, 42655, '\P{^Is_Block:		_cyrillic_Extended_B}', "");
Expect(0, 42656, '\p{Is_Block:		_cyrillic_Extended_B}', "");
Expect(1, 42656, '\p{^Is_Block:		_cyrillic_Extended_B}', "");
Expect(1, 42656, '\P{Is_Block:		_cyrillic_Extended_B}', "");
Expect(0, 42656, '\P{^Is_Block:		_cyrillic_Extended_B}', "");
Error('\p{Is_Blk:  /a/Cyrillic_ext_B}');
Error('\P{Is_Blk:  /a/Cyrillic_ext_B}');
Expect(1, 42655, '\p{Is_Blk=cyrillicextb}', "");
Expect(0, 42655, '\p{^Is_Blk=cyrillicextb}', "");
Expect(0, 42655, '\P{Is_Blk=cyrillicextb}', "");
Expect(1, 42655, '\P{^Is_Blk=cyrillicextb}', "");
Expect(0, 42656, '\p{Is_Blk=cyrillicextb}', "");
Expect(1, 42656, '\p{^Is_Blk=cyrillicextb}', "");
Expect(1, 42656, '\P{Is_Blk=cyrillicextb}', "");
Expect(0, 42656, '\P{^Is_Blk=cyrillicextb}', "");
Expect(1, 42655, '\p{Is_Blk=_-Cyrillic_Ext_B}', "");
Expect(0, 42655, '\p{^Is_Blk=_-Cyrillic_Ext_B}', "");
Expect(0, 42655, '\P{Is_Blk=_-Cyrillic_Ext_B}', "");
Expect(1, 42655, '\P{^Is_Blk=_-Cyrillic_Ext_B}', "");
Expect(0, 42656, '\p{Is_Blk=_-Cyrillic_Ext_B}', "");
Expect(1, 42656, '\p{^Is_Blk=_-Cyrillic_Ext_B}', "");
Expect(1, 42656, '\P{Is_Blk=_-Cyrillic_Ext_B}', "");
Expect(0, 42656, '\P{^Is_Blk=_-Cyrillic_Ext_B}', "");
Error('\p{Block=-Cyrillic_SUPPLEMENT/a/}');
Error('\P{Block=-Cyrillic_SUPPLEMENT/a/}');
Expect(1, 1327, '\p{Block=cyrillicsupplement}', "");
Expect(0, 1327, '\p{^Block=cyrillicsupplement}', "");
Expect(0, 1327, '\P{Block=cyrillicsupplement}', "");
Expect(1, 1327, '\P{^Block=cyrillicsupplement}', "");
Expect(0, 1328, '\p{Block=cyrillicsupplement}', "");
Expect(1, 1328, '\p{^Block=cyrillicsupplement}', "");
Expect(1, 1328, '\P{Block=cyrillicsupplement}', "");
Expect(0, 1328, '\P{^Block=cyrillicsupplement}', "");
Expect(1, 1327, '\p{Block=	Cyrillic_supplement}', "");
Expect(0, 1327, '\p{^Block=	Cyrillic_supplement}', "");
Expect(0, 1327, '\P{Block=	Cyrillic_supplement}', "");
Expect(1, 1327, '\P{^Block=	Cyrillic_supplement}', "");
Expect(0, 1328, '\p{Block=	Cyrillic_supplement}', "");
Expect(1, 1328, '\p{^Block=	Cyrillic_supplement}', "");
Expect(1, 1328, '\P{Block=	Cyrillic_supplement}', "");
Expect(0, 1328, '\P{^Block=	Cyrillic_supplement}', "");
Error('\p{Blk= cyrillic_Sup:=}');
Error('\P{Blk= cyrillic_Sup:=}');
Expect(1, 1327, '\p{Blk=cyrillicsup}', "");
Expect(0, 1327, '\p{^Blk=cyrillicsup}', "");
Expect(0, 1327, '\P{Blk=cyrillicsup}', "");
Expect(1, 1327, '\P{^Blk=cyrillicsup}', "");
Expect(0, 1328, '\p{Blk=cyrillicsup}', "");
Expect(1, 1328, '\p{^Blk=cyrillicsup}', "");
Expect(1, 1328, '\P{Blk=cyrillicsup}', "");
Expect(0, 1328, '\P{^Blk=cyrillicsup}', "");
Expect(1, 1327, '\p{Blk=_-CYRILLIC_sup}', "");
Expect(0, 1327, '\p{^Blk=_-CYRILLIC_sup}', "");
Expect(0, 1327, '\P{Blk=_-CYRILLIC_sup}', "");
Expect(1, 1327, '\P{^Blk=_-CYRILLIC_sup}', "");
Expect(0, 1328, '\p{Blk=_-CYRILLIC_sup}', "");
Expect(1, 1328, '\p{^Blk=_-CYRILLIC_sup}', "");
Expect(1, 1328, '\P{Blk=_-CYRILLIC_sup}', "");
Expect(0, 1328, '\P{^Blk=_-CYRILLIC_sup}', "");
Error('\p{Is_Block=/a/ _cyrillic_Supplementary}');
Error('\P{Is_Block=/a/ _cyrillic_Supplementary}');
Expect(1, 1327, '\p{Is_Block=cyrillicsupplementary}', "");
Expect(0, 1327, '\p{^Is_Block=cyrillicsupplementary}', "");
Expect(0, 1327, '\P{Is_Block=cyrillicsupplementary}', "");
Expect(1, 1327, '\P{^Is_Block=cyrillicsupplementary}', "");
Expect(0, 1328, '\p{Is_Block=cyrillicsupplementary}', "");
Expect(1, 1328, '\p{^Is_Block=cyrillicsupplementary}', "");
Expect(1, 1328, '\P{Is_Block=cyrillicsupplementary}', "");
Expect(0, 1328, '\P{^Is_Block=cyrillicsupplementary}', "");
Expect(1, 1327, '\p{Is_Block=	Cyrillic_Supplementary}', "");
Expect(0, 1327, '\p{^Is_Block=	Cyrillic_Supplementary}', "");
Expect(0, 1327, '\P{Is_Block=	Cyrillic_Supplementary}', "");
Expect(1, 1327, '\P{^Is_Block=	Cyrillic_Supplementary}', "");
Expect(0, 1328, '\p{Is_Block=	Cyrillic_Supplementary}', "");
Expect(1, 1328, '\p{^Is_Block=	Cyrillic_Supplementary}', "");
Expect(1, 1328, '\P{Is_Block=	Cyrillic_Supplementary}', "");
Expect(0, 1328, '\P{^Is_Block=	Cyrillic_Supplementary}', "");
Error('\p{Is_Blk=-:=Cyrillic_SUPPLEMENT}');
Error('\P{Is_Blk=-:=Cyrillic_SUPPLEMENT}');
Expect(1, 1327, '\p{Is_Blk=cyrillicsupplement}', "");
Expect(0, 1327, '\p{^Is_Blk=cyrillicsupplement}', "");
Expect(0, 1327, '\P{Is_Blk=cyrillicsupplement}', "");
Expect(1, 1327, '\P{^Is_Blk=cyrillicsupplement}', "");
Expect(0, 1328, '\p{Is_Blk=cyrillicsupplement}', "");
Expect(1, 1328, '\p{^Is_Blk=cyrillicsupplement}', "");
Expect(1, 1328, '\P{Is_Blk=cyrillicsupplement}', "");
Expect(0, 1328, '\P{^Is_Blk=cyrillicsupplement}', "");
Expect(1, 1327, '\p{Is_Blk=_CYRILLIC_SUPPLEMENT}', "");
Expect(0, 1327, '\p{^Is_Blk=_CYRILLIC_SUPPLEMENT}', "");
Expect(0, 1327, '\P{Is_Blk=_CYRILLIC_SUPPLEMENT}', "");
Expect(1, 1327, '\P{^Is_Blk=_CYRILLIC_SUPPLEMENT}', "");
Expect(0, 1328, '\p{Is_Blk=_CYRILLIC_SUPPLEMENT}', "");
Expect(1, 1328, '\p{^Is_Blk=_CYRILLIC_SUPPLEMENT}', "");
Expect(1, 1328, '\P{Is_Blk=_CYRILLIC_SUPPLEMENT}', "");
Expect(0, 1328, '\P{^Is_Blk=_CYRILLIC_SUPPLEMENT}', "");
Error('\p{Block=:=	deseret}');
Error('\P{Block=:=	deseret}');
Expect(1, 66639, '\p{Block=deseret}', "");
Expect(0, 66639, '\p{^Block=deseret}', "");
Expect(0, 66639, '\P{Block=deseret}', "");
Expect(1, 66639, '\P{^Block=deseret}', "");
Expect(0, 66640, '\p{Block=deseret}', "");
Expect(1, 66640, '\p{^Block=deseret}', "");
Expect(1, 66640, '\P{Block=deseret}', "");
Expect(0, 66640, '\P{^Block=deseret}', "");
Expect(1, 66639, '\p{Block=-Deseret}', "");
Expect(0, 66639, '\p{^Block=-Deseret}', "");
Expect(0, 66639, '\P{Block=-Deseret}', "");
Expect(1, 66639, '\P{^Block=-Deseret}', "");
Expect(0, 66640, '\p{Block=-Deseret}', "");
Expect(1, 66640, '\p{^Block=-Deseret}', "");
Expect(1, 66640, '\P{Block=-Deseret}', "");
Expect(0, 66640, '\P{^Block=-Deseret}', "");
Error('\p{Blk= _Deseret/a/}');
Error('\P{Blk= _Deseret/a/}');
Expect(1, 66639, '\p{Blk: deseret}', "");
Expect(0, 66639, '\p{^Blk: deseret}', "");
Expect(0, 66639, '\P{Blk: deseret}', "");
Expect(1, 66639, '\P{^Blk: deseret}', "");
Expect(0, 66640, '\p{Blk: deseret}', "");
Expect(1, 66640, '\p{^Blk: deseret}', "");
Expect(1, 66640, '\P{Blk: deseret}', "");
Expect(0, 66640, '\P{^Blk: deseret}', "");
Expect(1, 66639, '\p{Blk=	Deseret}', "");
Expect(0, 66639, '\p{^Blk=	Deseret}', "");
Expect(0, 66639, '\P{Blk=	Deseret}', "");
Expect(1, 66639, '\P{^Blk=	Deseret}', "");
Expect(0, 66640, '\p{Blk=	Deseret}', "");
Expect(1, 66640, '\p{^Blk=	Deseret}', "");
Expect(1, 66640, '\P{Blk=	Deseret}', "");
Expect(0, 66640, '\P{^Blk=	Deseret}', "");
Error('\p{Is_Block=-	deseret:=}');
Error('\P{Is_Block=-	deseret:=}');
Expect(1, 66639, '\p{Is_Block=deseret}', "");
Expect(0, 66639, '\p{^Is_Block=deseret}', "");
Expect(0, 66639, '\P{Is_Block=deseret}', "");
Expect(1, 66639, '\P{^Is_Block=deseret}', "");
Expect(0, 66640, '\p{Is_Block=deseret}', "");
Expect(1, 66640, '\p{^Is_Block=deseret}', "");
Expect(1, 66640, '\P{Is_Block=deseret}', "");
Expect(0, 66640, '\P{^Is_Block=deseret}', "");
Expect(1, 66639, '\p{Is_Block=	deseret}', "");
Expect(0, 66639, '\p{^Is_Block=	deseret}', "");
Expect(0, 66639, '\P{Is_Block=	deseret}', "");
Expect(1, 66639, '\P{^Is_Block=	deseret}', "");
Expect(0, 66640, '\p{Is_Block=	deseret}', "");
Expect(1, 66640, '\p{^Is_Block=	deseret}', "");
Expect(1, 66640, '\P{Is_Block=	deseret}', "");
Expect(0, 66640, '\P{^Is_Block=	deseret}', "");
Error('\p{Is_Blk=:=-_Deseret}');
Error('\P{Is_Blk=:=-_Deseret}');
Expect(1, 66639, '\p{Is_Blk=deseret}', "");
Expect(0, 66639, '\p{^Is_Blk=deseret}', "");
Expect(0, 66639, '\P{Is_Blk=deseret}', "");
Expect(1, 66639, '\P{^Is_Blk=deseret}', "");
Expect(0, 66640, '\p{Is_Blk=deseret}', "");
Expect(1, 66640, '\p{^Is_Blk=deseret}', "");
Expect(1, 66640, '\P{Is_Blk=deseret}', "");
Expect(0, 66640, '\P{^Is_Blk=deseret}', "");
Expect(1, 66639, '\p{Is_Blk=	deseret}', "");
Expect(0, 66639, '\p{^Is_Blk=	deseret}', "");
Expect(0, 66639, '\P{Is_Blk=	deseret}', "");
Expect(1, 66639, '\P{^Is_Blk=	deseret}', "");
Expect(0, 66640, '\p{Is_Blk=	deseret}', "");
Expect(1, 66640, '\p{^Is_Blk=	deseret}', "");
Expect(1, 66640, '\P{Is_Blk=	deseret}', "");
Expect(0, 66640, '\P{^Is_Blk=	deseret}', "");
Error('\p{Block=	Devanagari/a/}');
Error('\P{Block=	Devanagari/a/}');
Expect(1, 2431, '\p{Block=devanagari}', "");
Expect(0, 2431, '\p{^Block=devanagari}', "");
Expect(0, 2431, '\P{Block=devanagari}', "");
Expect(1, 2431, '\P{^Block=devanagari}', "");
Expect(0, 2432, '\p{Block=devanagari}', "");
Expect(1, 2432, '\p{^Block=devanagari}', "");
Expect(1, 2432, '\P{Block=devanagari}', "");
Expect(0, 2432, '\P{^Block=devanagari}', "");
Expect(1, 2431, '\p{Block:   -devanagari}', "");
Expect(0, 2431, '\p{^Block:   -devanagari}', "");
Expect(0, 2431, '\P{Block:   -devanagari}', "");
Expect(1, 2431, '\P{^Block:   -devanagari}', "");
Expect(0, 2432, '\p{Block:   -devanagari}', "");
Expect(1, 2432, '\p{^Block:   -devanagari}', "");
Expect(1, 2432, '\P{Block:   -devanagari}', "");
Expect(0, 2432, '\P{^Block:   -devanagari}', "");
Error('\p{Blk=:=	_Devanagari}');
Error('\P{Blk=:=	_Devanagari}');
Expect(1, 2431, '\p{Blk=devanagari}', "");
Expect(0, 2431, '\p{^Blk=devanagari}', "");
Expect(0, 2431, '\P{Blk=devanagari}', "");
Expect(1, 2431, '\P{^Blk=devanagari}', "");
Expect(0, 2432, '\p{Blk=devanagari}', "");
Expect(1, 2432, '\p{^Blk=devanagari}', "");
Expect(1, 2432, '\P{Blk=devanagari}', "");
Expect(0, 2432, '\P{^Blk=devanagari}', "");
Expect(1, 2431, '\p{Blk=		DEVANAGARI}', "");
Expect(0, 2431, '\p{^Blk=		DEVANAGARI}', "");
Expect(0, 2431, '\P{Blk=		DEVANAGARI}', "");
Expect(1, 2431, '\P{^Blk=		DEVANAGARI}', "");
Expect(0, 2432, '\p{Blk=		DEVANAGARI}', "");
Expect(1, 2432, '\p{^Blk=		DEVANAGARI}', "");
Expect(1, 2432, '\P{Blk=		DEVANAGARI}', "");
Expect(0, 2432, '\P{^Blk=		DEVANAGARI}', "");
Error('\p{Is_Block=	:=devanagari}');
Error('\P{Is_Block=	:=devanagari}');
Expect(1, 2431, '\p{Is_Block=devanagari}', "");
Expect(0, 2431, '\p{^Is_Block=devanagari}', "");
Expect(0, 2431, '\P{Is_Block=devanagari}', "");
Expect(1, 2431, '\P{^Is_Block=devanagari}', "");
Expect(0, 2432, '\p{Is_Block=devanagari}', "");
Expect(1, 2432, '\p{^Is_Block=devanagari}', "");
Expect(1, 2432, '\P{Is_Block=devanagari}', "");
Expect(0, 2432, '\P{^Is_Block=devanagari}', "");
Expect(1, 2431, '\p{Is_Block=_DEVANAGARI}', "");
Expect(0, 2431, '\p{^Is_Block=_DEVANAGARI}', "");
Expect(0, 2431, '\P{Is_Block=_DEVANAGARI}', "");
Expect(1, 2431, '\P{^Is_Block=_DEVANAGARI}', "");
Expect(0, 2432, '\p{Is_Block=_DEVANAGARI}', "");
Expect(1, 2432, '\p{^Is_Block=_DEVANAGARI}', "");
Expect(1, 2432, '\P{Is_Block=_DEVANAGARI}', "");
Expect(0, 2432, '\P{^Is_Block=_DEVANAGARI}', "");
Error('\p{Is_Blk=-	devanagari/a/}');
Error('\P{Is_Blk=-	devanagari/a/}');
Expect(1, 2431, '\p{Is_Blk=devanagari}', "");
Expect(0, 2431, '\p{^Is_Blk=devanagari}', "");
Expect(0, 2431, '\P{Is_Blk=devanagari}', "");
Expect(1, 2431, '\P{^Is_Blk=devanagari}', "");
Expect(0, 2432, '\p{Is_Blk=devanagari}', "");
Expect(1, 2432, '\p{^Is_Blk=devanagari}', "");
Expect(1, 2432, '\P{Is_Blk=devanagari}', "");
Expect(0, 2432, '\P{^Is_Blk=devanagari}', "");
Expect(1, 2431, '\p{Is_Blk=	Devanagari}', "");
Expect(0, 2431, '\p{^Is_Blk=	Devanagari}', "");
Expect(0, 2431, '\P{Is_Blk=	Devanagari}', "");
Expect(1, 2431, '\P{^Is_Blk=	Devanagari}', "");
Expect(0, 2432, '\p{Is_Blk=	Devanagari}', "");
Expect(1, 2432, '\p{^Is_Blk=	Devanagari}', "");
Expect(1, 2432, '\P{Is_Blk=	Devanagari}', "");
Expect(0, 2432, '\P{^Is_Blk=	Devanagari}', "");
Error('\p{Block=_	Devanagari_Extended/a/}');
Error('\P{Block=_	Devanagari_Extended/a/}');
Expect(1, 43263, '\p{Block=devanagariextended}', "");
Expect(0, 43263, '\p{^Block=devanagariextended}', "");
Expect(0, 43263, '\P{Block=devanagariextended}', "");
Expect(1, 43263, '\P{^Block=devanagariextended}', "");
Expect(0, 43264, '\p{Block=devanagariextended}', "");
Expect(1, 43264, '\p{^Block=devanagariextended}', "");
Expect(1, 43264, '\P{Block=devanagariextended}', "");
Expect(0, 43264, '\P{^Block=devanagariextended}', "");
Expect(1, 43263, '\p{Block=_ Devanagari_Extended}', "");
Expect(0, 43263, '\p{^Block=_ Devanagari_Extended}', "");
Expect(0, 43263, '\P{Block=_ Devanagari_Extended}', "");
Expect(1, 43263, '\P{^Block=_ Devanagari_Extended}', "");
Expect(0, 43264, '\p{Block=_ Devanagari_Extended}', "");
Expect(1, 43264, '\p{^Block=_ Devanagari_Extended}', "");
Expect(1, 43264, '\P{Block=_ Devanagari_Extended}', "");
Expect(0, 43264, '\P{^Block=_ Devanagari_Extended}', "");
Error('\p{Blk=-DEVANAGARI_Ext/a/}');
Error('\P{Blk=-DEVANAGARI_Ext/a/}');
Expect(1, 43263, '\p{Blk=devanagariext}', "");
Expect(0, 43263, '\p{^Blk=devanagariext}', "");
Expect(0, 43263, '\P{Blk=devanagariext}', "");
Expect(1, 43263, '\P{^Blk=devanagariext}', "");
Expect(0, 43264, '\p{Blk=devanagariext}', "");
Expect(1, 43264, '\p{^Blk=devanagariext}', "");
Expect(1, 43264, '\P{Blk=devanagariext}', "");
Expect(0, 43264, '\P{^Blk=devanagariext}', "");
Expect(1, 43263, '\p{Blk=devanagari_Ext}', "");
Expect(0, 43263, '\p{^Blk=devanagari_Ext}', "");
Expect(0, 43263, '\P{Blk=devanagari_Ext}', "");
Expect(1, 43263, '\P{^Blk=devanagari_Ext}', "");
Expect(0, 43264, '\p{Blk=devanagari_Ext}', "");
Expect(1, 43264, '\p{^Blk=devanagari_Ext}', "");
Expect(1, 43264, '\P{Blk=devanagari_Ext}', "");
Expect(0, 43264, '\P{^Blk=devanagari_Ext}', "");
Error('\p{Is_Block=/a/_ Devanagari_extended}');
Error('\P{Is_Block=/a/_ Devanagari_extended}');
Expect(1, 43263, '\p{Is_Block=devanagariextended}', "");
Expect(0, 43263, '\p{^Is_Block=devanagariextended}', "");
Expect(0, 43263, '\P{Is_Block=devanagariextended}', "");
Expect(1, 43263, '\P{^Is_Block=devanagariextended}', "");
Expect(0, 43264, '\p{Is_Block=devanagariextended}', "");
Expect(1, 43264, '\p{^Is_Block=devanagariextended}', "");
Expect(1, 43264, '\P{Is_Block=devanagariextended}', "");
Expect(0, 43264, '\P{^Is_Block=devanagariextended}', "");
Expect(1, 43263, '\p{Is_Block=	-DEVANAGARI_Extended}', "");
Expect(0, 43263, '\p{^Is_Block=	-DEVANAGARI_Extended}', "");
Expect(0, 43263, '\P{Is_Block=	-DEVANAGARI_Extended}', "");
Expect(1, 43263, '\P{^Is_Block=	-DEVANAGARI_Extended}', "");
Expect(0, 43264, '\p{Is_Block=	-DEVANAGARI_Extended}', "");
Expect(1, 43264, '\p{^Is_Block=	-DEVANAGARI_Extended}', "");
Expect(1, 43264, '\P{Is_Block=	-DEVANAGARI_Extended}', "");
Expect(0, 43264, '\P{^Is_Block=	-DEVANAGARI_Extended}', "");
Error('\p{Is_Blk=/a/- Devanagari_ext}');
Error('\P{Is_Blk=/a/- Devanagari_ext}');
Expect(1, 43263, '\p{Is_Blk=devanagariext}', "");
Expect(0, 43263, '\p{^Is_Blk=devanagariext}', "");
Expect(0, 43263, '\P{Is_Blk=devanagariext}', "");
Expect(1, 43263, '\P{^Is_Blk=devanagariext}', "");
Expect(0, 43264, '\p{Is_Blk=devanagariext}', "");
Expect(1, 43264, '\p{^Is_Blk=devanagariext}', "");
Expect(1, 43264, '\P{Is_Blk=devanagariext}', "");
Expect(0, 43264, '\P{^Is_Blk=devanagariext}', "");
Expect(1, 43263, '\p{Is_Blk= _devanagari_ext}', "");
Expect(0, 43263, '\p{^Is_Blk= _devanagari_ext}', "");
Expect(0, 43263, '\P{Is_Blk= _devanagari_ext}', "");
Expect(1, 43263, '\P{^Is_Blk= _devanagari_ext}', "");
Expect(0, 43264, '\p{Is_Blk= _devanagari_ext}', "");
Expect(1, 43264, '\p{^Is_Blk= _devanagari_ext}', "");
Expect(1, 43264, '\P{Is_Blk= _devanagari_ext}', "");
Expect(0, 43264, '\P{^Is_Blk= _devanagari_ext}', "");
Error('\p{Block=:=Combining_DIACRITICAL_Marks}');
Error('\P{Block=:=Combining_DIACRITICAL_Marks}');
Expect(1, 879, '\p{Block=combiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^Block=combiningdiacriticalmarks}', "");
Expect(0, 879, '\P{Block=combiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^Block=combiningdiacriticalmarks}', "");
Expect(0, 880, '\p{Block=combiningdiacriticalmarks}', "");
Expect(1, 880, '\p{^Block=combiningdiacriticalmarks}', "");
Expect(1, 880, '\P{Block=combiningdiacriticalmarks}', "");
Expect(0, 880, '\P{^Block=combiningdiacriticalmarks}', "");
Expect(1, 879, '\p{Block=		COMBINING_diacritical_MARKS}', "");
Expect(0, 879, '\p{^Block=		COMBINING_diacritical_MARKS}', "");
Expect(0, 879, '\P{Block=		COMBINING_diacritical_MARKS}', "");
Expect(1, 879, '\P{^Block=		COMBINING_diacritical_MARKS}', "");
Expect(0, 880, '\p{Block=		COMBINING_diacritical_MARKS}', "");
Expect(1, 880, '\p{^Block=		COMBINING_diacritical_MARKS}', "");
Expect(1, 880, '\P{Block=		COMBINING_diacritical_MARKS}', "");
Expect(0, 880, '\P{^Block=		COMBINING_diacritical_MARKS}', "");
Error('\p{Blk=-/a/DIACRITICALS}');
Error('\P{Blk=-/a/DIACRITICALS}');
Expect(1, 879, '\p{Blk:	diacriticals}', "");
Expect(0, 879, '\p{^Blk:	diacriticals}', "");
Expect(0, 879, '\P{Blk:	diacriticals}', "");
Expect(1, 879, '\P{^Blk:	diacriticals}', "");
Expect(0, 880, '\p{Blk:	diacriticals}', "");
Expect(1, 880, '\p{^Blk:	diacriticals}', "");
Expect(1, 880, '\P{Blk:	diacriticals}', "");
Expect(0, 880, '\P{^Blk:	diacriticals}', "");
Expect(1, 879, '\p{Blk=-	diacriticals}', "");
Expect(0, 879, '\p{^Blk=-	diacriticals}', "");
Expect(0, 879, '\P{Blk=-	diacriticals}', "");
Expect(1, 879, '\P{^Blk=-	diacriticals}', "");
Expect(0, 880, '\p{Blk=-	diacriticals}', "");
Expect(1, 880, '\p{^Blk=-	diacriticals}', "");
Expect(1, 880, '\P{Blk=-	diacriticals}', "");
Expect(0, 880, '\P{^Blk=-	diacriticals}', "");
Error('\p{Is_Block=/a/-	COMBINING_diacritical_Marks}');
Error('\P{Is_Block=/a/-	COMBINING_diacritical_Marks}');
Expect(1, 879, '\p{Is_Block=combiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^Is_Block=combiningdiacriticalmarks}', "");
Expect(0, 879, '\P{Is_Block=combiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^Is_Block=combiningdiacriticalmarks}', "");
Expect(0, 880, '\p{Is_Block=combiningdiacriticalmarks}', "");
Expect(1, 880, '\p{^Is_Block=combiningdiacriticalmarks}', "");
Expect(1, 880, '\P{Is_Block=combiningdiacriticalmarks}', "");
Expect(0, 880, '\P{^Is_Block=combiningdiacriticalmarks}', "");
Expect(1, 879, '\p{Is_Block=	Combining_Diacritical_marks}', "");
Expect(0, 879, '\p{^Is_Block=	Combining_Diacritical_marks}', "");
Expect(0, 879, '\P{Is_Block=	Combining_Diacritical_marks}', "");
Expect(1, 879, '\P{^Is_Block=	Combining_Diacritical_marks}', "");
Expect(0, 880, '\p{Is_Block=	Combining_Diacritical_marks}', "");
Expect(1, 880, '\p{^Is_Block=	Combining_Diacritical_marks}', "");
Expect(1, 880, '\P{Is_Block=	Combining_Diacritical_marks}', "");
Expect(0, 880, '\P{^Is_Block=	Combining_Diacritical_marks}', "");
Error('\p{Is_Blk: - Diacriticals/a/}');
Error('\P{Is_Blk: - Diacriticals/a/}');
Expect(1, 879, '\p{Is_Blk:   diacriticals}', "");
Expect(0, 879, '\p{^Is_Blk:   diacriticals}', "");
Expect(0, 879, '\P{Is_Blk:   diacriticals}', "");
Expect(1, 879, '\P{^Is_Blk:   diacriticals}', "");
Expect(0, 880, '\p{Is_Blk:   diacriticals}', "");
Expect(1, 880, '\p{^Is_Blk:   diacriticals}', "");
Expect(1, 880, '\P{Is_Blk:   diacriticals}', "");
Expect(0, 880, '\P{^Is_Blk:   diacriticals}', "");
Expect(1, 879, '\p{Is_Blk=_Diacriticals}', "");
Expect(0, 879, '\p{^Is_Blk=_Diacriticals}', "");
Expect(0, 879, '\P{Is_Blk=_Diacriticals}', "");
Expect(1, 879, '\P{^Is_Blk=_Diacriticals}', "");
Expect(0, 880, '\p{Is_Blk=_Diacriticals}', "");
Expect(1, 880, '\p{^Is_Blk=_Diacriticals}', "");
Expect(1, 880, '\P{Is_Blk=_Diacriticals}', "");
Expect(0, 880, '\P{^Is_Blk=_Diacriticals}', "");
Error('\p{Block=_Combining_diacritical_Marks_EXTENDED/a/}');
Error('\P{Block=_Combining_diacritical_Marks_EXTENDED/a/}');
Expect(1, 6911, '\p{Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\p{^Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\P{Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\P{^Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\p{Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\p{^Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\P{Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\P{^Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\p{Block=- combining_diacritical_Marks_Extended}', "");
Expect(0, 6911, '\p{^Block=- combining_diacritical_Marks_Extended}', "");
Expect(0, 6911, '\P{Block=- combining_diacritical_Marks_Extended}', "");
Expect(1, 6911, '\P{^Block=- combining_diacritical_Marks_Extended}', "");
Expect(0, 6912, '\p{Block=- combining_diacritical_Marks_Extended}', "");
Expect(1, 6912, '\p{^Block=- combining_diacritical_Marks_Extended}', "");
Expect(1, 6912, '\P{Block=- combining_diacritical_Marks_Extended}', "");
Expect(0, 6912, '\P{^Block=- combining_diacritical_Marks_Extended}', "");
Error('\p{Blk=	_diacriticals_Ext/a/}');
Error('\P{Blk=	_diacriticals_Ext/a/}');
Expect(1, 6911, '\p{Blk=diacriticalsext}', "");
Expect(0, 6911, '\p{^Blk=diacriticalsext}', "");
Expect(0, 6911, '\P{Blk=diacriticalsext}', "");
Expect(1, 6911, '\P{^Blk=diacriticalsext}', "");
Expect(0, 6912, '\p{Blk=diacriticalsext}', "");
Expect(1, 6912, '\p{^Blk=diacriticalsext}', "");
Expect(1, 6912, '\P{Blk=diacriticalsext}', "");
Expect(0, 6912, '\P{^Blk=diacriticalsext}', "");
Expect(1, 6911, '\p{Blk=		Diacriticals_Ext}', "");
Expect(0, 6911, '\p{^Blk=		Diacriticals_Ext}', "");
Expect(0, 6911, '\P{Blk=		Diacriticals_Ext}', "");
Expect(1, 6911, '\P{^Blk=		Diacriticals_Ext}', "");
Expect(0, 6912, '\p{Blk=		Diacriticals_Ext}', "");
Expect(1, 6912, '\p{^Blk=		Diacriticals_Ext}', "");
Expect(1, 6912, '\P{Blk=		Diacriticals_Ext}', "");
Expect(0, 6912, '\P{^Blk=		Diacriticals_Ext}', "");
Error('\p{Is_Block=:=  COMBINING_DIACRITICAL_MARKS_Extended}');
Error('\P{Is_Block=:=  COMBINING_DIACRITICAL_MARKS_Extended}');
Expect(1, 6911, '\p{Is_Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\p{^Is_Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\P{Is_Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\P{^Is_Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\p{Is_Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\p{^Is_Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\P{Is_Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\P{^Is_Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\p{Is_Block=-	Combining_diacritical_Marks_EXTENDED}', "");
Expect(0, 6911, '\p{^Is_Block=-	Combining_diacritical_Marks_EXTENDED}', "");
Expect(0, 6911, '\P{Is_Block=-	Combining_diacritical_Marks_EXTENDED}', "");
Expect(1, 6911, '\P{^Is_Block=-	Combining_diacritical_Marks_EXTENDED}', "");
Expect(0, 6912, '\p{Is_Block=-	Combining_diacritical_Marks_EXTENDED}', "");
Expect(1, 6912, '\p{^Is_Block=-	Combining_diacritical_Marks_EXTENDED}', "");
Expect(1, 6912, '\P{Is_Block=-	Combining_diacritical_Marks_EXTENDED}', "");
Expect(0, 6912, '\P{^Is_Block=-	Combining_diacritical_Marks_EXTENDED}', "");
Error('\p{Is_Blk=:=-_diacriticals_Ext}');
Error('\P{Is_Blk=:=-_diacriticals_Ext}');
Expect(1, 6911, '\p{Is_Blk=diacriticalsext}', "");
Expect(0, 6911, '\p{^Is_Blk=diacriticalsext}', "");
Expect(0, 6911, '\P{Is_Blk=diacriticalsext}', "");
Expect(1, 6911, '\P{^Is_Blk=diacriticalsext}', "");
Expect(0, 6912, '\p{Is_Blk=diacriticalsext}', "");
Expect(1, 6912, '\p{^Is_Blk=diacriticalsext}', "");
Expect(1, 6912, '\P{Is_Blk=diacriticalsext}', "");
Expect(0, 6912, '\P{^Is_Blk=diacriticalsext}', "");
Expect(1, 6911, '\p{Is_Blk=	-Diacriticals_Ext}', "");
Expect(0, 6911, '\p{^Is_Blk=	-Diacriticals_Ext}', "");
Expect(0, 6911, '\P{Is_Blk=	-Diacriticals_Ext}', "");
Expect(1, 6911, '\P{^Is_Blk=	-Diacriticals_Ext}', "");
Expect(0, 6912, '\p{Is_Blk=	-Diacriticals_Ext}', "");
Expect(1, 6912, '\p{^Is_Blk=	-Diacriticals_Ext}', "");
Expect(1, 6912, '\P{Is_Blk=	-Diacriticals_Ext}', "");
Expect(0, 6912, '\P{^Is_Blk=	-Diacriticals_Ext}', "");
Error('\p{Block= :=Combining_Diacritical_Marks_for_symbols}');
Error('\P{Block= :=Combining_Diacritical_Marks_for_symbols}');
Expect(1, 8447, '\p{Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\p{^Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\P{Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\P{^Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\p{Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\p{^Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\P{Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\P{^Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\p{Block=- Combining_diacritical_Marks_for_symbols}', "");
Expect(0, 8447, '\p{^Block=- Combining_diacritical_Marks_for_symbols}', "");
Expect(0, 8447, '\P{Block=- Combining_diacritical_Marks_for_symbols}', "");
Expect(1, 8447, '\P{^Block=- Combining_diacritical_Marks_for_symbols}', "");
Expect(0, 8448, '\p{Block=- Combining_diacritical_Marks_for_symbols}', "");
Expect(1, 8448, '\p{^Block=- Combining_diacritical_Marks_for_symbols}', "");
Expect(1, 8448, '\P{Block=- Combining_diacritical_Marks_for_symbols}', "");
Expect(0, 8448, '\P{^Block=- Combining_diacritical_Marks_for_symbols}', "");
Error('\p{Blk=/a/ Diacriticals_For_symbols}');
Error('\P{Blk=/a/ Diacriticals_For_symbols}');
Expect(1, 8447, '\p{Blk=diacriticalsforsymbols}', "");
Expect(0, 8447, '\p{^Blk=diacriticalsforsymbols}', "");
Expect(0, 8447, '\P{Blk=diacriticalsforsymbols}', "");
Expect(1, 8447, '\P{^Blk=diacriticalsforsymbols}', "");
Expect(0, 8448, '\p{Blk=diacriticalsforsymbols}', "");
Expect(1, 8448, '\p{^Blk=diacriticalsforsymbols}', "");
Expect(1, 8448, '\P{Blk=diacriticalsforsymbols}', "");
Expect(0, 8448, '\P{^Blk=diacriticalsforsymbols}', "");
Expect(1, 8447, '\p{Blk=-	DIACRITICALS_For_Symbols}', "");
Expect(0, 8447, '\p{^Blk=-	DIACRITICALS_For_Symbols}', "");
Expect(0, 8447, '\P{Blk=-	DIACRITICALS_For_Symbols}', "");
Expect(1, 8447, '\P{^Blk=-	DIACRITICALS_For_Symbols}', "");
Expect(0, 8448, '\p{Blk=-	DIACRITICALS_For_Symbols}', "");
Expect(1, 8448, '\p{^Blk=-	DIACRITICALS_For_Symbols}', "");
Expect(1, 8448, '\P{Blk=-	DIACRITICALS_For_Symbols}', "");
Expect(0, 8448, '\P{^Blk=-	DIACRITICALS_For_Symbols}', "");
Error('\p{Is_Block= :=Combining_MARKS_For_SYMBOLS}');
Error('\P{Is_Block= :=Combining_MARKS_For_SYMBOLS}');
Expect(1, 8447, '\p{Is_Block=combiningmarksforsymbols}', "");
Expect(0, 8447, '\p{^Is_Block=combiningmarksforsymbols}', "");
Expect(0, 8447, '\P{Is_Block=combiningmarksforsymbols}', "");
Expect(1, 8447, '\P{^Is_Block=combiningmarksforsymbols}', "");
Expect(0, 8448, '\p{Is_Block=combiningmarksforsymbols}', "");
Expect(1, 8448, '\p{^Is_Block=combiningmarksforsymbols}', "");
Expect(1, 8448, '\P{Is_Block=combiningmarksforsymbols}', "");
Expect(0, 8448, '\P{^Is_Block=combiningmarksforsymbols}', "");
Expect(1, 8447, '\p{Is_Block=-_Combining_Marks_for_Symbols}', "");
Expect(0, 8447, '\p{^Is_Block=-_Combining_Marks_for_Symbols}', "");
Expect(0, 8447, '\P{Is_Block=-_Combining_Marks_for_Symbols}', "");
Expect(1, 8447, '\P{^Is_Block=-_Combining_Marks_for_Symbols}', "");
Expect(0, 8448, '\p{Is_Block=-_Combining_Marks_for_Symbols}', "");
Expect(1, 8448, '\p{^Is_Block=-_Combining_Marks_for_Symbols}', "");
Expect(1, 8448, '\P{Is_Block=-_Combining_Marks_for_Symbols}', "");
Expect(0, 8448, '\P{^Is_Block=-_Combining_Marks_for_Symbols}', "");
Error('\p{Is_Blk=:=Combining_Diacritical_Marks_for_symbols}');
Error('\P{Is_Blk=:=Combining_Diacritical_Marks_for_symbols}');
Expect(1, 8447, '\p{Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\p{^Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\P{Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\P{^Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\p{Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\p{^Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\P{Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\P{^Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\p{Is_Blk=_combining_DIACRITICAL_marks_FOR_symbols}', "");
Expect(0, 8447, '\p{^Is_Blk=_combining_DIACRITICAL_marks_FOR_symbols}', "");
Expect(0, 8447, '\P{Is_Blk=_combining_DIACRITICAL_marks_FOR_symbols}', "");
Expect(1, 8447, '\P{^Is_Blk=_combining_DIACRITICAL_marks_FOR_symbols}', "");
Expect(0, 8448, '\p{Is_Blk=_combining_DIACRITICAL_marks_FOR_symbols}', "");
Expect(1, 8448, '\p{^Is_Blk=_combining_DIACRITICAL_marks_FOR_symbols}', "");
Expect(1, 8448, '\P{Is_Blk=_combining_DIACRITICAL_marks_FOR_symbols}', "");
Expect(0, 8448, '\P{^Is_Blk=_combining_DIACRITICAL_marks_FOR_symbols}', "");
Error('\p{Block=/a/-Combining_diacritical_marks_Supplement}');
Error('\P{Block=/a/-Combining_diacritical_marks_Supplement}');
Expect(1, 7679, '\p{Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\p{Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\p{^Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\P{Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\P{^Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{Block=		combining_Diacritical_MARKS_Supplement}', "");
Expect(0, 7679, '\p{^Block=		combining_Diacritical_MARKS_Supplement}', "");
Expect(0, 7679, '\P{Block=		combining_Diacritical_MARKS_Supplement}', "");
Expect(1, 7679, '\P{^Block=		combining_Diacritical_MARKS_Supplement}', "");
Expect(0, 7680, '\p{Block=		combining_Diacritical_MARKS_Supplement}', "");
Expect(1, 7680, '\p{^Block=		combining_Diacritical_MARKS_Supplement}', "");
Expect(1, 7680, '\P{Block=		combining_Diacritical_MARKS_Supplement}', "");
Expect(0, 7680, '\P{^Block=		combining_Diacritical_MARKS_Supplement}', "");
Error('\p{Blk=	_Diacriticals_sup/a/}');
Error('\P{Blk=	_Diacriticals_sup/a/}');
Expect(1, 7679, '\p{Blk=diacriticalssup}', "");
Expect(0, 7679, '\p{^Blk=diacriticalssup}', "");
Expect(0, 7679, '\P{Blk=diacriticalssup}', "");
Expect(1, 7679, '\P{^Blk=diacriticalssup}', "");
Expect(0, 7680, '\p{Blk=diacriticalssup}', "");
Expect(1, 7680, '\p{^Blk=diacriticalssup}', "");
Expect(1, 7680, '\P{Blk=diacriticalssup}', "");
Expect(0, 7680, '\P{^Blk=diacriticalssup}', "");
Expect(1, 7679, '\p{Blk=_-Diacriticals_SUP}', "");
Expect(0, 7679, '\p{^Blk=_-Diacriticals_SUP}', "");
Expect(0, 7679, '\P{Blk=_-Diacriticals_SUP}', "");
Expect(1, 7679, '\P{^Blk=_-Diacriticals_SUP}', "");
Expect(0, 7680, '\p{Blk=_-Diacriticals_SUP}', "");
Expect(1, 7680, '\p{^Blk=_-Diacriticals_SUP}', "");
Expect(1, 7680, '\P{Blk=_-Diacriticals_SUP}', "");
Expect(0, 7680, '\P{^Blk=_-Diacriticals_SUP}', "");
Error('\p{Is_Block=/a/  COMBINING_Diacritical_marks_Supplement}');
Error('\P{Is_Block=/a/  COMBINING_Diacritical_marks_Supplement}');
Expect(1, 7679, '\p{Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\p{Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\p{^Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\P{Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\P{^Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{Is_Block=- combining_Diacritical_MARKS_Supplement}', "");
Expect(0, 7679, '\p{^Is_Block=- combining_Diacritical_MARKS_Supplement}', "");
Expect(0, 7679, '\P{Is_Block=- combining_Diacritical_MARKS_Supplement}', "");
Expect(1, 7679, '\P{^Is_Block=- combining_Diacritical_MARKS_Supplement}', "");
Expect(0, 7680, '\p{Is_Block=- combining_Diacritical_MARKS_Supplement}', "");
Expect(1, 7680, '\p{^Is_Block=- combining_Diacritical_MARKS_Supplement}', "");
Expect(1, 7680, '\P{Is_Block=- combining_Diacritical_MARKS_Supplement}', "");
Expect(0, 7680, '\P{^Is_Block=- combining_Diacritical_MARKS_Supplement}', "");
Error('\p{Is_Blk=-	DIACRITICALS_sup/a/}');
Error('\P{Is_Blk=-	DIACRITICALS_sup/a/}');
Expect(1, 7679, '\p{Is_Blk=diacriticalssup}', "");
Expect(0, 7679, '\p{^Is_Blk=diacriticalssup}', "");
Expect(0, 7679, '\P{Is_Blk=diacriticalssup}', "");
Expect(1, 7679, '\P{^Is_Blk=diacriticalssup}', "");
Expect(0, 7680, '\p{Is_Blk=diacriticalssup}', "");
Expect(1, 7680, '\p{^Is_Blk=diacriticalssup}', "");
Expect(1, 7680, '\P{Is_Blk=diacriticalssup}', "");
Expect(0, 7680, '\P{^Is_Blk=diacriticalssup}', "");
Expect(1, 7679, '\p{Is_Blk=  DIACRITICALS_SUP}', "");
Expect(0, 7679, '\p{^Is_Blk=  DIACRITICALS_SUP}', "");
Expect(0, 7679, '\P{Is_Blk=  DIACRITICALS_SUP}', "");
Expect(1, 7679, '\P{^Is_Blk=  DIACRITICALS_SUP}', "");
Expect(0, 7680, '\p{Is_Blk=  DIACRITICALS_SUP}', "");
Expect(1, 7680, '\p{^Is_Blk=  DIACRITICALS_SUP}', "");
Expect(1, 7680, '\P{Is_Blk=  DIACRITICALS_SUP}', "");
Expect(0, 7680, '\P{^Is_Blk=  DIACRITICALS_SUP}', "");
Error('\p{Block=		Dingbats/a/}');
Error('\P{Block=		Dingbats/a/}');
Expect(1, 10175, '\p{Block=dingbats}', "");
Expect(0, 10175, '\p{^Block=dingbats}', "");
Expect(0, 10175, '\P{Block=dingbats}', "");
Expect(1, 10175, '\P{^Block=dingbats}', "");
Expect(0, 10176, '\p{Block=dingbats}', "");
Expect(1, 10176, '\p{^Block=dingbats}', "");
Expect(1, 10176, '\P{Block=dingbats}', "");
Expect(0, 10176, '\P{^Block=dingbats}', "");
Expect(1, 10175, '\p{Block:	 DINGBATS}', "");
Expect(0, 10175, '\p{^Block:	 DINGBATS}', "");
Expect(0, 10175, '\P{Block:	 DINGBATS}', "");
Expect(1, 10175, '\P{^Block:	 DINGBATS}', "");
Expect(0, 10176, '\p{Block:	 DINGBATS}', "");
Expect(1, 10176, '\p{^Block:	 DINGBATS}', "");
Expect(1, 10176, '\P{Block:	 DINGBATS}', "");
Expect(0, 10176, '\P{^Block:	 DINGBATS}', "");
Error('\p{Blk=:=-dingbats}');
Error('\P{Blk=:=-dingbats}');
Expect(1, 10175, '\p{Blk=dingbats}', "");
Expect(0, 10175, '\p{^Blk=dingbats}', "");
Expect(0, 10175, '\P{Blk=dingbats}', "");
Expect(1, 10175, '\P{^Blk=dingbats}', "");
Expect(0, 10176, '\p{Blk=dingbats}', "");
Expect(1, 10176, '\p{^Blk=dingbats}', "");
Expect(1, 10176, '\P{Blk=dingbats}', "");
Expect(0, 10176, '\P{^Blk=dingbats}', "");
Expect(1, 10175, '\p{Blk= -Dingbats}', "");
Expect(0, 10175, '\p{^Blk= -Dingbats}', "");
Expect(0, 10175, '\P{Blk= -Dingbats}', "");
Expect(1, 10175, '\P{^Blk= -Dingbats}', "");
Expect(0, 10176, '\p{Blk= -Dingbats}', "");
Expect(1, 10176, '\p{^Blk= -Dingbats}', "");
Expect(1, 10176, '\P{Blk= -Dingbats}', "");
Expect(0, 10176, '\P{^Blk= -Dingbats}', "");
Error('\p{Is_Block=_:=DINGBATS}');
Error('\P{Is_Block=_:=DINGBATS}');
Expect(1, 10175, '\p{Is_Block:dingbats}', "");
Expect(0, 10175, '\p{^Is_Block:dingbats}', "");
Expect(0, 10175, '\P{Is_Block:dingbats}', "");
Expect(1, 10175, '\P{^Is_Block:dingbats}', "");
Expect(0, 10176, '\p{Is_Block:dingbats}', "");
Expect(1, 10176, '\p{^Is_Block:dingbats}', "");
Expect(1, 10176, '\P{Is_Block:dingbats}', "");
Expect(0, 10176, '\P{^Is_Block:dingbats}', "");
Expect(1, 10175, '\p{Is_Block=--DINGBATS}', "");
Expect(0, 10175, '\p{^Is_Block=--DINGBATS}', "");
Expect(0, 10175, '\P{Is_Block=--DINGBATS}', "");
Expect(1, 10175, '\P{^Is_Block=--DINGBATS}', "");
Expect(0, 10176, '\p{Is_Block=--DINGBATS}', "");
Expect(1, 10176, '\p{^Is_Block=--DINGBATS}', "");
Expect(1, 10176, '\P{Is_Block=--DINGBATS}', "");
Expect(0, 10176, '\P{^Is_Block=--DINGBATS}', "");
Error('\p{Is_Blk=/a/	-dingbats}');
Error('\P{Is_Blk=/a/	-dingbats}');
Expect(1, 10175, '\p{Is_Blk=dingbats}', "");
Expect(0, 10175, '\p{^Is_Blk=dingbats}', "");
Expect(0, 10175, '\P{Is_Blk=dingbats}', "");
Expect(1, 10175, '\P{^Is_Blk=dingbats}', "");
Expect(0, 10176, '\p{Is_Blk=dingbats}', "");
Expect(1, 10176, '\p{^Is_Blk=dingbats}', "");
Expect(1, 10176, '\P{Is_Blk=dingbats}', "");
Expect(0, 10176, '\P{^Is_Blk=dingbats}', "");
Expect(1, 10175, '\p{Is_Blk:    _dingbats}', "");
Expect(0, 10175, '\p{^Is_Blk:    _dingbats}', "");
Expect(0, 10175, '\P{Is_Blk:    _dingbats}', "");
Expect(1, 10175, '\P{^Is_Blk:    _dingbats}', "");
Expect(0, 10176, '\p{Is_Blk:    _dingbats}', "");
Expect(1, 10176, '\p{^Is_Blk:    _dingbats}', "");
Expect(1, 10176, '\P{Is_Blk:    _dingbats}', "");
Expect(0, 10176, '\P{^Is_Blk:    _dingbats}', "");
Error('\p{Block=_:=Domino_Tiles}');
Error('\P{Block=_:=Domino_Tiles}');
Expect(1, 127135, '\p{Block=dominotiles}', "");
Expect(0, 127135, '\p{^Block=dominotiles}', "");
Expect(0, 127135, '\P{Block=dominotiles}', "");
Expect(1, 127135, '\P{^Block=dominotiles}', "");
Expect(0, 127136, '\p{Block=dominotiles}', "");
Expect(1, 127136, '\p{^Block=dominotiles}', "");
Expect(1, 127136, '\P{Block=dominotiles}', "");
Expect(0, 127136, '\P{^Block=dominotiles}', "");
Expect(1, 127135, '\p{Block= -DOMINO_Tiles}', "");
Expect(0, 127135, '\p{^Block= -DOMINO_Tiles}', "");
Expect(0, 127135, '\P{Block= -DOMINO_Tiles}', "");
Expect(1, 127135, '\P{^Block= -DOMINO_Tiles}', "");
Expect(0, 127136, '\p{Block= -DOMINO_Tiles}', "");
Expect(1, 127136, '\p{^Block= -DOMINO_Tiles}', "");
Expect(1, 127136, '\P{Block= -DOMINO_Tiles}', "");
Expect(0, 127136, '\P{^Block= -DOMINO_Tiles}', "");
Error('\p{Blk=	/a/Domino}');
Error('\P{Blk=	/a/Domino}');
Expect(1, 127135, '\p{Blk=domino}', "");
Expect(0, 127135, '\p{^Blk=domino}', "");
Expect(0, 127135, '\P{Blk=domino}', "");
Expect(1, 127135, '\P{^Blk=domino}', "");
Expect(0, 127136, '\p{Blk=domino}', "");
Expect(1, 127136, '\p{^Blk=domino}', "");
Expect(1, 127136, '\P{Blk=domino}', "");
Expect(0, 127136, '\P{^Blk=domino}', "");
Expect(1, 127135, '\p{Blk= DOMINO}', "");
Expect(0, 127135, '\p{^Blk= DOMINO}', "");
Expect(0, 127135, '\P{Blk= DOMINO}', "");
Expect(1, 127135, '\P{^Blk= DOMINO}', "");
Expect(0, 127136, '\p{Blk= DOMINO}', "");
Expect(1, 127136, '\p{^Blk= DOMINO}', "");
Expect(1, 127136, '\P{Blk= DOMINO}', "");
Expect(0, 127136, '\P{^Blk= DOMINO}', "");
Error('\p{Is_Block=/a/_	DOMINO_Tiles}');
Error('\P{Is_Block=/a/_	DOMINO_Tiles}');
Expect(1, 127135, '\p{Is_Block=dominotiles}', "");
Expect(0, 127135, '\p{^Is_Block=dominotiles}', "");
Expect(0, 127135, '\P{Is_Block=dominotiles}', "");
Expect(1, 127135, '\P{^Is_Block=dominotiles}', "");
Expect(0, 127136, '\p{Is_Block=dominotiles}', "");
Expect(1, 127136, '\p{^Is_Block=dominotiles}', "");
Expect(1, 127136, '\P{Is_Block=dominotiles}', "");
Expect(0, 127136, '\P{^Is_Block=dominotiles}', "");
Expect(1, 127135, '\p{Is_Block=-Domino_tiles}', "");
Expect(0, 127135, '\p{^Is_Block=-Domino_tiles}', "");
Expect(0, 127135, '\P{Is_Block=-Domino_tiles}', "");
Expect(1, 127135, '\P{^Is_Block=-Domino_tiles}', "");
Expect(0, 127136, '\p{Is_Block=-Domino_tiles}', "");
Expect(1, 127136, '\p{^Is_Block=-Domino_tiles}', "");
Expect(1, 127136, '\P{Is_Block=-Domino_tiles}', "");
Expect(0, 127136, '\P{^Is_Block=-Domino_tiles}', "");
Error('\p{Is_Blk=_	DOMINO:=}');
Error('\P{Is_Blk=_	DOMINO:=}');
Expect(1, 127135, '\p{Is_Blk=domino}', "");
Expect(0, 127135, '\p{^Is_Blk=domino}', "");
Expect(0, 127135, '\P{Is_Blk=domino}', "");
Expect(1, 127135, '\P{^Is_Blk=domino}', "");
Expect(0, 127136, '\p{Is_Blk=domino}', "");
Expect(1, 127136, '\p{^Is_Blk=domino}', "");
Expect(1, 127136, '\P{Is_Blk=domino}', "");
Expect(0, 127136, '\P{^Is_Blk=domino}', "");
Expect(1, 127135, '\p{Is_Blk=_ DOMINO}', "");
Expect(0, 127135, '\p{^Is_Blk=_ DOMINO}', "");
Expect(0, 127135, '\P{Is_Blk=_ DOMINO}', "");
Expect(1, 127135, '\P{^Is_Blk=_ DOMINO}', "");
Expect(0, 127136, '\p{Is_Blk=_ DOMINO}', "");
Expect(1, 127136, '\p{^Is_Blk=_ DOMINO}', "");
Expect(1, 127136, '\P{Is_Blk=_ DOMINO}', "");
Expect(0, 127136, '\P{^Is_Blk=_ DOMINO}', "");
Error('\p{Block=:=_ Duployan}');
Error('\P{Block=:=_ Duployan}');
Expect(1, 113823, '\p{Block=duployan}', "");
Expect(0, 113823, '\p{^Block=duployan}', "");
Expect(0, 113823, '\P{Block=duployan}', "");
Expect(1, 113823, '\P{^Block=duployan}', "");
Expect(0, 113824, '\p{Block=duployan}', "");
Expect(1, 113824, '\p{^Block=duployan}', "");
Expect(1, 113824, '\P{Block=duployan}', "");
Expect(0, 113824, '\P{^Block=duployan}', "");
Expect(1, 113823, '\p{Block=_ duployan}', "");
Expect(0, 113823, '\p{^Block=_ duployan}', "");
Expect(0, 113823, '\P{Block=_ duployan}', "");
Expect(1, 113823, '\P{^Block=_ duployan}', "");
Expect(0, 113824, '\p{Block=_ duployan}', "");
Expect(1, 113824, '\p{^Block=_ duployan}', "");
Expect(1, 113824, '\P{Block=_ duployan}', "");
Expect(0, 113824, '\P{^Block=_ duployan}', "");
Error('\p{Blk=/a/Duployan}');
Error('\P{Blk=/a/Duployan}');
Expect(1, 113823, '\p{Blk=duployan}', "");
Expect(0, 113823, '\p{^Blk=duployan}', "");
Expect(0, 113823, '\P{Blk=duployan}', "");
Expect(1, 113823, '\P{^Blk=duployan}', "");
Expect(0, 113824, '\p{Blk=duployan}', "");
Expect(1, 113824, '\p{^Blk=duployan}', "");
Expect(1, 113824, '\P{Blk=duployan}', "");
Expect(0, 113824, '\P{^Blk=duployan}', "");
Expect(1, 113823, '\p{Blk=_ DUPLOYAN}', "");
Expect(0, 113823, '\p{^Blk=_ DUPLOYAN}', "");
Expect(0, 113823, '\P{Blk=_ DUPLOYAN}', "");
Expect(1, 113823, '\P{^Blk=_ DUPLOYAN}', "");
Expect(0, 113824, '\p{Blk=_ DUPLOYAN}', "");
Expect(1, 113824, '\p{^Blk=_ DUPLOYAN}', "");
Expect(1, 113824, '\P{Blk=_ DUPLOYAN}', "");
Expect(0, 113824, '\P{^Blk=_ DUPLOYAN}', "");
Error('\p{Is_Block=:=_ DUPLOYAN}');
Error('\P{Is_Block=:=_ DUPLOYAN}');
Expect(1, 113823, '\p{Is_Block=duployan}', "");
Expect(0, 113823, '\p{^Is_Block=duployan}', "");
Expect(0, 113823, '\P{Is_Block=duployan}', "");
Expect(1, 113823, '\P{^Is_Block=duployan}', "");
Expect(0, 113824, '\p{Is_Block=duployan}', "");
Expect(1, 113824, '\p{^Is_Block=duployan}', "");
Expect(1, 113824, '\P{Is_Block=duployan}', "");
Expect(0, 113824, '\P{^Is_Block=duployan}', "");
Expect(1, 113823, '\p{Is_Block=-	Duployan}', "");
Expect(0, 113823, '\p{^Is_Block=-	Duployan}', "");
Expect(0, 113823, '\P{Is_Block=-	Duployan}', "");
Expect(1, 113823, '\P{^Is_Block=-	Duployan}', "");
Expect(0, 113824, '\p{Is_Block=-	Duployan}', "");
Expect(1, 113824, '\p{^Is_Block=-	Duployan}', "");
Expect(1, 113824, '\P{Is_Block=-	Duployan}', "");
Expect(0, 113824, '\P{^Is_Block=-	Duployan}', "");
Error('\p{Is_Blk= :=Duployan}');
Error('\P{Is_Blk= :=Duployan}');
Expect(1, 113823, '\p{Is_Blk=duployan}', "");
Expect(0, 113823, '\p{^Is_Blk=duployan}', "");
Expect(0, 113823, '\P{Is_Blk=duployan}', "");
Expect(1, 113823, '\P{^Is_Blk=duployan}', "");
Expect(0, 113824, '\p{Is_Blk=duployan}', "");
Expect(1, 113824, '\p{^Is_Blk=duployan}', "");
Expect(1, 113824, '\P{Is_Blk=duployan}', "");
Expect(0, 113824, '\P{^Is_Blk=duployan}', "");
Expect(1, 113823, '\p{Is_Blk=_ duployan}', "");
Expect(0, 113823, '\p{^Is_Blk=_ duployan}', "");
Expect(0, 113823, '\P{Is_Blk=_ duployan}', "");
Expect(1, 113823, '\P{^Is_Blk=_ duployan}', "");
Expect(0, 113824, '\p{Is_Blk=_ duployan}', "");
Expect(1, 113824, '\p{^Is_Blk=_ duployan}', "");
Expect(1, 113824, '\P{Is_Blk=_ duployan}', "");
Expect(0, 113824, '\P{^Is_Blk=_ duployan}', "");
Error('\p{Block=-	EGYPTIAN_HIEROGLYPHS/a/}');
Error('\P{Block=-	EGYPTIAN_HIEROGLYPHS/a/}');
Expect(1, 78895, '\p{Block=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^Block=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{Block=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^Block=egyptianhieroglyphs}', "");
Expect(0, 78896, '\p{Block=egyptianhieroglyphs}', "");
Expect(1, 78896, '\p{^Block=egyptianhieroglyphs}', "");
Expect(1, 78896, '\P{Block=egyptianhieroglyphs}', "");
Expect(0, 78896, '\P{^Block=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{Block=_	Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\p{^Block=_	Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\P{Block=_	Egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\P{^Block=_	Egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\p{Block=_	Egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\p{^Block=_	Egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\P{Block=_	Egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\P{^Block=_	Egyptian_Hieroglyphs}', "");
Error('\p{Blk=:= Egyptian_hieroglyphs}');
Error('\P{Blk=:= Egyptian_hieroglyphs}');
Expect(1, 78895, '\p{Blk=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^Blk=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{Blk=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^Blk=egyptianhieroglyphs}', "");
Expect(0, 78896, '\p{Blk=egyptianhieroglyphs}', "");
Expect(1, 78896, '\p{^Blk=egyptianhieroglyphs}', "");
Expect(1, 78896, '\P{Blk=egyptianhieroglyphs}', "");
Expect(0, 78896, '\P{^Blk=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{Blk:_ Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\p{^Blk:_ Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\P{Blk:_ Egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\P{^Blk:_ Egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\p{Blk:_ Egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\p{^Blk:_ Egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\P{Blk:_ Egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\P{^Blk:_ Egyptian_Hieroglyphs}', "");
Error('\p{Is_Block:/a/	_Egyptian_hieroglyphs}');
Error('\P{Is_Block:/a/	_Egyptian_hieroglyphs}');
Expect(1, 78895, '\p{Is_Block=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^Is_Block=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{Is_Block=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^Is_Block=egyptianhieroglyphs}', "");
Expect(0, 78896, '\p{Is_Block=egyptianhieroglyphs}', "");
Expect(1, 78896, '\p{^Is_Block=egyptianhieroglyphs}', "");
Expect(1, 78896, '\P{Is_Block=egyptianhieroglyphs}', "");
Expect(0, 78896, '\P{^Is_Block=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{Is_Block= Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\p{^Is_Block= Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\P{Is_Block= Egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\P{^Is_Block= Egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\p{Is_Block= Egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\p{^Is_Block= Egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\P{Is_Block= Egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\P{^Is_Block= Egyptian_Hieroglyphs}', "");
Error('\p{Is_Blk=_/a/Egyptian_hieroglyphs}');
Error('\P{Is_Blk=_/a/Egyptian_hieroglyphs}');
Expect(1, 78895, '\p{Is_Blk=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^Is_Blk=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{Is_Blk=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^Is_Blk=egyptianhieroglyphs}', "");
Expect(0, 78896, '\p{Is_Blk=egyptianhieroglyphs}', "");
Expect(1, 78896, '\p{^Is_Blk=egyptianhieroglyphs}', "");
Expect(1, 78896, '\P{Is_Blk=egyptianhieroglyphs}', "");
Expect(0, 78896, '\P{^Is_Blk=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{Is_Blk=	Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\p{^Is_Blk=	Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\P{Is_Blk=	Egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\P{^Is_Blk=	Egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\p{Is_Blk=	Egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\p{^Is_Blk=	Egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\P{Is_Blk=	Egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\P{^Is_Blk=	Egyptian_Hieroglyphs}', "");
Error('\p{Block=	_Elbasan/a/}');
Error('\P{Block=	_Elbasan/a/}');
Expect(1, 66863, '\p{Block=elbasan}', "");
Expect(0, 66863, '\p{^Block=elbasan}', "");
Expect(0, 66863, '\P{Block=elbasan}', "");
Expect(1, 66863, '\P{^Block=elbasan}', "");
Expect(0, 66864, '\p{Block=elbasan}', "");
Expect(1, 66864, '\p{^Block=elbasan}', "");
Expect(1, 66864, '\P{Block=elbasan}', "");
Expect(0, 66864, '\P{^Block=elbasan}', "");
Expect(1, 66863, '\p{Block=-Elbasan}', "");
Expect(0, 66863, '\p{^Block=-Elbasan}', "");
Expect(0, 66863, '\P{Block=-Elbasan}', "");
Expect(1, 66863, '\P{^Block=-Elbasan}', "");
Expect(0, 66864, '\p{Block=-Elbasan}', "");
Expect(1, 66864, '\p{^Block=-Elbasan}', "");
Expect(1, 66864, '\P{Block=-Elbasan}', "");
Expect(0, 66864, '\P{^Block=-Elbasan}', "");
Error('\p{Blk=  elbasan:=}');
Error('\P{Blk=  elbasan:=}');
Expect(1, 66863, '\p{Blk=elbasan}', "");
Expect(0, 66863, '\p{^Blk=elbasan}', "");
Expect(0, 66863, '\P{Blk=elbasan}', "");
Expect(1, 66863, '\P{^Blk=elbasan}', "");
Expect(0, 66864, '\p{Blk=elbasan}', "");
Expect(1, 66864, '\p{^Blk=elbasan}', "");
Expect(1, 66864, '\P{Blk=elbasan}', "");
Expect(0, 66864, '\P{^Blk=elbasan}', "");
Expect(1, 66863, '\p{Blk=_Elbasan}', "");
Expect(0, 66863, '\p{^Blk=_Elbasan}', "");
Expect(0, 66863, '\P{Blk=_Elbasan}', "");
Expect(1, 66863, '\P{^Blk=_Elbasan}', "");
Expect(0, 66864, '\p{Blk=_Elbasan}', "");
Expect(1, 66864, '\p{^Blk=_Elbasan}', "");
Expect(1, 66864, '\P{Blk=_Elbasan}', "");
Expect(0, 66864, '\P{^Blk=_Elbasan}', "");
Error('\p{Is_Block=/a/ -ELBASAN}');
Error('\P{Is_Block=/a/ -ELBASAN}');
Expect(1, 66863, '\p{Is_Block=elbasan}', "");
Expect(0, 66863, '\p{^Is_Block=elbasan}', "");
Expect(0, 66863, '\P{Is_Block=elbasan}', "");
Expect(1, 66863, '\P{^Is_Block=elbasan}', "");
Expect(0, 66864, '\p{Is_Block=elbasan}', "");
Expect(1, 66864, '\p{^Is_Block=elbasan}', "");
Expect(1, 66864, '\P{Is_Block=elbasan}', "");
Expect(0, 66864, '\P{^Is_Block=elbasan}', "");
Expect(1, 66863, '\p{Is_Block=_Elbasan}', "");
Expect(0, 66863, '\p{^Is_Block=_Elbasan}', "");
Expect(0, 66863, '\P{Is_Block=_Elbasan}', "");
Expect(1, 66863, '\P{^Is_Block=_Elbasan}', "");
Expect(0, 66864, '\p{Is_Block=_Elbasan}', "");
Expect(1, 66864, '\p{^Is_Block=_Elbasan}', "");
Expect(1, 66864, '\P{Is_Block=_Elbasan}', "");
Expect(0, 66864, '\P{^Is_Block=_Elbasan}', "");
Error('\p{Is_Blk= /a/Elbasan}');
Error('\P{Is_Blk= /a/Elbasan}');
Expect(1, 66863, '\p{Is_Blk=elbasan}', "");
Expect(0, 66863, '\p{^Is_Blk=elbasan}', "");
Expect(0, 66863, '\P{Is_Blk=elbasan}', "");
Expect(1, 66863, '\P{^Is_Blk=elbasan}', "");
Expect(0, 66864, '\p{Is_Blk=elbasan}', "");
Expect(1, 66864, '\p{^Is_Blk=elbasan}', "");
Expect(1, 66864, '\P{Is_Blk=elbasan}', "");
Expect(0, 66864, '\P{^Is_Blk=elbasan}', "");
Expect(1, 66863, '\p{Is_Blk= -ELBASAN}', "");
Expect(0, 66863, '\p{^Is_Blk= -ELBASAN}', "");
Expect(0, 66863, '\P{Is_Blk= -ELBASAN}', "");
Expect(1, 66863, '\P{^Is_Blk= -ELBASAN}', "");
Expect(0, 66864, '\p{Is_Blk= -ELBASAN}', "");
Expect(1, 66864, '\p{^Is_Blk= -ELBASAN}', "");
Expect(1, 66864, '\P{Is_Blk= -ELBASAN}', "");
Expect(0, 66864, '\P{^Is_Blk= -ELBASAN}', "");
Error('\p{Block=	:=Emoticons}');
Error('\P{Block=	:=Emoticons}');
Expect(1, 128591, '\p{Block=emoticons}', "");
Expect(0, 128591, '\p{^Block=emoticons}', "");
Expect(0, 128591, '\P{Block=emoticons}', "");
Expect(1, 128591, '\P{^Block=emoticons}', "");
Expect(0, 128592, '\p{Block=emoticons}', "");
Expect(1, 128592, '\p{^Block=emoticons}', "");
Expect(1, 128592, '\P{Block=emoticons}', "");
Expect(0, 128592, '\P{^Block=emoticons}', "");
Expect(1, 128591, '\p{Block=	Emoticons}', "");
Expect(0, 128591, '\p{^Block=	Emoticons}', "");
Expect(0, 128591, '\P{Block=	Emoticons}', "");
Expect(1, 128591, '\P{^Block=	Emoticons}', "");
Expect(0, 128592, '\p{Block=	Emoticons}', "");
Expect(1, 128592, '\p{^Block=	Emoticons}', "");
Expect(1, 128592, '\P{Block=	Emoticons}', "");
Expect(0, 128592, '\P{^Block=	Emoticons}', "");
Error('\p{Blk=/a/-emoticons}');
Error('\P{Blk=/a/-emoticons}');
Expect(1, 128591, '\p{Blk=emoticons}', "");
Expect(0, 128591, '\p{^Blk=emoticons}', "");
Expect(0, 128591, '\P{Blk=emoticons}', "");
Expect(1, 128591, '\P{^Blk=emoticons}', "");
Expect(0, 128592, '\p{Blk=emoticons}', "");
Expect(1, 128592, '\p{^Blk=emoticons}', "");
Expect(1, 128592, '\P{Blk=emoticons}', "");
Expect(0, 128592, '\P{^Blk=emoticons}', "");
Expect(1, 128591, '\p{Blk=_Emoticons}', "");
Expect(0, 128591, '\p{^Blk=_Emoticons}', "");
Expect(0, 128591, '\P{Blk=_Emoticons}', "");
Expect(1, 128591, '\P{^Blk=_Emoticons}', "");
Expect(0, 128592, '\p{Blk=_Emoticons}', "");
Expect(1, 128592, '\p{^Blk=_Emoticons}', "");
Expect(1, 128592, '\P{Blk=_Emoticons}', "");
Expect(0, 128592, '\P{^Blk=_Emoticons}', "");
Error('\p{Is_Block=	Emoticons:=}');
Error('\P{Is_Block=	Emoticons:=}');
Expect(1, 128591, '\p{Is_Block=emoticons}', "");
Expect(0, 128591, '\p{^Is_Block=emoticons}', "");
Expect(0, 128591, '\P{Is_Block=emoticons}', "");
Expect(1, 128591, '\P{^Is_Block=emoticons}', "");
Expect(0, 128592, '\p{Is_Block=emoticons}', "");
Expect(1, 128592, '\p{^Is_Block=emoticons}', "");
Expect(1, 128592, '\P{Is_Block=emoticons}', "");
Expect(0, 128592, '\P{^Is_Block=emoticons}', "");
Expect(1, 128591, '\p{Is_Block= _EMOTICONS}', "");
Expect(0, 128591, '\p{^Is_Block= _EMOTICONS}', "");
Expect(0, 128591, '\P{Is_Block= _EMOTICONS}', "");
Expect(1, 128591, '\P{^Is_Block= _EMOTICONS}', "");
Expect(0, 128592, '\p{Is_Block= _EMOTICONS}', "");
Expect(1, 128592, '\p{^Is_Block= _EMOTICONS}', "");
Expect(1, 128592, '\P{Is_Block= _EMOTICONS}', "");
Expect(0, 128592, '\P{^Is_Block= _EMOTICONS}', "");
Error('\p{Is_Blk=/a/_-emoticons}');
Error('\P{Is_Blk=/a/_-emoticons}');
Expect(1, 128591, '\p{Is_Blk=emoticons}', "");
Expect(0, 128591, '\p{^Is_Blk=emoticons}', "");
Expect(0, 128591, '\P{Is_Blk=emoticons}', "");
Expect(1, 128591, '\P{^Is_Blk=emoticons}', "");
Expect(0, 128592, '\p{Is_Blk=emoticons}', "");
Expect(1, 128592, '\p{^Is_Blk=emoticons}', "");
Expect(1, 128592, '\P{Is_Blk=emoticons}', "");
Expect(0, 128592, '\P{^Is_Blk=emoticons}', "");
Expect(1, 128591, '\p{Is_Blk=	-emoticons}', "");
Expect(0, 128591, '\p{^Is_Blk=	-emoticons}', "");
Expect(0, 128591, '\P{Is_Blk=	-emoticons}', "");
Expect(1, 128591, '\P{^Is_Blk=	-emoticons}', "");
Expect(0, 128592, '\p{Is_Blk=	-emoticons}', "");
Expect(1, 128592, '\p{^Is_Blk=	-emoticons}', "");
Expect(1, 128592, '\P{Is_Blk=	-emoticons}', "");
Expect(0, 128592, '\P{^Is_Blk=	-emoticons}', "");
Error('\p{Block=_	Enclosed_Alphanumerics/a/}');
Error('\P{Block=_	Enclosed_Alphanumerics/a/}');
Expect(1, 9471, '\p{Block=enclosedalphanumerics}', "");
Expect(0, 9471, '\p{^Block=enclosedalphanumerics}', "");
Expect(0, 9471, '\P{Block=enclosedalphanumerics}', "");
Expect(1, 9471, '\P{^Block=enclosedalphanumerics}', "");
Expect(0, 9472, '\p{Block=enclosedalphanumerics}', "");
Expect(1, 9472, '\p{^Block=enclosedalphanumerics}', "");
Expect(1, 9472, '\P{Block=enclosedalphanumerics}', "");
Expect(0, 9472, '\P{^Block=enclosedalphanumerics}', "");
Expect(1, 9471, '\p{Block= 	Enclosed_ALPHANUMERICS}', "");
Expect(0, 9471, '\p{^Block= 	Enclosed_ALPHANUMERICS}', "");
Expect(0, 9471, '\P{Block= 	Enclosed_ALPHANUMERICS}', "");
Expect(1, 9471, '\P{^Block= 	Enclosed_ALPHANUMERICS}', "");
Expect(0, 9472, '\p{Block= 	Enclosed_ALPHANUMERICS}', "");
Expect(1, 9472, '\p{^Block= 	Enclosed_ALPHANUMERICS}', "");
Expect(1, 9472, '\P{Block= 	Enclosed_ALPHANUMERICS}', "");
Expect(0, 9472, '\P{^Block= 	Enclosed_ALPHANUMERICS}', "");
Error('\p{Blk=	/a/Enclosed_ALPHANUM}');
Error('\P{Blk=	/a/Enclosed_ALPHANUM}');
Expect(1, 9471, '\p{Blk=enclosedalphanum}', "");
Expect(0, 9471, '\p{^Blk=enclosedalphanum}', "");
Expect(0, 9471, '\P{Blk=enclosedalphanum}', "");
Expect(1, 9471, '\P{^Blk=enclosedalphanum}', "");
Expect(0, 9472, '\p{Blk=enclosedalphanum}', "");
Expect(1, 9472, '\p{^Blk=enclosedalphanum}', "");
Expect(1, 9472, '\P{Blk=enclosedalphanum}', "");
Expect(0, 9472, '\P{^Blk=enclosedalphanum}', "");
Expect(1, 9471, '\p{Blk=  enclosed_Alphanum}', "");
Expect(0, 9471, '\p{^Blk=  enclosed_Alphanum}', "");
Expect(0, 9471, '\P{Blk=  enclosed_Alphanum}', "");
Expect(1, 9471, '\P{^Blk=  enclosed_Alphanum}', "");
Expect(0, 9472, '\p{Blk=  enclosed_Alphanum}', "");
Expect(1, 9472, '\p{^Blk=  enclosed_Alphanum}', "");
Expect(1, 9472, '\P{Blk=  enclosed_Alphanum}', "");
Expect(0, 9472, '\P{^Blk=  enclosed_Alphanum}', "");
Error('\p{Is_Block=/a/-_ENCLOSED_Alphanumerics}');
Error('\P{Is_Block=/a/-_ENCLOSED_Alphanumerics}');
Expect(1, 9471, '\p{Is_Block=enclosedalphanumerics}', "");
Expect(0, 9471, '\p{^Is_Block=enclosedalphanumerics}', "");
Expect(0, 9471, '\P{Is_Block=enclosedalphanumerics}', "");
Expect(1, 9471, '\P{^Is_Block=enclosedalphanumerics}', "");
Expect(0, 9472, '\p{Is_Block=enclosedalphanumerics}', "");
Expect(1, 9472, '\p{^Is_Block=enclosedalphanumerics}', "");
Expect(1, 9472, '\P{Is_Block=enclosedalphanumerics}', "");
Expect(0, 9472, '\P{^Is_Block=enclosedalphanumerics}', "");
Expect(1, 9471, '\p{Is_Block:__Enclosed_ALPHANUMERICS}', "");
Expect(0, 9471, '\p{^Is_Block:__Enclosed_ALPHANUMERICS}', "");
Expect(0, 9471, '\P{Is_Block:__Enclosed_ALPHANUMERICS}', "");
Expect(1, 9471, '\P{^Is_Block:__Enclosed_ALPHANUMERICS}', "");
Expect(0, 9472, '\p{Is_Block:__Enclosed_ALPHANUMERICS}', "");
Expect(1, 9472, '\p{^Is_Block:__Enclosed_ALPHANUMERICS}', "");
Expect(1, 9472, '\P{Is_Block:__Enclosed_ALPHANUMERICS}', "");
Expect(0, 9472, '\P{^Is_Block:__Enclosed_ALPHANUMERICS}', "");
Error('\p{Is_Blk:/a/	Enclosed_ALPHANUM}');
Error('\P{Is_Blk:/a/	Enclosed_ALPHANUM}');
Expect(1, 9471, '\p{Is_Blk:enclosedalphanum}', "");
Expect(0, 9471, '\p{^Is_Blk:enclosedalphanum}', "");
Expect(0, 9471, '\P{Is_Blk:enclosedalphanum}', "");
Expect(1, 9471, '\P{^Is_Blk:enclosedalphanum}', "");
Expect(0, 9472, '\p{Is_Blk:enclosedalphanum}', "");
Expect(1, 9472, '\p{^Is_Blk:enclosedalphanum}', "");
Expect(1, 9472, '\P{Is_Blk:enclosedalphanum}', "");
Expect(0, 9472, '\P{^Is_Blk:enclosedalphanum}', "");
Expect(1, 9471, '\p{Is_Blk=Enclosed_Alphanum}', "");
Expect(0, 9471, '\p{^Is_Blk=Enclosed_Alphanum}', "");
Expect(0, 9471, '\P{Is_Blk=Enclosed_Alphanum}', "");
Expect(1, 9471, '\P{^Is_Blk=Enclosed_Alphanum}', "");
Expect(0, 9472, '\p{Is_Blk=Enclosed_Alphanum}', "");
Expect(1, 9472, '\p{^Is_Blk=Enclosed_Alphanum}', "");
Expect(1, 9472, '\P{Is_Blk=Enclosed_Alphanum}', "");
Expect(0, 9472, '\P{^Is_Blk=Enclosed_Alphanum}', "");
Error('\p{Block=_ENCLOSED_ALPHANUMERIC_SUPPLEMENT/a/}');
Error('\P{Block=_ENCLOSED_ALPHANUMERIC_SUPPLEMENT/a/}');
Expect(1, 127487, '\p{Block=enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^Block=enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{Block=enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^Block=enclosedalphanumericsupplement}', "");
Expect(0, 127488, '\p{Block=enclosedalphanumericsupplement}', "");
Expect(1, 127488, '\p{^Block=enclosedalphanumericsupplement}', "");
Expect(1, 127488, '\P{Block=enclosedalphanumericsupplement}', "");
Expect(0, 127488, '\P{^Block=enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{Block=		ENCLOSED_Alphanumeric_Supplement}', "");
Expect(0, 127487, '\p{^Block=		ENCLOSED_Alphanumeric_Supplement}', "");
Expect(0, 127487, '\P{Block=		ENCLOSED_Alphanumeric_Supplement}', "");
Expect(1, 127487, '\P{^Block=		ENCLOSED_Alphanumeric_Supplement}', "");
Expect(0, 127488, '\p{Block=		ENCLOSED_Alphanumeric_Supplement}', "");
Expect(1, 127488, '\p{^Block=		ENCLOSED_Alphanumeric_Supplement}', "");
Expect(1, 127488, '\P{Block=		ENCLOSED_Alphanumeric_Supplement}', "");
Expect(0, 127488, '\P{^Block=		ENCLOSED_Alphanumeric_Supplement}', "");
Error('\p{Blk=_enclosed_Alphanum_sup:=}');
Error('\P{Blk=_enclosed_Alphanum_sup:=}');
Expect(1, 127487, '\p{Blk=enclosedalphanumsup}', "");
Expect(0, 127487, '\p{^Blk=enclosedalphanumsup}', "");
Expect(0, 127487, '\P{Blk=enclosedalphanumsup}', "");
Expect(1, 127487, '\P{^Blk=enclosedalphanumsup}', "");
Expect(0, 127488, '\p{Blk=enclosedalphanumsup}', "");
Expect(1, 127488, '\p{^Blk=enclosedalphanumsup}', "");
Expect(1, 127488, '\P{Blk=enclosedalphanumsup}', "");
Expect(0, 127488, '\P{^Blk=enclosedalphanumsup}', "");
Expect(1, 127487, '\p{Blk=- enclosed_ALPHANUM_Sup}', "");
Expect(0, 127487, '\p{^Blk=- enclosed_ALPHANUM_Sup}', "");
Expect(0, 127487, '\P{Blk=- enclosed_ALPHANUM_Sup}', "");
Expect(1, 127487, '\P{^Blk=- enclosed_ALPHANUM_Sup}', "");
Expect(0, 127488, '\p{Blk=- enclosed_ALPHANUM_Sup}', "");
Expect(1, 127488, '\p{^Blk=- enclosed_ALPHANUM_Sup}', "");
Expect(1, 127488, '\P{Blk=- enclosed_ALPHANUM_Sup}', "");
Expect(0, 127488, '\P{^Blk=- enclosed_ALPHANUM_Sup}', "");
Error('\p{Is_Block=-/a/Enclosed_Alphanumeric_Supplement}');
Error('\P{Is_Block=-/a/Enclosed_Alphanumeric_Supplement}');
Expect(1, 127487, '\p{Is_Block=enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^Is_Block=enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{Is_Block=enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^Is_Block=enclosedalphanumericsupplement}', "");
Expect(0, 127488, '\p{Is_Block=enclosedalphanumericsupplement}', "");
Expect(1, 127488, '\p{^Is_Block=enclosedalphanumericsupplement}', "");
Expect(1, 127488, '\P{Is_Block=enclosedalphanumericsupplement}', "");
Expect(0, 127488, '\P{^Is_Block=enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{Is_Block=-_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(0, 127487, '\p{^Is_Block=-_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(0, 127487, '\P{Is_Block=-_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(1, 127487, '\P{^Is_Block=-_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(0, 127488, '\p{Is_Block=-_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(1, 127488, '\p{^Is_Block=-_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(1, 127488, '\P{Is_Block=-_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(0, 127488, '\P{^Is_Block=-_Enclosed_ALPHANUMERIC_Supplement}', "");
Error('\p{Is_Blk=/a/ 	Enclosed_ALPHANUM_Sup}');
Error('\P{Is_Blk=/a/ 	Enclosed_ALPHANUM_Sup}');
Expect(1, 127487, '\p{Is_Blk=enclosedalphanumsup}', "");
Expect(0, 127487, '\p{^Is_Blk=enclosedalphanumsup}', "");
Expect(0, 127487, '\P{Is_Blk=enclosedalphanumsup}', "");
Expect(1, 127487, '\P{^Is_Blk=enclosedalphanumsup}', "");
Expect(0, 127488, '\p{Is_Blk=enclosedalphanumsup}', "");
Expect(1, 127488, '\p{^Is_Blk=enclosedalphanumsup}', "");
Expect(1, 127488, '\P{Is_Blk=enclosedalphanumsup}', "");
Expect(0, 127488, '\P{^Is_Blk=enclosedalphanumsup}', "");
Expect(1, 127487, '\p{Is_Blk=_ enclosed_alphanum_Sup}', "");
Expect(0, 127487, '\p{^Is_Blk=_ enclosed_alphanum_Sup}', "");
Expect(0, 127487, '\P{Is_Blk=_ enclosed_alphanum_Sup}', "");
Expect(1, 127487, '\P{^Is_Blk=_ enclosed_alphanum_Sup}', "");
Expect(0, 127488, '\p{Is_Blk=_ enclosed_alphanum_Sup}', "");
Expect(1, 127488, '\p{^Is_Blk=_ enclosed_alphanum_Sup}', "");
Expect(1, 127488, '\P{Is_Blk=_ enclosed_alphanum_Sup}', "");
Expect(0, 127488, '\P{^Is_Blk=_ enclosed_alphanum_Sup}', "");
Error('\p{Block=-:=Enclosed_CJK_Letters_And_months}');
Error('\P{Block=-:=Enclosed_CJK_Letters_And_months}');
Expect(1, 13055, '\p{Block=enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^Block=enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{Block=enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^Block=enclosedcjklettersandmonths}', "");
Expect(0, 13056, '\p{Block=enclosedcjklettersandmonths}', "");
Expect(1, 13056, '\p{^Block=enclosedcjklettersandmonths}', "");
Expect(1, 13056, '\P{Block=enclosedcjklettersandmonths}', "");
Expect(0, 13056, '\P{^Block=enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{Block=-Enclosed_CJK_letters_And_Months}', "");
Expect(0, 13055, '\p{^Block=-Enclosed_CJK_letters_And_Months}', "");
Expect(0, 13055, '\P{Block=-Enclosed_CJK_letters_And_Months}', "");
Expect(1, 13055, '\P{^Block=-Enclosed_CJK_letters_And_Months}', "");
Expect(0, 13056, '\p{Block=-Enclosed_CJK_letters_And_Months}', "");
Expect(1, 13056, '\p{^Block=-Enclosed_CJK_letters_And_Months}', "");
Expect(1, 13056, '\P{Block=-Enclosed_CJK_letters_And_Months}', "");
Expect(0, 13056, '\P{^Block=-Enclosed_CJK_letters_And_Months}', "");
Error('\p{Blk=-Enclosed_CJK:=}');
Error('\P{Blk=-Enclosed_CJK:=}');
Expect(1, 13055, '\p{Blk: enclosedcjk}', "");
Expect(0, 13055, '\p{^Blk: enclosedcjk}', "");
Expect(0, 13055, '\P{Blk: enclosedcjk}', "");
Expect(1, 13055, '\P{^Blk: enclosedcjk}', "");
Expect(0, 13056, '\p{Blk: enclosedcjk}', "");
Expect(1, 13056, '\p{^Blk: enclosedcjk}', "");
Expect(1, 13056, '\P{Blk: enclosedcjk}', "");
Expect(0, 13056, '\P{^Blk: enclosedcjk}', "");
Expect(1, 13055, '\p{Blk=- Enclosed_CJK}', "");
Expect(0, 13055, '\p{^Blk=- Enclosed_CJK}', "");
Expect(0, 13055, '\P{Blk=- Enclosed_CJK}', "");
Expect(1, 13055, '\P{^Blk=- Enclosed_CJK}', "");
Expect(0, 13056, '\p{Blk=- Enclosed_CJK}', "");
Expect(1, 13056, '\p{^Blk=- Enclosed_CJK}', "");
Expect(1, 13056, '\P{Blk=- Enclosed_CJK}', "");
Expect(0, 13056, '\P{^Blk=- Enclosed_CJK}', "");
Error('\p{Is_Block:	:=	-Enclosed_CJK_letters_And_MONTHS}');
Error('\P{Is_Block:	:=	-Enclosed_CJK_letters_And_MONTHS}');
Expect(1, 13055, '\p{Is_Block=enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^Is_Block=enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{Is_Block=enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^Is_Block=enclosedcjklettersandmonths}', "");
Expect(0, 13056, '\p{Is_Block=enclosedcjklettersandmonths}', "");
Expect(1, 13056, '\p{^Is_Block=enclosedcjklettersandmonths}', "");
Expect(1, 13056, '\P{Is_Block=enclosedcjklettersandmonths}', "");
Expect(0, 13056, '\P{^Is_Block=enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{Is_Block=-Enclosed_cjk_Letters_And_Months}', "");
Expect(0, 13055, '\p{^Is_Block=-Enclosed_cjk_Letters_And_Months}', "");
Expect(0, 13055, '\P{Is_Block=-Enclosed_cjk_Letters_And_Months}', "");
Expect(1, 13055, '\P{^Is_Block=-Enclosed_cjk_Letters_And_Months}', "");
Expect(0, 13056, '\p{Is_Block=-Enclosed_cjk_Letters_And_Months}', "");
Expect(1, 13056, '\p{^Is_Block=-Enclosed_cjk_Letters_And_Months}', "");
Expect(1, 13056, '\P{Is_Block=-Enclosed_cjk_Letters_And_Months}', "");
Expect(0, 13056, '\P{^Is_Block=-Enclosed_cjk_Letters_And_Months}', "");
Error('\p{Is_Blk=	/a/ENCLOSED_CJK}');
Error('\P{Is_Blk=	/a/ENCLOSED_CJK}');
Expect(1, 13055, '\p{Is_Blk=enclosedcjk}', "");
Expect(0, 13055, '\p{^Is_Blk=enclosedcjk}', "");
Expect(0, 13055, '\P{Is_Blk=enclosedcjk}', "");
Expect(1, 13055, '\P{^Is_Blk=enclosedcjk}', "");
Expect(0, 13056, '\p{Is_Blk=enclosedcjk}', "");
Expect(1, 13056, '\p{^Is_Blk=enclosedcjk}', "");
Expect(1, 13056, '\P{Is_Blk=enclosedcjk}', "");
Expect(0, 13056, '\P{^Is_Blk=enclosedcjk}', "");
Expect(1, 13055, '\p{Is_Blk: 	-enclosed_cjk}', "");
Expect(0, 13055, '\p{^Is_Blk: 	-enclosed_cjk}', "");
Expect(0, 13055, '\P{Is_Blk: 	-enclosed_cjk}', "");
Expect(1, 13055, '\P{^Is_Blk: 	-enclosed_cjk}', "");
Expect(0, 13056, '\p{Is_Blk: 	-enclosed_cjk}', "");
Expect(1, 13056, '\p{^Is_Blk: 	-enclosed_cjk}', "");
Expect(1, 13056, '\P{Is_Blk: 	-enclosed_cjk}', "");
Expect(0, 13056, '\P{^Is_Blk: 	-enclosed_cjk}', "");
Error('\p{Block=:=_ Enclosed_Ideographic_SUPPLEMENT}');
Error('\P{Block=:=_ Enclosed_Ideographic_SUPPLEMENT}');
Expect(1, 127743, '\p{Block=enclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^Block=enclosedideographicsupplement}', "");
Expect(0, 127743, '\P{Block=enclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^Block=enclosedideographicsupplement}', "");
Expect(0, 127744, '\p{Block=enclosedideographicsupplement}', "");
Expect(1, 127744, '\p{^Block=enclosedideographicsupplement}', "");
Expect(1, 127744, '\P{Block=enclosedideographicsupplement}', "");
Expect(0, 127744, '\P{^Block=enclosedideographicsupplement}', "");
Expect(1, 127743, '\p{Block=	-ENCLOSED_ideographic_Supplement}', "");
Expect(0, 127743, '\p{^Block=	-ENCLOSED_ideographic_Supplement}', "");
Expect(0, 127743, '\P{Block=	-ENCLOSED_ideographic_Supplement}', "");
Expect(1, 127743, '\P{^Block=	-ENCLOSED_ideographic_Supplement}', "");
Expect(0, 127744, '\p{Block=	-ENCLOSED_ideographic_Supplement}', "");
Expect(1, 127744, '\p{^Block=	-ENCLOSED_ideographic_Supplement}', "");
Expect(1, 127744, '\P{Block=	-ENCLOSED_ideographic_Supplement}', "");
Expect(0, 127744, '\P{^Block=	-ENCLOSED_ideographic_Supplement}', "");
Error('\p{Blk=/a/ Enclosed_IDEOGRAPHIC_Sup}');
Error('\P{Blk=/a/ Enclosed_IDEOGRAPHIC_Sup}');
Expect(1, 127743, '\p{Blk=enclosedideographicsup}', "");
Expect(0, 127743, '\p{^Blk=enclosedideographicsup}', "");
Expect(0, 127743, '\P{Blk=enclosedideographicsup}', "");
Expect(1, 127743, '\P{^Blk=enclosedideographicsup}', "");
Expect(0, 127744, '\p{Blk=enclosedideographicsup}', "");
Expect(1, 127744, '\p{^Blk=enclosedideographicsup}', "");
Expect(1, 127744, '\P{Blk=enclosedideographicsup}', "");
Expect(0, 127744, '\P{^Blk=enclosedideographicsup}', "");
Expect(1, 127743, '\p{Blk= Enclosed_IDEOGRAPHIC_sup}', "");
Expect(0, 127743, '\p{^Blk= Enclosed_IDEOGRAPHIC_sup}', "");
Expect(0, 127743, '\P{Blk= Enclosed_IDEOGRAPHIC_sup}', "");
Expect(1, 127743, '\P{^Blk= Enclosed_IDEOGRAPHIC_sup}', "");
Expect(0, 127744, '\p{Blk= Enclosed_IDEOGRAPHIC_sup}', "");
Expect(1, 127744, '\p{^Blk= Enclosed_IDEOGRAPHIC_sup}', "");
Expect(1, 127744, '\P{Blk= Enclosed_IDEOGRAPHIC_sup}', "");
Expect(0, 127744, '\P{^Blk= Enclosed_IDEOGRAPHIC_sup}', "");
Error('\p{Is_Block=:=-_Enclosed_Ideographic_SUPPLEMENT}');
Error('\P{Is_Block=:=-_Enclosed_Ideographic_SUPPLEMENT}');
Expect(1, 127743, '\p{Is_Block=enclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^Is_Block=enclosedideographicsupplement}', "");
Expect(0, 127743, '\P{Is_Block=enclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^Is_Block=enclosedideographicsupplement}', "");
Expect(0, 127744, '\p{Is_Block=enclosedideographicsupplement}', "");
Expect(1, 127744, '\p{^Is_Block=enclosedideographicsupplement}', "");
Expect(1, 127744, '\P{Is_Block=enclosedideographicsupplement}', "");
Expect(0, 127744, '\P{^Is_Block=enclosedideographicsupplement}', "");
Expect(1, 127743, '\p{Is_Block=- enclosed_IDEOGRAPHIC_SUPPLEMENT}', "");
Expect(0, 127743, '\p{^Is_Block=- enclosed_IDEOGRAPHIC_SUPPLEMENT}', "");
Expect(0, 127743, '\P{Is_Block=- enclosed_IDEOGRAPHIC_SUPPLEMENT}', "");
Expect(1, 127743, '\P{^Is_Block=- enclosed_IDEOGRAPHIC_SUPPLEMENT}', "");
Expect(0, 127744, '\p{Is_Block=- enclosed_IDEOGRAPHIC_SUPPLEMENT}', "");
Expect(1, 127744, '\p{^Is_Block=- enclosed_IDEOGRAPHIC_SUPPLEMENT}', "");
Expect(1, 127744, '\P{Is_Block=- enclosed_IDEOGRAPHIC_SUPPLEMENT}', "");
Expect(0, 127744, '\P{^Is_Block=- enclosed_IDEOGRAPHIC_SUPPLEMENT}', "");
Error('\p{Is_Blk=:=Enclosed_Ideographic_Sup}');
Error('\P{Is_Blk=:=Enclosed_Ideographic_Sup}');
Expect(1, 127743, '\p{Is_Blk=enclosedideographicsup}', "");
Expect(0, 127743, '\p{^Is_Blk=enclosedideographicsup}', "");
Expect(0, 127743, '\P{Is_Blk=enclosedideographicsup}', "");
Expect(1, 127743, '\P{^Is_Blk=enclosedideographicsup}', "");
Expect(0, 127744, '\p{Is_Blk=enclosedideographicsup}', "");
Expect(1, 127744, '\p{^Is_Blk=enclosedideographicsup}', "");
Expect(1, 127744, '\P{Is_Blk=enclosedideographicsup}', "");
Expect(0, 127744, '\P{^Is_Blk=enclosedideographicsup}', "");
Expect(1, 127743, '\p{Is_Blk:		Enclosed_Ideographic_Sup}', "");
Expect(0, 127743, '\p{^Is_Blk:		Enclosed_Ideographic_Sup}', "");
Expect(0, 127743, '\P{Is_Blk:		Enclosed_Ideographic_Sup}', "");
Expect(1, 127743, '\P{^Is_Blk:		Enclosed_Ideographic_Sup}', "");
Expect(0, 127744, '\p{Is_Blk:		Enclosed_Ideographic_Sup}', "");
Expect(1, 127744, '\p{^Is_Blk:		Enclosed_Ideographic_Sup}', "");
Expect(1, 127744, '\P{Is_Blk:		Enclosed_Ideographic_Sup}', "");
Expect(0, 127744, '\P{^Is_Blk:		Enclosed_Ideographic_Sup}', "");
Error('\p{Block=/a/ Ethiopic}');
Error('\P{Block=/a/ Ethiopic}');
Expect(1, 4991, '\p{Block=ethiopic}', "");
Expect(0, 4991, '\p{^Block=ethiopic}', "");
Expect(0, 4991, '\P{Block=ethiopic}', "");
Expect(1, 4991, '\P{^Block=ethiopic}', "");
Expect(0, 4992, '\p{Block=ethiopic}', "");
Expect(1, 4992, '\p{^Block=ethiopic}', "");
Expect(1, 4992, '\P{Block=ethiopic}', "");
Expect(0, 4992, '\P{^Block=ethiopic}', "");
Expect(1, 4991, '\p{Block=_	ethiopic}', "");
Expect(0, 4991, '\p{^Block=_	ethiopic}', "");
Expect(0, 4991, '\P{Block=_	ethiopic}', "");
Expect(1, 4991, '\P{^Block=_	ethiopic}', "");
Expect(0, 4992, '\p{Block=_	ethiopic}', "");
Expect(1, 4992, '\p{^Block=_	ethiopic}', "");
Expect(1, 4992, '\P{Block=_	ethiopic}', "");
Expect(0, 4992, '\P{^Block=_	ethiopic}', "");
Error('\p{Blk=- Ethiopic/a/}');
Error('\P{Blk=- Ethiopic/a/}');
Expect(1, 4991, '\p{Blk=ethiopic}', "");
Expect(0, 4991, '\p{^Blk=ethiopic}', "");
Expect(0, 4991, '\P{Blk=ethiopic}', "");
Expect(1, 4991, '\P{^Blk=ethiopic}', "");
Expect(0, 4992, '\p{Blk=ethiopic}', "");
Expect(1, 4992, '\p{^Blk=ethiopic}', "");
Expect(1, 4992, '\P{Blk=ethiopic}', "");
Expect(0, 4992, '\P{^Blk=ethiopic}', "");
Expect(1, 4991, '\p{Blk= ethiopic}', "");
Expect(0, 4991, '\p{^Blk= ethiopic}', "");
Expect(0, 4991, '\P{Blk= ethiopic}', "");
Expect(1, 4991, '\P{^Blk= ethiopic}', "");
Expect(0, 4992, '\p{Blk= ethiopic}', "");
Expect(1, 4992, '\p{^Blk= ethiopic}', "");
Expect(1, 4992, '\P{Blk= ethiopic}', "");
Expect(0, 4992, '\P{^Blk= ethiopic}', "");
Error('\p{Is_Block=/a/_Ethiopic}');
Error('\P{Is_Block=/a/_Ethiopic}');
Expect(1, 4991, '\p{Is_Block=ethiopic}', "");
Expect(0, 4991, '\p{^Is_Block=ethiopic}', "");
Expect(0, 4991, '\P{Is_Block=ethiopic}', "");
Expect(1, 4991, '\P{^Is_Block=ethiopic}', "");
Expect(0, 4992, '\p{Is_Block=ethiopic}', "");
Expect(1, 4992, '\p{^Is_Block=ethiopic}', "");
Expect(1, 4992, '\P{Is_Block=ethiopic}', "");
Expect(0, 4992, '\P{^Is_Block=ethiopic}', "");
Expect(1, 4991, '\p{Is_Block=	Ethiopic}', "");
Expect(0, 4991, '\p{^Is_Block=	Ethiopic}', "");
Expect(0, 4991, '\P{Is_Block=	Ethiopic}', "");
Expect(1, 4991, '\P{^Is_Block=	Ethiopic}', "");
Expect(0, 4992, '\p{Is_Block=	Ethiopic}', "");
Expect(1, 4992, '\p{^Is_Block=	Ethiopic}', "");
Expect(1, 4992, '\P{Is_Block=	Ethiopic}', "");
Expect(0, 4992, '\P{^Is_Block=	Ethiopic}', "");
Error('\p{Is_Blk::=-_Ethiopic}');
Error('\P{Is_Blk::=-_Ethiopic}');
Expect(1, 4991, '\p{Is_Blk=ethiopic}', "");
Expect(0, 4991, '\p{^Is_Blk=ethiopic}', "");
Expect(0, 4991, '\P{Is_Blk=ethiopic}', "");
Expect(1, 4991, '\P{^Is_Blk=ethiopic}', "");
Expect(0, 4992, '\p{Is_Blk=ethiopic}', "");
Expect(1, 4992, '\p{^Is_Blk=ethiopic}', "");
Expect(1, 4992, '\P{Is_Blk=ethiopic}', "");
Expect(0, 4992, '\P{^Is_Blk=ethiopic}', "");
Expect(1, 4991, '\p{Is_Blk=-Ethiopic}', "");
Expect(0, 4991, '\p{^Is_Blk=-Ethiopic}', "");
Expect(0, 4991, '\P{Is_Blk=-Ethiopic}', "");
Expect(1, 4991, '\P{^Is_Blk=-Ethiopic}', "");
Expect(0, 4992, '\p{Is_Blk=-Ethiopic}', "");
Expect(1, 4992, '\p{^Is_Blk=-Ethiopic}', "");
Expect(1, 4992, '\P{Is_Blk=-Ethiopic}', "");
Expect(0, 4992, '\P{^Is_Blk=-Ethiopic}', "");
Error('\p{Block=_:=ethiopic_EXTENDED}');
Error('\P{Block=_:=ethiopic_EXTENDED}');
Expect(1, 11743, '\p{Block=ethiopicextended}', "");
Expect(0, 11743, '\p{^Block=ethiopicextended}', "");
Expect(0, 11743, '\P{Block=ethiopicextended}', "");
Expect(1, 11743, '\P{^Block=ethiopicextended}', "");
Expect(0, 11744, '\p{Block=ethiopicextended}', "");
Expect(1, 11744, '\p{^Block=ethiopicextended}', "");
Expect(1, 11744, '\P{Block=ethiopicextended}', "");
Expect(0, 11744, '\P{^Block=ethiopicextended}', "");
Expect(1, 11743, '\p{Block=	Ethiopic_Extended}', "");
Expect(0, 11743, '\p{^Block=	Ethiopic_Extended}', "");
Expect(0, 11743, '\P{Block=	Ethiopic_Extended}', "");
Expect(1, 11743, '\P{^Block=	Ethiopic_Extended}', "");
Expect(0, 11744, '\p{Block=	Ethiopic_Extended}', "");
Expect(1, 11744, '\p{^Block=	Ethiopic_Extended}', "");
Expect(1, 11744, '\P{Block=	Ethiopic_Extended}', "");
Expect(0, 11744, '\P{^Block=	Ethiopic_Extended}', "");
Error('\p{Blk=_:=ETHIOPIC_ext}');
Error('\P{Blk=_:=ETHIOPIC_ext}');
Expect(1, 11743, '\p{Blk:	ethiopicext}', "");
Expect(0, 11743, '\p{^Blk:	ethiopicext}', "");
Expect(0, 11743, '\P{Blk:	ethiopicext}', "");
Expect(1, 11743, '\P{^Blk:	ethiopicext}', "");
Expect(0, 11744, '\p{Blk:	ethiopicext}', "");
Expect(1, 11744, '\p{^Blk:	ethiopicext}', "");
Expect(1, 11744, '\P{Blk:	ethiopicext}', "");
Expect(0, 11744, '\P{^Blk:	ethiopicext}', "");
Expect(1, 11743, '\p{Blk=_-ethiopic_Ext}', "");
Expect(0, 11743, '\p{^Blk=_-ethiopic_Ext}', "");
Expect(0, 11743, '\P{Blk=_-ethiopic_Ext}', "");
Expect(1, 11743, '\P{^Blk=_-ethiopic_Ext}', "");
Expect(0, 11744, '\p{Blk=_-ethiopic_Ext}', "");
Expect(1, 11744, '\p{^Blk=_-ethiopic_Ext}', "");
Expect(1, 11744, '\P{Blk=_-ethiopic_Ext}', "");
Expect(0, 11744, '\P{^Blk=_-ethiopic_Ext}', "");
Error('\p{Is_Block=	 Ethiopic_Extended/a/}');
Error('\P{Is_Block=	 Ethiopic_Extended/a/}');
Expect(1, 11743, '\p{Is_Block=ethiopicextended}', "");
Expect(0, 11743, '\p{^Is_Block=ethiopicextended}', "");
Expect(0, 11743, '\P{Is_Block=ethiopicextended}', "");
Expect(1, 11743, '\P{^Is_Block=ethiopicextended}', "");
Expect(0, 11744, '\p{Is_Block=ethiopicextended}', "");
Expect(1, 11744, '\p{^Is_Block=ethiopicextended}', "");
Expect(1, 11744, '\P{Is_Block=ethiopicextended}', "");
Expect(0, 11744, '\P{^Is_Block=ethiopicextended}', "");
Expect(1, 11743, '\p{Is_Block=	ETHIOPIC_EXTENDED}', "");
Expect(0, 11743, '\p{^Is_Block=	ETHIOPIC_EXTENDED}', "");
Expect(0, 11743, '\P{Is_Block=	ETHIOPIC_EXTENDED}', "");
Expect(1, 11743, '\P{^Is_Block=	ETHIOPIC_EXTENDED}', "");
Expect(0, 11744, '\p{Is_Block=	ETHIOPIC_EXTENDED}', "");
Expect(1, 11744, '\p{^Is_Block=	ETHIOPIC_EXTENDED}', "");
Expect(1, 11744, '\P{Is_Block=	ETHIOPIC_EXTENDED}', "");
Expect(0, 11744, '\P{^Is_Block=	ETHIOPIC_EXTENDED}', "");
Error('\p{Is_Blk=/a/-ETHIOPIC_ext}');
Error('\P{Is_Blk=/a/-ETHIOPIC_ext}');
Expect(1, 11743, '\p{Is_Blk=ethiopicext}', "");
Expect(0, 11743, '\p{^Is_Blk=ethiopicext}', "");
Expect(0, 11743, '\P{Is_Blk=ethiopicext}', "");
Expect(1, 11743, '\P{^Is_Blk=ethiopicext}', "");
Expect(0, 11744, '\p{Is_Blk=ethiopicext}', "");
Expect(1, 11744, '\p{^Is_Blk=ethiopicext}', "");
Expect(1, 11744, '\P{Is_Blk=ethiopicext}', "");
Expect(0, 11744, '\P{^Is_Blk=ethiopicext}', "");
Expect(1, 11743, '\p{Is_Blk: -_ETHIOPIC_ext}', "");
Expect(0, 11743, '\p{^Is_Blk: -_ETHIOPIC_ext}', "");
Expect(0, 11743, '\P{Is_Blk: -_ETHIOPIC_ext}', "");
Expect(1, 11743, '\P{^Is_Blk: -_ETHIOPIC_ext}', "");
Expect(0, 11744, '\p{Is_Blk: -_ETHIOPIC_ext}', "");
Expect(1, 11744, '\p{^Is_Blk: -_ETHIOPIC_ext}', "");
Expect(1, 11744, '\P{Is_Blk: -_ETHIOPIC_ext}', "");
Expect(0, 11744, '\P{^Is_Blk: -_ETHIOPIC_ext}', "");
Error('\p{Block=-_Ethiopic_EXTENDED_A:=}');
Error('\P{Block=-_Ethiopic_EXTENDED_A:=}');
Expect(1, 43823, '\p{Block=ethiopicextendeda}', "");
Expect(0, 43823, '\p{^Block=ethiopicextendeda}', "");
Expect(0, 43823, '\P{Block=ethiopicextendeda}', "");
Expect(1, 43823, '\P{^Block=ethiopicextendeda}', "");
Expect(0, 43824, '\p{Block=ethiopicextendeda}', "");
Expect(1, 43824, '\p{^Block=ethiopicextendeda}', "");
Expect(1, 43824, '\P{Block=ethiopicextendeda}', "");
Expect(0, 43824, '\P{^Block=ethiopicextendeda}', "");
Expect(1, 43823, '\p{Block=		ETHIOPIC_extended_a}', "");
Expect(0, 43823, '\p{^Block=		ETHIOPIC_extended_a}', "");
Expect(0, 43823, '\P{Block=		ETHIOPIC_extended_a}', "");
Expect(1, 43823, '\P{^Block=		ETHIOPIC_extended_a}', "");
Expect(0, 43824, '\p{Block=		ETHIOPIC_extended_a}', "");
Expect(1, 43824, '\p{^Block=		ETHIOPIC_extended_a}', "");
Expect(1, 43824, '\P{Block=		ETHIOPIC_extended_a}', "");
Expect(0, 43824, '\P{^Block=		ETHIOPIC_extended_a}', "");
Error('\p{Blk=	Ethiopic_EXT_a/a/}');
Error('\P{Blk=	Ethiopic_EXT_a/a/}');
Expect(1, 43823, '\p{Blk=ethiopicexta}', "");
Expect(0, 43823, '\p{^Blk=ethiopicexta}', "");
Expect(0, 43823, '\P{Blk=ethiopicexta}', "");
Expect(1, 43823, '\P{^Blk=ethiopicexta}', "");
Expect(0, 43824, '\p{Blk=ethiopicexta}', "");
Expect(1, 43824, '\p{^Blk=ethiopicexta}', "");
Expect(1, 43824, '\P{Blk=ethiopicexta}', "");
Expect(0, 43824, '\P{^Blk=ethiopicexta}', "");
Expect(1, 43823, '\p{Blk: -ethiopic_ext_A}', "");
Expect(0, 43823, '\p{^Blk: -ethiopic_ext_A}', "");
Expect(0, 43823, '\P{Blk: -ethiopic_ext_A}', "");
Expect(1, 43823, '\P{^Blk: -ethiopic_ext_A}', "");
Expect(0, 43824, '\p{Blk: -ethiopic_ext_A}', "");
Expect(1, 43824, '\p{^Blk: -ethiopic_ext_A}', "");
Expect(1, 43824, '\P{Blk: -ethiopic_ext_A}', "");
Expect(0, 43824, '\P{^Blk: -ethiopic_ext_A}', "");
Error('\p{Is_Block:		:=ETHIOPIC_Extended_A}');
Error('\P{Is_Block:		:=ETHIOPIC_Extended_A}');
Expect(1, 43823, '\p{Is_Block=ethiopicextendeda}', "");
Expect(0, 43823, '\p{^Is_Block=ethiopicextendeda}', "");
Expect(0, 43823, '\P{Is_Block=ethiopicextendeda}', "");
Expect(1, 43823, '\P{^Is_Block=ethiopicextendeda}', "");
Expect(0, 43824, '\p{Is_Block=ethiopicextendeda}', "");
Expect(1, 43824, '\p{^Is_Block=ethiopicextendeda}', "");
Expect(1, 43824, '\P{Is_Block=ethiopicextendeda}', "");
Expect(0, 43824, '\P{^Is_Block=ethiopicextendeda}', "");
Expect(1, 43823, '\p{Is_Block=	Ethiopic_extended_A}', "");
Expect(0, 43823, '\p{^Is_Block=	Ethiopic_extended_A}', "");
Expect(0, 43823, '\P{Is_Block=	Ethiopic_extended_A}', "");
Expect(1, 43823, '\P{^Is_Block=	Ethiopic_extended_A}', "");
Expect(0, 43824, '\p{Is_Block=	Ethiopic_extended_A}', "");
Expect(1, 43824, '\p{^Is_Block=	Ethiopic_extended_A}', "");
Expect(1, 43824, '\P{Is_Block=	Ethiopic_extended_A}', "");
Expect(0, 43824, '\P{^Is_Block=	Ethiopic_extended_A}', "");
Error('\p{Is_Blk=_/a/Ethiopic_EXT_A}');
Error('\P{Is_Blk=_/a/Ethiopic_EXT_A}');
Expect(1, 43823, '\p{Is_Blk=ethiopicexta}', "");
Expect(0, 43823, '\p{^Is_Blk=ethiopicexta}', "");
Expect(0, 43823, '\P{Is_Blk=ethiopicexta}', "");
Expect(1, 43823, '\P{^Is_Blk=ethiopicexta}', "");
Expect(0, 43824, '\p{Is_Blk=ethiopicexta}', "");
Expect(1, 43824, '\p{^Is_Blk=ethiopicexta}', "");
Expect(1, 43824, '\P{Is_Blk=ethiopicexta}', "");
Expect(0, 43824, '\P{^Is_Blk=ethiopicexta}', "");
Expect(1, 43823, '\p{Is_Blk=	_ethiopic_EXT_A}', "");
Expect(0, 43823, '\p{^Is_Blk=	_ethiopic_EXT_A}', "");
Expect(0, 43823, '\P{Is_Blk=	_ethiopic_EXT_A}', "");
Expect(1, 43823, '\P{^Is_Blk=	_ethiopic_EXT_A}', "");
Expect(0, 43824, '\p{Is_Blk=	_ethiopic_EXT_A}', "");
Expect(1, 43824, '\p{^Is_Blk=	_ethiopic_EXT_A}', "");
Expect(1, 43824, '\P{Is_Blk=	_ethiopic_EXT_A}', "");
Expect(0, 43824, '\P{^Is_Blk=	_ethiopic_EXT_A}', "");
Error('\p{Block=	/a/ETHIOPIC_supplement}');
Error('\P{Block=	/a/ETHIOPIC_supplement}');
Expect(1, 5023, '\p{Block=ethiopicsupplement}', "");
Expect(0, 5023, '\p{^Block=ethiopicsupplement}', "");
Expect(0, 5023, '\P{Block=ethiopicsupplement}', "");
Expect(1, 5023, '\P{^Block=ethiopicsupplement}', "");
Expect(0, 5024, '\p{Block=ethiopicsupplement}', "");
Expect(1, 5024, '\p{^Block=ethiopicsupplement}', "");
Expect(1, 5024, '\P{Block=ethiopicsupplement}', "");
Expect(0, 5024, '\P{^Block=ethiopicsupplement}', "");
Expect(1, 5023, '\p{Block: _ ethiopic_Supplement}', "");
Expect(0, 5023, '\p{^Block: _ ethiopic_Supplement}', "");
Expect(0, 5023, '\P{Block: _ ethiopic_Supplement}', "");
Expect(1, 5023, '\P{^Block: _ ethiopic_Supplement}', "");
Expect(0, 5024, '\p{Block: _ ethiopic_Supplement}', "");
Expect(1, 5024, '\p{^Block: _ ethiopic_Supplement}', "");
Expect(1, 5024, '\P{Block: _ ethiopic_Supplement}', "");
Expect(0, 5024, '\P{^Block: _ ethiopic_Supplement}', "");
Error('\p{Blk=_ethiopic_sup/a/}');
Error('\P{Blk=_ethiopic_sup/a/}');
Expect(1, 5023, '\p{Blk=ethiopicsup}', "");
Expect(0, 5023, '\p{^Blk=ethiopicsup}', "");
Expect(0, 5023, '\P{Blk=ethiopicsup}', "");
Expect(1, 5023, '\P{^Blk=ethiopicsup}', "");
Expect(0, 5024, '\p{Blk=ethiopicsup}', "");
Expect(1, 5024, '\p{^Blk=ethiopicsup}', "");
Expect(1, 5024, '\P{Blk=ethiopicsup}', "");
Expect(0, 5024, '\P{^Blk=ethiopicsup}', "");
Expect(1, 5023, '\p{Blk=--ethiopic_SUP}', "");
Expect(0, 5023, '\p{^Blk=--ethiopic_SUP}', "");
Expect(0, 5023, '\P{Blk=--ethiopic_SUP}', "");
Expect(1, 5023, '\P{^Blk=--ethiopic_SUP}', "");
Expect(0, 5024, '\p{Blk=--ethiopic_SUP}', "");
Expect(1, 5024, '\p{^Blk=--ethiopic_SUP}', "");
Expect(1, 5024, '\P{Blk=--ethiopic_SUP}', "");
Expect(0, 5024, '\P{^Blk=--ethiopic_SUP}', "");
Error('\p{Is_Block=-:=ETHIOPIC_SUPPLEMENT}');
Error('\P{Is_Block=-:=ETHIOPIC_SUPPLEMENT}');
Expect(1, 5023, '\p{Is_Block=ethiopicsupplement}', "");
Expect(0, 5023, '\p{^Is_Block=ethiopicsupplement}', "");
Expect(0, 5023, '\P{Is_Block=ethiopicsupplement}', "");
Expect(1, 5023, '\P{^Is_Block=ethiopicsupplement}', "");
Expect(0, 5024, '\p{Is_Block=ethiopicsupplement}', "");
Expect(1, 5024, '\p{^Is_Block=ethiopicsupplement}', "");
Expect(1, 5024, '\P{Is_Block=ethiopicsupplement}', "");
Expect(0, 5024, '\P{^Is_Block=ethiopicsupplement}', "");
Expect(1, 5023, '\p{Is_Block=	_Ethiopic_Supplement}', "");
Expect(0, 5023, '\p{^Is_Block=	_Ethiopic_Supplement}', "");
Expect(0, 5023, '\P{Is_Block=	_Ethiopic_Supplement}', "");
Expect(1, 5023, '\P{^Is_Block=	_Ethiopic_Supplement}', "");
Expect(0, 5024, '\p{Is_Block=	_Ethiopic_Supplement}', "");
Expect(1, 5024, '\p{^Is_Block=	_Ethiopic_Supplement}', "");
Expect(1, 5024, '\P{Is_Block=	_Ethiopic_Supplement}', "");
Expect(0, 5024, '\P{^Is_Block=	_Ethiopic_Supplement}', "");
Error('\p{Is_Blk=:=-	Ethiopic_sup}');
Error('\P{Is_Blk=:=-	Ethiopic_sup}');
Expect(1, 5023, '\p{Is_Blk=ethiopicsup}', "");
Expect(0, 5023, '\p{^Is_Blk=ethiopicsup}', "");
Expect(0, 5023, '\P{Is_Blk=ethiopicsup}', "");
Expect(1, 5023, '\P{^Is_Blk=ethiopicsup}', "");
Expect(0, 5024, '\p{Is_Blk=ethiopicsup}', "");
Expect(1, 5024, '\p{^Is_Blk=ethiopicsup}', "");
Expect(1, 5024, '\P{Is_Blk=ethiopicsup}', "");
Expect(0, 5024, '\P{^Is_Blk=ethiopicsup}', "");
Expect(1, 5023, '\p{Is_Blk=		Ethiopic_sup}', "");
Expect(0, 5023, '\p{^Is_Blk=		Ethiopic_sup}', "");
Expect(0, 5023, '\P{Is_Blk=		Ethiopic_sup}', "");
Expect(1, 5023, '\P{^Is_Blk=		Ethiopic_sup}', "");
Expect(0, 5024, '\p{Is_Blk=		Ethiopic_sup}', "");
Expect(1, 5024, '\p{^Is_Blk=		Ethiopic_sup}', "");
Expect(1, 5024, '\P{Is_Blk=		Ethiopic_sup}', "");
Expect(0, 5024, '\P{^Is_Blk=		Ethiopic_sup}', "");
Error('\p{Block=/a/--Geometric_shapes}');
Error('\P{Block=/a/--Geometric_shapes}');
Expect(1, 9727, '\p{Block: geometricshapes}', "");
Expect(0, 9727, '\p{^Block: geometricshapes}', "");
Expect(0, 9727, '\P{Block: geometricshapes}', "");
Expect(1, 9727, '\P{^Block: geometricshapes}', "");
Expect(0, 9728, '\p{Block: geometricshapes}', "");
Expect(1, 9728, '\p{^Block: geometricshapes}', "");
Expect(1, 9728, '\P{Block: geometricshapes}', "");
Expect(0, 9728, '\P{^Block: geometricshapes}', "");
Expect(1, 9727, '\p{Block=  Geometric_Shapes}', "");
Expect(0, 9727, '\p{^Block=  Geometric_Shapes}', "");
Expect(0, 9727, '\P{Block=  Geometric_Shapes}', "");
Expect(1, 9727, '\P{^Block=  Geometric_Shapes}', "");
Expect(0, 9728, '\p{Block=  Geometric_Shapes}', "");
Expect(1, 9728, '\p{^Block=  Geometric_Shapes}', "");
Expect(1, 9728, '\P{Block=  Geometric_Shapes}', "");
Expect(0, 9728, '\P{^Block=  Geometric_Shapes}', "");
Error('\p{Blk= :=Geometric_shapes}');
Error('\P{Blk= :=Geometric_shapes}');
Expect(1, 9727, '\p{Blk:   geometricshapes}', "");
Expect(0, 9727, '\p{^Blk:   geometricshapes}', "");
Expect(0, 9727, '\P{Blk:   geometricshapes}', "");
Expect(1, 9727, '\P{^Blk:   geometricshapes}', "");
Expect(0, 9728, '\p{Blk:   geometricshapes}', "");
Expect(1, 9728, '\p{^Blk:   geometricshapes}', "");
Expect(1, 9728, '\P{Blk:   geometricshapes}', "");
Expect(0, 9728, '\P{^Blk:   geometricshapes}', "");
Expect(1, 9727, '\p{Blk=_Geometric_Shapes}', "");
Expect(0, 9727, '\p{^Blk=_Geometric_Shapes}', "");
Expect(0, 9727, '\P{Blk=_Geometric_Shapes}', "");
Expect(1, 9727, '\P{^Blk=_Geometric_Shapes}', "");
Expect(0, 9728, '\p{Blk=_Geometric_Shapes}', "");
Expect(1, 9728, '\p{^Blk=_Geometric_Shapes}', "");
Expect(1, 9728, '\P{Blk=_Geometric_Shapes}', "");
Expect(0, 9728, '\P{^Blk=_Geometric_Shapes}', "");
Error('\p{Is_Block=	:=GEOMETRIC_shapes}');
Error('\P{Is_Block=	:=GEOMETRIC_shapes}');
Expect(1, 9727, '\p{Is_Block=geometricshapes}', "");
Expect(0, 9727, '\p{^Is_Block=geometricshapes}', "");
Expect(0, 9727, '\P{Is_Block=geometricshapes}', "");
Expect(1, 9727, '\P{^Is_Block=geometricshapes}', "");
Expect(0, 9728, '\p{Is_Block=geometricshapes}', "");
Expect(1, 9728, '\p{^Is_Block=geometricshapes}', "");
Expect(1, 9728, '\P{Is_Block=geometricshapes}', "");
Expect(0, 9728, '\P{^Is_Block=geometricshapes}', "");
Expect(1, 9727, '\p{Is_Block=_ Geometric_Shapes}', "");
Expect(0, 9727, '\p{^Is_Block=_ Geometric_Shapes}', "");
Expect(0, 9727, '\P{Is_Block=_ Geometric_Shapes}', "");
Expect(1, 9727, '\P{^Is_Block=_ Geometric_Shapes}', "");
Expect(0, 9728, '\p{Is_Block=_ Geometric_Shapes}', "");
Expect(1, 9728, '\p{^Is_Block=_ Geometric_Shapes}', "");
Expect(1, 9728, '\P{Is_Block=_ Geometric_Shapes}', "");
Expect(0, 9728, '\P{^Is_Block=_ Geometric_Shapes}', "");
Error('\p{Is_Blk= :=GEOMETRIC_Shapes}');
Error('\P{Is_Blk= :=GEOMETRIC_Shapes}');
Expect(1, 9727, '\p{Is_Blk=geometricshapes}', "");
Expect(0, 9727, '\p{^Is_Blk=geometricshapes}', "");
Expect(0, 9727, '\P{Is_Blk=geometricshapes}', "");
Expect(1, 9727, '\P{^Is_Blk=geometricshapes}', "");
Expect(0, 9728, '\p{Is_Blk=geometricshapes}', "");
Expect(1, 9728, '\p{^Is_Blk=geometricshapes}', "");
Expect(1, 9728, '\P{Is_Blk=geometricshapes}', "");
Expect(0, 9728, '\P{^Is_Blk=geometricshapes}', "");
Expect(1, 9727, '\p{Is_Blk=--Geometric_Shapes}', "");
Expect(0, 9727, '\p{^Is_Blk=--Geometric_Shapes}', "");
Expect(0, 9727, '\P{Is_Blk=--Geometric_Shapes}', "");
Expect(1, 9727, '\P{^Is_Blk=--Geometric_Shapes}', "");
Expect(0, 9728, '\p{Is_Blk=--Geometric_Shapes}', "");
Expect(1, 9728, '\p{^Is_Blk=--Geometric_Shapes}', "");
Expect(1, 9728, '\P{Is_Blk=--Geometric_Shapes}', "");
Expect(0, 9728, '\P{^Is_Blk=--Geometric_Shapes}', "");
Error('\p{Block=:=--Geometric_shapes_EXTENDED}');
Error('\P{Block=:=--Geometric_shapes_EXTENDED}');
Expect(1, 129023, '\p{Block=geometricshapesextended}', "");
Expect(0, 129023, '\p{^Block=geometricshapesextended}', "");
Expect(0, 129023, '\P{Block=geometricshapesextended}', "");
Expect(1, 129023, '\P{^Block=geometricshapesextended}', "");
Expect(0, 129024, '\p{Block=geometricshapesextended}', "");
Expect(1, 129024, '\p{^Block=geometricshapesextended}', "");
Expect(1, 129024, '\P{Block=geometricshapesextended}', "");
Expect(0, 129024, '\P{^Block=geometricshapesextended}', "");
Expect(1, 129023, '\p{Block=-geometric_SHAPES_Extended}', "");
Expect(0, 129023, '\p{^Block=-geometric_SHAPES_Extended}', "");
Expect(0, 129023, '\P{Block=-geometric_SHAPES_Extended}', "");
Expect(1, 129023, '\P{^Block=-geometric_SHAPES_Extended}', "");
Expect(0, 129024, '\p{Block=-geometric_SHAPES_Extended}', "");
Expect(1, 129024, '\p{^Block=-geometric_SHAPES_Extended}', "");
Expect(1, 129024, '\P{Block=-geometric_SHAPES_Extended}', "");
Expect(0, 129024, '\P{^Block=-geometric_SHAPES_Extended}', "");
Error('\p{Blk=_:=Geometric_SHAPES_ext}');
Error('\P{Blk=_:=Geometric_SHAPES_ext}');
Expect(1, 129023, '\p{Blk=geometricshapesext}', "");
Expect(0, 129023, '\p{^Blk=geometricshapesext}', "");
Expect(0, 129023, '\P{Blk=geometricshapesext}', "");
Expect(1, 129023, '\P{^Blk=geometricshapesext}', "");
Expect(0, 129024, '\p{Blk=geometricshapesext}', "");
Expect(1, 129024, '\p{^Blk=geometricshapesext}', "");
Expect(1, 129024, '\P{Blk=geometricshapesext}', "");
Expect(0, 129024, '\P{^Blk=geometricshapesext}', "");
Expect(1, 129023, '\p{Blk= 	Geometric_SHAPES_EXT}', "");
Expect(0, 129023, '\p{^Blk= 	Geometric_SHAPES_EXT}', "");
Expect(0, 129023, '\P{Blk= 	Geometric_SHAPES_EXT}', "");
Expect(1, 129023, '\P{^Blk= 	Geometric_SHAPES_EXT}', "");
Expect(0, 129024, '\p{Blk= 	Geometric_SHAPES_EXT}', "");
Expect(1, 129024, '\p{^Blk= 	Geometric_SHAPES_EXT}', "");
Expect(1, 129024, '\P{Blk= 	Geometric_SHAPES_EXT}', "");
Expect(0, 129024, '\P{^Blk= 	Geometric_SHAPES_EXT}', "");
Error('\p{Is_Block=:=-_GEOMETRIC_SHAPES_extended}');
Error('\P{Is_Block=:=-_GEOMETRIC_SHAPES_extended}');
Expect(1, 129023, '\p{Is_Block=geometricshapesextended}', "");
Expect(0, 129023, '\p{^Is_Block=geometricshapesextended}', "");
Expect(0, 129023, '\P{Is_Block=geometricshapesextended}', "");
Expect(1, 129023, '\P{^Is_Block=geometricshapesextended}', "");
Expect(0, 129024, '\p{Is_Block=geometricshapesextended}', "");
Expect(1, 129024, '\p{^Is_Block=geometricshapesextended}', "");
Expect(1, 129024, '\P{Is_Block=geometricshapesextended}', "");
Expect(0, 129024, '\P{^Is_Block=geometricshapesextended}', "");
Expect(1, 129023, '\p{Is_Block=	Geometric_Shapes_Extended}', "");
Expect(0, 129023, '\p{^Is_Block=	Geometric_Shapes_Extended}', "");
Expect(0, 129023, '\P{Is_Block=	Geometric_Shapes_Extended}', "");
Expect(1, 129023, '\P{^Is_Block=	Geometric_Shapes_Extended}', "");
Expect(0, 129024, '\p{Is_Block=	Geometric_Shapes_Extended}', "");
Expect(1, 129024, '\p{^Is_Block=	Geometric_Shapes_Extended}', "");
Expect(1, 129024, '\P{Is_Block=	Geometric_Shapes_Extended}', "");
Expect(0, 129024, '\P{^Is_Block=	Geometric_Shapes_Extended}', "");
Error('\p{Is_Blk=_ Geometric_Shapes_Ext:=}');
Error('\P{Is_Blk=_ Geometric_Shapes_Ext:=}');
Expect(1, 129023, '\p{Is_Blk=geometricshapesext}', "");
Expect(0, 129023, '\p{^Is_Blk=geometricshapesext}', "");
Expect(0, 129023, '\P{Is_Blk=geometricshapesext}', "");
Expect(1, 129023, '\P{^Is_Blk=geometricshapesext}', "");
Expect(0, 129024, '\p{Is_Blk=geometricshapesext}', "");
Expect(1, 129024, '\p{^Is_Blk=geometricshapesext}', "");
Expect(1, 129024, '\P{Is_Blk=geometricshapesext}', "");
Expect(0, 129024, '\P{^Is_Blk=geometricshapesext}', "");
Expect(1, 129023, '\p{Is_Blk=_Geometric_Shapes_EXT}', "");
Expect(0, 129023, '\p{^Is_Blk=_Geometric_Shapes_EXT}', "");
Expect(0, 129023, '\P{Is_Blk=_Geometric_Shapes_EXT}', "");
Expect(1, 129023, '\P{^Is_Blk=_Geometric_Shapes_EXT}', "");
Expect(0, 129024, '\p{Is_Blk=_Geometric_Shapes_EXT}', "");
Expect(1, 129024, '\p{^Is_Blk=_Geometric_Shapes_EXT}', "");
Expect(1, 129024, '\P{Is_Blk=_Geometric_Shapes_EXT}', "");
Expect(0, 129024, '\P{^Is_Blk=_Geometric_Shapes_EXT}', "");
Error('\p{Block=	:=Georgian}');
Error('\P{Block=	:=Georgian}');
Expect(1, 4351, '\p{Block=georgian}', "");
Expect(0, 4351, '\p{^Block=georgian}', "");
Expect(0, 4351, '\P{Block=georgian}', "");
Expect(1, 4351, '\P{^Block=georgian}', "");
Expect(0, 4352, '\p{Block=georgian}', "");
Expect(1, 4352, '\p{^Block=georgian}', "");
Expect(1, 4352, '\P{Block=georgian}', "");
Expect(0, 4352, '\P{^Block=georgian}', "");
Expect(1, 4351, '\p{Block: Georgian}', "");
Expect(0, 4351, '\p{^Block: Georgian}', "");
Expect(0, 4351, '\P{Block: Georgian}', "");
Expect(1, 4351, '\P{^Block: Georgian}', "");
Expect(0, 4352, '\p{Block: Georgian}', "");
Expect(1, 4352, '\p{^Block: Georgian}', "");
Expect(1, 4352, '\P{Block: Georgian}', "");
Expect(0, 4352, '\P{^Block: Georgian}', "");
Error('\p{Blk=:=	Georgian}');
Error('\P{Blk=:=	Georgian}');
Expect(1, 4351, '\p{Blk=georgian}', "");
Expect(0, 4351, '\p{^Blk=georgian}', "");
Expect(0, 4351, '\P{Blk=georgian}', "");
Expect(1, 4351, '\P{^Blk=georgian}', "");
Expect(0, 4352, '\p{Blk=georgian}', "");
Expect(1, 4352, '\p{^Blk=georgian}', "");
Expect(1, 4352, '\P{Blk=georgian}', "");
Expect(0, 4352, '\P{^Blk=georgian}', "");
Expect(1, 4351, '\p{Blk=	georgian}', "");
Expect(0, 4351, '\p{^Blk=	georgian}', "");
Expect(0, 4351, '\P{Blk=	georgian}', "");
Expect(1, 4351, '\P{^Blk=	georgian}', "");
Expect(0, 4352, '\p{Blk=	georgian}', "");
Expect(1, 4352, '\p{^Blk=	georgian}', "");
Expect(1, 4352, '\P{Blk=	georgian}', "");
Expect(0, 4352, '\P{^Blk=	georgian}', "");
Error('\p{Is_Block=	/a/georgian}');
Error('\P{Is_Block=	/a/georgian}');
Expect(1, 4351, '\p{Is_Block:   georgian}', "");
Expect(0, 4351, '\p{^Is_Block:   georgian}', "");
Expect(0, 4351, '\P{Is_Block:   georgian}', "");
Expect(1, 4351, '\P{^Is_Block:   georgian}', "");
Expect(0, 4352, '\p{Is_Block:   georgian}', "");
Expect(1, 4352, '\p{^Is_Block:   georgian}', "");
Expect(1, 4352, '\P{Is_Block:   georgian}', "");
Expect(0, 4352, '\P{^Is_Block:   georgian}', "");
Expect(1, 4351, '\p{Is_Block:	-georgian}', "");
Expect(0, 4351, '\p{^Is_Block:	-georgian}', "");
Expect(0, 4351, '\P{Is_Block:	-georgian}', "");
Expect(1, 4351, '\P{^Is_Block:	-georgian}', "");
Expect(0, 4352, '\p{Is_Block:	-georgian}', "");
Expect(1, 4352, '\p{^Is_Block:	-georgian}', "");
Expect(1, 4352, '\P{Is_Block:	-georgian}', "");
Expect(0, 4352, '\P{^Is_Block:	-georgian}', "");
Error('\p{Is_Blk=_:=Georgian}');
Error('\P{Is_Blk=_:=Georgian}');
Expect(1, 4351, '\p{Is_Blk=georgian}', "");
Expect(0, 4351, '\p{^Is_Blk=georgian}', "");
Expect(0, 4351, '\P{Is_Blk=georgian}', "");
Expect(1, 4351, '\P{^Is_Blk=georgian}', "");
Expect(0, 4352, '\p{Is_Blk=georgian}', "");
Expect(1, 4352, '\p{^Is_Blk=georgian}', "");
Expect(1, 4352, '\P{Is_Blk=georgian}', "");
Expect(0, 4352, '\P{^Is_Blk=georgian}', "");
Expect(1, 4351, '\p{Is_Blk=	-Georgian}', "");
Expect(0, 4351, '\p{^Is_Blk=	-Georgian}', "");
Expect(0, 4351, '\P{Is_Blk=	-Georgian}', "");
Expect(1, 4351, '\P{^Is_Blk=	-Georgian}', "");
Expect(0, 4352, '\p{Is_Blk=	-Georgian}', "");
Expect(1, 4352, '\p{^Is_Blk=	-Georgian}', "");
Expect(1, 4352, '\P{Is_Blk=	-Georgian}', "");
Expect(0, 4352, '\P{^Is_Blk=	-Georgian}', "");
Error('\p{Block=/a/_	Georgian_SUPPLEMENT}');
Error('\P{Block=/a/_	Georgian_SUPPLEMENT}');
Expect(1, 11567, '\p{Block=georgiansupplement}', "");
Expect(0, 11567, '\p{^Block=georgiansupplement}', "");
Expect(0, 11567, '\P{Block=georgiansupplement}', "");
Expect(1, 11567, '\P{^Block=georgiansupplement}', "");
Expect(0, 11568, '\p{Block=georgiansupplement}', "");
Expect(1, 11568, '\p{^Block=georgiansupplement}', "");
Expect(1, 11568, '\P{Block=georgiansupplement}', "");
Expect(0, 11568, '\P{^Block=georgiansupplement}', "");
Expect(1, 11567, '\p{Block=	_Georgian_Supplement}', "");
Expect(0, 11567, '\p{^Block=	_Georgian_Supplement}', "");
Expect(0, 11567, '\P{Block=	_Georgian_Supplement}', "");
Expect(1, 11567, '\P{^Block=	_Georgian_Supplement}', "");
Expect(0, 11568, '\p{Block=	_Georgian_Supplement}', "");
Expect(1, 11568, '\p{^Block=	_Georgian_Supplement}', "");
Expect(1, 11568, '\P{Block=	_Georgian_Supplement}', "");
Expect(0, 11568, '\P{^Block=	_Georgian_Supplement}', "");
Error('\p{Blk=	 GEORGIAN_Sup/a/}');
Error('\P{Blk=	 GEORGIAN_Sup/a/}');
Expect(1, 11567, '\p{Blk=georgiansup}', "");
Expect(0, 11567, '\p{^Blk=georgiansup}', "");
Expect(0, 11567, '\P{Blk=georgiansup}', "");
Expect(1, 11567, '\P{^Blk=georgiansup}', "");
Expect(0, 11568, '\p{Blk=georgiansup}', "");
Expect(1, 11568, '\p{^Blk=georgiansup}', "");
Expect(1, 11568, '\P{Blk=georgiansup}', "");
Expect(0, 11568, '\P{^Blk=georgiansup}', "");
Expect(1, 11567, '\p{Blk=--Georgian_SUP}', "");
Expect(0, 11567, '\p{^Blk=--Georgian_SUP}', "");
Expect(0, 11567, '\P{Blk=--Georgian_SUP}', "");
Expect(1, 11567, '\P{^Blk=--Georgian_SUP}', "");
Expect(0, 11568, '\p{Blk=--Georgian_SUP}', "");
Expect(1, 11568, '\p{^Blk=--Georgian_SUP}', "");
Expect(1, 11568, '\P{Blk=--Georgian_SUP}', "");
Expect(0, 11568, '\P{^Blk=--Georgian_SUP}', "");
Error('\p{Is_Block=-:=georgian_SUPPLEMENT}');
Error('\P{Is_Block=-:=georgian_SUPPLEMENT}');
Expect(1, 11567, '\p{Is_Block=georgiansupplement}', "");
Expect(0, 11567, '\p{^Is_Block=georgiansupplement}', "");
Expect(0, 11567, '\P{Is_Block=georgiansupplement}', "");
Expect(1, 11567, '\P{^Is_Block=georgiansupplement}', "");
Expect(0, 11568, '\p{Is_Block=georgiansupplement}', "");
Expect(1, 11568, '\p{^Is_Block=georgiansupplement}', "");
Expect(1, 11568, '\P{Is_Block=georgiansupplement}', "");
Expect(0, 11568, '\P{^Is_Block=georgiansupplement}', "");
Expect(1, 11567, '\p{Is_Block:   _georgian_Supplement}', "");
Expect(0, 11567, '\p{^Is_Block:   _georgian_Supplement}', "");
Expect(0, 11567, '\P{Is_Block:   _georgian_Supplement}', "");
Expect(1, 11567, '\P{^Is_Block:   _georgian_Supplement}', "");
Expect(0, 11568, '\p{Is_Block:   _georgian_Supplement}', "");
Expect(1, 11568, '\p{^Is_Block:   _georgian_Supplement}', "");
Expect(1, 11568, '\P{Is_Block:   _georgian_Supplement}', "");
Expect(0, 11568, '\P{^Is_Block:   _georgian_Supplement}', "");
Error('\p{Is_Blk=	/a/georgian_Sup}');
Error('\P{Is_Blk=	/a/georgian_Sup}');
Expect(1, 11567, '\p{Is_Blk=georgiansup}', "");
Expect(0, 11567, '\p{^Is_Blk=georgiansup}', "");
Expect(0, 11567, '\P{Is_Blk=georgiansup}', "");
Expect(1, 11567, '\P{^Is_Blk=georgiansup}', "");
Expect(0, 11568, '\p{Is_Blk=georgiansup}', "");
Expect(1, 11568, '\p{^Is_Blk=georgiansup}', "");
Expect(1, 11568, '\P{Is_Blk=georgiansup}', "");
Expect(0, 11568, '\P{^Is_Blk=georgiansup}', "");
Expect(1, 11567, '\p{Is_Blk=_Georgian_SUP}', "");
Expect(0, 11567, '\p{^Is_Blk=_Georgian_SUP}', "");
Expect(0, 11567, '\P{Is_Blk=_Georgian_SUP}', "");
Expect(1, 11567, '\P{^Is_Blk=_Georgian_SUP}', "");
Expect(0, 11568, '\p{Is_Blk=_Georgian_SUP}', "");
Expect(1, 11568, '\p{^Is_Blk=_Georgian_SUP}', "");
Expect(1, 11568, '\P{Is_Blk=_Georgian_SUP}', "");
Expect(0, 11568, '\P{^Is_Blk=_Georgian_SUP}', "");
Error('\p{Block=:=--Glagolitic}');
Error('\P{Block=:=--Glagolitic}');
Expect(1, 11359, '\p{Block=glagolitic}', "");
Expect(0, 11359, '\p{^Block=glagolitic}', "");
Expect(0, 11359, '\P{Block=glagolitic}', "");
Expect(1, 11359, '\P{^Block=glagolitic}', "");
Expect(0, 11360, '\p{Block=glagolitic}', "");
Expect(1, 11360, '\p{^Block=glagolitic}', "");
Expect(1, 11360, '\P{Block=glagolitic}', "");
Expect(0, 11360, '\P{^Block=glagolitic}', "");
Expect(1, 11359, '\p{Block=	Glagolitic}', "");
Expect(0, 11359, '\p{^Block=	Glagolitic}', "");
Expect(0, 11359, '\P{Block=	Glagolitic}', "");
Expect(1, 11359, '\P{^Block=	Glagolitic}', "");
Expect(0, 11360, '\p{Block=	Glagolitic}', "");
Expect(1, 11360, '\p{^Block=	Glagolitic}', "");
Expect(1, 11360, '\P{Block=	Glagolitic}', "");
Expect(0, 11360, '\P{^Block=	Glagolitic}', "");
Error('\p{Blk=_/a/GLAGOLITIC}');
Error('\P{Blk=_/a/GLAGOLITIC}');
Expect(1, 11359, '\p{Blk=glagolitic}', "");
Expect(0, 11359, '\p{^Blk=glagolitic}', "");
Expect(0, 11359, '\P{Blk=glagolitic}', "");
Expect(1, 11359, '\P{^Blk=glagolitic}', "");
Expect(0, 11360, '\p{Blk=glagolitic}', "");
Expect(1, 11360, '\p{^Blk=glagolitic}', "");
Expect(1, 11360, '\P{Blk=glagolitic}', "");
Expect(0, 11360, '\P{^Blk=glagolitic}', "");
Expect(1, 11359, '\p{Blk= _Glagolitic}', "");
Expect(0, 11359, '\p{^Blk= _Glagolitic}', "");
Expect(0, 11359, '\P{Blk= _Glagolitic}', "");
Expect(1, 11359, '\P{^Blk= _Glagolitic}', "");
Expect(0, 11360, '\p{Blk= _Glagolitic}', "");
Expect(1, 11360, '\p{^Blk= _Glagolitic}', "");
Expect(1, 11360, '\P{Blk= _Glagolitic}', "");
Expect(0, 11360, '\P{^Blk= _Glagolitic}', "");
Error('\p{Is_Block=/a/ 	glagolitic}');
Error('\P{Is_Block=/a/ 	glagolitic}');
Expect(1, 11359, '\p{Is_Block=glagolitic}', "");
Expect(0, 11359, '\p{^Is_Block=glagolitic}', "");
Expect(0, 11359, '\P{Is_Block=glagolitic}', "");
Expect(1, 11359, '\P{^Is_Block=glagolitic}', "");
Expect(0, 11360, '\p{Is_Block=glagolitic}', "");
Expect(1, 11360, '\p{^Is_Block=glagolitic}', "");
Expect(1, 11360, '\P{Is_Block=glagolitic}', "");
Expect(0, 11360, '\P{^Is_Block=glagolitic}', "");
Expect(1, 11359, '\p{Is_Block= glagolitic}', "");
Expect(0, 11359, '\p{^Is_Block= glagolitic}', "");
Expect(0, 11359, '\P{Is_Block= glagolitic}', "");
Expect(1, 11359, '\P{^Is_Block= glagolitic}', "");
Expect(0, 11360, '\p{Is_Block= glagolitic}', "");
Expect(1, 11360, '\p{^Is_Block= glagolitic}', "");
Expect(1, 11360, '\P{Is_Block= glagolitic}', "");
Expect(0, 11360, '\P{^Is_Block= glagolitic}', "");
Error('\p{Is_Blk=	_GLAGOLITIC:=}');
Error('\P{Is_Blk=	_GLAGOLITIC:=}');
Expect(1, 11359, '\p{Is_Blk=glagolitic}', "");
Expect(0, 11359, '\p{^Is_Blk=glagolitic}', "");
Expect(0, 11359, '\P{Is_Blk=glagolitic}', "");
Expect(1, 11359, '\P{^Is_Blk=glagolitic}', "");
Expect(0, 11360, '\p{Is_Blk=glagolitic}', "");
Expect(1, 11360, '\p{^Is_Blk=glagolitic}', "");
Expect(1, 11360, '\P{Is_Blk=glagolitic}', "");
Expect(0, 11360, '\P{^Is_Blk=glagolitic}', "");
Expect(1, 11359, '\p{Is_Blk=_Glagolitic}', "");
Expect(0, 11359, '\p{^Is_Blk=_Glagolitic}', "");
Expect(0, 11359, '\P{Is_Blk=_Glagolitic}', "");
Expect(1, 11359, '\P{^Is_Blk=_Glagolitic}', "");
Expect(0, 11360, '\p{Is_Blk=_Glagolitic}', "");
Expect(1, 11360, '\p{^Is_Blk=_Glagolitic}', "");
Expect(1, 11360, '\P{Is_Blk=_Glagolitic}', "");
Expect(0, 11360, '\P{^Is_Blk=_Glagolitic}', "");
Error('\p{Block:    :=GOTHIC}');
Error('\P{Block:    :=GOTHIC}');
Expect(1, 66383, '\p{Block:gothic}', "");
Expect(0, 66383, '\p{^Block:gothic}', "");
Expect(0, 66383, '\P{Block:gothic}', "");
Expect(1, 66383, '\P{^Block:gothic}', "");
Expect(0, 66384, '\p{Block:gothic}', "");
Expect(1, 66384, '\p{^Block:gothic}', "");
Expect(1, 66384, '\P{Block:gothic}', "");
Expect(0, 66384, '\P{^Block:gothic}', "");
Expect(1, 66383, '\p{Block=	_GOTHIC}', "");
Expect(0, 66383, '\p{^Block=	_GOTHIC}', "");
Expect(0, 66383, '\P{Block=	_GOTHIC}', "");
Expect(1, 66383, '\P{^Block=	_GOTHIC}', "");
Expect(0, 66384, '\p{Block=	_GOTHIC}', "");
Expect(1, 66384, '\p{^Block=	_GOTHIC}', "");
Expect(1, 66384, '\P{Block=	_GOTHIC}', "");
Expect(0, 66384, '\P{^Block=	_GOTHIC}', "");
Error('\p{Blk=/a/_Gothic}');
Error('\P{Blk=/a/_Gothic}');
Expect(1, 66383, '\p{Blk=gothic}', "");
Expect(0, 66383, '\p{^Blk=gothic}', "");
Expect(0, 66383, '\P{Blk=gothic}', "");
Expect(1, 66383, '\P{^Blk=gothic}', "");
Expect(0, 66384, '\p{Blk=gothic}', "");
Expect(1, 66384, '\p{^Blk=gothic}', "");
Expect(1, 66384, '\P{Blk=gothic}', "");
Expect(0, 66384, '\P{^Blk=gothic}', "");
Expect(1, 66383, '\p{Blk=-	gothic}', "");
Expect(0, 66383, '\p{^Blk=-	gothic}', "");
Expect(0, 66383, '\P{Blk=-	gothic}', "");
Expect(1, 66383, '\P{^Blk=-	gothic}', "");
Expect(0, 66384, '\p{Blk=-	gothic}', "");
Expect(1, 66384, '\p{^Blk=-	gothic}', "");
Expect(1, 66384, '\P{Blk=-	gothic}', "");
Expect(0, 66384, '\P{^Blk=-	gothic}', "");
Error('\p{Is_Block=/a/GOTHIC}');
Error('\P{Is_Block=/a/GOTHIC}');
Expect(1, 66383, '\p{Is_Block:   gothic}', "");
Expect(0, 66383, '\p{^Is_Block:   gothic}', "");
Expect(0, 66383, '\P{Is_Block:   gothic}', "");
Expect(1, 66383, '\P{^Is_Block:   gothic}', "");
Expect(0, 66384, '\p{Is_Block:   gothic}', "");
Expect(1, 66384, '\p{^Is_Block:   gothic}', "");
Expect(1, 66384, '\P{Is_Block:   gothic}', "");
Expect(0, 66384, '\P{^Is_Block:   gothic}', "");
Expect(1, 66383, '\p{Is_Block=	_Gothic}', "");
Expect(0, 66383, '\p{^Is_Block=	_Gothic}', "");
Expect(0, 66383, '\P{Is_Block=	_Gothic}', "");
Expect(1, 66383, '\P{^Is_Block=	_Gothic}', "");
Expect(0, 66384, '\p{Is_Block=	_Gothic}', "");
Expect(1, 66384, '\p{^Is_Block=	_Gothic}', "");
Expect(1, 66384, '\P{Is_Block=	_Gothic}', "");
Expect(0, 66384, '\P{^Is_Block=	_Gothic}', "");
Error('\p{Is_Blk=-:=Gothic}');
Error('\P{Is_Blk=-:=Gothic}');
Expect(1, 66383, '\p{Is_Blk=gothic}', "");
Expect(0, 66383, '\p{^Is_Blk=gothic}', "");
Expect(0, 66383, '\P{Is_Blk=gothic}', "");
Expect(1, 66383, '\P{^Is_Blk=gothic}', "");
Expect(0, 66384, '\p{Is_Blk=gothic}', "");
Expect(1, 66384, '\p{^Is_Blk=gothic}', "");
Expect(1, 66384, '\P{Is_Blk=gothic}', "");
Expect(0, 66384, '\P{^Is_Blk=gothic}', "");
Expect(1, 66383, '\p{Is_Blk=	 Gothic}', "");
Expect(0, 66383, '\p{^Is_Blk=	 Gothic}', "");
Expect(0, 66383, '\P{Is_Blk=	 Gothic}', "");
Expect(1, 66383, '\P{^Is_Blk=	 Gothic}', "");
Expect(0, 66384, '\p{Is_Blk=	 Gothic}', "");
Expect(1, 66384, '\p{^Is_Blk=	 Gothic}', "");
Expect(1, 66384, '\P{Is_Blk=	 Gothic}', "");
Expect(0, 66384, '\P{^Is_Blk=	 Gothic}', "");
Error('\p{Block= _Grantha:=}');
Error('\P{Block= _Grantha:=}');
Expect(1, 70527, '\p{Block:	grantha}', "");
Expect(0, 70527, '\p{^Block:	grantha}', "");
Expect(0, 70527, '\P{Block:	grantha}', "");
Expect(1, 70527, '\P{^Block:	grantha}', "");
Expect(0, 70528, '\p{Block:	grantha}', "");
Expect(1, 70528, '\p{^Block:	grantha}', "");
Expect(1, 70528, '\P{Block:	grantha}', "");
Expect(0, 70528, '\P{^Block:	grantha}', "");
Expect(1, 70527, '\p{Block=	GRANTHA}', "");
Expect(0, 70527, '\p{^Block=	GRANTHA}', "");
Expect(0, 70527, '\P{Block=	GRANTHA}', "");
Expect(1, 70527, '\P{^Block=	GRANTHA}', "");
Expect(0, 70528, '\p{Block=	GRANTHA}', "");
Expect(1, 70528, '\p{^Block=	GRANTHA}', "");
Expect(1, 70528, '\P{Block=	GRANTHA}', "");
Expect(0, 70528, '\P{^Block=	GRANTHA}', "");
Error('\p{Blk=_:=Grantha}');
Error('\P{Blk=_:=Grantha}');
Expect(1, 70527, '\p{Blk=grantha}', "");
Expect(0, 70527, '\p{^Blk=grantha}', "");
Expect(0, 70527, '\P{Blk=grantha}', "");
Expect(1, 70527, '\P{^Blk=grantha}', "");
Expect(0, 70528, '\p{Blk=grantha}', "");
Expect(1, 70528, '\p{^Blk=grantha}', "");
Expect(1, 70528, '\P{Blk=grantha}', "");
Expect(0, 70528, '\P{^Blk=grantha}', "");
Expect(1, 70527, '\p{Blk=__Grantha}', "");
Expect(0, 70527, '\p{^Blk=__Grantha}', "");
Expect(0, 70527, '\P{Blk=__Grantha}', "");
Expect(1, 70527, '\P{^Blk=__Grantha}', "");
Expect(0, 70528, '\p{Blk=__Grantha}', "");
Expect(1, 70528, '\p{^Blk=__Grantha}', "");
Expect(1, 70528, '\P{Blk=__Grantha}', "");
Expect(0, 70528, '\P{^Blk=__Grantha}', "");
Error('\p{Is_Block:	 /a/Grantha}');
Error('\P{Is_Block:	 /a/Grantha}');
Expect(1, 70527, '\p{Is_Block=grantha}', "");
Expect(0, 70527, '\p{^Is_Block=grantha}', "");
Expect(0, 70527, '\P{Is_Block=grantha}', "");
Expect(1, 70527, '\P{^Is_Block=grantha}', "");
Expect(0, 70528, '\p{Is_Block=grantha}', "");
Expect(1, 70528, '\p{^Is_Block=grantha}', "");
Expect(1, 70528, '\P{Is_Block=grantha}', "");
Expect(0, 70528, '\P{^Is_Block=grantha}', "");
Expect(1, 70527, '\p{Is_Block:    -Grantha}', "");
Expect(0, 70527, '\p{^Is_Block:    -Grantha}', "");
Expect(0, 70527, '\P{Is_Block:    -Grantha}', "");
Expect(1, 70527, '\P{^Is_Block:    -Grantha}', "");
Expect(0, 70528, '\p{Is_Block:    -Grantha}', "");
Expect(1, 70528, '\p{^Is_Block:    -Grantha}', "");
Expect(1, 70528, '\P{Is_Block:    -Grantha}', "");
Expect(0, 70528, '\P{^Is_Block:    -Grantha}', "");
Error('\p{Is_Blk=-_grantha:=}');
Error('\P{Is_Blk=-_grantha:=}');
Expect(1, 70527, '\p{Is_Blk=grantha}', "");
Expect(0, 70527, '\p{^Is_Blk=grantha}', "");
Expect(0, 70527, '\P{Is_Blk=grantha}', "");
Expect(1, 70527, '\P{^Is_Blk=grantha}', "");
Expect(0, 70528, '\p{Is_Blk=grantha}', "");
Expect(1, 70528, '\p{^Is_Blk=grantha}', "");
Expect(1, 70528, '\P{Is_Blk=grantha}', "");
Expect(0, 70528, '\P{^Is_Blk=grantha}', "");
Expect(1, 70527, '\p{Is_Blk=	 Grantha}', "");
Expect(0, 70527, '\p{^Is_Blk=	 Grantha}', "");
Expect(0, 70527, '\P{Is_Blk=	 Grantha}', "");
Expect(1, 70527, '\P{^Is_Blk=	 Grantha}', "");
Expect(0, 70528, '\p{Is_Blk=	 Grantha}', "");
Expect(1, 70528, '\p{^Is_Blk=	 Grantha}', "");
Expect(1, 70528, '\P{Is_Blk=	 Grantha}', "");
Expect(0, 70528, '\P{^Is_Blk=	 Grantha}', "");
Error('\p{Block=_:=Greek_And_Coptic}');
Error('\P{Block=_:=Greek_And_Coptic}');
Expect(1, 1023, '\p{Block=greekandcoptic}', "");
Expect(0, 1023, '\p{^Block=greekandcoptic}', "");
Expect(0, 1023, '\P{Block=greekandcoptic}', "");
Expect(1, 1023, '\P{^Block=greekandcoptic}', "");
Expect(0, 1024, '\p{Block=greekandcoptic}', "");
Expect(1, 1024, '\p{^Block=greekandcoptic}', "");
Expect(1, 1024, '\P{Block=greekandcoptic}', "");
Expect(0, 1024, '\P{^Block=greekandcoptic}', "");
Expect(1, 1023, '\p{Block: 	GREEK_And_coptic}', "");
Expect(0, 1023, '\p{^Block: 	GREEK_And_coptic}', "");
Expect(0, 1023, '\P{Block: 	GREEK_And_coptic}', "");
Expect(1, 1023, '\P{^Block: 	GREEK_And_coptic}', "");
Expect(0, 1024, '\p{Block: 	GREEK_And_coptic}', "");
Expect(1, 1024, '\p{^Block: 	GREEK_And_coptic}', "");
Expect(1, 1024, '\P{Block: 	GREEK_And_coptic}', "");
Expect(0, 1024, '\P{^Block: 	GREEK_And_coptic}', "");
Error('\p{Blk= greek:=}');
Error('\P{Blk= greek:=}');
Expect(1, 1023, '\p{Blk=greek}', "");
Expect(0, 1023, '\p{^Blk=greek}', "");
Expect(0, 1023, '\P{Blk=greek}', "");
Expect(1, 1023, '\P{^Blk=greek}', "");
Expect(0, 1024, '\p{Blk=greek}', "");
Expect(1, 1024, '\p{^Blk=greek}', "");
Expect(1, 1024, '\P{Blk=greek}', "");
Expect(0, 1024, '\P{^Blk=greek}', "");
Expect(1, 1023, '\p{Blk=-	GREEK}', "");
Expect(0, 1023, '\p{^Blk=-	GREEK}', "");
Expect(0, 1023, '\P{Blk=-	GREEK}', "");
Expect(1, 1023, '\P{^Blk=-	GREEK}', "");
Expect(0, 1024, '\p{Blk=-	GREEK}', "");
Expect(1, 1024, '\p{^Blk=-	GREEK}', "");
Expect(1, 1024, '\P{Blk=-	GREEK}', "");
Expect(0, 1024, '\P{^Blk=-	GREEK}', "");
Error('\p{Is_Block= _Greek_And_Coptic:=}');
Error('\P{Is_Block= _Greek_And_Coptic:=}');
Expect(1, 1023, '\p{Is_Block=greekandcoptic}', "");
Expect(0, 1023, '\p{^Is_Block=greekandcoptic}', "");
Expect(0, 1023, '\P{Is_Block=greekandcoptic}', "");
Expect(1, 1023, '\P{^Is_Block=greekandcoptic}', "");
Expect(0, 1024, '\p{Is_Block=greekandcoptic}', "");
Expect(1, 1024, '\p{^Is_Block=greekandcoptic}', "");
Expect(1, 1024, '\P{Is_Block=greekandcoptic}', "");
Expect(0, 1024, '\P{^Is_Block=greekandcoptic}', "");
Expect(1, 1023, '\p{Is_Block=__Greek_AND_Coptic}', "");
Expect(0, 1023, '\p{^Is_Block=__Greek_AND_Coptic}', "");
Expect(0, 1023, '\P{Is_Block=__Greek_AND_Coptic}', "");
Expect(1, 1023, '\P{^Is_Block=__Greek_AND_Coptic}', "");
Expect(0, 1024, '\p{Is_Block=__Greek_AND_Coptic}', "");
Expect(1, 1024, '\p{^Is_Block=__Greek_AND_Coptic}', "");
Expect(1, 1024, '\P{Is_Block=__Greek_AND_Coptic}', "");
Expect(0, 1024, '\P{^Is_Block=__Greek_AND_Coptic}', "");
Error('\p{Is_Blk=-/a/Greek}');
Error('\P{Is_Blk=-/a/Greek}');
Expect(1, 1023, '\p{Is_Blk: greek}', "");
Expect(0, 1023, '\p{^Is_Blk: greek}', "");
Expect(0, 1023, '\P{Is_Blk: greek}', "");
Expect(1, 1023, '\P{^Is_Blk: greek}', "");
Expect(0, 1024, '\p{Is_Blk: greek}', "");
Expect(1, 1024, '\p{^Is_Blk: greek}', "");
Expect(1, 1024, '\P{Is_Blk: greek}', "");
Expect(0, 1024, '\P{^Is_Blk: greek}', "");
Expect(1, 1023, '\p{Is_Blk=	greek}', "");
Expect(0, 1023, '\p{^Is_Blk=	greek}', "");
Expect(0, 1023, '\P{Is_Blk=	greek}', "");
Expect(1, 1023, '\P{^Is_Blk=	greek}', "");
Expect(0, 1024, '\p{Is_Blk=	greek}', "");
Expect(1, 1024, '\p{^Is_Blk=	greek}', "");
Expect(1, 1024, '\P{Is_Blk=	greek}', "");
Expect(0, 1024, '\P{^Is_Blk=	greek}', "");
Error('\p{Block=/a/-Greek_EXTENDED}');
Error('\P{Block=/a/-Greek_EXTENDED}');
Expect(1, 8191, '\p{Block=greekextended}', "");
Expect(0, 8191, '\p{^Block=greekextended}', "");
Expect(0, 8191, '\P{Block=greekextended}', "");
Expect(1, 8191, '\P{^Block=greekextended}', "");
Expect(0, 8192, '\p{Block=greekextended}', "");
Expect(1, 8192, '\p{^Block=greekextended}', "");
Expect(1, 8192, '\P{Block=greekextended}', "");
Expect(0, 8192, '\P{^Block=greekextended}', "");
Expect(1, 8191, '\p{Block= GREEK_EXTENDED}', "");
Expect(0, 8191, '\p{^Block= GREEK_EXTENDED}', "");
Expect(0, 8191, '\P{Block= GREEK_EXTENDED}', "");
Expect(1, 8191, '\P{^Block= GREEK_EXTENDED}', "");
Expect(0, 8192, '\p{Block= GREEK_EXTENDED}', "");
Expect(1, 8192, '\p{^Block= GREEK_EXTENDED}', "");
Expect(1, 8192, '\P{Block= GREEK_EXTENDED}', "");
Expect(0, 8192, '\P{^Block= GREEK_EXTENDED}', "");
Error('\p{Blk=	-Greek_Ext:=}');
Error('\P{Blk=	-Greek_Ext:=}');
Expect(1, 8191, '\p{Blk=greekext}', "");
Expect(0, 8191, '\p{^Blk=greekext}', "");
Expect(0, 8191, '\P{Blk=greekext}', "");
Expect(1, 8191, '\P{^Blk=greekext}', "");
Expect(0, 8192, '\p{Blk=greekext}', "");
Expect(1, 8192, '\p{^Blk=greekext}', "");
Expect(1, 8192, '\P{Blk=greekext}', "");
Expect(0, 8192, '\P{^Blk=greekext}', "");
Expect(1, 8191, '\p{Blk=-Greek_Ext}', "");
Expect(0, 8191, '\p{^Blk=-Greek_Ext}', "");
Expect(0, 8191, '\P{Blk=-Greek_Ext}', "");
Expect(1, 8191, '\P{^Blk=-Greek_Ext}', "");
Expect(0, 8192, '\p{Blk=-Greek_Ext}', "");
Expect(1, 8192, '\p{^Blk=-Greek_Ext}', "");
Expect(1, 8192, '\P{Blk=-Greek_Ext}', "");
Expect(0, 8192, '\P{^Blk=-Greek_Ext}', "");
Error('\p{Is_Block=-/a/greek_EXTENDED}');
Error('\P{Is_Block=-/a/greek_EXTENDED}');
Expect(1, 8191, '\p{Is_Block:   greekextended}', "");
Expect(0, 8191, '\p{^Is_Block:   greekextended}', "");
Expect(0, 8191, '\P{Is_Block:   greekextended}', "");
Expect(1, 8191, '\P{^Is_Block:   greekextended}', "");
Expect(0, 8192, '\p{Is_Block:   greekextended}', "");
Expect(1, 8192, '\p{^Is_Block:   greekextended}', "");
Expect(1, 8192, '\P{Is_Block:   greekextended}', "");
Expect(0, 8192, '\P{^Is_Block:   greekextended}', "");
Expect(1, 8191, '\p{Is_Block= Greek_Extended}', "");
Expect(0, 8191, '\p{^Is_Block= Greek_Extended}', "");
Expect(0, 8191, '\P{Is_Block= Greek_Extended}', "");
Expect(1, 8191, '\P{^Is_Block= Greek_Extended}', "");
Expect(0, 8192, '\p{Is_Block= Greek_Extended}', "");
Expect(1, 8192, '\p{^Is_Block= Greek_Extended}', "");
Expect(1, 8192, '\P{Is_Block= Greek_Extended}', "");
Expect(0, 8192, '\P{^Is_Block= Greek_Extended}', "");
Error('\p{Is_Blk=:= _greek_Ext}');
Error('\P{Is_Blk=:= _greek_Ext}');
Expect(1, 8191, '\p{Is_Blk=greekext}', "");
Expect(0, 8191, '\p{^Is_Blk=greekext}', "");
Expect(0, 8191, '\P{Is_Blk=greekext}', "");
Expect(1, 8191, '\P{^Is_Blk=greekext}', "");
Expect(0, 8192, '\p{Is_Blk=greekext}', "");
Expect(1, 8192, '\p{^Is_Blk=greekext}', "");
Expect(1, 8192, '\P{Is_Blk=greekext}', "");
Expect(0, 8192, '\P{^Is_Blk=greekext}', "");
Expect(1, 8191, '\p{Is_Blk=- Greek_ext}', "");
Expect(0, 8191, '\p{^Is_Blk=- Greek_ext}', "");
Expect(0, 8191, '\P{Is_Blk=- Greek_ext}', "");
Expect(1, 8191, '\P{^Is_Blk=- Greek_ext}', "");
Expect(0, 8192, '\p{Is_Blk=- Greek_ext}', "");
Expect(1, 8192, '\p{^Is_Blk=- Greek_ext}', "");
Expect(1, 8192, '\P{Is_Blk=- Greek_ext}', "");
Expect(0, 8192, '\P{^Is_Blk=- Greek_ext}', "");
Error('\p{Block=-_Gujarati:=}');
Error('\P{Block=-_Gujarati:=}');
Expect(1, 2815, '\p{Block=gujarati}', "");
Expect(0, 2815, '\p{^Block=gujarati}', "");
Expect(0, 2815, '\P{Block=gujarati}', "");
Expect(1, 2815, '\P{^Block=gujarati}', "");
Expect(0, 2816, '\p{Block=gujarati}', "");
Expect(1, 2816, '\p{^Block=gujarati}', "");
Expect(1, 2816, '\P{Block=gujarati}', "");
Expect(0, 2816, '\P{^Block=gujarati}', "");
Expect(1, 2815, '\p{Block: 	_Gujarati}', "");
Expect(0, 2815, '\p{^Block: 	_Gujarati}', "");
Expect(0, 2815, '\P{Block: 	_Gujarati}', "");
Expect(1, 2815, '\P{^Block: 	_Gujarati}', "");
Expect(0, 2816, '\p{Block: 	_Gujarati}', "");
Expect(1, 2816, '\p{^Block: 	_Gujarati}', "");
Expect(1, 2816, '\P{Block: 	_Gujarati}', "");
Expect(0, 2816, '\P{^Block: 	_Gujarati}', "");
Error('\p{Blk=/a/_Gujarati}');
Error('\P{Blk=/a/_Gujarati}');
Expect(1, 2815, '\p{Blk=gujarati}', "");
Expect(0, 2815, '\p{^Blk=gujarati}', "");
Expect(0, 2815, '\P{Blk=gujarati}', "");
Expect(1, 2815, '\P{^Blk=gujarati}', "");
Expect(0, 2816, '\p{Blk=gujarati}', "");
Expect(1, 2816, '\p{^Blk=gujarati}', "");
Expect(1, 2816, '\P{Blk=gujarati}', "");
Expect(0, 2816, '\P{^Blk=gujarati}', "");
Expect(1, 2815, '\p{Blk=	 Gujarati}', "");
Expect(0, 2815, '\p{^Blk=	 Gujarati}', "");
Expect(0, 2815, '\P{Blk=	 Gujarati}', "");
Expect(1, 2815, '\P{^Blk=	 Gujarati}', "");
Expect(0, 2816, '\p{Blk=	 Gujarati}', "");
Expect(1, 2816, '\p{^Blk=	 Gujarati}', "");
Expect(1, 2816, '\P{Blk=	 Gujarati}', "");
Expect(0, 2816, '\P{^Blk=	 Gujarati}', "");
Error('\p{Is_Block= :=Gujarati}');
Error('\P{Is_Block= :=Gujarati}');
Expect(1, 2815, '\p{Is_Block=gujarati}', "");
Expect(0, 2815, '\p{^Is_Block=gujarati}', "");
Expect(0, 2815, '\P{Is_Block=gujarati}', "");
Expect(1, 2815, '\P{^Is_Block=gujarati}', "");
Expect(0, 2816, '\p{Is_Block=gujarati}', "");
Expect(1, 2816, '\p{^Is_Block=gujarati}', "");
Expect(1, 2816, '\P{Is_Block=gujarati}', "");
Expect(0, 2816, '\P{^Is_Block=gujarati}', "");
Expect(1, 2815, '\p{Is_Block=-Gujarati}', "");
Expect(0, 2815, '\p{^Is_Block=-Gujarati}', "");
Expect(0, 2815, '\P{Is_Block=-Gujarati}', "");
Expect(1, 2815, '\P{^Is_Block=-Gujarati}', "");
Expect(0, 2816, '\p{Is_Block=-Gujarati}', "");
Expect(1, 2816, '\p{^Is_Block=-Gujarati}', "");
Expect(1, 2816, '\P{Is_Block=-Gujarati}', "");
Expect(0, 2816, '\P{^Is_Block=-Gujarati}', "");
Error('\p{Is_Blk=/a/--Gujarati}');
Error('\P{Is_Blk=/a/--Gujarati}');
Expect(1, 2815, '\p{Is_Blk=gujarati}', "");
Expect(0, 2815, '\p{^Is_Blk=gujarati}', "");
Expect(0, 2815, '\P{Is_Blk=gujarati}', "");
Expect(1, 2815, '\P{^Is_Blk=gujarati}', "");
Expect(0, 2816, '\p{Is_Blk=gujarati}', "");
Expect(1, 2816, '\p{^Is_Blk=gujarati}', "");
Expect(1, 2816, '\P{Is_Blk=gujarati}', "");
Expect(0, 2816, '\P{^Is_Blk=gujarati}', "");
Expect(1, 2815, '\p{Is_Blk=		gujarati}', "");
Expect(0, 2815, '\p{^Is_Blk=		gujarati}', "");
Expect(0, 2815, '\P{Is_Blk=		gujarati}', "");
Expect(1, 2815, '\P{^Is_Blk=		gujarati}', "");
Expect(0, 2816, '\p{Is_Blk=		gujarati}', "");
Expect(1, 2816, '\p{^Is_Blk=		gujarati}', "");
Expect(1, 2816, '\P{Is_Blk=		gujarati}', "");
Expect(0, 2816, '\P{^Is_Blk=		gujarati}', "");
Error('\p{Block=:= Gurmukhi}');
Error('\P{Block=:= Gurmukhi}');
Expect(1, 2687, '\p{Block=gurmukhi}', "");
Expect(0, 2687, '\p{^Block=gurmukhi}', "");
Expect(0, 2687, '\P{Block=gurmukhi}', "");
Expect(1, 2687, '\P{^Block=gurmukhi}', "");
Expect(0, 2688, '\p{Block=gurmukhi}', "");
Expect(1, 2688, '\p{^Block=gurmukhi}', "");
Expect(1, 2688, '\P{Block=gurmukhi}', "");
Expect(0, 2688, '\P{^Block=gurmukhi}', "");
Expect(1, 2687, '\p{Block=__gurmukhi}', "");
Expect(0, 2687, '\p{^Block=__gurmukhi}', "");
Expect(0, 2687, '\P{Block=__gurmukhi}', "");
Expect(1, 2687, '\P{^Block=__gurmukhi}', "");
Expect(0, 2688, '\p{Block=__gurmukhi}', "");
Expect(1, 2688, '\p{^Block=__gurmukhi}', "");
Expect(1, 2688, '\P{Block=__gurmukhi}', "");
Expect(0, 2688, '\P{^Block=__gurmukhi}', "");
Error('\p{Blk=		GURMUKHI:=}');
Error('\P{Blk=		GURMUKHI:=}');
Expect(1, 2687, '\p{Blk=gurmukhi}', "");
Expect(0, 2687, '\p{^Blk=gurmukhi}', "");
Expect(0, 2687, '\P{Blk=gurmukhi}', "");
Expect(1, 2687, '\P{^Blk=gurmukhi}', "");
Expect(0, 2688, '\p{Blk=gurmukhi}', "");
Expect(1, 2688, '\p{^Blk=gurmukhi}', "");
Expect(1, 2688, '\P{Blk=gurmukhi}', "");
Expect(0, 2688, '\P{^Blk=gurmukhi}', "");
Expect(1, 2687, '\p{Blk=_	Gurmukhi}', "");
Expect(0, 2687, '\p{^Blk=_	Gurmukhi}', "");
Expect(0, 2687, '\P{Blk=_	Gurmukhi}', "");
Expect(1, 2687, '\P{^Blk=_	Gurmukhi}', "");
Expect(0, 2688, '\p{Blk=_	Gurmukhi}', "");
Expect(1, 2688, '\p{^Blk=_	Gurmukhi}', "");
Expect(1, 2688, '\P{Blk=_	Gurmukhi}', "");
Expect(0, 2688, '\P{^Blk=_	Gurmukhi}', "");
Error('\p{Is_Block=:=	_Gurmukhi}');
Error('\P{Is_Block=:=	_Gurmukhi}');
Expect(1, 2687, '\p{Is_Block=gurmukhi}', "");
Expect(0, 2687, '\p{^Is_Block=gurmukhi}', "");
Expect(0, 2687, '\P{Is_Block=gurmukhi}', "");
Expect(1, 2687, '\P{^Is_Block=gurmukhi}', "");
Expect(0, 2688, '\p{Is_Block=gurmukhi}', "");
Expect(1, 2688, '\p{^Is_Block=gurmukhi}', "");
Expect(1, 2688, '\P{Is_Block=gurmukhi}', "");
Expect(0, 2688, '\P{^Is_Block=gurmukhi}', "");
Expect(1, 2687, '\p{Is_Block=_-Gurmukhi}', "");
Expect(0, 2687, '\p{^Is_Block=_-Gurmukhi}', "");
Expect(0, 2687, '\P{Is_Block=_-Gurmukhi}', "");
Expect(1, 2687, '\P{^Is_Block=_-Gurmukhi}', "");
Expect(0, 2688, '\p{Is_Block=_-Gurmukhi}', "");
Expect(1, 2688, '\p{^Is_Block=_-Gurmukhi}', "");
Expect(1, 2688, '\P{Is_Block=_-Gurmukhi}', "");
Expect(0, 2688, '\P{^Is_Block=_-Gurmukhi}', "");
Error('\p{Is_Blk=--Gurmukhi/a/}');
Error('\P{Is_Blk=--Gurmukhi/a/}');
Expect(1, 2687, '\p{Is_Blk=gurmukhi}', "");
Expect(0, 2687, '\p{^Is_Blk=gurmukhi}', "");
Expect(0, 2687, '\P{Is_Blk=gurmukhi}', "");
Expect(1, 2687, '\P{^Is_Blk=gurmukhi}', "");
Expect(0, 2688, '\p{Is_Blk=gurmukhi}', "");
Expect(1, 2688, '\p{^Is_Blk=gurmukhi}', "");
Expect(1, 2688, '\P{Is_Blk=gurmukhi}', "");
Expect(0, 2688, '\P{^Is_Blk=gurmukhi}', "");
Expect(1, 2687, '\p{Is_Blk=- GURMUKHI}', "");
Expect(0, 2687, '\p{^Is_Blk=- GURMUKHI}', "");
Expect(0, 2687, '\P{Is_Blk=- GURMUKHI}', "");
Expect(1, 2687, '\P{^Is_Blk=- GURMUKHI}', "");
Expect(0, 2688, '\p{Is_Blk=- GURMUKHI}', "");
Expect(1, 2688, '\p{^Is_Blk=- GURMUKHI}', "");
Expect(1, 2688, '\P{Is_Blk=- GURMUKHI}', "");
Expect(0, 2688, '\P{^Is_Blk=- GURMUKHI}', "");
Error('\p{Block=/a/halfwidth_And_Fullwidth_Forms}');
Error('\P{Block=/a/halfwidth_And_Fullwidth_Forms}');
Expect(1, 65519, '\p{Block=halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^Block=halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{Block=halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^Block=halfwidthandfullwidthforms}', "");
Expect(0, 65520, '\p{Block=halfwidthandfullwidthforms}', "");
Expect(1, 65520, '\p{^Block=halfwidthandfullwidthforms}', "");
Expect(1, 65520, '\P{Block=halfwidthandfullwidthforms}', "");
Expect(0, 65520, '\P{^Block=halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{Block= -halfwidth_And_fullwidth_forms}', "");
Expect(0, 65519, '\p{^Block= -halfwidth_And_fullwidth_forms}', "");
Expect(0, 65519, '\P{Block= -halfwidth_And_fullwidth_forms}', "");
Expect(1, 65519, '\P{^Block= -halfwidth_And_fullwidth_forms}', "");
Expect(0, 65520, '\p{Block= -halfwidth_And_fullwidth_forms}', "");
Expect(1, 65520, '\p{^Block= -halfwidth_And_fullwidth_forms}', "");
Expect(1, 65520, '\P{Block= -halfwidth_And_fullwidth_forms}', "");
Expect(0, 65520, '\P{^Block= -halfwidth_And_fullwidth_forms}', "");
Error('\p{Blk=- HALF_and_Full_forms:=}');
Error('\P{Blk=- HALF_and_Full_forms:=}');
Expect(1, 65519, '\p{Blk: halfandfullforms}', "");
Expect(0, 65519, '\p{^Blk: halfandfullforms}', "");
Expect(0, 65519, '\P{Blk: halfandfullforms}', "");
Expect(1, 65519, '\P{^Blk: halfandfullforms}', "");
Expect(0, 65520, '\p{Blk: halfandfullforms}', "");
Expect(1, 65520, '\p{^Blk: halfandfullforms}', "");
Expect(1, 65520, '\P{Blk: halfandfullforms}', "");
Expect(0, 65520, '\P{^Blk: halfandfullforms}', "");
Expect(1, 65519, '\p{Blk=_ Half_And_FULL_forms}', "");
Expect(0, 65519, '\p{^Blk=_ Half_And_FULL_forms}', "");
Expect(0, 65519, '\P{Blk=_ Half_And_FULL_forms}', "");
Expect(1, 65519, '\P{^Blk=_ Half_And_FULL_forms}', "");
Expect(0, 65520, '\p{Blk=_ Half_And_FULL_forms}', "");
Expect(1, 65520, '\p{^Blk=_ Half_And_FULL_forms}', "");
Expect(1, 65520, '\P{Blk=_ Half_And_FULL_forms}', "");
Expect(0, 65520, '\P{^Blk=_ Half_And_FULL_forms}', "");
Error('\p{Is_Block=:=Halfwidth_And_Fullwidth_forms}');
Error('\P{Is_Block=:=Halfwidth_And_Fullwidth_forms}');
Expect(1, 65519, '\p{Is_Block:   halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^Is_Block:   halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{Is_Block:   halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^Is_Block:   halfwidthandfullwidthforms}', "");
Expect(0, 65520, '\p{Is_Block:   halfwidthandfullwidthforms}', "");
Expect(1, 65520, '\p{^Is_Block:   halfwidthandfullwidthforms}', "");
Expect(1, 65520, '\P{Is_Block:   halfwidthandfullwidthforms}', "");
Expect(0, 65520, '\P{^Is_Block:   halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{Is_Block= 	Halfwidth_and_Fullwidth_Forms}', "");
Expect(0, 65519, '\p{^Is_Block= 	Halfwidth_and_Fullwidth_Forms}', "");
Expect(0, 65519, '\P{Is_Block= 	Halfwidth_and_Fullwidth_Forms}', "");
Expect(1, 65519, '\P{^Is_Block= 	Halfwidth_and_Fullwidth_Forms}', "");
Expect(0, 65520, '\p{Is_Block= 	Halfwidth_and_Fullwidth_Forms}', "");
Expect(1, 65520, '\p{^Is_Block= 	Halfwidth_and_Fullwidth_Forms}', "");
Expect(1, 65520, '\P{Is_Block= 	Halfwidth_and_Fullwidth_Forms}', "");
Expect(0, 65520, '\P{^Is_Block= 	Halfwidth_and_Fullwidth_Forms}', "");
Error('\p{Is_Blk=	-HALF_And_Full_Forms:=}');
Error('\P{Is_Blk=	-HALF_And_Full_Forms:=}');
Expect(1, 65519, '\p{Is_Blk=halfandfullforms}', "");
Expect(0, 65519, '\p{^Is_Blk=halfandfullforms}', "");
Expect(0, 65519, '\P{Is_Blk=halfandfullforms}', "");
Expect(1, 65519, '\P{^Is_Blk=halfandfullforms}', "");
Expect(0, 65520, '\p{Is_Blk=halfandfullforms}', "");
Expect(1, 65520, '\p{^Is_Blk=halfandfullforms}', "");
Expect(1, 65520, '\P{Is_Blk=halfandfullforms}', "");
Expect(0, 65520, '\P{^Is_Blk=halfandfullforms}', "");
Expect(1, 65519, '\p{Is_Blk=- half_and_full_FORMS}', "");
Expect(0, 65519, '\p{^Is_Blk=- half_and_full_FORMS}', "");
Expect(0, 65519, '\P{Is_Blk=- half_and_full_FORMS}', "");
Expect(1, 65519, '\P{^Is_Blk=- half_and_full_FORMS}', "");
Expect(0, 65520, '\p{Is_Blk=- half_and_full_FORMS}', "");
Expect(1, 65520, '\p{^Is_Blk=- half_and_full_FORMS}', "");
Expect(1, 65520, '\P{Is_Blk=- half_and_full_FORMS}', "");
Expect(0, 65520, '\P{^Is_Blk=- half_and_full_FORMS}', "");
Error('\p{Block=-:=Combining_HALF_marks}');
Error('\P{Block=-:=Combining_HALF_marks}');
Expect(1, 65071, '\p{Block:combininghalfmarks}', "");
Expect(0, 65071, '\p{^Block:combininghalfmarks}', "");
Expect(0, 65071, '\P{Block:combininghalfmarks}', "");
Expect(1, 65071, '\P{^Block:combininghalfmarks}', "");
Expect(0, 65072, '\p{Block:combininghalfmarks}', "");
Expect(1, 65072, '\p{^Block:combininghalfmarks}', "");
Expect(1, 65072, '\P{Block:combininghalfmarks}', "");
Expect(0, 65072, '\P{^Block:combininghalfmarks}', "");
Expect(1, 65071, '\p{Block= _Combining_Half_MARKS}', "");
Expect(0, 65071, '\p{^Block= _Combining_Half_MARKS}', "");
Expect(0, 65071, '\P{Block= _Combining_Half_MARKS}', "");
Expect(1, 65071, '\P{^Block= _Combining_Half_MARKS}', "");
Expect(0, 65072, '\p{Block= _Combining_Half_MARKS}', "");
Expect(1, 65072, '\p{^Block= _Combining_Half_MARKS}', "");
Expect(1, 65072, '\P{Block= _Combining_Half_MARKS}', "");
Expect(0, 65072, '\P{^Block= _Combining_Half_MARKS}', "");
Error('\p{Blk=half_marks/a/}');
Error('\P{Blk=half_marks/a/}');
Expect(1, 65071, '\p{Blk=halfmarks}', "");
Expect(0, 65071, '\p{^Blk=halfmarks}', "");
Expect(0, 65071, '\P{Blk=halfmarks}', "");
Expect(1, 65071, '\P{^Blk=halfmarks}', "");
Expect(0, 65072, '\p{Blk=halfmarks}', "");
Expect(1, 65072, '\p{^Blk=halfmarks}', "");
Expect(1, 65072, '\P{Blk=halfmarks}', "");
Expect(0, 65072, '\P{^Blk=halfmarks}', "");
Expect(1, 65071, '\p{Blk=_ HALF_Marks}', "");
Expect(0, 65071, '\p{^Blk=_ HALF_Marks}', "");
Expect(0, 65071, '\P{Blk=_ HALF_Marks}', "");
Expect(1, 65071, '\P{^Blk=_ HALF_Marks}', "");
Expect(0, 65072, '\p{Blk=_ HALF_Marks}', "");
Expect(1, 65072, '\p{^Blk=_ HALF_Marks}', "");
Expect(1, 65072, '\P{Blk=_ HALF_Marks}', "");
Expect(0, 65072, '\P{^Blk=_ HALF_Marks}', "");
Error('\p{Is_Block=-	Combining_HALF_MARKS:=}');
Error('\P{Is_Block=-	Combining_HALF_MARKS:=}');
Expect(1, 65071, '\p{Is_Block=combininghalfmarks}', "");
Expect(0, 65071, '\p{^Is_Block=combininghalfmarks}', "");
Expect(0, 65071, '\P{Is_Block=combininghalfmarks}', "");
Expect(1, 65071, '\P{^Is_Block=combininghalfmarks}', "");
Expect(0, 65072, '\p{Is_Block=combininghalfmarks}', "");
Expect(1, 65072, '\p{^Is_Block=combininghalfmarks}', "");
Expect(1, 65072, '\P{Is_Block=combininghalfmarks}', "");
Expect(0, 65072, '\P{^Is_Block=combininghalfmarks}', "");
Expect(1, 65071, '\p{Is_Block=-Combining_half_marks}', "");
Expect(0, 65071, '\p{^Is_Block=-Combining_half_marks}', "");
Expect(0, 65071, '\P{Is_Block=-Combining_half_marks}', "");
Expect(1, 65071, '\P{^Is_Block=-Combining_half_marks}', "");
Expect(0, 65072, '\p{Is_Block=-Combining_half_marks}', "");
Expect(1, 65072, '\p{^Is_Block=-Combining_half_marks}', "");
Expect(1, 65072, '\P{Is_Block=-Combining_half_marks}', "");
Expect(0, 65072, '\P{^Is_Block=-Combining_half_marks}', "");
Error('\p{Is_Blk=	:=Half_marks}');
Error('\P{Is_Blk=	:=Half_marks}');
Expect(1, 65071, '\p{Is_Blk=halfmarks}', "");
Expect(0, 65071, '\p{^Is_Blk=halfmarks}', "");
Expect(0, 65071, '\P{Is_Blk=halfmarks}', "");
Expect(1, 65071, '\P{^Is_Blk=halfmarks}', "");
Expect(0, 65072, '\p{Is_Blk=halfmarks}', "");
Expect(1, 65072, '\p{^Is_Blk=halfmarks}', "");
Expect(1, 65072, '\P{Is_Blk=halfmarks}', "");
Expect(0, 65072, '\P{^Is_Blk=halfmarks}', "");
Expect(1, 65071, '\p{Is_Blk=_-Half_Marks}', "");
Expect(0, 65071, '\p{^Is_Blk=_-Half_Marks}', "");
Expect(0, 65071, '\P{Is_Blk=_-Half_Marks}', "");
Expect(1, 65071, '\P{^Is_Blk=_-Half_Marks}', "");
Expect(0, 65072, '\p{Is_Blk=_-Half_Marks}', "");
Expect(1, 65072, '\p{^Is_Blk=_-Half_Marks}', "");
Expect(1, 65072, '\P{Is_Blk=_-Half_Marks}', "");
Expect(0, 65072, '\P{^Is_Blk=_-Half_Marks}', "");
Error('\p{Block= HANGUL_Syllables:=}');
Error('\P{Block= HANGUL_Syllables:=}');
Expect(1, 55215, '\p{Block=hangulsyllables}', "");
Expect(0, 55215, '\p{^Block=hangulsyllables}', "");
Expect(0, 55215, '\P{Block=hangulsyllables}', "");
Expect(1, 55215, '\P{^Block=hangulsyllables}', "");
Expect(0, 55216, '\p{Block=hangulsyllables}', "");
Expect(1, 55216, '\p{^Block=hangulsyllables}', "");
Expect(1, 55216, '\P{Block=hangulsyllables}', "");
Expect(0, 55216, '\P{^Block=hangulsyllables}', "");
Expect(1, 55215, '\p{Block=_-Hangul_syllables}', "");
Expect(0, 55215, '\p{^Block=_-Hangul_syllables}', "");
Expect(0, 55215, '\P{Block=_-Hangul_syllables}', "");
Expect(1, 55215, '\P{^Block=_-Hangul_syllables}', "");
Expect(0, 55216, '\p{Block=_-Hangul_syllables}', "");
Expect(1, 55216, '\p{^Block=_-Hangul_syllables}', "");
Expect(1, 55216, '\P{Block=_-Hangul_syllables}', "");
Expect(0, 55216, '\P{^Block=_-Hangul_syllables}', "");
Error('\p{Blk::=_-Hangul}');
Error('\P{Blk::=_-Hangul}');
Expect(1, 55215, '\p{Blk=hangul}', "");
Expect(0, 55215, '\p{^Blk=hangul}', "");
Expect(0, 55215, '\P{Blk=hangul}', "");
Expect(1, 55215, '\P{^Blk=hangul}', "");
Expect(0, 55216, '\p{Blk=hangul}', "");
Expect(1, 55216, '\p{^Blk=hangul}', "");
Expect(1, 55216, '\P{Blk=hangul}', "");
Expect(0, 55216, '\P{^Blk=hangul}', "");
Expect(1, 55215, '\p{Blk:	 Hangul}', "");
Expect(0, 55215, '\p{^Blk:	 Hangul}', "");
Expect(0, 55215, '\P{Blk:	 Hangul}', "");
Expect(1, 55215, '\P{^Blk:	 Hangul}', "");
Expect(0, 55216, '\p{Blk:	 Hangul}', "");
Expect(1, 55216, '\p{^Blk:	 Hangul}', "");
Expect(1, 55216, '\P{Blk:	 Hangul}', "");
Expect(0, 55216, '\P{^Blk:	 Hangul}', "");
Error('\p{Is_Block=	 HANGUL_syllables/a/}');
Error('\P{Is_Block=	 HANGUL_syllables/a/}');
Expect(1, 55215, '\p{Is_Block=hangulsyllables}', "");
Expect(0, 55215, '\p{^Is_Block=hangulsyllables}', "");
Expect(0, 55215, '\P{Is_Block=hangulsyllables}', "");
Expect(1, 55215, '\P{^Is_Block=hangulsyllables}', "");
Expect(0, 55216, '\p{Is_Block=hangulsyllables}', "");
Expect(1, 55216, '\p{^Is_Block=hangulsyllables}', "");
Expect(1, 55216, '\P{Is_Block=hangulsyllables}', "");
Expect(0, 55216, '\P{^Is_Block=hangulsyllables}', "");
Expect(1, 55215, '\p{Is_Block=	Hangul_SYLLABLES}', "");
Expect(0, 55215, '\p{^Is_Block=	Hangul_SYLLABLES}', "");
Expect(0, 55215, '\P{Is_Block=	Hangul_SYLLABLES}', "");
Expect(1, 55215, '\P{^Is_Block=	Hangul_SYLLABLES}', "");
Expect(0, 55216, '\p{Is_Block=	Hangul_SYLLABLES}', "");
Expect(1, 55216, '\p{^Is_Block=	Hangul_SYLLABLES}', "");
Expect(1, 55216, '\P{Is_Block=	Hangul_SYLLABLES}', "");
Expect(0, 55216, '\P{^Is_Block=	Hangul_SYLLABLES}', "");
Error('\p{Is_Blk=-/a/hangul}');
Error('\P{Is_Blk=-/a/hangul}');
Expect(1, 55215, '\p{Is_Blk=hangul}', "");
Expect(0, 55215, '\p{^Is_Blk=hangul}', "");
Expect(0, 55215, '\P{Is_Blk=hangul}', "");
Expect(1, 55215, '\P{^Is_Blk=hangul}', "");
Expect(0, 55216, '\p{Is_Blk=hangul}', "");
Expect(1, 55216, '\p{^Is_Blk=hangul}', "");
Expect(1, 55216, '\P{Is_Blk=hangul}', "");
Expect(0, 55216, '\P{^Is_Blk=hangul}', "");
Expect(1, 55215, '\p{Is_Blk=- Hangul}', "");
Expect(0, 55215, '\p{^Is_Blk=- Hangul}', "");
Expect(0, 55215, '\P{Is_Blk=- Hangul}', "");
Expect(1, 55215, '\P{^Is_Blk=- Hangul}', "");
Expect(0, 55216, '\p{Is_Blk=- Hangul}', "");
Expect(1, 55216, '\p{^Is_Blk=- Hangul}', "");
Expect(1, 55216, '\P{Is_Blk=- Hangul}', "");
Expect(0, 55216, '\P{^Is_Blk=- Hangul}', "");
Error('\p{Block=:=	hanunoo}');
Error('\P{Block=:=	hanunoo}');
Expect(1, 5951, '\p{Block=hanunoo}', "");
Expect(0, 5951, '\p{^Block=hanunoo}', "");
Expect(0, 5951, '\P{Block=hanunoo}', "");
Expect(1, 5951, '\P{^Block=hanunoo}', "");
Expect(0, 5952, '\p{Block=hanunoo}', "");
Expect(1, 5952, '\p{^Block=hanunoo}', "");
Expect(1, 5952, '\P{Block=hanunoo}', "");
Expect(0, 5952, '\P{^Block=hanunoo}', "");
Expect(1, 5951, '\p{Block=-	Hanunoo}', "");
Expect(0, 5951, '\p{^Block=-	Hanunoo}', "");
Expect(0, 5951, '\P{Block=-	Hanunoo}', "");
Expect(1, 5951, '\P{^Block=-	Hanunoo}', "");
Expect(0, 5952, '\p{Block=-	Hanunoo}', "");
Expect(1, 5952, '\p{^Block=-	Hanunoo}', "");
Expect(1, 5952, '\P{Block=-	Hanunoo}', "");
Expect(0, 5952, '\P{^Block=-	Hanunoo}', "");
Error('\p{Blk= /a/Hanunoo}');
Error('\P{Blk= /a/Hanunoo}');
Expect(1, 5951, '\p{Blk=hanunoo}', "");
Expect(0, 5951, '\p{^Blk=hanunoo}', "");
Expect(0, 5951, '\P{Blk=hanunoo}', "");
Expect(1, 5951, '\P{^Blk=hanunoo}', "");
Expect(0, 5952, '\p{Blk=hanunoo}', "");
Expect(1, 5952, '\p{^Blk=hanunoo}', "");
Expect(1, 5952, '\P{Blk=hanunoo}', "");
Expect(0, 5952, '\P{^Blk=hanunoo}', "");
Expect(1, 5951, '\p{Blk=--hanunoo}', "");
Expect(0, 5951, '\p{^Blk=--hanunoo}', "");
Expect(0, 5951, '\P{Blk=--hanunoo}', "");
Expect(1, 5951, '\P{^Blk=--hanunoo}', "");
Expect(0, 5952, '\p{Blk=--hanunoo}', "");
Expect(1, 5952, '\p{^Blk=--hanunoo}', "");
Expect(1, 5952, '\P{Blk=--hanunoo}', "");
Expect(0, 5952, '\P{^Blk=--hanunoo}', "");
Error('\p{Is_Block=:=Hanunoo}');
Error('\P{Is_Block=:=Hanunoo}');
Expect(1, 5951, '\p{Is_Block=hanunoo}', "");
Expect(0, 5951, '\p{^Is_Block=hanunoo}', "");
Expect(0, 5951, '\P{Is_Block=hanunoo}', "");
Expect(1, 5951, '\P{^Is_Block=hanunoo}', "");
Expect(0, 5952, '\p{Is_Block=hanunoo}', "");
Expect(1, 5952, '\p{^Is_Block=hanunoo}', "");
Expect(1, 5952, '\P{Is_Block=hanunoo}', "");
Expect(0, 5952, '\P{^Is_Block=hanunoo}', "");
Expect(1, 5951, '\p{Is_Block=		Hanunoo}', "");
Expect(0, 5951, '\p{^Is_Block=		Hanunoo}', "");
Expect(0, 5951, '\P{Is_Block=		Hanunoo}', "");
Expect(1, 5951, '\P{^Is_Block=		Hanunoo}', "");
Expect(0, 5952, '\p{Is_Block=		Hanunoo}', "");
Expect(1, 5952, '\p{^Is_Block=		Hanunoo}', "");
Expect(1, 5952, '\P{Is_Block=		Hanunoo}', "");
Expect(0, 5952, '\P{^Is_Block=		Hanunoo}', "");
Error('\p{Is_Blk=/a/Hanunoo}');
Error('\P{Is_Blk=/a/Hanunoo}');
Expect(1, 5951, '\p{Is_Blk=hanunoo}', "");
Expect(0, 5951, '\p{^Is_Blk=hanunoo}', "");
Expect(0, 5951, '\P{Is_Blk=hanunoo}', "");
Expect(1, 5951, '\P{^Is_Blk=hanunoo}', "");
Expect(0, 5952, '\p{Is_Blk=hanunoo}', "");
Expect(1, 5952, '\p{^Is_Blk=hanunoo}', "");
Expect(1, 5952, '\P{Is_Blk=hanunoo}', "");
Expect(0, 5952, '\P{^Is_Blk=hanunoo}', "");
Expect(1, 5951, '\p{Is_Blk=-_HANUNOO}', "");
Expect(0, 5951, '\p{^Is_Blk=-_HANUNOO}', "");
Expect(0, 5951, '\P{Is_Blk=-_HANUNOO}', "");
Expect(1, 5951, '\P{^Is_Blk=-_HANUNOO}', "");
Expect(0, 5952, '\p{Is_Blk=-_HANUNOO}', "");
Expect(1, 5952, '\p{^Is_Blk=-_HANUNOO}', "");
Expect(1, 5952, '\P{Is_Blk=-_HANUNOO}', "");
Expect(0, 5952, '\P{^Is_Blk=-_HANUNOO}', "");
Error('\p{Block=-/a/Hebrew}');
Error('\P{Block=-/a/Hebrew}');
Expect(1, 1535, '\p{Block=hebrew}', "");
Expect(0, 1535, '\p{^Block=hebrew}', "");
Expect(0, 1535, '\P{Block=hebrew}', "");
Expect(1, 1535, '\P{^Block=hebrew}', "");
Expect(0, 1536, '\p{Block=hebrew}', "");
Expect(1, 1536, '\p{^Block=hebrew}', "");
Expect(1, 1536, '\P{Block=hebrew}', "");
Expect(0, 1536, '\P{^Block=hebrew}', "");
Expect(1, 1535, '\p{Block: _	Hebrew}', "");
Expect(0, 1535, '\p{^Block: _	Hebrew}', "");
Expect(0, 1535, '\P{Block: _	Hebrew}', "");
Expect(1, 1535, '\P{^Block: _	Hebrew}', "");
Expect(0, 1536, '\p{Block: _	Hebrew}', "");
Expect(1, 1536, '\p{^Block: _	Hebrew}', "");
Expect(1, 1536, '\P{Block: _	Hebrew}', "");
Expect(0, 1536, '\P{^Block: _	Hebrew}', "");
Error('\p{Blk=:=-	Hebrew}');
Error('\P{Blk=:=-	Hebrew}');
Expect(1, 1535, '\p{Blk=hebrew}', "");
Expect(0, 1535, '\p{^Blk=hebrew}', "");
Expect(0, 1535, '\P{Blk=hebrew}', "");
Expect(1, 1535, '\P{^Blk=hebrew}', "");
Expect(0, 1536, '\p{Blk=hebrew}', "");
Expect(1, 1536, '\p{^Blk=hebrew}', "");
Expect(1, 1536, '\P{Blk=hebrew}', "");
Expect(0, 1536, '\P{^Blk=hebrew}', "");
Expect(1, 1535, '\p{Blk= -HEBREW}', "");
Expect(0, 1535, '\p{^Blk= -HEBREW}', "");
Expect(0, 1535, '\P{Blk= -HEBREW}', "");
Expect(1, 1535, '\P{^Blk= -HEBREW}', "");
Expect(0, 1536, '\p{Blk= -HEBREW}', "");
Expect(1, 1536, '\p{^Blk= -HEBREW}', "");
Expect(1, 1536, '\P{Blk= -HEBREW}', "");
Expect(0, 1536, '\P{^Blk= -HEBREW}', "");
Error('\p{Is_Block=:=	 Hebrew}');
Error('\P{Is_Block=:=	 Hebrew}');
Expect(1, 1535, '\p{Is_Block=hebrew}', "");
Expect(0, 1535, '\p{^Is_Block=hebrew}', "");
Expect(0, 1535, '\P{Is_Block=hebrew}', "");
Expect(1, 1535, '\P{^Is_Block=hebrew}', "");
Expect(0, 1536, '\p{Is_Block=hebrew}', "");
Expect(1, 1536, '\p{^Is_Block=hebrew}', "");
Expect(1, 1536, '\P{Is_Block=hebrew}', "");
Expect(0, 1536, '\P{^Is_Block=hebrew}', "");
Expect(1, 1535, '\p{Is_Block= -hebrew}', "");
Expect(0, 1535, '\p{^Is_Block= -hebrew}', "");
Expect(0, 1535, '\P{Is_Block= -hebrew}', "");
Expect(1, 1535, '\P{^Is_Block= -hebrew}', "");
Expect(0, 1536, '\p{Is_Block= -hebrew}', "");
Expect(1, 1536, '\p{^Is_Block= -hebrew}', "");
Expect(1, 1536, '\P{Is_Block= -hebrew}', "");
Expect(0, 1536, '\P{^Is_Block= -hebrew}', "");
Error('\p{Is_Blk=:=_	hebrew}');
Error('\P{Is_Blk=:=_	hebrew}');
Expect(1, 1535, '\p{Is_Blk=hebrew}', "");
Expect(0, 1535, '\p{^Is_Blk=hebrew}', "");
Expect(0, 1535, '\P{Is_Blk=hebrew}', "");
Expect(1, 1535, '\P{^Is_Blk=hebrew}', "");
Expect(0, 1536, '\p{Is_Blk=hebrew}', "");
Expect(1, 1536, '\p{^Is_Blk=hebrew}', "");
Expect(1, 1536, '\P{Is_Blk=hebrew}', "");
Expect(0, 1536, '\P{^Is_Blk=hebrew}', "");
Expect(1, 1535, '\p{Is_Blk= hebrew}', "");
Expect(0, 1535, '\p{^Is_Blk= hebrew}', "");
Expect(0, 1535, '\P{Is_Blk= hebrew}', "");
Expect(1, 1535, '\P{^Is_Blk= hebrew}', "");
Expect(0, 1536, '\p{Is_Blk= hebrew}', "");
Expect(1, 1536, '\p{^Is_Blk= hebrew}', "");
Expect(1, 1536, '\P{Is_Blk= hebrew}', "");
Expect(0, 1536, '\P{^Is_Blk= hebrew}', "");
Error('\p{Block=/a/High_private_use_Surrogates}');
Error('\P{Block=/a/High_private_use_Surrogates}');
Expect(1, 56319, '\p{Block:	highprivateusesurrogates}', "");
Expect(0, 56319, '\p{^Block:	highprivateusesurrogates}', "");
Expect(0, 56319, '\P{Block:	highprivateusesurrogates}', "");
Expect(1, 56319, '\P{^Block:	highprivateusesurrogates}', "");
Expect(0, 57344, '\p{Block:	highprivateusesurrogates}', "");
Expect(1, 57344, '\p{^Block:	highprivateusesurrogates}', "");
Expect(1, 57344, '\P{Block:	highprivateusesurrogates}', "");
Expect(0, 57344, '\P{^Block:	highprivateusesurrogates}', "");
Expect(1, 56319, '\p{Block=--high_PRIVATE_USE_SURROGATES}', "");
Expect(0, 56319, '\p{^Block=--high_PRIVATE_USE_SURROGATES}', "");
Expect(0, 56319, '\P{Block=--high_PRIVATE_USE_SURROGATES}', "");
Expect(1, 56319, '\P{^Block=--high_PRIVATE_USE_SURROGATES}', "");
Expect(0, 57344, '\p{Block=--high_PRIVATE_USE_SURROGATES}', "");
Expect(1, 57344, '\p{^Block=--high_PRIVATE_USE_SURROGATES}', "");
Expect(1, 57344, '\P{Block=--high_PRIVATE_USE_SURROGATES}', "");
Expect(0, 57344, '\P{^Block=--high_PRIVATE_USE_SURROGATES}', "");
Error('\p{Blk:	 High_PU_surrogates/a/}');
Error('\P{Blk:	 High_PU_surrogates/a/}');
Expect(1, 56319, '\p{Blk: highpusurrogates}', "");
Expect(0, 56319, '\p{^Blk: highpusurrogates}', "");
Expect(0, 56319, '\P{Blk: highpusurrogates}', "");
Expect(1, 56319, '\P{^Blk: highpusurrogates}', "");
Expect(0, 57344, '\p{Blk: highpusurrogates}', "");
Expect(1, 57344, '\p{^Blk: highpusurrogates}', "");
Expect(1, 57344, '\P{Blk: highpusurrogates}', "");
Expect(0, 57344, '\P{^Blk: highpusurrogates}', "");
Expect(1, 56319, '\p{Blk=-_HIGH_PU_Surrogates}', "");
Expect(0, 56319, '\p{^Blk=-_HIGH_PU_Surrogates}', "");
Expect(0, 56319, '\P{Blk=-_HIGH_PU_Surrogates}', "");
Expect(1, 56319, '\P{^Blk=-_HIGH_PU_Surrogates}', "");
Expect(0, 57344, '\p{Blk=-_HIGH_PU_Surrogates}', "");
Expect(1, 57344, '\p{^Blk=-_HIGH_PU_Surrogates}', "");
Expect(1, 57344, '\P{Blk=-_HIGH_PU_Surrogates}', "");
Expect(0, 57344, '\P{^Blk=-_HIGH_PU_Surrogates}', "");
Error('\p{Is_Block:  	High_Private_Use_Surrogates:=}');
Error('\P{Is_Block:  	High_Private_Use_Surrogates:=}');
Expect(1, 56319, '\p{Is_Block=highprivateusesurrogates}', "");
Expect(0, 56319, '\p{^Is_Block=highprivateusesurrogates}', "");
Expect(0, 56319, '\P{Is_Block=highprivateusesurrogates}', "");
Expect(1, 56319, '\P{^Is_Block=highprivateusesurrogates}', "");
Expect(0, 57344, '\p{Is_Block=highprivateusesurrogates}', "");
Expect(1, 57344, '\p{^Is_Block=highprivateusesurrogates}', "");
Expect(1, 57344, '\P{Is_Block=highprivateusesurrogates}', "");
Expect(0, 57344, '\P{^Is_Block=highprivateusesurrogates}', "");
Expect(1, 56319, '\p{Is_Block=  high_private_Use_surrogates}', "");
Expect(0, 56319, '\p{^Is_Block=  high_private_Use_surrogates}', "");
Expect(0, 56319, '\P{Is_Block=  high_private_Use_surrogates}', "");
Expect(1, 56319, '\P{^Is_Block=  high_private_Use_surrogates}', "");
Expect(0, 57344, '\p{Is_Block=  high_private_Use_surrogates}', "");
Expect(1, 57344, '\p{^Is_Block=  high_private_Use_surrogates}', "");
Expect(1, 57344, '\P{Is_Block=  high_private_Use_surrogates}', "");
Expect(0, 57344, '\P{^Is_Block=  high_private_Use_surrogates}', "");
Error('\p{Is_Blk=/a/-HIGH_PU_surrogates}');
Error('\P{Is_Blk=/a/-HIGH_PU_surrogates}');
Expect(1, 56319, '\p{Is_Blk=highpusurrogates}', "");
Expect(0, 56319, '\p{^Is_Blk=highpusurrogates}', "");
Expect(0, 56319, '\P{Is_Blk=highpusurrogates}', "");
Expect(1, 56319, '\P{^Is_Blk=highpusurrogates}', "");
Expect(0, 57344, '\p{Is_Blk=highpusurrogates}', "");
Expect(1, 57344, '\p{^Is_Blk=highpusurrogates}', "");
Expect(1, 57344, '\P{Is_Blk=highpusurrogates}', "");
Expect(0, 57344, '\P{^Is_Blk=highpusurrogates}', "");
Expect(1, 56319, '\p{Is_Blk=	HIGH_PU_surrogates}', "");
Expect(0, 56319, '\p{^Is_Blk=	HIGH_PU_surrogates}', "");
Expect(0, 56319, '\P{Is_Blk=	HIGH_PU_surrogates}', "");
Expect(1, 56319, '\P{^Is_Blk=	HIGH_PU_surrogates}', "");
Expect(0, 57344, '\p{Is_Blk=	HIGH_PU_surrogates}', "");
Expect(1, 57344, '\p{^Is_Blk=	HIGH_PU_surrogates}', "");
Expect(1, 57344, '\P{Is_Blk=	HIGH_PU_surrogates}', "");
Expect(0, 57344, '\P{^Is_Blk=	HIGH_PU_surrogates}', "");
Error('\p{Block= HIGH_surrogates/a/}');
Error('\P{Block= HIGH_surrogates/a/}');
Expect(1, 56191, '\p{Block=highsurrogates}', "");
Expect(0, 56191, '\p{^Block=highsurrogates}', "");
Expect(0, 56191, '\P{Block=highsurrogates}', "");
Expect(1, 56191, '\P{^Block=highsurrogates}', "");
Expect(0, 57344, '\p{Block=highsurrogates}', "");
Expect(1, 57344, '\p{^Block=highsurrogates}', "");
Expect(1, 57344, '\P{Block=highsurrogates}', "");
Expect(0, 57344, '\P{^Block=highsurrogates}', "");
Expect(1, 56191, '\p{Block=- High_surrogates}', "");
Expect(0, 56191, '\p{^Block=- High_surrogates}', "");
Expect(0, 56191, '\P{Block=- High_surrogates}', "");
Expect(1, 56191, '\P{^Block=- High_surrogates}', "");
Expect(0, 57344, '\p{Block=- High_surrogates}', "");
Expect(1, 57344, '\p{^Block=- High_surrogates}', "");
Expect(1, 57344, '\P{Block=- High_surrogates}', "");
Expect(0, 57344, '\P{^Block=- High_surrogates}', "");
Error('\p{Blk=/a/_High_Surrogates}');
Error('\P{Blk=/a/_High_Surrogates}');
Expect(1, 56191, '\p{Blk=highsurrogates}', "");
Expect(0, 56191, '\p{^Blk=highsurrogates}', "");
Expect(0, 56191, '\P{Blk=highsurrogates}', "");
Expect(1, 56191, '\P{^Blk=highsurrogates}', "");
Expect(0, 57344, '\p{Blk=highsurrogates}', "");
Expect(1, 57344, '\p{^Blk=highsurrogates}', "");
Expect(1, 57344, '\P{Blk=highsurrogates}', "");
Expect(0, 57344, '\P{^Blk=highsurrogates}', "");
Expect(1, 56191, '\p{Blk=-High_SURROGATES}', "");
Expect(0, 56191, '\p{^Blk=-High_SURROGATES}', "");
Expect(0, 56191, '\P{Blk=-High_SURROGATES}', "");
Expect(1, 56191, '\P{^Blk=-High_SURROGATES}', "");
Expect(0, 57344, '\p{Blk=-High_SURROGATES}', "");
Expect(1, 57344, '\p{^Blk=-High_SURROGATES}', "");
Expect(1, 57344, '\P{Blk=-High_SURROGATES}', "");
Expect(0, 57344, '\P{^Blk=-High_SURROGATES}', "");
Error('\p{Is_Block=_:=High_Surrogates}');
Error('\P{Is_Block=_:=High_Surrogates}');
Expect(1, 56191, '\p{Is_Block:	highsurrogates}', "");
Expect(0, 56191, '\p{^Is_Block:	highsurrogates}', "");
Expect(0, 56191, '\P{Is_Block:	highsurrogates}', "");
Expect(1, 56191, '\P{^Is_Block:	highsurrogates}', "");
Expect(0, 57344, '\p{Is_Block:	highsurrogates}', "");
Expect(1, 57344, '\p{^Is_Block:	highsurrogates}', "");
Expect(1, 57344, '\P{Is_Block:	highsurrogates}', "");
Expect(0, 57344, '\P{^Is_Block:	highsurrogates}', "");
Expect(1, 56191, '\p{Is_Block= _HIGH_Surrogates}', "");
Expect(0, 56191, '\p{^Is_Block= _HIGH_Surrogates}', "");
Expect(0, 56191, '\P{Is_Block= _HIGH_Surrogates}', "");
Expect(1, 56191, '\P{^Is_Block= _HIGH_Surrogates}', "");
Expect(0, 57344, '\p{Is_Block= _HIGH_Surrogates}', "");
Expect(1, 57344, '\p{^Is_Block= _HIGH_Surrogates}', "");
Expect(1, 57344, '\P{Is_Block= _HIGH_Surrogates}', "");
Expect(0, 57344, '\P{^Is_Block= _HIGH_Surrogates}', "");
Error('\p{Is_Blk=/a/	high_SURROGATES}');
Error('\P{Is_Blk=/a/	high_SURROGATES}');
Expect(1, 56191, '\p{Is_Blk=highsurrogates}', "");
Expect(0, 56191, '\p{^Is_Blk=highsurrogates}', "");
Expect(0, 56191, '\P{Is_Blk=highsurrogates}', "");
Expect(1, 56191, '\P{^Is_Blk=highsurrogates}', "");
Expect(0, 57344, '\p{Is_Blk=highsurrogates}', "");
Expect(1, 57344, '\p{^Is_Blk=highsurrogates}', "");
Expect(1, 57344, '\P{Is_Blk=highsurrogates}', "");
Expect(0, 57344, '\P{^Is_Blk=highsurrogates}', "");
Expect(1, 56191, '\p{Is_Blk=__HIGH_surrogates}', "");
Expect(0, 56191, '\p{^Is_Blk=__HIGH_surrogates}', "");
Expect(0, 56191, '\P{Is_Blk=__HIGH_surrogates}', "");
Expect(1, 56191, '\P{^Is_Blk=__HIGH_surrogates}', "");
Expect(0, 57344, '\p{Is_Blk=__HIGH_surrogates}', "");
Expect(1, 57344, '\p{^Is_Blk=__HIGH_surrogates}', "");
Expect(1, 57344, '\P{Is_Blk=__HIGH_surrogates}', "");
Expect(0, 57344, '\P{^Is_Blk=__HIGH_surrogates}', "");
Error('\p{Block=:=_	Hiragana}');
Error('\P{Block=:=_	Hiragana}');
Expect(1, 12447, '\p{Block=hiragana}', "");
Expect(0, 12447, '\p{^Block=hiragana}', "");
Expect(0, 12447, '\P{Block=hiragana}', "");
Expect(1, 12447, '\P{^Block=hiragana}', "");
Expect(0, 12448, '\p{Block=hiragana}', "");
Expect(1, 12448, '\p{^Block=hiragana}', "");
Expect(1, 12448, '\P{Block=hiragana}', "");
Expect(0, 12448, '\P{^Block=hiragana}', "");
Expect(1, 12447, '\p{Block= Hiragana}', "");
Expect(0, 12447, '\p{^Block= Hiragana}', "");
Expect(0, 12447, '\P{Block= Hiragana}', "");
Expect(1, 12447, '\P{^Block= Hiragana}', "");
Expect(0, 12448, '\p{Block= Hiragana}', "");
Expect(1, 12448, '\p{^Block= Hiragana}', "");
Expect(1, 12448, '\P{Block= Hiragana}', "");
Expect(0, 12448, '\P{^Block= Hiragana}', "");
Error('\p{Blk=:=HIRAGANA}');
Error('\P{Blk=:=HIRAGANA}');
Expect(1, 12447, '\p{Blk=hiragana}', "");
Expect(0, 12447, '\p{^Blk=hiragana}', "");
Expect(0, 12447, '\P{Blk=hiragana}', "");
Expect(1, 12447, '\P{^Blk=hiragana}', "");
Expect(0, 12448, '\p{Blk=hiragana}', "");
Expect(1, 12448, '\p{^Blk=hiragana}', "");
Expect(1, 12448, '\P{Blk=hiragana}', "");
Expect(0, 12448, '\P{^Blk=hiragana}', "");
Expect(1, 12447, '\p{Blk=_ HIRAGANA}', "");
Expect(0, 12447, '\p{^Blk=_ HIRAGANA}', "");
Expect(0, 12447, '\P{Blk=_ HIRAGANA}', "");
Expect(1, 12447, '\P{^Blk=_ HIRAGANA}', "");
Expect(0, 12448, '\p{Blk=_ HIRAGANA}', "");
Expect(1, 12448, '\p{^Blk=_ HIRAGANA}', "");
Expect(1, 12448, '\P{Blk=_ HIRAGANA}', "");
Expect(0, 12448, '\P{^Blk=_ HIRAGANA}', "");
Error('\p{Is_Block=__hiragana/a/}');
Error('\P{Is_Block=__hiragana/a/}');
Expect(1, 12447, '\p{Is_Block=hiragana}', "");
Expect(0, 12447, '\p{^Is_Block=hiragana}', "");
Expect(0, 12447, '\P{Is_Block=hiragana}', "");
Expect(1, 12447, '\P{^Is_Block=hiragana}', "");
Expect(0, 12448, '\p{Is_Block=hiragana}', "");
Expect(1, 12448, '\p{^Is_Block=hiragana}', "");
Expect(1, 12448, '\P{Is_Block=hiragana}', "");
Expect(0, 12448, '\P{^Is_Block=hiragana}', "");
Expect(1, 12447, '\p{Is_Block=- Hiragana}', "");
Expect(0, 12447, '\p{^Is_Block=- Hiragana}', "");
Expect(0, 12447, '\P{Is_Block=- Hiragana}', "");
Expect(1, 12447, '\P{^Is_Block=- Hiragana}', "");
Expect(0, 12448, '\p{Is_Block=- Hiragana}', "");
Expect(1, 12448, '\p{^Is_Block=- Hiragana}', "");
Expect(1, 12448, '\P{Is_Block=- Hiragana}', "");
Expect(0, 12448, '\P{^Is_Block=- Hiragana}', "");
Error('\p{Is_Blk= 	Hiragana:=}');
Error('\P{Is_Blk= 	Hiragana:=}');
Expect(1, 12447, '\p{Is_Blk=hiragana}', "");
Expect(0, 12447, '\p{^Is_Blk=hiragana}', "");
Expect(0, 12447, '\P{Is_Blk=hiragana}', "");
Expect(1, 12447, '\P{^Is_Blk=hiragana}', "");
Expect(0, 12448, '\p{Is_Blk=hiragana}', "");
Expect(1, 12448, '\p{^Is_Blk=hiragana}', "");
Expect(1, 12448, '\P{Is_Blk=hiragana}', "");
Expect(0, 12448, '\P{^Is_Blk=hiragana}', "");
Expect(1, 12447, '\p{Is_Blk=		hiragana}', "");
Expect(0, 12447, '\p{^Is_Blk=		hiragana}', "");
Expect(0, 12447, '\P{Is_Blk=		hiragana}', "");
Expect(1, 12447, '\P{^Is_Blk=		hiragana}', "");
Expect(0, 12448, '\p{Is_Blk=		hiragana}', "");
Expect(1, 12448, '\p{^Is_Blk=		hiragana}', "");
Expect(1, 12448, '\P{Is_Blk=		hiragana}', "");
Expect(0, 12448, '\P{^Is_Blk=		hiragana}', "");
Error('\p{Block=-/a/Ideographic_description_Characters}');
Error('\P{Block=-/a/Ideographic_description_Characters}');
Expect(1, 12287, '\p{Block:   ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^Block:   ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{Block:   ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^Block:   ideographicdescriptioncharacters}', "");
Expect(0, 12288, '\p{Block:   ideographicdescriptioncharacters}', "");
Expect(1, 12288, '\p{^Block:   ideographicdescriptioncharacters}', "");
Expect(1, 12288, '\P{Block:   ideographicdescriptioncharacters}', "");
Expect(0, 12288, '\P{^Block:   ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{Block= 	Ideographic_Description_Characters}', "");
Expect(0, 12287, '\p{^Block= 	Ideographic_Description_Characters}', "");
Expect(0, 12287, '\P{Block= 	Ideographic_Description_Characters}', "");
Expect(1, 12287, '\P{^Block= 	Ideographic_Description_Characters}', "");
Expect(0, 12288, '\p{Block= 	Ideographic_Description_Characters}', "");
Expect(1, 12288, '\p{^Block= 	Ideographic_Description_Characters}', "");
Expect(1, 12288, '\P{Block= 	Ideographic_Description_Characters}', "");
Expect(0, 12288, '\P{^Block= 	Ideographic_Description_Characters}', "");
Error('\p{Blk=idc:=}');
Error('\P{Blk=idc:=}');
Expect(1, 12287, '\p{Blk=idc}', "");
Expect(0, 12287, '\p{^Blk=idc}', "");
Expect(0, 12287, '\P{Blk=idc}', "");
Expect(1, 12287, '\P{^Blk=idc}', "");
Expect(0, 12288, '\p{Blk=idc}', "");
Expect(1, 12288, '\p{^Blk=idc}', "");
Expect(1, 12288, '\P{Blk=idc}', "");
Expect(0, 12288, '\P{^Blk=idc}', "");
Expect(1, 12287, '\p{Blk=IDC}', "");
Expect(0, 12287, '\p{^Blk=IDC}', "");
Expect(0, 12287, '\P{Blk=IDC}', "");
Expect(1, 12287, '\P{^Blk=IDC}', "");
Expect(0, 12288, '\p{Blk=IDC}', "");
Expect(1, 12288, '\p{^Blk=IDC}', "");
Expect(1, 12288, '\P{Blk=IDC}', "");
Expect(0, 12288, '\P{^Blk=IDC}', "");
Error('\p{Is_Block=	Ideographic_description_CHARACTERS/a/}');
Error('\P{Is_Block=	Ideographic_description_CHARACTERS/a/}');
Expect(1, 12287, '\p{Is_Block=ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^Is_Block=ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{Is_Block=ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^Is_Block=ideographicdescriptioncharacters}', "");
Expect(0, 12288, '\p{Is_Block=ideographicdescriptioncharacters}', "");
Expect(1, 12288, '\p{^Is_Block=ideographicdescriptioncharacters}', "");
Expect(1, 12288, '\P{Is_Block=ideographicdescriptioncharacters}', "");
Expect(0, 12288, '\P{^Is_Block=ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{Is_Block=-IDEOGRAPHIC_DESCRIPTION_CHARACTERS}', "");
Expect(0, 12287, '\p{^Is_Block=-IDEOGRAPHIC_DESCRIPTION_CHARACTERS}', "");
Expect(0, 12287, '\P{Is_Block=-IDEOGRAPHIC_DESCRIPTION_CHARACTERS}', "");
Expect(1, 12287, '\P{^Is_Block=-IDEOGRAPHIC_DESCRIPTION_CHARACTERS}', "");
Expect(0, 12288, '\p{Is_Block=-IDEOGRAPHIC_DESCRIPTION_CHARACTERS}', "");
Expect(1, 12288, '\p{^Is_Block=-IDEOGRAPHIC_DESCRIPTION_CHARACTERS}', "");
Expect(1, 12288, '\P{Is_Block=-IDEOGRAPHIC_DESCRIPTION_CHARACTERS}', "");
Expect(0, 12288, '\P{^Is_Block=-IDEOGRAPHIC_DESCRIPTION_CHARACTERS}', "");
Error('\p{Is_Blk=__idc:=}');
Error('\P{Is_Blk=__idc:=}');
Expect(1, 12287, '\p{Is_Blk=idc}', "");
Expect(0, 12287, '\p{^Is_Blk=idc}', "");
Expect(0, 12287, '\P{Is_Blk=idc}', "");
Expect(1, 12287, '\P{^Is_Blk=idc}', "");
Expect(0, 12288, '\p{Is_Blk=idc}', "");
Expect(1, 12288, '\p{^Is_Blk=idc}', "");
Expect(1, 12288, '\P{Is_Blk=idc}', "");
Expect(0, 12288, '\P{^Is_Blk=idc}', "");
Expect(1, 12287, '\p{Is_Blk=-	IDC}', "");
Expect(0, 12287, '\p{^Is_Blk=-	IDC}', "");
Expect(0, 12287, '\P{Is_Blk=-	IDC}', "");
Expect(1, 12287, '\P{^Is_Blk=-	IDC}', "");
Expect(0, 12288, '\p{Is_Blk=-	IDC}', "");
Expect(1, 12288, '\p{^Is_Blk=-	IDC}', "");
Expect(1, 12288, '\P{Is_Blk=-	IDC}', "");
Expect(0, 12288, '\P{^Is_Blk=-	IDC}', "");
Error('\p{Block=:=--ipa_Extensions}');
Error('\P{Block=:=--ipa_Extensions}');
Expect(1, 687, '\p{Block=ipaextensions}', "");
Expect(0, 687, '\p{^Block=ipaextensions}', "");
Expect(0, 687, '\P{Block=ipaextensions}', "");
Expect(1, 687, '\P{^Block=ipaextensions}', "");
Expect(0, 688, '\p{Block=ipaextensions}', "");
Expect(1, 688, '\p{^Block=ipaextensions}', "");
Expect(1, 688, '\P{Block=ipaextensions}', "");
Expect(0, 688, '\P{^Block=ipaextensions}', "");
Expect(1, 687, '\p{Block=	 ipa_Extensions}', "");
Expect(0, 687, '\p{^Block=	 ipa_Extensions}', "");
Expect(0, 687, '\P{Block=	 ipa_Extensions}', "");
Expect(1, 687, '\P{^Block=	 ipa_Extensions}', "");
Expect(0, 688, '\p{Block=	 ipa_Extensions}', "");
Expect(1, 688, '\p{^Block=	 ipa_Extensions}', "");
Expect(1, 688, '\P{Block=	 ipa_Extensions}', "");
Expect(0, 688, '\P{^Block=	 ipa_Extensions}', "");
Error('\p{Blk=/a/	-ipa_EXT}');
Error('\P{Blk=/a/	-ipa_EXT}');
Expect(1, 687, '\p{Blk=ipaext}', "");
Expect(0, 687, '\p{^Blk=ipaext}', "");
Expect(0, 687, '\P{Blk=ipaext}', "");
Expect(1, 687, '\P{^Blk=ipaext}', "");
Expect(0, 688, '\p{Blk=ipaext}', "");
Expect(1, 688, '\p{^Blk=ipaext}', "");
Expect(1, 688, '\P{Blk=ipaext}', "");
Expect(0, 688, '\P{^Blk=ipaext}', "");
Expect(1, 687, '\p{Blk= _IPA_Ext}', "");
Expect(0, 687, '\p{^Blk= _IPA_Ext}', "");
Expect(0, 687, '\P{Blk= _IPA_Ext}', "");
Expect(1, 687, '\P{^Blk= _IPA_Ext}', "");
Expect(0, 688, '\p{Blk= _IPA_Ext}', "");
Expect(1, 688, '\p{^Blk= _IPA_Ext}', "");
Expect(1, 688, '\P{Blk= _IPA_Ext}', "");
Expect(0, 688, '\P{^Blk= _IPA_Ext}', "");
Error('\p{Is_Block:   /a/		IPA_Extensions}');
Error('\P{Is_Block:   /a/		IPA_Extensions}');
Expect(1, 687, '\p{Is_Block=ipaextensions}', "");
Expect(0, 687, '\p{^Is_Block=ipaextensions}', "");
Expect(0, 687, '\P{Is_Block=ipaextensions}', "");
Expect(1, 687, '\P{^Is_Block=ipaextensions}', "");
Expect(0, 688, '\p{Is_Block=ipaextensions}', "");
Expect(1, 688, '\p{^Is_Block=ipaextensions}', "");
Expect(1, 688, '\P{Is_Block=ipaextensions}', "");
Expect(0, 688, '\P{^Is_Block=ipaextensions}', "");
Expect(1, 687, '\p{Is_Block=--IPA_EXTENSIONS}', "");
Expect(0, 687, '\p{^Is_Block=--IPA_EXTENSIONS}', "");
Expect(0, 687, '\P{Is_Block=--IPA_EXTENSIONS}', "");
Expect(1, 687, '\P{^Is_Block=--IPA_EXTENSIONS}', "");
Expect(0, 688, '\p{Is_Block=--IPA_EXTENSIONS}', "");
Expect(1, 688, '\p{^Is_Block=--IPA_EXTENSIONS}', "");
Expect(1, 688, '\P{Is_Block=--IPA_EXTENSIONS}', "");
Expect(0, 688, '\P{^Is_Block=--IPA_EXTENSIONS}', "");
Error('\p{Is_Blk= /a/ipa_EXT}');
Error('\P{Is_Blk= /a/ipa_EXT}');
Expect(1, 687, '\p{Is_Blk=ipaext}', "");
Expect(0, 687, '\p{^Is_Blk=ipaext}', "");
Expect(0, 687, '\P{Is_Blk=ipaext}', "");
Expect(1, 687, '\P{^Is_Blk=ipaext}', "");
Expect(0, 688, '\p{Is_Blk=ipaext}', "");
Expect(1, 688, '\p{^Is_Blk=ipaext}', "");
Expect(1, 688, '\P{Is_Blk=ipaext}', "");
Expect(0, 688, '\P{^Is_Blk=ipaext}', "");
Expect(1, 687, '\p{Is_Blk=-	IPA_EXT}', "");
Expect(0, 687, '\p{^Is_Blk=-	IPA_EXT}', "");
Expect(0, 687, '\P{Is_Blk=-	IPA_EXT}', "");
Expect(1, 687, '\P{^Is_Blk=-	IPA_EXT}', "");
Expect(0, 688, '\p{Is_Blk=-	IPA_EXT}', "");
Expect(1, 688, '\p{^Is_Blk=-	IPA_EXT}', "");
Expect(1, 688, '\P{Is_Blk=-	IPA_EXT}', "");
Expect(0, 688, '\P{^Is_Blk=-	IPA_EXT}', "");
Error('\p{Block=-:=IMPERIAL_Aramaic}');
Error('\P{Block=-:=IMPERIAL_Aramaic}');
Expect(1, 67679, '\p{Block:	imperialaramaic}', "");
Expect(0, 67679, '\p{^Block:	imperialaramaic}', "");
Expect(0, 67679, '\P{Block:	imperialaramaic}', "");
Expect(1, 67679, '\P{^Block:	imperialaramaic}', "");
Expect(0, 67680, '\p{Block:	imperialaramaic}', "");
Expect(1, 67680, '\p{^Block:	imperialaramaic}', "");
Expect(1, 67680, '\P{Block:	imperialaramaic}', "");
Expect(0, 67680, '\P{^Block:	imperialaramaic}', "");
Expect(1, 67679, '\p{Block=-	Imperial_Aramaic}', "");
Expect(0, 67679, '\p{^Block=-	Imperial_Aramaic}', "");
Expect(0, 67679, '\P{Block=-	Imperial_Aramaic}', "");
Expect(1, 67679, '\P{^Block=-	Imperial_Aramaic}', "");
Expect(0, 67680, '\p{Block=-	Imperial_Aramaic}', "");
Expect(1, 67680, '\p{^Block=-	Imperial_Aramaic}', "");
Expect(1, 67680, '\P{Block=-	Imperial_Aramaic}', "");
Expect(0, 67680, '\P{^Block=-	Imperial_Aramaic}', "");
Error('\p{Blk=/a/  Imperial_aramaic}');
Error('\P{Blk=/a/  Imperial_aramaic}');
Expect(1, 67679, '\p{Blk=imperialaramaic}', "");
Expect(0, 67679, '\p{^Blk=imperialaramaic}', "");
Expect(0, 67679, '\P{Blk=imperialaramaic}', "");
Expect(1, 67679, '\P{^Blk=imperialaramaic}', "");
Expect(0, 67680, '\p{Blk=imperialaramaic}', "");
Expect(1, 67680, '\p{^Blk=imperialaramaic}', "");
Expect(1, 67680, '\P{Blk=imperialaramaic}', "");
Expect(0, 67680, '\P{^Blk=imperialaramaic}', "");
Expect(1, 67679, '\p{Blk=_-imperial_Aramaic}', "");
Expect(0, 67679, '\p{^Blk=_-imperial_Aramaic}', "");
Expect(0, 67679, '\P{Blk=_-imperial_Aramaic}', "");
Expect(1, 67679, '\P{^Blk=_-imperial_Aramaic}', "");
Expect(0, 67680, '\p{Blk=_-imperial_Aramaic}', "");
Expect(1, 67680, '\p{^Blk=_-imperial_Aramaic}', "");
Expect(1, 67680, '\P{Blk=_-imperial_Aramaic}', "");
Expect(0, 67680, '\P{^Blk=_-imperial_Aramaic}', "");
Error('\p{Is_Block=/a/ Imperial_Aramaic}');
Error('\P{Is_Block=/a/ Imperial_Aramaic}');
Expect(1, 67679, '\p{Is_Block=imperialaramaic}', "");
Expect(0, 67679, '\p{^Is_Block=imperialaramaic}', "");
Expect(0, 67679, '\P{Is_Block=imperialaramaic}', "");
Expect(1, 67679, '\P{^Is_Block=imperialaramaic}', "");
Expect(0, 67680, '\p{Is_Block=imperialaramaic}', "");
Expect(1, 67680, '\p{^Is_Block=imperialaramaic}', "");
Expect(1, 67680, '\P{Is_Block=imperialaramaic}', "");
Expect(0, 67680, '\P{^Is_Block=imperialaramaic}', "");
Expect(1, 67679, '\p{Is_Block=_ imperial_ARAMAIC}', "");
Expect(0, 67679, '\p{^Is_Block=_ imperial_ARAMAIC}', "");
Expect(0, 67679, '\P{Is_Block=_ imperial_ARAMAIC}', "");
Expect(1, 67679, '\P{^Is_Block=_ imperial_ARAMAIC}', "");
Expect(0, 67680, '\p{Is_Block=_ imperial_ARAMAIC}', "");
Expect(1, 67680, '\p{^Is_Block=_ imperial_ARAMAIC}', "");
Expect(1, 67680, '\P{Is_Block=_ imperial_ARAMAIC}', "");
Expect(0, 67680, '\P{^Is_Block=_ imperial_ARAMAIC}', "");
Error('\p{Is_Blk=:= IMPERIAL_Aramaic}');
Error('\P{Is_Blk=:= IMPERIAL_Aramaic}');
Expect(1, 67679, '\p{Is_Blk:	imperialaramaic}', "");
Expect(0, 67679, '\p{^Is_Blk:	imperialaramaic}', "");
Expect(0, 67679, '\P{Is_Blk:	imperialaramaic}', "");
Expect(1, 67679, '\P{^Is_Blk:	imperialaramaic}', "");
Expect(0, 67680, '\p{Is_Blk:	imperialaramaic}', "");
Expect(1, 67680, '\p{^Is_Blk:	imperialaramaic}', "");
Expect(1, 67680, '\P{Is_Blk:	imperialaramaic}', "");
Expect(0, 67680, '\P{^Is_Blk:	imperialaramaic}', "");
Expect(1, 67679, '\p{Is_Blk= IMPERIAL_Aramaic}', "");
Expect(0, 67679, '\p{^Is_Blk= IMPERIAL_Aramaic}', "");
Expect(0, 67679, '\P{Is_Blk= IMPERIAL_Aramaic}', "");
Expect(1, 67679, '\P{^Is_Blk= IMPERIAL_Aramaic}', "");
Expect(0, 67680, '\p{Is_Blk= IMPERIAL_Aramaic}', "");
Expect(1, 67680, '\p{^Is_Blk= IMPERIAL_Aramaic}', "");
Expect(1, 67680, '\P{Is_Blk= IMPERIAL_Aramaic}', "");
Expect(0, 67680, '\P{^Is_Blk= IMPERIAL_Aramaic}', "");
Error('\p{Block= :=COMMON_Indic_NUMBER_FORMS}');
Error('\P{Block= :=COMMON_Indic_NUMBER_FORMS}');
Expect(1, 43071, '\p{Block=commonindicnumberforms}', "");
Expect(0, 43071, '\p{^Block=commonindicnumberforms}', "");
Expect(0, 43071, '\P{Block=commonindicnumberforms}', "");
Expect(1, 43071, '\P{^Block=commonindicnumberforms}', "");
Expect(0, 43072, '\p{Block=commonindicnumberforms}', "");
Expect(1, 43072, '\p{^Block=commonindicnumberforms}', "");
Expect(1, 43072, '\P{Block=commonindicnumberforms}', "");
Expect(0, 43072, '\P{^Block=commonindicnumberforms}', "");
Expect(1, 43071, '\p{Block=	Common_INDIC_number_FORMS}', "");
Expect(0, 43071, '\p{^Block=	Common_INDIC_number_FORMS}', "");
Expect(0, 43071, '\P{Block=	Common_INDIC_number_FORMS}', "");
Expect(1, 43071, '\P{^Block=	Common_INDIC_number_FORMS}', "");
Expect(0, 43072, '\p{Block=	Common_INDIC_number_FORMS}', "");
Expect(1, 43072, '\p{^Block=	Common_INDIC_number_FORMS}', "");
Expect(1, 43072, '\P{Block=	Common_INDIC_number_FORMS}', "");
Expect(0, 43072, '\P{^Block=	Common_INDIC_number_FORMS}', "");
Error('\p{Blk=indic_Number_Forms:=}');
Error('\P{Blk=indic_Number_Forms:=}');
Expect(1, 43071, '\p{Blk=indicnumberforms}', "");
Expect(0, 43071, '\p{^Blk=indicnumberforms}', "");
Expect(0, 43071, '\P{Blk=indicnumberforms}', "");
Expect(1, 43071, '\P{^Blk=indicnumberforms}', "");
Expect(0, 43072, '\p{Blk=indicnumberforms}', "");
Expect(1, 43072, '\p{^Blk=indicnumberforms}', "");
Expect(1, 43072, '\P{Blk=indicnumberforms}', "");
Expect(0, 43072, '\P{^Blk=indicnumberforms}', "");
Expect(1, 43071, '\p{Blk=_INDIC_NUMBER_FORMS}', "");
Expect(0, 43071, '\p{^Blk=_INDIC_NUMBER_FORMS}', "");
Expect(0, 43071, '\P{Blk=_INDIC_NUMBER_FORMS}', "");
Expect(1, 43071, '\P{^Blk=_INDIC_NUMBER_FORMS}', "");
Expect(0, 43072, '\p{Blk=_INDIC_NUMBER_FORMS}', "");
Expect(1, 43072, '\p{^Blk=_INDIC_NUMBER_FORMS}', "");
Expect(1, 43072, '\P{Blk=_INDIC_NUMBER_FORMS}', "");
Expect(0, 43072, '\P{^Blk=_INDIC_NUMBER_FORMS}', "");
Error('\p{Is_Block=_/a/common_indic_number_forms}');
Error('\P{Is_Block=_/a/common_indic_number_forms}');
Expect(1, 43071, '\p{Is_Block=commonindicnumberforms}', "");
Expect(0, 43071, '\p{^Is_Block=commonindicnumberforms}', "");
Expect(0, 43071, '\P{Is_Block=commonindicnumberforms}', "");
Expect(1, 43071, '\P{^Is_Block=commonindicnumberforms}', "");
Expect(0, 43072, '\p{Is_Block=commonindicnumberforms}', "");
Expect(1, 43072, '\p{^Is_Block=commonindicnumberforms}', "");
Expect(1, 43072, '\P{Is_Block=commonindicnumberforms}', "");
Expect(0, 43072, '\P{^Is_Block=commonindicnumberforms}', "");
Expect(1, 43071, '\p{Is_Block= common_Indic_number_FORMS}', "");
Expect(0, 43071, '\p{^Is_Block= common_Indic_number_FORMS}', "");
Expect(0, 43071, '\P{Is_Block= common_Indic_number_FORMS}', "");
Expect(1, 43071, '\P{^Is_Block= common_Indic_number_FORMS}', "");
Expect(0, 43072, '\p{Is_Block= common_Indic_number_FORMS}', "");
Expect(1, 43072, '\p{^Is_Block= common_Indic_number_FORMS}', "");
Expect(1, 43072, '\P{Is_Block= common_Indic_number_FORMS}', "");
Expect(0, 43072, '\P{^Is_Block= common_Indic_number_FORMS}', "");
Error('\p{Is_Blk=_:=INDIC_Number_FORMS}');
Error('\P{Is_Blk=_:=INDIC_Number_FORMS}');
Expect(1, 43071, '\p{Is_Blk=indicnumberforms}', "");
Expect(0, 43071, '\p{^Is_Blk=indicnumberforms}', "");
Expect(0, 43071, '\P{Is_Blk=indicnumberforms}', "");
Expect(1, 43071, '\P{^Is_Blk=indicnumberforms}', "");
Expect(0, 43072, '\p{Is_Blk=indicnumberforms}', "");
Expect(1, 43072, '\p{^Is_Blk=indicnumberforms}', "");
Expect(1, 43072, '\P{Is_Blk=indicnumberforms}', "");
Expect(0, 43072, '\P{^Is_Blk=indicnumberforms}', "");
Expect(1, 43071, '\p{Is_Blk:   Indic_Number_forms}', "");
Expect(0, 43071, '\p{^Is_Blk:   Indic_Number_forms}', "");
Expect(0, 43071, '\P{Is_Blk:   Indic_Number_forms}', "");
Expect(1, 43071, '\P{^Is_Blk:   Indic_Number_forms}', "");
Expect(0, 43072, '\p{Is_Blk:   Indic_Number_forms}', "");
Expect(1, 43072, '\p{^Is_Blk:   Indic_Number_forms}', "");
Expect(1, 43072, '\P{Is_Blk:   Indic_Number_forms}', "");
Expect(0, 43072, '\P{^Is_Blk:   Indic_Number_forms}', "");
Error('\p{Block=	_Inscriptional_Pahlavi:=}');
Error('\P{Block=	_Inscriptional_Pahlavi:=}');
Expect(1, 68479, '\p{Block=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Block=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Block=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Block=inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Block=inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Block=inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Block=inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Block=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Block=	 INSCRIPTIONAL_Pahlavi}', "");
Expect(0, 68479, '\p{^Block=	 INSCRIPTIONAL_Pahlavi}', "");
Expect(0, 68479, '\P{Block=	 INSCRIPTIONAL_Pahlavi}', "");
Expect(1, 68479, '\P{^Block=	 INSCRIPTIONAL_Pahlavi}', "");
Expect(0, 68480, '\p{Block=	 INSCRIPTIONAL_Pahlavi}', "");
Expect(1, 68480, '\p{^Block=	 INSCRIPTIONAL_Pahlavi}', "");
Expect(1, 68480, '\P{Block=	 INSCRIPTIONAL_Pahlavi}', "");
Expect(0, 68480, '\P{^Block=	 INSCRIPTIONAL_Pahlavi}', "");
Error('\p{Blk=- INSCRIPTIONAL_Pahlavi:=}');
Error('\P{Blk=- INSCRIPTIONAL_Pahlavi:=}');
Expect(1, 68479, '\p{Blk=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Blk=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Blk=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Blk=inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Blk=inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Blk=inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Blk=inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Blk=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Blk=	-inscriptional_Pahlavi}', "");
Expect(0, 68479, '\p{^Blk=	-inscriptional_Pahlavi}', "");
Expect(0, 68479, '\P{Blk=	-inscriptional_Pahlavi}', "");
Expect(1, 68479, '\P{^Blk=	-inscriptional_Pahlavi}', "");
Expect(0, 68480, '\p{Blk=	-inscriptional_Pahlavi}', "");
Expect(1, 68480, '\p{^Blk=	-inscriptional_Pahlavi}', "");
Expect(1, 68480, '\P{Blk=	-inscriptional_Pahlavi}', "");
Expect(0, 68480, '\P{^Blk=	-inscriptional_Pahlavi}', "");
Error('\p{Is_Block= :=Inscriptional_pahlavi}');
Error('\P{Is_Block= :=Inscriptional_pahlavi}');
Expect(1, 68479, '\p{Is_Block=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Is_Block=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Is_Block=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Is_Block=inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Is_Block=inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Is_Block=inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Is_Block=inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Is_Block=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Is_Block= Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\p{^Is_Block= Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\P{Is_Block= Inscriptional_Pahlavi}', "");
Expect(1, 68479, '\P{^Is_Block= Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\p{Is_Block= Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\p{^Is_Block= Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\P{Is_Block= Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\P{^Is_Block= Inscriptional_Pahlavi}', "");
Error('\p{Is_Blk=:=_inscriptional_Pahlavi}');
Error('\P{Is_Blk=:=_inscriptional_Pahlavi}');
Expect(1, 68479, '\p{Is_Blk=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Is_Blk=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Is_Blk=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Is_Blk=inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Is_Blk=inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Is_Blk=inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Is_Blk=inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Is_Blk=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Is_Blk=-Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\p{^Is_Blk=-Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\P{Is_Blk=-Inscriptional_Pahlavi}', "");
Expect(1, 68479, '\P{^Is_Blk=-Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\p{Is_Blk=-Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\p{^Is_Blk=-Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\P{Is_Blk=-Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\P{^Is_Blk=-Inscriptional_Pahlavi}', "");
Error('\p{Block=_INSCRIPTIONAL_Parthian/a/}');
Error('\P{Block=_INSCRIPTIONAL_Parthian/a/}');
Expect(1, 68447, '\p{Block=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Block=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Block=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Block=inscriptionalparthian}', "");
Expect(0, 68448, '\p{Block=inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Block=inscriptionalparthian}', "");
Expect(1, 68448, '\P{Block=inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Block=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Block= -Inscriptional_PARTHIAN}', "");
Expect(0, 68447, '\p{^Block= -Inscriptional_PARTHIAN}', "");
Expect(0, 68447, '\P{Block= -Inscriptional_PARTHIAN}', "");
Expect(1, 68447, '\P{^Block= -Inscriptional_PARTHIAN}', "");
Expect(0, 68448, '\p{Block= -Inscriptional_PARTHIAN}', "");
Expect(1, 68448, '\p{^Block= -Inscriptional_PARTHIAN}', "");
Expect(1, 68448, '\P{Block= -Inscriptional_PARTHIAN}', "");
Expect(0, 68448, '\P{^Block= -Inscriptional_PARTHIAN}', "");
Error('\p{Blk=inscriptional_PARTHIAN:=}');
Error('\P{Blk=inscriptional_PARTHIAN:=}');
Expect(1, 68447, '\p{Blk=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Blk=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Blk=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Blk=inscriptionalparthian}', "");
Expect(0, 68448, '\p{Blk=inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Blk=inscriptionalparthian}', "");
Expect(1, 68448, '\P{Blk=inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Blk=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Blk=	inscriptional_Parthian}', "");
Expect(0, 68447, '\p{^Blk=	inscriptional_Parthian}', "");
Expect(0, 68447, '\P{Blk=	inscriptional_Parthian}', "");
Expect(1, 68447, '\P{^Blk=	inscriptional_Parthian}', "");
Expect(0, 68448, '\p{Blk=	inscriptional_Parthian}', "");
Expect(1, 68448, '\p{^Blk=	inscriptional_Parthian}', "");
Expect(1, 68448, '\P{Blk=	inscriptional_Parthian}', "");
Expect(0, 68448, '\P{^Blk=	inscriptional_Parthian}', "");
Error('\p{Is_Block=_ inscriptional_PARTHIAN/a/}');
Error('\P{Is_Block=_ inscriptional_PARTHIAN/a/}');
Expect(1, 68447, '\p{Is_Block=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Is_Block=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Is_Block=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Is_Block=inscriptionalparthian}', "");
Expect(0, 68448, '\p{Is_Block=inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Is_Block=inscriptionalparthian}', "");
Expect(1, 68448, '\P{Is_Block=inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Is_Block=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Is_Block=--Inscriptional_PARTHIAN}', "");
Expect(0, 68447, '\p{^Is_Block=--Inscriptional_PARTHIAN}', "");
Expect(0, 68447, '\P{Is_Block=--Inscriptional_PARTHIAN}', "");
Expect(1, 68447, '\P{^Is_Block=--Inscriptional_PARTHIAN}', "");
Expect(0, 68448, '\p{Is_Block=--Inscriptional_PARTHIAN}', "");
Expect(1, 68448, '\p{^Is_Block=--Inscriptional_PARTHIAN}', "");
Expect(1, 68448, '\P{Is_Block=--Inscriptional_PARTHIAN}', "");
Expect(0, 68448, '\P{^Is_Block=--Inscriptional_PARTHIAN}', "");
Error('\p{Is_Blk=	/a/INSCRIPTIONAL_parthian}');
Error('\P{Is_Blk=	/a/INSCRIPTIONAL_parthian}');
Expect(1, 68447, '\p{Is_Blk=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Is_Blk=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Is_Blk=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Is_Blk=inscriptionalparthian}', "");
Expect(0, 68448, '\p{Is_Blk=inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Is_Blk=inscriptionalparthian}', "");
Expect(1, 68448, '\P{Is_Blk=inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Is_Blk=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Is_Blk=-	INSCRIPTIONAL_PARTHIAN}', "");
Expect(0, 68447, '\p{^Is_Blk=-	INSCRIPTIONAL_PARTHIAN}', "");
Expect(0, 68447, '\P{Is_Blk=-	INSCRIPTIONAL_PARTHIAN}', "");
Expect(1, 68447, '\P{^Is_Blk=-	INSCRIPTIONAL_PARTHIAN}', "");
Expect(0, 68448, '\p{Is_Blk=-	INSCRIPTIONAL_PARTHIAN}', "");
Expect(1, 68448, '\p{^Is_Blk=-	INSCRIPTIONAL_PARTHIAN}', "");
Expect(1, 68448, '\P{Is_Blk=-	INSCRIPTIONAL_PARTHIAN}', "");
Expect(0, 68448, '\P{^Is_Blk=-	INSCRIPTIONAL_PARTHIAN}', "");
Error('\p{Block=	:=HANGUL_Jamo}');
Error('\P{Block=	:=HANGUL_Jamo}');
Expect(1, 4607, '\p{Block=hanguljamo}', "");
Expect(0, 4607, '\p{^Block=hanguljamo}', "");
Expect(0, 4607, '\P{Block=hanguljamo}', "");
Expect(1, 4607, '\P{^Block=hanguljamo}', "");
Expect(0, 4608, '\p{Block=hanguljamo}', "");
Expect(1, 4608, '\p{^Block=hanguljamo}', "");
Expect(1, 4608, '\P{Block=hanguljamo}', "");
Expect(0, 4608, '\P{^Block=hanguljamo}', "");
Expect(1, 4607, '\p{Block=		hangul_jamo}', "");
Expect(0, 4607, '\p{^Block=		hangul_jamo}', "");
Expect(0, 4607, '\P{Block=		hangul_jamo}', "");
Expect(1, 4607, '\P{^Block=		hangul_jamo}', "");
Expect(0, 4608, '\p{Block=		hangul_jamo}', "");
Expect(1, 4608, '\p{^Block=		hangul_jamo}', "");
Expect(1, 4608, '\P{Block=		hangul_jamo}', "");
Expect(0, 4608, '\P{^Block=		hangul_jamo}', "");
Error('\p{Blk=-jamo:=}');
Error('\P{Blk=-jamo:=}');
Expect(1, 4607, '\p{Blk=jamo}', "");
Expect(0, 4607, '\p{^Blk=jamo}', "");
Expect(0, 4607, '\P{Blk=jamo}', "");
Expect(1, 4607, '\P{^Blk=jamo}', "");
Expect(0, 4608, '\p{Blk=jamo}', "");
Expect(1, 4608, '\p{^Blk=jamo}', "");
Expect(1, 4608, '\P{Blk=jamo}', "");
Expect(0, 4608, '\P{^Blk=jamo}', "");
Expect(1, 4607, '\p{Blk=		Jamo}', "");
Expect(0, 4607, '\p{^Blk=		Jamo}', "");
Expect(0, 4607, '\P{Blk=		Jamo}', "");
Expect(1, 4607, '\P{^Blk=		Jamo}', "");
Expect(0, 4608, '\p{Blk=		Jamo}', "");
Expect(1, 4608, '\p{^Blk=		Jamo}', "");
Expect(1, 4608, '\P{Blk=		Jamo}', "");
Expect(0, 4608, '\P{^Blk=		Jamo}', "");
Error('\p{Is_Block=  Hangul_Jamo:=}');
Error('\P{Is_Block=  Hangul_Jamo:=}');
Expect(1, 4607, '\p{Is_Block=hanguljamo}', "");
Expect(0, 4607, '\p{^Is_Block=hanguljamo}', "");
Expect(0, 4607, '\P{Is_Block=hanguljamo}', "");
Expect(1, 4607, '\P{^Is_Block=hanguljamo}', "");
Expect(0, 4608, '\p{Is_Block=hanguljamo}', "");
Expect(1, 4608, '\p{^Is_Block=hanguljamo}', "");
Expect(1, 4608, '\P{Is_Block=hanguljamo}', "");
Expect(0, 4608, '\P{^Is_Block=hanguljamo}', "");
Expect(1, 4607, '\p{Is_Block=_Hangul_Jamo}', "");
Expect(0, 4607, '\p{^Is_Block=_Hangul_Jamo}', "");
Expect(0, 4607, '\P{Is_Block=_Hangul_Jamo}', "");
Expect(1, 4607, '\P{^Is_Block=_Hangul_Jamo}', "");
Expect(0, 4608, '\p{Is_Block=_Hangul_Jamo}', "");
Expect(1, 4608, '\p{^Is_Block=_Hangul_Jamo}', "");
Expect(1, 4608, '\P{Is_Block=_Hangul_Jamo}', "");
Expect(0, 4608, '\P{^Is_Block=_Hangul_Jamo}', "");
Error('\p{Is_Blk=/a/jamo}');
Error('\P{Is_Blk=/a/jamo}');
Expect(1, 4607, '\p{Is_Blk=jamo}', "");
Expect(0, 4607, '\p{^Is_Blk=jamo}', "");
Expect(0, 4607, '\P{Is_Blk=jamo}', "");
Expect(1, 4607, '\P{^Is_Blk=jamo}', "");
Expect(0, 4608, '\p{Is_Blk=jamo}', "");
Expect(1, 4608, '\p{^Is_Blk=jamo}', "");
Expect(1, 4608, '\P{Is_Blk=jamo}', "");
Expect(0, 4608, '\P{^Is_Blk=jamo}', "");
Expect(1, 4607, '\p{Is_Blk=	 JAMO}', "");
Expect(0, 4607, '\p{^Is_Blk=	 JAMO}', "");
Expect(0, 4607, '\P{Is_Blk=	 JAMO}', "");
Expect(1, 4607, '\P{^Is_Blk=	 JAMO}', "");
Expect(0, 4608, '\p{Is_Blk=	 JAMO}', "");
Expect(1, 4608, '\p{^Is_Blk=	 JAMO}', "");
Expect(1, 4608, '\P{Is_Blk=	 JAMO}', "");
Expect(0, 4608, '\P{^Is_Blk=	 JAMO}', "");
Error('\p{Block=/a/ 	hangul_Jamo_Extended_A}');
Error('\P{Block=/a/ 	hangul_Jamo_Extended_A}');
Expect(1, 43391, '\p{Block=hanguljamoextendeda}', "");
Expect(0, 43391, '\p{^Block=hanguljamoextendeda}', "");
Expect(0, 43391, '\P{Block=hanguljamoextendeda}', "");
Expect(1, 43391, '\P{^Block=hanguljamoextendeda}', "");
Expect(0, 43392, '\p{Block=hanguljamoextendeda}', "");
Expect(1, 43392, '\p{^Block=hanguljamoextendeda}', "");
Expect(1, 43392, '\P{Block=hanguljamoextendeda}', "");
Expect(0, 43392, '\P{^Block=hanguljamoextendeda}', "");
Expect(1, 43391, '\p{Block:   	hangul_Jamo_Extended_A}', "");
Expect(0, 43391, '\p{^Block:   	hangul_Jamo_Extended_A}', "");
Expect(0, 43391, '\P{Block:   	hangul_Jamo_Extended_A}', "");
Expect(1, 43391, '\P{^Block:   	hangul_Jamo_Extended_A}', "");
Expect(0, 43392, '\p{Block:   	hangul_Jamo_Extended_A}', "");
Expect(1, 43392, '\p{^Block:   	hangul_Jamo_Extended_A}', "");
Expect(1, 43392, '\P{Block:   	hangul_Jamo_Extended_A}', "");
Expect(0, 43392, '\P{^Block:   	hangul_Jamo_Extended_A}', "");
Error('\p{Blk=/a/ -Jamo_Ext_A}');
Error('\P{Blk=/a/ -Jamo_Ext_A}');
Expect(1, 43391, '\p{Blk=jamoexta}', "");
Expect(0, 43391, '\p{^Blk=jamoexta}', "");
Expect(0, 43391, '\P{Blk=jamoexta}', "");
Expect(1, 43391, '\P{^Blk=jamoexta}', "");
Expect(0, 43392, '\p{Blk=jamoexta}', "");
Expect(1, 43392, '\p{^Blk=jamoexta}', "");
Expect(1, 43392, '\P{Blk=jamoexta}', "");
Expect(0, 43392, '\P{^Blk=jamoexta}', "");
Expect(1, 43391, '\p{Blk=_ jamo_EXT_A}', "");
Expect(0, 43391, '\p{^Blk=_ jamo_EXT_A}', "");
Expect(0, 43391, '\P{Blk=_ jamo_EXT_A}', "");
Expect(1, 43391, '\P{^Blk=_ jamo_EXT_A}', "");
Expect(0, 43392, '\p{Blk=_ jamo_EXT_A}', "");
Expect(1, 43392, '\p{^Blk=_ jamo_EXT_A}', "");
Expect(1, 43392, '\P{Blk=_ jamo_EXT_A}', "");
Expect(0, 43392, '\P{^Blk=_ jamo_EXT_A}', "");
Error('\p{Is_Block=/a/  Hangul_jamo_Extended_A}');
Error('\P{Is_Block=/a/  Hangul_jamo_Extended_A}');
Expect(1, 43391, '\p{Is_Block=hanguljamoextendeda}', "");
Expect(0, 43391, '\p{^Is_Block=hanguljamoextendeda}', "");
Expect(0, 43391, '\P{Is_Block=hanguljamoextendeda}', "");
Expect(1, 43391, '\P{^Is_Block=hanguljamoextendeda}', "");
Expect(0, 43392, '\p{Is_Block=hanguljamoextendeda}', "");
Expect(1, 43392, '\p{^Is_Block=hanguljamoextendeda}', "");
Expect(1, 43392, '\P{Is_Block=hanguljamoextendeda}', "");
Expect(0, 43392, '\P{^Is_Block=hanguljamoextendeda}', "");
Expect(1, 43391, '\p{Is_Block=-Hangul_jamo_EXTENDED_a}', "");
Expect(0, 43391, '\p{^Is_Block=-Hangul_jamo_EXTENDED_a}', "");
Expect(0, 43391, '\P{Is_Block=-Hangul_jamo_EXTENDED_a}', "");
Expect(1, 43391, '\P{^Is_Block=-Hangul_jamo_EXTENDED_a}', "");
Expect(0, 43392, '\p{Is_Block=-Hangul_jamo_EXTENDED_a}', "");
Expect(1, 43392, '\p{^Is_Block=-Hangul_jamo_EXTENDED_a}', "");
Expect(1, 43392, '\P{Is_Block=-Hangul_jamo_EXTENDED_a}', "");
Expect(0, 43392, '\P{^Is_Block=-Hangul_jamo_EXTENDED_a}', "");
Error('\p{Is_Blk= /a/Jamo_ext_a}');
Error('\P{Is_Blk= /a/Jamo_ext_a}');
Expect(1, 43391, '\p{Is_Blk:jamoexta}', "");
Expect(0, 43391, '\p{^Is_Blk:jamoexta}', "");
Expect(0, 43391, '\P{Is_Blk:jamoexta}', "");
Expect(1, 43391, '\P{^Is_Blk:jamoexta}', "");
Expect(0, 43392, '\p{Is_Blk:jamoexta}', "");
Expect(1, 43392, '\p{^Is_Blk:jamoexta}', "");
Expect(1, 43392, '\P{Is_Blk:jamoexta}', "");
Expect(0, 43392, '\P{^Is_Blk:jamoexta}', "");
Expect(1, 43391, '\p{Is_Blk=_ Jamo_ext_A}', "");
Expect(0, 43391, '\p{^Is_Blk=_ Jamo_ext_A}', "");
Expect(0, 43391, '\P{Is_Blk=_ Jamo_ext_A}', "");
Expect(1, 43391, '\P{^Is_Blk=_ Jamo_ext_A}', "");
Expect(0, 43392, '\p{Is_Blk=_ Jamo_ext_A}', "");
Expect(1, 43392, '\p{^Is_Blk=_ Jamo_ext_A}', "");
Expect(1, 43392, '\P{Is_Blk=_ Jamo_ext_A}', "");
Expect(0, 43392, '\P{^Is_Blk=_ Jamo_ext_A}', "");
Error('\p{Block=	hangul_JAMO_extended_B/a/}');
Error('\P{Block=	hangul_JAMO_extended_B/a/}');
Expect(1, 55295, '\p{Block=hanguljamoextendedb}', "");
Expect(0, 55295, '\p{^Block=hanguljamoextendedb}', "");
Expect(0, 55295, '\P{Block=hanguljamoextendedb}', "");
Expect(1, 55295, '\P{^Block=hanguljamoextendedb}', "");
Expect(0, 57344, '\p{Block=hanguljamoextendedb}', "");
Expect(1, 57344, '\p{^Block=hanguljamoextendedb}', "");
Expect(1, 57344, '\P{Block=hanguljamoextendedb}', "");
Expect(0, 57344, '\P{^Block=hanguljamoextendedb}', "");
Expect(1, 55295, '\p{Block= -HANGUL_jamo_extended_B}', "");
Expect(0, 55295, '\p{^Block= -HANGUL_jamo_extended_B}', "");
Expect(0, 55295, '\P{Block= -HANGUL_jamo_extended_B}', "");
Expect(1, 55295, '\P{^Block= -HANGUL_jamo_extended_B}', "");
Expect(0, 57344, '\p{Block= -HANGUL_jamo_extended_B}', "");
Expect(1, 57344, '\p{^Block= -HANGUL_jamo_extended_B}', "");
Expect(1, 57344, '\P{Block= -HANGUL_jamo_extended_B}', "");
Expect(0, 57344, '\P{^Block= -HANGUL_jamo_extended_B}', "");
Error('\p{Blk=	:=Jamo_EXT_b}');
Error('\P{Blk=	:=Jamo_EXT_b}');
Expect(1, 55295, '\p{Blk:   jamoextb}', "");
Expect(0, 55295, '\p{^Blk:   jamoextb}', "");
Expect(0, 55295, '\P{Blk:   jamoextb}', "");
Expect(1, 55295, '\P{^Blk:   jamoextb}', "");
Expect(0, 57344, '\p{Blk:   jamoextb}', "");
Expect(1, 57344, '\p{^Blk:   jamoextb}', "");
Expect(1, 57344, '\P{Blk:   jamoextb}', "");
Expect(0, 57344, '\P{^Blk:   jamoextb}', "");
Expect(1, 55295, '\p{Blk=Jamo_ext_B}', "");
Expect(0, 55295, '\p{^Blk=Jamo_ext_B}', "");
Expect(0, 55295, '\P{Blk=Jamo_ext_B}', "");
Expect(1, 55295, '\P{^Blk=Jamo_ext_B}', "");
Expect(0, 57344, '\p{Blk=Jamo_ext_B}', "");
Expect(1, 57344, '\p{^Blk=Jamo_ext_B}', "");
Expect(1, 57344, '\P{Blk=Jamo_ext_B}', "");
Expect(0, 57344, '\P{^Blk=Jamo_ext_B}', "");
Error('\p{Is_Block=-Hangul_jamo_Extended_b:=}');
Error('\P{Is_Block=-Hangul_jamo_Extended_b:=}');
Expect(1, 55295, '\p{Is_Block=hanguljamoextendedb}', "");
Expect(0, 55295, '\p{^Is_Block=hanguljamoextendedb}', "");
Expect(0, 55295, '\P{Is_Block=hanguljamoextendedb}', "");
Expect(1, 55295, '\P{^Is_Block=hanguljamoextendedb}', "");
Expect(0, 57344, '\p{Is_Block=hanguljamoextendedb}', "");
Expect(1, 57344, '\p{^Is_Block=hanguljamoextendedb}', "");
Expect(1, 57344, '\P{Is_Block=hanguljamoextendedb}', "");
Expect(0, 57344, '\P{^Is_Block=hanguljamoextendedb}', "");
Expect(1, 55295, '\p{Is_Block=	-hangul_Jamo_Extended_B}', "");
Expect(0, 55295, '\p{^Is_Block=	-hangul_Jamo_Extended_B}', "");
Expect(0, 55295, '\P{Is_Block=	-hangul_Jamo_Extended_B}', "");
Expect(1, 55295, '\P{^Is_Block=	-hangul_Jamo_Extended_B}', "");
Expect(0, 57344, '\p{Is_Block=	-hangul_Jamo_Extended_B}', "");
Expect(1, 57344, '\p{^Is_Block=	-hangul_Jamo_Extended_B}', "");
Expect(1, 57344, '\P{Is_Block=	-hangul_Jamo_Extended_B}', "");
Expect(0, 57344, '\P{^Is_Block=	-hangul_Jamo_Extended_B}', "");
Error('\p{Is_Blk=/a/	_jamo_EXT_B}');
Error('\P{Is_Blk=/a/	_jamo_EXT_B}');
Expect(1, 55295, '\p{Is_Blk=jamoextb}', "");
Expect(0, 55295, '\p{^Is_Blk=jamoextb}', "");
Expect(0, 55295, '\P{Is_Blk=jamoextb}', "");
Expect(1, 55295, '\P{^Is_Blk=jamoextb}', "");
Expect(0, 57344, '\p{Is_Blk=jamoextb}', "");
Expect(1, 57344, '\p{^Is_Blk=jamoextb}', "");
Expect(1, 57344, '\P{Is_Blk=jamoextb}', "");
Expect(0, 57344, '\P{^Is_Blk=jamoextb}', "");
Expect(1, 55295, '\p{Is_Blk=-JAMO_EXT_b}', "");
Expect(0, 55295, '\p{^Is_Blk=-JAMO_EXT_b}', "");
Expect(0, 55295, '\P{Is_Blk=-JAMO_EXT_b}', "");
Expect(1, 55295, '\P{^Is_Blk=-JAMO_EXT_b}', "");
Expect(0, 57344, '\p{Is_Blk=-JAMO_EXT_b}', "");
Expect(1, 57344, '\p{^Is_Blk=-JAMO_EXT_b}', "");
Expect(1, 57344, '\P{Is_Blk=-JAMO_EXT_b}', "");
Expect(0, 57344, '\P{^Is_Blk=-JAMO_EXT_b}', "");
Error('\p{Block=Javanese/a/}');
Error('\P{Block=Javanese/a/}');
Expect(1, 43487, '\p{Block=javanese}', "");
Expect(0, 43487, '\p{^Block=javanese}', "");
Expect(0, 43487, '\P{Block=javanese}', "");
Expect(1, 43487, '\P{^Block=javanese}', "");
Expect(0, 43488, '\p{Block=javanese}', "");
Expect(1, 43488, '\p{^Block=javanese}', "");
Expect(1, 43488, '\P{Block=javanese}', "");
Expect(0, 43488, '\P{^Block=javanese}', "");
Expect(1, 43487, '\p{Block:  JAVANESE}', "");
Expect(0, 43487, '\p{^Block:  JAVANESE}', "");
Expect(0, 43487, '\P{Block:  JAVANESE}', "");
Expect(1, 43487, '\P{^Block:  JAVANESE}', "");
Expect(0, 43488, '\p{Block:  JAVANESE}', "");
Expect(1, 43488, '\p{^Block:  JAVANESE}', "");
Expect(1, 43488, '\P{Block:  JAVANESE}', "");
Expect(0, 43488, '\P{^Block:  JAVANESE}', "");
Error('\p{Blk=	Javanese/a/}');
Error('\P{Blk=	Javanese/a/}');
Expect(1, 43487, '\p{Blk=javanese}', "");
Expect(0, 43487, '\p{^Blk=javanese}', "");
Expect(0, 43487, '\P{Blk=javanese}', "");
Expect(1, 43487, '\P{^Blk=javanese}', "");
Expect(0, 43488, '\p{Blk=javanese}', "");
Expect(1, 43488, '\p{^Blk=javanese}', "");
Expect(1, 43488, '\P{Blk=javanese}', "");
Expect(0, 43488, '\P{^Blk=javanese}', "");
Expect(1, 43487, '\p{Blk=	JAVANESE}', "");
Expect(0, 43487, '\p{^Blk=	JAVANESE}', "");
Expect(0, 43487, '\P{Blk=	JAVANESE}', "");
Expect(1, 43487, '\P{^Blk=	JAVANESE}', "");
Expect(0, 43488, '\p{Blk=	JAVANESE}', "");
Expect(1, 43488, '\p{^Blk=	JAVANESE}', "");
Expect(1, 43488, '\P{Blk=	JAVANESE}', "");
Expect(0, 43488, '\P{^Blk=	JAVANESE}', "");
Error('\p{Is_Block=/a/Javanese}');
Error('\P{Is_Block=/a/Javanese}');
Expect(1, 43487, '\p{Is_Block=javanese}', "");
Expect(0, 43487, '\p{^Is_Block=javanese}', "");
Expect(0, 43487, '\P{Is_Block=javanese}', "");
Expect(1, 43487, '\P{^Is_Block=javanese}', "");
Expect(0, 43488, '\p{Is_Block=javanese}', "");
Expect(1, 43488, '\p{^Is_Block=javanese}', "");
Expect(1, 43488, '\P{Is_Block=javanese}', "");
Expect(0, 43488, '\P{^Is_Block=javanese}', "");
Expect(1, 43487, '\p{Is_Block:    -JAVANESE}', "");
Expect(0, 43487, '\p{^Is_Block:    -JAVANESE}', "");
Expect(0, 43487, '\P{Is_Block:    -JAVANESE}', "");
Expect(1, 43487, '\P{^Is_Block:    -JAVANESE}', "");
Expect(0, 43488, '\p{Is_Block:    -JAVANESE}', "");
Expect(1, 43488, '\p{^Is_Block:    -JAVANESE}', "");
Expect(1, 43488, '\P{Is_Block:    -JAVANESE}', "");
Expect(0, 43488, '\P{^Is_Block:    -JAVANESE}', "");
Error('\p{Is_Blk=-:=Javanese}');
Error('\P{Is_Blk=-:=Javanese}');
Expect(1, 43487, '\p{Is_Blk=javanese}', "");
Expect(0, 43487, '\p{^Is_Blk=javanese}', "");
Expect(0, 43487, '\P{Is_Blk=javanese}', "");
Expect(1, 43487, '\P{^Is_Blk=javanese}', "");
Expect(0, 43488, '\p{Is_Blk=javanese}', "");
Expect(1, 43488, '\p{^Is_Blk=javanese}', "");
Expect(1, 43488, '\P{Is_Blk=javanese}', "");
Expect(0, 43488, '\P{^Is_Blk=javanese}', "");
Expect(1, 43487, '\p{Is_Blk=  Javanese}', "");
Expect(0, 43487, '\p{^Is_Blk=  Javanese}', "");
Expect(0, 43487, '\P{Is_Blk=  Javanese}', "");
Expect(1, 43487, '\P{^Is_Blk=  Javanese}', "");
Expect(0, 43488, '\p{Is_Blk=  Javanese}', "");
Expect(1, 43488, '\p{^Is_Blk=  Javanese}', "");
Expect(1, 43488, '\P{Is_Blk=  Javanese}', "");
Expect(0, 43488, '\P{^Is_Blk=  Javanese}', "");
Error('\p{Block= Kaithi/a/}');
Error('\P{Block= Kaithi/a/}');
Expect(1, 69839, '\p{Block=kaithi}', "");
Expect(0, 69839, '\p{^Block=kaithi}', "");
Expect(0, 69839, '\P{Block=kaithi}', "");
Expect(1, 69839, '\P{^Block=kaithi}', "");
Expect(0, 69840, '\p{Block=kaithi}', "");
Expect(1, 69840, '\p{^Block=kaithi}', "");
Expect(1, 69840, '\P{Block=kaithi}', "");
Expect(0, 69840, '\P{^Block=kaithi}', "");
Expect(1, 69839, '\p{Block:-_Kaithi}', "");
Expect(0, 69839, '\p{^Block:-_Kaithi}', "");
Expect(0, 69839, '\P{Block:-_Kaithi}', "");
Expect(1, 69839, '\P{^Block:-_Kaithi}', "");
Expect(0, 69840, '\p{Block:-_Kaithi}', "");
Expect(1, 69840, '\p{^Block:-_Kaithi}', "");
Expect(1, 69840, '\P{Block:-_Kaithi}', "");
Expect(0, 69840, '\P{^Block:-_Kaithi}', "");
Error('\p{Blk: 		KAITHI:=}');
Error('\P{Blk: 		KAITHI:=}');
Expect(1, 69839, '\p{Blk:	kaithi}', "");
Expect(0, 69839, '\p{^Blk:	kaithi}', "");
Expect(0, 69839, '\P{Blk:	kaithi}', "");
Expect(1, 69839, '\P{^Blk:	kaithi}', "");
Expect(0, 69840, '\p{Blk:	kaithi}', "");
Expect(1, 69840, '\p{^Blk:	kaithi}', "");
Expect(1, 69840, '\P{Blk:	kaithi}', "");
Expect(0, 69840, '\P{^Blk:	kaithi}', "");
Expect(1, 69839, '\p{Blk=	_KAITHI}', "");
Expect(0, 69839, '\p{^Blk=	_KAITHI}', "");
Expect(0, 69839, '\P{Blk=	_KAITHI}', "");
Expect(1, 69839, '\P{^Blk=	_KAITHI}', "");
Expect(0, 69840, '\p{Blk=	_KAITHI}', "");
Expect(1, 69840, '\p{^Blk=	_KAITHI}', "");
Expect(1, 69840, '\P{Blk=	_KAITHI}', "");
Expect(0, 69840, '\P{^Blk=	_KAITHI}', "");
Error('\p{Is_Block:/a/	 Kaithi}');
Error('\P{Is_Block:/a/	 Kaithi}');
Expect(1, 69839, '\p{Is_Block=kaithi}', "");
Expect(0, 69839, '\p{^Is_Block=kaithi}', "");
Expect(0, 69839, '\P{Is_Block=kaithi}', "");
Expect(1, 69839, '\P{^Is_Block=kaithi}', "");
Expect(0, 69840, '\p{Is_Block=kaithi}', "");
Expect(1, 69840, '\p{^Is_Block=kaithi}', "");
Expect(1, 69840, '\P{Is_Block=kaithi}', "");
Expect(0, 69840, '\P{^Is_Block=kaithi}', "");
Expect(1, 69839, '\p{Is_Block=_kaithi}', "");
Expect(0, 69839, '\p{^Is_Block=_kaithi}', "");
Expect(0, 69839, '\P{Is_Block=_kaithi}', "");
Expect(1, 69839, '\P{^Is_Block=_kaithi}', "");
Expect(0, 69840, '\p{Is_Block=_kaithi}', "");
Expect(1, 69840, '\p{^Is_Block=_kaithi}', "");
Expect(1, 69840, '\P{Is_Block=_kaithi}', "");
Expect(0, 69840, '\P{^Is_Block=_kaithi}', "");
Error('\p{Is_Blk=- KAITHI/a/}');
Error('\P{Is_Blk=- KAITHI/a/}');
Expect(1, 69839, '\p{Is_Blk=kaithi}', "");
Expect(0, 69839, '\p{^Is_Blk=kaithi}', "");
Expect(0, 69839, '\P{Is_Blk=kaithi}', "");
Expect(1, 69839, '\P{^Is_Blk=kaithi}', "");
Expect(0, 69840, '\p{Is_Blk=kaithi}', "");
Expect(1, 69840, '\p{^Is_Blk=kaithi}', "");
Expect(1, 69840, '\P{Is_Blk=kaithi}', "");
Expect(0, 69840, '\P{^Is_Blk=kaithi}', "");
Expect(1, 69839, '\p{Is_Blk: KAITHI}', "");
Expect(0, 69839, '\p{^Is_Blk: KAITHI}', "");
Expect(0, 69839, '\P{Is_Blk: KAITHI}', "");
Expect(1, 69839, '\P{^Is_Blk: KAITHI}', "");
Expect(0, 69840, '\p{Is_Blk: KAITHI}', "");
Expect(1, 69840, '\p{^Is_Blk: KAITHI}', "");
Expect(1, 69840, '\P{Is_Blk: KAITHI}', "");
Expect(0, 69840, '\P{^Is_Blk: KAITHI}', "");
Error('\p{Block= /a/KANA_supplement}');
Error('\P{Block= /a/KANA_supplement}');
Expect(1, 110847, '\p{Block=kanasupplement}', "");
Expect(0, 110847, '\p{^Block=kanasupplement}', "");
Expect(0, 110847, '\P{Block=kanasupplement}', "");
Expect(1, 110847, '\P{^Block=kanasupplement}', "");
Expect(0, 110848, '\p{Block=kanasupplement}', "");
Expect(1, 110848, '\p{^Block=kanasupplement}', "");
Expect(1, 110848, '\P{Block=kanasupplement}', "");
Expect(0, 110848, '\P{^Block=kanasupplement}', "");
Expect(1, 110847, '\p{Block=		Kana_Supplement}', "");
Expect(0, 110847, '\p{^Block=		Kana_Supplement}', "");
Expect(0, 110847, '\P{Block=		Kana_Supplement}', "");
Expect(1, 110847, '\P{^Block=		Kana_Supplement}', "");
Expect(0, 110848, '\p{Block=		Kana_Supplement}', "");
Expect(1, 110848, '\p{^Block=		Kana_Supplement}', "");
Expect(1, 110848, '\P{Block=		Kana_Supplement}', "");
Expect(0, 110848, '\P{^Block=		Kana_Supplement}', "");
Error('\p{Blk= /a/Kana_Sup}');
Error('\P{Blk= /a/Kana_Sup}');
Expect(1, 110847, '\p{Blk=kanasup}', "");
Expect(0, 110847, '\p{^Blk=kanasup}', "");
Expect(0, 110847, '\P{Blk=kanasup}', "");
Expect(1, 110847, '\P{^Blk=kanasup}', "");
Expect(0, 110848, '\p{Blk=kanasup}', "");
Expect(1, 110848, '\p{^Blk=kanasup}', "");
Expect(1, 110848, '\P{Blk=kanasup}', "");
Expect(0, 110848, '\P{^Blk=kanasup}', "");
Expect(1, 110847, '\p{Blk:   Kana_Sup}', "");
Expect(0, 110847, '\p{^Blk:   Kana_Sup}', "");
Expect(0, 110847, '\P{Blk:   Kana_Sup}', "");
Expect(1, 110847, '\P{^Blk:   Kana_Sup}', "");
Expect(0, 110848, '\p{Blk:   Kana_Sup}', "");
Expect(1, 110848, '\p{^Blk:   Kana_Sup}', "");
Expect(1, 110848, '\P{Blk:   Kana_Sup}', "");
Expect(0, 110848, '\P{^Blk:   Kana_Sup}', "");
Error('\p{Is_Block=:=_Kana_Supplement}');
Error('\P{Is_Block=:=_Kana_Supplement}');
Expect(1, 110847, '\p{Is_Block=kanasupplement}', "");
Expect(0, 110847, '\p{^Is_Block=kanasupplement}', "");
Expect(0, 110847, '\P{Is_Block=kanasupplement}', "");
Expect(1, 110847, '\P{^Is_Block=kanasupplement}', "");
Expect(0, 110848, '\p{Is_Block=kanasupplement}', "");
Expect(1, 110848, '\p{^Is_Block=kanasupplement}', "");
Expect(1, 110848, '\P{Is_Block=kanasupplement}', "");
Expect(0, 110848, '\P{^Is_Block=kanasupplement}', "");
Expect(1, 110847, '\p{Is_Block=Kana_supplement}', "");
Expect(0, 110847, '\p{^Is_Block=Kana_supplement}', "");
Expect(0, 110847, '\P{Is_Block=Kana_supplement}', "");
Expect(1, 110847, '\P{^Is_Block=Kana_supplement}', "");
Expect(0, 110848, '\p{Is_Block=Kana_supplement}', "");
Expect(1, 110848, '\p{^Is_Block=Kana_supplement}', "");
Expect(1, 110848, '\P{Is_Block=Kana_supplement}', "");
Expect(0, 110848, '\P{^Is_Block=Kana_supplement}', "");
Error('\p{Is_Blk=/a/KANA_SUP}');
Error('\P{Is_Blk=/a/KANA_SUP}');
Expect(1, 110847, '\p{Is_Blk: kanasup}', "");
Expect(0, 110847, '\p{^Is_Blk: kanasup}', "");
Expect(0, 110847, '\P{Is_Blk: kanasup}', "");
Expect(1, 110847, '\P{^Is_Blk: kanasup}', "");
Expect(0, 110848, '\p{Is_Blk: kanasup}', "");
Expect(1, 110848, '\p{^Is_Blk: kanasup}', "");
Expect(1, 110848, '\P{Is_Blk: kanasup}', "");
Expect(0, 110848, '\P{^Is_Blk: kanasup}', "");
Expect(1, 110847, '\p{Is_Blk=Kana_Sup}', "");
Expect(0, 110847, '\p{^Is_Blk=Kana_Sup}', "");
Expect(0, 110847, '\P{Is_Blk=Kana_Sup}', "");
Expect(1, 110847, '\P{^Is_Blk=Kana_Sup}', "");
Expect(0, 110848, '\p{Is_Blk=Kana_Sup}', "");
Expect(1, 110848, '\p{^Is_Blk=Kana_Sup}', "");
Expect(1, 110848, '\P{Is_Blk=Kana_Sup}', "");
Expect(0, 110848, '\P{^Is_Blk=Kana_Sup}', "");
Error('\p{Block=:= 	kanbun}');
Error('\P{Block=:= 	kanbun}');
Expect(1, 12703, '\p{Block=kanbun}', "");
Expect(0, 12703, '\p{^Block=kanbun}', "");
Expect(0, 12703, '\P{Block=kanbun}', "");
Expect(1, 12703, '\P{^Block=kanbun}', "");
Expect(0, 12704, '\p{Block=kanbun}', "");
Expect(1, 12704, '\p{^Block=kanbun}', "");
Expect(1, 12704, '\P{Block=kanbun}', "");
Expect(0, 12704, '\P{^Block=kanbun}', "");
Expect(1, 12703, '\p{Block=	Kanbun}', "");
Expect(0, 12703, '\p{^Block=	Kanbun}', "");
Expect(0, 12703, '\P{Block=	Kanbun}', "");
Expect(1, 12703, '\P{^Block=	Kanbun}', "");
Expect(0, 12704, '\p{Block=	Kanbun}', "");
Expect(1, 12704, '\p{^Block=	Kanbun}', "");
Expect(1, 12704, '\P{Block=	Kanbun}', "");
Expect(0, 12704, '\P{^Block=	Kanbun}', "");
Error('\p{Blk=:= 	kanbun}');
Error('\P{Blk=:= 	kanbun}');
Expect(1, 12703, '\p{Blk=kanbun}', "");
Expect(0, 12703, '\p{^Blk=kanbun}', "");
Expect(0, 12703, '\P{Blk=kanbun}', "");
Expect(1, 12703, '\P{^Blk=kanbun}', "");
Expect(0, 12704, '\p{Blk=kanbun}', "");
Expect(1, 12704, '\p{^Blk=kanbun}', "");
Expect(1, 12704, '\P{Blk=kanbun}', "");
Expect(0, 12704, '\P{^Blk=kanbun}', "");
Expect(1, 12703, '\p{Blk:	-kanbun}', "");
Expect(0, 12703, '\p{^Blk:	-kanbun}', "");
Expect(0, 12703, '\P{Blk:	-kanbun}', "");
Expect(1, 12703, '\P{^Blk:	-kanbun}', "");
Expect(0, 12704, '\p{Blk:	-kanbun}', "");
Expect(1, 12704, '\p{^Blk:	-kanbun}', "");
Expect(1, 12704, '\P{Blk:	-kanbun}', "");
Expect(0, 12704, '\P{^Blk:	-kanbun}', "");
Error('\p{Is_Block:   :=	Kanbun}');
Error('\P{Is_Block:   :=	Kanbun}');
Expect(1, 12703, '\p{Is_Block=kanbun}', "");
Expect(0, 12703, '\p{^Is_Block=kanbun}', "");
Expect(0, 12703, '\P{Is_Block=kanbun}', "");
Expect(1, 12703, '\P{^Is_Block=kanbun}', "");
Expect(0, 12704, '\p{Is_Block=kanbun}', "");
Expect(1, 12704, '\p{^Is_Block=kanbun}', "");
Expect(1, 12704, '\P{Is_Block=kanbun}', "");
Expect(0, 12704, '\P{^Is_Block=kanbun}', "");
Expect(1, 12703, '\p{Is_Block=	kanbun}', "");
Expect(0, 12703, '\p{^Is_Block=	kanbun}', "");
Expect(0, 12703, '\P{Is_Block=	kanbun}', "");
Expect(1, 12703, '\P{^Is_Block=	kanbun}', "");
Expect(0, 12704, '\p{Is_Block=	kanbun}', "");
Expect(1, 12704, '\p{^Is_Block=	kanbun}', "");
Expect(1, 12704, '\P{Is_Block=	kanbun}', "");
Expect(0, 12704, '\P{^Is_Block=	kanbun}', "");
Error('\p{Is_Blk=_-Kanbun/a/}');
Error('\P{Is_Blk=_-Kanbun/a/}');
Expect(1, 12703, '\p{Is_Blk=kanbun}', "");
Expect(0, 12703, '\p{^Is_Blk=kanbun}', "");
Expect(0, 12703, '\P{Is_Blk=kanbun}', "");
Expect(1, 12703, '\P{^Is_Blk=kanbun}', "");
Expect(0, 12704, '\p{Is_Blk=kanbun}', "");
Expect(1, 12704, '\p{^Is_Blk=kanbun}', "");
Expect(1, 12704, '\P{Is_Blk=kanbun}', "");
Expect(0, 12704, '\P{^Is_Blk=kanbun}', "");
Expect(1, 12703, '\p{Is_Blk=-Kanbun}', "");
Expect(0, 12703, '\p{^Is_Blk=-Kanbun}', "");
Expect(0, 12703, '\P{Is_Blk=-Kanbun}', "");
Expect(1, 12703, '\P{^Is_Blk=-Kanbun}', "");
Expect(0, 12704, '\p{Is_Blk=-Kanbun}', "");
Expect(1, 12704, '\p{^Is_Blk=-Kanbun}', "");
Expect(1, 12704, '\P{Is_Blk=-Kanbun}', "");
Expect(0, 12704, '\P{^Is_Blk=-Kanbun}', "");
Error('\p{Block=/a/_kangxi_Radicals}');
Error('\P{Block=/a/_kangxi_Radicals}');
Expect(1, 12255, '\p{Block=kangxiradicals}', "");
Expect(0, 12255, '\p{^Block=kangxiradicals}', "");
Expect(0, 12255, '\P{Block=kangxiradicals}', "");
Expect(1, 12255, '\P{^Block=kangxiradicals}', "");
Expect(0, 12256, '\p{Block=kangxiradicals}', "");
Expect(1, 12256, '\p{^Block=kangxiradicals}', "");
Expect(1, 12256, '\P{Block=kangxiradicals}', "");
Expect(0, 12256, '\P{^Block=kangxiradicals}', "");
Expect(1, 12255, '\p{Block= -Kangxi_Radicals}', "");
Expect(0, 12255, '\p{^Block= -Kangxi_Radicals}', "");
Expect(0, 12255, '\P{Block= -Kangxi_Radicals}', "");
Expect(1, 12255, '\P{^Block= -Kangxi_Radicals}', "");
Expect(0, 12256, '\p{Block= -Kangxi_Radicals}', "");
Expect(1, 12256, '\p{^Block= -Kangxi_Radicals}', "");
Expect(1, 12256, '\P{Block= -Kangxi_Radicals}', "");
Expect(0, 12256, '\P{^Block= -Kangxi_Radicals}', "");
Error('\p{Blk=:=--Kangxi}');
Error('\P{Blk=:=--Kangxi}');
Expect(1, 12255, '\p{Blk=kangxi}', "");
Expect(0, 12255, '\p{^Blk=kangxi}', "");
Expect(0, 12255, '\P{Blk=kangxi}', "");
Expect(1, 12255, '\P{^Blk=kangxi}', "");
Expect(0, 12256, '\p{Blk=kangxi}', "");
Expect(1, 12256, '\p{^Blk=kangxi}', "");
Expect(1, 12256, '\P{Blk=kangxi}', "");
Expect(0, 12256, '\P{^Blk=kangxi}', "");
Expect(1, 12255, '\p{Blk:   		Kangxi}', "");
Expect(0, 12255, '\p{^Blk:   		Kangxi}', "");
Expect(0, 12255, '\P{Blk:   		Kangxi}', "");
Expect(1, 12255, '\P{^Blk:   		Kangxi}', "");
Expect(0, 12256, '\p{Blk:   		Kangxi}', "");
Expect(1, 12256, '\p{^Blk:   		Kangxi}', "");
Expect(1, 12256, '\P{Blk:   		Kangxi}', "");
Expect(0, 12256, '\P{^Blk:   		Kangxi}', "");
Error('\p{Is_Block=/a/ 	Kangxi_Radicals}');
Error('\P{Is_Block=/a/ 	Kangxi_Radicals}');
Expect(1, 12255, '\p{Is_Block=kangxiradicals}', "");
Expect(0, 12255, '\p{^Is_Block=kangxiradicals}', "");
Expect(0, 12255, '\P{Is_Block=kangxiradicals}', "");
Expect(1, 12255, '\P{^Is_Block=kangxiradicals}', "");
Expect(0, 12256, '\p{Is_Block=kangxiradicals}', "");
Expect(1, 12256, '\p{^Is_Block=kangxiradicals}', "");
Expect(1, 12256, '\P{Is_Block=kangxiradicals}', "");
Expect(0, 12256, '\P{^Is_Block=kangxiradicals}', "");
Expect(1, 12255, '\p{Is_Block=	-kangxi_radicals}', "");
Expect(0, 12255, '\p{^Is_Block=	-kangxi_radicals}', "");
Expect(0, 12255, '\P{Is_Block=	-kangxi_radicals}', "");
Expect(1, 12255, '\P{^Is_Block=	-kangxi_radicals}', "");
Expect(0, 12256, '\p{Is_Block=	-kangxi_radicals}', "");
Expect(1, 12256, '\p{^Is_Block=	-kangxi_radicals}', "");
Expect(1, 12256, '\P{Is_Block=	-kangxi_radicals}', "");
Expect(0, 12256, '\P{^Is_Block=	-kangxi_radicals}', "");
Error('\p{Is_Blk:	/a/_Kangxi}');
Error('\P{Is_Blk:	/a/_Kangxi}');
Expect(1, 12255, '\p{Is_Blk=kangxi}', "");
Expect(0, 12255, '\p{^Is_Blk=kangxi}', "");
Expect(0, 12255, '\P{Is_Blk=kangxi}', "");
Expect(1, 12255, '\P{^Is_Blk=kangxi}', "");
Expect(0, 12256, '\p{Is_Blk=kangxi}', "");
Expect(1, 12256, '\p{^Is_Blk=kangxi}', "");
Expect(1, 12256, '\P{Is_Blk=kangxi}', "");
Expect(0, 12256, '\P{^Is_Blk=kangxi}', "");
Expect(1, 12255, '\p{Is_Blk=		KANGXI}', "");
Expect(0, 12255, '\p{^Is_Blk=		KANGXI}', "");
Expect(0, 12255, '\P{Is_Blk=		KANGXI}', "");
Expect(1, 12255, '\P{^Is_Blk=		KANGXI}', "");
Expect(0, 12256, '\p{Is_Blk=		KANGXI}', "");
Expect(1, 12256, '\p{^Is_Blk=		KANGXI}', "");
Expect(1, 12256, '\P{Is_Blk=		KANGXI}', "");
Expect(0, 12256, '\P{^Is_Blk=		KANGXI}', "");
Error('\p{Block= _Kannada/a/}');
Error('\P{Block= _Kannada/a/}');
Expect(1, 3327, '\p{Block=kannada}', "");
Expect(0, 3327, '\p{^Block=kannada}', "");
Expect(0, 3327, '\P{Block=kannada}', "");
Expect(1, 3327, '\P{^Block=kannada}', "");
Expect(0, 3328, '\p{Block=kannada}', "");
Expect(1, 3328, '\p{^Block=kannada}', "");
Expect(1, 3328, '\P{Block=kannada}', "");
Expect(0, 3328, '\P{^Block=kannada}', "");
Expect(1, 3327, '\p{Block= 	Kannada}', "");
Expect(0, 3327, '\p{^Block= 	Kannada}', "");
Expect(0, 3327, '\P{Block= 	Kannada}', "");
Expect(1, 3327, '\P{^Block= 	Kannada}', "");
Expect(0, 3328, '\p{Block= 	Kannada}', "");
Expect(1, 3328, '\p{^Block= 	Kannada}', "");
Expect(1, 3328, '\P{Block= 	Kannada}', "");
Expect(0, 3328, '\P{^Block= 	Kannada}', "");
Error('\p{Blk=:=-Kannada}');
Error('\P{Blk=:=-Kannada}');
Expect(1, 3327, '\p{Blk=kannada}', "");
Expect(0, 3327, '\p{^Blk=kannada}', "");
Expect(0, 3327, '\P{Blk=kannada}', "");
Expect(1, 3327, '\P{^Blk=kannada}', "");
Expect(0, 3328, '\p{Blk=kannada}', "");
Expect(1, 3328, '\p{^Blk=kannada}', "");
Expect(1, 3328, '\P{Blk=kannada}', "");
Expect(0, 3328, '\P{^Blk=kannada}', "");
Expect(1, 3327, '\p{Blk= Kannada}', "");
Expect(0, 3327, '\p{^Blk= Kannada}', "");
Expect(0, 3327, '\P{Blk= Kannada}', "");
Expect(1, 3327, '\P{^Blk= Kannada}', "");
Expect(0, 3328, '\p{Blk= Kannada}', "");
Expect(1, 3328, '\p{^Blk= Kannada}', "");
Expect(1, 3328, '\P{Blk= Kannada}', "");
Expect(0, 3328, '\P{^Blk= Kannada}', "");
Error('\p{Is_Block= /a/KANNADA}');
Error('\P{Is_Block= /a/KANNADA}');
Expect(1, 3327, '\p{Is_Block=kannada}', "");
Expect(0, 3327, '\p{^Is_Block=kannada}', "");
Expect(0, 3327, '\P{Is_Block=kannada}', "");
Expect(1, 3327, '\P{^Is_Block=kannada}', "");
Expect(0, 3328, '\p{Is_Block=kannada}', "");
Expect(1, 3328, '\p{^Is_Block=kannada}', "");
Expect(1, 3328, '\P{Is_Block=kannada}', "");
Expect(0, 3328, '\P{^Is_Block=kannada}', "");
Expect(1, 3327, '\p{Is_Block=	_Kannada}', "");
Expect(0, 3327, '\p{^Is_Block=	_Kannada}', "");
Expect(0, 3327, '\P{Is_Block=	_Kannada}', "");
Expect(1, 3327, '\P{^Is_Block=	_Kannada}', "");
Expect(0, 3328, '\p{Is_Block=	_Kannada}', "");
Expect(1, 3328, '\p{^Is_Block=	_Kannada}', "");
Expect(1, 3328, '\P{Is_Block=	_Kannada}', "");
Expect(0, 3328, '\P{^Is_Block=	_Kannada}', "");
Error('\p{Is_Blk=-_kannada:=}');
Error('\P{Is_Blk=-_kannada:=}');
Expect(1, 3327, '\p{Is_Blk=kannada}', "");
Expect(0, 3327, '\p{^Is_Blk=kannada}', "");
Expect(0, 3327, '\P{Is_Blk=kannada}', "");
Expect(1, 3327, '\P{^Is_Blk=kannada}', "");
Expect(0, 3328, '\p{Is_Blk=kannada}', "");
Expect(1, 3328, '\p{^Is_Blk=kannada}', "");
Expect(1, 3328, '\P{Is_Blk=kannada}', "");
Expect(0, 3328, '\P{^Is_Blk=kannada}', "");
Expect(1, 3327, '\p{Is_Blk= Kannada}', "");
Expect(0, 3327, '\p{^Is_Blk= Kannada}', "");
Expect(0, 3327, '\P{Is_Blk= Kannada}', "");
Expect(1, 3327, '\P{^Is_Blk= Kannada}', "");
Expect(0, 3328, '\p{Is_Blk= Kannada}', "");
Expect(1, 3328, '\p{^Is_Blk= Kannada}', "");
Expect(1, 3328, '\P{Is_Blk= Kannada}', "");
Expect(0, 3328, '\P{^Is_Blk= Kannada}', "");
Error('\p{Block=_/a/KATAKANA}');
Error('\P{Block=_/a/KATAKANA}');
Expect(1, 12543, '\p{Block=katakana}', "");
Expect(0, 12543, '\p{^Block=katakana}', "");
Expect(0, 12543, '\P{Block=katakana}', "");
Expect(1, 12543, '\P{^Block=katakana}', "");
Expect(0, 12544, '\p{Block=katakana}', "");
Expect(1, 12544, '\p{^Block=katakana}', "");
Expect(1, 12544, '\P{Block=katakana}', "");
Expect(0, 12544, '\P{^Block=katakana}', "");
Expect(1, 12543, '\p{Block=_katakana}', "");
Expect(0, 12543, '\p{^Block=_katakana}', "");
Expect(0, 12543, '\P{Block=_katakana}', "");
Expect(1, 12543, '\P{^Block=_katakana}', "");
Expect(0, 12544, '\p{Block=_katakana}', "");
Expect(1, 12544, '\p{^Block=_katakana}', "");
Expect(1, 12544, '\P{Block=_katakana}', "");
Expect(0, 12544, '\P{^Block=_katakana}', "");
Error('\p{Blk=__Katakana/a/}');
Error('\P{Blk=__Katakana/a/}');
Expect(1, 12543, '\p{Blk=katakana}', "");
Expect(0, 12543, '\p{^Blk=katakana}', "");
Expect(0, 12543, '\P{Blk=katakana}', "");
Expect(1, 12543, '\P{^Blk=katakana}', "");
Expect(0, 12544, '\p{Blk=katakana}', "");
Expect(1, 12544, '\p{^Blk=katakana}', "");
Expect(1, 12544, '\P{Blk=katakana}', "");
Expect(0, 12544, '\P{^Blk=katakana}', "");
Expect(1, 12543, '\p{Blk= Katakana}', "");
Expect(0, 12543, '\p{^Blk= Katakana}', "");
Expect(0, 12543, '\P{Blk= Katakana}', "");
Expect(1, 12543, '\P{^Blk= Katakana}', "");
Expect(0, 12544, '\p{Blk= Katakana}', "");
Expect(1, 12544, '\p{^Blk= Katakana}', "");
Expect(1, 12544, '\P{Blk= Katakana}', "");
Expect(0, 12544, '\P{^Blk= Katakana}', "");
Error('\p{Is_Block=/a/Katakana}');
Error('\P{Is_Block=/a/Katakana}');
Expect(1, 12543, '\p{Is_Block=katakana}', "");
Expect(0, 12543, '\p{^Is_Block=katakana}', "");
Expect(0, 12543, '\P{Is_Block=katakana}', "");
Expect(1, 12543, '\P{^Is_Block=katakana}', "");
Expect(0, 12544, '\p{Is_Block=katakana}', "");
Expect(1, 12544, '\p{^Is_Block=katakana}', "");
Expect(1, 12544, '\P{Is_Block=katakana}', "");
Expect(0, 12544, '\P{^Is_Block=katakana}', "");
Expect(1, 12543, '\p{Is_Block=-katakana}', "");
Expect(0, 12543, '\p{^Is_Block=-katakana}', "");
Expect(0, 12543, '\P{Is_Block=-katakana}', "");
Expect(1, 12543, '\P{^Is_Block=-katakana}', "");
Expect(0, 12544, '\p{Is_Block=-katakana}', "");
Expect(1, 12544, '\p{^Is_Block=-katakana}', "");
Expect(1, 12544, '\P{Is_Block=-katakana}', "");
Expect(0, 12544, '\P{^Is_Block=-katakana}', "");
Error('\p{Is_Blk:   :=Katakana}');
Error('\P{Is_Blk:   :=Katakana}');
Expect(1, 12543, '\p{Is_Blk=katakana}', "");
Expect(0, 12543, '\p{^Is_Blk=katakana}', "");
Expect(0, 12543, '\P{Is_Blk=katakana}', "");
Expect(1, 12543, '\P{^Is_Blk=katakana}', "");
Expect(0, 12544, '\p{Is_Blk=katakana}', "");
Expect(1, 12544, '\p{^Is_Blk=katakana}', "");
Expect(1, 12544, '\P{Is_Blk=katakana}', "");
Expect(0, 12544, '\P{^Is_Blk=katakana}', "");
Expect(1, 12543, '\p{Is_Blk: 	-KATAKANA}', "");
Expect(0, 12543, '\p{^Is_Blk: 	-KATAKANA}', "");
Expect(0, 12543, '\P{Is_Blk: 	-KATAKANA}', "");
Expect(1, 12543, '\P{^Is_Blk: 	-KATAKANA}', "");
Expect(0, 12544, '\p{Is_Blk: 	-KATAKANA}', "");
Expect(1, 12544, '\p{^Is_Blk: 	-KATAKANA}', "");
Expect(1, 12544, '\P{Is_Blk: 	-KATAKANA}', "");
Expect(0, 12544, '\P{^Is_Blk: 	-KATAKANA}', "");
Error('\p{Block:/a/_-Katakana_Phonetic_Extensions}');
Error('\P{Block:/a/_-Katakana_Phonetic_Extensions}');
Expect(1, 12799, '\p{Block=katakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^Block=katakanaphoneticextensions}', "");
Expect(0, 12799, '\P{Block=katakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^Block=katakanaphoneticextensions}', "");
Expect(0, 12800, '\p{Block=katakanaphoneticextensions}', "");
Expect(1, 12800, '\p{^Block=katakanaphoneticextensions}', "");
Expect(1, 12800, '\P{Block=katakanaphoneticextensions}', "");
Expect(0, 12800, '\P{^Block=katakanaphoneticextensions}', "");
Expect(1, 12799, '\p{Block=	 KATAKANA_Phonetic_extensions}', "");
Expect(0, 12799, '\p{^Block=	 KATAKANA_Phonetic_extensions}', "");
Expect(0, 12799, '\P{Block=	 KATAKANA_Phonetic_extensions}', "");
Expect(1, 12799, '\P{^Block=	 KATAKANA_Phonetic_extensions}', "");
Expect(0, 12800, '\p{Block=	 KATAKANA_Phonetic_extensions}', "");
Expect(1, 12800, '\p{^Block=	 KATAKANA_Phonetic_extensions}', "");
Expect(1, 12800, '\P{Block=	 KATAKANA_Phonetic_extensions}', "");
Expect(0, 12800, '\P{^Block=	 KATAKANA_Phonetic_extensions}', "");
Error('\p{Blk=:=--KATAKANA_Ext}');
Error('\P{Blk=:=--KATAKANA_Ext}');
Expect(1, 12799, '\p{Blk=katakanaext}', "");
Expect(0, 12799, '\p{^Blk=katakanaext}', "");
Expect(0, 12799, '\P{Blk=katakanaext}', "");
Expect(1, 12799, '\P{^Blk=katakanaext}', "");
Expect(0, 12800, '\p{Blk=katakanaext}', "");
Expect(1, 12800, '\p{^Blk=katakanaext}', "");
Expect(1, 12800, '\P{Blk=katakanaext}', "");
Expect(0, 12800, '\P{^Blk=katakanaext}', "");
Expect(1, 12799, '\p{Blk=_	Katakana_ext}', "");
Expect(0, 12799, '\p{^Blk=_	Katakana_ext}', "");
Expect(0, 12799, '\P{Blk=_	Katakana_ext}', "");
Expect(1, 12799, '\P{^Blk=_	Katakana_ext}', "");
Expect(0, 12800, '\p{Blk=_	Katakana_ext}', "");
Expect(1, 12800, '\p{^Blk=_	Katakana_ext}', "");
Expect(1, 12800, '\P{Blk=_	Katakana_ext}', "");
Expect(0, 12800, '\P{^Blk=_	Katakana_ext}', "");
Error('\p{Is_Block=:=_ Katakana_Phonetic_extensions}');
Error('\P{Is_Block=:=_ Katakana_Phonetic_extensions}');
Expect(1, 12799, '\p{Is_Block=katakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^Is_Block=katakanaphoneticextensions}', "");
Expect(0, 12799, '\P{Is_Block=katakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^Is_Block=katakanaphoneticextensions}', "");
Expect(0, 12800, '\p{Is_Block=katakanaphoneticextensions}', "");
Expect(1, 12800, '\p{^Is_Block=katakanaphoneticextensions}', "");
Expect(1, 12800, '\P{Is_Block=katakanaphoneticextensions}', "");
Expect(0, 12800, '\P{^Is_Block=katakanaphoneticextensions}', "");
Expect(1, 12799, '\p{Is_Block=-katakana_PHONETIC_EXTENSIONS}', "");
Expect(0, 12799, '\p{^Is_Block=-katakana_PHONETIC_EXTENSIONS}', "");
Expect(0, 12799, '\P{Is_Block=-katakana_PHONETIC_EXTENSIONS}', "");
Expect(1, 12799, '\P{^Is_Block=-katakana_PHONETIC_EXTENSIONS}', "");
Expect(0, 12800, '\p{Is_Block=-katakana_PHONETIC_EXTENSIONS}', "");
Expect(1, 12800, '\p{^Is_Block=-katakana_PHONETIC_EXTENSIONS}', "");
Expect(1, 12800, '\P{Is_Block=-katakana_PHONETIC_EXTENSIONS}', "");
Expect(0, 12800, '\P{^Is_Block=-katakana_PHONETIC_EXTENSIONS}', "");
Error('\p{Is_Blk= _katakana_Ext:=}');
Error('\P{Is_Blk= _katakana_Ext:=}');
Expect(1, 12799, '\p{Is_Blk=katakanaext}', "");
Expect(0, 12799, '\p{^Is_Blk=katakanaext}', "");
Expect(0, 12799, '\P{Is_Blk=katakanaext}', "");
Expect(1, 12799, '\P{^Is_Blk=katakanaext}', "");
Expect(0, 12800, '\p{Is_Blk=katakanaext}', "");
Expect(1, 12800, '\p{^Is_Blk=katakanaext}', "");
Expect(1, 12800, '\P{Is_Blk=katakanaext}', "");
Expect(0, 12800, '\P{^Is_Blk=katakanaext}', "");
Expect(1, 12799, '\p{Is_Blk=	KATAKANA_Ext}', "");
Expect(0, 12799, '\p{^Is_Blk=	KATAKANA_Ext}', "");
Expect(0, 12799, '\P{Is_Blk=	KATAKANA_Ext}', "");
Expect(1, 12799, '\P{^Is_Blk=	KATAKANA_Ext}', "");
Expect(0, 12800, '\p{Is_Blk=	KATAKANA_Ext}', "");
Expect(1, 12800, '\p{^Is_Blk=	KATAKANA_Ext}', "");
Expect(1, 12800, '\P{Is_Blk=	KATAKANA_Ext}', "");
Expect(0, 12800, '\P{^Is_Blk=	KATAKANA_Ext}', "");
Error('\p{Block=:=	kayah_LI}');
Error('\P{Block=:=	kayah_LI}');
Expect(1, 43311, '\p{Block=kayahli}', "");
Expect(0, 43311, '\p{^Block=kayahli}', "");
Expect(0, 43311, '\P{Block=kayahli}', "");
Expect(1, 43311, '\P{^Block=kayahli}', "");
Expect(0, 43312, '\p{Block=kayahli}', "");
Expect(1, 43312, '\p{^Block=kayahli}', "");
Expect(1, 43312, '\P{Block=kayahli}', "");
Expect(0, 43312, '\P{^Block=kayahli}', "");
Expect(1, 43311, '\p{Block=	-kayah_li}', "");
Expect(0, 43311, '\p{^Block=	-kayah_li}', "");
Expect(0, 43311, '\P{Block=	-kayah_li}', "");
Expect(1, 43311, '\P{^Block=	-kayah_li}', "");
Expect(0, 43312, '\p{Block=	-kayah_li}', "");
Expect(1, 43312, '\p{^Block=	-kayah_li}', "");
Expect(1, 43312, '\P{Block=	-kayah_li}', "");
Expect(0, 43312, '\P{^Block=	-kayah_li}', "");
Error('\p{Blk=__kayah_Li:=}');
Error('\P{Blk=__kayah_Li:=}');
Expect(1, 43311, '\p{Blk=kayahli}', "");
Expect(0, 43311, '\p{^Blk=kayahli}', "");
Expect(0, 43311, '\P{Blk=kayahli}', "");
Expect(1, 43311, '\P{^Blk=kayahli}', "");
Expect(0, 43312, '\p{Blk=kayahli}', "");
Expect(1, 43312, '\p{^Blk=kayahli}', "");
Expect(1, 43312, '\P{Blk=kayahli}', "");
Expect(0, 43312, '\P{^Blk=kayahli}', "");
Expect(1, 43311, '\p{Blk=_Kayah_Li}', "");
Expect(0, 43311, '\p{^Blk=_Kayah_Li}', "");
Expect(0, 43311, '\P{Blk=_Kayah_Li}', "");
Expect(1, 43311, '\P{^Blk=_Kayah_Li}', "");
Expect(0, 43312, '\p{Blk=_Kayah_Li}', "");
Expect(1, 43312, '\p{^Blk=_Kayah_Li}', "");
Expect(1, 43312, '\P{Blk=_Kayah_Li}', "");
Expect(0, 43312, '\P{^Blk=_Kayah_Li}', "");
Error('\p{Is_Block=:=Kayah_li}');
Error('\P{Is_Block=:=Kayah_li}');
Expect(1, 43311, '\p{Is_Block=kayahli}', "");
Expect(0, 43311, '\p{^Is_Block=kayahli}', "");
Expect(0, 43311, '\P{Is_Block=kayahli}', "");
Expect(1, 43311, '\P{^Is_Block=kayahli}', "");
Expect(0, 43312, '\p{Is_Block=kayahli}', "");
Expect(1, 43312, '\p{^Is_Block=kayahli}', "");
Expect(1, 43312, '\P{Is_Block=kayahli}', "");
Expect(0, 43312, '\P{^Is_Block=kayahli}', "");
Expect(1, 43311, '\p{Is_Block: 	kayah_LI}', "");
Expect(0, 43311, '\p{^Is_Block: 	kayah_LI}', "");
Expect(0, 43311, '\P{Is_Block: 	kayah_LI}', "");
Expect(1, 43311, '\P{^Is_Block: 	kayah_LI}', "");
Expect(0, 43312, '\p{Is_Block: 	kayah_LI}', "");
Expect(1, 43312, '\p{^Is_Block: 	kayah_LI}', "");
Expect(1, 43312, '\P{Is_Block: 	kayah_LI}', "");
Expect(0, 43312, '\P{^Is_Block: 	kayah_LI}', "");
Error('\p{Is_Blk:   /a/- KAYAH_LI}');
Error('\P{Is_Blk:   /a/- KAYAH_LI}');
Expect(1, 43311, '\p{Is_Blk=kayahli}', "");
Expect(0, 43311, '\p{^Is_Blk=kayahli}', "");
Expect(0, 43311, '\P{Is_Blk=kayahli}', "");
Expect(1, 43311, '\P{^Is_Blk=kayahli}', "");
Expect(0, 43312, '\p{Is_Blk=kayahli}', "");
Expect(1, 43312, '\p{^Is_Blk=kayahli}', "");
Expect(1, 43312, '\P{Is_Blk=kayahli}', "");
Expect(0, 43312, '\P{^Is_Blk=kayahli}', "");
Expect(1, 43311, '\p{Is_Blk= _kayah_LI}', "");
Expect(0, 43311, '\p{^Is_Blk= _kayah_LI}', "");
Expect(0, 43311, '\P{Is_Blk= _kayah_LI}', "");
Expect(1, 43311, '\P{^Is_Blk= _kayah_LI}', "");
Expect(0, 43312, '\p{Is_Blk= _kayah_LI}', "");
Expect(1, 43312, '\p{^Is_Blk= _kayah_LI}', "");
Expect(1, 43312, '\P{Is_Blk= _kayah_LI}', "");
Expect(0, 43312, '\P{^Is_Blk= _kayah_LI}', "");
Error('\p{Block= :=Kharoshthi}');
Error('\P{Block= :=Kharoshthi}');
Expect(1, 68191, '\p{Block=kharoshthi}', "");
Expect(0, 68191, '\p{^Block=kharoshthi}', "");
Expect(0, 68191, '\P{Block=kharoshthi}', "");
Expect(1, 68191, '\P{^Block=kharoshthi}', "");
Expect(0, 68192, '\p{Block=kharoshthi}', "");
Expect(1, 68192, '\p{^Block=kharoshthi}', "");
Expect(1, 68192, '\P{Block=kharoshthi}', "");
Expect(0, 68192, '\P{^Block=kharoshthi}', "");
Expect(1, 68191, '\p{Block:Kharoshthi}', "");
Expect(0, 68191, '\p{^Block:Kharoshthi}', "");
Expect(0, 68191, '\P{Block:Kharoshthi}', "");
Expect(1, 68191, '\P{^Block:Kharoshthi}', "");
Expect(0, 68192, '\p{Block:Kharoshthi}', "");
Expect(1, 68192, '\p{^Block:Kharoshthi}', "");
Expect(1, 68192, '\P{Block:Kharoshthi}', "");
Expect(0, 68192, '\P{^Block:Kharoshthi}', "");
Error('\p{Blk=:=__Kharoshthi}');
Error('\P{Blk=:=__Kharoshthi}');
Expect(1, 68191, '\p{Blk=kharoshthi}', "");
Expect(0, 68191, '\p{^Blk=kharoshthi}', "");
Expect(0, 68191, '\P{Blk=kharoshthi}', "");
Expect(1, 68191, '\P{^Blk=kharoshthi}', "");
Expect(0, 68192, '\p{Blk=kharoshthi}', "");
Expect(1, 68192, '\p{^Blk=kharoshthi}', "");
Expect(1, 68192, '\P{Blk=kharoshthi}', "");
Expect(0, 68192, '\P{^Blk=kharoshthi}', "");
Expect(1, 68191, '\p{Blk= kharoshthi}', "");
Expect(0, 68191, '\p{^Blk= kharoshthi}', "");
Expect(0, 68191, '\P{Blk= kharoshthi}', "");
Expect(1, 68191, '\P{^Blk= kharoshthi}', "");
Expect(0, 68192, '\p{Blk= kharoshthi}', "");
Expect(1, 68192, '\p{^Blk= kharoshthi}', "");
Expect(1, 68192, '\P{Blk= kharoshthi}', "");
Expect(0, 68192, '\P{^Blk= kharoshthi}', "");
Error('\p{Is_Block::=_-KHAROSHTHI}');
Error('\P{Is_Block::=_-KHAROSHTHI}');
Expect(1, 68191, '\p{Is_Block=kharoshthi}', "");
Expect(0, 68191, '\p{^Is_Block=kharoshthi}', "");
Expect(0, 68191, '\P{Is_Block=kharoshthi}', "");
Expect(1, 68191, '\P{^Is_Block=kharoshthi}', "");
Expect(0, 68192, '\p{Is_Block=kharoshthi}', "");
Expect(1, 68192, '\p{^Is_Block=kharoshthi}', "");
Expect(1, 68192, '\P{Is_Block=kharoshthi}', "");
Expect(0, 68192, '\P{^Is_Block=kharoshthi}', "");
Expect(1, 68191, '\p{Is_Block= -Kharoshthi}', "");
Expect(0, 68191, '\p{^Is_Block= -Kharoshthi}', "");
Expect(0, 68191, '\P{Is_Block= -Kharoshthi}', "");
Expect(1, 68191, '\P{^Is_Block= -Kharoshthi}', "");
Expect(0, 68192, '\p{Is_Block= -Kharoshthi}', "");
Expect(1, 68192, '\p{^Is_Block= -Kharoshthi}', "");
Expect(1, 68192, '\P{Is_Block= -Kharoshthi}', "");
Expect(0, 68192, '\P{^Is_Block= -Kharoshthi}', "");
Error('\p{Is_Blk=_-KHAROSHTHI:=}');
Error('\P{Is_Blk=_-KHAROSHTHI:=}');
Expect(1, 68191, '\p{Is_Blk:kharoshthi}', "");
Expect(0, 68191, '\p{^Is_Blk:kharoshthi}', "");
Expect(0, 68191, '\P{Is_Blk:kharoshthi}', "");
Expect(1, 68191, '\P{^Is_Blk:kharoshthi}', "");
Expect(0, 68192, '\p{Is_Blk:kharoshthi}', "");
Expect(1, 68192, '\p{^Is_Blk:kharoshthi}', "");
Expect(1, 68192, '\P{Is_Blk:kharoshthi}', "");
Expect(0, 68192, '\P{^Is_Blk:kharoshthi}', "");
Expect(1, 68191, '\p{Is_Blk= Kharoshthi}', "");
Expect(0, 68191, '\p{^Is_Blk= Kharoshthi}', "");
Expect(0, 68191, '\P{Is_Blk= Kharoshthi}', "");
Expect(1, 68191, '\P{^Is_Blk= Kharoshthi}', "");
Expect(0, 68192, '\p{Is_Blk= Kharoshthi}', "");
Expect(1, 68192, '\p{^Is_Blk= Kharoshthi}', "");
Expect(1, 68192, '\P{Is_Blk= Kharoshthi}', "");
Expect(0, 68192, '\P{^Is_Blk= Kharoshthi}', "");
Error('\p{Block=/a/-	Khmer}');
Error('\P{Block=/a/-	Khmer}');
Expect(1, 6143, '\p{Block=khmer}', "");
Expect(0, 6143, '\p{^Block=khmer}', "");
Expect(0, 6143, '\P{Block=khmer}', "");
Expect(1, 6143, '\P{^Block=khmer}', "");
Expect(0, 6144, '\p{Block=khmer}', "");
Expect(1, 6144, '\p{^Block=khmer}', "");
Expect(1, 6144, '\P{Block=khmer}', "");
Expect(0, 6144, '\P{^Block=khmer}', "");
Expect(1, 6143, '\p{Block: 		Khmer}', "");
Expect(0, 6143, '\p{^Block: 		Khmer}', "");
Expect(0, 6143, '\P{Block: 		Khmer}', "");
Expect(1, 6143, '\P{^Block: 		Khmer}', "");
Expect(0, 6144, '\p{Block: 		Khmer}', "");
Expect(1, 6144, '\p{^Block: 		Khmer}', "");
Expect(1, 6144, '\P{Block: 		Khmer}', "");
Expect(0, 6144, '\P{^Block: 		Khmer}', "");
Error('\p{Blk=_:=KHMER}');
Error('\P{Blk=_:=KHMER}');
Expect(1, 6143, '\p{Blk=khmer}', "");
Expect(0, 6143, '\p{^Blk=khmer}', "");
Expect(0, 6143, '\P{Blk=khmer}', "");
Expect(1, 6143, '\P{^Blk=khmer}', "");
Expect(0, 6144, '\p{Blk=khmer}', "");
Expect(1, 6144, '\p{^Blk=khmer}', "");
Expect(1, 6144, '\P{Blk=khmer}', "");
Expect(0, 6144, '\P{^Blk=khmer}', "");
Expect(1, 6143, '\p{Blk=-KHMER}', "");
Expect(0, 6143, '\p{^Blk=-KHMER}', "");
Expect(0, 6143, '\P{Blk=-KHMER}', "");
Expect(1, 6143, '\P{^Blk=-KHMER}', "");
Expect(0, 6144, '\p{Blk=-KHMER}', "");
Expect(1, 6144, '\p{^Blk=-KHMER}', "");
Expect(1, 6144, '\P{Blk=-KHMER}', "");
Expect(0, 6144, '\P{^Blk=-KHMER}', "");
Error('\p{Is_Block: :=	 Khmer}');
Error('\P{Is_Block: :=	 Khmer}');
Expect(1, 6143, '\p{Is_Block=khmer}', "");
Expect(0, 6143, '\p{^Is_Block=khmer}', "");
Expect(0, 6143, '\P{Is_Block=khmer}', "");
Expect(1, 6143, '\P{^Is_Block=khmer}', "");
Expect(0, 6144, '\p{Is_Block=khmer}', "");
Expect(1, 6144, '\p{^Is_Block=khmer}', "");
Expect(1, 6144, '\P{Is_Block=khmer}', "");
Expect(0, 6144, '\P{^Is_Block=khmer}', "");
Expect(1, 6143, '\p{Is_Block=--KHMER}', "");
Expect(0, 6143, '\p{^Is_Block=--KHMER}', "");
Expect(0, 6143, '\P{Is_Block=--KHMER}', "");
Expect(1, 6143, '\P{^Is_Block=--KHMER}', "");
Expect(0, 6144, '\p{Is_Block=--KHMER}', "");
Expect(1, 6144, '\p{^Is_Block=--KHMER}', "");
Expect(1, 6144, '\P{Is_Block=--KHMER}', "");
Expect(0, 6144, '\P{^Is_Block=--KHMER}', "");
Error('\p{Is_Blk=/a/ KHMER}');
Error('\P{Is_Blk=/a/ KHMER}');
Expect(1, 6143, '\p{Is_Blk=khmer}', "");
Expect(0, 6143, '\p{^Is_Blk=khmer}', "");
Expect(0, 6143, '\P{Is_Blk=khmer}', "");
Expect(1, 6143, '\P{^Is_Blk=khmer}', "");
Expect(0, 6144, '\p{Is_Blk=khmer}', "");
Expect(1, 6144, '\p{^Is_Blk=khmer}', "");
Expect(1, 6144, '\P{Is_Blk=khmer}', "");
Expect(0, 6144, '\P{^Is_Blk=khmer}', "");
Expect(1, 6143, '\p{Is_Blk=_-khmer}', "");
Expect(0, 6143, '\p{^Is_Blk=_-khmer}', "");
Expect(0, 6143, '\P{Is_Blk=_-khmer}', "");
Expect(1, 6143, '\P{^Is_Blk=_-khmer}', "");
Expect(0, 6144, '\p{Is_Blk=_-khmer}', "");
Expect(1, 6144, '\p{^Is_Blk=_-khmer}', "");
Expect(1, 6144, '\P{Is_Blk=_-khmer}', "");
Expect(0, 6144, '\P{^Is_Blk=_-khmer}', "");
Error('\p{Block=  Khmer_symbols/a/}');
Error('\P{Block=  Khmer_symbols/a/}');
Expect(1, 6655, '\p{Block=khmersymbols}', "");
Expect(0, 6655, '\p{^Block=khmersymbols}', "");
Expect(0, 6655, '\P{Block=khmersymbols}', "");
Expect(1, 6655, '\P{^Block=khmersymbols}', "");
Expect(0, 6656, '\p{Block=khmersymbols}', "");
Expect(1, 6656, '\p{^Block=khmersymbols}', "");
Expect(1, 6656, '\P{Block=khmersymbols}', "");
Expect(0, 6656, '\P{^Block=khmersymbols}', "");
Expect(1, 6655, '\p{Block=		KHMER_Symbols}', "");
Expect(0, 6655, '\p{^Block=		KHMER_Symbols}', "");
Expect(0, 6655, '\P{Block=		KHMER_Symbols}', "");
Expect(1, 6655, '\P{^Block=		KHMER_Symbols}', "");
Expect(0, 6656, '\p{Block=		KHMER_Symbols}', "");
Expect(1, 6656, '\p{^Block=		KHMER_Symbols}', "");
Expect(1, 6656, '\P{Block=		KHMER_Symbols}', "");
Expect(0, 6656, '\P{^Block=		KHMER_Symbols}', "");
Error('\p{Blk=	_khmer_Symbols/a/}');
Error('\P{Blk=	_khmer_Symbols/a/}');
Expect(1, 6655, '\p{Blk: khmersymbols}', "");
Expect(0, 6655, '\p{^Blk: khmersymbols}', "");
Expect(0, 6655, '\P{Blk: khmersymbols}', "");
Expect(1, 6655, '\P{^Blk: khmersymbols}', "");
Expect(0, 6656, '\p{Blk: khmersymbols}', "");
Expect(1, 6656, '\p{^Blk: khmersymbols}', "");
Expect(1, 6656, '\P{Blk: khmersymbols}', "");
Expect(0, 6656, '\P{^Blk: khmersymbols}', "");
Expect(1, 6655, '\p{Blk= _khmer_Symbols}', "");
Expect(0, 6655, '\p{^Blk= _khmer_Symbols}', "");
Expect(0, 6655, '\P{Blk= _khmer_Symbols}', "");
Expect(1, 6655, '\P{^Blk= _khmer_Symbols}', "");
Expect(0, 6656, '\p{Blk= _khmer_Symbols}', "");
Expect(1, 6656, '\p{^Blk= _khmer_Symbols}', "");
Expect(1, 6656, '\P{Blk= _khmer_Symbols}', "");
Expect(0, 6656, '\P{^Blk= _khmer_Symbols}', "");
Error('\p{Is_Block:   -:=Khmer_symbols}');
Error('\P{Is_Block:   -:=Khmer_symbols}');
Expect(1, 6655, '\p{Is_Block=khmersymbols}', "");
Expect(0, 6655, '\p{^Is_Block=khmersymbols}', "");
Expect(0, 6655, '\P{Is_Block=khmersymbols}', "");
Expect(1, 6655, '\P{^Is_Block=khmersymbols}', "");
Expect(0, 6656, '\p{Is_Block=khmersymbols}', "");
Expect(1, 6656, '\p{^Is_Block=khmersymbols}', "");
Expect(1, 6656, '\P{Is_Block=khmersymbols}', "");
Expect(0, 6656, '\P{^Is_Block=khmersymbols}', "");
Expect(1, 6655, '\p{Is_Block=- khmer_Symbols}', "");
Expect(0, 6655, '\p{^Is_Block=- khmer_Symbols}', "");
Expect(0, 6655, '\P{Is_Block=- khmer_Symbols}', "");
Expect(1, 6655, '\P{^Is_Block=- khmer_Symbols}', "");
Expect(0, 6656, '\p{Is_Block=- khmer_Symbols}', "");
Expect(1, 6656, '\p{^Is_Block=- khmer_Symbols}', "");
Expect(1, 6656, '\P{Is_Block=- khmer_Symbols}', "");
Expect(0, 6656, '\P{^Is_Block=- khmer_Symbols}', "");
Error('\p{Is_Blk= _Khmer_Symbols/a/}');
Error('\P{Is_Blk= _Khmer_Symbols/a/}');
Expect(1, 6655, '\p{Is_Blk=khmersymbols}', "");
Expect(0, 6655, '\p{^Is_Blk=khmersymbols}', "");
Expect(0, 6655, '\P{Is_Blk=khmersymbols}', "");
Expect(1, 6655, '\P{^Is_Blk=khmersymbols}', "");
Expect(0, 6656, '\p{Is_Blk=khmersymbols}', "");
Expect(1, 6656, '\p{^Is_Blk=khmersymbols}', "");
Expect(1, 6656, '\P{Is_Blk=khmersymbols}', "");
Expect(0, 6656, '\P{^Is_Blk=khmersymbols}', "");
Expect(1, 6655, '\p{Is_Blk:	 _KHMER_SYMBOLS}', "");
Expect(0, 6655, '\p{^Is_Blk:	 _KHMER_SYMBOLS}', "");
Expect(0, 6655, '\P{Is_Blk:	 _KHMER_SYMBOLS}', "");
Expect(1, 6655, '\P{^Is_Blk:	 _KHMER_SYMBOLS}', "");
Expect(0, 6656, '\p{Is_Blk:	 _KHMER_SYMBOLS}', "");
Expect(1, 6656, '\p{^Is_Blk:	 _KHMER_SYMBOLS}', "");
Expect(1, 6656, '\P{Is_Blk:	 _KHMER_SYMBOLS}', "");
Expect(0, 6656, '\P{^Is_Blk:	 _KHMER_SYMBOLS}', "");
Error('\p{Block= /a/khojki}');
Error('\P{Block= /a/khojki}');
Expect(1, 70223, '\p{Block=khojki}', "");
Expect(0, 70223, '\p{^Block=khojki}', "");
Expect(0, 70223, '\P{Block=khojki}', "");
Expect(1, 70223, '\P{^Block=khojki}', "");
Expect(0, 70224, '\p{Block=khojki}', "");
Expect(1, 70224, '\p{^Block=khojki}', "");
Expect(1, 70224, '\P{Block=khojki}', "");
Expect(0, 70224, '\P{^Block=khojki}', "");
Expect(1, 70223, '\p{Block=_Khojki}', "");
Expect(0, 70223, '\p{^Block=_Khojki}', "");
Expect(0, 70223, '\P{Block=_Khojki}', "");
Expect(1, 70223, '\P{^Block=_Khojki}', "");
Expect(0, 70224, '\p{Block=_Khojki}', "");
Expect(1, 70224, '\p{^Block=_Khojki}', "");
Expect(1, 70224, '\P{Block=_Khojki}', "");
Expect(0, 70224, '\P{^Block=_Khojki}', "");
Error('\p{Blk= _Khojki:=}');
Error('\P{Blk= _Khojki:=}');
Expect(1, 70223, '\p{Blk=khojki}', "");
Expect(0, 70223, '\p{^Blk=khojki}', "");
Expect(0, 70223, '\P{Blk=khojki}', "");
Expect(1, 70223, '\P{^Blk=khojki}', "");
Expect(0, 70224, '\p{Blk=khojki}', "");
Expect(1, 70224, '\p{^Blk=khojki}', "");
Expect(1, 70224, '\P{Blk=khojki}', "");
Expect(0, 70224, '\P{^Blk=khojki}', "");
Expect(1, 70223, '\p{Blk=_Khojki}', "");
Expect(0, 70223, '\p{^Blk=_Khojki}', "");
Expect(0, 70223, '\P{Blk=_Khojki}', "");
Expect(1, 70223, '\P{^Blk=_Khojki}', "");
Expect(0, 70224, '\p{Blk=_Khojki}', "");
Expect(1, 70224, '\p{^Blk=_Khojki}', "");
Expect(1, 70224, '\P{Blk=_Khojki}', "");
Expect(0, 70224, '\P{^Blk=_Khojki}', "");
Error('\p{Is_Block=/a/-Khojki}');
Error('\P{Is_Block=/a/-Khojki}');
Expect(1, 70223, '\p{Is_Block=khojki}', "");
Expect(0, 70223, '\p{^Is_Block=khojki}', "");
Expect(0, 70223, '\P{Is_Block=khojki}', "");
Expect(1, 70223, '\P{^Is_Block=khojki}', "");
Expect(0, 70224, '\p{Is_Block=khojki}', "");
Expect(1, 70224, '\p{^Is_Block=khojki}', "");
Expect(1, 70224, '\P{Is_Block=khojki}', "");
Expect(0, 70224, '\P{^Is_Block=khojki}', "");
Expect(1, 70223, '\p{Is_Block=Khojki}', "");
Expect(0, 70223, '\p{^Is_Block=Khojki}', "");
Expect(0, 70223, '\P{Is_Block=Khojki}', "");
Expect(1, 70223, '\P{^Is_Block=Khojki}', "");
Expect(0, 70224, '\p{Is_Block=Khojki}', "");
Expect(1, 70224, '\p{^Is_Block=Khojki}', "");
Expect(1, 70224, '\P{Is_Block=Khojki}', "");
Expect(0, 70224, '\P{^Is_Block=Khojki}', "");
Error('\p{Is_Blk=-/a/Khojki}');
Error('\P{Is_Blk=-/a/Khojki}');
Expect(1, 70223, '\p{Is_Blk=khojki}', "");
Expect(0, 70223, '\p{^Is_Blk=khojki}', "");
Expect(0, 70223, '\P{Is_Blk=khojki}', "");
Expect(1, 70223, '\P{^Is_Blk=khojki}', "");
Expect(0, 70224, '\p{Is_Blk=khojki}', "");
Expect(1, 70224, '\p{^Is_Blk=khojki}', "");
Expect(1, 70224, '\P{Is_Blk=khojki}', "");
Expect(0, 70224, '\P{^Is_Blk=khojki}', "");
Expect(1, 70223, '\p{Is_Blk=_-KHOJKI}', "");
Expect(0, 70223, '\p{^Is_Blk=_-KHOJKI}', "");
Expect(0, 70223, '\P{Is_Blk=_-KHOJKI}', "");
Expect(1, 70223, '\P{^Is_Blk=_-KHOJKI}', "");
Expect(0, 70224, '\p{Is_Blk=_-KHOJKI}', "");
Expect(1, 70224, '\p{^Is_Blk=_-KHOJKI}', "");
Expect(1, 70224, '\P{Is_Blk=_-KHOJKI}', "");
Expect(0, 70224, '\P{^Is_Blk=_-KHOJKI}', "");
Error('\p{Block=/a/Khudawadi}');
Error('\P{Block=/a/Khudawadi}');
Expect(1, 70399, '\p{Block=khudawadi}', "");
Expect(0, 70399, '\p{^Block=khudawadi}', "");
Expect(0, 70399, '\P{Block=khudawadi}', "");
Expect(1, 70399, '\P{^Block=khudawadi}', "");
Expect(0, 70400, '\p{Block=khudawadi}', "");
Expect(1, 70400, '\p{^Block=khudawadi}', "");
Expect(1, 70400, '\P{Block=khudawadi}', "");
Expect(0, 70400, '\P{^Block=khudawadi}', "");
Expect(1, 70399, '\p{Block= Khudawadi}', "");
Expect(0, 70399, '\p{^Block= Khudawadi}', "");
Expect(0, 70399, '\P{Block= Khudawadi}', "");
Expect(1, 70399, '\P{^Block= Khudawadi}', "");
Expect(0, 70400, '\p{Block= Khudawadi}', "");
Expect(1, 70400, '\p{^Block= Khudawadi}', "");
Expect(1, 70400, '\P{Block= Khudawadi}', "");
Expect(0, 70400, '\P{^Block= Khudawadi}', "");
Error('\p{Blk=-	Khudawadi:=}');
Error('\P{Blk=-	Khudawadi:=}');
Expect(1, 70399, '\p{Blk=khudawadi}', "");
Expect(0, 70399, '\p{^Blk=khudawadi}', "");
Expect(0, 70399, '\P{Blk=khudawadi}', "");
Expect(1, 70399, '\P{^Blk=khudawadi}', "");
Expect(0, 70400, '\p{Blk=khudawadi}', "");
Expect(1, 70400, '\p{^Blk=khudawadi}', "");
Expect(1, 70400, '\P{Blk=khudawadi}', "");
Expect(0, 70400, '\P{^Blk=khudawadi}', "");
Expect(1, 70399, '\p{Blk:	Khudawadi}', "");
Expect(0, 70399, '\p{^Blk:	Khudawadi}', "");
Expect(0, 70399, '\P{Blk:	Khudawadi}', "");
Expect(1, 70399, '\P{^Blk:	Khudawadi}', "");
Expect(0, 70400, '\p{Blk:	Khudawadi}', "");
Expect(1, 70400, '\p{^Blk:	Khudawadi}', "");
Expect(1, 70400, '\P{Blk:	Khudawadi}', "");
Expect(0, 70400, '\P{^Blk:	Khudawadi}', "");
Error('\p{Is_Block=/a/-Khudawadi}');
Error('\P{Is_Block=/a/-Khudawadi}');
Expect(1, 70399, '\p{Is_Block=khudawadi}', "");
Expect(0, 70399, '\p{^Is_Block=khudawadi}', "");
Expect(0, 70399, '\P{Is_Block=khudawadi}', "");
Expect(1, 70399, '\P{^Is_Block=khudawadi}', "");
Expect(0, 70400, '\p{Is_Block=khudawadi}', "");
Expect(1, 70400, '\p{^Is_Block=khudawadi}', "");
Expect(1, 70400, '\P{Is_Block=khudawadi}', "");
Expect(0, 70400, '\P{^Is_Block=khudawadi}', "");
Expect(1, 70399, '\p{Is_Block=	-Khudawadi}', "");
Expect(0, 70399, '\p{^Is_Block=	-Khudawadi}', "");
Expect(0, 70399, '\P{Is_Block=	-Khudawadi}', "");
Expect(1, 70399, '\P{^Is_Block=	-Khudawadi}', "");
Expect(0, 70400, '\p{Is_Block=	-Khudawadi}', "");
Expect(1, 70400, '\p{^Is_Block=	-Khudawadi}', "");
Expect(1, 70400, '\P{Is_Block=	-Khudawadi}', "");
Expect(0, 70400, '\P{^Is_Block=	-Khudawadi}', "");
Error('\p{Is_Blk=/a/ -Khudawadi}');
Error('\P{Is_Blk=/a/ -Khudawadi}');
Expect(1, 70399, '\p{Is_Blk=khudawadi}', "");
Expect(0, 70399, '\p{^Is_Blk=khudawadi}', "");
Expect(0, 70399, '\P{Is_Blk=khudawadi}', "");
Expect(1, 70399, '\P{^Is_Blk=khudawadi}', "");
Expect(0, 70400, '\p{Is_Blk=khudawadi}', "");
Expect(1, 70400, '\p{^Is_Blk=khudawadi}', "");
Expect(1, 70400, '\P{Is_Blk=khudawadi}', "");
Expect(0, 70400, '\P{^Is_Blk=khudawadi}', "");
Error('\p{Block=:=--LAO}');
Error('\P{Block=:=--LAO}');
Expect(1, 3839, '\p{Block=lao}', "");
Expect(0, 3839, '\p{^Block=lao}', "");
Expect(0, 3839, '\P{Block=lao}', "");
Expect(1, 3839, '\P{^Block=lao}', "");
Expect(0, 3840, '\p{Block=lao}', "");
Expect(1, 3840, '\p{^Block=lao}', "");
Expect(1, 3840, '\P{Block=lao}', "");
Expect(0, 3840, '\P{^Block=lao}', "");
Expect(1, 3839, '\p{Block:   	 Lao}', "");
Expect(0, 3839, '\p{^Block:   	 Lao}', "");
Expect(0, 3839, '\P{Block:   	 Lao}', "");
Expect(1, 3839, '\P{^Block:   	 Lao}', "");
Expect(0, 3840, '\p{Block:   	 Lao}', "");
Expect(1, 3840, '\p{^Block:   	 Lao}', "");
Expect(1, 3840, '\P{Block:   	 Lao}', "");
Expect(0, 3840, '\P{^Block:   	 Lao}', "");
Error('\p{Blk=:=	-Lao}');
Error('\P{Blk=:=	-Lao}');
Expect(1, 3839, '\p{Blk=lao}', "");
Expect(0, 3839, '\p{^Blk=lao}', "");
Expect(0, 3839, '\P{Blk=lao}', "");
Expect(1, 3839, '\P{^Blk=lao}', "");
Expect(0, 3840, '\p{Blk=lao}', "");
Expect(1, 3840, '\p{^Blk=lao}', "");
Expect(1, 3840, '\P{Blk=lao}', "");
Expect(0, 3840, '\P{^Blk=lao}', "");
Expect(1, 3839, '\p{Blk=_ Lao}', "");
Expect(0, 3839, '\p{^Blk=_ Lao}', "");
Expect(0, 3839, '\P{Blk=_ Lao}', "");
Expect(1, 3839, '\P{^Blk=_ Lao}', "");
Expect(0, 3840, '\p{Blk=_ Lao}', "");
Expect(1, 3840, '\p{^Blk=_ Lao}', "");
Expect(1, 3840, '\P{Blk=_ Lao}', "");
Expect(0, 3840, '\P{^Blk=_ Lao}', "");
Error('\p{Is_Block=:= -Lao}');
Error('\P{Is_Block=:= -Lao}');
Expect(1, 3839, '\p{Is_Block=lao}', "");
Expect(0, 3839, '\p{^Is_Block=lao}', "");
Expect(0, 3839, '\P{Is_Block=lao}', "");
Expect(1, 3839, '\P{^Is_Block=lao}', "");
Expect(0, 3840, '\p{Is_Block=lao}', "");
Expect(1, 3840, '\p{^Is_Block=lao}', "");
Expect(1, 3840, '\P{Is_Block=lao}', "");
Expect(0, 3840, '\P{^Is_Block=lao}', "");
Expect(1, 3839, '\p{Is_Block: _lao}', "");
Expect(0, 3839, '\p{^Is_Block: _lao}', "");
Expect(0, 3839, '\P{Is_Block: _lao}', "");
Expect(1, 3839, '\P{^Is_Block: _lao}', "");
Expect(0, 3840, '\p{Is_Block: _lao}', "");
Expect(1, 3840, '\p{^Is_Block: _lao}', "");
Expect(1, 3840, '\P{Is_Block: _lao}', "");
Expect(0, 3840, '\P{^Is_Block: _lao}', "");
Error('\p{Is_Blk=_/a/LAO}');
Error('\P{Is_Blk=_/a/LAO}');
Expect(1, 3839, '\p{Is_Blk=lao}', "");
Expect(0, 3839, '\p{^Is_Blk=lao}', "");
Expect(0, 3839, '\P{Is_Blk=lao}', "");
Expect(1, 3839, '\P{^Is_Blk=lao}', "");
Expect(0, 3840, '\p{Is_Blk=lao}', "");
Expect(1, 3840, '\p{^Is_Blk=lao}', "");
Expect(1, 3840, '\P{Is_Blk=lao}', "");
Expect(0, 3840, '\P{^Is_Blk=lao}', "");
Expect(1, 3839, '\p{Is_Blk=-	lao}', "");
Expect(0, 3839, '\p{^Is_Blk=-	lao}', "");
Expect(0, 3839, '\P{Is_Blk=-	lao}', "");
Expect(1, 3839, '\P{^Is_Blk=-	lao}', "");
Expect(0, 3840, '\p{Is_Blk=-	lao}', "");
Expect(1, 3840, '\p{^Is_Blk=-	lao}', "");
Expect(1, 3840, '\P{Is_Blk=-	lao}', "");
Expect(0, 3840, '\P{^Is_Blk=-	lao}', "");
Error('\p{Block=_:=LATIN_1_SUPPLEMENT}');
Error('\P{Block=_:=LATIN_1_SUPPLEMENT}');
Expect(1, 255, '\p{Block=latin1supplement}', "");
Expect(0, 255, '\p{^Block=latin1supplement}', "");
Expect(0, 255, '\P{Block=latin1supplement}', "");
Expect(1, 255, '\P{^Block=latin1supplement}', "");
Expect(0, 256, '\p{Block=latin1supplement}', "");
Expect(1, 256, '\p{^Block=latin1supplement}', "");
Expect(1, 256, '\P{Block=latin1supplement}', "");
Expect(0, 256, '\P{^Block=latin1supplement}', "");
Expect(1, 255, '\p{Block=	latin_1_Supplement}', "");
Expect(0, 255, '\p{^Block=	latin_1_Supplement}', "");
Expect(0, 255, '\P{Block=	latin_1_Supplement}', "");
Expect(1, 255, '\P{^Block=	latin_1_Supplement}', "");
Expect(0, 256, '\p{Block=	latin_1_Supplement}', "");
Expect(1, 256, '\p{^Block=	latin_1_Supplement}', "");
Expect(1, 256, '\P{Block=	latin_1_Supplement}', "");
Expect(0, 256, '\P{^Block=	latin_1_Supplement}', "");
Error('\p{Blk=	_Latin_1_SUP:=}');
Error('\P{Blk=	_Latin_1_SUP:=}');
Expect(1, 255, '\p{Blk=latin1sup}', "");
Expect(0, 255, '\p{^Blk=latin1sup}', "");
Expect(0, 255, '\P{Blk=latin1sup}', "");
Expect(1, 255, '\P{^Blk=latin1sup}', "");
Expect(0, 256, '\p{Blk=latin1sup}', "");
Expect(1, 256, '\p{^Blk=latin1sup}', "");
Expect(1, 256, '\P{Blk=latin1sup}', "");
Expect(0, 256, '\P{^Blk=latin1sup}', "");
Expect(1, 255, '\p{Blk=_LATIN_1_sup}', "");
Expect(0, 255, '\p{^Blk=_LATIN_1_sup}', "");
Expect(0, 255, '\P{Blk=_LATIN_1_sup}', "");
Expect(1, 255, '\P{^Blk=_LATIN_1_sup}', "");
Expect(0, 256, '\p{Blk=_LATIN_1_sup}', "");
Expect(1, 256, '\p{^Blk=_LATIN_1_sup}', "");
Expect(1, 256, '\P{Blk=_LATIN_1_sup}', "");
Expect(0, 256, '\P{^Blk=_LATIN_1_sup}', "");
Error('\p{Is_Block=-/a/Latin_1}');
Error('\P{Is_Block=-/a/Latin_1}');
Expect(1, 255, '\p{Is_Block=latin1}', "");
Expect(0, 255, '\p{^Is_Block=latin1}', "");
Expect(0, 255, '\P{Is_Block=latin1}', "");
Expect(1, 255, '\P{^Is_Block=latin1}', "");
Expect(0, 256, '\p{Is_Block=latin1}', "");
Expect(1, 256, '\p{^Is_Block=latin1}', "");
Expect(1, 256, '\P{Is_Block=latin1}', "");
Expect(0, 256, '\P{^Is_Block=latin1}', "");
Expect(1, 255, '\p{Is_Block=_	latin_1}', "");
Expect(0, 255, '\p{^Is_Block=_	latin_1}', "");
Expect(0, 255, '\P{Is_Block=_	latin_1}', "");
Expect(1, 255, '\P{^Is_Block=_	latin_1}', "");
Expect(0, 256, '\p{Is_Block=_	latin_1}', "");
Expect(1, 256, '\p{^Is_Block=_	latin_1}', "");
Expect(1, 256, '\P{Is_Block=_	latin_1}', "");
Expect(0, 256, '\P{^Is_Block=_	latin_1}', "");
Error('\p{Is_Blk=--latin_1_SUPPLEMENT/a/}');
Error('\P{Is_Blk=--latin_1_SUPPLEMENT/a/}');
Expect(1, 255, '\p{Is_Blk=latin1supplement}', "");
Expect(0, 255, '\p{^Is_Blk=latin1supplement}', "");
Expect(0, 255, '\P{Is_Blk=latin1supplement}', "");
Expect(1, 255, '\P{^Is_Blk=latin1supplement}', "");
Expect(0, 256, '\p{Is_Blk=latin1supplement}', "");
Expect(1, 256, '\p{^Is_Blk=latin1supplement}', "");
Expect(1, 256, '\P{Is_Blk=latin1supplement}', "");
Expect(0, 256, '\P{^Is_Blk=latin1supplement}', "");
Expect(1, 255, '\p{Is_Blk= 	Latin_1_Supplement}', "");
Expect(0, 255, '\p{^Is_Blk= 	Latin_1_Supplement}', "");
Expect(0, 255, '\P{Is_Blk= 	Latin_1_Supplement}', "");
Expect(1, 255, '\P{^Is_Blk= 	Latin_1_Supplement}', "");
Expect(0, 256, '\p{Is_Blk= 	Latin_1_Supplement}', "");
Expect(1, 256, '\p{^Is_Blk= 	Latin_1_Supplement}', "");
Expect(1, 256, '\P{Is_Blk= 	Latin_1_Supplement}', "");
Expect(0, 256, '\P{^Is_Blk= 	Latin_1_Supplement}', "");
Error('\p{Block: :=Latin_Extended_a}');
Error('\P{Block: :=Latin_Extended_a}');
Expect(1, 383, '\p{Block=latinextendeda}', "");
Expect(0, 383, '\p{^Block=latinextendeda}', "");
Expect(0, 383, '\P{Block=latinextendeda}', "");
Expect(1, 383, '\P{^Block=latinextendeda}', "");
Expect(0, 384, '\p{Block=latinextendeda}', "");
Expect(1, 384, '\p{^Block=latinextendeda}', "");
Expect(1, 384, '\P{Block=latinextendeda}', "");
Expect(0, 384, '\P{^Block=latinextendeda}', "");
Expect(1, 383, '\p{Block=_	LATIN_Extended_A}', "");
Expect(0, 383, '\p{^Block=_	LATIN_Extended_A}', "");
Expect(0, 383, '\P{Block=_	LATIN_Extended_A}', "");
Expect(1, 383, '\P{^Block=_	LATIN_Extended_A}', "");
Expect(0, 384, '\p{Block=_	LATIN_Extended_A}', "");
Expect(1, 384, '\p{^Block=_	LATIN_Extended_A}', "");
Expect(1, 384, '\P{Block=_	LATIN_Extended_A}', "");
Expect(0, 384, '\P{^Block=_	LATIN_Extended_A}', "");
Error('\p{Blk=:=latin_Ext_A}');
Error('\P{Blk=:=latin_Ext_A}');
Expect(1, 383, '\p{Blk=latinexta}', "");
Expect(0, 383, '\p{^Blk=latinexta}', "");
Expect(0, 383, '\P{Blk=latinexta}', "");
Expect(1, 383, '\P{^Blk=latinexta}', "");
Expect(0, 384, '\p{Blk=latinexta}', "");
Expect(1, 384, '\p{^Blk=latinexta}', "");
Expect(1, 384, '\P{Blk=latinexta}', "");
Expect(0, 384, '\P{^Blk=latinexta}', "");
Expect(1, 383, '\p{Blk=_	LATIN_ext_A}', "");
Expect(0, 383, '\p{^Blk=_	LATIN_ext_A}', "");
Expect(0, 383, '\P{Blk=_	LATIN_ext_A}', "");
Expect(1, 383, '\P{^Blk=_	LATIN_ext_A}', "");
Expect(0, 384, '\p{Blk=_	LATIN_ext_A}', "");
Expect(1, 384, '\p{^Blk=_	LATIN_ext_A}', "");
Expect(1, 384, '\P{Blk=_	LATIN_ext_A}', "");
Expect(0, 384, '\P{^Blk=_	LATIN_ext_A}', "");
Error('\p{Is_Block= :=latin_Extended_a}');
Error('\P{Is_Block= :=latin_Extended_a}');
Expect(1, 383, '\p{Is_Block:   latinextendeda}', "");
Expect(0, 383, '\p{^Is_Block:   latinextendeda}', "");
Expect(0, 383, '\P{Is_Block:   latinextendeda}', "");
Expect(1, 383, '\P{^Is_Block:   latinextendeda}', "");
Expect(0, 384, '\p{Is_Block:   latinextendeda}', "");
Expect(1, 384, '\p{^Is_Block:   latinextendeda}', "");
Expect(1, 384, '\P{Is_Block:   latinextendeda}', "");
Expect(0, 384, '\P{^Is_Block:   latinextendeda}', "");
Expect(1, 383, '\p{Is_Block=	 latin_Extended_A}', "");
Expect(0, 383, '\p{^Is_Block=	 latin_Extended_A}', "");
Expect(0, 383, '\P{Is_Block=	 latin_Extended_A}', "");
Expect(1, 383, '\P{^Is_Block=	 latin_Extended_A}', "");
Expect(0, 384, '\p{Is_Block=	 latin_Extended_A}', "");
Expect(1, 384, '\p{^Is_Block=	 latin_Extended_A}', "");
Expect(1, 384, '\P{Is_Block=	 latin_Extended_A}', "");
Expect(0, 384, '\P{^Is_Block=	 latin_Extended_A}', "");
Error('\p{Is_Blk=-/a/LATIN_ext_A}');
Error('\P{Is_Blk=-/a/LATIN_ext_A}');
Expect(1, 383, '\p{Is_Blk=latinexta}', "");
Expect(0, 383, '\p{^Is_Blk=latinexta}', "");
Expect(0, 383, '\P{Is_Blk=latinexta}', "");
Expect(1, 383, '\P{^Is_Blk=latinexta}', "");
Expect(0, 384, '\p{Is_Blk=latinexta}', "");
Expect(1, 384, '\p{^Is_Blk=latinexta}', "");
Expect(1, 384, '\P{Is_Blk=latinexta}', "");
Expect(0, 384, '\P{^Is_Blk=latinexta}', "");
Expect(1, 383, '\p{Is_Blk=__Latin_Ext_a}', "");
Expect(0, 383, '\p{^Is_Blk=__Latin_Ext_a}', "");
Expect(0, 383, '\P{Is_Blk=__Latin_Ext_a}', "");
Expect(1, 383, '\P{^Is_Blk=__Latin_Ext_a}', "");
Expect(0, 384, '\p{Is_Blk=__Latin_Ext_a}', "");
Expect(1, 384, '\p{^Is_Blk=__Latin_Ext_a}', "");
Expect(1, 384, '\P{Is_Blk=__Latin_Ext_a}', "");
Expect(0, 384, '\P{^Is_Blk=__Latin_Ext_a}', "");
Error('\p{Block=/a/_-Latin_Extended_ADDITIONAL}');
Error('\P{Block=/a/_-Latin_Extended_ADDITIONAL}');
Expect(1, 7935, '\p{Block=latinextendedadditional}', "");
Expect(0, 7935, '\p{^Block=latinextendedadditional}', "");
Expect(0, 7935, '\P{Block=latinextendedadditional}', "");
Expect(1, 7935, '\P{^Block=latinextendedadditional}', "");
Expect(0, 7936, '\p{Block=latinextendedadditional}', "");
Expect(1, 7936, '\p{^Block=latinextendedadditional}', "");
Expect(1, 7936, '\P{Block=latinextendedadditional}', "");
Expect(0, 7936, '\P{^Block=latinextendedadditional}', "");
Expect(1, 7935, '\p{Block: -LATIN_extended_additional}', "");
Expect(0, 7935, '\p{^Block: -LATIN_extended_additional}', "");
Expect(0, 7935, '\P{Block: -LATIN_extended_additional}', "");
Expect(1, 7935, '\P{^Block: -LATIN_extended_additional}', "");
Expect(0, 7936, '\p{Block: -LATIN_extended_additional}', "");
Expect(1, 7936, '\p{^Block: -LATIN_extended_additional}', "");
Expect(1, 7936, '\P{Block: -LATIN_extended_additional}', "");
Expect(0, 7936, '\P{^Block: -LATIN_extended_additional}', "");
Error('\p{Blk=/a/ -latin_Ext_Additional}');
Error('\P{Blk=/a/ -latin_Ext_Additional}');
Expect(1, 7935, '\p{Blk=latinextadditional}', "");
Expect(0, 7935, '\p{^Blk=latinextadditional}', "");
Expect(0, 7935, '\P{Blk=latinextadditional}', "");
Expect(1, 7935, '\P{^Blk=latinextadditional}', "");
Expect(0, 7936, '\p{Blk=latinextadditional}', "");
Expect(1, 7936, '\p{^Blk=latinextadditional}', "");
Expect(1, 7936, '\P{Blk=latinextadditional}', "");
Expect(0, 7936, '\P{^Blk=latinextadditional}', "");
Expect(1, 7935, '\p{Blk=  LATIN_Ext_additional}', "");
Expect(0, 7935, '\p{^Blk=  LATIN_Ext_additional}', "");
Expect(0, 7935, '\P{Blk=  LATIN_Ext_additional}', "");
Expect(1, 7935, '\P{^Blk=  LATIN_Ext_additional}', "");
Expect(0, 7936, '\p{Blk=  LATIN_Ext_additional}', "");
Expect(1, 7936, '\p{^Blk=  LATIN_Ext_additional}', "");
Expect(1, 7936, '\P{Blk=  LATIN_Ext_additional}', "");
Expect(0, 7936, '\P{^Blk=  LATIN_Ext_additional}', "");
Error('\p{Is_Block=:=		Latin_extended_additional}');
Error('\P{Is_Block=:=		Latin_extended_additional}');
Expect(1, 7935, '\p{Is_Block=latinextendedadditional}', "");
Expect(0, 7935, '\p{^Is_Block=latinextendedadditional}', "");
Expect(0, 7935, '\P{Is_Block=latinextendedadditional}', "");
Expect(1, 7935, '\P{^Is_Block=latinextendedadditional}', "");
Expect(0, 7936, '\p{Is_Block=latinextendedadditional}', "");
Expect(1, 7936, '\p{^Is_Block=latinextendedadditional}', "");
Expect(1, 7936, '\P{Is_Block=latinextendedadditional}', "");
Expect(0, 7936, '\P{^Is_Block=latinextendedadditional}', "");
Expect(1, 7935, '\p{Is_Block=-	LATIN_Extended_Additional}', "");
Expect(0, 7935, '\p{^Is_Block=-	LATIN_Extended_Additional}', "");
Expect(0, 7935, '\P{Is_Block=-	LATIN_Extended_Additional}', "");
Expect(1, 7935, '\P{^Is_Block=-	LATIN_Extended_Additional}', "");
Expect(0, 7936, '\p{Is_Block=-	LATIN_Extended_Additional}', "");
Expect(1, 7936, '\p{^Is_Block=-	LATIN_Extended_Additional}', "");
Expect(1, 7936, '\P{Is_Block=-	LATIN_Extended_Additional}', "");
Expect(0, 7936, '\P{^Is_Block=-	LATIN_Extended_Additional}', "");
Error('\p{Is_Blk=-/a/LATIN_Ext_Additional}');
Error('\P{Is_Blk=-/a/LATIN_Ext_Additional}');
Expect(1, 7935, '\p{Is_Blk=latinextadditional}', "");
Expect(0, 7935, '\p{^Is_Blk=latinextadditional}', "");
Expect(0, 7935, '\P{Is_Blk=latinextadditional}', "");
Expect(1, 7935, '\P{^Is_Blk=latinextadditional}', "");
Expect(0, 7936, '\p{Is_Blk=latinextadditional}', "");
Expect(1, 7936, '\p{^Is_Blk=latinextadditional}', "");
Expect(1, 7936, '\P{Is_Blk=latinextadditional}', "");
Expect(0, 7936, '\P{^Is_Blk=latinextadditional}', "");
Expect(1, 7935, '\p{Is_Blk= -Latin_Ext_Additional}', "");
Expect(0, 7935, '\p{^Is_Blk= -Latin_Ext_Additional}', "");
Expect(0, 7935, '\P{Is_Blk= -Latin_Ext_Additional}', "");
Expect(1, 7935, '\P{^Is_Blk= -Latin_Ext_Additional}', "");
Expect(0, 7936, '\p{Is_Blk= -Latin_Ext_Additional}', "");
Expect(1, 7936, '\p{^Is_Blk= -Latin_Ext_Additional}', "");
Expect(1, 7936, '\P{Is_Blk= -Latin_Ext_Additional}', "");
Expect(0, 7936, '\P{^Is_Blk= -Latin_Ext_Additional}', "");
Error('\p{Block=__latin_extended_b/a/}');
Error('\P{Block=__latin_extended_b/a/}');
Expect(1, 591, '\p{Block=latinextendedb}', "");
Expect(0, 591, '\p{^Block=latinextendedb}', "");
Expect(0, 591, '\P{Block=latinextendedb}', "");
Expect(1, 591, '\P{^Block=latinextendedb}', "");
Expect(0, 592, '\p{Block=latinextendedb}', "");
Expect(1, 592, '\p{^Block=latinextendedb}', "");
Expect(1, 592, '\P{Block=latinextendedb}', "");
Expect(0, 592, '\P{^Block=latinextendedb}', "");
Expect(1, 591, '\p{Block=		LATIN_Extended_B}', "");
Expect(0, 591, '\p{^Block=		LATIN_Extended_B}', "");
Expect(0, 591, '\P{Block=		LATIN_Extended_B}', "");
Expect(1, 591, '\P{^Block=		LATIN_Extended_B}', "");
Expect(0, 592, '\p{Block=		LATIN_Extended_B}', "");
Expect(1, 592, '\p{^Block=		LATIN_Extended_B}', "");
Expect(1, 592, '\P{Block=		LATIN_Extended_B}', "");
Expect(0, 592, '\P{^Block=		LATIN_Extended_B}', "");
Error('\p{Blk=/a/__latin_Ext_B}');
Error('\P{Blk=/a/__latin_Ext_B}');
Expect(1, 591, '\p{Blk=latinextb}', "");
Expect(0, 591, '\p{^Blk=latinextb}', "");
Expect(0, 591, '\P{Blk=latinextb}', "");
Expect(1, 591, '\P{^Blk=latinextb}', "");
Expect(0, 592, '\p{Blk=latinextb}', "");
Expect(1, 592, '\p{^Blk=latinextb}', "");
Expect(1, 592, '\P{Blk=latinextb}', "");
Expect(0, 592, '\P{^Blk=latinextb}', "");
Expect(1, 591, '\p{Blk: -Latin_Ext_b}', "");
Expect(0, 591, '\p{^Blk: -Latin_Ext_b}', "");
Expect(0, 591, '\P{Blk: -Latin_Ext_b}', "");
Expect(1, 591, '\P{^Blk: -Latin_Ext_b}', "");
Expect(0, 592, '\p{Blk: -Latin_Ext_b}', "");
Expect(1, 592, '\p{^Blk: -Latin_Ext_b}', "");
Expect(1, 592, '\P{Blk: -Latin_Ext_b}', "");
Expect(0, 592, '\P{^Blk: -Latin_Ext_b}', "");
Error('\p{Is_Block=	:=Latin_EXTENDED_b}');
Error('\P{Is_Block=	:=Latin_EXTENDED_b}');
Expect(1, 591, '\p{Is_Block=latinextendedb}', "");
Expect(0, 591, '\p{^Is_Block=latinextendedb}', "");
Expect(0, 591, '\P{Is_Block=latinextendedb}', "");
Expect(1, 591, '\P{^Is_Block=latinextendedb}', "");
Expect(0, 592, '\p{Is_Block=latinextendedb}', "");
Expect(1, 592, '\p{^Is_Block=latinextendedb}', "");
Expect(1, 592, '\P{Is_Block=latinextendedb}', "");
Expect(0, 592, '\P{^Is_Block=latinextendedb}', "");
Expect(1, 591, '\p{Is_Block=-LATIN_extended_B}', "");
Expect(0, 591, '\p{^Is_Block=-LATIN_extended_B}', "");
Expect(0, 591, '\P{Is_Block=-LATIN_extended_B}', "");
Expect(1, 591, '\P{^Is_Block=-LATIN_extended_B}', "");
Expect(0, 592, '\p{Is_Block=-LATIN_extended_B}', "");
Expect(1, 592, '\p{^Is_Block=-LATIN_extended_B}', "");
Expect(1, 592, '\P{Is_Block=-LATIN_extended_B}', "");
Expect(0, 592, '\P{^Is_Block=-LATIN_extended_B}', "");
Error('\p{Is_Blk=	/a/LATIN_EXT_B}');
Error('\P{Is_Blk=	/a/LATIN_EXT_B}');
Expect(1, 591, '\p{Is_Blk=latinextb}', "");
Expect(0, 591, '\p{^Is_Blk=latinextb}', "");
Expect(0, 591, '\P{Is_Blk=latinextb}', "");
Expect(1, 591, '\P{^Is_Blk=latinextb}', "");
Expect(0, 592, '\p{Is_Blk=latinextb}', "");
Expect(1, 592, '\p{^Is_Blk=latinextb}', "");
Expect(1, 592, '\P{Is_Blk=latinextb}', "");
Expect(0, 592, '\P{^Is_Blk=latinextb}', "");
Expect(1, 591, '\p{Is_Blk=__Latin_Ext_b}', "");
Expect(0, 591, '\p{^Is_Blk=__Latin_Ext_b}', "");
Expect(0, 591, '\P{Is_Blk=__Latin_Ext_b}', "");
Expect(1, 591, '\P{^Is_Blk=__Latin_Ext_b}', "");
Expect(0, 592, '\p{Is_Blk=__Latin_Ext_b}', "");
Expect(1, 592, '\p{^Is_Blk=__Latin_Ext_b}', "");
Expect(1, 592, '\P{Is_Blk=__Latin_Ext_b}', "");
Expect(0, 592, '\P{^Is_Blk=__Latin_Ext_b}', "");
Error('\p{Block=-LATIN_Extended_C/a/}');
Error('\P{Block=-LATIN_Extended_C/a/}');
Expect(1, 11391, '\p{Block=latinextendedc}', "");
Expect(0, 11391, '\p{^Block=latinextendedc}', "");
Expect(0, 11391, '\P{Block=latinextendedc}', "");
Expect(1, 11391, '\P{^Block=latinextendedc}', "");
Expect(0, 11392, '\p{Block=latinextendedc}', "");
Expect(1, 11392, '\p{^Block=latinextendedc}', "");
Expect(1, 11392, '\P{Block=latinextendedc}', "");
Expect(0, 11392, '\P{^Block=latinextendedc}', "");
Expect(1, 11391, '\p{Block=	-Latin_Extended_C}', "");
Expect(0, 11391, '\p{^Block=	-Latin_Extended_C}', "");
Expect(0, 11391, '\P{Block=	-Latin_Extended_C}', "");
Expect(1, 11391, '\P{^Block=	-Latin_Extended_C}', "");
Expect(0, 11392, '\p{Block=	-Latin_Extended_C}', "");
Expect(1, 11392, '\p{^Block=	-Latin_Extended_C}', "");
Expect(1, 11392, '\P{Block=	-Latin_Extended_C}', "");
Expect(0, 11392, '\P{^Block=	-Latin_Extended_C}', "");
Error('\p{Blk=:= 	Latin_Ext_C}');
Error('\P{Blk=:= 	Latin_Ext_C}');
Expect(1, 11391, '\p{Blk=latinextc}', "");
Expect(0, 11391, '\p{^Blk=latinextc}', "");
Expect(0, 11391, '\P{Blk=latinextc}', "");
Expect(1, 11391, '\P{^Blk=latinextc}', "");
Expect(0, 11392, '\p{Blk=latinextc}', "");
Expect(1, 11392, '\p{^Blk=latinextc}', "");
Expect(1, 11392, '\P{Blk=latinextc}', "");
Expect(0, 11392, '\P{^Blk=latinextc}', "");
Expect(1, 11391, '\p{Blk=_-Latin_Ext_C}', "");
Expect(0, 11391, '\p{^Blk=_-Latin_Ext_C}', "");
Expect(0, 11391, '\P{Blk=_-Latin_Ext_C}', "");
Expect(1, 11391, '\P{^Blk=_-Latin_Ext_C}', "");
Expect(0, 11392, '\p{Blk=_-Latin_Ext_C}', "");
Expect(1, 11392, '\p{^Blk=_-Latin_Ext_C}', "");
Expect(1, 11392, '\P{Blk=_-Latin_Ext_C}', "");
Expect(0, 11392, '\P{^Blk=_-Latin_Ext_C}', "");
Error('\p{Is_Block= :=LATIN_extended_C}');
Error('\P{Is_Block= :=LATIN_extended_C}');
Expect(1, 11391, '\p{Is_Block=latinextendedc}', "");
Expect(0, 11391, '\p{^Is_Block=latinextendedc}', "");
Expect(0, 11391, '\P{Is_Block=latinextendedc}', "");
Expect(1, 11391, '\P{^Is_Block=latinextendedc}', "");
Expect(0, 11392, '\p{Is_Block=latinextendedc}', "");
Expect(1, 11392, '\p{^Is_Block=latinextendedc}', "");
Expect(1, 11392, '\P{Is_Block=latinextendedc}', "");
Expect(0, 11392, '\P{^Is_Block=latinextendedc}', "");
Expect(1, 11391, '\p{Is_Block=	 Latin_Extended_C}', "");
Expect(0, 11391, '\p{^Is_Block=	 Latin_Extended_C}', "");
Expect(0, 11391, '\P{Is_Block=	 Latin_Extended_C}', "");
Expect(1, 11391, '\P{^Is_Block=	 Latin_Extended_C}', "");
Expect(0, 11392, '\p{Is_Block=	 Latin_Extended_C}', "");
Expect(1, 11392, '\p{^Is_Block=	 Latin_Extended_C}', "");
Expect(1, 11392, '\P{Is_Block=	 Latin_Extended_C}', "");
Expect(0, 11392, '\P{^Is_Block=	 Latin_Extended_C}', "");
Error('\p{Is_Blk=/a/ -Latin_ext_C}');
Error('\P{Is_Blk=/a/ -Latin_ext_C}');
Expect(1, 11391, '\p{Is_Blk=latinextc}', "");
Expect(0, 11391, '\p{^Is_Blk=latinextc}', "");
Expect(0, 11391, '\P{Is_Blk=latinextc}', "");
Expect(1, 11391, '\P{^Is_Blk=latinextc}', "");
Expect(0, 11392, '\p{Is_Blk=latinextc}', "");
Expect(1, 11392, '\p{^Is_Blk=latinextc}', "");
Expect(1, 11392, '\P{Is_Blk=latinextc}', "");
Expect(0, 11392, '\P{^Is_Blk=latinextc}', "");
Expect(1, 11391, '\p{Is_Blk=	-Latin_ext_C}', "");
Expect(0, 11391, '\p{^Is_Blk=	-Latin_ext_C}', "");
Expect(0, 11391, '\P{Is_Blk=	-Latin_ext_C}', "");
Expect(1, 11391, '\P{^Is_Blk=	-Latin_ext_C}', "");
Expect(0, 11392, '\p{Is_Blk=	-Latin_ext_C}', "");
Expect(1, 11392, '\p{^Is_Blk=	-Latin_ext_C}', "");
Expect(1, 11392, '\P{Is_Blk=	-Latin_ext_C}', "");
Expect(0, 11392, '\P{^Is_Blk=	-Latin_ext_C}', "");
Error('\p{Block=-/a/LATIN_extended_D}');
Error('\P{Block=-/a/LATIN_extended_D}');
Expect(1, 43007, '\p{Block=latinextendedd}', "");
Expect(0, 43007, '\p{^Block=latinextendedd}', "");
Expect(0, 43007, '\P{Block=latinextendedd}', "");
Expect(1, 43007, '\P{^Block=latinextendedd}', "");
Expect(0, 43008, '\p{Block=latinextendedd}', "");
Expect(1, 43008, '\p{^Block=latinextendedd}', "");
Expect(1, 43008, '\P{Block=latinextendedd}', "");
Expect(0, 43008, '\P{^Block=latinextendedd}', "");
Expect(1, 43007, '\p{Block=_latin_Extended_D}', "");
Expect(0, 43007, '\p{^Block=_latin_Extended_D}', "");
Expect(0, 43007, '\P{Block=_latin_Extended_D}', "");
Expect(1, 43007, '\P{^Block=_latin_Extended_D}', "");
Expect(0, 43008, '\p{Block=_latin_Extended_D}', "");
Expect(1, 43008, '\p{^Block=_latin_Extended_D}', "");
Expect(1, 43008, '\P{Block=_latin_Extended_D}', "");
Expect(0, 43008, '\P{^Block=_latin_Extended_D}', "");
Error('\p{Blk=- Latin_ext_D/a/}');
Error('\P{Blk=- Latin_ext_D/a/}');
Expect(1, 43007, '\p{Blk=latinextd}', "");
Expect(0, 43007, '\p{^Blk=latinextd}', "");
Expect(0, 43007, '\P{Blk=latinextd}', "");
Expect(1, 43007, '\P{^Blk=latinextd}', "");
Expect(0, 43008, '\p{Blk=latinextd}', "");
Expect(1, 43008, '\p{^Blk=latinextd}', "");
Expect(1, 43008, '\P{Blk=latinextd}', "");
Expect(0, 43008, '\P{^Blk=latinextd}', "");
Expect(1, 43007, '\p{Blk=_Latin_EXT_D}', "");
Expect(0, 43007, '\p{^Blk=_Latin_EXT_D}', "");
Expect(0, 43007, '\P{Blk=_Latin_EXT_D}', "");
Expect(1, 43007, '\P{^Blk=_Latin_EXT_D}', "");
Expect(0, 43008, '\p{Blk=_Latin_EXT_D}', "");
Expect(1, 43008, '\p{^Blk=_Latin_EXT_D}', "");
Expect(1, 43008, '\P{Blk=_Latin_EXT_D}', "");
Expect(0, 43008, '\P{^Blk=_Latin_EXT_D}', "");
Error('\p{Is_Block=/a/-	Latin_EXTENDED_D}');
Error('\P{Is_Block=/a/-	Latin_EXTENDED_D}');
Expect(1, 43007, '\p{Is_Block=latinextendedd}', "");
Expect(0, 43007, '\p{^Is_Block=latinextendedd}', "");
Expect(0, 43007, '\P{Is_Block=latinextendedd}', "");
Expect(1, 43007, '\P{^Is_Block=latinextendedd}', "");
Expect(0, 43008, '\p{Is_Block=latinextendedd}', "");
Expect(1, 43008, '\p{^Is_Block=latinextendedd}', "");
Expect(1, 43008, '\P{Is_Block=latinextendedd}', "");
Expect(0, 43008, '\P{^Is_Block=latinextendedd}', "");
Expect(1, 43007, '\p{Is_Block:	_Latin_Extended_D}', "");
Expect(0, 43007, '\p{^Is_Block:	_Latin_Extended_D}', "");
Expect(0, 43007, '\P{Is_Block:	_Latin_Extended_D}', "");
Expect(1, 43007, '\P{^Is_Block:	_Latin_Extended_D}', "");
Expect(0, 43008, '\p{Is_Block:	_Latin_Extended_D}', "");
Expect(1, 43008, '\p{^Is_Block:	_Latin_Extended_D}', "");
Expect(1, 43008, '\P{Is_Block:	_Latin_Extended_D}', "");
Expect(0, 43008, '\P{^Is_Block:	_Latin_Extended_D}', "");
Error('\p{Is_Blk=_Latin_Ext_D:=}');
Error('\P{Is_Blk=_Latin_Ext_D:=}');
Expect(1, 43007, '\p{Is_Blk=latinextd}', "");
Expect(0, 43007, '\p{^Is_Blk=latinextd}', "");
Expect(0, 43007, '\P{Is_Blk=latinextd}', "");
Expect(1, 43007, '\P{^Is_Blk=latinextd}', "");
Expect(0, 43008, '\p{Is_Blk=latinextd}', "");
Expect(1, 43008, '\p{^Is_Blk=latinextd}', "");
Expect(1, 43008, '\P{Is_Blk=latinextd}', "");
Expect(0, 43008, '\P{^Is_Blk=latinextd}', "");
Expect(1, 43007, '\p{Is_Blk=  LATIN_ext_d}', "");
Expect(0, 43007, '\p{^Is_Blk=  LATIN_ext_d}', "");
Expect(0, 43007, '\P{Is_Blk=  LATIN_ext_d}', "");
Expect(1, 43007, '\P{^Is_Blk=  LATIN_ext_d}', "");
Expect(0, 43008, '\p{Is_Blk=  LATIN_ext_d}', "");
Expect(1, 43008, '\p{^Is_Blk=  LATIN_ext_d}', "");
Expect(1, 43008, '\P{Is_Blk=  LATIN_ext_d}', "");
Expect(0, 43008, '\P{^Is_Blk=  LATIN_ext_d}', "");
Error('\p{Block=  latin_Extended_E:=}');
Error('\P{Block=  latin_Extended_E:=}');
Expect(1, 43887, '\p{Block=latinextendede}', "");
Expect(0, 43887, '\p{^Block=latinextendede}', "");
Expect(0, 43887, '\P{Block=latinextendede}', "");
Expect(1, 43887, '\P{^Block=latinextendede}', "");
Expect(0, 43888, '\p{Block=latinextendede}', "");
Expect(1, 43888, '\p{^Block=latinextendede}', "");
Expect(1, 43888, '\P{Block=latinextendede}', "");
Expect(0, 43888, '\P{^Block=latinextendede}', "");
Expect(1, 43887, '\p{Block=	-LATIN_Extended_E}', "");
Expect(0, 43887, '\p{^Block=	-LATIN_Extended_E}', "");
Expect(0, 43887, '\P{Block=	-LATIN_Extended_E}', "");
Expect(1, 43887, '\P{^Block=	-LATIN_Extended_E}', "");
Expect(0, 43888, '\p{Block=	-LATIN_Extended_E}', "");
Expect(1, 43888, '\p{^Block=	-LATIN_Extended_E}', "");
Expect(1, 43888, '\P{Block=	-LATIN_Extended_E}', "");
Expect(0, 43888, '\P{^Block=	-LATIN_Extended_E}', "");
Error('\p{Blk=-_Latin_Ext_E:=}');
Error('\P{Blk=-_Latin_Ext_E:=}');
Expect(1, 43887, '\p{Blk=latinexte}', "");
Expect(0, 43887, '\p{^Blk=latinexte}', "");
Expect(0, 43887, '\P{Blk=latinexte}', "");
Expect(1, 43887, '\P{^Blk=latinexte}', "");
Expect(0, 43888, '\p{Blk=latinexte}', "");
Expect(1, 43888, '\p{^Blk=latinexte}', "");
Expect(1, 43888, '\P{Blk=latinexte}', "");
Expect(0, 43888, '\P{^Blk=latinexte}', "");
Expect(1, 43887, '\p{Blk=	latin_ext_e}', "");
Expect(0, 43887, '\p{^Blk=	latin_ext_e}', "");
Expect(0, 43887, '\P{Blk=	latin_ext_e}', "");
Expect(1, 43887, '\P{^Blk=	latin_ext_e}', "");
Expect(0, 43888, '\p{Blk=	latin_ext_e}', "");
Expect(1, 43888, '\p{^Blk=	latin_ext_e}', "");
Expect(1, 43888, '\P{Blk=	latin_ext_e}', "");
Expect(0, 43888, '\P{^Blk=	latin_ext_e}', "");
Error('\p{Is_Block=_-latin_Extended_e:=}');
Error('\P{Is_Block=_-latin_Extended_e:=}');
Expect(1, 43887, '\p{Is_Block=latinextendede}', "");
Expect(0, 43887, '\p{^Is_Block=latinextendede}', "");
Expect(0, 43887, '\P{Is_Block=latinextendede}', "");
Expect(1, 43887, '\P{^Is_Block=latinextendede}', "");
Expect(0, 43888, '\p{Is_Block=latinextendede}', "");
Expect(1, 43888, '\p{^Is_Block=latinextendede}', "");
Expect(1, 43888, '\P{Is_Block=latinextendede}', "");
Expect(0, 43888, '\P{^Is_Block=latinextendede}', "");
Expect(1, 43887, '\p{Is_Block= 	Latin_EXTENDED_E}', "");
Expect(0, 43887, '\p{^Is_Block= 	Latin_EXTENDED_E}', "");
Expect(0, 43887, '\P{Is_Block= 	Latin_EXTENDED_E}', "");
Expect(1, 43887, '\P{^Is_Block= 	Latin_EXTENDED_E}', "");
Expect(0, 43888, '\p{Is_Block= 	Latin_EXTENDED_E}', "");
Expect(1, 43888, '\p{^Is_Block= 	Latin_EXTENDED_E}', "");
Expect(1, 43888, '\P{Is_Block= 	Latin_EXTENDED_E}', "");
Expect(0, 43888, '\P{^Is_Block= 	Latin_EXTENDED_E}', "");
Error('\p{Is_Blk=-	Latin_ext_E:=}');
Error('\P{Is_Blk=-	Latin_ext_E:=}');
Expect(1, 43887, '\p{Is_Blk=latinexte}', "");
Expect(0, 43887, '\p{^Is_Blk=latinexte}', "");
Expect(0, 43887, '\P{Is_Blk=latinexte}', "");
Expect(1, 43887, '\P{^Is_Blk=latinexte}', "");
Expect(0, 43888, '\p{Is_Blk=latinexte}', "");
Expect(1, 43888, '\p{^Is_Blk=latinexte}', "");
Expect(1, 43888, '\P{Is_Blk=latinexte}', "");
Expect(0, 43888, '\P{^Is_Blk=latinexte}', "");
Expect(1, 43887, '\p{Is_Blk=  latin_ext_E}', "");
Expect(0, 43887, '\p{^Is_Blk=  latin_ext_E}', "");
Expect(0, 43887, '\P{Is_Blk=  latin_ext_E}', "");
Expect(1, 43887, '\P{^Is_Blk=  latin_ext_E}', "");
Expect(0, 43888, '\p{Is_Blk=  latin_ext_E}', "");
Expect(1, 43888, '\p{^Is_Blk=  latin_ext_E}', "");
Expect(1, 43888, '\P{Is_Blk=  latin_ext_E}', "");
Expect(0, 43888, '\P{^Is_Blk=  latin_ext_E}', "");
Error('\p{Block=	Lepcha/a/}');
Error('\P{Block=	Lepcha/a/}');
Expect(1, 7247, '\p{Block=lepcha}', "");
Expect(0, 7247, '\p{^Block=lepcha}', "");
Expect(0, 7247, '\P{Block=lepcha}', "");
Expect(1, 7247, '\P{^Block=lepcha}', "");
Expect(0, 7248, '\p{Block=lepcha}', "");
Expect(1, 7248, '\p{^Block=lepcha}', "");
Expect(1, 7248, '\P{Block=lepcha}', "");
Expect(0, 7248, '\P{^Block=lepcha}', "");
Expect(1, 7247, '\p{Block=__LEPCHA}', "");
Expect(0, 7247, '\p{^Block=__LEPCHA}', "");
Expect(0, 7247, '\P{Block=__LEPCHA}', "");
Expect(1, 7247, '\P{^Block=__LEPCHA}', "");
Expect(0, 7248, '\p{Block=__LEPCHA}', "");
Expect(1, 7248, '\p{^Block=__LEPCHA}', "");
Expect(1, 7248, '\P{Block=__LEPCHA}', "");
Expect(0, 7248, '\P{^Block=__LEPCHA}', "");
Error('\p{Blk=	Lepcha/a/}');
Error('\P{Blk=	Lepcha/a/}');
Expect(1, 7247, '\p{Blk=lepcha}', "");
Expect(0, 7247, '\p{^Blk=lepcha}', "");
Expect(0, 7247, '\P{Blk=lepcha}', "");
Expect(1, 7247, '\P{^Blk=lepcha}', "");
Expect(0, 7248, '\p{Blk=lepcha}', "");
Expect(1, 7248, '\p{^Blk=lepcha}', "");
Expect(1, 7248, '\P{Blk=lepcha}', "");
Expect(0, 7248, '\P{^Blk=lepcha}', "");
Expect(1, 7247, '\p{Blk=-Lepcha}', "");
Expect(0, 7247, '\p{^Blk=-Lepcha}', "");
Expect(0, 7247, '\P{Blk=-Lepcha}', "");
Expect(1, 7247, '\P{^Blk=-Lepcha}', "");
Expect(0, 7248, '\p{Blk=-Lepcha}', "");
Expect(1, 7248, '\p{^Blk=-Lepcha}', "");
Expect(1, 7248, '\P{Blk=-Lepcha}', "");
Expect(0, 7248, '\P{^Blk=-Lepcha}', "");
Error('\p{Is_Block= _Lepcha/a/}');
Error('\P{Is_Block= _Lepcha/a/}');
Expect(1, 7247, '\p{Is_Block=lepcha}', "");
Expect(0, 7247, '\p{^Is_Block=lepcha}', "");
Expect(0, 7247, '\P{Is_Block=lepcha}', "");
Expect(1, 7247, '\P{^Is_Block=lepcha}', "");
Expect(0, 7248, '\p{Is_Block=lepcha}', "");
Expect(1, 7248, '\p{^Is_Block=lepcha}', "");
Expect(1, 7248, '\P{Is_Block=lepcha}', "");
Expect(0, 7248, '\P{^Is_Block=lepcha}', "");
Expect(1, 7247, '\p{Is_Block=__LEPCHA}', "");
Expect(0, 7247, '\p{^Is_Block=__LEPCHA}', "");
Expect(0, 7247, '\P{Is_Block=__LEPCHA}', "");
Expect(1, 7247, '\P{^Is_Block=__LEPCHA}', "");
Expect(0, 7248, '\p{Is_Block=__LEPCHA}', "");
Expect(1, 7248, '\p{^Is_Block=__LEPCHA}', "");
Expect(1, 7248, '\P{Is_Block=__LEPCHA}', "");
Expect(0, 7248, '\P{^Is_Block=__LEPCHA}', "");
Error('\p{Is_Blk=	-lepcha/a/}');
Error('\P{Is_Blk=	-lepcha/a/}');
Expect(1, 7247, '\p{Is_Blk=lepcha}', "");
Expect(0, 7247, '\p{^Is_Blk=lepcha}', "");
Expect(0, 7247, '\P{Is_Blk=lepcha}', "");
Expect(1, 7247, '\P{^Is_Blk=lepcha}', "");
Expect(0, 7248, '\p{Is_Blk=lepcha}', "");
Expect(1, 7248, '\p{^Is_Blk=lepcha}', "");
Expect(1, 7248, '\P{Is_Blk=lepcha}', "");
Expect(0, 7248, '\P{^Is_Blk=lepcha}', "");
Expect(1, 7247, '\p{Is_Blk=	_lepcha}', "");
Expect(0, 7247, '\p{^Is_Blk=	_lepcha}', "");
Expect(0, 7247, '\P{Is_Blk=	_lepcha}', "");
Expect(1, 7247, '\P{^Is_Blk=	_lepcha}', "");
Expect(0, 7248, '\p{Is_Blk=	_lepcha}', "");
Expect(1, 7248, '\p{^Is_Blk=	_lepcha}', "");
Expect(1, 7248, '\P{Is_Blk=	_lepcha}', "");
Expect(0, 7248, '\P{^Is_Blk=	_lepcha}', "");
Error('\p{Block=-:=Letterlike_SYMBOLS}');
Error('\P{Block=-:=Letterlike_SYMBOLS}');
Expect(1, 8527, '\p{Block=letterlikesymbols}', "");
Expect(0, 8527, '\p{^Block=letterlikesymbols}', "");
Expect(0, 8527, '\P{Block=letterlikesymbols}', "");
Expect(1, 8527, '\P{^Block=letterlikesymbols}', "");
Expect(0, 8528, '\p{Block=letterlikesymbols}', "");
Expect(1, 8528, '\p{^Block=letterlikesymbols}', "");
Expect(1, 8528, '\P{Block=letterlikesymbols}', "");
Expect(0, 8528, '\P{^Block=letterlikesymbols}', "");
Expect(1, 8527, '\p{Block=		letterlike_SYMBOLS}', "");
Expect(0, 8527, '\p{^Block=		letterlike_SYMBOLS}', "");
Expect(0, 8527, '\P{Block=		letterlike_SYMBOLS}', "");
Expect(1, 8527, '\P{^Block=		letterlike_SYMBOLS}', "");
Expect(0, 8528, '\p{Block=		letterlike_SYMBOLS}', "");
Expect(1, 8528, '\p{^Block=		letterlike_SYMBOLS}', "");
Expect(1, 8528, '\P{Block=		letterlike_SYMBOLS}', "");
Expect(0, 8528, '\P{^Block=		letterlike_SYMBOLS}', "");
Error('\p{Blk=_:=Letterlike_symbols}');
Error('\P{Blk=_:=Letterlike_symbols}');
Expect(1, 8527, '\p{Blk:letterlikesymbols}', "");
Expect(0, 8527, '\p{^Blk:letterlikesymbols}', "");
Expect(0, 8527, '\P{Blk:letterlikesymbols}', "");
Expect(1, 8527, '\P{^Blk:letterlikesymbols}', "");
Expect(0, 8528, '\p{Blk:letterlikesymbols}', "");
Expect(1, 8528, '\p{^Blk:letterlikesymbols}', "");
Expect(1, 8528, '\P{Blk:letterlikesymbols}', "");
Expect(0, 8528, '\P{^Blk:letterlikesymbols}', "");
Expect(1, 8527, '\p{Blk=_	letterlike_Symbols}', "");
Expect(0, 8527, '\p{^Blk=_	letterlike_Symbols}', "");
Expect(0, 8527, '\P{Blk=_	letterlike_Symbols}', "");
Expect(1, 8527, '\P{^Blk=_	letterlike_Symbols}', "");
Expect(0, 8528, '\p{Blk=_	letterlike_Symbols}', "");
Expect(1, 8528, '\p{^Blk=_	letterlike_Symbols}', "");
Expect(1, 8528, '\P{Blk=_	letterlike_Symbols}', "");
Expect(0, 8528, '\P{^Blk=_	letterlike_Symbols}', "");
Error('\p{Is_Block=/a/	 Letterlike_symbols}');
Error('\P{Is_Block=/a/	 Letterlike_symbols}');
Expect(1, 8527, '\p{Is_Block: letterlikesymbols}', "");
Expect(0, 8527, '\p{^Is_Block: letterlikesymbols}', "");
Expect(0, 8527, '\P{Is_Block: letterlikesymbols}', "");
Expect(1, 8527, '\P{^Is_Block: letterlikesymbols}', "");
Expect(0, 8528, '\p{Is_Block: letterlikesymbols}', "");
Expect(1, 8528, '\p{^Is_Block: letterlikesymbols}', "");
Expect(1, 8528, '\P{Is_Block: letterlikesymbols}', "");
Expect(0, 8528, '\P{^Is_Block: letterlikesymbols}', "");
Expect(1, 8527, '\p{Is_Block=_	LETTERLIKE_SYMBOLS}', "");
Expect(0, 8527, '\p{^Is_Block=_	LETTERLIKE_SYMBOLS}', "");
Expect(0, 8527, '\P{Is_Block=_	LETTERLIKE_SYMBOLS}', "");
Expect(1, 8527, '\P{^Is_Block=_	LETTERLIKE_SYMBOLS}', "");
Expect(0, 8528, '\p{Is_Block=_	LETTERLIKE_SYMBOLS}', "");
Expect(1, 8528, '\p{^Is_Block=_	LETTERLIKE_SYMBOLS}', "");
Expect(1, 8528, '\P{Is_Block=_	LETTERLIKE_SYMBOLS}', "");
Expect(0, 8528, '\P{^Is_Block=_	LETTERLIKE_SYMBOLS}', "");
Error('\p{Is_Blk:	/a/	-letterlike_Symbols}');
Error('\P{Is_Blk:	/a/	-letterlike_Symbols}');
Expect(1, 8527, '\p{Is_Blk=letterlikesymbols}', "");
Expect(0, 8527, '\p{^Is_Blk=letterlikesymbols}', "");
Expect(0, 8527, '\P{Is_Blk=letterlikesymbols}', "");
Expect(1, 8527, '\P{^Is_Blk=letterlikesymbols}', "");
Expect(0, 8528, '\p{Is_Blk=letterlikesymbols}', "");
Expect(1, 8528, '\p{^Is_Blk=letterlikesymbols}', "");
Expect(1, 8528, '\P{Is_Blk=letterlikesymbols}', "");
Expect(0, 8528, '\P{^Is_Blk=letterlikesymbols}', "");
Expect(1, 8527, '\p{Is_Blk=- LETTERLIKE_Symbols}', "");
Expect(0, 8527, '\p{^Is_Blk=- LETTERLIKE_Symbols}', "");
Expect(0, 8527, '\P{Is_Blk=- LETTERLIKE_Symbols}', "");
Expect(1, 8527, '\P{^Is_Blk=- LETTERLIKE_Symbols}', "");
Expect(0, 8528, '\p{Is_Blk=- LETTERLIKE_Symbols}', "");
Expect(1, 8528, '\p{^Is_Blk=- LETTERLIKE_Symbols}', "");
Expect(1, 8528, '\P{Is_Blk=- LETTERLIKE_Symbols}', "");
Expect(0, 8528, '\P{^Is_Blk=- LETTERLIKE_Symbols}', "");
Error('\p{Block=_LIMBU/a/}');
Error('\P{Block=_LIMBU/a/}');
Expect(1, 6479, '\p{Block=limbu}', "");
Expect(0, 6479, '\p{^Block=limbu}', "");
Expect(0, 6479, '\P{Block=limbu}', "");
Expect(1, 6479, '\P{^Block=limbu}', "");
Expect(0, 6480, '\p{Block=limbu}', "");
Expect(1, 6480, '\p{^Block=limbu}', "");
Expect(1, 6480, '\P{Block=limbu}', "");
Expect(0, 6480, '\P{^Block=limbu}', "");
Expect(1, 6479, '\p{Block=	_limbu}', "");
Expect(0, 6479, '\p{^Block=	_limbu}', "");
Expect(0, 6479, '\P{Block=	_limbu}', "");
Expect(1, 6479, '\P{^Block=	_limbu}', "");
Expect(0, 6480, '\p{Block=	_limbu}', "");
Expect(1, 6480, '\p{^Block=	_limbu}', "");
Expect(1, 6480, '\P{Block=	_limbu}', "");
Expect(0, 6480, '\P{^Block=	_limbu}', "");
Error('\p{Blk=:=--limbu}');
Error('\P{Blk=:=--limbu}');
Expect(1, 6479, '\p{Blk=limbu}', "");
Expect(0, 6479, '\p{^Blk=limbu}', "");
Expect(0, 6479, '\P{Blk=limbu}', "");
Expect(1, 6479, '\P{^Blk=limbu}', "");
Expect(0, 6480, '\p{Blk=limbu}', "");
Expect(1, 6480, '\p{^Blk=limbu}', "");
Expect(1, 6480, '\P{Blk=limbu}', "");
Expect(0, 6480, '\P{^Blk=limbu}', "");
Expect(1, 6479, '\p{Blk=--LIMBU}', "");
Expect(0, 6479, '\p{^Blk=--LIMBU}', "");
Expect(0, 6479, '\P{Blk=--LIMBU}', "");
Expect(1, 6479, '\P{^Blk=--LIMBU}', "");
Expect(0, 6480, '\p{Blk=--LIMBU}', "");
Expect(1, 6480, '\p{^Blk=--LIMBU}', "");
Expect(1, 6480, '\P{Blk=--LIMBU}', "");
Expect(0, 6480, '\P{^Blk=--LIMBU}', "");
Error('\p{Is_Block=_/a/Limbu}');
Error('\P{Is_Block=_/a/Limbu}');
Expect(1, 6479, '\p{Is_Block=limbu}', "");
Expect(0, 6479, '\p{^Is_Block=limbu}', "");
Expect(0, 6479, '\P{Is_Block=limbu}', "");
Expect(1, 6479, '\P{^Is_Block=limbu}', "");
Expect(0, 6480, '\p{Is_Block=limbu}', "");
Expect(1, 6480, '\p{^Is_Block=limbu}', "");
Expect(1, 6480, '\P{Is_Block=limbu}', "");
Expect(0, 6480, '\P{^Is_Block=limbu}', "");
Expect(1, 6479, '\p{Is_Block=-_Limbu}', "");
Expect(0, 6479, '\p{^Is_Block=-_Limbu}', "");
Expect(0, 6479, '\P{Is_Block=-_Limbu}', "");
Expect(1, 6479, '\P{^Is_Block=-_Limbu}', "");
Expect(0, 6480, '\p{Is_Block=-_Limbu}', "");
Expect(1, 6480, '\p{^Is_Block=-_Limbu}', "");
Expect(1, 6480, '\P{Is_Block=-_Limbu}', "");
Expect(0, 6480, '\P{^Is_Block=-_Limbu}', "");
Error('\p{Is_Blk=/a/_Limbu}');
Error('\P{Is_Blk=/a/_Limbu}');
Expect(1, 6479, '\p{Is_Blk=limbu}', "");
Expect(0, 6479, '\p{^Is_Blk=limbu}', "");
Expect(0, 6479, '\P{Is_Blk=limbu}', "");
Expect(1, 6479, '\P{^Is_Blk=limbu}', "");
Expect(0, 6480, '\p{Is_Blk=limbu}', "");
Expect(1, 6480, '\p{^Is_Blk=limbu}', "");
Expect(1, 6480, '\P{Is_Blk=limbu}', "");
Expect(0, 6480, '\P{^Is_Blk=limbu}', "");
Expect(1, 6479, '\p{Is_Blk=	 Limbu}', "");
Expect(0, 6479, '\p{^Is_Blk=	 Limbu}', "");
Expect(0, 6479, '\P{Is_Blk=	 Limbu}', "");
Expect(1, 6479, '\P{^Is_Blk=	 Limbu}', "");
Expect(0, 6480, '\p{Is_Blk=	 Limbu}', "");
Expect(1, 6480, '\p{^Is_Blk=	 Limbu}', "");
Expect(1, 6480, '\P{Is_Blk=	 Limbu}', "");
Expect(0, 6480, '\P{^Is_Blk=	 Limbu}', "");
Error('\p{Block=:=__LINEAR_A}');
Error('\P{Block=:=__LINEAR_A}');
Expect(1, 67455, '\p{Block=lineara}', "");
Expect(0, 67455, '\p{^Block=lineara}', "");
Expect(0, 67455, '\P{Block=lineara}', "");
Expect(1, 67455, '\P{^Block=lineara}', "");
Expect(0, 67456, '\p{Block=lineara}', "");
Expect(1, 67456, '\p{^Block=lineara}', "");
Expect(1, 67456, '\P{Block=lineara}', "");
Expect(0, 67456, '\P{^Block=lineara}', "");
Expect(1, 67455, '\p{Block:--LINEAR_A}', "");
Expect(0, 67455, '\p{^Block:--LINEAR_A}', "");
Expect(0, 67455, '\P{Block:--LINEAR_A}', "");
Expect(1, 67455, '\P{^Block:--LINEAR_A}', "");
Expect(0, 67456, '\p{Block:--LINEAR_A}', "");
Expect(1, 67456, '\p{^Block:--LINEAR_A}', "");
Expect(1, 67456, '\P{Block:--LINEAR_A}', "");
Expect(0, 67456, '\P{^Block:--LINEAR_A}', "");
Error('\p{Blk=/a/	Linear_A}');
Error('\P{Blk=/a/	Linear_A}');
Expect(1, 67455, '\p{Blk=lineara}', "");
Expect(0, 67455, '\p{^Blk=lineara}', "");
Expect(0, 67455, '\P{Blk=lineara}', "");
Expect(1, 67455, '\P{^Blk=lineara}', "");
Expect(0, 67456, '\p{Blk=lineara}', "");
Expect(1, 67456, '\p{^Blk=lineara}', "");
Expect(1, 67456, '\P{Blk=lineara}', "");
Expect(0, 67456, '\P{^Blk=lineara}', "");
Expect(1, 67455, '\p{Blk=	 linear_A}', "");
Expect(0, 67455, '\p{^Blk=	 linear_A}', "");
Expect(0, 67455, '\P{Blk=	 linear_A}', "");
Expect(1, 67455, '\P{^Blk=	 linear_A}', "");
Expect(0, 67456, '\p{Blk=	 linear_A}', "");
Expect(1, 67456, '\p{^Blk=	 linear_A}', "");
Expect(1, 67456, '\P{Blk=	 linear_A}', "");
Expect(0, 67456, '\P{^Blk=	 linear_A}', "");
Error('\p{Is_Block=/a/_	Linear_A}');
Error('\P{Is_Block=/a/_	Linear_A}');
Expect(1, 67455, '\p{Is_Block=lineara}', "");
Expect(0, 67455, '\p{^Is_Block=lineara}', "");
Expect(0, 67455, '\P{Is_Block=lineara}', "");
Expect(1, 67455, '\P{^Is_Block=lineara}', "");
Expect(0, 67456, '\p{Is_Block=lineara}', "");
Expect(1, 67456, '\p{^Is_Block=lineara}', "");
Expect(1, 67456, '\P{Is_Block=lineara}', "");
Expect(0, 67456, '\P{^Is_Block=lineara}', "");
Expect(1, 67455, '\p{Is_Block= 	Linear_A}', "");
Expect(0, 67455, '\p{^Is_Block= 	Linear_A}', "");
Expect(0, 67455, '\P{Is_Block= 	Linear_A}', "");
Expect(1, 67455, '\P{^Is_Block= 	Linear_A}', "");
Expect(0, 67456, '\p{Is_Block= 	Linear_A}', "");
Expect(1, 67456, '\p{^Is_Block= 	Linear_A}', "");
Expect(1, 67456, '\P{Is_Block= 	Linear_A}', "");
Expect(0, 67456, '\P{^Is_Block= 	Linear_A}', "");
Error('\p{Is_Blk=  Linear_A:=}');
Error('\P{Is_Blk=  Linear_A:=}');
Expect(1, 67455, '\p{Is_Blk=lineara}', "");
Expect(0, 67455, '\p{^Is_Blk=lineara}', "");
Expect(0, 67455, '\P{Is_Blk=lineara}', "");
Expect(1, 67455, '\P{^Is_Blk=lineara}', "");
Expect(0, 67456, '\p{Is_Blk=lineara}', "");
Expect(1, 67456, '\p{^Is_Blk=lineara}', "");
Expect(1, 67456, '\P{Is_Blk=lineara}', "");
Expect(0, 67456, '\P{^Is_Blk=lineara}', "");
Expect(1, 67455, '\p{Is_Blk=		LINEAR_A}', "");
Expect(0, 67455, '\p{^Is_Blk=		LINEAR_A}', "");
Expect(0, 67455, '\P{Is_Blk=		LINEAR_A}', "");
Expect(1, 67455, '\P{^Is_Blk=		LINEAR_A}', "");
Expect(0, 67456, '\p{Is_Blk=		LINEAR_A}', "");
Expect(1, 67456, '\p{^Is_Blk=		LINEAR_A}', "");
Expect(1, 67456, '\P{Is_Blk=		LINEAR_A}', "");
Expect(0, 67456, '\P{^Is_Blk=		LINEAR_A}', "");
Error('\p{Block=/a/-Linear_B_IDEOGRAMS}');
Error('\P{Block=/a/-Linear_B_IDEOGRAMS}');
Expect(1, 65791, '\p{Block=linearbideograms}', "");
Expect(0, 65791, '\p{^Block=linearbideograms}', "");
Expect(0, 65791, '\P{Block=linearbideograms}', "");
Expect(1, 65791, '\P{^Block=linearbideograms}', "");
Expect(0, 65792, '\p{Block=linearbideograms}', "");
Expect(1, 65792, '\p{^Block=linearbideograms}', "");
Expect(1, 65792, '\P{Block=linearbideograms}', "");
Expect(0, 65792, '\P{^Block=linearbideograms}', "");
Expect(1, 65791, '\p{Block=	-Linear_b_Ideograms}', "");
Expect(0, 65791, '\p{^Block=	-Linear_b_Ideograms}', "");
Expect(0, 65791, '\P{Block=	-Linear_b_Ideograms}', "");
Expect(1, 65791, '\P{^Block=	-Linear_b_Ideograms}', "");
Expect(0, 65792, '\p{Block=	-Linear_b_Ideograms}', "");
Expect(1, 65792, '\p{^Block=	-Linear_b_Ideograms}', "");
Expect(1, 65792, '\P{Block=	-Linear_b_Ideograms}', "");
Expect(0, 65792, '\P{^Block=	-Linear_b_Ideograms}', "");
Error('\p{Blk= /a/Linear_B_IDEOGRAMS}');
Error('\P{Blk= /a/Linear_B_IDEOGRAMS}');
Expect(1, 65791, '\p{Blk=linearbideograms}', "");
Expect(0, 65791, '\p{^Blk=linearbideograms}', "");
Expect(0, 65791, '\P{Blk=linearbideograms}', "");
Expect(1, 65791, '\P{^Blk=linearbideograms}', "");
Expect(0, 65792, '\p{Blk=linearbideograms}', "");
Expect(1, 65792, '\p{^Blk=linearbideograms}', "");
Expect(1, 65792, '\P{Blk=linearbideograms}', "");
Expect(0, 65792, '\P{^Blk=linearbideograms}', "");
Expect(1, 65791, '\p{Blk=	Linear_B_ideograms}', "");
Expect(0, 65791, '\p{^Blk=	Linear_B_ideograms}', "");
Expect(0, 65791, '\P{Blk=	Linear_B_ideograms}', "");
Expect(1, 65791, '\P{^Blk=	Linear_B_ideograms}', "");
Expect(0, 65792, '\p{Blk=	Linear_B_ideograms}', "");
Expect(1, 65792, '\p{^Blk=	Linear_B_ideograms}', "");
Expect(1, 65792, '\P{Blk=	Linear_B_ideograms}', "");
Expect(0, 65792, '\P{^Blk=	Linear_B_ideograms}', "");
Error('\p{Is_Block:		LINEAR_b_IDEOGRAMS:=}');
Error('\P{Is_Block:		LINEAR_b_IDEOGRAMS:=}');
Expect(1, 65791, '\p{Is_Block=linearbideograms}', "");
Expect(0, 65791, '\p{^Is_Block=linearbideograms}', "");
Expect(0, 65791, '\P{Is_Block=linearbideograms}', "");
Expect(1, 65791, '\P{^Is_Block=linearbideograms}', "");
Expect(0, 65792, '\p{Is_Block=linearbideograms}', "");
Expect(1, 65792, '\p{^Is_Block=linearbideograms}', "");
Expect(1, 65792, '\P{Is_Block=linearbideograms}', "");
Expect(0, 65792, '\P{^Is_Block=linearbideograms}', "");
Expect(1, 65791, '\p{Is_Block=-	Linear_B_IDEOGRAMS}', "");
Expect(0, 65791, '\p{^Is_Block=-	Linear_B_IDEOGRAMS}', "");
Expect(0, 65791, '\P{Is_Block=-	Linear_B_IDEOGRAMS}', "");
Expect(1, 65791, '\P{^Is_Block=-	Linear_B_IDEOGRAMS}', "");
Expect(0, 65792, '\p{Is_Block=-	Linear_B_IDEOGRAMS}', "");
Expect(1, 65792, '\p{^Is_Block=-	Linear_B_IDEOGRAMS}', "");
Expect(1, 65792, '\P{Is_Block=-	Linear_B_IDEOGRAMS}', "");
Expect(0, 65792, '\P{^Is_Block=-	Linear_B_IDEOGRAMS}', "");
Error('\p{Is_Blk=:= _Linear_B_Ideograms}');
Error('\P{Is_Blk=:= _Linear_B_Ideograms}');
Expect(1, 65791, '\p{Is_Blk:   linearbideograms}', "");
Expect(0, 65791, '\p{^Is_Blk:   linearbideograms}', "");
Expect(0, 65791, '\P{Is_Blk:   linearbideograms}', "");
Expect(1, 65791, '\P{^Is_Blk:   linearbideograms}', "");
Expect(0, 65792, '\p{Is_Blk:   linearbideograms}', "");
Expect(1, 65792, '\p{^Is_Blk:   linearbideograms}', "");
Expect(1, 65792, '\P{Is_Blk:   linearbideograms}', "");
Expect(0, 65792, '\P{^Is_Blk:   linearbideograms}', "");
Expect(1, 65791, '\p{Is_Blk=_-Linear_b_IDEOGRAMS}', "");
Expect(0, 65791, '\p{^Is_Blk=_-Linear_b_IDEOGRAMS}', "");
Expect(0, 65791, '\P{Is_Blk=_-Linear_b_IDEOGRAMS}', "");
Expect(1, 65791, '\P{^Is_Blk=_-Linear_b_IDEOGRAMS}', "");
Expect(0, 65792, '\p{Is_Blk=_-Linear_b_IDEOGRAMS}', "");
Expect(1, 65792, '\p{^Is_Blk=_-Linear_b_IDEOGRAMS}', "");
Expect(1, 65792, '\P{Is_Blk=_-Linear_b_IDEOGRAMS}', "");
Expect(0, 65792, '\P{^Is_Blk=_-Linear_b_IDEOGRAMS}', "");
Error('\p{Block=_/a/Linear_B_Syllabary}');
Error('\P{Block=_/a/Linear_B_Syllabary}');
Expect(1, 65663, '\p{Block=linearbsyllabary}', "");
Expect(0, 65663, '\p{^Block=linearbsyllabary}', "");
Expect(0, 65663, '\P{Block=linearbsyllabary}', "");
Expect(1, 65663, '\P{^Block=linearbsyllabary}', "");
Expect(0, 65664, '\p{Block=linearbsyllabary}', "");
Expect(1, 65664, '\p{^Block=linearbsyllabary}', "");
Expect(1, 65664, '\P{Block=linearbsyllabary}', "");
Expect(0, 65664, '\P{^Block=linearbsyllabary}', "");
Expect(1, 65663, '\p{Block=	LINEAR_B_syllabary}', "");
Expect(0, 65663, '\p{^Block=	LINEAR_B_syllabary}', "");
Expect(0, 65663, '\P{Block=	LINEAR_B_syllabary}', "");
Expect(1, 65663, '\P{^Block=	LINEAR_B_syllabary}', "");
Expect(0, 65664, '\p{Block=	LINEAR_B_syllabary}', "");
Expect(1, 65664, '\p{^Block=	LINEAR_B_syllabary}', "");
Expect(1, 65664, '\P{Block=	LINEAR_B_syllabary}', "");
Expect(0, 65664, '\P{^Block=	LINEAR_B_syllabary}', "");
Error('\p{Blk=/a/linear_B_Syllabary}');
Error('\P{Blk=/a/linear_B_Syllabary}');
Expect(1, 65663, '\p{Blk=linearbsyllabary}', "");
Expect(0, 65663, '\p{^Blk=linearbsyllabary}', "");
Expect(0, 65663, '\P{Blk=linearbsyllabary}', "");
Expect(1, 65663, '\P{^Blk=linearbsyllabary}', "");
Expect(0, 65664, '\p{Blk=linearbsyllabary}', "");
Expect(1, 65664, '\p{^Blk=linearbsyllabary}', "");
Expect(1, 65664, '\P{Blk=linearbsyllabary}', "");
Expect(0, 65664, '\P{^Blk=linearbsyllabary}', "");
Expect(1, 65663, '\p{Blk=- Linear_B_SYLLABARY}', "");
Expect(0, 65663, '\p{^Blk=- Linear_B_SYLLABARY}', "");
Expect(0, 65663, '\P{Blk=- Linear_B_SYLLABARY}', "");
Expect(1, 65663, '\P{^Blk=- Linear_B_SYLLABARY}', "");
Expect(0, 65664, '\p{Blk=- Linear_B_SYLLABARY}', "");
Expect(1, 65664, '\p{^Blk=- Linear_B_SYLLABARY}', "");
Expect(1, 65664, '\P{Blk=- Linear_B_SYLLABARY}', "");
Expect(0, 65664, '\P{^Blk=- Linear_B_SYLLABARY}', "");
Error('\p{Is_Block= :=linear_B_Syllabary}');
Error('\P{Is_Block= :=linear_B_Syllabary}');
Expect(1, 65663, '\p{Is_Block=linearbsyllabary}', "");
Expect(0, 65663, '\p{^Is_Block=linearbsyllabary}', "");
Expect(0, 65663, '\P{Is_Block=linearbsyllabary}', "");
Expect(1, 65663, '\P{^Is_Block=linearbsyllabary}', "");
Expect(0, 65664, '\p{Is_Block=linearbsyllabary}', "");
Expect(1, 65664, '\p{^Is_Block=linearbsyllabary}', "");
Expect(1, 65664, '\P{Is_Block=linearbsyllabary}', "");
Expect(0, 65664, '\P{^Is_Block=linearbsyllabary}', "");
Expect(1, 65663, '\p{Is_Block= Linear_B_syllabary}', "");
Expect(0, 65663, '\p{^Is_Block= Linear_B_syllabary}', "");
Expect(0, 65663, '\P{Is_Block= Linear_B_syllabary}', "");
Expect(1, 65663, '\P{^Is_Block= Linear_B_syllabary}', "");
Expect(0, 65664, '\p{Is_Block= Linear_B_syllabary}', "");
Expect(1, 65664, '\p{^Is_Block= Linear_B_syllabary}', "");
Expect(1, 65664, '\P{Is_Block= Linear_B_syllabary}', "");
Expect(0, 65664, '\P{^Is_Block= Linear_B_syllabary}', "");
Error('\p{Is_Blk:    :=LINEAR_B_Syllabary}');
Error('\P{Is_Blk:    :=LINEAR_B_Syllabary}');
Expect(1, 65663, '\p{Is_Blk=linearbsyllabary}', "");
Expect(0, 65663, '\p{^Is_Blk=linearbsyllabary}', "");
Expect(0, 65663, '\P{Is_Blk=linearbsyllabary}', "");
Expect(1, 65663, '\P{^Is_Blk=linearbsyllabary}', "");
Expect(0, 65664, '\p{Is_Blk=linearbsyllabary}', "");
Expect(1, 65664, '\p{^Is_Blk=linearbsyllabary}', "");
Expect(1, 65664, '\P{Is_Blk=linearbsyllabary}', "");
Expect(0, 65664, '\P{^Is_Blk=linearbsyllabary}', "");
Expect(1, 65663, '\p{Is_Blk=  Linear_b_Syllabary}', "");
Expect(0, 65663, '\p{^Is_Blk=  Linear_b_Syllabary}', "");
Expect(0, 65663, '\P{Is_Blk=  Linear_b_Syllabary}', "");
Expect(1, 65663, '\P{^Is_Blk=  Linear_b_Syllabary}', "");
Expect(0, 65664, '\p{Is_Blk=  Linear_b_Syllabary}', "");
Expect(1, 65664, '\p{^Is_Blk=  Linear_b_Syllabary}', "");
Expect(1, 65664, '\P{Is_Blk=  Linear_b_Syllabary}', "");
Expect(0, 65664, '\P{^Is_Blk=  Linear_b_Syllabary}', "");
Error('\p{Block=- lisu/a/}');
Error('\P{Block=- lisu/a/}');
Expect(1, 42239, '\p{Block=lisu}', "");
Expect(0, 42239, '\p{^Block=lisu}', "");
Expect(0, 42239, '\P{Block=lisu}', "");
Expect(1, 42239, '\P{^Block=lisu}', "");
Expect(0, 42240, '\p{Block=lisu}', "");
Expect(1, 42240, '\p{^Block=lisu}', "");
Expect(1, 42240, '\P{Block=lisu}', "");
Expect(0, 42240, '\P{^Block=lisu}', "");
Expect(1, 42239, '\p{Block=-Lisu}', "");
Expect(0, 42239, '\p{^Block=-Lisu}', "");
Expect(0, 42239, '\P{Block=-Lisu}', "");
Expect(1, 42239, '\P{^Block=-Lisu}', "");
Expect(0, 42240, '\p{Block=-Lisu}', "");
Expect(1, 42240, '\p{^Block=-Lisu}', "");
Expect(1, 42240, '\P{Block=-Lisu}', "");
Expect(0, 42240, '\P{^Block=-Lisu}', "");
Error('\p{Blk=	Lisu/a/}');
Error('\P{Blk=	Lisu/a/}');
Expect(1, 42239, '\p{Blk=lisu}', "");
Expect(0, 42239, '\p{^Blk=lisu}', "");
Expect(0, 42239, '\P{Blk=lisu}', "");
Expect(1, 42239, '\P{^Blk=lisu}', "");
Expect(0, 42240, '\p{Blk=lisu}', "");
Expect(1, 42240, '\p{^Blk=lisu}', "");
Expect(1, 42240, '\P{Blk=lisu}', "");
Expect(0, 42240, '\P{^Blk=lisu}', "");
Expect(1, 42239, '\p{Blk= lisu}', "");
Expect(0, 42239, '\p{^Blk= lisu}', "");
Expect(0, 42239, '\P{Blk= lisu}', "");
Expect(1, 42239, '\P{^Blk= lisu}', "");
Expect(0, 42240, '\p{Blk= lisu}', "");
Expect(1, 42240, '\p{^Blk= lisu}', "");
Expect(1, 42240, '\P{Blk= lisu}', "");
Expect(0, 42240, '\P{^Blk= lisu}', "");
Error('\p{Is_Block=_:=lisu}');
Error('\P{Is_Block=_:=lisu}');
Expect(1, 42239, '\p{Is_Block=lisu}', "");
Expect(0, 42239, '\p{^Is_Block=lisu}', "");
Expect(0, 42239, '\P{Is_Block=lisu}', "");
Expect(1, 42239, '\P{^Is_Block=lisu}', "");
Expect(0, 42240, '\p{Is_Block=lisu}', "");
Expect(1, 42240, '\p{^Is_Block=lisu}', "");
Expect(1, 42240, '\P{Is_Block=lisu}', "");
Expect(0, 42240, '\P{^Is_Block=lisu}', "");
Expect(1, 42239, '\p{Is_Block=-LISU}', "");
Expect(0, 42239, '\p{^Is_Block=-LISU}', "");
Expect(0, 42239, '\P{Is_Block=-LISU}', "");
Expect(1, 42239, '\P{^Is_Block=-LISU}', "");
Expect(0, 42240, '\p{Is_Block=-LISU}', "");
Expect(1, 42240, '\p{^Is_Block=-LISU}', "");
Expect(1, 42240, '\P{Is_Block=-LISU}', "");
Expect(0, 42240, '\P{^Is_Block=-LISU}', "");
Error('\p{Is_Blk=/a/Lisu}');
Error('\P{Is_Blk=/a/Lisu}');
Expect(1, 42239, '\p{Is_Blk=lisu}', "");
Expect(0, 42239, '\p{^Is_Blk=lisu}', "");
Expect(0, 42239, '\P{Is_Blk=lisu}', "");
Expect(1, 42239, '\P{^Is_Blk=lisu}', "");
Expect(0, 42240, '\p{Is_Blk=lisu}', "");
Expect(1, 42240, '\p{^Is_Blk=lisu}', "");
Expect(1, 42240, '\P{Is_Blk=lisu}', "");
Expect(0, 42240, '\P{^Is_Blk=lisu}', "");
Expect(1, 42239, '\p{Is_Blk= Lisu}', "");
Expect(0, 42239, '\p{^Is_Blk= Lisu}', "");
Expect(0, 42239, '\P{Is_Blk= Lisu}', "");
Expect(1, 42239, '\P{^Is_Blk= Lisu}', "");
Expect(0, 42240, '\p{Is_Blk= Lisu}', "");
Expect(1, 42240, '\p{^Is_Blk= Lisu}', "");
Expect(1, 42240, '\P{Is_Blk= Lisu}', "");
Expect(0, 42240, '\P{^Is_Blk= Lisu}', "");
Error('\p{Block=:= Low_Surrogates}');
Error('\P{Block=:= Low_Surrogates}');
Expect(1, 57343, '\p{Block=lowsurrogates}', "");
Expect(0, 57343, '\p{^Block=lowsurrogates}', "");
Expect(0, 57343, '\P{Block=lowsurrogates}', "");
Expect(1, 57343, '\P{^Block=lowsurrogates}', "");
Expect(0, 57344, '\p{Block=lowsurrogates}', "");
Expect(1, 57344, '\p{^Block=lowsurrogates}', "");
Expect(1, 57344, '\P{Block=lowsurrogates}', "");
Expect(0, 57344, '\P{^Block=lowsurrogates}', "");
Expect(1, 57343, '\p{Block=-LOW_SURROGATES}', "");
Expect(0, 57343, '\p{^Block=-LOW_SURROGATES}', "");
Expect(0, 57343, '\P{Block=-LOW_SURROGATES}', "");
Expect(1, 57343, '\P{^Block=-LOW_SURROGATES}', "");
Expect(0, 57344, '\p{Block=-LOW_SURROGATES}', "");
Expect(1, 57344, '\p{^Block=-LOW_SURROGATES}', "");
Expect(1, 57344, '\P{Block=-LOW_SURROGATES}', "");
Expect(0, 57344, '\P{^Block=-LOW_SURROGATES}', "");
Error('\p{Blk= _Low_SURROGATES:=}');
Error('\P{Blk= _Low_SURROGATES:=}');
Expect(1, 57343, '\p{Blk=lowsurrogates}', "");
Expect(0, 57343, '\p{^Blk=lowsurrogates}', "");
Expect(0, 57343, '\P{Blk=lowsurrogates}', "");
Expect(1, 57343, '\P{^Blk=lowsurrogates}', "");
Expect(0, 57344, '\p{Blk=lowsurrogates}', "");
Expect(1, 57344, '\p{^Blk=lowsurrogates}', "");
Expect(1, 57344, '\P{Blk=lowsurrogates}', "");
Expect(0, 57344, '\P{^Blk=lowsurrogates}', "");
Expect(1, 57343, '\p{Blk=-_Low_Surrogates}', "");
Expect(0, 57343, '\p{^Blk=-_Low_Surrogates}', "");
Expect(0, 57343, '\P{Blk=-_Low_Surrogates}', "");
Expect(1, 57343, '\P{^Blk=-_Low_Surrogates}', "");
Expect(0, 57344, '\p{Blk=-_Low_Surrogates}', "");
Expect(1, 57344, '\p{^Blk=-_Low_Surrogates}', "");
Expect(1, 57344, '\P{Blk=-_Low_Surrogates}', "");
Expect(0, 57344, '\P{^Blk=-_Low_Surrogates}', "");
Error('\p{Is_Block=:=	LOW_surrogates}');
Error('\P{Is_Block=:=	LOW_surrogates}');
Expect(1, 57343, '\p{Is_Block=lowsurrogates}', "");
Expect(0, 57343, '\p{^Is_Block=lowsurrogates}', "");
Expect(0, 57343, '\P{Is_Block=lowsurrogates}', "");
Expect(1, 57343, '\P{^Is_Block=lowsurrogates}', "");
Expect(0, 57344, '\p{Is_Block=lowsurrogates}', "");
Expect(1, 57344, '\p{^Is_Block=lowsurrogates}', "");
Expect(1, 57344, '\P{Is_Block=lowsurrogates}', "");
Expect(0, 57344, '\P{^Is_Block=lowsurrogates}', "");
Expect(1, 57343, '\p{Is_Block:	 _low_SURROGATES}', "");
Expect(0, 57343, '\p{^Is_Block:	 _low_SURROGATES}', "");
Expect(0, 57343, '\P{Is_Block:	 _low_SURROGATES}', "");
Expect(1, 57343, '\P{^Is_Block:	 _low_SURROGATES}', "");
Expect(0, 57344, '\p{Is_Block:	 _low_SURROGATES}', "");
Expect(1, 57344, '\p{^Is_Block:	 _low_SURROGATES}', "");
Expect(1, 57344, '\P{Is_Block:	 _low_SURROGATES}', "");
Expect(0, 57344, '\P{^Is_Block:	 _low_SURROGATES}', "");
Error('\p{Is_Blk=_Low_Surrogates:=}');
Error('\P{Is_Blk=_Low_Surrogates:=}');
Expect(1, 57343, '\p{Is_Blk=lowsurrogates}', "");
Expect(0, 57343, '\p{^Is_Blk=lowsurrogates}', "");
Expect(0, 57343, '\P{Is_Blk=lowsurrogates}', "");
Expect(1, 57343, '\P{^Is_Blk=lowsurrogates}', "");
Expect(0, 57344, '\p{Is_Blk=lowsurrogates}', "");
Expect(1, 57344, '\p{^Is_Blk=lowsurrogates}', "");
Expect(1, 57344, '\P{Is_Blk=lowsurrogates}', "");
Expect(0, 57344, '\P{^Is_Blk=lowsurrogates}', "");
Expect(1, 57343, '\p{Is_Blk:-	Low_Surrogates}', "");
Expect(0, 57343, '\p{^Is_Blk:-	Low_Surrogates}', "");
Expect(0, 57343, '\P{Is_Blk:-	Low_Surrogates}', "");
Expect(1, 57343, '\P{^Is_Blk:-	Low_Surrogates}', "");
Expect(0, 57344, '\p{Is_Blk:-	Low_Surrogates}', "");
Expect(1, 57344, '\p{^Is_Blk:-	Low_Surrogates}', "");
Expect(1, 57344, '\P{Is_Blk:-	Low_Surrogates}', "");
Expect(0, 57344, '\P{^Is_Blk:-	Low_Surrogates}', "");
Error('\p{Block=/a/	_LYCIAN}');
Error('\P{Block=/a/	_LYCIAN}');
Expect(1, 66207, '\p{Block=lycian}', "");
Expect(0, 66207, '\p{^Block=lycian}', "");
Expect(0, 66207, '\P{Block=lycian}', "");
Expect(1, 66207, '\P{^Block=lycian}', "");
Expect(0, 66208, '\p{Block=lycian}', "");
Expect(1, 66208, '\p{^Block=lycian}', "");
Expect(1, 66208, '\P{Block=lycian}', "");
Expect(0, 66208, '\P{^Block=lycian}', "");
Expect(1, 66207, '\p{Block= 	Lycian}', "");
Expect(0, 66207, '\p{^Block= 	Lycian}', "");
Expect(0, 66207, '\P{Block= 	Lycian}', "");
Expect(1, 66207, '\P{^Block= 	Lycian}', "");
Expect(0, 66208, '\p{Block= 	Lycian}', "");
Expect(1, 66208, '\p{^Block= 	Lycian}', "");
Expect(1, 66208, '\P{Block= 	Lycian}', "");
Expect(0, 66208, '\P{^Block= 	Lycian}', "");
Error('\p{Blk= LYCIAN:=}');
Error('\P{Blk= LYCIAN:=}');
Expect(1, 66207, '\p{Blk=lycian}', "");
Expect(0, 66207, '\p{^Blk=lycian}', "");
Expect(0, 66207, '\P{Blk=lycian}', "");
Expect(1, 66207, '\P{^Blk=lycian}', "");
Expect(0, 66208, '\p{Blk=lycian}', "");
Expect(1, 66208, '\p{^Blk=lycian}', "");
Expect(1, 66208, '\P{Blk=lycian}', "");
Expect(0, 66208, '\P{^Blk=lycian}', "");
Expect(1, 66207, '\p{Blk=- Lycian}', "");
Expect(0, 66207, '\p{^Blk=- Lycian}', "");
Expect(0, 66207, '\P{Blk=- Lycian}', "");
Expect(1, 66207, '\P{^Blk=- Lycian}', "");
Expect(0, 66208, '\p{Blk=- Lycian}', "");
Expect(1, 66208, '\p{^Blk=- Lycian}', "");
Expect(1, 66208, '\P{Blk=- Lycian}', "");
Expect(0, 66208, '\P{^Blk=- Lycian}', "");
Error('\p{Is_Block=	/a/Lycian}');
Error('\P{Is_Block=	/a/Lycian}');
Expect(1, 66207, '\p{Is_Block=lycian}', "");
Expect(0, 66207, '\p{^Is_Block=lycian}', "");
Expect(0, 66207, '\P{Is_Block=lycian}', "");
Expect(1, 66207, '\P{^Is_Block=lycian}', "");
Expect(0, 66208, '\p{Is_Block=lycian}', "");
Expect(1, 66208, '\p{^Is_Block=lycian}', "");
Expect(1, 66208, '\P{Is_Block=lycian}', "");
Expect(0, 66208, '\P{^Is_Block=lycian}', "");
Expect(1, 66207, '\p{Is_Block=__Lycian}', "");
Expect(0, 66207, '\p{^Is_Block=__Lycian}', "");
Expect(0, 66207, '\P{Is_Block=__Lycian}', "");
Expect(1, 66207, '\P{^Is_Block=__Lycian}', "");
Expect(0, 66208, '\p{Is_Block=__Lycian}', "");
Expect(1, 66208, '\p{^Is_Block=__Lycian}', "");
Expect(1, 66208, '\P{Is_Block=__Lycian}', "");
Expect(0, 66208, '\P{^Is_Block=__Lycian}', "");
Error('\p{Is_Blk=	:=Lycian}');
Error('\P{Is_Blk=	:=Lycian}');
Expect(1, 66207, '\p{Is_Blk=lycian}', "");
Expect(0, 66207, '\p{^Is_Blk=lycian}', "");
Expect(0, 66207, '\P{Is_Blk=lycian}', "");
Expect(1, 66207, '\P{^Is_Blk=lycian}', "");
Expect(0, 66208, '\p{Is_Blk=lycian}', "");
Expect(1, 66208, '\p{^Is_Blk=lycian}', "");
Expect(1, 66208, '\P{Is_Blk=lycian}', "");
Expect(0, 66208, '\P{^Is_Blk=lycian}', "");
Expect(1, 66207, '\p{Is_Blk=- Lycian}', "");
Expect(0, 66207, '\p{^Is_Blk=- Lycian}', "");
Expect(0, 66207, '\P{Is_Blk=- Lycian}', "");
Expect(1, 66207, '\P{^Is_Blk=- Lycian}', "");
Expect(0, 66208, '\p{Is_Blk=- Lycian}', "");
Expect(1, 66208, '\p{^Is_Blk=- Lycian}', "");
Expect(1, 66208, '\P{Is_Blk=- Lycian}', "");
Expect(0, 66208, '\P{^Is_Blk=- Lycian}', "");
Error('\p{Block= 	lydian/a/}');
Error('\P{Block= 	lydian/a/}');
Expect(1, 67903, '\p{Block: lydian}', "");
Expect(0, 67903, '\p{^Block: lydian}', "");
Expect(0, 67903, '\P{Block: lydian}', "");
Expect(1, 67903, '\P{^Block: lydian}', "");
Expect(0, 67904, '\p{Block: lydian}', "");
Expect(1, 67904, '\p{^Block: lydian}', "");
Expect(1, 67904, '\P{Block: lydian}', "");
Expect(0, 67904, '\P{^Block: lydian}', "");
Expect(1, 67903, '\p{Block=_Lydian}', "");
Expect(0, 67903, '\p{^Block=_Lydian}', "");
Expect(0, 67903, '\P{Block=_Lydian}', "");
Expect(1, 67903, '\P{^Block=_Lydian}', "");
Expect(0, 67904, '\p{Block=_Lydian}', "");
Expect(1, 67904, '\p{^Block=_Lydian}', "");
Expect(1, 67904, '\P{Block=_Lydian}', "");
Expect(0, 67904, '\P{^Block=_Lydian}', "");
Error('\p{Blk=:= 	Lydian}');
Error('\P{Blk=:= 	Lydian}');
Expect(1, 67903, '\p{Blk=lydian}', "");
Expect(0, 67903, '\p{^Blk=lydian}', "");
Expect(0, 67903, '\P{Blk=lydian}', "");
Expect(1, 67903, '\P{^Blk=lydian}', "");
Expect(0, 67904, '\p{Blk=lydian}', "");
Expect(1, 67904, '\p{^Blk=lydian}', "");
Expect(1, 67904, '\P{Blk=lydian}', "");
Expect(0, 67904, '\P{^Blk=lydian}', "");
Expect(1, 67903, '\p{Blk=--Lydian}', "");
Expect(0, 67903, '\p{^Blk=--Lydian}', "");
Expect(0, 67903, '\P{Blk=--Lydian}', "");
Expect(1, 67903, '\P{^Blk=--Lydian}', "");
Expect(0, 67904, '\p{Blk=--Lydian}', "");
Expect(1, 67904, '\p{^Blk=--Lydian}', "");
Expect(1, 67904, '\P{Blk=--Lydian}', "");
Expect(0, 67904, '\P{^Blk=--Lydian}', "");
Error('\p{Is_Block= Lydian/a/}');
Error('\P{Is_Block= Lydian/a/}');
Expect(1, 67903, '\p{Is_Block:   lydian}', "");
Expect(0, 67903, '\p{^Is_Block:   lydian}', "");
Expect(0, 67903, '\P{Is_Block:   lydian}', "");
Expect(1, 67903, '\P{^Is_Block:   lydian}', "");
Expect(0, 67904, '\p{Is_Block:   lydian}', "");
Expect(1, 67904, '\p{^Is_Block:   lydian}', "");
Expect(1, 67904, '\P{Is_Block:   lydian}', "");
Expect(0, 67904, '\P{^Is_Block:   lydian}', "");
Expect(1, 67903, '\p{Is_Block=- lydian}', "");
Expect(0, 67903, '\p{^Is_Block=- lydian}', "");
Expect(0, 67903, '\P{Is_Block=- lydian}', "");
Expect(1, 67903, '\P{^Is_Block=- lydian}', "");
Expect(0, 67904, '\p{Is_Block=- lydian}', "");
Expect(1, 67904, '\p{^Is_Block=- lydian}', "");
Expect(1, 67904, '\P{Is_Block=- lydian}', "");
Expect(0, 67904, '\P{^Is_Block=- lydian}', "");
Error('\p{Is_Blk=:= -LYDIAN}');
Error('\P{Is_Blk=:= -LYDIAN}');
Expect(1, 67903, '\p{Is_Blk=lydian}', "");
Expect(0, 67903, '\p{^Is_Blk=lydian}', "");
Expect(0, 67903, '\P{Is_Blk=lydian}', "");
Expect(1, 67903, '\P{^Is_Blk=lydian}', "");
Expect(0, 67904, '\p{Is_Blk=lydian}', "");
Expect(1, 67904, '\p{^Is_Blk=lydian}', "");
Expect(1, 67904, '\P{Is_Blk=lydian}', "");
Expect(0, 67904, '\P{^Is_Blk=lydian}', "");
Expect(1, 67903, '\p{Is_Blk=		lydian}', "");
Expect(0, 67903, '\p{^Is_Blk=		lydian}', "");
Expect(0, 67903, '\P{Is_Blk=		lydian}', "");
Expect(1, 67903, '\P{^Is_Blk=		lydian}', "");
Expect(0, 67904, '\p{Is_Blk=		lydian}', "");
Expect(1, 67904, '\p{^Is_Blk=		lydian}', "");
Expect(1, 67904, '\P{Is_Blk=		lydian}', "");
Expect(0, 67904, '\P{^Is_Blk=		lydian}', "");
Error('\p{Block=-mahajani:=}');
Error('\P{Block=-mahajani:=}');
Expect(1, 70015, '\p{Block=mahajani}', "");
Expect(0, 70015, '\p{^Block=mahajani}', "");
Expect(0, 70015, '\P{Block=mahajani}', "");
Expect(1, 70015, '\P{^Block=mahajani}', "");
Expect(0, 70016, '\p{Block=mahajani}', "");
Expect(1, 70016, '\p{^Block=mahajani}', "");
Expect(1, 70016, '\P{Block=mahajani}', "");
Expect(0, 70016, '\P{^Block=mahajani}', "");
Expect(1, 70015, '\p{Block=	_mahajani}', "");
Expect(0, 70015, '\p{^Block=	_mahajani}', "");
Expect(0, 70015, '\P{Block=	_mahajani}', "");
Expect(1, 70015, '\P{^Block=	_mahajani}', "");
Expect(0, 70016, '\p{Block=	_mahajani}', "");
Expect(1, 70016, '\p{^Block=	_mahajani}', "");
Expect(1, 70016, '\P{Block=	_mahajani}', "");
Expect(0, 70016, '\P{^Block=	_mahajani}', "");
Error('\p{Blk= Mahajani/a/}');
Error('\P{Blk= Mahajani/a/}');
Expect(1, 70015, '\p{Blk=mahajani}', "");
Expect(0, 70015, '\p{^Blk=mahajani}', "");
Expect(0, 70015, '\P{Blk=mahajani}', "");
Expect(1, 70015, '\P{^Blk=mahajani}', "");
Expect(0, 70016, '\p{Blk=mahajani}', "");
Expect(1, 70016, '\p{^Blk=mahajani}', "");
Expect(1, 70016, '\P{Blk=mahajani}', "");
Expect(0, 70016, '\P{^Blk=mahajani}', "");
Expect(1, 70015, '\p{Blk: MAHAJANI}', "");
Expect(0, 70015, '\p{^Blk: MAHAJANI}', "");
Expect(0, 70015, '\P{Blk: MAHAJANI}', "");
Expect(1, 70015, '\P{^Blk: MAHAJANI}', "");
Expect(0, 70016, '\p{Blk: MAHAJANI}', "");
Expect(1, 70016, '\p{^Blk: MAHAJANI}', "");
Expect(1, 70016, '\P{Blk: MAHAJANI}', "");
Expect(0, 70016, '\P{^Blk: MAHAJANI}', "");
Error('\p{Is_Block=_-Mahajani:=}');
Error('\P{Is_Block=_-Mahajani:=}');
Expect(1, 70015, '\p{Is_Block=mahajani}', "");
Expect(0, 70015, '\p{^Is_Block=mahajani}', "");
Expect(0, 70015, '\P{Is_Block=mahajani}', "");
Expect(1, 70015, '\P{^Is_Block=mahajani}', "");
Expect(0, 70016, '\p{Is_Block=mahajani}', "");
Expect(1, 70016, '\p{^Is_Block=mahajani}', "");
Expect(1, 70016, '\P{Is_Block=mahajani}', "");
Expect(0, 70016, '\P{^Is_Block=mahajani}', "");
Expect(1, 70015, '\p{Is_Block=	 Mahajani}', "");
Expect(0, 70015, '\p{^Is_Block=	 Mahajani}', "");
Expect(0, 70015, '\P{Is_Block=	 Mahajani}', "");
Expect(1, 70015, '\P{^Is_Block=	 Mahajani}', "");
Expect(0, 70016, '\p{Is_Block=	 Mahajani}', "");
Expect(1, 70016, '\p{^Is_Block=	 Mahajani}', "");
Expect(1, 70016, '\P{Is_Block=	 Mahajani}', "");
Expect(0, 70016, '\P{^Is_Block=	 Mahajani}', "");
Error('\p{Is_Blk=	-Mahajani:=}');
Error('\P{Is_Blk=	-Mahajani:=}');
Expect(1, 70015, '\p{Is_Blk=mahajani}', "");
Expect(0, 70015, '\p{^Is_Blk=mahajani}', "");
Expect(0, 70015, '\P{Is_Blk=mahajani}', "");
Expect(1, 70015, '\P{^Is_Blk=mahajani}', "");
Expect(0, 70016, '\p{Is_Blk=mahajani}', "");
Expect(1, 70016, '\p{^Is_Blk=mahajani}', "");
Expect(1, 70016, '\P{Is_Blk=mahajani}', "");
Expect(0, 70016, '\P{^Is_Blk=mahajani}', "");
Expect(1, 70015, '\p{Is_Blk= -Mahajani}', "");
Expect(0, 70015, '\p{^Is_Blk= -Mahajani}', "");
Expect(0, 70015, '\P{Is_Blk= -Mahajani}', "");
Expect(1, 70015, '\P{^Is_Blk= -Mahajani}', "");
Expect(0, 70016, '\p{Is_Blk= -Mahajani}', "");
Expect(1, 70016, '\p{^Is_Blk= -Mahajani}', "");
Expect(1, 70016, '\P{Is_Blk= -Mahajani}', "");
Expect(0, 70016, '\P{^Is_Blk= -Mahajani}', "");
Error('\p{Block=/a/_MAHJONG_TILES}');
Error('\P{Block=/a/_MAHJONG_TILES}');
Expect(1, 127023, '\p{Block=mahjongtiles}', "");
Expect(0, 127023, '\p{^Block=mahjongtiles}', "");
Expect(0, 127023, '\P{Block=mahjongtiles}', "");
Expect(1, 127023, '\P{^Block=mahjongtiles}', "");
Expect(0, 127024, '\p{Block=mahjongtiles}', "");
Expect(1, 127024, '\p{^Block=mahjongtiles}', "");
Expect(1, 127024, '\P{Block=mahjongtiles}', "");
Expect(0, 127024, '\P{^Block=mahjongtiles}', "");
Expect(1, 127023, '\p{Block:   --Mahjong_Tiles}', "");
Expect(0, 127023, '\p{^Block:   --Mahjong_Tiles}', "");
Expect(0, 127023, '\P{Block:   --Mahjong_Tiles}', "");
Expect(1, 127023, '\P{^Block:   --Mahjong_Tiles}', "");
Expect(0, 127024, '\p{Block:   --Mahjong_Tiles}', "");
Expect(1, 127024, '\p{^Block:   --Mahjong_Tiles}', "");
Expect(1, 127024, '\P{Block:   --Mahjong_Tiles}', "");
Expect(0, 127024, '\P{^Block:   --Mahjong_Tiles}', "");
Error('\p{Blk: Mahjong/a/}');
Error('\P{Blk: Mahjong/a/}');
Expect(1, 127023, '\p{Blk=mahjong}', "");
Expect(0, 127023, '\p{^Blk=mahjong}', "");
Expect(0, 127023, '\P{Blk=mahjong}', "");
Expect(1, 127023, '\P{^Blk=mahjong}', "");
Expect(0, 127024, '\p{Blk=mahjong}', "");
Expect(1, 127024, '\p{^Blk=mahjong}', "");
Expect(1, 127024, '\P{Blk=mahjong}', "");
Expect(0, 127024, '\P{^Blk=mahjong}', "");
Expect(1, 127023, '\p{Blk=_	Mahjong}', "");
Expect(0, 127023, '\p{^Blk=_	Mahjong}', "");
Expect(0, 127023, '\P{Blk=_	Mahjong}', "");
Expect(1, 127023, '\P{^Blk=_	Mahjong}', "");
Expect(0, 127024, '\p{Blk=_	Mahjong}', "");
Expect(1, 127024, '\p{^Blk=_	Mahjong}', "");
Expect(1, 127024, '\P{Blk=_	Mahjong}', "");
Expect(0, 127024, '\P{^Blk=_	Mahjong}', "");
Error('\p{Is_Block= 	Mahjong_Tiles/a/}');
Error('\P{Is_Block= 	Mahjong_Tiles/a/}');
Expect(1, 127023, '\p{Is_Block=mahjongtiles}', "");
Expect(0, 127023, '\p{^Is_Block=mahjongtiles}', "");
Expect(0, 127023, '\P{Is_Block=mahjongtiles}', "");
Expect(1, 127023, '\P{^Is_Block=mahjongtiles}', "");
Expect(0, 127024, '\p{Is_Block=mahjongtiles}', "");
Expect(1, 127024, '\p{^Is_Block=mahjongtiles}', "");
Expect(1, 127024, '\P{Is_Block=mahjongtiles}', "");
Expect(0, 127024, '\P{^Is_Block=mahjongtiles}', "");
Expect(1, 127023, '\p{Is_Block=	_Mahjong_Tiles}', "");
Expect(0, 127023, '\p{^Is_Block=	_Mahjong_Tiles}', "");
Expect(0, 127023, '\P{Is_Block=	_Mahjong_Tiles}', "");
Expect(1, 127023, '\P{^Is_Block=	_Mahjong_Tiles}', "");
Expect(0, 127024, '\p{Is_Block=	_Mahjong_Tiles}', "");
Expect(1, 127024, '\p{^Is_Block=	_Mahjong_Tiles}', "");
Expect(1, 127024, '\P{Is_Block=	_Mahjong_Tiles}', "");
Expect(0, 127024, '\P{^Is_Block=	_Mahjong_Tiles}', "");
Error('\p{Is_Blk=:=	_mahjong}');
Error('\P{Is_Blk=:=	_mahjong}');
Expect(1, 127023, '\p{Is_Blk:mahjong}', "");
Expect(0, 127023, '\p{^Is_Blk:mahjong}', "");
Expect(0, 127023, '\P{Is_Blk:mahjong}', "");
Expect(1, 127023, '\P{^Is_Blk:mahjong}', "");
Expect(0, 127024, '\p{Is_Blk:mahjong}', "");
Expect(1, 127024, '\p{^Is_Blk:mahjong}', "");
Expect(1, 127024, '\P{Is_Blk:mahjong}', "");
Expect(0, 127024, '\P{^Is_Blk:mahjong}', "");
Expect(1, 127023, '\p{Is_Blk=		mahjong}', "");
Expect(0, 127023, '\p{^Is_Blk=		mahjong}', "");
Expect(0, 127023, '\P{Is_Blk=		mahjong}', "");
Expect(1, 127023, '\P{^Is_Blk=		mahjong}', "");
Expect(0, 127024, '\p{Is_Blk=		mahjong}', "");
Expect(1, 127024, '\p{^Is_Blk=		mahjong}', "");
Expect(1, 127024, '\P{Is_Blk=		mahjong}', "");
Expect(0, 127024, '\P{^Is_Blk=		mahjong}', "");
Error('\p{Block=		Malayalam:=}');
Error('\P{Block=		Malayalam:=}');
Expect(1, 3455, '\p{Block=malayalam}', "");
Expect(0, 3455, '\p{^Block=malayalam}', "");
Expect(0, 3455, '\P{Block=malayalam}', "");
Expect(1, 3455, '\P{^Block=malayalam}', "");
Expect(0, 3456, '\p{Block=malayalam}', "");
Expect(1, 3456, '\p{^Block=malayalam}', "");
Expect(1, 3456, '\P{Block=malayalam}', "");
Expect(0, 3456, '\P{^Block=malayalam}', "");
Expect(1, 3455, '\p{Block: -_malayalam}', "");
Expect(0, 3455, '\p{^Block: -_malayalam}', "");
Expect(0, 3455, '\P{Block: -_malayalam}', "");
Expect(1, 3455, '\P{^Block: -_malayalam}', "");
Expect(0, 3456, '\p{Block: -_malayalam}', "");
Expect(1, 3456, '\p{^Block: -_malayalam}', "");
Expect(1, 3456, '\P{Block: -_malayalam}', "");
Expect(0, 3456, '\P{^Block: -_malayalam}', "");
Error('\p{Blk:	:=	_Malayalam}');
Error('\P{Blk:	:=	_Malayalam}');
Expect(1, 3455, '\p{Blk=malayalam}', "");
Expect(0, 3455, '\p{^Blk=malayalam}', "");
Expect(0, 3455, '\P{Blk=malayalam}', "");
Expect(1, 3455, '\P{^Blk=malayalam}', "");
Expect(0, 3456, '\p{Blk=malayalam}', "");
Expect(1, 3456, '\p{^Blk=malayalam}', "");
Expect(1, 3456, '\P{Blk=malayalam}', "");
Expect(0, 3456, '\P{^Blk=malayalam}', "");
Expect(1, 3455, '\p{Blk=_-Malayalam}', "");
Expect(0, 3455, '\p{^Blk=_-Malayalam}', "");
Expect(0, 3455, '\P{Blk=_-Malayalam}', "");
Expect(1, 3455, '\P{^Blk=_-Malayalam}', "");
Expect(0, 3456, '\p{Blk=_-Malayalam}', "");
Expect(1, 3456, '\p{^Blk=_-Malayalam}', "");
Expect(1, 3456, '\P{Blk=_-Malayalam}', "");
Expect(0, 3456, '\P{^Blk=_-Malayalam}', "");
Error('\p{Is_Block=:=-	MALAYALAM}');
Error('\P{Is_Block=:=-	MALAYALAM}');
Expect(1, 3455, '\p{Is_Block=malayalam}', "");
Expect(0, 3455, '\p{^Is_Block=malayalam}', "");
Expect(0, 3455, '\P{Is_Block=malayalam}', "");
Expect(1, 3455, '\P{^Is_Block=malayalam}', "");
Expect(0, 3456, '\p{Is_Block=malayalam}', "");
Expect(1, 3456, '\p{^Is_Block=malayalam}', "");
Expect(1, 3456, '\P{Is_Block=malayalam}', "");
Expect(0, 3456, '\P{^Is_Block=malayalam}', "");
Expect(1, 3455, '\p{Is_Block=_-Malayalam}', "");
Expect(0, 3455, '\p{^Is_Block=_-Malayalam}', "");
Expect(0, 3455, '\P{Is_Block=_-Malayalam}', "");
Expect(1, 3455, '\P{^Is_Block=_-Malayalam}', "");
Expect(0, 3456, '\p{Is_Block=_-Malayalam}', "");
Expect(1, 3456, '\p{^Is_Block=_-Malayalam}', "");
Expect(1, 3456, '\P{Is_Block=_-Malayalam}', "");
Expect(0, 3456, '\P{^Is_Block=_-Malayalam}', "");
Error('\p{Is_Blk= :=MALAYALAM}');
Error('\P{Is_Blk= :=MALAYALAM}');
Expect(1, 3455, '\p{Is_Blk=malayalam}', "");
Expect(0, 3455, '\p{^Is_Blk=malayalam}', "");
Expect(0, 3455, '\P{Is_Blk=malayalam}', "");
Expect(1, 3455, '\P{^Is_Blk=malayalam}', "");
Expect(0, 3456, '\p{Is_Blk=malayalam}', "");
Expect(1, 3456, '\p{^Is_Blk=malayalam}', "");
Expect(1, 3456, '\P{Is_Blk=malayalam}', "");
Expect(0, 3456, '\P{^Is_Blk=malayalam}', "");
Expect(1, 3455, '\p{Is_Blk=	_malayalam}', "");
Expect(0, 3455, '\p{^Is_Blk=	_malayalam}', "");
Expect(0, 3455, '\P{Is_Blk=	_malayalam}', "");
Expect(1, 3455, '\P{^Is_Blk=	_malayalam}', "");
Expect(0, 3456, '\p{Is_Blk=	_malayalam}', "");
Expect(1, 3456, '\p{^Is_Blk=	_malayalam}', "");
Expect(1, 3456, '\P{Is_Blk=	_malayalam}', "");
Expect(0, 3456, '\P{^Is_Blk=	_malayalam}', "");
Error('\p{Block=:=-_MANDAIC}');
Error('\P{Block=:=-_MANDAIC}');
Expect(1, 2143, '\p{Block: mandaic}', "");
Expect(0, 2143, '\p{^Block: mandaic}', "");
Expect(0, 2143, '\P{Block: mandaic}', "");
Expect(1, 2143, '\P{^Block: mandaic}', "");
Expect(0, 2144, '\p{Block: mandaic}', "");
Expect(1, 2144, '\p{^Block: mandaic}', "");
Expect(1, 2144, '\P{Block: mandaic}', "");
Expect(0, 2144, '\P{^Block: mandaic}', "");
Expect(1, 2143, '\p{Block= Mandaic}', "");
Expect(0, 2143, '\p{^Block= Mandaic}', "");
Expect(0, 2143, '\P{Block= Mandaic}', "");
Expect(1, 2143, '\P{^Block= Mandaic}', "");
Expect(0, 2144, '\p{Block= Mandaic}', "");
Expect(1, 2144, '\p{^Block= Mandaic}', "");
Expect(1, 2144, '\P{Block= Mandaic}', "");
Expect(0, 2144, '\P{^Block= Mandaic}', "");
Error('\p{Blk=/a/  Mandaic}');
Error('\P{Blk=/a/  Mandaic}');
Expect(1, 2143, '\p{Blk=mandaic}', "");
Expect(0, 2143, '\p{^Blk=mandaic}', "");
Expect(0, 2143, '\P{Blk=mandaic}', "");
Expect(1, 2143, '\P{^Blk=mandaic}', "");
Expect(0, 2144, '\p{Blk=mandaic}', "");
Expect(1, 2144, '\p{^Blk=mandaic}', "");
Expect(1, 2144, '\P{Blk=mandaic}', "");
Expect(0, 2144, '\P{^Blk=mandaic}', "");
Expect(1, 2143, '\p{Blk:    -Mandaic}', "");
Expect(0, 2143, '\p{^Blk:    -Mandaic}', "");
Expect(0, 2143, '\P{Blk:    -Mandaic}', "");
Expect(1, 2143, '\P{^Blk:    -Mandaic}', "");
Expect(0, 2144, '\p{Blk:    -Mandaic}', "");
Expect(1, 2144, '\p{^Blk:    -Mandaic}', "");
Expect(1, 2144, '\P{Blk:    -Mandaic}', "");
Expect(0, 2144, '\P{^Blk:    -Mandaic}', "");
Error('\p{Is_Block=:=  Mandaic}');
Error('\P{Is_Block=:=  Mandaic}');
Expect(1, 2143, '\p{Is_Block=mandaic}', "");
Expect(0, 2143, '\p{^Is_Block=mandaic}', "");
Expect(0, 2143, '\P{Is_Block=mandaic}', "");
Expect(1, 2143, '\P{^Is_Block=mandaic}', "");
Expect(0, 2144, '\p{Is_Block=mandaic}', "");
Expect(1, 2144, '\p{^Is_Block=mandaic}', "");
Expect(1, 2144, '\P{Is_Block=mandaic}', "");
Expect(0, 2144, '\P{^Is_Block=mandaic}', "");
Expect(1, 2143, '\p{Is_Block:  	mandaic}', "");
Expect(0, 2143, '\p{^Is_Block:  	mandaic}', "");
Expect(0, 2143, '\P{Is_Block:  	mandaic}', "");
Expect(1, 2143, '\P{^Is_Block:  	mandaic}', "");
Expect(0, 2144, '\p{Is_Block:  	mandaic}', "");
Expect(1, 2144, '\p{^Is_Block:  	mandaic}', "");
Expect(1, 2144, '\P{Is_Block:  	mandaic}', "");
Expect(0, 2144, '\P{^Is_Block:  	mandaic}', "");
Error('\p{Is_Blk=-:=mandaic}');
Error('\P{Is_Blk=-:=mandaic}');
Expect(1, 2143, '\p{Is_Blk=mandaic}', "");
Expect(0, 2143, '\p{^Is_Blk=mandaic}', "");
Expect(0, 2143, '\P{Is_Blk=mandaic}', "");
Expect(1, 2143, '\P{^Is_Blk=mandaic}', "");
Expect(0, 2144, '\p{Is_Blk=mandaic}', "");
Expect(1, 2144, '\p{^Is_Blk=mandaic}', "");
Expect(1, 2144, '\P{Is_Blk=mandaic}', "");
Expect(0, 2144, '\P{^Is_Blk=mandaic}', "");
Expect(1, 2143, '\p{Is_Blk:	-mandaic}', "");
Expect(0, 2143, '\p{^Is_Blk:	-mandaic}', "");
Expect(0, 2143, '\P{Is_Blk:	-mandaic}', "");
Expect(1, 2143, '\P{^Is_Blk:	-mandaic}', "");
Expect(0, 2144, '\p{Is_Blk:	-mandaic}', "");
Expect(1, 2144, '\p{^Is_Blk:	-mandaic}', "");
Expect(1, 2144, '\P{Is_Blk:	-mandaic}', "");
Expect(0, 2144, '\P{^Is_Blk:	-mandaic}', "");
Error('\p{Block=-/a/MANICHAEAN}');
Error('\P{Block=-/a/MANICHAEAN}');
Expect(1, 68351, '\p{Block=manichaean}', "");
Expect(0, 68351, '\p{^Block=manichaean}', "");
Expect(0, 68351, '\P{Block=manichaean}', "");
Expect(1, 68351, '\P{^Block=manichaean}', "");
Expect(0, 68352, '\p{Block=manichaean}', "");
Expect(1, 68352, '\p{^Block=manichaean}', "");
Expect(1, 68352, '\P{Block=manichaean}', "");
Expect(0, 68352, '\P{^Block=manichaean}', "");
Expect(1, 68351, '\p{Block=- manichaean}', "");
Expect(0, 68351, '\p{^Block=- manichaean}', "");
Expect(0, 68351, '\P{Block=- manichaean}', "");
Expect(1, 68351, '\P{^Block=- manichaean}', "");
Expect(0, 68352, '\p{Block=- manichaean}', "");
Expect(1, 68352, '\p{^Block=- manichaean}', "");
Expect(1, 68352, '\P{Block=- manichaean}', "");
Expect(0, 68352, '\P{^Block=- manichaean}', "");
Error('\p{Blk=:=-Manichaean}');
Error('\P{Blk=:=-Manichaean}');
Expect(1, 68351, '\p{Blk=manichaean}', "");
Expect(0, 68351, '\p{^Blk=manichaean}', "");
Expect(0, 68351, '\P{Blk=manichaean}', "");
Expect(1, 68351, '\P{^Blk=manichaean}', "");
Expect(0, 68352, '\p{Blk=manichaean}', "");
Expect(1, 68352, '\p{^Blk=manichaean}', "");
Expect(1, 68352, '\P{Blk=manichaean}', "");
Expect(0, 68352, '\P{^Blk=manichaean}', "");
Expect(1, 68351, '\p{Blk= 	MANICHAEAN}', "");
Expect(0, 68351, '\p{^Blk= 	MANICHAEAN}', "");
Expect(0, 68351, '\P{Blk= 	MANICHAEAN}', "");
Expect(1, 68351, '\P{^Blk= 	MANICHAEAN}', "");
Expect(0, 68352, '\p{Blk= 	MANICHAEAN}', "");
Expect(1, 68352, '\p{^Blk= 	MANICHAEAN}', "");
Expect(1, 68352, '\P{Blk= 	MANICHAEAN}', "");
Expect(0, 68352, '\P{^Blk= 	MANICHAEAN}', "");
Error('\p{Is_Block=	:=manichaean}');
Error('\P{Is_Block=	:=manichaean}');
Expect(1, 68351, '\p{Is_Block=manichaean}', "");
Expect(0, 68351, '\p{^Is_Block=manichaean}', "");
Expect(0, 68351, '\P{Is_Block=manichaean}', "");
Expect(1, 68351, '\P{^Is_Block=manichaean}', "");
Expect(0, 68352, '\p{Is_Block=manichaean}', "");
Expect(1, 68352, '\p{^Is_Block=manichaean}', "");
Expect(1, 68352, '\P{Is_Block=manichaean}', "");
Expect(0, 68352, '\P{^Is_Block=manichaean}', "");
Expect(1, 68351, '\p{Is_Block=		Manichaean}', "");
Expect(0, 68351, '\p{^Is_Block=		Manichaean}', "");
Expect(0, 68351, '\P{Is_Block=		Manichaean}', "");
Expect(1, 68351, '\P{^Is_Block=		Manichaean}', "");
Expect(0, 68352, '\p{Is_Block=		Manichaean}', "");
Expect(1, 68352, '\p{^Is_Block=		Manichaean}', "");
Expect(1, 68352, '\P{Is_Block=		Manichaean}', "");
Expect(0, 68352, '\P{^Is_Block=		Manichaean}', "");
Error('\p{Is_Blk= Manichaean/a/}');
Error('\P{Is_Blk= Manichaean/a/}');
Expect(1, 68351, '\p{Is_Blk=manichaean}', "");
Expect(0, 68351, '\p{^Is_Blk=manichaean}', "");
Expect(0, 68351, '\P{Is_Blk=manichaean}', "");
Expect(1, 68351, '\P{^Is_Blk=manichaean}', "");
Expect(0, 68352, '\p{Is_Blk=manichaean}', "");
Expect(1, 68352, '\p{^Is_Blk=manichaean}', "");
Expect(1, 68352, '\P{Is_Blk=manichaean}', "");
Expect(0, 68352, '\P{^Is_Blk=manichaean}', "");
Expect(1, 68351, '\p{Is_Blk=Manichaean}', "");
Expect(0, 68351, '\p{^Is_Blk=Manichaean}', "");
Expect(0, 68351, '\P{Is_Blk=Manichaean}', "");
Expect(1, 68351, '\P{^Is_Blk=Manichaean}', "");
Expect(0, 68352, '\p{Is_Blk=Manichaean}', "");
Expect(1, 68352, '\p{^Is_Blk=Manichaean}', "");
Expect(1, 68352, '\P{Is_Blk=Manichaean}', "");
Expect(0, 68352, '\P{^Is_Blk=Manichaean}', "");
Error('\p{Block=-:=Mathematical_ALPHANUMERIC_Symbols}');
Error('\P{Block=-:=Mathematical_ALPHANUMERIC_Symbols}');
Expect(1, 120831, '\p{Block: mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^Block: mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{Block: mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^Block: mathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\p{Block: mathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\p{^Block: mathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\P{Block: mathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\P{^Block: mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{Block= 	MATHEMATICAL_ALPHANUMERIC_SYMBOLS}', "");
Expect(0, 120831, '\p{^Block= 	MATHEMATICAL_ALPHANUMERIC_SYMBOLS}', "");
Expect(0, 120831, '\P{Block= 	MATHEMATICAL_ALPHANUMERIC_SYMBOLS}', "");
Expect(1, 120831, '\P{^Block= 	MATHEMATICAL_ALPHANUMERIC_SYMBOLS}', "");
Expect(0, 120832, '\p{Block= 	MATHEMATICAL_ALPHANUMERIC_SYMBOLS}', "");
Expect(1, 120832, '\p{^Block= 	MATHEMATICAL_ALPHANUMERIC_SYMBOLS}', "");
Expect(1, 120832, '\P{Block= 	MATHEMATICAL_ALPHANUMERIC_SYMBOLS}', "");
Expect(0, 120832, '\P{^Block= 	MATHEMATICAL_ALPHANUMERIC_SYMBOLS}', "");
Error('\p{Blk=/a/ 	math_Alphanum}');
Error('\P{Blk=/a/ 	math_Alphanum}');
Expect(1, 120831, '\p{Blk:   mathalphanum}', "");
Expect(0, 120831, '\p{^Blk:   mathalphanum}', "");
Expect(0, 120831, '\P{Blk:   mathalphanum}', "");
Expect(1, 120831, '\P{^Blk:   mathalphanum}', "");
Expect(0, 120832, '\p{Blk:   mathalphanum}', "");
Expect(1, 120832, '\p{^Blk:   mathalphanum}', "");
Expect(1, 120832, '\P{Blk:   mathalphanum}', "");
Expect(0, 120832, '\P{^Blk:   mathalphanum}', "");
Expect(1, 120831, '\p{Blk= Math_alphanum}', "");
Expect(0, 120831, '\p{^Blk= Math_alphanum}', "");
Expect(0, 120831, '\P{Blk= Math_alphanum}', "");
Expect(1, 120831, '\P{^Blk= Math_alphanum}', "");
Expect(0, 120832, '\p{Blk= Math_alphanum}', "");
Expect(1, 120832, '\p{^Blk= Math_alphanum}', "");
Expect(1, 120832, '\P{Blk= Math_alphanum}', "");
Expect(0, 120832, '\P{^Blk= Math_alphanum}', "");
Error('\p{Is_Block=_/a/Mathematical_Alphanumeric_symbols}');
Error('\P{Is_Block=_/a/Mathematical_Alphanumeric_symbols}');
Expect(1, 120831, '\p{Is_Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^Is_Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{Is_Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^Is_Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\p{Is_Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\p{^Is_Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\P{Is_Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\P{^Is_Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{Is_Block=		Mathematical_alphanumeric_symbols}', "");
Expect(0, 120831, '\p{^Is_Block=		Mathematical_alphanumeric_symbols}', "");
Expect(0, 120831, '\P{Is_Block=		Mathematical_alphanumeric_symbols}', "");
Expect(1, 120831, '\P{^Is_Block=		Mathematical_alphanumeric_symbols}', "");
Expect(0, 120832, '\p{Is_Block=		Mathematical_alphanumeric_symbols}', "");
Expect(1, 120832, '\p{^Is_Block=		Mathematical_alphanumeric_symbols}', "");
Expect(1, 120832, '\P{Is_Block=		Mathematical_alphanumeric_symbols}', "");
Expect(0, 120832, '\P{^Is_Block=		Mathematical_alphanumeric_symbols}', "");
Error('\p{Is_Blk=	:=Math_Alphanum}');
Error('\P{Is_Blk=	:=Math_Alphanum}');
Expect(1, 120831, '\p{Is_Blk=mathalphanum}', "");
Expect(0, 120831, '\p{^Is_Blk=mathalphanum}', "");
Expect(0, 120831, '\P{Is_Blk=mathalphanum}', "");
Expect(1, 120831, '\P{^Is_Blk=mathalphanum}', "");
Expect(0, 120832, '\p{Is_Blk=mathalphanum}', "");
Expect(1, 120832, '\p{^Is_Blk=mathalphanum}', "");
Expect(1, 120832, '\P{Is_Blk=mathalphanum}', "");
Expect(0, 120832, '\P{^Is_Blk=mathalphanum}', "");
Expect(1, 120831, '\p{Is_Blk=_	math_ALPHANUM}', "");
Expect(0, 120831, '\p{^Is_Blk=_	math_ALPHANUM}', "");
Expect(0, 120831, '\P{Is_Blk=_	math_ALPHANUM}', "");
Expect(1, 120831, '\P{^Is_Blk=_	math_ALPHANUM}', "");
Expect(0, 120832, '\p{Is_Blk=_	math_ALPHANUM}', "");
Expect(1, 120832, '\p{^Is_Blk=_	math_ALPHANUM}', "");
Expect(1, 120832, '\P{Is_Blk=_	math_ALPHANUM}', "");
Expect(0, 120832, '\P{^Is_Blk=_	math_ALPHANUM}', "");
Error('\p{Block= :=Mathematical_Operators}');
Error('\P{Block= :=Mathematical_Operators}');
Expect(1, 8959, '\p{Block=mathematicaloperators}', "");
Expect(0, 8959, '\p{^Block=mathematicaloperators}', "");
Expect(0, 8959, '\P{Block=mathematicaloperators}', "");
Expect(1, 8959, '\P{^Block=mathematicaloperators}', "");
Expect(0, 8960, '\p{Block=mathematicaloperators}', "");
Expect(1, 8960, '\p{^Block=mathematicaloperators}', "");
Expect(1, 8960, '\P{Block=mathematicaloperators}', "");
Expect(0, 8960, '\P{^Block=mathematicaloperators}', "");
Expect(1, 8959, '\p{Block=_mathematical_OPERATORS}', "");
Expect(0, 8959, '\p{^Block=_mathematical_OPERATORS}', "");
Expect(0, 8959, '\P{Block=_mathematical_OPERATORS}', "");
Expect(1, 8959, '\P{^Block=_mathematical_OPERATORS}', "");
Expect(0, 8960, '\p{Block=_mathematical_OPERATORS}', "");
Expect(1, 8960, '\p{^Block=_mathematical_OPERATORS}', "");
Expect(1, 8960, '\P{Block=_mathematical_OPERATORS}', "");
Expect(0, 8960, '\P{^Block=_mathematical_OPERATORS}', "");
Error('\p{Blk= /a/Math_Operators}');
Error('\P{Blk= /a/Math_Operators}');
Expect(1, 8959, '\p{Blk=mathoperators}', "");
Expect(0, 8959, '\p{^Blk=mathoperators}', "");
Expect(0, 8959, '\P{Blk=mathoperators}', "");
Expect(1, 8959, '\P{^Blk=mathoperators}', "");
Expect(0, 8960, '\p{Blk=mathoperators}', "");
Expect(1, 8960, '\p{^Blk=mathoperators}', "");
Expect(1, 8960, '\P{Blk=mathoperators}', "");
Expect(0, 8960, '\P{^Blk=mathoperators}', "");
Expect(1, 8959, '\p{Blk= math_OPERATORS}', "");
Expect(0, 8959, '\p{^Blk= math_OPERATORS}', "");
Expect(0, 8959, '\P{Blk= math_OPERATORS}', "");
Expect(1, 8959, '\P{^Blk= math_OPERATORS}', "");
Expect(0, 8960, '\p{Blk= math_OPERATORS}', "");
Expect(1, 8960, '\p{^Blk= math_OPERATORS}', "");
Expect(1, 8960, '\P{Blk= math_OPERATORS}', "");
Expect(0, 8960, '\P{^Blk= math_OPERATORS}', "");
Error('\p{Is_Block:   :=	_Mathematical_OPERATORS}');
Error('\P{Is_Block:   :=	_Mathematical_OPERATORS}');
Expect(1, 8959, '\p{Is_Block=mathematicaloperators}', "");
Expect(0, 8959, '\p{^Is_Block=mathematicaloperators}', "");
Expect(0, 8959, '\P{Is_Block=mathematicaloperators}', "");
Expect(1, 8959, '\P{^Is_Block=mathematicaloperators}', "");
Expect(0, 8960, '\p{Is_Block=mathematicaloperators}', "");
Expect(1, 8960, '\p{^Is_Block=mathematicaloperators}', "");
Expect(1, 8960, '\P{Is_Block=mathematicaloperators}', "");
Expect(0, 8960, '\P{^Is_Block=mathematicaloperators}', "");
Expect(1, 8959, '\p{Is_Block=_Mathematical_OPERATORS}', "");
Expect(0, 8959, '\p{^Is_Block=_Mathematical_OPERATORS}', "");
Expect(0, 8959, '\P{Is_Block=_Mathematical_OPERATORS}', "");
Expect(1, 8959, '\P{^Is_Block=_Mathematical_OPERATORS}', "");
Expect(0, 8960, '\p{Is_Block=_Mathematical_OPERATORS}', "");
Expect(1, 8960, '\p{^Is_Block=_Mathematical_OPERATORS}', "");
Expect(1, 8960, '\P{Is_Block=_Mathematical_OPERATORS}', "");
Expect(0, 8960, '\P{^Is_Block=_Mathematical_OPERATORS}', "");
Error('\p{Is_Blk:	:= 	math_OPERATORS}');
Error('\P{Is_Blk:	:= 	math_OPERATORS}');
Expect(1, 8959, '\p{Is_Blk=mathoperators}', "");
Expect(0, 8959, '\p{^Is_Blk=mathoperators}', "");
Expect(0, 8959, '\P{Is_Blk=mathoperators}', "");
Expect(1, 8959, '\P{^Is_Blk=mathoperators}', "");
Expect(0, 8960, '\p{Is_Blk=mathoperators}', "");
Expect(1, 8960, '\p{^Is_Blk=mathoperators}', "");
Expect(1, 8960, '\P{Is_Blk=mathoperators}', "");
Expect(0, 8960, '\P{^Is_Blk=mathoperators}', "");
Expect(1, 8959, '\p{Is_Blk:  MATH_Operators}', "");
Expect(0, 8959, '\p{^Is_Blk:  MATH_Operators}', "");
Expect(0, 8959, '\P{Is_Blk:  MATH_Operators}', "");
Expect(1, 8959, '\P{^Is_Blk:  MATH_Operators}', "");
Expect(0, 8960, '\p{Is_Blk:  MATH_Operators}', "");
Expect(1, 8960, '\p{^Is_Blk:  MATH_Operators}', "");
Expect(1, 8960, '\P{Is_Blk:  MATH_Operators}', "");
Expect(0, 8960, '\P{^Is_Blk:  MATH_Operators}', "");
Error('\p{Block=:=- meetei_Mayek}');
Error('\P{Block=:=- meetei_Mayek}');
Expect(1, 44031, '\p{Block=meeteimayek}', "");
Expect(0, 44031, '\p{^Block=meeteimayek}', "");
Expect(0, 44031, '\P{Block=meeteimayek}', "");
Expect(1, 44031, '\P{^Block=meeteimayek}', "");
Expect(0, 44032, '\p{Block=meeteimayek}', "");
Expect(1, 44032, '\p{^Block=meeteimayek}', "");
Expect(1, 44032, '\P{Block=meeteimayek}', "");
Expect(0, 44032, '\P{^Block=meeteimayek}', "");
Expect(1, 44031, '\p{Block=-	Meetei_mayek}', "");
Expect(0, 44031, '\p{^Block=-	Meetei_mayek}', "");
Expect(0, 44031, '\P{Block=-	Meetei_mayek}', "");
Expect(1, 44031, '\P{^Block=-	Meetei_mayek}', "");
Expect(0, 44032, '\p{Block=-	Meetei_mayek}', "");
Expect(1, 44032, '\p{^Block=-	Meetei_mayek}', "");
Expect(1, 44032, '\P{Block=-	Meetei_mayek}', "");
Expect(0, 44032, '\P{^Block=-	Meetei_mayek}', "");
Error('\p{Blk=/a/-Meetei_mayek}');
Error('\P{Blk=/a/-Meetei_mayek}');
Expect(1, 44031, '\p{Blk=meeteimayek}', "");
Expect(0, 44031, '\p{^Blk=meeteimayek}', "");
Expect(0, 44031, '\P{Blk=meeteimayek}', "");
Expect(1, 44031, '\P{^Blk=meeteimayek}', "");
Expect(0, 44032, '\p{Blk=meeteimayek}', "");
Expect(1, 44032, '\p{^Blk=meeteimayek}', "");
Expect(1, 44032, '\P{Blk=meeteimayek}', "");
Expect(0, 44032, '\P{^Blk=meeteimayek}', "");
Expect(1, 44031, '\p{Blk=	 Meetei_Mayek}', "");
Expect(0, 44031, '\p{^Blk=	 Meetei_Mayek}', "");
Expect(0, 44031, '\P{Blk=	 Meetei_Mayek}', "");
Expect(1, 44031, '\P{^Blk=	 Meetei_Mayek}', "");
Expect(0, 44032, '\p{Blk=	 Meetei_Mayek}', "");
Expect(1, 44032, '\p{^Blk=	 Meetei_Mayek}', "");
Expect(1, 44032, '\P{Blk=	 Meetei_Mayek}', "");
Expect(0, 44032, '\P{^Blk=	 Meetei_Mayek}', "");
Error('\p{Is_Block:--MEETEI_Mayek/a/}');
Error('\P{Is_Block:--MEETEI_Mayek/a/}');
Expect(1, 44031, '\p{Is_Block=meeteimayek}', "");
Expect(0, 44031, '\p{^Is_Block=meeteimayek}', "");
Expect(0, 44031, '\P{Is_Block=meeteimayek}', "");
Expect(1, 44031, '\P{^Is_Block=meeteimayek}', "");
Expect(0, 44032, '\p{Is_Block=meeteimayek}', "");
Expect(1, 44032, '\p{^Is_Block=meeteimayek}', "");
Expect(1, 44032, '\P{Is_Block=meeteimayek}', "");
Expect(0, 44032, '\P{^Is_Block=meeteimayek}', "");
Expect(1, 44031, '\p{Is_Block= Meetei_MAYEK}', "");
Expect(0, 44031, '\p{^Is_Block= Meetei_MAYEK}', "");
Expect(0, 44031, '\P{Is_Block= Meetei_MAYEK}', "");
Expect(1, 44031, '\P{^Is_Block= Meetei_MAYEK}', "");
Expect(0, 44032, '\p{Is_Block= Meetei_MAYEK}', "");
Expect(1, 44032, '\p{^Is_Block= Meetei_MAYEK}', "");
Expect(1, 44032, '\P{Is_Block= Meetei_MAYEK}', "");
Expect(0, 44032, '\P{^Is_Block= Meetei_MAYEK}', "");
Error('\p{Is_Blk=:=Meetei_Mayek}');
Error('\P{Is_Blk=:=Meetei_Mayek}');
Expect(1, 44031, '\p{Is_Blk:	meeteimayek}', "");
Expect(0, 44031, '\p{^Is_Blk:	meeteimayek}', "");
Expect(0, 44031, '\P{Is_Blk:	meeteimayek}', "");
Expect(1, 44031, '\P{^Is_Blk:	meeteimayek}', "");
Expect(0, 44032, '\p{Is_Blk:	meeteimayek}', "");
Expect(1, 44032, '\p{^Is_Blk:	meeteimayek}', "");
Expect(1, 44032, '\P{Is_Blk:	meeteimayek}', "");
Expect(0, 44032, '\P{^Is_Blk:	meeteimayek}', "");
Expect(1, 44031, '\p{Is_Blk=	-meetei_Mayek}', "");
Expect(0, 44031, '\p{^Is_Blk=	-meetei_Mayek}', "");
Expect(0, 44031, '\P{Is_Blk=	-meetei_Mayek}', "");
Expect(1, 44031, '\P{^Is_Blk=	-meetei_Mayek}', "");
Expect(0, 44032, '\p{Is_Blk=	-meetei_Mayek}', "");
Expect(1, 44032, '\p{^Is_Blk=	-meetei_Mayek}', "");
Expect(1, 44032, '\P{Is_Blk=	-meetei_Mayek}', "");
Expect(0, 44032, '\P{^Is_Blk=	-meetei_Mayek}', "");
Error('\p{Block=:=-meetei_Mayek_Extensions}');
Error('\P{Block=:=-meetei_Mayek_Extensions}');
Expect(1, 43775, '\p{Block=meeteimayekextensions}', "");
Expect(0, 43775, '\p{^Block=meeteimayekextensions}', "");
Expect(0, 43775, '\P{Block=meeteimayekextensions}', "");
Expect(1, 43775, '\P{^Block=meeteimayekextensions}', "");
Expect(0, 43776, '\p{Block=meeteimayekextensions}', "");
Expect(1, 43776, '\p{^Block=meeteimayekextensions}', "");
Expect(1, 43776, '\P{Block=meeteimayekextensions}', "");
Expect(0, 43776, '\P{^Block=meeteimayekextensions}', "");
Expect(1, 43775, '\p{Block=Meetei_Mayek_EXTENSIONS}', "");
Expect(0, 43775, '\p{^Block=Meetei_Mayek_EXTENSIONS}', "");
Expect(0, 43775, '\P{Block=Meetei_Mayek_EXTENSIONS}', "");
Expect(1, 43775, '\P{^Block=Meetei_Mayek_EXTENSIONS}', "");
Expect(0, 43776, '\p{Block=Meetei_Mayek_EXTENSIONS}', "");
Expect(1, 43776, '\p{^Block=Meetei_Mayek_EXTENSIONS}', "");
Expect(1, 43776, '\P{Block=Meetei_Mayek_EXTENSIONS}', "");
Expect(0, 43776, '\P{^Block=Meetei_Mayek_EXTENSIONS}', "");
Error('\p{Blk=:=Meetei_Mayek_ext}');
Error('\P{Blk=:=Meetei_Mayek_ext}');
Expect(1, 43775, '\p{Blk=meeteimayekext}', "");
Expect(0, 43775, '\p{^Blk=meeteimayekext}', "");
Expect(0, 43775, '\P{Blk=meeteimayekext}', "");
Expect(1, 43775, '\P{^Blk=meeteimayekext}', "");
Expect(0, 43776, '\p{Blk=meeteimayekext}', "");
Expect(1, 43776, '\p{^Blk=meeteimayekext}', "");
Expect(1, 43776, '\P{Blk=meeteimayekext}', "");
Expect(0, 43776, '\P{^Blk=meeteimayekext}', "");
Expect(1, 43775, '\p{Blk= meetei_mayek_EXT}', "");
Expect(0, 43775, '\p{^Blk= meetei_mayek_EXT}', "");
Expect(0, 43775, '\P{Blk= meetei_mayek_EXT}', "");
Expect(1, 43775, '\P{^Blk= meetei_mayek_EXT}', "");
Expect(0, 43776, '\p{Blk= meetei_mayek_EXT}', "");
Expect(1, 43776, '\p{^Blk= meetei_mayek_EXT}', "");
Expect(1, 43776, '\P{Blk= meetei_mayek_EXT}', "");
Expect(0, 43776, '\P{^Blk= meetei_mayek_EXT}', "");
Error('\p{Is_Block=- Meetei_Mayek_Extensions:=}');
Error('\P{Is_Block=- Meetei_Mayek_Extensions:=}');
Expect(1, 43775, '\p{Is_Block: meeteimayekextensions}', "");
Expect(0, 43775, '\p{^Is_Block: meeteimayekextensions}', "");
Expect(0, 43775, '\P{Is_Block: meeteimayekextensions}', "");
Expect(1, 43775, '\P{^Is_Block: meeteimayekextensions}', "");
Expect(0, 43776, '\p{Is_Block: meeteimayekextensions}', "");
Expect(1, 43776, '\p{^Is_Block: meeteimayekextensions}', "");
Expect(1, 43776, '\P{Is_Block: meeteimayekextensions}', "");
Expect(0, 43776, '\P{^Is_Block: meeteimayekextensions}', "");
Expect(1, 43775, '\p{Is_Block=		meetei_mayek_Extensions}', "");
Expect(0, 43775, '\p{^Is_Block=		meetei_mayek_Extensions}', "");
Expect(0, 43775, '\P{Is_Block=		meetei_mayek_Extensions}', "");
Expect(1, 43775, '\P{^Is_Block=		meetei_mayek_Extensions}', "");
Expect(0, 43776, '\p{Is_Block=		meetei_mayek_Extensions}', "");
Expect(1, 43776, '\p{^Is_Block=		meetei_mayek_Extensions}', "");
Expect(1, 43776, '\P{Is_Block=		meetei_mayek_Extensions}', "");
Expect(0, 43776, '\P{^Is_Block=		meetei_mayek_Extensions}', "");
Error('\p{Is_Blk=/a/__Meetei_mayek_Ext}');
Error('\P{Is_Blk=/a/__Meetei_mayek_Ext}');
Expect(1, 43775, '\p{Is_Blk=meeteimayekext}', "");
Expect(0, 43775, '\p{^Is_Blk=meeteimayekext}', "");
Expect(0, 43775, '\P{Is_Blk=meeteimayekext}', "");
Expect(1, 43775, '\P{^Is_Blk=meeteimayekext}', "");
Expect(0, 43776, '\p{Is_Blk=meeteimayekext}', "");
Expect(1, 43776, '\p{^Is_Blk=meeteimayekext}', "");
Expect(1, 43776, '\P{Is_Blk=meeteimayekext}', "");
Expect(0, 43776, '\P{^Is_Blk=meeteimayekext}', "");
Expect(1, 43775, '\p{Is_Blk=_	meetei_Mayek_Ext}', "");
Expect(0, 43775, '\p{^Is_Blk=_	meetei_Mayek_Ext}', "");
Expect(0, 43775, '\P{Is_Blk=_	meetei_Mayek_Ext}', "");
Expect(1, 43775, '\P{^Is_Blk=_	meetei_Mayek_Ext}', "");
Expect(0, 43776, '\p{Is_Blk=_	meetei_Mayek_Ext}', "");
Expect(1, 43776, '\p{^Is_Blk=_	meetei_Mayek_Ext}', "");
Expect(1, 43776, '\P{Is_Blk=_	meetei_Mayek_Ext}', "");
Expect(0, 43776, '\P{^Is_Blk=_	meetei_Mayek_Ext}', "");
Error('\p{Block= 	MENDE_KIKAKUI/a/}');
Error('\P{Block= 	MENDE_KIKAKUI/a/}');
Expect(1, 125151, '\p{Block=mendekikakui}', "");
Expect(0, 125151, '\p{^Block=mendekikakui}', "");
Expect(0, 125151, '\P{Block=mendekikakui}', "");
Expect(1, 125151, '\P{^Block=mendekikakui}', "");
Expect(0, 125152, '\p{Block=mendekikakui}', "");
Expect(1, 125152, '\p{^Block=mendekikakui}', "");
Expect(1, 125152, '\P{Block=mendekikakui}', "");
Expect(0, 125152, '\P{^Block=mendekikakui}', "");
Expect(1, 125151, '\p{Block=Mende_kikakui}', "");
Expect(0, 125151, '\p{^Block=Mende_kikakui}', "");
Expect(0, 125151, '\P{Block=Mende_kikakui}', "");
Expect(1, 125151, '\P{^Block=Mende_kikakui}', "");
Expect(0, 125152, '\p{Block=Mende_kikakui}', "");
Expect(1, 125152, '\p{^Block=Mende_kikakui}', "");
Expect(1, 125152, '\P{Block=Mende_kikakui}', "");
Expect(0, 125152, '\P{^Block=Mende_kikakui}', "");
Error('\p{Blk=/a/Mende_Kikakui}');
Error('\P{Blk=/a/Mende_Kikakui}');
Expect(1, 125151, '\p{Blk=mendekikakui}', "");
Expect(0, 125151, '\p{^Blk=mendekikakui}', "");
Expect(0, 125151, '\P{Blk=mendekikakui}', "");
Expect(1, 125151, '\P{^Blk=mendekikakui}', "");
Expect(0, 125152, '\p{Blk=mendekikakui}', "");
Expect(1, 125152, '\p{^Blk=mendekikakui}', "");
Expect(1, 125152, '\P{Blk=mendekikakui}', "");
Expect(0, 125152, '\P{^Blk=mendekikakui}', "");
Expect(1, 125151, '\p{Blk=_Mende_KIKAKUI}', "");
Expect(0, 125151, '\p{^Blk=_Mende_KIKAKUI}', "");
Expect(0, 125151, '\P{Blk=_Mende_KIKAKUI}', "");
Expect(1, 125151, '\P{^Blk=_Mende_KIKAKUI}', "");
Expect(0, 125152, '\p{Blk=_Mende_KIKAKUI}', "");
Expect(1, 125152, '\p{^Blk=_Mende_KIKAKUI}', "");
Expect(1, 125152, '\P{Blk=_Mende_KIKAKUI}', "");
Expect(0, 125152, '\P{^Blk=_Mende_KIKAKUI}', "");
Error('\p{Is_Block:	/a/Mende_KIKAKUI}');
Error('\P{Is_Block:	/a/Mende_KIKAKUI}');
Expect(1, 125151, '\p{Is_Block=mendekikakui}', "");
Expect(0, 125151, '\p{^Is_Block=mendekikakui}', "");
Expect(0, 125151, '\P{Is_Block=mendekikakui}', "");
Expect(1, 125151, '\P{^Is_Block=mendekikakui}', "");
Expect(0, 125152, '\p{Is_Block=mendekikakui}', "");
Expect(1, 125152, '\p{^Is_Block=mendekikakui}', "");
Expect(1, 125152, '\P{Is_Block=mendekikakui}', "");
Expect(0, 125152, '\P{^Is_Block=mendekikakui}', "");
Expect(1, 125151, '\p{Is_Block=-_Mende_Kikakui}', "");
Expect(0, 125151, '\p{^Is_Block=-_Mende_Kikakui}', "");
Expect(0, 125151, '\P{Is_Block=-_Mende_Kikakui}', "");
Expect(1, 125151, '\P{^Is_Block=-_Mende_Kikakui}', "");
Expect(0, 125152, '\p{Is_Block=-_Mende_Kikakui}', "");
Expect(1, 125152, '\p{^Is_Block=-_Mende_Kikakui}', "");
Expect(1, 125152, '\P{Is_Block=-_Mende_Kikakui}', "");
Expect(0, 125152, '\P{^Is_Block=-_Mende_Kikakui}', "");
Error('\p{Is_Blk= :=MENDE_KIKAKUI}');
Error('\P{Is_Blk= :=MENDE_KIKAKUI}');
Expect(1, 125151, '\p{Is_Blk=mendekikakui}', "");
Expect(0, 125151, '\p{^Is_Blk=mendekikakui}', "");
Expect(0, 125151, '\P{Is_Blk=mendekikakui}', "");
Expect(1, 125151, '\P{^Is_Blk=mendekikakui}', "");
Expect(0, 125152, '\p{Is_Blk=mendekikakui}', "");
Expect(1, 125152, '\p{^Is_Blk=mendekikakui}', "");
Expect(1, 125152, '\P{Is_Blk=mendekikakui}', "");
Expect(0, 125152, '\P{^Is_Blk=mendekikakui}', "");
Expect(1, 125151, '\p{Is_Blk=- Mende_kikakui}', "");
Expect(0, 125151, '\p{^Is_Blk=- Mende_kikakui}', "");
Expect(0, 125151, '\P{Is_Blk=- Mende_kikakui}', "");
Expect(1, 125151, '\P{^Is_Blk=- Mende_kikakui}', "");
Expect(0, 125152, '\p{Is_Blk=- Mende_kikakui}', "");
Expect(1, 125152, '\p{^Is_Blk=- Mende_kikakui}', "");
Expect(1, 125152, '\P{Is_Blk=- Mende_kikakui}', "");
Expect(0, 125152, '\P{^Is_Blk=- Mende_kikakui}', "");
Error('\p{Block=_/a/Meroitic_cursive}');
Error('\P{Block=_/a/Meroitic_cursive}');
Expect(1, 68095, '\p{Block:   meroiticcursive}', "");
Expect(0, 68095, '\p{^Block:   meroiticcursive}', "");
Expect(0, 68095, '\P{Block:   meroiticcursive}', "");
Expect(1, 68095, '\P{^Block:   meroiticcursive}', "");
Expect(0, 68096, '\p{Block:   meroiticcursive}', "");
Expect(1, 68096, '\p{^Block:   meroiticcursive}', "");
Expect(1, 68096, '\P{Block:   meroiticcursive}', "");
Expect(0, 68096, '\P{^Block:   meroiticcursive}', "");
Expect(1, 68095, '\p{Block=-Meroitic_Cursive}', "");
Expect(0, 68095, '\p{^Block=-Meroitic_Cursive}', "");
Expect(0, 68095, '\P{Block=-Meroitic_Cursive}', "");
Expect(1, 68095, '\P{^Block=-Meroitic_Cursive}', "");
Expect(0, 68096, '\p{Block=-Meroitic_Cursive}', "");
Expect(1, 68096, '\p{^Block=-Meroitic_Cursive}', "");
Expect(1, 68096, '\P{Block=-Meroitic_Cursive}', "");
Expect(0, 68096, '\P{^Block=-Meroitic_Cursive}', "");
Error('\p{Blk=-/a/meroitic_cursive}');
Error('\P{Blk=-/a/meroitic_cursive}');
Expect(1, 68095, '\p{Blk=meroiticcursive}', "");
Expect(0, 68095, '\p{^Blk=meroiticcursive}', "");
Expect(0, 68095, '\P{Blk=meroiticcursive}', "");
Expect(1, 68095, '\P{^Blk=meroiticcursive}', "");
Expect(0, 68096, '\p{Blk=meroiticcursive}', "");
Expect(1, 68096, '\p{^Blk=meroiticcursive}', "");
Expect(1, 68096, '\P{Blk=meroiticcursive}', "");
Expect(0, 68096, '\P{^Blk=meroiticcursive}', "");
Expect(1, 68095, '\p{Blk=_ Meroitic_Cursive}', "");
Expect(0, 68095, '\p{^Blk=_ Meroitic_Cursive}', "");
Expect(0, 68095, '\P{Blk=_ Meroitic_Cursive}', "");
Expect(1, 68095, '\P{^Blk=_ Meroitic_Cursive}', "");
Expect(0, 68096, '\p{Blk=_ Meroitic_Cursive}', "");
Expect(1, 68096, '\p{^Blk=_ Meroitic_Cursive}', "");
Expect(1, 68096, '\P{Blk=_ Meroitic_Cursive}', "");
Expect(0, 68096, '\P{^Blk=_ Meroitic_Cursive}', "");
Error('\p{Is_Block=:= meroitic_CURSIVE}');
Error('\P{Is_Block=:= meroitic_CURSIVE}');
Expect(1, 68095, '\p{Is_Block=meroiticcursive}', "");
Expect(0, 68095, '\p{^Is_Block=meroiticcursive}', "");
Expect(0, 68095, '\P{Is_Block=meroiticcursive}', "");
Expect(1, 68095, '\P{^Is_Block=meroiticcursive}', "");
Expect(0, 68096, '\p{Is_Block=meroiticcursive}', "");
Expect(1, 68096, '\p{^Is_Block=meroiticcursive}', "");
Expect(1, 68096, '\P{Is_Block=meroiticcursive}', "");
Expect(0, 68096, '\P{^Is_Block=meroiticcursive}', "");
Expect(1, 68095, '\p{Is_Block=-Meroitic_cursive}', "");
Expect(0, 68095, '\p{^Is_Block=-Meroitic_cursive}', "");
Expect(0, 68095, '\P{Is_Block=-Meroitic_cursive}', "");
Expect(1, 68095, '\P{^Is_Block=-Meroitic_cursive}', "");
Expect(0, 68096, '\p{Is_Block=-Meroitic_cursive}', "");
Expect(1, 68096, '\p{^Is_Block=-Meroitic_cursive}', "");
Expect(1, 68096, '\P{Is_Block=-Meroitic_cursive}', "");
Expect(0, 68096, '\P{^Is_Block=-Meroitic_cursive}', "");
Error('\p{Is_Blk=		Meroitic_Cursive:=}');
Error('\P{Is_Blk=		Meroitic_Cursive:=}');
Expect(1, 68095, '\p{Is_Blk=meroiticcursive}', "");
Expect(0, 68095, '\p{^Is_Blk=meroiticcursive}', "");
Expect(0, 68095, '\P{Is_Blk=meroiticcursive}', "");
Expect(1, 68095, '\P{^Is_Blk=meroiticcursive}', "");
Expect(0, 68096, '\p{Is_Blk=meroiticcursive}', "");
Expect(1, 68096, '\p{^Is_Blk=meroiticcursive}', "");
Expect(1, 68096, '\P{Is_Blk=meroiticcursive}', "");
Expect(0, 68096, '\P{^Is_Blk=meroiticcursive}', "");
Expect(1, 68095, '\p{Is_Blk: 	meroitic_cursive}', "");
Expect(0, 68095, '\p{^Is_Blk: 	meroitic_cursive}', "");
Expect(0, 68095, '\P{Is_Blk: 	meroitic_cursive}', "");
Expect(1, 68095, '\P{^Is_Blk: 	meroitic_cursive}', "");
Expect(0, 68096, '\p{Is_Blk: 	meroitic_cursive}', "");
Expect(1, 68096, '\p{^Is_Blk: 	meroitic_cursive}', "");
Expect(1, 68096, '\P{Is_Blk: 	meroitic_cursive}', "");
Expect(0, 68096, '\P{^Is_Blk: 	meroitic_cursive}', "");
Error('\p{Block=/a/ -Meroitic_HIEROGLYPHS}');
Error('\P{Block=/a/ -Meroitic_HIEROGLYPHS}');
Expect(1, 67999, '\p{Block=meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Block=meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Block=meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Block=meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Block=meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Block=meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Block=meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Block=meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Block:   _Meroitic_HIEROGLYPHS}', "");
Expect(0, 67999, '\p{^Block:   _Meroitic_HIEROGLYPHS}', "");
Expect(0, 67999, '\P{Block:   _Meroitic_HIEROGLYPHS}', "");
Expect(1, 67999, '\P{^Block:   _Meroitic_HIEROGLYPHS}', "");
Expect(0, 68000, '\p{Block:   _Meroitic_HIEROGLYPHS}', "");
Expect(1, 68000, '\p{^Block:   _Meroitic_HIEROGLYPHS}', "");
Expect(1, 68000, '\P{Block:   _Meroitic_HIEROGLYPHS}', "");
Expect(0, 68000, '\P{^Block:   _Meroitic_HIEROGLYPHS}', "");
Error('\p{Blk=-Meroitic_hieroglyphs/a/}');
Error('\P{Blk=-Meroitic_hieroglyphs/a/}');
Expect(1, 67999, '\p{Blk=meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Blk=meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Blk=meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Blk=meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Blk=meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Blk=meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Blk=meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Blk=meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Blk= 	MEROITIC_hieroglyphs}', "");
Expect(0, 67999, '\p{^Blk= 	MEROITIC_hieroglyphs}', "");
Expect(0, 67999, '\P{Blk= 	MEROITIC_hieroglyphs}', "");
Expect(1, 67999, '\P{^Blk= 	MEROITIC_hieroglyphs}', "");
Expect(0, 68000, '\p{Blk= 	MEROITIC_hieroglyphs}', "");
Expect(1, 68000, '\p{^Blk= 	MEROITIC_hieroglyphs}', "");
Expect(1, 68000, '\P{Blk= 	MEROITIC_hieroglyphs}', "");
Expect(0, 68000, '\P{^Blk= 	MEROITIC_hieroglyphs}', "");
Error('\p{Is_Block=-meroitic_Hieroglyphs/a/}');
Error('\P{Is_Block=-meroitic_Hieroglyphs/a/}');
Expect(1, 67999, '\p{Is_Block=meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Is_Block=meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Is_Block=meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Is_Block=meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Is_Block=meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Is_Block=meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Is_Block=meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Is_Block=meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Is_Block=-Meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\p{^Is_Block=-Meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\P{Is_Block=-Meroitic_Hieroglyphs}', "");
Expect(1, 67999, '\P{^Is_Block=-Meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\p{Is_Block=-Meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\p{^Is_Block=-Meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\P{Is_Block=-Meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\P{^Is_Block=-Meroitic_Hieroglyphs}', "");
Error('\p{Is_Blk= 	meroitic_HIEROGLYPHS:=}');
Error('\P{Is_Blk= 	meroitic_HIEROGLYPHS:=}');
Expect(1, 67999, '\p{Is_Blk=meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Is_Blk=meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Is_Blk=meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Is_Blk=meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Is_Blk=meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Is_Blk=meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Is_Blk=meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Is_Blk=meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Is_Blk= 	Meroitic_HIEROGLYPHS}', "");
Expect(0, 67999, '\p{^Is_Blk= 	Meroitic_HIEROGLYPHS}', "");
Expect(0, 67999, '\P{Is_Blk= 	Meroitic_HIEROGLYPHS}', "");
Expect(1, 67999, '\P{^Is_Blk= 	Meroitic_HIEROGLYPHS}', "");
Expect(0, 68000, '\p{Is_Blk= 	Meroitic_HIEROGLYPHS}', "");
Expect(1, 68000, '\p{^Is_Blk= 	Meroitic_HIEROGLYPHS}', "");
Expect(1, 68000, '\P{Is_Blk= 	Meroitic_HIEROGLYPHS}', "");
Expect(0, 68000, '\P{^Is_Blk= 	Meroitic_HIEROGLYPHS}', "");
Error('\p{Block=_Miao:=}');
Error('\P{Block=_Miao:=}');
Expect(1, 94111, '\p{Block=miao}', "");
Expect(0, 94111, '\p{^Block=miao}', "");
Expect(0, 94111, '\P{Block=miao}', "");
Expect(1, 94111, '\P{^Block=miao}', "");
Expect(0, 94112, '\p{Block=miao}', "");
Expect(1, 94112, '\p{^Block=miao}', "");
Expect(1, 94112, '\P{Block=miao}', "");
Expect(0, 94112, '\P{^Block=miao}', "");
Expect(1, 94111, '\p{Block= 	Miao}', "");
Expect(0, 94111, '\p{^Block= 	Miao}', "");
Expect(0, 94111, '\P{Block= 	Miao}', "");
Expect(1, 94111, '\P{^Block= 	Miao}', "");
Expect(0, 94112, '\p{Block= 	Miao}', "");
Expect(1, 94112, '\p{^Block= 	Miao}', "");
Expect(1, 94112, '\P{Block= 	Miao}', "");
Expect(0, 94112, '\P{^Block= 	Miao}', "");
Error('\p{Blk=	/a/Miao}');
Error('\P{Blk=	/a/Miao}');
Expect(1, 94111, '\p{Blk=miao}', "");
Expect(0, 94111, '\p{^Blk=miao}', "");
Expect(0, 94111, '\P{Blk=miao}', "");
Expect(1, 94111, '\P{^Blk=miao}', "");
Expect(0, 94112, '\p{Blk=miao}', "");
Expect(1, 94112, '\p{^Blk=miao}', "");
Expect(1, 94112, '\P{Blk=miao}', "");
Expect(0, 94112, '\P{^Blk=miao}', "");
Expect(1, 94111, '\p{Blk=	-Miao}', "");
Expect(0, 94111, '\p{^Blk=	-Miao}', "");
Expect(0, 94111, '\P{Blk=	-Miao}', "");
Expect(1, 94111, '\P{^Blk=	-Miao}', "");
Expect(0, 94112, '\p{Blk=	-Miao}', "");
Expect(1, 94112, '\p{^Blk=	-Miao}', "");
Expect(1, 94112, '\P{Blk=	-Miao}', "");
Expect(0, 94112, '\P{^Blk=	-Miao}', "");
Error('\p{Is_Block=	-MIAO/a/}');
Error('\P{Is_Block=	-MIAO/a/}');
Expect(1, 94111, '\p{Is_Block=miao}', "");
Expect(0, 94111, '\p{^Is_Block=miao}', "");
Expect(0, 94111, '\P{Is_Block=miao}', "");
Expect(1, 94111, '\P{^Is_Block=miao}', "");
Expect(0, 94112, '\p{Is_Block=miao}', "");
Expect(1, 94112, '\p{^Is_Block=miao}', "");
Expect(1, 94112, '\P{Is_Block=miao}', "");
Expect(0, 94112, '\P{^Is_Block=miao}', "");
Expect(1, 94111, '\p{Is_Block=-Miao}', "");
Expect(0, 94111, '\p{^Is_Block=-Miao}', "");
Expect(0, 94111, '\P{Is_Block=-Miao}', "");
Expect(1, 94111, '\P{^Is_Block=-Miao}', "");
Expect(0, 94112, '\p{Is_Block=-Miao}', "");
Expect(1, 94112, '\p{^Is_Block=-Miao}', "");
Expect(1, 94112, '\P{Is_Block=-Miao}', "");
Expect(0, 94112, '\P{^Is_Block=-Miao}', "");
Error('\p{Is_Blk=-/a/MIAO}');
Error('\P{Is_Blk=-/a/MIAO}');
Expect(1, 94111, '\p{Is_Blk=miao}', "");
Expect(0, 94111, '\p{^Is_Blk=miao}', "");
Expect(0, 94111, '\P{Is_Blk=miao}', "");
Expect(1, 94111, '\P{^Is_Blk=miao}', "");
Expect(0, 94112, '\p{Is_Blk=miao}', "");
Expect(1, 94112, '\p{^Is_Blk=miao}', "");
Expect(1, 94112, '\P{Is_Blk=miao}', "");
Expect(0, 94112, '\P{^Is_Blk=miao}', "");
Expect(1, 94111, '\p{Is_Blk:   _-miao}', "");
Expect(0, 94111, '\p{^Is_Blk:   _-miao}', "");
Expect(0, 94111, '\P{Is_Blk:   _-miao}', "");
Expect(1, 94111, '\P{^Is_Blk:   _-miao}', "");
Expect(0, 94112, '\p{Is_Blk:   _-miao}', "");
Expect(1, 94112, '\p{^Is_Blk:   _-miao}', "");
Expect(1, 94112, '\P{Is_Blk:   _-miao}', "");
Expect(0, 94112, '\P{^Is_Blk:   _-miao}', "");
Error('\p{Block:		:=MISCELLANEOUS_SYMBOLS_And_Arrows}');
Error('\P{Block:		:=MISCELLANEOUS_SYMBOLS_And_Arrows}');
Expect(1, 11263, '\p{Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\p{Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\p{^Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\P{Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\P{^Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{Block= MISCELLANEOUS_Symbols_and_Arrows}', "");
Expect(0, 11263, '\p{^Block= MISCELLANEOUS_Symbols_and_Arrows}', "");
Expect(0, 11263, '\P{Block= MISCELLANEOUS_Symbols_and_Arrows}', "");
Expect(1, 11263, '\P{^Block= MISCELLANEOUS_Symbols_and_Arrows}', "");
Expect(0, 11264, '\p{Block= MISCELLANEOUS_Symbols_and_Arrows}', "");
Expect(1, 11264, '\p{^Block= MISCELLANEOUS_Symbols_and_Arrows}', "");
Expect(1, 11264, '\P{Block= MISCELLANEOUS_Symbols_and_Arrows}', "");
Expect(0, 11264, '\P{^Block= MISCELLANEOUS_Symbols_and_Arrows}', "");
Error('\p{Blk=/a/-MISC_Arrows}');
Error('\P{Blk=/a/-MISC_Arrows}');
Expect(1, 11263, '\p{Blk=miscarrows}', "");
Expect(0, 11263, '\p{^Blk=miscarrows}', "");
Expect(0, 11263, '\P{Blk=miscarrows}', "");
Expect(1, 11263, '\P{^Blk=miscarrows}', "");
Expect(0, 11264, '\p{Blk=miscarrows}', "");
Expect(1, 11264, '\p{^Blk=miscarrows}', "");
Expect(1, 11264, '\P{Blk=miscarrows}', "");
Expect(0, 11264, '\P{^Blk=miscarrows}', "");
Expect(1, 11263, '\p{Blk=	-Misc_Arrows}', "");
Expect(0, 11263, '\p{^Blk=	-Misc_Arrows}', "");
Expect(0, 11263, '\P{Blk=	-Misc_Arrows}', "");
Expect(1, 11263, '\P{^Blk=	-Misc_Arrows}', "");
Expect(0, 11264, '\p{Blk=	-Misc_Arrows}', "");
Expect(1, 11264, '\p{^Blk=	-Misc_Arrows}', "");
Expect(1, 11264, '\P{Blk=	-Misc_Arrows}', "");
Expect(0, 11264, '\P{^Blk=	-Misc_Arrows}', "");
Error('\p{Is_Block=/a/ Miscellaneous_symbols_And_Arrows}');
Error('\P{Is_Block=/a/ Miscellaneous_symbols_And_Arrows}');
Expect(1, 11263, '\p{Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\p{Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\p{^Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\P{Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\P{^Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{Is_Block=-MISCELLANEOUS_symbols_and_Arrows}', "");
Expect(0, 11263, '\p{^Is_Block=-MISCELLANEOUS_symbols_and_Arrows}', "");
Expect(0, 11263, '\P{Is_Block=-MISCELLANEOUS_symbols_and_Arrows}', "");
Expect(1, 11263, '\P{^Is_Block=-MISCELLANEOUS_symbols_and_Arrows}', "");
Expect(0, 11264, '\p{Is_Block=-MISCELLANEOUS_symbols_and_Arrows}', "");
Expect(1, 11264, '\p{^Is_Block=-MISCELLANEOUS_symbols_and_Arrows}', "");
Expect(1, 11264, '\P{Is_Block=-MISCELLANEOUS_symbols_and_Arrows}', "");
Expect(0, 11264, '\P{^Is_Block=-MISCELLANEOUS_symbols_and_Arrows}', "");
Error('\p{Is_Blk=_/a/MISC_arrows}');
Error('\P{Is_Blk=_/a/MISC_arrows}');
Expect(1, 11263, '\p{Is_Blk=miscarrows}', "");
Expect(0, 11263, '\p{^Is_Blk=miscarrows}', "");
Expect(0, 11263, '\P{Is_Blk=miscarrows}', "");
Expect(1, 11263, '\P{^Is_Blk=miscarrows}', "");
Expect(0, 11264, '\p{Is_Blk=miscarrows}', "");
Expect(1, 11264, '\p{^Is_Blk=miscarrows}', "");
Expect(1, 11264, '\P{Is_Blk=miscarrows}', "");
Expect(0, 11264, '\P{^Is_Blk=miscarrows}', "");
Expect(1, 11263, '\p{Is_Blk= -MISC_Arrows}', "");
Expect(0, 11263, '\p{^Is_Blk= -MISC_Arrows}', "");
Expect(0, 11263, '\P{Is_Blk= -MISC_Arrows}', "");
Expect(1, 11263, '\P{^Is_Blk= -MISC_Arrows}', "");
Expect(0, 11264, '\p{Is_Blk= -MISC_Arrows}', "");
Expect(1, 11264, '\p{^Is_Blk= -MISC_Arrows}', "");
Expect(1, 11264, '\P{Is_Blk= -MISC_Arrows}', "");
Expect(0, 11264, '\P{^Is_Blk= -MISC_Arrows}', "");
Error('\p{Block=:=_-Miscellaneous_mathematical_Symbols_A}');
Error('\P{Block=:=_-Miscellaneous_mathematical_Symbols_A}');
Expect(1, 10223, '\p{Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\p{Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\p{^Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\P{Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\P{^Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{Block=-	miscellaneous_MATHEMATICAL_symbols_a}', "");
Expect(0, 10223, '\p{^Block=-	miscellaneous_MATHEMATICAL_symbols_a}', "");
Expect(0, 10223, '\P{Block=-	miscellaneous_MATHEMATICAL_symbols_a}', "");
Expect(1, 10223, '\P{^Block=-	miscellaneous_MATHEMATICAL_symbols_a}', "");
Expect(0, 10224, '\p{Block=-	miscellaneous_MATHEMATICAL_symbols_a}', "");
Expect(1, 10224, '\p{^Block=-	miscellaneous_MATHEMATICAL_symbols_a}', "");
Expect(1, 10224, '\P{Block=-	miscellaneous_MATHEMATICAL_symbols_a}', "");
Expect(0, 10224, '\P{^Block=-	miscellaneous_MATHEMATICAL_symbols_a}', "");
Error('\p{Blk=/a/	misc_MATH_Symbols_a}');
Error('\P{Blk=/a/	misc_MATH_Symbols_a}');
Expect(1, 10223, '\p{Blk=miscmathsymbolsa}', "");
Expect(0, 10223, '\p{^Blk=miscmathsymbolsa}', "");
Expect(0, 10223, '\P{Blk=miscmathsymbolsa}', "");
Expect(1, 10223, '\P{^Blk=miscmathsymbolsa}', "");
Expect(0, 10224, '\p{Blk=miscmathsymbolsa}', "");
Expect(1, 10224, '\p{^Blk=miscmathsymbolsa}', "");
Expect(1, 10224, '\P{Blk=miscmathsymbolsa}', "");
Expect(0, 10224, '\P{^Blk=miscmathsymbolsa}', "");
Expect(1, 10223, '\p{Blk=--MISC_Math_Symbols_A}', "");
Expect(0, 10223, '\p{^Blk=--MISC_Math_Symbols_A}', "");
Expect(0, 10223, '\P{Blk=--MISC_Math_Symbols_A}', "");
Expect(1, 10223, '\P{^Blk=--MISC_Math_Symbols_A}', "");
Expect(0, 10224, '\p{Blk=--MISC_Math_Symbols_A}', "");
Expect(1, 10224, '\p{^Blk=--MISC_Math_Symbols_A}', "");
Expect(1, 10224, '\P{Blk=--MISC_Math_Symbols_A}', "");
Expect(0, 10224, '\P{^Blk=--MISC_Math_Symbols_A}', "");
Error('\p{Is_Block= Miscellaneous_Mathematical_symbols_a/a/}');
Error('\P{Is_Block= Miscellaneous_Mathematical_symbols_a/a/}');
Expect(1, 10223, '\p{Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\p{Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\p{^Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\P{Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\P{^Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{Is_Block=-	Miscellaneous_Mathematical_Symbols_A}', "");
Expect(0, 10223, '\p{^Is_Block=-	Miscellaneous_Mathematical_Symbols_A}', "");
Expect(0, 10223, '\P{Is_Block=-	Miscellaneous_Mathematical_Symbols_A}', "");
Expect(1, 10223, '\P{^Is_Block=-	Miscellaneous_Mathematical_Symbols_A}', "");
Expect(0, 10224, '\p{Is_Block=-	Miscellaneous_Mathematical_Symbols_A}', "");
Expect(1, 10224, '\p{^Is_Block=-	Miscellaneous_Mathematical_Symbols_A}', "");
Expect(1, 10224, '\P{Is_Block=-	Miscellaneous_Mathematical_Symbols_A}', "");
Expect(0, 10224, '\P{^Is_Block=-	Miscellaneous_Mathematical_Symbols_A}', "");
Error('\p{Is_Blk=:=-	misc_Math_SYMBOLS_A}');
Error('\P{Is_Blk=:=-	misc_Math_SYMBOLS_A}');
Expect(1, 10223, '\p{Is_Blk=miscmathsymbolsa}', "");
Expect(0, 10223, '\p{^Is_Blk=miscmathsymbolsa}', "");
Expect(0, 10223, '\P{Is_Blk=miscmathsymbolsa}', "");
Expect(1, 10223, '\P{^Is_Blk=miscmathsymbolsa}', "");
Expect(0, 10224, '\p{Is_Blk=miscmathsymbolsa}', "");
Expect(1, 10224, '\p{^Is_Blk=miscmathsymbolsa}', "");
Expect(1, 10224, '\P{Is_Blk=miscmathsymbolsa}', "");
Expect(0, 10224, '\P{^Is_Blk=miscmathsymbolsa}', "");
Expect(1, 10223, '\p{Is_Blk= Misc_math_symbols_A}', "");
Expect(0, 10223, '\p{^Is_Blk= Misc_math_symbols_A}', "");
Expect(0, 10223, '\P{Is_Blk= Misc_math_symbols_A}', "");
Expect(1, 10223, '\P{^Is_Blk= Misc_math_symbols_A}', "");
Expect(0, 10224, '\p{Is_Blk= Misc_math_symbols_A}', "");
Expect(1, 10224, '\p{^Is_Blk= Misc_math_symbols_A}', "");
Expect(1, 10224, '\P{Is_Blk= Misc_math_symbols_A}', "");
Expect(0, 10224, '\P{^Is_Blk= Misc_math_symbols_A}', "");
Error('\p{Block=/a/	Miscellaneous_mathematical_Symbols_B}');
Error('\P{Block=/a/	Miscellaneous_mathematical_Symbols_B}');
Expect(1, 10751, '\p{Block: miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^Block: miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{Block: miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^Block: miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\p{Block: miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\p{^Block: miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\P{Block: miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\P{^Block: miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{Block=	-Miscellaneous_Mathematical_SYMBOLS_B}', "");
Expect(0, 10751, '\p{^Block=	-Miscellaneous_Mathematical_SYMBOLS_B}', "");
Expect(0, 10751, '\P{Block=	-Miscellaneous_Mathematical_SYMBOLS_B}', "");
Expect(1, 10751, '\P{^Block=	-Miscellaneous_Mathematical_SYMBOLS_B}', "");
Expect(0, 10752, '\p{Block=	-Miscellaneous_Mathematical_SYMBOLS_B}', "");
Expect(1, 10752, '\p{^Block=	-Miscellaneous_Mathematical_SYMBOLS_B}', "");
Expect(1, 10752, '\P{Block=	-Miscellaneous_Mathematical_SYMBOLS_B}', "");
Expect(0, 10752, '\P{^Block=	-Miscellaneous_Mathematical_SYMBOLS_B}', "");
Error('\p{Blk=	/a/misc_Math_symbols_B}');
Error('\P{Blk=	/a/misc_Math_symbols_B}');
Expect(1, 10751, '\p{Blk=miscmathsymbolsb}', "");
Expect(0, 10751, '\p{^Blk=miscmathsymbolsb}', "");
Expect(0, 10751, '\P{Blk=miscmathsymbolsb}', "");
Expect(1, 10751, '\P{^Blk=miscmathsymbolsb}', "");
Expect(0, 10752, '\p{Blk=miscmathsymbolsb}', "");
Expect(1, 10752, '\p{^Blk=miscmathsymbolsb}', "");
Expect(1, 10752, '\P{Blk=miscmathsymbolsb}', "");
Expect(0, 10752, '\P{^Blk=miscmathsymbolsb}', "");
Expect(1, 10751, '\p{Blk=_misc_Math_SYMBOLS_B}', "");
Expect(0, 10751, '\p{^Blk=_misc_Math_SYMBOLS_B}', "");
Expect(0, 10751, '\P{Blk=_misc_Math_SYMBOLS_B}', "");
Expect(1, 10751, '\P{^Blk=_misc_Math_SYMBOLS_B}', "");
Expect(0, 10752, '\p{Blk=_misc_Math_SYMBOLS_B}', "");
Expect(1, 10752, '\p{^Blk=_misc_Math_SYMBOLS_B}', "");
Expect(1, 10752, '\P{Blk=_misc_Math_SYMBOLS_B}', "");
Expect(0, 10752, '\P{^Blk=_misc_Math_SYMBOLS_B}', "");
Error('\p{Is_Block=Miscellaneous_Mathematical_SYMBOLS_B/a/}');
Error('\P{Is_Block=Miscellaneous_Mathematical_SYMBOLS_B/a/}');
Expect(1, 10751, '\p{Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\p{Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\p{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\P{Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\P{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{Is_Block=	-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Expect(0, 10751, '\p{^Is_Block=	-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Expect(0, 10751, '\P{Is_Block=	-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Expect(1, 10751, '\P{^Is_Block=	-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Expect(0, 10752, '\p{Is_Block=	-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Expect(1, 10752, '\p{^Is_Block=	-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Expect(1, 10752, '\P{Is_Block=	-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Expect(0, 10752, '\P{^Is_Block=	-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Error('\p{Is_Blk:   _ MISC_Math_symbols_b/a/}');
Error('\P{Is_Blk:   _ MISC_Math_symbols_b/a/}');
Expect(1, 10751, '\p{Is_Blk=miscmathsymbolsb}', "");
Expect(0, 10751, '\p{^Is_Blk=miscmathsymbolsb}', "");
Expect(0, 10751, '\P{Is_Blk=miscmathsymbolsb}', "");
Expect(1, 10751, '\P{^Is_Blk=miscmathsymbolsb}', "");
Expect(0, 10752, '\p{Is_Blk=miscmathsymbolsb}', "");
Expect(1, 10752, '\p{^Is_Blk=miscmathsymbolsb}', "");
Expect(1, 10752, '\P{Is_Blk=miscmathsymbolsb}', "");
Expect(0, 10752, '\P{^Is_Blk=miscmathsymbolsb}', "");
Expect(1, 10751, '\p{Is_Blk=-	MISC_math_SYMBOLS_B}', "");
Expect(0, 10751, '\p{^Is_Blk=-	MISC_math_SYMBOLS_B}', "");
Expect(0, 10751, '\P{Is_Blk=-	MISC_math_SYMBOLS_B}', "");
Expect(1, 10751, '\P{^Is_Blk=-	MISC_math_SYMBOLS_B}', "");
Expect(0, 10752, '\p{Is_Blk=-	MISC_math_SYMBOLS_B}', "");
Expect(1, 10752, '\p{^Is_Blk=-	MISC_math_SYMBOLS_B}', "");
Expect(1, 10752, '\P{Is_Blk=-	MISC_math_SYMBOLS_B}', "");
Expect(0, 10752, '\P{^Is_Blk=-	MISC_math_SYMBOLS_B}', "");
Error('\p{Block=-:=miscellaneous_Symbols_and_Pictographs}');
Error('\P{Block=-:=miscellaneous_Symbols_and_Pictographs}');
Expect(1, 128511, '\p{Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\p{^Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\P{Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\P{^Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\p{Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\p{^Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\P{Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\P{^Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\p{Block= -Miscellaneous_Symbols_And_Pictographs}', "");
Expect(0, 128511, '\p{^Block= -Miscellaneous_Symbols_And_Pictographs}', "");
Expect(0, 128511, '\P{Block= -Miscellaneous_Symbols_And_Pictographs}', "");
Expect(1, 128511, '\P{^Block= -Miscellaneous_Symbols_And_Pictographs}', "");
Expect(0, 128512, '\p{Block= -Miscellaneous_Symbols_And_Pictographs}', "");
Expect(1, 128512, '\p{^Block= -Miscellaneous_Symbols_And_Pictographs}', "");
Expect(1, 128512, '\P{Block= -Miscellaneous_Symbols_And_Pictographs}', "");
Expect(0, 128512, '\P{^Block= -Miscellaneous_Symbols_And_Pictographs}', "");
Error('\p{Blk:_-MISC_pictographs/a/}');
Error('\P{Blk:_-MISC_pictographs/a/}');
Expect(1, 128511, '\p{Blk=miscpictographs}', "");
Expect(0, 128511, '\p{^Blk=miscpictographs}', "");
Expect(0, 128511, '\P{Blk=miscpictographs}', "");
Expect(1, 128511, '\P{^Blk=miscpictographs}', "");
Expect(0, 128512, '\p{Blk=miscpictographs}', "");
Expect(1, 128512, '\p{^Blk=miscpictographs}', "");
Expect(1, 128512, '\P{Blk=miscpictographs}', "");
Expect(0, 128512, '\P{^Blk=miscpictographs}', "");
Expect(1, 128511, '\p{Blk= Misc_Pictographs}', "");
Expect(0, 128511, '\p{^Blk= Misc_Pictographs}', "");
Expect(0, 128511, '\P{Blk= Misc_Pictographs}', "");
Expect(1, 128511, '\P{^Blk= Misc_Pictographs}', "");
Expect(0, 128512, '\p{Blk= Misc_Pictographs}', "");
Expect(1, 128512, '\p{^Blk= Misc_Pictographs}', "");
Expect(1, 128512, '\P{Blk= Misc_Pictographs}', "");
Expect(0, 128512, '\P{^Blk= Misc_Pictographs}', "");
Error('\p{Is_Block=/a/- miscellaneous_Symbols_And_pictographs}');
Error('\P{Is_Block=/a/- miscellaneous_Symbols_And_pictographs}');
Expect(1, 128511, '\p{Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\p{^Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\P{Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\P{^Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\p{Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\p{^Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\P{Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\P{^Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\p{Is_Block=_	miscellaneous_SYMBOLS_AND_Pictographs}', "");
Expect(0, 128511, '\p{^Is_Block=_	miscellaneous_SYMBOLS_AND_Pictographs}', "");
Expect(0, 128511, '\P{Is_Block=_	miscellaneous_SYMBOLS_AND_Pictographs}', "");
Expect(1, 128511, '\P{^Is_Block=_	miscellaneous_SYMBOLS_AND_Pictographs}', "");
Expect(0, 128512, '\p{Is_Block=_	miscellaneous_SYMBOLS_AND_Pictographs}', "");
Expect(1, 128512, '\p{^Is_Block=_	miscellaneous_SYMBOLS_AND_Pictographs}', "");
Expect(1, 128512, '\P{Is_Block=_	miscellaneous_SYMBOLS_AND_Pictographs}', "");
Expect(0, 128512, '\P{^Is_Block=_	miscellaneous_SYMBOLS_AND_Pictographs}', "");
Error('\p{Is_Blk=:=- misc_Pictographs}');
Error('\P{Is_Blk=:=- misc_Pictographs}');
Expect(1, 128511, '\p{Is_Blk=miscpictographs}', "");
Expect(0, 128511, '\p{^Is_Blk=miscpictographs}', "");
Expect(0, 128511, '\P{Is_Blk=miscpictographs}', "");
Expect(1, 128511, '\P{^Is_Blk=miscpictographs}', "");
Expect(0, 128512, '\p{Is_Blk=miscpictographs}', "");
Expect(1, 128512, '\p{^Is_Blk=miscpictographs}', "");
Expect(1, 128512, '\P{Is_Blk=miscpictographs}', "");
Expect(0, 128512, '\P{^Is_Blk=miscpictographs}', "");
Expect(1, 128511, '\p{Is_Blk= _misc_Pictographs}', "");
Expect(0, 128511, '\p{^Is_Blk= _misc_Pictographs}', "");
Expect(0, 128511, '\P{Is_Blk= _misc_Pictographs}', "");
Expect(1, 128511, '\P{^Is_Blk= _misc_Pictographs}', "");
Expect(0, 128512, '\p{Is_Blk= _misc_Pictographs}', "");
Expect(1, 128512, '\p{^Is_Blk= _misc_Pictographs}', "");
Expect(1, 128512, '\P{Is_Blk= _misc_Pictographs}', "");
Expect(0, 128512, '\P{^Is_Blk= _misc_Pictographs}', "");
Error('\p{Block=- Miscellaneous_Symbols:=}');
Error('\P{Block=- Miscellaneous_Symbols:=}');
Expect(1, 9983, '\p{Block=miscellaneoussymbols}', "");
Expect(0, 9983, '\p{^Block=miscellaneoussymbols}', "");
Expect(0, 9983, '\P{Block=miscellaneoussymbols}', "");
Expect(1, 9983, '\P{^Block=miscellaneoussymbols}', "");
Expect(0, 9984, '\p{Block=miscellaneoussymbols}', "");
Expect(1, 9984, '\p{^Block=miscellaneoussymbols}', "");
Expect(1, 9984, '\P{Block=miscellaneoussymbols}', "");
Expect(0, 9984, '\P{^Block=miscellaneoussymbols}', "");
Expect(1, 9983, '\p{Block=_	miscellaneous_Symbols}', "");
Expect(0, 9983, '\p{^Block=_	miscellaneous_Symbols}', "");
Expect(0, 9983, '\P{Block=_	miscellaneous_Symbols}', "");
Expect(1, 9983, '\P{^Block=_	miscellaneous_Symbols}', "");
Expect(0, 9984, '\p{Block=_	miscellaneous_Symbols}', "");
Expect(1, 9984, '\p{^Block=_	miscellaneous_Symbols}', "");
Expect(1, 9984, '\P{Block=_	miscellaneous_Symbols}', "");
Expect(0, 9984, '\P{^Block=_	miscellaneous_Symbols}', "");
Error('\p{Blk= :=misc_Symbols}');
Error('\P{Blk= :=misc_Symbols}');
Expect(1, 9983, '\p{Blk=miscsymbols}', "");
Expect(0, 9983, '\p{^Blk=miscsymbols}', "");
Expect(0, 9983, '\P{Blk=miscsymbols}', "");
Expect(1, 9983, '\P{^Blk=miscsymbols}', "");
Expect(0, 9984, '\p{Blk=miscsymbols}', "");
Expect(1, 9984, '\p{^Blk=miscsymbols}', "");
Expect(1, 9984, '\P{Blk=miscsymbols}', "");
Expect(0, 9984, '\P{^Blk=miscsymbols}', "");
Expect(1, 9983, '\p{Blk=	Misc_Symbols}', "");
Expect(0, 9983, '\p{^Blk=	Misc_Symbols}', "");
Expect(0, 9983, '\P{Blk=	Misc_Symbols}', "");
Expect(1, 9983, '\P{^Blk=	Misc_Symbols}', "");
Expect(0, 9984, '\p{Blk=	Misc_Symbols}', "");
Expect(1, 9984, '\p{^Blk=	Misc_Symbols}', "");
Expect(1, 9984, '\P{Blk=	Misc_Symbols}', "");
Expect(0, 9984, '\P{^Blk=	Misc_Symbols}', "");
Error('\p{Is_Block=	 miscellaneous_symbols:=}');
Error('\P{Is_Block=	 miscellaneous_symbols:=}');
Expect(1, 9983, '\p{Is_Block=miscellaneoussymbols}', "");
Expect(0, 9983, '\p{^Is_Block=miscellaneoussymbols}', "");
Expect(0, 9983, '\P{Is_Block=miscellaneoussymbols}', "");
Expect(1, 9983, '\P{^Is_Block=miscellaneoussymbols}', "");
Expect(0, 9984, '\p{Is_Block=miscellaneoussymbols}', "");
Expect(1, 9984, '\p{^Is_Block=miscellaneoussymbols}', "");
Expect(1, 9984, '\P{Is_Block=miscellaneoussymbols}', "");
Expect(0, 9984, '\P{^Is_Block=miscellaneoussymbols}', "");
Expect(1, 9983, '\p{Is_Block= -miscellaneous_symbols}', "");
Expect(0, 9983, '\p{^Is_Block= -miscellaneous_symbols}', "");
Expect(0, 9983, '\P{Is_Block= -miscellaneous_symbols}', "");
Expect(1, 9983, '\P{^Is_Block= -miscellaneous_symbols}', "");
Expect(0, 9984, '\p{Is_Block= -miscellaneous_symbols}', "");
Expect(1, 9984, '\p{^Is_Block= -miscellaneous_symbols}', "");
Expect(1, 9984, '\P{Is_Block= -miscellaneous_symbols}', "");
Expect(0, 9984, '\P{^Is_Block= -miscellaneous_symbols}', "");
Error('\p{Is_Blk=:=Misc_Symbols}');
Error('\P{Is_Blk=:=Misc_Symbols}');
Expect(1, 9983, '\p{Is_Blk=miscsymbols}', "");
Expect(0, 9983, '\p{^Is_Blk=miscsymbols}', "");
Expect(0, 9983, '\P{Is_Blk=miscsymbols}', "");
Expect(1, 9983, '\P{^Is_Blk=miscsymbols}', "");
Expect(0, 9984, '\p{Is_Blk=miscsymbols}', "");
Expect(1, 9984, '\p{^Is_Blk=miscsymbols}', "");
Expect(1, 9984, '\P{Is_Blk=miscsymbols}', "");
Expect(0, 9984, '\P{^Is_Blk=miscsymbols}', "");
Expect(1, 9983, '\p{Is_Blk=-_misc_symbols}', "");
Expect(0, 9983, '\p{^Is_Blk=-_misc_symbols}', "");
Expect(0, 9983, '\P{Is_Blk=-_misc_symbols}', "");
Expect(1, 9983, '\P{^Is_Blk=-_misc_symbols}', "");
Expect(0, 9984, '\p{Is_Blk=-_misc_symbols}', "");
Expect(1, 9984, '\p{^Is_Blk=-_misc_symbols}', "");
Expect(1, 9984, '\P{Is_Blk=-_misc_symbols}', "");
Expect(0, 9984, '\P{^Is_Blk=-_misc_symbols}', "");
Error('\p{Block:   	miscellaneous_TECHNICAL:=}');
Error('\P{Block:   	miscellaneous_TECHNICAL:=}');
Expect(1, 9215, '\p{Block=miscellaneoustechnical}', "");
Expect(0, 9215, '\p{^Block=miscellaneoustechnical}', "");
Expect(0, 9215, '\P{Block=miscellaneoustechnical}', "");
Expect(1, 9215, '\P{^Block=miscellaneoustechnical}', "");
Expect(0, 9216, '\p{Block=miscellaneoustechnical}', "");
Expect(1, 9216, '\p{^Block=miscellaneoustechnical}', "");
Expect(1, 9216, '\P{Block=miscellaneoustechnical}', "");
Expect(0, 9216, '\P{^Block=miscellaneoustechnical}', "");
Expect(1, 9215, '\p{Block= -MISCELLANEOUS_Technical}', "");
Expect(0, 9215, '\p{^Block= -MISCELLANEOUS_Technical}', "");
Expect(0, 9215, '\P{Block= -MISCELLANEOUS_Technical}', "");
Expect(1, 9215, '\P{^Block= -MISCELLANEOUS_Technical}', "");
Expect(0, 9216, '\p{Block= -MISCELLANEOUS_Technical}', "");
Expect(1, 9216, '\p{^Block= -MISCELLANEOUS_Technical}', "");
Expect(1, 9216, '\P{Block= -MISCELLANEOUS_Technical}', "");
Expect(0, 9216, '\P{^Block= -MISCELLANEOUS_Technical}', "");
Error('\p{Blk=Misc_Technical/a/}');
Error('\P{Blk=Misc_Technical/a/}');
Expect(1, 9215, '\p{Blk=misctechnical}', "");
Expect(0, 9215, '\p{^Blk=misctechnical}', "");
Expect(0, 9215, '\P{Blk=misctechnical}', "");
Expect(1, 9215, '\P{^Blk=misctechnical}', "");
Expect(0, 9216, '\p{Blk=misctechnical}', "");
Expect(1, 9216, '\p{^Blk=misctechnical}', "");
Expect(1, 9216, '\P{Blk=misctechnical}', "");
Expect(0, 9216, '\P{^Blk=misctechnical}', "");
Expect(1, 9215, '\p{Blk=_MISC_Technical}', "");
Expect(0, 9215, '\p{^Blk=_MISC_Technical}', "");
Expect(0, 9215, '\P{Blk=_MISC_Technical}', "");
Expect(1, 9215, '\P{^Blk=_MISC_Technical}', "");
Expect(0, 9216, '\p{Blk=_MISC_Technical}', "");
Expect(1, 9216, '\p{^Blk=_MISC_Technical}', "");
Expect(1, 9216, '\P{Blk=_MISC_Technical}', "");
Expect(0, 9216, '\P{^Blk=_MISC_Technical}', "");
Error('\p{Is_Block=_MISCELLANEOUS_Technical:=}');
Error('\P{Is_Block=_MISCELLANEOUS_Technical:=}');
Expect(1, 9215, '\p{Is_Block=miscellaneoustechnical}', "");
Expect(0, 9215, '\p{^Is_Block=miscellaneoustechnical}', "");
Expect(0, 9215, '\P{Is_Block=miscellaneoustechnical}', "");
Expect(1, 9215, '\P{^Is_Block=miscellaneoustechnical}', "");
Expect(0, 9216, '\p{Is_Block=miscellaneoustechnical}', "");
Expect(1, 9216, '\p{^Is_Block=miscellaneoustechnical}', "");
Expect(1, 9216, '\P{Is_Block=miscellaneoustechnical}', "");
Expect(0, 9216, '\P{^Is_Block=miscellaneoustechnical}', "");
Expect(1, 9215, '\p{Is_Block=	 MISCELLANEOUS_Technical}', "");
Expect(0, 9215, '\p{^Is_Block=	 MISCELLANEOUS_Technical}', "");
Expect(0, 9215, '\P{Is_Block=	 MISCELLANEOUS_Technical}', "");
Expect(1, 9215, '\P{^Is_Block=	 MISCELLANEOUS_Technical}', "");
Expect(0, 9216, '\p{Is_Block=	 MISCELLANEOUS_Technical}', "");
Expect(1, 9216, '\p{^Is_Block=	 MISCELLANEOUS_Technical}', "");
Expect(1, 9216, '\P{Is_Block=	 MISCELLANEOUS_Technical}', "");
Expect(0, 9216, '\P{^Is_Block=	 MISCELLANEOUS_Technical}', "");
Error('\p{Is_Blk=/a/-	Misc_Technical}');
Error('\P{Is_Blk=/a/-	Misc_Technical}');
Expect(1, 9215, '\p{Is_Blk=misctechnical}', "");
Expect(0, 9215, '\p{^Is_Blk=misctechnical}', "");
Expect(0, 9215, '\P{Is_Blk=misctechnical}', "");
Expect(1, 9215, '\P{^Is_Blk=misctechnical}', "");
Expect(0, 9216, '\p{Is_Blk=misctechnical}', "");
Expect(1, 9216, '\p{^Is_Blk=misctechnical}', "");
Expect(1, 9216, '\P{Is_Blk=misctechnical}', "");
Expect(0, 9216, '\P{^Is_Blk=misctechnical}', "");
Expect(1, 9215, '\p{Is_Blk=	_Misc_TECHNICAL}', "");
Expect(0, 9215, '\p{^Is_Blk=	_Misc_TECHNICAL}', "");
Expect(0, 9215, '\P{Is_Blk=	_Misc_TECHNICAL}', "");
Expect(1, 9215, '\P{^Is_Blk=	_Misc_TECHNICAL}', "");
Expect(0, 9216, '\p{Is_Blk=	_Misc_TECHNICAL}', "");
Expect(1, 9216, '\p{^Is_Blk=	_Misc_TECHNICAL}', "");
Expect(1, 9216, '\P{Is_Blk=	_Misc_TECHNICAL}', "");
Expect(0, 9216, '\P{^Is_Blk=	_Misc_TECHNICAL}', "");
Error('\p{Block=:=MODI}');
Error('\P{Block=:=MODI}');
Expect(1, 71263, '\p{Block=modi}', "");
Expect(0, 71263, '\p{^Block=modi}', "");
Expect(0, 71263, '\P{Block=modi}', "");
Expect(1, 71263, '\P{^Block=modi}', "");
Expect(0, 71264, '\p{Block=modi}', "");
Expect(1, 71264, '\p{^Block=modi}', "");
Expect(1, 71264, '\P{Block=modi}', "");
Expect(0, 71264, '\P{^Block=modi}', "");
Expect(1, 71263, '\p{Block=__modi}', "");
Expect(0, 71263, '\p{^Block=__modi}', "");
Expect(0, 71263, '\P{Block=__modi}', "");
Expect(1, 71263, '\P{^Block=__modi}', "");
Expect(0, 71264, '\p{Block=__modi}', "");
Expect(1, 71264, '\p{^Block=__modi}', "");
Expect(1, 71264, '\P{Block=__modi}', "");
Expect(0, 71264, '\P{^Block=__modi}', "");
Error('\p{Blk=/a/ 	MODI}');
Error('\P{Blk=/a/ 	MODI}');
Expect(1, 71263, '\p{Blk=modi}', "");
Expect(0, 71263, '\p{^Blk=modi}', "");
Expect(0, 71263, '\P{Blk=modi}', "");
Expect(1, 71263, '\P{^Blk=modi}', "");
Expect(0, 71264, '\p{Blk=modi}', "");
Expect(1, 71264, '\p{^Blk=modi}', "");
Expect(1, 71264, '\P{Blk=modi}', "");
Expect(0, 71264, '\P{^Blk=modi}', "");
Expect(1, 71263, '\p{Blk=  modi}', "");
Expect(0, 71263, '\p{^Blk=  modi}', "");
Expect(0, 71263, '\P{Blk=  modi}', "");
Expect(1, 71263, '\P{^Blk=  modi}', "");
Expect(0, 71264, '\p{Blk=  modi}', "");
Expect(1, 71264, '\p{^Blk=  modi}', "");
Expect(1, 71264, '\P{Blk=  modi}', "");
Expect(0, 71264, '\P{^Blk=  modi}', "");
Error('\p{Is_Block=_Modi:=}');
Error('\P{Is_Block=_Modi:=}');
Expect(1, 71263, '\p{Is_Block:modi}', "");
Expect(0, 71263, '\p{^Is_Block:modi}', "");
Expect(0, 71263, '\P{Is_Block:modi}', "");
Expect(1, 71263, '\P{^Is_Block:modi}', "");
Expect(0, 71264, '\p{Is_Block:modi}', "");
Expect(1, 71264, '\p{^Is_Block:modi}', "");
Expect(1, 71264, '\P{Is_Block:modi}', "");
Expect(0, 71264, '\P{^Is_Block:modi}', "");
Expect(1, 71263, '\p{Is_Block=--MODI}', "");
Expect(0, 71263, '\p{^Is_Block=--MODI}', "");
Expect(0, 71263, '\P{Is_Block=--MODI}', "");
Expect(1, 71263, '\P{^Is_Block=--MODI}', "");
Expect(0, 71264, '\p{Is_Block=--MODI}', "");
Expect(1, 71264, '\p{^Is_Block=--MODI}', "");
Expect(1, 71264, '\P{Is_Block=--MODI}', "");
Expect(0, 71264, '\P{^Is_Block=--MODI}', "");
Error('\p{Is_Blk= /a/MODI}');
Error('\P{Is_Blk= /a/MODI}');
Expect(1, 71263, '\p{Is_Blk=modi}', "");
Expect(0, 71263, '\p{^Is_Blk=modi}', "");
Expect(0, 71263, '\P{Is_Blk=modi}', "");
Expect(1, 71263, '\P{^Is_Blk=modi}', "");
Expect(0, 71264, '\p{Is_Blk=modi}', "");
Expect(1, 71264, '\p{^Is_Blk=modi}', "");
Expect(1, 71264, '\P{Is_Blk=modi}', "");
Expect(0, 71264, '\P{^Is_Blk=modi}', "");
Expect(1, 71263, '\p{Is_Blk:   -modi}', "");
Expect(0, 71263, '\p{^Is_Blk:   -modi}', "");
Expect(0, 71263, '\P{Is_Blk:   -modi}', "");
Expect(1, 71263, '\P{^Is_Blk:   -modi}', "");
Expect(0, 71264, '\p{Is_Blk:   -modi}', "");
Expect(1, 71264, '\p{^Is_Blk:   -modi}', "");
Expect(1, 71264, '\P{Is_Blk:   -modi}', "");
Expect(0, 71264, '\P{^Is_Blk:   -modi}', "");
Error('\p{Block=/a/_-Spacing_modifier_letters}');
Error('\P{Block=/a/_-Spacing_modifier_letters}');
Expect(1, 767, '\p{Block=spacingmodifierletters}', "");
Expect(0, 767, '\p{^Block=spacingmodifierletters}', "");
Expect(0, 767, '\P{Block=spacingmodifierletters}', "");
Expect(1, 767, '\P{^Block=spacingmodifierletters}', "");
Expect(0, 768, '\p{Block=spacingmodifierletters}', "");
Expect(1, 768, '\p{^Block=spacingmodifierletters}', "");
Expect(1, 768, '\P{Block=spacingmodifierletters}', "");
Expect(0, 768, '\P{^Block=spacingmodifierletters}', "");
Expect(1, 767, '\p{Block=-_spacing_Modifier_letters}', "");
Expect(0, 767, '\p{^Block=-_spacing_Modifier_letters}', "");
Expect(0, 767, '\P{Block=-_spacing_Modifier_letters}', "");
Expect(1, 767, '\P{^Block=-_spacing_Modifier_letters}', "");
Expect(0, 768, '\p{Block=-_spacing_Modifier_letters}', "");
Expect(1, 768, '\p{^Block=-_spacing_Modifier_letters}', "");
Expect(1, 768, '\P{Block=-_spacing_Modifier_letters}', "");
Expect(0, 768, '\P{^Block=-_spacing_Modifier_letters}', "");
Error('\p{Blk=_:=modifier_letters}');
Error('\P{Blk=_:=modifier_letters}');
Expect(1, 767, '\p{Blk=modifierletters}', "");
Expect(0, 767, '\p{^Blk=modifierletters}', "");
Expect(0, 767, '\P{Blk=modifierletters}', "");
Expect(1, 767, '\P{^Blk=modifierletters}', "");
Expect(0, 768, '\p{Blk=modifierletters}', "");
Expect(1, 768, '\p{^Blk=modifierletters}', "");
Expect(1, 768, '\P{Blk=modifierletters}', "");
Expect(0, 768, '\P{^Blk=modifierletters}', "");
Expect(1, 767, '\p{Blk=	Modifier_Letters}', "");
Expect(0, 767, '\p{^Blk=	Modifier_Letters}', "");
Expect(0, 767, '\P{Blk=	Modifier_Letters}', "");
Expect(1, 767, '\P{^Blk=	Modifier_Letters}', "");
Expect(0, 768, '\p{Blk=	Modifier_Letters}', "");
Expect(1, 768, '\p{^Blk=	Modifier_Letters}', "");
Expect(1, 768, '\P{Blk=	Modifier_Letters}', "");
Expect(0, 768, '\P{^Blk=	Modifier_Letters}', "");
Error('\p{Is_Block= :=Spacing_MODIFIER_letters}');
Error('\P{Is_Block= :=Spacing_MODIFIER_letters}');
Expect(1, 767, '\p{Is_Block=spacingmodifierletters}', "");
Expect(0, 767, '\p{^Is_Block=spacingmodifierletters}', "");
Expect(0, 767, '\P{Is_Block=spacingmodifierletters}', "");
Expect(1, 767, '\P{^Is_Block=spacingmodifierletters}', "");
Expect(0, 768, '\p{Is_Block=spacingmodifierletters}', "");
Expect(1, 768, '\p{^Is_Block=spacingmodifierletters}', "");
Expect(1, 768, '\P{Is_Block=spacingmodifierletters}', "");
Expect(0, 768, '\P{^Is_Block=spacingmodifierletters}', "");
Expect(1, 767, '\p{Is_Block=-spacing_Modifier_LETTERS}', "");
Expect(0, 767, '\p{^Is_Block=-spacing_Modifier_LETTERS}', "");
Expect(0, 767, '\P{Is_Block=-spacing_Modifier_LETTERS}', "");
Expect(1, 767, '\P{^Is_Block=-spacing_Modifier_LETTERS}', "");
Expect(0, 768, '\p{Is_Block=-spacing_Modifier_LETTERS}', "");
Expect(1, 768, '\p{^Is_Block=-spacing_Modifier_LETTERS}', "");
Expect(1, 768, '\P{Is_Block=-spacing_Modifier_LETTERS}', "");
Expect(0, 768, '\P{^Is_Block=-spacing_Modifier_LETTERS}', "");
Error('\p{Is_Blk=_	modifier_letters:=}');
Error('\P{Is_Blk=_	modifier_letters:=}');
Expect(1, 767, '\p{Is_Blk=modifierletters}', "");
Expect(0, 767, '\p{^Is_Blk=modifierletters}', "");
Expect(0, 767, '\P{Is_Blk=modifierletters}', "");
Expect(1, 767, '\P{^Is_Blk=modifierletters}', "");
Expect(0, 768, '\p{Is_Blk=modifierletters}', "");
Expect(1, 768, '\p{^Is_Blk=modifierletters}', "");
Expect(1, 768, '\P{Is_Blk=modifierletters}', "");
Expect(0, 768, '\P{^Is_Blk=modifierletters}', "");
Expect(1, 767, '\p{Is_Blk=__modifier_LETTERS}', "");
Expect(0, 767, '\p{^Is_Blk=__modifier_LETTERS}', "");
Expect(0, 767, '\P{Is_Blk=__modifier_LETTERS}', "");
Expect(1, 767, '\P{^Is_Blk=__modifier_LETTERS}', "");
Expect(0, 768, '\p{Is_Blk=__modifier_LETTERS}', "");
Expect(1, 768, '\p{^Is_Blk=__modifier_LETTERS}', "");
Expect(1, 768, '\P{Is_Blk=__modifier_LETTERS}', "");
Expect(0, 768, '\P{^Is_Blk=__modifier_LETTERS}', "");
Error('\p{Block= Modifier_TONE_Letters:=}');
Error('\P{Block= Modifier_TONE_Letters:=}');
Expect(1, 42783, '\p{Block=modifiertoneletters}', "");
Expect(0, 42783, '\p{^Block=modifiertoneletters}', "");
Expect(0, 42783, '\P{Block=modifiertoneletters}', "");
Expect(1, 42783, '\P{^Block=modifiertoneletters}', "");
Expect(0, 42784, '\p{Block=modifiertoneletters}', "");
Expect(1, 42784, '\p{^Block=modifiertoneletters}', "");
Expect(1, 42784, '\P{Block=modifiertoneletters}', "");
Expect(0, 42784, '\P{^Block=modifiertoneletters}', "");
Expect(1, 42783, '\p{Block=_Modifier_Tone_Letters}', "");
Expect(0, 42783, '\p{^Block=_Modifier_Tone_Letters}', "");
Expect(0, 42783, '\P{Block=_Modifier_Tone_Letters}', "");
Expect(1, 42783, '\P{^Block=_Modifier_Tone_Letters}', "");
Expect(0, 42784, '\p{Block=_Modifier_Tone_Letters}', "");
Expect(1, 42784, '\p{^Block=_Modifier_Tone_Letters}', "");
Expect(1, 42784, '\P{Block=_Modifier_Tone_Letters}', "");
Expect(0, 42784, '\P{^Block=_Modifier_Tone_Letters}', "");
Error('\p{Blk= _modifier_TONE_letters:=}');
Error('\P{Blk= _modifier_TONE_letters:=}');
Expect(1, 42783, '\p{Blk=modifiertoneletters}', "");
Expect(0, 42783, '\p{^Blk=modifiertoneletters}', "");
Expect(0, 42783, '\P{Blk=modifiertoneletters}', "");
Expect(1, 42783, '\P{^Blk=modifiertoneletters}', "");
Expect(0, 42784, '\p{Blk=modifiertoneletters}', "");
Expect(1, 42784, '\p{^Blk=modifiertoneletters}', "");
Expect(1, 42784, '\P{Blk=modifiertoneletters}', "");
Expect(0, 42784, '\P{^Blk=modifiertoneletters}', "");
Expect(1, 42783, '\p{Blk=modifier_tone_LETTERS}', "");
Expect(0, 42783, '\p{^Blk=modifier_tone_LETTERS}', "");
Expect(0, 42783, '\P{Blk=modifier_tone_LETTERS}', "");
Expect(1, 42783, '\P{^Blk=modifier_tone_LETTERS}', "");
Expect(0, 42784, '\p{Blk=modifier_tone_LETTERS}', "");
Expect(1, 42784, '\p{^Blk=modifier_tone_LETTERS}', "");
Expect(1, 42784, '\P{Blk=modifier_tone_LETTERS}', "");
Expect(0, 42784, '\P{^Blk=modifier_tone_LETTERS}', "");
Error('\p{Is_Block=/a/ MODIFIER_TONE_Letters}');
Error('\P{Is_Block=/a/ MODIFIER_TONE_Letters}');
Expect(1, 42783, '\p{Is_Block=modifiertoneletters}', "");
Expect(0, 42783, '\p{^Is_Block=modifiertoneletters}', "");
Expect(0, 42783, '\P{Is_Block=modifiertoneletters}', "");
Expect(1, 42783, '\P{^Is_Block=modifiertoneletters}', "");
Expect(0, 42784, '\p{Is_Block=modifiertoneletters}', "");
Expect(1, 42784, '\p{^Is_Block=modifiertoneletters}', "");
Expect(1, 42784, '\P{Is_Block=modifiertoneletters}', "");
Expect(0, 42784, '\P{^Is_Block=modifiertoneletters}', "");
Expect(1, 42783, '\p{Is_Block=_ MODIFIER_TONE_Letters}', "");
Expect(0, 42783, '\p{^Is_Block=_ MODIFIER_TONE_Letters}', "");
Expect(0, 42783, '\P{Is_Block=_ MODIFIER_TONE_Letters}', "");
Expect(1, 42783, '\P{^Is_Block=_ MODIFIER_TONE_Letters}', "");
Expect(0, 42784, '\p{Is_Block=_ MODIFIER_TONE_Letters}', "");
Expect(1, 42784, '\p{^Is_Block=_ MODIFIER_TONE_Letters}', "");
Expect(1, 42784, '\P{Is_Block=_ MODIFIER_TONE_Letters}', "");
Expect(0, 42784, '\P{^Is_Block=_ MODIFIER_TONE_Letters}', "");
Error('\p{Is_Blk= Modifier_Tone_LETTERS/a/}');
Error('\P{Is_Blk= Modifier_Tone_LETTERS/a/}');
Expect(1, 42783, '\p{Is_Blk=modifiertoneletters}', "");
Expect(0, 42783, '\p{^Is_Blk=modifiertoneletters}', "");
Expect(0, 42783, '\P{Is_Blk=modifiertoneletters}', "");
Expect(1, 42783, '\P{^Is_Blk=modifiertoneletters}', "");
Expect(0, 42784, '\p{Is_Blk=modifiertoneletters}', "");
Expect(1, 42784, '\p{^Is_Blk=modifiertoneletters}', "");
Expect(1, 42784, '\P{Is_Blk=modifiertoneletters}', "");
Expect(0, 42784, '\P{^Is_Blk=modifiertoneletters}', "");
Expect(1, 42783, '\p{Is_Blk=_Modifier_Tone_LETTERS}', "");
Expect(0, 42783, '\p{^Is_Blk=_Modifier_Tone_LETTERS}', "");
Expect(0, 42783, '\P{Is_Blk=_Modifier_Tone_LETTERS}', "");
Expect(1, 42783, '\P{^Is_Blk=_Modifier_Tone_LETTERS}', "");
Expect(0, 42784, '\p{Is_Blk=_Modifier_Tone_LETTERS}', "");
Expect(1, 42784, '\p{^Is_Blk=_Modifier_Tone_LETTERS}', "");
Expect(1, 42784, '\P{Is_Blk=_Modifier_Tone_LETTERS}', "");
Expect(0, 42784, '\P{^Is_Blk=_Modifier_Tone_LETTERS}', "");
Error('\p{Block=:=MONGOLIAN}');
Error('\P{Block=:=MONGOLIAN}');
Expect(1, 6319, '\p{Block=mongolian}', "");
Expect(0, 6319, '\p{^Block=mongolian}', "");
Expect(0, 6319, '\P{Block=mongolian}', "");
Expect(1, 6319, '\P{^Block=mongolian}', "");
Expect(0, 6320, '\p{Block=mongolian}', "");
Expect(1, 6320, '\p{^Block=mongolian}', "");
Expect(1, 6320, '\P{Block=mongolian}', "");
Expect(0, 6320, '\P{^Block=mongolian}', "");
Expect(1, 6319, '\p{Block=_-MONGOLIAN}', "");
Expect(0, 6319, '\p{^Block=_-MONGOLIAN}', "");
Expect(0, 6319, '\P{Block=_-MONGOLIAN}', "");
Expect(1, 6319, '\P{^Block=_-MONGOLIAN}', "");
Expect(0, 6320, '\p{Block=_-MONGOLIAN}', "");
Expect(1, 6320, '\p{^Block=_-MONGOLIAN}', "");
Expect(1, 6320, '\P{Block=_-MONGOLIAN}', "");
Expect(0, 6320, '\P{^Block=_-MONGOLIAN}', "");
Error('\p{Blk=		Mongolian/a/}');
Error('\P{Blk=		Mongolian/a/}');
Expect(1, 6319, '\p{Blk=mongolian}', "");
Expect(0, 6319, '\p{^Blk=mongolian}', "");
Expect(0, 6319, '\P{Blk=mongolian}', "");
Expect(1, 6319, '\P{^Blk=mongolian}', "");
Expect(0, 6320, '\p{Blk=mongolian}', "");
Expect(1, 6320, '\p{^Blk=mongolian}', "");
Expect(1, 6320, '\P{Blk=mongolian}', "");
Expect(0, 6320, '\P{^Blk=mongolian}', "");
Expect(1, 6319, '\p{Blk=_ Mongolian}', "");
Expect(0, 6319, '\p{^Blk=_ Mongolian}', "");
Expect(0, 6319, '\P{Blk=_ Mongolian}', "");
Expect(1, 6319, '\P{^Blk=_ Mongolian}', "");
Expect(0, 6320, '\p{Blk=_ Mongolian}', "");
Expect(1, 6320, '\p{^Blk=_ Mongolian}', "");
Expect(1, 6320, '\P{Blk=_ Mongolian}', "");
Expect(0, 6320, '\P{^Blk=_ Mongolian}', "");
Error('\p{Is_Block: :=	 Mongolian}');
Error('\P{Is_Block: :=	 Mongolian}');
Expect(1, 6319, '\p{Is_Block: mongolian}', "");
Expect(0, 6319, '\p{^Is_Block: mongolian}', "");
Expect(0, 6319, '\P{Is_Block: mongolian}', "");
Expect(1, 6319, '\P{^Is_Block: mongolian}', "");
Expect(0, 6320, '\p{Is_Block: mongolian}', "");
Expect(1, 6320, '\p{^Is_Block: mongolian}', "");
Expect(1, 6320, '\P{Is_Block: mongolian}', "");
Expect(0, 6320, '\P{^Is_Block: mongolian}', "");
Expect(1, 6319, '\p{Is_Block:_ Mongolian}', "");
Expect(0, 6319, '\p{^Is_Block:_ Mongolian}', "");
Expect(0, 6319, '\P{Is_Block:_ Mongolian}', "");
Expect(1, 6319, '\P{^Is_Block:_ Mongolian}', "");
Expect(0, 6320, '\p{Is_Block:_ Mongolian}', "");
Expect(1, 6320, '\p{^Is_Block:_ Mongolian}', "");
Expect(1, 6320, '\P{Is_Block:_ Mongolian}', "");
Expect(0, 6320, '\P{^Is_Block:_ Mongolian}', "");
Error('\p{Is_Blk=	mongolian/a/}');
Error('\P{Is_Blk=	mongolian/a/}');
Expect(1, 6319, '\p{Is_Blk=mongolian}', "");
Expect(0, 6319, '\p{^Is_Blk=mongolian}', "");
Expect(0, 6319, '\P{Is_Blk=mongolian}', "");
Expect(1, 6319, '\P{^Is_Blk=mongolian}', "");
Expect(0, 6320, '\p{Is_Blk=mongolian}', "");
Expect(1, 6320, '\p{^Is_Blk=mongolian}', "");
Expect(1, 6320, '\P{Is_Blk=mongolian}', "");
Expect(0, 6320, '\P{^Is_Blk=mongolian}', "");
Expect(1, 6319, '\p{Is_Blk=-	MONGOLIAN}', "");
Expect(0, 6319, '\p{^Is_Blk=-	MONGOLIAN}', "");
Expect(0, 6319, '\P{Is_Blk=-	MONGOLIAN}', "");
Expect(1, 6319, '\P{^Is_Blk=-	MONGOLIAN}', "");
Expect(0, 6320, '\p{Is_Blk=-	MONGOLIAN}', "");
Expect(1, 6320, '\p{^Is_Blk=-	MONGOLIAN}', "");
Expect(1, 6320, '\P{Is_Blk=-	MONGOLIAN}', "");
Expect(0, 6320, '\P{^Is_Blk=-	MONGOLIAN}', "");
Error('\p{Block= /a/MRO}');
Error('\P{Block= /a/MRO}');
Expect(1, 92783, '\p{Block=mro}', "");
Expect(0, 92783, '\p{^Block=mro}', "");
Expect(0, 92783, '\P{Block=mro}', "");
Expect(1, 92783, '\P{^Block=mro}', "");
Expect(0, 92784, '\p{Block=mro}', "");
Expect(1, 92784, '\p{^Block=mro}', "");
Expect(1, 92784, '\P{Block=mro}', "");
Expect(0, 92784, '\P{^Block=mro}', "");
Expect(1, 92783, '\p{Block=  Mro}', "");
Expect(0, 92783, '\p{^Block=  Mro}', "");
Expect(0, 92783, '\P{Block=  Mro}', "");
Expect(1, 92783, '\P{^Block=  Mro}', "");
Expect(0, 92784, '\p{Block=  Mro}', "");
Expect(1, 92784, '\p{^Block=  Mro}', "");
Expect(1, 92784, '\P{Block=  Mro}', "");
Expect(0, 92784, '\P{^Block=  Mro}', "");
Error('\p{Blk=:=	_mro}');
Error('\P{Blk=:=	_mro}');
Expect(1, 92783, '\p{Blk=mro}', "");
Expect(0, 92783, '\p{^Blk=mro}', "");
Expect(0, 92783, '\P{Blk=mro}', "");
Expect(1, 92783, '\P{^Blk=mro}', "");
Expect(0, 92784, '\p{Blk=mro}', "");
Expect(1, 92784, '\p{^Blk=mro}', "");
Expect(1, 92784, '\P{Blk=mro}', "");
Expect(0, 92784, '\P{^Blk=mro}', "");
Expect(1, 92783, '\p{Blk=--MRO}', "");
Expect(0, 92783, '\p{^Blk=--MRO}', "");
Expect(0, 92783, '\P{Blk=--MRO}', "");
Expect(1, 92783, '\P{^Blk=--MRO}', "");
Expect(0, 92784, '\p{Blk=--MRO}', "");
Expect(1, 92784, '\p{^Blk=--MRO}', "");
Expect(1, 92784, '\P{Blk=--MRO}', "");
Expect(0, 92784, '\P{^Blk=--MRO}', "");
Error('\p{Is_Block= Mro:=}');
Error('\P{Is_Block= Mro:=}');
Expect(1, 92783, '\p{Is_Block=mro}', "");
Expect(0, 92783, '\p{^Is_Block=mro}', "");
Expect(0, 92783, '\P{Is_Block=mro}', "");
Expect(1, 92783, '\P{^Is_Block=mro}', "");
Expect(0, 92784, '\p{Is_Block=mro}', "");
Expect(1, 92784, '\p{^Is_Block=mro}', "");
Expect(1, 92784, '\P{Is_Block=mro}', "");
Expect(0, 92784, '\P{^Is_Block=mro}', "");
Expect(1, 92783, '\p{Is_Block=-_Mro}', "");
Expect(0, 92783, '\p{^Is_Block=-_Mro}', "");
Expect(0, 92783, '\P{Is_Block=-_Mro}', "");
Expect(1, 92783, '\P{^Is_Block=-_Mro}', "");
Expect(0, 92784, '\p{Is_Block=-_Mro}', "");
Expect(1, 92784, '\p{^Is_Block=-_Mro}', "");
Expect(1, 92784, '\P{Is_Block=-_Mro}', "");
Expect(0, 92784, '\P{^Is_Block=-_Mro}', "");
Error('\p{Is_Blk= 	MRO/a/}');
Error('\P{Is_Blk= 	MRO/a/}');
Expect(1, 92783, '\p{Is_Blk=mro}', "");
Expect(0, 92783, '\p{^Is_Blk=mro}', "");
Expect(0, 92783, '\P{Is_Blk=mro}', "");
Expect(1, 92783, '\P{^Is_Blk=mro}', "");
Expect(0, 92784, '\p{Is_Blk=mro}', "");
Expect(1, 92784, '\p{^Is_Blk=mro}', "");
Expect(1, 92784, '\P{Is_Blk=mro}', "");
Expect(0, 92784, '\P{^Is_Blk=mro}', "");
Expect(1, 92783, '\p{Is_Blk=-	MRO}', "");
Expect(0, 92783, '\p{^Is_Blk=-	MRO}', "");
Expect(0, 92783, '\P{Is_Blk=-	MRO}', "");
Expect(1, 92783, '\P{^Is_Blk=-	MRO}', "");
Expect(0, 92784, '\p{Is_Blk=-	MRO}', "");
Expect(1, 92784, '\p{^Is_Blk=-	MRO}', "");
Expect(1, 92784, '\P{Is_Blk=-	MRO}', "");
Expect(0, 92784, '\P{^Is_Blk=-	MRO}', "");
Error('\p{Block=_:=musical_symbols}');
Error('\P{Block=_:=musical_symbols}');
Expect(1, 119295, '\p{Block=musicalsymbols}', "");
Expect(0, 119295, '\p{^Block=musicalsymbols}', "");
Expect(0, 119295, '\P{Block=musicalsymbols}', "");
Expect(1, 119295, '\P{^Block=musicalsymbols}', "");
Expect(0, 119296, '\p{Block=musicalsymbols}', "");
Expect(1, 119296, '\p{^Block=musicalsymbols}', "");
Expect(1, 119296, '\P{Block=musicalsymbols}', "");
Expect(0, 119296, '\P{^Block=musicalsymbols}', "");
Expect(1, 119295, '\p{Block=MUSICAL_symbols}', "");
Expect(0, 119295, '\p{^Block=MUSICAL_symbols}', "");
Expect(0, 119295, '\P{Block=MUSICAL_symbols}', "");
Expect(1, 119295, '\P{^Block=MUSICAL_symbols}', "");
Expect(0, 119296, '\p{Block=MUSICAL_symbols}', "");
Expect(1, 119296, '\p{^Block=MUSICAL_symbols}', "");
Expect(1, 119296, '\P{Block=MUSICAL_symbols}', "");
Expect(0, 119296, '\P{^Block=MUSICAL_symbols}', "");
Error('\p{Blk=/a/	music}');
Error('\P{Blk=/a/	music}');
Expect(1, 119295, '\p{Blk=music}', "");
Expect(0, 119295, '\p{^Blk=music}', "");
Expect(0, 119295, '\P{Blk=music}', "");
Expect(1, 119295, '\P{^Blk=music}', "");
Expect(0, 119296, '\p{Blk=music}', "");
Expect(1, 119296, '\p{^Blk=music}', "");
Expect(1, 119296, '\P{Blk=music}', "");
Expect(0, 119296, '\P{^Blk=music}', "");
Expect(1, 119295, '\p{Blk=-	music}', "");
Expect(0, 119295, '\p{^Blk=-	music}', "");
Expect(0, 119295, '\P{Blk=-	music}', "");
Expect(1, 119295, '\P{^Blk=-	music}', "");
Expect(0, 119296, '\p{Blk=-	music}', "");
Expect(1, 119296, '\p{^Blk=-	music}', "");
Expect(1, 119296, '\P{Blk=-	music}', "");
Expect(0, 119296, '\P{^Blk=-	music}', "");
Error('\p{Is_Block= /a/Musical_Symbols}');
Error('\P{Is_Block= /a/Musical_Symbols}');
Expect(1, 119295, '\p{Is_Block=musicalsymbols}', "");
Expect(0, 119295, '\p{^Is_Block=musicalsymbols}', "");
Expect(0, 119295, '\P{Is_Block=musicalsymbols}', "");
Expect(1, 119295, '\P{^Is_Block=musicalsymbols}', "");
Expect(0, 119296, '\p{Is_Block=musicalsymbols}', "");
Expect(1, 119296, '\p{^Is_Block=musicalsymbols}', "");
Expect(1, 119296, '\P{Is_Block=musicalsymbols}', "");
Expect(0, 119296, '\P{^Is_Block=musicalsymbols}', "");
Expect(1, 119295, '\p{Is_Block=__MUSICAL_Symbols}', "");
Expect(0, 119295, '\p{^Is_Block=__MUSICAL_Symbols}', "");
Expect(0, 119295, '\P{Is_Block=__MUSICAL_Symbols}', "");
Expect(1, 119295, '\P{^Is_Block=__MUSICAL_Symbols}', "");
Expect(0, 119296, '\p{Is_Block=__MUSICAL_Symbols}', "");
Expect(1, 119296, '\p{^Is_Block=__MUSICAL_Symbols}', "");
Expect(1, 119296, '\P{Is_Block=__MUSICAL_Symbols}', "");
Expect(0, 119296, '\P{^Is_Block=__MUSICAL_Symbols}', "");
Error('\p{Is_Blk=_:=Music}');
Error('\P{Is_Blk=_:=Music}');
Expect(1, 119295, '\p{Is_Blk=music}', "");
Expect(0, 119295, '\p{^Is_Blk=music}', "");
Expect(0, 119295, '\P{Is_Blk=music}', "");
Expect(1, 119295, '\P{^Is_Blk=music}', "");
Expect(0, 119296, '\p{Is_Blk=music}', "");
Expect(1, 119296, '\p{^Is_Blk=music}', "");
Expect(1, 119296, '\P{Is_Blk=music}', "");
Expect(0, 119296, '\P{^Is_Blk=music}', "");
Expect(1, 119295, '\p{Is_Blk=__Music}', "");
Expect(0, 119295, '\p{^Is_Blk=__Music}', "");
Expect(0, 119295, '\P{Is_Blk=__Music}', "");
Expect(1, 119295, '\P{^Is_Blk=__Music}', "");
Expect(0, 119296, '\p{Is_Blk=__Music}', "");
Expect(1, 119296, '\p{^Is_Blk=__Music}', "");
Expect(1, 119296, '\P{Is_Blk=__Music}', "");
Expect(0, 119296, '\P{^Is_Blk=__Music}', "");
Error('\p{Block=-:=MYANMAR}');
Error('\P{Block=-:=MYANMAR}');
Expect(1, 4255, '\p{Block=myanmar}', "");
Expect(0, 4255, '\p{^Block=myanmar}', "");
Expect(0, 4255, '\P{Block=myanmar}', "");
Expect(1, 4255, '\P{^Block=myanmar}', "");
Expect(0, 4256, '\p{Block=myanmar}', "");
Expect(1, 4256, '\p{^Block=myanmar}', "");
Expect(1, 4256, '\P{Block=myanmar}', "");
Expect(0, 4256, '\P{^Block=myanmar}', "");
Expect(1, 4255, '\p{Block=_-myanmar}', "");
Expect(0, 4255, '\p{^Block=_-myanmar}', "");
Expect(0, 4255, '\P{Block=_-myanmar}', "");
Expect(1, 4255, '\P{^Block=_-myanmar}', "");
Expect(0, 4256, '\p{Block=_-myanmar}', "");
Expect(1, 4256, '\p{^Block=_-myanmar}', "");
Expect(1, 4256, '\P{Block=_-myanmar}', "");
Expect(0, 4256, '\P{^Block=_-myanmar}', "");
Error('\p{Blk= :=Myanmar}');
Error('\P{Blk= :=Myanmar}');
Expect(1, 4255, '\p{Blk=myanmar}', "");
Expect(0, 4255, '\p{^Blk=myanmar}', "");
Expect(0, 4255, '\P{Blk=myanmar}', "");
Expect(1, 4255, '\P{^Blk=myanmar}', "");
Expect(0, 4256, '\p{Blk=myanmar}', "");
Expect(1, 4256, '\p{^Blk=myanmar}', "");
Expect(1, 4256, '\P{Blk=myanmar}', "");
Expect(0, 4256, '\P{^Blk=myanmar}', "");
Expect(1, 4255, '\p{Blk=-Myanmar}', "");
Expect(0, 4255, '\p{^Blk=-Myanmar}', "");
Expect(0, 4255, '\P{Blk=-Myanmar}', "");
Expect(1, 4255, '\P{^Blk=-Myanmar}', "");
Expect(0, 4256, '\p{Blk=-Myanmar}', "");
Expect(1, 4256, '\p{^Blk=-Myanmar}', "");
Expect(1, 4256, '\P{Blk=-Myanmar}', "");
Expect(0, 4256, '\P{^Blk=-Myanmar}', "");
Error('\p{Is_Block=:=	myanmar}');
Error('\P{Is_Block=:=	myanmar}');
Expect(1, 4255, '\p{Is_Block=myanmar}', "");
Expect(0, 4255, '\p{^Is_Block=myanmar}', "");
Expect(0, 4255, '\P{Is_Block=myanmar}', "");
Expect(1, 4255, '\P{^Is_Block=myanmar}', "");
Expect(0, 4256, '\p{Is_Block=myanmar}', "");
Expect(1, 4256, '\p{^Is_Block=myanmar}', "");
Expect(1, 4256, '\P{Is_Block=myanmar}', "");
Expect(0, 4256, '\P{^Is_Block=myanmar}', "");
Expect(1, 4255, '\p{Is_Block=	_Myanmar}', "");
Expect(0, 4255, '\p{^Is_Block=	_Myanmar}', "");
Expect(0, 4255, '\P{Is_Block=	_Myanmar}', "");
Expect(1, 4255, '\P{^Is_Block=	_Myanmar}', "");
Expect(0, 4256, '\p{Is_Block=	_Myanmar}', "");
Expect(1, 4256, '\p{^Is_Block=	_Myanmar}', "");
Expect(1, 4256, '\P{Is_Block=	_Myanmar}', "");
Expect(0, 4256, '\P{^Is_Block=	_Myanmar}', "");
Error('\p{Is_Blk= -myanmar:=}');
Error('\P{Is_Blk= -myanmar:=}');
Expect(1, 4255, '\p{Is_Blk=myanmar}', "");
Expect(0, 4255, '\p{^Is_Blk=myanmar}', "");
Expect(0, 4255, '\P{Is_Blk=myanmar}', "");
Expect(1, 4255, '\P{^Is_Blk=myanmar}', "");
Expect(0, 4256, '\p{Is_Blk=myanmar}', "");
Expect(1, 4256, '\p{^Is_Blk=myanmar}', "");
Expect(1, 4256, '\P{Is_Blk=myanmar}', "");
Expect(0, 4256, '\P{^Is_Blk=myanmar}', "");
Expect(1, 4255, '\p{Is_Blk=--Myanmar}', "");
Expect(0, 4255, '\p{^Is_Blk=--Myanmar}', "");
Expect(0, 4255, '\P{Is_Blk=--Myanmar}', "");
Expect(1, 4255, '\P{^Is_Blk=--Myanmar}', "");
Expect(0, 4256, '\p{Is_Blk=--Myanmar}', "");
Expect(1, 4256, '\p{^Is_Blk=--Myanmar}', "");
Expect(1, 4256, '\P{Is_Blk=--Myanmar}', "");
Expect(0, 4256, '\P{^Is_Blk=--Myanmar}', "");
Error('\p{Block=-MYANMAR_Extended_A/a/}');
Error('\P{Block=-MYANMAR_Extended_A/a/}');
Expect(1, 43647, '\p{Block=myanmarextendeda}', "");
Expect(0, 43647, '\p{^Block=myanmarextendeda}', "");
Expect(0, 43647, '\P{Block=myanmarextendeda}', "");
Expect(1, 43647, '\P{^Block=myanmarextendeda}', "");
Expect(0, 43648, '\p{Block=myanmarextendeda}', "");
Expect(1, 43648, '\p{^Block=myanmarextendeda}', "");
Expect(1, 43648, '\P{Block=myanmarextendeda}', "");
Expect(0, 43648, '\P{^Block=myanmarextendeda}', "");
Expect(1, 43647, '\p{Block=	-Myanmar_Extended_A}', "");
Expect(0, 43647, '\p{^Block=	-Myanmar_Extended_A}', "");
Expect(0, 43647, '\P{Block=	-Myanmar_Extended_A}', "");
Expect(1, 43647, '\P{^Block=	-Myanmar_Extended_A}', "");
Expect(0, 43648, '\p{Block=	-Myanmar_Extended_A}', "");
Expect(1, 43648, '\p{^Block=	-Myanmar_Extended_A}', "");
Expect(1, 43648, '\P{Block=	-Myanmar_Extended_A}', "");
Expect(0, 43648, '\P{^Block=	-Myanmar_Extended_A}', "");
Error('\p{Blk=__Myanmar_ext_A/a/}');
Error('\P{Blk=__Myanmar_ext_A/a/}');
Expect(1, 43647, '\p{Blk=myanmarexta}', "");
Expect(0, 43647, '\p{^Blk=myanmarexta}', "");
Expect(0, 43647, '\P{Blk=myanmarexta}', "");
Expect(1, 43647, '\P{^Blk=myanmarexta}', "");
Expect(0, 43648, '\p{Blk=myanmarexta}', "");
Expect(1, 43648, '\p{^Blk=myanmarexta}', "");
Expect(1, 43648, '\P{Blk=myanmarexta}', "");
Expect(0, 43648, '\P{^Blk=myanmarexta}', "");
Expect(1, 43647, '\p{Blk= Myanmar_Ext_A}', "");
Expect(0, 43647, '\p{^Blk= Myanmar_Ext_A}', "");
Expect(0, 43647, '\P{Blk= Myanmar_Ext_A}', "");
Expect(1, 43647, '\P{^Blk= Myanmar_Ext_A}', "");
Expect(0, 43648, '\p{Blk= Myanmar_Ext_A}', "");
Expect(1, 43648, '\p{^Blk= Myanmar_Ext_A}', "");
Expect(1, 43648, '\P{Blk= Myanmar_Ext_A}', "");
Expect(0, 43648, '\P{^Blk= Myanmar_Ext_A}', "");
Error('\p{Is_Block=:=	 MYANMAR_EXTENDED_A}');
Error('\P{Is_Block=:=	 MYANMAR_EXTENDED_A}');
Expect(1, 43647, '\p{Is_Block=myanmarextendeda}', "");
Expect(0, 43647, '\p{^Is_Block=myanmarextendeda}', "");
Expect(0, 43647, '\P{Is_Block=myanmarextendeda}', "");
Expect(1, 43647, '\P{^Is_Block=myanmarextendeda}', "");
Expect(0, 43648, '\p{Is_Block=myanmarextendeda}', "");
Expect(1, 43648, '\p{^Is_Block=myanmarextendeda}', "");
Expect(1, 43648, '\P{Is_Block=myanmarextendeda}', "");
Expect(0, 43648, '\P{^Is_Block=myanmarextendeda}', "");
Expect(1, 43647, '\p{Is_Block=_Myanmar_Extended_a}', "");
Expect(0, 43647, '\p{^Is_Block=_Myanmar_Extended_a}', "");
Expect(0, 43647, '\P{Is_Block=_Myanmar_Extended_a}', "");
Expect(1, 43647, '\P{^Is_Block=_Myanmar_Extended_a}', "");
Expect(0, 43648, '\p{Is_Block=_Myanmar_Extended_a}', "");
Expect(1, 43648, '\p{^Is_Block=_Myanmar_Extended_a}', "");
Expect(1, 43648, '\P{Is_Block=_Myanmar_Extended_a}', "");
Expect(0, 43648, '\P{^Is_Block=_Myanmar_Extended_a}', "");
Error('\p{Is_Blk=	MYANMAR_ext_a:=}');
Error('\P{Is_Blk=	MYANMAR_ext_a:=}');
Expect(1, 43647, '\p{Is_Blk=myanmarexta}', "");
Expect(0, 43647, '\p{^Is_Blk=myanmarexta}', "");
Expect(0, 43647, '\P{Is_Blk=myanmarexta}', "");
Expect(1, 43647, '\P{^Is_Blk=myanmarexta}', "");
Expect(0, 43648, '\p{Is_Blk=myanmarexta}', "");
Expect(1, 43648, '\p{^Is_Blk=myanmarexta}', "");
Expect(1, 43648, '\P{Is_Blk=myanmarexta}', "");
Expect(0, 43648, '\P{^Is_Blk=myanmarexta}', "");
Expect(1, 43647, '\p{Is_Blk=	Myanmar_Ext_a}', "");
Expect(0, 43647, '\p{^Is_Blk=	Myanmar_Ext_a}', "");
Expect(0, 43647, '\P{Is_Blk=	Myanmar_Ext_a}', "");
Expect(1, 43647, '\P{^Is_Blk=	Myanmar_Ext_a}', "");
Expect(0, 43648, '\p{Is_Blk=	Myanmar_Ext_a}', "");
Expect(1, 43648, '\p{^Is_Blk=	Myanmar_Ext_a}', "");
Expect(1, 43648, '\P{Is_Blk=	Myanmar_Ext_a}', "");
Expect(0, 43648, '\P{^Is_Blk=	Myanmar_Ext_a}', "");
Error('\p{Block=_:=Myanmar_extended_b}');
Error('\P{Block=_:=Myanmar_extended_b}');
Expect(1, 43519, '\p{Block=myanmarextendedb}', "");
Expect(0, 43519, '\p{^Block=myanmarextendedb}', "");
Expect(0, 43519, '\P{Block=myanmarextendedb}', "");
Expect(1, 43519, '\P{^Block=myanmarextendedb}', "");
Expect(0, 43520, '\p{Block=myanmarextendedb}', "");
Expect(1, 43520, '\p{^Block=myanmarextendedb}', "");
Expect(1, 43520, '\P{Block=myanmarextendedb}', "");
Expect(0, 43520, '\P{^Block=myanmarextendedb}', "");
Expect(1, 43519, '\p{Block=	-myanmar_EXTENDED_b}', "");
Expect(0, 43519, '\p{^Block=	-myanmar_EXTENDED_b}', "");
Expect(0, 43519, '\P{Block=	-myanmar_EXTENDED_b}', "");
Expect(1, 43519, '\P{^Block=	-myanmar_EXTENDED_b}', "");
Expect(0, 43520, '\p{Block=	-myanmar_EXTENDED_b}', "");
Expect(1, 43520, '\p{^Block=	-myanmar_EXTENDED_b}', "");
Expect(1, 43520, '\P{Block=	-myanmar_EXTENDED_b}', "");
Expect(0, 43520, '\P{^Block=	-myanmar_EXTENDED_b}', "");
Error('\p{Blk=-:=myanmar_ext_B}');
Error('\P{Blk=-:=myanmar_ext_B}');
Expect(1, 43519, '\p{Blk=myanmarextb}', "");
Expect(0, 43519, '\p{^Blk=myanmarextb}', "");
Expect(0, 43519, '\P{Blk=myanmarextb}', "");
Expect(1, 43519, '\P{^Blk=myanmarextb}', "");
Expect(0, 43520, '\p{Blk=myanmarextb}', "");
Expect(1, 43520, '\p{^Blk=myanmarextb}', "");
Expect(1, 43520, '\P{Blk=myanmarextb}', "");
Expect(0, 43520, '\P{^Blk=myanmarextb}', "");
Expect(1, 43519, '\p{Blk=	 myanmar_EXT_b}', "");
Expect(0, 43519, '\p{^Blk=	 myanmar_EXT_b}', "");
Expect(0, 43519, '\P{Blk=	 myanmar_EXT_b}', "");
Expect(1, 43519, '\P{^Blk=	 myanmar_EXT_b}', "");
Expect(0, 43520, '\p{Blk=	 myanmar_EXT_b}', "");
Expect(1, 43520, '\p{^Blk=	 myanmar_EXT_b}', "");
Expect(1, 43520, '\P{Blk=	 myanmar_EXT_b}', "");
Expect(0, 43520, '\P{^Blk=	 myanmar_EXT_b}', "");
Error('\p{Is_Block=myanmar_EXTENDED_B:=}');
Error('\P{Is_Block=myanmar_EXTENDED_B:=}');
Expect(1, 43519, '\p{Is_Block=myanmarextendedb}', "");
Expect(0, 43519, '\p{^Is_Block=myanmarextendedb}', "");
Expect(0, 43519, '\P{Is_Block=myanmarextendedb}', "");
Expect(1, 43519, '\P{^Is_Block=myanmarextendedb}', "");
Expect(0, 43520, '\p{Is_Block=myanmarextendedb}', "");
Expect(1, 43520, '\p{^Is_Block=myanmarextendedb}', "");
Expect(1, 43520, '\P{Is_Block=myanmarextendedb}', "");
Expect(0, 43520, '\P{^Is_Block=myanmarextendedb}', "");
Expect(1, 43519, '\p{Is_Block=- Myanmar_Extended_B}', "");
Expect(0, 43519, '\p{^Is_Block=- Myanmar_Extended_B}', "");
Expect(0, 43519, '\P{Is_Block=- Myanmar_Extended_B}', "");
Expect(1, 43519, '\P{^Is_Block=- Myanmar_Extended_B}', "");
Expect(0, 43520, '\p{Is_Block=- Myanmar_Extended_B}', "");
Expect(1, 43520, '\p{^Is_Block=- Myanmar_Extended_B}', "");
Expect(1, 43520, '\P{Is_Block=- Myanmar_Extended_B}', "");
Expect(0, 43520, '\P{^Is_Block=- Myanmar_Extended_B}', "");
Error('\p{Is_Blk=	MYANMAR_ext_B:=}');
Error('\P{Is_Blk=	MYANMAR_ext_B:=}');
Expect(1, 43519, '\p{Is_Blk=myanmarextb}', "");
Expect(0, 43519, '\p{^Is_Blk=myanmarextb}', "");
Expect(0, 43519, '\P{Is_Blk=myanmarextb}', "");
Expect(1, 43519, '\P{^Is_Blk=myanmarextb}', "");
Expect(0, 43520, '\p{Is_Blk=myanmarextb}', "");
Expect(1, 43520, '\p{^Is_Blk=myanmarextb}', "");
Expect(1, 43520, '\P{Is_Blk=myanmarextb}', "");
Expect(0, 43520, '\P{^Is_Blk=myanmarextb}', "");
Expect(1, 43519, '\p{Is_Blk=_-Myanmar_ext_B}', "");
Expect(0, 43519, '\p{^Is_Blk=_-Myanmar_ext_B}', "");
Expect(0, 43519, '\P{Is_Blk=_-Myanmar_ext_B}', "");
Expect(1, 43519, '\P{^Is_Blk=_-Myanmar_ext_B}', "");
Expect(0, 43520, '\p{Is_Blk=_-Myanmar_ext_B}', "");
Expect(1, 43520, '\p{^Is_Blk=_-Myanmar_ext_B}', "");
Expect(1, 43520, '\P{Is_Blk=_-Myanmar_ext_B}', "");
Expect(0, 43520, '\P{^Is_Blk=_-Myanmar_ext_B}', "");
Error('\p{Block=_/a/NO_BLOCK}');
Error('\P{Block=_/a/NO_BLOCK}');
Expect(1, 918000, '\p{Block=noblock}', "");
Expect(0, 918000, '\p{^Block=noblock}', "");
Expect(0, 918000, '\P{Block=noblock}', "");
Expect(1, 918000, '\P{^Block=noblock}', "");
Expect(0, 983040, '\p{Block=noblock}', "");
Expect(1, 983040, '\p{^Block=noblock}', "");
Expect(1, 983040, '\P{Block=noblock}', "");
Expect(0, 983040, '\P{^Block=noblock}', "");
Expect(1, 918000, '\p{Block=_	NO_Block}', "");
Expect(0, 918000, '\p{^Block=_	NO_Block}', "");
Expect(0, 918000, '\P{Block=_	NO_Block}', "");
Expect(1, 918000, '\P{^Block=_	NO_Block}', "");
Expect(0, 983040, '\p{Block=_	NO_Block}', "");
Expect(1, 983040, '\p{^Block=_	NO_Block}', "");
Expect(1, 983040, '\P{Block=_	NO_Block}', "");
Expect(0, 983040, '\P{^Block=_	NO_Block}', "");
Error('\p{Blk=:=-	NB}');
Error('\P{Blk=:=-	NB}');
Expect(1, 918000, '\p{Blk=nb}', "");
Expect(0, 918000, '\p{^Blk=nb}', "");
Expect(0, 918000, '\P{Blk=nb}', "");
Expect(1, 918000, '\P{^Blk=nb}', "");
Expect(0, 983040, '\p{Blk=nb}', "");
Expect(1, 983040, '\p{^Blk=nb}', "");
Expect(1, 983040, '\P{Blk=nb}', "");
Expect(0, 983040, '\P{^Blk=nb}', "");
Expect(1, 918000, '\p{Blk:	_nb}', "");
Expect(0, 918000, '\p{^Blk:	_nb}', "");
Expect(0, 918000, '\P{Blk:	_nb}', "");
Expect(1, 918000, '\P{^Blk:	_nb}', "");
Expect(0, 983040, '\p{Blk:	_nb}', "");
Expect(1, 983040, '\p{^Blk:	_nb}', "");
Expect(1, 983040, '\P{Blk:	_nb}', "");
Expect(0, 983040, '\P{^Blk:	_nb}', "");
Error('\p{Is_Block=:=	_No_Block}');
Error('\P{Is_Block=:=	_No_Block}');
Expect(1, 918000, '\p{Is_Block:	noblock}', "");
Expect(0, 918000, '\p{^Is_Block:	noblock}', "");
Expect(0, 918000, '\P{Is_Block:	noblock}', "");
Expect(1, 918000, '\P{^Is_Block:	noblock}', "");
Expect(0, 983040, '\p{Is_Block:	noblock}', "");
Expect(1, 983040, '\p{^Is_Block:	noblock}', "");
Expect(1, 983040, '\P{Is_Block:	noblock}', "");
Expect(0, 983040, '\P{^Is_Block:	noblock}', "");
Expect(1, 918000, '\p{Is_Block= NO_Block}', "");
Expect(0, 918000, '\p{^Is_Block= NO_Block}', "");
Expect(0, 918000, '\P{Is_Block= NO_Block}', "");
Expect(1, 918000, '\P{^Is_Block= NO_Block}', "");
Expect(0, 983040, '\p{Is_Block= NO_Block}', "");
Expect(1, 983040, '\p{^Is_Block= NO_Block}', "");
Expect(1, 983040, '\P{Is_Block= NO_Block}', "");
Expect(0, 983040, '\P{^Is_Block= NO_Block}', "");
Error('\p{Is_Blk:   	NB:=}');
Error('\P{Is_Blk:   	NB:=}');
Expect(1, 918000, '\p{Is_Blk=nb}', "");
Expect(0, 918000, '\p{^Is_Blk=nb}', "");
Expect(0, 918000, '\P{Is_Blk=nb}', "");
Expect(1, 918000, '\P{^Is_Blk=nb}', "");
Expect(0, 983040, '\p{Is_Blk=nb}', "");
Expect(1, 983040, '\p{^Is_Blk=nb}', "");
Expect(1, 983040, '\P{Is_Blk=nb}', "");
Expect(0, 983040, '\P{^Is_Blk=nb}', "");
Expect(1, 918000, '\p{Is_Blk=	NB}', "");
Expect(0, 918000, '\p{^Is_Blk=	NB}', "");
Expect(0, 918000, '\P{Is_Blk=	NB}', "");
Expect(1, 918000, '\P{^Is_Blk=	NB}', "");
Expect(0, 983040, '\p{Is_Blk=	NB}', "");
Expect(1, 983040, '\p{^Is_Blk=	NB}', "");
Expect(1, 983040, '\P{Is_Blk=	NB}', "");
Expect(0, 983040, '\P{^Is_Blk=	NB}', "");
Error('\p{Block=/a/-	NKO}');
Error('\P{Block=/a/-	NKO}');
Expect(1, 2047, '\p{Block:   nko}', "");
Expect(0, 2047, '\p{^Block:   nko}', "");
Expect(0, 2047, '\P{Block:   nko}', "");
Expect(1, 2047, '\P{^Block:   nko}', "");
Expect(0, 2048, '\p{Block:   nko}', "");
Expect(1, 2048, '\p{^Block:   nko}', "");
Expect(1, 2048, '\P{Block:   nko}', "");
Expect(0, 2048, '\P{^Block:   nko}', "");
Expect(1, 2047, '\p{Block:	 NKo}', "");
Expect(0, 2047, '\p{^Block:	 NKo}', "");
Expect(0, 2047, '\P{Block:	 NKo}', "");
Expect(1, 2047, '\P{^Block:	 NKo}', "");
Expect(0, 2048, '\p{Block:	 NKo}', "");
Expect(1, 2048, '\p{^Block:	 NKo}', "");
Expect(1, 2048, '\P{Block:	 NKo}', "");
Expect(0, 2048, '\P{^Block:	 NKo}', "");
Error('\p{Blk::=	_nko}');
Error('\P{Blk::=	_nko}');
Expect(1, 2047, '\p{Blk:nko}', "");
Expect(0, 2047, '\p{^Blk:nko}', "");
Expect(0, 2047, '\P{Blk:nko}', "");
Expect(1, 2047, '\P{^Blk:nko}', "");
Expect(0, 2048, '\p{Blk:nko}', "");
Expect(1, 2048, '\p{^Blk:nko}', "");
Expect(1, 2048, '\P{Blk:nko}', "");
Expect(0, 2048, '\P{^Blk:nko}', "");
Expect(1, 2047, '\p{Blk=  NKo}', "");
Expect(0, 2047, '\p{^Blk=  NKo}', "");
Expect(0, 2047, '\P{Blk=  NKo}', "");
Expect(1, 2047, '\P{^Blk=  NKo}', "");
Expect(0, 2048, '\p{Blk=  NKo}', "");
Expect(1, 2048, '\p{^Blk=  NKo}', "");
Expect(1, 2048, '\P{Blk=  NKo}', "");
Expect(0, 2048, '\P{^Blk=  NKo}', "");
Error('\p{Is_Block=--NKo:=}');
Error('\P{Is_Block=--NKo:=}');
Expect(1, 2047, '\p{Is_Block=nko}', "");
Expect(0, 2047, '\p{^Is_Block=nko}', "");
Expect(0, 2047, '\P{Is_Block=nko}', "");
Expect(1, 2047, '\P{^Is_Block=nko}', "");
Expect(0, 2048, '\p{Is_Block=nko}', "");
Expect(1, 2048, '\p{^Is_Block=nko}', "");
Expect(1, 2048, '\P{Is_Block=nko}', "");
Expect(0, 2048, '\P{^Is_Block=nko}', "");
Expect(1, 2047, '\p{Is_Block=-	NKO}', "");
Expect(0, 2047, '\p{^Is_Block=-	NKO}', "");
Expect(0, 2047, '\P{Is_Block=-	NKO}', "");
Expect(1, 2047, '\P{^Is_Block=-	NKO}', "");
Expect(0, 2048, '\p{Is_Block=-	NKO}', "");
Expect(1, 2048, '\p{^Is_Block=-	NKO}', "");
Expect(1, 2048, '\P{Is_Block=-	NKO}', "");
Expect(0, 2048, '\P{^Is_Block=-	NKO}', "");
Error('\p{Is_Blk=-nko/a/}');
Error('\P{Is_Blk=-nko/a/}');
Expect(1, 2047, '\p{Is_Blk=nko}', "");
Expect(0, 2047, '\p{^Is_Blk=nko}', "");
Expect(0, 2047, '\P{Is_Blk=nko}', "");
Expect(1, 2047, '\P{^Is_Blk=nko}', "");
Expect(0, 2048, '\p{Is_Blk=nko}', "");
Expect(1, 2048, '\p{^Is_Blk=nko}', "");
Expect(1, 2048, '\P{Is_Blk=nko}', "");
Expect(0, 2048, '\P{^Is_Blk=nko}', "");
Expect(1, 2047, '\p{Is_Blk= nko}', "");
Expect(0, 2047, '\p{^Is_Blk= nko}', "");
Expect(0, 2047, '\P{Is_Blk= nko}', "");
Expect(1, 2047, '\P{^Is_Blk= nko}', "");
Expect(0, 2048, '\p{Is_Blk= nko}', "");
Expect(1, 2048, '\p{^Is_Blk= nko}', "");
Expect(1, 2048, '\P{Is_Blk= nko}', "");
Expect(0, 2048, '\P{^Is_Blk= nko}', "");
Error('\p{Block=/a/_ Nabataean}');
Error('\P{Block=/a/_ Nabataean}');
Expect(1, 67759, '\p{Block=nabataean}', "");
Expect(0, 67759, '\p{^Block=nabataean}', "");
Expect(0, 67759, '\P{Block=nabataean}', "");
Expect(1, 67759, '\P{^Block=nabataean}', "");
Expect(0, 67760, '\p{Block=nabataean}', "");
Expect(1, 67760, '\p{^Block=nabataean}', "");
Expect(1, 67760, '\P{Block=nabataean}', "");
Expect(0, 67760, '\P{^Block=nabataean}', "");
Expect(1, 67759, '\p{Block= -nabataean}', "");
Expect(0, 67759, '\p{^Block= -nabataean}', "");
Expect(0, 67759, '\P{Block= -nabataean}', "");
Expect(1, 67759, '\P{^Block= -nabataean}', "");
Expect(0, 67760, '\p{Block= -nabataean}', "");
Expect(1, 67760, '\p{^Block= -nabataean}', "");
Expect(1, 67760, '\P{Block= -nabataean}', "");
Expect(0, 67760, '\P{^Block= -nabataean}', "");
Error('\p{Blk= 	nabataean/a/}');
Error('\P{Blk= 	nabataean/a/}');
Expect(1, 67759, '\p{Blk: nabataean}', "");
Expect(0, 67759, '\p{^Blk: nabataean}', "");
Expect(0, 67759, '\P{Blk: nabataean}', "");
Expect(1, 67759, '\P{^Blk: nabataean}', "");
Expect(0, 67760, '\p{Blk: nabataean}', "");
Expect(1, 67760, '\p{^Blk: nabataean}', "");
Expect(1, 67760, '\P{Blk: nabataean}', "");
Expect(0, 67760, '\P{^Blk: nabataean}', "");
Expect(1, 67759, '\p{Blk= 	nabataean}', "");
Expect(0, 67759, '\p{^Blk= 	nabataean}', "");
Expect(0, 67759, '\P{Blk= 	nabataean}', "");
Expect(1, 67759, '\P{^Blk= 	nabataean}', "");
Expect(0, 67760, '\p{Blk= 	nabataean}', "");
Expect(1, 67760, '\p{^Blk= 	nabataean}', "");
Expect(1, 67760, '\P{Blk= 	nabataean}', "");
Expect(0, 67760, '\P{^Blk= 	nabataean}', "");
Error('\p{Is_Block=-/a/nabataean}');
Error('\P{Is_Block=-/a/nabataean}');
Expect(1, 67759, '\p{Is_Block=nabataean}', "");
Expect(0, 67759, '\p{^Is_Block=nabataean}', "");
Expect(0, 67759, '\P{Is_Block=nabataean}', "");
Expect(1, 67759, '\P{^Is_Block=nabataean}', "");
Expect(0, 67760, '\p{Is_Block=nabataean}', "");
Expect(1, 67760, '\p{^Is_Block=nabataean}', "");
Expect(1, 67760, '\P{Is_Block=nabataean}', "");
Expect(0, 67760, '\P{^Is_Block=nabataean}', "");
Expect(1, 67759, '\p{Is_Block= _nabataean}', "");
Expect(0, 67759, '\p{^Is_Block= _nabataean}', "");
Expect(0, 67759, '\P{Is_Block= _nabataean}', "");
Expect(1, 67759, '\P{^Is_Block= _nabataean}', "");
Expect(0, 67760, '\p{Is_Block= _nabataean}', "");
Expect(1, 67760, '\p{^Is_Block= _nabataean}', "");
Expect(1, 67760, '\P{Is_Block= _nabataean}', "");
Expect(0, 67760, '\P{^Is_Block= _nabataean}', "");
Error('\p{Is_Blk= 	Nabataean:=}');
Error('\P{Is_Blk= 	Nabataean:=}');
Expect(1, 67759, '\p{Is_Blk:   nabataean}', "");
Expect(0, 67759, '\p{^Is_Blk:   nabataean}', "");
Expect(0, 67759, '\P{Is_Blk:   nabataean}', "");
Expect(1, 67759, '\P{^Is_Blk:   nabataean}', "");
Expect(0, 67760, '\p{Is_Blk:   nabataean}', "");
Expect(1, 67760, '\p{^Is_Blk:   nabataean}', "");
Expect(1, 67760, '\P{Is_Blk:   nabataean}', "");
Expect(0, 67760, '\P{^Is_Blk:   nabataean}', "");
Expect(1, 67759, '\p{Is_Blk=		NABATAEAN}', "");
Expect(0, 67759, '\p{^Is_Blk=		NABATAEAN}', "");
Expect(0, 67759, '\P{Is_Blk=		NABATAEAN}', "");
Expect(1, 67759, '\P{^Is_Blk=		NABATAEAN}', "");
Expect(0, 67760, '\p{Is_Blk=		NABATAEAN}', "");
Expect(1, 67760, '\p{^Is_Blk=		NABATAEAN}', "");
Expect(1, 67760, '\P{Is_Blk=		NABATAEAN}', "");
Expect(0, 67760, '\P{^Is_Blk=		NABATAEAN}', "");
Error('\p{Block:- New_tai_LUE/a/}');
Error('\P{Block:- New_tai_LUE/a/}');
Expect(1, 6623, '\p{Block:newtailue}', "");
Expect(0, 6623, '\p{^Block:newtailue}', "");
Expect(0, 6623, '\P{Block:newtailue}', "");
Expect(1, 6623, '\P{^Block:newtailue}', "");
Expect(0, 6624, '\p{Block:newtailue}', "");
Expect(1, 6624, '\p{^Block:newtailue}', "");
Expect(1, 6624, '\P{Block:newtailue}', "");
Expect(0, 6624, '\P{^Block:newtailue}', "");
Expect(1, 6623, '\p{Block=	NEW_TAI_Lue}', "");
Expect(0, 6623, '\p{^Block=	NEW_TAI_Lue}', "");
Expect(0, 6623, '\P{Block=	NEW_TAI_Lue}', "");
Expect(1, 6623, '\P{^Block=	NEW_TAI_Lue}', "");
Expect(0, 6624, '\p{Block=	NEW_TAI_Lue}', "");
Expect(1, 6624, '\p{^Block=	NEW_TAI_Lue}', "");
Expect(1, 6624, '\P{Block=	NEW_TAI_Lue}', "");
Expect(0, 6624, '\P{^Block=	NEW_TAI_Lue}', "");
Error('\p{Blk=:=	-New_TAI_lue}');
Error('\P{Blk=:=	-New_TAI_lue}');
Expect(1, 6623, '\p{Blk=newtailue}', "");
Expect(0, 6623, '\p{^Blk=newtailue}', "");
Expect(0, 6623, '\P{Blk=newtailue}', "");
Expect(1, 6623, '\P{^Blk=newtailue}', "");
Expect(0, 6624, '\p{Blk=newtailue}', "");
Expect(1, 6624, '\p{^Blk=newtailue}', "");
Expect(1, 6624, '\P{Blk=newtailue}', "");
Expect(0, 6624, '\P{^Blk=newtailue}', "");
Expect(1, 6623, '\p{Blk=-	NEW_Tai_lue}', "");
Expect(0, 6623, '\p{^Blk=-	NEW_Tai_lue}', "");
Expect(0, 6623, '\P{Blk=-	NEW_Tai_lue}', "");
Expect(1, 6623, '\P{^Blk=-	NEW_Tai_lue}', "");
Expect(0, 6624, '\p{Blk=-	NEW_Tai_lue}', "");
Expect(1, 6624, '\p{^Blk=-	NEW_Tai_lue}', "");
Expect(1, 6624, '\P{Blk=-	NEW_Tai_lue}', "");
Expect(0, 6624, '\P{^Blk=-	NEW_Tai_lue}', "");
Error('\p{Is_Block=:=-_new_Tai_LUE}');
Error('\P{Is_Block=:=-_new_Tai_LUE}');
Expect(1, 6623, '\p{Is_Block=newtailue}', "");
Expect(0, 6623, '\p{^Is_Block=newtailue}', "");
Expect(0, 6623, '\P{Is_Block=newtailue}', "");
Expect(1, 6623, '\P{^Is_Block=newtailue}', "");
Expect(0, 6624, '\p{Is_Block=newtailue}', "");
Expect(1, 6624, '\p{^Is_Block=newtailue}', "");
Expect(1, 6624, '\P{Is_Block=newtailue}', "");
Expect(0, 6624, '\P{^Is_Block=newtailue}', "");
Expect(1, 6623, '\p{Is_Block=_ New_tai_Lue}', "");
Expect(0, 6623, '\p{^Is_Block=_ New_tai_Lue}', "");
Expect(0, 6623, '\P{Is_Block=_ New_tai_Lue}', "");
Expect(1, 6623, '\P{^Is_Block=_ New_tai_Lue}', "");
Expect(0, 6624, '\p{Is_Block=_ New_tai_Lue}', "");
Expect(1, 6624, '\p{^Is_Block=_ New_tai_Lue}', "");
Expect(1, 6624, '\P{Is_Block=_ New_tai_Lue}', "");
Expect(0, 6624, '\P{^Is_Block=_ New_tai_Lue}', "");
Error('\p{Is_Blk:   -new_TAI_LUE:=}');
Error('\P{Is_Blk:   -new_TAI_LUE:=}');
Expect(1, 6623, '\p{Is_Blk=newtailue}', "");
Expect(0, 6623, '\p{^Is_Blk=newtailue}', "");
Expect(0, 6623, '\P{Is_Blk=newtailue}', "");
Expect(1, 6623, '\P{^Is_Blk=newtailue}', "");
Expect(0, 6624, '\p{Is_Blk=newtailue}', "");
Expect(1, 6624, '\p{^Is_Blk=newtailue}', "");
Expect(1, 6624, '\P{Is_Blk=newtailue}', "");
Expect(0, 6624, '\P{^Is_Blk=newtailue}', "");
Expect(1, 6623, '\p{Is_Blk=	_new_Tai_Lue}', "");
Expect(0, 6623, '\p{^Is_Blk=	_new_Tai_Lue}', "");
Expect(0, 6623, '\P{Is_Blk=	_new_Tai_Lue}', "");
Expect(1, 6623, '\P{^Is_Blk=	_new_Tai_Lue}', "");
Expect(0, 6624, '\p{Is_Blk=	_new_Tai_Lue}', "");
Expect(1, 6624, '\p{^Is_Blk=	_new_Tai_Lue}', "");
Expect(1, 6624, '\P{Is_Blk=	_new_Tai_Lue}', "");
Expect(0, 6624, '\P{^Is_Blk=	_new_Tai_Lue}', "");
Error('\p{Block=	Number_FORMS/a/}');
Error('\P{Block=	Number_FORMS/a/}');
Expect(1, 8591, '\p{Block=numberforms}', "");
Expect(0, 8591, '\p{^Block=numberforms}', "");
Expect(0, 8591, '\P{Block=numberforms}', "");
Expect(1, 8591, '\P{^Block=numberforms}', "");
Expect(0, 8592, '\p{Block=numberforms}', "");
Expect(1, 8592, '\p{^Block=numberforms}', "");
Expect(1, 8592, '\P{Block=numberforms}', "");
Expect(0, 8592, '\P{^Block=numberforms}', "");
Expect(1, 8591, '\p{Block= 	number_FORMS}', "");
Expect(0, 8591, '\p{^Block= 	number_FORMS}', "");
Expect(0, 8591, '\P{Block= 	number_FORMS}', "");
Expect(1, 8591, '\P{^Block= 	number_FORMS}', "");
Expect(0, 8592, '\p{Block= 	number_FORMS}', "");
Expect(1, 8592, '\p{^Block= 	number_FORMS}', "");
Expect(1, 8592, '\P{Block= 	number_FORMS}', "");
Expect(0, 8592, '\P{^Block= 	number_FORMS}', "");
Error('\p{Blk=		Number_FORMS/a/}');
Error('\P{Blk=		Number_FORMS/a/}');
Expect(1, 8591, '\p{Blk=numberforms}', "");
Expect(0, 8591, '\p{^Blk=numberforms}', "");
Expect(0, 8591, '\P{Blk=numberforms}', "");
Expect(1, 8591, '\P{^Blk=numberforms}', "");
Expect(0, 8592, '\p{Blk=numberforms}', "");
Expect(1, 8592, '\p{^Blk=numberforms}', "");
Expect(1, 8592, '\P{Blk=numberforms}', "");
Expect(0, 8592, '\P{^Blk=numberforms}', "");
Expect(1, 8591, '\p{Blk=_-Number_Forms}', "");
Expect(0, 8591, '\p{^Blk=_-Number_Forms}', "");
Expect(0, 8591, '\P{Blk=_-Number_Forms}', "");
Expect(1, 8591, '\P{^Blk=_-Number_Forms}', "");
Expect(0, 8592, '\p{Blk=_-Number_Forms}', "");
Expect(1, 8592, '\p{^Blk=_-Number_Forms}', "");
Expect(1, 8592, '\P{Blk=_-Number_Forms}', "");
Expect(0, 8592, '\P{^Blk=_-Number_Forms}', "");
Error('\p{Is_Block=/a/ _NUMBER_FORMS}');
Error('\P{Is_Block=/a/ _NUMBER_FORMS}');
Expect(1, 8591, '\p{Is_Block=numberforms}', "");
Expect(0, 8591, '\p{^Is_Block=numberforms}', "");
Expect(0, 8591, '\P{Is_Block=numberforms}', "");
Expect(1, 8591, '\P{^Is_Block=numberforms}', "");
Expect(0, 8592, '\p{Is_Block=numberforms}', "");
Expect(1, 8592, '\p{^Is_Block=numberforms}', "");
Expect(1, 8592, '\P{Is_Block=numberforms}', "");
Expect(0, 8592, '\P{^Is_Block=numberforms}', "");
Expect(1, 8591, '\p{Is_Block=	Number_forms}', "");
Expect(0, 8591, '\p{^Is_Block=	Number_forms}', "");
Expect(0, 8591, '\P{Is_Block=	Number_forms}', "");
Expect(1, 8591, '\P{^Is_Block=	Number_forms}', "");
Expect(0, 8592, '\p{Is_Block=	Number_forms}', "");
Expect(1, 8592, '\p{^Is_Block=	Number_forms}', "");
Expect(1, 8592, '\P{Is_Block=	Number_forms}', "");
Expect(0, 8592, '\P{^Is_Block=	Number_forms}', "");
Error('\p{Is_Blk=:=--Number_FORMS}');
Error('\P{Is_Blk=:=--Number_FORMS}');
Expect(1, 8591, '\p{Is_Blk=numberforms}', "");
Expect(0, 8591, '\p{^Is_Blk=numberforms}', "");
Expect(0, 8591, '\P{Is_Blk=numberforms}', "");
Expect(1, 8591, '\P{^Is_Blk=numberforms}', "");
Expect(0, 8592, '\p{Is_Blk=numberforms}', "");
Expect(1, 8592, '\p{^Is_Blk=numberforms}', "");
Expect(1, 8592, '\P{Is_Blk=numberforms}', "");
Expect(0, 8592, '\P{^Is_Blk=numberforms}', "");
Expect(1, 8591, '\p{Is_Blk=	 NUMBER_Forms}', "");
Expect(0, 8591, '\p{^Is_Blk=	 NUMBER_Forms}', "");
Expect(0, 8591, '\P{Is_Blk=	 NUMBER_Forms}', "");
Expect(1, 8591, '\P{^Is_Blk=	 NUMBER_Forms}', "");
Expect(0, 8592, '\p{Is_Blk=	 NUMBER_Forms}', "");
Expect(1, 8592, '\p{^Is_Blk=	 NUMBER_Forms}', "");
Expect(1, 8592, '\P{Is_Blk=	 NUMBER_Forms}', "");
Expect(0, 8592, '\P{^Is_Blk=	 NUMBER_Forms}', "");
Error('\p{Block=	OPTICAL_character_RECOGNITION:=}');
Error('\P{Block=	OPTICAL_character_RECOGNITION:=}');
Expect(1, 9311, '\p{Block=opticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^Block=opticalcharacterrecognition}', "");
Expect(0, 9311, '\P{Block=opticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^Block=opticalcharacterrecognition}', "");
Expect(0, 9312, '\p{Block=opticalcharacterrecognition}', "");
Expect(1, 9312, '\p{^Block=opticalcharacterrecognition}', "");
Expect(1, 9312, '\P{Block=opticalcharacterrecognition}', "");
Expect(0, 9312, '\P{^Block=opticalcharacterrecognition}', "");
Expect(1, 9311, '\p{Block=		Optical_Character_RECOGNITION}', "");
Expect(0, 9311, '\p{^Block=		Optical_Character_RECOGNITION}', "");
Expect(0, 9311, '\P{Block=		Optical_Character_RECOGNITION}', "");
Expect(1, 9311, '\P{^Block=		Optical_Character_RECOGNITION}', "");
Expect(0, 9312, '\p{Block=		Optical_Character_RECOGNITION}', "");
Expect(1, 9312, '\p{^Block=		Optical_Character_RECOGNITION}', "");
Expect(1, 9312, '\P{Block=		Optical_Character_RECOGNITION}', "");
Expect(0, 9312, '\P{^Block=		Optical_Character_RECOGNITION}', "");
Error('\p{Blk=_OCR/a/}');
Error('\P{Blk=_OCR/a/}');
Expect(1, 9311, '\p{Blk=ocr}', "");
Expect(0, 9311, '\p{^Blk=ocr}', "");
Expect(0, 9311, '\P{Blk=ocr}', "");
Expect(1, 9311, '\P{^Blk=ocr}', "");
Expect(0, 9312, '\p{Blk=ocr}', "");
Expect(1, 9312, '\p{^Blk=ocr}', "");
Expect(1, 9312, '\P{Blk=ocr}', "");
Expect(0, 9312, '\P{^Blk=ocr}', "");
Expect(1, 9311, '\p{Blk=  ocr}', "");
Expect(0, 9311, '\p{^Blk=  ocr}', "");
Expect(0, 9311, '\P{Blk=  ocr}', "");
Expect(1, 9311, '\P{^Blk=  ocr}', "");
Expect(0, 9312, '\p{Blk=  ocr}', "");
Expect(1, 9312, '\p{^Blk=  ocr}', "");
Expect(1, 9312, '\P{Blk=  ocr}', "");
Expect(0, 9312, '\P{^Blk=  ocr}', "");
Error('\p{Is_Block=:=-	optical_Character_Recognition}');
Error('\P{Is_Block=:=-	optical_Character_Recognition}');
Expect(1, 9311, '\p{Is_Block=opticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^Is_Block=opticalcharacterrecognition}', "");
Expect(0, 9311, '\P{Is_Block=opticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^Is_Block=opticalcharacterrecognition}', "");
Expect(0, 9312, '\p{Is_Block=opticalcharacterrecognition}', "");
Expect(1, 9312, '\p{^Is_Block=opticalcharacterrecognition}', "");
Expect(1, 9312, '\P{Is_Block=opticalcharacterrecognition}', "");
Expect(0, 9312, '\P{^Is_Block=opticalcharacterrecognition}', "");
Expect(1, 9311, '\p{Is_Block=__Optical_Character_recognition}', "");
Expect(0, 9311, '\p{^Is_Block=__Optical_Character_recognition}', "");
Expect(0, 9311, '\P{Is_Block=__Optical_Character_recognition}', "");
Expect(1, 9311, '\P{^Is_Block=__Optical_Character_recognition}', "");
Expect(0, 9312, '\p{Is_Block=__Optical_Character_recognition}', "");
Expect(1, 9312, '\p{^Is_Block=__Optical_Character_recognition}', "");
Expect(1, 9312, '\P{Is_Block=__Optical_Character_recognition}', "");
Expect(0, 9312, '\P{^Is_Block=__Optical_Character_recognition}', "");
Error('\p{Is_Blk=_/a/OCR}');
Error('\P{Is_Blk=_/a/OCR}');
Expect(1, 9311, '\p{Is_Blk=ocr}', "");
Expect(0, 9311, '\p{^Is_Blk=ocr}', "");
Expect(0, 9311, '\P{Is_Blk=ocr}', "");
Expect(1, 9311, '\P{^Is_Blk=ocr}', "");
Expect(0, 9312, '\p{Is_Blk=ocr}', "");
Expect(1, 9312, '\p{^Is_Blk=ocr}', "");
Expect(1, 9312, '\P{Is_Blk=ocr}', "");
Expect(0, 9312, '\P{^Is_Blk=ocr}', "");
Expect(1, 9311, '\p{Is_Blk: 	-OCR}', "");
Expect(0, 9311, '\p{^Is_Blk: 	-OCR}', "");
Expect(0, 9311, '\P{Is_Blk: 	-OCR}', "");
Expect(1, 9311, '\P{^Is_Blk: 	-OCR}', "");
Expect(0, 9312, '\p{Is_Blk: 	-OCR}', "");
Expect(1, 9312, '\p{^Is_Blk: 	-OCR}', "");
Expect(1, 9312, '\P{Is_Blk: 	-OCR}', "");
Expect(0, 9312, '\P{^Is_Blk: 	-OCR}', "");
Error('\p{Block=_ Ogham/a/}');
Error('\P{Block=_ Ogham/a/}');
Expect(1, 5791, '\p{Block=ogham}', "");
Expect(0, 5791, '\p{^Block=ogham}', "");
Expect(0, 5791, '\P{Block=ogham}', "");
Expect(1, 5791, '\P{^Block=ogham}', "");
Expect(0, 5792, '\p{Block=ogham}', "");
Expect(1, 5792, '\p{^Block=ogham}', "");
Expect(1, 5792, '\P{Block=ogham}', "");
Expect(0, 5792, '\P{^Block=ogham}', "");
Expect(1, 5791, '\p{Block=_ ogham}', "");
Expect(0, 5791, '\p{^Block=_ ogham}', "");
Expect(0, 5791, '\P{Block=_ ogham}', "");
Expect(1, 5791, '\P{^Block=_ ogham}', "");
Expect(0, 5792, '\p{Block=_ ogham}', "");
Expect(1, 5792, '\p{^Block=_ ogham}', "");
Expect(1, 5792, '\P{Block=_ ogham}', "");
Expect(0, 5792, '\P{^Block=_ ogham}', "");
Error('\p{Blk=:=	Ogham}');
Error('\P{Blk=:=	Ogham}');
Expect(1, 5791, '\p{Blk=ogham}', "");
Expect(0, 5791, '\p{^Blk=ogham}', "");
Expect(0, 5791, '\P{Blk=ogham}', "");
Expect(1, 5791, '\P{^Blk=ogham}', "");
Expect(0, 5792, '\p{Blk=ogham}', "");
Expect(1, 5792, '\p{^Blk=ogham}', "");
Expect(1, 5792, '\P{Blk=ogham}', "");
Expect(0, 5792, '\P{^Blk=ogham}', "");
Expect(1, 5791, '\p{Blk=_	ogham}', "");
Expect(0, 5791, '\p{^Blk=_	ogham}', "");
Expect(0, 5791, '\P{Blk=_	ogham}', "");
Expect(1, 5791, '\P{^Blk=_	ogham}', "");
Expect(0, 5792, '\p{Blk=_	ogham}', "");
Expect(1, 5792, '\p{^Blk=_	ogham}', "");
Expect(1, 5792, '\P{Blk=_	ogham}', "");
Expect(0, 5792, '\P{^Blk=_	ogham}', "");
Error('\p{Is_Block:			Ogham/a/}');
Error('\P{Is_Block:			Ogham/a/}');
Expect(1, 5791, '\p{Is_Block=ogham}', "");
Expect(0, 5791, '\p{^Is_Block=ogham}', "");
Expect(0, 5791, '\P{Is_Block=ogham}', "");
Expect(1, 5791, '\P{^Is_Block=ogham}', "");
Expect(0, 5792, '\p{Is_Block=ogham}', "");
Expect(1, 5792, '\p{^Is_Block=ogham}', "");
Expect(1, 5792, '\P{Is_Block=ogham}', "");
Expect(0, 5792, '\P{^Is_Block=ogham}', "");
Expect(1, 5791, '\p{Is_Block=_Ogham}', "");
Expect(0, 5791, '\p{^Is_Block=_Ogham}', "");
Expect(0, 5791, '\P{Is_Block=_Ogham}', "");
Expect(1, 5791, '\P{^Is_Block=_Ogham}', "");
Expect(0, 5792, '\p{Is_Block=_Ogham}', "");
Expect(1, 5792, '\p{^Is_Block=_Ogham}', "");
Expect(1, 5792, '\P{Is_Block=_Ogham}', "");
Expect(0, 5792, '\P{^Is_Block=_Ogham}', "");
Error('\p{Is_Blk=_-Ogham:=}');
Error('\P{Is_Blk=_-Ogham:=}');
Expect(1, 5791, '\p{Is_Blk=ogham}', "");
Expect(0, 5791, '\p{^Is_Blk=ogham}', "");
Expect(0, 5791, '\P{Is_Blk=ogham}', "");
Expect(1, 5791, '\P{^Is_Blk=ogham}', "");
Expect(0, 5792, '\p{Is_Blk=ogham}', "");
Expect(1, 5792, '\p{^Is_Blk=ogham}', "");
Expect(1, 5792, '\P{Is_Blk=ogham}', "");
Expect(0, 5792, '\P{^Is_Blk=ogham}', "");
Expect(1, 5791, '\p{Is_Blk=  OGHAM}', "");
Expect(0, 5791, '\p{^Is_Blk=  OGHAM}', "");
Expect(0, 5791, '\P{Is_Blk=  OGHAM}', "");
Expect(1, 5791, '\P{^Is_Blk=  OGHAM}', "");
Expect(0, 5792, '\p{Is_Blk=  OGHAM}', "");
Expect(1, 5792, '\p{^Is_Blk=  OGHAM}', "");
Expect(1, 5792, '\P{Is_Blk=  OGHAM}', "");
Expect(0, 5792, '\P{^Is_Blk=  OGHAM}', "");
Error('\p{Block=:= 	ol_chiki}');
Error('\P{Block=:= 	ol_chiki}');
Expect(1, 7295, '\p{Block:olchiki}', "");
Expect(0, 7295, '\p{^Block:olchiki}', "");
Expect(0, 7295, '\P{Block:olchiki}', "");
Expect(1, 7295, '\P{^Block:olchiki}', "");
Expect(0, 7296, '\p{Block:olchiki}', "");
Expect(1, 7296, '\p{^Block:olchiki}', "");
Expect(1, 7296, '\P{Block:olchiki}', "");
Expect(0, 7296, '\P{^Block:olchiki}', "");
Expect(1, 7295, '\p{Block: Ol_CHIKI}', "");
Expect(0, 7295, '\p{^Block: Ol_CHIKI}', "");
Expect(0, 7295, '\P{Block: Ol_CHIKI}', "");
Expect(1, 7295, '\P{^Block: Ol_CHIKI}', "");
Expect(0, 7296, '\p{Block: Ol_CHIKI}', "");
Expect(1, 7296, '\p{^Block: Ol_CHIKI}', "");
Expect(1, 7296, '\P{Block: Ol_CHIKI}', "");
Expect(0, 7296, '\P{^Block: Ol_CHIKI}', "");
Error('\p{Blk:_/a/OL_Chiki}');
Error('\P{Blk:_/a/OL_Chiki}');
Expect(1, 7295, '\p{Blk: olchiki}', "");
Expect(0, 7295, '\p{^Blk: olchiki}', "");
Expect(0, 7295, '\P{Blk: olchiki}', "");
Expect(1, 7295, '\P{^Blk: olchiki}', "");
Expect(0, 7296, '\p{Blk: olchiki}', "");
Expect(1, 7296, '\p{^Blk: olchiki}', "");
Expect(1, 7296, '\P{Blk: olchiki}', "");
Expect(0, 7296, '\P{^Blk: olchiki}', "");
Expect(1, 7295, '\p{Blk=	_OL_chiki}', "");
Expect(0, 7295, '\p{^Blk=	_OL_chiki}', "");
Expect(0, 7295, '\P{Blk=	_OL_chiki}', "");
Expect(1, 7295, '\P{^Blk=	_OL_chiki}', "");
Expect(0, 7296, '\p{Blk=	_OL_chiki}', "");
Expect(1, 7296, '\p{^Blk=	_OL_chiki}', "");
Expect(1, 7296, '\P{Blk=	_OL_chiki}', "");
Expect(0, 7296, '\P{^Blk=	_OL_chiki}', "");
Error('\p{Is_Block=:=ol_CHIKI}');
Error('\P{Is_Block=:=ol_CHIKI}');
Expect(1, 7295, '\p{Is_Block=olchiki}', "");
Expect(0, 7295, '\p{^Is_Block=olchiki}', "");
Expect(0, 7295, '\P{Is_Block=olchiki}', "");
Expect(1, 7295, '\P{^Is_Block=olchiki}', "");
Expect(0, 7296, '\p{Is_Block=olchiki}', "");
Expect(1, 7296, '\p{^Is_Block=olchiki}', "");
Expect(1, 7296, '\P{Is_Block=olchiki}', "");
Expect(0, 7296, '\P{^Is_Block=olchiki}', "");
Expect(1, 7295, '\p{Is_Block=  ol_Chiki}', "");
Expect(0, 7295, '\p{^Is_Block=  ol_Chiki}', "");
Expect(0, 7295, '\P{Is_Block=  ol_Chiki}', "");
Expect(1, 7295, '\P{^Is_Block=  ol_Chiki}', "");
Expect(0, 7296, '\p{Is_Block=  ol_Chiki}', "");
Expect(1, 7296, '\p{^Is_Block=  ol_Chiki}', "");
Expect(1, 7296, '\P{Is_Block=  ol_Chiki}', "");
Expect(0, 7296, '\P{^Is_Block=  ol_Chiki}', "");
Error('\p{Is_Blk= :=Ol_Chiki}');
Error('\P{Is_Blk= :=Ol_Chiki}');
Expect(1, 7295, '\p{Is_Blk=olchiki}', "");
Expect(0, 7295, '\p{^Is_Blk=olchiki}', "");
Expect(0, 7295, '\P{Is_Blk=olchiki}', "");
Expect(1, 7295, '\P{^Is_Blk=olchiki}', "");
Expect(0, 7296, '\p{Is_Blk=olchiki}', "");
Expect(1, 7296, '\p{^Is_Blk=olchiki}', "");
Expect(1, 7296, '\P{Is_Blk=olchiki}', "");
Expect(0, 7296, '\P{^Is_Blk=olchiki}', "");
Expect(1, 7295, '\p{Is_Blk=-	OL_CHIKI}', "");
Expect(0, 7295, '\p{^Is_Blk=-	OL_CHIKI}', "");
Expect(0, 7295, '\P{Is_Blk=-	OL_CHIKI}', "");
Expect(1, 7295, '\P{^Is_Blk=-	OL_CHIKI}', "");
Expect(0, 7296, '\p{Is_Blk=-	OL_CHIKI}', "");
Expect(1, 7296, '\p{^Is_Blk=-	OL_CHIKI}', "");
Expect(1, 7296, '\P{Is_Blk=-	OL_CHIKI}', "");
Expect(0, 7296, '\P{^Is_Blk=-	OL_CHIKI}', "");
Error('\p{Block=:=_old_italic}');
Error('\P{Block=:=_old_italic}');
Expect(1, 66351, '\p{Block=olditalic}', "");
Expect(0, 66351, '\p{^Block=olditalic}', "");
Expect(0, 66351, '\P{Block=olditalic}', "");
Expect(1, 66351, '\P{^Block=olditalic}', "");
Expect(0, 66352, '\p{Block=olditalic}', "");
Expect(1, 66352, '\p{^Block=olditalic}', "");
Expect(1, 66352, '\P{Block=olditalic}', "");
Expect(0, 66352, '\P{^Block=olditalic}', "");
Expect(1, 66351, '\p{Block=_	old_Italic}', "");
Expect(0, 66351, '\p{^Block=_	old_Italic}', "");
Expect(0, 66351, '\P{Block=_	old_Italic}', "");
Expect(1, 66351, '\P{^Block=_	old_Italic}', "");
Expect(0, 66352, '\p{Block=_	old_Italic}', "");
Expect(1, 66352, '\p{^Block=_	old_Italic}', "");
Expect(1, 66352, '\P{Block=_	old_Italic}', "");
Expect(0, 66352, '\P{^Block=_	old_Italic}', "");
Error('\p{Blk=:=Old_ITALIC}');
Error('\P{Blk=:=Old_ITALIC}');
Expect(1, 66351, '\p{Blk=olditalic}', "");
Expect(0, 66351, '\p{^Blk=olditalic}', "");
Expect(0, 66351, '\P{Blk=olditalic}', "");
Expect(1, 66351, '\P{^Blk=olditalic}', "");
Expect(0, 66352, '\p{Blk=olditalic}', "");
Expect(1, 66352, '\p{^Blk=olditalic}', "");
Expect(1, 66352, '\P{Blk=olditalic}', "");
Expect(0, 66352, '\P{^Blk=olditalic}', "");
Expect(1, 66351, '\p{Blk=-_Old_ITALIC}', "");
Expect(0, 66351, '\p{^Blk=-_Old_ITALIC}', "");
Expect(0, 66351, '\P{Blk=-_Old_ITALIC}', "");
Expect(1, 66351, '\P{^Blk=-_Old_ITALIC}', "");
Expect(0, 66352, '\p{Blk=-_Old_ITALIC}', "");
Expect(1, 66352, '\p{^Blk=-_Old_ITALIC}', "");
Expect(1, 66352, '\P{Blk=-_Old_ITALIC}', "");
Expect(0, 66352, '\P{^Blk=-_Old_ITALIC}', "");
Error('\p{Is_Block:   := _OLD_ITALIC}');
Error('\P{Is_Block:   := _OLD_ITALIC}');
Expect(1, 66351, '\p{Is_Block=olditalic}', "");
Expect(0, 66351, '\p{^Is_Block=olditalic}', "");
Expect(0, 66351, '\P{Is_Block=olditalic}', "");
Expect(1, 66351, '\P{^Is_Block=olditalic}', "");
Expect(0, 66352, '\p{Is_Block=olditalic}', "");
Expect(1, 66352, '\p{^Is_Block=olditalic}', "");
Expect(1, 66352, '\P{Is_Block=olditalic}', "");
Expect(0, 66352, '\P{^Is_Block=olditalic}', "");
Expect(1, 66351, '\p{Is_Block=_-Old_Italic}', "");
Expect(0, 66351, '\p{^Is_Block=_-Old_Italic}', "");
Expect(0, 66351, '\P{Is_Block=_-Old_Italic}', "");
Expect(1, 66351, '\P{^Is_Block=_-Old_Italic}', "");
Expect(0, 66352, '\p{Is_Block=_-Old_Italic}', "");
Expect(1, 66352, '\p{^Is_Block=_-Old_Italic}', "");
Expect(1, 66352, '\P{Is_Block=_-Old_Italic}', "");
Expect(0, 66352, '\P{^Is_Block=_-Old_Italic}', "");
Error('\p{Is_Blk=:=-OLD_Italic}');
Error('\P{Is_Blk=:=-OLD_Italic}');
Expect(1, 66351, '\p{Is_Blk=olditalic}', "");
Expect(0, 66351, '\p{^Is_Blk=olditalic}', "");
Expect(0, 66351, '\P{Is_Blk=olditalic}', "");
Expect(1, 66351, '\P{^Is_Blk=olditalic}', "");
Expect(0, 66352, '\p{Is_Blk=olditalic}', "");
Expect(1, 66352, '\p{^Is_Blk=olditalic}', "");
Expect(1, 66352, '\P{Is_Blk=olditalic}', "");
Expect(0, 66352, '\P{^Is_Blk=olditalic}', "");
Expect(1, 66351, '\p{Is_Blk=_Old_Italic}', "");
Expect(0, 66351, '\p{^Is_Blk=_Old_Italic}', "");
Expect(0, 66351, '\P{Is_Blk=_Old_Italic}', "");
Expect(1, 66351, '\P{^Is_Blk=_Old_Italic}', "");
Expect(0, 66352, '\p{Is_Blk=_Old_Italic}', "");
Expect(1, 66352, '\p{^Is_Blk=_Old_Italic}', "");
Expect(1, 66352, '\P{Is_Blk=_Old_Italic}', "");
Expect(0, 66352, '\P{^Is_Blk=_Old_Italic}', "");
Error('\p{Block:	 Old_North_ARABIAN:=}');
Error('\P{Block:	 Old_North_ARABIAN:=}');
Expect(1, 68255, '\p{Block=oldnortharabian}', "");
Expect(0, 68255, '\p{^Block=oldnortharabian}', "");
Expect(0, 68255, '\P{Block=oldnortharabian}', "");
Expect(1, 68255, '\P{^Block=oldnortharabian}', "");
Expect(0, 68256, '\p{Block=oldnortharabian}', "");
Expect(1, 68256, '\p{^Block=oldnortharabian}', "");
Expect(1, 68256, '\P{Block=oldnortharabian}', "");
Expect(0, 68256, '\P{^Block=oldnortharabian}', "");
Expect(1, 68255, '\p{Block=-old_north_Arabian}', "");
Expect(0, 68255, '\p{^Block=-old_north_Arabian}', "");
Expect(0, 68255, '\P{Block=-old_north_Arabian}', "");
Expect(1, 68255, '\P{^Block=-old_north_Arabian}', "");
Expect(0, 68256, '\p{Block=-old_north_Arabian}', "");
Expect(1, 68256, '\p{^Block=-old_north_Arabian}', "");
Expect(1, 68256, '\P{Block=-old_north_Arabian}', "");
Expect(0, 68256, '\P{^Block=-old_north_Arabian}', "");
Error('\p{Blk= _OLD_North_arabian/a/}');
Error('\P{Blk= _OLD_North_arabian/a/}');
Expect(1, 68255, '\p{Blk=oldnortharabian}', "");
Expect(0, 68255, '\p{^Blk=oldnortharabian}', "");
Expect(0, 68255, '\P{Blk=oldnortharabian}', "");
Expect(1, 68255, '\P{^Blk=oldnortharabian}', "");
Expect(0, 68256, '\p{Blk=oldnortharabian}', "");
Expect(1, 68256, '\p{^Blk=oldnortharabian}', "");
Expect(1, 68256, '\P{Blk=oldnortharabian}', "");
Expect(0, 68256, '\P{^Blk=oldnortharabian}', "");
Expect(1, 68255, '\p{Blk= 	OLD_North_Arabian}', "");
Expect(0, 68255, '\p{^Blk= 	OLD_North_Arabian}', "");
Expect(0, 68255, '\P{Blk= 	OLD_North_Arabian}', "");
Expect(1, 68255, '\P{^Blk= 	OLD_North_Arabian}', "");
Expect(0, 68256, '\p{Blk= 	OLD_North_Arabian}', "");
Expect(1, 68256, '\p{^Blk= 	OLD_North_Arabian}', "");
Expect(1, 68256, '\P{Blk= 	OLD_North_Arabian}', "");
Expect(0, 68256, '\P{^Blk= 	OLD_North_Arabian}', "");
Error('\p{Is_Block=/a/Old_North_arabian}');
Error('\P{Is_Block=/a/Old_North_arabian}');
Expect(1, 68255, '\p{Is_Block=oldnortharabian}', "");
Expect(0, 68255, '\p{^Is_Block=oldnortharabian}', "");
Expect(0, 68255, '\P{Is_Block=oldnortharabian}', "");
Expect(1, 68255, '\P{^Is_Block=oldnortharabian}', "");
Expect(0, 68256, '\p{Is_Block=oldnortharabian}', "");
Expect(1, 68256, '\p{^Is_Block=oldnortharabian}', "");
Expect(1, 68256, '\P{Is_Block=oldnortharabian}', "");
Expect(0, 68256, '\P{^Is_Block=oldnortharabian}', "");
Expect(1, 68255, '\p{Is_Block= Old_north_Arabian}', "");
Expect(0, 68255, '\p{^Is_Block= Old_north_Arabian}', "");
Expect(0, 68255, '\P{Is_Block= Old_north_Arabian}', "");
Expect(1, 68255, '\P{^Is_Block= Old_north_Arabian}', "");
Expect(0, 68256, '\p{Is_Block= Old_north_Arabian}', "");
Expect(1, 68256, '\p{^Is_Block= Old_north_Arabian}', "");
Expect(1, 68256, '\P{Is_Block= Old_north_Arabian}', "");
Expect(0, 68256, '\P{^Is_Block= Old_north_Arabian}', "");
Error('\p{Is_Blk=/a/	OLD_North_Arabian}');
Error('\P{Is_Blk=/a/	OLD_North_Arabian}');
Expect(1, 68255, '\p{Is_Blk=oldnortharabian}', "");
Expect(0, 68255, '\p{^Is_Blk=oldnortharabian}', "");
Expect(0, 68255, '\P{Is_Blk=oldnortharabian}', "");
Expect(1, 68255, '\P{^Is_Blk=oldnortharabian}', "");
Expect(0, 68256, '\p{Is_Blk=oldnortharabian}', "");
Expect(1, 68256, '\p{^Is_Blk=oldnortharabian}', "");
Expect(1, 68256, '\P{Is_Blk=oldnortharabian}', "");
Expect(0, 68256, '\P{^Is_Blk=oldnortharabian}', "");
Expect(1, 68255, '\p{Is_Blk=-	old_NORTH_Arabian}', "");
Expect(0, 68255, '\p{^Is_Blk=-	old_NORTH_Arabian}', "");
Expect(0, 68255, '\P{Is_Blk=-	old_NORTH_Arabian}', "");
Expect(1, 68255, '\P{^Is_Blk=-	old_NORTH_Arabian}', "");
Expect(0, 68256, '\p{Is_Blk=-	old_NORTH_Arabian}', "");
Expect(1, 68256, '\p{^Is_Blk=-	old_NORTH_Arabian}', "");
Expect(1, 68256, '\P{Is_Blk=-	old_NORTH_Arabian}', "");
Expect(0, 68256, '\P{^Is_Blk=-	old_NORTH_Arabian}', "");
Error('\p{Block=:=--old_PERMIC}');
Error('\P{Block=:=--old_PERMIC}');
Expect(1, 66431, '\p{Block=oldpermic}', "");
Expect(0, 66431, '\p{^Block=oldpermic}', "");
Expect(0, 66431, '\P{Block=oldpermic}', "");
Expect(1, 66431, '\P{^Block=oldpermic}', "");
Expect(0, 66432, '\p{Block=oldpermic}', "");
Expect(1, 66432, '\p{^Block=oldpermic}', "");
Expect(1, 66432, '\P{Block=oldpermic}', "");
Expect(0, 66432, '\P{^Block=oldpermic}', "");
Expect(1, 66431, '\p{Block= 	Old_Permic}', "");
Expect(0, 66431, '\p{^Block= 	Old_Permic}', "");
Expect(0, 66431, '\P{Block= 	Old_Permic}', "");
Expect(1, 66431, '\P{^Block= 	Old_Permic}', "");
Expect(0, 66432, '\p{Block= 	Old_Permic}', "");
Expect(1, 66432, '\p{^Block= 	Old_Permic}', "");
Expect(1, 66432, '\P{Block= 	Old_Permic}', "");
Expect(0, 66432, '\P{^Block= 	Old_Permic}', "");
Error('\p{Blk=-/a/Old_Permic}');
Error('\P{Blk=-/a/Old_Permic}');
Expect(1, 66431, '\p{Blk=oldpermic}', "");
Expect(0, 66431, '\p{^Blk=oldpermic}', "");
Expect(0, 66431, '\P{Blk=oldpermic}', "");
Expect(1, 66431, '\P{^Blk=oldpermic}', "");
Expect(0, 66432, '\p{Blk=oldpermic}', "");
Expect(1, 66432, '\p{^Blk=oldpermic}', "");
Expect(1, 66432, '\P{Blk=oldpermic}', "");
Expect(0, 66432, '\P{^Blk=oldpermic}', "");
Expect(1, 66431, '\p{Blk= Old_Permic}', "");
Expect(0, 66431, '\p{^Blk= Old_Permic}', "");
Expect(0, 66431, '\P{Blk= Old_Permic}', "");
Expect(1, 66431, '\P{^Blk= Old_Permic}', "");
Expect(0, 66432, '\p{Blk= Old_Permic}', "");
Expect(1, 66432, '\p{^Blk= Old_Permic}', "");
Expect(1, 66432, '\P{Blk= Old_Permic}', "");
Expect(0, 66432, '\P{^Blk= Old_Permic}', "");
Error('\p{Is_Block=:=--Old_Permic}');
Error('\P{Is_Block=:=--Old_Permic}');
Expect(1, 66431, '\p{Is_Block=oldpermic}', "");
Expect(0, 66431, '\p{^Is_Block=oldpermic}', "");
Expect(0, 66431, '\P{Is_Block=oldpermic}', "");
Expect(1, 66431, '\P{^Is_Block=oldpermic}', "");
Expect(0, 66432, '\p{Is_Block=oldpermic}', "");
Expect(1, 66432, '\p{^Is_Block=oldpermic}', "");
Expect(1, 66432, '\P{Is_Block=oldpermic}', "");
Expect(0, 66432, '\P{^Is_Block=oldpermic}', "");
Expect(1, 66431, '\p{Is_Block=-	old_PERMIC}', "");
Expect(0, 66431, '\p{^Is_Block=-	old_PERMIC}', "");
Expect(0, 66431, '\P{Is_Block=-	old_PERMIC}', "");
Expect(1, 66431, '\P{^Is_Block=-	old_PERMIC}', "");
Expect(0, 66432, '\p{Is_Block=-	old_PERMIC}', "");
Expect(1, 66432, '\p{^Is_Block=-	old_PERMIC}', "");
Expect(1, 66432, '\P{Is_Block=-	old_PERMIC}', "");
Expect(0, 66432, '\P{^Is_Block=-	old_PERMIC}', "");
Error('\p{Is_Blk=:=	-Old_Permic}');
Error('\P{Is_Blk=:=	-Old_Permic}');
Expect(1, 66431, '\p{Is_Blk=oldpermic}', "");
Expect(0, 66431, '\p{^Is_Blk=oldpermic}', "");
Expect(0, 66431, '\P{Is_Blk=oldpermic}', "");
Expect(1, 66431, '\P{^Is_Blk=oldpermic}', "");
Expect(0, 66432, '\p{Is_Blk=oldpermic}', "");
Expect(1, 66432, '\p{^Is_Blk=oldpermic}', "");
Expect(1, 66432, '\P{Is_Blk=oldpermic}', "");
Expect(0, 66432, '\P{^Is_Blk=oldpermic}', "");
Expect(1, 66431, '\p{Is_Blk=_Old_permic}', "");
Expect(0, 66431, '\p{^Is_Blk=_Old_permic}', "");
Expect(0, 66431, '\P{Is_Blk=_Old_permic}', "");
Expect(1, 66431, '\P{^Is_Blk=_Old_permic}', "");
Expect(0, 66432, '\p{Is_Blk=_Old_permic}', "");
Expect(1, 66432, '\p{^Is_Blk=_Old_permic}', "");
Expect(1, 66432, '\P{Is_Blk=_Old_permic}', "");
Expect(0, 66432, '\P{^Is_Blk=_Old_permic}', "");
Error('\p{Block=:=_Old_Persian}');
Error('\P{Block=:=_Old_Persian}');
Expect(1, 66527, '\p{Block=oldpersian}', "");
Expect(0, 66527, '\p{^Block=oldpersian}', "");
Expect(0, 66527, '\P{Block=oldpersian}', "");
Expect(1, 66527, '\P{^Block=oldpersian}', "");
Expect(0, 66528, '\p{Block=oldpersian}', "");
Expect(1, 66528, '\p{^Block=oldpersian}', "");
Expect(1, 66528, '\P{Block=oldpersian}', "");
Expect(0, 66528, '\P{^Block=oldpersian}', "");
Expect(1, 66527, '\p{Block=_ OLD_Persian}', "");
Expect(0, 66527, '\p{^Block=_ OLD_Persian}', "");
Expect(0, 66527, '\P{Block=_ OLD_Persian}', "");
Expect(1, 66527, '\P{^Block=_ OLD_Persian}', "");
Expect(0, 66528, '\p{Block=_ OLD_Persian}', "");
Expect(1, 66528, '\p{^Block=_ OLD_Persian}', "");
Expect(1, 66528, '\P{Block=_ OLD_Persian}', "");
Expect(0, 66528, '\P{^Block=_ OLD_Persian}', "");
Error('\p{Blk=/a/Old_Persian}');
Error('\P{Blk=/a/Old_Persian}');
Expect(1, 66527, '\p{Blk=oldpersian}', "");
Expect(0, 66527, '\p{^Blk=oldpersian}', "");
Expect(0, 66527, '\P{Blk=oldpersian}', "");
Expect(1, 66527, '\P{^Blk=oldpersian}', "");
Expect(0, 66528, '\p{Blk=oldpersian}', "");
Expect(1, 66528, '\p{^Blk=oldpersian}', "");
Expect(1, 66528, '\P{Blk=oldpersian}', "");
Expect(0, 66528, '\P{^Blk=oldpersian}', "");
Expect(1, 66527, '\p{Blk=		Old_PERSIAN}', "");
Expect(0, 66527, '\p{^Blk=		Old_PERSIAN}', "");
Expect(0, 66527, '\P{Blk=		Old_PERSIAN}', "");
Expect(1, 66527, '\P{^Blk=		Old_PERSIAN}', "");
Expect(0, 66528, '\p{Blk=		Old_PERSIAN}', "");
Expect(1, 66528, '\p{^Blk=		Old_PERSIAN}', "");
Expect(1, 66528, '\P{Blk=		Old_PERSIAN}', "");
Expect(0, 66528, '\P{^Blk=		Old_PERSIAN}', "");
Error('\p{Is_Block= -Old_Persian:=}');
Error('\P{Is_Block= -Old_Persian:=}');
Expect(1, 66527, '\p{Is_Block=oldpersian}', "");
Expect(0, 66527, '\p{^Is_Block=oldpersian}', "");
Expect(0, 66527, '\P{Is_Block=oldpersian}', "");
Expect(1, 66527, '\P{^Is_Block=oldpersian}', "");
Expect(0, 66528, '\p{Is_Block=oldpersian}', "");
Expect(1, 66528, '\p{^Is_Block=oldpersian}', "");
Expect(1, 66528, '\P{Is_Block=oldpersian}', "");
Expect(0, 66528, '\P{^Is_Block=oldpersian}', "");
Expect(1, 66527, '\p{Is_Block=__OLD_persian}', "");
Expect(0, 66527, '\p{^Is_Block=__OLD_persian}', "");
Expect(0, 66527, '\P{Is_Block=__OLD_persian}', "");
Expect(1, 66527, '\P{^Is_Block=__OLD_persian}', "");
Expect(0, 66528, '\p{Is_Block=__OLD_persian}', "");
Expect(1, 66528, '\p{^Is_Block=__OLD_persian}', "");
Expect(1, 66528, '\P{Is_Block=__OLD_persian}', "");
Expect(0, 66528, '\P{^Is_Block=__OLD_persian}', "");
Error('\p{Is_Blk=:=	OLD_PERSIAN}');
Error('\P{Is_Blk=:=	OLD_PERSIAN}');
Expect(1, 66527, '\p{Is_Blk:   oldpersian}', "");
Expect(0, 66527, '\p{^Is_Blk:   oldpersian}', "");
Expect(0, 66527, '\P{Is_Blk:   oldpersian}', "");
Expect(1, 66527, '\P{^Is_Blk:   oldpersian}', "");
Expect(0, 66528, '\p{Is_Blk:   oldpersian}', "");
Expect(1, 66528, '\p{^Is_Blk:   oldpersian}', "");
Expect(1, 66528, '\P{Is_Blk:   oldpersian}', "");
Expect(0, 66528, '\P{^Is_Blk:   oldpersian}', "");
Expect(1, 66527, '\p{Is_Blk:   	-Old_Persian}', "");
Expect(0, 66527, '\p{^Is_Blk:   	-Old_Persian}', "");
Expect(0, 66527, '\P{Is_Blk:   	-Old_Persian}', "");
Expect(1, 66527, '\P{^Is_Blk:   	-Old_Persian}', "");
Expect(0, 66528, '\p{Is_Blk:   	-Old_Persian}', "");
Expect(1, 66528, '\p{^Is_Blk:   	-Old_Persian}', "");
Expect(1, 66528, '\P{Is_Blk:   	-Old_Persian}', "");
Expect(0, 66528, '\P{^Is_Blk:   	-Old_Persian}', "");
Error('\p{Block:	 -OLD_South_Arabian:=}');
Error('\P{Block:	 -OLD_South_Arabian:=}');
Expect(1, 68223, '\p{Block=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Block=oldsoutharabian}', "");
Expect(0, 68223, '\P{Block=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Block=oldsoutharabian}', "");
Expect(0, 68224, '\p{Block=oldsoutharabian}', "");
Expect(1, 68224, '\p{^Block=oldsoutharabian}', "");
Expect(1, 68224, '\P{Block=oldsoutharabian}', "");
Expect(0, 68224, '\P{^Block=oldsoutharabian}', "");
Expect(1, 68223, '\p{Block=		Old_south_ARABIAN}', "");
Expect(0, 68223, '\p{^Block=		Old_south_ARABIAN}', "");
Expect(0, 68223, '\P{Block=		Old_south_ARABIAN}', "");
Expect(1, 68223, '\P{^Block=		Old_south_ARABIAN}', "");
Expect(0, 68224, '\p{Block=		Old_south_ARABIAN}', "");
Expect(1, 68224, '\p{^Block=		Old_south_ARABIAN}', "");
Expect(1, 68224, '\P{Block=		Old_south_ARABIAN}', "");
Expect(0, 68224, '\P{^Block=		Old_south_ARABIAN}', "");
Error('\p{Blk::=	OLD_SOUTH_Arabian}');
Error('\P{Blk::=	OLD_SOUTH_Arabian}');
Expect(1, 68223, '\p{Blk=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Blk=oldsoutharabian}', "");
Expect(0, 68223, '\P{Blk=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Blk=oldsoutharabian}', "");
Expect(0, 68224, '\p{Blk=oldsoutharabian}', "");
Expect(1, 68224, '\p{^Blk=oldsoutharabian}', "");
Expect(1, 68224, '\P{Blk=oldsoutharabian}', "");
Expect(0, 68224, '\P{^Blk=oldsoutharabian}', "");
Expect(1, 68223, '\p{Blk=	 Old_SOUTH_arabian}', "");
Expect(0, 68223, '\p{^Blk=	 Old_SOUTH_arabian}', "");
Expect(0, 68223, '\P{Blk=	 Old_SOUTH_arabian}', "");
Expect(1, 68223, '\P{^Blk=	 Old_SOUTH_arabian}', "");
Expect(0, 68224, '\p{Blk=	 Old_SOUTH_arabian}', "");
Expect(1, 68224, '\p{^Blk=	 Old_SOUTH_arabian}', "");
Expect(1, 68224, '\P{Blk=	 Old_SOUTH_arabian}', "");
Expect(0, 68224, '\P{^Blk=	 Old_SOUTH_arabian}', "");
Error('\p{Is_Block=/a/	Old_South_arabian}');
Error('\P{Is_Block=/a/	Old_South_arabian}');
Expect(1, 68223, '\p{Is_Block=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Is_Block=oldsoutharabian}', "");
Expect(0, 68223, '\P{Is_Block=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Is_Block=oldsoutharabian}', "");
Expect(0, 68224, '\p{Is_Block=oldsoutharabian}', "");
Expect(1, 68224, '\p{^Is_Block=oldsoutharabian}', "");
Expect(1, 68224, '\P{Is_Block=oldsoutharabian}', "");
Expect(0, 68224, '\P{^Is_Block=oldsoutharabian}', "");
Expect(1, 68223, '\p{Is_Block=_ OLD_South_arabian}', "");
Expect(0, 68223, '\p{^Is_Block=_ OLD_South_arabian}', "");
Expect(0, 68223, '\P{Is_Block=_ OLD_South_arabian}', "");
Expect(1, 68223, '\P{^Is_Block=_ OLD_South_arabian}', "");
Expect(0, 68224, '\p{Is_Block=_ OLD_South_arabian}', "");
Expect(1, 68224, '\p{^Is_Block=_ OLD_South_arabian}', "");
Expect(1, 68224, '\P{Is_Block=_ OLD_South_arabian}', "");
Expect(0, 68224, '\P{^Is_Block=_ OLD_South_arabian}', "");
Error('\p{Is_Blk=-/a/old_south_ARABIAN}');
Error('\P{Is_Blk=-/a/old_south_ARABIAN}');
Expect(1, 68223, '\p{Is_Blk=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Is_Blk=oldsoutharabian}', "");
Expect(0, 68223, '\P{Is_Blk=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Is_Blk=oldsoutharabian}', "");
Expect(0, 68224, '\p{Is_Blk=oldsoutharabian}', "");
Expect(1, 68224, '\p{^Is_Blk=oldsoutharabian}', "");
Expect(1, 68224, '\P{Is_Blk=oldsoutharabian}', "");
Expect(0, 68224, '\P{^Is_Blk=oldsoutharabian}', "");
Expect(1, 68223, '\p{Is_Blk=__old_SOUTH_arabian}', "");
Expect(0, 68223, '\p{^Is_Blk=__old_SOUTH_arabian}', "");
Expect(0, 68223, '\P{Is_Blk=__old_SOUTH_arabian}', "");
Expect(1, 68223, '\P{^Is_Blk=__old_SOUTH_arabian}', "");
Expect(0, 68224, '\p{Is_Blk=__old_SOUTH_arabian}', "");
Expect(1, 68224, '\p{^Is_Blk=__old_SOUTH_arabian}', "");
Expect(1, 68224, '\P{Is_Blk=__old_SOUTH_arabian}', "");
Expect(0, 68224, '\P{^Is_Blk=__old_SOUTH_arabian}', "");
Error('\p{Block=	/a/old_turkic}');
Error('\P{Block=	/a/old_turkic}');
Expect(1, 68687, '\p{Block=oldturkic}', "");
Expect(0, 68687, '\p{^Block=oldturkic}', "");
Expect(0, 68687, '\P{Block=oldturkic}', "");
Expect(1, 68687, '\P{^Block=oldturkic}', "");
Expect(0, 68688, '\p{Block=oldturkic}', "");
Expect(1, 68688, '\p{^Block=oldturkic}', "");
Expect(1, 68688, '\P{Block=oldturkic}', "");
Expect(0, 68688, '\P{^Block=oldturkic}', "");
Expect(1, 68687, '\p{Block=- Old_TURKIC}', "");
Expect(0, 68687, '\p{^Block=- Old_TURKIC}', "");
Expect(0, 68687, '\P{Block=- Old_TURKIC}', "");
Expect(1, 68687, '\P{^Block=- Old_TURKIC}', "");
Expect(0, 68688, '\p{Block=- Old_TURKIC}', "");
Expect(1, 68688, '\p{^Block=- Old_TURKIC}', "");
Expect(1, 68688, '\P{Block=- Old_TURKIC}', "");
Expect(0, 68688, '\P{^Block=- Old_TURKIC}', "");
Error('\p{Blk:/a/ Old_TURKIC}');
Error('\P{Blk:/a/ Old_TURKIC}');
Expect(1, 68687, '\p{Blk=oldturkic}', "");
Expect(0, 68687, '\p{^Blk=oldturkic}', "");
Expect(0, 68687, '\P{Blk=oldturkic}', "");
Expect(1, 68687, '\P{^Blk=oldturkic}', "");
Expect(0, 68688, '\p{Blk=oldturkic}', "");
Expect(1, 68688, '\p{^Blk=oldturkic}', "");
Expect(1, 68688, '\P{Blk=oldturkic}', "");
Expect(0, 68688, '\P{^Blk=oldturkic}', "");
Expect(1, 68687, '\p{Blk=_Old_turkic}', "");
Expect(0, 68687, '\p{^Blk=_Old_turkic}', "");
Expect(0, 68687, '\P{Blk=_Old_turkic}', "");
Expect(1, 68687, '\P{^Blk=_Old_turkic}', "");
Expect(0, 68688, '\p{Blk=_Old_turkic}', "");
Expect(1, 68688, '\p{^Blk=_Old_turkic}', "");
Expect(1, 68688, '\P{Blk=_Old_turkic}', "");
Expect(0, 68688, '\P{^Blk=_Old_turkic}', "");
Error('\p{Is_Block=/a/old_turkic}');
Error('\P{Is_Block=/a/old_turkic}');
Expect(1, 68687, '\p{Is_Block=oldturkic}', "");
Expect(0, 68687, '\p{^Is_Block=oldturkic}', "");
Expect(0, 68687, '\P{Is_Block=oldturkic}', "");
Expect(1, 68687, '\P{^Is_Block=oldturkic}', "");
Expect(0, 68688, '\p{Is_Block=oldturkic}', "");
Expect(1, 68688, '\p{^Is_Block=oldturkic}', "");
Expect(1, 68688, '\P{Is_Block=oldturkic}', "");
Expect(0, 68688, '\P{^Is_Block=oldturkic}', "");
Expect(1, 68687, '\p{Is_Block: Old_turkic}', "");
Expect(0, 68687, '\p{^Is_Block: Old_turkic}', "");
Expect(0, 68687, '\P{Is_Block: Old_turkic}', "");
Expect(1, 68687, '\P{^Is_Block: Old_turkic}', "");
Expect(0, 68688, '\p{Is_Block: Old_turkic}', "");
Expect(1, 68688, '\p{^Is_Block: Old_turkic}', "");
Expect(1, 68688, '\P{Is_Block: Old_turkic}', "");
Expect(0, 68688, '\P{^Is_Block: Old_turkic}', "");
Error('\p{Is_Blk=/a/		OLD_Turkic}');
Error('\P{Is_Blk=/a/		OLD_Turkic}');
Expect(1, 68687, '\p{Is_Blk=oldturkic}', "");
Expect(0, 68687, '\p{^Is_Blk=oldturkic}', "");
Expect(0, 68687, '\P{Is_Blk=oldturkic}', "");
Expect(1, 68687, '\P{^Is_Blk=oldturkic}', "");
Expect(0, 68688, '\p{Is_Blk=oldturkic}', "");
Expect(1, 68688, '\p{^Is_Blk=oldturkic}', "");
Expect(1, 68688, '\P{Is_Blk=oldturkic}', "");
Expect(0, 68688, '\P{^Is_Blk=oldturkic}', "");
Expect(1, 68687, '\p{Is_Blk: 		OLD_TURKIC}', "");
Expect(0, 68687, '\p{^Is_Blk: 		OLD_TURKIC}', "");
Expect(0, 68687, '\P{Is_Blk: 		OLD_TURKIC}', "");
Expect(1, 68687, '\P{^Is_Blk: 		OLD_TURKIC}', "");
Expect(0, 68688, '\p{Is_Blk: 		OLD_TURKIC}', "");
Expect(1, 68688, '\p{^Is_Blk: 		OLD_TURKIC}', "");
Expect(1, 68688, '\P{Is_Blk: 		OLD_TURKIC}', "");
Expect(0, 68688, '\P{^Is_Blk: 		OLD_TURKIC}', "");
Error('\p{Block=	-Oriya:=}');
Error('\P{Block=	-Oriya:=}');
Expect(1, 2943, '\p{Block=oriya}', "");
Expect(0, 2943, '\p{^Block=oriya}', "");
Expect(0, 2943, '\P{Block=oriya}', "");
Expect(1, 2943, '\P{^Block=oriya}', "");
Expect(0, 2944, '\p{Block=oriya}', "");
Expect(1, 2944, '\p{^Block=oriya}', "");
Expect(1, 2944, '\P{Block=oriya}', "");
Expect(0, 2944, '\P{^Block=oriya}', "");
Expect(1, 2943, '\p{Block=_	Oriya}', "");
Expect(0, 2943, '\p{^Block=_	Oriya}', "");
Expect(0, 2943, '\P{Block=_	Oriya}', "");
Expect(1, 2943, '\P{^Block=_	Oriya}', "");
Expect(0, 2944, '\p{Block=_	Oriya}', "");
Expect(1, 2944, '\p{^Block=_	Oriya}', "");
Expect(1, 2944, '\P{Block=_	Oriya}', "");
Expect(0, 2944, '\P{^Block=_	Oriya}', "");
Error('\p{Blk= /a/Oriya}');
Error('\P{Blk= /a/Oriya}');
Expect(1, 2943, '\p{Blk=oriya}', "");
Expect(0, 2943, '\p{^Blk=oriya}', "");
Expect(0, 2943, '\P{Blk=oriya}', "");
Expect(1, 2943, '\P{^Blk=oriya}', "");
Expect(0, 2944, '\p{Blk=oriya}', "");
Expect(1, 2944, '\p{^Blk=oriya}', "");
Expect(1, 2944, '\P{Blk=oriya}', "");
Expect(0, 2944, '\P{^Blk=oriya}', "");
Expect(1, 2943, '\p{Blk=-_Oriya}', "");
Expect(0, 2943, '\p{^Blk=-_Oriya}', "");
Expect(0, 2943, '\P{Blk=-_Oriya}', "");
Expect(1, 2943, '\P{^Blk=-_Oriya}', "");
Expect(0, 2944, '\p{Blk=-_Oriya}', "");
Expect(1, 2944, '\p{^Blk=-_Oriya}', "");
Expect(1, 2944, '\P{Blk=-_Oriya}', "");
Expect(0, 2944, '\P{^Blk=-_Oriya}', "");
Error('\p{Is_Block=	_ORIYA:=}');
Error('\P{Is_Block=	_ORIYA:=}');
Expect(1, 2943, '\p{Is_Block=oriya}', "");
Expect(0, 2943, '\p{^Is_Block=oriya}', "");
Expect(0, 2943, '\P{Is_Block=oriya}', "");
Expect(1, 2943, '\P{^Is_Block=oriya}', "");
Expect(0, 2944, '\p{Is_Block=oriya}', "");
Expect(1, 2944, '\p{^Is_Block=oriya}', "");
Expect(1, 2944, '\P{Is_Block=oriya}', "");
Expect(0, 2944, '\P{^Is_Block=oriya}', "");
Expect(1, 2943, '\p{Is_Block=	 Oriya}', "");
Expect(0, 2943, '\p{^Is_Block=	 Oriya}', "");
Expect(0, 2943, '\P{Is_Block=	 Oriya}', "");
Expect(1, 2943, '\P{^Is_Block=	 Oriya}', "");
Expect(0, 2944, '\p{Is_Block=	 Oriya}', "");
Expect(1, 2944, '\p{^Is_Block=	 Oriya}', "");
Expect(1, 2944, '\P{Is_Block=	 Oriya}', "");
Expect(0, 2944, '\P{^Is_Block=	 Oriya}', "");
Error('\p{Is_Blk=_	Oriya/a/}');
Error('\P{Is_Blk=_	Oriya/a/}');
Expect(1, 2943, '\p{Is_Blk=oriya}', "");
Expect(0, 2943, '\p{^Is_Blk=oriya}', "");
Expect(0, 2943, '\P{Is_Blk=oriya}', "");
Expect(1, 2943, '\P{^Is_Blk=oriya}', "");
Expect(0, 2944, '\p{Is_Blk=oriya}', "");
Expect(1, 2944, '\p{^Is_Blk=oriya}', "");
Expect(1, 2944, '\P{Is_Blk=oriya}', "");
Expect(0, 2944, '\P{^Is_Blk=oriya}', "");
Expect(1, 2943, '\p{Is_Blk:   _ Oriya}', "");
Expect(0, 2943, '\p{^Is_Blk:   _ Oriya}', "");
Expect(0, 2943, '\P{Is_Blk:   _ Oriya}', "");
Expect(1, 2943, '\P{^Is_Blk:   _ Oriya}', "");
Expect(0, 2944, '\p{Is_Blk:   _ Oriya}', "");
Expect(1, 2944, '\p{^Is_Blk:   _ Oriya}', "");
Expect(1, 2944, '\P{Is_Blk:   _ Oriya}', "");
Expect(0, 2944, '\P{^Is_Blk:   _ Oriya}', "");
Error('\p{Block:	/a/ Ornamental_dingbats}');
Error('\P{Block:	/a/ Ornamental_dingbats}');
Expect(1, 128639, '\p{Block=ornamentaldingbats}', "");
Expect(0, 128639, '\p{^Block=ornamentaldingbats}', "");
Expect(0, 128639, '\P{Block=ornamentaldingbats}', "");
Expect(1, 128639, '\P{^Block=ornamentaldingbats}', "");
Expect(0, 128640, '\p{Block=ornamentaldingbats}', "");
Expect(1, 128640, '\p{^Block=ornamentaldingbats}', "");
Expect(1, 128640, '\P{Block=ornamentaldingbats}', "");
Expect(0, 128640, '\P{^Block=ornamentaldingbats}', "");
Expect(1, 128639, '\p{Block= Ornamental_Dingbats}', "");
Expect(0, 128639, '\p{^Block= Ornamental_Dingbats}', "");
Expect(0, 128639, '\P{Block= Ornamental_Dingbats}', "");
Expect(1, 128639, '\P{^Block= Ornamental_Dingbats}', "");
Expect(0, 128640, '\p{Block= Ornamental_Dingbats}', "");
Expect(1, 128640, '\p{^Block= Ornamental_Dingbats}', "");
Expect(1, 128640, '\P{Block= Ornamental_Dingbats}', "");
Expect(0, 128640, '\P{^Block= Ornamental_Dingbats}', "");
Error('\p{Blk=_:=ornamental_DINGBATS}');
Error('\P{Blk=_:=ornamental_DINGBATS}');
Expect(1, 128639, '\p{Blk=ornamentaldingbats}', "");
Expect(0, 128639, '\p{^Blk=ornamentaldingbats}', "");
Expect(0, 128639, '\P{Blk=ornamentaldingbats}', "");
Expect(1, 128639, '\P{^Blk=ornamentaldingbats}', "");
Expect(0, 128640, '\p{Blk=ornamentaldingbats}', "");
Expect(1, 128640, '\p{^Blk=ornamentaldingbats}', "");
Expect(1, 128640, '\P{Blk=ornamentaldingbats}', "");
Expect(0, 128640, '\P{^Blk=ornamentaldingbats}', "");
Expect(1, 128639, '\p{Blk=  Ornamental_Dingbats}', "");
Expect(0, 128639, '\p{^Blk=  Ornamental_Dingbats}', "");
Expect(0, 128639, '\P{Blk=  Ornamental_Dingbats}', "");
Expect(1, 128639, '\P{^Blk=  Ornamental_Dingbats}', "");
Expect(0, 128640, '\p{Blk=  Ornamental_Dingbats}', "");
Expect(1, 128640, '\p{^Blk=  Ornamental_Dingbats}', "");
Expect(1, 128640, '\P{Blk=  Ornamental_Dingbats}', "");
Expect(0, 128640, '\P{^Blk=  Ornamental_Dingbats}', "");
Error('\p{Is_Block=	-ornamental_DINGBATS/a/}');
Error('\P{Is_Block=	-ornamental_DINGBATS/a/}');
Expect(1, 128639, '\p{Is_Block=ornamentaldingbats}', "");
Expect(0, 128639, '\p{^Is_Block=ornamentaldingbats}', "");
Expect(0, 128639, '\P{Is_Block=ornamentaldingbats}', "");
Expect(1, 128639, '\P{^Is_Block=ornamentaldingbats}', "");
Expect(0, 128640, '\p{Is_Block=ornamentaldingbats}', "");
Expect(1, 128640, '\p{^Is_Block=ornamentaldingbats}', "");
Expect(1, 128640, '\P{Is_Block=ornamentaldingbats}', "");
Expect(0, 128640, '\P{^Is_Block=ornamentaldingbats}', "");
Expect(1, 128639, '\p{Is_Block= _ORNAMENTAL_Dingbats}', "");
Expect(0, 128639, '\p{^Is_Block= _ORNAMENTAL_Dingbats}', "");
Expect(0, 128639, '\P{Is_Block= _ORNAMENTAL_Dingbats}', "");
Expect(1, 128639, '\P{^Is_Block= _ORNAMENTAL_Dingbats}', "");
Expect(0, 128640, '\p{Is_Block= _ORNAMENTAL_Dingbats}', "");
Expect(1, 128640, '\p{^Is_Block= _ORNAMENTAL_Dingbats}', "");
Expect(1, 128640, '\P{Is_Block= _ORNAMENTAL_Dingbats}', "");
Expect(0, 128640, '\P{^Is_Block= _ORNAMENTAL_Dingbats}', "");
Error('\p{Is_Blk=-/a/Ornamental_DINGBATS}');
Error('\P{Is_Blk=-/a/Ornamental_DINGBATS}');
Expect(1, 128639, '\p{Is_Blk=ornamentaldingbats}', "");
Expect(0, 128639, '\p{^Is_Blk=ornamentaldingbats}', "");
Expect(0, 128639, '\P{Is_Blk=ornamentaldingbats}', "");
Expect(1, 128639, '\P{^Is_Blk=ornamentaldingbats}', "");
Expect(0, 128640, '\p{Is_Blk=ornamentaldingbats}', "");
Expect(1, 128640, '\p{^Is_Blk=ornamentaldingbats}', "");
Expect(1, 128640, '\P{Is_Blk=ornamentaldingbats}', "");
Expect(0, 128640, '\P{^Is_Blk=ornamentaldingbats}', "");
Expect(1, 128639, '\p{Is_Blk=  Ornamental_Dingbats}', "");
Expect(0, 128639, '\p{^Is_Blk=  Ornamental_Dingbats}', "");
Expect(0, 128639, '\P{Is_Blk=  Ornamental_Dingbats}', "");
Expect(1, 128639, '\P{^Is_Blk=  Ornamental_Dingbats}', "");
Expect(0, 128640, '\p{Is_Blk=  Ornamental_Dingbats}', "");
Expect(1, 128640, '\p{^Is_Blk=  Ornamental_Dingbats}', "");
Expect(1, 128640, '\P{Is_Blk=  Ornamental_Dingbats}', "");
Expect(0, 128640, '\P{^Is_Blk=  Ornamental_Dingbats}', "");
Error('\p{Block= :=OSMANYA}');
Error('\P{Block= :=OSMANYA}');
Expect(1, 66735, '\p{Block=osmanya}', "");
Expect(0, 66735, '\p{^Block=osmanya}', "");
Expect(0, 66735, '\P{Block=osmanya}', "");
Expect(1, 66735, '\P{^Block=osmanya}', "");
Expect(0, 66736, '\p{Block=osmanya}', "");
Expect(1, 66736, '\p{^Block=osmanya}', "");
Expect(1, 66736, '\P{Block=osmanya}', "");
Expect(0, 66736, '\P{^Block=osmanya}', "");
Expect(1, 66735, '\p{Block:		osmanya}', "");
Expect(0, 66735, '\p{^Block:		osmanya}', "");
Expect(0, 66735, '\P{Block:		osmanya}', "");
Expect(1, 66735, '\P{^Block:		osmanya}', "");
Expect(0, 66736, '\p{Block:		osmanya}', "");
Expect(1, 66736, '\p{^Block:		osmanya}', "");
Expect(1, 66736, '\P{Block:		osmanya}', "");
Expect(0, 66736, '\P{^Block:		osmanya}', "");
Error('\p{Blk=:=	-osmanya}');
Error('\P{Blk=:=	-osmanya}');
Expect(1, 66735, '\p{Blk=osmanya}', "");
Expect(0, 66735, '\p{^Blk=osmanya}', "");
Expect(0, 66735, '\P{Blk=osmanya}', "");
Expect(1, 66735, '\P{^Blk=osmanya}', "");
Expect(0, 66736, '\p{Blk=osmanya}', "");
Expect(1, 66736, '\p{^Blk=osmanya}', "");
Expect(1, 66736, '\P{Blk=osmanya}', "");
Expect(0, 66736, '\P{^Blk=osmanya}', "");
Expect(1, 66735, '\p{Blk= 	osmanya}', "");
Expect(0, 66735, '\p{^Blk= 	osmanya}', "");
Expect(0, 66735, '\P{Blk= 	osmanya}', "");
Expect(1, 66735, '\P{^Blk= 	osmanya}', "");
Expect(0, 66736, '\p{Blk= 	osmanya}', "");
Expect(1, 66736, '\p{^Blk= 	osmanya}', "");
Expect(1, 66736, '\P{Blk= 	osmanya}', "");
Expect(0, 66736, '\P{^Blk= 	osmanya}', "");
Error('\p{Is_Block=-osmanya/a/}');
Error('\P{Is_Block=-osmanya/a/}');
Expect(1, 66735, '\p{Is_Block=osmanya}', "");
Expect(0, 66735, '\p{^Is_Block=osmanya}', "");
Expect(0, 66735, '\P{Is_Block=osmanya}', "");
Expect(1, 66735, '\P{^Is_Block=osmanya}', "");
Expect(0, 66736, '\p{Is_Block=osmanya}', "");
Expect(1, 66736, '\p{^Is_Block=osmanya}', "");
Expect(1, 66736, '\P{Is_Block=osmanya}', "");
Expect(0, 66736, '\P{^Is_Block=osmanya}', "");
Expect(1, 66735, '\p{Is_Block= Osmanya}', "");
Expect(0, 66735, '\p{^Is_Block= Osmanya}', "");
Expect(0, 66735, '\P{Is_Block= Osmanya}', "");
Expect(1, 66735, '\P{^Is_Block= Osmanya}', "");
Expect(0, 66736, '\p{Is_Block= Osmanya}', "");
Expect(1, 66736, '\p{^Is_Block= Osmanya}', "");
Expect(1, 66736, '\P{Is_Block= Osmanya}', "");
Expect(0, 66736, '\P{^Is_Block= Osmanya}', "");
Error('\p{Is_Blk:   	:=osmanya}');
Error('\P{Is_Blk:   	:=osmanya}');
Expect(1, 66735, '\p{Is_Blk=osmanya}', "");
Expect(0, 66735, '\p{^Is_Blk=osmanya}', "");
Expect(0, 66735, '\P{Is_Blk=osmanya}', "");
Expect(1, 66735, '\P{^Is_Blk=osmanya}', "");
Expect(0, 66736, '\p{Is_Blk=osmanya}', "");
Expect(1, 66736, '\p{^Is_Blk=osmanya}', "");
Expect(1, 66736, '\P{Is_Blk=osmanya}', "");
Expect(0, 66736, '\P{^Is_Blk=osmanya}', "");
Expect(1, 66735, '\p{Is_Blk:  	osmanya}', "");
Expect(0, 66735, '\p{^Is_Blk:  	osmanya}', "");
Expect(0, 66735, '\P{Is_Blk:  	osmanya}', "");
Expect(1, 66735, '\P{^Is_Blk:  	osmanya}', "");
Expect(0, 66736, '\p{Is_Blk:  	osmanya}', "");
Expect(1, 66736, '\p{^Is_Blk:  	osmanya}', "");
Expect(1, 66736, '\P{Is_Blk:  	osmanya}', "");
Expect(0, 66736, '\P{^Is_Blk:  	osmanya}', "");
Error('\p{Block= :=Private_Use_AREA}');
Error('\P{Block= :=Private_Use_AREA}');
Expect(1, 63743, '\p{Block=privateusearea}', "");
Expect(0, 63743, '\p{^Block=privateusearea}', "");
Expect(0, 63743, '\P{Block=privateusearea}', "");
Expect(1, 63743, '\P{^Block=privateusearea}', "");
Expect(0, 63744, '\p{Block=privateusearea}', "");
Expect(1, 63744, '\p{^Block=privateusearea}', "");
Expect(1, 63744, '\P{Block=privateusearea}', "");
Expect(0, 63744, '\P{^Block=privateusearea}', "");
Expect(1, 63743, '\p{Block=	_private_Use_area}', "");
Expect(0, 63743, '\p{^Block=	_private_Use_area}', "");
Expect(0, 63743, '\P{Block=	_private_Use_area}', "");
Expect(1, 63743, '\P{^Block=	_private_Use_area}', "");
Expect(0, 63744, '\p{Block=	_private_Use_area}', "");
Expect(1, 63744, '\p{^Block=	_private_Use_area}', "");
Expect(1, 63744, '\P{Block=	_private_Use_area}', "");
Expect(0, 63744, '\P{^Block=	_private_Use_area}', "");
Error('\p{Blk=:=-PUA}');
Error('\P{Blk=:=-PUA}');
Expect(1, 63743, '\p{Blk=pua}', "");
Expect(0, 63743, '\p{^Blk=pua}', "");
Expect(0, 63743, '\P{Blk=pua}', "");
Expect(1, 63743, '\P{^Blk=pua}', "");
Expect(0, 63744, '\p{Blk=pua}', "");
Expect(1, 63744, '\p{^Blk=pua}', "");
Expect(1, 63744, '\P{Blk=pua}', "");
Expect(0, 63744, '\P{^Blk=pua}', "");
Expect(1, 63743, '\p{Blk=_PUA}', "");
Expect(0, 63743, '\p{^Blk=_PUA}', "");
Expect(0, 63743, '\P{Blk=_PUA}', "");
Expect(1, 63743, '\P{^Blk=_PUA}', "");
Expect(0, 63744, '\p{Blk=_PUA}', "");
Expect(1, 63744, '\p{^Blk=_PUA}', "");
Expect(1, 63744, '\P{Blk=_PUA}', "");
Expect(0, 63744, '\P{^Blk=_PUA}', "");
Error('\p{Is_Block:	_:=Private_USE}');
Error('\P{Is_Block:	_:=Private_USE}');
Expect(1, 63743, '\p{Is_Block=privateuse}', "");
Expect(0, 63743, '\p{^Is_Block=privateuse}', "");
Expect(0, 63743, '\P{Is_Block=privateuse}', "");
Expect(1, 63743, '\P{^Is_Block=privateuse}', "");
Expect(0, 63744, '\p{Is_Block=privateuse}', "");
Expect(1, 63744, '\p{^Is_Block=privateuse}', "");
Expect(1, 63744, '\P{Is_Block=privateuse}', "");
Expect(0, 63744, '\P{^Is_Block=privateuse}', "");
Expect(1, 63743, '\p{Is_Block=	PRIVATE_USE}', "");
Expect(0, 63743, '\p{^Is_Block=	PRIVATE_USE}', "");
Expect(0, 63743, '\P{Is_Block=	PRIVATE_USE}', "");
Expect(1, 63743, '\P{^Is_Block=	PRIVATE_USE}', "");
Expect(0, 63744, '\p{Is_Block=	PRIVATE_USE}', "");
Expect(1, 63744, '\p{^Is_Block=	PRIVATE_USE}', "");
Expect(1, 63744, '\P{Is_Block=	PRIVATE_USE}', "");
Expect(0, 63744, '\P{^Is_Block=	PRIVATE_USE}', "");
Error('\p{Is_Blk=:=private_USE_area}');
Error('\P{Is_Blk=:=private_USE_area}');
Expect(1, 63743, '\p{Is_Blk=privateusearea}', "");
Expect(0, 63743, '\p{^Is_Blk=privateusearea}', "");
Expect(0, 63743, '\P{Is_Blk=privateusearea}', "");
Expect(1, 63743, '\P{^Is_Blk=privateusearea}', "");
Expect(0, 63744, '\p{Is_Blk=privateusearea}', "");
Expect(1, 63744, '\p{^Is_Blk=privateusearea}', "");
Expect(1, 63744, '\P{Is_Blk=privateusearea}', "");
Expect(0, 63744, '\P{^Is_Blk=privateusearea}', "");
Expect(1, 63743, '\p{Is_Blk= Private_USE_AREA}', "");
Expect(0, 63743, '\p{^Is_Blk= Private_USE_AREA}', "");
Expect(0, 63743, '\P{Is_Blk= Private_USE_AREA}', "");
Expect(1, 63743, '\P{^Is_Blk= Private_USE_AREA}', "");
Expect(0, 63744, '\p{Is_Blk= Private_USE_AREA}', "");
Expect(1, 63744, '\p{^Is_Blk= Private_USE_AREA}', "");
Expect(1, 63744, '\P{Is_Blk= Private_USE_AREA}', "");
Expect(0, 63744, '\P{^Is_Blk= Private_USE_AREA}', "");
Error('\p{Block= _PAHAWH_Hmong/a/}');
Error('\P{Block= _PAHAWH_Hmong/a/}');
Expect(1, 93071, '\p{Block=pahawhhmong}', "");
Expect(0, 93071, '\p{^Block=pahawhhmong}', "");
Expect(0, 93071, '\P{Block=pahawhhmong}', "");
Expect(1, 93071, '\P{^Block=pahawhhmong}', "");
Expect(0, 93072, '\p{Block=pahawhhmong}', "");
Expect(1, 93072, '\p{^Block=pahawhhmong}', "");
Expect(1, 93072, '\P{Block=pahawhhmong}', "");
Expect(0, 93072, '\P{^Block=pahawhhmong}', "");
Expect(1, 93071, '\p{Block=_-pahawh_Hmong}', "");
Expect(0, 93071, '\p{^Block=_-pahawh_Hmong}', "");
Expect(0, 93071, '\P{Block=_-pahawh_Hmong}', "");
Expect(1, 93071, '\P{^Block=_-pahawh_Hmong}', "");
Expect(0, 93072, '\p{Block=_-pahawh_Hmong}', "");
Expect(1, 93072, '\p{^Block=_-pahawh_Hmong}', "");
Expect(1, 93072, '\P{Block=_-pahawh_Hmong}', "");
Expect(0, 93072, '\P{^Block=_-pahawh_Hmong}', "");
Error('\p{Blk=:=	Pahawh_hmong}');
Error('\P{Blk=:=	Pahawh_hmong}');
Expect(1, 93071, '\p{Blk=pahawhhmong}', "");
Expect(0, 93071, '\p{^Blk=pahawhhmong}', "");
Expect(0, 93071, '\P{Blk=pahawhhmong}', "");
Expect(1, 93071, '\P{^Blk=pahawhhmong}', "");
Expect(0, 93072, '\p{Blk=pahawhhmong}', "");
Expect(1, 93072, '\p{^Blk=pahawhhmong}', "");
Expect(1, 93072, '\P{Blk=pahawhhmong}', "");
Expect(0, 93072, '\P{^Blk=pahawhhmong}', "");
Expect(1, 93071, '\p{Blk=__Pahawh_HMONG}', "");
Expect(0, 93071, '\p{^Blk=__Pahawh_HMONG}', "");
Expect(0, 93071, '\P{Blk=__Pahawh_HMONG}', "");
Expect(1, 93071, '\P{^Blk=__Pahawh_HMONG}', "");
Expect(0, 93072, '\p{Blk=__Pahawh_HMONG}', "");
Expect(1, 93072, '\p{^Blk=__Pahawh_HMONG}', "");
Expect(1, 93072, '\P{Blk=__Pahawh_HMONG}', "");
Expect(0, 93072, '\P{^Blk=__Pahawh_HMONG}', "");
Error('\p{Is_Block=:=pahawh_hmong}');
Error('\P{Is_Block=:=pahawh_hmong}');
Expect(1, 93071, '\p{Is_Block=pahawhhmong}', "");
Expect(0, 93071, '\p{^Is_Block=pahawhhmong}', "");
Expect(0, 93071, '\P{Is_Block=pahawhhmong}', "");
Expect(1, 93071, '\P{^Is_Block=pahawhhmong}', "");
Expect(0, 93072, '\p{Is_Block=pahawhhmong}', "");
Expect(1, 93072, '\p{^Is_Block=pahawhhmong}', "");
Expect(1, 93072, '\P{Is_Block=pahawhhmong}', "");
Expect(0, 93072, '\P{^Is_Block=pahawhhmong}', "");
Expect(1, 93071, '\p{Is_Block=	_Pahawh_Hmong}', "");
Expect(0, 93071, '\p{^Is_Block=	_Pahawh_Hmong}', "");
Expect(0, 93071, '\P{Is_Block=	_Pahawh_Hmong}', "");
Expect(1, 93071, '\P{^Is_Block=	_Pahawh_Hmong}', "");
Expect(0, 93072, '\p{Is_Block=	_Pahawh_Hmong}', "");
Expect(1, 93072, '\p{^Is_Block=	_Pahawh_Hmong}', "");
Expect(1, 93072, '\P{Is_Block=	_Pahawh_Hmong}', "");
Expect(0, 93072, '\P{^Is_Block=	_Pahawh_Hmong}', "");
Error('\p{Is_Blk=/a/Pahawh_HMONG}');
Error('\P{Is_Blk=/a/Pahawh_HMONG}');
Expect(1, 93071, '\p{Is_Blk=pahawhhmong}', "");
Expect(0, 93071, '\p{^Is_Blk=pahawhhmong}', "");
Expect(0, 93071, '\P{Is_Blk=pahawhhmong}', "");
Expect(1, 93071, '\P{^Is_Blk=pahawhhmong}', "");
Expect(0, 93072, '\p{Is_Blk=pahawhhmong}', "");
Expect(1, 93072, '\p{^Is_Blk=pahawhhmong}', "");
Expect(1, 93072, '\P{Is_Blk=pahawhhmong}', "");
Expect(0, 93072, '\P{^Is_Blk=pahawhhmong}', "");
Expect(1, 93071, '\p{Is_Blk=_-pahawh_hmong}', "");
Expect(0, 93071, '\p{^Is_Blk=_-pahawh_hmong}', "");
Expect(0, 93071, '\P{Is_Blk=_-pahawh_hmong}', "");
Expect(1, 93071, '\P{^Is_Blk=_-pahawh_hmong}', "");
Expect(0, 93072, '\p{Is_Blk=_-pahawh_hmong}', "");
Expect(1, 93072, '\p{^Is_Blk=_-pahawh_hmong}', "");
Expect(1, 93072, '\P{Is_Blk=_-pahawh_hmong}', "");
Expect(0, 93072, '\P{^Is_Blk=_-pahawh_hmong}', "");
Error('\p{Block=/a/_PALMYRENE}');
Error('\P{Block=/a/_PALMYRENE}');
Expect(1, 67711, '\p{Block=palmyrene}', "");
Expect(0, 67711, '\p{^Block=palmyrene}', "");
Expect(0, 67711, '\P{Block=palmyrene}', "");
Expect(1, 67711, '\P{^Block=palmyrene}', "");
Expect(0, 67712, '\p{Block=palmyrene}', "");
Expect(1, 67712, '\p{^Block=palmyrene}', "");
Expect(1, 67712, '\P{Block=palmyrene}', "");
Expect(0, 67712, '\P{^Block=palmyrene}', "");
Expect(1, 67711, '\p{Block=__Palmyrene}', "");
Expect(0, 67711, '\p{^Block=__Palmyrene}', "");
Expect(0, 67711, '\P{Block=__Palmyrene}', "");
Expect(1, 67711, '\P{^Block=__Palmyrene}', "");
Expect(0, 67712, '\p{Block=__Palmyrene}', "");
Expect(1, 67712, '\p{^Block=__Palmyrene}', "");
Expect(1, 67712, '\P{Block=__Palmyrene}', "");
Expect(0, 67712, '\P{^Block=__Palmyrene}', "");
Error('\p{Blk:   _PALMYRENE/a/}');
Error('\P{Blk:   _PALMYRENE/a/}');
Expect(1, 67711, '\p{Blk=palmyrene}', "");
Expect(0, 67711, '\p{^Blk=palmyrene}', "");
Expect(0, 67711, '\P{Blk=palmyrene}', "");
Expect(1, 67711, '\P{^Blk=palmyrene}', "");
Expect(0, 67712, '\p{Blk=palmyrene}', "");
Expect(1, 67712, '\p{^Blk=palmyrene}', "");
Expect(1, 67712, '\P{Blk=palmyrene}', "");
Expect(0, 67712, '\P{^Blk=palmyrene}', "");
Expect(1, 67711, '\p{Blk= Palmyrene}', "");
Expect(0, 67711, '\p{^Blk= Palmyrene}', "");
Expect(0, 67711, '\P{Blk= Palmyrene}', "");
Expect(1, 67711, '\P{^Blk= Palmyrene}', "");
Expect(0, 67712, '\p{Blk= Palmyrene}', "");
Expect(1, 67712, '\p{^Blk= Palmyrene}', "");
Expect(1, 67712, '\P{Blk= Palmyrene}', "");
Expect(0, 67712, '\P{^Blk= Palmyrene}', "");
Error('\p{Is_Block=:=	 Palmyrene}');
Error('\P{Is_Block=:=	 Palmyrene}');
Expect(1, 67711, '\p{Is_Block=palmyrene}', "");
Expect(0, 67711, '\p{^Is_Block=palmyrene}', "");
Expect(0, 67711, '\P{Is_Block=palmyrene}', "");
Expect(1, 67711, '\P{^Is_Block=palmyrene}', "");
Expect(0, 67712, '\p{Is_Block=palmyrene}', "");
Expect(1, 67712, '\p{^Is_Block=palmyrene}', "");
Expect(1, 67712, '\P{Is_Block=palmyrene}', "");
Expect(0, 67712, '\P{^Is_Block=palmyrene}', "");
Expect(1, 67711, '\p{Is_Block=	_Palmyrene}', "");
Expect(0, 67711, '\p{^Is_Block=	_Palmyrene}', "");
Expect(0, 67711, '\P{Is_Block=	_Palmyrene}', "");
Expect(1, 67711, '\P{^Is_Block=	_Palmyrene}', "");
Expect(0, 67712, '\p{Is_Block=	_Palmyrene}', "");
Expect(1, 67712, '\p{^Is_Block=	_Palmyrene}', "");
Expect(1, 67712, '\P{Is_Block=	_Palmyrene}', "");
Expect(0, 67712, '\P{^Is_Block=	_Palmyrene}', "");
Error('\p{Is_Blk= :=PALMYRENE}');
Error('\P{Is_Blk= :=PALMYRENE}');
Expect(1, 67711, '\p{Is_Blk=palmyrene}', "");
Expect(0, 67711, '\p{^Is_Blk=palmyrene}', "");
Expect(0, 67711, '\P{Is_Blk=palmyrene}', "");
Expect(1, 67711, '\P{^Is_Blk=palmyrene}', "");
Expect(0, 67712, '\p{Is_Blk=palmyrene}', "");
Expect(1, 67712, '\p{^Is_Blk=palmyrene}', "");
Expect(1, 67712, '\P{Is_Blk=palmyrene}', "");
Expect(0, 67712, '\P{^Is_Blk=palmyrene}', "");
Expect(1, 67711, '\p{Is_Blk=-palmyrene}', "");
Expect(0, 67711, '\p{^Is_Blk=-palmyrene}', "");
Expect(0, 67711, '\P{Is_Blk=-palmyrene}', "");
Expect(1, 67711, '\P{^Is_Blk=-palmyrene}', "");
Expect(0, 67712, '\p{Is_Blk=-palmyrene}', "");
Expect(1, 67712, '\p{^Is_Blk=-palmyrene}', "");
Expect(1, 67712, '\P{Is_Blk=-palmyrene}', "");
Expect(0, 67712, '\P{^Is_Blk=-palmyrene}', "");
Error('\p{Block=	-PAU_cin_Hau:=}');
Error('\P{Block=	-PAU_cin_Hau:=}');
Expect(1, 72447, '\p{Block=paucinhau}', "");
Expect(0, 72447, '\p{^Block=paucinhau}', "");
Expect(0, 72447, '\P{Block=paucinhau}', "");
Expect(1, 72447, '\P{^Block=paucinhau}', "");
Expect(0, 72448, '\p{Block=paucinhau}', "");
Expect(1, 72448, '\p{^Block=paucinhau}', "");
Expect(1, 72448, '\P{Block=paucinhau}', "");
Expect(0, 72448, '\P{^Block=paucinhau}', "");
Expect(1, 72447, '\p{Block=  pau_Cin_HAU}', "");
Expect(0, 72447, '\p{^Block=  pau_Cin_HAU}', "");
Expect(0, 72447, '\P{Block=  pau_Cin_HAU}', "");
Expect(1, 72447, '\P{^Block=  pau_Cin_HAU}', "");
Expect(0, 72448, '\p{Block=  pau_Cin_HAU}', "");
Expect(1, 72448, '\p{^Block=  pau_Cin_HAU}', "");
Expect(1, 72448, '\P{Block=  pau_Cin_HAU}', "");
Expect(0, 72448, '\P{^Block=  pau_Cin_HAU}', "");
Error('\p{Blk= 	PAU_Cin_Hau/a/}');
Error('\P{Blk= 	PAU_Cin_Hau/a/}');
Expect(1, 72447, '\p{Blk=paucinhau}', "");
Expect(0, 72447, '\p{^Blk=paucinhau}', "");
Expect(0, 72447, '\P{Blk=paucinhau}', "");
Expect(1, 72447, '\P{^Blk=paucinhau}', "");
Expect(0, 72448, '\p{Blk=paucinhau}', "");
Expect(1, 72448, '\p{^Blk=paucinhau}', "");
Expect(1, 72448, '\P{Blk=paucinhau}', "");
Expect(0, 72448, '\P{^Blk=paucinhau}', "");
Expect(1, 72447, '\p{Blk=__pau_cin_hau}', "");
Expect(0, 72447, '\p{^Blk=__pau_cin_hau}', "");
Expect(0, 72447, '\P{Blk=__pau_cin_hau}', "");
Expect(1, 72447, '\P{^Blk=__pau_cin_hau}', "");
Expect(0, 72448, '\p{Blk=__pau_cin_hau}', "");
Expect(1, 72448, '\p{^Blk=__pau_cin_hau}', "");
Expect(1, 72448, '\P{Blk=__pau_cin_hau}', "");
Expect(0, 72448, '\P{^Blk=__pau_cin_hau}', "");
Error('\p{Is_Block=_/a/Pau_Cin_Hau}');
Error('\P{Is_Block=_/a/Pau_Cin_Hau}');
Expect(1, 72447, '\p{Is_Block: paucinhau}', "");
Expect(0, 72447, '\p{^Is_Block: paucinhau}', "");
Expect(0, 72447, '\P{Is_Block: paucinhau}', "");
Expect(1, 72447, '\P{^Is_Block: paucinhau}', "");
Expect(0, 72448, '\p{Is_Block: paucinhau}', "");
Expect(1, 72448, '\p{^Is_Block: paucinhau}', "");
Expect(1, 72448, '\P{Is_Block: paucinhau}', "");
Expect(0, 72448, '\P{^Is_Block: paucinhau}', "");
Expect(1, 72447, '\p{Is_Block=_PAU_Cin_Hau}', "");
Expect(0, 72447, '\p{^Is_Block=_PAU_Cin_Hau}', "");
Expect(0, 72447, '\P{Is_Block=_PAU_Cin_Hau}', "");
Expect(1, 72447, '\P{^Is_Block=_PAU_Cin_Hau}', "");
Expect(0, 72448, '\p{Is_Block=_PAU_Cin_Hau}', "");
Expect(1, 72448, '\p{^Is_Block=_PAU_Cin_Hau}', "");
Expect(1, 72448, '\P{Is_Block=_PAU_Cin_Hau}', "");
Expect(0, 72448, '\P{^Is_Block=_PAU_Cin_Hau}', "");
Error('\p{Is_Blk=	:=Pau_Cin_Hau}');
Error('\P{Is_Blk=	:=Pau_Cin_Hau}');
Expect(1, 72447, '\p{Is_Blk=paucinhau}', "");
Expect(0, 72447, '\p{^Is_Blk=paucinhau}', "");
Expect(0, 72447, '\P{Is_Blk=paucinhau}', "");
Expect(1, 72447, '\P{^Is_Blk=paucinhau}', "");
Expect(0, 72448, '\p{Is_Blk=paucinhau}', "");
Expect(1, 72448, '\p{^Is_Blk=paucinhau}', "");
Expect(1, 72448, '\P{Is_Blk=paucinhau}', "");
Expect(0, 72448, '\P{^Is_Blk=paucinhau}', "");
Expect(1, 72447, '\p{Is_Blk=PAU_Cin_HAU}', "");
Expect(0, 72447, '\p{^Is_Blk=PAU_Cin_HAU}', "");
Expect(0, 72447, '\P{Is_Blk=PAU_Cin_HAU}', "");
Expect(1, 72447, '\P{^Is_Blk=PAU_Cin_HAU}', "");
Expect(0, 72448, '\p{Is_Blk=PAU_Cin_HAU}', "");
Expect(1, 72448, '\p{^Is_Blk=PAU_Cin_HAU}', "");
Expect(1, 72448, '\P{Is_Blk=PAU_Cin_HAU}', "");
Expect(0, 72448, '\P{^Is_Blk=PAU_Cin_HAU}', "");
Error('\p{Block=	_Phags_Pa:=}');
Error('\P{Block=	_Phags_Pa:=}');
Expect(1, 43135, '\p{Block=phagspa}', "");
Expect(0, 43135, '\p{^Block=phagspa}', "");
Expect(0, 43135, '\P{Block=phagspa}', "");
Expect(1, 43135, '\P{^Block=phagspa}', "");
Expect(0, 43136, '\p{Block=phagspa}', "");
Expect(1, 43136, '\p{^Block=phagspa}', "");
Expect(1, 43136, '\P{Block=phagspa}', "");
Expect(0, 43136, '\P{^Block=phagspa}', "");
Expect(1, 43135, '\p{Block=	Phags_PA}', "");
Expect(0, 43135, '\p{^Block=	Phags_PA}', "");
Expect(0, 43135, '\P{Block=	Phags_PA}', "");
Expect(1, 43135, '\P{^Block=	Phags_PA}', "");
Expect(0, 43136, '\p{Block=	Phags_PA}', "");
Expect(1, 43136, '\p{^Block=	Phags_PA}', "");
Expect(1, 43136, '\P{Block=	Phags_PA}', "");
Expect(0, 43136, '\P{^Block=	Phags_PA}', "");
Error('\p{Blk=	phags_Pa/a/}');
Error('\P{Blk=	phags_Pa/a/}');
Expect(1, 43135, '\p{Blk=phagspa}', "");
Expect(0, 43135, '\p{^Blk=phagspa}', "");
Expect(0, 43135, '\P{Blk=phagspa}', "");
Expect(1, 43135, '\P{^Blk=phagspa}', "");
Expect(0, 43136, '\p{Blk=phagspa}', "");
Expect(1, 43136, '\p{^Blk=phagspa}', "");
Expect(1, 43136, '\P{Blk=phagspa}', "");
Expect(0, 43136, '\P{^Blk=phagspa}', "");
Expect(1, 43135, '\p{Blk:  Phags_Pa}', "");
Expect(0, 43135, '\p{^Blk:  Phags_Pa}', "");
Expect(0, 43135, '\P{Blk:  Phags_Pa}', "");
Expect(1, 43135, '\P{^Blk:  Phags_Pa}', "");
Expect(0, 43136, '\p{Blk:  Phags_Pa}', "");
Expect(1, 43136, '\p{^Blk:  Phags_Pa}', "");
Expect(1, 43136, '\P{Blk:  Phags_Pa}', "");
Expect(0, 43136, '\P{^Blk:  Phags_Pa}', "");
Error('\p{Is_Block=:=-phags_Pa}');
Error('\P{Is_Block=:=-phags_Pa}');
Expect(1, 43135, '\p{Is_Block=phagspa}', "");
Expect(0, 43135, '\p{^Is_Block=phagspa}', "");
Expect(0, 43135, '\P{Is_Block=phagspa}', "");
Expect(1, 43135, '\P{^Is_Block=phagspa}', "");
Expect(0, 43136, '\p{Is_Block=phagspa}', "");
Expect(1, 43136, '\p{^Is_Block=phagspa}', "");
Expect(1, 43136, '\P{Is_Block=phagspa}', "");
Expect(0, 43136, '\P{^Is_Block=phagspa}', "");
Expect(1, 43135, '\p{Is_Block=	 Phags_PA}', "");
Expect(0, 43135, '\p{^Is_Block=	 Phags_PA}', "");
Expect(0, 43135, '\P{Is_Block=	 Phags_PA}', "");
Expect(1, 43135, '\P{^Is_Block=	 Phags_PA}', "");
Expect(0, 43136, '\p{Is_Block=	 Phags_PA}', "");
Expect(1, 43136, '\p{^Is_Block=	 Phags_PA}', "");
Expect(1, 43136, '\P{Is_Block=	 Phags_PA}', "");
Expect(0, 43136, '\P{^Is_Block=	 Phags_PA}', "");
Error('\p{Is_Blk=-	Phags_Pa/a/}');
Error('\P{Is_Blk=-	Phags_Pa/a/}');
Expect(1, 43135, '\p{Is_Blk=phagspa}', "");
Expect(0, 43135, '\p{^Is_Blk=phagspa}', "");
Expect(0, 43135, '\P{Is_Blk=phagspa}', "");
Expect(1, 43135, '\P{^Is_Blk=phagspa}', "");
Expect(0, 43136, '\p{Is_Blk=phagspa}', "");
Expect(1, 43136, '\p{^Is_Blk=phagspa}', "");
Expect(1, 43136, '\P{Is_Blk=phagspa}', "");
Expect(0, 43136, '\P{^Is_Blk=phagspa}', "");
Expect(1, 43135, '\p{Is_Blk=_ Phags_Pa}', "");
Expect(0, 43135, '\p{^Is_Blk=_ Phags_Pa}', "");
Expect(0, 43135, '\P{Is_Blk=_ Phags_Pa}', "");
Expect(1, 43135, '\P{^Is_Blk=_ Phags_Pa}', "");
Expect(0, 43136, '\p{Is_Blk=_ Phags_Pa}', "");
Expect(1, 43136, '\p{^Is_Blk=_ Phags_Pa}', "");
Expect(1, 43136, '\P{Is_Blk=_ Phags_Pa}', "");
Expect(0, 43136, '\P{^Is_Blk=_ Phags_Pa}', "");
Error('\p{Block=- PHAISTOS_disc:=}');
Error('\P{Block=- PHAISTOS_disc:=}');
Expect(1, 66047, '\p{Block=phaistosdisc}', "");
Expect(0, 66047, '\p{^Block=phaistosdisc}', "");
Expect(0, 66047, '\P{Block=phaistosdisc}', "");
Expect(1, 66047, '\P{^Block=phaistosdisc}', "");
Expect(0, 66048, '\p{Block=phaistosdisc}', "");
Expect(1, 66048, '\p{^Block=phaistosdisc}', "");
Expect(1, 66048, '\P{Block=phaistosdisc}', "");
Expect(0, 66048, '\P{^Block=phaistosdisc}', "");
Expect(1, 66047, '\p{Block=_phaistos_Disc}', "");
Expect(0, 66047, '\p{^Block=_phaistos_Disc}', "");
Expect(0, 66047, '\P{Block=_phaistos_Disc}', "");
Expect(1, 66047, '\P{^Block=_phaistos_Disc}', "");
Expect(0, 66048, '\p{Block=_phaistos_Disc}', "");
Expect(1, 66048, '\p{^Block=_phaistos_Disc}', "");
Expect(1, 66048, '\P{Block=_phaistos_Disc}', "");
Expect(0, 66048, '\P{^Block=_phaistos_Disc}', "");
Error('\p{Blk=_/a/phaistos}');
Error('\P{Blk=_/a/phaistos}');
Expect(1, 66047, '\p{Blk=phaistos}', "");
Expect(0, 66047, '\p{^Blk=phaistos}', "");
Expect(0, 66047, '\P{Blk=phaistos}', "");
Expect(1, 66047, '\P{^Blk=phaistos}', "");
Expect(0, 66048, '\p{Blk=phaistos}', "");
Expect(1, 66048, '\p{^Blk=phaistos}', "");
Expect(1, 66048, '\P{Blk=phaistos}', "");
Expect(0, 66048, '\P{^Blk=phaistos}', "");
Expect(1, 66047, '\p{Blk:   	Phaistos}', "");
Expect(0, 66047, '\p{^Blk:   	Phaistos}', "");
Expect(0, 66047, '\P{Blk:   	Phaistos}', "");
Expect(1, 66047, '\P{^Blk:   	Phaistos}', "");
Expect(0, 66048, '\p{Blk:   	Phaistos}', "");
Expect(1, 66048, '\p{^Blk:   	Phaistos}', "");
Expect(1, 66048, '\P{Blk:   	Phaistos}', "");
Expect(0, 66048, '\P{^Blk:   	Phaistos}', "");
Error('\p{Is_Block= phaistos_Disc/a/}');
Error('\P{Is_Block= phaistos_Disc/a/}');
Expect(1, 66047, '\p{Is_Block:	phaistosdisc}', "");
Expect(0, 66047, '\p{^Is_Block:	phaistosdisc}', "");
Expect(0, 66047, '\P{Is_Block:	phaistosdisc}', "");
Expect(1, 66047, '\P{^Is_Block:	phaistosdisc}', "");
Expect(0, 66048, '\p{Is_Block:	phaistosdisc}', "");
Expect(1, 66048, '\p{^Is_Block:	phaistosdisc}', "");
Expect(1, 66048, '\P{Is_Block:	phaistosdisc}', "");
Expect(0, 66048, '\P{^Is_Block:	phaistosdisc}', "");
Expect(1, 66047, '\p{Is_Block=__Phaistos_Disc}', "");
Expect(0, 66047, '\p{^Is_Block=__Phaistos_Disc}', "");
Expect(0, 66047, '\P{Is_Block=__Phaistos_Disc}', "");
Expect(1, 66047, '\P{^Is_Block=__Phaistos_Disc}', "");
Expect(0, 66048, '\p{Is_Block=__Phaistos_Disc}', "");
Expect(1, 66048, '\p{^Is_Block=__Phaistos_Disc}', "");
Expect(1, 66048, '\P{Is_Block=__Phaistos_Disc}', "");
Expect(0, 66048, '\P{^Is_Block=__Phaistos_Disc}', "");
Error('\p{Is_Blk=_/a/Phaistos}');
Error('\P{Is_Blk=_/a/Phaistos}');
Expect(1, 66047, '\p{Is_Blk=phaistos}', "");
Expect(0, 66047, '\p{^Is_Blk=phaistos}', "");
Expect(0, 66047, '\P{Is_Blk=phaistos}', "");
Expect(1, 66047, '\P{^Is_Blk=phaistos}', "");
Expect(0, 66048, '\p{Is_Blk=phaistos}', "");
Expect(1, 66048, '\p{^Is_Blk=phaistos}', "");
Expect(1, 66048, '\P{Is_Blk=phaistos}', "");
Expect(0, 66048, '\P{^Is_Blk=phaistos}', "");
Expect(1, 66047, '\p{Is_Blk= _Phaistos}', "");
Expect(0, 66047, '\p{^Is_Blk= _Phaistos}', "");
Expect(0, 66047, '\P{Is_Blk= _Phaistos}', "");
Expect(1, 66047, '\P{^Is_Blk= _Phaistos}', "");
Expect(0, 66048, '\p{Is_Blk= _Phaistos}', "");
Expect(1, 66048, '\p{^Is_Blk= _Phaistos}', "");
Expect(1, 66048, '\P{Is_Blk= _Phaistos}', "");
Expect(0, 66048, '\P{^Is_Blk= _Phaistos}', "");
Error('\p{Block: :=PHOENICIAN}');
Error('\P{Block: :=PHOENICIAN}');
Expect(1, 67871, '\p{Block: phoenician}', "");
Expect(0, 67871, '\p{^Block: phoenician}', "");
Expect(0, 67871, '\P{Block: phoenician}', "");
Expect(1, 67871, '\P{^Block: phoenician}', "");
Expect(0, 67872, '\p{Block: phoenician}', "");
Expect(1, 67872, '\p{^Block: phoenician}', "");
Expect(1, 67872, '\P{Block: phoenician}', "");
Expect(0, 67872, '\P{^Block: phoenician}', "");
Expect(1, 67871, '\p{Block: 		Phoenician}', "");
Expect(0, 67871, '\p{^Block: 		Phoenician}', "");
Expect(0, 67871, '\P{Block: 		Phoenician}', "");
Expect(1, 67871, '\P{^Block: 		Phoenician}', "");
Expect(0, 67872, '\p{Block: 		Phoenician}', "");
Expect(1, 67872, '\p{^Block: 		Phoenician}', "");
Expect(1, 67872, '\P{Block: 		Phoenician}', "");
Expect(0, 67872, '\P{^Block: 		Phoenician}', "");
Error('\p{Blk=/a/Phoenician}');
Error('\P{Blk=/a/Phoenician}');
Expect(1, 67871, '\p{Blk=phoenician}', "");
Expect(0, 67871, '\p{^Blk=phoenician}', "");
Expect(0, 67871, '\P{Blk=phoenician}', "");
Expect(1, 67871, '\P{^Blk=phoenician}', "");
Expect(0, 67872, '\p{Blk=phoenician}', "");
Expect(1, 67872, '\p{^Blk=phoenician}', "");
Expect(1, 67872, '\P{Blk=phoenician}', "");
Expect(0, 67872, '\P{^Blk=phoenician}', "");
Expect(1, 67871, '\p{Blk= 	Phoenician}', "");
Expect(0, 67871, '\p{^Blk= 	Phoenician}', "");
Expect(0, 67871, '\P{Blk= 	Phoenician}', "");
Expect(1, 67871, '\P{^Blk= 	Phoenician}', "");
Expect(0, 67872, '\p{Blk= 	Phoenician}', "");
Expect(1, 67872, '\p{^Blk= 	Phoenician}', "");
Expect(1, 67872, '\P{Blk= 	Phoenician}', "");
Expect(0, 67872, '\P{^Blk= 	Phoenician}', "");
Error('\p{Is_Block=	_phoenician:=}');
Error('\P{Is_Block=	_phoenician:=}');
Expect(1, 67871, '\p{Is_Block=phoenician}', "");
Expect(0, 67871, '\p{^Is_Block=phoenician}', "");
Expect(0, 67871, '\P{Is_Block=phoenician}', "");
Expect(1, 67871, '\P{^Is_Block=phoenician}', "");
Expect(0, 67872, '\p{Is_Block=phoenician}', "");
Expect(1, 67872, '\p{^Is_Block=phoenician}', "");
Expect(1, 67872, '\P{Is_Block=phoenician}', "");
Expect(0, 67872, '\P{^Is_Block=phoenician}', "");
Expect(1, 67871, '\p{Is_Block=-Phoenician}', "");
Expect(0, 67871, '\p{^Is_Block=-Phoenician}', "");
Expect(0, 67871, '\P{Is_Block=-Phoenician}', "");
Expect(1, 67871, '\P{^Is_Block=-Phoenician}', "");
Expect(0, 67872, '\p{Is_Block=-Phoenician}', "");
Expect(1, 67872, '\p{^Is_Block=-Phoenician}', "");
Expect(1, 67872, '\P{Is_Block=-Phoenician}', "");
Expect(0, 67872, '\P{^Is_Block=-Phoenician}', "");
Error('\p{Is_Blk=:= -Phoenician}');
Error('\P{Is_Blk=:= -Phoenician}');
Expect(1, 67871, '\p{Is_Blk=phoenician}', "");
Expect(0, 67871, '\p{^Is_Blk=phoenician}', "");
Expect(0, 67871, '\P{Is_Blk=phoenician}', "");
Expect(1, 67871, '\P{^Is_Blk=phoenician}', "");
Expect(0, 67872, '\p{Is_Blk=phoenician}', "");
Expect(1, 67872, '\p{^Is_Blk=phoenician}', "");
Expect(1, 67872, '\P{Is_Blk=phoenician}', "");
Expect(0, 67872, '\P{^Is_Blk=phoenician}', "");
Expect(1, 67871, '\p{Is_Blk= -Phoenician}', "");
Expect(0, 67871, '\p{^Is_Blk= -Phoenician}', "");
Expect(0, 67871, '\P{Is_Blk= -Phoenician}', "");
Expect(1, 67871, '\P{^Is_Blk= -Phoenician}', "");
Expect(0, 67872, '\p{Is_Blk= -Phoenician}', "");
Expect(1, 67872, '\p{^Is_Blk= -Phoenician}', "");
Expect(1, 67872, '\P{Is_Blk= -Phoenician}', "");
Expect(0, 67872, '\P{^Is_Blk= -Phoenician}', "");
Error('\p{Block:-	Phonetic_Extensions/a/}');
Error('\P{Block:-	Phonetic_Extensions/a/}');
Expect(1, 7551, '\p{Block=phoneticextensions}', "");
Expect(0, 7551, '\p{^Block=phoneticextensions}', "");
Expect(0, 7551, '\P{Block=phoneticextensions}', "");
Expect(1, 7551, '\P{^Block=phoneticextensions}', "");
Expect(0, 7552, '\p{Block=phoneticextensions}', "");
Expect(1, 7552, '\p{^Block=phoneticextensions}', "");
Expect(1, 7552, '\P{Block=phoneticextensions}', "");
Expect(0, 7552, '\P{^Block=phoneticextensions}', "");
Expect(1, 7551, '\p{Block=	Phonetic_Extensions}', "");
Expect(0, 7551, '\p{^Block=	Phonetic_Extensions}', "");
Expect(0, 7551, '\P{Block=	Phonetic_Extensions}', "");
Expect(1, 7551, '\P{^Block=	Phonetic_Extensions}', "");
Expect(0, 7552, '\p{Block=	Phonetic_Extensions}', "");
Expect(1, 7552, '\p{^Block=	Phonetic_Extensions}', "");
Expect(1, 7552, '\P{Block=	Phonetic_Extensions}', "");
Expect(0, 7552, '\P{^Block=	Phonetic_Extensions}', "");
Error('\p{Blk=_:=Phonetic_EXT}');
Error('\P{Blk=_:=Phonetic_EXT}');
Expect(1, 7551, '\p{Blk=phoneticext}', "");
Expect(0, 7551, '\p{^Blk=phoneticext}', "");
Expect(0, 7551, '\P{Blk=phoneticext}', "");
Expect(1, 7551, '\P{^Blk=phoneticext}', "");
Expect(0, 7552, '\p{Blk=phoneticext}', "");
Expect(1, 7552, '\p{^Blk=phoneticext}', "");
Expect(1, 7552, '\P{Blk=phoneticext}', "");
Expect(0, 7552, '\P{^Blk=phoneticext}', "");
Expect(1, 7551, '\p{Blk=_PHONETIC_EXT}', "");
Expect(0, 7551, '\p{^Blk=_PHONETIC_EXT}', "");
Expect(0, 7551, '\P{Blk=_PHONETIC_EXT}', "");
Expect(1, 7551, '\P{^Blk=_PHONETIC_EXT}', "");
Expect(0, 7552, '\p{Blk=_PHONETIC_EXT}', "");
Expect(1, 7552, '\p{^Blk=_PHONETIC_EXT}', "");
Expect(1, 7552, '\P{Blk=_PHONETIC_EXT}', "");
Expect(0, 7552, '\P{^Blk=_PHONETIC_EXT}', "");
Error('\p{Is_Block=_Phonetic_Extensions:=}');
Error('\P{Is_Block=_Phonetic_Extensions:=}');
Expect(1, 7551, '\p{Is_Block=phoneticextensions}', "");
Expect(0, 7551, '\p{^Is_Block=phoneticextensions}', "");
Expect(0, 7551, '\P{Is_Block=phoneticextensions}', "");
Expect(1, 7551, '\P{^Is_Block=phoneticextensions}', "");
Expect(0, 7552, '\p{Is_Block=phoneticextensions}', "");
Expect(1, 7552, '\p{^Is_Block=phoneticextensions}', "");
Expect(1, 7552, '\P{Is_Block=phoneticextensions}', "");
Expect(0, 7552, '\P{^Is_Block=phoneticextensions}', "");
Expect(1, 7551, '\p{Is_Block:	 _Phonetic_EXTENSIONS}', "");
Expect(0, 7551, '\p{^Is_Block:	 _Phonetic_EXTENSIONS}', "");
Expect(0, 7551, '\P{Is_Block:	 _Phonetic_EXTENSIONS}', "");
Expect(1, 7551, '\P{^Is_Block:	 _Phonetic_EXTENSIONS}', "");
Expect(0, 7552, '\p{Is_Block:	 _Phonetic_EXTENSIONS}', "");
Expect(1, 7552, '\p{^Is_Block:	 _Phonetic_EXTENSIONS}', "");
Expect(1, 7552, '\P{Is_Block:	 _Phonetic_EXTENSIONS}', "");
Expect(0, 7552, '\P{^Is_Block:	 _Phonetic_EXTENSIONS}', "");
Error('\p{Is_Blk: - PHONETIC_Ext:=}');
Error('\P{Is_Blk: - PHONETIC_Ext:=}');
Expect(1, 7551, '\p{Is_Blk=phoneticext}', "");
Expect(0, 7551, '\p{^Is_Blk=phoneticext}', "");
Expect(0, 7551, '\P{Is_Blk=phoneticext}', "");
Expect(1, 7551, '\P{^Is_Blk=phoneticext}', "");
Expect(0, 7552, '\p{Is_Blk=phoneticext}', "");
Expect(1, 7552, '\p{^Is_Blk=phoneticext}', "");
Expect(1, 7552, '\P{Is_Blk=phoneticext}', "");
Expect(0, 7552, '\P{^Is_Blk=phoneticext}', "");
Expect(1, 7551, '\p{Is_Blk=-	PHONETIC_Ext}', "");
Expect(0, 7551, '\p{^Is_Blk=-	PHONETIC_Ext}', "");
Expect(0, 7551, '\P{Is_Blk=-	PHONETIC_Ext}', "");
Expect(1, 7551, '\P{^Is_Blk=-	PHONETIC_Ext}', "");
Expect(0, 7552, '\p{Is_Blk=-	PHONETIC_Ext}', "");
Expect(1, 7552, '\p{^Is_Blk=-	PHONETIC_Ext}', "");
Expect(1, 7552, '\P{Is_Blk=-	PHONETIC_Ext}', "");
Expect(0, 7552, '\P{^Is_Blk=-	PHONETIC_Ext}', "");
Error('\p{Block: phonetic_Extensions_SUPPLEMENT/a/}');
Error('\P{Block: phonetic_Extensions_SUPPLEMENT/a/}');
Expect(1, 7615, '\p{Block:	phoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^Block:	phoneticextensionssupplement}', "");
Expect(0, 7615, '\P{Block:	phoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^Block:	phoneticextensionssupplement}', "");
Expect(0, 7616, '\p{Block:	phoneticextensionssupplement}', "");
Expect(1, 7616, '\p{^Block:	phoneticextensionssupplement}', "");
Expect(1, 7616, '\P{Block:	phoneticextensionssupplement}', "");
Expect(0, 7616, '\P{^Block:	phoneticextensionssupplement}', "");
Expect(1, 7615, '\p{Block=__phonetic_Extensions_SUPPLEMENT}', "");
Expect(0, 7615, '\p{^Block=__phonetic_Extensions_SUPPLEMENT}', "");
Expect(0, 7615, '\P{Block=__phonetic_Extensions_SUPPLEMENT}', "");
Expect(1, 7615, '\P{^Block=__phonetic_Extensions_SUPPLEMENT}', "");
Expect(0, 7616, '\p{Block=__phonetic_Extensions_SUPPLEMENT}', "");
Expect(1, 7616, '\p{^Block=__phonetic_Extensions_SUPPLEMENT}', "");
Expect(1, 7616, '\P{Block=__phonetic_Extensions_SUPPLEMENT}', "");
Expect(0, 7616, '\P{^Block=__phonetic_Extensions_SUPPLEMENT}', "");
Error('\p{Blk=:= _Phonetic_EXT_Sup}');
Error('\P{Blk=:= _Phonetic_EXT_Sup}');
Expect(1, 7615, '\p{Blk=phoneticextsup}', "");
Expect(0, 7615, '\p{^Blk=phoneticextsup}', "");
Expect(0, 7615, '\P{Blk=phoneticextsup}', "");
Expect(1, 7615, '\P{^Blk=phoneticextsup}', "");
Expect(0, 7616, '\p{Blk=phoneticextsup}', "");
Expect(1, 7616, '\p{^Blk=phoneticextsup}', "");
Expect(1, 7616, '\P{Blk=phoneticextsup}', "");
Expect(0, 7616, '\P{^Blk=phoneticextsup}', "");
Expect(1, 7615, '\p{Blk=_-Phonetic_Ext_Sup}', "");
Expect(0, 7615, '\p{^Blk=_-Phonetic_Ext_Sup}', "");
Expect(0, 7615, '\P{Blk=_-Phonetic_Ext_Sup}', "");
Expect(1, 7615, '\P{^Blk=_-Phonetic_Ext_Sup}', "");
Expect(0, 7616, '\p{Blk=_-Phonetic_Ext_Sup}', "");
Expect(1, 7616, '\p{^Blk=_-Phonetic_Ext_Sup}', "");
Expect(1, 7616, '\P{Blk=_-Phonetic_Ext_Sup}', "");
Expect(0, 7616, '\P{^Blk=_-Phonetic_Ext_Sup}', "");
Error('\p{Is_Block=:=--Phonetic_extensions_supplement}');
Error('\P{Is_Block=:=--Phonetic_extensions_supplement}');
Expect(1, 7615, '\p{Is_Block:	phoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^Is_Block:	phoneticextensionssupplement}', "");
Expect(0, 7615, '\P{Is_Block:	phoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^Is_Block:	phoneticextensionssupplement}', "");
Expect(0, 7616, '\p{Is_Block:	phoneticextensionssupplement}', "");
Expect(1, 7616, '\p{^Is_Block:	phoneticextensionssupplement}', "");
Expect(1, 7616, '\P{Is_Block:	phoneticextensionssupplement}', "");
Expect(0, 7616, '\P{^Is_Block:	phoneticextensionssupplement}', "");
Expect(1, 7615, '\p{Is_Block=		Phonetic_extensions_Supplement}', "");
Expect(0, 7615, '\p{^Is_Block=		Phonetic_extensions_Supplement}', "");
Expect(0, 7615, '\P{Is_Block=		Phonetic_extensions_Supplement}', "");
Expect(1, 7615, '\P{^Is_Block=		Phonetic_extensions_Supplement}', "");
Expect(0, 7616, '\p{Is_Block=		Phonetic_extensions_Supplement}', "");
Expect(1, 7616, '\p{^Is_Block=		Phonetic_extensions_Supplement}', "");
Expect(1, 7616, '\P{Is_Block=		Phonetic_extensions_Supplement}', "");
Expect(0, 7616, '\P{^Is_Block=		Phonetic_extensions_Supplement}', "");
Error('\p{Is_Blk=:=PHONETIC_ext_Sup}');
Error('\P{Is_Blk=:=PHONETIC_ext_Sup}');
Expect(1, 7615, '\p{Is_Blk=phoneticextsup}', "");
Expect(0, 7615, '\p{^Is_Blk=phoneticextsup}', "");
Expect(0, 7615, '\P{Is_Blk=phoneticextsup}', "");
Expect(1, 7615, '\P{^Is_Blk=phoneticextsup}', "");
Expect(0, 7616, '\p{Is_Blk=phoneticextsup}', "");
Expect(1, 7616, '\p{^Is_Blk=phoneticextsup}', "");
Expect(1, 7616, '\P{Is_Blk=phoneticextsup}', "");
Expect(0, 7616, '\P{^Is_Blk=phoneticextsup}', "");
Expect(1, 7615, '\p{Is_Blk= -phonetic_ext_SUP}', "");
Expect(0, 7615, '\p{^Is_Blk= -phonetic_ext_SUP}', "");
Expect(0, 7615, '\P{Is_Blk= -phonetic_ext_SUP}', "");
Expect(1, 7615, '\P{^Is_Blk= -phonetic_ext_SUP}', "");
Expect(0, 7616, '\p{Is_Blk= -phonetic_ext_SUP}', "");
Expect(1, 7616, '\p{^Is_Blk= -phonetic_ext_SUP}', "");
Expect(1, 7616, '\P{Is_Blk= -phonetic_ext_SUP}', "");
Expect(0, 7616, '\P{^Is_Blk= -phonetic_ext_SUP}', "");
Error('\p{Block=_:=PLAYING_Cards}');
Error('\P{Block=_:=PLAYING_Cards}');
Expect(1, 127231, '\p{Block=playingcards}', "");
Expect(0, 127231, '\p{^Block=playingcards}', "");
Expect(0, 127231, '\P{Block=playingcards}', "");
Expect(1, 127231, '\P{^Block=playingcards}', "");
Expect(0, 127232, '\p{Block=playingcards}', "");
Expect(1, 127232, '\p{^Block=playingcards}', "");
Expect(1, 127232, '\P{Block=playingcards}', "");
Expect(0, 127232, '\P{^Block=playingcards}', "");
Expect(1, 127231, '\p{Block= playing_Cards}', "");
Expect(0, 127231, '\p{^Block= playing_Cards}', "");
Expect(0, 127231, '\P{Block= playing_Cards}', "");
Expect(1, 127231, '\P{^Block= playing_Cards}', "");
Expect(0, 127232, '\p{Block= playing_Cards}', "");
Expect(1, 127232, '\p{^Block= playing_Cards}', "");
Expect(1, 127232, '\P{Block= playing_Cards}', "");
Expect(0, 127232, '\P{^Block= playing_Cards}', "");
Error('\p{Blk=--PLAYING_Cards:=}');
Error('\P{Blk=--PLAYING_Cards:=}');
Expect(1, 127231, '\p{Blk:   playingcards}', "");
Expect(0, 127231, '\p{^Blk:   playingcards}', "");
Expect(0, 127231, '\P{Blk:   playingcards}', "");
Expect(1, 127231, '\P{^Blk:   playingcards}', "");
Expect(0, 127232, '\p{Blk:   playingcards}', "");
Expect(1, 127232, '\p{^Blk:   playingcards}', "");
Expect(1, 127232, '\P{Blk:   playingcards}', "");
Expect(0, 127232, '\P{^Blk:   playingcards}', "");
Expect(1, 127231, '\p{Blk=_-PLAYING_CARDS}', "");
Expect(0, 127231, '\p{^Blk=_-PLAYING_CARDS}', "");
Expect(0, 127231, '\P{Blk=_-PLAYING_CARDS}', "");
Expect(1, 127231, '\P{^Blk=_-PLAYING_CARDS}', "");
Expect(0, 127232, '\p{Blk=_-PLAYING_CARDS}', "");
Expect(1, 127232, '\p{^Blk=_-PLAYING_CARDS}', "");
Expect(1, 127232, '\P{Blk=_-PLAYING_CARDS}', "");
Expect(0, 127232, '\P{^Blk=_-PLAYING_CARDS}', "");
Error('\p{Is_Block=:=Playing_Cards}');
Error('\P{Is_Block=:=Playing_Cards}');
Expect(1, 127231, '\p{Is_Block=playingcards}', "");
Expect(0, 127231, '\p{^Is_Block=playingcards}', "");
Expect(0, 127231, '\P{Is_Block=playingcards}', "");
Expect(1, 127231, '\P{^Is_Block=playingcards}', "");
Expect(0, 127232, '\p{Is_Block=playingcards}', "");
Expect(1, 127232, '\p{^Is_Block=playingcards}', "");
Expect(1, 127232, '\P{Is_Block=playingcards}', "");
Expect(0, 127232, '\P{^Is_Block=playingcards}', "");
Expect(1, 127231, '\p{Is_Block: 	-playing_Cards}', "");
Expect(0, 127231, '\p{^Is_Block: 	-playing_Cards}', "");
Expect(0, 127231, '\P{Is_Block: 	-playing_Cards}', "");
Expect(1, 127231, '\P{^Is_Block: 	-playing_Cards}', "");
Expect(0, 127232, '\p{Is_Block: 	-playing_Cards}', "");
Expect(1, 127232, '\p{^Is_Block: 	-playing_Cards}', "");
Expect(1, 127232, '\P{Is_Block: 	-playing_Cards}', "");
Expect(0, 127232, '\P{^Is_Block: 	-playing_Cards}', "");
Error('\p{Is_Blk=	-PLAYING_CARDS:=}');
Error('\P{Is_Blk=	-PLAYING_CARDS:=}');
Expect(1, 127231, '\p{Is_Blk=playingcards}', "");
Expect(0, 127231, '\p{^Is_Blk=playingcards}', "");
Expect(0, 127231, '\P{Is_Blk=playingcards}', "");
Expect(1, 127231, '\P{^Is_Blk=playingcards}', "");
Expect(0, 127232, '\p{Is_Blk=playingcards}', "");
Expect(1, 127232, '\p{^Is_Blk=playingcards}', "");
Expect(1, 127232, '\P{Is_Blk=playingcards}', "");
Expect(0, 127232, '\P{^Is_Blk=playingcards}', "");
Expect(1, 127231, '\p{Is_Blk=	playing_Cards}', "");
Expect(0, 127231, '\p{^Is_Blk=	playing_Cards}', "");
Expect(0, 127231, '\P{Is_Blk=	playing_Cards}', "");
Expect(1, 127231, '\P{^Is_Blk=	playing_Cards}', "");
Expect(0, 127232, '\p{Is_Blk=	playing_Cards}', "");
Expect(1, 127232, '\p{^Is_Blk=	playing_Cards}', "");
Expect(1, 127232, '\P{Is_Blk=	playing_Cards}', "");
Expect(0, 127232, '\P{^Is_Blk=	playing_Cards}', "");
Error('\p{Block=	-Psalter_Pahlavi:=}');
Error('\P{Block=	-Psalter_Pahlavi:=}');
Expect(1, 68527, '\p{Block=psalterpahlavi}', "");
Expect(0, 68527, '\p{^Block=psalterpahlavi}', "");
Expect(0, 68527, '\P{Block=psalterpahlavi}', "");
Expect(1, 68527, '\P{^Block=psalterpahlavi}', "");
Expect(0, 68528, '\p{Block=psalterpahlavi}', "");
Expect(1, 68528, '\p{^Block=psalterpahlavi}', "");
Expect(1, 68528, '\P{Block=psalterpahlavi}', "");
Expect(0, 68528, '\P{^Block=psalterpahlavi}', "");
Expect(1, 68527, '\p{Block=	_psalter_pahlavi}', "");
Expect(0, 68527, '\p{^Block=	_psalter_pahlavi}', "");
Expect(0, 68527, '\P{Block=	_psalter_pahlavi}', "");
Expect(1, 68527, '\P{^Block=	_psalter_pahlavi}', "");
Expect(0, 68528, '\p{Block=	_psalter_pahlavi}', "");
Expect(1, 68528, '\p{^Block=	_psalter_pahlavi}', "");
Expect(1, 68528, '\P{Block=	_psalter_pahlavi}', "");
Expect(0, 68528, '\P{^Block=	_psalter_pahlavi}', "");
Error('\p{Blk=/a/_Psalter_Pahlavi}');
Error('\P{Blk=/a/_Psalter_Pahlavi}');
Expect(1, 68527, '\p{Blk=psalterpahlavi}', "");
Expect(0, 68527, '\p{^Blk=psalterpahlavi}', "");
Expect(0, 68527, '\P{Blk=psalterpahlavi}', "");
Expect(1, 68527, '\P{^Blk=psalterpahlavi}', "");
Expect(0, 68528, '\p{Blk=psalterpahlavi}', "");
Expect(1, 68528, '\p{^Blk=psalterpahlavi}', "");
Expect(1, 68528, '\P{Blk=psalterpahlavi}', "");
Expect(0, 68528, '\P{^Blk=psalterpahlavi}', "");
Expect(1, 68527, '\p{Blk=_-PSALTER_Pahlavi}', "");
Expect(0, 68527, '\p{^Blk=_-PSALTER_Pahlavi}', "");
Expect(0, 68527, '\P{Blk=_-PSALTER_Pahlavi}', "");
Expect(1, 68527, '\P{^Blk=_-PSALTER_Pahlavi}', "");
Expect(0, 68528, '\p{Blk=_-PSALTER_Pahlavi}', "");
Expect(1, 68528, '\p{^Blk=_-PSALTER_Pahlavi}', "");
Expect(1, 68528, '\P{Blk=_-PSALTER_Pahlavi}', "");
Expect(0, 68528, '\P{^Blk=_-PSALTER_Pahlavi}', "");
Error('\p{Is_Block=/a/PSALTER_pahlavi}');
Error('\P{Is_Block=/a/PSALTER_pahlavi}');
Expect(1, 68527, '\p{Is_Block=psalterpahlavi}', "");
Expect(0, 68527, '\p{^Is_Block=psalterpahlavi}', "");
Expect(0, 68527, '\P{Is_Block=psalterpahlavi}', "");
Expect(1, 68527, '\P{^Is_Block=psalterpahlavi}', "");
Expect(0, 68528, '\p{Is_Block=psalterpahlavi}', "");
Expect(1, 68528, '\p{^Is_Block=psalterpahlavi}', "");
Expect(1, 68528, '\P{Is_Block=psalterpahlavi}', "");
Expect(0, 68528, '\P{^Is_Block=psalterpahlavi}', "");
Expect(1, 68527, '\p{Is_Block=	 Psalter_Pahlavi}', "");
Expect(0, 68527, '\p{^Is_Block=	 Psalter_Pahlavi}', "");
Expect(0, 68527, '\P{Is_Block=	 Psalter_Pahlavi}', "");
Expect(1, 68527, '\P{^Is_Block=	 Psalter_Pahlavi}', "");
Expect(0, 68528, '\p{Is_Block=	 Psalter_Pahlavi}', "");
Expect(1, 68528, '\p{^Is_Block=	 Psalter_Pahlavi}', "");
Expect(1, 68528, '\P{Is_Block=	 Psalter_Pahlavi}', "");
Expect(0, 68528, '\P{^Is_Block=	 Psalter_Pahlavi}', "");
Error('\p{Is_Blk=/a/_	PSALTER_Pahlavi}');
Error('\P{Is_Blk=/a/_	PSALTER_Pahlavi}');
Expect(1, 68527, '\p{Is_Blk=psalterpahlavi}', "");
Expect(0, 68527, '\p{^Is_Blk=psalterpahlavi}', "");
Expect(0, 68527, '\P{Is_Blk=psalterpahlavi}', "");
Expect(1, 68527, '\P{^Is_Blk=psalterpahlavi}', "");
Expect(0, 68528, '\p{Is_Blk=psalterpahlavi}', "");
Expect(1, 68528, '\p{^Is_Blk=psalterpahlavi}', "");
Expect(1, 68528, '\P{Is_Blk=psalterpahlavi}', "");
Expect(0, 68528, '\P{^Is_Blk=psalterpahlavi}', "");
Expect(1, 68527, '\p{Is_Blk: -	Psalter_Pahlavi}', "");
Expect(0, 68527, '\p{^Is_Blk: -	Psalter_Pahlavi}', "");
Expect(0, 68527, '\P{Is_Blk: -	Psalter_Pahlavi}', "");
Expect(1, 68527, '\P{^Is_Blk: -	Psalter_Pahlavi}', "");
Expect(0, 68528, '\p{Is_Blk: -	Psalter_Pahlavi}', "");
Expect(1, 68528, '\p{^Is_Blk: -	Psalter_Pahlavi}', "");
Expect(1, 68528, '\P{Is_Blk: -	Psalter_Pahlavi}', "");
Expect(0, 68528, '\P{^Is_Blk: -	Psalter_Pahlavi}', "");
Error('\p{Block=/a/		general_PUNCTUATION}');
Error('\P{Block=/a/		general_PUNCTUATION}');
Expect(1, 8303, '\p{Block=generalpunctuation}', "");
Expect(0, 8303, '\p{^Block=generalpunctuation}', "");
Expect(0, 8303, '\P{Block=generalpunctuation}', "");
Expect(1, 8303, '\P{^Block=generalpunctuation}', "");
Expect(0, 8304, '\p{Block=generalpunctuation}', "");
Expect(1, 8304, '\p{^Block=generalpunctuation}', "");
Expect(1, 8304, '\P{Block=generalpunctuation}', "");
Expect(0, 8304, '\P{^Block=generalpunctuation}', "");
Expect(1, 8303, '\p{Block= general_punctuation}', "");
Expect(0, 8303, '\p{^Block= general_punctuation}', "");
Expect(0, 8303, '\P{Block= general_punctuation}', "");
Expect(1, 8303, '\P{^Block= general_punctuation}', "");
Expect(0, 8304, '\p{Block= general_punctuation}', "");
Expect(1, 8304, '\p{^Block= general_punctuation}', "");
Expect(1, 8304, '\P{Block= general_punctuation}', "");
Expect(0, 8304, '\P{^Block= general_punctuation}', "");
Error('\p{Blk=-_PUNCTUATION/a/}');
Error('\P{Blk=-_PUNCTUATION/a/}');
Expect(1, 8303, '\p{Blk=punctuation}', "");
Expect(0, 8303, '\p{^Blk=punctuation}', "");
Expect(0, 8303, '\P{Blk=punctuation}', "");
Expect(1, 8303, '\P{^Blk=punctuation}', "");
Expect(0, 8304, '\p{Blk=punctuation}', "");
Expect(1, 8304, '\p{^Blk=punctuation}', "");
Expect(1, 8304, '\P{Blk=punctuation}', "");
Expect(0, 8304, '\P{^Blk=punctuation}', "");
Expect(1, 8303, '\p{Blk=-PUNCTUATION}', "");
Expect(0, 8303, '\p{^Blk=-PUNCTUATION}', "");
Expect(0, 8303, '\P{Blk=-PUNCTUATION}', "");
Expect(1, 8303, '\P{^Blk=-PUNCTUATION}', "");
Expect(0, 8304, '\p{Blk=-PUNCTUATION}', "");
Expect(1, 8304, '\p{^Blk=-PUNCTUATION}', "");
Expect(1, 8304, '\P{Blk=-PUNCTUATION}', "");
Expect(0, 8304, '\P{^Blk=-PUNCTUATION}', "");
Error('\p{Is_Block=	/a/general_PUNCTUATION}');
Error('\P{Is_Block=	/a/general_PUNCTUATION}');
Expect(1, 8303, '\p{Is_Block:generalpunctuation}', "");
Expect(0, 8303, '\p{^Is_Block:generalpunctuation}', "");
Expect(0, 8303, '\P{Is_Block:generalpunctuation}', "");
Expect(1, 8303, '\P{^Is_Block:generalpunctuation}', "");
Expect(0, 8304, '\p{Is_Block:generalpunctuation}', "");
Expect(1, 8304, '\p{^Is_Block:generalpunctuation}', "");
Expect(1, 8304, '\P{Is_Block:generalpunctuation}', "");
Expect(0, 8304, '\P{^Is_Block:generalpunctuation}', "");
Expect(1, 8303, '\p{Is_Block=	-general_punctuation}', "");
Expect(0, 8303, '\p{^Is_Block=	-general_punctuation}', "");
Expect(0, 8303, '\P{Is_Block=	-general_punctuation}', "");
Expect(1, 8303, '\P{^Is_Block=	-general_punctuation}', "");
Expect(0, 8304, '\p{Is_Block=	-general_punctuation}', "");
Expect(1, 8304, '\p{^Is_Block=	-general_punctuation}', "");
Expect(1, 8304, '\P{Is_Block=	-general_punctuation}', "");
Expect(0, 8304, '\P{^Is_Block=	-general_punctuation}', "");
Error('\p{Is_Blk=	punctuation:=}');
Error('\P{Is_Blk=	punctuation:=}');
Expect(1, 8303, '\p{Is_Blk=punctuation}', "");
Expect(0, 8303, '\p{^Is_Blk=punctuation}', "");
Expect(0, 8303, '\P{Is_Blk=punctuation}', "");
Expect(1, 8303, '\P{^Is_Blk=punctuation}', "");
Expect(0, 8304, '\p{Is_Blk=punctuation}', "");
Expect(1, 8304, '\p{^Is_Blk=punctuation}', "");
Expect(1, 8304, '\P{Is_Blk=punctuation}', "");
Expect(0, 8304, '\P{^Is_Blk=punctuation}', "");
Expect(1, 8303, '\p{Is_Blk= -Punctuation}', "");
Expect(0, 8303, '\p{^Is_Blk= -Punctuation}', "");
Expect(0, 8303, '\P{Is_Blk= -Punctuation}', "");
Expect(1, 8303, '\P{^Is_Blk= -Punctuation}', "");
Expect(0, 8304, '\p{Is_Blk= -Punctuation}', "");
Expect(1, 8304, '\p{^Is_Blk= -Punctuation}', "");
Expect(1, 8304, '\P{Is_Blk= -Punctuation}', "");
Expect(0, 8304, '\P{^Is_Blk= -Punctuation}', "");
Error('\p{Block=	:=REJANG}');
Error('\P{Block=	:=REJANG}');
Expect(1, 43359, '\p{Block=rejang}', "");
Expect(0, 43359, '\p{^Block=rejang}', "");
Expect(0, 43359, '\P{Block=rejang}', "");
Expect(1, 43359, '\P{^Block=rejang}', "");
Expect(0, 43360, '\p{Block=rejang}', "");
Expect(1, 43360, '\p{^Block=rejang}', "");
Expect(1, 43360, '\P{Block=rejang}', "");
Expect(0, 43360, '\P{^Block=rejang}', "");
Expect(1, 43359, '\p{Block= 	REJANG}', "");
Expect(0, 43359, '\p{^Block= 	REJANG}', "");
Expect(0, 43359, '\P{Block= 	REJANG}', "");
Expect(1, 43359, '\P{^Block= 	REJANG}', "");
Expect(0, 43360, '\p{Block= 	REJANG}', "");
Expect(1, 43360, '\p{^Block= 	REJANG}', "");
Expect(1, 43360, '\P{Block= 	REJANG}', "");
Expect(0, 43360, '\P{^Block= 	REJANG}', "");
Error('\p{Blk:   :=- Rejang}');
Error('\P{Blk:   :=- Rejang}');
Expect(1, 43359, '\p{Blk=rejang}', "");
Expect(0, 43359, '\p{^Blk=rejang}', "");
Expect(0, 43359, '\P{Blk=rejang}', "");
Expect(1, 43359, '\P{^Blk=rejang}', "");
Expect(0, 43360, '\p{Blk=rejang}', "");
Expect(1, 43360, '\p{^Blk=rejang}', "");
Expect(1, 43360, '\P{Blk=rejang}', "");
Expect(0, 43360, '\P{^Blk=rejang}', "");
Expect(1, 43359, '\p{Blk=-	Rejang}', "");
Expect(0, 43359, '\p{^Blk=-	Rejang}', "");
Expect(0, 43359, '\P{Blk=-	Rejang}', "");
Expect(1, 43359, '\P{^Blk=-	Rejang}', "");
Expect(0, 43360, '\p{Blk=-	Rejang}', "");
Expect(1, 43360, '\p{^Blk=-	Rejang}', "");
Expect(1, 43360, '\P{Blk=-	Rejang}', "");
Expect(0, 43360, '\P{^Blk=-	Rejang}', "");
Error('\p{Is_Block= -Rejang/a/}');
Error('\P{Is_Block= -Rejang/a/}');
Expect(1, 43359, '\p{Is_Block=rejang}', "");
Expect(0, 43359, '\p{^Is_Block=rejang}', "");
Expect(0, 43359, '\P{Is_Block=rejang}', "");
Expect(1, 43359, '\P{^Is_Block=rejang}', "");
Expect(0, 43360, '\p{Is_Block=rejang}', "");
Expect(1, 43360, '\p{^Is_Block=rejang}', "");
Expect(1, 43360, '\P{Is_Block=rejang}', "");
Expect(0, 43360, '\P{^Is_Block=rejang}', "");
Expect(1, 43359, '\p{Is_Block=_-Rejang}', "");
Expect(0, 43359, '\p{^Is_Block=_-Rejang}', "");
Expect(0, 43359, '\P{Is_Block=_-Rejang}', "");
Expect(1, 43359, '\P{^Is_Block=_-Rejang}', "");
Expect(0, 43360, '\p{Is_Block=_-Rejang}', "");
Expect(1, 43360, '\p{^Is_Block=_-Rejang}', "");
Expect(1, 43360, '\P{Is_Block=_-Rejang}', "");
Expect(0, 43360, '\P{^Is_Block=_-Rejang}', "");
Error('\p{Is_Blk= rejang:=}');
Error('\P{Is_Blk= rejang:=}');
Expect(1, 43359, '\p{Is_Blk=rejang}', "");
Expect(0, 43359, '\p{^Is_Blk=rejang}', "");
Expect(0, 43359, '\P{Is_Blk=rejang}', "");
Expect(1, 43359, '\P{^Is_Blk=rejang}', "");
Expect(0, 43360, '\p{Is_Blk=rejang}', "");
Expect(1, 43360, '\p{^Is_Blk=rejang}', "");
Expect(1, 43360, '\P{Is_Blk=rejang}', "");
Expect(0, 43360, '\P{^Is_Blk=rejang}', "");
Expect(1, 43359, '\p{Is_Blk=	Rejang}', "");
Expect(0, 43359, '\p{^Is_Blk=	Rejang}', "");
Expect(0, 43359, '\P{Is_Blk=	Rejang}', "");
Expect(1, 43359, '\P{^Is_Blk=	Rejang}', "");
Expect(0, 43360, '\p{Is_Blk=	Rejang}', "");
Expect(1, 43360, '\p{^Is_Blk=	Rejang}', "");
Expect(1, 43360, '\P{Is_Blk=	Rejang}', "");
Expect(0, 43360, '\P{^Is_Blk=	Rejang}', "");
Error('\p{Block=/a/RUMI_NUMERAL_Symbols}');
Error('\P{Block=/a/RUMI_NUMERAL_Symbols}');
Expect(1, 69247, '\p{Block=ruminumeralsymbols}', "");
Expect(0, 69247, '\p{^Block=ruminumeralsymbols}', "");
Expect(0, 69247, '\P{Block=ruminumeralsymbols}', "");
Expect(1, 69247, '\P{^Block=ruminumeralsymbols}', "");
Expect(0, 69248, '\p{Block=ruminumeralsymbols}', "");
Expect(1, 69248, '\p{^Block=ruminumeralsymbols}', "");
Expect(1, 69248, '\P{Block=ruminumeralsymbols}', "");
Expect(0, 69248, '\P{^Block=ruminumeralsymbols}', "");
Expect(1, 69247, '\p{Block= _rumi_NUMERAL_Symbols}', "");
Expect(0, 69247, '\p{^Block= _rumi_NUMERAL_Symbols}', "");
Expect(0, 69247, '\P{Block= _rumi_NUMERAL_Symbols}', "");
Expect(1, 69247, '\P{^Block= _rumi_NUMERAL_Symbols}', "");
Expect(0, 69248, '\p{Block= _rumi_NUMERAL_Symbols}', "");
Expect(1, 69248, '\p{^Block= _rumi_NUMERAL_Symbols}', "");
Expect(1, 69248, '\P{Block= _rumi_NUMERAL_Symbols}', "");
Expect(0, 69248, '\P{^Block= _rumi_NUMERAL_Symbols}', "");
Error('\p{Blk=_ rumi/a/}');
Error('\P{Blk=_ rumi/a/}');
Expect(1, 69247, '\p{Blk=rumi}', "");
Expect(0, 69247, '\p{^Blk=rumi}', "");
Expect(0, 69247, '\P{Blk=rumi}', "");
Expect(1, 69247, '\P{^Blk=rumi}', "");
Expect(0, 69248, '\p{Blk=rumi}', "");
Expect(1, 69248, '\p{^Blk=rumi}', "");
Expect(1, 69248, '\P{Blk=rumi}', "");
Expect(0, 69248, '\P{^Blk=rumi}', "");
Expect(1, 69247, '\p{Blk=	_RUMI}', "");
Expect(0, 69247, '\p{^Blk=	_RUMI}', "");
Expect(0, 69247, '\P{Blk=	_RUMI}', "");
Expect(1, 69247, '\P{^Blk=	_RUMI}', "");
Expect(0, 69248, '\p{Blk=	_RUMI}', "");
Expect(1, 69248, '\p{^Blk=	_RUMI}', "");
Expect(1, 69248, '\P{Blk=	_RUMI}', "");
Expect(0, 69248, '\P{^Blk=	_RUMI}', "");
Error('\p{Is_Block=:=RUMI_Numeral_SYMBOLS}');
Error('\P{Is_Block=:=RUMI_Numeral_SYMBOLS}');
Expect(1, 69247, '\p{Is_Block=ruminumeralsymbols}', "");
Expect(0, 69247, '\p{^Is_Block=ruminumeralsymbols}', "");
Expect(0, 69247, '\P{Is_Block=ruminumeralsymbols}', "");
Expect(1, 69247, '\P{^Is_Block=ruminumeralsymbols}', "");
Expect(0, 69248, '\p{Is_Block=ruminumeralsymbols}', "");
Expect(1, 69248, '\p{^Is_Block=ruminumeralsymbols}', "");
Expect(1, 69248, '\P{Is_Block=ruminumeralsymbols}', "");
Expect(0, 69248, '\P{^Is_Block=ruminumeralsymbols}', "");
Expect(1, 69247, '\p{Is_Block=-	Rumi_Numeral_symbols}', "");
Expect(0, 69247, '\p{^Is_Block=-	Rumi_Numeral_symbols}', "");
Expect(0, 69247, '\P{Is_Block=-	Rumi_Numeral_symbols}', "");
Expect(1, 69247, '\P{^Is_Block=-	Rumi_Numeral_symbols}', "");
Expect(0, 69248, '\p{Is_Block=-	Rumi_Numeral_symbols}', "");
Expect(1, 69248, '\p{^Is_Block=-	Rumi_Numeral_symbols}', "");
Expect(1, 69248, '\P{Is_Block=-	Rumi_Numeral_symbols}', "");
Expect(0, 69248, '\P{^Is_Block=-	Rumi_Numeral_symbols}', "");
Error('\p{Is_Blk=-Rumi/a/}');
Error('\P{Is_Blk=-Rumi/a/}');
Expect(1, 69247, '\p{Is_Blk=rumi}', "");
Expect(0, 69247, '\p{^Is_Blk=rumi}', "");
Expect(0, 69247, '\P{Is_Blk=rumi}', "");
Expect(1, 69247, '\P{^Is_Blk=rumi}', "");
Expect(0, 69248, '\p{Is_Blk=rumi}', "");
Expect(1, 69248, '\p{^Is_Blk=rumi}', "");
Expect(1, 69248, '\P{Is_Blk=rumi}', "");
Expect(0, 69248, '\P{^Is_Blk=rumi}', "");
Expect(1, 69247, '\p{Is_Blk=  RUMI}', "");
Expect(0, 69247, '\p{^Is_Blk=  RUMI}', "");
Expect(0, 69247, '\P{Is_Blk=  RUMI}', "");
Expect(1, 69247, '\P{^Is_Blk=  RUMI}', "");
Expect(0, 69248, '\p{Is_Blk=  RUMI}', "");
Expect(1, 69248, '\p{^Is_Blk=  RUMI}', "");
Expect(1, 69248, '\P{Is_Blk=  RUMI}', "");
Expect(0, 69248, '\P{^Is_Blk=  RUMI}', "");
Error('\p{Block=	:=RUNIC}');
Error('\P{Block=	:=RUNIC}');
Expect(1, 5887, '\p{Block=runic}', "");
Expect(0, 5887, '\p{^Block=runic}', "");
Expect(0, 5887, '\P{Block=runic}', "");
Expect(1, 5887, '\P{^Block=runic}', "");
Expect(0, 5888, '\p{Block=runic}', "");
Expect(1, 5888, '\p{^Block=runic}', "");
Expect(1, 5888, '\P{Block=runic}', "");
Expect(0, 5888, '\P{^Block=runic}', "");
Expect(1, 5887, '\p{Block=--Runic}', "");
Expect(0, 5887, '\p{^Block=--Runic}', "");
Expect(0, 5887, '\P{Block=--Runic}', "");
Expect(1, 5887, '\P{^Block=--Runic}', "");
Expect(0, 5888, '\p{Block=--Runic}', "");
Expect(1, 5888, '\p{^Block=--Runic}', "");
Expect(1, 5888, '\P{Block=--Runic}', "");
Expect(0, 5888, '\P{^Block=--Runic}', "");
Error('\p{Blk=:=-RUNIC}');
Error('\P{Blk=:=-RUNIC}');
Expect(1, 5887, '\p{Blk=runic}', "");
Expect(0, 5887, '\p{^Blk=runic}', "");
Expect(0, 5887, '\P{Blk=runic}', "");
Expect(1, 5887, '\P{^Blk=runic}', "");
Expect(0, 5888, '\p{Blk=runic}', "");
Expect(1, 5888, '\p{^Blk=runic}', "");
Expect(1, 5888, '\P{Blk=runic}', "");
Expect(0, 5888, '\P{^Blk=runic}', "");
Expect(1, 5887, '\p{Blk=__Runic}', "");
Expect(0, 5887, '\p{^Blk=__Runic}', "");
Expect(0, 5887, '\P{Blk=__Runic}', "");
Expect(1, 5887, '\P{^Blk=__Runic}', "");
Expect(0, 5888, '\p{Blk=__Runic}', "");
Expect(1, 5888, '\p{^Blk=__Runic}', "");
Expect(1, 5888, '\P{Blk=__Runic}', "");
Expect(0, 5888, '\P{^Blk=__Runic}', "");
Error('\p{Is_Block=_RUNIC:=}');
Error('\P{Is_Block=_RUNIC:=}');
Expect(1, 5887, '\p{Is_Block=runic}', "");
Expect(0, 5887, '\p{^Is_Block=runic}', "");
Expect(0, 5887, '\P{Is_Block=runic}', "");
Expect(1, 5887, '\P{^Is_Block=runic}', "");
Expect(0, 5888, '\p{Is_Block=runic}', "");
Expect(1, 5888, '\p{^Is_Block=runic}', "");
Expect(1, 5888, '\P{Is_Block=runic}', "");
Expect(0, 5888, '\P{^Is_Block=runic}', "");
Expect(1, 5887, '\p{Is_Block=- runic}', "");
Expect(0, 5887, '\p{^Is_Block=- runic}', "");
Expect(0, 5887, '\P{Is_Block=- runic}', "");
Expect(1, 5887, '\P{^Is_Block=- runic}', "");
Expect(0, 5888, '\p{Is_Block=- runic}', "");
Expect(1, 5888, '\p{^Is_Block=- runic}', "");
Expect(1, 5888, '\P{Is_Block=- runic}', "");
Expect(0, 5888, '\P{^Is_Block=- runic}', "");
Error('\p{Is_Blk:    RUNIC:=}');
Error('\P{Is_Blk:    RUNIC:=}');
Expect(1, 5887, '\p{Is_Blk=runic}', "");
Expect(0, 5887, '\p{^Is_Blk=runic}', "");
Expect(0, 5887, '\P{Is_Blk=runic}', "");
Expect(1, 5887, '\P{^Is_Blk=runic}', "");
Expect(0, 5888, '\p{Is_Blk=runic}', "");
Expect(1, 5888, '\p{^Is_Blk=runic}', "");
Expect(1, 5888, '\P{Is_Blk=runic}', "");
Expect(0, 5888, '\P{^Is_Blk=runic}', "");
Expect(1, 5887, '\p{Is_Blk=-Runic}', "");
Expect(0, 5887, '\p{^Is_Blk=-Runic}', "");
Expect(0, 5887, '\P{Is_Blk=-Runic}', "");
Expect(1, 5887, '\P{^Is_Blk=-Runic}', "");
Expect(0, 5888, '\p{Is_Blk=-Runic}', "");
Expect(1, 5888, '\p{^Is_Blk=-Runic}', "");
Expect(1, 5888, '\P{Is_Blk=-Runic}', "");
Expect(0, 5888, '\P{^Is_Blk=-Runic}', "");
Error('\p{Block=-:=Samaritan}');
Error('\P{Block=-:=Samaritan}');
Expect(1, 2111, '\p{Block=samaritan}', "");
Expect(0, 2111, '\p{^Block=samaritan}', "");
Expect(0, 2111, '\P{Block=samaritan}', "");
Expect(1, 2111, '\P{^Block=samaritan}', "");
Expect(0, 2112, '\p{Block=samaritan}', "");
Expect(1, 2112, '\p{^Block=samaritan}', "");
Expect(1, 2112, '\P{Block=samaritan}', "");
Expect(0, 2112, '\P{^Block=samaritan}', "");
Expect(1, 2111, '\p{Block: 	 Samaritan}', "");
Expect(0, 2111, '\p{^Block: 	 Samaritan}', "");
Expect(0, 2111, '\P{Block: 	 Samaritan}', "");
Expect(1, 2111, '\P{^Block: 	 Samaritan}', "");
Expect(0, 2112, '\p{Block: 	 Samaritan}', "");
Expect(1, 2112, '\p{^Block: 	 Samaritan}', "");
Expect(1, 2112, '\P{Block: 	 Samaritan}', "");
Expect(0, 2112, '\P{^Block: 	 Samaritan}', "");
Error('\p{Blk=		Samaritan/a/}');
Error('\P{Blk=		Samaritan/a/}');
Expect(1, 2111, '\p{Blk=samaritan}', "");
Expect(0, 2111, '\p{^Blk=samaritan}', "");
Expect(0, 2111, '\P{Blk=samaritan}', "");
Expect(1, 2111, '\P{^Blk=samaritan}', "");
Expect(0, 2112, '\p{Blk=samaritan}', "");
Expect(1, 2112, '\p{^Blk=samaritan}', "");
Expect(1, 2112, '\P{Blk=samaritan}', "");
Expect(0, 2112, '\P{^Blk=samaritan}', "");
Expect(1, 2111, '\p{Blk=-Samaritan}', "");
Expect(0, 2111, '\p{^Blk=-Samaritan}', "");
Expect(0, 2111, '\P{Blk=-Samaritan}', "");
Expect(1, 2111, '\P{^Blk=-Samaritan}', "");
Expect(0, 2112, '\p{Blk=-Samaritan}', "");
Expect(1, 2112, '\p{^Blk=-Samaritan}', "");
Expect(1, 2112, '\P{Blk=-Samaritan}', "");
Expect(0, 2112, '\P{^Blk=-Samaritan}', "");
Error('\p{Is_Block=_/a/SAMARITAN}');
Error('\P{Is_Block=_/a/SAMARITAN}');
Expect(1, 2111, '\p{Is_Block=samaritan}', "");
Expect(0, 2111, '\p{^Is_Block=samaritan}', "");
Expect(0, 2111, '\P{Is_Block=samaritan}', "");
Expect(1, 2111, '\P{^Is_Block=samaritan}', "");
Expect(0, 2112, '\p{Is_Block=samaritan}', "");
Expect(1, 2112, '\p{^Is_Block=samaritan}', "");
Expect(1, 2112, '\P{Is_Block=samaritan}', "");
Expect(0, 2112, '\P{^Is_Block=samaritan}', "");
Expect(1, 2111, '\p{Is_Block= -Samaritan}', "");
Expect(0, 2111, '\p{^Is_Block= -Samaritan}', "");
Expect(0, 2111, '\P{Is_Block= -Samaritan}', "");
Expect(1, 2111, '\P{^Is_Block= -Samaritan}', "");
Expect(0, 2112, '\p{Is_Block= -Samaritan}', "");
Expect(1, 2112, '\p{^Is_Block= -Samaritan}', "");
Expect(1, 2112, '\P{Is_Block= -Samaritan}', "");
Expect(0, 2112, '\P{^Is_Block= -Samaritan}', "");
Error('\p{Is_Blk=:=-_Samaritan}');
Error('\P{Is_Blk=:=-_Samaritan}');
Expect(1, 2111, '\p{Is_Blk=samaritan}', "");
Expect(0, 2111, '\p{^Is_Blk=samaritan}', "");
Expect(0, 2111, '\P{Is_Blk=samaritan}', "");
Expect(1, 2111, '\P{^Is_Blk=samaritan}', "");
Expect(0, 2112, '\p{Is_Blk=samaritan}', "");
Expect(1, 2112, '\p{^Is_Blk=samaritan}', "");
Expect(1, 2112, '\P{Is_Blk=samaritan}', "");
Expect(0, 2112, '\P{^Is_Blk=samaritan}', "");
Expect(1, 2111, '\p{Is_Blk=_Samaritan}', "");
Expect(0, 2111, '\p{^Is_Blk=_Samaritan}', "");
Expect(0, 2111, '\P{Is_Blk=_Samaritan}', "");
Expect(1, 2111, '\P{^Is_Blk=_Samaritan}', "");
Expect(0, 2112, '\p{Is_Blk=_Samaritan}', "");
Expect(1, 2112, '\p{^Is_Blk=_Samaritan}', "");
Expect(1, 2112, '\P{Is_Blk=_Samaritan}', "");
Expect(0, 2112, '\P{^Is_Blk=_Samaritan}', "");
Error('\p{Block:_Saurashtra/a/}');
Error('\P{Block:_Saurashtra/a/}');
Expect(1, 43231, '\p{Block=saurashtra}', "");
Expect(0, 43231, '\p{^Block=saurashtra}', "");
Expect(0, 43231, '\P{Block=saurashtra}', "");
Expect(1, 43231, '\P{^Block=saurashtra}', "");
Expect(0, 43232, '\p{Block=saurashtra}', "");
Expect(1, 43232, '\p{^Block=saurashtra}', "");
Expect(1, 43232, '\P{Block=saurashtra}', "");
Expect(0, 43232, '\P{^Block=saurashtra}', "");
Expect(1, 43231, '\p{Block= SAURASHTRA}', "");
Expect(0, 43231, '\p{^Block= SAURASHTRA}', "");
Expect(0, 43231, '\P{Block= SAURASHTRA}', "");
Expect(1, 43231, '\P{^Block= SAURASHTRA}', "");
Expect(0, 43232, '\p{Block= SAURASHTRA}', "");
Expect(1, 43232, '\p{^Block= SAURASHTRA}', "");
Expect(1, 43232, '\P{Block= SAURASHTRA}', "");
Expect(0, 43232, '\P{^Block= SAURASHTRA}', "");
Error('\p{Blk= /a/SAURASHTRA}');
Error('\P{Blk= /a/SAURASHTRA}');
Expect(1, 43231, '\p{Blk:saurashtra}', "");
Expect(0, 43231, '\p{^Blk:saurashtra}', "");
Expect(0, 43231, '\P{Blk:saurashtra}', "");
Expect(1, 43231, '\P{^Blk:saurashtra}', "");
Expect(0, 43232, '\p{Blk:saurashtra}', "");
Expect(1, 43232, '\p{^Blk:saurashtra}', "");
Expect(1, 43232, '\P{Blk:saurashtra}', "");
Expect(0, 43232, '\P{^Blk:saurashtra}', "");
Expect(1, 43231, '\p{Blk=--Saurashtra}', "");
Expect(0, 43231, '\p{^Blk=--Saurashtra}', "");
Expect(0, 43231, '\P{Blk=--Saurashtra}', "");
Expect(1, 43231, '\P{^Blk=--Saurashtra}', "");
Expect(0, 43232, '\p{Blk=--Saurashtra}', "");
Expect(1, 43232, '\p{^Blk=--Saurashtra}', "");
Expect(1, 43232, '\P{Blk=--Saurashtra}', "");
Expect(0, 43232, '\P{^Blk=--Saurashtra}', "");
Error('\p{Is_Block= 	Saurashtra:=}');
Error('\P{Is_Block= 	Saurashtra:=}');
Expect(1, 43231, '\p{Is_Block=saurashtra}', "");
Expect(0, 43231, '\p{^Is_Block=saurashtra}', "");
Expect(0, 43231, '\P{Is_Block=saurashtra}', "");
Expect(1, 43231, '\P{^Is_Block=saurashtra}', "");
Expect(0, 43232, '\p{Is_Block=saurashtra}', "");
Expect(1, 43232, '\p{^Is_Block=saurashtra}', "");
Expect(1, 43232, '\P{Is_Block=saurashtra}', "");
Expect(0, 43232, '\P{^Is_Block=saurashtra}', "");
Expect(1, 43231, '\p{Is_Block=- Saurashtra}', "");
Expect(0, 43231, '\p{^Is_Block=- Saurashtra}', "");
Expect(0, 43231, '\P{Is_Block=- Saurashtra}', "");
Expect(1, 43231, '\P{^Is_Block=- Saurashtra}', "");
Expect(0, 43232, '\p{Is_Block=- Saurashtra}', "");
Expect(1, 43232, '\p{^Is_Block=- Saurashtra}', "");
Expect(1, 43232, '\P{Is_Block=- Saurashtra}', "");
Expect(0, 43232, '\P{^Is_Block=- Saurashtra}', "");
Error('\p{Is_Blk=--Saurashtra/a/}');
Error('\P{Is_Blk=--Saurashtra/a/}');
Expect(1, 43231, '\p{Is_Blk:   saurashtra}', "");
Expect(0, 43231, '\p{^Is_Blk:   saurashtra}', "");
Expect(0, 43231, '\P{Is_Blk:   saurashtra}', "");
Expect(1, 43231, '\P{^Is_Blk:   saurashtra}', "");
Expect(0, 43232, '\p{Is_Blk:   saurashtra}', "");
Expect(1, 43232, '\p{^Is_Blk:   saurashtra}', "");
Expect(1, 43232, '\P{Is_Blk:   saurashtra}', "");
Expect(0, 43232, '\P{^Is_Blk:   saurashtra}', "");
Expect(1, 43231, '\p{Is_Blk=_-saurashtra}', "");
Expect(0, 43231, '\p{^Is_Blk=_-saurashtra}', "");
Expect(0, 43231, '\P{Is_Blk=_-saurashtra}', "");
Expect(1, 43231, '\P{^Is_Blk=_-saurashtra}', "");
Expect(0, 43232, '\p{Is_Blk=_-saurashtra}', "");
Expect(1, 43232, '\p{^Is_Blk=_-saurashtra}', "");
Expect(1, 43232, '\P{Is_Blk=_-saurashtra}', "");
Expect(0, 43232, '\P{^Is_Blk=_-saurashtra}', "");
Error('\p{Block=/a/	_Sharada}');
Error('\P{Block=/a/	_Sharada}');
Expect(1, 70111, '\p{Block=sharada}', "");
Expect(0, 70111, '\p{^Block=sharada}', "");
Expect(0, 70111, '\P{Block=sharada}', "");
Expect(1, 70111, '\P{^Block=sharada}', "");
Expect(0, 70112, '\p{Block=sharada}', "");
Expect(1, 70112, '\p{^Block=sharada}', "");
Expect(1, 70112, '\P{Block=sharada}', "");
Expect(0, 70112, '\P{^Block=sharada}', "");
Expect(1, 70111, '\p{Block=__SHARADA}', "");
Expect(0, 70111, '\p{^Block=__SHARADA}', "");
Expect(0, 70111, '\P{Block=__SHARADA}', "");
Expect(1, 70111, '\P{^Block=__SHARADA}', "");
Expect(0, 70112, '\p{Block=__SHARADA}', "");
Expect(1, 70112, '\p{^Block=__SHARADA}', "");
Expect(1, 70112, '\P{Block=__SHARADA}', "");
Expect(0, 70112, '\P{^Block=__SHARADA}', "");
Error('\p{Blk=SHARADA/a/}');
Error('\P{Blk=SHARADA/a/}');
Expect(1, 70111, '\p{Blk=sharada}', "");
Expect(0, 70111, '\p{^Blk=sharada}', "");
Expect(0, 70111, '\P{Blk=sharada}', "");
Expect(1, 70111, '\P{^Blk=sharada}', "");
Expect(0, 70112, '\p{Blk=sharada}', "");
Expect(1, 70112, '\p{^Blk=sharada}', "");
Expect(1, 70112, '\P{Blk=sharada}', "");
Expect(0, 70112, '\P{^Blk=sharada}', "");
Expect(1, 70111, '\p{Blk=-sharada}', "");
Expect(0, 70111, '\p{^Blk=-sharada}', "");
Expect(0, 70111, '\P{Blk=-sharada}', "");
Expect(1, 70111, '\P{^Blk=-sharada}', "");
Expect(0, 70112, '\p{Blk=-sharada}', "");
Expect(1, 70112, '\p{^Blk=-sharada}', "");
Expect(1, 70112, '\P{Blk=-sharada}', "");
Expect(0, 70112, '\P{^Blk=-sharada}', "");
Error('\p{Is_Block=/a/SHARADA}');
Error('\P{Is_Block=/a/SHARADA}');
Expect(1, 70111, '\p{Is_Block=sharada}', "");
Expect(0, 70111, '\p{^Is_Block=sharada}', "");
Expect(0, 70111, '\P{Is_Block=sharada}', "");
Expect(1, 70111, '\P{^Is_Block=sharada}', "");
Expect(0, 70112, '\p{Is_Block=sharada}', "");
Expect(1, 70112, '\p{^Is_Block=sharada}', "");
Expect(1, 70112, '\P{Is_Block=sharada}', "");
Expect(0, 70112, '\P{^Is_Block=sharada}', "");
Expect(1, 70111, '\p{Is_Block= _Sharada}', "");
Expect(0, 70111, '\p{^Is_Block= _Sharada}', "");
Expect(0, 70111, '\P{Is_Block= _Sharada}', "");
Expect(1, 70111, '\P{^Is_Block= _Sharada}', "");
Expect(0, 70112, '\p{Is_Block= _Sharada}', "");
Expect(1, 70112, '\p{^Is_Block= _Sharada}', "");
Expect(1, 70112, '\P{Is_Block= _Sharada}', "");
Expect(0, 70112, '\P{^Is_Block= _Sharada}', "");
Error('\p{Is_Blk= 	SHARADA:=}');
Error('\P{Is_Blk= 	SHARADA:=}');
Expect(1, 70111, '\p{Is_Blk=sharada}', "");
Expect(0, 70111, '\p{^Is_Blk=sharada}', "");
Expect(0, 70111, '\P{Is_Blk=sharada}', "");
Expect(1, 70111, '\P{^Is_Blk=sharada}', "");
Expect(0, 70112, '\p{Is_Blk=sharada}', "");
Expect(1, 70112, '\p{^Is_Blk=sharada}', "");
Expect(1, 70112, '\P{Is_Blk=sharada}', "");
Expect(0, 70112, '\P{^Is_Blk=sharada}', "");
Expect(1, 70111, '\p{Is_Blk:_SHARADA}', "");
Expect(0, 70111, '\p{^Is_Blk:_SHARADA}', "");
Expect(0, 70111, '\P{Is_Blk:_SHARADA}', "");
Expect(1, 70111, '\P{^Is_Blk:_SHARADA}', "");
Expect(0, 70112, '\p{Is_Blk:_SHARADA}', "");
Expect(1, 70112, '\p{^Is_Blk:_SHARADA}', "");
Expect(1, 70112, '\P{Is_Blk:_SHARADA}', "");
Expect(0, 70112, '\P{^Is_Blk:_SHARADA}', "");
Error('\p{Block: /a/Shavian}');
Error('\P{Block: /a/Shavian}');
Expect(1, 66687, '\p{Block=shavian}', "");
Expect(0, 66687, '\p{^Block=shavian}', "");
Expect(0, 66687, '\P{Block=shavian}', "");
Expect(1, 66687, '\P{^Block=shavian}', "");
Expect(0, 66688, '\p{Block=shavian}', "");
Expect(1, 66688, '\p{^Block=shavian}', "");
Expect(1, 66688, '\P{Block=shavian}', "");
Expect(0, 66688, '\P{^Block=shavian}', "");
Expect(1, 66687, '\p{Block=_ SHAVIAN}', "");
Expect(0, 66687, '\p{^Block=_ SHAVIAN}', "");
Expect(0, 66687, '\P{Block=_ SHAVIAN}', "");
Expect(1, 66687, '\P{^Block=_ SHAVIAN}', "");
Expect(0, 66688, '\p{Block=_ SHAVIAN}', "");
Expect(1, 66688, '\p{^Block=_ SHAVIAN}', "");
Expect(1, 66688, '\P{Block=_ SHAVIAN}', "");
Expect(0, 66688, '\P{^Block=_ SHAVIAN}', "");
Error('\p{Blk=:= -shavian}');
Error('\P{Blk=:= -shavian}');
Expect(1, 66687, '\p{Blk=shavian}', "");
Expect(0, 66687, '\p{^Blk=shavian}', "");
Expect(0, 66687, '\P{Blk=shavian}', "");
Expect(1, 66687, '\P{^Blk=shavian}', "");
Expect(0, 66688, '\p{Blk=shavian}', "");
Expect(1, 66688, '\p{^Blk=shavian}', "");
Expect(1, 66688, '\P{Blk=shavian}', "");
Expect(0, 66688, '\P{^Blk=shavian}', "");
Expect(1, 66687, '\p{Blk= -SHAVIAN}', "");
Expect(0, 66687, '\p{^Blk= -SHAVIAN}', "");
Expect(0, 66687, '\P{Blk= -SHAVIAN}', "");
Expect(1, 66687, '\P{^Blk= -SHAVIAN}', "");
Expect(0, 66688, '\p{Blk= -SHAVIAN}', "");
Expect(1, 66688, '\p{^Blk= -SHAVIAN}', "");
Expect(1, 66688, '\P{Blk= -SHAVIAN}', "");
Expect(0, 66688, '\P{^Blk= -SHAVIAN}', "");
Error('\p{Is_Block:   := SHAVIAN}');
Error('\P{Is_Block:   := SHAVIAN}');
Expect(1, 66687, '\p{Is_Block=shavian}', "");
Expect(0, 66687, '\p{^Is_Block=shavian}', "");
Expect(0, 66687, '\P{Is_Block=shavian}', "");
Expect(1, 66687, '\P{^Is_Block=shavian}', "");
Expect(0, 66688, '\p{Is_Block=shavian}', "");
Expect(1, 66688, '\p{^Is_Block=shavian}', "");
Expect(1, 66688, '\P{Is_Block=shavian}', "");
Expect(0, 66688, '\P{^Is_Block=shavian}', "");
Expect(1, 66687, '\p{Is_Block:   	 shavian}', "");
Expect(0, 66687, '\p{^Is_Block:   	 shavian}', "");
Expect(0, 66687, '\P{Is_Block:   	 shavian}', "");
Expect(1, 66687, '\P{^Is_Block:   	 shavian}', "");
Expect(0, 66688, '\p{Is_Block:   	 shavian}', "");
Expect(1, 66688, '\p{^Is_Block:   	 shavian}', "");
Expect(1, 66688, '\P{Is_Block:   	 shavian}', "");
Expect(0, 66688, '\P{^Is_Block:   	 shavian}', "");
Error('\p{Is_Blk:	:= _shavian}');
Error('\P{Is_Blk:	:= _shavian}');
Expect(1, 66687, '\p{Is_Blk=shavian}', "");
Expect(0, 66687, '\p{^Is_Blk=shavian}', "");
Expect(0, 66687, '\P{Is_Blk=shavian}', "");
Expect(1, 66687, '\P{^Is_Blk=shavian}', "");
Expect(0, 66688, '\p{Is_Blk=shavian}', "");
Expect(1, 66688, '\p{^Is_Blk=shavian}', "");
Expect(1, 66688, '\P{Is_Blk=shavian}', "");
Expect(0, 66688, '\P{^Is_Blk=shavian}', "");
Expect(1, 66687, '\p{Is_Blk=_ SHAVIAN}', "");
Expect(0, 66687, '\p{^Is_Blk=_ SHAVIAN}', "");
Expect(0, 66687, '\P{Is_Blk=_ SHAVIAN}', "");
Expect(1, 66687, '\P{^Is_Blk=_ SHAVIAN}', "");
Expect(0, 66688, '\p{Is_Blk=_ SHAVIAN}', "");
Expect(1, 66688, '\p{^Is_Blk=_ SHAVIAN}', "");
Expect(1, 66688, '\P{Is_Blk=_ SHAVIAN}', "");
Expect(0, 66688, '\P{^Is_Blk=_ SHAVIAN}', "");
Error('\p{Block=/a/_	shorthand_format_Controls}');
Error('\P{Block=/a/_	shorthand_format_Controls}');
Expect(1, 113839, '\p{Block=shorthandformatcontrols}', "");
Expect(0, 113839, '\p{^Block=shorthandformatcontrols}', "");
Expect(0, 113839, '\P{Block=shorthandformatcontrols}', "");
Expect(1, 113839, '\P{^Block=shorthandformatcontrols}', "");
Expect(0, 113840, '\p{Block=shorthandformatcontrols}', "");
Expect(1, 113840, '\p{^Block=shorthandformatcontrols}', "");
Expect(1, 113840, '\P{Block=shorthandformatcontrols}', "");
Expect(0, 113840, '\P{^Block=shorthandformatcontrols}', "");
Expect(1, 113839, '\p{Block=_shorthand_Format_controls}', "");
Expect(0, 113839, '\p{^Block=_shorthand_Format_controls}', "");
Expect(0, 113839, '\P{Block=_shorthand_Format_controls}', "");
Expect(1, 113839, '\P{^Block=_shorthand_Format_controls}', "");
Expect(0, 113840, '\p{Block=_shorthand_Format_controls}', "");
Expect(1, 113840, '\p{^Block=_shorthand_Format_controls}', "");
Expect(1, 113840, '\P{Block=_shorthand_Format_controls}', "");
Expect(0, 113840, '\P{^Block=_shorthand_Format_controls}', "");
Error('\p{Blk=	/a/Shorthand_format_CONTROLS}');
Error('\P{Blk=	/a/Shorthand_format_CONTROLS}');
Expect(1, 113839, '\p{Blk=shorthandformatcontrols}', "");
Expect(0, 113839, '\p{^Blk=shorthandformatcontrols}', "");
Expect(0, 113839, '\P{Blk=shorthandformatcontrols}', "");
Expect(1, 113839, '\P{^Blk=shorthandformatcontrols}', "");
Expect(0, 113840, '\p{Blk=shorthandformatcontrols}', "");
Expect(1, 113840, '\p{^Blk=shorthandformatcontrols}', "");
Expect(1, 113840, '\P{Blk=shorthandformatcontrols}', "");
Expect(0, 113840, '\P{^Blk=shorthandformatcontrols}', "");
Expect(1, 113839, '\p{Blk=	-SHORTHAND_Format_CONTROLS}', "");
Expect(0, 113839, '\p{^Blk=	-SHORTHAND_Format_CONTROLS}', "");
Expect(0, 113839, '\P{Blk=	-SHORTHAND_Format_CONTROLS}', "");
Expect(1, 113839, '\P{^Blk=	-SHORTHAND_Format_CONTROLS}', "");
Expect(0, 113840, '\p{Blk=	-SHORTHAND_Format_CONTROLS}', "");
Expect(1, 113840, '\p{^Blk=	-SHORTHAND_Format_CONTROLS}', "");
Expect(1, 113840, '\P{Blk=	-SHORTHAND_Format_CONTROLS}', "");
Expect(0, 113840, '\P{^Blk=	-SHORTHAND_Format_CONTROLS}', "");
Error('\p{Is_Block=_/a/shorthand_Format_Controls}');
Error('\P{Is_Block=_/a/shorthand_Format_Controls}');
Expect(1, 113839, '\p{Is_Block=shorthandformatcontrols}', "");
Expect(0, 113839, '\p{^Is_Block=shorthandformatcontrols}', "");
Expect(0, 113839, '\P{Is_Block=shorthandformatcontrols}', "");
Expect(1, 113839, '\P{^Is_Block=shorthandformatcontrols}', "");
Expect(0, 113840, '\p{Is_Block=shorthandformatcontrols}', "");
Expect(1, 113840, '\p{^Is_Block=shorthandformatcontrols}', "");
Expect(1, 113840, '\P{Is_Block=shorthandformatcontrols}', "");
Expect(0, 113840, '\P{^Is_Block=shorthandformatcontrols}', "");
Expect(1, 113839, '\p{Is_Block=-_SHORTHAND_format_Controls}', "");
Expect(0, 113839, '\p{^Is_Block=-_SHORTHAND_format_Controls}', "");
Expect(0, 113839, '\P{Is_Block=-_SHORTHAND_format_Controls}', "");
Expect(1, 113839, '\P{^Is_Block=-_SHORTHAND_format_Controls}', "");
Expect(0, 113840, '\p{Is_Block=-_SHORTHAND_format_Controls}', "");
Expect(1, 113840, '\p{^Is_Block=-_SHORTHAND_format_Controls}', "");
Expect(1, 113840, '\P{Is_Block=-_SHORTHAND_format_Controls}', "");
Expect(0, 113840, '\P{^Is_Block=-_SHORTHAND_format_Controls}', "");
Error('\p{Is_Blk:  -shorthand_Format_Controls:=}');
Error('\P{Is_Blk:  -shorthand_Format_Controls:=}');
Expect(1, 113839, '\p{Is_Blk=shorthandformatcontrols}', "");
Expect(0, 113839, '\p{^Is_Blk=shorthandformatcontrols}', "");
Expect(0, 113839, '\P{Is_Blk=shorthandformatcontrols}', "");
Expect(1, 113839, '\P{^Is_Blk=shorthandformatcontrols}', "");
Expect(0, 113840, '\p{Is_Blk=shorthandformatcontrols}', "");
Expect(1, 113840, '\p{^Is_Blk=shorthandformatcontrols}', "");
Expect(1, 113840, '\P{Is_Blk=shorthandformatcontrols}', "");
Expect(0, 113840, '\P{^Is_Blk=shorthandformatcontrols}', "");
Expect(1, 113839, '\p{Is_Blk=_	shorthand_format_Controls}', "");
Expect(0, 113839, '\p{^Is_Blk=_	shorthand_format_Controls}', "");
Expect(0, 113839, '\P{Is_Blk=_	shorthand_format_Controls}', "");
Expect(1, 113839, '\P{^Is_Blk=_	shorthand_format_Controls}', "");
Expect(0, 113840, '\p{Is_Blk=_	shorthand_format_Controls}', "");
Expect(1, 113840, '\p{^Is_Blk=_	shorthand_format_Controls}', "");
Expect(1, 113840, '\P{Is_Blk=_	shorthand_format_Controls}', "");
Expect(0, 113840, '\P{^Is_Blk=_	shorthand_format_Controls}', "");
Error('\p{Block= 	Siddham:=}');
Error('\P{Block= 	Siddham:=}');
Expect(1, 71167, '\p{Block=siddham}', "");
Expect(0, 71167, '\p{^Block=siddham}', "");
Expect(0, 71167, '\P{Block=siddham}', "");
Expect(1, 71167, '\P{^Block=siddham}', "");
Expect(0, 71168, '\p{Block=siddham}', "");
Expect(1, 71168, '\p{^Block=siddham}', "");
Expect(1, 71168, '\P{Block=siddham}', "");
Expect(0, 71168, '\P{^Block=siddham}', "");
Expect(1, 71167, '\p{Block=_ Siddham}', "");
Expect(0, 71167, '\p{^Block=_ Siddham}', "");
Expect(0, 71167, '\P{Block=_ Siddham}', "");
Expect(1, 71167, '\P{^Block=_ Siddham}', "");
Expect(0, 71168, '\p{Block=_ Siddham}', "");
Expect(1, 71168, '\p{^Block=_ Siddham}', "");
Expect(1, 71168, '\P{Block=_ Siddham}', "");
Expect(0, 71168, '\P{^Block=_ Siddham}', "");
Error('\p{Blk=-	Siddham/a/}');
Error('\P{Blk=-	Siddham/a/}');
Expect(1, 71167, '\p{Blk=siddham}', "");
Expect(0, 71167, '\p{^Blk=siddham}', "");
Expect(0, 71167, '\P{Blk=siddham}', "");
Expect(1, 71167, '\P{^Blk=siddham}', "");
Expect(0, 71168, '\p{Blk=siddham}', "");
Expect(1, 71168, '\p{^Blk=siddham}', "");
Expect(1, 71168, '\P{Blk=siddham}', "");
Expect(0, 71168, '\P{^Blk=siddham}', "");
Expect(1, 71167, '\p{Blk= -siddham}', "");
Expect(0, 71167, '\p{^Blk= -siddham}', "");
Expect(0, 71167, '\P{Blk= -siddham}', "");
Expect(1, 71167, '\P{^Blk= -siddham}', "");
Expect(0, 71168, '\p{Blk= -siddham}', "");
Expect(1, 71168, '\p{^Blk= -siddham}', "");
Expect(1, 71168, '\P{Blk= -siddham}', "");
Expect(0, 71168, '\P{^Blk= -siddham}', "");
Error('\p{Is_Block=-/a/siddham}');
Error('\P{Is_Block=-/a/siddham}');
Expect(1, 71167, '\p{Is_Block=siddham}', "");
Expect(0, 71167, '\p{^Is_Block=siddham}', "");
Expect(0, 71167, '\P{Is_Block=siddham}', "");
Expect(1, 71167, '\P{^Is_Block=siddham}', "");
Expect(0, 71168, '\p{Is_Block=siddham}', "");
Expect(1, 71168, '\p{^Is_Block=siddham}', "");
Expect(1, 71168, '\P{Is_Block=siddham}', "");
Expect(0, 71168, '\P{^Is_Block=siddham}', "");
Expect(1, 71167, '\p{Is_Block=--siddham}', "");
Expect(0, 71167, '\p{^Is_Block=--siddham}', "");
Expect(0, 71167, '\P{Is_Block=--siddham}', "");
Expect(1, 71167, '\P{^Is_Block=--siddham}', "");
Expect(0, 71168, '\p{Is_Block=--siddham}', "");
Expect(1, 71168, '\p{^Is_Block=--siddham}', "");
Expect(1, 71168, '\P{Is_Block=--siddham}', "");
Expect(0, 71168, '\P{^Is_Block=--siddham}', "");
Error('\p{Is_Blk=_	Siddham/a/}');
Error('\P{Is_Blk=_	Siddham/a/}');
Expect(1, 71167, '\p{Is_Blk=siddham}', "");
Expect(0, 71167, '\p{^Is_Blk=siddham}', "");
Expect(0, 71167, '\P{Is_Blk=siddham}', "");
Expect(1, 71167, '\P{^Is_Blk=siddham}', "");
Expect(0, 71168, '\p{Is_Blk=siddham}', "");
Expect(1, 71168, '\p{^Is_Blk=siddham}', "");
Expect(1, 71168, '\P{Is_Blk=siddham}', "");
Expect(0, 71168, '\P{^Is_Blk=siddham}', "");
Expect(1, 71167, '\p{Is_Blk=-Siddham}', "");
Expect(0, 71167, '\p{^Is_Blk=-Siddham}', "");
Expect(0, 71167, '\P{Is_Blk=-Siddham}', "");
Expect(1, 71167, '\P{^Is_Blk=-Siddham}', "");
Expect(0, 71168, '\p{Is_Blk=-Siddham}', "");
Expect(1, 71168, '\p{^Is_Blk=-Siddham}', "");
Expect(1, 71168, '\P{Is_Blk=-Siddham}', "");
Expect(0, 71168, '\P{^Is_Blk=-Siddham}', "");
Error('\p{Block=_Sinhala:=}');
Error('\P{Block=_Sinhala:=}');
Expect(1, 3583, '\p{Block=sinhala}', "");
Expect(0, 3583, '\p{^Block=sinhala}', "");
Expect(0, 3583, '\P{Block=sinhala}', "");
Expect(1, 3583, '\P{^Block=sinhala}', "");
Expect(0, 3584, '\p{Block=sinhala}', "");
Expect(1, 3584, '\p{^Block=sinhala}', "");
Expect(1, 3584, '\P{Block=sinhala}', "");
Expect(0, 3584, '\P{^Block=sinhala}', "");
Expect(1, 3583, '\p{Block=_-sinhala}', "");
Expect(0, 3583, '\p{^Block=_-sinhala}', "");
Expect(0, 3583, '\P{Block=_-sinhala}', "");
Expect(1, 3583, '\P{^Block=_-sinhala}', "");
Expect(0, 3584, '\p{Block=_-sinhala}', "");
Expect(1, 3584, '\p{^Block=_-sinhala}', "");
Expect(1, 3584, '\P{Block=_-sinhala}', "");
Expect(0, 3584, '\P{^Block=_-sinhala}', "");
Error('\p{Blk:	 /a/Sinhala}');
Error('\P{Blk:	 /a/Sinhala}');
Expect(1, 3583, '\p{Blk=sinhala}', "");
Expect(0, 3583, '\p{^Blk=sinhala}', "");
Expect(0, 3583, '\P{Blk=sinhala}', "");
Expect(1, 3583, '\P{^Blk=sinhala}', "");
Expect(0, 3584, '\p{Blk=sinhala}', "");
Expect(1, 3584, '\p{^Blk=sinhala}', "");
Expect(1, 3584, '\P{Blk=sinhala}', "");
Expect(0, 3584, '\P{^Blk=sinhala}', "");
Expect(1, 3583, '\p{Blk=__sinhala}', "");
Expect(0, 3583, '\p{^Blk=__sinhala}', "");
Expect(0, 3583, '\P{Blk=__sinhala}', "");
Expect(1, 3583, '\P{^Blk=__sinhala}', "");
Expect(0, 3584, '\p{Blk=__sinhala}', "");
Expect(1, 3584, '\p{^Blk=__sinhala}', "");
Expect(1, 3584, '\P{Blk=__sinhala}', "");
Expect(0, 3584, '\P{^Blk=__sinhala}', "");
Error('\p{Is_Block=__Sinhala:=}');
Error('\P{Is_Block=__Sinhala:=}');
Expect(1, 3583, '\p{Is_Block=sinhala}', "");
Expect(0, 3583, '\p{^Is_Block=sinhala}', "");
Expect(0, 3583, '\P{Is_Block=sinhala}', "");
Expect(1, 3583, '\P{^Is_Block=sinhala}', "");
Expect(0, 3584, '\p{Is_Block=sinhala}', "");
Expect(1, 3584, '\p{^Is_Block=sinhala}', "");
Expect(1, 3584, '\P{Is_Block=sinhala}', "");
Expect(0, 3584, '\P{^Is_Block=sinhala}', "");
Expect(1, 3583, '\p{Is_Block=	 SINHALA}', "");
Expect(0, 3583, '\p{^Is_Block=	 SINHALA}', "");
Expect(0, 3583, '\P{Is_Block=	 SINHALA}', "");
Expect(1, 3583, '\P{^Is_Block=	 SINHALA}', "");
Expect(0, 3584, '\p{Is_Block=	 SINHALA}', "");
Expect(1, 3584, '\p{^Is_Block=	 SINHALA}', "");
Expect(1, 3584, '\P{Is_Block=	 SINHALA}', "");
Expect(0, 3584, '\P{^Is_Block=	 SINHALA}', "");
Error('\p{Is_Blk=:=sinhala}');
Error('\P{Is_Blk=:=sinhala}');
Expect(1, 3583, '\p{Is_Blk: sinhala}', "");
Expect(0, 3583, '\p{^Is_Blk: sinhala}', "");
Expect(0, 3583, '\P{Is_Blk: sinhala}', "");
Expect(1, 3583, '\P{^Is_Blk: sinhala}', "");
Expect(0, 3584, '\p{Is_Blk: sinhala}', "");
Expect(1, 3584, '\p{^Is_Blk: sinhala}', "");
Expect(1, 3584, '\P{Is_Blk: sinhala}', "");
Expect(0, 3584, '\P{^Is_Blk: sinhala}', "");
Expect(1, 3583, '\p{Is_Blk=	 Sinhala}', "");
Expect(0, 3583, '\p{^Is_Blk=	 Sinhala}', "");
Expect(0, 3583, '\P{Is_Blk=	 Sinhala}', "");
Expect(1, 3583, '\P{^Is_Blk=	 Sinhala}', "");
Expect(0, 3584, '\p{Is_Blk=	 Sinhala}', "");
Expect(1, 3584, '\p{^Is_Blk=	 Sinhala}', "");
Expect(1, 3584, '\P{Is_Blk=	 Sinhala}', "");
Expect(0, 3584, '\P{^Is_Blk=	 Sinhala}', "");
Error('\p{Block=-/a/Sinhala_Archaic_Numbers}');
Error('\P{Block=-/a/Sinhala_Archaic_Numbers}');
Expect(1, 70143, '\p{Block=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\p{^Block=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\P{Block=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\P{^Block=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\p{Block=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\p{^Block=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\P{Block=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\P{^Block=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\p{Block=_-Sinhala_Archaic_NUMBERS}', "");
Expect(0, 70143, '\p{^Block=_-Sinhala_Archaic_NUMBERS}', "");
Expect(0, 70143, '\P{Block=_-Sinhala_Archaic_NUMBERS}', "");
Expect(1, 70143, '\P{^Block=_-Sinhala_Archaic_NUMBERS}', "");
Expect(0, 70144, '\p{Block=_-Sinhala_Archaic_NUMBERS}', "");
Expect(1, 70144, '\p{^Block=_-Sinhala_Archaic_NUMBERS}', "");
Expect(1, 70144, '\P{Block=_-Sinhala_Archaic_NUMBERS}', "");
Expect(0, 70144, '\P{^Block=_-Sinhala_Archaic_NUMBERS}', "");
Error('\p{Blk=_/a/sinhala_Archaic_NUMBERS}');
Error('\P{Blk=_/a/sinhala_Archaic_NUMBERS}');
Expect(1, 70143, '\p{Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\p{^Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\P{Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\P{^Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\p{Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\p{^Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\P{Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\P{^Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\p{Blk=_Sinhala_ARCHAIC_NUMBERS}', "");
Expect(0, 70143, '\p{^Blk=_Sinhala_ARCHAIC_NUMBERS}', "");
Expect(0, 70143, '\P{Blk=_Sinhala_ARCHAIC_NUMBERS}', "");
Expect(1, 70143, '\P{^Blk=_Sinhala_ARCHAIC_NUMBERS}', "");
Expect(0, 70144, '\p{Blk=_Sinhala_ARCHAIC_NUMBERS}', "");
Expect(1, 70144, '\p{^Blk=_Sinhala_ARCHAIC_NUMBERS}', "");
Expect(1, 70144, '\P{Blk=_Sinhala_ARCHAIC_NUMBERS}', "");
Expect(0, 70144, '\P{^Blk=_Sinhala_ARCHAIC_NUMBERS}', "");
Error('\p{Is_Block= -Sinhala_ARCHAIC_NUMBERS/a/}');
Error('\P{Is_Block= -Sinhala_ARCHAIC_NUMBERS/a/}');
Expect(1, 70143, '\p{Is_Block=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\p{^Is_Block=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\P{Is_Block=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\P{^Is_Block=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\p{Is_Block=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\p{^Is_Block=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\P{Is_Block=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\P{^Is_Block=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\p{Is_Block=_-SINHALA_Archaic_numbers}', "");
Expect(0, 70143, '\p{^Is_Block=_-SINHALA_Archaic_numbers}', "");
Expect(0, 70143, '\P{Is_Block=_-SINHALA_Archaic_numbers}', "");
Expect(1, 70143, '\P{^Is_Block=_-SINHALA_Archaic_numbers}', "");
Expect(0, 70144, '\p{Is_Block=_-SINHALA_Archaic_numbers}', "");
Expect(1, 70144, '\p{^Is_Block=_-SINHALA_Archaic_numbers}', "");
Expect(1, 70144, '\P{Is_Block=_-SINHALA_Archaic_numbers}', "");
Expect(0, 70144, '\P{^Is_Block=_-SINHALA_Archaic_numbers}', "");
Error('\p{Is_Blk=	:=Sinhala_Archaic_numbers}');
Error('\P{Is_Blk=	:=Sinhala_Archaic_numbers}');
Expect(1, 70143, '\p{Is_Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\p{^Is_Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\P{Is_Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\P{^Is_Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\p{Is_Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\p{^Is_Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\P{Is_Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\P{^Is_Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\p{Is_Blk:		sinhala_Archaic_Numbers}', "");
Expect(0, 70143, '\p{^Is_Blk:		sinhala_Archaic_Numbers}', "");
Expect(0, 70143, '\P{Is_Blk:		sinhala_Archaic_Numbers}', "");
Expect(1, 70143, '\P{^Is_Blk:		sinhala_Archaic_Numbers}', "");
Expect(0, 70144, '\p{Is_Blk:		sinhala_Archaic_Numbers}', "");
Expect(1, 70144, '\p{^Is_Blk:		sinhala_Archaic_Numbers}', "");
Expect(1, 70144, '\P{Is_Blk:		sinhala_Archaic_Numbers}', "");
Expect(0, 70144, '\P{^Is_Blk:		sinhala_Archaic_Numbers}', "");
Error('\p{Block=/a/ -Small_Form_variants}');
Error('\P{Block=/a/ -Small_Form_variants}');
Expect(1, 65135, '\p{Block=smallformvariants}', "");
Expect(0, 65135, '\p{^Block=smallformvariants}', "");
Expect(0, 65135, '\P{Block=smallformvariants}', "");
Expect(1, 65135, '\P{^Block=smallformvariants}', "");
Expect(0, 65136, '\p{Block=smallformvariants}', "");
Expect(1, 65136, '\p{^Block=smallformvariants}', "");
Expect(1, 65136, '\P{Block=smallformvariants}', "");
Expect(0, 65136, '\P{^Block=smallformvariants}', "");
Expect(1, 65135, '\p{Block=_-Small_Form_VARIANTS}', "");
Expect(0, 65135, '\p{^Block=_-Small_Form_VARIANTS}', "");
Expect(0, 65135, '\P{Block=_-Small_Form_VARIANTS}', "");
Expect(1, 65135, '\P{^Block=_-Small_Form_VARIANTS}', "");
Expect(0, 65136, '\p{Block=_-Small_Form_VARIANTS}', "");
Expect(1, 65136, '\p{^Block=_-Small_Form_VARIANTS}', "");
Expect(1, 65136, '\P{Block=_-Small_Form_VARIANTS}', "");
Expect(0, 65136, '\P{^Block=_-Small_Form_VARIANTS}', "");
Error('\p{Blk=/a/ 	SMALL_forms}');
Error('\P{Blk=/a/ 	SMALL_forms}');
Expect(1, 65135, '\p{Blk=smallforms}', "");
Expect(0, 65135, '\p{^Blk=smallforms}', "");
Expect(0, 65135, '\P{Blk=smallforms}', "");
Expect(1, 65135, '\P{^Blk=smallforms}', "");
Expect(0, 65136, '\p{Blk=smallforms}', "");
Expect(1, 65136, '\p{^Blk=smallforms}', "");
Expect(1, 65136, '\P{Blk=smallforms}', "");
Expect(0, 65136, '\P{^Blk=smallforms}', "");
Expect(1, 65135, '\p{Blk=-Small_Forms}', "");
Expect(0, 65135, '\p{^Blk=-Small_Forms}', "");
Expect(0, 65135, '\P{Blk=-Small_Forms}', "");
Expect(1, 65135, '\P{^Blk=-Small_Forms}', "");
Expect(0, 65136, '\p{Blk=-Small_Forms}', "");
Expect(1, 65136, '\p{^Blk=-Small_Forms}', "");
Expect(1, 65136, '\P{Blk=-Small_Forms}', "");
Expect(0, 65136, '\P{^Blk=-Small_Forms}', "");
Error('\p{Is_Block=:=	_small_form_Variants}');
Error('\P{Is_Block=:=	_small_form_Variants}');
Expect(1, 65135, '\p{Is_Block=smallformvariants}', "");
Expect(0, 65135, '\p{^Is_Block=smallformvariants}', "");
Expect(0, 65135, '\P{Is_Block=smallformvariants}', "");
Expect(1, 65135, '\P{^Is_Block=smallformvariants}', "");
Expect(0, 65136, '\p{Is_Block=smallformvariants}', "");
Expect(1, 65136, '\p{^Is_Block=smallformvariants}', "");
Expect(1, 65136, '\P{Is_Block=smallformvariants}', "");
Expect(0, 65136, '\P{^Is_Block=smallformvariants}', "");
Expect(1, 65135, '\p{Is_Block=	_Small_FORM_Variants}', "");
Expect(0, 65135, '\p{^Is_Block=	_Small_FORM_Variants}', "");
Expect(0, 65135, '\P{Is_Block=	_Small_FORM_Variants}', "");
Expect(1, 65135, '\P{^Is_Block=	_Small_FORM_Variants}', "");
Expect(0, 65136, '\p{Is_Block=	_Small_FORM_Variants}', "");
Expect(1, 65136, '\p{^Is_Block=	_Small_FORM_Variants}', "");
Expect(1, 65136, '\P{Is_Block=	_Small_FORM_Variants}', "");
Expect(0, 65136, '\P{^Is_Block=	_Small_FORM_Variants}', "");
Error('\p{Is_Blk: /a/Small_FORMS}');
Error('\P{Is_Blk: /a/Small_FORMS}');
Expect(1, 65135, '\p{Is_Blk=smallforms}', "");
Expect(0, 65135, '\p{^Is_Blk=smallforms}', "");
Expect(0, 65135, '\P{Is_Blk=smallforms}', "");
Expect(1, 65135, '\P{^Is_Blk=smallforms}', "");
Expect(0, 65136, '\p{Is_Blk=smallforms}', "");
Expect(1, 65136, '\p{^Is_Blk=smallforms}', "");
Expect(1, 65136, '\P{Is_Blk=smallforms}', "");
Expect(0, 65136, '\P{^Is_Blk=smallforms}', "");
Expect(1, 65135, '\p{Is_Blk=-	Small_Forms}', "");
Expect(0, 65135, '\p{^Is_Blk=-	Small_Forms}', "");
Expect(0, 65135, '\P{Is_Blk=-	Small_Forms}', "");
Expect(1, 65135, '\P{^Is_Blk=-	Small_Forms}', "");
Expect(0, 65136, '\p{Is_Blk=-	Small_Forms}', "");
Expect(1, 65136, '\p{^Is_Blk=-	Small_Forms}', "");
Expect(1, 65136, '\P{Is_Blk=-	Small_Forms}', "");
Expect(0, 65136, '\P{^Is_Blk=-	Small_Forms}', "");
Error('\p{Block=/a/	_sora_Sompeng}');
Error('\P{Block=/a/	_sora_Sompeng}');
Expect(1, 69887, '\p{Block=sorasompeng}', "");
Expect(0, 69887, '\p{^Block=sorasompeng}', "");
Expect(0, 69887, '\P{Block=sorasompeng}', "");
Expect(1, 69887, '\P{^Block=sorasompeng}', "");
Expect(0, 69888, '\p{Block=sorasompeng}', "");
Expect(1, 69888, '\p{^Block=sorasompeng}', "");
Expect(1, 69888, '\P{Block=sorasompeng}', "");
Expect(0, 69888, '\P{^Block=sorasompeng}', "");
Expect(1, 69887, '\p{Block= -Sora_sompeng}', "");
Expect(0, 69887, '\p{^Block= -Sora_sompeng}', "");
Expect(0, 69887, '\P{Block= -Sora_sompeng}', "");
Expect(1, 69887, '\P{^Block= -Sora_sompeng}', "");
Expect(0, 69888, '\p{Block= -Sora_sompeng}', "");
Expect(1, 69888, '\p{^Block= -Sora_sompeng}', "");
Expect(1, 69888, '\P{Block= -Sora_sompeng}', "");
Expect(0, 69888, '\P{^Block= -Sora_sompeng}', "");
Error('\p{Blk=/a/	_Sora_Sompeng}');
Error('\P{Blk=/a/	_Sora_Sompeng}');
Expect(1, 69887, '\p{Blk=sorasompeng}', "");
Expect(0, 69887, '\p{^Blk=sorasompeng}', "");
Expect(0, 69887, '\P{Blk=sorasompeng}', "");
Expect(1, 69887, '\P{^Blk=sorasompeng}', "");
Expect(0, 69888, '\p{Blk=sorasompeng}', "");
Expect(1, 69888, '\p{^Blk=sorasompeng}', "");
Expect(1, 69888, '\P{Blk=sorasompeng}', "");
Expect(0, 69888, '\P{^Blk=sorasompeng}', "");
Expect(1, 69887, '\p{Blk= 	SORA_sompeng}', "");
Expect(0, 69887, '\p{^Blk= 	SORA_sompeng}', "");
Expect(0, 69887, '\P{Blk= 	SORA_sompeng}', "");
Expect(1, 69887, '\P{^Blk= 	SORA_sompeng}', "");
Expect(0, 69888, '\p{Blk= 	SORA_sompeng}', "");
Expect(1, 69888, '\p{^Blk= 	SORA_sompeng}', "");
Expect(1, 69888, '\P{Blk= 	SORA_sompeng}', "");
Expect(0, 69888, '\P{^Blk= 	SORA_sompeng}', "");
Error('\p{Is_Block=/a/ Sora_SOMPENG}');
Error('\P{Is_Block=/a/ Sora_SOMPENG}');
Expect(1, 69887, '\p{Is_Block=sorasompeng}', "");
Expect(0, 69887, '\p{^Is_Block=sorasompeng}', "");
Expect(0, 69887, '\P{Is_Block=sorasompeng}', "");
Expect(1, 69887, '\P{^Is_Block=sorasompeng}', "");
Expect(0, 69888, '\p{Is_Block=sorasompeng}', "");
Expect(1, 69888, '\p{^Is_Block=sorasompeng}', "");
Expect(1, 69888, '\P{Is_Block=sorasompeng}', "");
Expect(0, 69888, '\P{^Is_Block=sorasompeng}', "");
Expect(1, 69887, '\p{Is_Block=Sora_sompeng}', "");
Expect(0, 69887, '\p{^Is_Block=Sora_sompeng}', "");
Expect(0, 69887, '\P{Is_Block=Sora_sompeng}', "");
Expect(1, 69887, '\P{^Is_Block=Sora_sompeng}', "");
Expect(0, 69888, '\p{Is_Block=Sora_sompeng}', "");
Expect(1, 69888, '\p{^Is_Block=Sora_sompeng}', "");
Expect(1, 69888, '\P{Is_Block=Sora_sompeng}', "");
Expect(0, 69888, '\P{^Is_Block=Sora_sompeng}', "");
Error('\p{Is_Blk:   SORA_Sompeng:=}');
Error('\P{Is_Blk:   SORA_Sompeng:=}');
Expect(1, 69887, '\p{Is_Blk=sorasompeng}', "");
Expect(0, 69887, '\p{^Is_Blk=sorasompeng}', "");
Expect(0, 69887, '\P{Is_Blk=sorasompeng}', "");
Expect(1, 69887, '\P{^Is_Blk=sorasompeng}', "");
Expect(0, 69888, '\p{Is_Blk=sorasompeng}', "");
Expect(1, 69888, '\p{^Is_Blk=sorasompeng}', "");
Expect(1, 69888, '\P{Is_Blk=sorasompeng}', "");
Expect(0, 69888, '\P{^Is_Blk=sorasompeng}', "");
Expect(1, 69887, '\p{Is_Blk= -Sora_Sompeng}', "");
Expect(0, 69887, '\p{^Is_Blk= -Sora_Sompeng}', "");
Expect(0, 69887, '\P{Is_Blk= -Sora_Sompeng}', "");
Expect(1, 69887, '\P{^Is_Blk= -Sora_Sompeng}', "");
Expect(0, 69888, '\p{Is_Blk= -Sora_Sompeng}', "");
Expect(1, 69888, '\p{^Is_Blk= -Sora_Sompeng}', "");
Expect(1, 69888, '\P{Is_Blk= -Sora_Sompeng}', "");
Expect(0, 69888, '\P{^Is_Blk= -Sora_Sompeng}', "");
Error('\p{Block=/a/	specials}');
Error('\P{Block=/a/	specials}');
Expect(1, 65520, '\p{Block=specials}', "");
Expect(0, 65520, '\p{^Block=specials}', "");
Expect(0, 65520, '\P{Block=specials}', "");
Expect(1, 65520, '\P{^Block=specials}', "");
Expect(0, 65536, '\p{Block=specials}', "");
Expect(1, 65536, '\p{^Block=specials}', "");
Expect(1, 65536, '\P{Block=specials}', "");
Expect(0, 65536, '\P{^Block=specials}', "");
Expect(1, 65520, '\p{Block=Specials}', "");
Expect(0, 65520, '\p{^Block=Specials}', "");
Expect(0, 65520, '\P{Block=Specials}', "");
Expect(1, 65520, '\P{^Block=Specials}', "");
Expect(0, 65536, '\p{Block=Specials}', "");
Expect(1, 65536, '\p{^Block=Specials}', "");
Expect(1, 65536, '\P{Block=Specials}', "");
Expect(0, 65536, '\P{^Block=Specials}', "");
Error('\p{Blk= /a/SPECIALS}');
Error('\P{Blk= /a/SPECIALS}');
Expect(1, 65520, '\p{Blk=specials}', "");
Expect(0, 65520, '\p{^Blk=specials}', "");
Expect(0, 65520, '\P{Blk=specials}', "");
Expect(1, 65520, '\P{^Blk=specials}', "");
Expect(0, 65536, '\p{Blk=specials}', "");
Expect(1, 65536, '\p{^Blk=specials}', "");
Expect(1, 65536, '\P{Blk=specials}', "");
Expect(0, 65536, '\P{^Blk=specials}', "");
Expect(1, 65520, '\p{Blk=	 SPECIALS}', "");
Expect(0, 65520, '\p{^Blk=	 SPECIALS}', "");
Expect(0, 65520, '\P{Blk=	 SPECIALS}', "");
Expect(1, 65520, '\P{^Blk=	 SPECIALS}', "");
Expect(0, 65536, '\p{Blk=	 SPECIALS}', "");
Expect(1, 65536, '\p{^Blk=	 SPECIALS}', "");
Expect(1, 65536, '\P{Blk=	 SPECIALS}', "");
Expect(0, 65536, '\P{^Blk=	 SPECIALS}', "");
Error('\p{Is_Block=:=  Specials}');
Error('\P{Is_Block=:=  Specials}');
Expect(1, 65520, '\p{Is_Block=specials}', "");
Expect(0, 65520, '\p{^Is_Block=specials}', "");
Expect(0, 65520, '\P{Is_Block=specials}', "");
Expect(1, 65520, '\P{^Is_Block=specials}', "");
Expect(0, 65536, '\p{Is_Block=specials}', "");
Expect(1, 65536, '\p{^Is_Block=specials}', "");
Expect(1, 65536, '\P{Is_Block=specials}', "");
Expect(0, 65536, '\P{^Is_Block=specials}', "");
Expect(1, 65520, '\p{Is_Block=-specials}', "");
Expect(0, 65520, '\p{^Is_Block=-specials}', "");
Expect(0, 65520, '\P{Is_Block=-specials}', "");
Expect(1, 65520, '\P{^Is_Block=-specials}', "");
Expect(0, 65536, '\p{Is_Block=-specials}', "");
Expect(1, 65536, '\p{^Is_Block=-specials}', "");
Expect(1, 65536, '\P{Is_Block=-specials}', "");
Expect(0, 65536, '\P{^Is_Block=-specials}', "");
Error('\p{Is_Blk=:=specials}');
Error('\P{Is_Blk=:=specials}');
Expect(1, 65520, '\p{Is_Blk=specials}', "");
Expect(0, 65520, '\p{^Is_Blk=specials}', "");
Expect(0, 65520, '\P{Is_Blk=specials}', "");
Expect(1, 65520, '\P{^Is_Blk=specials}', "");
Expect(0, 65536, '\p{Is_Blk=specials}', "");
Expect(1, 65536, '\p{^Is_Blk=specials}', "");
Expect(1, 65536, '\P{Is_Blk=specials}', "");
Expect(0, 65536, '\P{^Is_Blk=specials}', "");
Expect(1, 65520, '\p{Is_Blk:	 	SPECIALS}', "");
Expect(0, 65520, '\p{^Is_Blk:	 	SPECIALS}', "");
Expect(0, 65520, '\P{Is_Blk:	 	SPECIALS}', "");
Expect(1, 65520, '\P{^Is_Blk:	 	SPECIALS}', "");
Expect(0, 65536, '\p{Is_Blk:	 	SPECIALS}', "");
Expect(1, 65536, '\p{^Is_Blk:	 	SPECIALS}', "");
Expect(1, 65536, '\P{Is_Blk:	 	SPECIALS}', "");
Expect(0, 65536, '\P{^Is_Blk:	 	SPECIALS}', "");
Error('\p{Block=:=_Sundanese}');
Error('\P{Block=:=_Sundanese}');
Expect(1, 7103, '\p{Block=sundanese}', "");
Expect(0, 7103, '\p{^Block=sundanese}', "");
Expect(0, 7103, '\P{Block=sundanese}', "");
Expect(1, 7103, '\P{^Block=sundanese}', "");
Expect(0, 7104, '\p{Block=sundanese}', "");
Expect(1, 7104, '\p{^Block=sundanese}', "");
Expect(1, 7104, '\P{Block=sundanese}', "");
Expect(0, 7104, '\P{^Block=sundanese}', "");
Expect(1, 7103, '\p{Block:_sundanese}', "");
Expect(0, 7103, '\p{^Block:_sundanese}', "");
Expect(0, 7103, '\P{Block:_sundanese}', "");
Expect(1, 7103, '\P{^Block:_sundanese}', "");
Expect(0, 7104, '\p{Block:_sundanese}', "");
Expect(1, 7104, '\p{^Block:_sundanese}', "");
Expect(1, 7104, '\P{Block:_sundanese}', "");
Expect(0, 7104, '\P{^Block:_sundanese}', "");
Error('\p{Blk= :=Sundanese}');
Error('\P{Blk= :=Sundanese}');
Expect(1, 7103, '\p{Blk=sundanese}', "");
Expect(0, 7103, '\p{^Blk=sundanese}', "");
Expect(0, 7103, '\P{Blk=sundanese}', "");
Expect(1, 7103, '\P{^Blk=sundanese}', "");
Expect(0, 7104, '\p{Blk=sundanese}', "");
Expect(1, 7104, '\p{^Blk=sundanese}', "");
Expect(1, 7104, '\P{Blk=sundanese}', "");
Expect(0, 7104, '\P{^Blk=sundanese}', "");
Expect(1, 7103, '\p{Blk=- Sundanese}', "");
Expect(0, 7103, '\p{^Blk=- Sundanese}', "");
Expect(0, 7103, '\P{Blk=- Sundanese}', "");
Expect(1, 7103, '\P{^Blk=- Sundanese}', "");
Expect(0, 7104, '\p{Blk=- Sundanese}', "");
Expect(1, 7104, '\p{^Blk=- Sundanese}', "");
Expect(1, 7104, '\P{Blk=- Sundanese}', "");
Expect(0, 7104, '\P{^Blk=- Sundanese}', "");
Error('\p{Is_Block=_:=Sundanese}');
Error('\P{Is_Block=_:=Sundanese}');
Expect(1, 7103, '\p{Is_Block=sundanese}', "");
Expect(0, 7103, '\p{^Is_Block=sundanese}', "");
Expect(0, 7103, '\P{Is_Block=sundanese}', "");
Expect(1, 7103, '\P{^Is_Block=sundanese}', "");
Expect(0, 7104, '\p{Is_Block=sundanese}', "");
Expect(1, 7104, '\p{^Is_Block=sundanese}', "");
Expect(1, 7104, '\P{Is_Block=sundanese}', "");
Expect(0, 7104, '\P{^Is_Block=sundanese}', "");
Expect(1, 7103, '\p{Is_Block=-	Sundanese}', "");
Expect(0, 7103, '\p{^Is_Block=-	Sundanese}', "");
Expect(0, 7103, '\P{Is_Block=-	Sundanese}', "");
Expect(1, 7103, '\P{^Is_Block=-	Sundanese}', "");
Expect(0, 7104, '\p{Is_Block=-	Sundanese}', "");
Expect(1, 7104, '\p{^Is_Block=-	Sundanese}', "");
Expect(1, 7104, '\P{Is_Block=-	Sundanese}', "");
Expect(0, 7104, '\P{^Is_Block=-	Sundanese}', "");
Error('\p{Is_Blk=_/a/Sundanese}');
Error('\P{Is_Blk=_/a/Sundanese}');
Expect(1, 7103, '\p{Is_Blk=sundanese}', "");
Expect(0, 7103, '\p{^Is_Blk=sundanese}', "");
Expect(0, 7103, '\P{Is_Blk=sundanese}', "");
Expect(1, 7103, '\P{^Is_Blk=sundanese}', "");
Expect(0, 7104, '\p{Is_Blk=sundanese}', "");
Expect(1, 7104, '\p{^Is_Blk=sundanese}', "");
Expect(1, 7104, '\P{Is_Blk=sundanese}', "");
Expect(0, 7104, '\P{^Is_Blk=sundanese}', "");
Expect(1, 7103, '\p{Is_Blk:   _SUNDANESE}', "");
Expect(0, 7103, '\p{^Is_Blk:   _SUNDANESE}', "");
Expect(0, 7103, '\P{Is_Blk:   _SUNDANESE}', "");
Expect(1, 7103, '\P{^Is_Blk:   _SUNDANESE}', "");
Expect(0, 7104, '\p{Is_Blk:   _SUNDANESE}', "");
Expect(1, 7104, '\p{^Is_Blk:   _SUNDANESE}', "");
Expect(1, 7104, '\P{Is_Blk:   _SUNDANESE}', "");
Expect(0, 7104, '\P{^Is_Blk:   _SUNDANESE}', "");
Error('\p{Block=_:=SUNDANESE_Supplement}');
Error('\P{Block=_:=SUNDANESE_Supplement}');
Expect(1, 7375, '\p{Block=sundanesesupplement}', "");
Expect(0, 7375, '\p{^Block=sundanesesupplement}', "");
Expect(0, 7375, '\P{Block=sundanesesupplement}', "");
Expect(1, 7375, '\P{^Block=sundanesesupplement}', "");
Expect(0, 7376, '\p{Block=sundanesesupplement}', "");
Expect(1, 7376, '\p{^Block=sundanesesupplement}', "");
Expect(1, 7376, '\P{Block=sundanesesupplement}', "");
Expect(0, 7376, '\P{^Block=sundanesesupplement}', "");
Expect(1, 7375, '\p{Block=-_sundanese_SUPPLEMENT}', "");
Expect(0, 7375, '\p{^Block=-_sundanese_SUPPLEMENT}', "");
Expect(0, 7375, '\P{Block=-_sundanese_SUPPLEMENT}', "");
Expect(1, 7375, '\P{^Block=-_sundanese_SUPPLEMENT}', "");
Expect(0, 7376, '\p{Block=-_sundanese_SUPPLEMENT}', "");
Expect(1, 7376, '\p{^Block=-_sundanese_SUPPLEMENT}', "");
Expect(1, 7376, '\P{Block=-_sundanese_SUPPLEMENT}', "");
Expect(0, 7376, '\P{^Block=-_sundanese_SUPPLEMENT}', "");
Error('\p{Blk=-sundanese_Sup:=}');
Error('\P{Blk=-sundanese_Sup:=}');
Expect(1, 7375, '\p{Blk=sundanesesup}', "");
Expect(0, 7375, '\p{^Blk=sundanesesup}', "");
Expect(0, 7375, '\P{Blk=sundanesesup}', "");
Expect(1, 7375, '\P{^Blk=sundanesesup}', "");
Expect(0, 7376, '\p{Blk=sundanesesup}', "");
Expect(1, 7376, '\p{^Blk=sundanesesup}', "");
Expect(1, 7376, '\P{Blk=sundanesesup}', "");
Expect(0, 7376, '\P{^Blk=sundanesesup}', "");
Expect(1, 7375, '\p{Blk=	 Sundanese_Sup}', "");
Expect(0, 7375, '\p{^Blk=	 Sundanese_Sup}', "");
Expect(0, 7375, '\P{Blk=	 Sundanese_Sup}', "");
Expect(1, 7375, '\P{^Blk=	 Sundanese_Sup}', "");
Expect(0, 7376, '\p{Blk=	 Sundanese_Sup}', "");
Expect(1, 7376, '\p{^Blk=	 Sundanese_Sup}', "");
Expect(1, 7376, '\P{Blk=	 Sundanese_Sup}', "");
Expect(0, 7376, '\P{^Blk=	 Sundanese_Sup}', "");
Error('\p{Is_Block=:=	-Sundanese_supplement}');
Error('\P{Is_Block=:=	-Sundanese_supplement}');
Expect(1, 7375, '\p{Is_Block=sundanesesupplement}', "");
Expect(0, 7375, '\p{^Is_Block=sundanesesupplement}', "");
Expect(0, 7375, '\P{Is_Block=sundanesesupplement}', "");
Expect(1, 7375, '\P{^Is_Block=sundanesesupplement}', "");
Expect(0, 7376, '\p{Is_Block=sundanesesupplement}', "");
Expect(1, 7376, '\p{^Is_Block=sundanesesupplement}', "");
Expect(1, 7376, '\P{Is_Block=sundanesesupplement}', "");
Expect(0, 7376, '\P{^Is_Block=sundanesesupplement}', "");
Expect(1, 7375, '\p{Is_Block=-sundanese_SUPPLEMENT}', "");
Expect(0, 7375, '\p{^Is_Block=-sundanese_SUPPLEMENT}', "");
Expect(0, 7375, '\P{Is_Block=-sundanese_SUPPLEMENT}', "");
Expect(1, 7375, '\P{^Is_Block=-sundanese_SUPPLEMENT}', "");
Expect(0, 7376, '\p{Is_Block=-sundanese_SUPPLEMENT}', "");
Expect(1, 7376, '\p{^Is_Block=-sundanese_SUPPLEMENT}', "");
Expect(1, 7376, '\P{Is_Block=-sundanese_SUPPLEMENT}', "");
Expect(0, 7376, '\P{^Is_Block=-sundanese_SUPPLEMENT}', "");
Error('\p{Is_Blk=		SUNDANESE_SUP/a/}');
Error('\P{Is_Blk=		SUNDANESE_SUP/a/}');
Expect(1, 7375, '\p{Is_Blk=sundanesesup}', "");
Expect(0, 7375, '\p{^Is_Blk=sundanesesup}', "");
Expect(0, 7375, '\P{Is_Blk=sundanesesup}', "");
Expect(1, 7375, '\P{^Is_Blk=sundanesesup}', "");
Expect(0, 7376, '\p{Is_Blk=sundanesesup}', "");
Expect(1, 7376, '\p{^Is_Blk=sundanesesup}', "");
Expect(1, 7376, '\P{Is_Blk=sundanesesup}', "");
Expect(0, 7376, '\P{^Is_Blk=sundanesesup}', "");
Expect(1, 7375, '\p{Is_Blk= _sundanese_Sup}', "");
Expect(0, 7375, '\p{^Is_Blk= _sundanese_Sup}', "");
Expect(0, 7375, '\P{Is_Blk= _sundanese_Sup}', "");
Expect(1, 7375, '\P{^Is_Blk= _sundanese_Sup}', "");
Expect(0, 7376, '\p{Is_Blk= _sundanese_Sup}', "");
Expect(1, 7376, '\p{^Is_Blk= _sundanese_Sup}', "");
Expect(1, 7376, '\P{Is_Blk= _sundanese_Sup}', "");
Expect(0, 7376, '\P{^Is_Blk= _sundanese_Sup}', "");
Error('\p{Block=/a/	Supplemental_Arrows_A}');
Error('\P{Block=/a/	Supplemental_Arrows_A}');
Expect(1, 10239, '\p{Block=supplementalarrowsa}', "");
Expect(0, 10239, '\p{^Block=supplementalarrowsa}', "");
Expect(0, 10239, '\P{Block=supplementalarrowsa}', "");
Expect(1, 10239, '\P{^Block=supplementalarrowsa}', "");
Expect(0, 10240, '\p{Block=supplementalarrowsa}', "");
Expect(1, 10240, '\p{^Block=supplementalarrowsa}', "");
Expect(1, 10240, '\P{Block=supplementalarrowsa}', "");
Expect(0, 10240, '\P{^Block=supplementalarrowsa}', "");
Expect(1, 10239, '\p{Block=  Supplemental_Arrows_A}', "");
Expect(0, 10239, '\p{^Block=  Supplemental_Arrows_A}', "");
Expect(0, 10239, '\P{Block=  Supplemental_Arrows_A}', "");
Expect(1, 10239, '\P{^Block=  Supplemental_Arrows_A}', "");
Expect(0, 10240, '\p{Block=  Supplemental_Arrows_A}', "");
Expect(1, 10240, '\p{^Block=  Supplemental_Arrows_A}', "");
Expect(1, 10240, '\P{Block=  Supplemental_Arrows_A}', "");
Expect(0, 10240, '\P{^Block=  Supplemental_Arrows_A}', "");
Error('\p{Blk= :=SUP_ARROWS_a}');
Error('\P{Blk= :=SUP_ARROWS_a}');
Expect(1, 10239, '\p{Blk=suparrowsa}', "");
Expect(0, 10239, '\p{^Blk=suparrowsa}', "");
Expect(0, 10239, '\P{Blk=suparrowsa}', "");
Expect(1, 10239, '\P{^Blk=suparrowsa}', "");
Expect(0, 10240, '\p{Blk=suparrowsa}', "");
Expect(1, 10240, '\p{^Blk=suparrowsa}', "");
Expect(1, 10240, '\P{Blk=suparrowsa}', "");
Expect(0, 10240, '\P{^Blk=suparrowsa}', "");
Expect(1, 10239, '\p{Blk=		SUP_Arrows_A}', "");
Expect(0, 10239, '\p{^Blk=		SUP_Arrows_A}', "");
Expect(0, 10239, '\P{Blk=		SUP_Arrows_A}', "");
Expect(1, 10239, '\P{^Blk=		SUP_Arrows_A}', "");
Expect(0, 10240, '\p{Blk=		SUP_Arrows_A}', "");
Expect(1, 10240, '\p{^Blk=		SUP_Arrows_A}', "");
Expect(1, 10240, '\P{Blk=		SUP_Arrows_A}', "");
Expect(0, 10240, '\P{^Blk=		SUP_Arrows_A}', "");
Error('\p{Is_Block: :=	Supplemental_Arrows_A}');
Error('\P{Is_Block: :=	Supplemental_Arrows_A}');
Expect(1, 10239, '\p{Is_Block:	supplementalarrowsa}', "");
Expect(0, 10239, '\p{^Is_Block:	supplementalarrowsa}', "");
Expect(0, 10239, '\P{Is_Block:	supplementalarrowsa}', "");
Expect(1, 10239, '\P{^Is_Block:	supplementalarrowsa}', "");
Expect(0, 10240, '\p{Is_Block:	supplementalarrowsa}', "");
Expect(1, 10240, '\p{^Is_Block:	supplementalarrowsa}', "");
Expect(1, 10240, '\P{Is_Block:	supplementalarrowsa}', "");
Expect(0, 10240, '\P{^Is_Block:	supplementalarrowsa}', "");
Expect(1, 10239, '\p{Is_Block=_SUPPLEMENTAL_arrows_a}', "");
Expect(0, 10239, '\p{^Is_Block=_SUPPLEMENTAL_arrows_a}', "");
Expect(0, 10239, '\P{Is_Block=_SUPPLEMENTAL_arrows_a}', "");
Expect(1, 10239, '\P{^Is_Block=_SUPPLEMENTAL_arrows_a}', "");
Expect(0, 10240, '\p{Is_Block=_SUPPLEMENTAL_arrows_a}', "");
Expect(1, 10240, '\p{^Is_Block=_SUPPLEMENTAL_arrows_a}', "");
Expect(1, 10240, '\P{Is_Block=_SUPPLEMENTAL_arrows_a}', "");
Expect(0, 10240, '\P{^Is_Block=_SUPPLEMENTAL_arrows_a}', "");
Error('\p{Is_Blk=	Sup_Arrows_A:=}');
Error('\P{Is_Blk=	Sup_Arrows_A:=}');
Expect(1, 10239, '\p{Is_Blk=suparrowsa}', "");
Expect(0, 10239, '\p{^Is_Blk=suparrowsa}', "");
Expect(0, 10239, '\P{Is_Blk=suparrowsa}', "");
Expect(1, 10239, '\P{^Is_Blk=suparrowsa}', "");
Expect(0, 10240, '\p{Is_Blk=suparrowsa}', "");
Expect(1, 10240, '\p{^Is_Blk=suparrowsa}', "");
Expect(1, 10240, '\P{Is_Blk=suparrowsa}', "");
Expect(0, 10240, '\P{^Is_Blk=suparrowsa}', "");
Expect(1, 10239, '\p{Is_Blk=	Sup_arrows_A}', "");
Expect(0, 10239, '\p{^Is_Blk=	Sup_arrows_A}', "");
Expect(0, 10239, '\P{Is_Blk=	Sup_arrows_A}', "");
Expect(1, 10239, '\P{^Is_Blk=	Sup_arrows_A}', "");
Expect(0, 10240, '\p{Is_Blk=	Sup_arrows_A}', "");
Expect(1, 10240, '\p{^Is_Blk=	Sup_arrows_A}', "");
Expect(1, 10240, '\P{Is_Blk=	Sup_arrows_A}', "");
Expect(0, 10240, '\P{^Is_Blk=	Sup_arrows_A}', "");
Error('\p{Block=:=		Supplemental_Arrows_B}');
Error('\P{Block=:=		Supplemental_Arrows_B}');
Expect(1, 10623, '\p{Block=supplementalarrowsb}', "");
Expect(0, 10623, '\p{^Block=supplementalarrowsb}', "");
Expect(0, 10623, '\P{Block=supplementalarrowsb}', "");
Expect(1, 10623, '\P{^Block=supplementalarrowsb}', "");
Expect(0, 10624, '\p{Block=supplementalarrowsb}', "");
Expect(1, 10624, '\p{^Block=supplementalarrowsb}', "");
Expect(1, 10624, '\P{Block=supplementalarrowsb}', "");
Expect(0, 10624, '\P{^Block=supplementalarrowsb}', "");
Expect(1, 10623, '\p{Block=	SUPPLEMENTAL_Arrows_B}', "");
Expect(0, 10623, '\p{^Block=	SUPPLEMENTAL_Arrows_B}', "");
Expect(0, 10623, '\P{Block=	SUPPLEMENTAL_Arrows_B}', "");
Expect(1, 10623, '\P{^Block=	SUPPLEMENTAL_Arrows_B}', "");
Expect(0, 10624, '\p{Block=	SUPPLEMENTAL_Arrows_B}', "");
Expect(1, 10624, '\p{^Block=	SUPPLEMENTAL_Arrows_B}', "");
Expect(1, 10624, '\P{Block=	SUPPLEMENTAL_Arrows_B}', "");
Expect(0, 10624, '\P{^Block=	SUPPLEMENTAL_Arrows_B}', "");
Error('\p{Blk=/a/	sup_arrows_b}');
Error('\P{Blk=/a/	sup_arrows_b}');
Expect(1, 10623, '\p{Blk=suparrowsb}', "");
Expect(0, 10623, '\p{^Blk=suparrowsb}', "");
Expect(0, 10623, '\P{Blk=suparrowsb}', "");
Expect(1, 10623, '\P{^Blk=suparrowsb}', "");
Expect(0, 10624, '\p{Blk=suparrowsb}', "");
Expect(1, 10624, '\p{^Blk=suparrowsb}', "");
Expect(1, 10624, '\P{Blk=suparrowsb}', "");
Expect(0, 10624, '\P{^Blk=suparrowsb}', "");
Expect(1, 10623, '\p{Blk=	SUP_Arrows_B}', "");
Expect(0, 10623, '\p{^Blk=	SUP_Arrows_B}', "");
Expect(0, 10623, '\P{Blk=	SUP_Arrows_B}', "");
Expect(1, 10623, '\P{^Blk=	SUP_Arrows_B}', "");
Expect(0, 10624, '\p{Blk=	SUP_Arrows_B}', "");
Expect(1, 10624, '\p{^Blk=	SUP_Arrows_B}', "");
Expect(1, 10624, '\P{Blk=	SUP_Arrows_B}', "");
Expect(0, 10624, '\P{^Blk=	SUP_Arrows_B}', "");
Error('\p{Is_Block=	/a/Supplemental_ARROWS_B}');
Error('\P{Is_Block=	/a/Supplemental_ARROWS_B}');
Expect(1, 10623, '\p{Is_Block=supplementalarrowsb}', "");
Expect(0, 10623, '\p{^Is_Block=supplementalarrowsb}', "");
Expect(0, 10623, '\P{Is_Block=supplementalarrowsb}', "");
Expect(1, 10623, '\P{^Is_Block=supplementalarrowsb}', "");
Expect(0, 10624, '\p{Is_Block=supplementalarrowsb}', "");
Expect(1, 10624, '\p{^Is_Block=supplementalarrowsb}', "");
Expect(1, 10624, '\P{Is_Block=supplementalarrowsb}', "");
Expect(0, 10624, '\P{^Is_Block=supplementalarrowsb}', "");
Expect(1, 10623, '\p{Is_Block=__SUPPLEMENTAL_arrows_B}', "");
Expect(0, 10623, '\p{^Is_Block=__SUPPLEMENTAL_arrows_B}', "");
Expect(0, 10623, '\P{Is_Block=__SUPPLEMENTAL_arrows_B}', "");
Expect(1, 10623, '\P{^Is_Block=__SUPPLEMENTAL_arrows_B}', "");
Expect(0, 10624, '\p{Is_Block=__SUPPLEMENTAL_arrows_B}', "");
Expect(1, 10624, '\p{^Is_Block=__SUPPLEMENTAL_arrows_B}', "");
Expect(1, 10624, '\P{Is_Block=__SUPPLEMENTAL_arrows_B}', "");
Expect(0, 10624, '\P{^Is_Block=__SUPPLEMENTAL_arrows_B}', "");
Error('\p{Is_Blk=	Sup_Arrows_b:=}');
Error('\P{Is_Blk=	Sup_Arrows_b:=}');
Expect(1, 10623, '\p{Is_Blk=suparrowsb}', "");
Expect(0, 10623, '\p{^Is_Blk=suparrowsb}', "");
Expect(0, 10623, '\P{Is_Blk=suparrowsb}', "");
Expect(1, 10623, '\P{^Is_Blk=suparrowsb}', "");
Expect(0, 10624, '\p{Is_Blk=suparrowsb}', "");
Expect(1, 10624, '\p{^Is_Blk=suparrowsb}', "");
Expect(1, 10624, '\P{Is_Blk=suparrowsb}', "");
Expect(0, 10624, '\P{^Is_Blk=suparrowsb}', "");
Expect(1, 10623, '\p{Is_Blk: Sup_Arrows_B}', "");
Expect(0, 10623, '\p{^Is_Blk: Sup_Arrows_B}', "");
Expect(0, 10623, '\P{Is_Blk: Sup_Arrows_B}', "");
Expect(1, 10623, '\P{^Is_Blk: Sup_Arrows_B}', "");
Expect(0, 10624, '\p{Is_Blk: Sup_Arrows_B}', "");
Expect(1, 10624, '\p{^Is_Blk: Sup_Arrows_B}', "");
Expect(1, 10624, '\P{Is_Blk: Sup_Arrows_B}', "");
Expect(0, 10624, '\P{^Is_Blk: Sup_Arrows_B}', "");
Error('\p{Block=:= _Supplemental_ARROWS_C}');
Error('\P{Block=:= _Supplemental_ARROWS_C}');
Expect(1, 129279, '\p{Block=supplementalarrowsc}', "");
Expect(0, 129279, '\p{^Block=supplementalarrowsc}', "");
Expect(0, 129279, '\P{Block=supplementalarrowsc}', "");
Expect(1, 129279, '\P{^Block=supplementalarrowsc}', "");
Expect(0, 129280, '\p{Block=supplementalarrowsc}', "");
Expect(1, 129280, '\p{^Block=supplementalarrowsc}', "");
Expect(1, 129280, '\P{Block=supplementalarrowsc}', "");
Expect(0, 129280, '\P{^Block=supplementalarrowsc}', "");
Expect(1, 129279, '\p{Block=- supplemental_ARROWS_C}', "");
Expect(0, 129279, '\p{^Block=- supplemental_ARROWS_C}', "");
Expect(0, 129279, '\P{Block=- supplemental_ARROWS_C}', "");
Expect(1, 129279, '\P{^Block=- supplemental_ARROWS_C}', "");
Expect(0, 129280, '\p{Block=- supplemental_ARROWS_C}', "");
Expect(1, 129280, '\p{^Block=- supplemental_ARROWS_C}', "");
Expect(1, 129280, '\P{Block=- supplemental_ARROWS_C}', "");
Expect(0, 129280, '\P{^Block=- supplemental_ARROWS_C}', "");
Error('\p{Blk=_sup_ARROWS_C/a/}');
Error('\P{Blk=_sup_ARROWS_C/a/}');
Expect(1, 129279, '\p{Blk=suparrowsc}', "");
Expect(0, 129279, '\p{^Blk=suparrowsc}', "");
Expect(0, 129279, '\P{Blk=suparrowsc}', "");
Expect(1, 129279, '\P{^Blk=suparrowsc}', "");
Expect(0, 129280, '\p{Blk=suparrowsc}', "");
Expect(1, 129280, '\p{^Blk=suparrowsc}', "");
Expect(1, 129280, '\P{Blk=suparrowsc}', "");
Expect(0, 129280, '\P{^Blk=suparrowsc}', "");
Expect(1, 129279, '\p{Blk=-Sup_Arrows_C}', "");
Expect(0, 129279, '\p{^Blk=-Sup_Arrows_C}', "");
Expect(0, 129279, '\P{Blk=-Sup_Arrows_C}', "");
Expect(1, 129279, '\P{^Blk=-Sup_Arrows_C}', "");
Expect(0, 129280, '\p{Blk=-Sup_Arrows_C}', "");
Expect(1, 129280, '\p{^Blk=-Sup_Arrows_C}', "");
Expect(1, 129280, '\P{Blk=-Sup_Arrows_C}', "");
Expect(0, 129280, '\P{^Blk=-Sup_Arrows_C}', "");
Error('\p{Is_Block=:=--Supplemental_arrows_c}');
Error('\P{Is_Block=:=--Supplemental_arrows_c}');
Expect(1, 129279, '\p{Is_Block=supplementalarrowsc}', "");
Expect(0, 129279, '\p{^Is_Block=supplementalarrowsc}', "");
Expect(0, 129279, '\P{Is_Block=supplementalarrowsc}', "");
Expect(1, 129279, '\P{^Is_Block=supplementalarrowsc}', "");
Expect(0, 129280, '\p{Is_Block=supplementalarrowsc}', "");
Expect(1, 129280, '\p{^Is_Block=supplementalarrowsc}', "");
Expect(1, 129280, '\P{Is_Block=supplementalarrowsc}', "");
Expect(0, 129280, '\P{^Is_Block=supplementalarrowsc}', "");
Expect(1, 129279, '\p{Is_Block=	-supplemental_Arrows_C}', "");
Expect(0, 129279, '\p{^Is_Block=	-supplemental_Arrows_C}', "");
Expect(0, 129279, '\P{Is_Block=	-supplemental_Arrows_C}', "");
Expect(1, 129279, '\P{^Is_Block=	-supplemental_Arrows_C}', "");
Expect(0, 129280, '\p{Is_Block=	-supplemental_Arrows_C}', "");
Expect(1, 129280, '\p{^Is_Block=	-supplemental_Arrows_C}', "");
Expect(1, 129280, '\P{Is_Block=	-supplemental_Arrows_C}', "");
Expect(0, 129280, '\P{^Is_Block=	-supplemental_Arrows_C}', "");
Error('\p{Is_Blk=_	SUP_ARROWS_c:=}');
Error('\P{Is_Blk=_	SUP_ARROWS_c:=}');
Expect(1, 129279, '\p{Is_Blk=suparrowsc}', "");
Expect(0, 129279, '\p{^Is_Blk=suparrowsc}', "");
Expect(0, 129279, '\P{Is_Blk=suparrowsc}', "");
Expect(1, 129279, '\P{^Is_Blk=suparrowsc}', "");
Expect(0, 129280, '\p{Is_Blk=suparrowsc}', "");
Expect(1, 129280, '\p{^Is_Blk=suparrowsc}', "");
Expect(1, 129280, '\P{Is_Blk=suparrowsc}', "");
Expect(0, 129280, '\P{^Is_Blk=suparrowsc}', "");
Expect(1, 129279, '\p{Is_Blk: - SUP_Arrows_C}', "");
Expect(0, 129279, '\p{^Is_Blk: - SUP_Arrows_C}', "");
Expect(0, 129279, '\P{Is_Blk: - SUP_Arrows_C}', "");
Expect(1, 129279, '\P{^Is_Blk: - SUP_Arrows_C}', "");
Expect(0, 129280, '\p{Is_Blk: - SUP_Arrows_C}', "");
Expect(1, 129280, '\p{^Is_Blk: - SUP_Arrows_C}', "");
Expect(1, 129280, '\P{Is_Blk: - SUP_Arrows_C}', "");
Expect(0, 129280, '\P{^Is_Blk: - SUP_Arrows_C}', "");
Error('\p{Block= :=Supplemental_mathematical_operators}');
Error('\P{Block= :=Supplemental_mathematical_operators}');
Expect(1, 11007, '\p{Block=supplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^Block=supplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{Block=supplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^Block=supplementalmathematicaloperators}', "");
Expect(0, 11008, '\p{Block=supplementalmathematicaloperators}', "");
Expect(1, 11008, '\p{^Block=supplementalmathematicaloperators}', "");
Expect(1, 11008, '\P{Block=supplementalmathematicaloperators}', "");
Expect(0, 11008, '\P{^Block=supplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{Block= supplemental_Mathematical_Operators}', "");
Expect(0, 11007, '\p{^Block= supplemental_Mathematical_Operators}', "");
Expect(0, 11007, '\P{Block= supplemental_Mathematical_Operators}', "");
Expect(1, 11007, '\P{^Block= supplemental_Mathematical_Operators}', "");
Expect(0, 11008, '\p{Block= supplemental_Mathematical_Operators}', "");
Expect(1, 11008, '\p{^Block= supplemental_Mathematical_Operators}', "");
Expect(1, 11008, '\P{Block= supplemental_Mathematical_Operators}', "");
Expect(0, 11008, '\P{^Block= supplemental_Mathematical_Operators}', "");
Error('\p{Blk=/a/	sup_Math_Operators}');
Error('\P{Blk=/a/	sup_Math_Operators}');
Expect(1, 11007, '\p{Blk=supmathoperators}', "");
Expect(0, 11007, '\p{^Blk=supmathoperators}', "");
Expect(0, 11007, '\P{Blk=supmathoperators}', "");
Expect(1, 11007, '\P{^Blk=supmathoperators}', "");
Expect(0, 11008, '\p{Blk=supmathoperators}', "");
Expect(1, 11008, '\p{^Blk=supmathoperators}', "");
Expect(1, 11008, '\P{Blk=supmathoperators}', "");
Expect(0, 11008, '\P{^Blk=supmathoperators}', "");
Expect(1, 11007, '\p{Blk= 	sup_math_operators}', "");
Expect(0, 11007, '\p{^Blk= 	sup_math_operators}', "");
Expect(0, 11007, '\P{Blk= 	sup_math_operators}', "");
Expect(1, 11007, '\P{^Blk= 	sup_math_operators}', "");
Expect(0, 11008, '\p{Blk= 	sup_math_operators}', "");
Expect(1, 11008, '\p{^Blk= 	sup_math_operators}', "");
Expect(1, 11008, '\P{Blk= 	sup_math_operators}', "");
Expect(0, 11008, '\P{^Blk= 	sup_math_operators}', "");
Error('\p{Is_Block=_-Supplemental_Mathematical_Operators:=}');
Error('\P{Is_Block=_-Supplemental_Mathematical_Operators:=}');
Expect(1, 11007, '\p{Is_Block=supplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^Is_Block=supplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{Is_Block=supplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^Is_Block=supplementalmathematicaloperators}', "");
Expect(0, 11008, '\p{Is_Block=supplementalmathematicaloperators}', "");
Expect(1, 11008, '\p{^Is_Block=supplementalmathematicaloperators}', "");
Expect(1, 11008, '\P{Is_Block=supplementalmathematicaloperators}', "");
Expect(0, 11008, '\P{^Is_Block=supplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{Is_Block= _Supplemental_Mathematical_OPERATORS}', "");
Expect(0, 11007, '\p{^Is_Block= _Supplemental_Mathematical_OPERATORS}', "");
Expect(0, 11007, '\P{Is_Block= _Supplemental_Mathematical_OPERATORS}', "");
Expect(1, 11007, '\P{^Is_Block= _Supplemental_Mathematical_OPERATORS}', "");
Expect(0, 11008, '\p{Is_Block= _Supplemental_Mathematical_OPERATORS}', "");
Expect(1, 11008, '\p{^Is_Block= _Supplemental_Mathematical_OPERATORS}', "");
Expect(1, 11008, '\P{Is_Block= _Supplemental_Mathematical_OPERATORS}', "");
Expect(0, 11008, '\P{^Is_Block= _Supplemental_Mathematical_OPERATORS}', "");
Error('\p{Is_Blk=/a/ sup_MATH_operators}');
Error('\P{Is_Blk=/a/ sup_MATH_operators}');
Expect(1, 11007, '\p{Is_Blk=supmathoperators}', "");
Expect(0, 11007, '\p{^Is_Blk=supmathoperators}', "");
Expect(0, 11007, '\P{Is_Blk=supmathoperators}', "");
Expect(1, 11007, '\P{^Is_Blk=supmathoperators}', "");
Expect(0, 11008, '\p{Is_Blk=supmathoperators}', "");
Expect(1, 11008, '\p{^Is_Blk=supmathoperators}', "");
Expect(1, 11008, '\P{Is_Blk=supmathoperators}', "");
Expect(0, 11008, '\P{^Is_Blk=supmathoperators}', "");
Expect(1, 11007, '\p{Is_Blk=	 sup_Math_operators}', "");
Expect(0, 11007, '\p{^Is_Blk=	 sup_Math_operators}', "");
Expect(0, 11007, '\P{Is_Blk=	 sup_Math_operators}', "");
Expect(1, 11007, '\P{^Is_Blk=	 sup_Math_operators}', "");
Expect(0, 11008, '\p{Is_Blk=	 sup_Math_operators}', "");
Expect(1, 11008, '\p{^Is_Blk=	 sup_Math_operators}', "");
Expect(1, 11008, '\P{Is_Blk=	 sup_Math_operators}', "");
Expect(0, 11008, '\P{^Is_Blk=	 sup_Math_operators}', "");
Error('\p{Block:_	Supplementary_Private_use_AREA_a:=}');
Error('\P{Block:_	Supplementary_Private_use_AREA_a:=}');
Expect(1, 983040, '\p{Block:   supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^Block:   supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{Block:   supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^Block:   supplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\p{Block:   supplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\p{^Block:   supplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\P{Block:   supplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\P{^Block:   supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{Block=	-Supplementary_Private_USE_Area_A}', "");
Expect(0, 983040, '\p{^Block=	-Supplementary_Private_USE_Area_A}', "");
Expect(0, 983040, '\P{Block=	-Supplementary_Private_USE_Area_A}', "");
Expect(1, 983040, '\P{^Block=	-Supplementary_Private_USE_Area_A}', "");
Expect(0, 1048576, '\p{Block=	-Supplementary_Private_USE_Area_A}', "");
Expect(1, 1048576, '\p{^Block=	-Supplementary_Private_USE_Area_A}', "");
Expect(1, 1048576, '\P{Block=	-Supplementary_Private_USE_Area_A}', "");
Expect(0, 1048576, '\P{^Block=	-Supplementary_Private_USE_Area_A}', "");
Error('\p{Blk=/a/_ Sup_pua_A}');
Error('\P{Blk=/a/_ Sup_pua_A}');
Expect(1, 983040, '\p{Blk=suppuaa}', "");
Expect(0, 983040, '\p{^Blk=suppuaa}', "");
Expect(0, 983040, '\P{Blk=suppuaa}', "");
Expect(1, 983040, '\P{^Blk=suppuaa}', "");
Expect(0, 1048576, '\p{Blk=suppuaa}', "");
Expect(1, 1048576, '\p{^Blk=suppuaa}', "");
Expect(1, 1048576, '\P{Blk=suppuaa}', "");
Expect(0, 1048576, '\P{^Blk=suppuaa}', "");
Expect(1, 983040, '\p{Blk= -Sup_PUA_A}', "");
Expect(0, 983040, '\p{^Blk= -Sup_PUA_A}', "");
Expect(0, 983040, '\P{Blk= -Sup_PUA_A}', "");
Expect(1, 983040, '\P{^Blk= -Sup_PUA_A}', "");
Expect(0, 1048576, '\p{Blk= -Sup_PUA_A}', "");
Expect(1, 1048576, '\p{^Blk= -Sup_PUA_A}', "");
Expect(1, 1048576, '\P{Blk= -Sup_PUA_A}', "");
Expect(0, 1048576, '\P{^Blk= -Sup_PUA_A}', "");
Error('\p{Is_Block=  SUPPLEMENTARY_private_Use_Area_a/a/}');
Error('\P{Is_Block=  SUPPLEMENTARY_private_Use_Area_a/a/}');
Expect(1, 983040, '\p{Is_Block=supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^Is_Block=supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{Is_Block=supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^Is_Block=supplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\p{Is_Block=supplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\p{^Is_Block=supplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\P{Is_Block=supplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\P{^Is_Block=supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{Is_Block=-SUPPLEMENTARY_private_USE_area_A}', "");
Expect(0, 983040, '\p{^Is_Block=-SUPPLEMENTARY_private_USE_area_A}', "");
Expect(0, 983040, '\P{Is_Block=-SUPPLEMENTARY_private_USE_area_A}', "");
Expect(1, 983040, '\P{^Is_Block=-SUPPLEMENTARY_private_USE_area_A}', "");
Expect(0, 1048576, '\p{Is_Block=-SUPPLEMENTARY_private_USE_area_A}', "");
Expect(1, 1048576, '\p{^Is_Block=-SUPPLEMENTARY_private_USE_area_A}', "");
Expect(1, 1048576, '\P{Is_Block=-SUPPLEMENTARY_private_USE_area_A}', "");
Expect(0, 1048576, '\P{^Is_Block=-SUPPLEMENTARY_private_USE_area_A}', "");
Error('\p{Is_Blk=- SUP_PUA_A/a/}');
Error('\P{Is_Blk=- SUP_PUA_A/a/}');
Expect(1, 983040, '\p{Is_Blk=suppuaa}', "");
Expect(0, 983040, '\p{^Is_Blk=suppuaa}', "");
Expect(0, 983040, '\P{Is_Blk=suppuaa}', "");
Expect(1, 983040, '\P{^Is_Blk=suppuaa}', "");
Expect(0, 1048576, '\p{Is_Blk=suppuaa}', "");
Expect(1, 1048576, '\p{^Is_Blk=suppuaa}', "");
Expect(1, 1048576, '\P{Is_Blk=suppuaa}', "");
Expect(0, 1048576, '\P{^Is_Blk=suppuaa}', "");
Expect(1, 983040, '\p{Is_Blk=-	SUP_PUA_A}', "");
Expect(0, 983040, '\p{^Is_Blk=-	SUP_PUA_A}', "");
Expect(0, 983040, '\P{Is_Blk=-	SUP_PUA_A}', "");
Expect(1, 983040, '\P{^Is_Blk=-	SUP_PUA_A}', "");
Expect(0, 1048576, '\p{Is_Blk=-	SUP_PUA_A}', "");
Expect(1, 1048576, '\p{^Is_Blk=-	SUP_PUA_A}', "");
Expect(1, 1048576, '\P{Is_Blk=-	SUP_PUA_A}', "");
Expect(0, 1048576, '\P{^Is_Blk=-	SUP_PUA_A}', "");
Error('\p{Block= _Supplementary_PRIVATE_Use_Area_B:=}');
Error('\P{Block= _Supplementary_PRIVATE_Use_Area_B:=}');
Expect(1, 1048576, '\p{Block: supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^Block: supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{Block: supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^Block: supplementaryprivateuseareab}', "");
Expect(0, 1, '\p{Block: supplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^Block: supplementaryprivateuseareab}', "");
Expect(1, 1, '\P{Block: supplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^Block: supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{Block=_SUPPLEMENTARY_Private_Use_AREA_B}', "");
Expect(0, 1048576, '\p{^Block=_SUPPLEMENTARY_Private_Use_AREA_B}', "");
Expect(0, 1048576, '\P{Block=_SUPPLEMENTARY_Private_Use_AREA_B}', "");
Expect(1, 1048576, '\P{^Block=_SUPPLEMENTARY_Private_Use_AREA_B}', "");
Expect(0, 1, '\p{Block=_SUPPLEMENTARY_Private_Use_AREA_B}', "");
Expect(1, 1, '\p{^Block=_SUPPLEMENTARY_Private_Use_AREA_B}', "");
Expect(1, 1, '\P{Block=_SUPPLEMENTARY_Private_Use_AREA_B}', "");
Expect(0, 1, '\P{^Block=_SUPPLEMENTARY_Private_Use_AREA_B}', "");
Error('\p{Blk=/a/ Sup_PUA_B}');
Error('\P{Blk=/a/ Sup_PUA_B}');
Expect(1, 1048576, '\p{Blk:suppuab}', "");
Expect(0, 1048576, '\p{^Blk:suppuab}', "");
Expect(0, 1048576, '\P{Blk:suppuab}', "");
Expect(1, 1048576, '\P{^Blk:suppuab}', "");
Expect(0, 1, '\p{Blk:suppuab}', "");
Expect(1, 1, '\p{^Blk:suppuab}', "");
Expect(1, 1, '\P{Blk:suppuab}', "");
Expect(0, 1, '\P{^Blk:suppuab}', "");
Expect(1, 1048576, '\p{Blk=_ SUP_PUA_B}', "");
Expect(0, 1048576, '\p{^Blk=_ SUP_PUA_B}', "");
Expect(0, 1048576, '\P{Blk=_ SUP_PUA_B}', "");
Expect(1, 1048576, '\P{^Blk=_ SUP_PUA_B}', "");
Expect(0, 1, '\p{Blk=_ SUP_PUA_B}', "");
Expect(1, 1, '\p{^Blk=_ SUP_PUA_B}', "");
Expect(1, 1, '\P{Blk=_ SUP_PUA_B}', "");
Expect(0, 1, '\P{^Blk=_ SUP_PUA_B}', "");
Error('\p{Is_Block=_:=Supplementary_Private_USE_area_b}');
Error('\P{Is_Block=_:=Supplementary_Private_USE_area_b}');
Expect(1, 1048576, '\p{Is_Block=supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^Is_Block=supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{Is_Block=supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^Is_Block=supplementaryprivateuseareab}', "");
Expect(0, 1, '\p{Is_Block=supplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^Is_Block=supplementaryprivateuseareab}', "");
Expect(1, 1, '\P{Is_Block=supplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^Is_Block=supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{Is_Block:   _Supplementary_private_Use_AREA_B}', "");
Expect(0, 1048576, '\p{^Is_Block:   _Supplementary_private_Use_AREA_B}', "");
Expect(0, 1048576, '\P{Is_Block:   _Supplementary_private_Use_AREA_B}', "");
Expect(1, 1048576, '\P{^Is_Block:   _Supplementary_private_Use_AREA_B}', "");
Expect(0, 1, '\p{Is_Block:   _Supplementary_private_Use_AREA_B}', "");
Expect(1, 1, '\p{^Is_Block:   _Supplementary_private_Use_AREA_B}', "");
Expect(1, 1, '\P{Is_Block:   _Supplementary_private_Use_AREA_B}', "");
Expect(0, 1, '\P{^Is_Block:   _Supplementary_private_Use_AREA_B}', "");
Error('\p{Is_Blk=_Sup_PUA_B:=}');
Error('\P{Is_Blk=_Sup_PUA_B:=}');
Expect(1, 1048576, '\p{Is_Blk=suppuab}', "");
Expect(0, 1048576, '\p{^Is_Blk=suppuab}', "");
Expect(0, 1048576, '\P{Is_Blk=suppuab}', "");
Expect(1, 1048576, '\P{^Is_Blk=suppuab}', "");
Expect(0, 1, '\p{Is_Blk=suppuab}', "");
Expect(1, 1, '\p{^Is_Blk=suppuab}', "");
Expect(1, 1, '\P{Is_Blk=suppuab}', "");
Expect(0, 1, '\P{^Is_Blk=suppuab}', "");
Expect(1, 1048576, '\p{Is_Blk=--sup_PUA_B}', "");
Expect(0, 1048576, '\p{^Is_Blk=--sup_PUA_B}', "");
Expect(0, 1048576, '\P{Is_Blk=--sup_PUA_B}', "");
Expect(1, 1048576, '\P{^Is_Blk=--sup_PUA_B}', "");
Expect(0, 1, '\p{Is_Blk=--sup_PUA_B}', "");
Expect(1, 1, '\p{^Is_Blk=--sup_PUA_B}', "");
Expect(1, 1, '\P{Is_Blk=--sup_PUA_B}', "");
Expect(0, 1, '\P{^Is_Blk=--sup_PUA_B}', "");
Error('\p{Block=/a/	_supplemental_PUNCTUATION}');
Error('\P{Block=/a/	_supplemental_PUNCTUATION}');
Expect(1, 11903, '\p{Block=supplementalpunctuation}', "");
Expect(0, 11903, '\p{^Block=supplementalpunctuation}', "");
Expect(0, 11903, '\P{Block=supplementalpunctuation}', "");
Expect(1, 11903, '\P{^Block=supplementalpunctuation}', "");
Expect(0, 11904, '\p{Block=supplementalpunctuation}', "");
Expect(1, 11904, '\p{^Block=supplementalpunctuation}', "");
Expect(1, 11904, '\P{Block=supplementalpunctuation}', "");
Expect(0, 11904, '\P{^Block=supplementalpunctuation}', "");
Expect(1, 11903, '\p{Block=-_SUPPLEMENTAL_Punctuation}', "");
Expect(0, 11903, '\p{^Block=-_SUPPLEMENTAL_Punctuation}', "");
Expect(0, 11903, '\P{Block=-_SUPPLEMENTAL_Punctuation}', "");
Expect(1, 11903, '\P{^Block=-_SUPPLEMENTAL_Punctuation}', "");
Expect(0, 11904, '\p{Block=-_SUPPLEMENTAL_Punctuation}', "");
Expect(1, 11904, '\p{^Block=-_SUPPLEMENTAL_Punctuation}', "");
Expect(1, 11904, '\P{Block=-_SUPPLEMENTAL_Punctuation}', "");
Expect(0, 11904, '\P{^Block=-_SUPPLEMENTAL_Punctuation}', "");
Error('\p{Blk=:=_-sup_PUNCTUATION}');
Error('\P{Blk=:=_-sup_PUNCTUATION}');
Expect(1, 11903, '\p{Blk:   suppunctuation}', "");
Expect(0, 11903, '\p{^Blk:   suppunctuation}', "");
Expect(0, 11903, '\P{Blk:   suppunctuation}', "");
Expect(1, 11903, '\P{^Blk:   suppunctuation}', "");
Expect(0, 11904, '\p{Blk:   suppunctuation}', "");
Expect(1, 11904, '\p{^Blk:   suppunctuation}', "");
Expect(1, 11904, '\P{Blk:   suppunctuation}', "");
Expect(0, 11904, '\P{^Blk:   suppunctuation}', "");
Expect(1, 11903, '\p{Blk=	Sup_punctuation}', "");
Expect(0, 11903, '\p{^Blk=	Sup_punctuation}', "");
Expect(0, 11903, '\P{Blk=	Sup_punctuation}', "");
Expect(1, 11903, '\P{^Blk=	Sup_punctuation}', "");
Expect(0, 11904, '\p{Blk=	Sup_punctuation}', "");
Expect(1, 11904, '\p{^Blk=	Sup_punctuation}', "");
Expect(1, 11904, '\P{Blk=	Sup_punctuation}', "");
Expect(0, 11904, '\P{^Blk=	Sup_punctuation}', "");
Error('\p{Is_Block= _supplemental_punctuation:=}');
Error('\P{Is_Block= _supplemental_punctuation:=}');
Expect(1, 11903, '\p{Is_Block=supplementalpunctuation}', "");
Expect(0, 11903, '\p{^Is_Block=supplementalpunctuation}', "");
Expect(0, 11903, '\P{Is_Block=supplementalpunctuation}', "");
Expect(1, 11903, '\P{^Is_Block=supplementalpunctuation}', "");
Expect(0, 11904, '\p{Is_Block=supplementalpunctuation}', "");
Expect(1, 11904, '\p{^Is_Block=supplementalpunctuation}', "");
Expect(1, 11904, '\P{Is_Block=supplementalpunctuation}', "");
Expect(0, 11904, '\P{^Is_Block=supplementalpunctuation}', "");
Expect(1, 11903, '\p{Is_Block=  SUPPLEMENTAL_punctuation}', "");
Expect(0, 11903, '\p{^Is_Block=  SUPPLEMENTAL_punctuation}', "");
Expect(0, 11903, '\P{Is_Block=  SUPPLEMENTAL_punctuation}', "");
Expect(1, 11903, '\P{^Is_Block=  SUPPLEMENTAL_punctuation}', "");
Expect(0, 11904, '\p{Is_Block=  SUPPLEMENTAL_punctuation}', "");
Expect(1, 11904, '\p{^Is_Block=  SUPPLEMENTAL_punctuation}', "");
Expect(1, 11904, '\P{Is_Block=  SUPPLEMENTAL_punctuation}', "");
Expect(0, 11904, '\P{^Is_Block=  SUPPLEMENTAL_punctuation}', "");
Error('\p{Is_Blk=/a/Sup_PUNCTUATION}');
Error('\P{Is_Blk=/a/Sup_PUNCTUATION}');
Expect(1, 11903, '\p{Is_Blk: suppunctuation}', "");
Expect(0, 11903, '\p{^Is_Blk: suppunctuation}', "");
Expect(0, 11903, '\P{Is_Blk: suppunctuation}', "");
Expect(1, 11903, '\P{^Is_Blk: suppunctuation}', "");
Expect(0, 11904, '\p{Is_Blk: suppunctuation}', "");
Expect(1, 11904, '\p{^Is_Blk: suppunctuation}', "");
Expect(1, 11904, '\P{Is_Blk: suppunctuation}', "");
Expect(0, 11904, '\P{^Is_Blk: suppunctuation}', "");
Expect(1, 11903, '\p{Is_Blk=-_Sup_PUNCTUATION}', "");
Expect(0, 11903, '\p{^Is_Blk=-_Sup_PUNCTUATION}', "");
Expect(0, 11903, '\P{Is_Blk=-_Sup_PUNCTUATION}', "");
Expect(1, 11903, '\P{^Is_Blk=-_Sup_PUNCTUATION}', "");
Expect(0, 11904, '\p{Is_Blk=-_Sup_PUNCTUATION}', "");
Expect(1, 11904, '\p{^Is_Blk=-_Sup_PUNCTUATION}', "");
Expect(1, 11904, '\P{Is_Blk=-_Sup_PUNCTUATION}', "");
Expect(0, 11904, '\P{^Is_Blk=-_Sup_PUNCTUATION}', "");
Error('\p{Block= Superscripts_and_Subscripts:=}');
Error('\P{Block= Superscripts_and_Subscripts:=}');
Expect(1, 8351, '\p{Block=superscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^Block=superscriptsandsubscripts}', "");
Expect(0, 8351, '\P{Block=superscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^Block=superscriptsandsubscripts}', "");
Expect(0, 8352, '\p{Block=superscriptsandsubscripts}', "");
Expect(1, 8352, '\p{^Block=superscriptsandsubscripts}', "");
Expect(1, 8352, '\P{Block=superscriptsandsubscripts}', "");
Expect(0, 8352, '\P{^Block=superscriptsandsubscripts}', "");
Expect(1, 8351, '\p{Block=_-superscripts_And_SUBSCRIPTS}', "");
Expect(0, 8351, '\p{^Block=_-superscripts_And_SUBSCRIPTS}', "");
Expect(0, 8351, '\P{Block=_-superscripts_And_SUBSCRIPTS}', "");
Expect(1, 8351, '\P{^Block=_-superscripts_And_SUBSCRIPTS}', "");
Expect(0, 8352, '\p{Block=_-superscripts_And_SUBSCRIPTS}', "");
Expect(1, 8352, '\p{^Block=_-superscripts_And_SUBSCRIPTS}', "");
Expect(1, 8352, '\P{Block=_-superscripts_And_SUBSCRIPTS}', "");
Expect(0, 8352, '\P{^Block=_-superscripts_And_SUBSCRIPTS}', "");
Error('\p{Blk=-_super_And_SUB/a/}');
Error('\P{Blk=-_super_And_SUB/a/}');
Expect(1, 8351, '\p{Blk=superandsub}', "");
Expect(0, 8351, '\p{^Blk=superandsub}', "");
Expect(0, 8351, '\P{Blk=superandsub}', "");
Expect(1, 8351, '\P{^Blk=superandsub}', "");
Expect(0, 8352, '\p{Blk=superandsub}', "");
Expect(1, 8352, '\p{^Blk=superandsub}', "");
Expect(1, 8352, '\P{Blk=superandsub}', "");
Expect(0, 8352, '\P{^Blk=superandsub}', "");
Expect(1, 8351, '\p{Blk=_ Super_And_Sub}', "");
Expect(0, 8351, '\p{^Blk=_ Super_And_Sub}', "");
Expect(0, 8351, '\P{Blk=_ Super_And_Sub}', "");
Expect(1, 8351, '\P{^Blk=_ Super_And_Sub}', "");
Expect(0, 8352, '\p{Blk=_ Super_And_Sub}', "");
Expect(1, 8352, '\p{^Blk=_ Super_And_Sub}', "");
Expect(1, 8352, '\P{Blk=_ Super_And_Sub}', "");
Expect(0, 8352, '\P{^Blk=_ Super_And_Sub}', "");
Error('\p{Is_Block= _superscripts_AND_SUBSCRIPTS/a/}');
Error('\P{Is_Block= _superscripts_AND_SUBSCRIPTS/a/}');
Expect(1, 8351, '\p{Is_Block=superscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^Is_Block=superscriptsandsubscripts}', "");
Expect(0, 8351, '\P{Is_Block=superscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^Is_Block=superscriptsandsubscripts}', "");
Expect(0, 8352, '\p{Is_Block=superscriptsandsubscripts}', "");
Expect(1, 8352, '\p{^Is_Block=superscriptsandsubscripts}', "");
Expect(1, 8352, '\P{Is_Block=superscriptsandsubscripts}', "");
Expect(0, 8352, '\P{^Is_Block=superscriptsandsubscripts}', "");
Expect(1, 8351, '\p{Is_Block=_	Superscripts_And_Subscripts}', "");
Expect(0, 8351, '\p{^Is_Block=_	Superscripts_And_Subscripts}', "");
Expect(0, 8351, '\P{Is_Block=_	Superscripts_And_Subscripts}', "");
Expect(1, 8351, '\P{^Is_Block=_	Superscripts_And_Subscripts}', "");
Expect(0, 8352, '\p{Is_Block=_	Superscripts_And_Subscripts}', "");
Expect(1, 8352, '\p{^Is_Block=_	Superscripts_And_Subscripts}', "");
Expect(1, 8352, '\P{Is_Block=_	Superscripts_And_Subscripts}', "");
Expect(0, 8352, '\P{^Is_Block=_	Superscripts_And_Subscripts}', "");
Error('\p{Is_Blk=	_SUPER_And_SUB/a/}');
Error('\P{Is_Blk=	_SUPER_And_SUB/a/}');
Expect(1, 8351, '\p{Is_Blk=superandsub}', "");
Expect(0, 8351, '\p{^Is_Blk=superandsub}', "");
Expect(0, 8351, '\P{Is_Blk=superandsub}', "");
Expect(1, 8351, '\P{^Is_Blk=superandsub}', "");
Expect(0, 8352, '\p{Is_Blk=superandsub}', "");
Expect(1, 8352, '\p{^Is_Blk=superandsub}', "");
Expect(1, 8352, '\P{Is_Blk=superandsub}', "");
Expect(0, 8352, '\P{^Is_Blk=superandsub}', "");
Expect(1, 8351, '\p{Is_Blk=		Super_And_sub}', "");
Expect(0, 8351, '\p{^Is_Blk=		Super_And_sub}', "");
Expect(0, 8351, '\P{Is_Blk=		Super_And_sub}', "");
Expect(1, 8351, '\P{^Is_Blk=		Super_And_sub}', "");
Expect(0, 8352, '\p{Is_Blk=		Super_And_sub}', "");
Expect(1, 8352, '\p{^Is_Blk=		Super_And_sub}', "");
Expect(1, 8352, '\P{Is_Blk=		Super_And_sub}', "");
Expect(0, 8352, '\P{^Is_Blk=		Super_And_sub}', "");
Error('\p{Block=:= _Syloti_nagri}');
Error('\P{Block=:= _Syloti_nagri}');
Expect(1, 43055, '\p{Block=sylotinagri}', "");
Expect(0, 43055, '\p{^Block=sylotinagri}', "");
Expect(0, 43055, '\P{Block=sylotinagri}', "");
Expect(1, 43055, '\P{^Block=sylotinagri}', "");
Expect(0, 43056, '\p{Block=sylotinagri}', "");
Expect(1, 43056, '\p{^Block=sylotinagri}', "");
Expect(1, 43056, '\P{Block=sylotinagri}', "");
Expect(0, 43056, '\P{^Block=sylotinagri}', "");
Expect(1, 43055, '\p{Block:	 -Syloti_NAGRI}', "");
Expect(0, 43055, '\p{^Block:	 -Syloti_NAGRI}', "");
Expect(0, 43055, '\P{Block:	 -Syloti_NAGRI}', "");
Expect(1, 43055, '\P{^Block:	 -Syloti_NAGRI}', "");
Expect(0, 43056, '\p{Block:	 -Syloti_NAGRI}', "");
Expect(1, 43056, '\p{^Block:	 -Syloti_NAGRI}', "");
Expect(1, 43056, '\P{Block:	 -Syloti_NAGRI}', "");
Expect(0, 43056, '\P{^Block:	 -Syloti_NAGRI}', "");
Error('\p{Blk:  SYLOTI_NAGRI:=}');
Error('\P{Blk:  SYLOTI_NAGRI:=}');
Expect(1, 43055, '\p{Blk=sylotinagri}', "");
Expect(0, 43055, '\p{^Blk=sylotinagri}', "");
Expect(0, 43055, '\P{Blk=sylotinagri}', "");
Expect(1, 43055, '\P{^Blk=sylotinagri}', "");
Expect(0, 43056, '\p{Blk=sylotinagri}', "");
Expect(1, 43056, '\p{^Blk=sylotinagri}', "");
Expect(1, 43056, '\P{Blk=sylotinagri}', "");
Expect(0, 43056, '\P{^Blk=sylotinagri}', "");
Expect(1, 43055, '\p{Blk=-SYLOTI_nagri}', "");
Expect(0, 43055, '\p{^Blk=-SYLOTI_nagri}', "");
Expect(0, 43055, '\P{Blk=-SYLOTI_nagri}', "");
Expect(1, 43055, '\P{^Blk=-SYLOTI_nagri}', "");
Expect(0, 43056, '\p{Blk=-SYLOTI_nagri}', "");
Expect(1, 43056, '\p{^Blk=-SYLOTI_nagri}', "");
Expect(1, 43056, '\P{Blk=-SYLOTI_nagri}', "");
Expect(0, 43056, '\P{^Blk=-SYLOTI_nagri}', "");
Error('\p{Is_Block=_/a/Syloti_Nagri}');
Error('\P{Is_Block=_/a/Syloti_Nagri}');
Expect(1, 43055, '\p{Is_Block:   sylotinagri}', "");
Expect(0, 43055, '\p{^Is_Block:   sylotinagri}', "");
Expect(0, 43055, '\P{Is_Block:   sylotinagri}', "");
Expect(1, 43055, '\P{^Is_Block:   sylotinagri}', "");
Expect(0, 43056, '\p{Is_Block:   sylotinagri}', "");
Expect(1, 43056, '\p{^Is_Block:   sylotinagri}', "");
Expect(1, 43056, '\P{Is_Block:   sylotinagri}', "");
Expect(0, 43056, '\P{^Is_Block:   sylotinagri}', "");
Expect(1, 43055, '\p{Is_Block=	Syloti_NAGRI}', "");
Expect(0, 43055, '\p{^Is_Block=	Syloti_NAGRI}', "");
Expect(0, 43055, '\P{Is_Block=	Syloti_NAGRI}', "");
Expect(1, 43055, '\P{^Is_Block=	Syloti_NAGRI}', "");
Expect(0, 43056, '\p{Is_Block=	Syloti_NAGRI}', "");
Expect(1, 43056, '\p{^Is_Block=	Syloti_NAGRI}', "");
Expect(1, 43056, '\P{Is_Block=	Syloti_NAGRI}', "");
Expect(0, 43056, '\P{^Is_Block=	Syloti_NAGRI}', "");
Error('\p{Is_Blk: /a/syloti_Nagri}');
Error('\P{Is_Blk: /a/syloti_Nagri}');
Expect(1, 43055, '\p{Is_Blk=sylotinagri}', "");
Expect(0, 43055, '\p{^Is_Blk=sylotinagri}', "");
Expect(0, 43055, '\P{Is_Blk=sylotinagri}', "");
Expect(1, 43055, '\P{^Is_Blk=sylotinagri}', "");
Expect(0, 43056, '\p{Is_Blk=sylotinagri}', "");
Expect(1, 43056, '\p{^Is_Blk=sylotinagri}', "");
Expect(1, 43056, '\P{Is_Blk=sylotinagri}', "");
Expect(0, 43056, '\P{^Is_Blk=sylotinagri}', "");
Expect(1, 43055, '\p{Is_Blk=_Syloti_nagri}', "");
Expect(0, 43055, '\p{^Is_Blk=_Syloti_nagri}', "");
Expect(0, 43055, '\P{Is_Blk=_Syloti_nagri}', "");
Expect(1, 43055, '\P{^Is_Blk=_Syloti_nagri}', "");
Expect(0, 43056, '\p{Is_Blk=_Syloti_nagri}', "");
Expect(1, 43056, '\p{^Is_Blk=_Syloti_nagri}', "");
Expect(1, 43056, '\P{Is_Blk=_Syloti_nagri}', "");
Expect(0, 43056, '\P{^Is_Blk=_Syloti_nagri}', "");
Error('\p{Block=/a/_-SYRIAC}');
Error('\P{Block=/a/_-SYRIAC}');
Expect(1, 1871, '\p{Block=syriac}', "");
Expect(0, 1871, '\p{^Block=syriac}', "");
Expect(0, 1871, '\P{Block=syriac}', "");
Expect(1, 1871, '\P{^Block=syriac}', "");
Expect(0, 1872, '\p{Block=syriac}', "");
Expect(1, 1872, '\p{^Block=syriac}', "");
Expect(1, 1872, '\P{Block=syriac}', "");
Expect(0, 1872, '\P{^Block=syriac}', "");
Expect(1, 1871, '\p{Block=-SYRIAC}', "");
Expect(0, 1871, '\p{^Block=-SYRIAC}', "");
Expect(0, 1871, '\P{Block=-SYRIAC}', "");
Expect(1, 1871, '\P{^Block=-SYRIAC}', "");
Expect(0, 1872, '\p{Block=-SYRIAC}', "");
Expect(1, 1872, '\p{^Block=-SYRIAC}', "");
Expect(1, 1872, '\P{Block=-SYRIAC}', "");
Expect(0, 1872, '\P{^Block=-SYRIAC}', "");
Error('\p{Blk=/a/	_SYRIAC}');
Error('\P{Blk=/a/	_SYRIAC}');
Expect(1, 1871, '\p{Blk:   syriac}', "");
Expect(0, 1871, '\p{^Blk:   syriac}', "");
Expect(0, 1871, '\P{Blk:   syriac}', "");
Expect(1, 1871, '\P{^Blk:   syriac}', "");
Expect(0, 1872, '\p{Blk:   syriac}', "");
Expect(1, 1872, '\p{^Blk:   syriac}', "");
Expect(1, 1872, '\P{Blk:   syriac}', "");
Expect(0, 1872, '\P{^Blk:   syriac}', "");
Expect(1, 1871, '\p{Blk=	Syriac}', "");
Expect(0, 1871, '\p{^Blk=	Syriac}', "");
Expect(0, 1871, '\P{Blk=	Syriac}', "");
Expect(1, 1871, '\P{^Blk=	Syriac}', "");
Expect(0, 1872, '\p{Blk=	Syriac}', "");
Expect(1, 1872, '\p{^Blk=	Syriac}', "");
Expect(1, 1872, '\P{Blk=	Syriac}', "");
Expect(0, 1872, '\P{^Blk=	Syriac}', "");
Error('\p{Is_Block=/a/  Syriac}');
Error('\P{Is_Block=/a/  Syriac}');
Expect(1, 1871, '\p{Is_Block=syriac}', "");
Expect(0, 1871, '\p{^Is_Block=syriac}', "");
Expect(0, 1871, '\P{Is_Block=syriac}', "");
Expect(1, 1871, '\P{^Is_Block=syriac}', "");
Expect(0, 1872, '\p{Is_Block=syriac}', "");
Expect(1, 1872, '\p{^Is_Block=syriac}', "");
Expect(1, 1872, '\P{Is_Block=syriac}', "");
Expect(0, 1872, '\P{^Is_Block=syriac}', "");
Expect(1, 1871, '\p{Is_Block=  SYRIAC}', "");
Expect(0, 1871, '\p{^Is_Block=  SYRIAC}', "");
Expect(0, 1871, '\P{Is_Block=  SYRIAC}', "");
Expect(1, 1871, '\P{^Is_Block=  SYRIAC}', "");
Expect(0, 1872, '\p{Is_Block=  SYRIAC}', "");
Expect(1, 1872, '\p{^Is_Block=  SYRIAC}', "");
Expect(1, 1872, '\P{Is_Block=  SYRIAC}', "");
Expect(0, 1872, '\P{^Is_Block=  SYRIAC}', "");
Error('\p{Is_Blk=/a/ Syriac}');
Error('\P{Is_Blk=/a/ Syriac}');
Expect(1, 1871, '\p{Is_Blk=syriac}', "");
Expect(0, 1871, '\p{^Is_Blk=syriac}', "");
Expect(0, 1871, '\P{Is_Blk=syriac}', "");
Expect(1, 1871, '\P{^Is_Blk=syriac}', "");
Expect(0, 1872, '\p{Is_Blk=syriac}', "");
Expect(1, 1872, '\p{^Is_Blk=syriac}', "");
Expect(1, 1872, '\P{Is_Blk=syriac}', "");
Expect(0, 1872, '\P{^Is_Blk=syriac}', "");
Expect(1, 1871, '\p{Is_Blk=	 Syriac}', "");
Expect(0, 1871, '\p{^Is_Blk=	 Syriac}', "");
Expect(0, 1871, '\P{Is_Blk=	 Syriac}', "");
Expect(1, 1871, '\P{^Is_Blk=	 Syriac}', "");
Expect(0, 1872, '\p{Is_Blk=	 Syriac}', "");
Expect(1, 1872, '\p{^Is_Blk=	 Syriac}', "");
Expect(1, 1872, '\P{Is_Blk=	 Syriac}', "");
Expect(0, 1872, '\P{^Is_Blk=	 Syriac}', "");
Error('\p{Block= :=tagalog}');
Error('\P{Block= :=tagalog}');
Expect(1, 5919, '\p{Block=tagalog}', "");
Expect(0, 5919, '\p{^Block=tagalog}', "");
Expect(0, 5919, '\P{Block=tagalog}', "");
Expect(1, 5919, '\P{^Block=tagalog}', "");
Expect(0, 5920, '\p{Block=tagalog}', "");
Expect(1, 5920, '\p{^Block=tagalog}', "");
Expect(1, 5920, '\P{Block=tagalog}', "");
Expect(0, 5920, '\P{^Block=tagalog}', "");
Expect(1, 5919, '\p{Block= 	Tagalog}', "");
Expect(0, 5919, '\p{^Block= 	Tagalog}', "");
Expect(0, 5919, '\P{Block= 	Tagalog}', "");
Expect(1, 5919, '\P{^Block= 	Tagalog}', "");
Expect(0, 5920, '\p{Block= 	Tagalog}', "");
Expect(1, 5920, '\p{^Block= 	Tagalog}', "");
Expect(1, 5920, '\P{Block= 	Tagalog}', "");
Expect(0, 5920, '\P{^Block= 	Tagalog}', "");
Error('\p{Blk=/a/ -TAGALOG}');
Error('\P{Blk=/a/ -TAGALOG}');
Expect(1, 5919, '\p{Blk=tagalog}', "");
Expect(0, 5919, '\p{^Blk=tagalog}', "");
Expect(0, 5919, '\P{Blk=tagalog}', "");
Expect(1, 5919, '\P{^Blk=tagalog}', "");
Expect(0, 5920, '\p{Blk=tagalog}', "");
Expect(1, 5920, '\p{^Blk=tagalog}', "");
Expect(1, 5920, '\P{Blk=tagalog}', "");
Expect(0, 5920, '\P{^Blk=tagalog}', "");
Expect(1, 5919, '\p{Blk=	_Tagalog}', "");
Expect(0, 5919, '\p{^Blk=	_Tagalog}', "");
Expect(0, 5919, '\P{Blk=	_Tagalog}', "");
Expect(1, 5919, '\P{^Blk=	_Tagalog}', "");
Expect(0, 5920, '\p{Blk=	_Tagalog}', "");
Expect(1, 5920, '\p{^Blk=	_Tagalog}', "");
Expect(1, 5920, '\P{Blk=	_Tagalog}', "");
Expect(0, 5920, '\P{^Blk=	_Tagalog}', "");
Error('\p{Is_Block= tagalog:=}');
Error('\P{Is_Block= tagalog:=}');
Expect(1, 5919, '\p{Is_Block=tagalog}', "");
Expect(0, 5919, '\p{^Is_Block=tagalog}', "");
Expect(0, 5919, '\P{Is_Block=tagalog}', "");
Expect(1, 5919, '\P{^Is_Block=tagalog}', "");
Expect(0, 5920, '\p{Is_Block=tagalog}', "");
Expect(1, 5920, '\p{^Is_Block=tagalog}', "");
Expect(1, 5920, '\P{Is_Block=tagalog}', "");
Expect(0, 5920, '\P{^Is_Block=tagalog}', "");
Expect(1, 5919, '\p{Is_Block=TAGALOG}', "");
Expect(0, 5919, '\p{^Is_Block=TAGALOG}', "");
Expect(0, 5919, '\P{Is_Block=TAGALOG}', "");
Expect(1, 5919, '\P{^Is_Block=TAGALOG}', "");
Expect(0, 5920, '\p{Is_Block=TAGALOG}', "");
Expect(1, 5920, '\p{^Is_Block=TAGALOG}', "");
Expect(1, 5920, '\P{Is_Block=TAGALOG}', "");
Expect(0, 5920, '\P{^Is_Block=TAGALOG}', "");
Error('\p{Is_Blk=:=	-Tagalog}');
Error('\P{Is_Blk=:=	-Tagalog}');
Expect(1, 5919, '\p{Is_Blk:	tagalog}', "");
Expect(0, 5919, '\p{^Is_Blk:	tagalog}', "");
Expect(0, 5919, '\P{Is_Blk:	tagalog}', "");
Expect(1, 5919, '\P{^Is_Blk:	tagalog}', "");
Expect(0, 5920, '\p{Is_Blk:	tagalog}', "");
Expect(1, 5920, '\p{^Is_Blk:	tagalog}', "");
Expect(1, 5920, '\P{Is_Blk:	tagalog}', "");
Expect(0, 5920, '\P{^Is_Blk:	tagalog}', "");
Expect(1, 5919, '\p{Is_Blk=-TAGALOG}', "");
Expect(0, 5919, '\p{^Is_Blk=-TAGALOG}', "");
Expect(0, 5919, '\P{Is_Blk=-TAGALOG}', "");
Expect(1, 5919, '\P{^Is_Blk=-TAGALOG}', "");
Expect(0, 5920, '\p{Is_Blk=-TAGALOG}', "");
Expect(1, 5920, '\p{^Is_Blk=-TAGALOG}', "");
Expect(1, 5920, '\P{Is_Blk=-TAGALOG}', "");
Expect(0, 5920, '\P{^Is_Blk=-TAGALOG}', "");
Error('\p{Block=-_Tagbanwa:=}');
Error('\P{Block=-_Tagbanwa:=}');
Expect(1, 6015, '\p{Block=tagbanwa}', "");
Expect(0, 6015, '\p{^Block=tagbanwa}', "");
Expect(0, 6015, '\P{Block=tagbanwa}', "");
Expect(1, 6015, '\P{^Block=tagbanwa}', "");
Expect(0, 6016, '\p{Block=tagbanwa}', "");
Expect(1, 6016, '\p{^Block=tagbanwa}', "");
Expect(1, 6016, '\P{Block=tagbanwa}', "");
Expect(0, 6016, '\P{^Block=tagbanwa}', "");
Expect(1, 6015, '\p{Block=--tagbanwa}', "");
Expect(0, 6015, '\p{^Block=--tagbanwa}', "");
Expect(0, 6015, '\P{Block=--tagbanwa}', "");
Expect(1, 6015, '\P{^Block=--tagbanwa}', "");
Expect(0, 6016, '\p{Block=--tagbanwa}', "");
Expect(1, 6016, '\p{^Block=--tagbanwa}', "");
Expect(1, 6016, '\P{Block=--tagbanwa}', "");
Expect(0, 6016, '\P{^Block=--tagbanwa}', "");
Error('\p{Blk= Tagbanwa/a/}');
Error('\P{Blk= Tagbanwa/a/}');
Expect(1, 6015, '\p{Blk=tagbanwa}', "");
Expect(0, 6015, '\p{^Blk=tagbanwa}', "");
Expect(0, 6015, '\P{Blk=tagbanwa}', "");
Expect(1, 6015, '\P{^Blk=tagbanwa}', "");
Expect(0, 6016, '\p{Blk=tagbanwa}', "");
Expect(1, 6016, '\p{^Blk=tagbanwa}', "");
Expect(1, 6016, '\P{Blk=tagbanwa}', "");
Expect(0, 6016, '\P{^Blk=tagbanwa}', "");
Expect(1, 6015, '\p{Blk=Tagbanwa}', "");
Expect(0, 6015, '\p{^Blk=Tagbanwa}', "");
Expect(0, 6015, '\P{Blk=Tagbanwa}', "");
Expect(1, 6015, '\P{^Blk=Tagbanwa}', "");
Expect(0, 6016, '\p{Blk=Tagbanwa}', "");
Expect(1, 6016, '\p{^Blk=Tagbanwa}', "");
Expect(1, 6016, '\P{Blk=Tagbanwa}', "");
Expect(0, 6016, '\P{^Blk=Tagbanwa}', "");
Error('\p{Is_Block=-	TAGBANWA:=}');
Error('\P{Is_Block=-	TAGBANWA:=}');
Expect(1, 6015, '\p{Is_Block=tagbanwa}', "");
Expect(0, 6015, '\p{^Is_Block=tagbanwa}', "");
Expect(0, 6015, '\P{Is_Block=tagbanwa}', "");
Expect(1, 6015, '\P{^Is_Block=tagbanwa}', "");
Expect(0, 6016, '\p{Is_Block=tagbanwa}', "");
Expect(1, 6016, '\p{^Is_Block=tagbanwa}', "");
Expect(1, 6016, '\P{Is_Block=tagbanwa}', "");
Expect(0, 6016, '\P{^Is_Block=tagbanwa}', "");
Expect(1, 6015, '\p{Is_Block:	_Tagbanwa}', "");
Expect(0, 6015, '\p{^Is_Block:	_Tagbanwa}', "");
Expect(0, 6015, '\P{Is_Block:	_Tagbanwa}', "");
Expect(1, 6015, '\P{^Is_Block:	_Tagbanwa}', "");
Expect(0, 6016, '\p{Is_Block:	_Tagbanwa}', "");
Expect(1, 6016, '\p{^Is_Block:	_Tagbanwa}', "");
Expect(1, 6016, '\P{Is_Block:	_Tagbanwa}', "");
Expect(0, 6016, '\P{^Is_Block:	_Tagbanwa}', "");
Error('\p{Is_Blk=  tagbanwa/a/}');
Error('\P{Is_Blk=  tagbanwa/a/}');
Expect(1, 6015, '\p{Is_Blk=tagbanwa}', "");
Expect(0, 6015, '\p{^Is_Blk=tagbanwa}', "");
Expect(0, 6015, '\P{Is_Blk=tagbanwa}', "");
Expect(1, 6015, '\P{^Is_Blk=tagbanwa}', "");
Expect(0, 6016, '\p{Is_Blk=tagbanwa}', "");
Expect(1, 6016, '\p{^Is_Blk=tagbanwa}', "");
Expect(1, 6016, '\P{Is_Blk=tagbanwa}', "");
Expect(0, 6016, '\P{^Is_Blk=tagbanwa}', "");
Expect(1, 6015, '\p{Is_Blk:	 _Tagbanwa}', "");
Expect(0, 6015, '\p{^Is_Blk:	 _Tagbanwa}', "");
Expect(0, 6015, '\P{Is_Blk:	 _Tagbanwa}', "");
Expect(1, 6015, '\P{^Is_Blk:	 _Tagbanwa}', "");
Expect(0, 6016, '\p{Is_Blk:	 _Tagbanwa}', "");
Expect(1, 6016, '\p{^Is_Blk:	 _Tagbanwa}', "");
Expect(1, 6016, '\P{Is_Blk:	 _Tagbanwa}', "");
Expect(0, 6016, '\P{^Is_Blk:	 _Tagbanwa}', "");
Error('\p{Block=/a/- Tags}');
Error('\P{Block=/a/- Tags}');
Expect(1, 917631, '\p{Block: tags}', "");
Expect(0, 917631, '\p{^Block: tags}', "");
Expect(0, 917631, '\P{Block: tags}', "");
Expect(1, 917631, '\P{^Block: tags}', "");
Expect(0, 917632, '\p{Block: tags}', "");
Expect(1, 917632, '\p{^Block: tags}', "");
Expect(1, 917632, '\P{Block: tags}', "");
Expect(0, 917632, '\P{^Block: tags}', "");
Expect(1, 917631, '\p{Block:	_tags}', "");
Expect(0, 917631, '\p{^Block:	_tags}', "");
Expect(0, 917631, '\P{Block:	_tags}', "");
Expect(1, 917631, '\P{^Block:	_tags}', "");
Expect(0, 917632, '\p{Block:	_tags}', "");
Expect(1, 917632, '\p{^Block:	_tags}', "");
Expect(1, 917632, '\P{Block:	_tags}', "");
Expect(0, 917632, '\P{^Block:	_tags}', "");
Error('\p{Blk=	/a/tags}');
Error('\P{Blk=	/a/tags}');
Expect(1, 917631, '\p{Blk=tags}', "");
Expect(0, 917631, '\p{^Blk=tags}', "");
Expect(0, 917631, '\P{Blk=tags}', "");
Expect(1, 917631, '\P{^Blk=tags}', "");
Expect(0, 917632, '\p{Blk=tags}', "");
Expect(1, 917632, '\p{^Blk=tags}', "");
Expect(1, 917632, '\P{Blk=tags}', "");
Expect(0, 917632, '\P{^Blk=tags}', "");
Expect(1, 917631, '\p{Blk=	_tags}', "");
Expect(0, 917631, '\p{^Blk=	_tags}', "");
Expect(0, 917631, '\P{Blk=	_tags}', "");
Expect(1, 917631, '\P{^Blk=	_tags}', "");
Expect(0, 917632, '\p{Blk=	_tags}', "");
Expect(1, 917632, '\p{^Blk=	_tags}', "");
Expect(1, 917632, '\P{Blk=	_tags}', "");
Expect(0, 917632, '\P{^Blk=	_tags}', "");
Error('\p{Is_Block: :=__TAGS}');
Error('\P{Is_Block: :=__TAGS}');
Expect(1, 917631, '\p{Is_Block=tags}', "");
Expect(0, 917631, '\p{^Is_Block=tags}', "");
Expect(0, 917631, '\P{Is_Block=tags}', "");
Expect(1, 917631, '\P{^Is_Block=tags}', "");
Expect(0, 917632, '\p{Is_Block=tags}', "");
Expect(1, 917632, '\p{^Is_Block=tags}', "");
Expect(1, 917632, '\P{Is_Block=tags}', "");
Expect(0, 917632, '\P{^Is_Block=tags}', "");
Expect(1, 917631, '\p{Is_Block:   --tags}', "");
Expect(0, 917631, '\p{^Is_Block:   --tags}', "");
Expect(0, 917631, '\P{Is_Block:   --tags}', "");
Expect(1, 917631, '\P{^Is_Block:   --tags}', "");
Expect(0, 917632, '\p{Is_Block:   --tags}', "");
Expect(1, 917632, '\p{^Is_Block:   --tags}', "");
Expect(1, 917632, '\P{Is_Block:   --tags}', "");
Expect(0, 917632, '\P{^Is_Block:   --tags}', "");
Error('\p{Is_Blk=  Tags/a/}');
Error('\P{Is_Blk=  Tags/a/}');
Expect(1, 917631, '\p{Is_Blk=tags}', "");
Expect(0, 917631, '\p{^Is_Blk=tags}', "");
Expect(0, 917631, '\P{Is_Blk=tags}', "");
Expect(1, 917631, '\P{^Is_Blk=tags}', "");
Expect(0, 917632, '\p{Is_Blk=tags}', "");
Expect(1, 917632, '\p{^Is_Blk=tags}', "");
Expect(1, 917632, '\P{Is_Blk=tags}', "");
Expect(0, 917632, '\P{^Is_Blk=tags}', "");
Expect(1, 917631, '\p{Is_Blk=-	Tags}', "");
Expect(0, 917631, '\p{^Is_Blk=-	Tags}', "");
Expect(0, 917631, '\P{Is_Blk=-	Tags}', "");
Expect(1, 917631, '\P{^Is_Blk=-	Tags}', "");
Expect(0, 917632, '\p{Is_Blk=-	Tags}', "");
Expect(1, 917632, '\p{^Is_Blk=-	Tags}', "");
Expect(1, 917632, '\P{Is_Blk=-	Tags}', "");
Expect(0, 917632, '\P{^Is_Blk=-	Tags}', "");
Error('\p{Block:		Tai_le:=}');
Error('\P{Block:		Tai_le:=}');
Expect(1, 6527, '\p{Block: taile}', "");
Expect(0, 6527, '\p{^Block: taile}', "");
Expect(0, 6527, '\P{Block: taile}', "");
Expect(1, 6527, '\P{^Block: taile}', "");
Expect(0, 6528, '\p{Block: taile}', "");
Expect(1, 6528, '\p{^Block: taile}', "");
Expect(1, 6528, '\P{Block: taile}', "");
Expect(0, 6528, '\P{^Block: taile}', "");
Expect(1, 6527, '\p{Block=- TAI_LE}', "");
Expect(0, 6527, '\p{^Block=- TAI_LE}', "");
Expect(0, 6527, '\P{Block=- TAI_LE}', "");
Expect(1, 6527, '\P{^Block=- TAI_LE}', "");
Expect(0, 6528, '\p{Block=- TAI_LE}', "");
Expect(1, 6528, '\p{^Block=- TAI_LE}', "");
Expect(1, 6528, '\P{Block=- TAI_LE}', "");
Expect(0, 6528, '\P{^Block=- TAI_LE}', "");
Error('\p{Blk=:=_-TAI_Le}');
Error('\P{Blk=:=_-TAI_Le}');
Expect(1, 6527, '\p{Blk=taile}', "");
Expect(0, 6527, '\p{^Blk=taile}', "");
Expect(0, 6527, '\P{Blk=taile}', "");
Expect(1, 6527, '\P{^Blk=taile}', "");
Expect(0, 6528, '\p{Blk=taile}', "");
Expect(1, 6528, '\p{^Blk=taile}', "");
Expect(1, 6528, '\P{Blk=taile}', "");
Expect(0, 6528, '\P{^Blk=taile}', "");
Expect(1, 6527, '\p{Blk: _-tai_le}', "");
Expect(0, 6527, '\p{^Blk: _-tai_le}', "");
Expect(0, 6527, '\P{Blk: _-tai_le}', "");
Expect(1, 6527, '\P{^Blk: _-tai_le}', "");
Expect(0, 6528, '\p{Blk: _-tai_le}', "");
Expect(1, 6528, '\p{^Blk: _-tai_le}', "");
Expect(1, 6528, '\P{Blk: _-tai_le}', "");
Expect(0, 6528, '\P{^Blk: _-tai_le}', "");
Error('\p{Is_Block=:=  TAI_LE}');
Error('\P{Is_Block=:=  TAI_LE}');
Expect(1, 6527, '\p{Is_Block=taile}', "");
Expect(0, 6527, '\p{^Is_Block=taile}', "");
Expect(0, 6527, '\P{Is_Block=taile}', "");
Expect(1, 6527, '\P{^Is_Block=taile}', "");
Expect(0, 6528, '\p{Is_Block=taile}', "");
Expect(1, 6528, '\p{^Is_Block=taile}', "");
Expect(1, 6528, '\P{Is_Block=taile}', "");
Expect(0, 6528, '\P{^Is_Block=taile}', "");
Expect(1, 6527, '\p{Is_Block= Tai_LE}', "");
Expect(0, 6527, '\p{^Is_Block= Tai_LE}', "");
Expect(0, 6527, '\P{Is_Block= Tai_LE}', "");
Expect(1, 6527, '\P{^Is_Block= Tai_LE}', "");
Expect(0, 6528, '\p{Is_Block= Tai_LE}', "");
Expect(1, 6528, '\p{^Is_Block= Tai_LE}', "");
Expect(1, 6528, '\P{Is_Block= Tai_LE}', "");
Expect(0, 6528, '\P{^Is_Block= Tai_LE}', "");
Error('\p{Is_Blk:   /a/ -Tai_Le}');
Error('\P{Is_Blk:   /a/ -Tai_Le}');
Expect(1, 6527, '\p{Is_Blk=taile}', "");
Expect(0, 6527, '\p{^Is_Blk=taile}', "");
Expect(0, 6527, '\P{Is_Blk=taile}', "");
Expect(1, 6527, '\P{^Is_Blk=taile}', "");
Expect(0, 6528, '\p{Is_Blk=taile}', "");
Expect(1, 6528, '\p{^Is_Blk=taile}', "");
Expect(1, 6528, '\P{Is_Blk=taile}', "");
Expect(0, 6528, '\P{^Is_Blk=taile}', "");
Expect(1, 6527, '\p{Is_Blk= -Tai_Le}', "");
Expect(0, 6527, '\p{^Is_Blk= -Tai_Le}', "");
Expect(0, 6527, '\P{Is_Blk= -Tai_Le}', "");
Expect(1, 6527, '\P{^Is_Blk= -Tai_Le}', "");
Expect(0, 6528, '\p{Is_Blk= -Tai_Le}', "");
Expect(1, 6528, '\p{^Is_Blk= -Tai_Le}', "");
Expect(1, 6528, '\P{Is_Blk= -Tai_Le}', "");
Expect(0, 6528, '\P{^Is_Blk= -Tai_Le}', "");
Error('\p{Block=/a/_ Tai_tham}');
Error('\P{Block=/a/_ Tai_tham}');
Expect(1, 6831, '\p{Block=taitham}', "");
Expect(0, 6831, '\p{^Block=taitham}', "");
Expect(0, 6831, '\P{Block=taitham}', "");
Expect(1, 6831, '\P{^Block=taitham}', "");
Expect(0, 6832, '\p{Block=taitham}', "");
Expect(1, 6832, '\p{^Block=taitham}', "");
Expect(1, 6832, '\P{Block=taitham}', "");
Expect(0, 6832, '\P{^Block=taitham}', "");
Expect(1, 6831, '\p{Block=- TAI_Tham}', "");
Expect(0, 6831, '\p{^Block=- TAI_Tham}', "");
Expect(0, 6831, '\P{Block=- TAI_Tham}', "");
Expect(1, 6831, '\P{^Block=- TAI_Tham}', "");
Expect(0, 6832, '\p{Block=- TAI_Tham}', "");
Expect(1, 6832, '\p{^Block=- TAI_Tham}', "");
Expect(1, 6832, '\P{Block=- TAI_Tham}', "");
Expect(0, 6832, '\P{^Block=- TAI_Tham}', "");
Error('\p{Blk=-_TAI_tham/a/}');
Error('\P{Blk=-_TAI_tham/a/}');
Expect(1, 6831, '\p{Blk:   taitham}', "");
Expect(0, 6831, '\p{^Blk:   taitham}', "");
Expect(0, 6831, '\P{Blk:   taitham}', "");
Expect(1, 6831, '\P{^Blk:   taitham}', "");
Expect(0, 6832, '\p{Blk:   taitham}', "");
Expect(1, 6832, '\p{^Blk:   taitham}', "");
Expect(1, 6832, '\P{Blk:   taitham}', "");
Expect(0, 6832, '\P{^Blk:   taitham}', "");
Expect(1, 6831, '\p{Blk=- Tai_THAM}', "");
Expect(0, 6831, '\p{^Blk=- Tai_THAM}', "");
Expect(0, 6831, '\P{Blk=- Tai_THAM}', "");
Expect(1, 6831, '\P{^Blk=- Tai_THAM}', "");
Expect(0, 6832, '\p{Blk=- Tai_THAM}', "");
Expect(1, 6832, '\p{^Blk=- Tai_THAM}', "");
Expect(1, 6832, '\P{Blk=- Tai_THAM}', "");
Expect(0, 6832, '\P{^Blk=- Tai_THAM}', "");
Error('\p{Is_Block=/a/  Tai_Tham}');
Error('\P{Is_Block=/a/  Tai_Tham}');
Expect(1, 6831, '\p{Is_Block=taitham}', "");
Expect(0, 6831, '\p{^Is_Block=taitham}', "");
Expect(0, 6831, '\P{Is_Block=taitham}', "");
Expect(1, 6831, '\P{^Is_Block=taitham}', "");
Expect(0, 6832, '\p{Is_Block=taitham}', "");
Expect(1, 6832, '\p{^Is_Block=taitham}', "");
Expect(1, 6832, '\P{Is_Block=taitham}', "");
Expect(0, 6832, '\P{^Is_Block=taitham}', "");
Expect(1, 6831, '\p{Is_Block: 	 TAI_Tham}', "");
Expect(0, 6831, '\p{^Is_Block: 	 TAI_Tham}', "");
Expect(0, 6831, '\P{Is_Block: 	 TAI_Tham}', "");
Expect(1, 6831, '\P{^Is_Block: 	 TAI_Tham}', "");
Expect(0, 6832, '\p{Is_Block: 	 TAI_Tham}', "");
Expect(1, 6832, '\p{^Is_Block: 	 TAI_Tham}', "");
Expect(1, 6832, '\P{Is_Block: 	 TAI_Tham}', "");
Expect(0, 6832, '\P{^Is_Block: 	 TAI_Tham}', "");
Error('\p{Is_Blk:	_-TAI_THAM/a/}');
Error('\P{Is_Blk:	_-TAI_THAM/a/}');
Expect(1, 6831, '\p{Is_Blk=taitham}', "");
Expect(0, 6831, '\p{^Is_Blk=taitham}', "");
Expect(0, 6831, '\P{Is_Blk=taitham}', "");
Expect(1, 6831, '\P{^Is_Blk=taitham}', "");
Expect(0, 6832, '\p{Is_Blk=taitham}', "");
Expect(1, 6832, '\p{^Is_Blk=taitham}', "");
Expect(1, 6832, '\P{Is_Blk=taitham}', "");
Expect(0, 6832, '\P{^Is_Blk=taitham}', "");
Expect(1, 6831, '\p{Is_Blk=  Tai_tham}', "");
Expect(0, 6831, '\p{^Is_Blk=  Tai_tham}', "");
Expect(0, 6831, '\P{Is_Blk=  Tai_tham}', "");
Expect(1, 6831, '\P{^Is_Blk=  Tai_tham}', "");
Expect(0, 6832, '\p{Is_Blk=  Tai_tham}', "");
Expect(1, 6832, '\p{^Is_Blk=  Tai_tham}', "");
Expect(1, 6832, '\P{Is_Blk=  Tai_tham}', "");
Expect(0, 6832, '\P{^Is_Blk=  Tai_tham}', "");
Error('\p{Block=	-TAI_Viet/a/}');
Error('\P{Block=	-TAI_Viet/a/}');
Expect(1, 43743, '\p{Block=taiviet}', "");
Expect(0, 43743, '\p{^Block=taiviet}', "");
Expect(0, 43743, '\P{Block=taiviet}', "");
Expect(1, 43743, '\P{^Block=taiviet}', "");
Expect(0, 43744, '\p{Block=taiviet}', "");
Expect(1, 43744, '\p{^Block=taiviet}', "");
Expect(1, 43744, '\P{Block=taiviet}', "");
Expect(0, 43744, '\P{^Block=taiviet}', "");
Expect(1, 43743, '\p{Block=__Tai_Viet}', "");
Expect(0, 43743, '\p{^Block=__Tai_Viet}', "");
Expect(0, 43743, '\P{Block=__Tai_Viet}', "");
Expect(1, 43743, '\P{^Block=__Tai_Viet}', "");
Expect(0, 43744, '\p{Block=__Tai_Viet}', "");
Expect(1, 43744, '\p{^Block=__Tai_Viet}', "");
Expect(1, 43744, '\P{Block=__Tai_Viet}', "");
Expect(0, 43744, '\P{^Block=__Tai_Viet}', "");
Error('\p{Blk=-tai_VIET:=}');
Error('\P{Blk=-tai_VIET:=}');
Expect(1, 43743, '\p{Blk: taiviet}', "");
Expect(0, 43743, '\p{^Blk: taiviet}', "");
Expect(0, 43743, '\P{Blk: taiviet}', "");
Expect(1, 43743, '\P{^Blk: taiviet}', "");
Expect(0, 43744, '\p{Blk: taiviet}', "");
Expect(1, 43744, '\p{^Blk: taiviet}', "");
Expect(1, 43744, '\P{Blk: taiviet}', "");
Expect(0, 43744, '\P{^Blk: taiviet}', "");
Expect(1, 43743, '\p{Blk=- TAI_Viet}', "");
Expect(0, 43743, '\p{^Blk=- TAI_Viet}', "");
Expect(0, 43743, '\P{Blk=- TAI_Viet}', "");
Expect(1, 43743, '\P{^Blk=- TAI_Viet}', "");
Expect(0, 43744, '\p{Blk=- TAI_Viet}', "");
Expect(1, 43744, '\p{^Blk=- TAI_Viet}', "");
Expect(1, 43744, '\P{Blk=- TAI_Viet}', "");
Expect(0, 43744, '\P{^Blk=- TAI_Viet}', "");
Error('\p{Is_Block=	TAI_Viet/a/}');
Error('\P{Is_Block=	TAI_Viet/a/}');
Expect(1, 43743, '\p{Is_Block=taiviet}', "");
Expect(0, 43743, '\p{^Is_Block=taiviet}', "");
Expect(0, 43743, '\P{Is_Block=taiviet}', "");
Expect(1, 43743, '\P{^Is_Block=taiviet}', "");
Expect(0, 43744, '\p{Is_Block=taiviet}', "");
Expect(1, 43744, '\p{^Is_Block=taiviet}', "");
Expect(1, 43744, '\P{Is_Block=taiviet}', "");
Expect(0, 43744, '\P{^Is_Block=taiviet}', "");
Expect(1, 43743, '\p{Is_Block=--tai_viet}', "");
Expect(0, 43743, '\p{^Is_Block=--tai_viet}', "");
Expect(0, 43743, '\P{Is_Block=--tai_viet}', "");
Expect(1, 43743, '\P{^Is_Block=--tai_viet}', "");
Expect(0, 43744, '\p{Is_Block=--tai_viet}', "");
Expect(1, 43744, '\p{^Is_Block=--tai_viet}', "");
Expect(1, 43744, '\P{Is_Block=--tai_viet}', "");
Expect(0, 43744, '\P{^Is_Block=--tai_viet}', "");
Error('\p{Is_Blk=_:=Tai_Viet}');
Error('\P{Is_Blk=_:=Tai_Viet}');
Expect(1, 43743, '\p{Is_Blk=taiviet}', "");
Expect(0, 43743, '\p{^Is_Blk=taiviet}', "");
Expect(0, 43743, '\P{Is_Blk=taiviet}', "");
Expect(1, 43743, '\P{^Is_Blk=taiviet}', "");
Expect(0, 43744, '\p{Is_Blk=taiviet}', "");
Expect(1, 43744, '\p{^Is_Blk=taiviet}', "");
Expect(1, 43744, '\P{Is_Blk=taiviet}', "");
Expect(0, 43744, '\P{^Is_Blk=taiviet}', "");
Expect(1, 43743, '\p{Is_Blk= -Tai_Viet}', "");
Expect(0, 43743, '\p{^Is_Blk= -Tai_Viet}', "");
Expect(0, 43743, '\P{Is_Blk= -Tai_Viet}', "");
Expect(1, 43743, '\P{^Is_Blk= -Tai_Viet}', "");
Expect(0, 43744, '\p{Is_Blk= -Tai_Viet}', "");
Expect(1, 43744, '\p{^Is_Blk= -Tai_Viet}', "");
Expect(1, 43744, '\P{Is_Blk= -Tai_Viet}', "");
Expect(0, 43744, '\P{^Is_Blk= -Tai_Viet}', "");
Error('\p{Block=:=Tai_xuan_jing_Symbols}');
Error('\P{Block=:=Tai_xuan_jing_Symbols}');
Expect(1, 119647, '\p{Block:   taixuanjingsymbols}', "");
Expect(0, 119647, '\p{^Block:   taixuanjingsymbols}', "");
Expect(0, 119647, '\P{Block:   taixuanjingsymbols}', "");
Expect(1, 119647, '\P{^Block:   taixuanjingsymbols}', "");
Expect(0, 119648, '\p{Block:   taixuanjingsymbols}', "");
Expect(1, 119648, '\p{^Block:   taixuanjingsymbols}', "");
Expect(1, 119648, '\P{Block:   taixuanjingsymbols}', "");
Expect(0, 119648, '\P{^Block:   taixuanjingsymbols}', "");
Expect(1, 119647, '\p{Block= TAI_Xuan_jing_Symbols}', "");
Expect(0, 119647, '\p{^Block= TAI_Xuan_jing_Symbols}', "");
Expect(0, 119647, '\P{Block= TAI_Xuan_jing_Symbols}', "");
Expect(1, 119647, '\P{^Block= TAI_Xuan_jing_Symbols}', "");
Expect(0, 119648, '\p{Block= TAI_Xuan_jing_Symbols}', "");
Expect(1, 119648, '\p{^Block= TAI_Xuan_jing_Symbols}', "");
Expect(1, 119648, '\P{Block= TAI_Xuan_jing_Symbols}', "");
Expect(0, 119648, '\P{^Block= TAI_Xuan_jing_Symbols}', "");
Error('\p{Blk=  tai_Xuan_Jing/a/}');
Error('\P{Blk=  tai_Xuan_Jing/a/}');
Expect(1, 119647, '\p{Blk: taixuanjing}', "");
Expect(0, 119647, '\p{^Blk: taixuanjing}', "");
Expect(0, 119647, '\P{Blk: taixuanjing}', "");
Expect(1, 119647, '\P{^Blk: taixuanjing}', "");
Expect(0, 119648, '\p{Blk: taixuanjing}', "");
Expect(1, 119648, '\p{^Blk: taixuanjing}', "");
Expect(1, 119648, '\P{Blk: taixuanjing}', "");
Expect(0, 119648, '\P{^Blk: taixuanjing}', "");
Expect(1, 119647, '\p{Blk=-	Tai_xuan_Jing}', "");
Expect(0, 119647, '\p{^Blk=-	Tai_xuan_Jing}', "");
Expect(0, 119647, '\P{Blk=-	Tai_xuan_Jing}', "");
Expect(1, 119647, '\P{^Blk=-	Tai_xuan_Jing}', "");
Expect(0, 119648, '\p{Blk=-	Tai_xuan_Jing}', "");
Expect(1, 119648, '\p{^Blk=-	Tai_xuan_Jing}', "");
Expect(1, 119648, '\P{Blk=-	Tai_xuan_Jing}', "");
Expect(0, 119648, '\P{^Blk=-	Tai_xuan_Jing}', "");
Error('\p{Is_Block=:=	-Tai_xuan_Jing_Symbols}');
Error('\P{Is_Block=:=	-Tai_xuan_Jing_Symbols}');
Expect(1, 119647, '\p{Is_Block=taixuanjingsymbols}', "");
Expect(0, 119647, '\p{^Is_Block=taixuanjingsymbols}', "");
Expect(0, 119647, '\P{Is_Block=taixuanjingsymbols}', "");
Expect(1, 119647, '\P{^Is_Block=taixuanjingsymbols}', "");
Expect(0, 119648, '\p{Is_Block=taixuanjingsymbols}', "");
Expect(1, 119648, '\p{^Is_Block=taixuanjingsymbols}', "");
Expect(1, 119648, '\P{Is_Block=taixuanjingsymbols}', "");
Expect(0, 119648, '\P{^Is_Block=taixuanjingsymbols}', "");
Expect(1, 119647, '\p{Is_Block:	 _TAI_XUAN_jing_Symbols}', "");
Expect(0, 119647, '\p{^Is_Block:	 _TAI_XUAN_jing_Symbols}', "");
Expect(0, 119647, '\P{Is_Block:	 _TAI_XUAN_jing_Symbols}', "");
Expect(1, 119647, '\P{^Is_Block:	 _TAI_XUAN_jing_Symbols}', "");
Expect(0, 119648, '\p{Is_Block:	 _TAI_XUAN_jing_Symbols}', "");
Expect(1, 119648, '\p{^Is_Block:	 _TAI_XUAN_jing_Symbols}', "");
Expect(1, 119648, '\P{Is_Block:	 _TAI_XUAN_jing_Symbols}', "");
Expect(0, 119648, '\P{^Is_Block:	 _TAI_XUAN_jing_Symbols}', "");
Error('\p{Is_Blk=/a/	Tai_Xuan_JING}');
Error('\P{Is_Blk=/a/	Tai_Xuan_JING}');
Expect(1, 119647, '\p{Is_Blk=taixuanjing}', "");
Expect(0, 119647, '\p{^Is_Blk=taixuanjing}', "");
Expect(0, 119647, '\P{Is_Blk=taixuanjing}', "");
Expect(1, 119647, '\P{^Is_Blk=taixuanjing}', "");
Expect(0, 119648, '\p{Is_Blk=taixuanjing}', "");
Expect(1, 119648, '\p{^Is_Blk=taixuanjing}', "");
Expect(1, 119648, '\P{Is_Blk=taixuanjing}', "");
Expect(0, 119648, '\P{^Is_Blk=taixuanjing}', "");
Expect(1, 119647, '\p{Is_Blk=_	Tai_Xuan_Jing}', "");
Expect(0, 119647, '\p{^Is_Blk=_	Tai_Xuan_Jing}', "");
Expect(0, 119647, '\P{Is_Blk=_	Tai_Xuan_Jing}', "");
Expect(1, 119647, '\P{^Is_Blk=_	Tai_Xuan_Jing}', "");
Expect(0, 119648, '\p{Is_Blk=_	Tai_Xuan_Jing}', "");
Expect(1, 119648, '\p{^Is_Blk=_	Tai_Xuan_Jing}', "");
Expect(1, 119648, '\P{Is_Blk=_	Tai_Xuan_Jing}', "");
Expect(0, 119648, '\P{^Is_Blk=_	Tai_Xuan_Jing}', "");
Error('\p{Block=:= takri}');
Error('\P{Block=:= takri}');
Expect(1, 71375, '\p{Block=takri}', "");
Expect(0, 71375, '\p{^Block=takri}', "");
Expect(0, 71375, '\P{Block=takri}', "");
Expect(1, 71375, '\P{^Block=takri}', "");
Expect(0, 71376, '\p{Block=takri}', "");
Expect(1, 71376, '\p{^Block=takri}', "");
Expect(1, 71376, '\P{Block=takri}', "");
Expect(0, 71376, '\P{^Block=takri}', "");
Expect(1, 71375, '\p{Block=	 takri}', "");
Expect(0, 71375, '\p{^Block=	 takri}', "");
Expect(0, 71375, '\P{Block=	 takri}', "");
Expect(1, 71375, '\P{^Block=	 takri}', "");
Expect(0, 71376, '\p{Block=	 takri}', "");
Expect(1, 71376, '\p{^Block=	 takri}', "");
Expect(1, 71376, '\P{Block=	 takri}', "");
Expect(0, 71376, '\P{^Block=	 takri}', "");
Error('\p{Blk=:=__takri}');
Error('\P{Blk=:=__takri}');
Expect(1, 71375, '\p{Blk=takri}', "");
Expect(0, 71375, '\p{^Blk=takri}', "");
Expect(0, 71375, '\P{Blk=takri}', "");
Expect(1, 71375, '\P{^Blk=takri}', "");
Expect(0, 71376, '\p{Blk=takri}', "");
Expect(1, 71376, '\p{^Blk=takri}', "");
Expect(1, 71376, '\P{Blk=takri}', "");
Expect(0, 71376, '\P{^Blk=takri}', "");
Expect(1, 71375, '\p{Blk=	Takri}', "");
Expect(0, 71375, '\p{^Blk=	Takri}', "");
Expect(0, 71375, '\P{Blk=	Takri}', "");
Expect(1, 71375, '\P{^Blk=	Takri}', "");
Expect(0, 71376, '\p{Blk=	Takri}', "");
Expect(1, 71376, '\p{^Blk=	Takri}', "");
Expect(1, 71376, '\P{Blk=	Takri}', "");
Expect(0, 71376, '\P{^Blk=	Takri}', "");
Error('\p{Is_Block=:=Takri}');
Error('\P{Is_Block=:=Takri}');
Expect(1, 71375, '\p{Is_Block=takri}', "");
Expect(0, 71375, '\p{^Is_Block=takri}', "");
Expect(0, 71375, '\P{Is_Block=takri}', "");
Expect(1, 71375, '\P{^Is_Block=takri}', "");
Expect(0, 71376, '\p{Is_Block=takri}', "");
Expect(1, 71376, '\p{^Is_Block=takri}', "");
Expect(1, 71376, '\P{Is_Block=takri}', "");
Expect(0, 71376, '\P{^Is_Block=takri}', "");
Expect(1, 71375, '\p{Is_Block=-	takri}', "");
Expect(0, 71375, '\p{^Is_Block=-	takri}', "");
Expect(0, 71375, '\P{Is_Block=-	takri}', "");
Expect(1, 71375, '\P{^Is_Block=-	takri}', "");
Expect(0, 71376, '\p{Is_Block=-	takri}', "");
Expect(1, 71376, '\p{^Is_Block=-	takri}', "");
Expect(1, 71376, '\P{Is_Block=-	takri}', "");
Expect(0, 71376, '\P{^Is_Block=-	takri}', "");
Error('\p{Is_Blk=_-Takri:=}');
Error('\P{Is_Blk=_-Takri:=}');
Expect(1, 71375, '\p{Is_Blk=takri}', "");
Expect(0, 71375, '\p{^Is_Blk=takri}', "");
Expect(0, 71375, '\P{Is_Blk=takri}', "");
Expect(1, 71375, '\P{^Is_Blk=takri}', "");
Expect(0, 71376, '\p{Is_Blk=takri}', "");
Expect(1, 71376, '\p{^Is_Blk=takri}', "");
Expect(1, 71376, '\P{Is_Blk=takri}', "");
Expect(0, 71376, '\P{^Is_Blk=takri}', "");
Expect(1, 71375, '\p{Is_Blk=-_Takri}', "");
Expect(0, 71375, '\p{^Is_Blk=-_Takri}', "");
Expect(0, 71375, '\P{Is_Blk=-_Takri}', "");
Expect(1, 71375, '\P{^Is_Blk=-_Takri}', "");
Expect(0, 71376, '\p{Is_Blk=-_Takri}', "");
Expect(1, 71376, '\p{^Is_Blk=-_Takri}', "");
Expect(1, 71376, '\P{Is_Blk=-_Takri}', "");
Expect(0, 71376, '\P{^Is_Blk=-_Takri}', "");
Error('\p{Block=/a/	 TAMIL}');
Error('\P{Block=/a/	 TAMIL}');
Expect(1, 3071, '\p{Block=tamil}', "");
Expect(0, 3071, '\p{^Block=tamil}', "");
Expect(0, 3071, '\P{Block=tamil}', "");
Expect(1, 3071, '\P{^Block=tamil}', "");
Expect(0, 3072, '\p{Block=tamil}', "");
Expect(1, 3072, '\p{^Block=tamil}', "");
Expect(1, 3072, '\P{Block=tamil}', "");
Expect(0, 3072, '\P{^Block=tamil}', "");
Expect(1, 3071, '\p{Block:   	Tamil}', "");
Expect(0, 3071, '\p{^Block:   	Tamil}', "");
Expect(0, 3071, '\P{Block:   	Tamil}', "");
Expect(1, 3071, '\P{^Block:   	Tamil}', "");
Expect(0, 3072, '\p{Block:   	Tamil}', "");
Expect(1, 3072, '\p{^Block:   	Tamil}', "");
Expect(1, 3072, '\P{Block:   	Tamil}', "");
Expect(0, 3072, '\P{^Block:   	Tamil}', "");
Error('\p{Blk=/a/ _tamil}');
Error('\P{Blk=/a/ _tamil}');
Expect(1, 3071, '\p{Blk=tamil}', "");
Expect(0, 3071, '\p{^Blk=tamil}', "");
Expect(0, 3071, '\P{Blk=tamil}', "");
Expect(1, 3071, '\P{^Blk=tamil}', "");
Expect(0, 3072, '\p{Blk=tamil}', "");
Expect(1, 3072, '\p{^Blk=tamil}', "");
Expect(1, 3072, '\P{Blk=tamil}', "");
Expect(0, 3072, '\P{^Blk=tamil}', "");
Expect(1, 3071, '\p{Blk=		tamil}', "");
Expect(0, 3071, '\p{^Blk=		tamil}', "");
Expect(0, 3071, '\P{Blk=		tamil}', "");
Expect(1, 3071, '\P{^Blk=		tamil}', "");
Expect(0, 3072, '\p{Blk=		tamil}', "");
Expect(1, 3072, '\p{^Blk=		tamil}', "");
Expect(1, 3072, '\P{Blk=		tamil}', "");
Expect(0, 3072, '\P{^Blk=		tamil}', "");
Error('\p{Is_Block= Tamil/a/}');
Error('\P{Is_Block= Tamil/a/}');
Expect(1, 3071, '\p{Is_Block=tamil}', "");
Expect(0, 3071, '\p{^Is_Block=tamil}', "");
Expect(0, 3071, '\P{Is_Block=tamil}', "");
Expect(1, 3071, '\P{^Is_Block=tamil}', "");
Expect(0, 3072, '\p{Is_Block=tamil}', "");
Expect(1, 3072, '\p{^Is_Block=tamil}', "");
Expect(1, 3072, '\P{Is_Block=tamil}', "");
Expect(0, 3072, '\P{^Is_Block=tamil}', "");
Expect(1, 3071, '\p{Is_Block=	_Tamil}', "");
Expect(0, 3071, '\p{^Is_Block=	_Tamil}', "");
Expect(0, 3071, '\P{Is_Block=	_Tamil}', "");
Expect(1, 3071, '\P{^Is_Block=	_Tamil}', "");
Expect(0, 3072, '\p{Is_Block=	_Tamil}', "");
Expect(1, 3072, '\p{^Is_Block=	_Tamil}', "");
Expect(1, 3072, '\P{Is_Block=	_Tamil}', "");
Expect(0, 3072, '\P{^Is_Block=	_Tamil}', "");
Error('\p{Is_Blk=		TAMIL:=}');
Error('\P{Is_Blk=		TAMIL:=}');
Expect(1, 3071, '\p{Is_Blk=tamil}', "");
Expect(0, 3071, '\p{^Is_Blk=tamil}', "");
Expect(0, 3071, '\P{Is_Blk=tamil}', "");
Expect(1, 3071, '\P{^Is_Blk=tamil}', "");
Expect(0, 3072, '\p{Is_Blk=tamil}', "");
Expect(1, 3072, '\p{^Is_Blk=tamil}', "");
Expect(1, 3072, '\P{Is_Blk=tamil}', "");
Expect(0, 3072, '\P{^Is_Blk=tamil}', "");
Expect(1, 3071, '\p{Is_Blk=TAMIL}', "");
Expect(0, 3071, '\p{^Is_Blk=TAMIL}', "");
Expect(0, 3071, '\P{Is_Blk=TAMIL}', "");
Expect(1, 3071, '\P{^Is_Blk=TAMIL}', "");
Expect(0, 3072, '\p{Is_Blk=TAMIL}', "");
Expect(1, 3072, '\p{^Is_Blk=TAMIL}', "");
Expect(1, 3072, '\P{Is_Blk=TAMIL}', "");
Expect(0, 3072, '\P{^Is_Blk=TAMIL}', "");
Error('\p{Block=:=_	TELUGU}');
Error('\P{Block=:=_	TELUGU}');
Expect(1, 3199, '\p{Block=telugu}', "");
Expect(0, 3199, '\p{^Block=telugu}', "");
Expect(0, 3199, '\P{Block=telugu}', "");
Expect(1, 3199, '\P{^Block=telugu}', "");
Expect(0, 3200, '\p{Block=telugu}', "");
Expect(1, 3200, '\p{^Block=telugu}', "");
Expect(1, 3200, '\P{Block=telugu}', "");
Expect(0, 3200, '\P{^Block=telugu}', "");
Expect(1, 3199, '\p{Block= -Telugu}', "");
Expect(0, 3199, '\p{^Block= -Telugu}', "");
Expect(0, 3199, '\P{Block= -Telugu}', "");
Expect(1, 3199, '\P{^Block= -Telugu}', "");
Expect(0, 3200, '\p{Block= -Telugu}', "");
Expect(1, 3200, '\p{^Block= -Telugu}', "");
Expect(1, 3200, '\P{Block= -Telugu}', "");
Expect(0, 3200, '\P{^Block= -Telugu}', "");
Error('\p{Blk=:= Telugu}');
Error('\P{Blk=:= Telugu}');
Expect(1, 3199, '\p{Blk=telugu}', "");
Expect(0, 3199, '\p{^Blk=telugu}', "");
Expect(0, 3199, '\P{Blk=telugu}', "");
Expect(1, 3199, '\P{^Blk=telugu}', "");
Expect(0, 3200, '\p{Blk=telugu}', "");
Expect(1, 3200, '\p{^Blk=telugu}', "");
Expect(1, 3200, '\P{Blk=telugu}', "");
Expect(0, 3200, '\P{^Blk=telugu}', "");
Expect(1, 3199, '\p{Blk=_-Telugu}', "");
Expect(0, 3199, '\p{^Blk=_-Telugu}', "");
Expect(0, 3199, '\P{Blk=_-Telugu}', "");
Expect(1, 3199, '\P{^Blk=_-Telugu}', "");
Expect(0, 3200, '\p{Blk=_-Telugu}', "");
Expect(1, 3200, '\p{^Blk=_-Telugu}', "");
Expect(1, 3200, '\P{Blk=_-Telugu}', "");
Expect(0, 3200, '\P{^Blk=_-Telugu}', "");
Error('\p{Is_Block= -telugu:=}');
Error('\P{Is_Block= -telugu:=}');
Expect(1, 3199, '\p{Is_Block=telugu}', "");
Expect(0, 3199, '\p{^Is_Block=telugu}', "");
Expect(0, 3199, '\P{Is_Block=telugu}', "");
Expect(1, 3199, '\P{^Is_Block=telugu}', "");
Expect(0, 3200, '\p{Is_Block=telugu}', "");
Expect(1, 3200, '\p{^Is_Block=telugu}', "");
Expect(1, 3200, '\P{Is_Block=telugu}', "");
Expect(0, 3200, '\P{^Is_Block=telugu}', "");
Expect(1, 3199, '\p{Is_Block=	_Telugu}', "");
Expect(0, 3199, '\p{^Is_Block=	_Telugu}', "");
Expect(0, 3199, '\P{Is_Block=	_Telugu}', "");
Expect(1, 3199, '\P{^Is_Block=	_Telugu}', "");
Expect(0, 3200, '\p{Is_Block=	_Telugu}', "");
Expect(1, 3200, '\p{^Is_Block=	_Telugu}', "");
Expect(1, 3200, '\P{Is_Block=	_Telugu}', "");
Expect(0, 3200, '\P{^Is_Block=	_Telugu}', "");
Error('\p{Is_Blk=/a/	 telugu}');
Error('\P{Is_Blk=/a/	 telugu}');
Expect(1, 3199, '\p{Is_Blk=telugu}', "");
Expect(0, 3199, '\p{^Is_Blk=telugu}', "");
Expect(0, 3199, '\P{Is_Blk=telugu}', "");
Expect(1, 3199, '\P{^Is_Blk=telugu}', "");
Expect(0, 3200, '\p{Is_Blk=telugu}', "");
Expect(1, 3200, '\p{^Is_Blk=telugu}', "");
Expect(1, 3200, '\P{Is_Blk=telugu}', "");
Expect(0, 3200, '\P{^Is_Blk=telugu}', "");
Expect(1, 3199, '\p{Is_Blk=__Telugu}', "");
Expect(0, 3199, '\p{^Is_Blk=__Telugu}', "");
Expect(0, 3199, '\P{Is_Blk=__Telugu}', "");
Expect(1, 3199, '\P{^Is_Blk=__Telugu}', "");
Expect(0, 3200, '\p{Is_Blk=__Telugu}', "");
Expect(1, 3200, '\p{^Is_Blk=__Telugu}', "");
Expect(1, 3200, '\P{Is_Blk=__Telugu}', "");
Expect(0, 3200, '\P{^Is_Blk=__Telugu}', "");
Error('\p{Block=_-thaana:=}');
Error('\P{Block=_-thaana:=}');
Expect(1, 1983, '\p{Block=thaana}', "");
Expect(0, 1983, '\p{^Block=thaana}', "");
Expect(0, 1983, '\P{Block=thaana}', "");
Expect(1, 1983, '\P{^Block=thaana}', "");
Expect(0, 1984, '\p{Block=thaana}', "");
Expect(1, 1984, '\p{^Block=thaana}', "");
Expect(1, 1984, '\P{Block=thaana}', "");
Expect(0, 1984, '\P{^Block=thaana}', "");
Expect(1, 1983, '\p{Block= 	Thaana}', "");
Expect(0, 1983, '\p{^Block= 	Thaana}', "");
Expect(0, 1983, '\P{Block= 	Thaana}', "");
Expect(1, 1983, '\P{^Block= 	Thaana}', "");
Expect(0, 1984, '\p{Block= 	Thaana}', "");
Expect(1, 1984, '\p{^Block= 	Thaana}', "");
Expect(1, 1984, '\P{Block= 	Thaana}', "");
Expect(0, 1984, '\P{^Block= 	Thaana}', "");
Error('\p{Blk= /a/thaana}');
Error('\P{Blk= /a/thaana}');
Expect(1, 1983, '\p{Blk=thaana}', "");
Expect(0, 1983, '\p{^Blk=thaana}', "");
Expect(0, 1983, '\P{Blk=thaana}', "");
Expect(1, 1983, '\P{^Blk=thaana}', "");
Expect(0, 1984, '\p{Blk=thaana}', "");
Expect(1, 1984, '\p{^Blk=thaana}', "");
Expect(1, 1984, '\P{Blk=thaana}', "");
Expect(0, 1984, '\P{^Blk=thaana}', "");
Expect(1, 1983, '\p{Blk=_-thaana}', "");
Expect(0, 1983, '\p{^Blk=_-thaana}', "");
Expect(0, 1983, '\P{Blk=_-thaana}', "");
Expect(1, 1983, '\P{^Blk=_-thaana}', "");
Expect(0, 1984, '\p{Blk=_-thaana}', "");
Expect(1, 1984, '\p{^Blk=_-thaana}', "");
Expect(1, 1984, '\P{Blk=_-thaana}', "");
Expect(0, 1984, '\P{^Blk=_-thaana}', "");
Error('\p{Is_Block=	/a/THAANA}');
Error('\P{Is_Block=	/a/THAANA}');
Expect(1, 1983, '\p{Is_Block=thaana}', "");
Expect(0, 1983, '\p{^Is_Block=thaana}', "");
Expect(0, 1983, '\P{Is_Block=thaana}', "");
Expect(1, 1983, '\P{^Is_Block=thaana}', "");
Expect(0, 1984, '\p{Is_Block=thaana}', "");
Expect(1, 1984, '\p{^Is_Block=thaana}', "");
Expect(1, 1984, '\P{Is_Block=thaana}', "");
Expect(0, 1984, '\P{^Is_Block=thaana}', "");
Expect(1, 1983, '\p{Is_Block:	Thaana}', "");
Expect(0, 1983, '\p{^Is_Block:	Thaana}', "");
Expect(0, 1983, '\P{Is_Block:	Thaana}', "");
Expect(1, 1983, '\P{^Is_Block:	Thaana}', "");
Expect(0, 1984, '\p{Is_Block:	Thaana}', "");
Expect(1, 1984, '\p{^Is_Block:	Thaana}', "");
Expect(1, 1984, '\P{Is_Block:	Thaana}', "");
Expect(0, 1984, '\P{^Is_Block:	Thaana}', "");
Error('\p{Is_Blk=/a/_-Thaana}');
Error('\P{Is_Blk=/a/_-Thaana}');
Expect(1, 1983, '\p{Is_Blk=thaana}', "");
Expect(0, 1983, '\p{^Is_Blk=thaana}', "");
Expect(0, 1983, '\P{Is_Blk=thaana}', "");
Expect(1, 1983, '\P{^Is_Blk=thaana}', "");
Expect(0, 1984, '\p{Is_Blk=thaana}', "");
Expect(1, 1984, '\p{^Is_Blk=thaana}', "");
Expect(1, 1984, '\P{Is_Blk=thaana}', "");
Expect(0, 1984, '\P{^Is_Blk=thaana}', "");
Expect(1, 1983, '\p{Is_Blk=	thaana}', "");
Expect(0, 1983, '\p{^Is_Blk=	thaana}', "");
Expect(0, 1983, '\P{Is_Blk=	thaana}', "");
Expect(1, 1983, '\P{^Is_Blk=	thaana}', "");
Expect(0, 1984, '\p{Is_Blk=	thaana}', "");
Expect(1, 1984, '\p{^Is_Blk=	thaana}', "");
Expect(1, 1984, '\P{Is_Blk=	thaana}', "");
Expect(0, 1984, '\P{^Is_Blk=	thaana}', "");
Error('\p{Block=-:=Thai}');
Error('\P{Block=-:=Thai}');
Expect(1, 3711, '\p{Block=thai}', "");
Expect(0, 3711, '\p{^Block=thai}', "");
Expect(0, 3711, '\P{Block=thai}', "");
Expect(1, 3711, '\P{^Block=thai}', "");
Expect(0, 3712, '\p{Block=thai}', "");
Expect(1, 3712, '\p{^Block=thai}', "");
Expect(1, 3712, '\P{Block=thai}', "");
Expect(0, 3712, '\P{^Block=thai}', "");
Expect(1, 3711, '\p{Block=-	Thai}', "");
Expect(0, 3711, '\p{^Block=-	Thai}', "");
Expect(0, 3711, '\P{Block=-	Thai}', "");
Expect(1, 3711, '\P{^Block=-	Thai}', "");
Expect(0, 3712, '\p{Block=-	Thai}', "");
Expect(1, 3712, '\p{^Block=-	Thai}', "");
Expect(1, 3712, '\P{Block=-	Thai}', "");
Expect(0, 3712, '\P{^Block=-	Thai}', "");
Error('\p{Blk=/a/	-Thai}');
Error('\P{Blk=/a/	-Thai}');
Expect(1, 3711, '\p{Blk=thai}', "");
Expect(0, 3711, '\p{^Blk=thai}', "");
Expect(0, 3711, '\P{Blk=thai}', "");
Expect(1, 3711, '\P{^Blk=thai}', "");
Expect(0, 3712, '\p{Blk=thai}', "");
Expect(1, 3712, '\p{^Blk=thai}', "");
Expect(1, 3712, '\P{Blk=thai}', "");
Expect(0, 3712, '\P{^Blk=thai}', "");
Expect(1, 3711, '\p{Blk=	Thai}', "");
Expect(0, 3711, '\p{^Blk=	Thai}', "");
Expect(0, 3711, '\P{Blk=	Thai}', "");
Expect(1, 3711, '\P{^Blk=	Thai}', "");
Expect(0, 3712, '\p{Blk=	Thai}', "");
Expect(1, 3712, '\p{^Blk=	Thai}', "");
Expect(1, 3712, '\P{Blk=	Thai}', "");
Expect(0, 3712, '\P{^Blk=	Thai}', "");
Error('\p{Is_Block=_THAI:=}');
Error('\P{Is_Block=_THAI:=}');
Expect(1, 3711, '\p{Is_Block=thai}', "");
Expect(0, 3711, '\p{^Is_Block=thai}', "");
Expect(0, 3711, '\P{Is_Block=thai}', "");
Expect(1, 3711, '\P{^Is_Block=thai}', "");
Expect(0, 3712, '\p{Is_Block=thai}', "");
Expect(1, 3712, '\p{^Is_Block=thai}', "");
Expect(1, 3712, '\P{Is_Block=thai}', "");
Expect(0, 3712, '\P{^Is_Block=thai}', "");
Expect(1, 3711, '\p{Is_Block=	 thai}', "");
Expect(0, 3711, '\p{^Is_Block=	 thai}', "");
Expect(0, 3711, '\P{Is_Block=	 thai}', "");
Expect(1, 3711, '\P{^Is_Block=	 thai}', "");
Expect(0, 3712, '\p{Is_Block=	 thai}', "");
Expect(1, 3712, '\p{^Is_Block=	 thai}', "");
Expect(1, 3712, '\P{Is_Block=	 thai}', "");
Expect(0, 3712, '\P{^Is_Block=	 thai}', "");
Error('\p{Is_Blk=_ Thai:=}');
Error('\P{Is_Blk=_ Thai:=}');
Expect(1, 3711, '\p{Is_Blk=thai}', "");
Expect(0, 3711, '\p{^Is_Blk=thai}', "");
Expect(0, 3711, '\P{Is_Blk=thai}', "");
Expect(1, 3711, '\P{^Is_Blk=thai}', "");
Expect(0, 3712, '\p{Is_Blk=thai}', "");
Expect(1, 3712, '\p{^Is_Blk=thai}', "");
Expect(1, 3712, '\P{Is_Blk=thai}', "");
Expect(0, 3712, '\P{^Is_Blk=thai}', "");
Expect(1, 3711, '\p{Is_Blk=--Thai}', "");
Expect(0, 3711, '\p{^Is_Blk=--Thai}', "");
Expect(0, 3711, '\P{Is_Blk=--Thai}', "");
Expect(1, 3711, '\P{^Is_Blk=--Thai}', "");
Expect(0, 3712, '\p{Is_Blk=--Thai}', "");
Expect(1, 3712, '\p{^Is_Blk=--Thai}', "");
Expect(1, 3712, '\P{Is_Blk=--Thai}', "");
Expect(0, 3712, '\P{^Is_Blk=--Thai}', "");
Error('\p{Block: /a/_Tibetan}');
Error('\P{Block: /a/_Tibetan}');
Expect(1, 4095, '\p{Block=tibetan}', "");
Expect(0, 4095, '\p{^Block=tibetan}', "");
Expect(0, 4095, '\P{Block=tibetan}', "");
Expect(1, 4095, '\P{^Block=tibetan}', "");
Expect(0, 4096, '\p{Block=tibetan}', "");
Expect(1, 4096, '\p{^Block=tibetan}', "");
Expect(1, 4096, '\P{Block=tibetan}', "");
Expect(0, 4096, '\P{^Block=tibetan}', "");
Expect(1, 4095, '\p{Block= Tibetan}', "");
Expect(0, 4095, '\p{^Block= Tibetan}', "");
Expect(0, 4095, '\P{Block= Tibetan}', "");
Expect(1, 4095, '\P{^Block= Tibetan}', "");
Expect(0, 4096, '\p{Block= Tibetan}', "");
Expect(1, 4096, '\p{^Block= Tibetan}', "");
Expect(1, 4096, '\P{Block= Tibetan}', "");
Expect(0, 4096, '\P{^Block= Tibetan}', "");
Error('\p{Blk=-:=tibetan}');
Error('\P{Blk=-:=tibetan}');
Expect(1, 4095, '\p{Blk=tibetan}', "");
Expect(0, 4095, '\p{^Blk=tibetan}', "");
Expect(0, 4095, '\P{Blk=tibetan}', "");
Expect(1, 4095, '\P{^Blk=tibetan}', "");
Expect(0, 4096, '\p{Blk=tibetan}', "");
Expect(1, 4096, '\p{^Blk=tibetan}', "");
Expect(1, 4096, '\P{Blk=tibetan}', "");
Expect(0, 4096, '\P{^Blk=tibetan}', "");
Expect(1, 4095, '\p{Blk=_ TIBETAN}', "");
Expect(0, 4095, '\p{^Blk=_ TIBETAN}', "");
Expect(0, 4095, '\P{Blk=_ TIBETAN}', "");
Expect(1, 4095, '\P{^Blk=_ TIBETAN}', "");
Expect(0, 4096, '\p{Blk=_ TIBETAN}', "");
Expect(1, 4096, '\p{^Blk=_ TIBETAN}', "");
Expect(1, 4096, '\P{Blk=_ TIBETAN}', "");
Expect(0, 4096, '\P{^Blk=_ TIBETAN}', "");
Error('\p{Is_Block=_Tibetan/a/}');
Error('\P{Is_Block=_Tibetan/a/}');
Expect(1, 4095, '\p{Is_Block=tibetan}', "");
Expect(0, 4095, '\p{^Is_Block=tibetan}', "");
Expect(0, 4095, '\P{Is_Block=tibetan}', "");
Expect(1, 4095, '\P{^Is_Block=tibetan}', "");
Expect(0, 4096, '\p{Is_Block=tibetan}', "");
Expect(1, 4096, '\p{^Is_Block=tibetan}', "");
Expect(1, 4096, '\P{Is_Block=tibetan}', "");
Expect(0, 4096, '\P{^Is_Block=tibetan}', "");
Expect(1, 4095, '\p{Is_Block=_-tibetan}', "");
Expect(0, 4095, '\p{^Is_Block=_-tibetan}', "");
Expect(0, 4095, '\P{Is_Block=_-tibetan}', "");
Expect(1, 4095, '\P{^Is_Block=_-tibetan}', "");
Expect(0, 4096, '\p{Is_Block=_-tibetan}', "");
Expect(1, 4096, '\p{^Is_Block=_-tibetan}', "");
Expect(1, 4096, '\P{Is_Block=_-tibetan}', "");
Expect(0, 4096, '\P{^Is_Block=_-tibetan}', "");
Error('\p{Is_Blk=_:=Tibetan}');
Error('\P{Is_Blk=_:=Tibetan}');
Expect(1, 4095, '\p{Is_Blk=tibetan}', "");
Expect(0, 4095, '\p{^Is_Blk=tibetan}', "");
Expect(0, 4095, '\P{Is_Blk=tibetan}', "");
Expect(1, 4095, '\P{^Is_Blk=tibetan}', "");
Expect(0, 4096, '\p{Is_Blk=tibetan}', "");
Expect(1, 4096, '\p{^Is_Blk=tibetan}', "");
Expect(1, 4096, '\P{Is_Blk=tibetan}', "");
Expect(0, 4096, '\P{^Is_Blk=tibetan}', "");
Expect(1, 4095, '\p{Is_Blk=-tibetan}', "");
Expect(0, 4095, '\p{^Is_Blk=-tibetan}', "");
Expect(0, 4095, '\P{Is_Blk=-tibetan}', "");
Expect(1, 4095, '\P{^Is_Blk=-tibetan}', "");
Expect(0, 4096, '\p{Is_Blk=-tibetan}', "");
Expect(1, 4096, '\p{^Is_Blk=-tibetan}', "");
Expect(1, 4096, '\P{Is_Blk=-tibetan}', "");
Expect(0, 4096, '\P{^Is_Blk=-tibetan}', "");
Error('\p{Block=/a/TIFINAGH}');
Error('\P{Block=/a/TIFINAGH}');
Expect(1, 11647, '\p{Block=tifinagh}', "");
Expect(0, 11647, '\p{^Block=tifinagh}', "");
Expect(0, 11647, '\P{Block=tifinagh}', "");
Expect(1, 11647, '\P{^Block=tifinagh}', "");
Expect(0, 11648, '\p{Block=tifinagh}', "");
Expect(1, 11648, '\p{^Block=tifinagh}', "");
Expect(1, 11648, '\P{Block=tifinagh}', "");
Expect(0, 11648, '\P{^Block=tifinagh}', "");
Expect(1, 11647, '\p{Block= 	Tifinagh}', "");
Expect(0, 11647, '\p{^Block= 	Tifinagh}', "");
Expect(0, 11647, '\P{Block= 	Tifinagh}', "");
Expect(1, 11647, '\P{^Block= 	Tifinagh}', "");
Expect(0, 11648, '\p{Block= 	Tifinagh}', "");
Expect(1, 11648, '\p{^Block= 	Tifinagh}', "");
Expect(1, 11648, '\P{Block= 	Tifinagh}', "");
Expect(0, 11648, '\P{^Block= 	Tifinagh}', "");
Error('\p{Blk=/a/_tifinagh}');
Error('\P{Blk=/a/_tifinagh}');
Expect(1, 11647, '\p{Blk=tifinagh}', "");
Expect(0, 11647, '\p{^Blk=tifinagh}', "");
Expect(0, 11647, '\P{Blk=tifinagh}', "");
Expect(1, 11647, '\P{^Blk=tifinagh}', "");
Expect(0, 11648, '\p{Blk=tifinagh}', "");
Expect(1, 11648, '\p{^Blk=tifinagh}', "");
Expect(1, 11648, '\P{Blk=tifinagh}', "");
Expect(0, 11648, '\P{^Blk=tifinagh}', "");
Expect(1, 11647, '\p{Blk=__Tifinagh}', "");
Expect(0, 11647, '\p{^Blk=__Tifinagh}', "");
Expect(0, 11647, '\P{Blk=__Tifinagh}', "");
Expect(1, 11647, '\P{^Blk=__Tifinagh}', "");
Expect(0, 11648, '\p{Blk=__Tifinagh}', "");
Expect(1, 11648, '\p{^Blk=__Tifinagh}', "");
Expect(1, 11648, '\P{Blk=__Tifinagh}', "");
Expect(0, 11648, '\P{^Blk=__Tifinagh}', "");
Error('\p{Is_Block:	:=Tifinagh}');
Error('\P{Is_Block:	:=Tifinagh}');
Expect(1, 11647, '\p{Is_Block=tifinagh}', "");
Expect(0, 11647, '\p{^Is_Block=tifinagh}', "");
Expect(0, 11647, '\P{Is_Block=tifinagh}', "");
Expect(1, 11647, '\P{^Is_Block=tifinagh}', "");
Expect(0, 11648, '\p{Is_Block=tifinagh}', "");
Expect(1, 11648, '\p{^Is_Block=tifinagh}', "");
Expect(1, 11648, '\P{Is_Block=tifinagh}', "");
Expect(0, 11648, '\P{^Is_Block=tifinagh}', "");
Expect(1, 11647, '\p{Is_Block=-TIFINAGH}', "");
Expect(0, 11647, '\p{^Is_Block=-TIFINAGH}', "");
Expect(0, 11647, '\P{Is_Block=-TIFINAGH}', "");
Expect(1, 11647, '\P{^Is_Block=-TIFINAGH}', "");
Expect(0, 11648, '\p{Is_Block=-TIFINAGH}', "");
Expect(1, 11648, '\p{^Is_Block=-TIFINAGH}', "");
Expect(1, 11648, '\P{Is_Block=-TIFINAGH}', "");
Expect(0, 11648, '\P{^Is_Block=-TIFINAGH}', "");
Error('\p{Is_Blk=_-TIFINAGH:=}');
Error('\P{Is_Blk=_-TIFINAGH:=}');
Expect(1, 11647, '\p{Is_Blk=tifinagh}', "");
Expect(0, 11647, '\p{^Is_Blk=tifinagh}', "");
Expect(0, 11647, '\P{Is_Blk=tifinagh}', "");
Expect(1, 11647, '\P{^Is_Blk=tifinagh}', "");
Expect(0, 11648, '\p{Is_Blk=tifinagh}', "");
Expect(1, 11648, '\p{^Is_Blk=tifinagh}', "");
Expect(1, 11648, '\P{Is_Blk=tifinagh}', "");
Expect(0, 11648, '\P{^Is_Blk=tifinagh}', "");
Expect(1, 11647, '\p{Is_Blk=-_Tifinagh}', "");
Expect(0, 11647, '\p{^Is_Blk=-_Tifinagh}', "");
Expect(0, 11647, '\P{Is_Blk=-_Tifinagh}', "");
Expect(1, 11647, '\P{^Is_Blk=-_Tifinagh}', "");
Expect(0, 11648, '\p{Is_Blk=-_Tifinagh}', "");
Expect(1, 11648, '\p{^Is_Blk=-_Tifinagh}', "");
Expect(1, 11648, '\P{Is_Blk=-_Tifinagh}', "");
Expect(0, 11648, '\P{^Is_Blk=-_Tifinagh}', "");
Error('\p{Block=:=_ TIRHUTA}');
Error('\P{Block=:=_ TIRHUTA}');
Expect(1, 70879, '\p{Block=tirhuta}', "");
Expect(0, 70879, '\p{^Block=tirhuta}', "");
Expect(0, 70879, '\P{Block=tirhuta}', "");
Expect(1, 70879, '\P{^Block=tirhuta}', "");
Expect(0, 70880, '\p{Block=tirhuta}', "");
Expect(1, 70880, '\p{^Block=tirhuta}', "");
Expect(1, 70880, '\P{Block=tirhuta}', "");
Expect(0, 70880, '\P{^Block=tirhuta}', "");
Expect(1, 70879, '\p{Block=-_Tirhuta}', "");
Expect(0, 70879, '\p{^Block=-_Tirhuta}', "");
Expect(0, 70879, '\P{Block=-_Tirhuta}', "");
Expect(1, 70879, '\P{^Block=-_Tirhuta}', "");
Expect(0, 70880, '\p{Block=-_Tirhuta}', "");
Expect(1, 70880, '\p{^Block=-_Tirhuta}', "");
Expect(1, 70880, '\P{Block=-_Tirhuta}', "");
Expect(0, 70880, '\P{^Block=-_Tirhuta}', "");
Error('\p{Blk=		TIRHUTA/a/}');
Error('\P{Blk=		TIRHUTA/a/}');
Expect(1, 70879, '\p{Blk=tirhuta}', "");
Expect(0, 70879, '\p{^Blk=tirhuta}', "");
Expect(0, 70879, '\P{Blk=tirhuta}', "");
Expect(1, 70879, '\P{^Blk=tirhuta}', "");
Expect(0, 70880, '\p{Blk=tirhuta}', "");
Expect(1, 70880, '\p{^Blk=tirhuta}', "");
Expect(1, 70880, '\P{Blk=tirhuta}', "");
Expect(0, 70880, '\P{^Blk=tirhuta}', "");
Expect(1, 70879, '\p{Blk=		tirhuta}', "");
Expect(0, 70879, '\p{^Blk=		tirhuta}', "");
Expect(0, 70879, '\P{Blk=		tirhuta}', "");
Expect(1, 70879, '\P{^Blk=		tirhuta}', "");
Expect(0, 70880, '\p{Blk=		tirhuta}', "");
Expect(1, 70880, '\p{^Blk=		tirhuta}', "");
Expect(1, 70880, '\P{Blk=		tirhuta}', "");
Expect(0, 70880, '\P{^Blk=		tirhuta}', "");
Error('\p{Is_Block=-:=tirhuta}');
Error('\P{Is_Block=-:=tirhuta}');
Expect(1, 70879, '\p{Is_Block=tirhuta}', "");
Expect(0, 70879, '\p{^Is_Block=tirhuta}', "");
Expect(0, 70879, '\P{Is_Block=tirhuta}', "");
Expect(1, 70879, '\P{^Is_Block=tirhuta}', "");
Expect(0, 70880, '\p{Is_Block=tirhuta}', "");
Expect(1, 70880, '\p{^Is_Block=tirhuta}', "");
Expect(1, 70880, '\P{Is_Block=tirhuta}', "");
Expect(0, 70880, '\P{^Is_Block=tirhuta}', "");
Expect(1, 70879, '\p{Is_Block=-TIRHUTA}', "");
Expect(0, 70879, '\p{^Is_Block=-TIRHUTA}', "");
Expect(0, 70879, '\P{Is_Block=-TIRHUTA}', "");
Expect(1, 70879, '\P{^Is_Block=-TIRHUTA}', "");
Expect(0, 70880, '\p{Is_Block=-TIRHUTA}', "");
Expect(1, 70880, '\p{^Is_Block=-TIRHUTA}', "");
Expect(1, 70880, '\P{Is_Block=-TIRHUTA}', "");
Expect(0, 70880, '\P{^Is_Block=-TIRHUTA}', "");
Error('\p{Is_Blk=:=_Tirhuta}');
Error('\P{Is_Blk=:=_Tirhuta}');
Expect(1, 70879, '\p{Is_Blk=tirhuta}', "");
Expect(0, 70879, '\p{^Is_Blk=tirhuta}', "");
Expect(0, 70879, '\P{Is_Blk=tirhuta}', "");
Expect(1, 70879, '\P{^Is_Blk=tirhuta}', "");
Expect(0, 70880, '\p{Is_Blk=tirhuta}', "");
Expect(1, 70880, '\p{^Is_Blk=tirhuta}', "");
Expect(1, 70880, '\P{Is_Blk=tirhuta}', "");
Expect(0, 70880, '\P{^Is_Blk=tirhuta}', "");
Expect(1, 70879, '\p{Is_Blk=	Tirhuta}', "");
Expect(0, 70879, '\p{^Is_Blk=	Tirhuta}', "");
Expect(0, 70879, '\P{Is_Blk=	Tirhuta}', "");
Expect(1, 70879, '\P{^Is_Blk=	Tirhuta}', "");
Expect(0, 70880, '\p{Is_Blk=	Tirhuta}', "");
Expect(1, 70880, '\p{^Is_Blk=	Tirhuta}', "");
Expect(1, 70880, '\P{Is_Blk=	Tirhuta}', "");
Expect(0, 70880, '\P{^Is_Blk=	Tirhuta}', "");
Error('\p{Block:		transport_and_MAP_Symbols:=}');
Error('\P{Block:		transport_and_MAP_Symbols:=}');
Expect(1, 128767, '\p{Block=transportandmapsymbols}', "");
Expect(0, 128767, '\p{^Block=transportandmapsymbols}', "");
Expect(0, 128767, '\P{Block=transportandmapsymbols}', "");
Expect(1, 128767, '\P{^Block=transportandmapsymbols}', "");
Expect(0, 128768, '\p{Block=transportandmapsymbols}', "");
Expect(1, 128768, '\p{^Block=transportandmapsymbols}', "");
Expect(1, 128768, '\P{Block=transportandmapsymbols}', "");
Expect(0, 128768, '\P{^Block=transportandmapsymbols}', "");
Expect(1, 128767, '\p{Block=	transport_AND_Map_Symbols}', "");
Expect(0, 128767, '\p{^Block=	transport_AND_Map_Symbols}', "");
Expect(0, 128767, '\P{Block=	transport_AND_Map_Symbols}', "");
Expect(1, 128767, '\P{^Block=	transport_AND_Map_Symbols}', "");
Expect(0, 128768, '\p{Block=	transport_AND_Map_Symbols}', "");
Expect(1, 128768, '\p{^Block=	transport_AND_Map_Symbols}', "");
Expect(1, 128768, '\P{Block=	transport_AND_Map_Symbols}', "");
Expect(0, 128768, '\P{^Block=	transport_AND_Map_Symbols}', "");
Error('\p{Blk:	_:=TRANSPORT_and_Map}');
Error('\P{Blk:	_:=TRANSPORT_and_Map}');
Expect(1, 128767, '\p{Blk:transportandmap}', "");
Expect(0, 128767, '\p{^Blk:transportandmap}', "");
Expect(0, 128767, '\P{Blk:transportandmap}', "");
Expect(1, 128767, '\P{^Blk:transportandmap}', "");
Expect(0, 128768, '\p{Blk:transportandmap}', "");
Expect(1, 128768, '\p{^Blk:transportandmap}', "");
Expect(1, 128768, '\P{Blk:transportandmap}', "");
Expect(0, 128768, '\P{^Blk:transportandmap}', "");
Expect(1, 128767, '\p{Blk= -Transport_And_Map}', "");
Expect(0, 128767, '\p{^Blk= -Transport_And_Map}', "");
Expect(0, 128767, '\P{Blk= -Transport_And_Map}', "");
Expect(1, 128767, '\P{^Blk= -Transport_And_Map}', "");
Expect(0, 128768, '\p{Blk= -Transport_And_Map}', "");
Expect(1, 128768, '\p{^Blk= -Transport_And_Map}', "");
Expect(1, 128768, '\P{Blk= -Transport_And_Map}', "");
Expect(0, 128768, '\P{^Blk= -Transport_And_Map}', "");
Error('\p{Is_Block: := _transport_and_MAP_Symbols}');
Error('\P{Is_Block: := _transport_and_MAP_Symbols}');
Expect(1, 128767, '\p{Is_Block=transportandmapsymbols}', "");
Expect(0, 128767, '\p{^Is_Block=transportandmapsymbols}', "");
Expect(0, 128767, '\P{Is_Block=transportandmapsymbols}', "");
Expect(1, 128767, '\P{^Is_Block=transportandmapsymbols}', "");
Expect(0, 128768, '\p{Is_Block=transportandmapsymbols}', "");
Expect(1, 128768, '\p{^Is_Block=transportandmapsymbols}', "");
Expect(1, 128768, '\P{Is_Block=transportandmapsymbols}', "");
Expect(0, 128768, '\P{^Is_Block=transportandmapsymbols}', "");
Expect(1, 128767, '\p{Is_Block=	_Transport_and_MAP_Symbols}', "");
Expect(0, 128767, '\p{^Is_Block=	_Transport_and_MAP_Symbols}', "");
Expect(0, 128767, '\P{Is_Block=	_Transport_and_MAP_Symbols}', "");
Expect(1, 128767, '\P{^Is_Block=	_Transport_and_MAP_Symbols}', "");
Expect(0, 128768, '\p{Is_Block=	_Transport_and_MAP_Symbols}', "");
Expect(1, 128768, '\p{^Is_Block=	_Transport_and_MAP_Symbols}', "");
Expect(1, 128768, '\P{Is_Block=	_Transport_and_MAP_Symbols}', "");
Expect(0, 128768, '\P{^Is_Block=	_Transport_and_MAP_Symbols}', "");
Error('\p{Is_Blk= 	Transport_And_map/a/}');
Error('\P{Is_Blk= 	Transport_And_map/a/}');
Expect(1, 128767, '\p{Is_Blk=transportandmap}', "");
Expect(0, 128767, '\p{^Is_Blk=transportandmap}', "");
Expect(0, 128767, '\P{Is_Blk=transportandmap}', "");
Expect(1, 128767, '\P{^Is_Blk=transportandmap}', "");
Expect(0, 128768, '\p{Is_Blk=transportandmap}', "");
Expect(1, 128768, '\p{^Is_Blk=transportandmap}', "");
Expect(1, 128768, '\P{Is_Blk=transportandmap}', "");
Expect(0, 128768, '\P{^Is_Blk=transportandmap}', "");
Expect(1, 128767, '\p{Is_Blk=	transport_AND_Map}', "");
Expect(0, 128767, '\p{^Is_Blk=	transport_AND_Map}', "");
Expect(0, 128767, '\P{Is_Blk=	transport_AND_Map}', "");
Expect(1, 128767, '\P{^Is_Blk=	transport_AND_Map}', "");
Expect(0, 128768, '\p{Is_Blk=	transport_AND_Map}', "");
Expect(1, 128768, '\p{^Is_Blk=	transport_AND_Map}', "");
Expect(1, 128768, '\P{Is_Blk=	transport_AND_Map}', "");
Expect(0, 128768, '\P{^Is_Blk=	transport_AND_Map}', "");
Error('\p{Block= _Unified_Canadian_Aboriginal_syllabics/a/}');
Error('\P{Block= _Unified_Canadian_Aboriginal_syllabics/a/}');
Expect(1, 5759, '\p{Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\p{^Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\P{Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\P{^Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\p{Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\p{^Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\P{Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\P{^Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\p{Block=--Unified_Canadian_Aboriginal_Syllabics}', "");
Expect(0, 5759, '\p{^Block=--Unified_Canadian_Aboriginal_Syllabics}', "");
Expect(0, 5759, '\P{Block=--Unified_Canadian_Aboriginal_Syllabics}', "");
Expect(1, 5759, '\P{^Block=--Unified_Canadian_Aboriginal_Syllabics}', "");
Expect(0, 5760, '\p{Block=--Unified_Canadian_Aboriginal_Syllabics}', "");
Expect(1, 5760, '\p{^Block=--Unified_Canadian_Aboriginal_Syllabics}', "");
Expect(1, 5760, '\P{Block=--Unified_Canadian_Aboriginal_Syllabics}', "");
Expect(0, 5760, '\P{^Block=--Unified_Canadian_Aboriginal_Syllabics}', "");
Error('\p{Blk=ucas:=}');
Error('\P{Blk=ucas:=}');
Expect(1, 5759, '\p{Blk:ucas}', "");
Expect(0, 5759, '\p{^Blk:ucas}', "");
Expect(0, 5759, '\P{Blk:ucas}', "");
Expect(1, 5759, '\P{^Blk:ucas}', "");
Expect(0, 5760, '\p{Blk:ucas}', "");
Expect(1, 5760, '\p{^Blk:ucas}', "");
Expect(1, 5760, '\P{Blk:ucas}', "");
Expect(0, 5760, '\P{^Blk:ucas}', "");
Expect(1, 5759, '\p{Blk=- UCAS}', "");
Expect(0, 5759, '\p{^Blk=- UCAS}', "");
Expect(0, 5759, '\P{Blk=- UCAS}', "");
Expect(1, 5759, '\P{^Blk=- UCAS}', "");
Expect(0, 5760, '\p{Blk=- UCAS}', "");
Expect(1, 5760, '\p{^Blk=- UCAS}', "");
Expect(1, 5760, '\P{Blk=- UCAS}', "");
Expect(0, 5760, '\P{^Blk=- UCAS}', "");
Error('\p{Is_Block=:=-Canadian_SYLLABICS}');
Error('\P{Is_Block=:=-Canadian_SYLLABICS}');
Expect(1, 5759, '\p{Is_Block=canadiansyllabics}', "");
Expect(0, 5759, '\p{^Is_Block=canadiansyllabics}', "");
Expect(0, 5759, '\P{Is_Block=canadiansyllabics}', "");
Expect(1, 5759, '\P{^Is_Block=canadiansyllabics}', "");
Expect(0, 5760, '\p{Is_Block=canadiansyllabics}', "");
Expect(1, 5760, '\p{^Is_Block=canadiansyllabics}', "");
Expect(1, 5760, '\P{Is_Block=canadiansyllabics}', "");
Expect(0, 5760, '\P{^Is_Block=canadiansyllabics}', "");
Expect(1, 5759, '\p{Is_Block: _Canadian_SYLLABICS}', "");
Expect(0, 5759, '\p{^Is_Block: _Canadian_SYLLABICS}', "");
Expect(0, 5759, '\P{Is_Block: _Canadian_SYLLABICS}', "");
Expect(1, 5759, '\P{^Is_Block: _Canadian_SYLLABICS}', "");
Expect(0, 5760, '\p{Is_Block: _Canadian_SYLLABICS}', "");
Expect(1, 5760, '\p{^Is_Block: _Canadian_SYLLABICS}', "");
Expect(1, 5760, '\P{Is_Block: _Canadian_SYLLABICS}', "");
Expect(0, 5760, '\P{^Is_Block: _Canadian_SYLLABICS}', "");
Error('\p{Is_Blk=/a/_	unified_Canadian_Aboriginal_Syllabics}');
Error('\P{Is_Blk=/a/_	unified_Canadian_Aboriginal_Syllabics}');
Expect(1, 5759, '\p{Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\p{^Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\P{Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\P{^Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\p{Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\p{^Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\P{Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\P{^Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\p{Is_Blk=		unified_Canadian_aboriginal_SYLLABICS}', "");
Expect(0, 5759, '\p{^Is_Blk=		unified_Canadian_aboriginal_SYLLABICS}', "");
Expect(0, 5759, '\P{Is_Blk=		unified_Canadian_aboriginal_SYLLABICS}', "");
Expect(1, 5759, '\P{^Is_Blk=		unified_Canadian_aboriginal_SYLLABICS}', "");
Expect(0, 5760, '\p{Is_Blk=		unified_Canadian_aboriginal_SYLLABICS}', "");
Expect(1, 5760, '\p{^Is_Blk=		unified_Canadian_aboriginal_SYLLABICS}', "");
Expect(1, 5760, '\P{Is_Blk=		unified_Canadian_aboriginal_SYLLABICS}', "");
Expect(0, 5760, '\P{^Is_Blk=		unified_Canadian_aboriginal_SYLLABICS}', "");
Error('\p{Block=/a/UNIFIED_Canadian_ABORIGINAL_Syllabics_EXTENDED}');
Error('\P{Block=/a/UNIFIED_Canadian_ABORIGINAL_Syllabics_EXTENDED}');
Expect(1, 6399, '\p{Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\p{Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\p{^Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\P{Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\P{^Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{Block=- Unified_Canadian_Aboriginal_Syllabics_Extended}', "");
Expect(0, 6399, '\p{^Block=- Unified_Canadian_Aboriginal_Syllabics_Extended}', "");
Expect(0, 6399, '\P{Block=- Unified_Canadian_Aboriginal_Syllabics_Extended}', "");
Expect(1, 6399, '\P{^Block=- Unified_Canadian_Aboriginal_Syllabics_Extended}', "");
Expect(0, 6400, '\p{Block=- Unified_Canadian_Aboriginal_Syllabics_Extended}', "");
Expect(1, 6400, '\p{^Block=- Unified_Canadian_Aboriginal_Syllabics_Extended}', "");
Expect(1, 6400, '\P{Block=- Unified_Canadian_Aboriginal_Syllabics_Extended}', "");
Expect(0, 6400, '\P{^Block=- Unified_Canadian_Aboriginal_Syllabics_Extended}', "");
Error('\p{Blk=/a/UCAS_EXT}');
Error('\P{Blk=/a/UCAS_EXT}');
Expect(1, 6399, '\p{Blk=ucasext}', "");
Expect(0, 6399, '\p{^Blk=ucasext}', "");
Expect(0, 6399, '\P{Blk=ucasext}', "");
Expect(1, 6399, '\P{^Blk=ucasext}', "");
Expect(0, 6400, '\p{Blk=ucasext}', "");
Expect(1, 6400, '\p{^Blk=ucasext}', "");
Expect(1, 6400, '\P{Blk=ucasext}', "");
Expect(0, 6400, '\P{^Blk=ucasext}', "");
Expect(1, 6399, '\p{Blk=	 UCAS_Ext}', "");
Expect(0, 6399, '\p{^Blk=	 UCAS_Ext}', "");
Expect(0, 6399, '\P{Blk=	 UCAS_Ext}', "");
Expect(1, 6399, '\P{^Blk=	 UCAS_Ext}', "");
Expect(0, 6400, '\p{Blk=	 UCAS_Ext}', "");
Expect(1, 6400, '\p{^Blk=	 UCAS_Ext}', "");
Expect(1, 6400, '\P{Blk=	 UCAS_Ext}', "");
Expect(0, 6400, '\P{^Blk=	 UCAS_Ext}', "");
Error('\p{Is_Block=/a/Unified_Canadian_Aboriginal_syllabics_Extended}');
Error('\P{Is_Block=/a/Unified_Canadian_Aboriginal_syllabics_Extended}');
Expect(1, 6399, '\p{Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\p{Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\p{^Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\P{Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\P{^Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{Is_Block=UNIFIED_Canadian_Aboriginal_syllabics_Extended}', "");
Expect(0, 6399, '\p{^Is_Block=UNIFIED_Canadian_Aboriginal_syllabics_Extended}', "");
Expect(0, 6399, '\P{Is_Block=UNIFIED_Canadian_Aboriginal_syllabics_Extended}', "");
Expect(1, 6399, '\P{^Is_Block=UNIFIED_Canadian_Aboriginal_syllabics_Extended}', "");
Expect(0, 6400, '\p{Is_Block=UNIFIED_Canadian_Aboriginal_syllabics_Extended}', "");
Expect(1, 6400, '\p{^Is_Block=UNIFIED_Canadian_Aboriginal_syllabics_Extended}', "");
Expect(1, 6400, '\P{Is_Block=UNIFIED_Canadian_Aboriginal_syllabics_Extended}', "");
Expect(0, 6400, '\P{^Is_Block=UNIFIED_Canadian_Aboriginal_syllabics_Extended}', "");
Error('\p{Is_Blk=:=__ucas_Ext}');
Error('\P{Is_Blk=:=__ucas_Ext}');
Expect(1, 6399, '\p{Is_Blk=ucasext}', "");
Expect(0, 6399, '\p{^Is_Blk=ucasext}', "");
Expect(0, 6399, '\P{Is_Blk=ucasext}', "");
Expect(1, 6399, '\P{^Is_Blk=ucasext}', "");
Expect(0, 6400, '\p{Is_Blk=ucasext}', "");
Expect(1, 6400, '\p{^Is_Blk=ucasext}', "");
Expect(1, 6400, '\P{Is_Blk=ucasext}', "");
Expect(0, 6400, '\P{^Is_Blk=ucasext}', "");
Expect(1, 6399, '\p{Is_Blk= UCAS_ext}', "");
Expect(0, 6399, '\p{^Is_Blk= UCAS_ext}', "");
Expect(0, 6399, '\P{Is_Blk= UCAS_ext}', "");
Expect(1, 6399, '\P{^Is_Blk= UCAS_ext}', "");
Expect(0, 6400, '\p{Is_Blk= UCAS_ext}', "");
Expect(1, 6400, '\p{^Is_Blk= UCAS_ext}', "");
Expect(1, 6400, '\P{Is_Blk= UCAS_ext}', "");
Expect(0, 6400, '\P{^Is_Blk= UCAS_ext}', "");
Error('\p{Block::=_-Ugaritic}');
Error('\P{Block::=_-Ugaritic}');
Expect(1, 66463, '\p{Block=ugaritic}', "");
Expect(0, 66463, '\p{^Block=ugaritic}', "");
Expect(0, 66463, '\P{Block=ugaritic}', "");
Expect(1, 66463, '\P{^Block=ugaritic}', "");
Expect(0, 66464, '\p{Block=ugaritic}', "");
Expect(1, 66464, '\p{^Block=ugaritic}', "");
Expect(1, 66464, '\P{Block=ugaritic}', "");
Expect(0, 66464, '\P{^Block=ugaritic}', "");
Expect(1, 66463, '\p{Block=		UGARITIC}', "");
Expect(0, 66463, '\p{^Block=		UGARITIC}', "");
Expect(0, 66463, '\P{Block=		UGARITIC}', "");
Expect(1, 66463, '\P{^Block=		UGARITIC}', "");
Expect(0, 66464, '\p{Block=		UGARITIC}', "");
Expect(1, 66464, '\p{^Block=		UGARITIC}', "");
Expect(1, 66464, '\P{Block=		UGARITIC}', "");
Expect(0, 66464, '\P{^Block=		UGARITIC}', "");
Error('\p{Blk= UGARITIC:=}');
Error('\P{Blk= UGARITIC:=}');
Expect(1, 66463, '\p{Blk=ugaritic}', "");
Expect(0, 66463, '\p{^Blk=ugaritic}', "");
Expect(0, 66463, '\P{Blk=ugaritic}', "");
Expect(1, 66463, '\P{^Blk=ugaritic}', "");
Expect(0, 66464, '\p{Blk=ugaritic}', "");
Expect(1, 66464, '\p{^Blk=ugaritic}', "");
Expect(1, 66464, '\P{Blk=ugaritic}', "");
Expect(0, 66464, '\P{^Blk=ugaritic}', "");
Expect(1, 66463, '\p{Blk= UGARITIC}', "");
Expect(0, 66463, '\p{^Blk= UGARITIC}', "");
Expect(0, 66463, '\P{Blk= UGARITIC}', "");
Expect(1, 66463, '\P{^Blk= UGARITIC}', "");
Expect(0, 66464, '\p{Blk= UGARITIC}', "");
Expect(1, 66464, '\p{^Blk= UGARITIC}', "");
Expect(1, 66464, '\P{Blk= UGARITIC}', "");
Expect(0, 66464, '\P{^Blk= UGARITIC}', "");
Error('\p{Is_Block=ugaritic/a/}');
Error('\P{Is_Block=ugaritic/a/}');
Expect(1, 66463, '\p{Is_Block=ugaritic}', "");
Expect(0, 66463, '\p{^Is_Block=ugaritic}', "");
Expect(0, 66463, '\P{Is_Block=ugaritic}', "");
Expect(1, 66463, '\P{^Is_Block=ugaritic}', "");
Expect(0, 66464, '\p{Is_Block=ugaritic}', "");
Expect(1, 66464, '\p{^Is_Block=ugaritic}', "");
Expect(1, 66464, '\P{Is_Block=ugaritic}', "");
Expect(0, 66464, '\P{^Is_Block=ugaritic}', "");
Expect(1, 66463, '\p{Is_Block=- UGARITIC}', "");
Expect(0, 66463, '\p{^Is_Block=- UGARITIC}', "");
Expect(0, 66463, '\P{Is_Block=- UGARITIC}', "");
Expect(1, 66463, '\P{^Is_Block=- UGARITIC}', "");
Expect(0, 66464, '\p{Is_Block=- UGARITIC}', "");
Expect(1, 66464, '\p{^Is_Block=- UGARITIC}', "");
Expect(1, 66464, '\P{Is_Block=- UGARITIC}', "");
Expect(0, 66464, '\P{^Is_Block=- UGARITIC}', "");
Error('\p{Is_Blk=:= -ugaritic}');
Error('\P{Is_Blk=:= -ugaritic}');
Expect(1, 66463, '\p{Is_Blk=ugaritic}', "");
Expect(0, 66463, '\p{^Is_Blk=ugaritic}', "");
Expect(0, 66463, '\P{Is_Blk=ugaritic}', "");
Expect(1, 66463, '\P{^Is_Blk=ugaritic}', "");
Expect(0, 66464, '\p{Is_Blk=ugaritic}', "");
Expect(1, 66464, '\p{^Is_Blk=ugaritic}', "");
Expect(1, 66464, '\P{Is_Blk=ugaritic}', "");
Expect(0, 66464, '\P{^Is_Blk=ugaritic}', "");
Expect(1, 66463, '\p{Is_Blk=	-UGARITIC}', "");
Expect(0, 66463, '\p{^Is_Blk=	-UGARITIC}', "");
Expect(0, 66463, '\P{Is_Blk=	-UGARITIC}', "");
Expect(1, 66463, '\P{^Is_Blk=	-UGARITIC}', "");
Expect(0, 66464, '\p{Is_Blk=	-UGARITIC}', "");
Expect(1, 66464, '\p{^Is_Blk=	-UGARITIC}', "");
Expect(1, 66464, '\P{Is_Blk=	-UGARITIC}', "");
Expect(0, 66464, '\P{^Is_Blk=	-UGARITIC}', "");
Error('\p{Block=		variation_Selectors:=}');
Error('\P{Block=		variation_Selectors:=}');
Expect(1, 65039, '\p{Block=variationselectors}', "");
Expect(0, 65039, '\p{^Block=variationselectors}', "");
Expect(0, 65039, '\P{Block=variationselectors}', "");
Expect(1, 65039, '\P{^Block=variationselectors}', "");
Expect(0, 65040, '\p{Block=variationselectors}', "");
Expect(1, 65040, '\p{^Block=variationselectors}', "");
Expect(1, 65040, '\P{Block=variationselectors}', "");
Expect(0, 65040, '\P{^Block=variationselectors}', "");
Expect(1, 65039, '\p{Block=Variation_SELECTORS}', "");
Expect(0, 65039, '\p{^Block=Variation_SELECTORS}', "");
Expect(0, 65039, '\P{Block=Variation_SELECTORS}', "");
Expect(1, 65039, '\P{^Block=Variation_SELECTORS}', "");
Expect(0, 65040, '\p{Block=Variation_SELECTORS}', "");
Expect(1, 65040, '\p{^Block=Variation_SELECTORS}', "");
Expect(1, 65040, '\P{Block=Variation_SELECTORS}', "");
Expect(0, 65040, '\P{^Block=Variation_SELECTORS}', "");
Error('\p{Blk=:=	VS}');
Error('\P{Blk=:=	VS}');
Expect(1, 65039, '\p{Blk: vs}', "");
Expect(0, 65039, '\p{^Blk: vs}', "");
Expect(0, 65039, '\P{Blk: vs}', "");
Expect(1, 65039, '\P{^Blk: vs}', "");
Expect(0, 65040, '\p{Blk: vs}', "");
Expect(1, 65040, '\p{^Blk: vs}', "");
Expect(1, 65040, '\P{Blk: vs}', "");
Expect(0, 65040, '\P{^Blk: vs}', "");
Expect(1, 65039, '\p{Blk=	_VS}', "");
Expect(0, 65039, '\p{^Blk=	_VS}', "");
Expect(0, 65039, '\P{Blk=	_VS}', "");
Expect(1, 65039, '\P{^Blk=	_VS}', "");
Expect(0, 65040, '\p{Blk=	_VS}', "");
Expect(1, 65040, '\p{^Blk=	_VS}', "");
Expect(1, 65040, '\P{Blk=	_VS}', "");
Expect(0, 65040, '\P{^Blk=	_VS}', "");
Error('\p{Is_Block:/a/--VARIATION_Selectors}');
Error('\P{Is_Block:/a/--VARIATION_Selectors}');
Expect(1, 65039, '\p{Is_Block:   variationselectors}', "");
Expect(0, 65039, '\p{^Is_Block:   variationselectors}', "");
Expect(0, 65039, '\P{Is_Block:   variationselectors}', "");
Expect(1, 65039, '\P{^Is_Block:   variationselectors}', "");
Expect(0, 65040, '\p{Is_Block:   variationselectors}', "");
Expect(1, 65040, '\p{^Is_Block:   variationselectors}', "");
Expect(1, 65040, '\P{Is_Block:   variationselectors}', "");
Expect(0, 65040, '\P{^Is_Block:   variationselectors}', "");
Expect(1, 65039, '\p{Is_Block=  variation_SELECTORS}', "");
Expect(0, 65039, '\p{^Is_Block=  variation_SELECTORS}', "");
Expect(0, 65039, '\P{Is_Block=  variation_SELECTORS}', "");
Expect(1, 65039, '\P{^Is_Block=  variation_SELECTORS}', "");
Expect(0, 65040, '\p{Is_Block=  variation_SELECTORS}', "");
Expect(1, 65040, '\p{^Is_Block=  variation_SELECTORS}', "");
Expect(1, 65040, '\P{Is_Block=  variation_SELECTORS}', "");
Expect(0, 65040, '\P{^Is_Block=  variation_SELECTORS}', "");
Error('\p{Is_Blk=:=-_VS}');
Error('\P{Is_Blk=:=-_VS}');
Expect(1, 65039, '\p{Is_Blk=vs}', "");
Expect(0, 65039, '\p{^Is_Blk=vs}', "");
Expect(0, 65039, '\P{Is_Blk=vs}', "");
Expect(1, 65039, '\P{^Is_Blk=vs}', "");
Expect(0, 65040, '\p{Is_Blk=vs}', "");
Expect(1, 65040, '\p{^Is_Blk=vs}', "");
Expect(1, 65040, '\P{Is_Blk=vs}', "");
Expect(0, 65040, '\P{^Is_Blk=vs}', "");
Expect(1, 65039, '\p{Is_Blk= _VS}', "");
Expect(0, 65039, '\p{^Is_Blk= _VS}', "");
Expect(0, 65039, '\P{Is_Blk= _VS}', "");
Expect(1, 65039, '\P{^Is_Blk= _VS}', "");
Expect(0, 65040, '\p{Is_Blk= _VS}', "");
Expect(1, 65040, '\p{^Is_Blk= _VS}', "");
Expect(1, 65040, '\P{Is_Blk= _VS}', "");
Expect(0, 65040, '\P{^Is_Blk= _VS}', "");
Error('\p{Block=:=-Variation_selectors_Supplement}');
Error('\P{Block=:=-Variation_selectors_Supplement}');
Expect(1, 917999, '\p{Block=variationselectorssupplement}', "");
Expect(0, 917999, '\p{^Block=variationselectorssupplement}', "");
Expect(0, 917999, '\P{Block=variationselectorssupplement}', "");
Expect(1, 917999, '\P{^Block=variationselectorssupplement}', "");
Expect(0, 918000, '\p{Block=variationselectorssupplement}', "");
Expect(1, 918000, '\p{^Block=variationselectorssupplement}', "");
Expect(1, 918000, '\P{Block=variationselectorssupplement}', "");
Expect(0, 918000, '\P{^Block=variationselectorssupplement}', "");
Expect(1, 917999, '\p{Block=_-Variation_Selectors_Supplement}', "");
Expect(0, 917999, '\p{^Block=_-Variation_Selectors_Supplement}', "");
Expect(0, 917999, '\P{Block=_-Variation_Selectors_Supplement}', "");
Expect(1, 917999, '\P{^Block=_-Variation_Selectors_Supplement}', "");
Expect(0, 918000, '\p{Block=_-Variation_Selectors_Supplement}', "");
Expect(1, 918000, '\p{^Block=_-Variation_Selectors_Supplement}', "");
Expect(1, 918000, '\P{Block=_-Variation_Selectors_Supplement}', "");
Expect(0, 918000, '\P{^Block=_-Variation_Selectors_Supplement}', "");
Error('\p{Blk=	 VS_Sup:=}');
Error('\P{Blk=	 VS_Sup:=}');
Expect(1, 917999, '\p{Blk=vssup}', "");
Expect(0, 917999, '\p{^Blk=vssup}', "");
Expect(0, 917999, '\P{Blk=vssup}', "");
Expect(1, 917999, '\P{^Blk=vssup}', "");
Expect(0, 918000, '\p{Blk=vssup}', "");
Expect(1, 918000, '\p{^Blk=vssup}', "");
Expect(1, 918000, '\P{Blk=vssup}', "");
Expect(0, 918000, '\P{^Blk=vssup}', "");
Expect(1, 917999, '\p{Blk= _VS_sup}', "");
Expect(0, 917999, '\p{^Blk= _VS_sup}', "");
Expect(0, 917999, '\P{Blk= _VS_sup}', "");
Expect(1, 917999, '\P{^Blk= _VS_sup}', "");
Expect(0, 918000, '\p{Blk= _VS_sup}', "");
Expect(1, 918000, '\p{^Blk= _VS_sup}', "");
Expect(1, 918000, '\P{Blk= _VS_sup}', "");
Expect(0, 918000, '\P{^Blk= _VS_sup}', "");
Error('\p{Is_Block=	:=Variation_SELECTORS_Supplement}');
Error('\P{Is_Block=	:=Variation_SELECTORS_Supplement}');
Expect(1, 917999, '\p{Is_Block=variationselectorssupplement}', "");
Expect(0, 917999, '\p{^Is_Block=variationselectorssupplement}', "");
Expect(0, 917999, '\P{Is_Block=variationselectorssupplement}', "");
Expect(1, 917999, '\P{^Is_Block=variationselectorssupplement}', "");
Expect(0, 918000, '\p{Is_Block=variationselectorssupplement}', "");
Expect(1, 918000, '\p{^Is_Block=variationselectorssupplement}', "");
Expect(1, 918000, '\P{Is_Block=variationselectorssupplement}', "");
Expect(0, 918000, '\P{^Is_Block=variationselectorssupplement}', "");
Expect(1, 917999, '\p{Is_Block=-	Variation_selectors_Supplement}', "");
Expect(0, 917999, '\p{^Is_Block=-	Variation_selectors_Supplement}', "");
Expect(0, 917999, '\P{Is_Block=-	Variation_selectors_Supplement}', "");
Expect(1, 917999, '\P{^Is_Block=-	Variation_selectors_Supplement}', "");
Expect(0, 918000, '\p{Is_Block=-	Variation_selectors_Supplement}', "");
Expect(1, 918000, '\p{^Is_Block=-	Variation_selectors_Supplement}', "");
Expect(1, 918000, '\P{Is_Block=-	Variation_selectors_Supplement}', "");
Expect(0, 918000, '\P{^Is_Block=-	Variation_selectors_Supplement}', "");
Error('\p{Is_Blk=_/a/VS_Sup}');
Error('\P{Is_Blk=_/a/VS_Sup}');
Expect(1, 917999, '\p{Is_Blk=vssup}', "");
Expect(0, 917999, '\p{^Is_Blk=vssup}', "");
Expect(0, 917999, '\P{Is_Blk=vssup}', "");
Expect(1, 917999, '\P{^Is_Blk=vssup}', "");
Expect(0, 918000, '\p{Is_Blk=vssup}', "");
Expect(1, 918000, '\p{^Is_Blk=vssup}', "");
Expect(1, 918000, '\P{Is_Blk=vssup}', "");
Expect(0, 918000, '\P{^Is_Blk=vssup}', "");
Expect(1, 917999, '\p{Is_Blk=_VS_Sup}', "");
Expect(0, 917999, '\p{^Is_Blk=_VS_Sup}', "");
Expect(0, 917999, '\P{Is_Blk=_VS_Sup}', "");
Expect(1, 917999, '\P{^Is_Blk=_VS_Sup}', "");
Expect(0, 918000, '\p{Is_Blk=_VS_Sup}', "");
Expect(1, 918000, '\p{^Is_Blk=_VS_Sup}', "");
Expect(1, 918000, '\P{Is_Blk=_VS_Sup}', "");
Expect(0, 918000, '\P{^Is_Blk=_VS_Sup}', "");
Error('\p{Block=/a/-	vai}');
Error('\P{Block=/a/-	vai}');
Expect(1, 42559, '\p{Block=vai}', "");
Expect(0, 42559, '\p{^Block=vai}', "");
Expect(0, 42559, '\P{Block=vai}', "");
Expect(1, 42559, '\P{^Block=vai}', "");
Expect(0, 42560, '\p{Block=vai}', "");
Expect(1, 42560, '\p{^Block=vai}', "");
Expect(1, 42560, '\P{Block=vai}', "");
Expect(0, 42560, '\P{^Block=vai}', "");
Expect(1, 42559, '\p{Block=-_Vai}', "");
Expect(0, 42559, '\p{^Block=-_Vai}', "");
Expect(0, 42559, '\P{Block=-_Vai}', "");
Expect(1, 42559, '\P{^Block=-_Vai}', "");
Expect(0, 42560, '\p{Block=-_Vai}', "");
Expect(1, 42560, '\p{^Block=-_Vai}', "");
Expect(1, 42560, '\P{Block=-_Vai}', "");
Expect(0, 42560, '\P{^Block=-_Vai}', "");
Error('\p{Blk=-	Vai:=}');
Error('\P{Blk=-	Vai:=}');
Expect(1, 42559, '\p{Blk:vai}', "");
Expect(0, 42559, '\p{^Blk:vai}', "");
Expect(0, 42559, '\P{Blk:vai}', "");
Expect(1, 42559, '\P{^Blk:vai}', "");
Expect(0, 42560, '\p{Blk:vai}', "");
Expect(1, 42560, '\p{^Blk:vai}', "");
Expect(1, 42560, '\P{Blk:vai}', "");
Expect(0, 42560, '\P{^Blk:vai}', "");
Expect(1, 42559, '\p{Blk=_Vai}', "");
Expect(0, 42559, '\p{^Blk=_Vai}', "");
Expect(0, 42559, '\P{Blk=_Vai}', "");
Expect(1, 42559, '\P{^Blk=_Vai}', "");
Expect(0, 42560, '\p{Blk=_Vai}', "");
Expect(1, 42560, '\p{^Blk=_Vai}', "");
Expect(1, 42560, '\P{Blk=_Vai}', "");
Expect(0, 42560, '\P{^Blk=_Vai}', "");
Error('\p{Is_Block=VAI:=}');
Error('\P{Is_Block=VAI:=}');
Expect(1, 42559, '\p{Is_Block:   vai}', "");
Expect(0, 42559, '\p{^Is_Block:   vai}', "");
Expect(0, 42559, '\P{Is_Block:   vai}', "");
Expect(1, 42559, '\P{^Is_Block:   vai}', "");
Expect(0, 42560, '\p{Is_Block:   vai}', "");
Expect(1, 42560, '\p{^Is_Block:   vai}', "");
Expect(1, 42560, '\P{Is_Block:   vai}', "");
Expect(0, 42560, '\P{^Is_Block:   vai}', "");
Expect(1, 42559, '\p{Is_Block=__Vai}', "");
Expect(0, 42559, '\p{^Is_Block=__Vai}', "");
Expect(0, 42559, '\P{Is_Block=__Vai}', "");
Expect(1, 42559, '\P{^Is_Block=__Vai}', "");
Expect(0, 42560, '\p{Is_Block=__Vai}', "");
Expect(1, 42560, '\p{^Is_Block=__Vai}', "");
Expect(1, 42560, '\P{Is_Block=__Vai}', "");
Expect(0, 42560, '\P{^Is_Block=__Vai}', "");
Error('\p{Is_Blk=-	VAI/a/}');
Error('\P{Is_Blk=-	VAI/a/}');
Expect(1, 42559, '\p{Is_Blk=vai}', "");
Expect(0, 42559, '\p{^Is_Blk=vai}', "");
Expect(0, 42559, '\P{Is_Blk=vai}', "");
Expect(1, 42559, '\P{^Is_Blk=vai}', "");
Expect(0, 42560, '\p{Is_Blk=vai}', "");
Expect(1, 42560, '\p{^Is_Blk=vai}', "");
Expect(1, 42560, '\P{Is_Blk=vai}', "");
Expect(0, 42560, '\P{^Is_Blk=vai}', "");
Expect(1, 42559, '\p{Is_Blk=-VAI}', "");
Expect(0, 42559, '\p{^Is_Blk=-VAI}', "");
Expect(0, 42559, '\P{Is_Blk=-VAI}', "");
Expect(1, 42559, '\P{^Is_Blk=-VAI}', "");
Expect(0, 42560, '\p{Is_Blk=-VAI}', "");
Expect(1, 42560, '\p{^Is_Blk=-VAI}', "");
Expect(1, 42560, '\P{Is_Blk=-VAI}', "");
Expect(0, 42560, '\P{^Is_Blk=-VAI}', "");
Error('\p{Block=/a/_VEDIC_Extensions}');
Error('\P{Block=/a/_VEDIC_Extensions}');
Expect(1, 7423, '\p{Block=vedicextensions}', "");
Expect(0, 7423, '\p{^Block=vedicextensions}', "");
Expect(0, 7423, '\P{Block=vedicextensions}', "");
Expect(1, 7423, '\P{^Block=vedicextensions}', "");
Expect(0, 7424, '\p{Block=vedicextensions}', "");
Expect(1, 7424, '\p{^Block=vedicextensions}', "");
Expect(1, 7424, '\P{Block=vedicextensions}', "");
Expect(0, 7424, '\P{^Block=vedicextensions}', "");
Expect(1, 7423, '\p{Block:	_Vedic_Extensions}', "");
Expect(0, 7423, '\p{^Block:	_Vedic_Extensions}', "");
Expect(0, 7423, '\P{Block:	_Vedic_Extensions}', "");
Expect(1, 7423, '\P{^Block:	_Vedic_Extensions}', "");
Expect(0, 7424, '\p{Block:	_Vedic_Extensions}', "");
Expect(1, 7424, '\p{^Block:	_Vedic_Extensions}', "");
Expect(1, 7424, '\P{Block:	_Vedic_Extensions}', "");
Expect(0, 7424, '\P{^Block:	_Vedic_Extensions}', "");
Error('\p{Blk=/a/__VEDIC_EXT}');
Error('\P{Blk=/a/__VEDIC_EXT}');
Expect(1, 7423, '\p{Blk=vedicext}', "");
Expect(0, 7423, '\p{^Blk=vedicext}', "");
Expect(0, 7423, '\P{Blk=vedicext}', "");
Expect(1, 7423, '\P{^Blk=vedicext}', "");
Expect(0, 7424, '\p{Blk=vedicext}', "");
Expect(1, 7424, '\p{^Blk=vedicext}', "");
Expect(1, 7424, '\P{Blk=vedicext}', "");
Expect(0, 7424, '\P{^Blk=vedicext}', "");
Expect(1, 7423, '\p{Blk=  Vedic_Ext}', "");
Expect(0, 7423, '\p{^Blk=  Vedic_Ext}', "");
Expect(0, 7423, '\P{Blk=  Vedic_Ext}', "");
Expect(1, 7423, '\P{^Blk=  Vedic_Ext}', "");
Expect(0, 7424, '\p{Blk=  Vedic_Ext}', "");
Expect(1, 7424, '\p{^Blk=  Vedic_Ext}', "");
Expect(1, 7424, '\P{Blk=  Vedic_Ext}', "");
Expect(0, 7424, '\P{^Blk=  Vedic_Ext}', "");
Error('\p{Is_Block=/a/	 VEDIC_extensions}');
Error('\P{Is_Block=/a/	 VEDIC_extensions}');
Expect(1, 7423, '\p{Is_Block=vedicextensions}', "");
Expect(0, 7423, '\p{^Is_Block=vedicextensions}', "");
Expect(0, 7423, '\P{Is_Block=vedicextensions}', "");
Expect(1, 7423, '\P{^Is_Block=vedicextensions}', "");
Expect(0, 7424, '\p{Is_Block=vedicextensions}', "");
Expect(1, 7424, '\p{^Is_Block=vedicextensions}', "");
Expect(1, 7424, '\P{Is_Block=vedicextensions}', "");
Expect(0, 7424, '\P{^Is_Block=vedicextensions}', "");
Expect(1, 7423, '\p{Is_Block=-_VEDIC_Extensions}', "");
Expect(0, 7423, '\p{^Is_Block=-_VEDIC_Extensions}', "");
Expect(0, 7423, '\P{Is_Block=-_VEDIC_Extensions}', "");
Expect(1, 7423, '\P{^Is_Block=-_VEDIC_Extensions}', "");
Expect(0, 7424, '\p{Is_Block=-_VEDIC_Extensions}', "");
Expect(1, 7424, '\p{^Is_Block=-_VEDIC_Extensions}', "");
Expect(1, 7424, '\P{Is_Block=-_VEDIC_Extensions}', "");
Expect(0, 7424, '\P{^Is_Block=-_VEDIC_Extensions}', "");
Error('\p{Is_Blk=_Vedic_Ext:=}');
Error('\P{Is_Blk=_Vedic_Ext:=}');
Expect(1, 7423, '\p{Is_Blk=vedicext}', "");
Expect(0, 7423, '\p{^Is_Blk=vedicext}', "");
Expect(0, 7423, '\P{Is_Blk=vedicext}', "");
Expect(1, 7423, '\P{^Is_Blk=vedicext}', "");
Expect(0, 7424, '\p{Is_Blk=vedicext}', "");
Expect(1, 7424, '\p{^Is_Blk=vedicext}', "");
Expect(1, 7424, '\P{Is_Blk=vedicext}', "");
Expect(0, 7424, '\P{^Is_Blk=vedicext}', "");
Expect(1, 7423, '\p{Is_Blk=  VEDIC_Ext}', "");
Expect(0, 7423, '\p{^Is_Blk=  VEDIC_Ext}', "");
Expect(0, 7423, '\P{Is_Blk=  VEDIC_Ext}', "");
Expect(1, 7423, '\P{^Is_Blk=  VEDIC_Ext}', "");
Expect(0, 7424, '\p{Is_Blk=  VEDIC_Ext}', "");
Expect(1, 7424, '\p{^Is_Blk=  VEDIC_Ext}', "");
Expect(1, 7424, '\P{Is_Blk=  VEDIC_Ext}', "");
Expect(0, 7424, '\P{^Is_Blk=  VEDIC_Ext}', "");
Error('\p{Block=/a/-_Vertical_Forms}');
Error('\P{Block=/a/-_Vertical_Forms}');
Expect(1, 65055, '\p{Block=verticalforms}', "");
Expect(0, 65055, '\p{^Block=verticalforms}', "");
Expect(0, 65055, '\P{Block=verticalforms}', "");
Expect(1, 65055, '\P{^Block=verticalforms}', "");
Expect(0, 65056, '\p{Block=verticalforms}', "");
Expect(1, 65056, '\p{^Block=verticalforms}', "");
Expect(1, 65056, '\P{Block=verticalforms}', "");
Expect(0, 65056, '\P{^Block=verticalforms}', "");
Expect(1, 65055, '\p{Block:  vertical_Forms}', "");
Expect(0, 65055, '\p{^Block:  vertical_Forms}', "");
Expect(0, 65055, '\P{Block:  vertical_Forms}', "");
Expect(1, 65055, '\P{^Block:  vertical_Forms}', "");
Expect(0, 65056, '\p{Block:  vertical_Forms}', "");
Expect(1, 65056, '\p{^Block:  vertical_Forms}', "");
Expect(1, 65056, '\P{Block:  vertical_Forms}', "");
Expect(0, 65056, '\P{^Block:  vertical_Forms}', "");
Error('\p{Blk=/a/	 Vertical_Forms}');
Error('\P{Blk=/a/	 Vertical_Forms}');
Expect(1, 65055, '\p{Blk=verticalforms}', "");
Expect(0, 65055, '\p{^Blk=verticalforms}', "");
Expect(0, 65055, '\P{Blk=verticalforms}', "");
Expect(1, 65055, '\P{^Blk=verticalforms}', "");
Expect(0, 65056, '\p{Blk=verticalforms}', "");
Expect(1, 65056, '\p{^Blk=verticalforms}', "");
Expect(1, 65056, '\P{Blk=verticalforms}', "");
Expect(0, 65056, '\P{^Blk=verticalforms}', "");
Expect(1, 65055, '\p{Blk=_VERTICAL_Forms}', "");
Expect(0, 65055, '\p{^Blk=_VERTICAL_Forms}', "");
Expect(0, 65055, '\P{Blk=_VERTICAL_Forms}', "");
Expect(1, 65055, '\P{^Blk=_VERTICAL_Forms}', "");
Expect(0, 65056, '\p{Blk=_VERTICAL_Forms}', "");
Expect(1, 65056, '\p{^Blk=_VERTICAL_Forms}', "");
Expect(1, 65056, '\P{Blk=_VERTICAL_Forms}', "");
Expect(0, 65056, '\P{^Blk=_VERTICAL_Forms}', "");
Error('\p{Is_Block:/a/Vertical_forms}');
Error('\P{Is_Block:/a/Vertical_forms}');
Expect(1, 65055, '\p{Is_Block=verticalforms}', "");
Expect(0, 65055, '\p{^Is_Block=verticalforms}', "");
Expect(0, 65055, '\P{Is_Block=verticalforms}', "");
Expect(1, 65055, '\P{^Is_Block=verticalforms}', "");
Expect(0, 65056, '\p{Is_Block=verticalforms}', "");
Expect(1, 65056, '\p{^Is_Block=verticalforms}', "");
Expect(1, 65056, '\P{Is_Block=verticalforms}', "");
Expect(0, 65056, '\P{^Is_Block=verticalforms}', "");
Expect(1, 65055, '\p{Is_Block:	 vertical_forms}', "");
Expect(0, 65055, '\p{^Is_Block:	 vertical_forms}', "");
Expect(0, 65055, '\P{Is_Block:	 vertical_forms}', "");
Expect(1, 65055, '\P{^Is_Block:	 vertical_forms}', "");
Expect(0, 65056, '\p{Is_Block:	 vertical_forms}', "");
Expect(1, 65056, '\p{^Is_Block:	 vertical_forms}', "");
Expect(1, 65056, '\P{Is_Block:	 vertical_forms}', "");
Expect(0, 65056, '\P{^Is_Block:	 vertical_forms}', "");
Error('\p{Is_Blk=/a/_ vertical_Forms}');
Error('\P{Is_Blk=/a/_ vertical_Forms}');
Expect(1, 65055, '\p{Is_Blk=verticalforms}', "");
Expect(0, 65055, '\p{^Is_Blk=verticalforms}', "");
Expect(0, 65055, '\P{Is_Blk=verticalforms}', "");
Expect(1, 65055, '\P{^Is_Blk=verticalforms}', "");
Expect(0, 65056, '\p{Is_Blk=verticalforms}', "");
Expect(1, 65056, '\p{^Is_Blk=verticalforms}', "");
Expect(1, 65056, '\P{Is_Blk=verticalforms}', "");
Expect(0, 65056, '\P{^Is_Blk=verticalforms}', "");
Expect(1, 65055, '\p{Is_Blk:   -VERTICAL_Forms}', "");
Expect(0, 65055, '\p{^Is_Blk:   -VERTICAL_Forms}', "");
Expect(0, 65055, '\P{Is_Blk:   -VERTICAL_Forms}', "");
Expect(1, 65055, '\P{^Is_Blk:   -VERTICAL_Forms}', "");
Expect(0, 65056, '\p{Is_Blk:   -VERTICAL_Forms}', "");
Expect(1, 65056, '\p{^Is_Blk:   -VERTICAL_Forms}', "");
Expect(1, 65056, '\P{Is_Blk:   -VERTICAL_Forms}', "");
Expect(0, 65056, '\P{^Is_Blk:   -VERTICAL_Forms}', "");
Error('\p{Block=/a/__WARANG_Citi}');
Error('\P{Block=/a/__WARANG_Citi}');
Expect(1, 71935, '\p{Block:warangciti}', "");
Expect(0, 71935, '\p{^Block:warangciti}', "");
Expect(0, 71935, '\P{Block:warangciti}', "");
Expect(1, 71935, '\P{^Block:warangciti}', "");
Expect(0, 71936, '\p{Block:warangciti}', "");
Expect(1, 71936, '\p{^Block:warangciti}', "");
Expect(1, 71936, '\P{Block:warangciti}', "");
Expect(0, 71936, '\P{^Block:warangciti}', "");
Expect(1, 71935, '\p{Block:   _ Warang_citi}', "");
Expect(0, 71935, '\p{^Block:   _ Warang_citi}', "");
Expect(0, 71935, '\P{Block:   _ Warang_citi}', "");
Expect(1, 71935, '\P{^Block:   _ Warang_citi}', "");
Expect(0, 71936, '\p{Block:   _ Warang_citi}', "");
Expect(1, 71936, '\p{^Block:   _ Warang_citi}', "");
Expect(1, 71936, '\P{Block:   _ Warang_citi}', "");
Expect(0, 71936, '\P{^Block:   _ Warang_citi}', "");
Error('\p{Blk= warang_CITI/a/}');
Error('\P{Blk= warang_CITI/a/}');
Expect(1, 71935, '\p{Blk=warangciti}', "");
Expect(0, 71935, '\p{^Blk=warangciti}', "");
Expect(0, 71935, '\P{Blk=warangciti}', "");
Expect(1, 71935, '\P{^Blk=warangciti}', "");
Expect(0, 71936, '\p{Blk=warangciti}', "");
Expect(1, 71936, '\p{^Blk=warangciti}', "");
Expect(1, 71936, '\P{Blk=warangciti}', "");
Expect(0, 71936, '\P{^Blk=warangciti}', "");
Expect(1, 71935, '\p{Blk=-Warang_CITI}', "");
Expect(0, 71935, '\p{^Blk=-Warang_CITI}', "");
Expect(0, 71935, '\P{Blk=-Warang_CITI}', "");
Expect(1, 71935, '\P{^Blk=-Warang_CITI}', "");
Expect(0, 71936, '\p{Blk=-Warang_CITI}', "");
Expect(1, 71936, '\p{^Blk=-Warang_CITI}', "");
Expect(1, 71936, '\P{Blk=-Warang_CITI}', "");
Expect(0, 71936, '\P{^Blk=-Warang_CITI}', "");
Error('\p{Is_Block=Warang_Citi/a/}');
Error('\P{Is_Block=Warang_Citi/a/}');
Expect(1, 71935, '\p{Is_Block=warangciti}', "");
Expect(0, 71935, '\p{^Is_Block=warangciti}', "");
Expect(0, 71935, '\P{Is_Block=warangciti}', "");
Expect(1, 71935, '\P{^Is_Block=warangciti}', "");
Expect(0, 71936, '\p{Is_Block=warangciti}', "");
Expect(1, 71936, '\p{^Is_Block=warangciti}', "");
Expect(1, 71936, '\P{Is_Block=warangciti}', "");
Expect(0, 71936, '\P{^Is_Block=warangciti}', "");
Expect(1, 71935, '\p{Is_Block=_ Warang_Citi}', "");
Expect(0, 71935, '\p{^Is_Block=_ Warang_Citi}', "");
Expect(0, 71935, '\P{Is_Block=_ Warang_Citi}', "");
Expect(1, 71935, '\P{^Is_Block=_ Warang_Citi}', "");
Expect(0, 71936, '\p{Is_Block=_ Warang_Citi}', "");
Expect(1, 71936, '\p{^Is_Block=_ Warang_Citi}', "");
Expect(1, 71936, '\P{Is_Block=_ Warang_Citi}', "");
Expect(0, 71936, '\P{^Is_Block=_ Warang_Citi}', "");
Error('\p{Is_Blk= -WARANG_Citi:=}');
Error('\P{Is_Blk= -WARANG_Citi:=}');
Expect(1, 71935, '\p{Is_Blk=warangciti}', "");
Expect(0, 71935, '\p{^Is_Blk=warangciti}', "");
Expect(0, 71935, '\P{Is_Blk=warangciti}', "");
Expect(1, 71935, '\P{^Is_Blk=warangciti}', "");
Expect(0, 71936, '\p{Is_Blk=warangciti}', "");
Expect(1, 71936, '\p{^Is_Blk=warangciti}', "");
Expect(1, 71936, '\P{Is_Blk=warangciti}', "");
Expect(0, 71936, '\P{^Is_Blk=warangciti}', "");
Expect(1, 71935, '\p{Is_Blk=		warang_CITI}', "");
Expect(0, 71935, '\p{^Is_Blk=		warang_CITI}', "");
Expect(0, 71935, '\P{Is_Blk=		warang_CITI}', "");
Expect(1, 71935, '\P{^Is_Blk=		warang_CITI}', "");
Expect(0, 71936, '\p{Is_Blk=		warang_CITI}', "");
Expect(1, 71936, '\p{^Is_Blk=		warang_CITI}', "");
Expect(1, 71936, '\P{Is_Blk=		warang_CITI}', "");
Expect(0, 71936, '\P{^Is_Blk=		warang_CITI}', "");
Error('\p{Block=:=- YI_Radicals}');
Error('\P{Block=:=- YI_Radicals}');
Expect(1, 42191, '\p{Block=yiradicals}', "");
Expect(0, 42191, '\p{^Block=yiradicals}', "");
Expect(0, 42191, '\P{Block=yiradicals}', "");
Expect(1, 42191, '\P{^Block=yiradicals}', "");
Expect(0, 42192, '\p{Block=yiradicals}', "");
Expect(1, 42192, '\p{^Block=yiradicals}', "");
Expect(1, 42192, '\P{Block=yiradicals}', "");
Expect(0, 42192, '\P{^Block=yiradicals}', "");
Expect(1, 42191, '\p{Block=_	Yi_Radicals}', "");
Expect(0, 42191, '\p{^Block=_	Yi_Radicals}', "");
Expect(0, 42191, '\P{Block=_	Yi_Radicals}', "");
Expect(1, 42191, '\P{^Block=_	Yi_Radicals}', "");
Expect(0, 42192, '\p{Block=_	Yi_Radicals}', "");
Expect(1, 42192, '\p{^Block=_	Yi_Radicals}', "");
Expect(1, 42192, '\P{Block=_	Yi_Radicals}', "");
Expect(0, 42192, '\P{^Block=_	Yi_Radicals}', "");
Error('\p{Blk=__Yi_radicals:=}');
Error('\P{Blk=__Yi_radicals:=}');
Expect(1, 42191, '\p{Blk=yiradicals}', "");
Expect(0, 42191, '\p{^Blk=yiradicals}', "");
Expect(0, 42191, '\P{Blk=yiradicals}', "");
Expect(1, 42191, '\P{^Blk=yiradicals}', "");
Expect(0, 42192, '\p{Blk=yiradicals}', "");
Expect(1, 42192, '\p{^Blk=yiradicals}', "");
Expect(1, 42192, '\P{Blk=yiradicals}', "");
Expect(0, 42192, '\P{^Blk=yiradicals}', "");
Expect(1, 42191, '\p{Blk=__Yi_radicals}', "");
Expect(0, 42191, '\p{^Blk=__Yi_radicals}', "");
Expect(0, 42191, '\P{Blk=__Yi_radicals}', "");
Expect(1, 42191, '\P{^Blk=__Yi_radicals}', "");
Expect(0, 42192, '\p{Blk=__Yi_radicals}', "");
Expect(1, 42192, '\p{^Blk=__Yi_radicals}', "");
Expect(1, 42192, '\P{Blk=__Yi_radicals}', "");
Expect(0, 42192, '\P{^Blk=__Yi_radicals}', "");
Error('\p{Is_Block= /a/YI_Radicals}');
Error('\P{Is_Block= /a/YI_Radicals}');
Expect(1, 42191, '\p{Is_Block=yiradicals}', "");
Expect(0, 42191, '\p{^Is_Block=yiradicals}', "");
Expect(0, 42191, '\P{Is_Block=yiradicals}', "");
Expect(1, 42191, '\P{^Is_Block=yiradicals}', "");
Expect(0, 42192, '\p{Is_Block=yiradicals}', "");
Expect(1, 42192, '\p{^Is_Block=yiradicals}', "");
Expect(1, 42192, '\P{Is_Block=yiradicals}', "");
Expect(0, 42192, '\P{^Is_Block=yiradicals}', "");
Expect(1, 42191, '\p{Is_Block=		Yi_Radicals}', "");
Expect(0, 42191, '\p{^Is_Block=		Yi_Radicals}', "");
Expect(0, 42191, '\P{Is_Block=		Yi_Radicals}', "");
Expect(1, 42191, '\P{^Is_Block=		Yi_Radicals}', "");
Expect(0, 42192, '\p{Is_Block=		Yi_Radicals}', "");
Expect(1, 42192, '\p{^Is_Block=		Yi_Radicals}', "");
Expect(1, 42192, '\P{Is_Block=		Yi_Radicals}', "");
Expect(0, 42192, '\P{^Is_Block=		Yi_Radicals}', "");
Error('\p{Is_Blk=Yi_radicals:=}');
Error('\P{Is_Blk=Yi_radicals:=}');
Expect(1, 42191, '\p{Is_Blk:   yiradicals}', "");
Expect(0, 42191, '\p{^Is_Blk:   yiradicals}', "");
Expect(0, 42191, '\P{Is_Blk:   yiradicals}', "");
Expect(1, 42191, '\P{^Is_Blk:   yiradicals}', "");
Expect(0, 42192, '\p{Is_Blk:   yiradicals}', "");
Expect(1, 42192, '\p{^Is_Blk:   yiradicals}', "");
Expect(1, 42192, '\P{Is_Blk:   yiradicals}', "");
Expect(0, 42192, '\P{^Is_Blk:   yiradicals}', "");
Expect(1, 42191, '\p{Is_Blk=	-YI_RADICALS}', "");
Expect(0, 42191, '\p{^Is_Blk=	-YI_RADICALS}', "");
Expect(0, 42191, '\P{Is_Blk=	-YI_RADICALS}', "");
Expect(1, 42191, '\P{^Is_Blk=	-YI_RADICALS}', "");
Expect(0, 42192, '\p{Is_Blk=	-YI_RADICALS}', "");
Expect(1, 42192, '\p{^Is_Blk=	-YI_RADICALS}', "");
Expect(1, 42192, '\P{Is_Blk=	-YI_RADICALS}', "");
Expect(0, 42192, '\P{^Is_Blk=	-YI_RADICALS}', "");
Error('\p{Block=/a/	YI_Syllables}');
Error('\P{Block=/a/	YI_Syllables}');
Expect(1, 42127, '\p{Block=yisyllables}', "");
Expect(0, 42127, '\p{^Block=yisyllables}', "");
Expect(0, 42127, '\P{Block=yisyllables}', "");
Expect(1, 42127, '\P{^Block=yisyllables}', "");
Expect(0, 42128, '\p{Block=yisyllables}', "");
Expect(1, 42128, '\p{^Block=yisyllables}', "");
Expect(1, 42128, '\P{Block=yisyllables}', "");
Expect(0, 42128, '\P{^Block=yisyllables}', "");
Expect(1, 42127, '\p{Block=-	YI_SYLLABLES}', "");
Expect(0, 42127, '\p{^Block=-	YI_SYLLABLES}', "");
Expect(0, 42127, '\P{Block=-	YI_SYLLABLES}', "");
Expect(1, 42127, '\P{^Block=-	YI_SYLLABLES}', "");
Expect(0, 42128, '\p{Block=-	YI_SYLLABLES}', "");
Expect(1, 42128, '\p{^Block=-	YI_SYLLABLES}', "");
Expect(1, 42128, '\P{Block=-	YI_SYLLABLES}', "");
Expect(0, 42128, '\P{^Block=-	YI_SYLLABLES}', "");
Error('\p{Blk=-:=Yi_syllables}');
Error('\P{Blk=-:=Yi_syllables}');
Expect(1, 42127, '\p{Blk=yisyllables}', "");
Expect(0, 42127, '\p{^Blk=yisyllables}', "");
Expect(0, 42127, '\P{Blk=yisyllables}', "");
Expect(1, 42127, '\P{^Blk=yisyllables}', "");
Expect(0, 42128, '\p{Blk=yisyllables}', "");
Expect(1, 42128, '\p{^Blk=yisyllables}', "");
Expect(1, 42128, '\P{Blk=yisyllables}', "");
Expect(0, 42128, '\P{^Blk=yisyllables}', "");
Expect(1, 42127, '\p{Blk=-YI_syllables}', "");
Expect(0, 42127, '\p{^Blk=-YI_syllables}', "");
Expect(0, 42127, '\P{Blk=-YI_syllables}', "");
Expect(1, 42127, '\P{^Blk=-YI_syllables}', "");
Expect(0, 42128, '\p{Blk=-YI_syllables}', "");
Expect(1, 42128, '\p{^Blk=-YI_syllables}', "");
Expect(1, 42128, '\P{Blk=-YI_syllables}', "");
Expect(0, 42128, '\P{^Blk=-YI_syllables}', "");
Error('\p{Is_Block=- YI_Syllables:=}');
Error('\P{Is_Block=- YI_Syllables:=}');
Expect(1, 42127, '\p{Is_Block=yisyllables}', "");
Expect(0, 42127, '\p{^Is_Block=yisyllables}', "");
Expect(0, 42127, '\P{Is_Block=yisyllables}', "");
Expect(1, 42127, '\P{^Is_Block=yisyllables}', "");
Expect(0, 42128, '\p{Is_Block=yisyllables}', "");
Expect(1, 42128, '\p{^Is_Block=yisyllables}', "");
Expect(1, 42128, '\P{Is_Block=yisyllables}', "");
Expect(0, 42128, '\P{^Is_Block=yisyllables}', "");
Expect(1, 42127, '\p{Is_Block:  Yi_syllables}', "");
Expect(0, 42127, '\p{^Is_Block:  Yi_syllables}', "");
Expect(0, 42127, '\P{Is_Block:  Yi_syllables}', "");
Expect(1, 42127, '\P{^Is_Block:  Yi_syllables}', "");
Expect(0, 42128, '\p{Is_Block:  Yi_syllables}', "");
Expect(1, 42128, '\p{^Is_Block:  Yi_syllables}', "");
Expect(1, 42128, '\P{Is_Block:  Yi_syllables}', "");
Expect(0, 42128, '\P{^Is_Block:  Yi_syllables}', "");
Error('\p{Is_Blk=/a/	Yi_Syllables}');
Error('\P{Is_Blk=/a/	Yi_Syllables}');
Expect(1, 42127, '\p{Is_Blk=yisyllables}', "");
Expect(0, 42127, '\p{^Is_Blk=yisyllables}', "");
Expect(0, 42127, '\P{Is_Blk=yisyllables}', "");
Expect(1, 42127, '\P{^Is_Blk=yisyllables}', "");
Expect(0, 42128, '\p{Is_Blk=yisyllables}', "");
Expect(1, 42128, '\p{^Is_Blk=yisyllables}', "");
Expect(1, 42128, '\P{Is_Blk=yisyllables}', "");
Expect(0, 42128, '\P{^Is_Blk=yisyllables}', "");
Expect(1, 42127, '\p{Is_Blk=_ Yi_Syllables}', "");
Expect(0, 42127, '\p{^Is_Blk=_ Yi_Syllables}', "");
Expect(0, 42127, '\P{Is_Blk=_ Yi_Syllables}', "");
Expect(1, 42127, '\P{^Is_Blk=_ Yi_Syllables}', "");
Expect(0, 42128, '\p{Is_Blk=_ Yi_Syllables}', "");
Expect(1, 42128, '\p{^Is_Blk=_ Yi_Syllables}', "");
Expect(1, 42128, '\P{Is_Blk=_ Yi_Syllables}', "");
Expect(0, 42128, '\P{^Is_Blk=_ Yi_Syllables}', "");
Error('\p{Block=	Yijing_hexagram_symbols:=}');
Error('\P{Block=	Yijing_hexagram_symbols:=}');
Expect(1, 19967, '\p{Block: yijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^Block: yijinghexagramsymbols}', "");
Expect(0, 19967, '\P{Block: yijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^Block: yijinghexagramsymbols}', "");
Expect(0, 19968, '\p{Block: yijinghexagramsymbols}', "");
Expect(1, 19968, '\p{^Block: yijinghexagramsymbols}', "");
Expect(1, 19968, '\P{Block: yijinghexagramsymbols}', "");
Expect(0, 19968, '\P{^Block: yijinghexagramsymbols}', "");
Expect(1, 19967, '\p{Block= -YIJING_Hexagram_Symbols}', "");
Expect(0, 19967, '\p{^Block= -YIJING_Hexagram_Symbols}', "");
Expect(0, 19967, '\P{Block= -YIJING_Hexagram_Symbols}', "");
Expect(1, 19967, '\P{^Block= -YIJING_Hexagram_Symbols}', "");
Expect(0, 19968, '\p{Block= -YIJING_Hexagram_Symbols}', "");
Expect(1, 19968, '\p{^Block= -YIJING_Hexagram_Symbols}', "");
Expect(1, 19968, '\P{Block= -YIJING_Hexagram_Symbols}', "");
Expect(0, 19968, '\P{^Block= -YIJING_Hexagram_Symbols}', "");
Error('\p{Blk=-_Yijing:=}');
Error('\P{Blk=-_Yijing:=}');
Expect(1, 19967, '\p{Blk=yijing}', "");
Expect(0, 19967, '\p{^Blk=yijing}', "");
Expect(0, 19967, '\P{Blk=yijing}', "");
Expect(1, 19967, '\P{^Blk=yijing}', "");
Expect(0, 19968, '\p{Blk=yijing}', "");
Expect(1, 19968, '\p{^Blk=yijing}', "");
Expect(1, 19968, '\P{Blk=yijing}', "");
Expect(0, 19968, '\P{^Blk=yijing}', "");
Expect(1, 19967, '\p{Blk=	 YIJING}', "");
Expect(0, 19967, '\p{^Blk=	 YIJING}', "");
Expect(0, 19967, '\P{Blk=	 YIJING}', "");
Expect(1, 19967, '\P{^Blk=	 YIJING}', "");
Expect(0, 19968, '\p{Blk=	 YIJING}', "");
Expect(1, 19968, '\p{^Blk=	 YIJING}', "");
Expect(1, 19968, '\P{Blk=	 YIJING}', "");
Expect(0, 19968, '\P{^Blk=	 YIJING}', "");
Error('\p{Is_Block=:=-_Yijing_Hexagram_SYMBOLS}');
Error('\P{Is_Block=:=-_Yijing_Hexagram_SYMBOLS}');
Expect(1, 19967, '\p{Is_Block=yijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^Is_Block=yijinghexagramsymbols}', "");
Expect(0, 19967, '\P{Is_Block=yijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^Is_Block=yijinghexagramsymbols}', "");
Expect(0, 19968, '\p{Is_Block=yijinghexagramsymbols}', "");
Expect(1, 19968, '\p{^Is_Block=yijinghexagramsymbols}', "");
Expect(1, 19968, '\P{Is_Block=yijinghexagramsymbols}', "");
Expect(0, 19968, '\P{^Is_Block=yijinghexagramsymbols}', "");
Expect(1, 19967, '\p{Is_Block=	yijing_HEXAGRAM_SYMBOLS}', "");
Expect(0, 19967, '\p{^Is_Block=	yijing_HEXAGRAM_SYMBOLS}', "");
Expect(0, 19967, '\P{Is_Block=	yijing_HEXAGRAM_SYMBOLS}', "");
Expect(1, 19967, '\P{^Is_Block=	yijing_HEXAGRAM_SYMBOLS}', "");
Expect(0, 19968, '\p{Is_Block=	yijing_HEXAGRAM_SYMBOLS}', "");
Expect(1, 19968, '\p{^Is_Block=	yijing_HEXAGRAM_SYMBOLS}', "");
Expect(1, 19968, '\P{Is_Block=	yijing_HEXAGRAM_SYMBOLS}', "");
Expect(0, 19968, '\P{^Is_Block=	yijing_HEXAGRAM_SYMBOLS}', "");
Error('\p{Is_Blk=:=	YIJING}');
Error('\P{Is_Blk=:=	YIJING}');
Expect(1, 19967, '\p{Is_Blk=yijing}', "");
Expect(0, 19967, '\p{^Is_Blk=yijing}', "");
Expect(0, 19967, '\P{Is_Blk=yijing}', "");
Expect(1, 19967, '\P{^Is_Blk=yijing}', "");
Expect(0, 19968, '\p{Is_Blk=yijing}', "");
Expect(1, 19968, '\p{^Is_Blk=yijing}', "");
Expect(1, 19968, '\P{Is_Blk=yijing}', "");
Expect(0, 19968, '\P{^Is_Blk=yijing}', "");
Error('\p{Bidi_Paired_Bracket_Type:	-_Close:=}');
Error('\P{Bidi_Paired_Bracket_Type:	-_Close:=}');
Expect(1, 65379, '\p{Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65379, '\p{^Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65379, '\P{Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65379, '\P{^Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65380, '\p{Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65380, '\p{^Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65380, '\P{Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65380, '\P{^Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65379, '\p{Bidi_Paired_Bracket_Type= -Close}', "");
Expect(0, 65379, '\p{^Bidi_Paired_Bracket_Type= -Close}', "");
Expect(0, 65379, '\P{Bidi_Paired_Bracket_Type= -Close}', "");
Expect(1, 65379, '\P{^Bidi_Paired_Bracket_Type= -Close}', "");
Expect(0, 65380, '\p{Bidi_Paired_Bracket_Type= -Close}', "");
Expect(1, 65380, '\p{^Bidi_Paired_Bracket_Type= -Close}', "");
Expect(1, 65380, '\P{Bidi_Paired_Bracket_Type= -Close}', "");
Expect(0, 65380, '\P{^Bidi_Paired_Bracket_Type= -Close}', "");
Error('\p{Bpt=/a/__C}');
Error('\P{Bpt=/a/__C}');
Expect(1, 65379, '\p{Bpt=c}', "");
Expect(0, 65379, '\p{^Bpt=c}', "");
Expect(0, 65379, '\P{Bpt=c}', "");
Expect(1, 65379, '\P{^Bpt=c}', "");
Expect(0, 65380, '\p{Bpt=c}', "");
Expect(1, 65380, '\p{^Bpt=c}', "");
Expect(1, 65380, '\P{Bpt=c}', "");
Expect(0, 65380, '\P{^Bpt=c}', "");
Expect(1, 65379, '\p{Bpt=-_C}', "");
Expect(0, 65379, '\p{^Bpt=-_C}', "");
Expect(0, 65379, '\P{Bpt=-_C}', "");
Expect(1, 65379, '\P{^Bpt=-_C}', "");
Expect(0, 65380, '\p{Bpt=-_C}', "");
Expect(1, 65380, '\p{^Bpt=-_C}', "");
Expect(1, 65380, '\P{Bpt=-_C}', "");
Expect(0, 65380, '\P{^Bpt=-_C}', "");
Error('\p{Is_Bidi_Paired_Bracket_Type=:=- CLOSE}');
Error('\P{Is_Bidi_Paired_Bracket_Type=:=- CLOSE}');
Expect(1, 65379, '\p{Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65379, '\p{^Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65379, '\P{Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65379, '\P{^Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65380, '\p{Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65380, '\p{^Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65380, '\P{Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65380, '\P{^Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65379, '\p{Is_Bidi_Paired_Bracket_Type= 	CLOSE}', "");
Expect(0, 65379, '\p{^Is_Bidi_Paired_Bracket_Type= 	CLOSE}', "");
Expect(0, 65379, '\P{Is_Bidi_Paired_Bracket_Type= 	CLOSE}', "");
Expect(1, 65379, '\P{^Is_Bidi_Paired_Bracket_Type= 	CLOSE}', "");
Expect(0, 65380, '\p{Is_Bidi_Paired_Bracket_Type= 	CLOSE}', "");
Expect(1, 65380, '\p{^Is_Bidi_Paired_Bracket_Type= 	CLOSE}', "");
Expect(1, 65380, '\P{Is_Bidi_Paired_Bracket_Type= 	CLOSE}', "");
Expect(0, 65380, '\P{^Is_Bidi_Paired_Bracket_Type= 	CLOSE}', "");
Error('\p{Is_Bpt: -/a/C}');
Error('\P{Is_Bpt: -/a/C}');
Expect(1, 65379, '\p{Is_Bpt=c}', "");
Expect(0, 65379, '\p{^Is_Bpt=c}', "");
Expect(0, 65379, '\P{Is_Bpt=c}', "");
Expect(1, 65379, '\P{^Is_Bpt=c}', "");
Expect(0, 65380, '\p{Is_Bpt=c}', "");
Expect(1, 65380, '\p{^Is_Bpt=c}', "");
Expect(1, 65380, '\P{Is_Bpt=c}', "");
Expect(0, 65380, '\P{^Is_Bpt=c}', "");
Expect(1, 65379, '\p{Is_Bpt=-_c}', "");
Expect(0, 65379, '\p{^Is_Bpt=-_c}', "");
Expect(0, 65379, '\P{Is_Bpt=-_c}', "");
Expect(1, 65379, '\P{^Is_Bpt=-_c}', "");
Expect(0, 65380, '\p{Is_Bpt=-_c}', "");
Expect(1, 65380, '\p{^Is_Bpt=-_c}', "");
Expect(1, 65380, '\P{Is_Bpt=-_c}', "");
Expect(0, 65380, '\P{^Is_Bpt=-_c}', "");
Error('\p{Bidi_Paired_Bracket_Type=	NONE:=}');
Error('\P{Bidi_Paired_Bracket_Type=	NONE:=}');
Expect(1, 65380, '\p{Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65380, '\p{^Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65380, '\P{Bidi_Paired_Bracket_Type=none}', "");
Expect(1, 65380, '\P{^Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65379, '\p{Bidi_Paired_Bracket_Type=none}', "");
Expect(1, 65379, '\p{^Bidi_Paired_Bracket_Type=none}', "");
Expect(1, 65379, '\P{Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65379, '\P{^Bidi_Paired_Bracket_Type=none}', "");
Error('\p{Bpt=-_n/a/}');
Error('\P{Bpt=-_n/a/}');
Expect(1, 65380, '\p{Bpt=n}', "");
Expect(0, 65380, '\p{^Bpt=n}', "");
Expect(0, 65380, '\P{Bpt=n}', "");
Expect(1, 65380, '\P{^Bpt=n}', "");
Expect(0, 65379, '\p{Bpt=n}', "");
Expect(1, 65379, '\p{^Bpt=n}', "");
Expect(1, 65379, '\P{Bpt=n}', "");
Expect(0, 65379, '\P{^Bpt=n}', "");
Expect(1, 65380, '\p{Bpt=		N}', "");
Expect(0, 65380, '\p{^Bpt=		N}', "");
Expect(0, 65380, '\P{Bpt=		N}', "");
Expect(1, 65380, '\P{^Bpt=		N}', "");
Expect(0, 65379, '\p{Bpt=		N}', "");
Expect(1, 65379, '\p{^Bpt=		N}', "");
Expect(1, 65379, '\P{Bpt=		N}', "");
Expect(0, 65379, '\P{^Bpt=		N}', "");
Error('\p{Is_Bidi_Paired_Bracket_Type=		None:=}');
Error('\P{Is_Bidi_Paired_Bracket_Type=		None:=}');
Expect(1, 65380, '\p{Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65380, '\p{^Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65380, '\P{Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(1, 65380, '\P{^Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65379, '\p{Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(1, 65379, '\p{^Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(1, 65379, '\P{Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65379, '\P{^Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(1, 65380, '\p{Is_Bidi_Paired_Bracket_Type= _None}', "");
Expect(0, 65380, '\p{^Is_Bidi_Paired_Bracket_Type= _None}', "");
Expect(0, 65380, '\P{Is_Bidi_Paired_Bracket_Type= _None}', "");
Expect(1, 65380, '\P{^Is_Bidi_Paired_Bracket_Type= _None}', "");
Expect(0, 65379, '\p{Is_Bidi_Paired_Bracket_Type= _None}', "");
Expect(1, 65379, '\p{^Is_Bidi_Paired_Bracket_Type= _None}', "");
Expect(1, 65379, '\P{Is_Bidi_Paired_Bracket_Type= _None}', "");
Expect(0, 65379, '\P{^Is_Bidi_Paired_Bracket_Type= _None}', "");
Error('\p{Is_Bpt=	n:=}');
Error('\P{Is_Bpt=	n:=}');
Expect(1, 65380, '\p{Is_Bpt:	n}', "");
Expect(0, 65380, '\p{^Is_Bpt:	n}', "");
Expect(0, 65380, '\P{Is_Bpt:	n}', "");
Expect(1, 65380, '\P{^Is_Bpt:	n}', "");
Expect(0, 65379, '\p{Is_Bpt:	n}', "");
Expect(1, 65379, '\p{^Is_Bpt:	n}', "");
Expect(1, 65379, '\P{Is_Bpt:	n}', "");
Expect(0, 65379, '\P{^Is_Bpt:	n}', "");
Expect(1, 65380, '\p{Is_Bpt:  _n}', "");
Expect(0, 65380, '\p{^Is_Bpt:  _n}', "");
Expect(0, 65380, '\P{Is_Bpt:  _n}', "");
Expect(1, 65380, '\P{^Is_Bpt:  _n}', "");
Expect(0, 65379, '\p{Is_Bpt:  _n}', "");
Expect(1, 65379, '\p{^Is_Bpt:  _n}', "");
Expect(1, 65379, '\P{Is_Bpt:  _n}', "");
Expect(0, 65379, '\P{^Is_Bpt:  _n}', "");
Error('\p{Bidi_Paired_Bracket_Type=/a/-_open}');
Error('\P{Bidi_Paired_Bracket_Type=/a/-_open}');
Expect(1, 65378, '\p{Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65378, '\p{^Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65378, '\P{Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65378, '\P{^Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65379, '\p{Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65379, '\p{^Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65379, '\P{Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65379, '\P{^Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65378, '\p{Bidi_Paired_Bracket_Type=OPEN}', "");
Expect(0, 65378, '\p{^Bidi_Paired_Bracket_Type=OPEN}', "");
Expect(0, 65378, '\P{Bidi_Paired_Bracket_Type=OPEN}', "");
Expect(1, 65378, '\P{^Bidi_Paired_Bracket_Type=OPEN}', "");
Expect(0, 65379, '\p{Bidi_Paired_Bracket_Type=OPEN}', "");
Expect(1, 65379, '\p{^Bidi_Paired_Bracket_Type=OPEN}', "");
Expect(1, 65379, '\P{Bidi_Paired_Bracket_Type=OPEN}', "");
Expect(0, 65379, '\P{^Bidi_Paired_Bracket_Type=OPEN}', "");
Error('\p{Bpt=/a/		O}');
Error('\P{Bpt=/a/		O}');
Expect(1, 65378, '\p{Bpt=o}', "");
Expect(0, 65378, '\p{^Bpt=o}', "");
Expect(0, 65378, '\P{Bpt=o}', "");
Expect(1, 65378, '\P{^Bpt=o}', "");
Expect(0, 65379, '\p{Bpt=o}', "");
Expect(1, 65379, '\p{^Bpt=o}', "");
Expect(1, 65379, '\P{Bpt=o}', "");
Expect(0, 65379, '\P{^Bpt=o}', "");
Expect(1, 65378, '\p{Bpt=O}', "");
Expect(0, 65378, '\p{^Bpt=O}', "");
Expect(0, 65378, '\P{Bpt=O}', "");
Expect(1, 65378, '\P{^Bpt=O}', "");
Expect(0, 65379, '\p{Bpt=O}', "");
Expect(1, 65379, '\p{^Bpt=O}', "");
Expect(1, 65379, '\P{Bpt=O}', "");
Expect(0, 65379, '\P{^Bpt=O}', "");
Error('\p{Is_Bidi_Paired_Bracket_Type=:=  Open}');
Error('\P{Is_Bidi_Paired_Bracket_Type=:=  Open}');
Expect(1, 65378, '\p{Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65378, '\p{^Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65378, '\P{Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65378, '\P{^Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65379, '\p{Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65379, '\p{^Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65379, '\P{Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65379, '\P{^Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65378, '\p{Is_Bidi_Paired_Bracket_Type=_open}', "");
Expect(0, 65378, '\p{^Is_Bidi_Paired_Bracket_Type=_open}', "");
Expect(0, 65378, '\P{Is_Bidi_Paired_Bracket_Type=_open}', "");
Expect(1, 65378, '\P{^Is_Bidi_Paired_Bracket_Type=_open}', "");
Expect(0, 65379, '\p{Is_Bidi_Paired_Bracket_Type=_open}', "");
Expect(1, 65379, '\p{^Is_Bidi_Paired_Bracket_Type=_open}', "");
Expect(1, 65379, '\P{Is_Bidi_Paired_Bracket_Type=_open}', "");
Expect(0, 65379, '\P{^Is_Bidi_Paired_Bracket_Type=_open}', "");
Error('\p{Is_Bpt=_ o:=}');
Error('\P{Is_Bpt=_ o:=}');
Expect(1, 65378, '\p{Is_Bpt=o}', "");
Expect(0, 65378, '\p{^Is_Bpt=o}', "");
Expect(0, 65378, '\P{Is_Bpt=o}', "");
Expect(1, 65378, '\P{^Is_Bpt=o}', "");
Expect(0, 65379, '\p{Is_Bpt=o}', "");
Expect(1, 65379, '\p{^Is_Bpt=o}', "");
Expect(1, 65379, '\P{Is_Bpt=o}', "");
Expect(0, 65379, '\P{^Is_Bpt=o}', "");
Expect(1, 65378, '\p{Is_Bpt= 	O}', "");
Expect(0, 65378, '\p{^Is_Bpt= 	O}', "");
Expect(0, 65378, '\P{Is_Bpt= 	O}', "");
Expect(1, 65378, '\P{^Is_Bpt= 	O}', "");
Expect(0, 65379, '\p{Is_Bpt= 	O}', "");
Expect(1, 65379, '\p{^Is_Bpt= 	O}', "");
Expect(1, 65379, '\P{Is_Bpt= 	O}', "");
Expect(0, 65379, '\P{^Is_Bpt= 	O}', "");
Error('\p{Canonical_Combining_Class=-/a/above}');
Error('\P{Canonical_Combining_Class=-/a/above}');
Expect(1, 119364, '\p{Canonical_Combining_Class=above}', "");
Expect(0, 119364, '\p{^Canonical_Combining_Class=above}', "");
Expect(0, 119364, '\P{Canonical_Combining_Class=above}', "");
Expect(1, 119364, '\P{^Canonical_Combining_Class=above}', "");
Expect(0, 119365, '\p{Canonical_Combining_Class=above}', "");
Expect(1, 119365, '\p{^Canonical_Combining_Class=above}', "");
Expect(1, 119365, '\P{Canonical_Combining_Class=above}', "");
Expect(0, 119365, '\P{^Canonical_Combining_Class=above}', "");
Expect(1, 119364, '\p{Canonical_Combining_Class=	-Above}', "");
Expect(0, 119364, '\p{^Canonical_Combining_Class=	-Above}', "");
Expect(0, 119364, '\P{Canonical_Combining_Class=	-Above}', "");
Expect(1, 119364, '\P{^Canonical_Combining_Class=	-Above}', "");
Expect(0, 119365, '\p{Canonical_Combining_Class=	-Above}', "");
Expect(1, 119365, '\p{^Canonical_Combining_Class=	-Above}', "");
Expect(1, 119365, '\P{Canonical_Combining_Class=	-Above}', "");
Expect(0, 119365, '\P{^Canonical_Combining_Class=	-Above}', "");
Error('\p{Ccc=-/a/a}');
Error('\P{Ccc=-/a/a}');
Expect(1, 119364, '\p{Ccc:	a}', "");
Expect(0, 119364, '\p{^Ccc:	a}', "");
Expect(0, 119364, '\P{Ccc:	a}', "");
Expect(1, 119364, '\P{^Ccc:	a}', "");
Expect(0, 119365, '\p{Ccc:	a}', "");
Expect(1, 119365, '\p{^Ccc:	a}', "");
Expect(1, 119365, '\P{Ccc:	a}', "");
Expect(0, 119365, '\P{^Ccc:	a}', "");
Expect(1, 119364, '\p{Ccc=__a}', "");
Expect(0, 119364, '\p{^Ccc=__a}', "");
Expect(0, 119364, '\P{Ccc=__a}', "");
Expect(1, 119364, '\P{^Ccc=__a}', "");
Expect(0, 119365, '\p{Ccc=__a}', "");
Expect(1, 119365, '\p{^Ccc=__a}', "");
Expect(1, 119365, '\P{Ccc=__a}', "");
Expect(0, 119365, '\P{^Ccc=__a}', "");
Error('\p{Is_Canonical_Combining_Class=:=23_0}');
Error('\P{Is_Canonical_Combining_Class=:=23_0}');
Expect(1, 119364, '\p{Is_Canonical_Combining_Class=00000230}', "");
Expect(0, 119364, '\p{^Is_Canonical_Combining_Class=00000230}', "");
Expect(0, 119364, '\P{Is_Canonical_Combining_Class=00000230}', "");
Expect(1, 119364, '\P{^Is_Canonical_Combining_Class=00000230}', "");
Expect(0, 119365, '\p{Is_Canonical_Combining_Class=00000230}', "");
Expect(1, 119365, '\p{^Is_Canonical_Combining_Class=00000230}', "");
Expect(1, 119365, '\P{Is_Canonical_Combining_Class=00000230}', "");
Expect(0, 119365, '\P{^Is_Canonical_Combining_Class=00000230}', "");
Error('\p{Is_Ccc=	above/a/}');
Error('\P{Is_Ccc=	above/a/}');
Expect(1, 119364, '\p{Is_Ccc=above}', "");
Expect(0, 119364, '\p{^Is_Ccc=above}', "");
Expect(0, 119364, '\P{Is_Ccc=above}', "");
Expect(1, 119364, '\P{^Is_Ccc=above}', "");
Expect(0, 119365, '\p{Is_Ccc=above}', "");
Expect(1, 119365, '\p{^Is_Ccc=above}', "");
Expect(1, 119365, '\P{Is_Ccc=above}', "");
Expect(0, 119365, '\P{^Is_Ccc=above}', "");
Expect(1, 119364, '\p{Is_Ccc= _Above}', "");
Expect(0, 119364, '\p{^Is_Ccc= _Above}', "");
Expect(0, 119364, '\P{Is_Ccc= _Above}', "");
Expect(1, 119364, '\P{^Is_Ccc= _Above}', "");
Expect(0, 119365, '\p{Is_Ccc= _Above}', "");
Expect(1, 119365, '\p{^Is_Ccc= _Above}', "");
Expect(1, 119365, '\P{Is_Ccc= _Above}', "");
Expect(0, 119365, '\P{^Is_Ccc= _Above}', "");
Error('\p{Canonical_Combining_Class= -Above_Left/a/}');
Error('\P{Canonical_Combining_Class= -Above_Left/a/}');
Expect(1, 12331, '\p{Canonical_Combining_Class=aboveleft}', "");
Expect(0, 12331, '\p{^Canonical_Combining_Class=aboveleft}', "");
Expect(0, 12331, '\P{Canonical_Combining_Class=aboveleft}', "");
Expect(1, 12331, '\P{^Canonical_Combining_Class=aboveleft}', "");
Expect(0, 12332, '\p{Canonical_Combining_Class=aboveleft}', "");
Expect(1, 12332, '\p{^Canonical_Combining_Class=aboveleft}', "");
Expect(1, 12332, '\P{Canonical_Combining_Class=aboveleft}', "");
Expect(0, 12332, '\P{^Canonical_Combining_Class=aboveleft}', "");
Expect(1, 12331, '\p{Canonical_Combining_Class:   - ABOVE_Left}', "");
Expect(0, 12331, '\p{^Canonical_Combining_Class:   - ABOVE_Left}', "");
Expect(0, 12331, '\P{Canonical_Combining_Class:   - ABOVE_Left}', "");
Expect(1, 12331, '\P{^Canonical_Combining_Class:   - ABOVE_Left}', "");
Expect(0, 12332, '\p{Canonical_Combining_Class:   - ABOVE_Left}', "");
Expect(1, 12332, '\p{^Canonical_Combining_Class:   - ABOVE_Left}', "");
Expect(1, 12332, '\P{Canonical_Combining_Class:   - ABOVE_Left}', "");
Expect(0, 12332, '\P{^Canonical_Combining_Class:   - ABOVE_Left}', "");
Error('\p{Ccc=:= 	AL}');
Error('\P{Ccc=:= 	AL}');
Expect(1, 12331, '\p{Ccc=al}', "");
Expect(0, 12331, '\p{^Ccc=al}', "");
Expect(0, 12331, '\P{Ccc=al}', "");
Expect(1, 12331, '\P{^Ccc=al}', "");
Expect(0, 12332, '\p{Ccc=al}', "");
Expect(1, 12332, '\p{^Ccc=al}', "");
Expect(1, 12332, '\P{Ccc=al}', "");
Expect(0, 12332, '\P{^Ccc=al}', "");
Expect(1, 12331, '\p{Ccc=-_AL}', "");
Expect(0, 12331, '\p{^Ccc=-_AL}', "");
Expect(0, 12331, '\P{Ccc=-_AL}', "");
Expect(1, 12331, '\P{^Ccc=-_AL}', "");
Expect(0, 12332, '\p{Ccc=-_AL}', "");
Expect(1, 12332, '\p{^Ccc=-_AL}', "");
Expect(1, 12332, '\P{Ccc=-_AL}', "");
Expect(0, 12332, '\P{^Ccc=-_AL}', "");
Error('\p{Is_Canonical_Combining_Class:   _/a/0228}');
Error('\P{Is_Canonical_Combining_Class:   _/a/0228}');
Expect(1, 12331, '\p{Is_Canonical_Combining_Class=000000228}', "");
Expect(0, 12331, '\p{^Is_Canonical_Combining_Class=000000228}', "");
Expect(0, 12331, '\P{Is_Canonical_Combining_Class=000000228}', "");
Expect(1, 12331, '\P{^Is_Canonical_Combining_Class=000000228}', "");
Expect(0, 12332, '\p{Is_Canonical_Combining_Class=000000228}', "");
Expect(1, 12332, '\p{^Is_Canonical_Combining_Class=000000228}', "");
Expect(1, 12332, '\P{Is_Canonical_Combining_Class=000000228}', "");
Expect(0, 12332, '\P{^Is_Canonical_Combining_Class=000000228}', "");
Error('\p{Is_Ccc=	-Above_Left/a/}');
Error('\P{Is_Ccc=	-Above_Left/a/}');
Expect(1, 12331, '\p{Is_Ccc=aboveleft}', "");
Expect(0, 12331, '\p{^Is_Ccc=aboveleft}', "");
Expect(0, 12331, '\P{Is_Ccc=aboveleft}', "");
Expect(1, 12331, '\P{^Is_Ccc=aboveleft}', "");
Expect(0, 12332, '\p{Is_Ccc=aboveleft}', "");
Expect(1, 12332, '\p{^Is_Ccc=aboveleft}', "");
Expect(1, 12332, '\P{Is_Ccc=aboveleft}', "");
Expect(0, 12332, '\P{^Is_Ccc=aboveleft}', "");
Expect(1, 12331, '\p{Is_Ccc: 	_Above_Left}', "");
Expect(0, 12331, '\p{^Is_Ccc: 	_Above_Left}', "");
Expect(0, 12331, '\P{Is_Ccc: 	_Above_Left}', "");
Expect(1, 12331, '\P{^Is_Ccc: 	_Above_Left}', "");
Expect(0, 12332, '\p{Is_Ccc: 	_Above_Left}', "");
Expect(1, 12332, '\p{^Is_Ccc: 	_Above_Left}', "");
Expect(1, 12332, '\P{Is_Ccc: 	_Above_Left}', "");
Expect(0, 12332, '\P{^Is_Ccc: 	_Above_Left}', "");
Error('\p{Canonical_Combining_Class=:= Above_Right}');
Error('\P{Canonical_Combining_Class=:= Above_Right}');
Expect(1, 12332, '\p{Canonical_Combining_Class=aboveright}', "");
Expect(0, 12332, '\p{^Canonical_Combining_Class=aboveright}', "");
Expect(0, 12332, '\P{Canonical_Combining_Class=aboveright}', "");
Expect(1, 12332, '\P{^Canonical_Combining_Class=aboveright}', "");
Expect(0, 12333, '\p{Canonical_Combining_Class=aboveright}', "");
Expect(1, 12333, '\p{^Canonical_Combining_Class=aboveright}', "");
Expect(1, 12333, '\P{Canonical_Combining_Class=aboveright}', "");
Expect(0, 12333, '\P{^Canonical_Combining_Class=aboveright}', "");
Expect(1, 12332, '\p{Canonical_Combining_Class=	ABOVE_right}', "");
Expect(0, 12332, '\p{^Canonical_Combining_Class=	ABOVE_right}', "");
Expect(0, 12332, '\P{Canonical_Combining_Class=	ABOVE_right}', "");
Expect(1, 12332, '\P{^Canonical_Combining_Class=	ABOVE_right}', "");
Expect(0, 12333, '\p{Canonical_Combining_Class=	ABOVE_right}', "");
Expect(1, 12333, '\p{^Canonical_Combining_Class=	ABOVE_right}', "");
Expect(1, 12333, '\P{Canonical_Combining_Class=	ABOVE_right}', "");
Expect(0, 12333, '\P{^Canonical_Combining_Class=	ABOVE_right}', "");
Error('\p{Ccc= 	ar:=}');
Error('\P{Ccc= 	ar:=}');
Expect(1, 12332, '\p{Ccc=ar}', "");
Expect(0, 12332, '\p{^Ccc=ar}', "");
Expect(0, 12332, '\P{Ccc=ar}', "");
Expect(1, 12332, '\P{^Ccc=ar}', "");
Expect(0, 12333, '\p{Ccc=ar}', "");
Expect(1, 12333, '\p{^Ccc=ar}', "");
Expect(1, 12333, '\P{Ccc=ar}', "");
Expect(0, 12333, '\P{^Ccc=ar}', "");
Expect(1, 12332, '\p{Ccc=	 AR}', "");
Expect(0, 12332, '\p{^Ccc=	 AR}', "");
Expect(0, 12332, '\P{Ccc=	 AR}', "");
Expect(1, 12332, '\P{^Ccc=	 AR}', "");
Expect(0, 12333, '\p{Ccc=	 AR}', "");
Expect(1, 12333, '\p{^Ccc=	 AR}', "");
Expect(1, 12333, '\P{Ccc=	 AR}', "");
Expect(0, 12333, '\P{^Ccc=	 AR}', "");
Error('\p{Is_Canonical_Combining_Class=	/a/0_0_0_0_0_0_232}');
Error('\P{Is_Canonical_Combining_Class=	/a/0_0_0_0_0_0_232}');
Expect(1, 12332, '\p{Is_Canonical_Combining_Class=+0000_0023_2}', "");
Expect(0, 12332, '\p{^Is_Canonical_Combining_Class=+0000_0023_2}', "");
Expect(0, 12332, '\P{Is_Canonical_Combining_Class=+0000_0023_2}', "");
Expect(1, 12332, '\P{^Is_Canonical_Combining_Class=+0000_0023_2}', "");
Expect(0, 12333, '\p{Is_Canonical_Combining_Class=+0000_0023_2}', "");
Expect(1, 12333, '\p{^Is_Canonical_Combining_Class=+0000_0023_2}', "");
Expect(1, 12333, '\P{Is_Canonical_Combining_Class=+0000_0023_2}', "");
Expect(0, 12333, '\P{^Is_Canonical_Combining_Class=+0000_0023_2}', "");
Error('\p{Is_Ccc=/a/ 	above_RIGHT}');
Error('\P{Is_Ccc=/a/ 	above_RIGHT}');
Expect(1, 12332, '\p{Is_Ccc=aboveright}', "");
Expect(0, 12332, '\p{^Is_Ccc=aboveright}', "");
Expect(0, 12332, '\P{Is_Ccc=aboveright}', "");
Expect(1, 12332, '\P{^Is_Ccc=aboveright}', "");
Expect(0, 12333, '\p{Is_Ccc=aboveright}', "");
Expect(1, 12333, '\p{^Is_Ccc=aboveright}', "");
Expect(1, 12333, '\P{Is_Ccc=aboveright}', "");
Expect(0, 12333, '\P{^Is_Ccc=aboveright}', "");
Expect(1, 12332, '\p{Is_Ccc: -ABOVE_right}', "");
Expect(0, 12332, '\p{^Is_Ccc: -ABOVE_right}', "");
Expect(0, 12332, '\P{Is_Ccc: -ABOVE_right}', "");
Expect(1, 12332, '\P{^Is_Ccc: -ABOVE_right}', "");
Expect(0, 12333, '\p{Is_Ccc: -ABOVE_right}', "");
Expect(1, 12333, '\p{^Is_Ccc: -ABOVE_right}', "");
Expect(1, 12333, '\P{Is_Ccc: -ABOVE_right}', "");
Expect(0, 12333, '\P{^Is_Ccc: -ABOVE_right}', "");
Error('\p{Canonical_Combining_Class=:=	Attached_Above}');
Error('\P{Canonical_Combining_Class=:=	Attached_Above}');
Expect(1, 7630, '\p{Canonical_Combining_Class=attachedabove}', "");
Expect(0, 7630, '\p{^Canonical_Combining_Class=attachedabove}', "");
Expect(0, 7630, '\P{Canonical_Combining_Class=attachedabove}', "");
Expect(1, 7630, '\P{^Canonical_Combining_Class=attachedabove}', "");
Expect(0, 7631, '\p{Canonical_Combining_Class=attachedabove}', "");
Expect(1, 7631, '\p{^Canonical_Combining_Class=attachedabove}', "");
Expect(1, 7631, '\P{Canonical_Combining_Class=attachedabove}', "");
Expect(0, 7631, '\P{^Canonical_Combining_Class=attachedabove}', "");
Expect(1, 7630, '\p{Canonical_Combining_Class=		ATTACHED_Above}', "");
Expect(0, 7630, '\p{^Canonical_Combining_Class=		ATTACHED_Above}', "");
Expect(0, 7630, '\P{Canonical_Combining_Class=		ATTACHED_Above}', "");
Expect(1, 7630, '\P{^Canonical_Combining_Class=		ATTACHED_Above}', "");
Expect(0, 7631, '\p{Canonical_Combining_Class=		ATTACHED_Above}', "");
Expect(1, 7631, '\p{^Canonical_Combining_Class=		ATTACHED_Above}', "");
Expect(1, 7631, '\P{Canonical_Combining_Class=		ATTACHED_Above}', "");
Expect(0, 7631, '\P{^Canonical_Combining_Class=		ATTACHED_Above}', "");
Error('\p{Ccc=_:=ATA}');
Error('\P{Ccc=_:=ATA}');
Expect(1, 7630, '\p{Ccc=ata}', "");
Expect(0, 7630, '\p{^Ccc=ata}', "");
Expect(0, 7630, '\P{Ccc=ata}', "");
Expect(1, 7630, '\P{^Ccc=ata}', "");
Expect(0, 7631, '\p{Ccc=ata}', "");
Expect(1, 7631, '\p{^Ccc=ata}', "");
Expect(1, 7631, '\P{Ccc=ata}', "");
Expect(0, 7631, '\P{^Ccc=ata}', "");
Expect(1, 7630, '\p{Ccc=_ATA}', "");
Expect(0, 7630, '\p{^Ccc=_ATA}', "");
Expect(0, 7630, '\P{Ccc=_ATA}', "");
Expect(1, 7630, '\P{^Ccc=_ATA}', "");
Expect(0, 7631, '\p{Ccc=_ATA}', "");
Expect(1, 7631, '\p{^Ccc=_ATA}', "");
Expect(1, 7631, '\P{Ccc=_ATA}', "");
Expect(0, 7631, '\P{^Ccc=_ATA}', "");
Error('\p{Is_Canonical_Combining_Class=/a/_ 0_0_0_0_0_0_0_0_214}');
Error('\P{Is_Canonical_Combining_Class=/a/_ 0_0_0_0_0_0_0_0_214}');
Expect(1, 7630, '\p{Is_Canonical_Combining_Class=000_002_14}', "");
Expect(0, 7630, '\p{^Is_Canonical_Combining_Class=000_002_14}', "");
Expect(0, 7630, '\P{Is_Canonical_Combining_Class=000_002_14}', "");
Expect(1, 7630, '\P{^Is_Canonical_Combining_Class=000_002_14}', "");
Expect(0, 7631, '\p{Is_Canonical_Combining_Class=000_002_14}', "");
Expect(1, 7631, '\p{^Is_Canonical_Combining_Class=000_002_14}', "");
Expect(1, 7631, '\P{Is_Canonical_Combining_Class=000_002_14}', "");
Expect(0, 7631, '\P{^Is_Canonical_Combining_Class=000_002_14}', "");
Error('\p{Is_Ccc=/a/ attached_Above}');
Error('\P{Is_Ccc=/a/ attached_Above}');
Expect(1, 7630, '\p{Is_Ccc=attachedabove}', "");
Expect(0, 7630, '\p{^Is_Ccc=attachedabove}', "");
Expect(0, 7630, '\P{Is_Ccc=attachedabove}', "");
Expect(1, 7630, '\P{^Is_Ccc=attachedabove}', "");
Expect(0, 7631, '\p{Is_Ccc=attachedabove}', "");
Expect(1, 7631, '\p{^Is_Ccc=attachedabove}', "");
Expect(1, 7631, '\P{Is_Ccc=attachedabove}', "");
Expect(0, 7631, '\P{^Is_Ccc=attachedabove}', "");
Expect(1, 7630, '\p{Is_Ccc=_	Attached_Above}', "");
Expect(0, 7630, '\p{^Is_Ccc=_	Attached_Above}', "");
Expect(0, 7630, '\P{Is_Ccc=_	Attached_Above}', "");
Expect(1, 7630, '\P{^Is_Ccc=_	Attached_Above}', "");
Expect(0, 7631, '\p{Is_Ccc=_	Attached_Above}', "");
Expect(1, 7631, '\p{^Is_Ccc=_	Attached_Above}', "");
Expect(1, 7631, '\P{Is_Ccc=_	Attached_Above}', "");
Expect(0, 7631, '\P{^Is_Ccc=_	Attached_Above}', "");
Error('\p{Canonical_Combining_Class=	_attached_Above_Right/a/}');
Error('\P{Canonical_Combining_Class=	_attached_Above_Right/a/}');
Expect(1, 119154, '\p{Canonical_Combining_Class=attachedaboveright}', "");
Expect(0, 119154, '\p{^Canonical_Combining_Class=attachedaboveright}', "");
Expect(0, 119154, '\P{Canonical_Combining_Class=attachedaboveright}', "");
Expect(1, 119154, '\P{^Canonical_Combining_Class=attachedaboveright}', "");
Expect(0, 119155, '\p{Canonical_Combining_Class=attachedaboveright}', "");
Expect(1, 119155, '\p{^Canonical_Combining_Class=attachedaboveright}', "");
Expect(1, 119155, '\P{Canonical_Combining_Class=attachedaboveright}', "");
Expect(0, 119155, '\P{^Canonical_Combining_Class=attachedaboveright}', "");
Expect(1, 119154, '\p{Canonical_Combining_Class=	 ATTACHED_ABOVE_Right}', "");
Expect(0, 119154, '\p{^Canonical_Combining_Class=	 ATTACHED_ABOVE_Right}', "");
Expect(0, 119154, '\P{Canonical_Combining_Class=	 ATTACHED_ABOVE_Right}', "");
Expect(1, 119154, '\P{^Canonical_Combining_Class=	 ATTACHED_ABOVE_Right}', "");
Expect(0, 119155, '\p{Canonical_Combining_Class=	 ATTACHED_ABOVE_Right}', "");
Expect(1, 119155, '\p{^Canonical_Combining_Class=	 ATTACHED_ABOVE_Right}', "");
Expect(1, 119155, '\P{Canonical_Combining_Class=	 ATTACHED_ABOVE_Right}', "");
Expect(0, 119155, '\P{^Canonical_Combining_Class=	 ATTACHED_ABOVE_Right}', "");
Error('\p{Ccc=/a/	atar}');
Error('\P{Ccc=/a/	atar}');
Expect(1, 119154, '\p{Ccc:   atar}', "");
Expect(0, 119154, '\p{^Ccc:   atar}', "");
Expect(0, 119154, '\P{Ccc:   atar}', "");
Expect(1, 119154, '\P{^Ccc:   atar}', "");
Expect(0, 119155, '\p{Ccc:   atar}', "");
Expect(1, 119155, '\p{^Ccc:   atar}', "");
Expect(1, 119155, '\P{Ccc:   atar}', "");
Expect(0, 119155, '\P{^Ccc:   atar}', "");
Expect(1, 119154, '\p{Ccc= ATAR}', "");
Expect(0, 119154, '\p{^Ccc= ATAR}', "");
Expect(0, 119154, '\P{Ccc= ATAR}', "");
Expect(1, 119154, '\P{^Ccc= ATAR}', "");
Expect(0, 119155, '\p{Ccc= ATAR}', "");
Expect(1, 119155, '\p{^Ccc= ATAR}', "");
Expect(1, 119155, '\P{Ccc= ATAR}', "");
Expect(0, 119155, '\P{^Ccc= ATAR}', "");
Error('\p{Is_Canonical_Combining_Class=:=-000000216}');
Error('\P{Is_Canonical_Combining_Class=:=-000000216}');
Expect(1, 119154, '\p{Is_Canonical_Combining_Class=0000216}', "");
Expect(0, 119154, '\p{^Is_Canonical_Combining_Class=0000216}', "");
Expect(0, 119154, '\P{Is_Canonical_Combining_Class=0000216}', "");
Expect(1, 119154, '\P{^Is_Canonical_Combining_Class=0000216}', "");
Expect(0, 119155, '\p{Is_Canonical_Combining_Class=0000216}', "");
Expect(1, 119155, '\p{^Is_Canonical_Combining_Class=0000216}', "");
Expect(1, 119155, '\P{Is_Canonical_Combining_Class=0000216}', "");
Expect(0, 119155, '\P{^Is_Canonical_Combining_Class=0000216}', "");
Error('\p{Is_Ccc=/a/- attached_ABOVE_RIGHT}');
Error('\P{Is_Ccc=/a/- attached_ABOVE_RIGHT}');
Expect(1, 119154, '\p{Is_Ccc=attachedaboveright}', "");
Expect(0, 119154, '\p{^Is_Ccc=attachedaboveright}', "");
Expect(0, 119154, '\P{Is_Ccc=attachedaboveright}', "");
Expect(1, 119154, '\P{^Is_Ccc=attachedaboveright}', "");
Expect(0, 119155, '\p{Is_Ccc=attachedaboveright}', "");
Expect(1, 119155, '\p{^Is_Ccc=attachedaboveright}', "");
Expect(1, 119155, '\P{Is_Ccc=attachedaboveright}', "");
Expect(0, 119155, '\P{^Is_Ccc=attachedaboveright}', "");
Expect(1, 119154, '\p{Is_Ccc=- attached_Above_right}', "");
Expect(0, 119154, '\p{^Is_Ccc=- attached_Above_right}', "");
Expect(0, 119154, '\P{Is_Ccc=- attached_Above_right}', "");
Expect(1, 119154, '\P{^Is_Ccc=- attached_Above_right}', "");
Expect(0, 119155, '\p{Is_Ccc=- attached_Above_right}', "");
Expect(1, 119155, '\p{^Is_Ccc=- attached_Above_right}', "");
Expect(1, 119155, '\P{Is_Ccc=- attached_Above_right}', "");
Expect(0, 119155, '\P{^Is_Ccc=- attached_Above_right}', "");
Error('\p{Canonical_Combining_Class=Attached_Below:=}');
Error('\P{Canonical_Combining_Class=Attached_Below:=}');
Expect(1, 7632, '\p{Canonical_Combining_Class=attachedbelow}', "");
Expect(0, 7632, '\p{^Canonical_Combining_Class=attachedbelow}', "");
Expect(0, 7632, '\P{Canonical_Combining_Class=attachedbelow}', "");
Expect(1, 7632, '\P{^Canonical_Combining_Class=attachedbelow}', "");
Expect(0, 7633, '\p{Canonical_Combining_Class=attachedbelow}', "");
Expect(1, 7633, '\p{^Canonical_Combining_Class=attachedbelow}', "");
Expect(1, 7633, '\P{Canonical_Combining_Class=attachedbelow}', "");
Expect(0, 7633, '\P{^Canonical_Combining_Class=attachedbelow}', "");
Expect(1, 7632, '\p{Canonical_Combining_Class= Attached_below}', "");
Expect(0, 7632, '\p{^Canonical_Combining_Class= Attached_below}', "");
Expect(0, 7632, '\P{Canonical_Combining_Class= Attached_below}', "");
Expect(1, 7632, '\P{^Canonical_Combining_Class= Attached_below}', "");
Expect(0, 7633, '\p{Canonical_Combining_Class= Attached_below}', "");
Expect(1, 7633, '\p{^Canonical_Combining_Class= Attached_below}', "");
Expect(1, 7633, '\P{Canonical_Combining_Class= Attached_below}', "");
Expect(0, 7633, '\P{^Canonical_Combining_Class= Attached_below}', "");
Error('\p{Ccc=_/a/atb}');
Error('\P{Ccc=_/a/atb}');
Expect(1, 7632, '\p{Ccc=atb}', "");
Expect(0, 7632, '\p{^Ccc=atb}', "");
Expect(0, 7632, '\P{Ccc=atb}', "");
Expect(1, 7632, '\P{^Ccc=atb}', "");
Expect(0, 7633, '\p{Ccc=atb}', "");
Expect(1, 7633, '\p{^Ccc=atb}', "");
Expect(1, 7633, '\P{Ccc=atb}', "");
Expect(0, 7633, '\P{^Ccc=atb}', "");
Expect(1, 7632, '\p{Ccc= -ATB}', "");
Expect(0, 7632, '\p{^Ccc= -ATB}', "");
Expect(0, 7632, '\P{Ccc= -ATB}', "");
Expect(1, 7632, '\P{^Ccc= -ATB}', "");
Expect(0, 7633, '\p{Ccc= -ATB}', "");
Expect(1, 7633, '\p{^Ccc= -ATB}', "");
Expect(1, 7633, '\P{Ccc= -ATB}', "");
Expect(0, 7633, '\P{^Ccc= -ATB}', "");
Error('\p{Is_Canonical_Combining_Class=_000_020_2:=}');
Error('\P{Is_Canonical_Combining_Class=_000_020_2:=}');
Expect(1, 7632, '\p{Is_Canonical_Combining_Class=00_00_20_2}', "");
Expect(0, 7632, '\p{^Is_Canonical_Combining_Class=00_00_20_2}', "");
Expect(0, 7632, '\P{Is_Canonical_Combining_Class=00_00_20_2}', "");
Expect(1, 7632, '\P{^Is_Canonical_Combining_Class=00_00_20_2}', "");
Expect(0, 7633, '\p{Is_Canonical_Combining_Class=00_00_20_2}', "");
Expect(1, 7633, '\p{^Is_Canonical_Combining_Class=00_00_20_2}', "");
Expect(1, 7633, '\P{Is_Canonical_Combining_Class=00_00_20_2}', "");
Expect(0, 7633, '\P{^Is_Canonical_Combining_Class=00_00_20_2}', "");
Error('\p{Is_Ccc=/a/_	Attached_Below}');
Error('\P{Is_Ccc=/a/_	Attached_Below}');
Expect(1, 7632, '\p{Is_Ccc=attachedbelow}', "");
Expect(0, 7632, '\p{^Is_Ccc=attachedbelow}', "");
Expect(0, 7632, '\P{Is_Ccc=attachedbelow}', "");
Expect(1, 7632, '\P{^Is_Ccc=attachedbelow}', "");
Expect(0, 7633, '\p{Is_Ccc=attachedbelow}', "");
Expect(1, 7633, '\p{^Is_Ccc=attachedbelow}', "");
Expect(1, 7633, '\P{Is_Ccc=attachedbelow}', "");
Expect(0, 7633, '\P{^Is_Ccc=attachedbelow}', "");
Expect(1, 7632, '\p{Is_Ccc: _ATTACHED_Below}', "");
Expect(0, 7632, '\p{^Is_Ccc: _ATTACHED_Below}', "");
Expect(0, 7632, '\P{Is_Ccc: _ATTACHED_Below}', "");
Expect(1, 7632, '\P{^Is_Ccc: _ATTACHED_Below}', "");
Expect(0, 7633, '\p{Is_Ccc: _ATTACHED_Below}', "");
Expect(1, 7633, '\p{^Is_Ccc: _ATTACHED_Below}', "");
Expect(1, 7633, '\P{Is_Ccc: _ATTACHED_Below}', "");
Expect(0, 7633, '\P{^Is_Ccc: _ATTACHED_Below}', "");
Error('\p{Canonical_Combining_Class= :=attached_BELOW_left}');
Error('\P{Canonical_Combining_Class= :=attached_BELOW_left}');
Expect(0, 1, '\p{Canonical_Combining_Class=attachedbelowleft}', "");
Expect(1, 1, '\p{^Canonical_Combining_Class=attachedbelowleft}', "");
Expect(1, 1, '\P{Canonical_Combining_Class=attachedbelowleft}', "");
Expect(0, 1, '\P{^Canonical_Combining_Class=attachedbelowleft}', "");
Expect(0, 1, '\p{Canonical_Combining_Class= Attached_below_Left}', "");
Expect(1, 1, '\p{^Canonical_Combining_Class= Attached_below_Left}', "");
Expect(1, 1, '\P{Canonical_Combining_Class= Attached_below_Left}', "");
Expect(0, 1, '\P{^Canonical_Combining_Class= Attached_below_Left}', "");
Error('\p{Ccc=:=-_atbl}');
Error('\P{Ccc=:=-_atbl}');
Expect(0, 1, '\p{Ccc=atbl}', "");
Expect(1, 1, '\p{^Ccc=atbl}', "");
Expect(1, 1, '\P{Ccc=atbl}', "");
Expect(0, 1, '\P{^Ccc=atbl}', "");
Expect(0, 1, '\p{Ccc=_-ATBL}', "");
Expect(1, 1, '\p{^Ccc=_-ATBL}', "");
Expect(1, 1, '\P{Ccc=_-ATBL}', "");
Expect(0, 1, '\P{^Ccc=_-ATBL}', "");
Error('\p{Is_Canonical_Combining_Class=/a/ _+0_0_0_0_0_0_0_2_00}');
Error('\P{Is_Canonical_Combining_Class=/a/ _+0_0_0_0_0_0_0_2_00}');
Expect(0, 1, '\p{Is_Canonical_Combining_Class=0020_0}', "");
Expect(1, 1, '\p{^Is_Canonical_Combining_Class=0020_0}', "");
Expect(1, 1, '\P{Is_Canonical_Combining_Class=0020_0}', "");
Expect(0, 1, '\P{^Is_Canonical_Combining_Class=0020_0}', "");
Error('\p{Is_Ccc=:=	-attached_below_Left}');
Error('\P{Is_Ccc=:=	-attached_below_Left}');
Expect(0, 1, '\p{Is_Ccc=attachedbelowleft}', "");
Expect(1, 1, '\p{^Is_Ccc=attachedbelowleft}', "");
Expect(1, 1, '\P{Is_Ccc=attachedbelowleft}', "");
Expect(0, 1, '\P{^Is_Ccc=attachedbelowleft}', "");
Expect(0, 1, '\p{Is_Ccc=_Attached_Below_Left}', "");
Expect(1, 1, '\p{^Is_Ccc=_Attached_Below_Left}', "");
Expect(1, 1, '\P{Is_Ccc=_Attached_Below_Left}', "");
Expect(0, 1, '\P{^Is_Ccc=_Attached_Below_Left}', "");
Error('\p{Canonical_Combining_Class=_:=Below}');
Error('\P{Canonical_Combining_Class=_:=Below}');
Expect(1, 125142, '\p{Canonical_Combining_Class=below}', "");
Expect(0, 125142, '\p{^Canonical_Combining_Class=below}', "");
Expect(0, 125142, '\P{Canonical_Combining_Class=below}', "");
Expect(1, 125142, '\P{^Canonical_Combining_Class=below}', "");
Expect(0, 125143, '\p{Canonical_Combining_Class=below}', "");
Expect(1, 125143, '\p{^Canonical_Combining_Class=below}', "");
Expect(1, 125143, '\P{Canonical_Combining_Class=below}', "");
Expect(0, 125143, '\P{^Canonical_Combining_Class=below}', "");
Expect(1, 125142, '\p{Canonical_Combining_Class=_	BELOW}', "");
Expect(0, 125142, '\p{^Canonical_Combining_Class=_	BELOW}', "");
Expect(0, 125142, '\P{Canonical_Combining_Class=_	BELOW}', "");
Expect(1, 125142, '\P{^Canonical_Combining_Class=_	BELOW}', "");
Expect(0, 125143, '\p{Canonical_Combining_Class=_	BELOW}', "");
Expect(1, 125143, '\p{^Canonical_Combining_Class=_	BELOW}', "");
Expect(1, 125143, '\P{Canonical_Combining_Class=_	BELOW}', "");
Expect(0, 125143, '\P{^Canonical_Combining_Class=_	BELOW}', "");
Error('\p{Ccc=__B:=}');
Error('\P{Ccc=__B:=}');
Expect(1, 125142, '\p{Ccc=b}', "");
Expect(0, 125142, '\p{^Ccc=b}', "");
Expect(0, 125142, '\P{Ccc=b}', "");
Expect(1, 125142, '\P{^Ccc=b}', "");
Expect(0, 125143, '\p{Ccc=b}', "");
Expect(1, 125143, '\p{^Ccc=b}', "");
Expect(1, 125143, '\P{Ccc=b}', "");
Expect(0, 125143, '\P{^Ccc=b}', "");
Expect(1, 125142, '\p{Ccc=_ B}', "");
Expect(0, 125142, '\p{^Ccc=_ B}', "");
Expect(0, 125142, '\P{Ccc=_ B}', "");
Expect(1, 125142, '\P{^Ccc=_ B}', "");
Expect(0, 125143, '\p{Ccc=_ B}', "");
Expect(1, 125143, '\p{^Ccc=_ B}', "");
Expect(1, 125143, '\P{Ccc=_ B}', "");
Expect(0, 125143, '\P{^Ccc=_ B}', "");
Error('\p{Is_Canonical_Combining_Class=/a/__000000220}');
Error('\P{Is_Canonical_Combining_Class=/a/__000000220}');
Expect(1, 125142, '\p{Is_Canonical_Combining_Class=+0000220}', "");
Expect(0, 125142, '\p{^Is_Canonical_Combining_Class=+0000220}', "");
Expect(0, 125142, '\P{Is_Canonical_Combining_Class=+0000220}', "");
Expect(1, 125142, '\P{^Is_Canonical_Combining_Class=+0000220}', "");
Expect(0, 125143, '\p{Is_Canonical_Combining_Class=+0000220}', "");
Expect(1, 125143, '\p{^Is_Canonical_Combining_Class=+0000220}', "");
Expect(1, 125143, '\P{Is_Canonical_Combining_Class=+0000220}', "");
Expect(0, 125143, '\P{^Is_Canonical_Combining_Class=+0000220}', "");
Error('\p{Is_Ccc=-Below/a/}');
Error('\P{Is_Ccc=-Below/a/}');
Expect(1, 125142, '\p{Is_Ccc=below}', "");
Expect(0, 125142, '\p{^Is_Ccc=below}', "");
Expect(0, 125142, '\P{Is_Ccc=below}', "");
Expect(1, 125142, '\P{^Is_Ccc=below}', "");
Expect(0, 125143, '\p{Is_Ccc=below}', "");
Expect(1, 125143, '\p{^Is_Ccc=below}', "");
Expect(1, 125143, '\P{Is_Ccc=below}', "");
Expect(0, 125143, '\P{^Is_Ccc=below}', "");
Expect(1, 125142, '\p{Is_Ccc=  BELOW}', "");
Expect(0, 125142, '\p{^Is_Ccc=  BELOW}', "");
Expect(0, 125142, '\P{Is_Ccc=  BELOW}', "");
Expect(1, 125142, '\P{^Is_Ccc=  BELOW}', "");
Expect(0, 125143, '\p{Is_Ccc=  BELOW}', "");
Expect(1, 125143, '\p{^Is_Ccc=  BELOW}', "");
Expect(1, 125143, '\P{Is_Ccc=  BELOW}', "");
Expect(0, 125143, '\P{^Is_Ccc=  BELOW}', "");
Error('\p{Canonical_Combining_Class=/a/		Below_Left}');
Error('\P{Canonical_Combining_Class=/a/		Below_Left}');
Expect(1, 12330, '\p{Canonical_Combining_Class=belowleft}', "");
Expect(0, 12330, '\p{^Canonical_Combining_Class=belowleft}', "");
Expect(0, 12330, '\P{Canonical_Combining_Class=belowleft}', "");
Expect(1, 12330, '\P{^Canonical_Combining_Class=belowleft}', "");
Expect(0, 12331, '\p{Canonical_Combining_Class=belowleft}', "");
Expect(1, 12331, '\p{^Canonical_Combining_Class=belowleft}', "");
Expect(1, 12331, '\P{Canonical_Combining_Class=belowleft}', "");
Expect(0, 12331, '\P{^Canonical_Combining_Class=belowleft}', "");
Expect(1, 12330, '\p{Canonical_Combining_Class=	_Below_Left}', "");
Expect(0, 12330, '\p{^Canonical_Combining_Class=	_Below_Left}', "");
Expect(0, 12330, '\P{Canonical_Combining_Class=	_Below_Left}', "");
Expect(1, 12330, '\P{^Canonical_Combining_Class=	_Below_Left}', "");
Expect(0, 12331, '\p{Canonical_Combining_Class=	_Below_Left}', "");
Expect(1, 12331, '\p{^Canonical_Combining_Class=	_Below_Left}', "");
Expect(1, 12331, '\P{Canonical_Combining_Class=	_Below_Left}', "");
Expect(0, 12331, '\P{^Canonical_Combining_Class=	_Below_Left}', "");
Error('\p{Ccc= :=bl}');
Error('\P{Ccc= :=bl}');
Expect(1, 12330, '\p{Ccc=bl}', "");
Expect(0, 12330, '\p{^Ccc=bl}', "");
Expect(0, 12330, '\P{Ccc=bl}', "");
Expect(1, 12330, '\P{^Ccc=bl}', "");
Expect(0, 12331, '\p{Ccc=bl}', "");
Expect(1, 12331, '\p{^Ccc=bl}', "");
Expect(1, 12331, '\P{Ccc=bl}', "");
Expect(0, 12331, '\P{^Ccc=bl}', "");
Expect(1, 12330, '\p{Ccc=-bl}', "");
Expect(0, 12330, '\p{^Ccc=-bl}', "");
Expect(0, 12330, '\P{Ccc=-bl}', "");
Expect(1, 12330, '\P{^Ccc=-bl}', "");
Expect(0, 12331, '\p{Ccc=-bl}', "");
Expect(1, 12331, '\p{^Ccc=-bl}', "");
Expect(1, 12331, '\P{Ccc=-bl}', "");
Expect(0, 12331, '\P{^Ccc=-bl}', "");
Error('\p{Is_Canonical_Combining_Class=_	21_8:=}');
Error('\P{Is_Canonical_Combining_Class=_	21_8:=}');
Expect(1, 12330, '\p{Is_Canonical_Combining_Class=00218}', "");
Expect(0, 12330, '\p{^Is_Canonical_Combining_Class=00218}', "");
Expect(0, 12330, '\P{Is_Canonical_Combining_Class=00218}', "");
Expect(1, 12330, '\P{^Is_Canonical_Combining_Class=00218}', "");
Expect(0, 12331, '\p{Is_Canonical_Combining_Class=00218}', "");
Expect(1, 12331, '\p{^Is_Canonical_Combining_Class=00218}', "");
Expect(1, 12331, '\P{Is_Canonical_Combining_Class=00218}', "");
Expect(0, 12331, '\P{^Is_Canonical_Combining_Class=00218}', "");
Error('\p{Is_Ccc=:=--Below_left}');
Error('\P{Is_Ccc=:=--Below_left}');
Expect(1, 12330, '\p{Is_Ccc=belowleft}', "");
Expect(0, 12330, '\p{^Is_Ccc=belowleft}', "");
Expect(0, 12330, '\P{Is_Ccc=belowleft}', "");
Expect(1, 12330, '\P{^Is_Ccc=belowleft}', "");
Expect(0, 12331, '\p{Is_Ccc=belowleft}', "");
Expect(1, 12331, '\p{^Is_Ccc=belowleft}', "");
Expect(1, 12331, '\P{Is_Ccc=belowleft}', "");
Expect(0, 12331, '\P{^Is_Ccc=belowleft}', "");
Expect(1, 12330, '\p{Is_Ccc=	Below_LEFT}', "");
Expect(0, 12330, '\p{^Is_Ccc=	Below_LEFT}', "");
Expect(0, 12330, '\P{Is_Ccc=	Below_LEFT}', "");
Expect(1, 12330, '\P{^Is_Ccc=	Below_LEFT}', "");
Expect(0, 12331, '\p{Is_Ccc=	Below_LEFT}', "");
Expect(1, 12331, '\p{^Is_Ccc=	Below_LEFT}', "");
Expect(1, 12331, '\P{Is_Ccc=	Below_LEFT}', "");
Expect(0, 12331, '\P{^Is_Ccc=	Below_LEFT}', "");
Error('\p{Canonical_Combining_Class=-:=BELOW_right}');
Error('\P{Canonical_Combining_Class=-:=BELOW_right}');
Expect(1, 12333, '\p{Canonical_Combining_Class=belowright}', "");
Expect(0, 12333, '\p{^Canonical_Combining_Class=belowright}', "");
Expect(0, 12333, '\P{Canonical_Combining_Class=belowright}', "");
Expect(1, 12333, '\P{^Canonical_Combining_Class=belowright}', "");
Expect(0, 12334, '\p{Canonical_Combining_Class=belowright}', "");
Expect(1, 12334, '\p{^Canonical_Combining_Class=belowright}', "");
Expect(1, 12334, '\P{Canonical_Combining_Class=belowright}', "");
Expect(0, 12334, '\P{^Canonical_Combining_Class=belowright}', "");
Expect(1, 12333, '\p{Canonical_Combining_Class=-Below_RIGHT}', "");
Expect(0, 12333, '\p{^Canonical_Combining_Class=-Below_RIGHT}', "");
Expect(0, 12333, '\P{Canonical_Combining_Class=-Below_RIGHT}', "");
Expect(1, 12333, '\P{^Canonical_Combining_Class=-Below_RIGHT}', "");
Expect(0, 12334, '\p{Canonical_Combining_Class=-Below_RIGHT}', "");
Expect(1, 12334, '\p{^Canonical_Combining_Class=-Below_RIGHT}', "");
Expect(1, 12334, '\P{Canonical_Combining_Class=-Below_RIGHT}', "");
Expect(0, 12334, '\P{^Canonical_Combining_Class=-Below_RIGHT}', "");
Error('\p{Ccc=/a/	BR}');
Error('\P{Ccc=/a/	BR}');
Expect(1, 12333, '\p{Ccc=br}', "");
Expect(0, 12333, '\p{^Ccc=br}', "");
Expect(0, 12333, '\P{Ccc=br}', "");
Expect(1, 12333, '\P{^Ccc=br}', "");
Expect(0, 12334, '\p{Ccc=br}', "");
Expect(1, 12334, '\p{^Ccc=br}', "");
Expect(1, 12334, '\P{Ccc=br}', "");
Expect(0, 12334, '\P{^Ccc=br}', "");
Expect(1, 12333, '\p{Ccc=-_BR}', "");
Expect(0, 12333, '\p{^Ccc=-_BR}', "");
Expect(0, 12333, '\P{Ccc=-_BR}', "");
Expect(1, 12333, '\P{^Ccc=-_BR}', "");
Expect(0, 12334, '\p{Ccc=-_BR}', "");
Expect(1, 12334, '\p{^Ccc=-_BR}', "");
Expect(1, 12334, '\P{Ccc=-_BR}', "");
Expect(0, 12334, '\P{^Ccc=-_BR}', "");
Error('\p{Is_Canonical_Combining_Class=+00222:=}');
Error('\P{Is_Canonical_Combining_Class=+00222:=}');
Expect(1, 12333, '\p{Is_Canonical_Combining_Class=+00000222}', "");
Expect(0, 12333, '\p{^Is_Canonical_Combining_Class=+00000222}', "");
Expect(0, 12333, '\P{Is_Canonical_Combining_Class=+00000222}', "");
Expect(1, 12333, '\P{^Is_Canonical_Combining_Class=+00000222}', "");
Expect(0, 12334, '\p{Is_Canonical_Combining_Class=+00000222}', "");
Expect(1, 12334, '\p{^Is_Canonical_Combining_Class=+00000222}', "");
Expect(1, 12334, '\P{Is_Canonical_Combining_Class=+00000222}', "");
Expect(0, 12334, '\P{^Is_Canonical_Combining_Class=+00000222}', "");
Error('\p{Is_Ccc=:=_ Below_Right}');
Error('\P{Is_Ccc=:=_ Below_Right}');
Expect(1, 12333, '\p{Is_Ccc=belowright}', "");
Expect(0, 12333, '\p{^Is_Ccc=belowright}', "");
Expect(0, 12333, '\P{Is_Ccc=belowright}', "");
Expect(1, 12333, '\P{^Is_Ccc=belowright}', "");
Expect(0, 12334, '\p{Is_Ccc=belowright}', "");
Expect(1, 12334, '\p{^Is_Ccc=belowright}', "");
Expect(1, 12334, '\P{Is_Ccc=belowright}', "");
Expect(0, 12334, '\P{^Is_Ccc=belowright}', "");
Expect(1, 12333, '\p{Is_Ccc:   _	below_Right}', "");
Expect(0, 12333, '\p{^Is_Ccc:   _	below_Right}', "");
Expect(0, 12333, '\P{Is_Ccc:   _	below_Right}', "");
Expect(1, 12333, '\P{^Is_Ccc:   _	below_Right}', "");
Expect(0, 12334, '\p{Is_Ccc:   _	below_Right}', "");
Expect(1, 12334, '\p{^Is_Ccc:   _	below_Right}', "");
Expect(1, 12334, '\P{Is_Ccc:   _	below_Right}', "");
Expect(0, 12334, '\P{^Is_Ccc:   _	below_Right}', "");
Error('\p{Canonical_Combining_Class=_	ccc10:=}');
Error('\P{Canonical_Combining_Class=_	ccc10:=}');
Expect(1, 1456, '\p{Canonical_Combining_Class=ccc10}', "");
Expect(0, 1456, '\p{^Canonical_Combining_Class=ccc10}', "");
Expect(0, 1456, '\P{Canonical_Combining_Class=ccc10}', "");
Expect(1, 1456, '\P{^Canonical_Combining_Class=ccc10}', "");
Expect(0, 1457, '\p{Canonical_Combining_Class=ccc10}', "");
Expect(1, 1457, '\p{^Canonical_Combining_Class=ccc10}', "");
Expect(1, 1457, '\P{Canonical_Combining_Class=ccc10}', "");
Expect(0, 1457, '\P{^Canonical_Combining_Class=ccc10}', "");
Expect(1, 1456, '\p{Canonical_Combining_Class:   -ccc10}', "");
Expect(0, 1456, '\p{^Canonical_Combining_Class:   -ccc10}', "");
Expect(0, 1456, '\P{Canonical_Combining_Class:   -ccc10}', "");
Expect(1, 1456, '\P{^Canonical_Combining_Class:   -ccc10}', "");
Expect(0, 1457, '\p{Canonical_Combining_Class:   -ccc10}', "");
Expect(1, 1457, '\p{^Canonical_Combining_Class:   -ccc10}', "");
Expect(1, 1457, '\P{Canonical_Combining_Class:   -ccc10}', "");
Expect(0, 1457, '\P{^Canonical_Combining_Class:   -ccc10}', "");
Error('\p{Ccc=:=00000000010}');
Error('\P{Ccc=:=00000000010}');
Expect(1, 1456, '\p{Ccc=000010}', "");
Expect(0, 1456, '\p{^Ccc=000010}', "");
Expect(0, 1456, '\P{Ccc=000010}', "");
Expect(1, 1456, '\P{^Ccc=000010}', "");
Expect(0, 1457, '\p{Ccc=000010}', "");
Expect(1, 1457, '\p{^Ccc=000010}', "");
Expect(1, 1457, '\P{Ccc=000010}', "");
Expect(0, 1457, '\P{^Ccc=000010}', "");
Error('\p{Is_Canonical_Combining_Class=	-CCC10:=}');
Error('\P{Is_Canonical_Combining_Class=	-CCC10:=}');
Expect(1, 1456, '\p{Is_Canonical_Combining_Class=ccc10}', "");
Expect(0, 1456, '\p{^Is_Canonical_Combining_Class=ccc10}', "");
Expect(0, 1456, '\P{Is_Canonical_Combining_Class=ccc10}', "");
Expect(1, 1456, '\P{^Is_Canonical_Combining_Class=ccc10}', "");
Expect(0, 1457, '\p{Is_Canonical_Combining_Class=ccc10}', "");
Expect(1, 1457, '\p{^Is_Canonical_Combining_Class=ccc10}', "");
Expect(1, 1457, '\P{Is_Canonical_Combining_Class=ccc10}', "");
Expect(0, 1457, '\P{^Is_Canonical_Combining_Class=ccc10}', "");
Expect(1, 1456, '\p{Is_Canonical_Combining_Class= _CCC10}', "");
Expect(0, 1456, '\p{^Is_Canonical_Combining_Class= _CCC10}', "");
Expect(0, 1456, '\P{Is_Canonical_Combining_Class= _CCC10}', "");
Expect(1, 1456, '\P{^Is_Canonical_Combining_Class= _CCC10}', "");
Expect(0, 1457, '\p{Is_Canonical_Combining_Class= _CCC10}', "");
Expect(1, 1457, '\p{^Is_Canonical_Combining_Class= _CCC10}', "");
Expect(1, 1457, '\P{Is_Canonical_Combining_Class= _CCC10}', "");
Expect(0, 1457, '\P{^Is_Canonical_Combining_Class= _CCC10}', "");
Error('\p{Is_Ccc=/a/	_+10}');
Error('\P{Is_Ccc=/a/	_+10}');
Expect(1, 1456, '\p{Is_Ccc=0000000010}', "");
Expect(0, 1456, '\p{^Is_Ccc=0000000010}', "");
Expect(0, 1456, '\P{Is_Ccc=0000000010}', "");
Expect(1, 1456, '\P{^Is_Ccc=0000000010}', "");
Expect(0, 1457, '\p{Is_Ccc=0000000010}', "");
Expect(1, 1457, '\p{^Is_Ccc=0000000010}', "");
Expect(1, 1457, '\P{Is_Ccc=0000000010}', "");
Expect(0, 1457, '\P{^Is_Ccc=0000000010}', "");
Error('\p{Canonical_Combining_Class:/a/	 ccc103}');
Error('\P{Canonical_Combining_Class:/a/	 ccc103}');
Expect(1, 3641, '\p{Canonical_Combining_Class=ccc103}', "");
Expect(0, 3641, '\p{^Canonical_Combining_Class=ccc103}', "");
Expect(0, 3641, '\P{Canonical_Combining_Class=ccc103}', "");
Expect(1, 3641, '\P{^Canonical_Combining_Class=ccc103}', "");
Expect(0, 3642, '\p{Canonical_Combining_Class=ccc103}', "");
Expect(1, 3642, '\p{^Canonical_Combining_Class=ccc103}', "");
Expect(1, 3642, '\P{Canonical_Combining_Class=ccc103}', "");
Expect(0, 3642, '\P{^Canonical_Combining_Class=ccc103}', "");
Expect(1, 3641, '\p{Canonical_Combining_Class= CCC103}', "");
Expect(0, 3641, '\p{^Canonical_Combining_Class= CCC103}', "");
Expect(0, 3641, '\P{Canonical_Combining_Class= CCC103}', "");
Expect(1, 3641, '\P{^Canonical_Combining_Class= CCC103}', "");
Expect(0, 3642, '\p{Canonical_Combining_Class= CCC103}', "");
Expect(1, 3642, '\p{^Canonical_Combining_Class= CCC103}', "");
Expect(1, 3642, '\P{Canonical_Combining_Class= CCC103}', "");
Expect(0, 3642, '\P{^Canonical_Combining_Class= CCC103}', "");
Error('\p{Ccc= :=0_0_0_0_0_0_0_00103}');
Error('\P{Ccc= :=0_0_0_0_0_0_0_00103}');
Expect(1, 3641, '\p{Ccc=000000000103}', "");
Expect(0, 3641, '\p{^Ccc=000000000103}', "");
Expect(0, 3641, '\P{Ccc=000000000103}', "");
Expect(1, 3641, '\P{^Ccc=000000000103}', "");
Expect(0, 3642, '\p{Ccc=000000000103}', "");
Expect(1, 3642, '\p{^Ccc=000000000103}', "");
Expect(1, 3642, '\P{Ccc=000000000103}', "");
Expect(0, 3642, '\P{^Ccc=000000000103}', "");
Error('\p{Is_Canonical_Combining_Class=_/a/ccc103}');
Error('\P{Is_Canonical_Combining_Class=_/a/ccc103}');
Expect(1, 3641, '\p{Is_Canonical_Combining_Class=ccc103}', "");
Expect(0, 3641, '\p{^Is_Canonical_Combining_Class=ccc103}', "");
Expect(0, 3641, '\P{Is_Canonical_Combining_Class=ccc103}', "");
Expect(1, 3641, '\P{^Is_Canonical_Combining_Class=ccc103}', "");
Expect(0, 3642, '\p{Is_Canonical_Combining_Class=ccc103}', "");
Expect(1, 3642, '\p{^Is_Canonical_Combining_Class=ccc103}', "");
Expect(1, 3642, '\P{Is_Canonical_Combining_Class=ccc103}', "");
Expect(0, 3642, '\P{^Is_Canonical_Combining_Class=ccc103}', "");
Expect(1, 3641, '\p{Is_Canonical_Combining_Class=	_CCC103}', "");
Expect(0, 3641, '\p{^Is_Canonical_Combining_Class=	_CCC103}', "");
Expect(0, 3641, '\P{Is_Canonical_Combining_Class=	_CCC103}', "");
Expect(1, 3641, '\P{^Is_Canonical_Combining_Class=	_CCC103}', "");
Expect(0, 3642, '\p{Is_Canonical_Combining_Class=	_CCC103}', "");
Expect(1, 3642, '\p{^Is_Canonical_Combining_Class=	_CCC103}', "");
Expect(1, 3642, '\P{Is_Canonical_Combining_Class=	_CCC103}', "");
Expect(0, 3642, '\P{^Is_Canonical_Combining_Class=	_CCC103}', "");
Error('\p{Is_Ccc=:=-00103}');
Error('\P{Is_Ccc=:=-00103}');
Expect(1, 3641, '\p{Is_Ccc=00_01_03}', "");
Expect(0, 3641, '\p{^Is_Ccc=00_01_03}', "");
Expect(0, 3641, '\P{Is_Ccc=00_01_03}', "");
Expect(1, 3641, '\P{^Is_Ccc=00_01_03}', "");
Expect(0, 3642, '\p{Is_Ccc=00_01_03}', "");
Expect(1, 3642, '\p{^Is_Ccc=00_01_03}', "");
Expect(1, 3642, '\P{Is_Ccc=00_01_03}', "");
Expect(0, 3642, '\P{^Is_Ccc=00_01_03}', "");
Error('\p{Canonical_Combining_Class=:=--CCC107}');
Error('\P{Canonical_Combining_Class=:=--CCC107}');
Expect(1, 3659, '\p{Canonical_Combining_Class=ccc107}', "");
Expect(0, 3659, '\p{^Canonical_Combining_Class=ccc107}', "");
Expect(0, 3659, '\P{Canonical_Combining_Class=ccc107}', "");
Expect(1, 3659, '\P{^Canonical_Combining_Class=ccc107}', "");
Expect(0, 3660, '\p{Canonical_Combining_Class=ccc107}', "");
Expect(1, 3660, '\p{^Canonical_Combining_Class=ccc107}', "");
Expect(1, 3660, '\P{Canonical_Combining_Class=ccc107}', "");
Expect(0, 3660, '\P{^Canonical_Combining_Class=ccc107}', "");
Expect(1, 3659, '\p{Canonical_Combining_Class=_	CCC107}', "");
Expect(0, 3659, '\p{^Canonical_Combining_Class=_	CCC107}', "");
Expect(0, 3659, '\P{Canonical_Combining_Class=_	CCC107}', "");
Expect(1, 3659, '\P{^Canonical_Combining_Class=_	CCC107}', "");
Expect(0, 3660, '\p{Canonical_Combining_Class=_	CCC107}', "");
Expect(1, 3660, '\p{^Canonical_Combining_Class=_	CCC107}', "");
Expect(1, 3660, '\P{Canonical_Combining_Class=_	CCC107}', "");
Expect(0, 3660, '\P{^Canonical_Combining_Class=_	CCC107}', "");
Error('\p{Ccc=	+0107:=}');
Error('\P{Ccc=	+0107:=}');
Expect(1, 3659, '\p{Ccc: 0_0_0_0_0_0_0107}', "");
Expect(0, 3659, '\p{^Ccc: 0_0_0_0_0_0_0107}', "");
Expect(0, 3659, '\P{Ccc: 0_0_0_0_0_0_0107}', "");
Expect(1, 3659, '\P{^Ccc: 0_0_0_0_0_0_0107}', "");
Expect(0, 3660, '\p{Ccc: 0_0_0_0_0_0_0107}', "");
Expect(1, 3660, '\p{^Ccc: 0_0_0_0_0_0_0107}', "");
Expect(1, 3660, '\P{Ccc: 0_0_0_0_0_0_0107}', "");
Expect(0, 3660, '\P{^Ccc: 0_0_0_0_0_0_0107}', "");
Error('\p{Is_Canonical_Combining_Class=__CCC107/a/}');
Error('\P{Is_Canonical_Combining_Class=__CCC107/a/}');
Expect(1, 3659, '\p{Is_Canonical_Combining_Class=ccc107}', "");
Expect(0, 3659, '\p{^Is_Canonical_Combining_Class=ccc107}', "");
Expect(0, 3659, '\P{Is_Canonical_Combining_Class=ccc107}', "");
Expect(1, 3659, '\P{^Is_Canonical_Combining_Class=ccc107}', "");
Expect(0, 3660, '\p{Is_Canonical_Combining_Class=ccc107}', "");
Expect(1, 3660, '\p{^Is_Canonical_Combining_Class=ccc107}', "");
Expect(1, 3660, '\P{Is_Canonical_Combining_Class=ccc107}', "");
Expect(0, 3660, '\P{^Is_Canonical_Combining_Class=ccc107}', "");
Expect(1, 3659, '\p{Is_Canonical_Combining_Class= _CCC107}', "");
Expect(0, 3659, '\p{^Is_Canonical_Combining_Class= _CCC107}', "");
Expect(0, 3659, '\P{Is_Canonical_Combining_Class= _CCC107}', "");
Expect(1, 3659, '\P{^Is_Canonical_Combining_Class= _CCC107}', "");
Expect(0, 3660, '\p{Is_Canonical_Combining_Class= _CCC107}', "");
Expect(1, 3660, '\p{^Is_Canonical_Combining_Class= _CCC107}', "");
Expect(1, 3660, '\P{Is_Canonical_Combining_Class= _CCC107}', "");
Expect(0, 3660, '\P{^Is_Canonical_Combining_Class= _CCC107}', "");
Error('\p{Is_Ccc=_+0_0_0_0_0_0_107/a/}');
Error('\P{Is_Ccc=_+0_0_0_0_0_0_107/a/}');
Expect(1, 3659, '\p{Is_Ccc=+000107}', "");
Expect(0, 3659, '\p{^Is_Ccc=+000107}', "");
Expect(0, 3659, '\P{Is_Ccc=+000107}', "");
Expect(1, 3659, '\P{^Is_Ccc=+000107}', "");
Expect(0, 3660, '\p{Is_Ccc=+000107}', "");
Expect(1, 3660, '\p{^Is_Ccc=+000107}', "");
Expect(1, 3660, '\P{Is_Ccc=+000107}', "");
Expect(0, 3660, '\P{^Is_Ccc=+000107}', "");
Error('\p{Canonical_Combining_Class=	CCC11/a/}');
Error('\P{Canonical_Combining_Class=	CCC11/a/}');
Expect(1, 1457, '\p{Canonical_Combining_Class=ccc11}', "");
Expect(0, 1457, '\p{^Canonical_Combining_Class=ccc11}', "");
Expect(0, 1457, '\P{Canonical_Combining_Class=ccc11}', "");
Expect(1, 1457, '\P{^Canonical_Combining_Class=ccc11}', "");
Expect(0, 1458, '\p{Canonical_Combining_Class=ccc11}', "");
Expect(1, 1458, '\p{^Canonical_Combining_Class=ccc11}', "");
Expect(1, 1458, '\P{Canonical_Combining_Class=ccc11}', "");
Expect(0, 1458, '\P{^Canonical_Combining_Class=ccc11}', "");
Expect(1, 1457, '\p{Canonical_Combining_Class=  CCC11}', "");
Expect(0, 1457, '\p{^Canonical_Combining_Class=  CCC11}', "");
Expect(0, 1457, '\P{Canonical_Combining_Class=  CCC11}', "");
Expect(1, 1457, '\P{^Canonical_Combining_Class=  CCC11}', "");
Expect(0, 1458, '\p{Canonical_Combining_Class=  CCC11}', "");
Expect(1, 1458, '\p{^Canonical_Combining_Class=  CCC11}', "");
Expect(1, 1458, '\P{Canonical_Combining_Class=  CCC11}', "");
Expect(0, 1458, '\P{^Canonical_Combining_Class=  CCC11}', "");
Error('\p{Ccc:	_-0_0_0_0_0_0_0_11/a/}');
Error('\P{Ccc:	_-0_0_0_0_0_0_0_11/a/}');
Expect(1, 1457, '\p{Ccc:	0000000011}', "");
Expect(0, 1457, '\p{^Ccc:	0000000011}', "");
Expect(0, 1457, '\P{Ccc:	0000000011}', "");
Expect(1, 1457, '\P{^Ccc:	0000000011}', "");
Expect(0, 1458, '\p{Ccc:	0000000011}', "");
Expect(1, 1458, '\p{^Ccc:	0000000011}', "");
Expect(1, 1458, '\P{Ccc:	0000000011}', "");
Expect(0, 1458, '\P{^Ccc:	0000000011}', "");
Error('\p{Is_Canonical_Combining_Class=:=	-ccc11}');
Error('\P{Is_Canonical_Combining_Class=:=	-ccc11}');
Expect(1, 1457, '\p{Is_Canonical_Combining_Class=ccc11}', "");
Expect(0, 1457, '\p{^Is_Canonical_Combining_Class=ccc11}', "");
Expect(0, 1457, '\P{Is_Canonical_Combining_Class=ccc11}', "");
Expect(1, 1457, '\P{^Is_Canonical_Combining_Class=ccc11}', "");
Expect(0, 1458, '\p{Is_Canonical_Combining_Class=ccc11}', "");
Expect(1, 1458, '\p{^Is_Canonical_Combining_Class=ccc11}', "");
Expect(1, 1458, '\P{Is_Canonical_Combining_Class=ccc11}', "");
Expect(0, 1458, '\P{^Is_Canonical_Combining_Class=ccc11}', "");
Expect(1, 1457, '\p{Is_Canonical_Combining_Class=_ccc11}', "");
Expect(0, 1457, '\p{^Is_Canonical_Combining_Class=_ccc11}', "");
Expect(0, 1457, '\P{Is_Canonical_Combining_Class=_ccc11}', "");
Expect(1, 1457, '\P{^Is_Canonical_Combining_Class=_ccc11}', "");
Expect(0, 1458, '\p{Is_Canonical_Combining_Class=_ccc11}', "");
Expect(1, 1458, '\p{^Is_Canonical_Combining_Class=_ccc11}', "");
Expect(1, 1458, '\P{Is_Canonical_Combining_Class=_ccc11}', "");
Expect(0, 1458, '\P{^Is_Canonical_Combining_Class=_ccc11}', "");
Error('\p{Is_Ccc= _+011/a/}');
Error('\P{Is_Ccc= _+011/a/}');
Expect(1, 1457, '\p{Is_Ccc: 1_1}', "");
Expect(0, 1457, '\p{^Is_Ccc: 1_1}', "");
Expect(0, 1457, '\P{Is_Ccc: 1_1}', "");
Expect(1, 1457, '\P{^Is_Ccc: 1_1}', "");
Expect(0, 1458, '\p{Is_Ccc: 1_1}', "");
Expect(1, 1458, '\p{^Is_Ccc: 1_1}', "");
Expect(1, 1458, '\P{Is_Ccc: 1_1}', "");
Expect(0, 1458, '\P{^Is_Ccc: 1_1}', "");
Error('\p{Canonical_Combining_Class=-/a/CCC118}');
Error('\P{Canonical_Combining_Class=-/a/CCC118}');
Expect(1, 3769, '\p{Canonical_Combining_Class=ccc118}', "");
Expect(0, 3769, '\p{^Canonical_Combining_Class=ccc118}', "");
Expect(0, 3769, '\P{Canonical_Combining_Class=ccc118}', "");
Expect(1, 3769, '\P{^Canonical_Combining_Class=ccc118}', "");
Expect(0, 3770, '\p{Canonical_Combining_Class=ccc118}', "");
Expect(1, 3770, '\p{^Canonical_Combining_Class=ccc118}', "");
Expect(1, 3770, '\P{Canonical_Combining_Class=ccc118}', "");
Expect(0, 3770, '\P{^Canonical_Combining_Class=ccc118}', "");
Expect(1, 3769, '\p{Canonical_Combining_Class=-	CCC118}', "");
Expect(0, 3769, '\p{^Canonical_Combining_Class=-	CCC118}', "");
Expect(0, 3769, '\P{Canonical_Combining_Class=-	CCC118}', "");
Expect(1, 3769, '\P{^Canonical_Combining_Class=-	CCC118}', "");
Expect(0, 3770, '\p{Canonical_Combining_Class=-	CCC118}', "");
Expect(1, 3770, '\p{^Canonical_Combining_Class=-	CCC118}', "");
Expect(1, 3770, '\P{Canonical_Combining_Class=-	CCC118}', "");
Expect(0, 3770, '\P{^Canonical_Combining_Class=-	CCC118}', "");
Error('\p{Ccc=/a/--00118}');
Error('\P{Ccc=/a/--00118}');
Expect(1, 3769, '\p{Ccc=00118}', "");
Expect(0, 3769, '\p{^Ccc=00118}', "");
Expect(0, 3769, '\P{Ccc=00118}', "");
Expect(1, 3769, '\P{^Ccc=00118}', "");
Expect(0, 3770, '\p{Ccc=00118}', "");
Expect(1, 3770, '\p{^Ccc=00118}', "");
Expect(1, 3770, '\P{Ccc=00118}', "");
Expect(0, 3770, '\P{^Ccc=00118}', "");
Error('\p{Is_Canonical_Combining_Class=_	CCC118:=}');
Error('\P{Is_Canonical_Combining_Class=_	CCC118:=}');
Expect(1, 3769, '\p{Is_Canonical_Combining_Class:	ccc118}', "");
Expect(0, 3769, '\p{^Is_Canonical_Combining_Class:	ccc118}', "");
Expect(0, 3769, '\P{Is_Canonical_Combining_Class:	ccc118}', "");
Expect(1, 3769, '\P{^Is_Canonical_Combining_Class:	ccc118}', "");
Expect(0, 3770, '\p{Is_Canonical_Combining_Class:	ccc118}', "");
Expect(1, 3770, '\p{^Is_Canonical_Combining_Class:	ccc118}', "");
Expect(1, 3770, '\P{Is_Canonical_Combining_Class:	ccc118}', "");
Expect(0, 3770, '\P{^Is_Canonical_Combining_Class:	ccc118}', "");
Expect(1, 3769, '\p{Is_Canonical_Combining_Class=--CCC118}', "");
Expect(0, 3769, '\p{^Is_Canonical_Combining_Class=--CCC118}', "");
Expect(0, 3769, '\P{Is_Canonical_Combining_Class=--CCC118}', "");
Expect(1, 3769, '\P{^Is_Canonical_Combining_Class=--CCC118}', "");
Expect(0, 3770, '\p{Is_Canonical_Combining_Class=--CCC118}', "");
Expect(1, 3770, '\p{^Is_Canonical_Combining_Class=--CCC118}', "");
Expect(1, 3770, '\P{Is_Canonical_Combining_Class=--CCC118}', "");
Expect(0, 3770, '\P{^Is_Canonical_Combining_Class=--CCC118}', "");
Error('\p{Is_Ccc=:=_	00000_00011_8}');
Error('\P{Is_Ccc=:=_	00000_00011_8}');
Expect(1, 3769, '\p{Is_Ccc=000_011_8}', "");
Expect(0, 3769, '\p{^Is_Ccc=000_011_8}', "");
Expect(0, 3769, '\P{Is_Ccc=000_011_8}', "");
Expect(1, 3769, '\P{^Is_Ccc=000_011_8}', "");
Expect(0, 3770, '\p{Is_Ccc=000_011_8}', "");
Expect(1, 3770, '\p{^Is_Ccc=000_011_8}', "");
Expect(1, 3770, '\P{Is_Ccc=000_011_8}', "");
Expect(0, 3770, '\P{^Is_Ccc=000_011_8}', "");
Error('\p{Canonical_Combining_Class=/a/-CCC12}');
Error('\P{Canonical_Combining_Class=/a/-CCC12}');
Expect(1, 1458, '\p{Canonical_Combining_Class: ccc12}', "");
Expect(0, 1458, '\p{^Canonical_Combining_Class: ccc12}', "");
Expect(0, 1458, '\P{Canonical_Combining_Class: ccc12}', "");
Expect(1, 1458, '\P{^Canonical_Combining_Class: ccc12}', "");
Expect(0, 1459, '\p{Canonical_Combining_Class: ccc12}', "");
Expect(1, 1459, '\p{^Canonical_Combining_Class: ccc12}', "");
Expect(1, 1459, '\P{Canonical_Combining_Class: ccc12}', "");
Expect(0, 1459, '\P{^Canonical_Combining_Class: ccc12}', "");
Expect(1, 1458, '\p{Canonical_Combining_Class=CCC12}', "");
Expect(0, 1458, '\p{^Canonical_Combining_Class=CCC12}', "");
Expect(0, 1458, '\P{Canonical_Combining_Class=CCC12}', "");
Expect(1, 1458, '\P{^Canonical_Combining_Class=CCC12}', "");
Expect(0, 1459, '\p{Canonical_Combining_Class=CCC12}', "");
Expect(1, 1459, '\p{^Canonical_Combining_Class=CCC12}', "");
Expect(1, 1459, '\P{Canonical_Combining_Class=CCC12}', "");
Expect(0, 1459, '\P{^Canonical_Combining_Class=CCC12}', "");
Error('\p{Ccc=/a/-	000000012}');
Error('\P{Ccc=/a/-	000000012}');
Expect(1, 1458, '\p{Ccc=00000000012}', "");
Expect(0, 1458, '\p{^Ccc=00000000012}', "");
Expect(0, 1458, '\P{Ccc=00000000012}', "");
Expect(1, 1458, '\P{^Ccc=00000000012}', "");
Expect(0, 1459, '\p{Ccc=00000000012}', "");
Expect(1, 1459, '\p{^Ccc=00000000012}', "");
Expect(1, 1459, '\P{Ccc=00000000012}', "");
Expect(0, 1459, '\P{^Ccc=00000000012}', "");
Error('\p{Is_Canonical_Combining_Class=--CCC12/a/}');
Error('\P{Is_Canonical_Combining_Class=--CCC12/a/}');
Expect(1, 1458, '\p{Is_Canonical_Combining_Class=ccc12}', "");
Expect(0, 1458, '\p{^Is_Canonical_Combining_Class=ccc12}', "");
Expect(0, 1458, '\P{Is_Canonical_Combining_Class=ccc12}', "");
Expect(1, 1458, '\P{^Is_Canonical_Combining_Class=ccc12}', "");
Expect(0, 1459, '\p{Is_Canonical_Combining_Class=ccc12}', "");
Expect(1, 1459, '\p{^Is_Canonical_Combining_Class=ccc12}', "");
Expect(1, 1459, '\P{Is_Canonical_Combining_Class=ccc12}', "");
Expect(0, 1459, '\P{^Is_Canonical_Combining_Class=ccc12}', "");
Expect(1, 1458, '\p{Is_Canonical_Combining_Class:   -_CCC12}', "");
Expect(0, 1458, '\p{^Is_Canonical_Combining_Class:   -_CCC12}', "");
Expect(0, 1458, '\P{Is_Canonical_Combining_Class:   -_CCC12}', "");
Expect(1, 1458, '\P{^Is_Canonical_Combining_Class:   -_CCC12}', "");
Expect(0, 1459, '\p{Is_Canonical_Combining_Class:   -_CCC12}', "");
Expect(1, 1459, '\p{^Is_Canonical_Combining_Class:   -_CCC12}', "");
Expect(1, 1459, '\P{Is_Canonical_Combining_Class:   -_CCC12}', "");
Expect(0, 1459, '\P{^Is_Canonical_Combining_Class:   -_CCC12}', "");
Error('\p{Is_Ccc=-0012:=}');
Error('\P{Is_Ccc=-0012:=}');
Expect(1, 1458, '\p{Is_Ccc:	00000012}', "");
Expect(0, 1458, '\p{^Is_Ccc:	00000012}', "");
Expect(0, 1458, '\P{Is_Ccc:	00000012}', "");
Expect(1, 1458, '\P{^Is_Ccc:	00000012}', "");
Expect(0, 1459, '\p{Is_Ccc:	00000012}', "");
Expect(1, 1459, '\p{^Is_Ccc:	00000012}', "");
Expect(1, 1459, '\P{Is_Ccc:	00000012}', "");
Expect(0, 1459, '\P{^Is_Ccc:	00000012}', "");
Error('\p{Canonical_Combining_Class=_-CCC122:=}');
Error('\P{Canonical_Combining_Class=_-CCC122:=}');
Expect(1, 3787, '\p{Canonical_Combining_Class=ccc122}', "");
Expect(0, 3787, '\p{^Canonical_Combining_Class=ccc122}', "");
Expect(0, 3787, '\P{Canonical_Combining_Class=ccc122}', "");
Expect(1, 3787, '\P{^Canonical_Combining_Class=ccc122}', "");
Expect(0, 3788, '\p{Canonical_Combining_Class=ccc122}', "");
Expect(1, 3788, '\p{^Canonical_Combining_Class=ccc122}', "");
Expect(1, 3788, '\P{Canonical_Combining_Class=ccc122}', "");
Expect(0, 3788, '\P{^Canonical_Combining_Class=ccc122}', "");
Expect(1, 3787, '\p{Canonical_Combining_Class=_ CCC122}', "");
Expect(0, 3787, '\p{^Canonical_Combining_Class=_ CCC122}', "");
Expect(0, 3787, '\P{Canonical_Combining_Class=_ CCC122}', "");
Expect(1, 3787, '\P{^Canonical_Combining_Class=_ CCC122}', "");
Expect(0, 3788, '\p{Canonical_Combining_Class=_ CCC122}', "");
Expect(1, 3788, '\p{^Canonical_Combining_Class=_ CCC122}', "");
Expect(1, 3788, '\P{Canonical_Combining_Class=_ CCC122}', "");
Expect(0, 3788, '\P{^Canonical_Combining_Class=_ CCC122}', "");
Error('\p{Ccc=-/a/+0122}');
Error('\P{Ccc=-/a/+0122}');
Expect(1, 3787, '\p{Ccc=+0000_0012_2}', "");
Expect(0, 3787, '\p{^Ccc=+0000_0012_2}', "");
Expect(0, 3787, '\P{Ccc=+0000_0012_2}', "");
Expect(1, 3787, '\P{^Ccc=+0000_0012_2}', "");
Expect(0, 3788, '\p{Ccc=+0000_0012_2}', "");
Expect(1, 3788, '\p{^Ccc=+0000_0012_2}', "");
Expect(1, 3788, '\P{Ccc=+0000_0012_2}', "");
Expect(0, 3788, '\P{^Ccc=+0000_0012_2}', "");
Error('\p{Is_Canonical_Combining_Class=	/a/CCC122}');
Error('\P{Is_Canonical_Combining_Class=	/a/CCC122}');
Expect(1, 3787, '\p{Is_Canonical_Combining_Class=ccc122}', "");
Expect(0, 3787, '\p{^Is_Canonical_Combining_Class=ccc122}', "");
Expect(0, 3787, '\P{Is_Canonical_Combining_Class=ccc122}', "");
Expect(1, 3787, '\P{^Is_Canonical_Combining_Class=ccc122}', "");
Expect(0, 3788, '\p{Is_Canonical_Combining_Class=ccc122}', "");
Expect(1, 3788, '\p{^Is_Canonical_Combining_Class=ccc122}', "");
Expect(1, 3788, '\P{Is_Canonical_Combining_Class=ccc122}', "");
Expect(0, 3788, '\P{^Is_Canonical_Combining_Class=ccc122}', "");
Expect(1, 3787, '\p{Is_Canonical_Combining_Class=	-ccc122}', "");
Expect(0, 3787, '\p{^Is_Canonical_Combining_Class=	-ccc122}', "");
Expect(0, 3787, '\P{Is_Canonical_Combining_Class=	-ccc122}', "");
Expect(1, 3787, '\P{^Is_Canonical_Combining_Class=	-ccc122}', "");
Expect(0, 3788, '\p{Is_Canonical_Combining_Class=	-ccc122}', "");
Expect(1, 3788, '\p{^Is_Canonical_Combining_Class=	-ccc122}', "");
Expect(1, 3788, '\P{Is_Canonical_Combining_Class=	-ccc122}', "");
Expect(0, 3788, '\P{^Is_Canonical_Combining_Class=	-ccc122}', "");
Error('\p{Is_Ccc=12_2:=}');
Error('\P{Is_Ccc=12_2:=}');
Expect(1, 3787, '\p{Is_Ccc=+00000000122}', "");
Expect(0, 3787, '\p{^Is_Ccc=+00000000122}', "");
Expect(0, 3787, '\P{Is_Ccc=+00000000122}', "");
Expect(1, 3787, '\P{^Is_Ccc=+00000000122}', "");
Expect(0, 3788, '\p{Is_Ccc=+00000000122}', "");
Expect(1, 3788, '\p{^Is_Ccc=+00000000122}', "");
Expect(1, 3788, '\P{Is_Ccc=+00000000122}', "");
Expect(0, 3788, '\P{^Is_Ccc=+00000000122}', "");
Error('\p{Canonical_Combining_Class=/a/- CCC129}');
Error('\P{Canonical_Combining_Class=/a/- CCC129}');
Expect(1, 3953, '\p{Canonical_Combining_Class:ccc129}', "");
Expect(0, 3953, '\p{^Canonical_Combining_Class:ccc129}', "");
Expect(0, 3953, '\P{Canonical_Combining_Class:ccc129}', "");
Expect(1, 3953, '\P{^Canonical_Combining_Class:ccc129}', "");
Expect(0, 3954, '\p{Canonical_Combining_Class:ccc129}', "");
Expect(1, 3954, '\p{^Canonical_Combining_Class:ccc129}', "");
Expect(1, 3954, '\P{Canonical_Combining_Class:ccc129}', "");
Expect(0, 3954, '\P{^Canonical_Combining_Class:ccc129}', "");
Expect(1, 3953, '\p{Canonical_Combining_Class=-CCC129}', "");
Expect(0, 3953, '\p{^Canonical_Combining_Class=-CCC129}', "");
Expect(0, 3953, '\P{Canonical_Combining_Class=-CCC129}', "");
Expect(1, 3953, '\P{^Canonical_Combining_Class=-CCC129}', "");
Expect(0, 3954, '\p{Canonical_Combining_Class=-CCC129}', "");
Expect(1, 3954, '\p{^Canonical_Combining_Class=-CCC129}', "");
Expect(1, 3954, '\P{Canonical_Combining_Class=-CCC129}', "");
Expect(0, 3954, '\P{^Canonical_Combining_Class=-CCC129}', "");
Error('\p{Ccc=:=	+0129}');
Error('\P{Ccc=:=	+0129}');
Expect(1, 3953, '\p{Ccc=+0000000129}', "");
Expect(0, 3953, '\p{^Ccc=+0000000129}', "");
Expect(0, 3953, '\P{Ccc=+0000000129}', "");
Expect(1, 3953, '\P{^Ccc=+0000000129}', "");
Expect(0, 3954, '\p{Ccc=+0000000129}', "");
Expect(1, 3954, '\p{^Ccc=+0000000129}', "");
Expect(1, 3954, '\P{Ccc=+0000000129}', "");
Expect(0, 3954, '\P{^Ccc=+0000000129}', "");
Error('\p{Is_Canonical_Combining_Class=-/a/CCC129}');
Error('\P{Is_Canonical_Combining_Class=-/a/CCC129}');
Expect(1, 3953, '\p{Is_Canonical_Combining_Class: ccc129}', "");
Expect(0, 3953, '\p{^Is_Canonical_Combining_Class: ccc129}', "");
Expect(0, 3953, '\P{Is_Canonical_Combining_Class: ccc129}', "");
Expect(1, 3953, '\P{^Is_Canonical_Combining_Class: ccc129}', "");
Expect(0, 3954, '\p{Is_Canonical_Combining_Class: ccc129}', "");
Expect(1, 3954, '\p{^Is_Canonical_Combining_Class: ccc129}', "");
Expect(1, 3954, '\P{Is_Canonical_Combining_Class: ccc129}', "");
Expect(0, 3954, '\P{^Is_Canonical_Combining_Class: ccc129}', "");
Expect(1, 3953, '\p{Is_Canonical_Combining_Class=		CCC129}', "");
Expect(0, 3953, '\p{^Is_Canonical_Combining_Class=		CCC129}', "");
Expect(0, 3953, '\P{Is_Canonical_Combining_Class=		CCC129}', "");
Expect(1, 3953, '\P{^Is_Canonical_Combining_Class=		CCC129}', "");
Expect(0, 3954, '\p{Is_Canonical_Combining_Class=		CCC129}', "");
Expect(1, 3954, '\p{^Is_Canonical_Combining_Class=		CCC129}', "");
Expect(1, 3954, '\P{Is_Canonical_Combining_Class=		CCC129}', "");
Expect(0, 3954, '\P{^Is_Canonical_Combining_Class=		CCC129}', "");
Error('\p{Is_Ccc=/a/+0000129}');
Error('\P{Is_Ccc=/a/+0000129}');
Expect(1, 3953, '\p{Is_Ccc=129}', "");
Expect(0, 3953, '\p{^Is_Ccc=129}', "");
Expect(0, 3953, '\P{Is_Ccc=129}', "");
Expect(1, 3953, '\P{^Is_Ccc=129}', "");
Expect(0, 3954, '\p{Is_Ccc=129}', "");
Expect(1, 3954, '\p{^Is_Ccc=129}', "");
Expect(1, 3954, '\P{Is_Ccc=129}', "");
Expect(0, 3954, '\P{^Is_Ccc=129}', "");
Error('\p{Canonical_Combining_Class=/a/_CCC13}');
Error('\P{Canonical_Combining_Class=/a/_CCC13}');
Expect(1, 1459, '\p{Canonical_Combining_Class=ccc13}', "");
Expect(0, 1459, '\p{^Canonical_Combining_Class=ccc13}', "");
Expect(0, 1459, '\P{Canonical_Combining_Class=ccc13}', "");
Expect(1, 1459, '\P{^Canonical_Combining_Class=ccc13}', "");
Expect(0, 1460, '\p{Canonical_Combining_Class=ccc13}', "");
Expect(1, 1460, '\p{^Canonical_Combining_Class=ccc13}', "");
Expect(1, 1460, '\P{Canonical_Combining_Class=ccc13}', "");
Expect(0, 1460, '\P{^Canonical_Combining_Class=ccc13}', "");
Expect(1, 1459, '\p{Canonical_Combining_Class= -CCC13}', "");
Expect(0, 1459, '\p{^Canonical_Combining_Class= -CCC13}', "");
Expect(0, 1459, '\P{Canonical_Combining_Class= -CCC13}', "");
Expect(1, 1459, '\P{^Canonical_Combining_Class= -CCC13}', "");
Expect(0, 1460, '\p{Canonical_Combining_Class= -CCC13}', "");
Expect(1, 1460, '\p{^Canonical_Combining_Class= -CCC13}', "");
Expect(1, 1460, '\P{Canonical_Combining_Class= -CCC13}', "");
Expect(0, 1460, '\P{^Canonical_Combining_Class= -CCC13}', "");
Error('\p{Ccc=/a/	00000000013}');
Error('\P{Ccc=/a/	00000000013}');
Expect(1, 1459, '\p{Ccc=0_0_0_013}', "");
Expect(0, 1459, '\p{^Ccc=0_0_0_013}', "");
Expect(0, 1459, '\P{Ccc=0_0_0_013}', "");
Expect(1, 1459, '\P{^Ccc=0_0_0_013}', "");
Expect(0, 1460, '\p{Ccc=0_0_0_013}', "");
Expect(1, 1460, '\p{^Ccc=0_0_0_013}', "");
Expect(1, 1460, '\P{Ccc=0_0_0_013}', "");
Expect(0, 1460, '\P{^Ccc=0_0_0_013}', "");
Error('\p{Is_Canonical_Combining_Class:   :=	ccc13}');
Error('\P{Is_Canonical_Combining_Class:   :=	ccc13}');
Expect(1, 1459, '\p{Is_Canonical_Combining_Class=ccc13}', "");
Expect(0, 1459, '\p{^Is_Canonical_Combining_Class=ccc13}', "");
Expect(0, 1459, '\P{Is_Canonical_Combining_Class=ccc13}', "");
Expect(1, 1459, '\P{^Is_Canonical_Combining_Class=ccc13}', "");
Expect(0, 1460, '\p{Is_Canonical_Combining_Class=ccc13}', "");
Expect(1, 1460, '\p{^Is_Canonical_Combining_Class=ccc13}', "");
Expect(1, 1460, '\P{Is_Canonical_Combining_Class=ccc13}', "");
Expect(0, 1460, '\P{^Is_Canonical_Combining_Class=ccc13}', "");
Expect(1, 1459, '\p{Is_Canonical_Combining_Class=		CCC13}', "");
Expect(0, 1459, '\p{^Is_Canonical_Combining_Class=		CCC13}', "");
Expect(0, 1459, '\P{Is_Canonical_Combining_Class=		CCC13}', "");
Expect(1, 1459, '\P{^Is_Canonical_Combining_Class=		CCC13}', "");
Expect(0, 1460, '\p{Is_Canonical_Combining_Class=		CCC13}', "");
Expect(1, 1460, '\p{^Is_Canonical_Combining_Class=		CCC13}', "");
Expect(1, 1460, '\P{Is_Canonical_Combining_Class=		CCC13}', "");
Expect(0, 1460, '\P{^Is_Canonical_Combining_Class=		CCC13}', "");
Error('\p{Is_Ccc: 	01_3:=}');
Error('\P{Is_Ccc: 	01_3:=}');
Expect(1, 1459, '\p{Is_Ccc=0013}', "");
Expect(0, 1459, '\p{^Is_Ccc=0013}', "");
Expect(0, 1459, '\P{Is_Ccc=0013}', "");
Expect(1, 1459, '\P{^Is_Ccc=0013}', "");
Expect(0, 1460, '\p{Is_Ccc=0013}', "");
Expect(1, 1460, '\p{^Is_Ccc=0013}', "");
Expect(1, 1460, '\P{Is_Ccc=0013}', "");
Expect(0, 1460, '\P{^Is_Ccc=0013}', "");
Error('\p{Canonical_Combining_Class:	/a/_ ccc130}');
Error('\P{Canonical_Combining_Class:	/a/_ ccc130}');
Expect(1, 3968, '\p{Canonical_Combining_Class=ccc130}', "");
Expect(0, 3968, '\p{^Canonical_Combining_Class=ccc130}', "");
Expect(0, 3968, '\P{Canonical_Combining_Class=ccc130}', "");
Expect(1, 3968, '\P{^Canonical_Combining_Class=ccc130}', "");
Expect(0, 3969, '\p{Canonical_Combining_Class=ccc130}', "");
Expect(1, 3969, '\p{^Canonical_Combining_Class=ccc130}', "");
Expect(1, 3969, '\P{Canonical_Combining_Class=ccc130}', "");
Expect(0, 3969, '\P{^Canonical_Combining_Class=ccc130}', "");
Expect(1, 3968, '\p{Canonical_Combining_Class=_CCC130}', "");
Expect(0, 3968, '\p{^Canonical_Combining_Class=_CCC130}', "");
Expect(0, 3968, '\P{Canonical_Combining_Class=_CCC130}', "");
Expect(1, 3968, '\P{^Canonical_Combining_Class=_CCC130}', "");
Expect(0, 3969, '\p{Canonical_Combining_Class=_CCC130}', "");
Expect(1, 3969, '\p{^Canonical_Combining_Class=_CCC130}', "");
Expect(1, 3969, '\P{Canonical_Combining_Class=_CCC130}', "");
Expect(0, 3969, '\P{^Canonical_Combining_Class=_CCC130}', "");
Error('\p{Ccc=	 +00_13_0:=}');
Error('\P{Ccc=	 +00_13_0:=}');
Expect(1, 3968, '\p{Ccc:+013_0}', "");
Expect(0, 3968, '\p{^Ccc:+013_0}', "");
Expect(0, 3968, '\P{Ccc:+013_0}', "");
Expect(1, 3968, '\P{^Ccc:+013_0}', "");
Expect(0, 3969, '\p{Ccc:+013_0}', "");
Expect(1, 3969, '\p{^Ccc:+013_0}', "");
Expect(1, 3969, '\P{Ccc:+013_0}', "");
Expect(0, 3969, '\P{^Ccc:+013_0}', "");
Error('\p{Is_Canonical_Combining_Class= :=CCC130}');
Error('\P{Is_Canonical_Combining_Class= :=CCC130}');
Expect(1, 3968, '\p{Is_Canonical_Combining_Class=ccc130}', "");
Expect(0, 3968, '\p{^Is_Canonical_Combining_Class=ccc130}', "");
Expect(0, 3968, '\P{Is_Canonical_Combining_Class=ccc130}', "");
Expect(1, 3968, '\P{^Is_Canonical_Combining_Class=ccc130}', "");
Expect(0, 3969, '\p{Is_Canonical_Combining_Class=ccc130}', "");
Expect(1, 3969, '\p{^Is_Canonical_Combining_Class=ccc130}', "");
Expect(1, 3969, '\P{Is_Canonical_Combining_Class=ccc130}', "");
Expect(0, 3969, '\P{^Is_Canonical_Combining_Class=ccc130}', "");
Expect(1, 3968, '\p{Is_Canonical_Combining_Class=_ccc130}', "");
Expect(0, 3968, '\p{^Is_Canonical_Combining_Class=_ccc130}', "");
Expect(0, 3968, '\P{Is_Canonical_Combining_Class=_ccc130}', "");
Expect(1, 3968, '\P{^Is_Canonical_Combining_Class=_ccc130}', "");
Expect(0, 3969, '\p{Is_Canonical_Combining_Class=_ccc130}', "");
Expect(1, 3969, '\p{^Is_Canonical_Combining_Class=_ccc130}', "");
Expect(1, 3969, '\P{Is_Canonical_Combining_Class=_ccc130}', "");
Expect(0, 3969, '\P{^Is_Canonical_Combining_Class=_ccc130}', "");
Error('\p{Is_Ccc=/a/ 	00130}');
Error('\P{Is_Ccc=/a/ 	00130}');
Expect(1, 3968, '\p{Is_Ccc=00000_00013_0}', "");
Expect(0, 3968, '\p{^Is_Ccc=00000_00013_0}', "");
Expect(0, 3968, '\P{Is_Ccc=00000_00013_0}', "");
Expect(1, 3968, '\P{^Is_Ccc=00000_00013_0}', "");
Expect(0, 3969, '\p{Is_Ccc=00000_00013_0}', "");
Expect(1, 3969, '\p{^Is_Ccc=00000_00013_0}', "");
Expect(1, 3969, '\P{Is_Ccc=00000_00013_0}', "");
Expect(0, 3969, '\P{^Is_Ccc=00000_00013_0}', "");
Error('\p{Canonical_Combining_Class:	 _CCC132:=}');
Error('\P{Canonical_Combining_Class:	 _CCC132:=}');
Expect(1, 3956, '\p{Canonical_Combining_Class=ccc132}', "");
Expect(0, 3956, '\p{^Canonical_Combining_Class=ccc132}', "");
Expect(0, 3956, '\P{Canonical_Combining_Class=ccc132}', "");
Expect(1, 3956, '\P{^Canonical_Combining_Class=ccc132}', "");
Expect(0, 3957, '\p{Canonical_Combining_Class=ccc132}', "");
Expect(1, 3957, '\p{^Canonical_Combining_Class=ccc132}', "");
Expect(1, 3957, '\P{Canonical_Combining_Class=ccc132}', "");
Expect(0, 3957, '\P{^Canonical_Combining_Class=ccc132}', "");
Expect(1, 3956, '\p{Canonical_Combining_Class=- ccc132}', "");
Expect(0, 3956, '\p{^Canonical_Combining_Class=- ccc132}', "");
Expect(0, 3956, '\P{Canonical_Combining_Class=- ccc132}', "");
Expect(1, 3956, '\P{^Canonical_Combining_Class=- ccc132}', "");
Expect(0, 3957, '\p{Canonical_Combining_Class=- ccc132}', "");
Expect(1, 3957, '\p{^Canonical_Combining_Class=- ccc132}', "");
Expect(1, 3957, '\P{Canonical_Combining_Class=- ccc132}', "");
Expect(0, 3957, '\P{^Canonical_Combining_Class=- ccc132}', "");
Error('\p{Ccc: /a/+0_1_32}');
Error('\P{Ccc: /a/+0_1_32}');
Expect(1, 3956, '\p{Ccc=132}', "");
Expect(0, 3956, '\p{^Ccc=132}', "");
Expect(0, 3956, '\P{Ccc=132}', "");
Expect(1, 3956, '\P{^Ccc=132}', "");
Expect(0, 3957, '\p{Ccc=132}', "");
Expect(1, 3957, '\p{^Ccc=132}', "");
Expect(1, 3957, '\P{Ccc=132}', "");
Expect(0, 3957, '\P{^Ccc=132}', "");
Error('\p{Is_Canonical_Combining_Class=-/a/CCC132}');
Error('\P{Is_Canonical_Combining_Class=-/a/CCC132}');
Expect(1, 3956, '\p{Is_Canonical_Combining_Class=ccc132}', "");
Expect(0, 3956, '\p{^Is_Canonical_Combining_Class=ccc132}', "");
Expect(0, 3956, '\P{Is_Canonical_Combining_Class=ccc132}', "");
Expect(1, 3956, '\P{^Is_Canonical_Combining_Class=ccc132}', "");
Expect(0, 3957, '\p{Is_Canonical_Combining_Class=ccc132}', "");
Expect(1, 3957, '\p{^Is_Canonical_Combining_Class=ccc132}', "");
Expect(1, 3957, '\P{Is_Canonical_Combining_Class=ccc132}', "");
Expect(0, 3957, '\P{^Is_Canonical_Combining_Class=ccc132}', "");
Expect(1, 3956, '\p{Is_Canonical_Combining_Class:   CCC132}', "");
Expect(0, 3956, '\p{^Is_Canonical_Combining_Class:   CCC132}', "");
Expect(0, 3956, '\P{Is_Canonical_Combining_Class:   CCC132}', "");
Expect(1, 3956, '\P{^Is_Canonical_Combining_Class:   CCC132}', "");
Expect(0, 3957, '\p{Is_Canonical_Combining_Class:   CCC132}', "");
Expect(1, 3957, '\p{^Is_Canonical_Combining_Class:   CCC132}', "");
Expect(1, 3957, '\P{Is_Canonical_Combining_Class:   CCC132}', "");
Expect(0, 3957, '\P{^Is_Canonical_Combining_Class:   CCC132}', "");
Error('\p{Is_Ccc=	 0000_0001_32/a/}');
Error('\P{Is_Ccc=	 0000_0001_32/a/}');
Expect(1, 3956, '\p{Is_Ccc=+0_0_0_0_0_0_1_32}', "");
Expect(0, 3956, '\p{^Is_Ccc=+0_0_0_0_0_0_1_32}', "");
Expect(0, 3956, '\P{Is_Ccc=+0_0_0_0_0_0_1_32}', "");
Expect(1, 3956, '\P{^Is_Ccc=+0_0_0_0_0_0_1_32}', "");
Expect(0, 3957, '\p{Is_Ccc=+0_0_0_0_0_0_1_32}', "");
Expect(1, 3957, '\p{^Is_Ccc=+0_0_0_0_0_0_1_32}', "");
Expect(1, 3957, '\P{Is_Ccc=+0_0_0_0_0_0_1_32}', "");
Expect(0, 3957, '\P{^Is_Ccc=+0_0_0_0_0_0_1_32}', "");
Error('\p{Canonical_Combining_Class=_-ccc133:=}');
Error('\P{Canonical_Combining_Class=_-ccc133:=}');
Expect(0, 1, '\p{Canonical_Combining_Class=ccc133}', "");
Expect(1, 1, '\p{^Canonical_Combining_Class=ccc133}', "");
Expect(1, 1, '\P{Canonical_Combining_Class=ccc133}', "");
Expect(0, 1, '\P{^Canonical_Combining_Class=ccc133}', "");
Expect(0, 1, '\p{Canonical_Combining_Class= _CCC133}', "");
Expect(1, 1, '\p{^Canonical_Combining_Class= _CCC133}', "");
Expect(1, 1, '\P{Canonical_Combining_Class= _CCC133}', "");
Expect(0, 1, '\P{^Canonical_Combining_Class= _CCC133}', "");
Error('\p{Ccc=:=00_00_00_133}');
Error('\P{Ccc=:=00_00_00_133}');
Expect(0, 1, '\p{Ccc=13_3}', "");
Expect(1, 1, '\p{^Ccc=13_3}', "");
Expect(1, 1, '\P{Ccc=13_3}', "");
Expect(0, 1, '\P{^Ccc=13_3}', "");
Error('\p{Is_Canonical_Combining_Class=/a/	CCC133}');
Error('\P{Is_Canonical_Combining_Class=/a/	CCC133}');
Expect(0, 1, '\p{Is_Canonical_Combining_Class=ccc133}', "");
Expect(1, 1, '\p{^Is_Canonical_Combining_Class=ccc133}', "");
Expect(1, 1, '\P{Is_Canonical_Combining_Class=ccc133}', "");
Expect(0, 1, '\P{^Is_Canonical_Combining_Class=ccc133}', "");
Expect(0, 1, '\p{Is_Canonical_Combining_Class=		CCC133}', "");
Expect(1, 1, '\p{^Is_Canonical_Combining_Class=		CCC133}', "");
Expect(1, 1, '\P{Is_Canonical_Combining_Class=		CCC133}', "");
Expect(0, 1, '\P{^Is_Canonical_Combining_Class=		CCC133}', "");
Error('\p{Is_Ccc=-:=+000_000_001_33}');
Error('\P{Is_Ccc=-:=+000_000_001_33}');
Expect(0, 1, '\p{Is_Ccc=000133}', "");
Expect(1, 1, '\p{^Is_Ccc=000133}', "");
Expect(1, 1, '\P{Is_Ccc=000133}', "");
Expect(0, 1, '\P{^Is_Ccc=000133}', "");
Error('\p{Canonical_Combining_Class= CCC14:=}');
Error('\P{Canonical_Combining_Class= CCC14:=}');
Expect(1, 1460, '\p{Canonical_Combining_Class=ccc14}', "");
Expect(0, 1460, '\p{^Canonical_Combining_Class=ccc14}', "");
Expect(0, 1460, '\P{Canonical_Combining_Class=ccc14}', "");
Expect(1, 1460, '\P{^Canonical_Combining_Class=ccc14}', "");
Expect(0, 1461, '\p{Canonical_Combining_Class=ccc14}', "");
Expect(1, 1461, '\p{^Canonical_Combining_Class=ccc14}', "");
Expect(1, 1461, '\P{Canonical_Combining_Class=ccc14}', "");
Expect(0, 1461, '\P{^Canonical_Combining_Class=ccc14}', "");
Expect(1, 1460, '\p{Canonical_Combining_Class=_ CCC14}', "");
Expect(0, 1460, '\p{^Canonical_Combining_Class=_ CCC14}', "");
Expect(0, 1460, '\P{Canonical_Combining_Class=_ CCC14}', "");
Expect(1, 1460, '\P{^Canonical_Combining_Class=_ CCC14}', "");
Expect(0, 1461, '\p{Canonical_Combining_Class=_ CCC14}', "");
Expect(1, 1461, '\p{^Canonical_Combining_Class=_ CCC14}', "");
Expect(1, 1461, '\P{Canonical_Combining_Class=_ CCC14}', "");
Expect(0, 1461, '\P{^Canonical_Combining_Class=_ CCC14}', "");
Error('\p{Ccc=- 0001_4:=}');
Error('\P{Ccc=- 0001_4:=}');
Expect(1, 1460, '\p{Ccc=+0_0_0_0_014}', "");
Expect(0, 1460, '\p{^Ccc=+0_0_0_0_014}', "");
Expect(0, 1460, '\P{Ccc=+0_0_0_0_014}', "");
Expect(1, 1460, '\P{^Ccc=+0_0_0_0_014}', "");
Expect(0, 1461, '\p{Ccc=+0_0_0_0_014}', "");
Expect(1, 1461, '\p{^Ccc=+0_0_0_0_014}', "");
Expect(1, 1461, '\P{Ccc=+0_0_0_0_014}', "");
Expect(0, 1461, '\P{^Ccc=+0_0_0_0_014}', "");
Error('\p{Is_Canonical_Combining_Class=:=- CCC14}');
Error('\P{Is_Canonical_Combining_Class=:=- CCC14}');
Expect(1, 1460, '\p{Is_Canonical_Combining_Class=ccc14}', "");
Expect(0, 1460, '\p{^Is_Canonical_Combining_Class=ccc14}', "");
Expect(0, 1460, '\P{Is_Canonical_Combining_Class=ccc14}', "");
Expect(1, 1460, '\P{^Is_Canonical_Combining_Class=ccc14}', "");
Expect(0, 1461, '\p{Is_Canonical_Combining_Class=ccc14}', "");
Expect(1, 1461, '\p{^Is_Canonical_Combining_Class=ccc14}', "");
Expect(1, 1461, '\P{Is_Canonical_Combining_Class=ccc14}', "");
Expect(0, 1461, '\P{^Is_Canonical_Combining_Class=ccc14}', "");
Expect(1, 1460, '\p{Is_Canonical_Combining_Class= _CCC14}', "");
Expect(0, 1460, '\p{^Is_Canonical_Combining_Class= _CCC14}', "");
Expect(0, 1460, '\P{Is_Canonical_Combining_Class= _CCC14}', "");
Expect(1, 1460, '\P{^Is_Canonical_Combining_Class= _CCC14}', "");
Expect(0, 1461, '\p{Is_Canonical_Combining_Class= _CCC14}', "");
Expect(1, 1461, '\p{^Is_Canonical_Combining_Class= _CCC14}', "");
Expect(1, 1461, '\P{Is_Canonical_Combining_Class= _CCC14}', "");
Expect(0, 1461, '\P{^Is_Canonical_Combining_Class= _CCC14}', "");
Error('\p{Is_Ccc=_:=+000001_4}');
Error('\P{Is_Ccc=_:=+000001_4}');
Expect(1, 1460, '\p{Is_Ccc=000_000_14}', "");
Expect(0, 1460, '\p{^Is_Ccc=000_000_14}', "");
Expect(0, 1460, '\P{Is_Ccc=000_000_14}', "");
Expect(1, 1460, '\P{^Is_Ccc=000_000_14}', "");
Expect(0, 1461, '\p{Is_Ccc=000_000_14}', "");
Expect(1, 1461, '\p{^Is_Ccc=000_000_14}', "");
Expect(1, 1461, '\P{Is_Ccc=000_000_14}', "");
Expect(0, 1461, '\P{^Is_Ccc=000_000_14}', "");
Error('\p{Canonical_Combining_Class=-CCC15:=}');
Error('\P{Canonical_Combining_Class=-CCC15:=}');
Expect(1, 1461, '\p{Canonical_Combining_Class=ccc15}', "");
Expect(0, 1461, '\p{^Canonical_Combining_Class=ccc15}', "");
Expect(0, 1461, '\P{Canonical_Combining_Class=ccc15}', "");
Expect(1, 1461, '\P{^Canonical_Combining_Class=ccc15}', "");
Expect(0, 1462, '\p{Canonical_Combining_Class=ccc15}', "");
Expect(1, 1462, '\p{^Canonical_Combining_Class=ccc15}', "");
Expect(1, 1462, '\P{Canonical_Combining_Class=ccc15}', "");
Expect(0, 1462, '\P{^Canonical_Combining_Class=ccc15}', "");
Expect(1, 1461, '\p{Canonical_Combining_Class= _CCC15}', "");
Expect(0, 1461, '\p{^Canonical_Combining_Class= _CCC15}', "");
Expect(0, 1461, '\P{Canonical_Combining_Class= _CCC15}', "");
Expect(1, 1461, '\P{^Canonical_Combining_Class= _CCC15}', "");
Expect(0, 1462, '\p{Canonical_Combining_Class= _CCC15}', "");
Expect(1, 1462, '\p{^Canonical_Combining_Class= _CCC15}', "");
Expect(1, 1462, '\P{Canonical_Combining_Class= _CCC15}', "");
Expect(0, 1462, '\P{^Canonical_Combining_Class= _CCC15}', "");
Error('\p{Ccc=:=0015}');
Error('\P{Ccc=:=0015}');
Expect(1, 1461, '\p{Ccc=00_01_5}', "");
Expect(0, 1461, '\p{^Ccc=00_01_5}', "");
Expect(0, 1461, '\P{Ccc=00_01_5}', "");
Expect(1, 1461, '\P{^Ccc=00_01_5}', "");
Expect(0, 1462, '\p{Ccc=00_01_5}', "");
Expect(1, 1462, '\p{^Ccc=00_01_5}', "");
Expect(1, 1462, '\P{Ccc=00_01_5}', "");
Expect(0, 1462, '\P{^Ccc=00_01_5}', "");
Error('\p{Is_Canonical_Combining_Class=_:=CCC15}');
Error('\P{Is_Canonical_Combining_Class=_:=CCC15}');
Expect(1, 1461, '\p{Is_Canonical_Combining_Class=ccc15}', "");
Expect(0, 1461, '\p{^Is_Canonical_Combining_Class=ccc15}', "");
Expect(0, 1461, '\P{Is_Canonical_Combining_Class=ccc15}', "");
Expect(1, 1461, '\P{^Is_Canonical_Combining_Class=ccc15}', "");
Expect(0, 1462, '\p{Is_Canonical_Combining_Class=ccc15}', "");
Expect(1, 1462, '\p{^Is_Canonical_Combining_Class=ccc15}', "");
Expect(1, 1462, '\P{Is_Canonical_Combining_Class=ccc15}', "");
Expect(0, 1462, '\P{^Is_Canonical_Combining_Class=ccc15}', "");
Expect(1, 1461, '\p{Is_Canonical_Combining_Class:    _CCC15}', "");
Expect(0, 1461, '\p{^Is_Canonical_Combining_Class:    _CCC15}', "");
Expect(0, 1461, '\P{Is_Canonical_Combining_Class:    _CCC15}', "");
Expect(1, 1461, '\P{^Is_Canonical_Combining_Class:    _CCC15}', "");
Expect(0, 1462, '\p{Is_Canonical_Combining_Class:    _CCC15}', "");
Expect(1, 1462, '\p{^Is_Canonical_Combining_Class:    _CCC15}', "");
Expect(1, 1462, '\P{Is_Canonical_Combining_Class:    _CCC15}', "");
Expect(0, 1462, '\P{^Is_Canonical_Combining_Class:    _CCC15}', "");
Error('\p{Is_Ccc:   /a/0000015}');
Error('\P{Is_Ccc:   /a/0000015}');
Expect(1, 1461, '\p{Is_Ccc=001_5}', "");
Expect(0, 1461, '\p{^Is_Ccc=001_5}', "");
Expect(0, 1461, '\P{Is_Ccc=001_5}', "");
Expect(1, 1461, '\P{^Is_Ccc=001_5}', "");
Expect(0, 1462, '\p{Is_Ccc=001_5}', "");
Expect(1, 1462, '\p{^Is_Ccc=001_5}', "");
Expect(1, 1462, '\P{Is_Ccc=001_5}', "");
Expect(0, 1462, '\P{^Is_Ccc=001_5}', "");
Error('\p{Canonical_Combining_Class= :=ccc16}');
Error('\P{Canonical_Combining_Class= :=ccc16}');
Expect(1, 1462, '\p{Canonical_Combining_Class=ccc16}', "");
Expect(0, 1462, '\p{^Canonical_Combining_Class=ccc16}', "");
Expect(0, 1462, '\P{Canonical_Combining_Class=ccc16}', "");
Expect(1, 1462, '\P{^Canonical_Combining_Class=ccc16}', "");
Expect(0, 1463, '\p{Canonical_Combining_Class=ccc16}', "");
Expect(1, 1463, '\p{^Canonical_Combining_Class=ccc16}', "");
Expect(1, 1463, '\P{Canonical_Combining_Class=ccc16}', "");
Expect(0, 1463, '\P{^Canonical_Combining_Class=ccc16}', "");
Expect(1, 1462, '\p{Canonical_Combining_Class= CCC16}', "");
Expect(0, 1462, '\p{^Canonical_Combining_Class= CCC16}', "");
Expect(0, 1462, '\P{Canonical_Combining_Class= CCC16}', "");
Expect(1, 1462, '\P{^Canonical_Combining_Class= CCC16}', "");
Expect(0, 1463, '\p{Canonical_Combining_Class= CCC16}', "");
Expect(1, 1463, '\p{^Canonical_Combining_Class= CCC16}', "");
Expect(1, 1463, '\P{Canonical_Combining_Class= CCC16}', "");
Expect(0, 1463, '\P{^Canonical_Combining_Class= CCC16}', "");
Error('\p{Ccc=	/a/00000000016}');
Error('\P{Ccc=	/a/00000000016}');
Expect(1, 1462, '\p{Ccc=0000016}', "");
Expect(0, 1462, '\p{^Ccc=0000016}', "");
Expect(0, 1462, '\P{Ccc=0000016}', "");
Expect(1, 1462, '\P{^Ccc=0000016}', "");
Expect(0, 1463, '\p{Ccc=0000016}', "");
Expect(1, 1463, '\p{^Ccc=0000016}', "");
Expect(1, 1463, '\P{Ccc=0000016}', "");
Expect(0, 1463, '\P{^Ccc=0000016}', "");
Error('\p{Is_Canonical_Combining_Class=  ccc16/a/}');
Error('\P{Is_Canonical_Combining_Class=  ccc16/a/}');
Expect(1, 1462, '\p{Is_Canonical_Combining_Class=ccc16}', "");
Expect(0, 1462, '\p{^Is_Canonical_Combining_Class=ccc16}', "");
Expect(0, 1462, '\P{Is_Canonical_Combining_Class=ccc16}', "");
Expect(1, 1462, '\P{^Is_Canonical_Combining_Class=ccc16}', "");
Expect(0, 1463, '\p{Is_Canonical_Combining_Class=ccc16}', "");
Expect(1, 1463, '\p{^Is_Canonical_Combining_Class=ccc16}', "");
Expect(1, 1463, '\P{Is_Canonical_Combining_Class=ccc16}', "");
Expect(0, 1463, '\P{^Is_Canonical_Combining_Class=ccc16}', "");
Expect(1, 1462, '\p{Is_Canonical_Combining_Class=	_ccc16}', "");
Expect(0, 1462, '\p{^Is_Canonical_Combining_Class=	_ccc16}', "");
Expect(0, 1462, '\P{Is_Canonical_Combining_Class=	_ccc16}', "");
Expect(1, 1462, '\P{^Is_Canonical_Combining_Class=	_ccc16}', "");
Expect(0, 1463, '\p{Is_Canonical_Combining_Class=	_ccc16}', "");
Expect(1, 1463, '\p{^Is_Canonical_Combining_Class=	_ccc16}', "");
Expect(1, 1463, '\P{Is_Canonical_Combining_Class=	_ccc16}', "");
Expect(0, 1463, '\P{^Is_Canonical_Combining_Class=	_ccc16}', "");
Error('\p{Is_Ccc=:=-+16}');
Error('\P{Is_Ccc=:=-+16}');
Expect(1, 1462, '\p{Is_Ccc=+016}', "");
Expect(0, 1462, '\p{^Is_Ccc=+016}', "");
Expect(0, 1462, '\P{Is_Ccc=+016}', "");
Expect(1, 1462, '\P{^Is_Ccc=+016}', "");
Expect(0, 1463, '\p{Is_Ccc=+016}', "");
Expect(1, 1463, '\p{^Is_Ccc=+016}', "");
Expect(1, 1463, '\P{Is_Ccc=+016}', "");
Expect(0, 1463, '\P{^Is_Ccc=+016}', "");
Error('\p{Canonical_Combining_Class=-:=ccc17}');
Error('\P{Canonical_Combining_Class=-:=ccc17}');
Expect(1, 1463, '\p{Canonical_Combining_Class=ccc17}', "");
Expect(0, 1463, '\p{^Canonical_Combining_Class=ccc17}', "");
Expect(0, 1463, '\P{Canonical_Combining_Class=ccc17}', "");
Expect(1, 1463, '\P{^Canonical_Combining_Class=ccc17}', "");
Expect(0, 1464, '\p{Canonical_Combining_Class=ccc17}', "");
Expect(1, 1464, '\p{^Canonical_Combining_Class=ccc17}', "");
Expect(1, 1464, '\P{Canonical_Combining_Class=ccc17}', "");
Expect(0, 1464, '\P{^Canonical_Combining_Class=ccc17}', "");
Expect(1, 1463, '\p{Canonical_Combining_Class=	CCC17}', "");
Expect(0, 1463, '\p{^Canonical_Combining_Class=	CCC17}', "");
Expect(0, 1463, '\P{Canonical_Combining_Class=	CCC17}', "");
Expect(1, 1463, '\P{^Canonical_Combining_Class=	CCC17}', "");
Expect(0, 1464, '\p{Canonical_Combining_Class=	CCC17}', "");
Expect(1, 1464, '\p{^Canonical_Combining_Class=	CCC17}', "");
Expect(1, 1464, '\P{Canonical_Combining_Class=	CCC17}', "");
Expect(0, 1464, '\P{^Canonical_Combining_Class=	CCC17}', "");
Error('\p{Ccc=:=_-0_0_0_0_0_0_0_0_17}');
Error('\P{Ccc=:=_-0_0_0_0_0_0_0_0_17}');
Expect(1, 1463, '\p{Ccc=0017}', "");
Expect(0, 1463, '\p{^Ccc=0017}', "");
Expect(0, 1463, '\P{Ccc=0017}', "");
Expect(1, 1463, '\P{^Ccc=0017}', "");
Expect(0, 1464, '\p{Ccc=0017}', "");
Expect(1, 1464, '\p{^Ccc=0017}', "");
Expect(1, 1464, '\P{Ccc=0017}', "");
Expect(0, 1464, '\P{^Ccc=0017}', "");
Error('\p{Is_Canonical_Combining_Class=  CCC17/a/}');
Error('\P{Is_Canonical_Combining_Class=  CCC17/a/}');
Expect(1, 1463, '\p{Is_Canonical_Combining_Class=ccc17}', "");
Expect(0, 1463, '\p{^Is_Canonical_Combining_Class=ccc17}', "");
Expect(0, 1463, '\P{Is_Canonical_Combining_Class=ccc17}', "");
Expect(1, 1463, '\P{^Is_Canonical_Combining_Class=ccc17}', "");
Expect(0, 1464, '\p{Is_Canonical_Combining_Class=ccc17}', "");
Expect(1, 1464, '\p{^Is_Canonical_Combining_Class=ccc17}', "");
Expect(1, 1464, '\P{Is_Canonical_Combining_Class=ccc17}', "");
Expect(0, 1464, '\P{^Is_Canonical_Combining_Class=ccc17}', "");
Expect(1, 1463, '\p{Is_Canonical_Combining_Class= ccc17}', "");
Expect(0, 1463, '\p{^Is_Canonical_Combining_Class= ccc17}', "");
Expect(0, 1463, '\P{Is_Canonical_Combining_Class= ccc17}', "");
Expect(1, 1463, '\P{^Is_Canonical_Combining_Class= ccc17}', "");
Expect(0, 1464, '\p{Is_Canonical_Combining_Class= ccc17}', "");
Expect(1, 1464, '\p{^Is_Canonical_Combining_Class= ccc17}', "");
Expect(1, 1464, '\P{Is_Canonical_Combining_Class= ccc17}', "");
Expect(0, 1464, '\P{^Is_Canonical_Combining_Class= ccc17}', "");
Error('\p{Is_Ccc=:=-00000017}');
Error('\P{Is_Ccc=:=-00000017}');
Expect(1, 1463, '\p{Is_Ccc=+00000017}', "");
Expect(0, 1463, '\p{^Is_Ccc=+00000017}', "");
Expect(0, 1463, '\P{Is_Ccc=+00000017}', "");
Expect(1, 1463, '\P{^Is_Ccc=+00000017}', "");
Expect(0, 1464, '\p{Is_Ccc=+00000017}', "");
Expect(1, 1464, '\p{^Is_Ccc=+00000017}', "");
Expect(1, 1464, '\P{Is_Ccc=+00000017}', "");
Expect(0, 1464, '\P{^Is_Ccc=+00000017}', "");
Error('\p{Canonical_Combining_Class:   CCC18/a/}');
Error('\P{Canonical_Combining_Class:   CCC18/a/}');
Expect(1, 1479, '\p{Canonical_Combining_Class=ccc18}', "");
Expect(0, 1479, '\p{^Canonical_Combining_Class=ccc18}', "");
Expect(0, 1479, '\P{Canonical_Combining_Class=ccc18}', "");
Expect(1, 1479, '\P{^Canonical_Combining_Class=ccc18}', "");
Expect(0, 1480, '\p{Canonical_Combining_Class=ccc18}', "");
Expect(1, 1480, '\p{^Canonical_Combining_Class=ccc18}', "");
Expect(1, 1480, '\P{Canonical_Combining_Class=ccc18}', "");
Expect(0, 1480, '\P{^Canonical_Combining_Class=ccc18}', "");
Expect(1, 1479, '\p{Canonical_Combining_Class=_CCC18}', "");
Expect(0, 1479, '\p{^Canonical_Combining_Class=_CCC18}', "");
Expect(0, 1479, '\P{Canonical_Combining_Class=_CCC18}', "");
Expect(1, 1479, '\P{^Canonical_Combining_Class=_CCC18}', "");
Expect(0, 1480, '\p{Canonical_Combining_Class=_CCC18}', "");
Expect(1, 1480, '\p{^Canonical_Combining_Class=_CCC18}', "");
Expect(1, 1480, '\P{Canonical_Combining_Class=_CCC18}', "");
Expect(0, 1480, '\P{^Canonical_Combining_Class=_CCC18}', "");
Error('\p{Ccc=/a/0_0_18}');
Error('\P{Ccc=/a/0_0_18}');
Expect(1, 1479, '\p{Ccc=00000000018}', "");
Expect(0, 1479, '\p{^Ccc=00000000018}', "");
Expect(0, 1479, '\P{Ccc=00000000018}', "");
Expect(1, 1479, '\P{^Ccc=00000000018}', "");
Expect(0, 1480, '\p{Ccc=00000000018}', "");
Expect(1, 1480, '\p{^Ccc=00000000018}', "");
Expect(1, 1480, '\P{Ccc=00000000018}', "");
Expect(0, 1480, '\P{^Ccc=00000000018}', "");
Error('\p{Is_Canonical_Combining_Class=/a/CCC18}');
Error('\P{Is_Canonical_Combining_Class=/a/CCC18}');
Expect(1, 1479, '\p{Is_Canonical_Combining_Class=ccc18}', "");
Expect(0, 1479, '\p{^Is_Canonical_Combining_Class=ccc18}', "");
Expect(0, 1479, '\P{Is_Canonical_Combining_Class=ccc18}', "");
Expect(1, 1479, '\P{^Is_Canonical_Combining_Class=ccc18}', "");
Expect(0, 1480, '\p{Is_Canonical_Combining_Class=ccc18}', "");
Expect(1, 1480, '\p{^Is_Canonical_Combining_Class=ccc18}', "");
Expect(1, 1480, '\P{Is_Canonical_Combining_Class=ccc18}', "");
Expect(0, 1480, '\P{^Is_Canonical_Combining_Class=ccc18}', "");
Expect(1, 1479, '\p{Is_Canonical_Combining_Class:   	-ccc18}', "");
Expect(0, 1479, '\p{^Is_Canonical_Combining_Class:   	-ccc18}', "");
Expect(0, 1479, '\P{Is_Canonical_Combining_Class:   	-ccc18}', "");
Expect(1, 1479, '\P{^Is_Canonical_Combining_Class:   	-ccc18}', "");
Expect(0, 1480, '\p{Is_Canonical_Combining_Class:   	-ccc18}', "");
Expect(1, 1480, '\p{^Is_Canonical_Combining_Class:   	-ccc18}', "");
Expect(1, 1480, '\P{Is_Canonical_Combining_Class:   	-ccc18}', "");
Expect(0, 1480, '\P{^Is_Canonical_Combining_Class:   	-ccc18}', "");
Error('\p{Is_Ccc=-1_8/a/}');
Error('\P{Is_Ccc=-1_8/a/}');
Expect(1, 1479, '\p{Is_Ccc=018}', "");
Expect(0, 1479, '\p{^Is_Ccc=018}', "");
Expect(0, 1479, '\P{Is_Ccc=018}', "");
Expect(1, 1479, '\P{^Is_Ccc=018}', "");
Expect(0, 1480, '\p{Is_Ccc=018}', "");
Expect(1, 1480, '\p{^Is_Ccc=018}', "");
Expect(1, 1480, '\P{Is_Ccc=018}', "");
Expect(0, 1480, '\P{^Is_Ccc=018}', "");
Error('\p{Canonical_Combining_Class=/a/-CCC19}');
Error('\P{Canonical_Combining_Class=/a/-CCC19}');
Expect(1, 1466, '\p{Canonical_Combining_Class=ccc19}', "");
Expect(0, 1466, '\p{^Canonical_Combining_Class=ccc19}', "");
Expect(0, 1466, '\P{Canonical_Combining_Class=ccc19}', "");
Expect(1, 1466, '\P{^Canonical_Combining_Class=ccc19}', "");
Expect(0, 1467, '\p{Canonical_Combining_Class=ccc19}', "");
Expect(1, 1467, '\p{^Canonical_Combining_Class=ccc19}', "");
Expect(1, 1467, '\P{Canonical_Combining_Class=ccc19}', "");
Expect(0, 1467, '\P{^Canonical_Combining_Class=ccc19}', "");
Expect(1, 1466, '\p{Canonical_Combining_Class=_-CCC19}', "");
Expect(0, 1466, '\p{^Canonical_Combining_Class=_-CCC19}', "");
Expect(0, 1466, '\P{Canonical_Combining_Class=_-CCC19}', "");
Expect(1, 1466, '\P{^Canonical_Combining_Class=_-CCC19}', "");
Expect(0, 1467, '\p{Canonical_Combining_Class=_-CCC19}', "");
Expect(1, 1467, '\p{^Canonical_Combining_Class=_-CCC19}', "");
Expect(1, 1467, '\P{Canonical_Combining_Class=_-CCC19}', "");
Expect(0, 1467, '\P{^Canonical_Combining_Class=_-CCC19}', "");
Error('\p{Ccc:--00000019:=}');
Error('\P{Ccc:--00000019:=}');
Expect(1, 1466, '\p{Ccc=1_9}', "");
Expect(0, 1466, '\p{^Ccc=1_9}', "");
Expect(0, 1466, '\P{Ccc=1_9}', "");
Expect(1, 1466, '\P{^Ccc=1_9}', "");
Expect(0, 1467, '\p{Ccc=1_9}', "");
Expect(1, 1467, '\p{^Ccc=1_9}', "");
Expect(1, 1467, '\P{Ccc=1_9}', "");
Expect(0, 1467, '\P{^Ccc=1_9}', "");
Error('\p{Is_Canonical_Combining_Class=-	CCC19/a/}');
Error('\P{Is_Canonical_Combining_Class=-	CCC19/a/}');
Expect(1, 1466, '\p{Is_Canonical_Combining_Class: ccc19}', "");
Expect(0, 1466, '\p{^Is_Canonical_Combining_Class: ccc19}', "");
Expect(0, 1466, '\P{Is_Canonical_Combining_Class: ccc19}', "");
Expect(1, 1466, '\P{^Is_Canonical_Combining_Class: ccc19}', "");
Expect(0, 1467, '\p{Is_Canonical_Combining_Class: ccc19}', "");
Expect(1, 1467, '\p{^Is_Canonical_Combining_Class: ccc19}', "");
Expect(1, 1467, '\P{Is_Canonical_Combining_Class: ccc19}', "");
Expect(0, 1467, '\P{^Is_Canonical_Combining_Class: ccc19}', "");
Expect(1, 1466, '\p{Is_Canonical_Combining_Class=- ccc19}', "");
Expect(0, 1466, '\p{^Is_Canonical_Combining_Class=- ccc19}', "");
Expect(0, 1466, '\P{Is_Canonical_Combining_Class=- ccc19}', "");
Expect(1, 1466, '\P{^Is_Canonical_Combining_Class=- ccc19}', "");
Expect(0, 1467, '\p{Is_Canonical_Combining_Class=- ccc19}', "");
Expect(1, 1467, '\p{^Is_Canonical_Combining_Class=- ccc19}', "");
Expect(1, 1467, '\P{Is_Canonical_Combining_Class=- ccc19}', "");
Expect(0, 1467, '\P{^Is_Canonical_Combining_Class=- ccc19}', "");
Error('\p{Is_Ccc=/a/-_0000000001_9}');
Error('\P{Is_Ccc=/a/-_0000000001_9}');
Expect(1, 1466, '\p{Is_Ccc=001_9}', "");
Expect(0, 1466, '\p{^Is_Ccc=001_9}', "");
Expect(0, 1466, '\P{Is_Ccc=001_9}', "");
Expect(1, 1466, '\P{^Is_Ccc=001_9}', "");
Expect(0, 1467, '\p{Is_Ccc=001_9}', "");
Expect(1, 1467, '\p{^Is_Ccc=001_9}', "");
Expect(1, 1467, '\P{Is_Ccc=001_9}', "");
Expect(0, 1467, '\P{^Is_Ccc=001_9}', "");
Error('\p{Canonical_Combining_Class=__CCC20:=}');
Error('\P{Canonical_Combining_Class=__CCC20:=}');
Expect(1, 1467, '\p{Canonical_Combining_Class=ccc20}', "");
Expect(0, 1467, '\p{^Canonical_Combining_Class=ccc20}', "");
Expect(0, 1467, '\P{Canonical_Combining_Class=ccc20}', "");
Expect(1, 1467, '\P{^Canonical_Combining_Class=ccc20}', "");
Expect(0, 1468, '\p{Canonical_Combining_Class=ccc20}', "");
Expect(1, 1468, '\p{^Canonical_Combining_Class=ccc20}', "");
Expect(1, 1468, '\P{Canonical_Combining_Class=ccc20}', "");
Expect(0, 1468, '\P{^Canonical_Combining_Class=ccc20}', "");
Expect(1, 1467, '\p{Canonical_Combining_Class= -CCC20}', "");
Expect(0, 1467, '\p{^Canonical_Combining_Class= -CCC20}', "");
Expect(0, 1467, '\P{Canonical_Combining_Class= -CCC20}', "");
Expect(1, 1467, '\P{^Canonical_Combining_Class= -CCC20}', "");
Expect(0, 1468, '\p{Canonical_Combining_Class= -CCC20}', "");
Expect(1, 1468, '\p{^Canonical_Combining_Class= -CCC20}', "");
Expect(1, 1468, '\P{Canonical_Combining_Class= -CCC20}', "");
Expect(0, 1468, '\P{^Canonical_Combining_Class= -CCC20}', "");
Error('\p{Ccc=/a/	+0_0_0_0_0_0_020}');
Error('\P{Ccc=/a/	+0_0_0_0_0_0_020}');
Expect(1, 1467, '\p{Ccc=00000000020}', "");
Expect(0, 1467, '\p{^Ccc=00000000020}', "");
Expect(0, 1467, '\P{Ccc=00000000020}', "");
Expect(1, 1467, '\P{^Ccc=00000000020}', "");
Expect(0, 1468, '\p{Ccc=00000000020}', "");
Expect(1, 1468, '\p{^Ccc=00000000020}', "");
Expect(1, 1468, '\P{Ccc=00000000020}', "");
Expect(0, 1468, '\P{^Ccc=00000000020}', "");
Error('\p{Is_Canonical_Combining_Class=	_ccc20/a/}');
Error('\P{Is_Canonical_Combining_Class=	_ccc20/a/}');
Expect(1, 1467, '\p{Is_Canonical_Combining_Class=ccc20}', "");
Expect(0, 1467, '\p{^Is_Canonical_Combining_Class=ccc20}', "");
Expect(0, 1467, '\P{Is_Canonical_Combining_Class=ccc20}', "");
Expect(1, 1467, '\P{^Is_Canonical_Combining_Class=ccc20}', "");
Expect(0, 1468, '\p{Is_Canonical_Combining_Class=ccc20}', "");
Expect(1, 1468, '\p{^Is_Canonical_Combining_Class=ccc20}', "");
Expect(1, 1468, '\P{Is_Canonical_Combining_Class=ccc20}', "");
Expect(0, 1468, '\P{^Is_Canonical_Combining_Class=ccc20}', "");
Expect(1, 1467, '\p{Is_Canonical_Combining_Class=-CCC20}', "");
Expect(0, 1467, '\p{^Is_Canonical_Combining_Class=-CCC20}', "");
Expect(0, 1467, '\P{Is_Canonical_Combining_Class=-CCC20}', "");
Expect(1, 1467, '\P{^Is_Canonical_Combining_Class=-CCC20}', "");
Expect(0, 1468, '\p{Is_Canonical_Combining_Class=-CCC20}', "");
Expect(1, 1468, '\p{^Is_Canonical_Combining_Class=-CCC20}', "");
Expect(1, 1468, '\P{Is_Canonical_Combining_Class=-CCC20}', "");
Expect(0, 1468, '\P{^Is_Canonical_Combining_Class=-CCC20}', "");
Error('\p{Is_Ccc=:=	-02_0}');
Error('\P{Is_Ccc=:=	-02_0}');
Expect(1, 1467, '\p{Is_Ccc=0020}', "");
Expect(0, 1467, '\p{^Is_Ccc=0020}', "");
Expect(0, 1467, '\P{Is_Ccc=0020}', "");
Expect(1, 1467, '\P{^Is_Ccc=0020}', "");
Expect(0, 1468, '\p{Is_Ccc=0020}', "");
Expect(1, 1468, '\p{^Is_Ccc=0020}', "");
Expect(1, 1468, '\P{Is_Ccc=0020}', "");
Expect(0, 1468, '\P{^Is_Ccc=0020}', "");
Error('\p{Canonical_Combining_Class=	 CCC21:=}');
Error('\P{Canonical_Combining_Class=	 CCC21:=}');
Expect(1, 1468, '\p{Canonical_Combining_Class=ccc21}', "");
Expect(0, 1468, '\p{^Canonical_Combining_Class=ccc21}', "");
Expect(0, 1468, '\P{Canonical_Combining_Class=ccc21}', "");
Expect(1, 1468, '\P{^Canonical_Combining_Class=ccc21}', "");
Expect(0, 1469, '\p{Canonical_Combining_Class=ccc21}', "");
Expect(1, 1469, '\p{^Canonical_Combining_Class=ccc21}', "");
Expect(1, 1469, '\P{Canonical_Combining_Class=ccc21}', "");
Expect(0, 1469, '\P{^Canonical_Combining_Class=ccc21}', "");
Expect(1, 1468, '\p{Canonical_Combining_Class=-CCC21}', "");
Expect(0, 1468, '\p{^Canonical_Combining_Class=-CCC21}', "");
Expect(0, 1468, '\P{Canonical_Combining_Class=-CCC21}', "");
Expect(1, 1468, '\P{^Canonical_Combining_Class=-CCC21}', "");
Expect(0, 1469, '\p{Canonical_Combining_Class=-CCC21}', "");
Expect(1, 1469, '\p{^Canonical_Combining_Class=-CCC21}', "");
Expect(1, 1469, '\P{Canonical_Combining_Class=-CCC21}', "");
Expect(0, 1469, '\P{^Canonical_Combining_Class=-CCC21}', "");
Error('\p{Ccc=/a/_00000021}');
Error('\P{Ccc=/a/_00000021}');
Expect(1, 1468, '\p{Ccc=0_0_0_0_0_21}', "");
Expect(0, 1468, '\p{^Ccc=0_0_0_0_0_21}', "");
Expect(0, 1468, '\P{Ccc=0_0_0_0_0_21}', "");
Expect(1, 1468, '\P{^Ccc=0_0_0_0_0_21}', "");
Expect(0, 1469, '\p{Ccc=0_0_0_0_0_21}', "");
Expect(1, 1469, '\p{^Ccc=0_0_0_0_0_21}', "");
Expect(1, 1469, '\P{Ccc=0_0_0_0_0_21}', "");
Expect(0, 1469, '\P{^Ccc=0_0_0_0_0_21}', "");
Error('\p{Is_Canonical_Combining_Class=:=-_CCC21}');
Error('\P{Is_Canonical_Combining_Class=:=-_CCC21}');
Expect(1, 1468, '\p{Is_Canonical_Combining_Class:   ccc21}', "");
Expect(0, 1468, '\p{^Is_Canonical_Combining_Class:   ccc21}', "");
Expect(0, 1468, '\P{Is_Canonical_Combining_Class:   ccc21}', "");
Expect(1, 1468, '\P{^Is_Canonical_Combining_Class:   ccc21}', "");
Expect(0, 1469, '\p{Is_Canonical_Combining_Class:   ccc21}', "");
Expect(1, 1469, '\p{^Is_Canonical_Combining_Class:   ccc21}', "");
Expect(1, 1469, '\P{Is_Canonical_Combining_Class:   ccc21}', "");
Expect(0, 1469, '\P{^Is_Canonical_Combining_Class:   ccc21}', "");
Expect(1, 1468, '\p{Is_Canonical_Combining_Class:		CCC21}', "");
Expect(0, 1468, '\p{^Is_Canonical_Combining_Class:		CCC21}', "");
Expect(0, 1468, '\P{Is_Canonical_Combining_Class:		CCC21}', "");
Expect(1, 1468, '\P{^Is_Canonical_Combining_Class:		CCC21}', "");
Expect(0, 1469, '\p{Is_Canonical_Combining_Class:		CCC21}', "");
Expect(1, 1469, '\p{^Is_Canonical_Combining_Class:		CCC21}', "");
Expect(1, 1469, '\P{Is_Canonical_Combining_Class:		CCC21}', "");
Expect(0, 1469, '\P{^Is_Canonical_Combining_Class:		CCC21}', "");
Error('\p{Is_Ccc= /a/00021}');
Error('\P{Is_Ccc= /a/00021}');
Expect(1, 1468, '\p{Is_Ccc:	0000021}', "");
Expect(0, 1468, '\p{^Is_Ccc:	0000021}', "");
Expect(0, 1468, '\P{Is_Ccc:	0000021}', "");
Expect(1, 1468, '\P{^Is_Ccc:	0000021}', "");
Expect(0, 1469, '\p{Is_Ccc:	0000021}', "");
Expect(1, 1469, '\p{^Is_Ccc:	0000021}', "");
Expect(1, 1469, '\P{Is_Ccc:	0000021}', "");
Expect(0, 1469, '\P{^Is_Ccc:	0000021}', "");
Error('\p{Canonical_Combining_Class=:= CCC22}');
Error('\P{Canonical_Combining_Class=:= CCC22}');
Expect(1, 1469, '\p{Canonical_Combining_Class=ccc22}', "");
Expect(0, 1469, '\p{^Canonical_Combining_Class=ccc22}', "");
Expect(0, 1469, '\P{Canonical_Combining_Class=ccc22}', "");
Expect(1, 1469, '\P{^Canonical_Combining_Class=ccc22}', "");
Expect(0, 1470, '\p{Canonical_Combining_Class=ccc22}', "");
Expect(1, 1470, '\p{^Canonical_Combining_Class=ccc22}', "");
Expect(1, 1470, '\P{Canonical_Combining_Class=ccc22}', "");
Expect(0, 1470, '\P{^Canonical_Combining_Class=ccc22}', "");
Expect(1, 1469, '\p{Canonical_Combining_Class:_CCC22}', "");
Expect(0, 1469, '\p{^Canonical_Combining_Class:_CCC22}', "");
Expect(0, 1469, '\P{Canonical_Combining_Class:_CCC22}', "");
Expect(1, 1469, '\P{^Canonical_Combining_Class:_CCC22}', "");
Expect(0, 1470, '\p{Canonical_Combining_Class:_CCC22}', "");
Expect(1, 1470, '\p{^Canonical_Combining_Class:_CCC22}', "");
Expect(1, 1470, '\P{Canonical_Combining_Class:_CCC22}', "");
Expect(0, 1470, '\P{^Canonical_Combining_Class:_CCC22}', "");
Error('\p{Ccc=/a/+0_0_0_0_0022}');
Error('\P{Ccc=/a/+0_0_0_0_0022}');
Expect(1, 1469, '\p{Ccc=00022}', "");
Expect(0, 1469, '\p{^Ccc=00022}', "");
Expect(0, 1469, '\P{Ccc=00022}', "");
Expect(1, 1469, '\P{^Ccc=00022}', "");
Expect(0, 1470, '\p{Ccc=00022}', "");
Expect(1, 1470, '\p{^Ccc=00022}', "");
Expect(1, 1470, '\P{Ccc=00022}', "");
Expect(0, 1470, '\P{^Ccc=00022}', "");
Error('\p{Is_Canonical_Combining_Class=/a/-	ccc22}');
Error('\P{Is_Canonical_Combining_Class=/a/-	ccc22}');
Expect(1, 1469, '\p{Is_Canonical_Combining_Class=ccc22}', "");
Expect(0, 1469, '\p{^Is_Canonical_Combining_Class=ccc22}', "");
Expect(0, 1469, '\P{Is_Canonical_Combining_Class=ccc22}', "");
Expect(1, 1469, '\P{^Is_Canonical_Combining_Class=ccc22}', "");
Expect(0, 1470, '\p{Is_Canonical_Combining_Class=ccc22}', "");
Expect(1, 1470, '\p{^Is_Canonical_Combining_Class=ccc22}', "");
Expect(1, 1470, '\P{Is_Canonical_Combining_Class=ccc22}', "");
Expect(0, 1470, '\P{^Is_Canonical_Combining_Class=ccc22}', "");
Expect(1, 1469, '\p{Is_Canonical_Combining_Class= CCC22}', "");
Expect(0, 1469, '\p{^Is_Canonical_Combining_Class= CCC22}', "");
Expect(0, 1469, '\P{Is_Canonical_Combining_Class= CCC22}', "");
Expect(1, 1469, '\P{^Is_Canonical_Combining_Class= CCC22}', "");
Expect(0, 1470, '\p{Is_Canonical_Combining_Class= CCC22}', "");
Expect(1, 1470, '\p{^Is_Canonical_Combining_Class= CCC22}', "");
Expect(1, 1470, '\P{Is_Canonical_Combining_Class= CCC22}', "");
Expect(0, 1470, '\P{^Is_Canonical_Combining_Class= CCC22}', "");
Error('\p{Is_Ccc=:=_0000000022}');
Error('\P{Is_Ccc=:=_0000000022}');
Expect(1, 1469, '\p{Is_Ccc=00000002_2}', "");
Expect(0, 1469, '\p{^Is_Ccc=00000002_2}', "");
Expect(0, 1469, '\P{Is_Ccc=00000002_2}', "");
Expect(1, 1469, '\P{^Is_Ccc=00000002_2}', "");
Expect(0, 1470, '\p{Is_Ccc=00000002_2}', "");
Expect(1, 1470, '\p{^Is_Ccc=00000002_2}', "");
Expect(1, 1470, '\P{Is_Ccc=00000002_2}', "");
Expect(0, 1470, '\P{^Is_Ccc=00000002_2}', "");
Error('\p{Canonical_Combining_Class= /a/CCC23}');
Error('\P{Canonical_Combining_Class= /a/CCC23}');
Expect(1, 1471, '\p{Canonical_Combining_Class=ccc23}', "");
Expect(0, 1471, '\p{^Canonical_Combining_Class=ccc23}', "");
Expect(0, 1471, '\P{Canonical_Combining_Class=ccc23}', "");
Expect(1, 1471, '\P{^Canonical_Combining_Class=ccc23}', "");
Expect(0, 1472, '\p{Canonical_Combining_Class=ccc23}', "");
Expect(1, 1472, '\p{^Canonical_Combining_Class=ccc23}', "");
Expect(1, 1472, '\P{Canonical_Combining_Class=ccc23}', "");
Expect(0, 1472, '\P{^Canonical_Combining_Class=ccc23}', "");
Expect(1, 1471, '\p{Canonical_Combining_Class=- CCC23}', "");
Expect(0, 1471, '\p{^Canonical_Combining_Class=- CCC23}', "");
Expect(0, 1471, '\P{Canonical_Combining_Class=- CCC23}', "");
Expect(1, 1471, '\P{^Canonical_Combining_Class=- CCC23}', "");
Expect(0, 1472, '\p{Canonical_Combining_Class=- CCC23}', "");
Expect(1, 1472, '\p{^Canonical_Combining_Class=- CCC23}', "");
Expect(1, 1472, '\P{Canonical_Combining_Class=- CCC23}', "");
Expect(0, 1472, '\P{^Canonical_Combining_Class=- CCC23}', "");
Error('\p{Ccc=/a/00000023}');
Error('\P{Ccc=/a/00000023}');
Expect(1, 1471, '\p{Ccc=0000000023}', "");
Expect(0, 1471, '\p{^Ccc=0000000023}', "");
Expect(0, 1471, '\P{Ccc=0000000023}', "");
Expect(1, 1471, '\P{^Ccc=0000000023}', "");
Expect(0, 1472, '\p{Ccc=0000000023}', "");
Expect(1, 1472, '\p{^Ccc=0000000023}', "");
Expect(1, 1472, '\P{Ccc=0000000023}', "");
Expect(0, 1472, '\P{^Ccc=0000000023}', "");
Error('\p{Is_Canonical_Combining_Class=/a/ _CCC23}');
Error('\P{Is_Canonical_Combining_Class=/a/ _CCC23}');
Expect(1, 1471, '\p{Is_Canonical_Combining_Class=ccc23}', "");
Expect(0, 1471, '\p{^Is_Canonical_Combining_Class=ccc23}', "");
Expect(0, 1471, '\P{Is_Canonical_Combining_Class=ccc23}', "");
Expect(1, 1471, '\P{^Is_Canonical_Combining_Class=ccc23}', "");
Expect(0, 1472, '\p{Is_Canonical_Combining_Class=ccc23}', "");
Expect(1, 1472, '\p{^Is_Canonical_Combining_Class=ccc23}', "");
Expect(1, 1472, '\P{Is_Canonical_Combining_Class=ccc23}', "");
Expect(0, 1472, '\P{^Is_Canonical_Combining_Class=ccc23}', "");
Expect(1, 1471, '\p{Is_Canonical_Combining_Class=_CCC23}', "");
Expect(0, 1471, '\p{^Is_Canonical_Combining_Class=_CCC23}', "");
Expect(0, 1471, '\P{Is_Canonical_Combining_Class=_CCC23}', "");
Expect(1, 1471, '\P{^Is_Canonical_Combining_Class=_CCC23}', "");
Expect(0, 1472, '\p{Is_Canonical_Combining_Class=_CCC23}', "");
Expect(1, 1472, '\p{^Is_Canonical_Combining_Class=_CCC23}', "");
Expect(1, 1472, '\P{Is_Canonical_Combining_Class=_CCC23}', "");
Expect(0, 1472, '\P{^Is_Canonical_Combining_Class=_CCC23}', "");
Error('\p{Is_Ccc=:=	000002_3}');
Error('\P{Is_Ccc=:=	000002_3}');
Expect(1, 1471, '\p{Is_Ccc=000000023}', "");
Expect(0, 1471, '\p{^Is_Ccc=000000023}', "");
Expect(0, 1471, '\P{Is_Ccc=000000023}', "");
Expect(1, 1471, '\P{^Is_Ccc=000000023}', "");
Expect(0, 1472, '\p{Is_Ccc=000000023}', "");
Expect(1, 1472, '\p{^Is_Ccc=000000023}', "");
Expect(1, 1472, '\P{Is_Ccc=000000023}', "");
Expect(0, 1472, '\P{^Is_Ccc=000000023}', "");
Error('\p{Canonical_Combining_Class=/a/ _CCC24}');
Error('\P{Canonical_Combining_Class=/a/ _CCC24}');
Expect(1, 1473, '\p{Canonical_Combining_Class=ccc24}', "");
Expect(0, 1473, '\p{^Canonical_Combining_Class=ccc24}', "");
Expect(0, 1473, '\P{Canonical_Combining_Class=ccc24}', "");
Expect(1, 1473, '\P{^Canonical_Combining_Class=ccc24}', "");
Expect(0, 1474, '\p{Canonical_Combining_Class=ccc24}', "");
Expect(1, 1474, '\p{^Canonical_Combining_Class=ccc24}', "");
Expect(1, 1474, '\P{Canonical_Combining_Class=ccc24}', "");
Expect(0, 1474, '\P{^Canonical_Combining_Class=ccc24}', "");
Expect(1, 1473, '\p{Canonical_Combining_Class=-CCC24}', "");
Expect(0, 1473, '\p{^Canonical_Combining_Class=-CCC24}', "");
Expect(0, 1473, '\P{Canonical_Combining_Class=-CCC24}', "");
Expect(1, 1473, '\P{^Canonical_Combining_Class=-CCC24}', "");
Expect(0, 1474, '\p{Canonical_Combining_Class=-CCC24}', "");
Expect(1, 1474, '\p{^Canonical_Combining_Class=-CCC24}', "");
Expect(1, 1474, '\P{Canonical_Combining_Class=-CCC24}', "");
Expect(0, 1474, '\P{^Canonical_Combining_Class=-CCC24}', "");
Error('\p{Ccc=:=_-000024}');
Error('\P{Ccc=:=_-000024}');
Expect(1, 1473, '\p{Ccc=+00000024}', "");
Expect(0, 1473, '\p{^Ccc=+00000024}', "");
Expect(0, 1473, '\P{Ccc=+00000024}', "");
Expect(1, 1473, '\P{^Ccc=+00000024}', "");
Expect(0, 1474, '\p{Ccc=+00000024}', "");
Expect(1, 1474, '\p{^Ccc=+00000024}', "");
Expect(1, 1474, '\P{Ccc=+00000024}', "");
Expect(0, 1474, '\P{^Ccc=+00000024}', "");
Error('\p{Is_Canonical_Combining_Class=:=-_CCC24}');
Error('\P{Is_Canonical_Combining_Class=:=-_CCC24}');
Expect(1, 1473, '\p{Is_Canonical_Combining_Class=ccc24}', "");
Expect(0, 1473, '\p{^Is_Canonical_Combining_Class=ccc24}', "");
Expect(0, 1473, '\P{Is_Canonical_Combining_Class=ccc24}', "");
Expect(1, 1473, '\P{^Is_Canonical_Combining_Class=ccc24}', "");
Expect(0, 1474, '\p{Is_Canonical_Combining_Class=ccc24}', "");
Expect(1, 1474, '\p{^Is_Canonical_Combining_Class=ccc24}', "");
Expect(1, 1474, '\P{Is_Canonical_Combining_Class=ccc24}', "");
Expect(0, 1474, '\P{^Is_Canonical_Combining_Class=ccc24}', "");
Expect(1, 1473, '\p{Is_Canonical_Combining_Class=_ ccc24}', "");
Expect(0, 1473, '\p{^Is_Canonical_Combining_Class=_ ccc24}', "");
Expect(0, 1473, '\P{Is_Canonical_Combining_Class=_ ccc24}', "");
Expect(1, 1473, '\P{^Is_Canonical_Combining_Class=_ ccc24}', "");
Expect(0, 1474, '\p{Is_Canonical_Combining_Class=_ ccc24}', "");
Expect(1, 1474, '\p{^Is_Canonical_Combining_Class=_ ccc24}', "");
Expect(1, 1474, '\P{Is_Canonical_Combining_Class=_ ccc24}', "");
Expect(0, 1474, '\P{^Is_Canonical_Combining_Class=_ ccc24}', "");
Error('\p{Is_Ccc=_/a/000000002_4}');
Error('\P{Is_Ccc=_/a/000000002_4}');
Expect(1, 1473, '\p{Is_Ccc=+0000_0002_4}', "");
Expect(0, 1473, '\p{^Is_Ccc=+0000_0002_4}', "");
Expect(0, 1473, '\P{Is_Ccc=+0000_0002_4}', "");
Expect(1, 1473, '\P{^Is_Ccc=+0000_0002_4}', "");
Expect(0, 1474, '\p{Is_Ccc=+0000_0002_4}', "");
Expect(1, 1474, '\p{^Is_Ccc=+0000_0002_4}', "");
Expect(1, 1474, '\P{Is_Ccc=+0000_0002_4}', "");
Expect(0, 1474, '\P{^Is_Ccc=+0000_0002_4}', "");
Error('\p{Canonical_Combining_Class=/a/		CCC25}');
Error('\P{Canonical_Combining_Class=/a/		CCC25}');
Expect(1, 1474, '\p{Canonical_Combining_Class=ccc25}', "");
Expect(0, 1474, '\p{^Canonical_Combining_Class=ccc25}', "");
Expect(0, 1474, '\P{Canonical_Combining_Class=ccc25}', "");
Expect(1, 1474, '\P{^Canonical_Combining_Class=ccc25}', "");
Expect(0, 1475, '\p{Canonical_Combining_Class=ccc25}', "");
Expect(1, 1475, '\p{^Canonical_Combining_Class=ccc25}', "");
Expect(1, 1475, '\P{Canonical_Combining_Class=ccc25}', "");
Expect(0, 1475, '\P{^Canonical_Combining_Class=ccc25}', "");
Expect(1, 1474, '\p{Canonical_Combining_Class:--CCC25}', "");
Expect(0, 1474, '\p{^Canonical_Combining_Class:--CCC25}', "");
Expect(0, 1474, '\P{Canonical_Combining_Class:--CCC25}', "");
Expect(1, 1474, '\P{^Canonical_Combining_Class:--CCC25}', "");
Expect(0, 1475, '\p{Canonical_Combining_Class:--CCC25}', "");
Expect(1, 1475, '\p{^Canonical_Combining_Class:--CCC25}', "");
Expect(1, 1475, '\P{Canonical_Combining_Class:--CCC25}', "");
Expect(0, 1475, '\P{^Canonical_Combining_Class:--CCC25}', "");
Error('\p{Ccc:   /a/_-+025}');
Error('\P{Ccc:   /a/_-+025}');
Expect(1, 1474, '\p{Ccc=+00002_5}', "");
Expect(0, 1474, '\p{^Ccc=+00002_5}', "");
Expect(0, 1474, '\P{Ccc=+00002_5}', "");
Expect(1, 1474, '\P{^Ccc=+00002_5}', "");
Expect(0, 1475, '\p{Ccc=+00002_5}', "");
Expect(1, 1475, '\p{^Ccc=+00002_5}', "");
Expect(1, 1475, '\P{Ccc=+00002_5}', "");
Expect(0, 1475, '\P{^Ccc=+00002_5}', "");
Error('\p{Is_Canonical_Combining_Class=/a/CCC25}');
Error('\P{Is_Canonical_Combining_Class=/a/CCC25}');
Expect(1, 1474, '\p{Is_Canonical_Combining_Class=ccc25}', "");
Expect(0, 1474, '\p{^Is_Canonical_Combining_Class=ccc25}', "");
Expect(0, 1474, '\P{Is_Canonical_Combining_Class=ccc25}', "");
Expect(1, 1474, '\P{^Is_Canonical_Combining_Class=ccc25}', "");
Expect(0, 1475, '\p{Is_Canonical_Combining_Class=ccc25}', "");
Expect(1, 1475, '\p{^Is_Canonical_Combining_Class=ccc25}', "");
Expect(1, 1475, '\P{Is_Canonical_Combining_Class=ccc25}', "");
Expect(0, 1475, '\P{^Is_Canonical_Combining_Class=ccc25}', "");
Expect(1, 1474, '\p{Is_Canonical_Combining_Class= 	CCC25}', "");
Expect(0, 1474, '\p{^Is_Canonical_Combining_Class= 	CCC25}', "");
Expect(0, 1474, '\P{Is_Canonical_Combining_Class= 	CCC25}', "");
Expect(1, 1474, '\P{^Is_Canonical_Combining_Class= 	CCC25}', "");
Expect(0, 1475, '\p{Is_Canonical_Combining_Class= 	CCC25}', "");
Expect(1, 1475, '\p{^Is_Canonical_Combining_Class= 	CCC25}', "");
Expect(1, 1475, '\P{Is_Canonical_Combining_Class= 	CCC25}', "");
Expect(0, 1475, '\P{^Is_Canonical_Combining_Class= 	CCC25}', "");
Error('\p{Is_Ccc=-/a/+00025}');
Error('\P{Is_Ccc=-/a/+00025}');
Expect(1, 1474, '\p{Is_Ccc=00000000025}', "");
Expect(0, 1474, '\p{^Is_Ccc=00000000025}', "");
Expect(0, 1474, '\P{Is_Ccc=00000000025}', "");
Expect(1, 1474, '\P{^Is_Ccc=00000000025}', "");
Expect(0, 1475, '\p{Is_Ccc=00000000025}', "");
Expect(1, 1475, '\p{^Is_Ccc=00000000025}', "");
Expect(1, 1475, '\P{Is_Ccc=00000000025}', "");
Expect(0, 1475, '\P{^Is_Ccc=00000000025}', "");
Error('\p{Canonical_Combining_Class=_/a/CCC26}');
Error('\P{Canonical_Combining_Class=_/a/CCC26}');
Expect(1, 64286, '\p{Canonical_Combining_Class=ccc26}', "");
Expect(0, 64286, '\p{^Canonical_Combining_Class=ccc26}', "");
Expect(0, 64286, '\P{Canonical_Combining_Class=ccc26}', "");
Expect(1, 64286, '\P{^Canonical_Combining_Class=ccc26}', "");
Expect(0, 64287, '\p{Canonical_Combining_Class=ccc26}', "");
Expect(1, 64287, '\p{^Canonical_Combining_Class=ccc26}', "");
Expect(1, 64287, '\P{Canonical_Combining_Class=ccc26}', "");
Expect(0, 64287, '\P{^Canonical_Combining_Class=ccc26}', "");
Expect(1, 64286, '\p{Canonical_Combining_Class=-_CCC26}', "");
Expect(0, 64286, '\p{^Canonical_Combining_Class=-_CCC26}', "");
Expect(0, 64286, '\P{Canonical_Combining_Class=-_CCC26}', "");
Expect(1, 64286, '\P{^Canonical_Combining_Class=-_CCC26}', "");
Expect(0, 64287, '\p{Canonical_Combining_Class=-_CCC26}', "");
Expect(1, 64287, '\p{^Canonical_Combining_Class=-_CCC26}', "");
Expect(1, 64287, '\P{Canonical_Combining_Class=-_CCC26}', "");
Expect(0, 64287, '\P{^Canonical_Combining_Class=-_CCC26}', "");
Error('\p{Ccc=_	+0_0_0_0_0_00026:=}');
Error('\P{Ccc=_	+0_0_0_0_0_00026:=}');
Expect(1, 64286, '\p{Ccc=+0_0_0_26}', "");
Expect(0, 64286, '\p{^Ccc=+0_0_0_26}', "");
Expect(0, 64286, '\P{Ccc=+0_0_0_26}', "");
Expect(1, 64286, '\P{^Ccc=+0_0_0_26}', "");
Expect(0, 64287, '\p{Ccc=+0_0_0_26}', "");
Expect(1, 64287, '\p{^Ccc=+0_0_0_26}', "");
Expect(1, 64287, '\P{Ccc=+0_0_0_26}', "");
Expect(0, 64287, '\P{^Ccc=+0_0_0_26}', "");
Error('\p{Is_Canonical_Combining_Class= /a/CCC26}');
Error('\P{Is_Canonical_Combining_Class= /a/CCC26}');
Expect(1, 64286, '\p{Is_Canonical_Combining_Class:ccc26}', "");
Expect(0, 64286, '\p{^Is_Canonical_Combining_Class:ccc26}', "");
Expect(0, 64286, '\P{Is_Canonical_Combining_Class:ccc26}', "");
Expect(1, 64286, '\P{^Is_Canonical_Combining_Class:ccc26}', "");
Expect(0, 64287, '\p{Is_Canonical_Combining_Class:ccc26}', "");
Expect(1, 64287, '\p{^Is_Canonical_Combining_Class:ccc26}', "");
Expect(1, 64287, '\P{Is_Canonical_Combining_Class:ccc26}', "");
Expect(0, 64287, '\P{^Is_Canonical_Combining_Class:ccc26}', "");
Expect(1, 64286, '\p{Is_Canonical_Combining_Class= _CCC26}', "");
Expect(0, 64286, '\p{^Is_Canonical_Combining_Class= _CCC26}', "");
Expect(0, 64286, '\P{Is_Canonical_Combining_Class= _CCC26}', "");
Expect(1, 64286, '\P{^Is_Canonical_Combining_Class= _CCC26}', "");
Expect(0, 64287, '\p{Is_Canonical_Combining_Class= _CCC26}', "");
Expect(1, 64287, '\p{^Is_Canonical_Combining_Class= _CCC26}', "");
Expect(1, 64287, '\P{Is_Canonical_Combining_Class= _CCC26}', "");
Expect(0, 64287, '\P{^Is_Canonical_Combining_Class= _CCC26}', "");
Error('\p{Is_Ccc=-_000000026/a/}');
Error('\P{Is_Ccc=-_000000026/a/}');
Expect(1, 64286, '\p{Is_Ccc:000026}', "");
Expect(0, 64286, '\p{^Is_Ccc:000026}', "");
Expect(0, 64286, '\P{Is_Ccc:000026}', "");
Expect(1, 64286, '\P{^Is_Ccc:000026}', "");
Expect(0, 64287, '\p{Is_Ccc:000026}', "");
Expect(1, 64287, '\p{^Is_Ccc:000026}', "");
Expect(1, 64287, '\P{Is_Ccc:000026}', "");
Expect(0, 64287, '\P{^Is_Ccc:000026}', "");
Error('\p{Canonical_Combining_Class::=_	CCC27}');
Error('\P{Canonical_Combining_Class::=_	CCC27}');
Expect(1, 2288, '\p{Canonical_Combining_Class=ccc27}', "");
Expect(0, 2288, '\p{^Canonical_Combining_Class=ccc27}', "");
Expect(0, 2288, '\P{Canonical_Combining_Class=ccc27}', "");
Expect(1, 2288, '\P{^Canonical_Combining_Class=ccc27}', "");
Expect(0, 2289, '\p{Canonical_Combining_Class=ccc27}', "");
Expect(1, 2289, '\p{^Canonical_Combining_Class=ccc27}', "");
Expect(1, 2289, '\P{Canonical_Combining_Class=ccc27}', "");
Expect(0, 2289, '\P{^Canonical_Combining_Class=ccc27}', "");
Expect(1, 2288, '\p{Canonical_Combining_Class=	CCC27}', "");
Expect(0, 2288, '\p{^Canonical_Combining_Class=	CCC27}', "");
Expect(0, 2288, '\P{Canonical_Combining_Class=	CCC27}', "");
Expect(1, 2288, '\P{^Canonical_Combining_Class=	CCC27}', "");
Expect(0, 2289, '\p{Canonical_Combining_Class=	CCC27}', "");
Expect(1, 2289, '\p{^Canonical_Combining_Class=	CCC27}', "");
Expect(1, 2289, '\P{Canonical_Combining_Class=	CCC27}', "");
Expect(0, 2289, '\P{^Canonical_Combining_Class=	CCC27}', "");
Error('\p{Ccc:	00027/a/}');
Error('\P{Ccc:	00027/a/}');
Expect(1, 2288, '\p{Ccc=27}', "");
Expect(0, 2288, '\p{^Ccc=27}', "");
Expect(0, 2288, '\P{Ccc=27}', "");
Expect(1, 2288, '\P{^Ccc=27}', "");
Expect(0, 2289, '\p{Ccc=27}', "");
Expect(1, 2289, '\p{^Ccc=27}', "");
Expect(1, 2289, '\P{Ccc=27}', "");
Expect(0, 2289, '\P{^Ccc=27}', "");
Error('\p{Is_Canonical_Combining_Class=-	CCC27/a/}');
Error('\P{Is_Canonical_Combining_Class=-	CCC27/a/}');
Expect(1, 2288, '\p{Is_Canonical_Combining_Class=ccc27}', "");
Expect(0, 2288, '\p{^Is_Canonical_Combining_Class=ccc27}', "");
Expect(0, 2288, '\P{Is_Canonical_Combining_Class=ccc27}', "");
Expect(1, 2288, '\P{^Is_Canonical_Combining_Class=ccc27}', "");
Expect(0, 2289, '\p{Is_Canonical_Combining_Class=ccc27}', "");
Expect(1, 2289, '\p{^Is_Canonical_Combining_Class=ccc27}', "");
Expect(1, 2289, '\P{Is_Canonical_Combining_Class=ccc27}', "");
Expect(0, 2289, '\P{^Is_Canonical_Combining_Class=ccc27}', "");
Expect(1, 2288, '\p{Is_Canonical_Combining_Class=	_CCC27}', "");
Expect(0, 2288, '\p{^Is_Canonical_Combining_Class=	_CCC27}', "");
Expect(0, 2288, '\P{Is_Canonical_Combining_Class=	_CCC27}', "");
Expect(1, 2288, '\P{^Is_Canonical_Combining_Class=	_CCC27}', "");
Expect(0, 2289, '\p{Is_Canonical_Combining_Class=	_CCC27}', "");
Expect(1, 2289, '\p{^Is_Canonical_Combining_Class=	_CCC27}', "");
Expect(1, 2289, '\P{Is_Canonical_Combining_Class=	_CCC27}', "");
Expect(0, 2289, '\P{^Is_Canonical_Combining_Class=	_CCC27}', "");
Error('\p{Is_Ccc= 00000002_7:=}');
Error('\P{Is_Ccc= 00000002_7:=}');
Expect(1, 2288, '\p{Is_Ccc=+000000027}', "");
Expect(0, 2288, '\p{^Is_Ccc=+000000027}', "");
Expect(0, 2288, '\P{Is_Ccc=+000000027}', "");
Expect(1, 2288, '\P{^Is_Ccc=+000000027}', "");
Expect(0, 2289, '\p{Is_Ccc=+000000027}', "");
Expect(1, 2289, '\p{^Is_Ccc=+000000027}', "");
Expect(1, 2289, '\P{Is_Ccc=+000000027}', "");
Expect(0, 2289, '\P{^Is_Ccc=+000000027}', "");
Error('\p{Canonical_Combining_Class=/a/- CCC28}');
Error('\P{Canonical_Combining_Class=/a/- CCC28}');
Expect(1, 2289, '\p{Canonical_Combining_Class=ccc28}', "");
Expect(0, 2289, '\p{^Canonical_Combining_Class=ccc28}', "");
Expect(0, 2289, '\P{Canonical_Combining_Class=ccc28}', "");
Expect(1, 2289, '\P{^Canonical_Combining_Class=ccc28}', "");
Expect(0, 2290, '\p{Canonical_Combining_Class=ccc28}', "");
Expect(1, 2290, '\p{^Canonical_Combining_Class=ccc28}', "");
Expect(1, 2290, '\P{Canonical_Combining_Class=ccc28}', "");
Expect(0, 2290, '\P{^Canonical_Combining_Class=ccc28}', "");
Expect(1, 2289, '\p{Canonical_Combining_Class=  CCC28}', "");
Expect(0, 2289, '\p{^Canonical_Combining_Class=  CCC28}', "");
Expect(0, 2289, '\P{Canonical_Combining_Class=  CCC28}', "");
Expect(1, 2289, '\P{^Canonical_Combining_Class=  CCC28}', "");
Expect(0, 2290, '\p{Canonical_Combining_Class=  CCC28}', "");
Expect(1, 2290, '\p{^Canonical_Combining_Class=  CCC28}', "");
Expect(1, 2290, '\P{Canonical_Combining_Class=  CCC28}', "");
Expect(0, 2290, '\P{^Canonical_Combining_Class=  CCC28}', "");
Error('\p{Ccc=/a/- 000000028}');
Error('\P{Ccc=/a/- 000000028}');
Expect(1, 2289, '\p{Ccc=000_000_28}', "");
Expect(0, 2289, '\p{^Ccc=000_000_28}', "");
Expect(0, 2289, '\P{Ccc=000_000_28}', "");
Expect(1, 2289, '\P{^Ccc=000_000_28}', "");
Expect(0, 2290, '\p{Ccc=000_000_28}', "");
Expect(1, 2290, '\p{^Ccc=000_000_28}', "");
Expect(1, 2290, '\P{Ccc=000_000_28}', "");
Expect(0, 2290, '\P{^Ccc=000_000_28}', "");
Error('\p{Is_Canonical_Combining_Class=:=	_CCC28}');
Error('\P{Is_Canonical_Combining_Class=:=	_CCC28}');
Expect(1, 2289, '\p{Is_Canonical_Combining_Class:   ccc28}', "");
Expect(0, 2289, '\p{^Is_Canonical_Combining_Class:   ccc28}', "");
Expect(0, 2289, '\P{Is_Canonical_Combining_Class:   ccc28}', "");
Expect(1, 2289, '\P{^Is_Canonical_Combining_Class:   ccc28}', "");
Expect(0, 2290, '\p{Is_Canonical_Combining_Class:   ccc28}', "");
Expect(1, 2290, '\p{^Is_Canonical_Combining_Class:   ccc28}', "");
Expect(1, 2290, '\P{Is_Canonical_Combining_Class:   ccc28}', "");
Expect(0, 2290, '\P{^Is_Canonical_Combining_Class:   ccc28}', "");
Expect(1, 2289, '\p{Is_Canonical_Combining_Class=  CCC28}', "");
Expect(0, 2289, '\p{^Is_Canonical_Combining_Class=  CCC28}', "");
Expect(0, 2289, '\P{Is_Canonical_Combining_Class=  CCC28}', "");
Expect(1, 2289, '\P{^Is_Canonical_Combining_Class=  CCC28}', "");
Expect(0, 2290, '\p{Is_Canonical_Combining_Class=  CCC28}', "");
Expect(1, 2290, '\p{^Is_Canonical_Combining_Class=  CCC28}', "");
Expect(1, 2290, '\P{Is_Canonical_Combining_Class=  CCC28}', "");
Expect(0, 2290, '\P{^Is_Canonical_Combining_Class=  CCC28}', "");
Error('\p{Is_Ccc=:=__+0_0_0_0_028}');
Error('\P{Is_Ccc=:=__+0_0_0_0_028}');
Expect(1, 2289, '\p{Is_Ccc=0_0_0_0_0_0_00028}', "");
Expect(0, 2289, '\p{^Is_Ccc=0_0_0_0_0_0_00028}', "");
Expect(0, 2289, '\P{Is_Ccc=0_0_0_0_0_0_00028}', "");
Expect(1, 2289, '\P{^Is_Ccc=0_0_0_0_0_0_00028}', "");
Expect(0, 2290, '\p{Is_Ccc=0_0_0_0_0_0_00028}', "");
Expect(1, 2290, '\p{^Is_Ccc=0_0_0_0_0_0_00028}', "");
Expect(1, 2290, '\P{Is_Ccc=0_0_0_0_0_0_00028}', "");
Expect(0, 2290, '\P{^Is_Ccc=0_0_0_0_0_0_00028}', "");
Error('\p{Canonical_Combining_Class=:= ccc29}');
Error('\P{Canonical_Combining_Class=:= ccc29}');
Expect(1, 2290, '\p{Canonical_Combining_Class=ccc29}', "");
Expect(0, 2290, '\p{^Canonical_Combining_Class=ccc29}', "");
Expect(0, 2290, '\P{Canonical_Combining_Class=ccc29}', "");
Expect(1, 2290, '\P{^Canonical_Combining_Class=ccc29}', "");
Expect(0, 2291, '\p{Canonical_Combining_Class=ccc29}', "");
Expect(1, 2291, '\p{^Canonical_Combining_Class=ccc29}', "");
Expect(1, 2291, '\P{Canonical_Combining_Class=ccc29}', "");
Expect(0, 2291, '\P{^Canonical_Combining_Class=ccc29}', "");
Expect(1, 2290, '\p{Canonical_Combining_Class=	 CCC29}', "");
Expect(0, 2290, '\p{^Canonical_Combining_Class=	 CCC29}', "");
Expect(0, 2290, '\P{Canonical_Combining_Class=	 CCC29}', "");
Expect(1, 2290, '\P{^Canonical_Combining_Class=	 CCC29}', "");
Expect(0, 2291, '\p{Canonical_Combining_Class=	 CCC29}', "");
Expect(1, 2291, '\p{^Canonical_Combining_Class=	 CCC29}', "");
Expect(1, 2291, '\P{Canonical_Combining_Class=	 CCC29}', "");
Expect(0, 2291, '\P{^Canonical_Combining_Class=	 CCC29}', "");
Error('\p{Ccc=/a/ +29}');
Error('\P{Ccc=/a/ +29}');
Expect(1, 2290, '\p{Ccc=0000000029}', "");
Expect(0, 2290, '\p{^Ccc=0000000029}', "");
Expect(0, 2290, '\P{Ccc=0000000029}', "");
Expect(1, 2290, '\P{^Ccc=0000000029}', "");
Expect(0, 2291, '\p{Ccc=0000000029}', "");
Expect(1, 2291, '\p{^Ccc=0000000029}', "");
Expect(1, 2291, '\P{Ccc=0000000029}', "");
Expect(0, 2291, '\P{^Ccc=0000000029}', "");
Error('\p{Is_Canonical_Combining_Class=  CCC29:=}');
Error('\P{Is_Canonical_Combining_Class=  CCC29:=}');
Expect(1, 2290, '\p{Is_Canonical_Combining_Class:ccc29}', "");
Expect(0, 2290, '\p{^Is_Canonical_Combining_Class:ccc29}', "");
Expect(0, 2290, '\P{Is_Canonical_Combining_Class:ccc29}', "");
Expect(1, 2290, '\P{^Is_Canonical_Combining_Class:ccc29}', "");
Expect(0, 2291, '\p{Is_Canonical_Combining_Class:ccc29}', "");
Expect(1, 2291, '\p{^Is_Canonical_Combining_Class:ccc29}', "");
Expect(1, 2291, '\P{Is_Canonical_Combining_Class:ccc29}', "");
Expect(0, 2291, '\P{^Is_Canonical_Combining_Class:ccc29}', "");
Expect(1, 2290, '\p{Is_Canonical_Combining_Class=	_CCC29}', "");
Expect(0, 2290, '\p{^Is_Canonical_Combining_Class=	_CCC29}', "");
Expect(0, 2290, '\P{Is_Canonical_Combining_Class=	_CCC29}', "");
Expect(1, 2290, '\P{^Is_Canonical_Combining_Class=	_CCC29}', "");
Expect(0, 2291, '\p{Is_Canonical_Combining_Class=	_CCC29}', "");
Expect(1, 2291, '\p{^Is_Canonical_Combining_Class=	_CCC29}', "");
Expect(1, 2291, '\P{Is_Canonical_Combining_Class=	_CCC29}', "");
Expect(0, 2291, '\P{^Is_Canonical_Combining_Class=	_CCC29}', "");
Error('\p{Is_Ccc=_-02_9:=}');
Error('\P{Is_Ccc=_-02_9:=}');
Expect(1, 2290, '\p{Is_Ccc=00000002_9}', "");
Expect(0, 2290, '\p{^Is_Ccc=00000002_9}', "");
Expect(0, 2290, '\P{Is_Ccc=00000002_9}', "");
Expect(1, 2290, '\P{^Is_Ccc=00000002_9}', "");
Expect(0, 2291, '\p{Is_Ccc=00000002_9}', "");
Expect(1, 2291, '\p{^Is_Ccc=00000002_9}', "");
Expect(1, 2291, '\P{Is_Ccc=00000002_9}', "");
Expect(0, 2291, '\P{^Is_Ccc=00000002_9}', "");
Error('\p{Canonical_Combining_Class: _/a/ccc30}');
Error('\P{Canonical_Combining_Class: _/a/ccc30}');
Expect(1, 1614, '\p{Canonical_Combining_Class=ccc30}', "");
Expect(0, 1614, '\p{^Canonical_Combining_Class=ccc30}', "");
Expect(0, 1614, '\P{Canonical_Combining_Class=ccc30}', "");
Expect(1, 1614, '\P{^Canonical_Combining_Class=ccc30}', "");
Expect(0, 1615, '\p{Canonical_Combining_Class=ccc30}', "");
Expect(1, 1615, '\p{^Canonical_Combining_Class=ccc30}', "");
Expect(1, 1615, '\P{Canonical_Combining_Class=ccc30}', "");
Expect(0, 1615, '\P{^Canonical_Combining_Class=ccc30}', "");
Expect(1, 1614, '\p{Canonical_Combining_Class=	 CCC30}', "");
Expect(0, 1614, '\p{^Canonical_Combining_Class=	 CCC30}', "");
Expect(0, 1614, '\P{Canonical_Combining_Class=	 CCC30}', "");
Expect(1, 1614, '\P{^Canonical_Combining_Class=	 CCC30}', "");
Expect(0, 1615, '\p{Canonical_Combining_Class=	 CCC30}', "");
Expect(1, 1615, '\p{^Canonical_Combining_Class=	 CCC30}', "");
Expect(1, 1615, '\P{Canonical_Combining_Class=	 CCC30}', "");
Expect(0, 1615, '\P{^Canonical_Combining_Class=	 CCC30}', "");
Error('\p{Ccc=-/a/+30}');
Error('\P{Ccc=-/a/+30}');
Expect(1, 1614, '\p{Ccc:	00030}', "");
Expect(0, 1614, '\p{^Ccc:	00030}', "");
Expect(0, 1614, '\P{Ccc:	00030}', "");
Expect(1, 1614, '\P{^Ccc:	00030}', "");
Expect(0, 1615, '\p{Ccc:	00030}', "");
Expect(1, 1615, '\p{^Ccc:	00030}', "");
Expect(1, 1615, '\P{Ccc:	00030}', "");
Expect(0, 1615, '\P{^Ccc:	00030}', "");
Error('\p{Is_Canonical_Combining_Class=	CCC30/a/}');
Error('\P{Is_Canonical_Combining_Class=	CCC30/a/}');
Expect(1, 1614, '\p{Is_Canonical_Combining_Class=ccc30}', "");
Expect(0, 1614, '\p{^Is_Canonical_Combining_Class=ccc30}', "");
Expect(0, 1614, '\P{Is_Canonical_Combining_Class=ccc30}', "");
Expect(1, 1614, '\P{^Is_Canonical_Combining_Class=ccc30}', "");
Expect(0, 1615, '\p{Is_Canonical_Combining_Class=ccc30}', "");
Expect(1, 1615, '\p{^Is_Canonical_Combining_Class=ccc30}', "");
Expect(1, 1615, '\P{Is_Canonical_Combining_Class=ccc30}', "");
Expect(0, 1615, '\P{^Is_Canonical_Combining_Class=ccc30}', "");
Expect(1, 1614, '\p{Is_Canonical_Combining_Class=	CCC30}', "");
Expect(0, 1614, '\p{^Is_Canonical_Combining_Class=	CCC30}', "");
Expect(0, 1614, '\P{Is_Canonical_Combining_Class=	CCC30}', "");
Expect(1, 1614, '\P{^Is_Canonical_Combining_Class=	CCC30}', "");
Expect(0, 1615, '\p{Is_Canonical_Combining_Class=	CCC30}', "");
Expect(1, 1615, '\p{^Is_Canonical_Combining_Class=	CCC30}', "");
Expect(1, 1615, '\P{Is_Canonical_Combining_Class=	CCC30}', "");
Expect(0, 1615, '\P{^Is_Canonical_Combining_Class=	CCC30}', "");
Error('\p{Is_Ccc=:=	-+00000000030}');
Error('\P{Is_Ccc=:=	-+00000000030}');
Expect(1, 1614, '\p{Is_Ccc:   000003_0}', "");
Expect(0, 1614, '\p{^Is_Ccc:   000003_0}', "");
Expect(0, 1614, '\P{Is_Ccc:   000003_0}', "");
Expect(1, 1614, '\P{^Is_Ccc:   000003_0}', "");
Expect(0, 1615, '\p{Is_Ccc:   000003_0}', "");
Expect(1, 1615, '\p{^Is_Ccc:   000003_0}', "");
Expect(1, 1615, '\P{Is_Ccc:   000003_0}', "");
Expect(0, 1615, '\P{^Is_Ccc:   000003_0}', "");
Error('\p{Canonical_Combining_Class=/a/	 CCC31}');
Error('\P{Canonical_Combining_Class=/a/	 CCC31}');
Expect(1, 1615, '\p{Canonical_Combining_Class=ccc31}', "");
Expect(0, 1615, '\p{^Canonical_Combining_Class=ccc31}', "");
Expect(0, 1615, '\P{Canonical_Combining_Class=ccc31}', "");
Expect(1, 1615, '\P{^Canonical_Combining_Class=ccc31}', "");
Expect(0, 1616, '\p{Canonical_Combining_Class=ccc31}', "");
Expect(1, 1616, '\p{^Canonical_Combining_Class=ccc31}', "");
Expect(1, 1616, '\P{Canonical_Combining_Class=ccc31}', "");
Expect(0, 1616, '\P{^Canonical_Combining_Class=ccc31}', "");
Expect(1, 1615, '\p{Canonical_Combining_Class=_CCC31}', "");
Expect(0, 1615, '\p{^Canonical_Combining_Class=_CCC31}', "");
Expect(0, 1615, '\P{Canonical_Combining_Class=_CCC31}', "");
Expect(1, 1615, '\P{^Canonical_Combining_Class=_CCC31}', "");
Expect(0, 1616, '\p{Canonical_Combining_Class=_CCC31}', "");
Expect(1, 1616, '\p{^Canonical_Combining_Class=_CCC31}', "");
Expect(1, 1616, '\P{Canonical_Combining_Class=_CCC31}', "");
Expect(0, 1616, '\P{^Canonical_Combining_Class=_CCC31}', "");
Error('\p{Ccc=-0_0_0_0_0_0_0031/a/}');
Error('\P{Ccc=-0_0_0_0_0_0_0031/a/}');
Expect(1, 1615, '\p{Ccc=+3_1}', "");
Expect(0, 1615, '\p{^Ccc=+3_1}', "");
Expect(0, 1615, '\P{Ccc=+3_1}', "");
Expect(1, 1615, '\P{^Ccc=+3_1}', "");
Expect(0, 1616, '\p{Ccc=+3_1}', "");
Expect(1, 1616, '\p{^Ccc=+3_1}', "");
Expect(1, 1616, '\P{Ccc=+3_1}', "");
Expect(0, 1616, '\P{^Ccc=+3_1}', "");
Error('\p{Is_Canonical_Combining_Class=/a/CCC31}');
Error('\P{Is_Canonical_Combining_Class=/a/CCC31}');
Expect(1, 1615, '\p{Is_Canonical_Combining_Class=ccc31}', "");
Expect(0, 1615, '\p{^Is_Canonical_Combining_Class=ccc31}', "");
Expect(0, 1615, '\P{Is_Canonical_Combining_Class=ccc31}', "");
Expect(1, 1615, '\P{^Is_Canonical_Combining_Class=ccc31}', "");
Expect(0, 1616, '\p{Is_Canonical_Combining_Class=ccc31}', "");
Expect(1, 1616, '\p{^Is_Canonical_Combining_Class=ccc31}', "");
Expect(1, 1616, '\P{Is_Canonical_Combining_Class=ccc31}', "");
Expect(0, 1616, '\P{^Is_Canonical_Combining_Class=ccc31}', "");
Expect(1, 1615, '\p{Is_Canonical_Combining_Class= -CCC31}', "");
Expect(0, 1615, '\p{^Is_Canonical_Combining_Class= -CCC31}', "");
Expect(0, 1615, '\P{Is_Canonical_Combining_Class= -CCC31}', "");
Expect(1, 1615, '\P{^Is_Canonical_Combining_Class= -CCC31}', "");
Expect(0, 1616, '\p{Is_Canonical_Combining_Class= -CCC31}', "");
Expect(1, 1616, '\p{^Is_Canonical_Combining_Class= -CCC31}', "");
Expect(1, 1616, '\P{Is_Canonical_Combining_Class= -CCC31}', "");
Expect(0, 1616, '\P{^Is_Canonical_Combining_Class= -CCC31}', "");
Error('\p{Is_Ccc=-:=000000031}');
Error('\P{Is_Ccc=-:=000000031}');
Expect(1, 1615, '\p{Is_Ccc=31}', "");
Expect(0, 1615, '\p{^Is_Ccc=31}', "");
Expect(0, 1615, '\P{Is_Ccc=31}', "");
Expect(1, 1615, '\P{^Is_Ccc=31}', "");
Expect(0, 1616, '\p{Is_Ccc=31}', "");
Expect(1, 1616, '\p{^Is_Ccc=31}', "");
Expect(1, 1616, '\P{Is_Ccc=31}', "");
Expect(0, 1616, '\P{^Is_Ccc=31}', "");
Error('\p{Canonical_Combining_Class=_	CCC32/a/}');
Error('\P{Canonical_Combining_Class=_	CCC32/a/}');
Expect(1, 1616, '\p{Canonical_Combining_Class=ccc32}', "");
Expect(0, 1616, '\p{^Canonical_Combining_Class=ccc32}', "");
Expect(0, 1616, '\P{Canonical_Combining_Class=ccc32}', "");
Expect(1, 1616, '\P{^Canonical_Combining_Class=ccc32}', "");
Expect(0, 1617, '\p{Canonical_Combining_Class=ccc32}', "");
Expect(1, 1617, '\p{^Canonical_Combining_Class=ccc32}', "");
Expect(1, 1617, '\P{Canonical_Combining_Class=ccc32}', "");
Expect(0, 1617, '\P{^Canonical_Combining_Class=ccc32}', "");
Expect(1, 1616, '\p{Canonical_Combining_Class=		ccc32}', "");
Expect(0, 1616, '\p{^Canonical_Combining_Class=		ccc32}', "");
Expect(0, 1616, '\P{Canonical_Combining_Class=		ccc32}', "");
Expect(1, 1616, '\P{^Canonical_Combining_Class=		ccc32}', "");
Expect(0, 1617, '\p{Canonical_Combining_Class=		ccc32}', "");
Expect(1, 1617, '\p{^Canonical_Combining_Class=		ccc32}', "");
Expect(1, 1617, '\P{Canonical_Combining_Class=		ccc32}', "");
Expect(0, 1617, '\P{^Canonical_Combining_Class=		ccc32}', "");
Error('\p{Ccc:   /a/	_032}');
Error('\P{Ccc:   /a/	_032}');
Expect(1, 1616, '\p{Ccc=03_2}', "");
Expect(0, 1616, '\p{^Ccc=03_2}', "");
Expect(0, 1616, '\P{Ccc=03_2}', "");
Expect(1, 1616, '\P{^Ccc=03_2}', "");
Expect(0, 1617, '\p{Ccc=03_2}', "");
Expect(1, 1617, '\p{^Ccc=03_2}', "");
Expect(1, 1617, '\P{Ccc=03_2}', "");
Expect(0, 1617, '\P{^Ccc=03_2}', "");
Error('\p{Is_Canonical_Combining_Class:    	CCC32/a/}');
Error('\P{Is_Canonical_Combining_Class:    	CCC32/a/}');
Expect(1, 1616, '\p{Is_Canonical_Combining_Class=ccc32}', "");
Expect(0, 1616, '\p{^Is_Canonical_Combining_Class=ccc32}', "");
Expect(0, 1616, '\P{Is_Canonical_Combining_Class=ccc32}', "");
Expect(1, 1616, '\P{^Is_Canonical_Combining_Class=ccc32}', "");
Expect(0, 1617, '\p{Is_Canonical_Combining_Class=ccc32}', "");
Expect(1, 1617, '\p{^Is_Canonical_Combining_Class=ccc32}', "");
Expect(1, 1617, '\P{Is_Canonical_Combining_Class=ccc32}', "");
Expect(0, 1617, '\P{^Is_Canonical_Combining_Class=ccc32}', "");
Expect(1, 1616, '\p{Is_Canonical_Combining_Class=  CCC32}', "");
Expect(0, 1616, '\p{^Is_Canonical_Combining_Class=  CCC32}', "");
Expect(0, 1616, '\P{Is_Canonical_Combining_Class=  CCC32}', "");
Expect(1, 1616, '\P{^Is_Canonical_Combining_Class=  CCC32}', "");
Expect(0, 1617, '\p{Is_Canonical_Combining_Class=  CCC32}', "");
Expect(1, 1617, '\p{^Is_Canonical_Combining_Class=  CCC32}', "");
Expect(1, 1617, '\P{Is_Canonical_Combining_Class=  CCC32}', "");
Expect(0, 1617, '\P{^Is_Canonical_Combining_Class=  CCC32}', "");
Error('\p{Is_Ccc=-/a/+032}');
Error('\P{Is_Ccc=-/a/+032}');
Expect(1, 1616, '\p{Is_Ccc=00_00_00_00_032}', "");
Expect(0, 1616, '\p{^Is_Ccc=00_00_00_00_032}', "");
Expect(0, 1616, '\P{Is_Ccc=00_00_00_00_032}', "");
Expect(1, 1616, '\P{^Is_Ccc=00_00_00_00_032}', "");
Expect(0, 1617, '\p{Is_Ccc=00_00_00_00_032}', "");
Expect(1, 1617, '\p{^Is_Ccc=00_00_00_00_032}', "");
Expect(1, 1617, '\P{Is_Ccc=00_00_00_00_032}', "");
Expect(0, 1617, '\P{^Is_Ccc=00_00_00_00_032}', "");
Error('\p{Canonical_Combining_Class=	 CCC33/a/}');
Error('\P{Canonical_Combining_Class=	 CCC33/a/}');
Expect(1, 1617, '\p{Canonical_Combining_Class:   ccc33}', "");
Expect(0, 1617, '\p{^Canonical_Combining_Class:   ccc33}', "");
Expect(0, 1617, '\P{Canonical_Combining_Class:   ccc33}', "");
Expect(1, 1617, '\P{^Canonical_Combining_Class:   ccc33}', "");
Expect(0, 1618, '\p{Canonical_Combining_Class:   ccc33}', "");
Expect(1, 1618, '\p{^Canonical_Combining_Class:   ccc33}', "");
Expect(1, 1618, '\P{Canonical_Combining_Class:   ccc33}', "");
Expect(0, 1618, '\P{^Canonical_Combining_Class:   ccc33}', "");
Expect(1, 1617, '\p{Canonical_Combining_Class=-	CCC33}', "");
Expect(0, 1617, '\p{^Canonical_Combining_Class=-	CCC33}', "");
Expect(0, 1617, '\P{Canonical_Combining_Class=-	CCC33}', "");
Expect(1, 1617, '\P{^Canonical_Combining_Class=-	CCC33}', "");
Expect(0, 1618, '\p{Canonical_Combining_Class=-	CCC33}', "");
Expect(1, 1618, '\p{^Canonical_Combining_Class=-	CCC33}', "");
Expect(1, 1618, '\P{Canonical_Combining_Class=-	CCC33}', "");
Expect(0, 1618, '\P{^Canonical_Combining_Class=-	CCC33}', "");
Error('\p{Ccc=/a/3_3}');
Error('\P{Ccc=/a/3_3}');
Expect(1, 1617, '\p{Ccc=000000033}', "");
Expect(0, 1617, '\p{^Ccc=000000033}', "");
Expect(0, 1617, '\P{Ccc=000000033}', "");
Expect(1, 1617, '\P{^Ccc=000000033}', "");
Expect(0, 1618, '\p{Ccc=000000033}', "");
Expect(1, 1618, '\p{^Ccc=000000033}', "");
Expect(1, 1618, '\P{Ccc=000000033}', "");
Expect(0, 1618, '\P{^Ccc=000000033}', "");
Error('\p{Is_Canonical_Combining_Class=:=--CCC33}');
Error('\P{Is_Canonical_Combining_Class=:=--CCC33}');
Expect(1, 1617, '\p{Is_Canonical_Combining_Class:   ccc33}', "");
Expect(0, 1617, '\p{^Is_Canonical_Combining_Class:   ccc33}', "");
Expect(0, 1617, '\P{Is_Canonical_Combining_Class:   ccc33}', "");
Expect(1, 1617, '\P{^Is_Canonical_Combining_Class:   ccc33}', "");
Expect(0, 1618, '\p{Is_Canonical_Combining_Class:   ccc33}', "");
Expect(1, 1618, '\p{^Is_Canonical_Combining_Class:   ccc33}', "");
Expect(1, 1618, '\P{Is_Canonical_Combining_Class:   ccc33}', "");
Expect(0, 1618, '\P{^Is_Canonical_Combining_Class:   ccc33}', "");
Expect(1, 1617, '\p{Is_Canonical_Combining_Class=-	ccc33}', "");
Expect(0, 1617, '\p{^Is_Canonical_Combining_Class=-	ccc33}', "");
Expect(0, 1617, '\P{Is_Canonical_Combining_Class=-	ccc33}', "");
Expect(1, 1617, '\P{^Is_Canonical_Combining_Class=-	ccc33}', "");
Expect(0, 1618, '\p{Is_Canonical_Combining_Class=-	ccc33}', "");
Expect(1, 1618, '\p{^Is_Canonical_Combining_Class=-	ccc33}', "");
Expect(1, 1618, '\P{Is_Canonical_Combining_Class=-	ccc33}', "");
Expect(0, 1618, '\P{^Is_Canonical_Combining_Class=-	ccc33}', "");
Error('\p{Is_Ccc=/a/	-+00033}');
Error('\P{Is_Ccc=/a/	-+00033}');
Expect(1, 1617, '\p{Is_Ccc=0_0_0_0_0_33}', "");
Expect(0, 1617, '\p{^Is_Ccc=0_0_0_0_0_33}', "");
Expect(0, 1617, '\P{Is_Ccc=0_0_0_0_0_33}', "");
Expect(1, 1617, '\P{^Is_Ccc=0_0_0_0_0_33}', "");
Expect(0, 1618, '\p{Is_Ccc=0_0_0_0_0_33}', "");
Expect(1, 1618, '\p{^Is_Ccc=0_0_0_0_0_33}', "");
Expect(1, 1618, '\P{Is_Ccc=0_0_0_0_0_33}', "");
Expect(0, 1618, '\P{^Is_Ccc=0_0_0_0_0_33}', "");
Error('\p{Canonical_Combining_Class=-/a/CCC34}');
Error('\P{Canonical_Combining_Class=-/a/CCC34}');
Expect(1, 1618, '\p{Canonical_Combining_Class=ccc34}', "");
Expect(0, 1618, '\p{^Canonical_Combining_Class=ccc34}', "");
Expect(0, 1618, '\P{Canonical_Combining_Class=ccc34}', "");
Expect(1, 1618, '\P{^Canonical_Combining_Class=ccc34}', "");
Expect(0, 1619, '\p{Canonical_Combining_Class=ccc34}', "");
Expect(1, 1619, '\p{^Canonical_Combining_Class=ccc34}', "");
Expect(1, 1619, '\P{Canonical_Combining_Class=ccc34}', "");
Expect(0, 1619, '\P{^Canonical_Combining_Class=ccc34}', "");
Expect(1, 1618, '\p{Canonical_Combining_Class=	_ccc34}', "");
Expect(0, 1618, '\p{^Canonical_Combining_Class=	_ccc34}', "");
Expect(0, 1618, '\P{Canonical_Combining_Class=	_ccc34}', "");
Expect(1, 1618, '\P{^Canonical_Combining_Class=	_ccc34}', "");
Expect(0, 1619, '\p{Canonical_Combining_Class=	_ccc34}', "");
Expect(1, 1619, '\p{^Canonical_Combining_Class=	_ccc34}', "");
Expect(1, 1619, '\P{Canonical_Combining_Class=	_ccc34}', "");
Expect(0, 1619, '\P{^Canonical_Combining_Class=	_ccc34}', "");
Error('\p{Ccc=/a/_	000_003_4}');
Error('\P{Ccc=/a/_	000_003_4}');
Expect(1, 1618, '\p{Ccc=0034}', "");
Expect(0, 1618, '\p{^Ccc=0034}', "");
Expect(0, 1618, '\P{Ccc=0034}', "");
Expect(1, 1618, '\P{^Ccc=0034}', "");
Expect(0, 1619, '\p{Ccc=0034}', "");
Expect(1, 1619, '\p{^Ccc=0034}', "");
Expect(1, 1619, '\P{Ccc=0034}', "");
Expect(0, 1619, '\P{^Ccc=0034}', "");
Error('\p{Is_Canonical_Combining_Class=-_CCC34:=}');
Error('\P{Is_Canonical_Combining_Class=-_CCC34:=}');
Expect(1, 1618, '\p{Is_Canonical_Combining_Class=ccc34}', "");
Expect(0, 1618, '\p{^Is_Canonical_Combining_Class=ccc34}', "");
Expect(0, 1618, '\P{Is_Canonical_Combining_Class=ccc34}', "");
Expect(1, 1618, '\P{^Is_Canonical_Combining_Class=ccc34}', "");
Expect(0, 1619, '\p{Is_Canonical_Combining_Class=ccc34}', "");
Expect(1, 1619, '\p{^Is_Canonical_Combining_Class=ccc34}', "");
Expect(1, 1619, '\P{Is_Canonical_Combining_Class=ccc34}', "");
Expect(0, 1619, '\P{^Is_Canonical_Combining_Class=ccc34}', "");
Expect(1, 1618, '\p{Is_Canonical_Combining_Class=	CCC34}', "");
Expect(0, 1618, '\p{^Is_Canonical_Combining_Class=	CCC34}', "");
Expect(0, 1618, '\P{Is_Canonical_Combining_Class=	CCC34}', "");
Expect(1, 1618, '\P{^Is_Canonical_Combining_Class=	CCC34}', "");
Expect(0, 1619, '\p{Is_Canonical_Combining_Class=	CCC34}', "");
Expect(1, 1619, '\p{^Is_Canonical_Combining_Class=	CCC34}', "");
Expect(1, 1619, '\P{Is_Canonical_Combining_Class=	CCC34}', "");
Expect(0, 1619, '\P{^Is_Canonical_Combining_Class=	CCC34}', "");
Error('\p{Is_Ccc= 	34:=}');
Error('\P{Is_Ccc= 	34:=}');
Expect(1, 1618, '\p{Is_Ccc=+0_0_34}', "");
Expect(0, 1618, '\p{^Is_Ccc=+0_0_34}', "");
Expect(0, 1618, '\P{Is_Ccc=+0_0_34}', "");
Expect(1, 1618, '\P{^Is_Ccc=+0_0_34}', "");
Expect(0, 1619, '\p{Is_Ccc=+0_0_34}', "");
Expect(1, 1619, '\p{^Is_Ccc=+0_0_34}', "");
Expect(1, 1619, '\P{Is_Ccc=+0_0_34}', "");
Expect(0, 1619, '\P{^Is_Ccc=+0_0_34}', "");
Error('\p{Canonical_Combining_Class=:=_CCC35}');
Error('\P{Canonical_Combining_Class=:=_CCC35}');
Expect(1, 1648, '\p{Canonical_Combining_Class=ccc35}', "");
Expect(0, 1648, '\p{^Canonical_Combining_Class=ccc35}', "");
Expect(0, 1648, '\P{Canonical_Combining_Class=ccc35}', "");
Expect(1, 1648, '\P{^Canonical_Combining_Class=ccc35}', "");
Expect(0, 1649, '\p{Canonical_Combining_Class=ccc35}', "");
Expect(1, 1649, '\p{^Canonical_Combining_Class=ccc35}', "");
Expect(1, 1649, '\P{Canonical_Combining_Class=ccc35}', "");
Expect(0, 1649, '\P{^Canonical_Combining_Class=ccc35}', "");
Expect(1, 1648, '\p{Canonical_Combining_Class=- CCC35}', "");
Expect(0, 1648, '\p{^Canonical_Combining_Class=- CCC35}', "");
Expect(0, 1648, '\P{Canonical_Combining_Class=- CCC35}', "");
Expect(1, 1648, '\P{^Canonical_Combining_Class=- CCC35}', "");
Expect(0, 1649, '\p{Canonical_Combining_Class=- CCC35}', "");
Expect(1, 1649, '\p{^Canonical_Combining_Class=- CCC35}', "");
Expect(1, 1649, '\P{Canonical_Combining_Class=- CCC35}', "");
Expect(0, 1649, '\P{^Canonical_Combining_Class=- CCC35}', "");
Error('\p{Ccc=:=	_0035}');
Error('\P{Ccc=:=	_0035}');
Expect(1, 1648, '\p{Ccc=0035}', "");
Expect(0, 1648, '\p{^Ccc=0035}', "");
Expect(0, 1648, '\P{Ccc=0035}', "");
Expect(1, 1648, '\P{^Ccc=0035}', "");
Expect(0, 1649, '\p{Ccc=0035}', "");
Expect(1, 1649, '\p{^Ccc=0035}', "");
Expect(1, 1649, '\P{Ccc=0035}', "");
Expect(0, 1649, '\P{^Ccc=0035}', "");
Error('\p{Is_Canonical_Combining_Class=/a/- CCC35}');
Error('\P{Is_Canonical_Combining_Class=/a/- CCC35}');
Expect(1, 1648, '\p{Is_Canonical_Combining_Class=ccc35}', "");
Expect(0, 1648, '\p{^Is_Canonical_Combining_Class=ccc35}', "");
Expect(0, 1648, '\P{Is_Canonical_Combining_Class=ccc35}', "");
Expect(1, 1648, '\P{^Is_Canonical_Combining_Class=ccc35}', "");
Expect(0, 1649, '\p{Is_Canonical_Combining_Class=ccc35}', "");
Expect(1, 1649, '\p{^Is_Canonical_Combining_Class=ccc35}', "");
Expect(1, 1649, '\P{Is_Canonical_Combining_Class=ccc35}', "");
Expect(0, 1649, '\P{^Is_Canonical_Combining_Class=ccc35}', "");
Expect(1, 1648, '\p{Is_Canonical_Combining_Class= ccc35}', "");
Expect(0, 1648, '\p{^Is_Canonical_Combining_Class= ccc35}', "");
Expect(0, 1648, '\P{Is_Canonical_Combining_Class= ccc35}', "");
Expect(1, 1648, '\P{^Is_Canonical_Combining_Class= ccc35}', "");
Expect(0, 1649, '\p{Is_Canonical_Combining_Class= ccc35}', "");
Expect(1, 1649, '\p{^Is_Canonical_Combining_Class= ccc35}', "");
Expect(1, 1649, '\P{Is_Canonical_Combining_Class= ccc35}', "");
Expect(0, 1649, '\P{^Is_Canonical_Combining_Class= ccc35}', "");
Error('\p{Is_Ccc=/a/ 00_00_35}');
Error('\P{Is_Ccc=/a/ 00_00_35}');
Expect(1, 1648, '\p{Is_Ccc=00035}', "");
Expect(0, 1648, '\p{^Is_Ccc=00035}', "");
Expect(0, 1648, '\P{Is_Ccc=00035}', "");
Expect(1, 1648, '\P{^Is_Ccc=00035}', "");
Expect(0, 1649, '\p{Is_Ccc=00035}', "");
Expect(1, 1649, '\p{^Is_Ccc=00035}', "");
Expect(1, 1649, '\P{Is_Ccc=00035}', "");
Expect(0, 1649, '\P{^Is_Ccc=00035}', "");
Error('\p{Canonical_Combining_Class:_CCC36:=}');
Error('\P{Canonical_Combining_Class:_CCC36:=}');
Expect(1, 1809, '\p{Canonical_Combining_Class=ccc36}', "");
Expect(0, 1809, '\p{^Canonical_Combining_Class=ccc36}', "");
Expect(0, 1809, '\P{Canonical_Combining_Class=ccc36}', "");
Expect(1, 1809, '\P{^Canonical_Combining_Class=ccc36}', "");
Expect(0, 1810, '\p{Canonical_Combining_Class=ccc36}', "");
Expect(1, 1810, '\p{^Canonical_Combining_Class=ccc36}', "");
Expect(1, 1810, '\P{Canonical_Combining_Class=ccc36}', "");
Expect(0, 1810, '\P{^Canonical_Combining_Class=ccc36}', "");
Expect(1, 1809, '\p{Canonical_Combining_Class= 	CCC36}', "");
Expect(0, 1809, '\p{^Canonical_Combining_Class= 	CCC36}', "");
Expect(0, 1809, '\P{Canonical_Combining_Class= 	CCC36}', "");
Expect(1, 1809, '\P{^Canonical_Combining_Class= 	CCC36}', "");
Expect(0, 1810, '\p{Canonical_Combining_Class= 	CCC36}', "");
Expect(1, 1810, '\p{^Canonical_Combining_Class= 	CCC36}', "");
Expect(1, 1810, '\P{Canonical_Combining_Class= 	CCC36}', "");
Expect(0, 1810, '\P{^Canonical_Combining_Class= 	CCC36}', "");
Error('\p{Ccc=_0_0_36/a/}');
Error('\P{Ccc=_0_0_36/a/}');
Expect(1, 1809, '\p{Ccc=00000036}', "");
Expect(0, 1809, '\p{^Ccc=00000036}', "");
Expect(0, 1809, '\P{Ccc=00000036}', "");
Expect(1, 1809, '\P{^Ccc=00000036}', "");
Expect(0, 1810, '\p{Ccc=00000036}', "");
Expect(1, 1810, '\p{^Ccc=00000036}', "");
Expect(1, 1810, '\P{Ccc=00000036}', "");
Expect(0, 1810, '\P{^Ccc=00000036}', "");
Error('\p{Is_Canonical_Combining_Class=__CCC36/a/}');
Error('\P{Is_Canonical_Combining_Class=__CCC36/a/}');
Expect(1, 1809, '\p{Is_Canonical_Combining_Class=ccc36}', "");
Expect(0, 1809, '\p{^Is_Canonical_Combining_Class=ccc36}', "");
Expect(0, 1809, '\P{Is_Canonical_Combining_Class=ccc36}', "");
Expect(1, 1809, '\P{^Is_Canonical_Combining_Class=ccc36}', "");
Expect(0, 1810, '\p{Is_Canonical_Combining_Class=ccc36}', "");
Expect(1, 1810, '\p{^Is_Canonical_Combining_Class=ccc36}', "");
Expect(1, 1810, '\P{Is_Canonical_Combining_Class=ccc36}', "");
Expect(0, 1810, '\P{^Is_Canonical_Combining_Class=ccc36}', "");
Expect(1, 1809, '\p{Is_Canonical_Combining_Class= 	CCC36}', "");
Expect(0, 1809, '\p{^Is_Canonical_Combining_Class= 	CCC36}', "");
Expect(0, 1809, '\P{Is_Canonical_Combining_Class= 	CCC36}', "");
Expect(1, 1809, '\P{^Is_Canonical_Combining_Class= 	CCC36}', "");
Expect(0, 1810, '\p{Is_Canonical_Combining_Class= 	CCC36}', "");
Expect(1, 1810, '\p{^Is_Canonical_Combining_Class= 	CCC36}', "");
Expect(1, 1810, '\P{Is_Canonical_Combining_Class= 	CCC36}', "");
Expect(0, 1810, '\P{^Is_Canonical_Combining_Class= 	CCC36}', "");
Error('\p{Is_Ccc=:=		+0000_0003_6}');
Error('\P{Is_Ccc=:=		+0000_0003_6}');
Expect(1, 1809, '\p{Is_Ccc=00036}', "");
Expect(0, 1809, '\p{^Is_Ccc=00036}', "");
Expect(0, 1809, '\P{Is_Ccc=00036}', "");
Expect(1, 1809, '\P{^Is_Ccc=00036}', "");
Expect(0, 1810, '\p{Is_Ccc=00036}', "");
Expect(1, 1810, '\p{^Is_Ccc=00036}', "");
Expect(1, 1810, '\P{Is_Ccc=00036}', "");
Expect(0, 1810, '\P{^Is_Ccc=00036}', "");
Error('\p{Canonical_Combining_Class: 		CCC84:=}');
Error('\P{Canonical_Combining_Class: 		CCC84:=}');
Expect(1, 3157, '\p{Canonical_Combining_Class=ccc84}', "");
Expect(0, 3157, '\p{^Canonical_Combining_Class=ccc84}', "");
Expect(0, 3157, '\P{Canonical_Combining_Class=ccc84}', "");
Expect(1, 3157, '\P{^Canonical_Combining_Class=ccc84}', "");
Expect(0, 3158, '\p{Canonical_Combining_Class=ccc84}', "");
Expect(1, 3158, '\p{^Canonical_Combining_Class=ccc84}', "");
Expect(1, 3158, '\P{Canonical_Combining_Class=ccc84}', "");
Expect(0, 3158, '\P{^Canonical_Combining_Class=ccc84}', "");
Expect(1, 3157, '\p{Canonical_Combining_Class=	CCC84}', "");
Expect(0, 3157, '\p{^Canonical_Combining_Class=	CCC84}', "");
Expect(0, 3157, '\P{Canonical_Combining_Class=	CCC84}', "");
Expect(1, 3157, '\P{^Canonical_Combining_Class=	CCC84}', "");
Expect(0, 3158, '\p{Canonical_Combining_Class=	CCC84}', "");
Expect(1, 3158, '\p{^Canonical_Combining_Class=	CCC84}', "");
Expect(1, 3158, '\P{Canonical_Combining_Class=	CCC84}', "");
Expect(0, 3158, '\P{^Canonical_Combining_Class=	CCC84}', "");
Error('\p{Ccc=	0084:=}');
Error('\P{Ccc=	0084:=}');
Expect(1, 3157, '\p{Ccc=+0008_4}', "");
Expect(0, 3157, '\p{^Ccc=+0008_4}', "");
Expect(0, 3157, '\P{Ccc=+0008_4}', "");
Expect(1, 3157, '\P{^Ccc=+0008_4}', "");
Expect(0, 3158, '\p{Ccc=+0008_4}', "");
Expect(1, 3158, '\p{^Ccc=+0008_4}', "");
Expect(1, 3158, '\P{Ccc=+0008_4}', "");
Expect(0, 3158, '\P{^Ccc=+0008_4}', "");
Error('\p{Is_Canonical_Combining_Class=/a/	CCC84}');
Error('\P{Is_Canonical_Combining_Class=/a/	CCC84}');
Expect(1, 3157, '\p{Is_Canonical_Combining_Class:	ccc84}', "");
Expect(0, 3157, '\p{^Is_Canonical_Combining_Class:	ccc84}', "");
Expect(0, 3157, '\P{Is_Canonical_Combining_Class:	ccc84}', "");
Expect(1, 3157, '\P{^Is_Canonical_Combining_Class:	ccc84}', "");
Expect(0, 3158, '\p{Is_Canonical_Combining_Class:	ccc84}', "");
Expect(1, 3158, '\p{^Is_Canonical_Combining_Class:	ccc84}', "");
Expect(1, 3158, '\P{Is_Canonical_Combining_Class:	ccc84}', "");
Expect(0, 3158, '\P{^Is_Canonical_Combining_Class:	ccc84}', "");
Expect(1, 3157, '\p{Is_Canonical_Combining_Class=	_CCC84}', "");
Expect(0, 3157, '\p{^Is_Canonical_Combining_Class=	_CCC84}', "");
Expect(0, 3157, '\P{Is_Canonical_Combining_Class=	_CCC84}', "");
Expect(1, 3157, '\P{^Is_Canonical_Combining_Class=	_CCC84}', "");
Expect(0, 3158, '\p{Is_Canonical_Combining_Class=	_CCC84}', "");
Expect(1, 3158, '\p{^Is_Canonical_Combining_Class=	_CCC84}', "");
Expect(1, 3158, '\P{Is_Canonical_Combining_Class=	_CCC84}', "");
Expect(0, 3158, '\P{^Is_Canonical_Combining_Class=	_CCC84}', "");
Error('\p{Is_Ccc=:=-0000000008_4}');
Error('\P{Is_Ccc=:=-0000000008_4}');
Expect(1, 3157, '\p{Is_Ccc=0_0_0_0_0_0_84}', "");
Expect(0, 3157, '\p{^Is_Ccc=0_0_0_0_0_0_84}', "");
Expect(0, 3157, '\P{Is_Ccc=0_0_0_0_0_0_84}', "");
Expect(1, 3157, '\P{^Is_Ccc=0_0_0_0_0_0_84}', "");
Expect(0, 3158, '\p{Is_Ccc=0_0_0_0_0_0_84}', "");
Expect(1, 3158, '\p{^Is_Ccc=0_0_0_0_0_0_84}', "");
Expect(1, 3158, '\P{Is_Ccc=0_0_0_0_0_0_84}', "");
Expect(0, 3158, '\P{^Is_Ccc=0_0_0_0_0_0_84}', "");
Error('\p{Canonical_Combining_Class=	CCC91/a/}');
Error('\P{Canonical_Combining_Class=	CCC91/a/}');
Expect(1, 3158, '\p{Canonical_Combining_Class:	ccc91}', "");
Expect(0, 3158, '\p{^Canonical_Combining_Class:	ccc91}', "");
Expect(0, 3158, '\P{Canonical_Combining_Class:	ccc91}', "");
Expect(1, 3158, '\P{^Canonical_Combining_Class:	ccc91}', "");
Expect(0, 3159, '\p{Canonical_Combining_Class:	ccc91}', "");
Expect(1, 3159, '\p{^Canonical_Combining_Class:	ccc91}', "");
Expect(1, 3159, '\P{Canonical_Combining_Class:	ccc91}', "");
Expect(0, 3159, '\P{^Canonical_Combining_Class:	ccc91}', "");
Expect(1, 3158, '\p{Canonical_Combining_Class:   		CCC91}', "");
Expect(0, 3158, '\p{^Canonical_Combining_Class:   		CCC91}', "");
Expect(0, 3158, '\P{Canonical_Combining_Class:   		CCC91}', "");
Expect(1, 3158, '\P{^Canonical_Combining_Class:   		CCC91}', "");
Expect(0, 3159, '\p{Canonical_Combining_Class:   		CCC91}', "");
Expect(1, 3159, '\p{^Canonical_Combining_Class:   		CCC91}', "");
Expect(1, 3159, '\P{Canonical_Combining_Class:   		CCC91}', "");
Expect(0, 3159, '\P{^Canonical_Combining_Class:   		CCC91}', "");
Error('\p{Ccc=:=	-+000_000_91}');
Error('\P{Ccc=:=	-+000_000_91}');
Expect(1, 3158, '\p{Ccc=00091}', "");
Expect(0, 3158, '\p{^Ccc=00091}', "");
Expect(0, 3158, '\P{Ccc=00091}', "");
Expect(1, 3158, '\P{^Ccc=00091}', "");
Expect(0, 3159, '\p{Ccc=00091}', "");
Expect(1, 3159, '\p{^Ccc=00091}', "");
Expect(1, 3159, '\P{Ccc=00091}', "");
Expect(0, 3159, '\P{^Ccc=00091}', "");
Error('\p{Is_Canonical_Combining_Class= _CCC91/a/}');
Error('\P{Is_Canonical_Combining_Class= _CCC91/a/}');
Expect(1, 3158, '\p{Is_Canonical_Combining_Class=ccc91}', "");
Expect(0, 3158, '\p{^Is_Canonical_Combining_Class=ccc91}', "");
Expect(0, 3158, '\P{Is_Canonical_Combining_Class=ccc91}', "");
Expect(1, 3158, '\P{^Is_Canonical_Combining_Class=ccc91}', "");
Expect(0, 3159, '\p{Is_Canonical_Combining_Class=ccc91}', "");
Expect(1, 3159, '\p{^Is_Canonical_Combining_Class=ccc91}', "");
Expect(1, 3159, '\P{Is_Canonical_Combining_Class=ccc91}', "");
Expect(0, 3159, '\P{^Is_Canonical_Combining_Class=ccc91}', "");
Expect(1, 3158, '\p{Is_Canonical_Combining_Class=- CCC91}', "");
Expect(0, 3158, '\p{^Is_Canonical_Combining_Class=- CCC91}', "");
Expect(0, 3158, '\P{Is_Canonical_Combining_Class=- CCC91}', "");
Expect(1, 3158, '\P{^Is_Canonical_Combining_Class=- CCC91}', "");
Expect(0, 3159, '\p{Is_Canonical_Combining_Class=- CCC91}', "");
Expect(1, 3159, '\p{^Is_Canonical_Combining_Class=- CCC91}', "");
Expect(1, 3159, '\P{Is_Canonical_Combining_Class=- CCC91}', "");
Expect(0, 3159, '\P{^Is_Canonical_Combining_Class=- CCC91}', "");
Error('\p{Is_Ccc=	 00091:=}');
Error('\P{Is_Ccc=	 00091:=}');
Expect(1, 3158, '\p{Is_Ccc=+0_0_0_0_0_91}', "");
Expect(0, 3158, '\p{^Is_Ccc=+0_0_0_0_0_91}', "");
Expect(0, 3158, '\P{Is_Ccc=+0_0_0_0_0_91}', "");
Expect(1, 3158, '\P{^Is_Ccc=+0_0_0_0_0_91}', "");
Expect(0, 3159, '\p{Is_Ccc=+0_0_0_0_0_91}', "");
Expect(1, 3159, '\p{^Is_Ccc=+0_0_0_0_0_91}', "");
Expect(1, 3159, '\P{Is_Ccc=+0_0_0_0_0_91}', "");
Expect(0, 3159, '\P{^Is_Ccc=+0_0_0_0_0_91}', "");
Error('\p{Canonical_Combining_Class=- Double_ABOVE/a/}');
Error('\P{Canonical_Combining_Class=- Double_ABOVE/a/}');
Expect(1, 7629, '\p{Canonical_Combining_Class=doubleabove}', "");
Expect(0, 7629, '\p{^Canonical_Combining_Class=doubleabove}', "");
Expect(0, 7629, '\P{Canonical_Combining_Class=doubleabove}', "");
Expect(1, 7629, '\P{^Canonical_Combining_Class=doubleabove}', "");
Expect(0, 7630, '\p{Canonical_Combining_Class=doubleabove}', "");
Expect(1, 7630, '\p{^Canonical_Combining_Class=doubleabove}', "");
Expect(1, 7630, '\P{Canonical_Combining_Class=doubleabove}', "");
Expect(0, 7630, '\P{^Canonical_Combining_Class=doubleabove}', "");
Expect(1, 7629, '\p{Canonical_Combining_Class=--Double_Above}', "");
Expect(0, 7629, '\p{^Canonical_Combining_Class=--Double_Above}', "");
Expect(0, 7629, '\P{Canonical_Combining_Class=--Double_Above}', "");
Expect(1, 7629, '\P{^Canonical_Combining_Class=--Double_Above}', "");
Expect(0, 7630, '\p{Canonical_Combining_Class=--Double_Above}', "");
Expect(1, 7630, '\p{^Canonical_Combining_Class=--Double_Above}', "");
Expect(1, 7630, '\P{Canonical_Combining_Class=--Double_Above}', "");
Expect(0, 7630, '\P{^Canonical_Combining_Class=--Double_Above}', "");
Error('\p{Ccc=:=-_da}');
Error('\P{Ccc=:=-_da}');
Expect(1, 7629, '\p{Ccc=da}', "");
Expect(0, 7629, '\p{^Ccc=da}', "");
Expect(0, 7629, '\P{Ccc=da}', "");
Expect(1, 7629, '\P{^Ccc=da}', "");
Expect(0, 7630, '\p{Ccc=da}', "");
Expect(1, 7630, '\p{^Ccc=da}', "");
Expect(1, 7630, '\P{Ccc=da}', "");
Expect(0, 7630, '\P{^Ccc=da}', "");
Expect(1, 7629, '\p{Ccc=- DA}', "");
Expect(0, 7629, '\p{^Ccc=- DA}', "");
Expect(0, 7629, '\P{Ccc=- DA}', "");
Expect(1, 7629, '\P{^Ccc=- DA}', "");
Expect(0, 7630, '\p{Ccc=- DA}', "");
Expect(1, 7630, '\p{^Ccc=- DA}', "");
Expect(1, 7630, '\P{Ccc=- DA}', "");
Expect(0, 7630, '\P{^Ccc=- DA}', "");
Error('\p{Is_Canonical_Combining_Class=/a/+0000000234}');
Error('\P{Is_Canonical_Combining_Class=/a/+0000000234}');
Expect(1, 7629, '\p{Is_Canonical_Combining_Class=0_2_34}', "");
Expect(0, 7629, '\p{^Is_Canonical_Combining_Class=0_2_34}', "");
Expect(0, 7629, '\P{Is_Canonical_Combining_Class=0_2_34}', "");
Expect(1, 7629, '\P{^Is_Canonical_Combining_Class=0_2_34}', "");
Expect(0, 7630, '\p{Is_Canonical_Combining_Class=0_2_34}', "");
Expect(1, 7630, '\p{^Is_Canonical_Combining_Class=0_2_34}', "");
Expect(1, 7630, '\P{Is_Canonical_Combining_Class=0_2_34}', "");
Expect(0, 7630, '\P{^Is_Canonical_Combining_Class=0_2_34}', "");
Error('\p{Is_Ccc=/a/	DOUBLE_Above}');
Error('\P{Is_Ccc=/a/	DOUBLE_Above}');
Expect(1, 7629, '\p{Is_Ccc=doubleabove}', "");
Expect(0, 7629, '\p{^Is_Ccc=doubleabove}', "");
Expect(0, 7629, '\P{Is_Ccc=doubleabove}', "");
Expect(1, 7629, '\P{^Is_Ccc=doubleabove}', "");
Expect(0, 7630, '\p{Is_Ccc=doubleabove}', "");
Expect(1, 7630, '\p{^Is_Ccc=doubleabove}', "");
Expect(1, 7630, '\P{Is_Ccc=doubleabove}', "");
Expect(0, 7630, '\P{^Is_Ccc=doubleabove}', "");
Expect(1, 7629, '\p{Is_Ccc=  Double_Above}', "");
Expect(0, 7629, '\p{^Is_Ccc=  Double_Above}', "");
Expect(0, 7629, '\P{Is_Ccc=  Double_Above}', "");
Expect(1, 7629, '\P{^Is_Ccc=  Double_Above}', "");
Expect(0, 7630, '\p{Is_Ccc=  Double_Above}', "");
Expect(1, 7630, '\p{^Is_Ccc=  Double_Above}', "");
Expect(1, 7630, '\P{Is_Ccc=  Double_Above}', "");
Expect(0, 7630, '\P{^Is_Ccc=  Double_Above}', "");
Error('\p{Canonical_Combining_Class=:= _Double_Below}');
Error('\P{Canonical_Combining_Class=:= _Double_Below}');
Expect(1, 7676, '\p{Canonical_Combining_Class=doublebelow}', "");
Expect(0, 7676, '\p{^Canonical_Combining_Class=doublebelow}', "");
Expect(0, 7676, '\P{Canonical_Combining_Class=doublebelow}', "");
Expect(1, 7676, '\P{^Canonical_Combining_Class=doublebelow}', "");
Expect(0, 7677, '\p{Canonical_Combining_Class=doublebelow}', "");
Expect(1, 7677, '\p{^Canonical_Combining_Class=doublebelow}', "");
Expect(1, 7677, '\P{Canonical_Combining_Class=doublebelow}', "");
Expect(0, 7677, '\P{^Canonical_Combining_Class=doublebelow}', "");
Expect(1, 7676, '\p{Canonical_Combining_Class=-	Double_Below}', "");
Expect(0, 7676, '\p{^Canonical_Combining_Class=-	Double_Below}', "");
Expect(0, 7676, '\P{Canonical_Combining_Class=-	Double_Below}', "");
Expect(1, 7676, '\P{^Canonical_Combining_Class=-	Double_Below}', "");
Expect(0, 7677, '\p{Canonical_Combining_Class=-	Double_Below}', "");
Expect(1, 7677, '\p{^Canonical_Combining_Class=-	Double_Below}', "");
Expect(1, 7677, '\P{Canonical_Combining_Class=-	Double_Below}', "");
Expect(0, 7677, '\P{^Canonical_Combining_Class=-	Double_Below}', "");
Error('\p{Ccc=	:=DB}');
Error('\P{Ccc=	:=DB}');
Expect(1, 7676, '\p{Ccc=db}', "");
Expect(0, 7676, '\p{^Ccc=db}', "");
Expect(0, 7676, '\P{Ccc=db}', "");
Expect(1, 7676, '\P{^Ccc=db}', "");
Expect(0, 7677, '\p{Ccc=db}', "");
Expect(1, 7677, '\p{^Ccc=db}', "");
Expect(1, 7677, '\P{Ccc=db}', "");
Expect(0, 7677, '\P{^Ccc=db}', "");
Expect(1, 7676, '\p{Ccc=_ DB}', "");
Expect(0, 7676, '\p{^Ccc=_ DB}', "");
Expect(0, 7676, '\P{Ccc=_ DB}', "");
Expect(1, 7676, '\P{^Ccc=_ DB}', "");
Expect(0, 7677, '\p{Ccc=_ DB}', "");
Expect(1, 7677, '\p{^Ccc=_ DB}', "");
Expect(1, 7677, '\P{Ccc=_ DB}', "");
Expect(0, 7677, '\P{^Ccc=_ DB}', "");
Error('\p{Is_Canonical_Combining_Class=:=0_0_0_0_0_0_0_0_2_33}');
Error('\P{Is_Canonical_Combining_Class=:=0_0_0_0_0_0_0_0_2_33}');
Expect(1, 7676, '\p{Is_Canonical_Combining_Class=23_3}', "");
Expect(0, 7676, '\p{^Is_Canonical_Combining_Class=23_3}', "");
Expect(0, 7676, '\P{Is_Canonical_Combining_Class=23_3}', "");
Expect(1, 7676, '\P{^Is_Canonical_Combining_Class=23_3}', "");
Expect(0, 7677, '\p{Is_Canonical_Combining_Class=23_3}', "");
Expect(1, 7677, '\p{^Is_Canonical_Combining_Class=23_3}', "");
Expect(1, 7677, '\P{Is_Canonical_Combining_Class=23_3}', "");
Expect(0, 7677, '\P{^Is_Canonical_Combining_Class=23_3}', "");
Error('\p{Is_Ccc=:=Double_BELOW}');
Error('\P{Is_Ccc=:=Double_BELOW}');
Expect(1, 7676, '\p{Is_Ccc=doublebelow}', "");
Expect(0, 7676, '\p{^Is_Ccc=doublebelow}', "");
Expect(0, 7676, '\P{Is_Ccc=doublebelow}', "");
Expect(1, 7676, '\P{^Is_Ccc=doublebelow}', "");
Expect(0, 7677, '\p{Is_Ccc=doublebelow}', "");
Expect(1, 7677, '\p{^Is_Ccc=doublebelow}', "");
Expect(1, 7677, '\P{Is_Ccc=doublebelow}', "");
Expect(0, 7677, '\P{^Is_Ccc=doublebelow}', "");
Expect(1, 7676, '\p{Is_Ccc:   _Double_Below}', "");
Expect(0, 7676, '\p{^Is_Ccc:   _Double_Below}', "");
Expect(0, 7676, '\P{Is_Ccc:   _Double_Below}', "");
Expect(1, 7676, '\P{^Is_Ccc:   _Double_Below}', "");
Expect(0, 7677, '\p{Is_Ccc:   _Double_Below}', "");
Expect(1, 7677, '\p{^Is_Ccc:   _Double_Below}', "");
Expect(1, 7677, '\P{Is_Ccc:   _Double_Below}', "");
Expect(0, 7677, '\P{^Is_Ccc:   _Double_Below}', "");
Error('\p{Canonical_Combining_Class=/a/- iota_Subscript}');
Error('\P{Canonical_Combining_Class=/a/- iota_Subscript}');
Expect(1, 837, '\p{Canonical_Combining_Class=iotasubscript}', "");
Expect(0, 837, '\p{^Canonical_Combining_Class=iotasubscript}', "");
Expect(0, 837, '\P{Canonical_Combining_Class=iotasubscript}', "");
Expect(1, 837, '\P{^Canonical_Combining_Class=iotasubscript}', "");
Expect(0, 838, '\p{Canonical_Combining_Class=iotasubscript}', "");
Expect(1, 838, '\p{^Canonical_Combining_Class=iotasubscript}', "");
Expect(1, 838, '\P{Canonical_Combining_Class=iotasubscript}', "");
Expect(0, 838, '\P{^Canonical_Combining_Class=iotasubscript}', "");
Expect(1, 837, '\p{Canonical_Combining_Class=  IOTA_Subscript}', "");
Expect(0, 837, '\p{^Canonical_Combining_Class=  IOTA_Subscript}', "");
Expect(0, 837, '\P{Canonical_Combining_Class=  IOTA_Subscript}', "");
Expect(1, 837, '\P{^Canonical_Combining_Class=  IOTA_Subscript}', "");
Expect(0, 838, '\p{Canonical_Combining_Class=  IOTA_Subscript}', "");
Expect(1, 838, '\p{^Canonical_Combining_Class=  IOTA_Subscript}', "");
Expect(1, 838, '\P{Canonical_Combining_Class=  IOTA_Subscript}', "");
Expect(0, 838, '\P{^Canonical_Combining_Class=  IOTA_Subscript}', "");
Error('\p{Ccc=  IS/a/}');
Error('\P{Ccc=  IS/a/}');
Expect(1, 837, '\p{Ccc=is}', "");
Expect(0, 837, '\p{^Ccc=is}', "");
Expect(0, 837, '\P{Ccc=is}', "");
Expect(1, 837, '\P{^Ccc=is}', "");
Expect(0, 838, '\p{Ccc=is}', "");
Expect(1, 838, '\p{^Ccc=is}', "");
Expect(1, 838, '\P{Ccc=is}', "");
Expect(0, 838, '\P{^Ccc=is}', "");
Expect(1, 837, '\p{Ccc=-IS}', "");
Expect(0, 837, '\p{^Ccc=-IS}', "");
Expect(0, 837, '\P{Ccc=-IS}', "");
Expect(1, 837, '\P{^Ccc=-IS}', "");
Expect(0, 838, '\p{Ccc=-IS}', "");
Expect(1, 838, '\p{^Ccc=-IS}', "");
Expect(1, 838, '\P{Ccc=-IS}', "");
Expect(0, 838, '\P{^Ccc=-IS}', "");
Error('\p{Is_Canonical_Combining_Class=-00240:=}');
Error('\P{Is_Canonical_Combining_Class=-00240:=}');
Expect(1, 837, '\p{Is_Canonical_Combining_Class=240}', "");
Expect(0, 837, '\p{^Is_Canonical_Combining_Class=240}', "");
Expect(0, 837, '\P{Is_Canonical_Combining_Class=240}', "");
Expect(1, 837, '\P{^Is_Canonical_Combining_Class=240}', "");
Expect(0, 838, '\p{Is_Canonical_Combining_Class=240}', "");
Expect(1, 838, '\p{^Is_Canonical_Combining_Class=240}', "");
Expect(1, 838, '\P{Is_Canonical_Combining_Class=240}', "");
Expect(0, 838, '\P{^Is_Canonical_Combining_Class=240}', "");
Error('\p{Is_Ccc:   /a/-_Iota_subscript}');
Error('\P{Is_Ccc:   /a/-_Iota_subscript}');
Expect(1, 837, '\p{Is_Ccc=iotasubscript}', "");
Expect(0, 837, '\p{^Is_Ccc=iotasubscript}', "");
Expect(0, 837, '\P{Is_Ccc=iotasubscript}', "");
Expect(1, 837, '\P{^Is_Ccc=iotasubscript}', "");
Expect(0, 838, '\p{Is_Ccc=iotasubscript}', "");
Expect(1, 838, '\p{^Is_Ccc=iotasubscript}', "");
Expect(1, 838, '\P{Is_Ccc=iotasubscript}', "");
Expect(0, 838, '\P{^Is_Ccc=iotasubscript}', "");
Expect(1, 837, '\p{Is_Ccc=	IOTA_SUBSCRIPT}', "");
Expect(0, 837, '\p{^Is_Ccc=	IOTA_SUBSCRIPT}', "");
Expect(0, 837, '\P{Is_Ccc=	IOTA_SUBSCRIPT}', "");
Expect(1, 837, '\P{^Is_Ccc=	IOTA_SUBSCRIPT}', "");
Expect(0, 838, '\p{Is_Ccc=	IOTA_SUBSCRIPT}', "");
Expect(1, 838, '\p{^Is_Ccc=	IOTA_SUBSCRIPT}', "");
Expect(1, 838, '\P{Is_Ccc=	IOTA_SUBSCRIPT}', "");
Expect(0, 838, '\P{^Is_Ccc=	IOTA_SUBSCRIPT}', "");
Error('\p{Canonical_Combining_Class=__kana_VOICING/a/}');
Error('\P{Canonical_Combining_Class=__kana_VOICING/a/}');
Expect(1, 12442, '\p{Canonical_Combining_Class=kanavoicing}', "");
Expect(0, 12442, '\p{^Canonical_Combining_Class=kanavoicing}', "");
Expect(0, 12442, '\P{Canonical_Combining_Class=kanavoicing}', "");
Expect(1, 12442, '\P{^Canonical_Combining_Class=kanavoicing}', "");
Expect(0, 12443, '\p{Canonical_Combining_Class=kanavoicing}', "");
Expect(1, 12443, '\p{^Canonical_Combining_Class=kanavoicing}', "");
Expect(1, 12443, '\P{Canonical_Combining_Class=kanavoicing}', "");
Expect(0, 12443, '\P{^Canonical_Combining_Class=kanavoicing}', "");
Expect(1, 12442, '\p{Canonical_Combining_Class=Kana_VOICING}', "");
Expect(0, 12442, '\p{^Canonical_Combining_Class=Kana_VOICING}', "");
Expect(0, 12442, '\P{Canonical_Combining_Class=Kana_VOICING}', "");
Expect(1, 12442, '\P{^Canonical_Combining_Class=Kana_VOICING}', "");
Expect(0, 12443, '\p{Canonical_Combining_Class=Kana_VOICING}', "");
Expect(1, 12443, '\p{^Canonical_Combining_Class=Kana_VOICING}', "");
Expect(1, 12443, '\P{Canonical_Combining_Class=Kana_VOICING}', "");
Expect(0, 12443, '\P{^Canonical_Combining_Class=Kana_VOICING}', "");
Error('\p{Ccc=	/a/KV}');
Error('\P{Ccc=	/a/KV}');
Expect(1, 12442, '\p{Ccc=kv}', "");
Expect(0, 12442, '\p{^Ccc=kv}', "");
Expect(0, 12442, '\P{Ccc=kv}', "");
Expect(1, 12442, '\P{^Ccc=kv}', "");
Expect(0, 12443, '\p{Ccc=kv}', "");
Expect(1, 12443, '\p{^Ccc=kv}', "");
Expect(1, 12443, '\P{Ccc=kv}', "");
Expect(0, 12443, '\P{^Ccc=kv}', "");
Expect(1, 12442, '\p{Ccc=_KV}', "");
Expect(0, 12442, '\p{^Ccc=_KV}', "");
Expect(0, 12442, '\P{Ccc=_KV}', "");
Expect(1, 12442, '\P{^Ccc=_KV}', "");
Expect(0, 12443, '\p{Ccc=_KV}', "");
Expect(1, 12443, '\p{^Ccc=_KV}', "");
Expect(1, 12443, '\P{Ccc=_KV}', "");
Expect(0, 12443, '\P{^Ccc=_KV}', "");
Error('\p{Is_Canonical_Combining_Class=_-000000008:=}');
Error('\P{Is_Canonical_Combining_Class=_-000000008:=}');
Expect(1, 12442, '\p{Is_Canonical_Combining_Class:	000008}', "");
Expect(0, 12442, '\p{^Is_Canonical_Combining_Class:	000008}', "");
Expect(0, 12442, '\P{Is_Canonical_Combining_Class:	000008}', "");
Expect(1, 12442, '\P{^Is_Canonical_Combining_Class:	000008}', "");
Expect(0, 12443, '\p{Is_Canonical_Combining_Class:	000008}', "");
Expect(1, 12443, '\p{^Is_Canonical_Combining_Class:	000008}', "");
Expect(1, 12443, '\P{Is_Canonical_Combining_Class:	000008}', "");
Expect(0, 12443, '\P{^Is_Canonical_Combining_Class:	000008}', "");
Error('\p{Is_Ccc=/a/_ Kana_Voicing}');
Error('\P{Is_Ccc=/a/_ Kana_Voicing}');
Expect(1, 12442, '\p{Is_Ccc=kanavoicing}', "");
Expect(0, 12442, '\p{^Is_Ccc=kanavoicing}', "");
Expect(0, 12442, '\P{Is_Ccc=kanavoicing}', "");
Expect(1, 12442, '\P{^Is_Ccc=kanavoicing}', "");
Expect(0, 12443, '\p{Is_Ccc=kanavoicing}', "");
Expect(1, 12443, '\p{^Is_Ccc=kanavoicing}', "");
Expect(1, 12443, '\P{Is_Ccc=kanavoicing}', "");
Expect(0, 12443, '\P{^Is_Ccc=kanavoicing}', "");
Expect(1, 12442, '\p{Is_Ccc=		KANA_voicing}', "");
Expect(0, 12442, '\p{^Is_Ccc=		KANA_voicing}', "");
Expect(0, 12442, '\P{Is_Ccc=		KANA_voicing}', "");
Expect(1, 12442, '\P{^Is_Ccc=		KANA_voicing}', "");
Expect(0, 12443, '\p{Is_Ccc=		KANA_voicing}', "");
Expect(1, 12443, '\p{^Is_Ccc=		KANA_voicing}', "");
Expect(1, 12443, '\P{Is_Ccc=		KANA_voicing}', "");
Expect(0, 12443, '\P{^Is_Ccc=		KANA_voicing}', "");
Error('\p{Canonical_Combining_Class=_:=left}');
Error('\P{Canonical_Combining_Class=_:=left}');
Expect(1, 12335, '\p{Canonical_Combining_Class:left}', "");
Expect(0, 12335, '\p{^Canonical_Combining_Class:left}', "");
Expect(0, 12335, '\P{Canonical_Combining_Class:left}', "");
Expect(1, 12335, '\P{^Canonical_Combining_Class:left}', "");
Expect(0, 12336, '\p{Canonical_Combining_Class:left}', "");
Expect(1, 12336, '\p{^Canonical_Combining_Class:left}', "");
Expect(1, 12336, '\P{Canonical_Combining_Class:left}', "");
Expect(0, 12336, '\P{^Canonical_Combining_Class:left}', "");
Expect(1, 12335, '\p{Canonical_Combining_Class=		LEFT}', "");
Expect(0, 12335, '\p{^Canonical_Combining_Class=		LEFT}', "");
Expect(0, 12335, '\P{Canonical_Combining_Class=		LEFT}', "");
Expect(1, 12335, '\P{^Canonical_Combining_Class=		LEFT}', "");
Expect(0, 12336, '\p{Canonical_Combining_Class=		LEFT}', "");
Expect(1, 12336, '\p{^Canonical_Combining_Class=		LEFT}', "");
Expect(1, 12336, '\P{Canonical_Combining_Class=		LEFT}', "");
Expect(0, 12336, '\P{^Canonical_Combining_Class=		LEFT}', "");
Error('\p{Ccc=:=-	L}');
Error('\P{Ccc=:=-	L}');
Expect(1, 12335, '\p{Ccc=l}', "");
Expect(0, 12335, '\p{^Ccc=l}', "");
Expect(0, 12335, '\P{Ccc=l}', "");
Expect(1, 12335, '\P{^Ccc=l}', "");
Expect(0, 12336, '\p{Ccc=l}', "");
Expect(1, 12336, '\p{^Ccc=l}', "");
Expect(1, 12336, '\P{Ccc=l}', "");
Expect(0, 12336, '\P{^Ccc=l}', "");
Expect(1, 12335, '\p{Ccc=	_L}', "");
Expect(0, 12335, '\p{^Ccc=	_L}', "");
Expect(0, 12335, '\P{Ccc=	_L}', "");
Expect(1, 12335, '\P{^Ccc=	_L}', "");
Expect(0, 12336, '\p{Ccc=	_L}', "");
Expect(1, 12336, '\p{^Ccc=	_L}', "");
Expect(1, 12336, '\P{Ccc=	_L}', "");
Expect(0, 12336, '\P{^Ccc=	_L}', "");
Error('\p{Is_Canonical_Combining_Class= _+000000000224/a/}');
Error('\P{Is_Canonical_Combining_Class= _+000000000224/a/}');
Expect(1, 12335, '\p{Is_Canonical_Combining_Class:	+22_4}', "");
Expect(0, 12335, '\p{^Is_Canonical_Combining_Class:	+22_4}', "");
Expect(0, 12335, '\P{Is_Canonical_Combining_Class:	+22_4}', "");
Expect(1, 12335, '\P{^Is_Canonical_Combining_Class:	+22_4}', "");
Expect(0, 12336, '\p{Is_Canonical_Combining_Class:	+22_4}', "");
Expect(1, 12336, '\p{^Is_Canonical_Combining_Class:	+22_4}', "");
Expect(1, 12336, '\P{Is_Canonical_Combining_Class:	+22_4}', "");
Expect(0, 12336, '\P{^Is_Canonical_Combining_Class:	+22_4}', "");
Error('\p{Is_Ccc=_/a/left}');
Error('\P{Is_Ccc=_/a/left}');
Expect(1, 12335, '\p{Is_Ccc=left}', "");
Expect(0, 12335, '\p{^Is_Ccc=left}', "");
Expect(0, 12335, '\P{Is_Ccc=left}', "");
Expect(1, 12335, '\P{^Is_Ccc=left}', "");
Expect(0, 12336, '\p{Is_Ccc=left}', "");
Expect(1, 12336, '\p{^Is_Ccc=left}', "");
Expect(1, 12336, '\P{Is_Ccc=left}', "");
Expect(0, 12336, '\P{^Is_Ccc=left}', "");
Expect(1, 12335, '\p{Is_Ccc=-_Left}', "");
Expect(0, 12335, '\p{^Is_Ccc=-_Left}', "");
Expect(0, 12335, '\P{Is_Ccc=-_Left}', "");
Expect(1, 12335, '\P{^Is_Ccc=-_Left}', "");
Expect(0, 12336, '\p{Is_Ccc=-_Left}', "");
Expect(1, 12336, '\p{^Is_Ccc=-_Left}', "");
Expect(1, 12336, '\P{Is_Ccc=-_Left}', "");
Expect(0, 12336, '\P{^Is_Ccc=-_Left}', "");
Error('\p{Canonical_Combining_Class=/a/-NUKTA}');
Error('\P{Canonical_Combining_Class=/a/-NUKTA}');
Expect(1, 71351, '\p{Canonical_Combining_Class=nukta}', "");
Expect(0, 71351, '\p{^Canonical_Combining_Class=nukta}', "");
Expect(0, 71351, '\P{Canonical_Combining_Class=nukta}', "");
Expect(1, 71351, '\P{^Canonical_Combining_Class=nukta}', "");
Expect(0, 71352, '\p{Canonical_Combining_Class=nukta}', "");
Expect(1, 71352, '\p{^Canonical_Combining_Class=nukta}', "");
Expect(1, 71352, '\P{Canonical_Combining_Class=nukta}', "");
Expect(0, 71352, '\P{^Canonical_Combining_Class=nukta}', "");
Expect(1, 71351, '\p{Canonical_Combining_Class=	-Nukta}', "");
Expect(0, 71351, '\p{^Canonical_Combining_Class=	-Nukta}', "");
Expect(0, 71351, '\P{Canonical_Combining_Class=	-Nukta}', "");
Expect(1, 71351, '\P{^Canonical_Combining_Class=	-Nukta}', "");
Expect(0, 71352, '\p{Canonical_Combining_Class=	-Nukta}', "");
Expect(1, 71352, '\p{^Canonical_Combining_Class=	-Nukta}', "");
Expect(1, 71352, '\P{Canonical_Combining_Class=	-Nukta}', "");
Expect(0, 71352, '\P{^Canonical_Combining_Class=	-Nukta}', "");
Error('\p{Ccc=	NK:=}');
Error('\P{Ccc=	NK:=}');
Expect(1, 71351, '\p{Ccc=nk}', "");
Expect(0, 71351, '\p{^Ccc=nk}', "");
Expect(0, 71351, '\P{Ccc=nk}', "");
Expect(1, 71351, '\P{^Ccc=nk}', "");
Expect(0, 71352, '\p{Ccc=nk}', "");
Expect(1, 71352, '\p{^Ccc=nk}', "");
Expect(1, 71352, '\P{Ccc=nk}', "");
Expect(0, 71352, '\P{^Ccc=nk}', "");
Expect(1, 71351, '\p{Ccc:	_ NK}', "");
Expect(0, 71351, '\p{^Ccc:	_ NK}', "");
Expect(0, 71351, '\P{Ccc:	_ NK}', "");
Expect(1, 71351, '\P{^Ccc:	_ NK}', "");
Expect(0, 71352, '\p{Ccc:	_ NK}', "");
Expect(1, 71352, '\p{^Ccc:	_ NK}', "");
Expect(1, 71352, '\P{Ccc:	_ NK}', "");
Expect(0, 71352, '\P{^Ccc:	_ NK}', "");
Error('\p{Is_Canonical_Combining_Class= 0_0_0_0_0007:=}');
Error('\P{Is_Canonical_Combining_Class= 0_0_0_0_0007:=}');
Expect(1, 71351, '\p{Is_Canonical_Combining_Class:   +7}', "");
Expect(0, 71351, '\p{^Is_Canonical_Combining_Class:   +7}', "");
Expect(0, 71351, '\P{Is_Canonical_Combining_Class:   +7}', "");
Expect(1, 71351, '\P{^Is_Canonical_Combining_Class:   +7}', "");
Expect(0, 71352, '\p{Is_Canonical_Combining_Class:   +7}', "");
Expect(1, 71352, '\p{^Is_Canonical_Combining_Class:   +7}', "");
Expect(1, 71352, '\P{Is_Canonical_Combining_Class:   +7}', "");
Expect(0, 71352, '\P{^Is_Canonical_Combining_Class:   +7}', "");
Error('\p{Is_Ccc=/a/		nukta}');
Error('\P{Is_Ccc=/a/		nukta}');
Expect(1, 71351, '\p{Is_Ccc=nukta}', "");
Expect(0, 71351, '\p{^Is_Ccc=nukta}', "");
Expect(0, 71351, '\P{Is_Ccc=nukta}', "");
Expect(1, 71351, '\P{^Is_Ccc=nukta}', "");
Expect(0, 71352, '\p{Is_Ccc=nukta}', "");
Expect(1, 71352, '\p{^Is_Ccc=nukta}', "");
Expect(1, 71352, '\P{Is_Ccc=nukta}', "");
Expect(0, 71352, '\P{^Is_Ccc=nukta}', "");
Expect(1, 71351, '\p{Is_Ccc=_NUKTA}', "");
Expect(0, 71351, '\p{^Is_Ccc=_NUKTA}', "");
Expect(0, 71351, '\P{Is_Ccc=_NUKTA}', "");
Expect(1, 71351, '\P{^Is_Ccc=_NUKTA}', "");
Expect(0, 71352, '\p{Is_Ccc=_NUKTA}', "");
Expect(1, 71352, '\p{^Is_Ccc=_NUKTA}', "");
Expect(1, 71352, '\P{Is_Ccc=_NUKTA}', "");
Expect(0, 71352, '\P{^Is_Ccc=_NUKTA}', "");
Error('\p{Canonical_Combining_Class=:=_not_REORDERED}');
Error('\P{Canonical_Combining_Class=:=_not_REORDERED}');
Expect(1, 125143, '\p{Canonical_Combining_Class=notreordered}', "");
Expect(0, 125143, '\p{^Canonical_Combining_Class=notreordered}', "");
Expect(0, 125143, '\P{Canonical_Combining_Class=notreordered}', "");
Expect(1, 125143, '\P{^Canonical_Combining_Class=notreordered}', "");
Expect(0, 125142, '\p{Canonical_Combining_Class=notreordered}', "");
Expect(1, 125142, '\p{^Canonical_Combining_Class=notreordered}', "");
Expect(1, 125142, '\P{Canonical_Combining_Class=notreordered}', "");
Expect(0, 125142, '\P{^Canonical_Combining_Class=notreordered}', "");
Expect(1, 125143, '\p{Canonical_Combining_Class= Not_Reordered}', "");
Expect(0, 125143, '\p{^Canonical_Combining_Class= Not_Reordered}', "");
Expect(0, 125143, '\P{Canonical_Combining_Class= Not_Reordered}', "");
Expect(1, 125143, '\P{^Canonical_Combining_Class= Not_Reordered}', "");
Expect(0, 125142, '\p{Canonical_Combining_Class= Not_Reordered}', "");
Expect(1, 125142, '\p{^Canonical_Combining_Class= Not_Reordered}', "");
Expect(1, 125142, '\P{Canonical_Combining_Class= Not_Reordered}', "");
Expect(0, 125142, '\P{^Canonical_Combining_Class= Not_Reordered}', "");
Error('\p{Ccc=-:=nr}');
Error('\P{Ccc=-:=nr}');
Expect(1, 125143, '\p{Ccc=nr}', "");
Expect(0, 125143, '\p{^Ccc=nr}', "");
Expect(0, 125143, '\P{Ccc=nr}', "");
Expect(1, 125143, '\P{^Ccc=nr}', "");
Expect(0, 125142, '\p{Ccc=nr}', "");
Expect(1, 125142, '\p{^Ccc=nr}', "");
Expect(1, 125142, '\P{Ccc=nr}', "");
Expect(0, 125142, '\P{^Ccc=nr}', "");
Expect(1, 125143, '\p{Ccc=-_nr}', "");
Expect(0, 125143, '\p{^Ccc=-_nr}', "");
Expect(0, 125143, '\P{Ccc=-_nr}', "");
Expect(1, 125143, '\P{^Ccc=-_nr}', "");
Expect(0, 125142, '\p{Ccc=-_nr}', "");
Expect(1, 125142, '\p{^Ccc=-_nr}', "");
Expect(1, 125142, '\P{Ccc=-_nr}', "");
Expect(0, 125142, '\P{^Ccc=-_nr}', "");
Error('\p{Is_Canonical_Combining_Class=	:=+00000}');
Error('\P{Is_Canonical_Combining_Class=	:=+00000}');
Expect(1, 125143, '\p{Is_Canonical_Combining_Class=00000000_0}', "");
Expect(0, 125143, '\p{^Is_Canonical_Combining_Class=00000000_0}', "");
Expect(0, 125143, '\P{Is_Canonical_Combining_Class=00000000_0}', "");
Expect(1, 125143, '\P{^Is_Canonical_Combining_Class=00000000_0}', "");
Expect(0, 125142, '\p{Is_Canonical_Combining_Class=00000000_0}', "");
Expect(1, 125142, '\p{^Is_Canonical_Combining_Class=00000000_0}', "");
Expect(1, 125142, '\P{Is_Canonical_Combining_Class=00000000_0}', "");
Expect(0, 125142, '\P{^Is_Canonical_Combining_Class=00000000_0}', "");
Error('\p{Is_Ccc=- Not_Reordered/a/}');
Error('\P{Is_Ccc=- Not_Reordered/a/}');
Expect(1, 125143, '\p{Is_Ccc=notreordered}', "");
Expect(0, 125143, '\p{^Is_Ccc=notreordered}', "");
Expect(0, 125143, '\P{Is_Ccc=notreordered}', "");
Expect(1, 125143, '\P{^Is_Ccc=notreordered}', "");
Expect(0, 125142, '\p{Is_Ccc=notreordered}', "");
Expect(1, 125142, '\p{^Is_Ccc=notreordered}', "");
Expect(1, 125142, '\P{Is_Ccc=notreordered}', "");
Expect(0, 125142, '\P{^Is_Ccc=notreordered}', "");
Expect(1, 125143, '\p{Is_Ccc:   --not_reordered}', "");
Expect(0, 125143, '\p{^Is_Ccc:   --not_reordered}', "");
Expect(0, 125143, '\P{Is_Ccc:   --not_reordered}', "");
Expect(1, 125143, '\P{^Is_Ccc:   --not_reordered}', "");
Expect(0, 125142, '\p{Is_Ccc:   --not_reordered}', "");
Expect(1, 125142, '\p{^Is_Ccc:   --not_reordered}', "");
Expect(1, 125142, '\P{Is_Ccc:   --not_reordered}', "");
Expect(0, 125142, '\P{^Is_Ccc:   --not_reordered}', "");
Error('\p{Canonical_Combining_Class=:=_OVERLAY}');
Error('\P{Canonical_Combining_Class=:=_OVERLAY}');
Expect(1, 119145, '\p{Canonical_Combining_Class=overlay}', "");
Expect(0, 119145, '\p{^Canonical_Combining_Class=overlay}', "");
Expect(0, 119145, '\P{Canonical_Combining_Class=overlay}', "");
Expect(1, 119145, '\P{^Canonical_Combining_Class=overlay}', "");
Expect(0, 119146, '\p{Canonical_Combining_Class=overlay}', "");
Expect(1, 119146, '\p{^Canonical_Combining_Class=overlay}', "");
Expect(1, 119146, '\P{Canonical_Combining_Class=overlay}', "");
Expect(0, 119146, '\P{^Canonical_Combining_Class=overlay}', "");
Expect(1, 119145, '\p{Canonical_Combining_Class: Overlay}', "");
Expect(0, 119145, '\p{^Canonical_Combining_Class: Overlay}', "");
Expect(0, 119145, '\P{Canonical_Combining_Class: Overlay}', "");
Expect(1, 119145, '\P{^Canonical_Combining_Class: Overlay}', "");
Expect(0, 119146, '\p{Canonical_Combining_Class: Overlay}', "");
Expect(1, 119146, '\p{^Canonical_Combining_Class: Overlay}', "");
Expect(1, 119146, '\P{Canonical_Combining_Class: Overlay}', "");
Expect(0, 119146, '\P{^Canonical_Combining_Class: Overlay}', "");
Error('\p{Ccc=_:=OV}');
Error('\P{Ccc=_:=OV}');
Expect(1, 119145, '\p{Ccc:   ov}', "");
Expect(0, 119145, '\p{^Ccc:   ov}', "");
Expect(0, 119145, '\P{Ccc:   ov}', "");
Expect(1, 119145, '\P{^Ccc:   ov}', "");
Expect(0, 119146, '\p{Ccc:   ov}', "");
Expect(1, 119146, '\p{^Ccc:   ov}', "");
Expect(1, 119146, '\P{Ccc:   ov}', "");
Expect(0, 119146, '\P{^Ccc:   ov}', "");
Expect(1, 119145, '\p{Ccc: --ov}', "");
Expect(0, 119145, '\p{^Ccc: --ov}', "");
Expect(0, 119145, '\P{Ccc: --ov}', "");
Expect(1, 119145, '\P{^Ccc: --ov}', "");
Expect(0, 119146, '\p{Ccc: --ov}', "");
Expect(1, 119146, '\p{^Ccc: --ov}', "");
Expect(1, 119146, '\P{Ccc: --ov}', "");
Expect(0, 119146, '\P{^Ccc: --ov}', "");
Error('\p{Is_Canonical_Combining_Class=	:=+00000_1}');
Error('\P{Is_Canonical_Combining_Class=	:=+00000_1}');
Expect(1, 119145, '\p{Is_Canonical_Combining_Class=+000001}', "");
Expect(0, 119145, '\p{^Is_Canonical_Combining_Class=+000001}', "");
Expect(0, 119145, '\P{Is_Canonical_Combining_Class=+000001}', "");
Expect(1, 119145, '\P{^Is_Canonical_Combining_Class=+000001}', "");
Expect(0, 119146, '\p{Is_Canonical_Combining_Class=+000001}', "");
Expect(1, 119146, '\p{^Is_Canonical_Combining_Class=+000001}', "");
Expect(1, 119146, '\P{Is_Canonical_Combining_Class=+000001}', "");
Expect(0, 119146, '\P{^Is_Canonical_Combining_Class=+000001}', "");
Error('\p{Is_Ccc= 	Overlay/a/}');
Error('\P{Is_Ccc= 	Overlay/a/}');
Expect(1, 119145, '\p{Is_Ccc=overlay}', "");
Expect(0, 119145, '\p{^Is_Ccc=overlay}', "");
Expect(0, 119145, '\P{Is_Ccc=overlay}', "");
Expect(1, 119145, '\P{^Is_Ccc=overlay}', "");
Expect(0, 119146, '\p{Is_Ccc=overlay}', "");
Expect(1, 119146, '\p{^Is_Ccc=overlay}', "");
Expect(1, 119146, '\P{Is_Ccc=overlay}', "");
Expect(0, 119146, '\P{^Is_Ccc=overlay}', "");
Expect(1, 119145, '\p{Is_Ccc= -Overlay}', "");
Expect(0, 119145, '\p{^Is_Ccc= -Overlay}', "");
Expect(0, 119145, '\P{Is_Ccc= -Overlay}', "");
Expect(1, 119145, '\P{^Is_Ccc= -Overlay}', "");
Expect(0, 119146, '\p{Is_Ccc= -Overlay}', "");
Expect(1, 119146, '\p{^Is_Ccc= -Overlay}', "");
Expect(1, 119146, '\P{Is_Ccc= -Overlay}', "");
Expect(0, 119146, '\P{^Is_Ccc= -Overlay}', "");
Error('\p{Canonical_Combining_Class= _Right/a/}');
Error('\P{Canonical_Combining_Class= _Right/a/}');
Expect(1, 119149, '\p{Canonical_Combining_Class=right}', "");
Expect(0, 119149, '\p{^Canonical_Combining_Class=right}', "");
Expect(0, 119149, '\P{Canonical_Combining_Class=right}', "");
Expect(1, 119149, '\P{^Canonical_Combining_Class=right}', "");
Expect(0, 119150, '\p{Canonical_Combining_Class=right}', "");
Expect(1, 119150, '\p{^Canonical_Combining_Class=right}', "");
Expect(1, 119150, '\P{Canonical_Combining_Class=right}', "");
Expect(0, 119150, '\P{^Canonical_Combining_Class=right}', "");
Expect(1, 119149, '\p{Canonical_Combining_Class=  right}', "");
Expect(0, 119149, '\p{^Canonical_Combining_Class=  right}', "");
Expect(0, 119149, '\P{Canonical_Combining_Class=  right}', "");
Expect(1, 119149, '\P{^Canonical_Combining_Class=  right}', "");
Expect(0, 119150, '\p{Canonical_Combining_Class=  right}', "");
Expect(1, 119150, '\p{^Canonical_Combining_Class=  right}', "");
Expect(1, 119150, '\P{Canonical_Combining_Class=  right}', "");
Expect(0, 119150, '\P{^Canonical_Combining_Class=  right}', "");
Error('\p{Ccc=- R/a/}');
Error('\P{Ccc=- R/a/}');
Expect(1, 119149, '\p{Ccc: r}', "");
Expect(0, 119149, '\p{^Ccc: r}', "");
Expect(0, 119149, '\P{Ccc: r}', "");
Expect(1, 119149, '\P{^Ccc: r}', "");
Expect(0, 119150, '\p{Ccc: r}', "");
Expect(1, 119150, '\p{^Ccc: r}', "");
Expect(1, 119150, '\P{Ccc: r}', "");
Expect(0, 119150, '\P{^Ccc: r}', "");
Expect(1, 119149, '\p{Ccc=		R}', "");
Expect(0, 119149, '\p{^Ccc=		R}', "");
Expect(0, 119149, '\P{Ccc=		R}', "");
Expect(1, 119149, '\P{^Ccc=		R}', "");
Expect(0, 119150, '\p{Ccc=		R}', "");
Expect(1, 119150, '\p{^Ccc=		R}', "");
Expect(1, 119150, '\P{Ccc=		R}', "");
Expect(0, 119150, '\P{^Ccc=		R}', "");
Error('\p{Is_Canonical_Combining_Class= /a/0022_6}');
Error('\P{Is_Canonical_Combining_Class= /a/0022_6}');
Expect(1, 119149, '\p{Is_Canonical_Combining_Class=00000_00022_6}', "");
Expect(0, 119149, '\p{^Is_Canonical_Combining_Class=00000_00022_6}', "");
Expect(0, 119149, '\P{Is_Canonical_Combining_Class=00000_00022_6}', "");
Expect(1, 119149, '\P{^Is_Canonical_Combining_Class=00000_00022_6}', "");
Expect(0, 119150, '\p{Is_Canonical_Combining_Class=00000_00022_6}', "");
Expect(1, 119150, '\p{^Is_Canonical_Combining_Class=00000_00022_6}', "");
Expect(1, 119150, '\P{Is_Canonical_Combining_Class=00000_00022_6}', "");
Expect(0, 119150, '\P{^Is_Canonical_Combining_Class=00000_00022_6}', "");
Error('\p{Is_Ccc=	:=RIGHT}');
Error('\P{Is_Ccc=	:=RIGHT}');
Expect(1, 119149, '\p{Is_Ccc=right}', "");
Expect(0, 119149, '\p{^Is_Ccc=right}', "");
Expect(0, 119149, '\P{Is_Ccc=right}', "");
Expect(1, 119149, '\P{^Is_Ccc=right}', "");
Expect(0, 119150, '\p{Is_Ccc=right}', "");
Expect(1, 119150, '\p{^Is_Ccc=right}', "");
Expect(1, 119150, '\P{Is_Ccc=right}', "");
Expect(0, 119150, '\P{^Is_Ccc=right}', "");
Expect(1, 119149, '\p{Is_Ccc:_	right}', "");
Expect(0, 119149, '\p{^Is_Ccc:_	right}', "");
Expect(0, 119149, '\P{Is_Ccc:_	right}', "");
Expect(1, 119149, '\P{^Is_Ccc:_	right}', "");
Expect(0, 119150, '\p{Is_Ccc:_	right}', "");
Expect(1, 119150, '\p{^Is_Ccc:_	right}', "");
Expect(1, 119150, '\P{Is_Ccc:_	right}', "");
Expect(0, 119150, '\P{^Is_Ccc:_	right}', "");
Error('\p{Canonical_Combining_Class:	/a/ -virama}');
Error('\P{Canonical_Combining_Class:	/a/ -virama}');
Expect(1, 71350, '\p{Canonical_Combining_Class=virama}', "");
Expect(0, 71350, '\p{^Canonical_Combining_Class=virama}', "");
Expect(0, 71350, '\P{Canonical_Combining_Class=virama}', "");
Expect(1, 71350, '\P{^Canonical_Combining_Class=virama}', "");
Expect(0, 71351, '\p{Canonical_Combining_Class=virama}', "");
Expect(1, 71351, '\p{^Canonical_Combining_Class=virama}', "");
Expect(1, 71351, '\P{Canonical_Combining_Class=virama}', "");
Expect(0, 71351, '\P{^Canonical_Combining_Class=virama}', "");
Expect(1, 71350, '\p{Canonical_Combining_Class=	virama}', "");
Expect(0, 71350, '\p{^Canonical_Combining_Class=	virama}', "");
Expect(0, 71350, '\P{Canonical_Combining_Class=	virama}', "");
Expect(1, 71350, '\P{^Canonical_Combining_Class=	virama}', "");
Expect(0, 71351, '\p{Canonical_Combining_Class=	virama}', "");
Expect(1, 71351, '\p{^Canonical_Combining_Class=	virama}', "");
Expect(1, 71351, '\P{Canonical_Combining_Class=	virama}', "");
Expect(0, 71351, '\P{^Canonical_Combining_Class=	virama}', "");
Error('\p{Ccc: /a/_VR}');
Error('\P{Ccc: /a/_VR}');
Expect(1, 71350, '\p{Ccc=vr}', "");
Expect(0, 71350, '\p{^Ccc=vr}', "");
Expect(0, 71350, '\P{Ccc=vr}', "");
Expect(1, 71350, '\P{^Ccc=vr}', "");
Expect(0, 71351, '\p{Ccc=vr}', "");
Expect(1, 71351, '\p{^Ccc=vr}', "");
Expect(1, 71351, '\P{Ccc=vr}', "");
Expect(0, 71351, '\P{^Ccc=vr}', "");
Expect(1, 71350, '\p{Ccc=	-VR}', "");
Expect(0, 71350, '\p{^Ccc=	-VR}', "");
Expect(0, 71350, '\P{Ccc=	-VR}', "");
Expect(1, 71350, '\P{^Ccc=	-VR}', "");
Expect(0, 71351, '\p{Ccc=	-VR}', "");
Expect(1, 71351, '\p{^Ccc=	-VR}', "");
Expect(1, 71351, '\P{Ccc=	-VR}', "");
Expect(0, 71351, '\P{^Ccc=	-VR}', "");
Error('\p{Is_Canonical_Combining_Class:			+000009:=}');
Error('\P{Is_Canonical_Combining_Class:			+000009:=}');
Expect(1, 71350, '\p{Is_Canonical_Combining_Class=0_0_0_0_0_0_09}', "");
Expect(0, 71350, '\p{^Is_Canonical_Combining_Class=0_0_0_0_0_0_09}', "");
Expect(0, 71350, '\P{Is_Canonical_Combining_Class=0_0_0_0_0_0_09}', "");
Expect(1, 71350, '\P{^Is_Canonical_Combining_Class=0_0_0_0_0_0_09}', "");
Expect(0, 71351, '\p{Is_Canonical_Combining_Class=0_0_0_0_0_0_09}', "");
Expect(1, 71351, '\p{^Is_Canonical_Combining_Class=0_0_0_0_0_0_09}', "");
Expect(1, 71351, '\P{Is_Canonical_Combining_Class=0_0_0_0_0_0_09}', "");
Expect(0, 71351, '\P{^Is_Canonical_Combining_Class=0_0_0_0_0_0_09}', "");
Error('\p{Is_Ccc=	/a/Virama}');
Error('\P{Is_Ccc=	/a/Virama}');
Expect(1, 71350, '\p{Is_Ccc: virama}', "");
Expect(0, 71350, '\p{^Is_Ccc: virama}', "");
Expect(0, 71350, '\P{Is_Ccc: virama}', "");
Expect(1, 71350, '\P{^Is_Ccc: virama}', "");
Expect(0, 71351, '\p{Is_Ccc: virama}', "");
Expect(1, 71351, '\p{^Is_Ccc: virama}', "");
Expect(1, 71351, '\P{Is_Ccc: virama}', "");
Expect(0, 71351, '\P{^Is_Ccc: virama}', "");
Error('\p{Decomposition_Type=	_Canonical/a/}');
Error('\P{Decomposition_Type=	_Canonical/a/}');
Expect(1, 195101, '\p{Decomposition_Type=canonical}', "");
Expect(0, 195101, '\p{^Decomposition_Type=canonical}', "");
Expect(0, 195101, '\P{Decomposition_Type=canonical}', "");
Expect(1, 195101, '\P{^Decomposition_Type=canonical}', "");
Expect(0, 195102, '\p{Decomposition_Type=canonical}', "");
Expect(1, 195102, '\p{^Decomposition_Type=canonical}', "");
Expect(1, 195102, '\P{Decomposition_Type=canonical}', "");
Expect(0, 195102, '\P{^Decomposition_Type=canonical}', "");
Expect(1, 195101, '\p{Decomposition_Type= -Canonical}', "");
Expect(0, 195101, '\p{^Decomposition_Type= -Canonical}', "");
Expect(0, 195101, '\P{Decomposition_Type= -Canonical}', "");
Expect(1, 195101, '\P{^Decomposition_Type= -Canonical}', "");
Expect(0, 195102, '\p{Decomposition_Type= -Canonical}', "");
Expect(1, 195102, '\p{^Decomposition_Type= -Canonical}', "");
Expect(1, 195102, '\P{Decomposition_Type= -Canonical}', "");
Expect(0, 195102, '\P{^Decomposition_Type= -Canonical}', "");
Error('\p{Dt=/a/can}');
Error('\P{Dt=/a/can}');
Expect(1, 195101, '\p{Dt=can}', "");
Expect(0, 195101, '\p{^Dt=can}', "");
Expect(0, 195101, '\P{Dt=can}', "");
Expect(1, 195101, '\P{^Dt=can}', "");
Expect(0, 195102, '\p{Dt=can}', "");
Expect(1, 195102, '\p{^Dt=can}', "");
Expect(1, 195102, '\P{Dt=can}', "");
Expect(0, 195102, '\P{^Dt=can}', "");
Expect(1, 195101, '\p{Dt=_	Can}', "");
Expect(0, 195101, '\p{^Dt=_	Can}', "");
Expect(0, 195101, '\P{Dt=_	Can}', "");
Expect(1, 195101, '\P{^Dt=_	Can}', "");
Expect(0, 195102, '\p{Dt=_	Can}', "");
Expect(1, 195102, '\p{^Dt=_	Can}', "");
Expect(1, 195102, '\P{Dt=_	Can}', "");
Expect(0, 195102, '\P{^Dt=_	Can}', "");
Error('\p{Is_Decomposition_Type=:=_	Canonical}');
Error('\P{Is_Decomposition_Type=:=_	Canonical}');
Expect(1, 195101, '\p{Is_Decomposition_Type=canonical}', "");
Expect(0, 195101, '\p{^Is_Decomposition_Type=canonical}', "");
Expect(0, 195101, '\P{Is_Decomposition_Type=canonical}', "");
Expect(1, 195101, '\P{^Is_Decomposition_Type=canonical}', "");
Expect(0, 195102, '\p{Is_Decomposition_Type=canonical}', "");
Expect(1, 195102, '\p{^Is_Decomposition_Type=canonical}', "");
Expect(1, 195102, '\P{Is_Decomposition_Type=canonical}', "");
Expect(0, 195102, '\P{^Is_Decomposition_Type=canonical}', "");
Expect(1, 195101, '\p{Is_Decomposition_Type=-	CANONICAL}', "");
Expect(0, 195101, '\p{^Is_Decomposition_Type=-	CANONICAL}', "");
Expect(0, 195101, '\P{Is_Decomposition_Type=-	CANONICAL}', "");
Expect(1, 195101, '\P{^Is_Decomposition_Type=-	CANONICAL}', "");
Expect(0, 195102, '\p{Is_Decomposition_Type=-	CANONICAL}', "");
Expect(1, 195102, '\p{^Is_Decomposition_Type=-	CANONICAL}', "");
Expect(1, 195102, '\P{Is_Decomposition_Type=-	CANONICAL}', "");
Expect(0, 195102, '\P{^Is_Decomposition_Type=-	CANONICAL}', "");
Error('\p{Is_Dt=:=can}');
Error('\P{Is_Dt=:=can}');
Expect(1, 195101, '\p{Is_Dt=can}', "");
Expect(0, 195101, '\p{^Is_Dt=can}', "");
Expect(0, 195101, '\P{Is_Dt=can}', "");
Expect(1, 195101, '\P{^Is_Dt=can}', "");
Expect(0, 195102, '\p{Is_Dt=can}', "");
Expect(1, 195102, '\p{^Is_Dt=can}', "");
Expect(1, 195102, '\P{Is_Dt=can}', "");
Expect(0, 195102, '\P{^Is_Dt=can}', "");
Expect(1, 195101, '\p{Is_Dt=--can}', "");
Expect(0, 195101, '\p{^Is_Dt=--can}', "");
Expect(0, 195101, '\P{Is_Dt=--can}', "");
Expect(1, 195101, '\P{^Is_Dt=--can}', "");
Expect(0, 195102, '\p{Is_Dt=--can}', "");
Expect(1, 195102, '\p{^Is_Dt=--can}', "");
Expect(1, 195102, '\P{Is_Dt=--can}', "");
Expect(0, 195102, '\P{^Is_Dt=--can}', "");
Error('\p{Decomposition_Type:	 :=compat}');
Error('\P{Decomposition_Type:	 :=compat}');
Expect(1, 127560, '\p{Decomposition_Type=compat}', "");
Expect(0, 127560, '\p{^Decomposition_Type=compat}', "");
Expect(0, 127560, '\P{Decomposition_Type=compat}', "");
Expect(1, 127560, '\P{^Decomposition_Type=compat}', "");
Expect(0, 127561, '\p{Decomposition_Type=compat}', "");
Expect(1, 127561, '\p{^Decomposition_Type=compat}', "");
Expect(1, 127561, '\P{Decomposition_Type=compat}', "");
Expect(0, 127561, '\P{^Decomposition_Type=compat}', "");
Expect(1, 127560, '\p{Decomposition_Type=- compat}', "");
Expect(0, 127560, '\p{^Decomposition_Type=- compat}', "");
Expect(0, 127560, '\P{Decomposition_Type=- compat}', "");
Expect(1, 127560, '\P{^Decomposition_Type=- compat}', "");
Expect(0, 127561, '\p{Decomposition_Type=- compat}', "");
Expect(1, 127561, '\p{^Decomposition_Type=- compat}', "");
Expect(1, 127561, '\P{Decomposition_Type=- compat}', "");
Expect(0, 127561, '\P{^Decomposition_Type=- compat}', "");
Error('\p{Dt: 	_COM:=}');
Error('\P{Dt: 	_COM:=}');
Expect(1, 127560, '\p{Dt=com}', "");
Expect(0, 127560, '\p{^Dt=com}', "");
Expect(0, 127560, '\P{Dt=com}', "");
Expect(1, 127560, '\P{^Dt=com}', "");
Expect(0, 127561, '\p{Dt=com}', "");
Expect(1, 127561, '\p{^Dt=com}', "");
Expect(1, 127561, '\P{Dt=com}', "");
Expect(0, 127561, '\P{^Dt=com}', "");
Expect(1, 127560, '\p{Dt=	 COM}', "");
Expect(0, 127560, '\p{^Dt=	 COM}', "");
Expect(0, 127560, '\P{Dt=	 COM}', "");
Expect(1, 127560, '\P{^Dt=	 COM}', "");
Expect(0, 127561, '\p{Dt=	 COM}', "");
Expect(1, 127561, '\p{^Dt=	 COM}', "");
Expect(1, 127561, '\P{Dt=	 COM}', "");
Expect(0, 127561, '\P{^Dt=	 COM}', "");
Error('\p{Is_Decomposition_Type=-:=COMPAT}');
Error('\P{Is_Decomposition_Type=-:=COMPAT}');
Expect(1, 127560, '\p{Is_Decomposition_Type=compat}', "");
Expect(0, 127560, '\p{^Is_Decomposition_Type=compat}', "");
Expect(0, 127560, '\P{Is_Decomposition_Type=compat}', "");
Expect(1, 127560, '\P{^Is_Decomposition_Type=compat}', "");
Expect(0, 127561, '\p{Is_Decomposition_Type=compat}', "");
Expect(1, 127561, '\p{^Is_Decomposition_Type=compat}', "");
Expect(1, 127561, '\P{Is_Decomposition_Type=compat}', "");
Expect(0, 127561, '\P{^Is_Decomposition_Type=compat}', "");
Expect(1, 127560, '\p{Is_Decomposition_Type=_	Compat}', "");
Expect(0, 127560, '\p{^Is_Decomposition_Type=_	Compat}', "");
Expect(0, 127560, '\P{Is_Decomposition_Type=_	Compat}', "");
Expect(1, 127560, '\P{^Is_Decomposition_Type=_	Compat}', "");
Expect(0, 127561, '\p{Is_Decomposition_Type=_	Compat}', "");
Expect(1, 127561, '\p{^Is_Decomposition_Type=_	Compat}', "");
Expect(1, 127561, '\P{Is_Decomposition_Type=_	Compat}', "");
Expect(0, 127561, '\P{^Is_Decomposition_Type=_	Compat}', "");
Error('\p{Is_Dt=:=COM}');
Error('\P{Is_Dt=:=COM}');
Expect(1, 127560, '\p{Is_Dt=com}', "");
Expect(0, 127560, '\p{^Is_Dt=com}', "");
Expect(0, 127560, '\P{Is_Dt=com}', "");
Expect(1, 127560, '\P{^Is_Dt=com}', "");
Expect(0, 127561, '\p{Is_Dt=com}', "");
Expect(1, 127561, '\p{^Is_Dt=com}', "");
Expect(1, 127561, '\P{Is_Dt=com}', "");
Expect(0, 127561, '\P{^Is_Dt=com}', "");
Expect(1, 127560, '\p{Is_Dt=	 Com}', "");
Expect(0, 127560, '\p{^Is_Dt=	 Com}', "");
Expect(0, 127560, '\P{Is_Dt=	 Com}', "");
Expect(1, 127560, '\P{^Is_Dt=	 Com}', "");
Expect(0, 127561, '\p{Is_Dt=	 Com}', "");
Expect(1, 127561, '\p{^Is_Dt=	 Com}', "");
Expect(1, 127561, '\P{Is_Dt=	 Com}', "");
Expect(0, 127561, '\P{^Is_Dt=	 Com}', "");
Error('\p{Decomposition_Type=/a/_	CIRCLE}');
Error('\P{Decomposition_Type=/a/_	CIRCLE}');
Expect(1, 127569, '\p{Decomposition_Type=circle}', "");
Expect(0, 127569, '\p{^Decomposition_Type=circle}', "");
Expect(0, 127569, '\P{Decomposition_Type=circle}', "");
Expect(1, 127569, '\P{^Decomposition_Type=circle}', "");
Expect(0, 127570, '\p{Decomposition_Type=circle}', "");
Expect(1, 127570, '\p{^Decomposition_Type=circle}', "");
Expect(1, 127570, '\P{Decomposition_Type=circle}', "");
Expect(0, 127570, '\P{^Decomposition_Type=circle}', "");
Expect(1, 127569, '\p{Decomposition_Type=--Circle}', "");
Expect(0, 127569, '\p{^Decomposition_Type=--Circle}', "");
Expect(0, 127569, '\P{Decomposition_Type=--Circle}', "");
Expect(1, 127569, '\P{^Decomposition_Type=--Circle}', "");
Expect(0, 127570, '\p{Decomposition_Type=--Circle}', "");
Expect(1, 127570, '\p{^Decomposition_Type=--Circle}', "");
Expect(1, 127570, '\P{Decomposition_Type=--Circle}', "");
Expect(0, 127570, '\P{^Decomposition_Type=--Circle}', "");
Error('\p{Dt=:=  ENC}');
Error('\P{Dt=:=  ENC}');
Expect(1, 127569, '\p{Dt=enc}', "");
Expect(0, 127569, '\p{^Dt=enc}', "");
Expect(0, 127569, '\P{Dt=enc}', "");
Expect(1, 127569, '\P{^Dt=enc}', "");
Expect(0, 127570, '\p{Dt=enc}', "");
Expect(1, 127570, '\p{^Dt=enc}', "");
Expect(1, 127570, '\P{Dt=enc}', "");
Expect(0, 127570, '\P{^Dt=enc}', "");
Expect(1, 127569, '\p{Dt=-_ENC}', "");
Expect(0, 127569, '\p{^Dt=-_ENC}', "");
Expect(0, 127569, '\P{Dt=-_ENC}', "");
Expect(1, 127569, '\P{^Dt=-_ENC}', "");
Expect(0, 127570, '\p{Dt=-_ENC}', "");
Expect(1, 127570, '\p{^Dt=-_ENC}', "");
Expect(1, 127570, '\P{Dt=-_ENC}', "");
Expect(0, 127570, '\P{^Dt=-_ENC}', "");
Error('\p{Is_Decomposition_Type=	:=Circle}');
Error('\P{Is_Decomposition_Type=	:=Circle}');
Expect(1, 127569, '\p{Is_Decomposition_Type=circle}', "");
Expect(0, 127569, '\p{^Is_Decomposition_Type=circle}', "");
Expect(0, 127569, '\P{Is_Decomposition_Type=circle}', "");
Expect(1, 127569, '\P{^Is_Decomposition_Type=circle}', "");
Expect(0, 127570, '\p{Is_Decomposition_Type=circle}', "");
Expect(1, 127570, '\p{^Is_Decomposition_Type=circle}', "");
Expect(1, 127570, '\P{Is_Decomposition_Type=circle}', "");
Expect(0, 127570, '\P{^Is_Decomposition_Type=circle}', "");
Expect(1, 127569, '\p{Is_Decomposition_Type: 	 CIRCLE}', "");
Expect(0, 127569, '\p{^Is_Decomposition_Type: 	 CIRCLE}', "");
Expect(0, 127569, '\P{Is_Decomposition_Type: 	 CIRCLE}', "");
Expect(1, 127569, '\P{^Is_Decomposition_Type: 	 CIRCLE}', "");
Expect(0, 127570, '\p{Is_Decomposition_Type: 	 CIRCLE}', "");
Expect(1, 127570, '\p{^Is_Decomposition_Type: 	 CIRCLE}', "");
Expect(1, 127570, '\P{Is_Decomposition_Type: 	 CIRCLE}', "");
Expect(0, 127570, '\P{^Is_Decomposition_Type: 	 CIRCLE}', "");
Error('\p{Is_Dt=/a/_Enc}');
Error('\P{Is_Dt=/a/_Enc}');
Expect(1, 127569, '\p{Is_Dt=enc}', "");
Expect(0, 127569, '\p{^Is_Dt=enc}', "");
Expect(0, 127569, '\P{Is_Dt=enc}', "");
Expect(1, 127569, '\P{^Is_Dt=enc}', "");
Expect(0, 127570, '\p{Is_Dt=enc}', "");
Expect(1, 127570, '\p{^Is_Dt=enc}', "");
Expect(1, 127570, '\P{Is_Dt=enc}', "");
Expect(0, 127570, '\P{^Is_Dt=enc}', "");
Expect(1, 127569, '\p{Is_Dt=_-enc}', "");
Expect(0, 127569, '\p{^Is_Dt=_-enc}', "");
Expect(0, 127569, '\P{Is_Dt=_-enc}', "");
Expect(1, 127569, '\P{^Is_Dt=_-enc}', "");
Expect(0, 127570, '\p{Is_Dt=_-enc}', "");
Expect(1, 127570, '\p{^Is_Dt=_-enc}', "");
Expect(1, 127570, '\P{Is_Dt=_-enc}', "");
Expect(0, 127570, '\P{^Is_Dt=_-enc}', "");
Error('\p{Decomposition_Type=_	Final:=}');
Error('\P{Decomposition_Type=_	Final:=}');
Expect(1, 65276, '\p{Decomposition_Type=final}', "");
Expect(0, 65276, '\p{^Decomposition_Type=final}', "");
Expect(0, 65276, '\P{Decomposition_Type=final}', "");
Expect(1, 65276, '\P{^Decomposition_Type=final}', "");
Expect(0, 65277, '\p{Decomposition_Type=final}', "");
Expect(1, 65277, '\p{^Decomposition_Type=final}', "");
Expect(1, 65277, '\P{Decomposition_Type=final}', "");
Expect(0, 65277, '\P{^Decomposition_Type=final}', "");
Expect(1, 65276, '\p{Decomposition_Type=_	Final}', "");
Expect(0, 65276, '\p{^Decomposition_Type=_	Final}', "");
Expect(0, 65276, '\P{Decomposition_Type=_	Final}', "");
Expect(1, 65276, '\P{^Decomposition_Type=_	Final}', "");
Expect(0, 65277, '\p{Decomposition_Type=_	Final}', "");
Expect(1, 65277, '\p{^Decomposition_Type=_	Final}', "");
Expect(1, 65277, '\P{Decomposition_Type=_	Final}', "");
Expect(0, 65277, '\P{^Decomposition_Type=_	Final}', "");
Error('\p{Dt= FIN/a/}');
Error('\P{Dt= FIN/a/}');
Expect(1, 65276, '\p{Dt=fin}', "");
Expect(0, 65276, '\p{^Dt=fin}', "");
Expect(0, 65276, '\P{Dt=fin}', "");
Expect(1, 65276, '\P{^Dt=fin}', "");
Expect(0, 65277, '\p{Dt=fin}', "");
Expect(1, 65277, '\p{^Dt=fin}', "");
Expect(1, 65277, '\P{Dt=fin}', "");
Expect(0, 65277, '\P{^Dt=fin}', "");
Expect(1, 65276, '\p{Dt= -Fin}', "");
Expect(0, 65276, '\p{^Dt= -Fin}', "");
Expect(0, 65276, '\P{Dt= -Fin}', "");
Expect(1, 65276, '\P{^Dt= -Fin}', "");
Expect(0, 65277, '\p{Dt= -Fin}', "");
Expect(1, 65277, '\p{^Dt= -Fin}', "");
Expect(1, 65277, '\P{Dt= -Fin}', "");
Expect(0, 65277, '\P{^Dt= -Fin}', "");
Error('\p{Is_Decomposition_Type= -FINAL/a/}');
Error('\P{Is_Decomposition_Type= -FINAL/a/}');
Expect(1, 65276, '\p{Is_Decomposition_Type=final}', "");
Expect(0, 65276, '\p{^Is_Decomposition_Type=final}', "");
Expect(0, 65276, '\P{Is_Decomposition_Type=final}', "");
Expect(1, 65276, '\P{^Is_Decomposition_Type=final}', "");
Expect(0, 65277, '\p{Is_Decomposition_Type=final}', "");
Expect(1, 65277, '\p{^Is_Decomposition_Type=final}', "");
Expect(1, 65277, '\P{Is_Decomposition_Type=final}', "");
Expect(0, 65277, '\P{^Is_Decomposition_Type=final}', "");
Expect(1, 65276, '\p{Is_Decomposition_Type=	-final}', "");
Expect(0, 65276, '\p{^Is_Decomposition_Type=	-final}', "");
Expect(0, 65276, '\P{Is_Decomposition_Type=	-final}', "");
Expect(1, 65276, '\P{^Is_Decomposition_Type=	-final}', "");
Expect(0, 65277, '\p{Is_Decomposition_Type=	-final}', "");
Expect(1, 65277, '\p{^Is_Decomposition_Type=	-final}', "");
Expect(1, 65277, '\P{Is_Decomposition_Type=	-final}', "");
Expect(0, 65277, '\P{^Is_Decomposition_Type=	-final}', "");
Error('\p{Is_Dt=:=-_fin}');
Error('\P{Is_Dt=:=-_fin}');
Expect(1, 65276, '\p{Is_Dt:fin}', "");
Expect(0, 65276, '\p{^Is_Dt:fin}', "");
Expect(0, 65276, '\P{Is_Dt:fin}', "");
Expect(1, 65276, '\P{^Is_Dt:fin}', "");
Expect(0, 65277, '\p{Is_Dt:fin}', "");
Expect(1, 65277, '\p{^Is_Dt:fin}', "");
Expect(1, 65277, '\P{Is_Dt:fin}', "");
Expect(0, 65277, '\P{^Is_Dt:fin}', "");
Expect(1, 65276, '\p{Is_Dt= Fin}', "");
Expect(0, 65276, '\p{^Is_Dt= Fin}', "");
Expect(0, 65276, '\P{Is_Dt= Fin}', "");
Expect(1, 65276, '\P{^Is_Dt= Fin}', "");
Expect(0, 65277, '\p{Is_Dt= Fin}', "");
Expect(1, 65277, '\p{^Is_Dt= Fin}', "");
Expect(1, 65277, '\P{Is_Dt= Fin}', "");
Expect(0, 65277, '\P{^Is_Dt= Fin}', "");
Error('\p{Decomposition_Type=:=Font}');
Error('\P{Decomposition_Type=:=Font}');
Expect(1, 126651, '\p{Decomposition_Type=font}', "");
Expect(0, 126651, '\p{^Decomposition_Type=font}', "");
Expect(0, 126651, '\P{Decomposition_Type=font}', "");
Expect(1, 126651, '\P{^Decomposition_Type=font}', "");
Expect(0, 126652, '\p{Decomposition_Type=font}', "");
Expect(1, 126652, '\p{^Decomposition_Type=font}', "");
Expect(1, 126652, '\P{Decomposition_Type=font}', "");
Expect(0, 126652, '\P{^Decomposition_Type=font}', "");
Expect(1, 126651, '\p{Decomposition_Type=-	Font}', "");
Expect(0, 126651, '\p{^Decomposition_Type=-	Font}', "");
Expect(0, 126651, '\P{Decomposition_Type=-	Font}', "");
Expect(1, 126651, '\P{^Decomposition_Type=-	Font}', "");
Expect(0, 126652, '\p{Decomposition_Type=-	Font}', "");
Expect(1, 126652, '\p{^Decomposition_Type=-	Font}', "");
Expect(1, 126652, '\P{Decomposition_Type=-	Font}', "");
Expect(0, 126652, '\P{^Decomposition_Type=-	Font}', "");
Error('\p{Dt:  /a/Font}');
Error('\P{Dt:  /a/Font}');
Expect(1, 126651, '\p{Dt:   font}', "");
Expect(0, 126651, '\p{^Dt:   font}', "");
Expect(0, 126651, '\P{Dt:   font}', "");
Expect(1, 126651, '\P{^Dt:   font}', "");
Expect(0, 126652, '\p{Dt:   font}', "");
Expect(1, 126652, '\p{^Dt:   font}', "");
Expect(1, 126652, '\P{Dt:   font}', "");
Expect(0, 126652, '\P{^Dt:   font}', "");
Expect(1, 126651, '\p{Dt=	Font}', "");
Expect(0, 126651, '\p{^Dt=	Font}', "");
Expect(0, 126651, '\P{Dt=	Font}', "");
Expect(1, 126651, '\P{^Dt=	Font}', "");
Expect(0, 126652, '\p{Dt=	Font}', "");
Expect(1, 126652, '\p{^Dt=	Font}', "");
Expect(1, 126652, '\P{Dt=	Font}', "");
Expect(0, 126652, '\P{^Dt=	Font}', "");
Error('\p{Is_Decomposition_Type=_Font/a/}');
Error('\P{Is_Decomposition_Type=_Font/a/}');
Expect(1, 126651, '\p{Is_Decomposition_Type=font}', "");
Expect(0, 126651, '\p{^Is_Decomposition_Type=font}', "");
Expect(0, 126651, '\P{Is_Decomposition_Type=font}', "");
Expect(1, 126651, '\P{^Is_Decomposition_Type=font}', "");
Expect(0, 126652, '\p{Is_Decomposition_Type=font}', "");
Expect(1, 126652, '\p{^Is_Decomposition_Type=font}', "");
Expect(1, 126652, '\P{Is_Decomposition_Type=font}', "");
Expect(0, 126652, '\P{^Is_Decomposition_Type=font}', "");
Expect(1, 126651, '\p{Is_Decomposition_Type=- FONT}', "");
Expect(0, 126651, '\p{^Is_Decomposition_Type=- FONT}', "");
Expect(0, 126651, '\P{Is_Decomposition_Type=- FONT}', "");
Expect(1, 126651, '\P{^Is_Decomposition_Type=- FONT}', "");
Expect(0, 126652, '\p{Is_Decomposition_Type=- FONT}', "");
Expect(1, 126652, '\p{^Is_Decomposition_Type=- FONT}', "");
Expect(1, 126652, '\P{Is_Decomposition_Type=- FONT}', "");
Expect(0, 126652, '\P{^Is_Decomposition_Type=- FONT}', "");
Error('\p{Is_Dt=:=-font}');
Error('\P{Is_Dt=:=-font}');
Expect(1, 126651, '\p{Is_Dt=font}', "");
Expect(0, 126651, '\p{^Is_Dt=font}', "");
Expect(0, 126651, '\P{Is_Dt=font}', "");
Expect(1, 126651, '\P{^Is_Dt=font}', "");
Expect(0, 126652, '\p{Is_Dt=font}', "");
Expect(1, 126652, '\p{^Is_Dt=font}', "");
Expect(1, 126652, '\P{Is_Dt=font}', "");
Expect(0, 126652, '\P{^Is_Dt=font}', "");
Expect(1, 126651, '\p{Is_Dt:   _Font}', "");
Expect(0, 126651, '\p{^Is_Dt:   _Font}', "");
Expect(0, 126651, '\P{Is_Dt:   _Font}', "");
Expect(1, 126651, '\P{^Is_Dt:   _Font}', "");
Expect(0, 126652, '\p{Is_Dt:   _Font}', "");
Expect(1, 126652, '\p{^Is_Dt:   _Font}', "");
Expect(1, 126652, '\P{Is_Dt:   _Font}', "");
Expect(0, 126652, '\P{^Is_Dt:   _Font}', "");
Error('\p{Decomposition_Type=:=Fraction}');
Error('\P{Decomposition_Type=:=Fraction}');
Expect(1, 8585, '\p{Decomposition_Type=fraction}', "");
Expect(0, 8585, '\p{^Decomposition_Type=fraction}', "");
Expect(0, 8585, '\P{Decomposition_Type=fraction}', "");
Expect(1, 8585, '\P{^Decomposition_Type=fraction}', "");
Expect(0, 8586, '\p{Decomposition_Type=fraction}', "");
Expect(1, 8586, '\p{^Decomposition_Type=fraction}', "");
Expect(1, 8586, '\P{Decomposition_Type=fraction}', "");
Expect(0, 8586, '\P{^Decomposition_Type=fraction}', "");
Expect(1, 8585, '\p{Decomposition_Type= _FRACTION}', "");
Expect(0, 8585, '\p{^Decomposition_Type= _FRACTION}', "");
Expect(0, 8585, '\P{Decomposition_Type= _FRACTION}', "");
Expect(1, 8585, '\P{^Decomposition_Type= _FRACTION}', "");
Expect(0, 8586, '\p{Decomposition_Type= _FRACTION}', "");
Expect(1, 8586, '\p{^Decomposition_Type= _FRACTION}', "");
Expect(1, 8586, '\P{Decomposition_Type= _FRACTION}', "");
Expect(0, 8586, '\P{^Decomposition_Type= _FRACTION}', "");
Error('\p{Dt=/a/-fra}');
Error('\P{Dt=/a/-fra}');
Expect(1, 8585, '\p{Dt=fra}', "");
Expect(0, 8585, '\p{^Dt=fra}', "");
Expect(0, 8585, '\P{Dt=fra}', "");
Expect(1, 8585, '\P{^Dt=fra}', "");
Expect(0, 8586, '\p{Dt=fra}', "");
Expect(1, 8586, '\p{^Dt=fra}', "");
Expect(1, 8586, '\P{Dt=fra}', "");
Expect(0, 8586, '\P{^Dt=fra}', "");
Expect(1, 8585, '\p{Dt=	-Fra}', "");
Expect(0, 8585, '\p{^Dt=	-Fra}', "");
Expect(0, 8585, '\P{Dt=	-Fra}', "");
Expect(1, 8585, '\P{^Dt=	-Fra}', "");
Expect(0, 8586, '\p{Dt=	-Fra}', "");
Expect(1, 8586, '\p{^Dt=	-Fra}', "");
Expect(1, 8586, '\P{Dt=	-Fra}', "");
Expect(0, 8586, '\P{^Dt=	-Fra}', "");
Error('\p{Is_Decomposition_Type:-	Fraction/a/}');
Error('\P{Is_Decomposition_Type:-	Fraction/a/}');
Expect(1, 8585, '\p{Is_Decomposition_Type=fraction}', "");
Expect(0, 8585, '\p{^Is_Decomposition_Type=fraction}', "");
Expect(0, 8585, '\P{Is_Decomposition_Type=fraction}', "");
Expect(1, 8585, '\P{^Is_Decomposition_Type=fraction}', "");
Expect(0, 8586, '\p{Is_Decomposition_Type=fraction}', "");
Expect(1, 8586, '\p{^Is_Decomposition_Type=fraction}', "");
Expect(1, 8586, '\P{Is_Decomposition_Type=fraction}', "");
Expect(0, 8586, '\P{^Is_Decomposition_Type=fraction}', "");
Expect(1, 8585, '\p{Is_Decomposition_Type=__Fraction}', "");
Expect(0, 8585, '\p{^Is_Decomposition_Type=__Fraction}', "");
Expect(0, 8585, '\P{Is_Decomposition_Type=__Fraction}', "");
Expect(1, 8585, '\P{^Is_Decomposition_Type=__Fraction}', "");
Expect(0, 8586, '\p{Is_Decomposition_Type=__Fraction}', "");
Expect(1, 8586, '\p{^Is_Decomposition_Type=__Fraction}', "");
Expect(1, 8586, '\P{Is_Decomposition_Type=__Fraction}', "");
Expect(0, 8586, '\P{^Is_Decomposition_Type=__Fraction}', "");
Error('\p{Is_Dt=_/a/fra}');
Error('\P{Is_Dt=_/a/fra}');
Expect(1, 8585, '\p{Is_Dt=fra}', "");
Expect(0, 8585, '\p{^Is_Dt=fra}', "");
Expect(0, 8585, '\P{Is_Dt=fra}', "");
Expect(1, 8585, '\P{^Is_Dt=fra}', "");
Expect(0, 8586, '\p{Is_Dt=fra}', "");
Expect(1, 8586, '\p{^Is_Dt=fra}', "");
Expect(1, 8586, '\P{Is_Dt=fra}', "");
Expect(0, 8586, '\P{^Is_Dt=fra}', "");
Expect(1, 8585, '\p{Is_Dt=__Fra}', "");
Expect(0, 8585, '\p{^Is_Dt=__Fra}', "");
Expect(0, 8585, '\P{Is_Dt=__Fra}', "");
Expect(1, 8585, '\P{^Is_Dt=__Fra}', "");
Expect(0, 8586, '\p{Is_Dt=__Fra}', "");
Expect(1, 8586, '\p{^Is_Dt=__Fra}', "");
Expect(1, 8586, '\P{Is_Dt=__Fra}', "");
Expect(0, 8586, '\P{^Is_Dt=__Fra}', "");
Error('\p{Decomposition_Type=-	Initial/a/}');
Error('\P{Decomposition_Type=-	Initial/a/}');
Expect(1, 65267, '\p{Decomposition_Type=initial}', "");
Expect(0, 65267, '\p{^Decomposition_Type=initial}', "");
Expect(0, 65267, '\P{Decomposition_Type=initial}', "");
Expect(1, 65267, '\P{^Decomposition_Type=initial}', "");
Expect(0, 65268, '\p{Decomposition_Type=initial}', "");
Expect(1, 65268, '\p{^Decomposition_Type=initial}', "");
Expect(1, 65268, '\P{Decomposition_Type=initial}', "");
Expect(0, 65268, '\P{^Decomposition_Type=initial}', "");
Expect(1, 65267, '\p{Decomposition_Type=- Initial}', "");
Expect(0, 65267, '\p{^Decomposition_Type=- Initial}', "");
Expect(0, 65267, '\P{Decomposition_Type=- Initial}', "");
Expect(1, 65267, '\P{^Decomposition_Type=- Initial}', "");
Expect(0, 65268, '\p{Decomposition_Type=- Initial}', "");
Expect(1, 65268, '\p{^Decomposition_Type=- Initial}', "");
Expect(1, 65268, '\P{Decomposition_Type=- Initial}', "");
Expect(0, 65268, '\P{^Decomposition_Type=- Initial}', "");
Error('\p{Dt=:=--Init}');
Error('\P{Dt=:=--Init}');
Expect(1, 65267, '\p{Dt=init}', "");
Expect(0, 65267, '\p{^Dt=init}', "");
Expect(0, 65267, '\P{Dt=init}', "");
Expect(1, 65267, '\P{^Dt=init}', "");
Expect(0, 65268, '\p{Dt=init}', "");
Expect(1, 65268, '\p{^Dt=init}', "");
Expect(1, 65268, '\P{Dt=init}', "");
Expect(0, 65268, '\P{^Dt=init}', "");
Expect(1, 65267, '\p{Dt=- INIT}', "");
Expect(0, 65267, '\p{^Dt=- INIT}', "");
Expect(0, 65267, '\P{Dt=- INIT}', "");
Expect(1, 65267, '\P{^Dt=- INIT}', "");
Expect(0, 65268, '\p{Dt=- INIT}', "");
Expect(1, 65268, '\p{^Dt=- INIT}', "");
Expect(1, 65268, '\P{Dt=- INIT}', "");
Expect(0, 65268, '\P{^Dt=- INIT}', "");
Error('\p{Is_Decomposition_Type=/a/-Initial}');
Error('\P{Is_Decomposition_Type=/a/-Initial}');
Expect(1, 65267, '\p{Is_Decomposition_Type=initial}', "");
Expect(0, 65267, '\p{^Is_Decomposition_Type=initial}', "");
Expect(0, 65267, '\P{Is_Decomposition_Type=initial}', "");
Expect(1, 65267, '\P{^Is_Decomposition_Type=initial}', "");
Expect(0, 65268, '\p{Is_Decomposition_Type=initial}', "");
Expect(1, 65268, '\p{^Is_Decomposition_Type=initial}', "");
Expect(1, 65268, '\P{Is_Decomposition_Type=initial}', "");
Expect(0, 65268, '\P{^Is_Decomposition_Type=initial}', "");
Expect(1, 65267, '\p{Is_Decomposition_Type=-Initial}', "");
Expect(0, 65267, '\p{^Is_Decomposition_Type=-Initial}', "");
Expect(0, 65267, '\P{Is_Decomposition_Type=-Initial}', "");
Expect(1, 65267, '\P{^Is_Decomposition_Type=-Initial}', "");
Expect(0, 65268, '\p{Is_Decomposition_Type=-Initial}', "");
Expect(1, 65268, '\p{^Is_Decomposition_Type=-Initial}', "");
Expect(1, 65268, '\P{Is_Decomposition_Type=-Initial}', "");
Expect(0, 65268, '\P{^Is_Decomposition_Type=-Initial}', "");
Error('\p{Is_Dt=-_Init:=}');
Error('\P{Is_Dt=-_Init:=}');
Expect(1, 65267, '\p{Is_Dt=init}', "");
Expect(0, 65267, '\p{^Is_Dt=init}', "");
Expect(0, 65267, '\P{Is_Dt=init}', "");
Expect(1, 65267, '\P{^Is_Dt=init}', "");
Expect(0, 65268, '\p{Is_Dt=init}', "");
Expect(1, 65268, '\p{^Is_Dt=init}', "");
Expect(1, 65268, '\P{Is_Dt=init}', "");
Expect(0, 65268, '\P{^Is_Dt=init}', "");
Expect(1, 65267, '\p{Is_Dt=	init}', "");
Expect(0, 65267, '\p{^Is_Dt=	init}', "");
Expect(0, 65267, '\P{Is_Dt=	init}', "");
Expect(1, 65267, '\P{^Is_Dt=	init}', "");
Expect(0, 65268, '\p{Is_Dt=	init}', "");
Expect(1, 65268, '\p{^Is_Dt=	init}', "");
Expect(1, 65268, '\P{Is_Dt=	init}', "");
Expect(0, 65268, '\P{^Is_Dt=	init}', "");
Error('\p{Decomposition_Type=/a/Isolated}');
Error('\P{Decomposition_Type=/a/Isolated}');
Expect(1, 65275, '\p{Decomposition_Type=isolated}', "");
Expect(0, 65275, '\p{^Decomposition_Type=isolated}', "");
Expect(0, 65275, '\P{Decomposition_Type=isolated}', "");
Expect(1, 65275, '\P{^Decomposition_Type=isolated}', "");
Expect(0, 65276, '\p{Decomposition_Type=isolated}', "");
Expect(1, 65276, '\p{^Decomposition_Type=isolated}', "");
Expect(1, 65276, '\P{Decomposition_Type=isolated}', "");
Expect(0, 65276, '\P{^Decomposition_Type=isolated}', "");
Expect(1, 65275, '\p{Decomposition_Type=_Isolated}', "");
Expect(0, 65275, '\p{^Decomposition_Type=_Isolated}', "");
Expect(0, 65275, '\P{Decomposition_Type=_Isolated}', "");
Expect(1, 65275, '\P{^Decomposition_Type=_Isolated}', "");
Expect(0, 65276, '\p{Decomposition_Type=_Isolated}', "");
Expect(1, 65276, '\p{^Decomposition_Type=_Isolated}', "");
Expect(1, 65276, '\P{Decomposition_Type=_Isolated}', "");
Expect(0, 65276, '\P{^Decomposition_Type=_Isolated}', "");
Error('\p{Dt=_/a/ISO}');
Error('\P{Dt=_/a/ISO}');
Expect(1, 65275, '\p{Dt=iso}', "");
Expect(0, 65275, '\p{^Dt=iso}', "");
Expect(0, 65275, '\P{Dt=iso}', "");
Expect(1, 65275, '\P{^Dt=iso}', "");
Expect(0, 65276, '\p{Dt=iso}', "");
Expect(1, 65276, '\p{^Dt=iso}', "");
Expect(1, 65276, '\P{Dt=iso}', "");
Expect(0, 65276, '\P{^Dt=iso}', "");
Expect(1, 65275, '\p{Dt=_-Iso}', "");
Expect(0, 65275, '\p{^Dt=_-Iso}', "");
Expect(0, 65275, '\P{Dt=_-Iso}', "");
Expect(1, 65275, '\P{^Dt=_-Iso}', "");
Expect(0, 65276, '\p{Dt=_-Iso}', "");
Expect(1, 65276, '\p{^Dt=_-Iso}', "");
Expect(1, 65276, '\P{Dt=_-Iso}', "");
Expect(0, 65276, '\P{^Dt=_-Iso}', "");
Error('\p{Is_Decomposition_Type=/a/ -ISOLATED}');
Error('\P{Is_Decomposition_Type=/a/ -ISOLATED}');
Expect(1, 65275, '\p{Is_Decomposition_Type=isolated}', "");
Expect(0, 65275, '\p{^Is_Decomposition_Type=isolated}', "");
Expect(0, 65275, '\P{Is_Decomposition_Type=isolated}', "");
Expect(1, 65275, '\P{^Is_Decomposition_Type=isolated}', "");
Expect(0, 65276, '\p{Is_Decomposition_Type=isolated}', "");
Expect(1, 65276, '\p{^Is_Decomposition_Type=isolated}', "");
Expect(1, 65276, '\P{Is_Decomposition_Type=isolated}', "");
Expect(0, 65276, '\P{^Is_Decomposition_Type=isolated}', "");
Expect(1, 65275, '\p{Is_Decomposition_Type= -ISOLATED}', "");
Expect(0, 65275, '\p{^Is_Decomposition_Type= -ISOLATED}', "");
Expect(0, 65275, '\P{Is_Decomposition_Type= -ISOLATED}', "");
Expect(1, 65275, '\P{^Is_Decomposition_Type= -ISOLATED}', "");
Expect(0, 65276, '\p{Is_Decomposition_Type= -ISOLATED}', "");
Expect(1, 65276, '\p{^Is_Decomposition_Type= -ISOLATED}', "");
Expect(1, 65276, '\P{Is_Decomposition_Type= -ISOLATED}', "");
Expect(0, 65276, '\P{^Is_Decomposition_Type= -ISOLATED}', "");
Error('\p{Is_Dt=_Iso/a/}');
Error('\P{Is_Dt=_Iso/a/}');
Expect(1, 65275, '\p{Is_Dt=iso}', "");
Expect(0, 65275, '\p{^Is_Dt=iso}', "");
Expect(0, 65275, '\P{Is_Dt=iso}', "");
Expect(1, 65275, '\P{^Is_Dt=iso}', "");
Expect(0, 65276, '\p{Is_Dt=iso}', "");
Expect(1, 65276, '\p{^Is_Dt=iso}', "");
Expect(1, 65276, '\P{Is_Dt=iso}', "");
Expect(0, 65276, '\P{^Is_Dt=iso}', "");
Expect(1, 65275, '\p{Is_Dt=-	ISO}', "");
Expect(0, 65275, '\p{^Is_Dt=-	ISO}', "");
Expect(0, 65275, '\P{Is_Dt=-	ISO}', "");
Expect(1, 65275, '\P{^Is_Dt=-	ISO}', "");
Expect(0, 65276, '\p{Is_Dt=-	ISO}', "");
Expect(1, 65276, '\p{^Is_Dt=-	ISO}', "");
Expect(1, 65276, '\P{Is_Dt=-	ISO}', "");
Expect(0, 65276, '\P{^Is_Dt=-	ISO}', "");
Error('\p{Decomposition_Type=/a/-	medial}');
Error('\P{Decomposition_Type=/a/-	medial}');
Expect(1, 65268, '\p{Decomposition_Type:   medial}', "");
Expect(0, 65268, '\p{^Decomposition_Type:   medial}', "");
Expect(0, 65268, '\P{Decomposition_Type:   medial}', "");
Expect(1, 65268, '\P{^Decomposition_Type:   medial}', "");
Expect(0, 65269, '\p{Decomposition_Type:   medial}', "");
Expect(1, 65269, '\p{^Decomposition_Type:   medial}', "");
Expect(1, 65269, '\P{Decomposition_Type:   medial}', "");
Expect(0, 65269, '\P{^Decomposition_Type:   medial}', "");
Expect(1, 65268, '\p{Decomposition_Type= -Medial}', "");
Expect(0, 65268, '\p{^Decomposition_Type= -Medial}', "");
Expect(0, 65268, '\P{Decomposition_Type= -Medial}', "");
Expect(1, 65268, '\P{^Decomposition_Type= -Medial}', "");
Expect(0, 65269, '\p{Decomposition_Type= -Medial}', "");
Expect(1, 65269, '\p{^Decomposition_Type= -Medial}', "");
Expect(1, 65269, '\P{Decomposition_Type= -Medial}', "");
Expect(0, 65269, '\P{^Decomposition_Type= -Medial}', "");
Error('\p{Dt=	:=Med}');
Error('\P{Dt=	:=Med}');
Expect(1, 65268, '\p{Dt=med}', "");
Expect(0, 65268, '\p{^Dt=med}', "");
Expect(0, 65268, '\P{Dt=med}', "");
Expect(1, 65268, '\P{^Dt=med}', "");
Expect(0, 65269, '\p{Dt=med}', "");
Expect(1, 65269, '\p{^Dt=med}', "");
Expect(1, 65269, '\P{Dt=med}', "");
Expect(0, 65269, '\P{^Dt=med}', "");
Expect(1, 65268, '\p{Dt=_	Med}', "");
Expect(0, 65268, '\p{^Dt=_	Med}', "");
Expect(0, 65268, '\P{Dt=_	Med}', "");
Expect(1, 65268, '\P{^Dt=_	Med}', "");
Expect(0, 65269, '\p{Dt=_	Med}', "");
Expect(1, 65269, '\p{^Dt=_	Med}', "");
Expect(1, 65269, '\P{Dt=_	Med}', "");
Expect(0, 65269, '\P{^Dt=_	Med}', "");
Error('\p{Is_Decomposition_Type= 	MEDIAL:=}');
Error('\P{Is_Decomposition_Type= 	MEDIAL:=}');
Expect(1, 65268, '\p{Is_Decomposition_Type=medial}', "");
Expect(0, 65268, '\p{^Is_Decomposition_Type=medial}', "");
Expect(0, 65268, '\P{Is_Decomposition_Type=medial}', "");
Expect(1, 65268, '\P{^Is_Decomposition_Type=medial}', "");
Expect(0, 65269, '\p{Is_Decomposition_Type=medial}', "");
Expect(1, 65269, '\p{^Is_Decomposition_Type=medial}', "");
Expect(1, 65269, '\P{Is_Decomposition_Type=medial}', "");
Expect(0, 65269, '\P{^Is_Decomposition_Type=medial}', "");
Expect(1, 65268, '\p{Is_Decomposition_Type=	_Medial}', "");
Expect(0, 65268, '\p{^Is_Decomposition_Type=	_Medial}', "");
Expect(0, 65268, '\P{Is_Decomposition_Type=	_Medial}', "");
Expect(1, 65268, '\P{^Is_Decomposition_Type=	_Medial}', "");
Expect(0, 65269, '\p{Is_Decomposition_Type=	_Medial}', "");
Expect(1, 65269, '\p{^Is_Decomposition_Type=	_Medial}', "");
Expect(1, 65269, '\P{Is_Decomposition_Type=	_Medial}', "");
Expect(0, 65269, '\P{^Is_Decomposition_Type=	_Medial}', "");
Error('\p{Is_Dt= _med/a/}');
Error('\P{Is_Dt= _med/a/}');
Expect(1, 65268, '\p{Is_Dt: med}', "");
Expect(0, 65268, '\p{^Is_Dt: med}', "");
Expect(0, 65268, '\P{Is_Dt: med}', "");
Expect(1, 65268, '\P{^Is_Dt: med}', "");
Expect(0, 65269, '\p{Is_Dt: med}', "");
Expect(1, 65269, '\p{^Is_Dt: med}', "");
Expect(1, 65269, '\P{Is_Dt: med}', "");
Expect(0, 65269, '\P{^Is_Dt: med}', "");
Expect(1, 65268, '\p{Is_Dt= med}', "");
Expect(0, 65268, '\p{^Is_Dt= med}', "");
Expect(0, 65268, '\P{Is_Dt= med}', "");
Expect(1, 65268, '\P{^Is_Dt= med}', "");
Expect(0, 65269, '\p{Is_Dt= med}', "");
Expect(1, 65269, '\p{^Is_Dt= med}', "");
Expect(1, 65269, '\P{Is_Dt= med}', "");
Expect(0, 65269, '\P{^Is_Dt= med}', "");
Error('\p{Decomposition_Type= -Narrow:=}');
Error('\P{Decomposition_Type= -Narrow:=}');
Expect(1, 65518, '\p{Decomposition_Type=narrow}', "");
Expect(0, 65518, '\p{^Decomposition_Type=narrow}', "");
Expect(0, 65518, '\P{Decomposition_Type=narrow}', "");
Expect(1, 65518, '\P{^Decomposition_Type=narrow}', "");
Expect(0, 65519, '\p{Decomposition_Type=narrow}', "");
Expect(1, 65519, '\p{^Decomposition_Type=narrow}', "");
Expect(1, 65519, '\P{Decomposition_Type=narrow}', "");
Expect(0, 65519, '\P{^Decomposition_Type=narrow}', "");
Expect(1, 65518, '\p{Decomposition_Type= 	Narrow}', "");
Expect(0, 65518, '\p{^Decomposition_Type= 	Narrow}', "");
Expect(0, 65518, '\P{Decomposition_Type= 	Narrow}', "");
Expect(1, 65518, '\P{^Decomposition_Type= 	Narrow}', "");
Expect(0, 65519, '\p{Decomposition_Type= 	Narrow}', "");
Expect(1, 65519, '\p{^Decomposition_Type= 	Narrow}', "");
Expect(1, 65519, '\P{Decomposition_Type= 	Narrow}', "");
Expect(0, 65519, '\P{^Decomposition_Type= 	Narrow}', "");
Error('\p{Dt=-Nar:=}');
Error('\P{Dt=-Nar:=}');
Expect(1, 65518, '\p{Dt:   nar}', "");
Expect(0, 65518, '\p{^Dt:   nar}', "");
Expect(0, 65518, '\P{Dt:   nar}', "");
Expect(1, 65518, '\P{^Dt:   nar}', "");
Expect(0, 65519, '\p{Dt:   nar}', "");
Expect(1, 65519, '\p{^Dt:   nar}', "");
Expect(1, 65519, '\P{Dt:   nar}', "");
Expect(0, 65519, '\P{^Dt:   nar}', "");
Expect(1, 65518, '\p{Dt:_-Nar}', "");
Expect(0, 65518, '\p{^Dt:_-Nar}', "");
Expect(0, 65518, '\P{Dt:_-Nar}', "");
Expect(1, 65518, '\P{^Dt:_-Nar}', "");
Expect(0, 65519, '\p{Dt:_-Nar}', "");
Expect(1, 65519, '\p{^Dt:_-Nar}', "");
Expect(1, 65519, '\P{Dt:_-Nar}', "");
Expect(0, 65519, '\P{^Dt:_-Nar}', "");
Error('\p{Is_Decomposition_Type::=_	NARROW}');
Error('\P{Is_Decomposition_Type::=_	NARROW}');
Expect(1, 65518, '\p{Is_Decomposition_Type=narrow}', "");
Expect(0, 65518, '\p{^Is_Decomposition_Type=narrow}', "");
Expect(0, 65518, '\P{Is_Decomposition_Type=narrow}', "");
Expect(1, 65518, '\P{^Is_Decomposition_Type=narrow}', "");
Expect(0, 65519, '\p{Is_Decomposition_Type=narrow}', "");
Expect(1, 65519, '\p{^Is_Decomposition_Type=narrow}', "");
Expect(1, 65519, '\P{Is_Decomposition_Type=narrow}', "");
Expect(0, 65519, '\P{^Is_Decomposition_Type=narrow}', "");
Expect(1, 65518, '\p{Is_Decomposition_Type=	Narrow}', "");
Expect(0, 65518, '\p{^Is_Decomposition_Type=	Narrow}', "");
Expect(0, 65518, '\P{Is_Decomposition_Type=	Narrow}', "");
Expect(1, 65518, '\P{^Is_Decomposition_Type=	Narrow}', "");
Expect(0, 65519, '\p{Is_Decomposition_Type=	Narrow}', "");
Expect(1, 65519, '\p{^Is_Decomposition_Type=	Narrow}', "");
Expect(1, 65519, '\P{Is_Decomposition_Type=	Narrow}', "");
Expect(0, 65519, '\P{^Is_Decomposition_Type=	Narrow}', "");
Error('\p{Is_Dt=	:=nar}');
Error('\P{Is_Dt=	:=nar}');
Expect(1, 65518, '\p{Is_Dt=nar}', "");
Expect(0, 65518, '\p{^Is_Dt=nar}', "");
Expect(0, 65518, '\P{Is_Dt=nar}', "");
Expect(1, 65518, '\P{^Is_Dt=nar}', "");
Expect(0, 65519, '\p{Is_Dt=nar}', "");
Expect(1, 65519, '\p{^Is_Dt=nar}', "");
Expect(1, 65519, '\P{Is_Dt=nar}', "");
Expect(0, 65519, '\P{^Is_Dt=nar}', "");
Expect(1, 65518, '\p{Is_Dt=	Nar}', "");
Expect(0, 65518, '\p{^Is_Dt=	Nar}', "");
Expect(0, 65518, '\P{Is_Dt=	Nar}', "");
Expect(1, 65518, '\P{^Is_Dt=	Nar}', "");
Expect(0, 65519, '\p{Is_Dt=	Nar}', "");
Expect(1, 65519, '\p{^Is_Dt=	Nar}', "");
Expect(1, 65519, '\P{Is_Dt=	Nar}', "");
Expect(0, 65519, '\P{^Is_Dt=	Nar}', "");
Error('\p{Decomposition_Type=:=-Nobreak}');
Error('\P{Decomposition_Type=:=-Nobreak}');
Expect(1, 8239, '\p{Decomposition_Type=nobreak}', "");
Expect(0, 8239, '\p{^Decomposition_Type=nobreak}', "");
Expect(0, 8239, '\P{Decomposition_Type=nobreak}', "");
Expect(1, 8239, '\P{^Decomposition_Type=nobreak}', "");
Expect(0, 8240, '\p{Decomposition_Type=nobreak}', "");
Expect(1, 8240, '\p{^Decomposition_Type=nobreak}', "");
Expect(1, 8240, '\P{Decomposition_Type=nobreak}', "");
Expect(0, 8240, '\P{^Decomposition_Type=nobreak}', "");
Expect(1, 8239, '\p{Decomposition_Type= _Nobreak}', "");
Expect(0, 8239, '\p{^Decomposition_Type= _Nobreak}', "");
Expect(0, 8239, '\P{Decomposition_Type= _Nobreak}', "");
Expect(1, 8239, '\P{^Decomposition_Type= _Nobreak}', "");
Expect(0, 8240, '\p{Decomposition_Type= _Nobreak}', "");
Expect(1, 8240, '\p{^Decomposition_Type= _Nobreak}', "");
Expect(1, 8240, '\P{Decomposition_Type= _Nobreak}', "");
Expect(0, 8240, '\P{^Decomposition_Type= _Nobreak}', "");
Error('\p{Dt=- Nb/a/}');
Error('\P{Dt=- Nb/a/}');
Expect(1, 8239, '\p{Dt=nb}', "");
Expect(0, 8239, '\p{^Dt=nb}', "");
Expect(0, 8239, '\P{Dt=nb}', "");
Expect(1, 8239, '\P{^Dt=nb}', "");
Expect(0, 8240, '\p{Dt=nb}', "");
Expect(1, 8240, '\p{^Dt=nb}', "");
Expect(1, 8240, '\P{Dt=nb}', "");
Expect(0, 8240, '\P{^Dt=nb}', "");
Expect(1, 8239, '\p{Dt:	 Nb}', "");
Expect(0, 8239, '\p{^Dt:	 Nb}', "");
Expect(0, 8239, '\P{Dt:	 Nb}', "");
Expect(1, 8239, '\P{^Dt:	 Nb}', "");
Expect(0, 8240, '\p{Dt:	 Nb}', "");
Expect(1, 8240, '\p{^Dt:	 Nb}', "");
Expect(1, 8240, '\P{Dt:	 Nb}', "");
Expect(0, 8240, '\P{^Dt:	 Nb}', "");
Error('\p{Is_Decomposition_Type=/a/	-NOBREAK}');
Error('\P{Is_Decomposition_Type=/a/	-NOBREAK}');
Expect(1, 8239, '\p{Is_Decomposition_Type=nobreak}', "");
Expect(0, 8239, '\p{^Is_Decomposition_Type=nobreak}', "");
Expect(0, 8239, '\P{Is_Decomposition_Type=nobreak}', "");
Expect(1, 8239, '\P{^Is_Decomposition_Type=nobreak}', "");
Expect(0, 8240, '\p{Is_Decomposition_Type=nobreak}', "");
Expect(1, 8240, '\p{^Is_Decomposition_Type=nobreak}', "");
Expect(1, 8240, '\P{Is_Decomposition_Type=nobreak}', "");
Expect(0, 8240, '\P{^Is_Decomposition_Type=nobreak}', "");
Expect(1, 8239, '\p{Is_Decomposition_Type=		Nobreak}', "");
Expect(0, 8239, '\p{^Is_Decomposition_Type=		Nobreak}', "");
Expect(0, 8239, '\P{Is_Decomposition_Type=		Nobreak}', "");
Expect(1, 8239, '\P{^Is_Decomposition_Type=		Nobreak}', "");
Expect(0, 8240, '\p{Is_Decomposition_Type=		Nobreak}', "");
Expect(1, 8240, '\p{^Is_Decomposition_Type=		Nobreak}', "");
Expect(1, 8240, '\P{Is_Decomposition_Type=		Nobreak}', "");
Expect(0, 8240, '\P{^Is_Decomposition_Type=		Nobreak}', "");
Error('\p{Is_Dt=:=_	NB}');
Error('\P{Is_Dt=:=_	NB}');
Expect(1, 8239, '\p{Is_Dt=nb}', "");
Expect(0, 8239, '\p{^Is_Dt=nb}', "");
Expect(0, 8239, '\P{Is_Dt=nb}', "");
Expect(1, 8239, '\P{^Is_Dt=nb}', "");
Expect(0, 8240, '\p{Is_Dt=nb}', "");
Expect(1, 8240, '\p{^Is_Dt=nb}', "");
Expect(1, 8240, '\P{Is_Dt=nb}', "");
Expect(0, 8240, '\P{^Is_Dt=nb}', "");
Expect(1, 8239, '\p{Is_Dt=	-NB}', "");
Expect(0, 8239, '\p{^Is_Dt=	-NB}', "");
Expect(0, 8239, '\P{Is_Dt=	-NB}', "");
Expect(1, 8239, '\P{^Is_Dt=	-NB}', "");
Expect(0, 8240, '\p{Is_Dt=	-NB}', "");
Expect(1, 8240, '\p{^Is_Dt=	-NB}', "");
Expect(1, 8240, '\P{Is_Dt=	-NB}', "");
Expect(0, 8240, '\P{^Is_Dt=	-NB}', "");
Error('\p{Decomposition_Type=:=	-non_CANONICAL}');
Error('\P{Decomposition_Type=:=	-non_CANONICAL}');
Expect(1, 127569, '\p{Decomposition_Type=noncanonical}', "");
Expect(0, 127569, '\p{^Decomposition_Type=noncanonical}', "");
Expect(0, 127569, '\P{Decomposition_Type=noncanonical}', "");
Expect(1, 127569, '\P{^Decomposition_Type=noncanonical}', "");
Expect(0, 127570, '\p{Decomposition_Type=noncanonical}', "");
Expect(1, 127570, '\p{^Decomposition_Type=noncanonical}', "");
Expect(1, 127570, '\P{Decomposition_Type=noncanonical}', "");
Expect(0, 127570, '\P{^Decomposition_Type=noncanonical}', "");
Expect(1, 127569, '\p{Decomposition_Type=- non_CANONICAL}', "");
Expect(0, 127569, '\p{^Decomposition_Type=- non_CANONICAL}', "");
Expect(0, 127569, '\P{Decomposition_Type=- non_CANONICAL}', "");
Expect(1, 127569, '\P{^Decomposition_Type=- non_CANONICAL}', "");
Expect(0, 127570, '\p{Decomposition_Type=- non_CANONICAL}', "");
Expect(1, 127570, '\p{^Decomposition_Type=- non_CANONICAL}', "");
Expect(1, 127570, '\P{Decomposition_Type=- non_CANONICAL}', "");
Expect(0, 127570, '\P{^Decomposition_Type=- non_CANONICAL}', "");
Error('\p{Dt=-:=Non_Canon}');
Error('\P{Dt=-:=Non_Canon}');
Expect(1, 127569, '\p{Dt=noncanon}', "");
Expect(0, 127569, '\p{^Dt=noncanon}', "");
Expect(0, 127569, '\P{Dt=noncanon}', "");
Expect(1, 127569, '\P{^Dt=noncanon}', "");
Expect(0, 127570, '\p{Dt=noncanon}', "");
Expect(1, 127570, '\p{^Dt=noncanon}', "");
Expect(1, 127570, '\P{Dt=noncanon}', "");
Expect(0, 127570, '\P{^Dt=noncanon}', "");
Expect(1, 127569, '\p{Dt= non_CANON}', "");
Expect(0, 127569, '\p{^Dt= non_CANON}', "");
Expect(0, 127569, '\P{Dt= non_CANON}', "");
Expect(1, 127569, '\P{^Dt= non_CANON}', "");
Expect(0, 127570, '\p{Dt= non_CANON}', "");
Expect(1, 127570, '\p{^Dt= non_CANON}', "");
Expect(1, 127570, '\P{Dt= non_CANON}', "");
Expect(0, 127570, '\P{^Dt= non_CANON}', "");
Error('\p{Is_Decomposition_Type=/a/ non_CANONICAL}');
Error('\P{Is_Decomposition_Type=/a/ non_CANONICAL}');
Expect(1, 127569, '\p{Is_Decomposition_Type=noncanonical}', "");
Expect(0, 127569, '\p{^Is_Decomposition_Type=noncanonical}', "");
Expect(0, 127569, '\P{Is_Decomposition_Type=noncanonical}', "");
Expect(1, 127569, '\P{^Is_Decomposition_Type=noncanonical}', "");
Expect(0, 127570, '\p{Is_Decomposition_Type=noncanonical}', "");
Expect(1, 127570, '\p{^Is_Decomposition_Type=noncanonical}', "");
Expect(1, 127570, '\P{Is_Decomposition_Type=noncanonical}', "");
Expect(0, 127570, '\P{^Is_Decomposition_Type=noncanonical}', "");
Expect(1, 127569, '\p{Is_Decomposition_Type=__NON_CANONICAL}', "");
Expect(0, 127569, '\p{^Is_Decomposition_Type=__NON_CANONICAL}', "");
Expect(0, 127569, '\P{Is_Decomposition_Type=__NON_CANONICAL}', "");
Expect(1, 127569, '\P{^Is_Decomposition_Type=__NON_CANONICAL}', "");
Expect(0, 127570, '\p{Is_Decomposition_Type=__NON_CANONICAL}', "");
Expect(1, 127570, '\p{^Is_Decomposition_Type=__NON_CANONICAL}', "");
Expect(1, 127570, '\P{Is_Decomposition_Type=__NON_CANONICAL}', "");
Expect(0, 127570, '\P{^Is_Decomposition_Type=__NON_CANONICAL}', "");
Error('\p{Is_Dt: /a/ _NON_Canon}');
Error('\P{Is_Dt: /a/ _NON_Canon}');
Expect(1, 127569, '\p{Is_Dt:	noncanon}', "");
Expect(0, 127569, '\p{^Is_Dt:	noncanon}', "");
Expect(0, 127569, '\P{Is_Dt:	noncanon}', "");
Expect(1, 127569, '\P{^Is_Dt:	noncanon}', "");
Expect(0, 127570, '\p{Is_Dt:	noncanon}', "");
Expect(1, 127570, '\p{^Is_Dt:	noncanon}', "");
Expect(1, 127570, '\P{Is_Dt:	noncanon}', "");
Expect(0, 127570, '\P{^Is_Dt:	noncanon}', "");
Expect(1, 127569, '\p{Is_Dt=_non_CANON}', "");
Expect(0, 127569, '\p{^Is_Dt=_non_CANON}', "");
Expect(0, 127569, '\P{Is_Dt=_non_CANON}', "");
Expect(1, 127569, '\P{^Is_Dt=_non_CANON}', "");
Expect(0, 127570, '\p{Is_Dt=_non_CANON}', "");
Expect(1, 127570, '\p{^Is_Dt=_non_CANON}', "");
Expect(1, 127570, '\P{Is_Dt=_non_CANON}', "");
Expect(0, 127570, '\P{^Is_Dt=_non_CANON}', "");
Error('\p{Decomposition_Type= NONE:=}');
Error('\P{Decomposition_Type= NONE:=}');
Expect(1, 195102, '\p{Decomposition_Type=none}', "");
Expect(0, 195102, '\p{^Decomposition_Type=none}', "");
Expect(0, 195102, '\P{Decomposition_Type=none}', "");
Expect(1, 195102, '\P{^Decomposition_Type=none}', "");
Expect(0, 195101, '\p{Decomposition_Type=none}', "");
Expect(1, 195101, '\p{^Decomposition_Type=none}', "");
Expect(1, 195101, '\P{Decomposition_Type=none}', "");
Expect(0, 195101, '\P{^Decomposition_Type=none}', "");
Expect(1, 195102, '\p{Decomposition_Type=--None}', "");
Expect(0, 195102, '\p{^Decomposition_Type=--None}', "");
Expect(0, 195102, '\P{Decomposition_Type=--None}', "");
Expect(1, 195102, '\P{^Decomposition_Type=--None}', "");
Expect(0, 195101, '\p{Decomposition_Type=--None}', "");
Expect(1, 195101, '\p{^Decomposition_Type=--None}', "");
Expect(1, 195101, '\P{Decomposition_Type=--None}', "");
Expect(0, 195101, '\P{^Decomposition_Type=--None}', "");
Error('\p{Dt=:=	None}');
Error('\P{Dt=:=	None}');
Expect(1, 195102, '\p{Dt=none}', "");
Expect(0, 195102, '\p{^Dt=none}', "");
Expect(0, 195102, '\P{Dt=none}', "");
Expect(1, 195102, '\P{^Dt=none}', "");
Expect(0, 195101, '\p{Dt=none}', "");
Expect(1, 195101, '\p{^Dt=none}', "");
Expect(1, 195101, '\P{Dt=none}', "");
Expect(0, 195101, '\P{^Dt=none}', "");
Expect(1, 195102, '\p{Dt=-	None}', "");
Expect(0, 195102, '\p{^Dt=-	None}', "");
Expect(0, 195102, '\P{Dt=-	None}', "");
Expect(1, 195102, '\P{^Dt=-	None}', "");
Expect(0, 195101, '\p{Dt=-	None}', "");
Expect(1, 195101, '\p{^Dt=-	None}', "");
Expect(1, 195101, '\P{Dt=-	None}', "");
Expect(0, 195101, '\P{^Dt=-	None}', "");
Error('\p{Is_Decomposition_Type:		:=NONE}');
Error('\P{Is_Decomposition_Type:		:=NONE}');
Expect(1, 195102, '\p{Is_Decomposition_Type=none}', "");
Expect(0, 195102, '\p{^Is_Decomposition_Type=none}', "");
Expect(0, 195102, '\P{Is_Decomposition_Type=none}', "");
Expect(1, 195102, '\P{^Is_Decomposition_Type=none}', "");
Expect(0, 195101, '\p{Is_Decomposition_Type=none}', "");
Expect(1, 195101, '\p{^Is_Decomposition_Type=none}', "");
Expect(1, 195101, '\P{Is_Decomposition_Type=none}', "");
Expect(0, 195101, '\P{^Is_Decomposition_Type=none}', "");
Expect(1, 195102, '\p{Is_Decomposition_Type=-_NONE}', "");
Expect(0, 195102, '\p{^Is_Decomposition_Type=-_NONE}', "");
Expect(0, 195102, '\P{Is_Decomposition_Type=-_NONE}', "");
Expect(1, 195102, '\P{^Is_Decomposition_Type=-_NONE}', "");
Expect(0, 195101, '\p{Is_Decomposition_Type=-_NONE}', "");
Expect(1, 195101, '\p{^Is_Decomposition_Type=-_NONE}', "");
Expect(1, 195101, '\P{Is_Decomposition_Type=-_NONE}', "");
Expect(0, 195101, '\P{^Is_Decomposition_Type=-_NONE}', "");
Error('\p{Is_Dt=	:=None}');
Error('\P{Is_Dt=	:=None}');
Expect(1, 195102, '\p{Is_Dt=none}', "");
Expect(0, 195102, '\p{^Is_Dt=none}', "");
Expect(0, 195102, '\P{Is_Dt=none}', "");
Expect(1, 195102, '\P{^Is_Dt=none}', "");
Expect(0, 195101, '\p{Is_Dt=none}', "");
Expect(1, 195101, '\p{^Is_Dt=none}', "");
Expect(1, 195101, '\P{Is_Dt=none}', "");
Expect(0, 195101, '\P{^Is_Dt=none}', "");
Expect(1, 195102, '\p{Is_Dt=-None}', "");
Expect(0, 195102, '\p{^Is_Dt=-None}', "");
Expect(0, 195102, '\P{Is_Dt=-None}', "");
Expect(1, 195102, '\P{^Is_Dt=-None}', "");
Expect(0, 195101, '\p{Is_Dt=-None}', "");
Expect(1, 195101, '\p{^Is_Dt=-None}', "");
Expect(1, 195101, '\P{Is_Dt=-None}', "");
Expect(0, 195101, '\P{^Is_Dt=-None}', "");
Error('\p{Decomposition_Type=:=Small}');
Error('\P{Decomposition_Type=:=Small}');
Expect(1, 65131, '\p{Decomposition_Type:	small}', "");
Expect(0, 65131, '\p{^Decomposition_Type:	small}', "");
Expect(0, 65131, '\P{Decomposition_Type:	small}', "");
Expect(1, 65131, '\P{^Decomposition_Type:	small}', "");
Expect(0, 65132, '\p{Decomposition_Type:	small}', "");
Expect(1, 65132, '\p{^Decomposition_Type:	small}', "");
Expect(1, 65132, '\P{Decomposition_Type:	small}', "");
Expect(0, 65132, '\P{^Decomposition_Type:	small}', "");
Expect(1, 65131, '\p{Decomposition_Type:	Small}', "");
Expect(0, 65131, '\p{^Decomposition_Type:	Small}', "");
Expect(0, 65131, '\P{Decomposition_Type:	Small}', "");
Expect(1, 65131, '\P{^Decomposition_Type:	Small}', "");
Expect(0, 65132, '\p{Decomposition_Type:	Small}', "");
Expect(1, 65132, '\p{^Decomposition_Type:	Small}', "");
Expect(1, 65132, '\P{Decomposition_Type:	Small}', "");
Expect(0, 65132, '\P{^Decomposition_Type:	Small}', "");
Error('\p{Dt=  Sml:=}');
Error('\P{Dt=  Sml:=}');
Expect(1, 65131, '\p{Dt=sml}', "");
Expect(0, 65131, '\p{^Dt=sml}', "");
Expect(0, 65131, '\P{Dt=sml}', "");
Expect(1, 65131, '\P{^Dt=sml}', "");
Expect(0, 65132, '\p{Dt=sml}', "");
Expect(1, 65132, '\p{^Dt=sml}', "");
Expect(1, 65132, '\P{Dt=sml}', "");
Expect(0, 65132, '\P{^Dt=sml}', "");
Expect(1, 65131, '\p{Dt:   	sml}', "");
Expect(0, 65131, '\p{^Dt:   	sml}', "");
Expect(0, 65131, '\P{Dt:   	sml}', "");
Expect(1, 65131, '\P{^Dt:   	sml}', "");
Expect(0, 65132, '\p{Dt:   	sml}', "");
Expect(1, 65132, '\p{^Dt:   	sml}', "");
Expect(1, 65132, '\P{Dt:   	sml}', "");
Expect(0, 65132, '\P{^Dt:   	sml}', "");
Error('\p{Is_Decomposition_Type:	 /a/Small}');
Error('\P{Is_Decomposition_Type:	 /a/Small}');
Expect(1, 65131, '\p{Is_Decomposition_Type=small}', "");
Expect(0, 65131, '\p{^Is_Decomposition_Type=small}', "");
Expect(0, 65131, '\P{Is_Decomposition_Type=small}', "");
Expect(1, 65131, '\P{^Is_Decomposition_Type=small}', "");
Expect(0, 65132, '\p{Is_Decomposition_Type=small}', "");
Expect(1, 65132, '\p{^Is_Decomposition_Type=small}', "");
Expect(1, 65132, '\P{Is_Decomposition_Type=small}', "");
Expect(0, 65132, '\P{^Is_Decomposition_Type=small}', "");
Expect(1, 65131, '\p{Is_Decomposition_Type=__small}', "");
Expect(0, 65131, '\p{^Is_Decomposition_Type=__small}', "");
Expect(0, 65131, '\P{Is_Decomposition_Type=__small}', "");
Expect(1, 65131, '\P{^Is_Decomposition_Type=__small}', "");
Expect(0, 65132, '\p{Is_Decomposition_Type=__small}', "");
Expect(1, 65132, '\p{^Is_Decomposition_Type=__small}', "");
Expect(1, 65132, '\P{Is_Decomposition_Type=__small}', "");
Expect(0, 65132, '\P{^Is_Decomposition_Type=__small}', "");
Error('\p{Is_Dt=- sml/a/}');
Error('\P{Is_Dt=- sml/a/}');
Expect(1, 65131, '\p{Is_Dt=sml}', "");
Expect(0, 65131, '\p{^Is_Dt=sml}', "");
Expect(0, 65131, '\P{Is_Dt=sml}', "");
Expect(1, 65131, '\P{^Is_Dt=sml}', "");
Expect(0, 65132, '\p{Is_Dt=sml}', "");
Expect(1, 65132, '\p{^Is_Dt=sml}', "");
Expect(1, 65132, '\P{Is_Dt=sml}', "");
Expect(0, 65132, '\P{^Is_Dt=sml}', "");
Expect(1, 65131, '\p{Is_Dt= Sml}', "");
Expect(0, 65131, '\p{^Is_Dt= Sml}', "");
Expect(0, 65131, '\P{Is_Dt= Sml}', "");
Expect(1, 65131, '\P{^Is_Dt= Sml}', "");
Expect(0, 65132, '\p{Is_Dt= Sml}', "");
Expect(1, 65132, '\p{^Is_Dt= Sml}', "");
Expect(1, 65132, '\P{Is_Dt= Sml}', "");
Expect(0, 65132, '\P{^Is_Dt= Sml}', "");
Error('\p{Decomposition_Type=_-square/a/}');
Error('\P{Decomposition_Type=_-square/a/}');
Expect(1, 127546, '\p{Decomposition_Type=square}', "");
Expect(0, 127546, '\p{^Decomposition_Type=square}', "");
Expect(0, 127546, '\P{Decomposition_Type=square}', "");
Expect(1, 127546, '\P{^Decomposition_Type=square}', "");
Expect(0, 127547, '\p{Decomposition_Type=square}', "");
Expect(1, 127547, '\p{^Decomposition_Type=square}', "");
Expect(1, 127547, '\P{Decomposition_Type=square}', "");
Expect(0, 127547, '\P{^Decomposition_Type=square}', "");
Expect(1, 127546, '\p{Decomposition_Type=--SQUARE}', "");
Expect(0, 127546, '\p{^Decomposition_Type=--SQUARE}', "");
Expect(0, 127546, '\P{Decomposition_Type=--SQUARE}', "");
Expect(1, 127546, '\P{^Decomposition_Type=--SQUARE}', "");
Expect(0, 127547, '\p{Decomposition_Type=--SQUARE}', "");
Expect(1, 127547, '\p{^Decomposition_Type=--SQUARE}', "");
Expect(1, 127547, '\P{Decomposition_Type=--SQUARE}', "");
Expect(0, 127547, '\P{^Decomposition_Type=--SQUARE}', "");
Error('\p{Dt=/a/	 sqr}');
Error('\P{Dt=/a/	 sqr}');
Expect(1, 127546, '\p{Dt=sqr}', "");
Expect(0, 127546, '\p{^Dt=sqr}', "");
Expect(0, 127546, '\P{Dt=sqr}', "");
Expect(1, 127546, '\P{^Dt=sqr}', "");
Expect(0, 127547, '\p{Dt=sqr}', "");
Expect(1, 127547, '\p{^Dt=sqr}', "");
Expect(1, 127547, '\P{Dt=sqr}', "");
Expect(0, 127547, '\P{^Dt=sqr}', "");
Expect(1, 127546, '\p{Dt= SQR}', "");
Expect(0, 127546, '\p{^Dt= SQR}', "");
Expect(0, 127546, '\P{Dt= SQR}', "");
Expect(1, 127546, '\P{^Dt= SQR}', "");
Expect(0, 127547, '\p{Dt= SQR}', "");
Expect(1, 127547, '\p{^Dt= SQR}', "");
Expect(1, 127547, '\P{Dt= SQR}', "");
Expect(0, 127547, '\P{^Dt= SQR}', "");
Error('\p{Is_Decomposition_Type=:=Square}');
Error('\P{Is_Decomposition_Type=:=Square}');
Expect(1, 127546, '\p{Is_Decomposition_Type=square}', "");
Expect(0, 127546, '\p{^Is_Decomposition_Type=square}', "");
Expect(0, 127546, '\P{Is_Decomposition_Type=square}', "");
Expect(1, 127546, '\P{^Is_Decomposition_Type=square}', "");
Expect(0, 127547, '\p{Is_Decomposition_Type=square}', "");
Expect(1, 127547, '\p{^Is_Decomposition_Type=square}', "");
Expect(1, 127547, '\P{Is_Decomposition_Type=square}', "");
Expect(0, 127547, '\P{^Is_Decomposition_Type=square}', "");
Expect(1, 127546, '\p{Is_Decomposition_Type=_SQUARE}', "");
Expect(0, 127546, '\p{^Is_Decomposition_Type=_SQUARE}', "");
Expect(0, 127546, '\P{Is_Decomposition_Type=_SQUARE}', "");
Expect(1, 127546, '\P{^Is_Decomposition_Type=_SQUARE}', "");
Expect(0, 127547, '\p{Is_Decomposition_Type=_SQUARE}', "");
Expect(1, 127547, '\p{^Is_Decomposition_Type=_SQUARE}', "");
Expect(1, 127547, '\P{Is_Decomposition_Type=_SQUARE}', "");
Expect(0, 127547, '\P{^Is_Decomposition_Type=_SQUARE}', "");
Error('\p{Is_Dt=:=-_Sqr}');
Error('\P{Is_Dt=:=-_Sqr}');
Expect(1, 127546, '\p{Is_Dt=sqr}', "");
Expect(0, 127546, '\p{^Is_Dt=sqr}', "");
Expect(0, 127546, '\P{Is_Dt=sqr}', "");
Expect(1, 127546, '\P{^Is_Dt=sqr}', "");
Expect(0, 127547, '\p{Is_Dt=sqr}', "");
Expect(1, 127547, '\p{^Is_Dt=sqr}', "");
Expect(1, 127547, '\P{Is_Dt=sqr}', "");
Expect(0, 127547, '\P{^Is_Dt=sqr}', "");
Expect(1, 127546, '\p{Is_Dt=_-SQR}', "");
Expect(0, 127546, '\p{^Is_Dt=_-SQR}', "");
Expect(0, 127546, '\P{Is_Dt=_-SQR}', "");
Expect(1, 127546, '\P{^Is_Dt=_-SQR}', "");
Expect(0, 127547, '\p{Is_Dt=_-SQR}', "");
Expect(1, 127547, '\p{^Is_Dt=_-SQR}', "");
Expect(1, 127547, '\P{Is_Dt=_-SQR}', "");
Expect(0, 127547, '\P{^Is_Dt=_-SQR}', "");
Error('\p{Decomposition_Type=:=SUB}');
Error('\P{Decomposition_Type=:=SUB}');
Expect(1, 11388, '\p{Decomposition_Type=sub}', "");
Expect(0, 11388, '\p{^Decomposition_Type=sub}', "");
Expect(0, 11388, '\P{Decomposition_Type=sub}', "");
Expect(1, 11388, '\P{^Decomposition_Type=sub}', "");
Expect(0, 11389, '\p{Decomposition_Type=sub}', "");
Expect(1, 11389, '\p{^Decomposition_Type=sub}', "");
Expect(1, 11389, '\P{Decomposition_Type=sub}', "");
Expect(0, 11389, '\P{^Decomposition_Type=sub}', "");
Expect(1, 11388, '\p{Decomposition_Type:-	Sub}', "");
Expect(0, 11388, '\p{^Decomposition_Type:-	Sub}', "");
Expect(0, 11388, '\P{Decomposition_Type:-	Sub}', "");
Expect(1, 11388, '\P{^Decomposition_Type:-	Sub}', "");
Expect(0, 11389, '\p{Decomposition_Type:-	Sub}', "");
Expect(1, 11389, '\p{^Decomposition_Type:-	Sub}', "");
Expect(1, 11389, '\P{Decomposition_Type:-	Sub}', "");
Expect(0, 11389, '\P{^Decomposition_Type:-	Sub}', "");
Error('\p{Dt:/a/ Sub}');
Error('\P{Dt:/a/ Sub}');
Expect(1, 11388, '\p{Dt=sub}', "");
Expect(0, 11388, '\p{^Dt=sub}', "");
Expect(0, 11388, '\P{Dt=sub}', "");
Expect(1, 11388, '\P{^Dt=sub}', "");
Expect(0, 11389, '\p{Dt=sub}', "");
Expect(1, 11389, '\p{^Dt=sub}', "");
Expect(1, 11389, '\P{Dt=sub}', "");
Expect(0, 11389, '\P{^Dt=sub}', "");
Expect(1, 11388, '\p{Dt=	_Sub}', "");
Expect(0, 11388, '\p{^Dt=	_Sub}', "");
Expect(0, 11388, '\P{Dt=	_Sub}', "");
Expect(1, 11388, '\P{^Dt=	_Sub}', "");
Expect(0, 11389, '\p{Dt=	_Sub}', "");
Expect(1, 11389, '\p{^Dt=	_Sub}', "");
Expect(1, 11389, '\P{Dt=	_Sub}', "");
Expect(0, 11389, '\P{^Dt=	_Sub}', "");
Error('\p{Is_Decomposition_Type=_-Sub:=}');
Error('\P{Is_Decomposition_Type=_-Sub:=}');
Expect(1, 11388, '\p{Is_Decomposition_Type=sub}', "");
Expect(0, 11388, '\p{^Is_Decomposition_Type=sub}', "");
Expect(0, 11388, '\P{Is_Decomposition_Type=sub}', "");
Expect(1, 11388, '\P{^Is_Decomposition_Type=sub}', "");
Expect(0, 11389, '\p{Is_Decomposition_Type=sub}', "");
Expect(1, 11389, '\p{^Is_Decomposition_Type=sub}', "");
Expect(1, 11389, '\P{Is_Decomposition_Type=sub}', "");
Expect(0, 11389, '\P{^Is_Decomposition_Type=sub}', "");
Expect(1, 11388, '\p{Is_Decomposition_Type=- Sub}', "");
Expect(0, 11388, '\p{^Is_Decomposition_Type=- Sub}', "");
Expect(0, 11388, '\P{Is_Decomposition_Type=- Sub}', "");
Expect(1, 11388, '\P{^Is_Decomposition_Type=- Sub}', "");
Expect(0, 11389, '\p{Is_Decomposition_Type=- Sub}', "");
Expect(1, 11389, '\p{^Is_Decomposition_Type=- Sub}', "");
Expect(1, 11389, '\P{Is_Decomposition_Type=- Sub}', "");
Expect(0, 11389, '\P{^Is_Decomposition_Type=- Sub}', "");
Error('\p{Is_Dt=:=_Sub}');
Error('\P{Is_Dt=:=_Sub}');
Expect(1, 11388, '\p{Is_Dt=sub}', "");
Expect(0, 11388, '\p{^Is_Dt=sub}', "");
Expect(0, 11388, '\P{Is_Dt=sub}', "");
Expect(1, 11388, '\P{^Is_Dt=sub}', "");
Expect(0, 11389, '\p{Is_Dt=sub}', "");
Expect(1, 11389, '\p{^Is_Dt=sub}', "");
Expect(1, 11389, '\P{Is_Dt=sub}', "");
Expect(0, 11389, '\P{^Is_Dt=sub}', "");
Expect(1, 11388, '\p{Is_Dt=_-Sub}', "");
Expect(0, 11388, '\p{^Is_Dt=_-Sub}', "");
Expect(0, 11388, '\P{Is_Dt=_-Sub}', "");
Expect(1, 11388, '\P{^Is_Dt=_-Sub}', "");
Expect(0, 11389, '\p{Is_Dt=_-Sub}', "");
Expect(1, 11389, '\p{^Is_Dt=_-Sub}', "");
Expect(1, 11389, '\P{Is_Dt=_-Sub}', "");
Expect(0, 11389, '\P{^Is_Dt=_-Sub}', "");
Error('\p{Decomposition_Type=- super:=}');
Error('\P{Decomposition_Type=- super:=}');
Expect(1, 127339, '\p{Decomposition_Type=super}', "");
Expect(0, 127339, '\p{^Decomposition_Type=super}', "");
Expect(0, 127339, '\P{Decomposition_Type=super}', "");
Expect(1, 127339, '\P{^Decomposition_Type=super}', "");
Expect(0, 127340, '\p{Decomposition_Type=super}', "");
Expect(1, 127340, '\p{^Decomposition_Type=super}', "");
Expect(1, 127340, '\P{Decomposition_Type=super}', "");
Expect(0, 127340, '\P{^Decomposition_Type=super}', "");
Expect(1, 127339, '\p{Decomposition_Type= -Super}', "");
Expect(0, 127339, '\p{^Decomposition_Type= -Super}', "");
Expect(0, 127339, '\P{Decomposition_Type= -Super}', "");
Expect(1, 127339, '\P{^Decomposition_Type= -Super}', "");
Expect(0, 127340, '\p{Decomposition_Type= -Super}', "");
Expect(1, 127340, '\p{^Decomposition_Type= -Super}', "");
Expect(1, 127340, '\P{Decomposition_Type= -Super}', "");
Expect(0, 127340, '\P{^Decomposition_Type= -Super}', "");
Error('\p{Dt= /a/sup}');
Error('\P{Dt= /a/sup}');
Expect(1, 127339, '\p{Dt=sup}', "");
Expect(0, 127339, '\p{^Dt=sup}', "");
Expect(0, 127339, '\P{Dt=sup}', "");
Expect(1, 127339, '\P{^Dt=sup}', "");
Expect(0, 127340, '\p{Dt=sup}', "");
Expect(1, 127340, '\p{^Dt=sup}', "");
Expect(1, 127340, '\P{Dt=sup}', "");
Expect(0, 127340, '\P{^Dt=sup}', "");
Expect(1, 127339, '\p{Dt=- Sup}', "");
Expect(0, 127339, '\p{^Dt=- Sup}', "");
Expect(0, 127339, '\P{Dt=- Sup}', "");
Expect(1, 127339, '\P{^Dt=- Sup}', "");
Expect(0, 127340, '\p{Dt=- Sup}', "");
Expect(1, 127340, '\p{^Dt=- Sup}', "");
Expect(1, 127340, '\P{Dt=- Sup}', "");
Expect(0, 127340, '\P{^Dt=- Sup}', "");
Error('\p{Is_Decomposition_Type=/a/ -super}');
Error('\P{Is_Decomposition_Type=/a/ -super}');
Expect(1, 127339, '\p{Is_Decomposition_Type=super}', "");
Expect(0, 127339, '\p{^Is_Decomposition_Type=super}', "");
Expect(0, 127339, '\P{Is_Decomposition_Type=super}', "");
Expect(1, 127339, '\P{^Is_Decomposition_Type=super}', "");
Expect(0, 127340, '\p{Is_Decomposition_Type=super}', "");
Expect(1, 127340, '\p{^Is_Decomposition_Type=super}', "");
Expect(1, 127340, '\P{Is_Decomposition_Type=super}', "");
Expect(0, 127340, '\P{^Is_Decomposition_Type=super}', "");
Expect(1, 127339, '\p{Is_Decomposition_Type=-_Super}', "");
Expect(0, 127339, '\p{^Is_Decomposition_Type=-_Super}', "");
Expect(0, 127339, '\P{Is_Decomposition_Type=-_Super}', "");
Expect(1, 127339, '\P{^Is_Decomposition_Type=-_Super}', "");
Expect(0, 127340, '\p{Is_Decomposition_Type=-_Super}', "");
Expect(1, 127340, '\p{^Is_Decomposition_Type=-_Super}', "");
Expect(1, 127340, '\P{Is_Decomposition_Type=-_Super}', "");
Expect(0, 127340, '\P{^Is_Decomposition_Type=-_Super}', "");
Error('\p{Is_Dt=:=_	SUP}');
Error('\P{Is_Dt=:=_	SUP}');
Expect(1, 127339, '\p{Is_Dt=sup}', "");
Expect(0, 127339, '\p{^Is_Dt=sup}', "");
Expect(0, 127339, '\P{Is_Dt=sup}', "");
Expect(1, 127339, '\P{^Is_Dt=sup}', "");
Expect(0, 127340, '\p{Is_Dt=sup}', "");
Expect(1, 127340, '\p{^Is_Dt=sup}', "");
Expect(1, 127340, '\P{Is_Dt=sup}', "");
Expect(0, 127340, '\P{^Is_Dt=sup}', "");
Expect(1, 127339, '\p{Is_Dt:			Sup}', "");
Expect(0, 127339, '\p{^Is_Dt:			Sup}', "");
Expect(0, 127339, '\P{Is_Dt:			Sup}', "");
Expect(1, 127339, '\P{^Is_Dt:			Sup}', "");
Expect(0, 127340, '\p{Is_Dt:			Sup}', "");
Expect(1, 127340, '\p{^Is_Dt:			Sup}', "");
Expect(1, 127340, '\P{Is_Dt:			Sup}', "");
Expect(0, 127340, '\P{^Is_Dt:			Sup}', "");
Error('\p{Decomposition_Type=vertical:=}');
Error('\P{Decomposition_Type=vertical:=}');
Expect(1, 65096, '\p{Decomposition_Type=vertical}', "");
Expect(0, 65096, '\p{^Decomposition_Type=vertical}', "");
Expect(0, 65096, '\P{Decomposition_Type=vertical}', "");
Expect(1, 65096, '\P{^Decomposition_Type=vertical}', "");
Expect(0, 65097, '\p{Decomposition_Type=vertical}', "");
Expect(1, 65097, '\p{^Decomposition_Type=vertical}', "");
Expect(1, 65097, '\P{Decomposition_Type=vertical}', "");
Expect(0, 65097, '\P{^Decomposition_Type=vertical}', "");
Expect(1, 65096, '\p{Decomposition_Type=	-VERTICAL}', "");
Expect(0, 65096, '\p{^Decomposition_Type=	-VERTICAL}', "");
Expect(0, 65096, '\P{Decomposition_Type=	-VERTICAL}', "");
Expect(1, 65096, '\P{^Decomposition_Type=	-VERTICAL}', "");
Expect(0, 65097, '\p{Decomposition_Type=	-VERTICAL}', "");
Expect(1, 65097, '\p{^Decomposition_Type=	-VERTICAL}', "");
Expect(1, 65097, '\P{Decomposition_Type=	-VERTICAL}', "");
Expect(0, 65097, '\P{^Decomposition_Type=	-VERTICAL}', "");
Error('\p{Dt=:=_ Vert}');
Error('\P{Dt=:=_ Vert}');
Expect(1, 65096, '\p{Dt=vert}', "");
Expect(0, 65096, '\p{^Dt=vert}', "");
Expect(0, 65096, '\P{Dt=vert}', "");
Expect(1, 65096, '\P{^Dt=vert}', "");
Expect(0, 65097, '\p{Dt=vert}', "");
Expect(1, 65097, '\p{^Dt=vert}', "");
Expect(1, 65097, '\P{Dt=vert}', "");
Expect(0, 65097, '\P{^Dt=vert}', "");
Expect(1, 65096, '\p{Dt= _Vert}', "");
Expect(0, 65096, '\p{^Dt= _Vert}', "");
Expect(0, 65096, '\P{Dt= _Vert}', "");
Expect(1, 65096, '\P{^Dt= _Vert}', "");
Expect(0, 65097, '\p{Dt= _Vert}', "");
Expect(1, 65097, '\p{^Dt= _Vert}', "");
Expect(1, 65097, '\P{Dt= _Vert}', "");
Expect(0, 65097, '\P{^Dt= _Vert}', "");
Error('\p{Is_Decomposition_Type=-vertical/a/}');
Error('\P{Is_Decomposition_Type=-vertical/a/}');
Expect(1, 65096, '\p{Is_Decomposition_Type: vertical}', "");
Expect(0, 65096, '\p{^Is_Decomposition_Type: vertical}', "");
Expect(0, 65096, '\P{Is_Decomposition_Type: vertical}', "");
Expect(1, 65096, '\P{^Is_Decomposition_Type: vertical}', "");
Expect(0, 65097, '\p{Is_Decomposition_Type: vertical}', "");
Expect(1, 65097, '\p{^Is_Decomposition_Type: vertical}', "");
Expect(1, 65097, '\P{Is_Decomposition_Type: vertical}', "");
Expect(0, 65097, '\P{^Is_Decomposition_Type: vertical}', "");
Expect(1, 65096, '\p{Is_Decomposition_Type=-_Vertical}', "");
Expect(0, 65096, '\p{^Is_Decomposition_Type=-_Vertical}', "");
Expect(0, 65096, '\P{Is_Decomposition_Type=-_Vertical}', "");
Expect(1, 65096, '\P{^Is_Decomposition_Type=-_Vertical}', "");
Expect(0, 65097, '\p{Is_Decomposition_Type=-_Vertical}', "");
Expect(1, 65097, '\p{^Is_Decomposition_Type=-_Vertical}', "");
Expect(1, 65097, '\P{Is_Decomposition_Type=-_Vertical}', "");
Expect(0, 65097, '\P{^Is_Decomposition_Type=-_Vertical}', "");
Error('\p{Is_Dt=_:=Vert}');
Error('\P{Is_Dt=_:=Vert}');
Expect(1, 65096, '\p{Is_Dt:vert}', "");
Expect(0, 65096, '\p{^Is_Dt:vert}', "");
Expect(0, 65096, '\P{Is_Dt:vert}', "");
Expect(1, 65096, '\P{^Is_Dt:vert}', "");
Expect(0, 65097, '\p{Is_Dt:vert}', "");
Expect(1, 65097, '\p{^Is_Dt:vert}', "");
Expect(1, 65097, '\P{Is_Dt:vert}', "");
Expect(0, 65097, '\P{^Is_Dt:vert}', "");
Expect(1, 65096, '\p{Is_Dt=--vert}', "");
Expect(0, 65096, '\p{^Is_Dt=--vert}', "");
Expect(0, 65096, '\P{Is_Dt=--vert}', "");
Expect(1, 65096, '\P{^Is_Dt=--vert}', "");
Expect(0, 65097, '\p{Is_Dt=--vert}', "");
Expect(1, 65097, '\p{^Is_Dt=--vert}', "");
Expect(1, 65097, '\P{Is_Dt=--vert}', "");
Expect(0, 65097, '\P{^Is_Dt=--vert}', "");
Error('\p{Decomposition_Type=-	WIDE:=}');
Error('\P{Decomposition_Type=-	WIDE:=}');
Expect(1, 65510, '\p{Decomposition_Type=wide}', "");
Expect(0, 65510, '\p{^Decomposition_Type=wide}', "");
Expect(0, 65510, '\P{Decomposition_Type=wide}', "");
Expect(1, 65510, '\P{^Decomposition_Type=wide}', "");
Expect(0, 65511, '\p{Decomposition_Type=wide}', "");
Expect(1, 65511, '\p{^Decomposition_Type=wide}', "");
Expect(1, 65511, '\P{Decomposition_Type=wide}', "");
Expect(0, 65511, '\P{^Decomposition_Type=wide}', "");
Expect(1, 65510, '\p{Decomposition_Type=_	Wide}', "");
Expect(0, 65510, '\p{^Decomposition_Type=_	Wide}', "");
Expect(0, 65510, '\P{Decomposition_Type=_	Wide}', "");
Expect(1, 65510, '\P{^Decomposition_Type=_	Wide}', "");
Expect(0, 65511, '\p{Decomposition_Type=_	Wide}', "");
Expect(1, 65511, '\p{^Decomposition_Type=_	Wide}', "");
Expect(1, 65511, '\P{Decomposition_Type=_	Wide}', "");
Expect(0, 65511, '\P{^Decomposition_Type=_	Wide}', "");
Error('\p{Dt:   /a/	wide}');
Error('\P{Dt:   /a/	wide}');
Expect(1, 65510, '\p{Dt:	wide}', "");
Expect(0, 65510, '\p{^Dt:	wide}', "");
Expect(0, 65510, '\P{Dt:	wide}', "");
Expect(1, 65510, '\P{^Dt:	wide}', "");
Expect(0, 65511, '\p{Dt:	wide}', "");
Expect(1, 65511, '\p{^Dt:	wide}', "");
Expect(1, 65511, '\P{Dt:	wide}', "");
Expect(0, 65511, '\P{^Dt:	wide}', "");
Expect(1, 65510, '\p{Dt=		WIDE}', "");
Expect(0, 65510, '\p{^Dt=		WIDE}', "");
Expect(0, 65510, '\P{Dt=		WIDE}', "");
Expect(1, 65510, '\P{^Dt=		WIDE}', "");
Expect(0, 65511, '\p{Dt=		WIDE}', "");
Expect(1, 65511, '\p{^Dt=		WIDE}', "");
Expect(1, 65511, '\P{Dt=		WIDE}', "");
Expect(0, 65511, '\P{^Dt=		WIDE}', "");
Error('\p{Is_Decomposition_Type=_/a/WIDE}');
Error('\P{Is_Decomposition_Type=_/a/WIDE}');
Expect(1, 65510, '\p{Is_Decomposition_Type=wide}', "");
Expect(0, 65510, '\p{^Is_Decomposition_Type=wide}', "");
Expect(0, 65510, '\P{Is_Decomposition_Type=wide}', "");
Expect(1, 65510, '\P{^Is_Decomposition_Type=wide}', "");
Expect(0, 65511, '\p{Is_Decomposition_Type=wide}', "");
Expect(1, 65511, '\p{^Is_Decomposition_Type=wide}', "");
Expect(1, 65511, '\P{Is_Decomposition_Type=wide}', "");
Expect(0, 65511, '\P{^Is_Decomposition_Type=wide}', "");
Expect(1, 65510, '\p{Is_Decomposition_Type=__WIDE}', "");
Expect(0, 65510, '\p{^Is_Decomposition_Type=__WIDE}', "");
Expect(0, 65510, '\P{Is_Decomposition_Type=__WIDE}', "");
Expect(1, 65510, '\P{^Is_Decomposition_Type=__WIDE}', "");
Expect(0, 65511, '\p{Is_Decomposition_Type=__WIDE}', "");
Expect(1, 65511, '\p{^Is_Decomposition_Type=__WIDE}', "");
Expect(1, 65511, '\P{Is_Decomposition_Type=__WIDE}', "");
Expect(0, 65511, '\P{^Is_Decomposition_Type=__WIDE}', "");
Error('\p{Is_Dt=_-wide/a/}');
Error('\P{Is_Dt=_-wide/a/}');
Expect(1, 65510, '\p{Is_Dt=wide}', "");
Expect(0, 65510, '\p{^Is_Dt=wide}', "");
Expect(0, 65510, '\P{Is_Dt=wide}', "");
Expect(1, 65510, '\P{^Is_Dt=wide}', "");
Expect(0, 65511, '\p{Is_Dt=wide}', "");
Expect(1, 65511, '\p{^Is_Dt=wide}', "");
Expect(1, 65511, '\P{Is_Dt=wide}', "");
Expect(0, 65511, '\P{^Is_Dt=wide}', "");
Expect(1, 65510, '\p{Is_Dt=Wide}', "");
Expect(0, 65510, '\p{^Is_Dt=Wide}', "");
Expect(0, 65510, '\P{Is_Dt=Wide}', "");
Expect(1, 65510, '\P{^Is_Dt=Wide}', "");
Expect(0, 65511, '\p{Is_Dt=Wide}', "");
Expect(1, 65511, '\p{^Is_Dt=Wide}', "");
Expect(1, 65511, '\P{Is_Dt=Wide}', "");
Expect(0, 65511, '\P{^Is_Dt=Wide}', "");
Error('\p{East_Asian_Width:/a/_ Ambiguous}');
Error('\P{East_Asian_Width:/a/_ Ambiguous}');
Expect(1, 1114109, '\p{East_Asian_Width=ambiguous}', "");
Expect(0, 1114109, '\p{^East_Asian_Width=ambiguous}', "");
Expect(0, 1114109, '\P{East_Asian_Width=ambiguous}', "");
Expect(1, 1114109, '\P{^East_Asian_Width=ambiguous}', "");
Expect(0, 918000, '\p{East_Asian_Width=ambiguous}', "");
Expect(1, 918000, '\p{^East_Asian_Width=ambiguous}', "");
Expect(1, 918000, '\P{East_Asian_Width=ambiguous}', "");
Expect(0, 918000, '\P{^East_Asian_Width=ambiguous}', "");
Expect(1, 1114109, '\p{East_Asian_Width= _Ambiguous}', "");
Expect(0, 1114109, '\p{^East_Asian_Width= _Ambiguous}', "");
Expect(0, 1114109, '\P{East_Asian_Width= _Ambiguous}', "");
Expect(1, 1114109, '\P{^East_Asian_Width= _Ambiguous}', "");
Expect(0, 918000, '\p{East_Asian_Width= _Ambiguous}', "");
Expect(1, 918000, '\p{^East_Asian_Width= _Ambiguous}', "");
Expect(1, 918000, '\P{East_Asian_Width= _Ambiguous}', "");
Expect(0, 918000, '\P{^East_Asian_Width= _Ambiguous}', "");
Error('\p{Ea=A/a/}');
Error('\P{Ea=A/a/}');
Expect(1, 1114109, '\p{Ea=a}', "");
Expect(0, 1114109, '\p{^Ea=a}', "");
Expect(0, 1114109, '\P{Ea=a}', "");
Expect(1, 1114109, '\P{^Ea=a}', "");
Expect(0, 918000, '\p{Ea=a}', "");
Expect(1, 918000, '\p{^Ea=a}', "");
Expect(1, 918000, '\P{Ea=a}', "");
Expect(0, 918000, '\P{^Ea=a}', "");
Expect(1, 1114109, '\p{Ea=	_A}', "");
Expect(0, 1114109, '\p{^Ea=	_A}', "");
Expect(0, 1114109, '\P{Ea=	_A}', "");
Expect(1, 1114109, '\P{^Ea=	_A}', "");
Expect(0, 918000, '\p{Ea=	_A}', "");
Expect(1, 918000, '\p{^Ea=	_A}', "");
Expect(1, 918000, '\P{Ea=	_A}', "");
Expect(0, 918000, '\P{^Ea=	_A}', "");
Error('\p{Is_East_Asian_Width=/a/AMBIGUOUS}');
Error('\P{Is_East_Asian_Width=/a/AMBIGUOUS}');
Expect(1, 1114109, '\p{Is_East_Asian_Width:   ambiguous}', "");
Expect(0, 1114109, '\p{^Is_East_Asian_Width:   ambiguous}', "");
Expect(0, 1114109, '\P{Is_East_Asian_Width:   ambiguous}', "");
Expect(1, 1114109, '\P{^Is_East_Asian_Width:   ambiguous}', "");
Expect(0, 918000, '\p{Is_East_Asian_Width:   ambiguous}', "");
Expect(1, 918000, '\p{^Is_East_Asian_Width:   ambiguous}', "");
Expect(1, 918000, '\P{Is_East_Asian_Width:   ambiguous}', "");
Expect(0, 918000, '\P{^Is_East_Asian_Width:   ambiguous}', "");
Expect(1, 1114109, '\p{Is_East_Asian_Width=--Ambiguous}', "");
Expect(0, 1114109, '\p{^Is_East_Asian_Width=--Ambiguous}', "");
Expect(0, 1114109, '\P{Is_East_Asian_Width=--Ambiguous}', "");
Expect(1, 1114109, '\P{^Is_East_Asian_Width=--Ambiguous}', "");
Expect(0, 918000, '\p{Is_East_Asian_Width=--Ambiguous}', "");
Expect(1, 918000, '\p{^Is_East_Asian_Width=--Ambiguous}', "");
Expect(1, 918000, '\P{Is_East_Asian_Width=--Ambiguous}', "");
Expect(0, 918000, '\P{^Is_East_Asian_Width=--Ambiguous}', "");
Error('\p{Is_Ea=/a/A}');
Error('\P{Is_Ea=/a/A}');
Expect(1, 1114109, '\p{Is_Ea=a}', "");
Expect(0, 1114109, '\p{^Is_Ea=a}', "");
Expect(0, 1114109, '\P{Is_Ea=a}', "");
Expect(1, 1114109, '\P{^Is_Ea=a}', "");
Expect(0, 918000, '\p{Is_Ea=a}', "");
Expect(1, 918000, '\p{^Is_Ea=a}', "");
Expect(1, 918000, '\P{Is_Ea=a}', "");
Expect(0, 918000, '\P{^Is_Ea=a}', "");
Expect(1, 1114109, '\p{Is_Ea=- A}', "");
Expect(0, 1114109, '\p{^Is_Ea=- A}', "");
Expect(0, 1114109, '\P{Is_Ea=- A}', "");
Expect(1, 1114109, '\P{^Is_Ea=- A}', "");
Expect(0, 918000, '\p{Is_Ea=- A}', "");
Expect(1, 918000, '\p{^Is_Ea=- A}', "");
Expect(1, 918000, '\P{Is_Ea=- A}', "");
Expect(0, 918000, '\P{^Is_Ea=- A}', "");
Error('\p{East_Asian_Width=Fullwidth/a/}');
Error('\P{East_Asian_Width=Fullwidth/a/}');
Expect(1, 65510, '\p{East_Asian_Width=fullwidth}', "");
Expect(0, 65510, '\p{^East_Asian_Width=fullwidth}', "");
Expect(0, 65510, '\P{East_Asian_Width=fullwidth}', "");
Expect(1, 65510, '\P{^East_Asian_Width=fullwidth}', "");
Expect(0, 65511, '\p{East_Asian_Width=fullwidth}', "");
Expect(1, 65511, '\p{^East_Asian_Width=fullwidth}', "");
Expect(1, 65511, '\P{East_Asian_Width=fullwidth}', "");
Expect(0, 65511, '\P{^East_Asian_Width=fullwidth}', "");
Expect(1, 65510, '\p{East_Asian_Width=_	fullwidth}', "");
Expect(0, 65510, '\p{^East_Asian_Width=_	fullwidth}', "");
Expect(0, 65510, '\P{East_Asian_Width=_	fullwidth}', "");
Expect(1, 65510, '\P{^East_Asian_Width=_	fullwidth}', "");
Expect(0, 65511, '\p{East_Asian_Width=_	fullwidth}', "");
Expect(1, 65511, '\p{^East_Asian_Width=_	fullwidth}', "");
Expect(1, 65511, '\P{East_Asian_Width=_	fullwidth}', "");
Expect(0, 65511, '\P{^East_Asian_Width=_	fullwidth}', "");
Error('\p{Ea=-/a/F}');
Error('\P{Ea=-/a/F}');
Expect(1, 65510, '\p{Ea=f}', "");
Expect(0, 65510, '\p{^Ea=f}', "");
Expect(0, 65510, '\P{Ea=f}', "");
Expect(1, 65510, '\P{^Ea=f}', "");
Expect(0, 65511, '\p{Ea=f}', "");
Expect(1, 65511, '\p{^Ea=f}', "");
Expect(1, 65511, '\P{Ea=f}', "");
Expect(0, 65511, '\P{^Ea=f}', "");
Expect(1, 65510, '\p{Ea=_f}', "");
Expect(0, 65510, '\p{^Ea=_f}', "");
Expect(0, 65510, '\P{Ea=_f}', "");
Expect(1, 65510, '\P{^Ea=_f}', "");
Expect(0, 65511, '\p{Ea=_f}', "");
Expect(1, 65511, '\p{^Ea=_f}', "");
Expect(1, 65511, '\P{Ea=_f}', "");
Expect(0, 65511, '\P{^Ea=_f}', "");
Error('\p{Is_East_Asian_Width=:=	FULLWIDTH}');
Error('\P{Is_East_Asian_Width=:=	FULLWIDTH}');
Expect(1, 65510, '\p{Is_East_Asian_Width=fullwidth}', "");
Expect(0, 65510, '\p{^Is_East_Asian_Width=fullwidth}', "");
Expect(0, 65510, '\P{Is_East_Asian_Width=fullwidth}', "");
Expect(1, 65510, '\P{^Is_East_Asian_Width=fullwidth}', "");
Expect(0, 65511, '\p{Is_East_Asian_Width=fullwidth}', "");
Expect(1, 65511, '\p{^Is_East_Asian_Width=fullwidth}', "");
Expect(1, 65511, '\P{Is_East_Asian_Width=fullwidth}', "");
Expect(0, 65511, '\P{^Is_East_Asian_Width=fullwidth}', "");
Expect(1, 65510, '\p{Is_East_Asian_Width:--fullwidth}', "");
Expect(0, 65510, '\p{^Is_East_Asian_Width:--fullwidth}', "");
Expect(0, 65510, '\P{Is_East_Asian_Width:--fullwidth}', "");
Expect(1, 65510, '\P{^Is_East_Asian_Width:--fullwidth}', "");
Expect(0, 65511, '\p{Is_East_Asian_Width:--fullwidth}', "");
Expect(1, 65511, '\p{^Is_East_Asian_Width:--fullwidth}', "");
Expect(1, 65511, '\P{Is_East_Asian_Width:--fullwidth}', "");
Expect(0, 65511, '\P{^Is_East_Asian_Width:--fullwidth}', "");
Error('\p{Is_Ea=:= _f}');
Error('\P{Is_Ea=:= _f}');
Expect(1, 65510, '\p{Is_Ea=f}', "");
Expect(0, 65510, '\p{^Is_Ea=f}', "");
Expect(0, 65510, '\P{Is_Ea=f}', "");
Expect(1, 65510, '\P{^Is_Ea=f}', "");
Expect(0, 65511, '\p{Is_Ea=f}', "");
Expect(1, 65511, '\p{^Is_Ea=f}', "");
Expect(1, 65511, '\P{Is_Ea=f}', "");
Expect(0, 65511, '\P{^Is_Ea=f}', "");
Expect(1, 65510, '\p{Is_Ea: -f}', "");
Expect(0, 65510, '\p{^Is_Ea: -f}', "");
Expect(0, 65510, '\P{Is_Ea: -f}', "");
Expect(1, 65510, '\P{^Is_Ea: -f}', "");
Expect(0, 65511, '\p{Is_Ea: -f}', "");
Expect(1, 65511, '\p{^Is_Ea: -f}', "");
Expect(1, 65511, '\P{Is_Ea: -f}', "");
Expect(0, 65511, '\P{^Is_Ea: -f}', "");
Error('\p{East_Asian_Width=:=halfwidth}');
Error('\P{East_Asian_Width=:=halfwidth}');
Expect(1, 65518, '\p{East_Asian_Width=halfwidth}', "");
Expect(0, 65518, '\p{^East_Asian_Width=halfwidth}', "");
Expect(0, 65518, '\P{East_Asian_Width=halfwidth}', "");
Expect(1, 65518, '\P{^East_Asian_Width=halfwidth}', "");
Expect(0, 65519, '\p{East_Asian_Width=halfwidth}', "");
Expect(1, 65519, '\p{^East_Asian_Width=halfwidth}', "");
Expect(1, 65519, '\P{East_Asian_Width=halfwidth}', "");
Expect(0, 65519, '\P{^East_Asian_Width=halfwidth}', "");
Expect(1, 65518, '\p{East_Asian_Width=	-Halfwidth}', "");
Expect(0, 65518, '\p{^East_Asian_Width=	-Halfwidth}', "");
Expect(0, 65518, '\P{East_Asian_Width=	-Halfwidth}', "");
Expect(1, 65518, '\P{^East_Asian_Width=	-Halfwidth}', "");
Expect(0, 65519, '\p{East_Asian_Width=	-Halfwidth}', "");
Expect(1, 65519, '\p{^East_Asian_Width=	-Halfwidth}', "");
Expect(1, 65519, '\P{East_Asian_Width=	-Halfwidth}', "");
Expect(0, 65519, '\P{^East_Asian_Width=	-Halfwidth}', "");
Error('\p{Ea=-:=H}');
Error('\P{Ea=-:=H}');
Expect(1, 65518, '\p{Ea=h}', "");
Expect(0, 65518, '\p{^Ea=h}', "");
Expect(0, 65518, '\P{Ea=h}', "");
Expect(1, 65518, '\P{^Ea=h}', "");
Expect(0, 65519, '\p{Ea=h}', "");
Expect(1, 65519, '\p{^Ea=h}', "");
Expect(1, 65519, '\P{Ea=h}', "");
Expect(0, 65519, '\P{^Ea=h}', "");
Expect(1, 65518, '\p{Ea=_H}', "");
Expect(0, 65518, '\p{^Ea=_H}', "");
Expect(0, 65518, '\P{Ea=_H}', "");
Expect(1, 65518, '\P{^Ea=_H}', "");
Expect(0, 65519, '\p{Ea=_H}', "");
Expect(1, 65519, '\p{^Ea=_H}', "");
Expect(1, 65519, '\P{Ea=_H}', "");
Expect(0, 65519, '\P{^Ea=_H}', "");
Error('\p{Is_East_Asian_Width=Halfwidth:=}');
Error('\P{Is_East_Asian_Width=Halfwidth:=}');
Expect(1, 65518, '\p{Is_East_Asian_Width=halfwidth}', "");
Expect(0, 65518, '\p{^Is_East_Asian_Width=halfwidth}', "");
Expect(0, 65518, '\P{Is_East_Asian_Width=halfwidth}', "");
Expect(1, 65518, '\P{^Is_East_Asian_Width=halfwidth}', "");
Expect(0, 65519, '\p{Is_East_Asian_Width=halfwidth}', "");
Expect(1, 65519, '\p{^Is_East_Asian_Width=halfwidth}', "");
Expect(1, 65519, '\P{Is_East_Asian_Width=halfwidth}', "");
Expect(0, 65519, '\P{^Is_East_Asian_Width=halfwidth}', "");
Expect(1, 65518, '\p{Is_East_Asian_Width:    	HALFWIDTH}', "");
Expect(0, 65518, '\p{^Is_East_Asian_Width:    	HALFWIDTH}', "");
Expect(0, 65518, '\P{Is_East_Asian_Width:    	HALFWIDTH}', "");
Expect(1, 65518, '\P{^Is_East_Asian_Width:    	HALFWIDTH}', "");
Expect(0, 65519, '\p{Is_East_Asian_Width:    	HALFWIDTH}', "");
Expect(1, 65519, '\p{^Is_East_Asian_Width:    	HALFWIDTH}', "");
Expect(1, 65519, '\P{Is_East_Asian_Width:    	HALFWIDTH}', "");
Expect(0, 65519, '\P{^Is_East_Asian_Width:    	HALFWIDTH}', "");
Error('\p{Is_Ea=:=-H}');
Error('\P{Is_Ea=:=-H}');
Expect(1, 65518, '\p{Is_Ea:h}', "");
Expect(0, 65518, '\p{^Is_Ea:h}', "");
Expect(0, 65518, '\P{Is_Ea:h}', "");
Expect(1, 65518, '\P{^Is_Ea:h}', "");
Expect(0, 65519, '\p{Is_Ea:h}', "");
Expect(1, 65519, '\p{^Is_Ea:h}', "");
Expect(1, 65519, '\P{Is_Ea:h}', "");
Expect(0, 65519, '\P{^Is_Ea:h}', "");
Expect(1, 65518, '\p{Is_Ea=	-H}', "");
Expect(0, 65518, '\p{^Is_Ea=	-H}', "");
Expect(0, 65518, '\P{Is_Ea=	-H}', "");
Expect(1, 65518, '\P{^Is_Ea=	-H}', "");
Expect(0, 65519, '\p{Is_Ea=	-H}', "");
Expect(1, 65519, '\p{^Is_Ea=	-H}', "");
Expect(1, 65519, '\P{Is_Ea=	-H}', "");
Expect(0, 65519, '\P{^Is_Ea=	-H}', "");
Error('\p{East_Asian_Width=	:=Neutral}');
Error('\P{East_Asian_Width=	:=Neutral}');
Expect(1, 918000, '\p{East_Asian_Width=neutral}', "");
Expect(0, 918000, '\p{^East_Asian_Width=neutral}', "");
Expect(0, 918000, '\P{East_Asian_Width=neutral}', "");
Expect(1, 918000, '\P{^East_Asian_Width=neutral}', "");
Expect(0, 1114109, '\p{East_Asian_Width=neutral}', "");
Expect(1, 1114109, '\p{^East_Asian_Width=neutral}', "");
Expect(1, 1114109, '\P{East_Asian_Width=neutral}', "");
Expect(0, 1114109, '\P{^East_Asian_Width=neutral}', "");
Expect(1, 918000, '\p{East_Asian_Width=	 neutral}', "");
Expect(0, 918000, '\p{^East_Asian_Width=	 neutral}', "");
Expect(0, 918000, '\P{East_Asian_Width=	 neutral}', "");
Expect(1, 918000, '\P{^East_Asian_Width=	 neutral}', "");
Expect(0, 1114109, '\p{East_Asian_Width=	 neutral}', "");
Expect(1, 1114109, '\p{^East_Asian_Width=	 neutral}', "");
Expect(1, 1114109, '\P{East_Asian_Width=	 neutral}', "");
Expect(0, 1114109, '\P{^East_Asian_Width=	 neutral}', "");
Error('\p{Ea=/a/-	N}');
Error('\P{Ea=/a/-	N}');
Expect(1, 918000, '\p{Ea=n}', "");
Expect(0, 918000, '\p{^Ea=n}', "");
Expect(0, 918000, '\P{Ea=n}', "");
Expect(1, 918000, '\P{^Ea=n}', "");
Expect(0, 1114109, '\p{Ea=n}', "");
Expect(1, 1114109, '\p{^Ea=n}', "");
Expect(1, 1114109, '\P{Ea=n}', "");
Expect(0, 1114109, '\P{^Ea=n}', "");
Expect(1, 918000, '\p{Ea=-_n}', "");
Expect(0, 918000, '\p{^Ea=-_n}', "");
Expect(0, 918000, '\P{Ea=-_n}', "");
Expect(1, 918000, '\P{^Ea=-_n}', "");
Expect(0, 1114109, '\p{Ea=-_n}', "");
Expect(1, 1114109, '\p{^Ea=-_n}', "");
Expect(1, 1114109, '\P{Ea=-_n}', "");
Expect(0, 1114109, '\P{^Ea=-_n}', "");
Error('\p{Is_East_Asian_Width=/a/-Neutral}');
Error('\P{Is_East_Asian_Width=/a/-Neutral}');
Expect(1, 918000, '\p{Is_East_Asian_Width=neutral}', "");
Expect(0, 918000, '\p{^Is_East_Asian_Width=neutral}', "");
Expect(0, 918000, '\P{Is_East_Asian_Width=neutral}', "");
Expect(1, 918000, '\P{^Is_East_Asian_Width=neutral}', "");
Expect(0, 1114109, '\p{Is_East_Asian_Width=neutral}', "");
Expect(1, 1114109, '\p{^Is_East_Asian_Width=neutral}', "");
Expect(1, 1114109, '\P{Is_East_Asian_Width=neutral}', "");
Expect(0, 1114109, '\P{^Is_East_Asian_Width=neutral}', "");
Expect(1, 918000, '\p{Is_East_Asian_Width: 	 Neutral}', "");
Expect(0, 918000, '\p{^Is_East_Asian_Width: 	 Neutral}', "");
Expect(0, 918000, '\P{Is_East_Asian_Width: 	 Neutral}', "");
Expect(1, 918000, '\P{^Is_East_Asian_Width: 	 Neutral}', "");
Expect(0, 1114109, '\p{Is_East_Asian_Width: 	 Neutral}', "");
Expect(1, 1114109, '\p{^Is_East_Asian_Width: 	 Neutral}', "");
Expect(1, 1114109, '\P{Is_East_Asian_Width: 	 Neutral}', "");
Expect(0, 1114109, '\P{^Is_East_Asian_Width: 	 Neutral}', "");
Error('\p{Is_Ea=_/a/N}');
Error('\P{Is_Ea=_/a/N}');
Expect(1, 918000, '\p{Is_Ea=n}', "");
Expect(0, 918000, '\p{^Is_Ea=n}', "");
Expect(0, 918000, '\P{Is_Ea=n}', "");
Expect(1, 918000, '\P{^Is_Ea=n}', "");
Expect(0, 1114109, '\p{Is_Ea=n}', "");
Expect(1, 1114109, '\p{^Is_Ea=n}', "");
Expect(1, 1114109, '\P{Is_Ea=n}', "");
Expect(0, 1114109, '\P{^Is_Ea=n}', "");
Expect(1, 918000, '\p{Is_Ea=		N}', "");
Expect(0, 918000, '\p{^Is_Ea=		N}', "");
Expect(0, 918000, '\P{Is_Ea=		N}', "");
Expect(1, 918000, '\P{^Is_Ea=		N}', "");
Expect(0, 1114109, '\p{Is_Ea=		N}', "");
Expect(1, 1114109, '\p{^Is_Ea=		N}', "");
Expect(1, 1114109, '\P{Is_Ea=		N}', "");
Expect(0, 1114109, '\P{^Is_Ea=		N}', "");
Error('\p{East_Asian_Width=:=	 NARROW}');
Error('\P{East_Asian_Width=:=	 NARROW}');
Expect(1, 10630, '\p{East_Asian_Width=narrow}', "");
Expect(0, 10630, '\p{^East_Asian_Width=narrow}', "");
Expect(0, 10630, '\P{East_Asian_Width=narrow}', "");
Expect(1, 10630, '\P{^East_Asian_Width=narrow}', "");
Expect(0, 10631, '\p{East_Asian_Width=narrow}', "");
Expect(1, 10631, '\p{^East_Asian_Width=narrow}', "");
Expect(1, 10631, '\P{East_Asian_Width=narrow}', "");
Expect(0, 10631, '\P{^East_Asian_Width=narrow}', "");
Expect(1, 10630, '\p{East_Asian_Width=	NARROW}', "");
Expect(0, 10630, '\p{^East_Asian_Width=	NARROW}', "");
Expect(0, 10630, '\P{East_Asian_Width=	NARROW}', "");
Expect(1, 10630, '\P{^East_Asian_Width=	NARROW}', "");
Expect(0, 10631, '\p{East_Asian_Width=	NARROW}', "");
Expect(1, 10631, '\p{^East_Asian_Width=	NARROW}', "");
Expect(1, 10631, '\P{East_Asian_Width=	NARROW}', "");
Expect(0, 10631, '\P{^East_Asian_Width=	NARROW}', "");
Error('\p{Ea:	:=na}');
Error('\P{Ea:	:=na}');
Expect(1, 10630, '\p{Ea=na}', "");
Expect(0, 10630, '\p{^Ea=na}', "");
Expect(0, 10630, '\P{Ea=na}', "");
Expect(1, 10630, '\P{^Ea=na}', "");
Expect(0, 10631, '\p{Ea=na}', "");
Expect(1, 10631, '\p{^Ea=na}', "");
Expect(1, 10631, '\P{Ea=na}', "");
Expect(0, 10631, '\P{^Ea=na}', "");
Expect(1, 10630, '\p{Ea=-Na}', "");
Expect(0, 10630, '\p{^Ea=-Na}', "");
Expect(0, 10630, '\P{Ea=-Na}', "");
Expect(1, 10630, '\P{^Ea=-Na}', "");
Expect(0, 10631, '\p{Ea=-Na}', "");
Expect(1, 10631, '\p{^Ea=-Na}', "");
Expect(1, 10631, '\P{Ea=-Na}', "");
Expect(0, 10631, '\P{^Ea=-Na}', "");
Error('\p{Is_East_Asian_Width=/a/	 Narrow}');
Error('\P{Is_East_Asian_Width=/a/	 Narrow}');
Expect(1, 10630, '\p{Is_East_Asian_Width=narrow}', "");
Expect(0, 10630, '\p{^Is_East_Asian_Width=narrow}', "");
Expect(0, 10630, '\P{Is_East_Asian_Width=narrow}', "");
Expect(1, 10630, '\P{^Is_East_Asian_Width=narrow}', "");
Expect(0, 10631, '\p{Is_East_Asian_Width=narrow}', "");
Expect(1, 10631, '\p{^Is_East_Asian_Width=narrow}', "");
Expect(1, 10631, '\P{Is_East_Asian_Width=narrow}', "");
Expect(0, 10631, '\P{^Is_East_Asian_Width=narrow}', "");
Expect(1, 10630, '\p{Is_East_Asian_Width=NARROW}', "");
Expect(0, 10630, '\p{^Is_East_Asian_Width=NARROW}', "");
Expect(0, 10630, '\P{Is_East_Asian_Width=NARROW}', "");
Expect(1, 10630, '\P{^Is_East_Asian_Width=NARROW}', "");
Expect(0, 10631, '\p{Is_East_Asian_Width=NARROW}', "");
Expect(1, 10631, '\p{^Is_East_Asian_Width=NARROW}', "");
Expect(1, 10631, '\P{Is_East_Asian_Width=NARROW}', "");
Expect(0, 10631, '\P{^Is_East_Asian_Width=NARROW}', "");
Error('\p{Is_Ea= 	na/a/}');
Error('\P{Is_Ea= 	na/a/}');
Expect(1, 10630, '\p{Is_Ea=na}', "");
Expect(0, 10630, '\p{^Is_Ea=na}', "");
Expect(0, 10630, '\P{Is_Ea=na}', "");
Expect(1, 10630, '\P{^Is_Ea=na}', "");
Expect(0, 10631, '\p{Is_Ea=na}', "");
Expect(1, 10631, '\p{^Is_Ea=na}', "");
Expect(1, 10631, '\P{Is_Ea=na}', "");
Expect(0, 10631, '\P{^Is_Ea=na}', "");
Expect(1, 10630, '\p{Is_Ea=-_Na}', "");
Expect(0, 10630, '\p{^Is_Ea=-_Na}', "");
Expect(0, 10630, '\P{Is_Ea=-_Na}', "");
Expect(1, 10630, '\P{^Is_Ea=-_Na}', "");
Expect(0, 10631, '\p{Is_Ea=-_Na}', "");
Expect(1, 10631, '\p{^Is_Ea=-_Na}', "");
Expect(1, 10631, '\P{Is_Ea=-_Na}', "");
Expect(0, 10631, '\P{^Is_Ea=-_Na}', "");
Error('\p{East_Asian_Width=-:=Wide}');
Error('\P{East_Asian_Width=-:=Wide}');
Expect(1, 262141, '\p{East_Asian_Width=wide}', "");
Expect(0, 262141, '\p{^East_Asian_Width=wide}', "");
Expect(0, 262141, '\P{East_Asian_Width=wide}', "");
Expect(1, 262141, '\P{^East_Asian_Width=wide}', "");
Expect(0, 262144, '\p{East_Asian_Width=wide}', "");
Expect(1, 262144, '\p{^East_Asian_Width=wide}', "");
Expect(1, 262144, '\P{East_Asian_Width=wide}', "");
Expect(0, 262144, '\P{^East_Asian_Width=wide}', "");
Expect(1, 262141, '\p{East_Asian_Width: -	Wide}', "");
Expect(0, 262141, '\p{^East_Asian_Width: -	Wide}', "");
Expect(0, 262141, '\P{East_Asian_Width: -	Wide}', "");
Expect(1, 262141, '\P{^East_Asian_Width: -	Wide}', "");
Expect(0, 262144, '\p{East_Asian_Width: -	Wide}', "");
Expect(1, 262144, '\p{^East_Asian_Width: -	Wide}', "");
Expect(1, 262144, '\P{East_Asian_Width: -	Wide}', "");
Expect(0, 262144, '\P{^East_Asian_Width: -	Wide}', "");
Error('\p{Ea:	w:=}');
Error('\P{Ea:	w:=}');
Expect(1, 262141, '\p{Ea:	w}', "");
Expect(0, 262141, '\p{^Ea:	w}', "");
Expect(0, 262141, '\P{Ea:	w}', "");
Expect(1, 262141, '\P{^Ea:	w}', "");
Expect(0, 262144, '\p{Ea:	w}', "");
Expect(1, 262144, '\p{^Ea:	w}', "");
Expect(1, 262144, '\P{Ea:	w}', "");
Expect(0, 262144, '\P{^Ea:	w}', "");
Expect(1, 262141, '\p{Ea:   _ w}', "");
Expect(0, 262141, '\p{^Ea:   _ w}', "");
Expect(0, 262141, '\P{Ea:   _ w}', "");
Expect(1, 262141, '\P{^Ea:   _ w}', "");
Expect(0, 262144, '\p{Ea:   _ w}', "");
Expect(1, 262144, '\p{^Ea:   _ w}', "");
Expect(1, 262144, '\P{Ea:   _ w}', "");
Expect(0, 262144, '\P{^Ea:   _ w}', "");
Error('\p{Is_East_Asian_Width=_/a/WIDE}');
Error('\P{Is_East_Asian_Width=_/a/WIDE}');
Expect(1, 262141, '\p{Is_East_Asian_Width=wide}', "");
Expect(0, 262141, '\p{^Is_East_Asian_Width=wide}', "");
Expect(0, 262141, '\P{Is_East_Asian_Width=wide}', "");
Expect(1, 262141, '\P{^Is_East_Asian_Width=wide}', "");
Expect(0, 262144, '\p{Is_East_Asian_Width=wide}', "");
Expect(1, 262144, '\p{^Is_East_Asian_Width=wide}', "");
Expect(1, 262144, '\P{Is_East_Asian_Width=wide}', "");
Expect(0, 262144, '\P{^Is_East_Asian_Width=wide}', "");
Expect(1, 262141, '\p{Is_East_Asian_Width= _WIDE}', "");
Expect(0, 262141, '\p{^Is_East_Asian_Width= _WIDE}', "");
Expect(0, 262141, '\P{Is_East_Asian_Width= _WIDE}', "");
Expect(1, 262141, '\P{^Is_East_Asian_Width= _WIDE}', "");
Expect(0, 262144, '\p{Is_East_Asian_Width= _WIDE}', "");
Expect(1, 262144, '\p{^Is_East_Asian_Width= _WIDE}', "");
Expect(1, 262144, '\P{Is_East_Asian_Width= _WIDE}', "");
Expect(0, 262144, '\P{^Is_East_Asian_Width= _WIDE}', "");
Error('\p{Is_Ea: 	_W:=}');
Error('\P{Is_Ea: 	_W:=}');
Expect(1, 262141, '\p{Is_Ea: w}', "");
Expect(0, 262141, '\p{^Is_Ea: w}', "");
Expect(0, 262141, '\P{Is_Ea: w}', "");
Expect(1, 262141, '\P{^Is_Ea: w}', "");
Expect(0, 262144, '\p{Is_Ea: w}', "");
Expect(1, 262144, '\p{^Is_Ea: w}', "");
Expect(1, 262144, '\P{Is_Ea: w}', "");
Expect(0, 262144, '\P{^Is_Ea: w}', "");
Expect(1, 262141, '\p{Is_Ea=- W}', "");
Expect(0, 262141, '\p{^Is_Ea=- W}', "");
Expect(0, 262141, '\P{Is_Ea=- W}', "");
Expect(1, 262141, '\P{^Is_Ea=- W}', "");
Expect(0, 262144, '\p{Is_Ea=- W}', "");
Expect(1, 262144, '\p{^Is_Ea=- W}', "");
Expect(1, 262144, '\P{Is_Ea=- W}', "");
Expect(0, 262144, '\P{^Is_Ea=- W}', "");
Error('\p{General_Category=-/a/Other}');
Error('\P{General_Category=-/a/Other}');
Expect(1, 918000, '\p{General_Category=other}', "");
Expect(0, 918000, '\p{^General_Category=other}', "");
Expect(0, 918000, '\P{General_Category=other}', "");
Expect(1, 918000, '\P{^General_Category=other}', "");
Expect(0, 917999, '\p{General_Category=other}', "");
Expect(1, 917999, '\p{^General_Category=other}', "");
Expect(1, 917999, '\P{General_Category=other}', "");
Expect(0, 917999, '\P{^General_Category=other}', "");
Expect(1, 918000, '\p{General_Category= _OTHER}', "");
Expect(0, 918000, '\p{^General_Category= _OTHER}', "");
Expect(0, 918000, '\P{General_Category= _OTHER}', "");
Expect(1, 918000, '\P{^General_Category= _OTHER}', "");
Expect(0, 917999, '\p{General_Category= _OTHER}', "");
Expect(1, 917999, '\p{^General_Category= _OTHER}', "");
Expect(1, 917999, '\P{General_Category= _OTHER}', "");
Expect(0, 917999, '\P{^General_Category= _OTHER}', "");
Error('\p{Gc=-/a/C}');
Error('\P{Gc=-/a/C}');
Expect(1, 918000, '\p{Gc=c}', "");
Expect(0, 918000, '\p{^Gc=c}', "");
Expect(0, 918000, '\P{Gc=c}', "");
Expect(1, 918000, '\P{^Gc=c}', "");
Expect(0, 917999, '\p{Gc=c}', "");
Expect(1, 917999, '\p{^Gc=c}', "");
Expect(1, 917999, '\P{Gc=c}', "");
Expect(0, 917999, '\P{^Gc=c}', "");
Expect(1, 918000, '\p{Gc=-C}', "");
Expect(0, 918000, '\p{^Gc=-C}', "");
Expect(0, 918000, '\P{Gc=-C}', "");
Expect(1, 918000, '\P{^Gc=-C}', "");
Expect(0, 917999, '\p{Gc=-C}', "");
Expect(1, 917999, '\p{^Gc=-C}', "");
Expect(1, 917999, '\P{Gc=-C}', "");
Expect(0, 917999, '\P{^Gc=-C}', "");
Error('\p{Category=:=Other}');
Error('\P{Category=:=Other}');
Expect(1, 918000, '\p{Category=other}', "");
Expect(0, 918000, '\p{^Category=other}', "");
Expect(0, 918000, '\P{Category=other}', "");
Expect(1, 918000, '\P{^Category=other}', "");
Expect(0, 917999, '\p{Category=other}', "");
Expect(1, 917999, '\p{^Category=other}', "");
Expect(1, 917999, '\P{Category=other}', "");
Expect(0, 917999, '\P{^Category=other}', "");
Expect(1, 918000, '\p{Category=  Other}', "");
Expect(0, 918000, '\p{^Category=  Other}', "");
Expect(0, 918000, '\P{Category=  Other}', "");
Expect(1, 918000, '\P{^Category=  Other}', "");
Expect(0, 917999, '\p{Category=  Other}', "");
Expect(1, 917999, '\p{^Category=  Other}', "");
Expect(1, 917999, '\P{Category=  Other}', "");
Expect(0, 917999, '\P{^Category=  Other}', "");
Error('\p{Is_General_Category:	_ C:=}');
Error('\P{Is_General_Category:	_ C:=}');
Expect(1, 918000, '\p{Is_General_Category=c}', "");
Expect(0, 918000, '\p{^Is_General_Category=c}', "");
Expect(0, 918000, '\P{Is_General_Category=c}', "");
Expect(1, 918000, '\P{^Is_General_Category=c}', "");
Expect(0, 917999, '\p{Is_General_Category=c}', "");
Expect(1, 917999, '\p{^Is_General_Category=c}', "");
Expect(1, 917999, '\P{Is_General_Category=c}', "");
Expect(0, 917999, '\P{^Is_General_Category=c}', "");
Expect(1, 918000, '\p{Is_General_Category=	C}', "");
Expect(0, 918000, '\p{^Is_General_Category=	C}', "");
Expect(0, 918000, '\P{Is_General_Category=	C}', "");
Expect(1, 918000, '\P{^Is_General_Category=	C}', "");
Expect(0, 917999, '\p{Is_General_Category=	C}', "");
Expect(1, 917999, '\p{^Is_General_Category=	C}', "");
Expect(1, 917999, '\P{Is_General_Category=	C}', "");
Expect(0, 917999, '\P{^Is_General_Category=	C}', "");
Error('\p{Is_Gc= :=Other}');
Error('\P{Is_Gc= :=Other}');
Expect(1, 918000, '\p{Is_Gc=other}', "");
Expect(0, 918000, '\p{^Is_Gc=other}', "");
Expect(0, 918000, '\P{Is_Gc=other}', "");
Expect(1, 918000, '\P{^Is_Gc=other}', "");
Expect(0, 917999, '\p{Is_Gc=other}', "");
Expect(1, 917999, '\p{^Is_Gc=other}', "");
Expect(1, 917999, '\P{Is_Gc=other}', "");
Expect(0, 917999, '\P{^Is_Gc=other}', "");
Expect(1, 918000, '\p{Is_Gc=	 other}', "");
Expect(0, 918000, '\p{^Is_Gc=	 other}', "");
Expect(0, 918000, '\P{Is_Gc=	 other}', "");
Expect(1, 918000, '\P{^Is_Gc=	 other}', "");
Expect(0, 917999, '\p{Is_Gc=	 other}', "");
Expect(1, 917999, '\p{^Is_Gc=	 other}', "");
Expect(1, 917999, '\P{Is_Gc=	 other}', "");
Expect(0, 917999, '\P{^Is_Gc=	 other}', "");
Error('\p{Is_Category=- C/a/}');
Error('\P{Is_Category=- C/a/}');
Expect(1, 918000, '\p{Is_Category=c}', "");
Expect(0, 918000, '\p{^Is_Category=c}', "");
Expect(0, 918000, '\P{Is_Category=c}', "");
Expect(1, 918000, '\P{^Is_Category=c}', "");
Expect(0, 917999, '\p{Is_Category=c}', "");
Expect(1, 917999, '\p{^Is_Category=c}', "");
Expect(1, 917999, '\P{Is_Category=c}', "");
Expect(0, 917999, '\P{^Is_Category=c}', "");
Expect(1, 918000, '\p{Is_Category=	C}', "");
Expect(0, 918000, '\p{^Is_Category=	C}', "");
Expect(0, 918000, '\P{Is_Category=	C}', "");
Expect(1, 918000, '\P{^Is_Category=	C}', "");
Expect(0, 917999, '\p{Is_Category=	C}', "");
Expect(1, 917999, '\p{^Is_Category=	C}', "");
Expect(1, 917999, '\P{Is_Category=	C}', "");
Expect(0, 917999, '\P{^Is_Category=	C}', "");
Error('\p{General_Category=-_Control:=}');
Error('\P{General_Category=-_Control:=}');
Expect(1, 159, '\p{General_Category=control}', "");
Expect(0, 159, '\p{^General_Category=control}', "");
Expect(0, 159, '\P{General_Category=control}', "");
Expect(1, 159, '\P{^General_Category=control}', "");
Expect(0, 160, '\p{General_Category=control}', "");
Expect(1, 160, '\p{^General_Category=control}', "");
Expect(1, 160, '\P{General_Category=control}', "");
Expect(0, 160, '\P{^General_Category=control}', "");
Expect(1, 159, '\p{General_Category:   	CONTROL}', "");
Expect(0, 159, '\p{^General_Category:   	CONTROL}', "");
Expect(0, 159, '\P{General_Category:   	CONTROL}', "");
Expect(1, 159, '\P{^General_Category:   	CONTROL}', "");
Expect(0, 160, '\p{General_Category:   	CONTROL}', "");
Expect(1, 160, '\p{^General_Category:   	CONTROL}', "");
Expect(1, 160, '\P{General_Category:   	CONTROL}', "");
Expect(0, 160, '\P{^General_Category:   	CONTROL}', "");
Error('\p{Gc=/a/_	cc}');
Error('\P{Gc=/a/_	cc}');
Expect(1, 159, '\p{Gc=cc}', "");
Expect(0, 159, '\p{^Gc=cc}', "");
Expect(0, 159, '\P{Gc=cc}', "");
Expect(1, 159, '\P{^Gc=cc}', "");
Expect(0, 160, '\p{Gc=cc}', "");
Expect(1, 160, '\p{^Gc=cc}', "");
Expect(1, 160, '\P{Gc=cc}', "");
Expect(0, 160, '\P{^Gc=cc}', "");
Expect(1, 159, '\p{Gc=	cc}', "");
Expect(0, 159, '\p{^Gc=	cc}', "");
Expect(0, 159, '\P{Gc=	cc}', "");
Expect(1, 159, '\P{^Gc=	cc}', "");
Expect(0, 160, '\p{Gc=	cc}', "");
Expect(1, 160, '\p{^Gc=	cc}', "");
Expect(1, 160, '\P{Gc=	cc}', "");
Expect(0, 160, '\P{^Gc=	cc}', "");
Error('\p{Category=/a/_Cntrl}');
Error('\P{Category=/a/_Cntrl}');
Expect(1, 159, '\p{Category=cntrl}', "");
Expect(0, 159, '\p{^Category=cntrl}', "");
Expect(0, 159, '\P{Category=cntrl}', "");
Expect(1, 159, '\P{^Category=cntrl}', "");
Expect(0, 160, '\p{Category=cntrl}', "");
Expect(1, 160, '\p{^Category=cntrl}', "");
Expect(1, 160, '\P{Category=cntrl}', "");
Expect(0, 160, '\P{^Category=cntrl}', "");
Expect(1, 159, '\p{Category=--CNTRL}', "");
Expect(0, 159, '\p{^Category=--CNTRL}', "");
Expect(0, 159, '\P{Category=--CNTRL}', "");
Expect(1, 159, '\P{^Category=--CNTRL}', "");
Expect(0, 160, '\p{Category=--CNTRL}', "");
Expect(1, 160, '\p{^Category=--CNTRL}', "");
Expect(1, 160, '\P{Category=--CNTRL}', "");
Expect(0, 160, '\P{^Category=--CNTRL}', "");
Error('\p{Is_General_Category:  -Control/a/}');
Error('\P{Is_General_Category:  -Control/a/}');
Expect(1, 159, '\p{Is_General_Category=control}', "");
Expect(0, 159, '\p{^Is_General_Category=control}', "");
Expect(0, 159, '\P{Is_General_Category=control}', "");
Expect(1, 159, '\P{^Is_General_Category=control}', "");
Expect(0, 160, '\p{Is_General_Category=control}', "");
Expect(1, 160, '\p{^Is_General_Category=control}', "");
Expect(1, 160, '\P{Is_General_Category=control}', "");
Expect(0, 160, '\P{^Is_General_Category=control}', "");
Expect(1, 159, '\p{Is_General_Category=_	control}', "");
Expect(0, 159, '\p{^Is_General_Category=_	control}', "");
Expect(0, 159, '\P{Is_General_Category=_	control}', "");
Expect(1, 159, '\P{^Is_General_Category=_	control}', "");
Expect(0, 160, '\p{Is_General_Category=_	control}', "");
Expect(1, 160, '\p{^Is_General_Category=_	control}', "");
Expect(1, 160, '\P{Is_General_Category=_	control}', "");
Expect(0, 160, '\P{^Is_General_Category=_	control}', "");
Error('\p{Is_Gc=	_Cc/a/}');
Error('\P{Is_Gc=	_Cc/a/}');
Expect(1, 159, '\p{Is_Gc: cc}', "");
Expect(0, 159, '\p{^Is_Gc: cc}', "");
Expect(0, 159, '\P{Is_Gc: cc}', "");
Expect(1, 159, '\P{^Is_Gc: cc}', "");
Expect(0, 160, '\p{Is_Gc: cc}', "");
Expect(1, 160, '\p{^Is_Gc: cc}', "");
Expect(1, 160, '\P{Is_Gc: cc}', "");
Expect(0, 160, '\P{^Is_Gc: cc}', "");
Expect(1, 159, '\p{Is_Gc=  Cc}', "");
Expect(0, 159, '\p{^Is_Gc=  Cc}', "");
Expect(0, 159, '\P{Is_Gc=  Cc}', "");
Expect(1, 159, '\P{^Is_Gc=  Cc}', "");
Expect(0, 160, '\p{Is_Gc=  Cc}', "");
Expect(1, 160, '\p{^Is_Gc=  Cc}', "");
Expect(1, 160, '\P{Is_Gc=  Cc}', "");
Expect(0, 160, '\P{^Is_Gc=  Cc}', "");
Error('\p{Is_Category=:= _CNTRL}');
Error('\P{Is_Category=:= _CNTRL}');
Expect(1, 159, '\p{Is_Category=cntrl}', "");
Expect(0, 159, '\p{^Is_Category=cntrl}', "");
Expect(0, 159, '\P{Is_Category=cntrl}', "");
Expect(1, 159, '\P{^Is_Category=cntrl}', "");
Expect(0, 160, '\p{Is_Category=cntrl}', "");
Expect(1, 160, '\p{^Is_Category=cntrl}', "");
Expect(1, 160, '\P{Is_Category=cntrl}', "");
Expect(0, 160, '\P{^Is_Category=cntrl}', "");
Expect(1, 159, '\p{Is_Category=	-CNTRL}', "");
Expect(0, 159, '\p{^Is_Category=	-CNTRL}', "");
Expect(0, 159, '\P{Is_Category=	-CNTRL}', "");
Expect(1, 159, '\P{^Is_Category=	-CNTRL}', "");
Expect(0, 160, '\p{Is_Category=	-CNTRL}', "");
Expect(1, 160, '\p{^Is_Category=	-CNTRL}', "");
Expect(1, 160, '\P{Is_Category=	-CNTRL}', "");
Expect(0, 160, '\P{^Is_Category=	-CNTRL}', "");
Error('\p{General_Category= :=FORMAT}');
Error('\P{General_Category= :=FORMAT}');
Expect(1, 917631, '\p{General_Category=format}', "");
Expect(0, 917631, '\p{^General_Category=format}', "");
Expect(0, 917631, '\P{General_Category=format}', "");
Expect(1, 917631, '\P{^General_Category=format}', "");
Expect(0, 917632, '\p{General_Category=format}', "");
Expect(1, 917632, '\p{^General_Category=format}', "");
Expect(1, 917632, '\P{General_Category=format}', "");
Expect(0, 917632, '\P{^General_Category=format}', "");
Expect(1, 917631, '\p{General_Category=-_FORMAT}', "");
Expect(0, 917631, '\p{^General_Category=-_FORMAT}', "");
Expect(0, 917631, '\P{General_Category=-_FORMAT}', "");
Expect(1, 917631, '\P{^General_Category=-_FORMAT}', "");
Expect(0, 917632, '\p{General_Category=-_FORMAT}', "");
Expect(1, 917632, '\p{^General_Category=-_FORMAT}', "");
Expect(1, 917632, '\P{General_Category=-_FORMAT}', "");
Expect(0, 917632, '\P{^General_Category=-_FORMAT}', "");
Error('\p{Gc= Cf:=}');
Error('\P{Gc= Cf:=}');
Expect(1, 917631, '\p{Gc=cf}', "");
Expect(0, 917631, '\p{^Gc=cf}', "");
Expect(0, 917631, '\P{Gc=cf}', "");
Expect(1, 917631, '\P{^Gc=cf}', "");
Expect(0, 917632, '\p{Gc=cf}', "");
Expect(1, 917632, '\p{^Gc=cf}', "");
Expect(1, 917632, '\P{Gc=cf}', "");
Expect(0, 917632, '\P{^Gc=cf}', "");
Expect(1, 917631, '\p{Gc=	cf}', "");
Expect(0, 917631, '\p{^Gc=	cf}', "");
Expect(0, 917631, '\P{Gc=	cf}', "");
Expect(1, 917631, '\P{^Gc=	cf}', "");
Expect(0, 917632, '\p{Gc=	cf}', "");
Expect(1, 917632, '\p{^Gc=	cf}', "");
Expect(1, 917632, '\P{Gc=	cf}', "");
Expect(0, 917632, '\P{^Gc=	cf}', "");
Error('\p{Category=/a/	format}');
Error('\P{Category=/a/	format}');
Expect(1, 917631, '\p{Category=format}', "");
Expect(0, 917631, '\p{^Category=format}', "");
Expect(0, 917631, '\P{Category=format}', "");
Expect(1, 917631, '\P{^Category=format}', "");
Expect(0, 917632, '\p{Category=format}', "");
Expect(1, 917632, '\p{^Category=format}', "");
Expect(1, 917632, '\P{Category=format}', "");
Expect(0, 917632, '\P{^Category=format}', "");
Expect(1, 917631, '\p{Category=		FORMAT}', "");
Expect(0, 917631, '\p{^Category=		FORMAT}', "");
Expect(0, 917631, '\P{Category=		FORMAT}', "");
Expect(1, 917631, '\P{^Category=		FORMAT}', "");
Expect(0, 917632, '\p{Category=		FORMAT}', "");
Expect(1, 917632, '\p{^Category=		FORMAT}', "");
Expect(1, 917632, '\P{Category=		FORMAT}', "");
Expect(0, 917632, '\P{^Category=		FORMAT}', "");
Error('\p{Is_General_Category=/a/Cf}');
Error('\P{Is_General_Category=/a/Cf}');
Expect(1, 917631, '\p{Is_General_Category=cf}', "");
Expect(0, 917631, '\p{^Is_General_Category=cf}', "");
Expect(0, 917631, '\P{Is_General_Category=cf}', "");
Expect(1, 917631, '\P{^Is_General_Category=cf}', "");
Expect(0, 917632, '\p{Is_General_Category=cf}', "");
Expect(1, 917632, '\p{^Is_General_Category=cf}', "");
Expect(1, 917632, '\P{Is_General_Category=cf}', "");
Expect(0, 917632, '\P{^Is_General_Category=cf}', "");
Expect(1, 917631, '\p{Is_General_Category=_ CF}', "");
Expect(0, 917631, '\p{^Is_General_Category=_ CF}', "");
Expect(0, 917631, '\P{Is_General_Category=_ CF}', "");
Expect(1, 917631, '\P{^Is_General_Category=_ CF}', "");
Expect(0, 917632, '\p{Is_General_Category=_ CF}', "");
Expect(1, 917632, '\p{^Is_General_Category=_ CF}', "");
Expect(1, 917632, '\P{Is_General_Category=_ CF}', "");
Expect(0, 917632, '\P{^Is_General_Category=_ CF}', "");
Error('\p{Is_Gc=-_FORMAT:=}');
Error('\P{Is_Gc=-_FORMAT:=}');
Expect(1, 917631, '\p{Is_Gc:format}', "");
Expect(0, 917631, '\p{^Is_Gc:format}', "");
Expect(0, 917631, '\P{Is_Gc:format}', "");
Expect(1, 917631, '\P{^Is_Gc:format}', "");
Expect(0, 917632, '\p{Is_Gc:format}', "");
Expect(1, 917632, '\p{^Is_Gc:format}', "");
Expect(1, 917632, '\P{Is_Gc:format}', "");
Expect(0, 917632, '\P{^Is_Gc:format}', "");
Expect(1, 917631, '\p{Is_Gc=	format}', "");
Expect(0, 917631, '\p{^Is_Gc=	format}', "");
Expect(0, 917631, '\P{Is_Gc=	format}', "");
Expect(1, 917631, '\P{^Is_Gc=	format}', "");
Expect(0, 917632, '\p{Is_Gc=	format}', "");
Expect(1, 917632, '\p{^Is_Gc=	format}', "");
Expect(1, 917632, '\P{Is_Gc=	format}', "");
Expect(0, 917632, '\P{^Is_Gc=	format}', "");
Error('\p{Is_Category=:=Cf}');
Error('\P{Is_Category=:=Cf}');
Expect(1, 917631, '\p{Is_Category=cf}', "");
Expect(0, 917631, '\p{^Is_Category=cf}', "");
Expect(0, 917631, '\P{Is_Category=cf}', "");
Expect(1, 917631, '\P{^Is_Category=cf}', "");
Expect(0, 917632, '\p{Is_Category=cf}', "");
Expect(1, 917632, '\p{^Is_Category=cf}', "");
Expect(1, 917632, '\P{Is_Category=cf}', "");
Expect(0, 917632, '\P{^Is_Category=cf}', "");
Expect(1, 917631, '\p{Is_Category= Cf}', "");
Expect(0, 917631, '\p{^Is_Category= Cf}', "");
Expect(0, 917631, '\P{Is_Category= Cf}', "");
Expect(1, 917631, '\P{^Is_Category= Cf}', "");
Expect(0, 917632, '\p{Is_Category= Cf}', "");
Expect(1, 917632, '\p{^Is_Category= Cf}', "");
Expect(1, 917632, '\P{Is_Category= Cf}', "");
Expect(0, 917632, '\P{^Is_Category= Cf}', "");
Error('\p{General_Category=	-Unassigned:=}');
Error('\P{General_Category=	-Unassigned:=}');
Expect(1, 918000, '\p{General_Category=unassigned}', "");
Expect(0, 918000, '\p{^General_Category=unassigned}', "");
Expect(0, 918000, '\P{General_Category=unassigned}', "");
Expect(1, 918000, '\P{^General_Category=unassigned}', "");
Expect(0, 1114109, '\p{General_Category=unassigned}', "");
Expect(1, 1114109, '\p{^General_Category=unassigned}', "");
Expect(1, 1114109, '\P{General_Category=unassigned}', "");
Expect(0, 1114109, '\P{^General_Category=unassigned}', "");
Expect(1, 918000, '\p{General_Category= unassigned}', "");
Expect(0, 918000, '\p{^General_Category= unassigned}', "");
Expect(0, 918000, '\P{General_Category= unassigned}', "");
Expect(1, 918000, '\P{^General_Category= unassigned}', "");
Expect(0, 1114109, '\p{General_Category= unassigned}', "");
Expect(1, 1114109, '\p{^General_Category= unassigned}', "");
Expect(1, 1114109, '\P{General_Category= unassigned}', "");
Expect(0, 1114109, '\P{^General_Category= unassigned}', "");
Error('\p{Gc:	_/a/cn}');
Error('\P{Gc:	_/a/cn}');
Expect(1, 918000, '\p{Gc=cn}', "");
Expect(0, 918000, '\p{^Gc=cn}', "");
Expect(0, 918000, '\P{Gc=cn}', "");
Expect(1, 918000, '\P{^Gc=cn}', "");
Expect(0, 1114109, '\p{Gc=cn}', "");
Expect(1, 1114109, '\p{^Gc=cn}', "");
Expect(1, 1114109, '\P{Gc=cn}', "");
Expect(0, 1114109, '\P{^Gc=cn}', "");
Expect(1, 918000, '\p{Gc=	Cn}', "");
Expect(0, 918000, '\p{^Gc=	Cn}', "");
Expect(0, 918000, '\P{Gc=	Cn}', "");
Expect(1, 918000, '\P{^Gc=	Cn}', "");
Expect(0, 1114109, '\p{Gc=	Cn}', "");
Expect(1, 1114109, '\p{^Gc=	Cn}', "");
Expect(1, 1114109, '\P{Gc=	Cn}', "");
Expect(0, 1114109, '\P{^Gc=	Cn}', "");
Error('\p{Category=-	unassigned/a/}');
Error('\P{Category=-	unassigned/a/}');
Expect(1, 918000, '\p{Category=unassigned}', "");
Expect(0, 918000, '\p{^Category=unassigned}', "");
Expect(0, 918000, '\P{Category=unassigned}', "");
Expect(1, 918000, '\P{^Category=unassigned}', "");
Expect(0, 1114109, '\p{Category=unassigned}', "");
Expect(1, 1114109, '\p{^Category=unassigned}', "");
Expect(1, 1114109, '\P{Category=unassigned}', "");
Expect(0, 1114109, '\P{^Category=unassigned}', "");
Expect(1, 918000, '\p{Category= 	Unassigned}', "");
Expect(0, 918000, '\p{^Category= 	Unassigned}', "");
Expect(0, 918000, '\P{Category= 	Unassigned}', "");
Expect(1, 918000, '\P{^Category= 	Unassigned}', "");
Expect(0, 1114109, '\p{Category= 	Unassigned}', "");
Expect(1, 1114109, '\p{^Category= 	Unassigned}', "");
Expect(1, 1114109, '\P{Category= 	Unassigned}', "");
Expect(0, 1114109, '\P{^Category= 	Unassigned}', "");
Error('\p{Is_General_Category=	:=Cn}');
Error('\P{Is_General_Category=	:=Cn}');
Expect(1, 918000, '\p{Is_General_Category=cn}', "");
Expect(0, 918000, '\p{^Is_General_Category=cn}', "");
Expect(0, 918000, '\P{Is_General_Category=cn}', "");
Expect(1, 918000, '\P{^Is_General_Category=cn}', "");
Expect(0, 1114109, '\p{Is_General_Category=cn}', "");
Expect(1, 1114109, '\p{^Is_General_Category=cn}', "");
Expect(1, 1114109, '\P{Is_General_Category=cn}', "");
Expect(0, 1114109, '\P{^Is_General_Category=cn}', "");
Expect(1, 918000, '\p{Is_General_Category= cn}', "");
Expect(0, 918000, '\p{^Is_General_Category= cn}', "");
Expect(0, 918000, '\P{Is_General_Category= cn}', "");
Expect(1, 918000, '\P{^Is_General_Category= cn}', "");
Expect(0, 1114109, '\p{Is_General_Category= cn}', "");
Expect(1, 1114109, '\p{^Is_General_Category= cn}', "");
Expect(1, 1114109, '\P{Is_General_Category= cn}', "");
Expect(0, 1114109, '\P{^Is_General_Category= cn}', "");
Error('\p{Is_Gc=	 unassigned:=}');
Error('\P{Is_Gc=	 unassigned:=}');
Expect(1, 918000, '\p{Is_Gc=unassigned}', "");
Expect(0, 918000, '\p{^Is_Gc=unassigned}', "");
Expect(0, 918000, '\P{Is_Gc=unassigned}', "");
Expect(1, 918000, '\P{^Is_Gc=unassigned}', "");
Expect(0, 1114109, '\p{Is_Gc=unassigned}', "");
Expect(1, 1114109, '\p{^Is_Gc=unassigned}', "");
Expect(1, 1114109, '\P{Is_Gc=unassigned}', "");
Expect(0, 1114109, '\P{^Is_Gc=unassigned}', "");
Expect(1, 918000, '\p{Is_Gc=	Unassigned}', "");
Expect(0, 918000, '\p{^Is_Gc=	Unassigned}', "");
Expect(0, 918000, '\P{Is_Gc=	Unassigned}', "");
Expect(1, 918000, '\P{^Is_Gc=	Unassigned}', "");
Expect(0, 1114109, '\p{Is_Gc=	Unassigned}', "");
Expect(1, 1114109, '\p{^Is_Gc=	Unassigned}', "");
Expect(1, 1114109, '\P{Is_Gc=	Unassigned}', "");
Expect(0, 1114109, '\P{^Is_Gc=	Unassigned}', "");
Error('\p{Is_Category=	cn/a/}');
Error('\P{Is_Category=	cn/a/}');
Expect(1, 918000, '\p{Is_Category=cn}', "");
Expect(0, 918000, '\p{^Is_Category=cn}', "");
Expect(0, 918000, '\P{Is_Category=cn}', "");
Expect(1, 918000, '\P{^Is_Category=cn}', "");
Expect(0, 1114109, '\p{Is_Category=cn}', "");
Expect(1, 1114109, '\p{^Is_Category=cn}', "");
Expect(1, 1114109, '\P{Is_Category=cn}', "");
Expect(0, 1114109, '\P{^Is_Category=cn}', "");
Expect(1, 918000, '\p{Is_Category=-_Cn}', "");
Expect(0, 918000, '\p{^Is_Category=-_Cn}', "");
Expect(0, 918000, '\P{Is_Category=-_Cn}', "");
Expect(1, 918000, '\P{^Is_Category=-_Cn}', "");
Expect(0, 1114109, '\p{Is_Category=-_Cn}', "");
Expect(1, 1114109, '\p{^Is_Category=-_Cn}', "");
Expect(1, 1114109, '\P{Is_Category=-_Cn}', "");
Expect(0, 1114109, '\P{^Is_Category=-_Cn}', "");
Error('\p{General_Category=/a/	_PRIVATE_use}');
Error('\P{General_Category=/a/	_PRIVATE_use}');
Expect(1, 1114109, '\p{General_Category=privateuse}', "");
Expect(0, 1114109, '\p{^General_Category=privateuse}', "");
Expect(0, 1114109, '\P{General_Category=privateuse}', "");
Expect(1, 1114109, '\P{^General_Category=privateuse}', "");
Expect(0, 63744, '\p{General_Category=privateuse}', "");
Expect(1, 63744, '\p{^General_Category=privateuse}', "");
Expect(1, 63744, '\P{General_Category=privateuse}', "");
Expect(0, 63744, '\P{^General_Category=privateuse}', "");
Expect(1, 1114109, '\p{General_Category=__Private_USE}', "");
Expect(0, 1114109, '\p{^General_Category=__Private_USE}', "");
Expect(0, 1114109, '\P{General_Category=__Private_USE}', "");
Expect(1, 1114109, '\P{^General_Category=__Private_USE}', "");
Expect(0, 63744, '\p{General_Category=__Private_USE}', "");
Expect(1, 63744, '\p{^General_Category=__Private_USE}', "");
Expect(1, 63744, '\P{General_Category=__Private_USE}', "");
Expect(0, 63744, '\P{^General_Category=__Private_USE}', "");
Error('\p{Gc=_Co/a/}');
Error('\P{Gc=_Co/a/}');
Expect(1, 1114109, '\p{Gc=co}', "");
Expect(0, 1114109, '\p{^Gc=co}', "");
Expect(0, 1114109, '\P{Gc=co}', "");
Expect(1, 1114109, '\P{^Gc=co}', "");
Expect(0, 63744, '\p{Gc=co}', "");
Expect(1, 63744, '\p{^Gc=co}', "");
Expect(1, 63744, '\P{Gc=co}', "");
Expect(0, 63744, '\P{^Gc=co}', "");
Expect(1, 1114109, '\p{Gc:   --Co}', "");
Expect(0, 1114109, '\p{^Gc:   --Co}', "");
Expect(0, 1114109, '\P{Gc:   --Co}', "");
Expect(1, 1114109, '\P{^Gc:   --Co}', "");
Expect(0, 63744, '\p{Gc:   --Co}', "");
Expect(1, 63744, '\p{^Gc:   --Co}', "");
Expect(1, 63744, '\P{Gc:   --Co}', "");
Expect(0, 63744, '\P{^Gc:   --Co}', "");
Error('\p{Category=-_PRIVATE_use:=}');
Error('\P{Category=-_PRIVATE_use:=}');
Expect(1, 1114109, '\p{Category=privateuse}', "");
Expect(0, 1114109, '\p{^Category=privateuse}', "");
Expect(0, 1114109, '\P{Category=privateuse}', "");
Expect(1, 1114109, '\P{^Category=privateuse}', "");
Expect(0, 63744, '\p{Category=privateuse}', "");
Expect(1, 63744, '\p{^Category=privateuse}', "");
Expect(1, 63744, '\P{Category=privateuse}', "");
Expect(0, 63744, '\P{^Category=privateuse}', "");
Expect(1, 1114109, '\p{Category=--Private_use}', "");
Expect(0, 1114109, '\p{^Category=--Private_use}', "");
Expect(0, 1114109, '\P{Category=--Private_use}', "");
Expect(1, 1114109, '\P{^Category=--Private_use}', "");
Expect(0, 63744, '\p{Category=--Private_use}', "");
Expect(1, 63744, '\p{^Category=--Private_use}', "");
Expect(1, 63744, '\P{Category=--Private_use}', "");
Expect(0, 63744, '\P{^Category=--Private_use}', "");
Error('\p{Is_General_Category=/a/Co}');
Error('\P{Is_General_Category=/a/Co}');
Expect(1, 1114109, '\p{Is_General_Category=co}', "");
Expect(0, 1114109, '\p{^Is_General_Category=co}', "");
Expect(0, 1114109, '\P{Is_General_Category=co}', "");
Expect(1, 1114109, '\P{^Is_General_Category=co}', "");
Expect(0, 63744, '\p{Is_General_Category=co}', "");
Expect(1, 63744, '\p{^Is_General_Category=co}', "");
Expect(1, 63744, '\P{Is_General_Category=co}', "");
Expect(0, 63744, '\P{^Is_General_Category=co}', "");
Expect(1, 1114109, '\p{Is_General_Category=	 Co}', "");
Expect(0, 1114109, '\p{^Is_General_Category=	 Co}', "");
Expect(0, 1114109, '\P{Is_General_Category=	 Co}', "");
Expect(1, 1114109, '\P{^Is_General_Category=	 Co}', "");
Expect(0, 63744, '\p{Is_General_Category=	 Co}', "");
Expect(1, 63744, '\p{^Is_General_Category=	 Co}', "");
Expect(1, 63744, '\P{Is_General_Category=	 Co}', "");
Expect(0, 63744, '\P{^Is_General_Category=	 Co}', "");
Error('\p{Is_Gc:/a/ Private_Use}');
Error('\P{Is_Gc:/a/ Private_Use}');
Expect(1, 1114109, '\p{Is_Gc=privateuse}', "");
Expect(0, 1114109, '\p{^Is_Gc=privateuse}', "");
Expect(0, 1114109, '\P{Is_Gc=privateuse}', "");
Expect(1, 1114109, '\P{^Is_Gc=privateuse}', "");
Expect(0, 63744, '\p{Is_Gc=privateuse}', "");
Expect(1, 63744, '\p{^Is_Gc=privateuse}', "");
Expect(1, 63744, '\P{Is_Gc=privateuse}', "");
Expect(0, 63744, '\P{^Is_Gc=privateuse}', "");
Expect(1, 1114109, '\p{Is_Gc=  Private_Use}', "");
Expect(0, 1114109, '\p{^Is_Gc=  Private_Use}', "");
Expect(0, 1114109, '\P{Is_Gc=  Private_Use}', "");
Expect(1, 1114109, '\P{^Is_Gc=  Private_Use}', "");
Expect(0, 63744, '\p{Is_Gc=  Private_Use}', "");
Expect(1, 63744, '\p{^Is_Gc=  Private_Use}', "");
Expect(1, 63744, '\P{Is_Gc=  Private_Use}', "");
Expect(0, 63744, '\P{^Is_Gc=  Private_Use}', "");
Error('\p{Is_Category:	 /a/co}');
Error('\P{Is_Category:	 /a/co}');
Expect(1, 1114109, '\p{Is_Category=co}', "");
Expect(0, 1114109, '\p{^Is_Category=co}', "");
Expect(0, 1114109, '\P{Is_Category=co}', "");
Expect(1, 1114109, '\P{^Is_Category=co}', "");
Expect(0, 63744, '\p{Is_Category=co}', "");
Expect(1, 63744, '\p{^Is_Category=co}', "");
Expect(1, 63744, '\P{Is_Category=co}', "");
Expect(0, 63744, '\P{^Is_Category=co}', "");
Expect(1, 1114109, '\p{Is_Category=__Co}', "");
Expect(0, 1114109, '\p{^Is_Category=__Co}', "");
Expect(0, 1114109, '\P{Is_Category=__Co}', "");
Expect(1, 1114109, '\P{^Is_Category=__Co}', "");
Expect(0, 63744, '\p{Is_Category=__Co}', "");
Expect(1, 63744, '\p{^Is_Category=__Co}', "");
Expect(1, 63744, '\P{Is_Category=__Co}', "");
Expect(0, 63744, '\P{^Is_Category=__Co}', "");
Error('\p{General_Category:   /a/	-surrogate}');
Error('\P{General_Category:   /a/	-surrogate}');
Expect(1, 57343, '\p{General_Category=surrogate}', "");
Expect(0, 57343, '\p{^General_Category=surrogate}', "");
Expect(0, 57343, '\P{General_Category=surrogate}', "");
Expect(1, 57343, '\P{^General_Category=surrogate}', "");
Expect(0, 57344, '\p{General_Category=surrogate}', "");
Expect(1, 57344, '\p{^General_Category=surrogate}', "");
Expect(1, 57344, '\P{General_Category=surrogate}', "");
Expect(0, 57344, '\P{^General_Category=surrogate}', "");
Expect(1, 57343, '\p{General_Category=__SURROGATE}', "");
Expect(0, 57343, '\p{^General_Category=__SURROGATE}', "");
Expect(0, 57343, '\P{General_Category=__SURROGATE}', "");
Expect(1, 57343, '\P{^General_Category=__SURROGATE}', "");
Expect(0, 57344, '\p{General_Category=__SURROGATE}', "");
Expect(1, 57344, '\p{^General_Category=__SURROGATE}', "");
Expect(1, 57344, '\P{General_Category=__SURROGATE}', "");
Expect(0, 57344, '\P{^General_Category=__SURROGATE}', "");
Error('\p{Gc=:=__Cs}');
Error('\P{Gc=:=__Cs}');
Expect(1, 57343, '\p{Gc=cs}', "");
Expect(0, 57343, '\p{^Gc=cs}', "");
Expect(0, 57343, '\P{Gc=cs}', "");
Expect(1, 57343, '\P{^Gc=cs}', "");
Expect(0, 57344, '\p{Gc=cs}', "");
Expect(1, 57344, '\p{^Gc=cs}', "");
Expect(1, 57344, '\P{Gc=cs}', "");
Expect(0, 57344, '\P{^Gc=cs}', "");
Expect(1, 57343, '\p{Gc=	 CS}', "");
Expect(0, 57343, '\p{^Gc=	 CS}', "");
Expect(0, 57343, '\P{Gc=	 CS}', "");
Expect(1, 57343, '\P{^Gc=	 CS}', "");
Expect(0, 57344, '\p{Gc=	 CS}', "");
Expect(1, 57344, '\p{^Gc=	 CS}', "");
Expect(1, 57344, '\P{Gc=	 CS}', "");
Expect(0, 57344, '\P{^Gc=	 CS}', "");
Error('\p{Category=:=-SURROGATE}');
Error('\P{Category=:=-SURROGATE}');
Expect(1, 57343, '\p{Category=surrogate}', "");
Expect(0, 57343, '\p{^Category=surrogate}', "");
Expect(0, 57343, '\P{Category=surrogate}', "");
Expect(1, 57343, '\P{^Category=surrogate}', "");
Expect(0, 57344, '\p{Category=surrogate}', "");
Expect(1, 57344, '\p{^Category=surrogate}', "");
Expect(1, 57344, '\P{Category=surrogate}', "");
Expect(0, 57344, '\P{^Category=surrogate}', "");
Expect(1, 57343, '\p{Category: -Surrogate}', "");
Expect(0, 57343, '\p{^Category: -Surrogate}', "");
Expect(0, 57343, '\P{Category: -Surrogate}', "");
Expect(1, 57343, '\P{^Category: -Surrogate}', "");
Expect(0, 57344, '\p{Category: -Surrogate}', "");
Expect(1, 57344, '\p{^Category: -Surrogate}', "");
Expect(1, 57344, '\P{Category: -Surrogate}', "");
Expect(0, 57344, '\P{^Category: -Surrogate}', "");
Error('\p{Is_General_Category=	_cs/a/}');
Error('\P{Is_General_Category=	_cs/a/}');
Expect(1, 57343, '\p{Is_General_Category:cs}', "");
Expect(0, 57343, '\p{^Is_General_Category:cs}', "");
Expect(0, 57343, '\P{Is_General_Category:cs}', "");
Expect(1, 57343, '\P{^Is_General_Category:cs}', "");
Expect(0, 57344, '\p{Is_General_Category:cs}', "");
Expect(1, 57344, '\p{^Is_General_Category:cs}', "");
Expect(1, 57344, '\P{Is_General_Category:cs}', "");
Expect(0, 57344, '\P{^Is_General_Category:cs}', "");
Expect(1, 57343, '\p{Is_General_Category=	 Cs}', "");
Expect(0, 57343, '\p{^Is_General_Category=	 Cs}', "");
Expect(0, 57343, '\P{Is_General_Category=	 Cs}', "");
Expect(1, 57343, '\P{^Is_General_Category=	 Cs}', "");
Expect(0, 57344, '\p{Is_General_Category=	 Cs}', "");
Expect(1, 57344, '\p{^Is_General_Category=	 Cs}', "");
Expect(1, 57344, '\P{Is_General_Category=	 Cs}', "");
Expect(0, 57344, '\P{^Is_General_Category=	 Cs}', "");
Error('\p{Is_Gc= /a/SURROGATE}');
Error('\P{Is_Gc= /a/SURROGATE}');
Expect(1, 57343, '\p{Is_Gc=surrogate}', "");
Expect(0, 57343, '\p{^Is_Gc=surrogate}', "");
Expect(0, 57343, '\P{Is_Gc=surrogate}', "");
Expect(1, 57343, '\P{^Is_Gc=surrogate}', "");
Expect(0, 57344, '\p{Is_Gc=surrogate}', "");
Expect(1, 57344, '\p{^Is_Gc=surrogate}', "");
Expect(1, 57344, '\P{Is_Gc=surrogate}', "");
Expect(0, 57344, '\P{^Is_Gc=surrogate}', "");
Expect(1, 57343, '\p{Is_Gc=-SURROGATE}', "");
Expect(0, 57343, '\p{^Is_Gc=-SURROGATE}', "");
Expect(0, 57343, '\P{Is_Gc=-SURROGATE}', "");
Expect(1, 57343, '\P{^Is_Gc=-SURROGATE}', "");
Expect(0, 57344, '\p{Is_Gc=-SURROGATE}', "");
Expect(1, 57344, '\p{^Is_Gc=-SURROGATE}', "");
Expect(1, 57344, '\P{Is_Gc=-SURROGATE}', "");
Expect(0, 57344, '\P{^Is_Gc=-SURROGATE}', "");
Error('\p{Is_Category=/a/	cs}');
Error('\P{Is_Category=/a/	cs}');
Expect(1, 57343, '\p{Is_Category:cs}', "");
Expect(0, 57343, '\p{^Is_Category:cs}', "");
Expect(0, 57343, '\P{Is_Category:cs}', "");
Expect(1, 57343, '\P{^Is_Category:cs}', "");
Expect(0, 57344, '\p{Is_Category:cs}', "");
Expect(1, 57344, '\p{^Is_Category:cs}', "");
Expect(1, 57344, '\P{Is_Category:cs}', "");
Expect(0, 57344, '\P{^Is_Category:cs}', "");
Expect(1, 57343, '\p{Is_Category: 	 Cs}', "");
Expect(0, 57343, '\p{^Is_Category: 	 Cs}', "");
Expect(0, 57343, '\P{Is_Category: 	 Cs}', "");
Expect(1, 57343, '\P{^Is_Category: 	 Cs}', "");
Expect(0, 57344, '\p{Is_Category: 	 Cs}', "");
Expect(1, 57344, '\p{^Is_Category: 	 Cs}', "");
Expect(1, 57344, '\P{Is_Category: 	 Cs}', "");
Expect(0, 57344, '\P{^Is_Category: 	 Cs}', "");
Error('\p{General_Category=_	Letter:=}');
Error('\P{General_Category=_	Letter:=}');
Expect(1, 195101, '\p{General_Category=letter}', "");
Expect(0, 195101, '\p{^General_Category=letter}', "");
Expect(0, 195101, '\P{General_Category=letter}', "");
Expect(1, 195101, '\P{^General_Category=letter}', "");
Expect(0, 195102, '\p{General_Category=letter}', "");
Expect(1, 195102, '\p{^General_Category=letter}', "");
Expect(1, 195102, '\P{General_Category=letter}', "");
Expect(0, 195102, '\P{^General_Category=letter}', "");
Expect(1, 195101, '\p{General_Category=--Letter}', "");
Expect(0, 195101, '\p{^General_Category=--Letter}', "");
Expect(0, 195101, '\P{General_Category=--Letter}', "");
Expect(1, 195101, '\P{^General_Category=--Letter}', "");
Expect(0, 195102, '\p{General_Category=--Letter}', "");
Expect(1, 195102, '\p{^General_Category=--Letter}', "");
Expect(1, 195102, '\P{General_Category=--Letter}', "");
Expect(0, 195102, '\P{^General_Category=--Letter}', "");
Error('\p{Gc=/a/ -L}');
Error('\P{Gc=/a/ -L}');
Expect(1, 195101, '\p{Gc=l}', "");
Expect(0, 195101, '\p{^Gc=l}', "");
Expect(0, 195101, '\P{Gc=l}', "");
Expect(1, 195101, '\P{^Gc=l}', "");
Expect(0, 195102, '\p{Gc=l}', "");
Expect(1, 195102, '\p{^Gc=l}', "");
Expect(1, 195102, '\P{Gc=l}', "");
Expect(0, 195102, '\P{^Gc=l}', "");
Expect(1, 195101, '\p{Gc= l}', "");
Expect(0, 195101, '\p{^Gc= l}', "");
Expect(0, 195101, '\P{Gc= l}', "");
Expect(1, 195101, '\P{^Gc= l}', "");
Expect(0, 195102, '\p{Gc= l}', "");
Expect(1, 195102, '\p{^Gc= l}', "");
Expect(1, 195102, '\P{Gc= l}', "");
Expect(0, 195102, '\P{^Gc= l}', "");
Error('\p{Category=/a/_	LETTER}');
Error('\P{Category=/a/_	LETTER}');
Expect(1, 195101, '\p{Category:	letter}', "");
Expect(0, 195101, '\p{^Category:	letter}', "");
Expect(0, 195101, '\P{Category:	letter}', "");
Expect(1, 195101, '\P{^Category:	letter}', "");
Expect(0, 195102, '\p{Category:	letter}', "");
Expect(1, 195102, '\p{^Category:	letter}', "");
Expect(1, 195102, '\P{Category:	letter}', "");
Expect(0, 195102, '\P{^Category:	letter}', "");
Expect(1, 195101, '\p{Category=-Letter}', "");
Expect(0, 195101, '\p{^Category=-Letter}', "");
Expect(0, 195101, '\P{Category=-Letter}', "");
Expect(1, 195101, '\P{^Category=-Letter}', "");
Expect(0, 195102, '\p{Category=-Letter}', "");
Expect(1, 195102, '\p{^Category=-Letter}', "");
Expect(1, 195102, '\P{Category=-Letter}', "");
Expect(0, 195102, '\P{^Category=-Letter}', "");
Error('\p{Is_General_Category= /a/L}');
Error('\P{Is_General_Category= /a/L}');
Expect(1, 195101, '\p{Is_General_Category=l}', "");
Expect(0, 195101, '\p{^Is_General_Category=l}', "");
Expect(0, 195101, '\P{Is_General_Category=l}', "");
Expect(1, 195101, '\P{^Is_General_Category=l}', "");
Expect(0, 195102, '\p{Is_General_Category=l}', "");
Expect(1, 195102, '\p{^Is_General_Category=l}', "");
Expect(1, 195102, '\P{Is_General_Category=l}', "");
Expect(0, 195102, '\P{^Is_General_Category=l}', "");
Expect(1, 195101, '\p{Is_General_Category=	-l}', "");
Expect(0, 195101, '\p{^Is_General_Category=	-l}', "");
Expect(0, 195101, '\P{Is_General_Category=	-l}', "");
Expect(1, 195101, '\P{^Is_General_Category=	-l}', "");
Expect(0, 195102, '\p{Is_General_Category=	-l}', "");
Expect(1, 195102, '\p{^Is_General_Category=	-l}', "");
Expect(1, 195102, '\P{Is_General_Category=	-l}', "");
Expect(0, 195102, '\P{^Is_General_Category=	-l}', "");
Error('\p{Is_Gc=/a/-_Letter}');
Error('\P{Is_Gc=/a/-_Letter}');
Expect(1, 195101, '\p{Is_Gc=letter}', "");
Expect(0, 195101, '\p{^Is_Gc=letter}', "");
Expect(0, 195101, '\P{Is_Gc=letter}', "");
Expect(1, 195101, '\P{^Is_Gc=letter}', "");
Expect(0, 195102, '\p{Is_Gc=letter}', "");
Expect(1, 195102, '\p{^Is_Gc=letter}', "");
Expect(1, 195102, '\P{Is_Gc=letter}', "");
Expect(0, 195102, '\P{^Is_Gc=letter}', "");
Expect(1, 195101, '\p{Is_Gc=-_LETTER}', "");
Expect(0, 195101, '\p{^Is_Gc=-_LETTER}', "");
Expect(0, 195101, '\P{Is_Gc=-_LETTER}', "");
Expect(1, 195101, '\P{^Is_Gc=-_LETTER}', "");
Expect(0, 195102, '\p{Is_Gc=-_LETTER}', "");
Expect(1, 195102, '\p{^Is_Gc=-_LETTER}', "");
Expect(1, 195102, '\P{Is_Gc=-_LETTER}', "");
Expect(0, 195102, '\P{^Is_Gc=-_LETTER}', "");
Error('\p{Is_Category:	:=L}');
Error('\P{Is_Category:	:=L}');
Expect(1, 195101, '\p{Is_Category=l}', "");
Expect(0, 195101, '\p{^Is_Category=l}', "");
Expect(0, 195101, '\P{Is_Category=l}', "");
Expect(1, 195101, '\P{^Is_Category=l}', "");
Expect(0, 195102, '\p{Is_Category=l}', "");
Expect(1, 195102, '\p{^Is_Category=l}', "");
Expect(1, 195102, '\P{Is_Category=l}', "");
Expect(0, 195102, '\P{^Is_Category=l}', "");
Expect(1, 195101, '\p{Is_Category=_L}', "");
Expect(0, 195101, '\p{^Is_Category=_L}', "");
Expect(0, 195101, '\P{Is_Category=_L}', "");
Expect(1, 195101, '\P{^Is_Category=_L}', "");
Expect(0, 195102, '\p{Is_Category=_L}', "");
Expect(1, 195102, '\p{^Is_Category=_L}', "");
Expect(1, 195102, '\P{Is_Category=_L}', "");
Expect(0, 195102, '\P{^Is_Category=_L}', "");
Error('\p{General_Category=-:=CASED_Letter}');
Error('\P{General_Category=-:=CASED_Letter}');
Expect(1, 120779, '\p{General_Category=casedletter}', "");
Expect(0, 120779, '\p{^General_Category=casedletter}', "");
Expect(0, 120779, '\P{General_Category=casedletter}', "");
Expect(1, 120779, '\P{^General_Category=casedletter}', "");
Expect(0, 120780, '\p{General_Category=casedletter}', "");
Expect(1, 120780, '\p{^General_Category=casedletter}', "");
Expect(1, 120780, '\P{General_Category=casedletter}', "");
Expect(0, 120780, '\P{^General_Category=casedletter}', "");
Expect(1, 120779, '\p{General_Category=	 Cased_letter}', "");
Expect(0, 120779, '\p{^General_Category=	 Cased_letter}', "");
Expect(0, 120779, '\P{General_Category=	 Cased_letter}', "");
Expect(1, 120779, '\P{^General_Category=	 Cased_letter}', "");
Expect(0, 120780, '\p{General_Category=	 Cased_letter}', "");
Expect(1, 120780, '\p{^General_Category=	 Cased_letter}', "");
Expect(1, 120780, '\P{General_Category=	 Cased_letter}', "");
Expect(0, 120780, '\P{^General_Category=	 Cased_letter}', "");
Error('\p{Gc:  /a/LC}');
Error('\P{Gc:  /a/LC}');
Expect(1, 120779, '\p{Gc=lc}', "");
Expect(0, 120779, '\p{^Gc=lc}', "");
Expect(0, 120779, '\P{Gc=lc}', "");
Expect(1, 120779, '\P{^Gc=lc}', "");
Expect(0, 120780, '\p{Gc=lc}', "");
Expect(1, 120780, '\p{^Gc=lc}', "");
Expect(1, 120780, '\P{Gc=lc}', "");
Expect(0, 120780, '\P{^Gc=lc}', "");
Expect(1, 120779, '\p{Gc=_-LC}', "");
Expect(0, 120779, '\p{^Gc=_-LC}', "");
Expect(0, 120779, '\P{Gc=_-LC}', "");
Expect(1, 120779, '\P{^Gc=_-LC}', "");
Expect(0, 120780, '\p{Gc=_-LC}', "");
Expect(1, 120780, '\p{^Gc=_-LC}', "");
Expect(1, 120780, '\P{Gc=_-LC}', "");
Expect(0, 120780, '\P{^Gc=_-LC}', "");
Error('\p{Category=:=-L_}');
Error('\P{Category=:=-L_}');
Expect(1, 120779, '\p{Category=l_}', "");
Expect(0, 120779, '\p{^Category=l_}', "");
Expect(0, 120779, '\P{Category=l_}', "");
Expect(1, 120779, '\P{^Category=l_}', "");
Expect(0, 120780, '\p{Category=l_}', "");
Expect(1, 120780, '\p{^Category=l_}', "");
Expect(1, 120780, '\P{Category=l_}', "");
Expect(0, 120780, '\P{^Category=l_}', "");
Expect(1, 120779, '\p{Category=_	L_}', "");
Expect(0, 120779, '\p{^Category=_	L_}', "");
Expect(0, 120779, '\P{Category=_	L_}', "");
Expect(1, 120779, '\P{^Category=_	L_}', "");
Expect(0, 120780, '\p{Category=_	L_}', "");
Expect(1, 120780, '\p{^Category=_	L_}', "");
Expect(1, 120780, '\P{Category=_	L_}', "");
Expect(0, 120780, '\P{^Category=_	L_}', "");
Error('\p{Is_General_Category=_L&:=}');
Error('\P{Is_General_Category=_L&:=}');
Expect(1, 120779, '\p{Is_General_Category=l&}', "");
Expect(0, 120779, '\p{^Is_General_Category=l&}', "");
Expect(0, 120779, '\P{Is_General_Category=l&}', "");
Expect(1, 120779, '\P{^Is_General_Category=l&}', "");
Expect(0, 120780, '\p{Is_General_Category=l&}', "");
Expect(1, 120780, '\p{^Is_General_Category=l&}', "");
Expect(1, 120780, '\P{Is_General_Category=l&}', "");
Expect(0, 120780, '\P{^Is_General_Category=l&}', "");
Expect(1, 120779, '\p{Is_General_Category=__L&}', "");
Expect(0, 120779, '\p{^Is_General_Category=__L&}', "");
Expect(0, 120779, '\P{Is_General_Category=__L&}', "");
Expect(1, 120779, '\P{^Is_General_Category=__L&}', "");
Expect(0, 120780, '\p{Is_General_Category=__L&}', "");
Expect(1, 120780, '\p{^Is_General_Category=__L&}', "");
Expect(1, 120780, '\P{Is_General_Category=__L&}', "");
Expect(0, 120780, '\P{^Is_General_Category=__L&}', "");
Error('\p{Is_Gc=/a/ -CASED_letter}');
Error('\P{Is_Gc=/a/ -CASED_letter}');
Expect(1, 120779, '\p{Is_Gc:   casedletter}', "");
Expect(0, 120779, '\p{^Is_Gc:   casedletter}', "");
Expect(0, 120779, '\P{Is_Gc:   casedletter}', "");
Expect(1, 120779, '\P{^Is_Gc:   casedletter}', "");
Expect(0, 120780, '\p{Is_Gc:   casedletter}', "");
Expect(1, 120780, '\p{^Is_Gc:   casedletter}', "");
Expect(1, 120780, '\P{Is_Gc:   casedletter}', "");
Expect(0, 120780, '\P{^Is_Gc:   casedletter}', "");
Expect(1, 120779, '\p{Is_Gc:    cased_Letter}', "");
Expect(0, 120779, '\p{^Is_Gc:    cased_Letter}', "");
Expect(0, 120779, '\P{Is_Gc:    cased_Letter}', "");
Expect(1, 120779, '\P{^Is_Gc:    cased_Letter}', "");
Expect(0, 120780, '\p{Is_Gc:    cased_Letter}', "");
Expect(1, 120780, '\p{^Is_Gc:    cased_Letter}', "");
Expect(1, 120780, '\P{Is_Gc:    cased_Letter}', "");
Expect(0, 120780, '\P{^Is_Gc:    cased_Letter}', "");
Error('\p{Is_Category=:=__LC}');
Error('\P{Is_Category=:=__LC}');
Expect(1, 120779, '\p{Is_Category=lc}', "");
Expect(0, 120779, '\p{^Is_Category=lc}', "");
Expect(0, 120779, '\P{Is_Category=lc}', "");
Expect(1, 120779, '\P{^Is_Category=lc}', "");
Expect(0, 120780, '\p{Is_Category=lc}', "");
Expect(1, 120780, '\p{^Is_Category=lc}', "");
Expect(1, 120780, '\P{Is_Category=lc}', "");
Expect(0, 120780, '\P{^Is_Category=lc}', "");
Expect(1, 120779, '\p{Is_Category=-	LC}', "");
Expect(0, 120779, '\p{^Is_Category=-	LC}', "");
Expect(0, 120779, '\P{Is_Category=-	LC}', "");
Expect(1, 120779, '\P{^Is_Category=-	LC}', "");
Expect(0, 120780, '\p{Is_Category=-	LC}', "");
Expect(1, 120780, '\p{^Is_Category=-	LC}', "");
Expect(1, 120780, '\P{Is_Category=-	LC}', "");
Expect(0, 120780, '\P{^Is_Category=-	LC}', "");
Error('\p{General_Category=_	LOWERCASE_Letter:=}');
Error('\P{General_Category=_	LOWERCASE_Letter:=}');
Expect(1, 120779, '\p{General_Category=lowercaseletter}', "");
Expect(0, 120779, '\p{^General_Category=lowercaseletter}', "");
Expect(0, 120779, '\P{General_Category=lowercaseletter}', "");
Expect(1, 120779, '\P{^General_Category=lowercaseletter}', "");
Expect(0, 120780, '\p{General_Category=lowercaseletter}', "");
Expect(1, 120780, '\p{^General_Category=lowercaseletter}', "");
Expect(1, 120780, '\P{General_Category=lowercaseletter}', "");
Expect(0, 120780, '\P{^General_Category=lowercaseletter}', "");
Expect(1, 120779, '\p{General_Category=	lowercase_LETTER}', "");
Expect(0, 120779, '\p{^General_Category=	lowercase_LETTER}', "");
Expect(0, 120779, '\P{General_Category=	lowercase_LETTER}', "");
Expect(1, 120779, '\P{^General_Category=	lowercase_LETTER}', "");
Expect(0, 120780, '\p{General_Category=	lowercase_LETTER}', "");
Expect(1, 120780, '\p{^General_Category=	lowercase_LETTER}', "");
Expect(1, 120780, '\P{General_Category=	lowercase_LETTER}', "");
Expect(0, 120780, '\P{^General_Category=	lowercase_LETTER}', "");
Error('\p{Gc=:=  Ll}');
Error('\P{Gc=:=  Ll}');
Expect(1, 120779, '\p{Gc:ll}', "");
Expect(0, 120779, '\p{^Gc:ll}', "");
Expect(0, 120779, '\P{Gc:ll}', "");
Expect(1, 120779, '\P{^Gc:ll}', "");
Expect(0, 120780, '\p{Gc:ll}', "");
Expect(1, 120780, '\p{^Gc:ll}', "");
Expect(1, 120780, '\P{Gc:ll}', "");
Expect(0, 120780, '\P{^Gc:ll}', "");
Expect(1, 120779, '\p{Gc=-Ll}', "");
Expect(0, 120779, '\p{^Gc=-Ll}', "");
Expect(0, 120779, '\P{Gc=-Ll}', "");
Expect(1, 120779, '\P{^Gc=-Ll}', "");
Expect(0, 120780, '\p{Gc=-Ll}', "");
Expect(1, 120780, '\p{^Gc=-Ll}', "");
Expect(1, 120780, '\P{Gc=-Ll}', "");
Expect(0, 120780, '\P{^Gc=-Ll}', "");
Error('\p{Category=_/a/lowercase_Letter}');
Error('\P{Category=_/a/lowercase_Letter}');
Expect(1, 120779, '\p{Category=lowercaseletter}', "");
Expect(0, 120779, '\p{^Category=lowercaseletter}', "");
Expect(0, 120779, '\P{Category=lowercaseletter}', "");
Expect(1, 120779, '\P{^Category=lowercaseletter}', "");
Expect(0, 120780, '\p{Category=lowercaseletter}', "");
Expect(1, 120780, '\p{^Category=lowercaseletter}', "");
Expect(1, 120780, '\P{Category=lowercaseletter}', "");
Expect(0, 120780, '\P{^Category=lowercaseletter}', "");
Expect(1, 120779, '\p{Category=	 lowercase_Letter}', "");
Expect(0, 120779, '\p{^Category=	 lowercase_Letter}', "");
Expect(0, 120779, '\P{Category=	 lowercase_Letter}', "");
Expect(1, 120779, '\P{^Category=	 lowercase_Letter}', "");
Expect(0, 120780, '\p{Category=	 lowercase_Letter}', "");
Expect(1, 120780, '\p{^Category=	 lowercase_Letter}', "");
Expect(1, 120780, '\P{Category=	 lowercase_Letter}', "");
Expect(0, 120780, '\P{^Category=	 lowercase_Letter}', "");
Error('\p{Is_General_Category=	/a/Ll}');
Error('\P{Is_General_Category=	/a/Ll}');
Expect(1, 120779, '\p{Is_General_Category=ll}', "");
Expect(0, 120779, '\p{^Is_General_Category=ll}', "");
Expect(0, 120779, '\P{Is_General_Category=ll}', "");
Expect(1, 120779, '\P{^Is_General_Category=ll}', "");
Expect(0, 120780, '\p{Is_General_Category=ll}', "");
Expect(1, 120780, '\p{^Is_General_Category=ll}', "");
Expect(1, 120780, '\P{Is_General_Category=ll}', "");
Expect(0, 120780, '\P{^Is_General_Category=ll}', "");
Expect(1, 120779, '\p{Is_General_Category=		ll}', "");
Expect(0, 120779, '\p{^Is_General_Category=		ll}', "");
Expect(0, 120779, '\P{Is_General_Category=		ll}', "");
Expect(1, 120779, '\P{^Is_General_Category=		ll}', "");
Expect(0, 120780, '\p{Is_General_Category=		ll}', "");
Expect(1, 120780, '\p{^Is_General_Category=		ll}', "");
Expect(1, 120780, '\P{Is_General_Category=		ll}', "");
Expect(0, 120780, '\P{^Is_General_Category=		ll}', "");
Error('\p{Is_Gc=-lowercase_Letter:=}');
Error('\P{Is_Gc=-lowercase_Letter:=}');
Expect(1, 120779, '\p{Is_Gc=lowercaseletter}', "");
Expect(0, 120779, '\p{^Is_Gc=lowercaseletter}', "");
Expect(0, 120779, '\P{Is_Gc=lowercaseletter}', "");
Expect(1, 120779, '\P{^Is_Gc=lowercaseletter}', "");
Expect(0, 120780, '\p{Is_Gc=lowercaseletter}', "");
Expect(1, 120780, '\p{^Is_Gc=lowercaseletter}', "");
Expect(1, 120780, '\P{Is_Gc=lowercaseletter}', "");
Expect(0, 120780, '\P{^Is_Gc=lowercaseletter}', "");
Expect(1, 120779, '\p{Is_Gc=_	Lowercase_letter}', "");
Expect(0, 120779, '\p{^Is_Gc=_	Lowercase_letter}', "");
Expect(0, 120779, '\P{Is_Gc=_	Lowercase_letter}', "");
Expect(1, 120779, '\P{^Is_Gc=_	Lowercase_letter}', "");
Expect(0, 120780, '\p{Is_Gc=_	Lowercase_letter}', "");
Expect(1, 120780, '\p{^Is_Gc=_	Lowercase_letter}', "");
Expect(1, 120780, '\P{Is_Gc=_	Lowercase_letter}', "");
Expect(0, 120780, '\P{^Is_Gc=_	Lowercase_letter}', "");
Error('\p{Is_Category=:=_ Ll}');
Error('\P{Is_Category=:=_ Ll}');
Expect(1, 120779, '\p{Is_Category=ll}', "");
Expect(0, 120779, '\p{^Is_Category=ll}', "");
Expect(0, 120779, '\P{Is_Category=ll}', "");
Expect(1, 120779, '\P{^Is_Category=ll}', "");
Expect(0, 120780, '\p{Is_Category=ll}', "");
Expect(1, 120780, '\p{^Is_Category=ll}', "");
Expect(1, 120780, '\P{Is_Category=ll}', "");
Expect(0, 120780, '\P{^Is_Category=ll}', "");
Expect(1, 120779, '\p{Is_Category=-	LL}', "");
Expect(0, 120779, '\p{^Is_Category=-	LL}', "");
Expect(0, 120779, '\P{Is_Category=-	LL}', "");
Expect(1, 120779, '\P{^Is_Category=-	LL}', "");
Expect(0, 120780, '\p{Is_Category=-	LL}', "");
Expect(1, 120780, '\p{^Is_Category=-	LL}', "");
Expect(1, 120780, '\P{Is_Category=-	LL}', "");
Expect(0, 120780, '\P{^Is_Category=-	LL}', "");
Error('\p{General_Category=_MODIFIER_LETTER:=}');
Error('\P{General_Category=_MODIFIER_LETTER:=}');
Expect(1, 94111, '\p{General_Category=modifierletter}', "");
Expect(0, 94111, '\p{^General_Category=modifierletter}', "");
Expect(0, 94111, '\P{General_Category=modifierletter}', "");
Expect(1, 94111, '\P{^General_Category=modifierletter}', "");
Expect(0, 94112, '\p{General_Category=modifierletter}', "");
Expect(1, 94112, '\p{^General_Category=modifierletter}', "");
Expect(1, 94112, '\P{General_Category=modifierletter}', "");
Expect(0, 94112, '\P{^General_Category=modifierletter}', "");
Expect(1, 94111, '\p{General_Category=	_MODIFIER_Letter}', "");
Expect(0, 94111, '\p{^General_Category=	_MODIFIER_Letter}', "");
Expect(0, 94111, '\P{General_Category=	_MODIFIER_Letter}', "");
Expect(1, 94111, '\P{^General_Category=	_MODIFIER_Letter}', "");
Expect(0, 94112, '\p{General_Category=	_MODIFIER_Letter}', "");
Expect(1, 94112, '\p{^General_Category=	_MODIFIER_Letter}', "");
Expect(1, 94112, '\P{General_Category=	_MODIFIER_Letter}', "");
Expect(0, 94112, '\P{^General_Category=	_MODIFIER_Letter}', "");
Error('\p{Gc=-	Lm/a/}');
Error('\P{Gc=-	Lm/a/}');
Expect(1, 94111, '\p{Gc=lm}', "");
Expect(0, 94111, '\p{^Gc=lm}', "");
Expect(0, 94111, '\P{Gc=lm}', "");
Expect(1, 94111, '\P{^Gc=lm}', "");
Expect(0, 94112, '\p{Gc=lm}', "");
Expect(1, 94112, '\p{^Gc=lm}', "");
Expect(1, 94112, '\P{Gc=lm}', "");
Expect(0, 94112, '\P{^Gc=lm}', "");
Expect(1, 94111, '\p{Gc=-_Lm}', "");
Expect(0, 94111, '\p{^Gc=-_Lm}', "");
Expect(0, 94111, '\P{Gc=-_Lm}', "");
Expect(1, 94111, '\P{^Gc=-_Lm}', "");
Expect(0, 94112, '\p{Gc=-_Lm}', "");
Expect(1, 94112, '\p{^Gc=-_Lm}', "");
Expect(1, 94112, '\P{Gc=-_Lm}', "");
Expect(0, 94112, '\P{^Gc=-_Lm}', "");
Error('\p{Category=	-modifier_LETTER/a/}');
Error('\P{Category=	-modifier_LETTER/a/}');
Expect(1, 94111, '\p{Category=modifierletter}', "");
Expect(0, 94111, '\p{^Category=modifierletter}', "");
Expect(0, 94111, '\P{Category=modifierletter}', "");
Expect(1, 94111, '\P{^Category=modifierletter}', "");
Expect(0, 94112, '\p{Category=modifierletter}', "");
Expect(1, 94112, '\p{^Category=modifierletter}', "");
Expect(1, 94112, '\P{Category=modifierletter}', "");
Expect(0, 94112, '\P{^Category=modifierletter}', "");
Expect(1, 94111, '\p{Category=_MODIFIER_Letter}', "");
Expect(0, 94111, '\p{^Category=_MODIFIER_Letter}', "");
Expect(0, 94111, '\P{Category=_MODIFIER_Letter}', "");
Expect(1, 94111, '\P{^Category=_MODIFIER_Letter}', "");
Expect(0, 94112, '\p{Category=_MODIFIER_Letter}', "");
Expect(1, 94112, '\p{^Category=_MODIFIER_Letter}', "");
Expect(1, 94112, '\P{Category=_MODIFIER_Letter}', "");
Expect(0, 94112, '\P{^Category=_MODIFIER_Letter}', "");
Error('\p{Is_General_Category=:=-Lm}');
Error('\P{Is_General_Category=:=-Lm}');
Expect(1, 94111, '\p{Is_General_Category:	lm}', "");
Expect(0, 94111, '\p{^Is_General_Category:	lm}', "");
Expect(0, 94111, '\P{Is_General_Category:	lm}', "");
Expect(1, 94111, '\P{^Is_General_Category:	lm}', "");
Expect(0, 94112, '\p{Is_General_Category:	lm}', "");
Expect(1, 94112, '\p{^Is_General_Category:	lm}', "");
Expect(1, 94112, '\P{Is_General_Category:	lm}', "");
Expect(0, 94112, '\P{^Is_General_Category:	lm}', "");
Expect(1, 94111, '\p{Is_General_Category=-_Lm}', "");
Expect(0, 94111, '\p{^Is_General_Category=-_Lm}', "");
Expect(0, 94111, '\P{Is_General_Category=-_Lm}', "");
Expect(1, 94111, '\P{^Is_General_Category=-_Lm}', "");
Expect(0, 94112, '\p{Is_General_Category=-_Lm}', "");
Expect(1, 94112, '\p{^Is_General_Category=-_Lm}', "");
Expect(1, 94112, '\P{Is_General_Category=-_Lm}', "");
Expect(0, 94112, '\P{^Is_General_Category=-_Lm}', "");
Error('\p{Is_Gc=_MODIFIER_letter:=}');
Error('\P{Is_Gc=_MODIFIER_letter:=}');
Expect(1, 94111, '\p{Is_Gc=modifierletter}', "");
Expect(0, 94111, '\p{^Is_Gc=modifierletter}', "");
Expect(0, 94111, '\P{Is_Gc=modifierletter}', "");
Expect(1, 94111, '\P{^Is_Gc=modifierletter}', "");
Expect(0, 94112, '\p{Is_Gc=modifierletter}', "");
Expect(1, 94112, '\p{^Is_Gc=modifierletter}', "");
Expect(1, 94112, '\P{Is_Gc=modifierletter}', "");
Expect(0, 94112, '\P{^Is_Gc=modifierletter}', "");
Expect(1, 94111, '\p{Is_Gc=-_Modifier_Letter}', "");
Expect(0, 94111, '\p{^Is_Gc=-_Modifier_Letter}', "");
Expect(0, 94111, '\P{Is_Gc=-_Modifier_Letter}', "");
Expect(1, 94111, '\P{^Is_Gc=-_Modifier_Letter}', "");
Expect(0, 94112, '\p{Is_Gc=-_Modifier_Letter}', "");
Expect(1, 94112, '\p{^Is_Gc=-_Modifier_Letter}', "");
Expect(1, 94112, '\P{Is_Gc=-_Modifier_Letter}', "");
Expect(0, 94112, '\P{^Is_Gc=-_Modifier_Letter}', "");
Error('\p{Is_Category=	_Lm/a/}');
Error('\P{Is_Category=	_Lm/a/}');
Expect(1, 94111, '\p{Is_Category=lm}', "");
Expect(0, 94111, '\p{^Is_Category=lm}', "");
Expect(0, 94111, '\P{Is_Category=lm}', "");
Expect(1, 94111, '\P{^Is_Category=lm}', "");
Expect(0, 94112, '\p{Is_Category=lm}', "");
Expect(1, 94112, '\p{^Is_Category=lm}', "");
Expect(1, 94112, '\P{Is_Category=lm}', "");
Expect(0, 94112, '\P{^Is_Category=lm}', "");
Expect(1, 94111, '\p{Is_Category=	_Lm}', "");
Expect(0, 94111, '\p{^Is_Category=	_Lm}', "");
Expect(0, 94111, '\P{Is_Category=	_Lm}', "");
Expect(1, 94111, '\P{^Is_Category=	_Lm}', "");
Expect(0, 94112, '\p{Is_Category=	_Lm}', "");
Expect(1, 94112, '\p{^Is_Category=	_Lm}', "");
Expect(1, 94112, '\P{Is_Category=	_Lm}', "");
Expect(0, 94112, '\P{^Is_Category=	_Lm}', "");
Error('\p{General_Category=	/a/Other_Letter}');
Error('\P{General_Category=	/a/Other_Letter}');
Expect(1, 195101, '\p{General_Category=otherletter}', "");
Expect(0, 195101, '\p{^General_Category=otherletter}', "");
Expect(0, 195101, '\P{General_Category=otherletter}', "");
Expect(1, 195101, '\P{^General_Category=otherletter}', "");
Expect(0, 195102, '\p{General_Category=otherletter}', "");
Expect(1, 195102, '\p{^General_Category=otherletter}', "");
Expect(1, 195102, '\P{General_Category=otherletter}', "");
Expect(0, 195102, '\P{^General_Category=otherletter}', "");
Expect(1, 195101, '\p{General_Category=_ Other_letter}', "");
Expect(0, 195101, '\p{^General_Category=_ Other_letter}', "");
Expect(0, 195101, '\P{General_Category=_ Other_letter}', "");
Expect(1, 195101, '\P{^General_Category=_ Other_letter}', "");
Expect(0, 195102, '\p{General_Category=_ Other_letter}', "");
Expect(1, 195102, '\p{^General_Category=_ Other_letter}', "");
Expect(1, 195102, '\P{General_Category=_ Other_letter}', "");
Expect(0, 195102, '\P{^General_Category=_ Other_letter}', "");
Error('\p{Gc=/a/_Lo}');
Error('\P{Gc=/a/_Lo}');
Expect(1, 195101, '\p{Gc=lo}', "");
Expect(0, 195101, '\p{^Gc=lo}', "");
Expect(0, 195101, '\P{Gc=lo}', "");
Expect(1, 195101, '\P{^Gc=lo}', "");
Expect(0, 195102, '\p{Gc=lo}', "");
Expect(1, 195102, '\p{^Gc=lo}', "");
Expect(1, 195102, '\P{Gc=lo}', "");
Expect(0, 195102, '\P{^Gc=lo}', "");
Expect(1, 195101, '\p{Gc=	 LO}', "");
Expect(0, 195101, '\p{^Gc=	 LO}', "");
Expect(0, 195101, '\P{Gc=	 LO}', "");
Expect(1, 195101, '\P{^Gc=	 LO}', "");
Expect(0, 195102, '\p{Gc=	 LO}', "");
Expect(1, 195102, '\p{^Gc=	 LO}', "");
Expect(1, 195102, '\P{Gc=	 LO}', "");
Expect(0, 195102, '\P{^Gc=	 LO}', "");
Error('\p{Category=:= 	other_letter}');
Error('\P{Category=:= 	other_letter}');
Expect(1, 195101, '\p{Category=otherletter}', "");
Expect(0, 195101, '\p{^Category=otherletter}', "");
Expect(0, 195101, '\P{Category=otherletter}', "");
Expect(1, 195101, '\P{^Category=otherletter}', "");
Expect(0, 195102, '\p{Category=otherletter}', "");
Expect(1, 195102, '\p{^Category=otherletter}', "");
Expect(1, 195102, '\P{Category=otherletter}', "");
Expect(0, 195102, '\P{^Category=otherletter}', "");
Expect(1, 195101, '\p{Category=  OTHER_Letter}', "");
Expect(0, 195101, '\p{^Category=  OTHER_Letter}', "");
Expect(0, 195101, '\P{Category=  OTHER_Letter}', "");
Expect(1, 195101, '\P{^Category=  OTHER_Letter}', "");
Expect(0, 195102, '\p{Category=  OTHER_Letter}', "");
Expect(1, 195102, '\p{^Category=  OTHER_Letter}', "");
Expect(1, 195102, '\P{Category=  OTHER_Letter}', "");
Expect(0, 195102, '\P{^Category=  OTHER_Letter}', "");
Error('\p{Is_General_Category:	/a/ -LO}');
Error('\P{Is_General_Category:	/a/ -LO}');
Expect(1, 195101, '\p{Is_General_Category:lo}', "");
Expect(0, 195101, '\p{^Is_General_Category:lo}', "");
Expect(0, 195101, '\P{Is_General_Category:lo}', "");
Expect(1, 195101, '\P{^Is_General_Category:lo}', "");
Expect(0, 195102, '\p{Is_General_Category:lo}', "");
Expect(1, 195102, '\p{^Is_General_Category:lo}', "");
Expect(1, 195102, '\P{Is_General_Category:lo}', "");
Expect(0, 195102, '\P{^Is_General_Category:lo}', "");
Expect(1, 195101, '\p{Is_General_Category=--lo}', "");
Expect(0, 195101, '\p{^Is_General_Category=--lo}', "");
Expect(0, 195101, '\P{Is_General_Category=--lo}', "");
Expect(1, 195101, '\P{^Is_General_Category=--lo}', "");
Expect(0, 195102, '\p{Is_General_Category=--lo}', "");
Expect(1, 195102, '\p{^Is_General_Category=--lo}', "");
Expect(1, 195102, '\P{Is_General_Category=--lo}', "");
Expect(0, 195102, '\P{^Is_General_Category=--lo}', "");
Error('\p{Is_Gc= :=OTHER_Letter}');
Error('\P{Is_Gc= :=OTHER_Letter}');
Expect(1, 195101, '\p{Is_Gc=otherletter}', "");
Expect(0, 195101, '\p{^Is_Gc=otherletter}', "");
Expect(0, 195101, '\P{Is_Gc=otherletter}', "");
Expect(1, 195101, '\P{^Is_Gc=otherletter}', "");
Expect(0, 195102, '\p{Is_Gc=otherletter}', "");
Expect(1, 195102, '\p{^Is_Gc=otherletter}', "");
Expect(1, 195102, '\P{Is_Gc=otherletter}', "");
Expect(0, 195102, '\P{^Is_Gc=otherletter}', "");
Expect(1, 195101, '\p{Is_Gc=--other_Letter}', "");
Expect(0, 195101, '\p{^Is_Gc=--other_Letter}', "");
Expect(0, 195101, '\P{Is_Gc=--other_Letter}', "");
Expect(1, 195101, '\P{^Is_Gc=--other_Letter}', "");
Expect(0, 195102, '\p{Is_Gc=--other_Letter}', "");
Expect(1, 195102, '\p{^Is_Gc=--other_Letter}', "");
Expect(1, 195102, '\P{Is_Gc=--other_Letter}', "");
Expect(0, 195102, '\P{^Is_Gc=--other_Letter}', "");
Error('\p{Is_Category=/a/--lo}');
Error('\P{Is_Category=/a/--lo}');
Expect(1, 195101, '\p{Is_Category=lo}', "");
Expect(0, 195101, '\p{^Is_Category=lo}', "");
Expect(0, 195101, '\P{Is_Category=lo}', "");
Expect(1, 195101, '\P{^Is_Category=lo}', "");
Expect(0, 195102, '\p{Is_Category=lo}', "");
Expect(1, 195102, '\p{^Is_Category=lo}', "");
Expect(1, 195102, '\P{Is_Category=lo}', "");
Expect(0, 195102, '\P{^Is_Category=lo}', "");
Expect(1, 195101, '\p{Is_Category= Lo}', "");
Expect(0, 195101, '\p{^Is_Category= Lo}', "");
Expect(0, 195101, '\P{Is_Category= Lo}', "");
Expect(1, 195101, '\P{^Is_Category= Lo}', "");
Expect(0, 195102, '\p{Is_Category= Lo}', "");
Expect(1, 195102, '\p{^Is_Category= Lo}', "");
Expect(1, 195102, '\P{Is_Category= Lo}', "");
Expect(0, 195102, '\P{^Is_Category= Lo}', "");
Error('\p{General_Category=:=	 titlecase_Letter}');
Error('\P{General_Category=:=	 titlecase_Letter}');
Expect(1, 8188, '\p{General_Category:titlecaseletter}', "");
Expect(0, 8188, '\p{^General_Category:titlecaseletter}', "");
Expect(0, 8188, '\P{General_Category:titlecaseletter}', "");
Expect(1, 8188, '\P{^General_Category:titlecaseletter}', "");
Expect(0, 8189, '\p{General_Category:titlecaseletter}', "");
Expect(1, 8189, '\p{^General_Category:titlecaseletter}', "");
Expect(1, 8189, '\P{General_Category:titlecaseletter}', "");
Expect(0, 8189, '\P{^General_Category:titlecaseletter}', "");
Expect(1, 8188, '\p{General_Category= -titlecase_letter}', "");
Expect(0, 8188, '\p{^General_Category= -titlecase_letter}', "");
Expect(0, 8188, '\P{General_Category= -titlecase_letter}', "");
Expect(1, 8188, '\P{^General_Category= -titlecase_letter}', "");
Expect(0, 8189, '\p{General_Category= -titlecase_letter}', "");
Expect(1, 8189, '\p{^General_Category= -titlecase_letter}', "");
Expect(1, 8189, '\P{General_Category= -titlecase_letter}', "");
Expect(0, 8189, '\P{^General_Category= -titlecase_letter}', "");
Error('\p{Gc=:=-Lt}');
Error('\P{Gc=:=-Lt}');
Expect(1, 8188, '\p{Gc=lt}', "");
Expect(0, 8188, '\p{^Gc=lt}', "");
Expect(0, 8188, '\P{Gc=lt}', "");
Expect(1, 8188, '\P{^Gc=lt}', "");
Expect(0, 8189, '\p{Gc=lt}', "");
Expect(1, 8189, '\p{^Gc=lt}', "");
Expect(1, 8189, '\P{Gc=lt}', "");
Expect(0, 8189, '\P{^Gc=lt}', "");
Expect(1, 8188, '\p{Gc=  LT}', "");
Expect(0, 8188, '\p{^Gc=  LT}', "");
Expect(0, 8188, '\P{Gc=  LT}', "");
Expect(1, 8188, '\P{^Gc=  LT}', "");
Expect(0, 8189, '\p{Gc=  LT}', "");
Expect(1, 8189, '\p{^Gc=  LT}', "");
Expect(1, 8189, '\P{Gc=  LT}', "");
Expect(0, 8189, '\P{^Gc=  LT}', "");
Error('\p{Category=	-TITLECASE_LETTER:=}');
Error('\P{Category=	-TITLECASE_LETTER:=}');
Expect(1, 8188, '\p{Category=titlecaseletter}', "");
Expect(0, 8188, '\p{^Category=titlecaseletter}', "");
Expect(0, 8188, '\P{Category=titlecaseletter}', "");
Expect(1, 8188, '\P{^Category=titlecaseletter}', "");
Expect(0, 8189, '\p{Category=titlecaseletter}', "");
Expect(1, 8189, '\p{^Category=titlecaseletter}', "");
Expect(1, 8189, '\P{Category=titlecaseletter}', "");
Expect(0, 8189, '\P{^Category=titlecaseletter}', "");
Expect(1, 8188, '\p{Category:    TITLECASE_Letter}', "");
Expect(0, 8188, '\p{^Category:    TITLECASE_Letter}', "");
Expect(0, 8188, '\P{Category:    TITLECASE_Letter}', "");
Expect(1, 8188, '\P{^Category:    TITLECASE_Letter}', "");
Expect(0, 8189, '\p{Category:    TITLECASE_Letter}', "");
Expect(1, 8189, '\p{^Category:    TITLECASE_Letter}', "");
Expect(1, 8189, '\P{Category:    TITLECASE_Letter}', "");
Expect(0, 8189, '\P{^Category:    TITLECASE_Letter}', "");
Error('\p{Is_General_Category=:= -Lt}');
Error('\P{Is_General_Category=:= -Lt}');
Expect(1, 8188, '\p{Is_General_Category=lt}', "");
Expect(0, 8188, '\p{^Is_General_Category=lt}', "");
Expect(0, 8188, '\P{Is_General_Category=lt}', "");
Expect(1, 8188, '\P{^Is_General_Category=lt}', "");
Expect(0, 8189, '\p{Is_General_Category=lt}', "");
Expect(1, 8189, '\p{^Is_General_Category=lt}', "");
Expect(1, 8189, '\P{Is_General_Category=lt}', "");
Expect(0, 8189, '\P{^Is_General_Category=lt}', "");
Expect(1, 8188, '\p{Is_General_Category=-LT}', "");
Expect(0, 8188, '\p{^Is_General_Category=-LT}', "");
Expect(0, 8188, '\P{Is_General_Category=-LT}', "");
Expect(1, 8188, '\P{^Is_General_Category=-LT}', "");
Expect(0, 8189, '\p{Is_General_Category=-LT}', "");
Expect(1, 8189, '\p{^Is_General_Category=-LT}', "");
Expect(1, 8189, '\P{Is_General_Category=-LT}', "");
Expect(0, 8189, '\P{^Is_General_Category=-LT}', "");
Error('\p{Is_Gc=	_Titlecase_LETTER:=}');
Error('\P{Is_Gc=	_Titlecase_LETTER:=}');
Expect(1, 8188, '\p{Is_Gc: titlecaseletter}', "");
Expect(0, 8188, '\p{^Is_Gc: titlecaseletter}', "");
Expect(0, 8188, '\P{Is_Gc: titlecaseletter}', "");
Expect(1, 8188, '\P{^Is_Gc: titlecaseletter}', "");
Expect(0, 8189, '\p{Is_Gc: titlecaseletter}', "");
Expect(1, 8189, '\p{^Is_Gc: titlecaseletter}', "");
Expect(1, 8189, '\P{Is_Gc: titlecaseletter}', "");
Expect(0, 8189, '\P{^Is_Gc: titlecaseletter}', "");
Expect(1, 8188, '\p{Is_Gc=	TITLECASE_LETTER}', "");
Expect(0, 8188, '\p{^Is_Gc=	TITLECASE_LETTER}', "");
Expect(0, 8188, '\P{Is_Gc=	TITLECASE_LETTER}', "");
Expect(1, 8188, '\P{^Is_Gc=	TITLECASE_LETTER}', "");
Expect(0, 8189, '\p{Is_Gc=	TITLECASE_LETTER}', "");
Expect(1, 8189, '\p{^Is_Gc=	TITLECASE_LETTER}', "");
Expect(1, 8189, '\P{Is_Gc=	TITLECASE_LETTER}', "");
Expect(0, 8189, '\P{^Is_Gc=	TITLECASE_LETTER}', "");
Error('\p{Is_Category=/a/		lt}');
Error('\P{Is_Category=/a/		lt}');
Expect(1, 8188, '\p{Is_Category=lt}', "");
Expect(0, 8188, '\p{^Is_Category=lt}', "");
Expect(0, 8188, '\P{Is_Category=lt}', "");
Expect(1, 8188, '\P{^Is_Category=lt}', "");
Expect(0, 8189, '\p{Is_Category=lt}', "");
Expect(1, 8189, '\p{^Is_Category=lt}', "");
Expect(1, 8189, '\P{Is_Category=lt}', "");
Expect(0, 8189, '\P{^Is_Category=lt}', "");
Expect(1, 8188, '\p{Is_Category=__Lt}', "");
Expect(0, 8188, '\p{^Is_Category=__Lt}', "");
Expect(0, 8188, '\P{Is_Category=__Lt}', "");
Expect(1, 8188, '\P{^Is_Category=__Lt}', "");
Expect(0, 8189, '\p{Is_Category=__Lt}', "");
Expect(1, 8189, '\p{^Is_Category=__Lt}', "");
Expect(1, 8189, '\P{Is_Category=__Lt}', "");
Expect(0, 8189, '\P{^Is_Category=__Lt}', "");
Error('\p{General_Category=:= _uppercase_Letter}');
Error('\P{General_Category=:= _uppercase_Letter}');
Expect(1, 120778, '\p{General_Category=uppercaseletter}', "");
Expect(0, 120778, '\p{^General_Category=uppercaseletter}', "");
Expect(0, 120778, '\P{General_Category=uppercaseletter}', "");
Expect(1, 120778, '\P{^General_Category=uppercaseletter}', "");
Expect(0, 120779, '\p{General_Category=uppercaseletter}', "");
Expect(1, 120779, '\p{^General_Category=uppercaseletter}', "");
Expect(1, 120779, '\P{General_Category=uppercaseletter}', "");
Expect(0, 120779, '\P{^General_Category=uppercaseletter}', "");
Expect(1, 120778, '\p{General_Category= -uppercase_letter}', "");
Expect(0, 120778, '\p{^General_Category= -uppercase_letter}', "");
Expect(0, 120778, '\P{General_Category= -uppercase_letter}', "");
Expect(1, 120778, '\P{^General_Category= -uppercase_letter}', "");
Expect(0, 120779, '\p{General_Category= -uppercase_letter}', "");
Expect(1, 120779, '\p{^General_Category= -uppercase_letter}', "");
Expect(1, 120779, '\P{General_Category= -uppercase_letter}', "");
Expect(0, 120779, '\P{^General_Category= -uppercase_letter}', "");
Error('\p{Gc=:=lu}');
Error('\P{Gc=:=lu}');
Expect(1, 120778, '\p{Gc=lu}', "");
Expect(0, 120778, '\p{^Gc=lu}', "");
Expect(0, 120778, '\P{Gc=lu}', "");
Expect(1, 120778, '\P{^Gc=lu}', "");
Expect(0, 120779, '\p{Gc=lu}', "");
Expect(1, 120779, '\p{^Gc=lu}', "");
Expect(1, 120779, '\P{Gc=lu}', "");
Expect(0, 120779, '\P{^Gc=lu}', "");
Expect(1, 120778, '\p{Gc=	LU}', "");
Expect(0, 120778, '\p{^Gc=	LU}', "");
Expect(0, 120778, '\P{Gc=	LU}', "");
Expect(1, 120778, '\P{^Gc=	LU}', "");
Expect(0, 120779, '\p{Gc=	LU}', "");
Expect(1, 120779, '\p{^Gc=	LU}', "");
Expect(1, 120779, '\P{Gc=	LU}', "");
Expect(0, 120779, '\P{^Gc=	LU}', "");
Error('\p{Category= uppercase_Letter/a/}');
Error('\P{Category= uppercase_Letter/a/}');
Expect(1, 120778, '\p{Category=uppercaseletter}', "");
Expect(0, 120778, '\p{^Category=uppercaseletter}', "");
Expect(0, 120778, '\P{Category=uppercaseletter}', "");
Expect(1, 120778, '\P{^Category=uppercaseletter}', "");
Expect(0, 120779, '\p{Category=uppercaseletter}', "");
Expect(1, 120779, '\p{^Category=uppercaseletter}', "");
Expect(1, 120779, '\P{Category=uppercaseletter}', "");
Expect(0, 120779, '\P{^Category=uppercaseletter}', "");
Expect(1, 120778, '\p{Category:		-uppercase_Letter}', "");
Expect(0, 120778, '\p{^Category:		-uppercase_Letter}', "");
Expect(0, 120778, '\P{Category:		-uppercase_Letter}', "");
Expect(1, 120778, '\P{^Category:		-uppercase_Letter}', "");
Expect(0, 120779, '\p{Category:		-uppercase_Letter}', "");
Expect(1, 120779, '\p{^Category:		-uppercase_Letter}', "");
Expect(1, 120779, '\P{Category:		-uppercase_Letter}', "");
Expect(0, 120779, '\P{^Category:		-uppercase_Letter}', "");
Error('\p{Is_General_Category=	-LU/a/}');
Error('\P{Is_General_Category=	-LU/a/}');
Expect(1, 120778, '\p{Is_General_Category=lu}', "");
Expect(0, 120778, '\p{^Is_General_Category=lu}', "");
Expect(0, 120778, '\P{Is_General_Category=lu}', "");
Expect(1, 120778, '\P{^Is_General_Category=lu}', "");
Expect(0, 120779, '\p{Is_General_Category=lu}', "");
Expect(1, 120779, '\p{^Is_General_Category=lu}', "");
Expect(1, 120779, '\P{Is_General_Category=lu}', "");
Expect(0, 120779, '\P{^Is_General_Category=lu}', "");
Expect(1, 120778, '\p{Is_General_Category:-Lu}', "");
Expect(0, 120778, '\p{^Is_General_Category:-Lu}', "");
Expect(0, 120778, '\P{Is_General_Category:-Lu}', "");
Expect(1, 120778, '\P{^Is_General_Category:-Lu}', "");
Expect(0, 120779, '\p{Is_General_Category:-Lu}', "");
Expect(1, 120779, '\p{^Is_General_Category:-Lu}', "");
Expect(1, 120779, '\P{Is_General_Category:-Lu}', "");
Expect(0, 120779, '\P{^Is_General_Category:-Lu}', "");
Error('\p{Is_Gc=/a/-uppercase_Letter}');
Error('\P{Is_Gc=/a/-uppercase_Letter}');
Expect(1, 120778, '\p{Is_Gc=uppercaseletter}', "");
Expect(0, 120778, '\p{^Is_Gc=uppercaseletter}', "");
Expect(0, 120778, '\P{Is_Gc=uppercaseletter}', "");
Expect(1, 120778, '\P{^Is_Gc=uppercaseletter}', "");
Expect(0, 120779, '\p{Is_Gc=uppercaseletter}', "");
Expect(1, 120779, '\p{^Is_Gc=uppercaseletter}', "");
Expect(1, 120779, '\P{Is_Gc=uppercaseletter}', "");
Expect(0, 120779, '\P{^Is_Gc=uppercaseletter}', "");
Expect(1, 120778, '\p{Is_Gc=uppercase_Letter}', "");
Expect(0, 120778, '\p{^Is_Gc=uppercase_Letter}', "");
Expect(0, 120778, '\P{Is_Gc=uppercase_Letter}', "");
Expect(1, 120778, '\P{^Is_Gc=uppercase_Letter}', "");
Expect(0, 120779, '\p{Is_Gc=uppercase_Letter}', "");
Expect(1, 120779, '\p{^Is_Gc=uppercase_Letter}', "");
Expect(1, 120779, '\P{Is_Gc=uppercase_Letter}', "");
Expect(0, 120779, '\P{^Is_Gc=uppercase_Letter}', "");
Error('\p{Is_Category=/a/_Lu}');
Error('\P{Is_Category=/a/_Lu}');
Expect(1, 120778, '\p{Is_Category=lu}', "");
Expect(0, 120778, '\p{^Is_Category=lu}', "");
Expect(0, 120778, '\P{Is_Category=lu}', "");
Expect(1, 120778, '\P{^Is_Category=lu}', "");
Expect(0, 120779, '\p{Is_Category=lu}', "");
Expect(1, 120779, '\p{^Is_Category=lu}', "");
Expect(1, 120779, '\P{Is_Category=lu}', "");
Expect(0, 120779, '\P{^Is_Category=lu}', "");
Expect(1, 120778, '\p{Is_Category=-	Lu}', "");
Expect(0, 120778, '\p{^Is_Category=-	Lu}', "");
Expect(0, 120778, '\P{Is_Category=-	Lu}', "");
Expect(1, 120778, '\P{^Is_Category=-	Lu}', "");
Expect(0, 120779, '\p{Is_Category=-	Lu}', "");
Expect(1, 120779, '\p{^Is_Category=-	Lu}', "");
Expect(1, 120779, '\P{Is_Category=-	Lu}', "");
Expect(0, 120779, '\P{^Is_Category=-	Lu}', "");
Error('\p{General_Category=-/a/MARK}');
Error('\P{General_Category=-/a/MARK}');
Expect(1, 917999, '\p{General_Category=mark}', "");
Expect(0, 917999, '\p{^General_Category=mark}', "");
Expect(0, 917999, '\P{General_Category=mark}', "");
Expect(1, 917999, '\P{^General_Category=mark}', "");
Expect(0, 918000, '\p{General_Category=mark}', "");
Expect(1, 918000, '\p{^General_Category=mark}', "");
Expect(1, 918000, '\P{General_Category=mark}', "");
Expect(0, 918000, '\P{^General_Category=mark}', "");
Expect(1, 917999, '\p{General_Category:    	Mark}', "");
Expect(0, 917999, '\p{^General_Category:    	Mark}', "");
Expect(0, 917999, '\P{General_Category:    	Mark}', "");
Expect(1, 917999, '\P{^General_Category:    	Mark}', "");
Expect(0, 918000, '\p{General_Category:    	Mark}', "");
Expect(1, 918000, '\p{^General_Category:    	Mark}', "");
Expect(1, 918000, '\P{General_Category:    	Mark}', "");
Expect(0, 918000, '\P{^General_Category:    	Mark}', "");
Error('\p{Gc= :=M}');
Error('\P{Gc= :=M}');
Expect(1, 917999, '\p{Gc=m}', "");
Expect(0, 917999, '\p{^Gc=m}', "");
Expect(0, 917999, '\P{Gc=m}', "");
Expect(1, 917999, '\P{^Gc=m}', "");
Expect(0, 918000, '\p{Gc=m}', "");
Expect(1, 918000, '\p{^Gc=m}', "");
Expect(1, 918000, '\P{Gc=m}', "");
Expect(0, 918000, '\P{^Gc=m}', "");
Expect(1, 917999, '\p{Gc= 	m}', "");
Expect(0, 917999, '\p{^Gc= 	m}', "");
Expect(0, 917999, '\P{Gc= 	m}', "");
Expect(1, 917999, '\P{^Gc= 	m}', "");
Expect(0, 918000, '\p{Gc= 	m}', "");
Expect(1, 918000, '\p{^Gc= 	m}', "");
Expect(1, 918000, '\P{Gc= 	m}', "");
Expect(0, 918000, '\P{^Gc= 	m}', "");
Error('\p{Category=:=Combining_Mark}');
Error('\P{Category=:=Combining_Mark}');
Expect(1, 917999, '\p{Category=combiningmark}', "");
Expect(0, 917999, '\p{^Category=combiningmark}', "");
Expect(0, 917999, '\P{Category=combiningmark}', "");
Expect(1, 917999, '\P{^Category=combiningmark}', "");
Expect(0, 918000, '\p{Category=combiningmark}', "");
Expect(1, 918000, '\p{^Category=combiningmark}', "");
Expect(1, 918000, '\P{Category=combiningmark}', "");
Expect(0, 918000, '\P{^Category=combiningmark}', "");
Expect(1, 917999, '\p{Category:  Combining_Mark}', "");
Expect(0, 917999, '\p{^Category:  Combining_Mark}', "");
Expect(0, 917999, '\P{Category:  Combining_Mark}', "");
Expect(1, 917999, '\P{^Category:  Combining_Mark}', "");
Expect(0, 918000, '\p{Category:  Combining_Mark}', "");
Expect(1, 918000, '\p{^Category:  Combining_Mark}', "");
Expect(1, 918000, '\P{Category:  Combining_Mark}', "");
Expect(0, 918000, '\P{^Category:  Combining_Mark}', "");
Error('\p{Is_General_Category=/a/_ mark}');
Error('\P{Is_General_Category=/a/_ mark}');
Expect(1, 917999, '\p{Is_General_Category=mark}', "");
Expect(0, 917999, '\p{^Is_General_Category=mark}', "");
Expect(0, 917999, '\P{Is_General_Category=mark}', "");
Expect(1, 917999, '\P{^Is_General_Category=mark}', "");
Expect(0, 918000, '\p{Is_General_Category=mark}', "");
Expect(1, 918000, '\p{^Is_General_Category=mark}', "");
Expect(1, 918000, '\P{Is_General_Category=mark}', "");
Expect(0, 918000, '\P{^Is_General_Category=mark}', "");
Expect(1, 917999, '\p{Is_General_Category=	mark}', "");
Expect(0, 917999, '\p{^Is_General_Category=	mark}', "");
Expect(0, 917999, '\P{Is_General_Category=	mark}', "");
Expect(1, 917999, '\P{^Is_General_Category=	mark}', "");
Expect(0, 918000, '\p{Is_General_Category=	mark}', "");
Expect(1, 918000, '\p{^Is_General_Category=	mark}', "");
Expect(1, 918000, '\P{Is_General_Category=	mark}', "");
Expect(0, 918000, '\P{^Is_General_Category=	mark}', "");
Error('\p{Is_Gc=/a/-M}');
Error('\P{Is_Gc=/a/-M}');
Expect(1, 917999, '\p{Is_Gc=m}', "");
Expect(0, 917999, '\p{^Is_Gc=m}', "");
Expect(0, 917999, '\P{Is_Gc=m}', "");
Expect(1, 917999, '\P{^Is_Gc=m}', "");
Expect(0, 918000, '\p{Is_Gc=m}', "");
Expect(1, 918000, '\p{^Is_Gc=m}', "");
Expect(1, 918000, '\P{Is_Gc=m}', "");
Expect(0, 918000, '\P{^Is_Gc=m}', "");
Expect(1, 917999, '\p{Is_Gc=- M}', "");
Expect(0, 917999, '\p{^Is_Gc=- M}', "");
Expect(0, 917999, '\P{Is_Gc=- M}', "");
Expect(1, 917999, '\P{^Is_Gc=- M}', "");
Expect(0, 918000, '\p{Is_Gc=- M}', "");
Expect(1, 918000, '\p{^Is_Gc=- M}', "");
Expect(1, 918000, '\P{Is_Gc=- M}', "");
Expect(0, 918000, '\P{^Is_Gc=- M}', "");
Error('\p{Is_Category=Combining_mark:=}');
Error('\P{Is_Category=Combining_mark:=}');
Expect(1, 917999, '\p{Is_Category=combiningmark}', "");
Expect(0, 917999, '\p{^Is_Category=combiningmark}', "");
Expect(0, 917999, '\P{Is_Category=combiningmark}', "");
Expect(1, 917999, '\P{^Is_Category=combiningmark}', "");
Expect(0, 918000, '\p{Is_Category=combiningmark}', "");
Expect(1, 918000, '\p{^Is_Category=combiningmark}', "");
Expect(1, 918000, '\P{Is_Category=combiningmark}', "");
Expect(0, 918000, '\P{^Is_Category=combiningmark}', "");
Expect(1, 917999, '\p{Is_Category=- Combining_mark}', "");
Expect(0, 917999, '\p{^Is_Category=- Combining_mark}', "");
Expect(0, 917999, '\P{Is_Category=- Combining_mark}', "");
Expect(1, 917999, '\P{^Is_Category=- Combining_mark}', "");
Expect(0, 918000, '\p{Is_Category=- Combining_mark}', "");
Expect(1, 918000, '\p{^Is_Category=- Combining_mark}', "");
Expect(1, 918000, '\P{Is_Category=- Combining_mark}', "");
Expect(0, 918000, '\P{^Is_Category=- Combining_mark}', "");
Error('\p{General_Category:	/a/_Spacing_mark}');
Error('\P{General_Category:	/a/_Spacing_mark}');
Expect(1, 119154, '\p{General_Category:   spacingmark}', "");
Expect(0, 119154, '\p{^General_Category:   spacingmark}', "");
Expect(0, 119154, '\P{General_Category:   spacingmark}', "");
Expect(1, 119154, '\P{^General_Category:   spacingmark}', "");
Expect(0, 119155, '\p{General_Category:   spacingmark}', "");
Expect(1, 119155, '\p{^General_Category:   spacingmark}', "");
Expect(1, 119155, '\P{General_Category:   spacingmark}', "");
Expect(0, 119155, '\P{^General_Category:   spacingmark}', "");
Expect(1, 119154, '\p{General_Category=- Spacing_Mark}', "");
Expect(0, 119154, '\p{^General_Category=- Spacing_Mark}', "");
Expect(0, 119154, '\P{General_Category=- Spacing_Mark}', "");
Expect(1, 119154, '\P{^General_Category=- Spacing_Mark}', "");
Expect(0, 119155, '\p{General_Category=- Spacing_Mark}', "");
Expect(1, 119155, '\p{^General_Category=- Spacing_Mark}', "");
Expect(1, 119155, '\P{General_Category=- Spacing_Mark}', "");
Expect(0, 119155, '\P{^General_Category=- Spacing_Mark}', "");
Error('\p{Gc=	MC:=}');
Error('\P{Gc=	MC:=}');
Expect(1, 119154, '\p{Gc=mc}', "");
Expect(0, 119154, '\p{^Gc=mc}', "");
Expect(0, 119154, '\P{Gc=mc}', "");
Expect(1, 119154, '\P{^Gc=mc}', "");
Expect(0, 119155, '\p{Gc=mc}', "");
Expect(1, 119155, '\p{^Gc=mc}', "");
Expect(1, 119155, '\P{Gc=mc}', "");
Expect(0, 119155, '\P{^Gc=mc}', "");
Expect(1, 119154, '\p{Gc=-	MC}', "");
Expect(0, 119154, '\p{^Gc=-	MC}', "");
Expect(0, 119154, '\P{Gc=-	MC}', "");
Expect(1, 119154, '\P{^Gc=-	MC}', "");
Expect(0, 119155, '\p{Gc=-	MC}', "");
Expect(1, 119155, '\p{^Gc=-	MC}', "");
Expect(1, 119155, '\P{Gc=-	MC}', "");
Expect(0, 119155, '\P{^Gc=-	MC}', "");
Error('\p{Category: /a/ -spacing_mark}');
Error('\P{Category: /a/ -spacing_mark}');
Expect(1, 119154, '\p{Category=spacingmark}', "");
Expect(0, 119154, '\p{^Category=spacingmark}', "");
Expect(0, 119154, '\P{Category=spacingmark}', "");
Expect(1, 119154, '\P{^Category=spacingmark}', "");
Expect(0, 119155, '\p{Category=spacingmark}', "");
Expect(1, 119155, '\p{^Category=spacingmark}', "");
Expect(1, 119155, '\P{Category=spacingmark}', "");
Expect(0, 119155, '\P{^Category=spacingmark}', "");
Expect(1, 119154, '\p{Category=--Spacing_MARK}', "");
Expect(0, 119154, '\p{^Category=--Spacing_MARK}', "");
Expect(0, 119154, '\P{Category=--Spacing_MARK}', "");
Expect(1, 119154, '\P{^Category=--Spacing_MARK}', "");
Expect(0, 119155, '\p{Category=--Spacing_MARK}', "");
Expect(1, 119155, '\p{^Category=--Spacing_MARK}', "");
Expect(1, 119155, '\P{Category=--Spacing_MARK}', "");
Expect(0, 119155, '\P{^Category=--Spacing_MARK}', "");
Error('\p{Is_General_Category:		_Mc:=}');
Error('\P{Is_General_Category:		_Mc:=}');
Expect(1, 119154, '\p{Is_General_Category=mc}', "");
Expect(0, 119154, '\p{^Is_General_Category=mc}', "");
Expect(0, 119154, '\P{Is_General_Category=mc}', "");
Expect(1, 119154, '\P{^Is_General_Category=mc}', "");
Expect(0, 119155, '\p{Is_General_Category=mc}', "");
Expect(1, 119155, '\p{^Is_General_Category=mc}', "");
Expect(1, 119155, '\P{Is_General_Category=mc}', "");
Expect(0, 119155, '\P{^Is_General_Category=mc}', "");
Expect(1, 119154, '\p{Is_General_Category=Mc}', "");
Expect(0, 119154, '\p{^Is_General_Category=Mc}', "");
Expect(0, 119154, '\P{Is_General_Category=Mc}', "");
Expect(1, 119154, '\P{^Is_General_Category=Mc}', "");
Expect(0, 119155, '\p{Is_General_Category=Mc}', "");
Expect(1, 119155, '\p{^Is_General_Category=Mc}', "");
Expect(1, 119155, '\P{Is_General_Category=Mc}', "");
Expect(0, 119155, '\P{^Is_General_Category=Mc}', "");
Error('\p{Is_Gc=	 SPACING_Mark/a/}');
Error('\P{Is_Gc=	 SPACING_Mark/a/}');
Expect(1, 119154, '\p{Is_Gc=spacingmark}', "");
Expect(0, 119154, '\p{^Is_Gc=spacingmark}', "");
Expect(0, 119154, '\P{Is_Gc=spacingmark}', "");
Expect(1, 119154, '\P{^Is_Gc=spacingmark}', "");
Expect(0, 119155, '\p{Is_Gc=spacingmark}', "");
Expect(1, 119155, '\p{^Is_Gc=spacingmark}', "");
Expect(1, 119155, '\P{Is_Gc=spacingmark}', "");
Expect(0, 119155, '\P{^Is_Gc=spacingmark}', "");
Expect(1, 119154, '\p{Is_Gc=		spacing_Mark}', "");
Expect(0, 119154, '\p{^Is_Gc=		spacing_Mark}', "");
Expect(0, 119154, '\P{Is_Gc=		spacing_Mark}', "");
Expect(1, 119154, '\P{^Is_Gc=		spacing_Mark}', "");
Expect(0, 119155, '\p{Is_Gc=		spacing_Mark}', "");
Expect(1, 119155, '\p{^Is_Gc=		spacing_Mark}', "");
Expect(1, 119155, '\P{Is_Gc=		spacing_Mark}', "");
Expect(0, 119155, '\P{^Is_Gc=		spacing_Mark}', "");
Error('\p{Is_Category= _MC/a/}');
Error('\P{Is_Category= _MC/a/}');
Expect(1, 119154, '\p{Is_Category=mc}', "");
Expect(0, 119154, '\p{^Is_Category=mc}', "");
Expect(0, 119154, '\P{Is_Category=mc}', "");
Expect(1, 119154, '\P{^Is_Category=mc}', "");
Expect(0, 119155, '\p{Is_Category=mc}', "");
Expect(1, 119155, '\p{^Is_Category=mc}', "");
Expect(1, 119155, '\P{Is_Category=mc}', "");
Expect(0, 119155, '\P{^Is_Category=mc}', "");
Expect(1, 119154, '\p{Is_Category=	Mc}', "");
Expect(0, 119154, '\p{^Is_Category=	Mc}', "");
Expect(0, 119154, '\P{Is_Category=	Mc}', "");
Expect(1, 119154, '\P{^Is_Category=	Mc}', "");
Expect(0, 119155, '\p{Is_Category=	Mc}', "");
Expect(1, 119155, '\p{^Is_Category=	Mc}', "");
Expect(1, 119155, '\P{Is_Category=	Mc}', "");
Expect(0, 119155, '\P{^Is_Category=	Mc}', "");
Error('\p{General_Category=-:=Enclosing_Mark}');
Error('\P{General_Category=-:=Enclosing_Mark}');
Expect(1, 42610, '\p{General_Category=enclosingmark}', "");
Expect(0, 42610, '\p{^General_Category=enclosingmark}', "");
Expect(0, 42610, '\P{General_Category=enclosingmark}', "");
Expect(1, 42610, '\P{^General_Category=enclosingmark}', "");
Expect(0, 42611, '\p{General_Category=enclosingmark}', "");
Expect(1, 42611, '\p{^General_Category=enclosingmark}', "");
Expect(1, 42611, '\P{General_Category=enclosingmark}', "");
Expect(0, 42611, '\P{^General_Category=enclosingmark}', "");
Expect(1, 42610, '\p{General_Category=	ENCLOSING_Mark}', "");
Expect(0, 42610, '\p{^General_Category=	ENCLOSING_Mark}', "");
Expect(0, 42610, '\P{General_Category=	ENCLOSING_Mark}', "");
Expect(1, 42610, '\P{^General_Category=	ENCLOSING_Mark}', "");
Expect(0, 42611, '\p{General_Category=	ENCLOSING_Mark}', "");
Expect(1, 42611, '\p{^General_Category=	ENCLOSING_Mark}', "");
Expect(1, 42611, '\P{General_Category=	ENCLOSING_Mark}', "");
Expect(0, 42611, '\P{^General_Category=	ENCLOSING_Mark}', "");
Error('\p{Gc= :=Me}');
Error('\P{Gc= :=Me}');
Expect(1, 42610, '\p{Gc=me}', "");
Expect(0, 42610, '\p{^Gc=me}', "");
Expect(0, 42610, '\P{Gc=me}', "");
Expect(1, 42610, '\P{^Gc=me}', "");
Expect(0, 42611, '\p{Gc=me}', "");
Expect(1, 42611, '\p{^Gc=me}', "");
Expect(1, 42611, '\P{Gc=me}', "");
Expect(0, 42611, '\P{^Gc=me}', "");
Expect(1, 42610, '\p{Gc=_Me}', "");
Expect(0, 42610, '\p{^Gc=_Me}', "");
Expect(0, 42610, '\P{Gc=_Me}', "");
Expect(1, 42610, '\P{^Gc=_Me}', "");
Expect(0, 42611, '\p{Gc=_Me}', "");
Expect(1, 42611, '\p{^Gc=_Me}', "");
Expect(1, 42611, '\P{Gc=_Me}', "");
Expect(0, 42611, '\P{^Gc=_Me}', "");
Error('\p{Category=:=--enclosing_Mark}');
Error('\P{Category=:=--enclosing_Mark}');
Expect(1, 42610, '\p{Category=enclosingmark}', "");
Expect(0, 42610, '\p{^Category=enclosingmark}', "");
Expect(0, 42610, '\P{Category=enclosingmark}', "");
Expect(1, 42610, '\P{^Category=enclosingmark}', "");
Expect(0, 42611, '\p{Category=enclosingmark}', "");
Expect(1, 42611, '\p{^Category=enclosingmark}', "");
Expect(1, 42611, '\P{Category=enclosingmark}', "");
Expect(0, 42611, '\P{^Category=enclosingmark}', "");
Expect(1, 42610, '\p{Category=	Enclosing_Mark}', "");
Expect(0, 42610, '\p{^Category=	Enclosing_Mark}', "");
Expect(0, 42610, '\P{Category=	Enclosing_Mark}', "");
Expect(1, 42610, '\P{^Category=	Enclosing_Mark}', "");
Expect(0, 42611, '\p{Category=	Enclosing_Mark}', "");
Expect(1, 42611, '\p{^Category=	Enclosing_Mark}', "");
Expect(1, 42611, '\P{Category=	Enclosing_Mark}', "");
Expect(0, 42611, '\P{^Category=	Enclosing_Mark}', "");
Error('\p{Is_General_Category=	ME/a/}');
Error('\P{Is_General_Category=	ME/a/}');
Expect(1, 42610, '\p{Is_General_Category=me}', "");
Expect(0, 42610, '\p{^Is_General_Category=me}', "");
Expect(0, 42610, '\P{Is_General_Category=me}', "");
Expect(1, 42610, '\P{^Is_General_Category=me}', "");
Expect(0, 42611, '\p{Is_General_Category=me}', "");
Expect(1, 42611, '\p{^Is_General_Category=me}', "");
Expect(1, 42611, '\P{Is_General_Category=me}', "");
Expect(0, 42611, '\P{^Is_General_Category=me}', "");
Expect(1, 42610, '\p{Is_General_Category: 	ME}', "");
Expect(0, 42610, '\p{^Is_General_Category: 	ME}', "");
Expect(0, 42610, '\P{Is_General_Category: 	ME}', "");
Expect(1, 42610, '\P{^Is_General_Category: 	ME}', "");
Expect(0, 42611, '\p{Is_General_Category: 	ME}', "");
Expect(1, 42611, '\p{^Is_General_Category: 	ME}', "");
Expect(1, 42611, '\P{Is_General_Category: 	ME}', "");
Expect(0, 42611, '\P{^Is_General_Category: 	ME}', "");
Error('\p{Is_Gc=/a/	_ENCLOSING_MARK}');
Error('\P{Is_Gc=/a/	_ENCLOSING_MARK}');
Expect(1, 42610, '\p{Is_Gc=enclosingmark}', "");
Expect(0, 42610, '\p{^Is_Gc=enclosingmark}', "");
Expect(0, 42610, '\P{Is_Gc=enclosingmark}', "");
Expect(1, 42610, '\P{^Is_Gc=enclosingmark}', "");
Expect(0, 42611, '\p{Is_Gc=enclosingmark}', "");
Expect(1, 42611, '\p{^Is_Gc=enclosingmark}', "");
Expect(1, 42611, '\P{Is_Gc=enclosingmark}', "");
Expect(0, 42611, '\P{^Is_Gc=enclosingmark}', "");
Expect(1, 42610, '\p{Is_Gc=--Enclosing_MARK}', "");
Expect(0, 42610, '\p{^Is_Gc=--Enclosing_MARK}', "");
Expect(0, 42610, '\P{Is_Gc=--Enclosing_MARK}', "");
Expect(1, 42610, '\P{^Is_Gc=--Enclosing_MARK}', "");
Expect(0, 42611, '\p{Is_Gc=--Enclosing_MARK}', "");
Expect(1, 42611, '\p{^Is_Gc=--Enclosing_MARK}', "");
Expect(1, 42611, '\P{Is_Gc=--Enclosing_MARK}', "");
Expect(0, 42611, '\P{^Is_Gc=--Enclosing_MARK}', "");
Error('\p{Is_Category:	:=me}');
Error('\P{Is_Category:	:=me}');
Expect(1, 42610, '\p{Is_Category=me}', "");
Expect(0, 42610, '\p{^Is_Category=me}', "");
Expect(0, 42610, '\P{Is_Category=me}', "");
Expect(1, 42610, '\P{^Is_Category=me}', "");
Expect(0, 42611, '\p{Is_Category=me}', "");
Expect(1, 42611, '\p{^Is_Category=me}', "");
Expect(1, 42611, '\P{Is_Category=me}', "");
Expect(0, 42611, '\P{^Is_Category=me}', "");
Expect(1, 42610, '\p{Is_Category=	Me}', "");
Expect(0, 42610, '\p{^Is_Category=	Me}', "");
Expect(0, 42610, '\P{Is_Category=	Me}', "");
Expect(1, 42610, '\P{^Is_Category=	Me}', "");
Expect(0, 42611, '\p{Is_Category=	Me}', "");
Expect(1, 42611, '\p{^Is_Category=	Me}', "");
Expect(1, 42611, '\P{Is_Category=	Me}', "");
Expect(0, 42611, '\P{^Is_Category=	Me}', "");
Error('\p{General_Category= 	Nonspacing_Mark:=}');
Error('\P{General_Category= 	Nonspacing_Mark:=}');
Expect(1, 917999, '\p{General_Category=nonspacingmark}', "");
Expect(0, 917999, '\p{^General_Category=nonspacingmark}', "");
Expect(0, 917999, '\P{General_Category=nonspacingmark}', "");
Expect(1, 917999, '\P{^General_Category=nonspacingmark}', "");
Expect(0, 918000, '\p{General_Category=nonspacingmark}', "");
Expect(1, 918000, '\p{^General_Category=nonspacingmark}', "");
Expect(1, 918000, '\P{General_Category=nonspacingmark}', "");
Expect(0, 918000, '\P{^General_Category=nonspacingmark}', "");
Expect(1, 917999, '\p{General_Category=	_Nonspacing_Mark}', "");
Expect(0, 917999, '\p{^General_Category=	_Nonspacing_Mark}', "");
Expect(0, 917999, '\P{General_Category=	_Nonspacing_Mark}', "");
Expect(1, 917999, '\P{^General_Category=	_Nonspacing_Mark}', "");
Expect(0, 918000, '\p{General_Category=	_Nonspacing_Mark}', "");
Expect(1, 918000, '\p{^General_Category=	_Nonspacing_Mark}', "");
Expect(1, 918000, '\P{General_Category=	_Nonspacing_Mark}', "");
Expect(0, 918000, '\P{^General_Category=	_Nonspacing_Mark}', "");
Error('\p{Gc=/a/_ mn}');
Error('\P{Gc=/a/_ mn}');
Expect(1, 917999, '\p{Gc=mn}', "");
Expect(0, 917999, '\p{^Gc=mn}', "");
Expect(0, 917999, '\P{Gc=mn}', "");
Expect(1, 917999, '\P{^Gc=mn}', "");
Expect(0, 918000, '\p{Gc=mn}', "");
Expect(1, 918000, '\p{^Gc=mn}', "");
Expect(1, 918000, '\P{Gc=mn}', "");
Expect(0, 918000, '\P{^Gc=mn}', "");
Expect(1, 917999, '\p{Gc=_	Mn}', "");
Expect(0, 917999, '\p{^Gc=_	Mn}', "");
Expect(0, 917999, '\P{Gc=_	Mn}', "");
Expect(1, 917999, '\P{^Gc=_	Mn}', "");
Expect(0, 918000, '\p{Gc=_	Mn}', "");
Expect(1, 918000, '\p{^Gc=_	Mn}', "");
Expect(1, 918000, '\P{Gc=_	Mn}', "");
Expect(0, 918000, '\P{^Gc=_	Mn}', "");
Error('\p{Category:	-	NONSPACING_Mark:=}');
Error('\P{Category:	-	NONSPACING_Mark:=}');
Expect(1, 917999, '\p{Category=nonspacingmark}', "");
Expect(0, 917999, '\p{^Category=nonspacingmark}', "");
Expect(0, 917999, '\P{Category=nonspacingmark}', "");
Expect(1, 917999, '\P{^Category=nonspacingmark}', "");
Expect(0, 918000, '\p{Category=nonspacingmark}', "");
Expect(1, 918000, '\p{^Category=nonspacingmark}', "");
Expect(1, 918000, '\P{Category=nonspacingmark}', "");
Expect(0, 918000, '\P{^Category=nonspacingmark}', "");
Expect(1, 917999, '\p{Category=--Nonspacing_mark}', "");
Expect(0, 917999, '\p{^Category=--Nonspacing_mark}', "");
Expect(0, 917999, '\P{Category=--Nonspacing_mark}', "");
Expect(1, 917999, '\P{^Category=--Nonspacing_mark}', "");
Expect(0, 918000, '\p{Category=--Nonspacing_mark}', "");
Expect(1, 918000, '\p{^Category=--Nonspacing_mark}', "");
Expect(1, 918000, '\P{Category=--Nonspacing_mark}', "");
Expect(0, 918000, '\P{^Category=--Nonspacing_mark}', "");
Error('\p{Is_General_Category=_ MN:=}');
Error('\P{Is_General_Category=_ MN:=}');
Expect(1, 917999, '\p{Is_General_Category=mn}', "");
Expect(0, 917999, '\p{^Is_General_Category=mn}', "");
Expect(0, 917999, '\P{Is_General_Category=mn}', "");
Expect(1, 917999, '\P{^Is_General_Category=mn}', "");
Expect(0, 918000, '\p{Is_General_Category=mn}', "");
Expect(1, 918000, '\p{^Is_General_Category=mn}', "");
Expect(1, 918000, '\P{Is_General_Category=mn}', "");
Expect(0, 918000, '\P{^Is_General_Category=mn}', "");
Expect(1, 917999, '\p{Is_General_Category: __Mn}', "");
Expect(0, 917999, '\p{^Is_General_Category: __Mn}', "");
Expect(0, 917999, '\P{Is_General_Category: __Mn}', "");
Expect(1, 917999, '\P{^Is_General_Category: __Mn}', "");
Expect(0, 918000, '\p{Is_General_Category: __Mn}', "");
Expect(1, 918000, '\p{^Is_General_Category: __Mn}', "");
Expect(1, 918000, '\P{Is_General_Category: __Mn}', "");
Expect(0, 918000, '\P{^Is_General_Category: __Mn}', "");
Error('\p{Is_Gc=_-Nonspacing_Mark:=}');
Error('\P{Is_Gc=_-Nonspacing_Mark:=}');
Expect(1, 917999, '\p{Is_Gc=nonspacingmark}', "");
Expect(0, 917999, '\p{^Is_Gc=nonspacingmark}', "");
Expect(0, 917999, '\P{Is_Gc=nonspacingmark}', "");
Expect(1, 917999, '\P{^Is_Gc=nonspacingmark}', "");
Expect(0, 918000, '\p{Is_Gc=nonspacingmark}', "");
Expect(1, 918000, '\p{^Is_Gc=nonspacingmark}', "");
Expect(1, 918000, '\P{Is_Gc=nonspacingmark}', "");
Expect(0, 918000, '\P{^Is_Gc=nonspacingmark}', "");
Expect(1, 917999, '\p{Is_Gc=_	nonspacing_MARK}', "");
Expect(0, 917999, '\p{^Is_Gc=_	nonspacing_MARK}', "");
Expect(0, 917999, '\P{Is_Gc=_	nonspacing_MARK}', "");
Expect(1, 917999, '\P{^Is_Gc=_	nonspacing_MARK}', "");
Expect(0, 918000, '\p{Is_Gc=_	nonspacing_MARK}', "");
Expect(1, 918000, '\p{^Is_Gc=_	nonspacing_MARK}', "");
Expect(1, 918000, '\P{Is_Gc=_	nonspacing_MARK}', "");
Expect(0, 918000, '\P{^Is_Gc=_	nonspacing_MARK}', "");
Error('\p{Is_Category=-:=mn}');
Error('\P{Is_Category=-:=mn}');
Expect(1, 917999, '\p{Is_Category=mn}', "");
Expect(0, 917999, '\p{^Is_Category=mn}', "");
Expect(0, 917999, '\P{Is_Category=mn}', "");
Expect(1, 917999, '\P{^Is_Category=mn}', "");
Expect(0, 918000, '\p{Is_Category=mn}', "");
Expect(1, 918000, '\p{^Is_Category=mn}', "");
Expect(1, 918000, '\P{Is_Category=mn}', "");
Expect(0, 918000, '\P{^Is_Category=mn}', "");
Expect(1, 917999, '\p{Is_Category=-Mn}', "");
Expect(0, 917999, '\p{^Is_Category=-Mn}', "");
Expect(0, 917999, '\P{Is_Category=-Mn}', "");
Expect(1, 917999, '\P{^Is_Category=-Mn}', "");
Expect(0, 918000, '\p{Is_Category=-Mn}', "");
Expect(1, 918000, '\p{^Is_Category=-Mn}', "");
Expect(1, 918000, '\P{Is_Category=-Mn}', "");
Expect(0, 918000, '\P{^Is_Category=-Mn}', "");
Error('\p{General_Category=  number:=}');
Error('\P{General_Category=  number:=}');
Expect(1, 127244, '\p{General_Category=number}', "");
Expect(0, 127244, '\p{^General_Category=number}', "");
Expect(0, 127244, '\P{General_Category=number}', "");
Expect(1, 127244, '\P{^General_Category=number}', "");
Expect(0, 127245, '\p{General_Category=number}', "");
Expect(1, 127245, '\p{^General_Category=number}', "");
Expect(1, 127245, '\P{General_Category=number}', "");
Expect(0, 127245, '\P{^General_Category=number}', "");
Expect(1, 127244, '\p{General_Category=_-Number}', "");
Expect(0, 127244, '\p{^General_Category=_-Number}', "");
Expect(0, 127244, '\P{General_Category=_-Number}', "");
Expect(1, 127244, '\P{^General_Category=_-Number}', "");
Expect(0, 127245, '\p{General_Category=_-Number}', "");
Expect(1, 127245, '\p{^General_Category=_-Number}', "");
Expect(1, 127245, '\P{General_Category=_-Number}', "");
Expect(0, 127245, '\P{^General_Category=_-Number}', "");
Error('\p{Gc=  n:=}');
Error('\P{Gc=  n:=}');
Expect(1, 127244, '\p{Gc=n}', "");
Expect(0, 127244, '\p{^Gc=n}', "");
Expect(0, 127244, '\P{Gc=n}', "");
Expect(1, 127244, '\P{^Gc=n}', "");
Expect(0, 127245, '\p{Gc=n}', "");
Expect(1, 127245, '\p{^Gc=n}', "");
Expect(1, 127245, '\P{Gc=n}', "");
Expect(0, 127245, '\P{^Gc=n}', "");
Expect(1, 127244, '\p{Gc= -N}', "");
Expect(0, 127244, '\p{^Gc= -N}', "");
Expect(0, 127244, '\P{Gc= -N}', "");
Expect(1, 127244, '\P{^Gc= -N}', "");
Expect(0, 127245, '\p{Gc= -N}', "");
Expect(1, 127245, '\p{^Gc= -N}', "");
Expect(1, 127245, '\P{Gc= -N}', "");
Expect(0, 127245, '\P{^Gc= -N}', "");
Error('\p{Category=-:=Number}');
Error('\P{Category=-:=Number}');
Expect(1, 127244, '\p{Category=number}', "");
Expect(0, 127244, '\p{^Category=number}', "");
Expect(0, 127244, '\P{Category=number}', "");
Expect(1, 127244, '\P{^Category=number}', "");
Expect(0, 127245, '\p{Category=number}', "");
Expect(1, 127245, '\p{^Category=number}', "");
Expect(1, 127245, '\P{Category=number}', "");
Expect(0, 127245, '\P{^Category=number}', "");
Expect(1, 127244, '\p{Category=_NUMBER}', "");
Expect(0, 127244, '\p{^Category=_NUMBER}', "");
Expect(0, 127244, '\P{Category=_NUMBER}', "");
Expect(1, 127244, '\P{^Category=_NUMBER}', "");
Expect(0, 127245, '\p{Category=_NUMBER}', "");
Expect(1, 127245, '\p{^Category=_NUMBER}', "");
Expect(1, 127245, '\P{Category=_NUMBER}', "");
Expect(0, 127245, '\P{^Category=_NUMBER}', "");
Error('\p{Is_General_Category=/a/ N}');
Error('\P{Is_General_Category=/a/ N}');
Expect(1, 127244, '\p{Is_General_Category=n}', "");
Expect(0, 127244, '\p{^Is_General_Category=n}', "");
Expect(0, 127244, '\P{Is_General_Category=n}', "");
Expect(1, 127244, '\P{^Is_General_Category=n}', "");
Expect(0, 127245, '\p{Is_General_Category=n}', "");
Expect(1, 127245, '\p{^Is_General_Category=n}', "");
Expect(1, 127245, '\P{Is_General_Category=n}', "");
Expect(0, 127245, '\P{^Is_General_Category=n}', "");
Expect(1, 127244, '\p{Is_General_Category=  N}', "");
Expect(0, 127244, '\p{^Is_General_Category=  N}', "");
Expect(0, 127244, '\P{Is_General_Category=  N}', "");
Expect(1, 127244, '\P{^Is_General_Category=  N}', "");
Expect(0, 127245, '\p{Is_General_Category=  N}', "");
Expect(1, 127245, '\p{^Is_General_Category=  N}', "");
Expect(1, 127245, '\P{Is_General_Category=  N}', "");
Expect(0, 127245, '\P{^Is_General_Category=  N}', "");
Error('\p{Is_Gc=	number:=}');
Error('\P{Is_Gc=	number:=}');
Expect(1, 127244, '\p{Is_Gc=number}', "");
Expect(0, 127244, '\p{^Is_Gc=number}', "");
Expect(0, 127244, '\P{Is_Gc=number}', "");
Expect(1, 127244, '\P{^Is_Gc=number}', "");
Expect(0, 127245, '\p{Is_Gc=number}', "");
Expect(1, 127245, '\p{^Is_Gc=number}', "");
Expect(1, 127245, '\P{Is_Gc=number}', "");
Expect(0, 127245, '\P{^Is_Gc=number}', "");
Expect(1, 127244, '\p{Is_Gc=_-number}', "");
Expect(0, 127244, '\p{^Is_Gc=_-number}', "");
Expect(0, 127244, '\P{Is_Gc=_-number}', "");
Expect(1, 127244, '\P{^Is_Gc=_-number}', "");
Expect(0, 127245, '\p{Is_Gc=_-number}', "");
Expect(1, 127245, '\p{^Is_Gc=_-number}', "");
Expect(1, 127245, '\P{Is_Gc=_-number}', "");
Expect(0, 127245, '\P{^Is_Gc=_-number}', "");
Error('\p{Is_Category:   :=-N}');
Error('\P{Is_Category:   :=-N}');
Expect(1, 127244, '\p{Is_Category=n}', "");
Expect(0, 127244, '\p{^Is_Category=n}', "");
Expect(0, 127244, '\P{Is_Category=n}', "");
Expect(1, 127244, '\P{^Is_Category=n}', "");
Expect(0, 127245, '\p{Is_Category=n}', "");
Expect(1, 127245, '\p{^Is_Category=n}', "");
Expect(1, 127245, '\P{Is_Category=n}', "");
Expect(0, 127245, '\P{^Is_Category=n}', "");
Expect(1, 127244, '\p{Is_Category:	 N}', "");
Expect(0, 127244, '\p{^Is_Category:	 N}', "");
Expect(0, 127244, '\P{Is_Category:	 N}', "");
Expect(1, 127244, '\P{^Is_Category:	 N}', "");
Expect(0, 127245, '\p{Is_Category:	 N}', "");
Expect(1, 127245, '\p{^Is_Category:	 N}', "");
Expect(1, 127245, '\P{Is_Category:	 N}', "");
Expect(0, 127245, '\P{^Is_Category:	 N}', "");
Error('\p{General_Category: 	-Decimal_number:=}');
Error('\P{General_Category: 	-Decimal_number:=}');
Expect(1, 120831, '\p{General_Category=decimalnumber}', "");
Expect(0, 120831, '\p{^General_Category=decimalnumber}', "");
Expect(0, 120831, '\P{General_Category=decimalnumber}', "");
Expect(1, 120831, '\P{^General_Category=decimalnumber}', "");
Expect(0, 120832, '\p{General_Category=decimalnumber}', "");
Expect(1, 120832, '\p{^General_Category=decimalnumber}', "");
Expect(1, 120832, '\P{General_Category=decimalnumber}', "");
Expect(0, 120832, '\P{^General_Category=decimalnumber}', "");
Expect(1, 120831, '\p{General_Category=  Decimal_number}', "");
Expect(0, 120831, '\p{^General_Category=  Decimal_number}', "");
Expect(0, 120831, '\P{General_Category=  Decimal_number}', "");
Expect(1, 120831, '\P{^General_Category=  Decimal_number}', "");
Expect(0, 120832, '\p{General_Category=  Decimal_number}', "");
Expect(1, 120832, '\p{^General_Category=  Decimal_number}', "");
Expect(1, 120832, '\P{General_Category=  Decimal_number}', "");
Expect(0, 120832, '\P{^General_Category=  Decimal_number}', "");
Error('\p{Gc:   :=	ND}');
Error('\P{Gc:   :=	ND}');
Expect(1, 120831, '\p{Gc=nd}', "");
Expect(0, 120831, '\p{^Gc=nd}', "");
Expect(0, 120831, '\P{Gc=nd}', "");
Expect(1, 120831, '\P{^Gc=nd}', "");
Expect(0, 120832, '\p{Gc=nd}', "");
Expect(1, 120832, '\p{^Gc=nd}', "");
Expect(1, 120832, '\P{Gc=nd}', "");
Expect(0, 120832, '\P{^Gc=nd}', "");
Expect(1, 120831, '\p{Gc=_ND}', "");
Expect(0, 120831, '\p{^Gc=_ND}', "");
Expect(0, 120831, '\P{Gc=_ND}', "");
Expect(1, 120831, '\P{^Gc=_ND}', "");
Expect(0, 120832, '\p{Gc=_ND}', "");
Expect(1, 120832, '\p{^Gc=_ND}', "");
Expect(1, 120832, '\P{Gc=_ND}', "");
Expect(0, 120832, '\P{^Gc=_ND}', "");
Error('\p{Category=-DIGIT:=}');
Error('\P{Category=-DIGIT:=}');
Expect(1, 120831, '\p{Category=digit}', "");
Expect(0, 120831, '\p{^Category=digit}', "");
Expect(0, 120831, '\P{Category=digit}', "");
Expect(1, 120831, '\P{^Category=digit}', "");
Expect(0, 120832, '\p{Category=digit}', "");
Expect(1, 120832, '\p{^Category=digit}', "");
Expect(1, 120832, '\P{Category=digit}', "");
Expect(0, 120832, '\P{^Category=digit}', "");
Expect(1, 120831, '\p{Category=DIGIT}', "");
Expect(0, 120831, '\p{^Category=DIGIT}', "");
Expect(0, 120831, '\P{Category=DIGIT}', "");
Expect(1, 120831, '\P{^Category=DIGIT}', "");
Expect(0, 120832, '\p{Category=DIGIT}', "");
Expect(1, 120832, '\p{^Category=DIGIT}', "");
Expect(1, 120832, '\P{Category=DIGIT}', "");
Expect(0, 120832, '\P{^Category=DIGIT}', "");
Error('\p{Is_General_Category=-/a/DECIMAL_NUMBER}');
Error('\P{Is_General_Category=-/a/DECIMAL_NUMBER}');
Expect(1, 120831, '\p{Is_General_Category=decimalnumber}', "");
Expect(0, 120831, '\p{^Is_General_Category=decimalnumber}', "");
Expect(0, 120831, '\P{Is_General_Category=decimalnumber}', "");
Expect(1, 120831, '\P{^Is_General_Category=decimalnumber}', "");
Expect(0, 120832, '\p{Is_General_Category=decimalnumber}', "");
Expect(1, 120832, '\p{^Is_General_Category=decimalnumber}', "");
Expect(1, 120832, '\P{Is_General_Category=decimalnumber}', "");
Expect(0, 120832, '\P{^Is_General_Category=decimalnumber}', "");
Expect(1, 120831, '\p{Is_General_Category=_	decimal_number}', "");
Expect(0, 120831, '\p{^Is_General_Category=_	decimal_number}', "");
Expect(0, 120831, '\P{Is_General_Category=_	decimal_number}', "");
Expect(1, 120831, '\P{^Is_General_Category=_	decimal_number}', "");
Expect(0, 120832, '\p{Is_General_Category=_	decimal_number}', "");
Expect(1, 120832, '\p{^Is_General_Category=_	decimal_number}', "");
Expect(1, 120832, '\P{Is_General_Category=_	decimal_number}', "");
Expect(0, 120832, '\P{^Is_General_Category=_	decimal_number}', "");
Error('\p{Is_Gc=_:=nd}');
Error('\P{Is_Gc=_:=nd}');
Expect(1, 120831, '\p{Is_Gc=nd}', "");
Expect(0, 120831, '\p{^Is_Gc=nd}', "");
Expect(0, 120831, '\P{Is_Gc=nd}', "");
Expect(1, 120831, '\P{^Is_Gc=nd}', "");
Expect(0, 120832, '\p{Is_Gc=nd}', "");
Expect(1, 120832, '\p{^Is_Gc=nd}', "");
Expect(1, 120832, '\P{Is_Gc=nd}', "");
Expect(0, 120832, '\P{^Is_Gc=nd}', "");
Expect(1, 120831, '\p{Is_Gc= ND}', "");
Expect(0, 120831, '\p{^Is_Gc= ND}', "");
Expect(0, 120831, '\P{Is_Gc= ND}', "");
Expect(1, 120831, '\P{^Is_Gc= ND}', "");
Expect(0, 120832, '\p{Is_Gc= ND}', "");
Expect(1, 120832, '\p{^Is_Gc= ND}', "");
Expect(1, 120832, '\P{Is_Gc= ND}', "");
Expect(0, 120832, '\P{^Is_Gc= ND}', "");
Error('\p{Is_Category=	Digit:=}');
Error('\P{Is_Category=	Digit:=}');
Expect(1, 120831, '\p{Is_Category=digit}', "");
Expect(0, 120831, '\p{^Is_Category=digit}', "");
Expect(0, 120831, '\P{Is_Category=digit}', "");
Expect(1, 120831, '\P{^Is_Category=digit}', "");
Expect(0, 120832, '\p{Is_Category=digit}', "");
Expect(1, 120832, '\p{^Is_Category=digit}', "");
Expect(1, 120832, '\P{Is_Category=digit}', "");
Expect(0, 120832, '\P{^Is_Category=digit}', "");
Expect(1, 120831, '\p{Is_Category=_ DIGIT}', "");
Expect(0, 120831, '\p{^Is_Category=_ DIGIT}', "");
Expect(0, 120831, '\P{Is_Category=_ DIGIT}', "");
Expect(1, 120831, '\P{^Is_Category=_ DIGIT}', "");
Expect(0, 120832, '\p{Is_Category=_ DIGIT}', "");
Expect(1, 120832, '\p{^Is_Category=_ DIGIT}', "");
Expect(1, 120832, '\P{Is_Category=_ DIGIT}', "");
Expect(0, 120832, '\P{^Is_Category=_ DIGIT}', "");
Error('\p{General_Category=/a/-	LETTER_Number}');
Error('\P{General_Category=/a/-	LETTER_Number}');
Expect(1, 74862, '\p{General_Category=letternumber}', "");
Expect(0, 74862, '\p{^General_Category=letternumber}', "");
Expect(0, 74862, '\P{General_Category=letternumber}', "");
Expect(1, 74862, '\P{^General_Category=letternumber}', "");
Expect(0, 74863, '\p{General_Category=letternumber}', "");
Expect(1, 74863, '\p{^General_Category=letternumber}', "");
Expect(1, 74863, '\P{General_Category=letternumber}', "");
Expect(0, 74863, '\P{^General_Category=letternumber}', "");
Expect(1, 74862, '\p{General_Category=	_Letter_Number}', "");
Expect(0, 74862, '\p{^General_Category=	_Letter_Number}', "");
Expect(0, 74862, '\P{General_Category=	_Letter_Number}', "");
Expect(1, 74862, '\P{^General_Category=	_Letter_Number}', "");
Expect(0, 74863, '\p{General_Category=	_Letter_Number}', "");
Expect(1, 74863, '\p{^General_Category=	_Letter_Number}', "");
Expect(1, 74863, '\P{General_Category=	_Letter_Number}', "");
Expect(0, 74863, '\P{^General_Category=	_Letter_Number}', "");
Error('\p{Gc=:=	-nl}');
Error('\P{Gc=:=	-nl}');
Expect(1, 74862, '\p{Gc=nl}', "");
Expect(0, 74862, '\p{^Gc=nl}', "");
Expect(0, 74862, '\P{Gc=nl}', "");
Expect(1, 74862, '\P{^Gc=nl}', "");
Expect(0, 74863, '\p{Gc=nl}', "");
Expect(1, 74863, '\p{^Gc=nl}', "");
Expect(1, 74863, '\P{Gc=nl}', "");
Expect(0, 74863, '\P{^Gc=nl}', "");
Expect(1, 74862, '\p{Gc=-_Nl}', "");
Expect(0, 74862, '\p{^Gc=-_Nl}', "");
Expect(0, 74862, '\P{Gc=-_Nl}', "");
Expect(1, 74862, '\P{^Gc=-_Nl}', "");
Expect(0, 74863, '\p{Gc=-_Nl}', "");
Expect(1, 74863, '\p{^Gc=-_Nl}', "");
Expect(1, 74863, '\P{Gc=-_Nl}', "");
Expect(0, 74863, '\P{^Gc=-_Nl}', "");
Error('\p{Category: 	LETTER_Number/a/}');
Error('\P{Category: 	LETTER_Number/a/}');
Expect(1, 74862, '\p{Category=letternumber}', "");
Expect(0, 74862, '\p{^Category=letternumber}', "");
Expect(0, 74862, '\P{Category=letternumber}', "");
Expect(1, 74862, '\P{^Category=letternumber}', "");
Expect(0, 74863, '\p{Category=letternumber}', "");
Expect(1, 74863, '\p{^Category=letternumber}', "");
Expect(1, 74863, '\P{Category=letternumber}', "");
Expect(0, 74863, '\P{^Category=letternumber}', "");
Expect(1, 74862, '\p{Category=_-letter_NUMBER}', "");
Expect(0, 74862, '\p{^Category=_-letter_NUMBER}', "");
Expect(0, 74862, '\P{Category=_-letter_NUMBER}', "");
Expect(1, 74862, '\P{^Category=_-letter_NUMBER}', "");
Expect(0, 74863, '\p{Category=_-letter_NUMBER}', "");
Expect(1, 74863, '\p{^Category=_-letter_NUMBER}', "");
Expect(1, 74863, '\P{Category=_-letter_NUMBER}', "");
Expect(0, 74863, '\P{^Category=_-letter_NUMBER}', "");
Error('\p{Is_General_Category=:=	_nl}');
Error('\P{Is_General_Category=:=	_nl}');
Expect(1, 74862, '\p{Is_General_Category=nl}', "");
Expect(0, 74862, '\p{^Is_General_Category=nl}', "");
Expect(0, 74862, '\P{Is_General_Category=nl}', "");
Expect(1, 74862, '\P{^Is_General_Category=nl}', "");
Expect(0, 74863, '\p{Is_General_Category=nl}', "");
Expect(1, 74863, '\p{^Is_General_Category=nl}', "");
Expect(1, 74863, '\P{Is_General_Category=nl}', "");
Expect(0, 74863, '\P{^Is_General_Category=nl}', "");
Expect(1, 74862, '\p{Is_General_Category=_nl}', "");
Expect(0, 74862, '\p{^Is_General_Category=_nl}', "");
Expect(0, 74862, '\P{Is_General_Category=_nl}', "");
Expect(1, 74862, '\P{^Is_General_Category=_nl}', "");
Expect(0, 74863, '\p{Is_General_Category=_nl}', "");
Expect(1, 74863, '\p{^Is_General_Category=_nl}', "");
Expect(1, 74863, '\P{Is_General_Category=_nl}', "");
Expect(0, 74863, '\P{^Is_General_Category=_nl}', "");
Error('\p{Is_Gc=/a/  letter_number}');
Error('\P{Is_Gc=/a/  letter_number}');
Expect(1, 74862, '\p{Is_Gc:letternumber}', "");
Expect(0, 74862, '\p{^Is_Gc:letternumber}', "");
Expect(0, 74862, '\P{Is_Gc:letternumber}', "");
Expect(1, 74862, '\P{^Is_Gc:letternumber}', "");
Expect(0, 74863, '\p{Is_Gc:letternumber}', "");
Expect(1, 74863, '\p{^Is_Gc:letternumber}', "");
Expect(1, 74863, '\P{Is_Gc:letternumber}', "");
Expect(0, 74863, '\P{^Is_Gc:letternumber}', "");
Expect(1, 74862, '\p{Is_Gc=	LETTER_Number}', "");
Expect(0, 74862, '\p{^Is_Gc=	LETTER_Number}', "");
Expect(0, 74862, '\P{Is_Gc=	LETTER_Number}', "");
Expect(1, 74862, '\P{^Is_Gc=	LETTER_Number}', "");
Expect(0, 74863, '\p{Is_Gc=	LETTER_Number}', "");
Expect(1, 74863, '\p{^Is_Gc=	LETTER_Number}', "");
Expect(1, 74863, '\P{Is_Gc=	LETTER_Number}', "");
Expect(0, 74863, '\P{^Is_Gc=	LETTER_Number}', "");
Error('\p{Is_Category=-Nl/a/}');
Error('\P{Is_Category=-Nl/a/}');
Expect(1, 74862, '\p{Is_Category=nl}', "");
Expect(0, 74862, '\p{^Is_Category=nl}', "");
Expect(0, 74862, '\P{Is_Category=nl}', "");
Expect(1, 74862, '\P{^Is_Category=nl}', "");
Expect(0, 74863, '\p{Is_Category=nl}', "");
Expect(1, 74863, '\p{^Is_Category=nl}', "");
Expect(1, 74863, '\P{Is_Category=nl}', "");
Expect(0, 74863, '\P{^Is_Category=nl}', "");
Expect(1, 74862, '\p{Is_Category=- nl}', "");
Expect(0, 74862, '\p{^Is_Category=- nl}', "");
Expect(0, 74862, '\P{Is_Category=- nl}', "");
Expect(1, 74862, '\P{^Is_Category=- nl}', "");
Expect(0, 74863, '\p{Is_Category=- nl}', "");
Expect(1, 74863, '\p{^Is_Category=- nl}', "");
Expect(1, 74863, '\P{Is_Category=- nl}', "");
Expect(0, 74863, '\P{^Is_Category=- nl}', "");
Error('\p{General_Category= _other_number:=}');
Error('\P{General_Category= _other_number:=}');
Expect(1, 127244, '\p{General_Category=othernumber}', "");
Expect(0, 127244, '\p{^General_Category=othernumber}', "");
Expect(0, 127244, '\P{General_Category=othernumber}', "");
Expect(1, 127244, '\P{^General_Category=othernumber}', "");
Expect(0, 127245, '\p{General_Category=othernumber}', "");
Expect(1, 127245, '\p{^General_Category=othernumber}', "");
Expect(1, 127245, '\P{General_Category=othernumber}', "");
Expect(0, 127245, '\P{^General_Category=othernumber}', "");
Expect(1, 127244, '\p{General_Category: -	Other_number}', "");
Expect(0, 127244, '\p{^General_Category: -	Other_number}', "");
Expect(0, 127244, '\P{General_Category: -	Other_number}', "");
Expect(1, 127244, '\P{^General_Category: -	Other_number}', "");
Expect(0, 127245, '\p{General_Category: -	Other_number}', "");
Expect(1, 127245, '\p{^General_Category: -	Other_number}', "");
Expect(1, 127245, '\P{General_Category: -	Other_number}', "");
Expect(0, 127245, '\P{^General_Category: -	Other_number}', "");
Error('\p{Gc= 	No:=}');
Error('\P{Gc= 	No:=}');
Expect(1, 127244, '\p{Gc=no}', "");
Expect(0, 127244, '\p{^Gc=no}', "");
Expect(0, 127244, '\P{Gc=no}', "");
Expect(1, 127244, '\P{^Gc=no}', "");
Expect(0, 127245, '\p{Gc=no}', "");
Expect(1, 127245, '\p{^Gc=no}', "");
Expect(1, 127245, '\P{Gc=no}', "");
Expect(0, 127245, '\P{^Gc=no}', "");
Expect(1, 127244, '\p{Gc:   -no}', "");
Expect(0, 127244, '\p{^Gc:   -no}', "");
Expect(0, 127244, '\P{Gc:   -no}', "");
Expect(1, 127244, '\P{^Gc:   -no}', "");
Expect(0, 127245, '\p{Gc:   -no}', "");
Expect(1, 127245, '\p{^Gc:   -no}', "");
Expect(1, 127245, '\P{Gc:   -no}', "");
Expect(0, 127245, '\P{^Gc:   -no}', "");
Error('\p{Category=		Other_NUMBER:=}');
Error('\P{Category=		Other_NUMBER:=}');
Expect(1, 127244, '\p{Category=othernumber}', "");
Expect(0, 127244, '\p{^Category=othernumber}', "");
Expect(0, 127244, '\P{Category=othernumber}', "");
Expect(1, 127244, '\P{^Category=othernumber}', "");
Expect(0, 127245, '\p{Category=othernumber}', "");
Expect(1, 127245, '\p{^Category=othernumber}', "");
Expect(1, 127245, '\P{Category=othernumber}', "");
Expect(0, 127245, '\P{^Category=othernumber}', "");
Expect(1, 127244, '\p{Category:  _OTHER_number}', "");
Expect(0, 127244, '\p{^Category:  _OTHER_number}', "");
Expect(0, 127244, '\P{Category:  _OTHER_number}', "");
Expect(1, 127244, '\P{^Category:  _OTHER_number}', "");
Expect(0, 127245, '\p{Category:  _OTHER_number}', "");
Expect(1, 127245, '\p{^Category:  _OTHER_number}', "");
Expect(1, 127245, '\P{Category:  _OTHER_number}', "");
Expect(0, 127245, '\P{^Category:  _OTHER_number}', "");
Error('\p{Is_General_Category=/a/_	no}');
Error('\P{Is_General_Category=/a/_	no}');
Expect(1, 127244, '\p{Is_General_Category:   no}', "");
Expect(0, 127244, '\p{^Is_General_Category:   no}', "");
Expect(0, 127244, '\P{Is_General_Category:   no}', "");
Expect(1, 127244, '\P{^Is_General_Category:   no}', "");
Expect(0, 127245, '\p{Is_General_Category:   no}', "");
Expect(1, 127245, '\p{^Is_General_Category:   no}', "");
Expect(1, 127245, '\P{Is_General_Category:   no}', "");
Expect(0, 127245, '\P{^Is_General_Category:   no}', "");
Expect(1, 127244, '\p{Is_General_Category=-No}', "");
Expect(0, 127244, '\p{^Is_General_Category=-No}', "");
Expect(0, 127244, '\P{Is_General_Category=-No}', "");
Expect(1, 127244, '\P{^Is_General_Category=-No}', "");
Expect(0, 127245, '\p{Is_General_Category=-No}', "");
Expect(1, 127245, '\p{^Is_General_Category=-No}', "");
Expect(1, 127245, '\P{Is_General_Category=-No}', "");
Expect(0, 127245, '\P{^Is_General_Category=-No}', "");
Error('\p{Is_Gc=-other_Number:=}');
Error('\P{Is_Gc=-other_Number:=}');
Expect(1, 127244, '\p{Is_Gc=othernumber}', "");
Expect(0, 127244, '\p{^Is_Gc=othernumber}', "");
Expect(0, 127244, '\P{Is_Gc=othernumber}', "");
Expect(1, 127244, '\P{^Is_Gc=othernumber}', "");
Expect(0, 127245, '\p{Is_Gc=othernumber}', "");
Expect(1, 127245, '\p{^Is_Gc=othernumber}', "");
Expect(1, 127245, '\P{Is_Gc=othernumber}', "");
Expect(0, 127245, '\P{^Is_Gc=othernumber}', "");
Expect(1, 127244, '\p{Is_Gc=- OTHER_Number}', "");
Expect(0, 127244, '\p{^Is_Gc=- OTHER_Number}', "");
Expect(0, 127244, '\P{Is_Gc=- OTHER_Number}', "");
Expect(1, 127244, '\P{^Is_Gc=- OTHER_Number}', "");
Expect(0, 127245, '\p{Is_Gc=- OTHER_Number}', "");
Expect(1, 127245, '\p{^Is_Gc=- OTHER_Number}', "");
Expect(1, 127245, '\P{Is_Gc=- OTHER_Number}', "");
Expect(0, 127245, '\P{^Is_Gc=- OTHER_Number}', "");
Error('\p{Is_Category=:=_NO}');
Error('\P{Is_Category=:=_NO}');
Expect(1, 127244, '\p{Is_Category=no}', "");
Expect(0, 127244, '\p{^Is_Category=no}', "");
Expect(0, 127244, '\P{Is_Category=no}', "");
Expect(1, 127244, '\P{^Is_Category=no}', "");
Expect(0, 127245, '\p{Is_Category=no}', "");
Expect(1, 127245, '\p{^Is_Category=no}', "");
Expect(1, 127245, '\P{Is_Category=no}', "");
Expect(0, 127245, '\P{^Is_Category=no}', "");
Expect(1, 127244, '\p{Is_Category=_NO}', "");
Expect(0, 127244, '\p{^Is_Category=_NO}', "");
Expect(0, 127244, '\P{Is_Category=_NO}', "");
Expect(1, 127244, '\P{^Is_Category=_NO}', "");
Expect(0, 127245, '\p{Is_Category=_NO}', "");
Expect(1, 127245, '\p{^Is_Category=_NO}', "");
Expect(1, 127245, '\P{Is_Category=_NO}', "");
Expect(0, 127245, '\P{^Is_Category=_NO}', "");
Error('\p{General_Category=-/a/Punctuation}');
Error('\P{General_Category=-/a/Punctuation}');
Expect(1, 113823, '\p{General_Category=punctuation}', "");
Expect(0, 113823, '\p{^General_Category=punctuation}', "");
Expect(0, 113823, '\P{General_Category=punctuation}', "");
Expect(1, 113823, '\P{^General_Category=punctuation}', "");
Expect(0, 113824, '\p{General_Category=punctuation}', "");
Expect(1, 113824, '\p{^General_Category=punctuation}', "");
Expect(1, 113824, '\P{General_Category=punctuation}', "");
Expect(0, 113824, '\P{^General_Category=punctuation}', "");
Expect(1, 113823, '\p{General_Category:   -_Punctuation}', "");
Expect(0, 113823, '\p{^General_Category:   -_Punctuation}', "");
Expect(0, 113823, '\P{General_Category:   -_Punctuation}', "");
Expect(1, 113823, '\P{^General_Category:   -_Punctuation}', "");
Expect(0, 113824, '\p{General_Category:   -_Punctuation}', "");
Expect(1, 113824, '\p{^General_Category:   -_Punctuation}', "");
Expect(1, 113824, '\P{General_Category:   -_Punctuation}', "");
Expect(0, 113824, '\P{^General_Category:   -_Punctuation}', "");
Error('\p{Gc=:=-_P}');
Error('\P{Gc=:=-_P}');
Expect(1, 113823, '\p{Gc=p}', "");
Expect(0, 113823, '\p{^Gc=p}', "");
Expect(0, 113823, '\P{Gc=p}', "");
Expect(1, 113823, '\P{^Gc=p}', "");
Expect(0, 113824, '\p{Gc=p}', "");
Expect(1, 113824, '\p{^Gc=p}', "");
Expect(1, 113824, '\P{Gc=p}', "");
Expect(0, 113824, '\P{^Gc=p}', "");
Expect(1, 113823, '\p{Gc=	_p}', "");
Expect(0, 113823, '\p{^Gc=	_p}', "");
Expect(0, 113823, '\P{Gc=	_p}', "");
Expect(1, 113823, '\P{^Gc=	_p}', "");
Expect(0, 113824, '\p{Gc=	_p}', "");
Expect(1, 113824, '\p{^Gc=	_p}', "");
Expect(1, 113824, '\P{Gc=	_p}', "");
Expect(0, 113824, '\P{^Gc=	_p}', "");
Error('\p{Category=:=-_PUNCT}');
Error('\P{Category=:=-_PUNCT}');
Expect(1, 113823, '\p{Category=punct}', "");
Expect(0, 113823, '\p{^Category=punct}', "");
Expect(0, 113823, '\P{Category=punct}', "");
Expect(1, 113823, '\P{^Category=punct}', "");
Expect(0, 113824, '\p{Category=punct}', "");
Expect(1, 113824, '\p{^Category=punct}', "");
Expect(1, 113824, '\P{Category=punct}', "");
Expect(0, 113824, '\P{^Category=punct}', "");
Expect(1, 113823, '\p{Category=		PUNCT}', "");
Expect(0, 113823, '\p{^Category=		PUNCT}', "");
Expect(0, 113823, '\P{Category=		PUNCT}', "");
Expect(1, 113823, '\P{^Category=		PUNCT}', "");
Expect(0, 113824, '\p{Category=		PUNCT}', "");
Expect(1, 113824, '\p{^Category=		PUNCT}', "");
Expect(1, 113824, '\P{Category=		PUNCT}', "");
Expect(0, 113824, '\P{^Category=		PUNCT}', "");
Error('\p{Is_General_Category=_:=PUNCTUATION}');
Error('\P{Is_General_Category=_:=PUNCTUATION}');
Expect(1, 113823, '\p{Is_General_Category=punctuation}', "");
Expect(0, 113823, '\p{^Is_General_Category=punctuation}', "");
Expect(0, 113823, '\P{Is_General_Category=punctuation}', "");
Expect(1, 113823, '\P{^Is_General_Category=punctuation}', "");
Expect(0, 113824, '\p{Is_General_Category=punctuation}', "");
Expect(1, 113824, '\p{^Is_General_Category=punctuation}', "");
Expect(1, 113824, '\P{Is_General_Category=punctuation}', "");
Expect(0, 113824, '\P{^Is_General_Category=punctuation}', "");
Expect(1, 113823, '\p{Is_General_Category=--PUNCTUATION}', "");
Expect(0, 113823, '\p{^Is_General_Category=--PUNCTUATION}', "");
Expect(0, 113823, '\P{Is_General_Category=--PUNCTUATION}', "");
Expect(1, 113823, '\P{^Is_General_Category=--PUNCTUATION}', "");
Expect(0, 113824, '\p{Is_General_Category=--PUNCTUATION}', "");
Expect(1, 113824, '\p{^Is_General_Category=--PUNCTUATION}', "");
Expect(1, 113824, '\P{Is_General_Category=--PUNCTUATION}', "");
Expect(0, 113824, '\P{^Is_General_Category=--PUNCTUATION}', "");
Error('\p{Is_Gc=/a/ 	P}');
Error('\P{Is_Gc=/a/ 	P}');
Expect(1, 113823, '\p{Is_Gc=p}', "");
Expect(0, 113823, '\p{^Is_Gc=p}', "");
Expect(0, 113823, '\P{Is_Gc=p}', "");
Expect(1, 113823, '\P{^Is_Gc=p}', "");
Expect(0, 113824, '\p{Is_Gc=p}', "");
Expect(1, 113824, '\p{^Is_Gc=p}', "");
Expect(1, 113824, '\P{Is_Gc=p}', "");
Expect(0, 113824, '\P{^Is_Gc=p}', "");
Expect(1, 113823, '\p{Is_Gc=_P}', "");
Expect(0, 113823, '\p{^Is_Gc=_P}', "");
Expect(0, 113823, '\P{Is_Gc=_P}', "");
Expect(1, 113823, '\P{^Is_Gc=_P}', "");
Expect(0, 113824, '\p{Is_Gc=_P}', "");
Expect(1, 113824, '\p{^Is_Gc=_P}', "");
Expect(1, 113824, '\P{Is_Gc=_P}', "");
Expect(0, 113824, '\P{^Is_Gc=_P}', "");
Error('\p{Is_Category=  punct:=}');
Error('\P{Is_Category=  punct:=}');
Expect(1, 113823, '\p{Is_Category=punct}', "");
Expect(0, 113823, '\p{^Is_Category=punct}', "");
Expect(0, 113823, '\P{Is_Category=punct}', "");
Expect(1, 113823, '\P{^Is_Category=punct}', "");
Expect(0, 113824, '\p{Is_Category=punct}', "");
Expect(1, 113824, '\p{^Is_Category=punct}', "");
Expect(1, 113824, '\P{Is_Category=punct}', "");
Expect(0, 113824, '\P{^Is_Category=punct}', "");
Expect(1, 113823, '\p{Is_Category=--Punct}', "");
Expect(0, 113823, '\p{^Is_Category=--Punct}', "");
Expect(0, 113823, '\P{Is_Category=--Punct}', "");
Expect(1, 113823, '\P{^Is_Category=--Punct}', "");
Expect(0, 113824, '\p{Is_Category=--Punct}', "");
Expect(1, 113824, '\p{^Is_Category=--Punct}', "");
Expect(1, 113824, '\P{Is_Category=--Punct}', "");
Expect(0, 113824, '\P{^Is_Category=--Punct}', "");
Error('\p{General_Category:	:=	-CONNECTOR_Punctuation}');
Error('\P{General_Category:	:=	-CONNECTOR_Punctuation}');
Expect(1, 65343, '\p{General_Category=connectorpunctuation}', "");
Expect(0, 65343, '\p{^General_Category=connectorpunctuation}', "");
Expect(0, 65343, '\P{General_Category=connectorpunctuation}', "");
Expect(1, 65343, '\P{^General_Category=connectorpunctuation}', "");
Expect(0, 65344, '\p{General_Category=connectorpunctuation}', "");
Expect(1, 65344, '\p{^General_Category=connectorpunctuation}', "");
Expect(1, 65344, '\P{General_Category=connectorpunctuation}', "");
Expect(0, 65344, '\P{^General_Category=connectorpunctuation}', "");
Expect(1, 65343, '\p{General_Category= CONNECTOR_punctuation}', "");
Expect(0, 65343, '\p{^General_Category= CONNECTOR_punctuation}', "");
Expect(0, 65343, '\P{General_Category= CONNECTOR_punctuation}', "");
Expect(1, 65343, '\P{^General_Category= CONNECTOR_punctuation}', "");
Expect(0, 65344, '\p{General_Category= CONNECTOR_punctuation}', "");
Expect(1, 65344, '\p{^General_Category= CONNECTOR_punctuation}', "");
Expect(1, 65344, '\P{General_Category= CONNECTOR_punctuation}', "");
Expect(0, 65344, '\P{^General_Category= CONNECTOR_punctuation}', "");
Error('\p{Gc=:= 	PC}');
Error('\P{Gc=:= 	PC}');
Expect(1, 65343, '\p{Gc=pc}', "");
Expect(0, 65343, '\p{^Gc=pc}', "");
Expect(0, 65343, '\P{Gc=pc}', "");
Expect(1, 65343, '\P{^Gc=pc}', "");
Expect(0, 65344, '\p{Gc=pc}', "");
Expect(1, 65344, '\p{^Gc=pc}', "");
Expect(1, 65344, '\P{Gc=pc}', "");
Expect(0, 65344, '\P{^Gc=pc}', "");
Expect(1, 65343, '\p{Gc=-_PC}', "");
Expect(0, 65343, '\p{^Gc=-_PC}', "");
Expect(0, 65343, '\P{Gc=-_PC}', "");
Expect(1, 65343, '\P{^Gc=-_PC}', "");
Expect(0, 65344, '\p{Gc=-_PC}', "");
Expect(1, 65344, '\p{^Gc=-_PC}', "");
Expect(1, 65344, '\P{Gc=-_PC}', "");
Expect(0, 65344, '\P{^Gc=-_PC}', "");
Error('\p{Category=  Connector_Punctuation/a/}');
Error('\P{Category=  Connector_Punctuation/a/}');
Expect(1, 65343, '\p{Category=connectorpunctuation}', "");
Expect(0, 65343, '\p{^Category=connectorpunctuation}', "");
Expect(0, 65343, '\P{Category=connectorpunctuation}', "");
Expect(1, 65343, '\P{^Category=connectorpunctuation}', "");
Expect(0, 65344, '\p{Category=connectorpunctuation}', "");
Expect(1, 65344, '\p{^Category=connectorpunctuation}', "");
Expect(1, 65344, '\P{Category=connectorpunctuation}', "");
Expect(0, 65344, '\P{^Category=connectorpunctuation}', "");
Expect(1, 65343, '\p{Category=	CONNECTOR_PUNCTUATION}', "");
Expect(0, 65343, '\p{^Category=	CONNECTOR_PUNCTUATION}', "");
Expect(0, 65343, '\P{Category=	CONNECTOR_PUNCTUATION}', "");
Expect(1, 65343, '\P{^Category=	CONNECTOR_PUNCTUATION}', "");
Expect(0, 65344, '\p{Category=	CONNECTOR_PUNCTUATION}', "");
Expect(1, 65344, '\p{^Category=	CONNECTOR_PUNCTUATION}', "");
Expect(1, 65344, '\P{Category=	CONNECTOR_PUNCTUATION}', "");
Expect(0, 65344, '\P{^Category=	CONNECTOR_PUNCTUATION}', "");
Error('\p{Is_General_Category=	/a/pc}');
Error('\P{Is_General_Category=	/a/pc}');
Expect(1, 65343, '\p{Is_General_Category: pc}', "");
Expect(0, 65343, '\p{^Is_General_Category: pc}', "");
Expect(0, 65343, '\P{Is_General_Category: pc}', "");
Expect(1, 65343, '\P{^Is_General_Category: pc}', "");
Expect(0, 65344, '\p{Is_General_Category: pc}', "");
Expect(1, 65344, '\p{^Is_General_Category: pc}', "");
Expect(1, 65344, '\P{Is_General_Category: pc}', "");
Expect(0, 65344, '\P{^Is_General_Category: pc}', "");
Expect(1, 65343, '\p{Is_General_Category= _pc}', "");
Expect(0, 65343, '\p{^Is_General_Category= _pc}', "");
Expect(0, 65343, '\P{Is_General_Category= _pc}', "");
Expect(1, 65343, '\P{^Is_General_Category= _pc}', "");
Expect(0, 65344, '\p{Is_General_Category= _pc}', "");
Expect(1, 65344, '\p{^Is_General_Category= _pc}', "");
Expect(1, 65344, '\P{Is_General_Category= _pc}', "");
Expect(0, 65344, '\P{^Is_General_Category= _pc}', "");
Error('\p{Is_Gc:	-/a/Connector_Punctuation}');
Error('\P{Is_Gc:	-/a/Connector_Punctuation}');
Expect(1, 65343, '\p{Is_Gc=connectorpunctuation}', "");
Expect(0, 65343, '\p{^Is_Gc=connectorpunctuation}', "");
Expect(0, 65343, '\P{Is_Gc=connectorpunctuation}', "");
Expect(1, 65343, '\P{^Is_Gc=connectorpunctuation}', "");
Expect(0, 65344, '\p{Is_Gc=connectorpunctuation}', "");
Expect(1, 65344, '\p{^Is_Gc=connectorpunctuation}', "");
Expect(1, 65344, '\P{Is_Gc=connectorpunctuation}', "");
Expect(0, 65344, '\P{^Is_Gc=connectorpunctuation}', "");
Expect(1, 65343, '\p{Is_Gc=Connector_Punctuation}', "");
Expect(0, 65343, '\p{^Is_Gc=Connector_Punctuation}', "");
Expect(0, 65343, '\P{Is_Gc=Connector_Punctuation}', "");
Expect(1, 65343, '\P{^Is_Gc=Connector_Punctuation}', "");
Expect(0, 65344, '\p{Is_Gc=Connector_Punctuation}', "");
Expect(1, 65344, '\p{^Is_Gc=Connector_Punctuation}', "");
Expect(1, 65344, '\P{Is_Gc=Connector_Punctuation}', "");
Expect(0, 65344, '\P{^Is_Gc=Connector_Punctuation}', "");
Error('\p{Is_Category=/a/	Pc}');
Error('\P{Is_Category=/a/	Pc}');
Expect(1, 65343, '\p{Is_Category=pc}', "");
Expect(0, 65343, '\p{^Is_Category=pc}', "");
Expect(0, 65343, '\P{Is_Category=pc}', "");
Expect(1, 65343, '\P{^Is_Category=pc}', "");
Expect(0, 65344, '\p{Is_Category=pc}', "");
Expect(1, 65344, '\p{^Is_Category=pc}', "");
Expect(1, 65344, '\P{Is_Category=pc}', "");
Expect(0, 65344, '\P{^Is_Category=pc}', "");
Expect(1, 65343, '\p{Is_Category=	-Pc}', "");
Expect(0, 65343, '\p{^Is_Category=	-Pc}', "");
Expect(0, 65343, '\P{Is_Category=	-Pc}', "");
Expect(1, 65343, '\P{^Is_Category=	-Pc}', "");
Expect(0, 65344, '\p{Is_Category=	-Pc}', "");
Expect(1, 65344, '\p{^Is_Category=	-Pc}', "");
Expect(1, 65344, '\P{Is_Category=	-Pc}', "");
Expect(0, 65344, '\P{^Is_Category=	-Pc}', "");
Error('\p{General_Category=-_Dash_punctuation:=}');
Error('\P{General_Category=-_Dash_punctuation:=}');
Expect(1, 65293, '\p{General_Category=dashpunctuation}', "");
Expect(0, 65293, '\p{^General_Category=dashpunctuation}', "");
Expect(0, 65293, '\P{General_Category=dashpunctuation}', "");
Expect(1, 65293, '\P{^General_Category=dashpunctuation}', "");
Expect(0, 65294, '\p{General_Category=dashpunctuation}', "");
Expect(1, 65294, '\p{^General_Category=dashpunctuation}', "");
Expect(1, 65294, '\P{General_Category=dashpunctuation}', "");
Expect(0, 65294, '\P{^General_Category=dashpunctuation}', "");
Expect(1, 65293, '\p{General_Category=	-DASH_PUNCTUATION}', "");
Expect(0, 65293, '\p{^General_Category=	-DASH_PUNCTUATION}', "");
Expect(0, 65293, '\P{General_Category=	-DASH_PUNCTUATION}', "");
Expect(1, 65293, '\P{^General_Category=	-DASH_PUNCTUATION}', "");
Expect(0, 65294, '\p{General_Category=	-DASH_PUNCTUATION}', "");
Expect(1, 65294, '\p{^General_Category=	-DASH_PUNCTUATION}', "");
Expect(1, 65294, '\P{General_Category=	-DASH_PUNCTUATION}', "");
Expect(0, 65294, '\P{^General_Category=	-DASH_PUNCTUATION}', "");
Error('\p{Gc:	/a/Pd}');
Error('\P{Gc:	/a/Pd}');
Expect(1, 65293, '\p{Gc=pd}', "");
Expect(0, 65293, '\p{^Gc=pd}', "");
Expect(0, 65293, '\P{Gc=pd}', "");
Expect(1, 65293, '\P{^Gc=pd}', "");
Expect(0, 65294, '\p{Gc=pd}', "");
Expect(1, 65294, '\p{^Gc=pd}', "");
Expect(1, 65294, '\P{Gc=pd}', "");
Expect(0, 65294, '\P{^Gc=pd}', "");
Expect(1, 65293, '\p{Gc=_-Pd}', "");
Expect(0, 65293, '\p{^Gc=_-Pd}', "");
Expect(0, 65293, '\P{Gc=_-Pd}', "");
Expect(1, 65293, '\P{^Gc=_-Pd}', "");
Expect(0, 65294, '\p{Gc=_-Pd}', "");
Expect(1, 65294, '\p{^Gc=_-Pd}', "");
Expect(1, 65294, '\P{Gc=_-Pd}', "");
Expect(0, 65294, '\P{^Gc=_-Pd}', "");
Error('\p{Category=	 Dash_Punctuation/a/}');
Error('\P{Category=	 Dash_Punctuation/a/}');
Expect(1, 65293, '\p{Category:	dashpunctuation}', "");
Expect(0, 65293, '\p{^Category:	dashpunctuation}', "");
Expect(0, 65293, '\P{Category:	dashpunctuation}', "");
Expect(1, 65293, '\P{^Category:	dashpunctuation}', "");
Expect(0, 65294, '\p{Category:	dashpunctuation}', "");
Expect(1, 65294, '\p{^Category:	dashpunctuation}', "");
Expect(1, 65294, '\P{Category:	dashpunctuation}', "");
Expect(0, 65294, '\P{^Category:	dashpunctuation}', "");
Expect(1, 65293, '\p{Category=- dash_punctuation}', "");
Expect(0, 65293, '\p{^Category=- dash_punctuation}', "");
Expect(0, 65293, '\P{Category=- dash_punctuation}', "");
Expect(1, 65293, '\P{^Category=- dash_punctuation}', "");
Expect(0, 65294, '\p{Category=- dash_punctuation}', "");
Expect(1, 65294, '\p{^Category=- dash_punctuation}', "");
Expect(1, 65294, '\P{Category=- dash_punctuation}', "");
Expect(0, 65294, '\P{^Category=- dash_punctuation}', "");
Error('\p{Is_General_Category=	:=Pd}');
Error('\P{Is_General_Category=	:=Pd}');
Expect(1, 65293, '\p{Is_General_Category=pd}', "");
Expect(0, 65293, '\p{^Is_General_Category=pd}', "");
Expect(0, 65293, '\P{Is_General_Category=pd}', "");
Expect(1, 65293, '\P{^Is_General_Category=pd}', "");
Expect(0, 65294, '\p{Is_General_Category=pd}', "");
Expect(1, 65294, '\p{^Is_General_Category=pd}', "");
Expect(1, 65294, '\P{Is_General_Category=pd}', "");
Expect(0, 65294, '\P{^Is_General_Category=pd}', "");
Expect(1, 65293, '\p{Is_General_Category=_	pd}', "");
Expect(0, 65293, '\p{^Is_General_Category=_	pd}', "");
Expect(0, 65293, '\P{Is_General_Category=_	pd}', "");
Expect(1, 65293, '\P{^Is_General_Category=_	pd}', "");
Expect(0, 65294, '\p{Is_General_Category=_	pd}', "");
Expect(1, 65294, '\p{^Is_General_Category=_	pd}', "");
Expect(1, 65294, '\P{Is_General_Category=_	pd}', "");
Expect(0, 65294, '\P{^Is_General_Category=_	pd}', "");
Error('\p{Is_Gc=/a/- dash_Punctuation}');
Error('\P{Is_Gc=/a/- dash_Punctuation}');
Expect(1, 65293, '\p{Is_Gc=dashpunctuation}', "");
Expect(0, 65293, '\p{^Is_Gc=dashpunctuation}', "");
Expect(0, 65293, '\P{Is_Gc=dashpunctuation}', "");
Expect(1, 65293, '\P{^Is_Gc=dashpunctuation}', "");
Expect(0, 65294, '\p{Is_Gc=dashpunctuation}', "");
Expect(1, 65294, '\p{^Is_Gc=dashpunctuation}', "");
Expect(1, 65294, '\P{Is_Gc=dashpunctuation}', "");
Expect(0, 65294, '\P{^Is_Gc=dashpunctuation}', "");
Expect(1, 65293, '\p{Is_Gc=--dash_Punctuation}', "");
Expect(0, 65293, '\p{^Is_Gc=--dash_Punctuation}', "");
Expect(0, 65293, '\P{Is_Gc=--dash_Punctuation}', "");
Expect(1, 65293, '\P{^Is_Gc=--dash_Punctuation}', "");
Expect(0, 65294, '\p{Is_Gc=--dash_Punctuation}', "");
Expect(1, 65294, '\p{^Is_Gc=--dash_Punctuation}', "");
Expect(1, 65294, '\P{Is_Gc=--dash_Punctuation}', "");
Expect(0, 65294, '\P{^Is_Gc=--dash_Punctuation}', "");
Error('\p{Is_Category=:=- PD}');
Error('\P{Is_Category=:=- PD}');
Expect(1, 65293, '\p{Is_Category:pd}', "");
Expect(0, 65293, '\p{^Is_Category:pd}', "");
Expect(0, 65293, '\P{Is_Category:pd}', "");
Expect(1, 65293, '\P{^Is_Category:pd}', "");
Expect(0, 65294, '\p{Is_Category:pd}', "");
Expect(1, 65294, '\p{^Is_Category:pd}', "");
Expect(1, 65294, '\P{Is_Category:pd}', "");
Expect(0, 65294, '\P{^Is_Category:pd}', "");
Expect(1, 65293, '\p{Is_Category:__PD}', "");
Expect(0, 65293, '\p{^Is_Category:__PD}', "");
Expect(0, 65293, '\P{Is_Category:__PD}', "");
Expect(1, 65293, '\P{^Is_Category:__PD}', "");
Expect(0, 65294, '\p{Is_Category:__PD}', "");
Expect(1, 65294, '\p{^Is_Category:__PD}', "");
Expect(1, 65294, '\P{Is_Category:__PD}', "");
Expect(0, 65294, '\P{^Is_Category:__PD}', "");
Error('\p{General_Category=-:=Close_Punctuation}');
Error('\P{General_Category=-:=Close_Punctuation}');
Expect(1, 65379, '\p{General_Category=closepunctuation}', "");
Expect(0, 65379, '\p{^General_Category=closepunctuation}', "");
Expect(0, 65379, '\P{General_Category=closepunctuation}', "");
Expect(1, 65379, '\P{^General_Category=closepunctuation}', "");
Expect(0, 65380, '\p{General_Category=closepunctuation}', "");
Expect(1, 65380, '\p{^General_Category=closepunctuation}', "");
Expect(1, 65380, '\P{General_Category=closepunctuation}', "");
Expect(0, 65380, '\P{^General_Category=closepunctuation}', "");
Expect(1, 65379, '\p{General_Category=_-CLOSE_punctuation}', "");
Expect(0, 65379, '\p{^General_Category=_-CLOSE_punctuation}', "");
Expect(0, 65379, '\P{General_Category=_-CLOSE_punctuation}', "");
Expect(1, 65379, '\P{^General_Category=_-CLOSE_punctuation}', "");
Expect(0, 65380, '\p{General_Category=_-CLOSE_punctuation}', "");
Expect(1, 65380, '\p{^General_Category=_-CLOSE_punctuation}', "");
Expect(1, 65380, '\P{General_Category=_-CLOSE_punctuation}', "");
Expect(0, 65380, '\P{^General_Category=_-CLOSE_punctuation}', "");
Error('\p{Gc=-/a/PE}');
Error('\P{Gc=-/a/PE}');
Expect(1, 65379, '\p{Gc=pe}', "");
Expect(0, 65379, '\p{^Gc=pe}', "");
Expect(0, 65379, '\P{Gc=pe}', "");
Expect(1, 65379, '\P{^Gc=pe}', "");
Expect(0, 65380, '\p{Gc=pe}', "");
Expect(1, 65380, '\p{^Gc=pe}', "");
Expect(1, 65380, '\P{Gc=pe}', "");
Expect(0, 65380, '\P{^Gc=pe}', "");
Expect(1, 65379, '\p{Gc=-_Pe}', "");
Expect(0, 65379, '\p{^Gc=-_Pe}', "");
Expect(0, 65379, '\P{Gc=-_Pe}', "");
Expect(1, 65379, '\P{^Gc=-_Pe}', "");
Expect(0, 65380, '\p{Gc=-_Pe}', "");
Expect(1, 65380, '\p{^Gc=-_Pe}', "");
Expect(1, 65380, '\P{Gc=-_Pe}', "");
Expect(0, 65380, '\P{^Gc=-_Pe}', "");
Error('\p{Category:/a/_close_PUNCTUATION}');
Error('\P{Category:/a/_close_PUNCTUATION}');
Expect(1, 65379, '\p{Category=closepunctuation}', "");
Expect(0, 65379, '\p{^Category=closepunctuation}', "");
Expect(0, 65379, '\P{Category=closepunctuation}', "");
Expect(1, 65379, '\P{^Category=closepunctuation}', "");
Expect(0, 65380, '\p{Category=closepunctuation}', "");
Expect(1, 65380, '\p{^Category=closepunctuation}', "");
Expect(1, 65380, '\P{Category=closepunctuation}', "");
Expect(0, 65380, '\P{^Category=closepunctuation}', "");
Expect(1, 65379, '\p{Category=Close_Punctuation}', "");
Expect(0, 65379, '\p{^Category=Close_Punctuation}', "");
Expect(0, 65379, '\P{Category=Close_Punctuation}', "");
Expect(1, 65379, '\P{^Category=Close_Punctuation}', "");
Expect(0, 65380, '\p{Category=Close_Punctuation}', "");
Expect(1, 65380, '\p{^Category=Close_Punctuation}', "");
Expect(1, 65380, '\P{Category=Close_Punctuation}', "");
Expect(0, 65380, '\P{^Category=Close_Punctuation}', "");
Error('\p{Is_General_Category= _Pe:=}');
Error('\P{Is_General_Category= _Pe:=}');
Expect(1, 65379, '\p{Is_General_Category:pe}', "");
Expect(0, 65379, '\p{^Is_General_Category:pe}', "");
Expect(0, 65379, '\P{Is_General_Category:pe}', "");
Expect(1, 65379, '\P{^Is_General_Category:pe}', "");
Expect(0, 65380, '\p{Is_General_Category:pe}', "");
Expect(1, 65380, '\p{^Is_General_Category:pe}', "");
Expect(1, 65380, '\P{Is_General_Category:pe}', "");
Expect(0, 65380, '\P{^Is_General_Category:pe}', "");
Expect(1, 65379, '\p{Is_General_Category= 	PE}', "");
Expect(0, 65379, '\p{^Is_General_Category= 	PE}', "");
Expect(0, 65379, '\P{Is_General_Category= 	PE}', "");
Expect(1, 65379, '\P{^Is_General_Category= 	PE}', "");
Expect(0, 65380, '\p{Is_General_Category= 	PE}', "");
Expect(1, 65380, '\p{^Is_General_Category= 	PE}', "");
Expect(1, 65380, '\P{Is_General_Category= 	PE}', "");
Expect(0, 65380, '\P{^Is_General_Category= 	PE}', "");
Error('\p{Is_Gc=:=	close_Punctuation}');
Error('\P{Is_Gc=:=	close_Punctuation}');
Expect(1, 65379, '\p{Is_Gc=closepunctuation}', "");
Expect(0, 65379, '\p{^Is_Gc=closepunctuation}', "");
Expect(0, 65379, '\P{Is_Gc=closepunctuation}', "");
Expect(1, 65379, '\P{^Is_Gc=closepunctuation}', "");
Expect(0, 65380, '\p{Is_Gc=closepunctuation}', "");
Expect(1, 65380, '\p{^Is_Gc=closepunctuation}', "");
Expect(1, 65380, '\P{Is_Gc=closepunctuation}', "");
Expect(0, 65380, '\P{^Is_Gc=closepunctuation}', "");
Expect(1, 65379, '\p{Is_Gc=Close_Punctuation}', "");
Expect(0, 65379, '\p{^Is_Gc=Close_Punctuation}', "");
Expect(0, 65379, '\P{Is_Gc=Close_Punctuation}', "");
Expect(1, 65379, '\P{^Is_Gc=Close_Punctuation}', "");
Expect(0, 65380, '\p{Is_Gc=Close_Punctuation}', "");
Expect(1, 65380, '\p{^Is_Gc=Close_Punctuation}', "");
Expect(1, 65380, '\P{Is_Gc=Close_Punctuation}', "");
Expect(0, 65380, '\P{^Is_Gc=Close_Punctuation}', "");
Error('\p{Is_Category=_:=PE}');
Error('\P{Is_Category=_:=PE}');
Expect(1, 65379, '\p{Is_Category=pe}', "");
Expect(0, 65379, '\p{^Is_Category=pe}', "");
Expect(0, 65379, '\P{Is_Category=pe}', "");
Expect(1, 65379, '\P{^Is_Category=pe}', "");
Expect(0, 65380, '\p{Is_Category=pe}', "");
Expect(1, 65380, '\p{^Is_Category=pe}', "");
Expect(1, 65380, '\P{Is_Category=pe}', "");
Expect(0, 65380, '\P{^Is_Category=pe}', "");
Expect(1, 65379, '\p{Is_Category:	 	PE}', "");
Expect(0, 65379, '\p{^Is_Category:	 	PE}', "");
Expect(0, 65379, '\P{Is_Category:	 	PE}', "");
Expect(1, 65379, '\P{^Is_Category:	 	PE}', "");
Expect(0, 65380, '\p{Is_Category:	 	PE}', "");
Expect(1, 65380, '\p{^Is_Category:	 	PE}', "");
Expect(1, 65380, '\P{Is_Category:	 	PE}', "");
Expect(0, 65380, '\P{^Is_Category:	 	PE}', "");
Error('\p{General_Category=_-FINAL_PUNCTUATION/a/}');
Error('\P{General_Category=_-FINAL_PUNCTUATION/a/}');
Expect(1, 11809, '\p{General_Category=finalpunctuation}', "");
Expect(0, 11809, '\p{^General_Category=finalpunctuation}', "");
Expect(0, 11809, '\P{General_Category=finalpunctuation}', "");
Expect(1, 11809, '\P{^General_Category=finalpunctuation}', "");
Expect(0, 11810, '\p{General_Category=finalpunctuation}', "");
Expect(1, 11810, '\p{^General_Category=finalpunctuation}', "");
Expect(1, 11810, '\P{General_Category=finalpunctuation}', "");
Expect(0, 11810, '\P{^General_Category=finalpunctuation}', "");
Expect(1, 11809, '\p{General_Category:__Final_PUNCTUATION}', "");
Expect(0, 11809, '\p{^General_Category:__Final_PUNCTUATION}', "");
Expect(0, 11809, '\P{General_Category:__Final_PUNCTUATION}', "");
Expect(1, 11809, '\P{^General_Category:__Final_PUNCTUATION}', "");
Expect(0, 11810, '\p{General_Category:__Final_PUNCTUATION}', "");
Expect(1, 11810, '\p{^General_Category:__Final_PUNCTUATION}', "");
Expect(1, 11810, '\P{General_Category:__Final_PUNCTUATION}', "");
Expect(0, 11810, '\P{^General_Category:__Final_PUNCTUATION}', "");
Error('\p{Gc=	:=pf}');
Error('\P{Gc=	:=pf}');
Expect(1, 11809, '\p{Gc=pf}', "");
Expect(0, 11809, '\p{^Gc=pf}', "");
Expect(0, 11809, '\P{Gc=pf}', "");
Expect(1, 11809, '\P{^Gc=pf}', "");
Expect(0, 11810, '\p{Gc=pf}', "");
Expect(1, 11810, '\p{^Gc=pf}', "");
Expect(1, 11810, '\P{Gc=pf}', "");
Expect(0, 11810, '\P{^Gc=pf}', "");
Expect(1, 11809, '\p{Gc=-_Pf}', "");
Expect(0, 11809, '\p{^Gc=-_Pf}', "");
Expect(0, 11809, '\P{Gc=-_Pf}', "");
Expect(1, 11809, '\P{^Gc=-_Pf}', "");
Expect(0, 11810, '\p{Gc=-_Pf}', "");
Expect(1, 11810, '\p{^Gc=-_Pf}', "");
Expect(1, 11810, '\P{Gc=-_Pf}', "");
Expect(0, 11810, '\P{^Gc=-_Pf}', "");
Error('\p{Category=-	FINAL_punctuation/a/}');
Error('\P{Category=-	FINAL_punctuation/a/}');
Expect(1, 11809, '\p{Category=finalpunctuation}', "");
Expect(0, 11809, '\p{^Category=finalpunctuation}', "");
Expect(0, 11809, '\P{Category=finalpunctuation}', "");
Expect(1, 11809, '\P{^Category=finalpunctuation}', "");
Expect(0, 11810, '\p{Category=finalpunctuation}', "");
Expect(1, 11810, '\p{^Category=finalpunctuation}', "");
Expect(1, 11810, '\P{Category=finalpunctuation}', "");
Expect(0, 11810, '\P{^Category=finalpunctuation}', "");
Expect(1, 11809, '\p{Category=	Final_Punctuation}', "");
Expect(0, 11809, '\p{^Category=	Final_Punctuation}', "");
Expect(0, 11809, '\P{Category=	Final_Punctuation}', "");
Expect(1, 11809, '\P{^Category=	Final_Punctuation}', "");
Expect(0, 11810, '\p{Category=	Final_Punctuation}', "");
Expect(1, 11810, '\p{^Category=	Final_Punctuation}', "");
Expect(1, 11810, '\P{Category=	Final_Punctuation}', "");
Expect(0, 11810, '\P{^Category=	Final_Punctuation}', "");
Error('\p{Is_General_Category=/a/-	PF}');
Error('\P{Is_General_Category=/a/-	PF}');
Expect(1, 11809, '\p{Is_General_Category=pf}', "");
Expect(0, 11809, '\p{^Is_General_Category=pf}', "");
Expect(0, 11809, '\P{Is_General_Category=pf}', "");
Expect(1, 11809, '\P{^Is_General_Category=pf}', "");
Expect(0, 11810, '\p{Is_General_Category=pf}', "");
Expect(1, 11810, '\p{^Is_General_Category=pf}', "");
Expect(1, 11810, '\P{Is_General_Category=pf}', "");
Expect(0, 11810, '\P{^Is_General_Category=pf}', "");
Expect(1, 11809, '\p{Is_General_Category=_-Pf}', "");
Expect(0, 11809, '\p{^Is_General_Category=_-Pf}', "");
Expect(0, 11809, '\P{Is_General_Category=_-Pf}', "");
Expect(1, 11809, '\P{^Is_General_Category=_-Pf}', "");
Expect(0, 11810, '\p{Is_General_Category=_-Pf}', "");
Expect(1, 11810, '\p{^Is_General_Category=_-Pf}', "");
Expect(1, 11810, '\P{Is_General_Category=_-Pf}', "");
Expect(0, 11810, '\P{^Is_General_Category=_-Pf}', "");
Error('\p{Is_Gc= :=final_PUNCTUATION}');
Error('\P{Is_Gc= :=final_PUNCTUATION}');
Expect(1, 11809, '\p{Is_Gc=finalpunctuation}', "");
Expect(0, 11809, '\p{^Is_Gc=finalpunctuation}', "");
Expect(0, 11809, '\P{Is_Gc=finalpunctuation}', "");
Expect(1, 11809, '\P{^Is_Gc=finalpunctuation}', "");
Expect(0, 11810, '\p{Is_Gc=finalpunctuation}', "");
Expect(1, 11810, '\p{^Is_Gc=finalpunctuation}', "");
Expect(1, 11810, '\P{Is_Gc=finalpunctuation}', "");
Expect(0, 11810, '\P{^Is_Gc=finalpunctuation}', "");
Expect(1, 11809, '\p{Is_Gc=	Final_PUNCTUATION}', "");
Expect(0, 11809, '\p{^Is_Gc=	Final_PUNCTUATION}', "");
Expect(0, 11809, '\P{Is_Gc=	Final_PUNCTUATION}', "");
Expect(1, 11809, '\P{^Is_Gc=	Final_PUNCTUATION}', "");
Expect(0, 11810, '\p{Is_Gc=	Final_PUNCTUATION}', "");
Expect(1, 11810, '\p{^Is_Gc=	Final_PUNCTUATION}', "");
Expect(1, 11810, '\P{Is_Gc=	Final_PUNCTUATION}', "");
Expect(0, 11810, '\P{^Is_Gc=	Final_PUNCTUATION}', "");
Error('\p{Is_Category=_/a/Pf}');
Error('\P{Is_Category=_/a/Pf}');
Expect(1, 11809, '\p{Is_Category=pf}', "");
Expect(0, 11809, '\p{^Is_Category=pf}', "");
Expect(0, 11809, '\P{Is_Category=pf}', "");
Expect(1, 11809, '\P{^Is_Category=pf}', "");
Expect(0, 11810, '\p{Is_Category=pf}', "");
Expect(1, 11810, '\p{^Is_Category=pf}', "");
Expect(1, 11810, '\P{Is_Category=pf}', "");
Expect(0, 11810, '\P{^Is_Category=pf}', "");
Expect(1, 11809, '\p{Is_Category=	Pf}', "");
Expect(0, 11809, '\p{^Is_Category=	Pf}', "");
Expect(0, 11809, '\P{Is_Category=	Pf}', "");
Expect(1, 11809, '\P{^Is_Category=	Pf}', "");
Expect(0, 11810, '\p{Is_Category=	Pf}', "");
Expect(1, 11810, '\p{^Is_Category=	Pf}', "");
Expect(1, 11810, '\P{Is_Category=	Pf}', "");
Expect(0, 11810, '\P{^Is_Category=	Pf}', "");
Error('\p{General_Category=_-Initial_PUNCTUATION:=}');
Error('\P{General_Category=_-Initial_PUNCTUATION:=}');
Expect(1, 11808, '\p{General_Category=initialpunctuation}', "");
Expect(0, 11808, '\p{^General_Category=initialpunctuation}', "");
Expect(0, 11808, '\P{General_Category=initialpunctuation}', "");
Expect(1, 11808, '\P{^General_Category=initialpunctuation}', "");
Expect(0, 11809, '\p{General_Category=initialpunctuation}', "");
Expect(1, 11809, '\p{^General_Category=initialpunctuation}', "");
Expect(1, 11809, '\P{General_Category=initialpunctuation}', "");
Expect(0, 11809, '\P{^General_Category=initialpunctuation}', "");
Expect(1, 11808, '\p{General_Category= initial_punctuation}', "");
Expect(0, 11808, '\p{^General_Category= initial_punctuation}', "");
Expect(0, 11808, '\P{General_Category= initial_punctuation}', "");
Expect(1, 11808, '\P{^General_Category= initial_punctuation}', "");
Expect(0, 11809, '\p{General_Category= initial_punctuation}', "");
Expect(1, 11809, '\p{^General_Category= initial_punctuation}', "");
Expect(1, 11809, '\P{General_Category= initial_punctuation}', "");
Expect(0, 11809, '\P{^General_Category= initial_punctuation}', "");
Error('\p{Gc= :=pi}');
Error('\P{Gc= :=pi}');
Expect(1, 11808, '\p{Gc=pi}', "");
Expect(0, 11808, '\p{^Gc=pi}', "");
Expect(0, 11808, '\P{Gc=pi}', "");
Expect(1, 11808, '\P{^Gc=pi}', "");
Expect(0, 11809, '\p{Gc=pi}', "");
Expect(1, 11809, '\p{^Gc=pi}', "");
Expect(1, 11809, '\P{Gc=pi}', "");
Expect(0, 11809, '\P{^Gc=pi}', "");
Expect(1, 11808, '\p{Gc=__PI}', "");
Expect(0, 11808, '\p{^Gc=__PI}', "");
Expect(0, 11808, '\P{Gc=__PI}', "");
Expect(1, 11808, '\P{^Gc=__PI}', "");
Expect(0, 11809, '\p{Gc=__PI}', "");
Expect(1, 11809, '\p{^Gc=__PI}', "");
Expect(1, 11809, '\P{Gc=__PI}', "");
Expect(0, 11809, '\P{^Gc=__PI}', "");
Error('\p{Category=/a/-	INITIAL_punctuation}');
Error('\P{Category=/a/-	INITIAL_punctuation}');
Expect(1, 11808, '\p{Category=initialpunctuation}', "");
Expect(0, 11808, '\p{^Category=initialpunctuation}', "");
Expect(0, 11808, '\P{Category=initialpunctuation}', "");
Expect(1, 11808, '\P{^Category=initialpunctuation}', "");
Expect(0, 11809, '\p{Category=initialpunctuation}', "");
Expect(1, 11809, '\p{^Category=initialpunctuation}', "");
Expect(1, 11809, '\P{Category=initialpunctuation}', "");
Expect(0, 11809, '\P{^Category=initialpunctuation}', "");
Expect(1, 11808, '\p{Category=-INITIAL_Punctuation}', "");
Expect(0, 11808, '\p{^Category=-INITIAL_Punctuation}', "");
Expect(0, 11808, '\P{Category=-INITIAL_Punctuation}', "");
Expect(1, 11808, '\P{^Category=-INITIAL_Punctuation}', "");
Expect(0, 11809, '\p{Category=-INITIAL_Punctuation}', "");
Expect(1, 11809, '\p{^Category=-INITIAL_Punctuation}', "");
Expect(1, 11809, '\P{Category=-INITIAL_Punctuation}', "");
Expect(0, 11809, '\P{^Category=-INITIAL_Punctuation}', "");
Error('\p{Is_General_Category=:=_	pi}');
Error('\P{Is_General_Category=:=_	pi}');
Expect(1, 11808, '\p{Is_General_Category=pi}', "");
Expect(0, 11808, '\p{^Is_General_Category=pi}', "");
Expect(0, 11808, '\P{Is_General_Category=pi}', "");
Expect(1, 11808, '\P{^Is_General_Category=pi}', "");
Expect(0, 11809, '\p{Is_General_Category=pi}', "");
Expect(1, 11809, '\p{^Is_General_Category=pi}', "");
Expect(1, 11809, '\P{Is_General_Category=pi}', "");
Expect(0, 11809, '\P{^Is_General_Category=pi}', "");
Expect(1, 11808, '\p{Is_General_Category=	-PI}', "");
Expect(0, 11808, '\p{^Is_General_Category=	-PI}', "");
Expect(0, 11808, '\P{Is_General_Category=	-PI}', "");
Expect(1, 11808, '\P{^Is_General_Category=	-PI}', "");
Expect(0, 11809, '\p{Is_General_Category=	-PI}', "");
Expect(1, 11809, '\p{^Is_General_Category=	-PI}', "");
Expect(1, 11809, '\P{Is_General_Category=	-PI}', "");
Expect(0, 11809, '\P{^Is_General_Category=	-PI}', "");
Error('\p{Is_Gc= initial_PUNCTUATION/a/}');
Error('\P{Is_Gc= initial_PUNCTUATION/a/}');
Expect(1, 11808, '\p{Is_Gc=initialpunctuation}', "");
Expect(0, 11808, '\p{^Is_Gc=initialpunctuation}', "");
Expect(0, 11808, '\P{Is_Gc=initialpunctuation}', "");
Expect(1, 11808, '\P{^Is_Gc=initialpunctuation}', "");
Expect(0, 11809, '\p{Is_Gc=initialpunctuation}', "");
Expect(1, 11809, '\p{^Is_Gc=initialpunctuation}', "");
Expect(1, 11809, '\P{Is_Gc=initialpunctuation}', "");
Expect(0, 11809, '\P{^Is_Gc=initialpunctuation}', "");
Expect(1, 11808, '\p{Is_Gc= initial_Punctuation}', "");
Expect(0, 11808, '\p{^Is_Gc= initial_Punctuation}', "");
Expect(0, 11808, '\P{Is_Gc= initial_Punctuation}', "");
Expect(1, 11808, '\P{^Is_Gc= initial_Punctuation}', "");
Expect(0, 11809, '\p{Is_Gc= initial_Punctuation}', "");
Expect(1, 11809, '\p{^Is_Gc= initial_Punctuation}', "");
Expect(1, 11809, '\P{Is_Gc= initial_Punctuation}', "");
Expect(0, 11809, '\P{^Is_Gc= initial_Punctuation}', "");
Error('\p{Is_Category=Pi:=}');
Error('\P{Is_Category=Pi:=}');
Expect(1, 11808, '\p{Is_Category=pi}', "");
Expect(0, 11808, '\p{^Is_Category=pi}', "");
Expect(0, 11808, '\P{Is_Category=pi}', "");
Expect(1, 11808, '\P{^Is_Category=pi}', "");
Expect(0, 11809, '\p{Is_Category=pi}', "");
Expect(1, 11809, '\p{^Is_Category=pi}', "");
Expect(1, 11809, '\P{Is_Category=pi}', "");
Expect(0, 11809, '\P{^Is_Category=pi}', "");
Expect(1, 11808, '\p{Is_Category=	_pi}', "");
Expect(0, 11808, '\p{^Is_Category=	_pi}', "");
Expect(0, 11808, '\P{Is_Category=	_pi}', "");
Expect(1, 11808, '\P{^Is_Category=	_pi}', "");
Expect(0, 11809, '\p{Is_Category=	_pi}', "");
Expect(1, 11809, '\p{^Is_Category=	_pi}', "");
Expect(1, 11809, '\P{Is_Category=	_pi}', "");
Expect(0, 11809, '\P{^Is_Category=	_pi}', "");
Error('\p{General_Category=_/a/OTHER_PUNCTUATION}');
Error('\P{General_Category=_/a/OTHER_PUNCTUATION}');
Expect(1, 113823, '\p{General_Category=otherpunctuation}', "");
Expect(0, 113823, '\p{^General_Category=otherpunctuation}', "");
Expect(0, 113823, '\P{General_Category=otherpunctuation}', "");
Expect(1, 113823, '\P{^General_Category=otherpunctuation}', "");
Expect(0, 113824, '\p{General_Category=otherpunctuation}', "");
Expect(1, 113824, '\p{^General_Category=otherpunctuation}', "");
Expect(1, 113824, '\P{General_Category=otherpunctuation}', "");
Expect(0, 113824, '\P{^General_Category=otherpunctuation}', "");
Expect(1, 113823, '\p{General_Category=_ OTHER_PUNCTUATION}', "");
Expect(0, 113823, '\p{^General_Category=_ OTHER_PUNCTUATION}', "");
Expect(0, 113823, '\P{General_Category=_ OTHER_PUNCTUATION}', "");
Expect(1, 113823, '\P{^General_Category=_ OTHER_PUNCTUATION}', "");
Expect(0, 113824, '\p{General_Category=_ OTHER_PUNCTUATION}', "");
Expect(1, 113824, '\p{^General_Category=_ OTHER_PUNCTUATION}', "");
Expect(1, 113824, '\P{General_Category=_ OTHER_PUNCTUATION}', "");
Expect(0, 113824, '\P{^General_Category=_ OTHER_PUNCTUATION}', "");
Error('\p{Gc=- po:=}');
Error('\P{Gc=- po:=}');
Expect(1, 113823, '\p{Gc=po}', "");
Expect(0, 113823, '\p{^Gc=po}', "");
Expect(0, 113823, '\P{Gc=po}', "");
Expect(1, 113823, '\P{^Gc=po}', "");
Expect(0, 113824, '\p{Gc=po}', "");
Expect(1, 113824, '\p{^Gc=po}', "");
Expect(1, 113824, '\P{Gc=po}', "");
Expect(0, 113824, '\P{^Gc=po}', "");
Expect(1, 113823, '\p{Gc=-Po}', "");
Expect(0, 113823, '\p{^Gc=-Po}', "");
Expect(0, 113823, '\P{Gc=-Po}', "");
Expect(1, 113823, '\P{^Gc=-Po}', "");
Expect(0, 113824, '\p{Gc=-Po}', "");
Expect(1, 113824, '\p{^Gc=-Po}', "");
Expect(1, 113824, '\P{Gc=-Po}', "");
Expect(0, 113824, '\P{^Gc=-Po}', "");
Error('\p{Category= OTHER_PUNCTUATION/a/}');
Error('\P{Category= OTHER_PUNCTUATION/a/}');
Expect(1, 113823, '\p{Category=otherpunctuation}', "");
Expect(0, 113823, '\p{^Category=otherpunctuation}', "");
Expect(0, 113823, '\P{Category=otherpunctuation}', "");
Expect(1, 113823, '\P{^Category=otherpunctuation}', "");
Expect(0, 113824, '\p{Category=otherpunctuation}', "");
Expect(1, 113824, '\p{^Category=otherpunctuation}', "");
Expect(1, 113824, '\P{Category=otherpunctuation}', "");
Expect(0, 113824, '\P{^Category=otherpunctuation}', "");
Expect(1, 113823, '\p{Category:    Other_punctuation}', "");
Expect(0, 113823, '\p{^Category:    Other_punctuation}', "");
Expect(0, 113823, '\P{Category:    Other_punctuation}', "");
Expect(1, 113823, '\P{^Category:    Other_punctuation}', "");
Expect(0, 113824, '\p{Category:    Other_punctuation}', "");
Expect(1, 113824, '\p{^Category:    Other_punctuation}', "");
Expect(1, 113824, '\P{Category:    Other_punctuation}', "");
Expect(0, 113824, '\P{^Category:    Other_punctuation}', "");
Error('\p{Is_General_Category=/a/Po}');
Error('\P{Is_General_Category=/a/Po}');
Expect(1, 113823, '\p{Is_General_Category=po}', "");
Expect(0, 113823, '\p{^Is_General_Category=po}', "");
Expect(0, 113823, '\P{Is_General_Category=po}', "");
Expect(1, 113823, '\P{^Is_General_Category=po}', "");
Expect(0, 113824, '\p{Is_General_Category=po}', "");
Expect(1, 113824, '\p{^Is_General_Category=po}', "");
Expect(1, 113824, '\P{Is_General_Category=po}', "");
Expect(0, 113824, '\P{^Is_General_Category=po}', "");
Expect(1, 113823, '\p{Is_General_Category=-_po}', "");
Expect(0, 113823, '\p{^Is_General_Category=-_po}', "");
Expect(0, 113823, '\P{Is_General_Category=-_po}', "");
Expect(1, 113823, '\P{^Is_General_Category=-_po}', "");
Expect(0, 113824, '\p{Is_General_Category=-_po}', "");
Expect(1, 113824, '\p{^Is_General_Category=-_po}', "");
Expect(1, 113824, '\P{Is_General_Category=-_po}', "");
Expect(0, 113824, '\P{^Is_General_Category=-_po}', "");
Error('\p{Is_Gc=:= -Other_punctuation}');
Error('\P{Is_Gc=:= -Other_punctuation}');
Expect(1, 113823, '\p{Is_Gc:   otherpunctuation}', "");
Expect(0, 113823, '\p{^Is_Gc:   otherpunctuation}', "");
Expect(0, 113823, '\P{Is_Gc:   otherpunctuation}', "");
Expect(1, 113823, '\P{^Is_Gc:   otherpunctuation}', "");
Expect(0, 113824, '\p{Is_Gc:   otherpunctuation}', "");
Expect(1, 113824, '\p{^Is_Gc:   otherpunctuation}', "");
Expect(1, 113824, '\P{Is_Gc:   otherpunctuation}', "");
Expect(0, 113824, '\P{^Is_Gc:   otherpunctuation}', "");
Expect(1, 113823, '\p{Is_Gc=-Other_Punctuation}', "");
Expect(0, 113823, '\p{^Is_Gc=-Other_Punctuation}', "");
Expect(0, 113823, '\P{Is_Gc=-Other_Punctuation}', "");
Expect(1, 113823, '\P{^Is_Gc=-Other_Punctuation}', "");
Expect(0, 113824, '\p{Is_Gc=-Other_Punctuation}', "");
Expect(1, 113824, '\p{^Is_Gc=-Other_Punctuation}', "");
Expect(1, 113824, '\P{Is_Gc=-Other_Punctuation}', "");
Expect(0, 113824, '\P{^Is_Gc=-Other_Punctuation}', "");
Error('\p{Is_Category=/a/--po}');
Error('\P{Is_Category=/a/--po}');
Expect(1, 113823, '\p{Is_Category=po}', "");
Expect(0, 113823, '\p{^Is_Category=po}', "");
Expect(0, 113823, '\P{Is_Category=po}', "");
Expect(1, 113823, '\P{^Is_Category=po}', "");
Expect(0, 113824, '\p{Is_Category=po}', "");
Expect(1, 113824, '\p{^Is_Category=po}', "");
Expect(1, 113824, '\P{Is_Category=po}', "");
Expect(0, 113824, '\P{^Is_Category=po}', "");
Expect(1, 113823, '\p{Is_Category= _Po}', "");
Expect(0, 113823, '\p{^Is_Category= _Po}', "");
Expect(0, 113823, '\P{Is_Category= _Po}', "");
Expect(1, 113823, '\P{^Is_Category= _Po}', "");
Expect(0, 113824, '\p{Is_Category= _Po}', "");
Expect(1, 113824, '\p{^Is_Category= _Po}', "");
Expect(1, 113824, '\P{Is_Category= _Po}', "");
Expect(0, 113824, '\P{^Is_Category= _Po}', "");
Error('\p{General_Category=-:=Open_Punctuation}');
Error('\P{General_Category=-:=Open_Punctuation}');
Expect(1, 65378, '\p{General_Category:	openpunctuation}', "");
Expect(0, 65378, '\p{^General_Category:	openpunctuation}', "");
Expect(0, 65378, '\P{General_Category:	openpunctuation}', "");
Expect(1, 65378, '\P{^General_Category:	openpunctuation}', "");
Expect(0, 65379, '\p{General_Category:	openpunctuation}', "");
Expect(1, 65379, '\p{^General_Category:	openpunctuation}', "");
Expect(1, 65379, '\P{General_Category:	openpunctuation}', "");
Expect(0, 65379, '\P{^General_Category:	openpunctuation}', "");
Expect(1, 65378, '\p{General_Category= 	Open_Punctuation}', "");
Expect(0, 65378, '\p{^General_Category= 	Open_Punctuation}', "");
Expect(0, 65378, '\P{General_Category= 	Open_Punctuation}', "");
Expect(1, 65378, '\P{^General_Category= 	Open_Punctuation}', "");
Expect(0, 65379, '\p{General_Category= 	Open_Punctuation}', "");
Expect(1, 65379, '\p{^General_Category= 	Open_Punctuation}', "");
Expect(1, 65379, '\P{General_Category= 	Open_Punctuation}', "");
Expect(0, 65379, '\P{^General_Category= 	Open_Punctuation}', "");
Error('\p{Gc::= Ps}');
Error('\P{Gc::= Ps}');
Expect(1, 65378, '\p{Gc=ps}', "");
Expect(0, 65378, '\p{^Gc=ps}', "");
Expect(0, 65378, '\P{Gc=ps}', "");
Expect(1, 65378, '\P{^Gc=ps}', "");
Expect(0, 65379, '\p{Gc=ps}', "");
Expect(1, 65379, '\p{^Gc=ps}', "");
Expect(1, 65379, '\P{Gc=ps}', "");
Expect(0, 65379, '\P{^Gc=ps}', "");
Expect(1, 65378, '\p{Gc=	Ps}', "");
Expect(0, 65378, '\p{^Gc=	Ps}', "");
Expect(0, 65378, '\P{Gc=	Ps}', "");
Expect(1, 65378, '\P{^Gc=	Ps}', "");
Expect(0, 65379, '\p{Gc=	Ps}', "");
Expect(1, 65379, '\p{^Gc=	Ps}', "");
Expect(1, 65379, '\P{Gc=	Ps}', "");
Expect(0, 65379, '\P{^Gc=	Ps}', "");
Error('\p{Category=:=		Open_PUNCTUATION}');
Error('\P{Category=:=		Open_PUNCTUATION}');
Expect(1, 65378, '\p{Category=openpunctuation}', "");
Expect(0, 65378, '\p{^Category=openpunctuation}', "");
Expect(0, 65378, '\P{Category=openpunctuation}', "");
Expect(1, 65378, '\P{^Category=openpunctuation}', "");
Expect(0, 65379, '\p{Category=openpunctuation}', "");
Expect(1, 65379, '\p{^Category=openpunctuation}', "");
Expect(1, 65379, '\P{Category=openpunctuation}', "");
Expect(0, 65379, '\P{^Category=openpunctuation}', "");
Expect(1, 65378, '\p{Category=  open_Punctuation}', "");
Expect(0, 65378, '\p{^Category=  open_Punctuation}', "");
Expect(0, 65378, '\P{Category=  open_Punctuation}', "");
Expect(1, 65378, '\P{^Category=  open_Punctuation}', "");
Expect(0, 65379, '\p{Category=  open_Punctuation}', "");
Expect(1, 65379, '\p{^Category=  open_Punctuation}', "");
Expect(1, 65379, '\P{Category=  open_Punctuation}', "");
Expect(0, 65379, '\P{^Category=  open_Punctuation}', "");
Error('\p{Is_General_Category=-:=ps}');
Error('\P{Is_General_Category=-:=ps}');
Expect(1, 65378, '\p{Is_General_Category=ps}', "");
Expect(0, 65378, '\p{^Is_General_Category=ps}', "");
Expect(0, 65378, '\P{Is_General_Category=ps}', "");
Expect(1, 65378, '\P{^Is_General_Category=ps}', "");
Expect(0, 65379, '\p{Is_General_Category=ps}', "");
Expect(1, 65379, '\p{^Is_General_Category=ps}', "");
Expect(1, 65379, '\P{Is_General_Category=ps}', "");
Expect(0, 65379, '\P{^Is_General_Category=ps}', "");
Expect(1, 65378, '\p{Is_General_Category= -Ps}', "");
Expect(0, 65378, '\p{^Is_General_Category= -Ps}', "");
Expect(0, 65378, '\P{Is_General_Category= -Ps}', "");
Expect(1, 65378, '\P{^Is_General_Category= -Ps}', "");
Expect(0, 65379, '\p{Is_General_Category= -Ps}', "");
Expect(1, 65379, '\p{^Is_General_Category= -Ps}', "");
Expect(1, 65379, '\P{Is_General_Category= -Ps}', "");
Expect(0, 65379, '\P{^Is_General_Category= -Ps}', "");
Error('\p{Is_Gc=-:=open_Punctuation}');
Error('\P{Is_Gc=-:=open_Punctuation}');
Expect(1, 65378, '\p{Is_Gc:openpunctuation}', "");
Expect(0, 65378, '\p{^Is_Gc:openpunctuation}', "");
Expect(0, 65378, '\P{Is_Gc:openpunctuation}', "");
Expect(1, 65378, '\P{^Is_Gc:openpunctuation}', "");
Expect(0, 65379, '\p{Is_Gc:openpunctuation}', "");
Expect(1, 65379, '\p{^Is_Gc:openpunctuation}', "");
Expect(1, 65379, '\P{Is_Gc:openpunctuation}', "");
Expect(0, 65379, '\P{^Is_Gc:openpunctuation}', "");
Expect(1, 65378, '\p{Is_Gc= -open_Punctuation}', "");
Expect(0, 65378, '\p{^Is_Gc= -open_Punctuation}', "");
Expect(0, 65378, '\P{Is_Gc= -open_Punctuation}', "");
Expect(1, 65378, '\P{^Is_Gc= -open_Punctuation}', "");
Expect(0, 65379, '\p{Is_Gc= -open_Punctuation}', "");
Expect(1, 65379, '\p{^Is_Gc= -open_Punctuation}', "");
Expect(1, 65379, '\P{Is_Gc= -open_Punctuation}', "");
Expect(0, 65379, '\P{^Is_Gc= -open_Punctuation}', "");
Error('\p{Is_Category=:= PS}');
Error('\P{Is_Category=:= PS}');
Expect(1, 65378, '\p{Is_Category=ps}', "");
Expect(0, 65378, '\p{^Is_Category=ps}', "");
Expect(0, 65378, '\P{Is_Category=ps}', "");
Expect(1, 65378, '\P{^Is_Category=ps}', "");
Expect(0, 65379, '\p{Is_Category=ps}', "");
Expect(1, 65379, '\p{^Is_Category=ps}', "");
Expect(1, 65379, '\P{Is_Category=ps}', "");
Expect(0, 65379, '\P{^Is_Category=ps}', "");
Expect(1, 65378, '\p{Is_Category=-	ps}', "");
Expect(0, 65378, '\p{^Is_Category=-	ps}', "");
Expect(0, 65378, '\P{Is_Category=-	ps}', "");
Expect(1, 65378, '\P{^Is_Category=-	ps}', "");
Expect(0, 65379, '\p{Is_Category=-	ps}', "");
Expect(1, 65379, '\p{^Is_Category=-	ps}', "");
Expect(1, 65379, '\P{Is_Category=-	ps}', "");
Expect(0, 65379, '\P{^Is_Category=-	ps}', "");
Error('\p{General_Category= Symbol:=}');
Error('\P{General_Category= Symbol:=}');
Expect(1, 129197, '\p{General_Category=symbol}', "");
Expect(0, 129197, '\p{^General_Category=symbol}', "");
Expect(0, 129197, '\P{General_Category=symbol}', "");
Expect(1, 129197, '\P{^General_Category=symbol}', "");
Expect(0, 129198, '\p{General_Category=symbol}', "");
Expect(1, 129198, '\p{^General_Category=symbol}', "");
Expect(1, 129198, '\P{General_Category=symbol}', "");
Expect(0, 129198, '\P{^General_Category=symbol}', "");
Expect(1, 129197, '\p{General_Category=_ symbol}', "");
Expect(0, 129197, '\p{^General_Category=_ symbol}', "");
Expect(0, 129197, '\P{General_Category=_ symbol}', "");
Expect(1, 129197, '\P{^General_Category=_ symbol}', "");
Expect(0, 129198, '\p{General_Category=_ symbol}', "");
Expect(1, 129198, '\p{^General_Category=_ symbol}', "");
Expect(1, 129198, '\P{General_Category=_ symbol}', "");
Expect(0, 129198, '\P{^General_Category=_ symbol}', "");
Error('\p{Gc= s/a/}');
Error('\P{Gc= s/a/}');
Expect(1, 129197, '\p{Gc=s}', "");
Expect(0, 129197, '\p{^Gc=s}', "");
Expect(0, 129197, '\P{Gc=s}', "");
Expect(1, 129197, '\P{^Gc=s}', "");
Expect(0, 129198, '\p{Gc=s}', "");
Expect(1, 129198, '\p{^Gc=s}', "");
Expect(1, 129198, '\P{Gc=s}', "");
Expect(0, 129198, '\P{^Gc=s}', "");
Expect(1, 129197, '\p{Gc=	-S}', "");
Expect(0, 129197, '\p{^Gc=	-S}', "");
Expect(0, 129197, '\P{Gc=	-S}', "");
Expect(1, 129197, '\P{^Gc=	-S}', "");
Expect(0, 129198, '\p{Gc=	-S}', "");
Expect(1, 129198, '\p{^Gc=	-S}', "");
Expect(1, 129198, '\P{Gc=	-S}', "");
Expect(0, 129198, '\P{^Gc=	-S}', "");
Error('\p{Category=_:=SYMBOL}');
Error('\P{Category=_:=SYMBOL}');
Expect(1, 129197, '\p{Category=symbol}', "");
Expect(0, 129197, '\p{^Category=symbol}', "");
Expect(0, 129197, '\P{Category=symbol}', "");
Expect(1, 129197, '\P{^Category=symbol}', "");
Expect(0, 129198, '\p{Category=symbol}', "");
Expect(1, 129198, '\p{^Category=symbol}', "");
Expect(1, 129198, '\P{Category=symbol}', "");
Expect(0, 129198, '\P{^Category=symbol}', "");
Expect(1, 129197, '\p{Category= Symbol}', "");
Expect(0, 129197, '\p{^Category= Symbol}', "");
Expect(0, 129197, '\P{Category= Symbol}', "");
Expect(1, 129197, '\P{^Category= Symbol}', "");
Expect(0, 129198, '\p{Category= Symbol}', "");
Expect(1, 129198, '\p{^Category= Symbol}', "");
Expect(1, 129198, '\P{Category= Symbol}', "");
Expect(0, 129198, '\P{^Category= Symbol}', "");
Error('\p{Is_General_Category:	:= S}');
Error('\P{Is_General_Category:	:= S}');
Expect(1, 129197, '\p{Is_General_Category=s}', "");
Expect(0, 129197, '\p{^Is_General_Category=s}', "");
Expect(0, 129197, '\P{Is_General_Category=s}', "");
Expect(1, 129197, '\P{^Is_General_Category=s}', "");
Expect(0, 129198, '\p{Is_General_Category=s}', "");
Expect(1, 129198, '\p{^Is_General_Category=s}', "");
Expect(1, 129198, '\P{Is_General_Category=s}', "");
Expect(0, 129198, '\P{^Is_General_Category=s}', "");
Expect(1, 129197, '\p{Is_General_Category=	_S}', "");
Expect(0, 129197, '\p{^Is_General_Category=	_S}', "");
Expect(0, 129197, '\P{Is_General_Category=	_S}', "");
Expect(1, 129197, '\P{^Is_General_Category=	_S}', "");
Expect(0, 129198, '\p{Is_General_Category=	_S}', "");
Expect(1, 129198, '\p{^Is_General_Category=	_S}', "");
Expect(1, 129198, '\P{Is_General_Category=	_S}', "");
Expect(0, 129198, '\P{^Is_General_Category=	_S}', "");
Error('\p{Is_Gc=symbol:=}');
Error('\P{Is_Gc=symbol:=}');
Expect(1, 129197, '\p{Is_Gc=symbol}', "");
Expect(0, 129197, '\p{^Is_Gc=symbol}', "");
Expect(0, 129197, '\P{Is_Gc=symbol}', "");
Expect(1, 129197, '\P{^Is_Gc=symbol}', "");
Expect(0, 129198, '\p{Is_Gc=symbol}', "");
Expect(1, 129198, '\p{^Is_Gc=symbol}', "");
Expect(1, 129198, '\P{Is_Gc=symbol}', "");
Expect(0, 129198, '\P{^Is_Gc=symbol}', "");
Expect(1, 129197, '\p{Is_Gc=		SYMBOL}', "");
Expect(0, 129197, '\p{^Is_Gc=		SYMBOL}', "");
Expect(0, 129197, '\P{Is_Gc=		SYMBOL}', "");
Expect(1, 129197, '\P{^Is_Gc=		SYMBOL}', "");
Expect(0, 129198, '\p{Is_Gc=		SYMBOL}', "");
Expect(1, 129198, '\p{^Is_Gc=		SYMBOL}', "");
Expect(1, 129198, '\P{Is_Gc=		SYMBOL}', "");
Expect(0, 129198, '\P{^Is_Gc=		SYMBOL}', "");
Error('\p{Is_Category=-/a/S}');
Error('\P{Is_Category=-/a/S}');
Expect(1, 129197, '\p{Is_Category=s}', "");
Expect(0, 129197, '\p{^Is_Category=s}', "");
Expect(0, 129197, '\P{Is_Category=s}', "");
Expect(1, 129197, '\P{^Is_Category=s}', "");
Expect(0, 129198, '\p{Is_Category=s}', "");
Expect(1, 129198, '\p{^Is_Category=s}', "");
Expect(1, 129198, '\P{Is_Category=s}', "");
Expect(0, 129198, '\P{^Is_Category=s}', "");
Expect(1, 129197, '\p{Is_Category=  S}', "");
Expect(0, 129197, '\p{^Is_Category=  S}', "");
Expect(0, 129197, '\P{Is_Category=  S}', "");
Expect(1, 129197, '\P{^Is_Category=  S}', "");
Expect(0, 129198, '\p{Is_Category=  S}', "");
Expect(1, 129198, '\p{^Is_Category=  S}', "");
Expect(1, 129198, '\P{Is_Category=  S}', "");
Expect(0, 129198, '\P{^Is_Category=  S}', "");
Error('\p{General_Category=:=-CURRENCY_symbol}');
Error('\P{General_Category=:=-CURRENCY_symbol}');
Expect(1, 65510, '\p{General_Category=currencysymbol}', "");
Expect(0, 65510, '\p{^General_Category=currencysymbol}', "");
Expect(0, 65510, '\P{General_Category=currencysymbol}', "");
Expect(1, 65510, '\P{^General_Category=currencysymbol}', "");
Expect(0, 65511, '\p{General_Category=currencysymbol}', "");
Expect(1, 65511, '\p{^General_Category=currencysymbol}', "");
Expect(1, 65511, '\P{General_Category=currencysymbol}', "");
Expect(0, 65511, '\P{^General_Category=currencysymbol}', "");
Expect(1, 65510, '\p{General_Category=_ currency_Symbol}', "");
Expect(0, 65510, '\p{^General_Category=_ currency_Symbol}', "");
Expect(0, 65510, '\P{General_Category=_ currency_Symbol}', "");
Expect(1, 65510, '\P{^General_Category=_ currency_Symbol}', "");
Expect(0, 65511, '\p{General_Category=_ currency_Symbol}', "");
Expect(1, 65511, '\p{^General_Category=_ currency_Symbol}', "");
Expect(1, 65511, '\P{General_Category=_ currency_Symbol}', "");
Expect(0, 65511, '\P{^General_Category=_ currency_Symbol}', "");
Error('\p{Gc:	_:=Sc}');
Error('\P{Gc:	_:=Sc}');
Expect(1, 65510, '\p{Gc:sc}', "");
Expect(0, 65510, '\p{^Gc:sc}', "");
Expect(0, 65510, '\P{Gc:sc}', "");
Expect(1, 65510, '\P{^Gc:sc}', "");
Expect(0, 65511, '\p{Gc:sc}', "");
Expect(1, 65511, '\p{^Gc:sc}', "");
Expect(1, 65511, '\P{Gc:sc}', "");
Expect(0, 65511, '\P{^Gc:sc}', "");
Expect(1, 65510, '\p{Gc:		_Sc}', "");
Expect(0, 65510, '\p{^Gc:		_Sc}', "");
Expect(0, 65510, '\P{Gc:		_Sc}', "");
Expect(1, 65510, '\P{^Gc:		_Sc}', "");
Expect(0, 65511, '\p{Gc:		_Sc}', "");
Expect(1, 65511, '\p{^Gc:		_Sc}', "");
Expect(1, 65511, '\P{Gc:		_Sc}', "");
Expect(0, 65511, '\P{^Gc:		_Sc}', "");
Error('\p{Category= 	CURRENCY_symbol/a/}');
Error('\P{Category= 	CURRENCY_symbol/a/}');
Expect(1, 65510, '\p{Category: currencysymbol}', "");
Expect(0, 65510, '\p{^Category: currencysymbol}', "");
Expect(0, 65510, '\P{Category: currencysymbol}', "");
Expect(1, 65510, '\P{^Category: currencysymbol}', "");
Expect(0, 65511, '\p{Category: currencysymbol}', "");
Expect(1, 65511, '\p{^Category: currencysymbol}', "");
Expect(1, 65511, '\P{Category: currencysymbol}', "");
Expect(0, 65511, '\P{^Category: currencysymbol}', "");
Expect(1, 65510, '\p{Category=-CURRENCY_Symbol}', "");
Expect(0, 65510, '\p{^Category=-CURRENCY_Symbol}', "");
Expect(0, 65510, '\P{Category=-CURRENCY_Symbol}', "");
Expect(1, 65510, '\P{^Category=-CURRENCY_Symbol}', "");
Expect(0, 65511, '\p{Category=-CURRENCY_Symbol}', "");
Expect(1, 65511, '\p{^Category=-CURRENCY_Symbol}', "");
Expect(1, 65511, '\P{Category=-CURRENCY_Symbol}', "");
Expect(0, 65511, '\P{^Category=-CURRENCY_Symbol}', "");
Error('\p{Is_General_Category=-:=Sc}');
Error('\P{Is_General_Category=-:=Sc}');
Expect(1, 65510, '\p{Is_General_Category=sc}', "");
Expect(0, 65510, '\p{^Is_General_Category=sc}', "");
Expect(0, 65510, '\P{Is_General_Category=sc}', "");
Expect(1, 65510, '\P{^Is_General_Category=sc}', "");
Expect(0, 65511, '\p{Is_General_Category=sc}', "");
Expect(1, 65511, '\p{^Is_General_Category=sc}', "");
Expect(1, 65511, '\P{Is_General_Category=sc}', "");
Expect(0, 65511, '\P{^Is_General_Category=sc}', "");
Expect(1, 65510, '\p{Is_General_Category=SC}', "");
Expect(0, 65510, '\p{^Is_General_Category=SC}', "");
Expect(0, 65510, '\P{Is_General_Category=SC}', "");
Expect(1, 65510, '\P{^Is_General_Category=SC}', "");
Expect(0, 65511, '\p{Is_General_Category=SC}', "");
Expect(1, 65511, '\p{^Is_General_Category=SC}', "");
Expect(1, 65511, '\P{Is_General_Category=SC}', "");
Expect(0, 65511, '\P{^Is_General_Category=SC}', "");
Error('\p{Is_Gc=-:=Currency_Symbol}');
Error('\P{Is_Gc=-:=Currency_Symbol}');
Expect(1, 65510, '\p{Is_Gc=currencysymbol}', "");
Expect(0, 65510, '\p{^Is_Gc=currencysymbol}', "");
Expect(0, 65510, '\P{Is_Gc=currencysymbol}', "");
Expect(1, 65510, '\P{^Is_Gc=currencysymbol}', "");
Expect(0, 65511, '\p{Is_Gc=currencysymbol}', "");
Expect(1, 65511, '\p{^Is_Gc=currencysymbol}', "");
Expect(1, 65511, '\P{Is_Gc=currencysymbol}', "");
Expect(0, 65511, '\P{^Is_Gc=currencysymbol}', "");
Expect(1, 65510, '\p{Is_Gc=_ Currency_Symbol}', "");
Expect(0, 65510, '\p{^Is_Gc=_ Currency_Symbol}', "");
Expect(0, 65510, '\P{Is_Gc=_ Currency_Symbol}', "");
Expect(1, 65510, '\P{^Is_Gc=_ Currency_Symbol}', "");
Expect(0, 65511, '\p{Is_Gc=_ Currency_Symbol}', "");
Expect(1, 65511, '\p{^Is_Gc=_ Currency_Symbol}', "");
Expect(1, 65511, '\P{Is_Gc=_ Currency_Symbol}', "");
Expect(0, 65511, '\P{^Is_Gc=_ Currency_Symbol}', "");
Error('\p{Is_Category=_:=SC}');
Error('\P{Is_Category=_:=SC}');
Expect(1, 65510, '\p{Is_Category=sc}', "");
Expect(0, 65510, '\p{^Is_Category=sc}', "");
Expect(0, 65510, '\P{Is_Category=sc}', "");
Expect(1, 65510, '\P{^Is_Category=sc}', "");
Expect(0, 65511, '\p{Is_Category=sc}', "");
Expect(1, 65511, '\p{^Is_Category=sc}', "");
Expect(1, 65511, '\P{Is_Category=sc}', "");
Expect(0, 65511, '\P{^Is_Category=sc}', "");
Expect(1, 65510, '\p{Is_Category= 	Sc}', "");
Expect(0, 65510, '\p{^Is_Category= 	Sc}', "");
Expect(0, 65510, '\P{Is_Category= 	Sc}', "");
Expect(1, 65510, '\P{^Is_Category= 	Sc}', "");
Expect(0, 65511, '\p{Is_Category= 	Sc}', "");
Expect(1, 65511, '\p{^Is_Category= 	Sc}', "");
Expect(1, 65511, '\P{Is_Category= 	Sc}', "");
Expect(0, 65511, '\P{^Is_Category= 	Sc}', "");
Error('\p{General_Category=/a/	MODIFIER_SYMBOL}');
Error('\P{General_Category=/a/	MODIFIER_SYMBOL}');
Expect(1, 65507, '\p{General_Category=modifiersymbol}', "");
Expect(0, 65507, '\p{^General_Category=modifiersymbol}', "");
Expect(0, 65507, '\P{General_Category=modifiersymbol}', "");
Expect(1, 65507, '\P{^General_Category=modifiersymbol}', "");
Expect(0, 65508, '\p{General_Category=modifiersymbol}', "");
Expect(1, 65508, '\p{^General_Category=modifiersymbol}', "");
Expect(1, 65508, '\P{General_Category=modifiersymbol}', "");
Expect(0, 65508, '\P{^General_Category=modifiersymbol}', "");
Expect(1, 65507, '\p{General_Category=	 MODIFIER_symbol}', "");
Expect(0, 65507, '\p{^General_Category=	 MODIFIER_symbol}', "");
Expect(0, 65507, '\P{General_Category=	 MODIFIER_symbol}', "");
Expect(1, 65507, '\P{^General_Category=	 MODIFIER_symbol}', "");
Expect(0, 65508, '\p{General_Category=	 MODIFIER_symbol}', "");
Expect(1, 65508, '\p{^General_Category=	 MODIFIER_symbol}', "");
Expect(1, 65508, '\P{General_Category=	 MODIFIER_symbol}', "");
Expect(0, 65508, '\P{^General_Category=	 MODIFIER_symbol}', "");
Error('\p{Gc: :=SK}');
Error('\P{Gc: :=SK}');
Expect(1, 65507, '\p{Gc=sk}', "");
Expect(0, 65507, '\p{^Gc=sk}', "");
Expect(0, 65507, '\P{Gc=sk}', "");
Expect(1, 65507, '\P{^Gc=sk}', "");
Expect(0, 65508, '\p{Gc=sk}', "");
Expect(1, 65508, '\p{^Gc=sk}', "");
Expect(1, 65508, '\P{Gc=sk}', "");
Expect(0, 65508, '\P{^Gc=sk}', "");
Expect(1, 65507, '\p{Gc=_ sk}', "");
Expect(0, 65507, '\p{^Gc=_ sk}', "");
Expect(0, 65507, '\P{Gc=_ sk}', "");
Expect(1, 65507, '\P{^Gc=_ sk}', "");
Expect(0, 65508, '\p{Gc=_ sk}', "");
Expect(1, 65508, '\p{^Gc=_ sk}', "");
Expect(1, 65508, '\P{Gc=_ sk}', "");
Expect(0, 65508, '\P{^Gc=_ sk}', "");
Error('\p{Category=/a/ -Modifier_Symbol}');
Error('\P{Category=/a/ -Modifier_Symbol}');
Expect(1, 65507, '\p{Category=modifiersymbol}', "");
Expect(0, 65507, '\p{^Category=modifiersymbol}', "");
Expect(0, 65507, '\P{Category=modifiersymbol}', "");
Expect(1, 65507, '\P{^Category=modifiersymbol}', "");
Expect(0, 65508, '\p{Category=modifiersymbol}', "");
Expect(1, 65508, '\p{^Category=modifiersymbol}', "");
Expect(1, 65508, '\P{Category=modifiersymbol}', "");
Expect(0, 65508, '\P{^Category=modifiersymbol}', "");
Expect(1, 65507, '\p{Category=		Modifier_Symbol}', "");
Expect(0, 65507, '\p{^Category=		Modifier_Symbol}', "");
Expect(0, 65507, '\P{Category=		Modifier_Symbol}', "");
Expect(1, 65507, '\P{^Category=		Modifier_Symbol}', "");
Expect(0, 65508, '\p{Category=		Modifier_Symbol}', "");
Expect(1, 65508, '\p{^Category=		Modifier_Symbol}', "");
Expect(1, 65508, '\P{Category=		Modifier_Symbol}', "");
Expect(0, 65508, '\P{^Category=		Modifier_Symbol}', "");
Error('\p{Is_General_Category=:=-sk}');
Error('\P{Is_General_Category=:=-sk}');
Expect(1, 65507, '\p{Is_General_Category=sk}', "");
Expect(0, 65507, '\p{^Is_General_Category=sk}', "");
Expect(0, 65507, '\P{Is_General_Category=sk}', "");
Expect(1, 65507, '\P{^Is_General_Category=sk}', "");
Expect(0, 65508, '\p{Is_General_Category=sk}', "");
Expect(1, 65508, '\p{^Is_General_Category=sk}', "");
Expect(1, 65508, '\P{Is_General_Category=sk}', "");
Expect(0, 65508, '\P{^Is_General_Category=sk}', "");
Expect(1, 65507, '\p{Is_General_Category=		sk}', "");
Expect(0, 65507, '\p{^Is_General_Category=		sk}', "");
Expect(0, 65507, '\P{Is_General_Category=		sk}', "");
Expect(1, 65507, '\P{^Is_General_Category=		sk}', "");
Expect(0, 65508, '\p{Is_General_Category=		sk}', "");
Expect(1, 65508, '\p{^Is_General_Category=		sk}', "");
Expect(1, 65508, '\P{Is_General_Category=		sk}', "");
Expect(0, 65508, '\P{^Is_General_Category=		sk}', "");
Error('\p{Is_Gc=-_Modifier_symbol:=}');
Error('\P{Is_Gc=-_Modifier_symbol:=}');
Expect(1, 65507, '\p{Is_Gc=modifiersymbol}', "");
Expect(0, 65507, '\p{^Is_Gc=modifiersymbol}', "");
Expect(0, 65507, '\P{Is_Gc=modifiersymbol}', "");
Expect(1, 65507, '\P{^Is_Gc=modifiersymbol}', "");
Expect(0, 65508, '\p{Is_Gc=modifiersymbol}', "");
Expect(1, 65508, '\p{^Is_Gc=modifiersymbol}', "");
Expect(1, 65508, '\P{Is_Gc=modifiersymbol}', "");
Expect(0, 65508, '\P{^Is_Gc=modifiersymbol}', "");
Expect(1, 65507, '\p{Is_Gc=-Modifier_SYMBOL}', "");
Expect(0, 65507, '\p{^Is_Gc=-Modifier_SYMBOL}', "");
Expect(0, 65507, '\P{Is_Gc=-Modifier_SYMBOL}', "");
Expect(1, 65507, '\P{^Is_Gc=-Modifier_SYMBOL}', "");
Expect(0, 65508, '\p{Is_Gc=-Modifier_SYMBOL}', "");
Expect(1, 65508, '\p{^Is_Gc=-Modifier_SYMBOL}', "");
Expect(1, 65508, '\P{Is_Gc=-Modifier_SYMBOL}', "");
Expect(0, 65508, '\P{^Is_Gc=-Modifier_SYMBOL}', "");
Error('\p{Is_Category=:=sk}');
Error('\P{Is_Category=:=sk}');
Expect(1, 65507, '\p{Is_Category=sk}', "");
Expect(0, 65507, '\p{^Is_Category=sk}', "");
Expect(0, 65507, '\P{Is_Category=sk}', "");
Expect(1, 65507, '\P{^Is_Category=sk}', "");
Expect(0, 65508, '\p{Is_Category=sk}', "");
Expect(1, 65508, '\p{^Is_Category=sk}', "");
Expect(1, 65508, '\P{Is_Category=sk}', "");
Expect(0, 65508, '\P{^Is_Category=sk}', "");
Expect(1, 65507, '\p{Is_Category:- SK}', "");
Expect(0, 65507, '\p{^Is_Category:- SK}', "");
Expect(0, 65507, '\P{Is_Category:- SK}', "");
Expect(1, 65507, '\P{^Is_Category:- SK}', "");
Expect(0, 65508, '\p{Is_Category:- SK}', "");
Expect(1, 65508, '\p{^Is_Category:- SK}', "");
Expect(1, 65508, '\P{Is_Category:- SK}', "");
Expect(0, 65508, '\P{^Is_Category:- SK}', "");
Error('\p{General_Category=:=MATH_symbol}');
Error('\P{General_Category=:=MATH_symbol}');
Expect(1, 126705, '\p{General_Category=mathsymbol}', "");
Expect(0, 126705, '\p{^General_Category=mathsymbol}', "");
Expect(0, 126705, '\P{General_Category=mathsymbol}', "");
Expect(1, 126705, '\P{^General_Category=mathsymbol}', "");
Expect(0, 126706, '\p{General_Category=mathsymbol}', "");
Expect(1, 126706, '\p{^General_Category=mathsymbol}', "");
Expect(1, 126706, '\P{General_Category=mathsymbol}', "");
Expect(0, 126706, '\P{^General_Category=mathsymbol}', "");
Expect(1, 126705, '\p{General_Category=-	math_Symbol}', "");
Expect(0, 126705, '\p{^General_Category=-	math_Symbol}', "");
Expect(0, 126705, '\P{General_Category=-	math_Symbol}', "");
Expect(1, 126705, '\P{^General_Category=-	math_Symbol}', "");
Expect(0, 126706, '\p{General_Category=-	math_Symbol}', "");
Expect(1, 126706, '\p{^General_Category=-	math_Symbol}', "");
Expect(1, 126706, '\P{General_Category=-	math_Symbol}', "");
Expect(0, 126706, '\P{^General_Category=-	math_Symbol}', "");
Error('\p{Gc=:=-	SM}');
Error('\P{Gc=:=-	SM}');
Expect(1, 126705, '\p{Gc=sm}', "");
Expect(0, 126705, '\p{^Gc=sm}', "");
Expect(0, 126705, '\P{Gc=sm}', "");
Expect(1, 126705, '\P{^Gc=sm}', "");
Expect(0, 126706, '\p{Gc=sm}', "");
Expect(1, 126706, '\p{^Gc=sm}', "");
Expect(1, 126706, '\P{Gc=sm}', "");
Expect(0, 126706, '\P{^Gc=sm}', "");
Expect(1, 126705, '\p{Gc=-Sm}', "");
Expect(0, 126705, '\p{^Gc=-Sm}', "");
Expect(0, 126705, '\P{Gc=-Sm}', "");
Expect(1, 126705, '\P{^Gc=-Sm}', "");
Expect(0, 126706, '\p{Gc=-Sm}', "");
Expect(1, 126706, '\p{^Gc=-Sm}', "");
Expect(1, 126706, '\P{Gc=-Sm}', "");
Expect(0, 126706, '\P{^Gc=-Sm}', "");
Error('\p{Category=_math_Symbol:=}');
Error('\P{Category=_math_Symbol:=}');
Expect(1, 126705, '\p{Category=mathsymbol}', "");
Expect(0, 126705, '\p{^Category=mathsymbol}', "");
Expect(0, 126705, '\P{Category=mathsymbol}', "");
Expect(1, 126705, '\P{^Category=mathsymbol}', "");
Expect(0, 126706, '\p{Category=mathsymbol}', "");
Expect(1, 126706, '\p{^Category=mathsymbol}', "");
Expect(1, 126706, '\P{Category=mathsymbol}', "");
Expect(0, 126706, '\P{^Category=mathsymbol}', "");
Expect(1, 126705, '\p{Category=Math_symbol}', "");
Expect(0, 126705, '\p{^Category=Math_symbol}', "");
Expect(0, 126705, '\P{Category=Math_symbol}', "");
Expect(1, 126705, '\P{^Category=Math_symbol}', "");
Expect(0, 126706, '\p{Category=Math_symbol}', "");
Expect(1, 126706, '\p{^Category=Math_symbol}', "");
Expect(1, 126706, '\P{Category=Math_symbol}', "");
Expect(0, 126706, '\P{^Category=Math_symbol}', "");
Error('\p{Is_General_Category=SM/a/}');
Error('\P{Is_General_Category=SM/a/}');
Expect(1, 126705, '\p{Is_General_Category=sm}', "");
Expect(0, 126705, '\p{^Is_General_Category=sm}', "");
Expect(0, 126705, '\P{Is_General_Category=sm}', "");
Expect(1, 126705, '\P{^Is_General_Category=sm}', "");
Expect(0, 126706, '\p{Is_General_Category=sm}', "");
Expect(1, 126706, '\p{^Is_General_Category=sm}', "");
Expect(1, 126706, '\P{Is_General_Category=sm}', "");
Expect(0, 126706, '\P{^Is_General_Category=sm}', "");
Expect(1, 126705, '\p{Is_General_Category=_ Sm}', "");
Expect(0, 126705, '\p{^Is_General_Category=_ Sm}', "");
Expect(0, 126705, '\P{Is_General_Category=_ Sm}', "");
Expect(1, 126705, '\P{^Is_General_Category=_ Sm}', "");
Expect(0, 126706, '\p{Is_General_Category=_ Sm}', "");
Expect(1, 126706, '\p{^Is_General_Category=_ Sm}', "");
Expect(1, 126706, '\P{Is_General_Category=_ Sm}', "");
Expect(0, 126706, '\P{^Is_General_Category=_ Sm}', "");
Error('\p{Is_Gc=/a/Math_symbol}');
Error('\P{Is_Gc=/a/Math_symbol}');
Expect(1, 126705, '\p{Is_Gc=mathsymbol}', "");
Expect(0, 126705, '\p{^Is_Gc=mathsymbol}', "");
Expect(0, 126705, '\P{Is_Gc=mathsymbol}', "");
Expect(1, 126705, '\P{^Is_Gc=mathsymbol}', "");
Expect(0, 126706, '\p{Is_Gc=mathsymbol}', "");
Expect(1, 126706, '\p{^Is_Gc=mathsymbol}', "");
Expect(1, 126706, '\P{Is_Gc=mathsymbol}', "");
Expect(0, 126706, '\P{^Is_Gc=mathsymbol}', "");
Expect(1, 126705, '\p{Is_Gc=	 Math_SYMBOL}', "");
Expect(0, 126705, '\p{^Is_Gc=	 Math_SYMBOL}', "");
Expect(0, 126705, '\P{Is_Gc=	 Math_SYMBOL}', "");
Expect(1, 126705, '\P{^Is_Gc=	 Math_SYMBOL}', "");
Expect(0, 126706, '\p{Is_Gc=	 Math_SYMBOL}', "");
Expect(1, 126706, '\p{^Is_Gc=	 Math_SYMBOL}', "");
Expect(1, 126706, '\P{Is_Gc=	 Math_SYMBOL}', "");
Expect(0, 126706, '\P{^Is_Gc=	 Math_SYMBOL}', "");
Error('\p{Is_Category=:=  sm}');
Error('\P{Is_Category=:=  sm}');
Expect(1, 126705, '\p{Is_Category=sm}', "");
Expect(0, 126705, '\p{^Is_Category=sm}', "");
Expect(0, 126705, '\P{Is_Category=sm}', "");
Expect(1, 126705, '\P{^Is_Category=sm}', "");
Expect(0, 126706, '\p{Is_Category=sm}', "");
Expect(1, 126706, '\p{^Is_Category=sm}', "");
Expect(1, 126706, '\P{Is_Category=sm}', "");
Expect(0, 126706, '\P{^Is_Category=sm}', "");
Expect(1, 126705, '\p{Is_Category=	Sm}', "");
Expect(0, 126705, '\p{^Is_Category=	Sm}', "");
Expect(0, 126705, '\P{Is_Category=	Sm}', "");
Expect(1, 126705, '\P{^Is_Category=	Sm}', "");
Expect(0, 126706, '\p{Is_Category=	Sm}', "");
Expect(1, 126706, '\p{^Is_Category=	Sm}', "");
Expect(1, 126706, '\P{Is_Category=	Sm}', "");
Expect(0, 126706, '\P{^Is_Category=	Sm}', "");
Error('\p{General_Category: other_symbol/a/}');
Error('\P{General_Category: other_symbol/a/}');
Expect(1, 129197, '\p{General_Category=othersymbol}', "");
Expect(0, 129197, '\p{^General_Category=othersymbol}', "");
Expect(0, 129197, '\P{General_Category=othersymbol}', "");
Expect(1, 129197, '\P{^General_Category=othersymbol}', "");
Expect(0, 129198, '\p{General_Category=othersymbol}', "");
Expect(1, 129198, '\p{^General_Category=othersymbol}', "");
Expect(1, 129198, '\P{General_Category=othersymbol}', "");
Expect(0, 129198, '\P{^General_Category=othersymbol}', "");
Expect(1, 129197, '\p{General_Category: -OTHER_Symbol}', "");
Expect(0, 129197, '\p{^General_Category: -OTHER_Symbol}', "");
Expect(0, 129197, '\P{General_Category: -OTHER_Symbol}', "");
Expect(1, 129197, '\P{^General_Category: -OTHER_Symbol}', "");
Expect(0, 129198, '\p{General_Category: -OTHER_Symbol}', "");
Expect(1, 129198, '\p{^General_Category: -OTHER_Symbol}', "");
Expect(1, 129198, '\P{General_Category: -OTHER_Symbol}', "");
Expect(0, 129198, '\P{^General_Category: -OTHER_Symbol}', "");
Error('\p{Gc=--So/a/}');
Error('\P{Gc=--So/a/}');
Expect(1, 129197, '\p{Gc: so}', "");
Expect(0, 129197, '\p{^Gc: so}', "");
Expect(0, 129197, '\P{Gc: so}', "");
Expect(1, 129197, '\P{^Gc: so}', "");
Expect(0, 129198, '\p{Gc: so}', "");
Expect(1, 129198, '\p{^Gc: so}', "");
Expect(1, 129198, '\P{Gc: so}', "");
Expect(0, 129198, '\P{^Gc: so}', "");
Expect(1, 129197, '\p{Gc=	so}', "");
Expect(0, 129197, '\p{^Gc=	so}', "");
Expect(0, 129197, '\P{Gc=	so}', "");
Expect(1, 129197, '\P{^Gc=	so}', "");
Expect(0, 129198, '\p{Gc=	so}', "");
Expect(1, 129198, '\p{^Gc=	so}', "");
Expect(1, 129198, '\P{Gc=	so}', "");
Expect(0, 129198, '\P{^Gc=	so}', "");
Error('\p{Category=/a/Other_SYMBOL}');
Error('\P{Category=/a/Other_SYMBOL}');
Expect(1, 129197, '\p{Category=othersymbol}', "");
Expect(0, 129197, '\p{^Category=othersymbol}', "");
Expect(0, 129197, '\P{Category=othersymbol}', "");
Expect(1, 129197, '\P{^Category=othersymbol}', "");
Expect(0, 129198, '\p{Category=othersymbol}', "");
Expect(1, 129198, '\p{^Category=othersymbol}', "");
Expect(1, 129198, '\P{Category=othersymbol}', "");
Expect(0, 129198, '\P{^Category=othersymbol}', "");
Expect(1, 129197, '\p{Category=	 OTHER_SYMBOL}', "");
Expect(0, 129197, '\p{^Category=	 OTHER_SYMBOL}', "");
Expect(0, 129197, '\P{Category=	 OTHER_SYMBOL}', "");
Expect(1, 129197, '\P{^Category=	 OTHER_SYMBOL}', "");
Expect(0, 129198, '\p{Category=	 OTHER_SYMBOL}', "");
Expect(1, 129198, '\p{^Category=	 OTHER_SYMBOL}', "");
Expect(1, 129198, '\P{Category=	 OTHER_SYMBOL}', "");
Expect(0, 129198, '\P{^Category=	 OTHER_SYMBOL}', "");
Error('\p{Is_General_Category=	:=SO}');
Error('\P{Is_General_Category=	:=SO}');
Expect(1, 129197, '\p{Is_General_Category=so}', "");
Expect(0, 129197, '\p{^Is_General_Category=so}', "");
Expect(0, 129197, '\P{Is_General_Category=so}', "");
Expect(1, 129197, '\P{^Is_General_Category=so}', "");
Expect(0, 129198, '\p{Is_General_Category=so}', "");
Expect(1, 129198, '\p{^Is_General_Category=so}', "");
Expect(1, 129198, '\P{Is_General_Category=so}', "");
Expect(0, 129198, '\P{^Is_General_Category=so}', "");
Expect(1, 129197, '\p{Is_General_Category=-So}', "");
Expect(0, 129197, '\p{^Is_General_Category=-So}', "");
Expect(0, 129197, '\P{Is_General_Category=-So}', "");
Expect(1, 129197, '\P{^Is_General_Category=-So}', "");
Expect(0, 129198, '\p{Is_General_Category=-So}', "");
Expect(1, 129198, '\p{^Is_General_Category=-So}', "");
Expect(1, 129198, '\P{Is_General_Category=-So}', "");
Expect(0, 129198, '\P{^Is_General_Category=-So}', "");
Error('\p{Is_Gc=:=	Other_SYMBOL}');
Error('\P{Is_Gc=:=	Other_SYMBOL}');
Expect(1, 129197, '\p{Is_Gc=othersymbol}', "");
Expect(0, 129197, '\p{^Is_Gc=othersymbol}', "");
Expect(0, 129197, '\P{Is_Gc=othersymbol}', "");
Expect(1, 129197, '\P{^Is_Gc=othersymbol}', "");
Expect(0, 129198, '\p{Is_Gc=othersymbol}', "");
Expect(1, 129198, '\p{^Is_Gc=othersymbol}', "");
Expect(1, 129198, '\P{Is_Gc=othersymbol}', "");
Expect(0, 129198, '\P{^Is_Gc=othersymbol}', "");
Expect(1, 129197, '\p{Is_Gc=-other_SYMBOL}', "");
Expect(0, 129197, '\p{^Is_Gc=-other_SYMBOL}', "");
Expect(0, 129197, '\P{Is_Gc=-other_SYMBOL}', "");
Expect(1, 129197, '\P{^Is_Gc=-other_SYMBOL}', "");
Expect(0, 129198, '\p{Is_Gc=-other_SYMBOL}', "");
Expect(1, 129198, '\p{^Is_Gc=-other_SYMBOL}', "");
Expect(1, 129198, '\P{Is_Gc=-other_SYMBOL}', "");
Expect(0, 129198, '\P{^Is_Gc=-other_SYMBOL}', "");
Error('\p{Is_Category=_So:=}');
Error('\P{Is_Category=_So:=}');
Expect(1, 129197, '\p{Is_Category:   so}', "");
Expect(0, 129197, '\p{^Is_Category:   so}', "");
Expect(0, 129197, '\P{Is_Category:   so}', "");
Expect(1, 129197, '\P{^Is_Category:   so}', "");
Expect(0, 129198, '\p{Is_Category:   so}', "");
Expect(1, 129198, '\p{^Is_Category:   so}', "");
Expect(1, 129198, '\P{Is_Category:   so}', "");
Expect(0, 129198, '\P{^Is_Category:   so}', "");
Expect(1, 129197, '\p{Is_Category= So}', "");
Expect(0, 129197, '\p{^Is_Category= So}', "");
Expect(0, 129197, '\P{Is_Category= So}', "");
Expect(1, 129197, '\P{^Is_Category= So}', "");
Expect(0, 129198, '\p{Is_Category= So}', "");
Expect(1, 129198, '\p{^Is_Category= So}', "");
Expect(1, 129198, '\P{Is_Category= So}', "");
Expect(0, 129198, '\P{^Is_Category= So}', "");
Error('\p{General_Category= separator:=}');
Error('\P{General_Category= separator:=}');
Expect(1, 12288, '\p{General_Category=separator}', "");
Expect(0, 12288, '\p{^General_Category=separator}', "");
Expect(0, 12288, '\P{General_Category=separator}', "");
Expect(1, 12288, '\P{^General_Category=separator}', "");
Expect(0, 12289, '\p{General_Category=separator}', "");
Expect(1, 12289, '\p{^General_Category=separator}', "");
Expect(1, 12289, '\P{General_Category=separator}', "");
Expect(0, 12289, '\P{^General_Category=separator}', "");
Expect(1, 12288, '\p{General_Category=-	Separator}', "");
Expect(0, 12288, '\p{^General_Category=-	Separator}', "");
Expect(0, 12288, '\P{General_Category=-	Separator}', "");
Expect(1, 12288, '\P{^General_Category=-	Separator}', "");
Expect(0, 12289, '\p{General_Category=-	Separator}', "");
Expect(1, 12289, '\p{^General_Category=-	Separator}', "");
Expect(1, 12289, '\P{General_Category=-	Separator}', "");
Expect(0, 12289, '\P{^General_Category=-	Separator}', "");
Error('\p{Gc=:=Z}');
Error('\P{Gc=:=Z}');
Expect(1, 12288, '\p{Gc=z}', "");
Expect(0, 12288, '\p{^Gc=z}', "");
Expect(0, 12288, '\P{Gc=z}', "");
Expect(1, 12288, '\P{^Gc=z}', "");
Expect(0, 12289, '\p{Gc=z}', "");
Expect(1, 12289, '\p{^Gc=z}', "");
Expect(1, 12289, '\P{Gc=z}', "");
Expect(0, 12289, '\P{^Gc=z}', "");
Expect(1, 12288, '\p{Gc= -z}', "");
Expect(0, 12288, '\p{^Gc= -z}', "");
Expect(0, 12288, '\P{Gc= -z}', "");
Expect(1, 12288, '\P{^Gc= -z}', "");
Expect(0, 12289, '\p{Gc= -z}', "");
Expect(1, 12289, '\p{^Gc= -z}', "");
Expect(1, 12289, '\P{Gc= -z}', "");
Expect(0, 12289, '\P{^Gc= -z}', "");
Error('\p{Category=/a/ _separator}');
Error('\P{Category=/a/ _separator}');
Expect(1, 12288, '\p{Category=separator}', "");
Expect(0, 12288, '\p{^Category=separator}', "");
Expect(0, 12288, '\P{Category=separator}', "");
Expect(1, 12288, '\P{^Category=separator}', "");
Expect(0, 12289, '\p{Category=separator}', "");
Expect(1, 12289, '\p{^Category=separator}', "");
Expect(1, 12289, '\P{Category=separator}', "");
Expect(0, 12289, '\P{^Category=separator}', "");
Expect(1, 12288, '\p{Category=	Separator}', "");
Expect(0, 12288, '\p{^Category=	Separator}', "");
Expect(0, 12288, '\P{Category=	Separator}', "");
Expect(1, 12288, '\P{^Category=	Separator}', "");
Expect(0, 12289, '\p{Category=	Separator}', "");
Expect(1, 12289, '\p{^Category=	Separator}', "");
Expect(1, 12289, '\P{Category=	Separator}', "");
Expect(0, 12289, '\P{^Category=	Separator}', "");
Error('\p{Is_General_Category=	-Z/a/}');
Error('\P{Is_General_Category=	-Z/a/}');
Expect(1, 12288, '\p{Is_General_Category=z}', "");
Expect(0, 12288, '\p{^Is_General_Category=z}', "");
Expect(0, 12288, '\P{Is_General_Category=z}', "");
Expect(1, 12288, '\P{^Is_General_Category=z}', "");
Expect(0, 12289, '\p{Is_General_Category=z}', "");
Expect(1, 12289, '\p{^Is_General_Category=z}', "");
Expect(1, 12289, '\P{Is_General_Category=z}', "");
Expect(0, 12289, '\P{^Is_General_Category=z}', "");
Expect(1, 12288, '\p{Is_General_Category=_z}', "");
Expect(0, 12288, '\p{^Is_General_Category=_z}', "");
Expect(0, 12288, '\P{Is_General_Category=_z}', "");
Expect(1, 12288, '\P{^Is_General_Category=_z}', "");
Expect(0, 12289, '\p{Is_General_Category=_z}', "");
Expect(1, 12289, '\p{^Is_General_Category=_z}', "");
Expect(1, 12289, '\P{Is_General_Category=_z}', "");
Expect(0, 12289, '\P{^Is_General_Category=_z}', "");
Error('\p{Is_Gc=:=SEPARATOR}');
Error('\P{Is_Gc=:=SEPARATOR}');
Expect(1, 12288, '\p{Is_Gc=separator}', "");
Expect(0, 12288, '\p{^Is_Gc=separator}', "");
Expect(0, 12288, '\P{Is_Gc=separator}', "");
Expect(1, 12288, '\P{^Is_Gc=separator}', "");
Expect(0, 12289, '\p{Is_Gc=separator}', "");
Expect(1, 12289, '\p{^Is_Gc=separator}', "");
Expect(1, 12289, '\P{Is_Gc=separator}', "");
Expect(0, 12289, '\P{^Is_Gc=separator}', "");
Expect(1, 12288, '\p{Is_Gc=--separator}', "");
Expect(0, 12288, '\p{^Is_Gc=--separator}', "");
Expect(0, 12288, '\P{Is_Gc=--separator}', "");
Expect(1, 12288, '\P{^Is_Gc=--separator}', "");
Expect(0, 12289, '\p{Is_Gc=--separator}', "");
Expect(1, 12289, '\p{^Is_Gc=--separator}', "");
Expect(1, 12289, '\P{Is_Gc=--separator}', "");
Expect(0, 12289, '\P{^Is_Gc=--separator}', "");
Error('\p{Is_Category=/a/	_Z}');
Error('\P{Is_Category=/a/	_Z}');
Expect(1, 12288, '\p{Is_Category=z}', "");
Expect(0, 12288, '\p{^Is_Category=z}', "");
Expect(0, 12288, '\P{Is_Category=z}', "");
Expect(1, 12288, '\P{^Is_Category=z}', "");
Expect(0, 12289, '\p{Is_Category=z}', "");
Expect(1, 12289, '\p{^Is_Category=z}', "");
Expect(1, 12289, '\P{Is_Category=z}', "");
Expect(0, 12289, '\P{^Is_Category=z}', "");
Expect(1, 12288, '\p{Is_Category=	 z}', "");
Expect(0, 12288, '\p{^Is_Category=	 z}', "");
Expect(0, 12288, '\P{Is_Category=	 z}', "");
Expect(1, 12288, '\P{^Is_Category=	 z}', "");
Expect(0, 12289, '\p{Is_Category=	 z}', "");
Expect(1, 12289, '\p{^Is_Category=	 z}', "");
Expect(1, 12289, '\P{Is_Category=	 z}', "");
Expect(0, 12289, '\P{^Is_Category=	 z}', "");
Error('\p{General_Category=-/a/LINE_Separator}');
Error('\P{General_Category=-/a/LINE_Separator}');
Expect(1, 8232, '\p{General_Category=lineseparator}', "");
Expect(0, 8232, '\p{^General_Category=lineseparator}', "");
Expect(0, 8232, '\P{General_Category=lineseparator}', "");
Expect(1, 8232, '\P{^General_Category=lineseparator}', "");
Expect(0, 8233, '\p{General_Category=lineseparator}', "");
Expect(1, 8233, '\p{^General_Category=lineseparator}', "");
Expect(1, 8233, '\P{General_Category=lineseparator}', "");
Expect(0, 8233, '\P{^General_Category=lineseparator}', "");
Expect(1, 8232, '\p{General_Category= 	line_Separator}', "");
Expect(0, 8232, '\p{^General_Category= 	line_Separator}', "");
Expect(0, 8232, '\P{General_Category= 	line_Separator}', "");
Expect(1, 8232, '\P{^General_Category= 	line_Separator}', "");
Expect(0, 8233, '\p{General_Category= 	line_Separator}', "");
Expect(1, 8233, '\p{^General_Category= 	line_Separator}', "");
Expect(1, 8233, '\P{General_Category= 	line_Separator}', "");
Expect(0, 8233, '\P{^General_Category= 	line_Separator}', "");
Error('\p{Gc=:=ZL}');
Error('\P{Gc=:=ZL}');
Expect(1, 8232, '\p{Gc=zl}', "");
Expect(0, 8232, '\p{^Gc=zl}', "");
Expect(0, 8232, '\P{Gc=zl}', "");
Expect(1, 8232, '\P{^Gc=zl}', "");
Expect(0, 8233, '\p{Gc=zl}', "");
Expect(1, 8233, '\p{^Gc=zl}', "");
Expect(1, 8233, '\P{Gc=zl}', "");
Expect(0, 8233, '\P{^Gc=zl}', "");
Expect(1, 8232, '\p{Gc= 	ZL}', "");
Expect(0, 8232, '\p{^Gc= 	ZL}', "");
Expect(0, 8232, '\P{Gc= 	ZL}', "");
Expect(1, 8232, '\P{^Gc= 	ZL}', "");
Expect(0, 8233, '\p{Gc= 	ZL}', "");
Expect(1, 8233, '\p{^Gc= 	ZL}', "");
Expect(1, 8233, '\P{Gc= 	ZL}', "");
Expect(0, 8233, '\P{^Gc= 	ZL}', "");
Error('\p{Category=	:=Line_SEPARATOR}');
Error('\P{Category=	:=Line_SEPARATOR}');
Expect(1, 8232, '\p{Category=lineseparator}', "");
Expect(0, 8232, '\p{^Category=lineseparator}', "");
Expect(0, 8232, '\P{Category=lineseparator}', "");
Expect(1, 8232, '\P{^Category=lineseparator}', "");
Expect(0, 8233, '\p{Category=lineseparator}', "");
Expect(1, 8233, '\p{^Category=lineseparator}', "");
Expect(1, 8233, '\P{Category=lineseparator}', "");
Expect(0, 8233, '\P{^Category=lineseparator}', "");
Expect(1, 8232, '\p{Category=__Line_Separator}', "");
Expect(0, 8232, '\p{^Category=__Line_Separator}', "");
Expect(0, 8232, '\P{Category=__Line_Separator}', "");
Expect(1, 8232, '\P{^Category=__Line_Separator}', "");
Expect(0, 8233, '\p{Category=__Line_Separator}', "");
Expect(1, 8233, '\p{^Category=__Line_Separator}', "");
Expect(1, 8233, '\P{Category=__Line_Separator}', "");
Expect(0, 8233, '\P{^Category=__Line_Separator}', "");
Error('\p{Is_General_Category=	 Zl/a/}');
Error('\P{Is_General_Category=	 Zl/a/}');
Expect(1, 8232, '\p{Is_General_Category=zl}', "");
Expect(0, 8232, '\p{^Is_General_Category=zl}', "");
Expect(0, 8232, '\P{Is_General_Category=zl}', "");
Expect(1, 8232, '\P{^Is_General_Category=zl}', "");
Expect(0, 8233, '\p{Is_General_Category=zl}', "");
Expect(1, 8233, '\p{^Is_General_Category=zl}', "");
Expect(1, 8233, '\P{Is_General_Category=zl}', "");
Expect(0, 8233, '\P{^Is_General_Category=zl}', "");
Expect(1, 8232, '\p{Is_General_Category=-_zl}', "");
Expect(0, 8232, '\p{^Is_General_Category=-_zl}', "");
Expect(0, 8232, '\P{Is_General_Category=-_zl}', "");
Expect(1, 8232, '\P{^Is_General_Category=-_zl}', "");
Expect(0, 8233, '\p{Is_General_Category=-_zl}', "");
Expect(1, 8233, '\p{^Is_General_Category=-_zl}', "");
Expect(1, 8233, '\P{Is_General_Category=-_zl}', "");
Expect(0, 8233, '\P{^Is_General_Category=-_zl}', "");
Error('\p{Is_Gc=/a/_	Line_Separator}');
Error('\P{Is_Gc=/a/_	Line_Separator}');
Expect(1, 8232, '\p{Is_Gc=lineseparator}', "");
Expect(0, 8232, '\p{^Is_Gc=lineseparator}', "");
Expect(0, 8232, '\P{Is_Gc=lineseparator}', "");
Expect(1, 8232, '\P{^Is_Gc=lineseparator}', "");
Expect(0, 8233, '\p{Is_Gc=lineseparator}', "");
Expect(1, 8233, '\p{^Is_Gc=lineseparator}', "");
Expect(1, 8233, '\P{Is_Gc=lineseparator}', "");
Expect(0, 8233, '\P{^Is_Gc=lineseparator}', "");
Expect(1, 8232, '\p{Is_Gc= 	Line_separator}', "");
Expect(0, 8232, '\p{^Is_Gc= 	Line_separator}', "");
Expect(0, 8232, '\P{Is_Gc= 	Line_separator}', "");
Expect(1, 8232, '\P{^Is_Gc= 	Line_separator}', "");
Expect(0, 8233, '\p{Is_Gc= 	Line_separator}', "");
Expect(1, 8233, '\p{^Is_Gc= 	Line_separator}', "");
Expect(1, 8233, '\P{Is_Gc= 	Line_separator}', "");
Expect(0, 8233, '\P{^Is_Gc= 	Line_separator}', "");
Error('\p{Is_Category=/a/ Zl}');
Error('\P{Is_Category=/a/ Zl}');
Expect(1, 8232, '\p{Is_Category=zl}', "");
Expect(0, 8232, '\p{^Is_Category=zl}', "");
Expect(0, 8232, '\P{Is_Category=zl}', "");
Expect(1, 8232, '\P{^Is_Category=zl}', "");
Expect(0, 8233, '\p{Is_Category=zl}', "");
Expect(1, 8233, '\p{^Is_Category=zl}', "");
Expect(1, 8233, '\P{Is_Category=zl}', "");
Expect(0, 8233, '\P{^Is_Category=zl}', "");
Error('\p{General_Category=-:=paragraph_Separator}');
Error('\P{General_Category=-:=paragraph_Separator}');
Expect(1, 8233, '\p{General_Category=paragraphseparator}', "");
Expect(0, 8233, '\p{^General_Category=paragraphseparator}', "");
Expect(0, 8233, '\P{General_Category=paragraphseparator}', "");
Expect(1, 8233, '\P{^General_Category=paragraphseparator}', "");
Expect(0, 8234, '\p{General_Category=paragraphseparator}', "");
Expect(1, 8234, '\p{^General_Category=paragraphseparator}', "");
Expect(1, 8234, '\P{General_Category=paragraphseparator}', "");
Expect(0, 8234, '\P{^General_Category=paragraphseparator}', "");
Expect(1, 8233, '\p{General_Category=  PARAGRAPH_Separator}', "");
Expect(0, 8233, '\p{^General_Category=  PARAGRAPH_Separator}', "");
Expect(0, 8233, '\P{General_Category=  PARAGRAPH_Separator}', "");
Expect(1, 8233, '\P{^General_Category=  PARAGRAPH_Separator}', "");
Expect(0, 8234, '\p{General_Category=  PARAGRAPH_Separator}', "");
Expect(1, 8234, '\p{^General_Category=  PARAGRAPH_Separator}', "");
Expect(1, 8234, '\P{General_Category=  PARAGRAPH_Separator}', "");
Expect(0, 8234, '\P{^General_Category=  PARAGRAPH_Separator}', "");
Error('\p{Gc=:=-	zp}');
Error('\P{Gc=:=-	zp}');
Expect(1, 8233, '\p{Gc=zp}', "");
Expect(0, 8233, '\p{^Gc=zp}', "");
Expect(0, 8233, '\P{Gc=zp}', "");
Expect(1, 8233, '\P{^Gc=zp}', "");
Expect(0, 8234, '\p{Gc=zp}', "");
Expect(1, 8234, '\p{^Gc=zp}', "");
Expect(1, 8234, '\P{Gc=zp}', "");
Expect(0, 8234, '\P{^Gc=zp}', "");
Expect(1, 8233, '\p{Gc=-	Zp}', "");
Expect(0, 8233, '\p{^Gc=-	Zp}', "");
Expect(0, 8233, '\P{Gc=-	Zp}', "");
Expect(1, 8233, '\P{^Gc=-	Zp}', "");
Expect(0, 8234, '\p{Gc=-	Zp}', "");
Expect(1, 8234, '\p{^Gc=-	Zp}', "");
Expect(1, 8234, '\P{Gc=-	Zp}', "");
Expect(0, 8234, '\P{^Gc=-	Zp}', "");
Error('\p{Category=:=Paragraph_separator}');
Error('\P{Category=:=Paragraph_separator}');
Expect(1, 8233, '\p{Category=paragraphseparator}', "");
Expect(0, 8233, '\p{^Category=paragraphseparator}', "");
Expect(0, 8233, '\P{Category=paragraphseparator}', "");
Expect(1, 8233, '\P{^Category=paragraphseparator}', "");
Expect(0, 8234, '\p{Category=paragraphseparator}', "");
Expect(1, 8234, '\p{^Category=paragraphseparator}', "");
Expect(1, 8234, '\P{Category=paragraphseparator}', "");
Expect(0, 8234, '\P{^Category=paragraphseparator}', "");
Expect(1, 8233, '\p{Category=-PARAGRAPH_SEPARATOR}', "");
Expect(0, 8233, '\p{^Category=-PARAGRAPH_SEPARATOR}', "");
Expect(0, 8233, '\P{Category=-PARAGRAPH_SEPARATOR}', "");
Expect(1, 8233, '\P{^Category=-PARAGRAPH_SEPARATOR}', "");
Expect(0, 8234, '\p{Category=-PARAGRAPH_SEPARATOR}', "");
Expect(1, 8234, '\p{^Category=-PARAGRAPH_SEPARATOR}', "");
Expect(1, 8234, '\P{Category=-PARAGRAPH_SEPARATOR}', "");
Expect(0, 8234, '\P{^Category=-PARAGRAPH_SEPARATOR}', "");
Error('\p{Is_General_Category=/a/ZP}');
Error('\P{Is_General_Category=/a/ZP}');
Expect(1, 8233, '\p{Is_General_Category: zp}', "");
Expect(0, 8233, '\p{^Is_General_Category: zp}', "");
Expect(0, 8233, '\P{Is_General_Category: zp}', "");
Expect(1, 8233, '\P{^Is_General_Category: zp}', "");
Expect(0, 8234, '\p{Is_General_Category: zp}', "");
Expect(1, 8234, '\p{^Is_General_Category: zp}', "");
Expect(1, 8234, '\P{Is_General_Category: zp}', "");
Expect(0, 8234, '\P{^Is_General_Category: zp}', "");
Expect(1, 8233, '\p{Is_General_Category: 	_zp}', "");
Expect(0, 8233, '\p{^Is_General_Category: 	_zp}', "");
Expect(0, 8233, '\P{Is_General_Category: 	_zp}', "");
Expect(1, 8233, '\P{^Is_General_Category: 	_zp}', "");
Expect(0, 8234, '\p{Is_General_Category: 	_zp}', "");
Expect(1, 8234, '\p{^Is_General_Category: 	_zp}', "");
Expect(1, 8234, '\P{Is_General_Category: 	_zp}', "");
Expect(0, 8234, '\P{^Is_General_Category: 	_zp}', "");
Error('\p{Is_Gc=/a/	paragraph_separator}');
Error('\P{Is_Gc=/a/	paragraph_separator}');
Expect(1, 8233, '\p{Is_Gc=paragraphseparator}', "");
Expect(0, 8233, '\p{^Is_Gc=paragraphseparator}', "");
Expect(0, 8233, '\P{Is_Gc=paragraphseparator}', "");
Expect(1, 8233, '\P{^Is_Gc=paragraphseparator}', "");
Expect(0, 8234, '\p{Is_Gc=paragraphseparator}', "");
Expect(1, 8234, '\p{^Is_Gc=paragraphseparator}', "");
Expect(1, 8234, '\P{Is_Gc=paragraphseparator}', "");
Expect(0, 8234, '\P{^Is_Gc=paragraphseparator}', "");
Expect(1, 8233, '\p{Is_Gc=_paragraph_SEPARATOR}', "");
Expect(0, 8233, '\p{^Is_Gc=_paragraph_SEPARATOR}', "");
Expect(0, 8233, '\P{Is_Gc=_paragraph_SEPARATOR}', "");
Expect(1, 8233, '\P{^Is_Gc=_paragraph_SEPARATOR}', "");
Expect(0, 8234, '\p{Is_Gc=_paragraph_SEPARATOR}', "");
Expect(1, 8234, '\p{^Is_Gc=_paragraph_SEPARATOR}', "");
Expect(1, 8234, '\P{Is_Gc=_paragraph_SEPARATOR}', "");
Expect(0, 8234, '\P{^Is_Gc=_paragraph_SEPARATOR}', "");
Error('\p{Is_Category=:=Zp}');
Error('\P{Is_Category=:=Zp}');
Expect(1, 8233, '\p{Is_Category=zp}', "");
Expect(0, 8233, '\p{^Is_Category=zp}', "");
Expect(0, 8233, '\P{Is_Category=zp}', "");
Expect(1, 8233, '\P{^Is_Category=zp}', "");
Expect(0, 8234, '\p{Is_Category=zp}', "");
Expect(1, 8234, '\p{^Is_Category=zp}', "");
Expect(1, 8234, '\P{Is_Category=zp}', "");
Expect(0, 8234, '\P{^Is_Category=zp}', "");
Expect(1, 8233, '\p{Is_Category=- zp}', "");
Expect(0, 8233, '\p{^Is_Category=- zp}', "");
Expect(0, 8233, '\P{Is_Category=- zp}', "");
Expect(1, 8233, '\P{^Is_Category=- zp}', "");
Expect(0, 8234, '\p{Is_Category=- zp}', "");
Expect(1, 8234, '\p{^Is_Category=- zp}', "");
Expect(1, 8234, '\P{Is_Category=- zp}', "");
Expect(0, 8234, '\P{^Is_Category=- zp}', "");
Error('\p{General_Category: _/a/Space_Separator}');
Error('\P{General_Category: _/a/Space_Separator}');
Expect(1, 12288, '\p{General_Category:   spaceseparator}', "");
Expect(0, 12288, '\p{^General_Category:   spaceseparator}', "");
Expect(0, 12288, '\P{General_Category:   spaceseparator}', "");
Expect(1, 12288, '\P{^General_Category:   spaceseparator}', "");
Expect(0, 12289, '\p{General_Category:   spaceseparator}', "");
Expect(1, 12289, '\p{^General_Category:   spaceseparator}', "");
Expect(1, 12289, '\P{General_Category:   spaceseparator}', "");
Expect(0, 12289, '\P{^General_Category:   spaceseparator}', "");
Expect(1, 12288, '\p{General_Category=	_SPACE_Separator}', "");
Expect(0, 12288, '\p{^General_Category=	_SPACE_Separator}', "");
Expect(0, 12288, '\P{General_Category=	_SPACE_Separator}', "");
Expect(1, 12288, '\P{^General_Category=	_SPACE_Separator}', "");
Expect(0, 12289, '\p{General_Category=	_SPACE_Separator}', "");
Expect(1, 12289, '\p{^General_Category=	_SPACE_Separator}', "");
Expect(1, 12289, '\P{General_Category=	_SPACE_Separator}', "");
Expect(0, 12289, '\P{^General_Category=	_SPACE_Separator}', "");
Error('\p{Gc=_ Zs/a/}');
Error('\P{Gc=_ Zs/a/}');
Expect(1, 12288, '\p{Gc=zs}', "");
Expect(0, 12288, '\p{^Gc=zs}', "");
Expect(0, 12288, '\P{Gc=zs}', "");
Expect(1, 12288, '\P{^Gc=zs}', "");
Expect(0, 12289, '\p{Gc=zs}', "");
Expect(1, 12289, '\p{^Gc=zs}', "");
Expect(1, 12289, '\P{Gc=zs}', "");
Expect(0, 12289, '\P{^Gc=zs}', "");
Expect(1, 12288, '\p{Gc= -Zs}', "");
Expect(0, 12288, '\p{^Gc= -Zs}', "");
Expect(0, 12288, '\P{Gc= -Zs}', "");
Expect(1, 12288, '\P{^Gc= -Zs}', "");
Expect(0, 12289, '\p{Gc= -Zs}', "");
Expect(1, 12289, '\p{^Gc= -Zs}', "");
Expect(1, 12289, '\P{Gc= -Zs}', "");
Expect(0, 12289, '\P{^Gc= -Zs}', "");
Error('\p{Category=-/a/SPACE_Separator}');
Error('\P{Category=-/a/SPACE_Separator}');
Expect(1, 12288, '\p{Category=spaceseparator}', "");
Expect(0, 12288, '\p{^Category=spaceseparator}', "");
Expect(0, 12288, '\P{Category=spaceseparator}', "");
Expect(1, 12288, '\P{^Category=spaceseparator}', "");
Expect(0, 12289, '\p{Category=spaceseparator}', "");
Expect(1, 12289, '\p{^Category=spaceseparator}', "");
Expect(1, 12289, '\P{Category=spaceseparator}', "");
Expect(0, 12289, '\P{^Category=spaceseparator}', "");
Expect(1, 12288, '\p{Category= -Space_separator}', "");
Expect(0, 12288, '\p{^Category= -Space_separator}', "");
Expect(0, 12288, '\P{Category= -Space_separator}', "");
Expect(1, 12288, '\P{^Category= -Space_separator}', "");
Expect(0, 12289, '\p{Category= -Space_separator}', "");
Expect(1, 12289, '\p{^Category= -Space_separator}', "");
Expect(1, 12289, '\P{Category= -Space_separator}', "");
Expect(0, 12289, '\P{^Category= -Space_separator}', "");
Error('\p{Is_General_Category=	Zs/a/}');
Error('\P{Is_General_Category=	Zs/a/}');
Expect(1, 12288, '\p{Is_General_Category=zs}', "");
Expect(0, 12288, '\p{^Is_General_Category=zs}', "");
Expect(0, 12288, '\P{Is_General_Category=zs}', "");
Expect(1, 12288, '\P{^Is_General_Category=zs}', "");
Expect(0, 12289, '\p{Is_General_Category=zs}', "");
Expect(1, 12289, '\p{^Is_General_Category=zs}', "");
Expect(1, 12289, '\P{Is_General_Category=zs}', "");
Expect(0, 12289, '\P{^Is_General_Category=zs}', "");
Expect(1, 12288, '\p{Is_General_Category=-_Zs}', "");
Expect(0, 12288, '\p{^Is_General_Category=-_Zs}', "");
Expect(0, 12288, '\P{Is_General_Category=-_Zs}', "");
Expect(1, 12288, '\P{^Is_General_Category=-_Zs}', "");
Expect(0, 12289, '\p{Is_General_Category=-_Zs}', "");
Expect(1, 12289, '\p{^Is_General_Category=-_Zs}', "");
Expect(1, 12289, '\P{Is_General_Category=-_Zs}', "");
Expect(0, 12289, '\P{^Is_General_Category=-_Zs}', "");
Error('\p{Is_Gc:		space_Separator/a/}');
Error('\P{Is_Gc:		space_Separator/a/}');
Expect(1, 12288, '\p{Is_Gc=spaceseparator}', "");
Expect(0, 12288, '\p{^Is_Gc=spaceseparator}', "");
Expect(0, 12288, '\P{Is_Gc=spaceseparator}', "");
Expect(1, 12288, '\P{^Is_Gc=spaceseparator}', "");
Expect(0, 12289, '\p{Is_Gc=spaceseparator}', "");
Expect(1, 12289, '\p{^Is_Gc=spaceseparator}', "");
Expect(1, 12289, '\P{Is_Gc=spaceseparator}', "");
Expect(0, 12289, '\P{^Is_Gc=spaceseparator}', "");
Expect(1, 12288, '\p{Is_Gc=		SPACE_SEPARATOR}', "");
Expect(0, 12288, '\p{^Is_Gc=		SPACE_SEPARATOR}', "");
Expect(0, 12288, '\P{Is_Gc=		SPACE_SEPARATOR}', "");
Expect(1, 12288, '\P{^Is_Gc=		SPACE_SEPARATOR}', "");
Expect(0, 12289, '\p{Is_Gc=		SPACE_SEPARATOR}', "");
Expect(1, 12289, '\p{^Is_Gc=		SPACE_SEPARATOR}', "");
Expect(1, 12289, '\P{Is_Gc=		SPACE_SEPARATOR}', "");
Expect(0, 12289, '\P{^Is_Gc=		SPACE_SEPARATOR}', "");
Error('\p{Is_Category=-:=Zs}');
Error('\P{Is_Category=-:=Zs}');
Expect(1, 12288, '\p{Is_Category=zs}', "");
Expect(0, 12288, '\p{^Is_Category=zs}', "");
Expect(0, 12288, '\P{Is_Category=zs}', "");
Expect(1, 12288, '\P{^Is_Category=zs}', "");
Expect(0, 12289, '\p{Is_Category=zs}', "");
Expect(1, 12289, '\p{^Is_Category=zs}', "");
Expect(1, 12289, '\P{Is_Category=zs}', "");
Expect(0, 12289, '\P{^Is_Category=zs}', "");
Expect(1, 12288, '\p{Is_Category=	Zs}', "");
Expect(0, 12288, '\p{^Is_Category=	Zs}', "");
Expect(0, 12288, '\P{Is_Category=	Zs}', "");
Expect(1, 12288, '\P{^Is_Category=	Zs}', "");
Expect(0, 12289, '\p{Is_Category=	Zs}', "");
Expect(1, 12289, '\p{^Is_Category=	Zs}', "");
Expect(1, 12289, '\P{Is_Category=	Zs}', "");
Expect(0, 12289, '\P{^Is_Category=	Zs}', "");
Error('\p{Hangul_Syllable_Type:   	leading_Jamo:=}');
Error('\P{Hangul_Syllable_Type:   	leading_Jamo:=}');
Expect(1, 43388, '\p{Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43388, '\p{^Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43388, '\P{Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43388, '\P{^Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43389, '\p{Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43389, '\p{^Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43389, '\P{Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43389, '\P{^Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43388, '\p{Hangul_Syllable_Type=	Leading_jamo}', "");
Expect(0, 43388, '\p{^Hangul_Syllable_Type=	Leading_jamo}', "");
Expect(0, 43388, '\P{Hangul_Syllable_Type=	Leading_jamo}', "");
Expect(1, 43388, '\P{^Hangul_Syllable_Type=	Leading_jamo}', "");
Expect(0, 43389, '\p{Hangul_Syllable_Type=	Leading_jamo}', "");
Expect(1, 43389, '\p{^Hangul_Syllable_Type=	Leading_jamo}', "");
Expect(1, 43389, '\P{Hangul_Syllable_Type=	Leading_jamo}', "");
Expect(0, 43389, '\P{^Hangul_Syllable_Type=	Leading_jamo}', "");
Error('\p{Hst=/a/--L}');
Error('\P{Hst=/a/--L}');
Expect(1, 43388, '\p{Hst=l}', "");
Expect(0, 43388, '\p{^Hst=l}', "");
Expect(0, 43388, '\P{Hst=l}', "");
Expect(1, 43388, '\P{^Hst=l}', "");
Expect(0, 43389, '\p{Hst=l}', "");
Expect(1, 43389, '\p{^Hst=l}', "");
Expect(1, 43389, '\P{Hst=l}', "");
Expect(0, 43389, '\P{^Hst=l}', "");
Expect(1, 43388, '\p{Hst=-L}', "");
Expect(0, 43388, '\p{^Hst=-L}', "");
Expect(0, 43388, '\P{Hst=-L}', "");
Expect(1, 43388, '\P{^Hst=-L}', "");
Expect(0, 43389, '\p{Hst=-L}', "");
Expect(1, 43389, '\p{^Hst=-L}', "");
Expect(1, 43389, '\P{Hst=-L}', "");
Expect(0, 43389, '\P{^Hst=-L}', "");
Error('\p{Is_Hangul_Syllable_Type=_/a/Leading_jamo}');
Error('\P{Is_Hangul_Syllable_Type=_/a/Leading_jamo}');
Expect(1, 43388, '\p{Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43388, '\p{^Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43388, '\P{Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43388, '\P{^Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43389, '\p{Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43389, '\p{^Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43389, '\P{Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43389, '\P{^Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43388, '\p{Is_Hangul_Syllable_Type=  leading_Jamo}', "");
Expect(0, 43388, '\p{^Is_Hangul_Syllable_Type=  leading_Jamo}', "");
Expect(0, 43388, '\P{Is_Hangul_Syllable_Type=  leading_Jamo}', "");
Expect(1, 43388, '\P{^Is_Hangul_Syllable_Type=  leading_Jamo}', "");
Expect(0, 43389, '\p{Is_Hangul_Syllable_Type=  leading_Jamo}', "");
Expect(1, 43389, '\p{^Is_Hangul_Syllable_Type=  leading_Jamo}', "");
Expect(1, 43389, '\P{Is_Hangul_Syllable_Type=  leading_Jamo}', "");
Expect(0, 43389, '\P{^Is_Hangul_Syllable_Type=  leading_Jamo}', "");
Error('\p{Is_Hst=	:=l}');
Error('\P{Is_Hst=	:=l}');
Expect(1, 43388, '\p{Is_Hst:	l}', "");
Expect(0, 43388, '\p{^Is_Hst:	l}', "");
Expect(0, 43388, '\P{Is_Hst:	l}', "");
Expect(1, 43388, '\P{^Is_Hst:	l}', "");
Expect(0, 43389, '\p{Is_Hst:	l}', "");
Expect(1, 43389, '\p{^Is_Hst:	l}', "");
Expect(1, 43389, '\P{Is_Hst:	l}', "");
Expect(0, 43389, '\P{^Is_Hst:	l}', "");
Expect(1, 43388, '\p{Is_Hst= _l}', "");
Expect(0, 43388, '\p{^Is_Hst= _l}', "");
Expect(0, 43388, '\P{Is_Hst= _l}', "");
Expect(1, 43388, '\P{^Is_Hst= _l}', "");
Expect(0, 43389, '\p{Is_Hst= _l}', "");
Expect(1, 43389, '\p{^Is_Hst= _l}', "");
Expect(1, 43389, '\P{Is_Hst= _l}', "");
Expect(0, 43389, '\P{^Is_Hst= _l}', "");
Error('\p{Hangul_Syllable_Type=-_LV_SYLLABLE:=}');
Error('\P{Hangul_Syllable_Type=-_LV_SYLLABLE:=}');
Expect(1, 55176, '\p{Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55176, '\p{^Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55176, '\P{Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55176, '\P{^Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55177, '\p{Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55177, '\p{^Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55177, '\P{Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55177, '\P{^Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55176, '\p{Hangul_Syllable_Type=-	LV_syllable}', "");
Expect(0, 55176, '\p{^Hangul_Syllable_Type=-	LV_syllable}', "");
Expect(0, 55176, '\P{Hangul_Syllable_Type=-	LV_syllable}', "");
Expect(1, 55176, '\P{^Hangul_Syllable_Type=-	LV_syllable}', "");
Expect(0, 55177, '\p{Hangul_Syllable_Type=-	LV_syllable}', "");
Expect(1, 55177, '\p{^Hangul_Syllable_Type=-	LV_syllable}', "");
Expect(1, 55177, '\P{Hangul_Syllable_Type=-	LV_syllable}', "");
Expect(0, 55177, '\P{^Hangul_Syllable_Type=-	LV_syllable}', "");
Error('\p{Hst=/a/_LV}');
Error('\P{Hst=/a/_LV}');
Expect(1, 55176, '\p{Hst=lv}', "");
Expect(0, 55176, '\p{^Hst=lv}', "");
Expect(0, 55176, '\P{Hst=lv}', "");
Expect(1, 55176, '\P{^Hst=lv}', "");
Expect(0, 55177, '\p{Hst=lv}', "");
Expect(1, 55177, '\p{^Hst=lv}', "");
Expect(1, 55177, '\P{Hst=lv}', "");
Expect(0, 55177, '\P{^Hst=lv}', "");
Expect(1, 55176, '\p{Hst= LV}', "");
Expect(0, 55176, '\p{^Hst= LV}', "");
Expect(0, 55176, '\P{Hst= LV}', "");
Expect(1, 55176, '\P{^Hst= LV}', "");
Expect(0, 55177, '\p{Hst= LV}', "");
Expect(1, 55177, '\p{^Hst= LV}', "");
Expect(1, 55177, '\P{Hst= LV}', "");
Expect(0, 55177, '\P{^Hst= LV}', "");
Error('\p{Is_Hangul_Syllable_Type:/a/LV_SYLLABLE}');
Error('\P{Is_Hangul_Syllable_Type:/a/LV_SYLLABLE}');
Expect(1, 55176, '\p{Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55176, '\p{^Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55176, '\P{Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55176, '\P{^Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55177, '\p{Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55177, '\p{^Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55177, '\P{Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55177, '\P{^Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55176, '\p{Is_Hangul_Syllable_Type=_lv_SYLLABLE}', "");
Expect(0, 55176, '\p{^Is_Hangul_Syllable_Type=_lv_SYLLABLE}', "");
Expect(0, 55176, '\P{Is_Hangul_Syllable_Type=_lv_SYLLABLE}', "");
Expect(1, 55176, '\P{^Is_Hangul_Syllable_Type=_lv_SYLLABLE}', "");
Expect(0, 55177, '\p{Is_Hangul_Syllable_Type=_lv_SYLLABLE}', "");
Expect(1, 55177, '\p{^Is_Hangul_Syllable_Type=_lv_SYLLABLE}', "");
Expect(1, 55177, '\P{Is_Hangul_Syllable_Type=_lv_SYLLABLE}', "");
Expect(0, 55177, '\P{^Is_Hangul_Syllable_Type=_lv_SYLLABLE}', "");
Error('\p{Is_Hst=/a/ -LV}');
Error('\P{Is_Hst=/a/ -LV}');
Expect(1, 55176, '\p{Is_Hst=lv}', "");
Expect(0, 55176, '\p{^Is_Hst=lv}', "");
Expect(0, 55176, '\P{Is_Hst=lv}', "");
Expect(1, 55176, '\P{^Is_Hst=lv}', "");
Expect(0, 55177, '\p{Is_Hst=lv}', "");
Expect(1, 55177, '\p{^Is_Hst=lv}', "");
Expect(1, 55177, '\P{Is_Hst=lv}', "");
Expect(0, 55177, '\P{^Is_Hst=lv}', "");
Expect(1, 55176, '\p{Is_Hst=_LV}', "");
Expect(0, 55176, '\p{^Is_Hst=_LV}', "");
Expect(0, 55176, '\P{Is_Hst=_LV}', "");
Expect(1, 55176, '\P{^Is_Hst=_LV}', "");
Expect(0, 55177, '\p{Is_Hst=_LV}', "");
Expect(1, 55177, '\p{^Is_Hst=_LV}', "");
Expect(1, 55177, '\P{Is_Hst=_LV}', "");
Expect(0, 55177, '\P{^Is_Hst=_LV}', "");
Error('\p{Hangul_Syllable_Type=/a/_LVT_Syllable}');
Error('\P{Hangul_Syllable_Type=/a/_LVT_Syllable}');
Expect(1, 55203, '\p{Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55203, '\p{^Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55203, '\P{Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55203, '\P{^Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55204, '\p{Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55204, '\p{^Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55204, '\P{Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55204, '\P{^Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55203, '\p{Hangul_Syllable_Type=-_LVT_Syllable}', "");
Expect(0, 55203, '\p{^Hangul_Syllable_Type=-_LVT_Syllable}', "");
Expect(0, 55203, '\P{Hangul_Syllable_Type=-_LVT_Syllable}', "");
Expect(1, 55203, '\P{^Hangul_Syllable_Type=-_LVT_Syllable}', "");
Expect(0, 55204, '\p{Hangul_Syllable_Type=-_LVT_Syllable}', "");
Expect(1, 55204, '\p{^Hangul_Syllable_Type=-_LVT_Syllable}', "");
Expect(1, 55204, '\P{Hangul_Syllable_Type=-_LVT_Syllable}', "");
Expect(0, 55204, '\P{^Hangul_Syllable_Type=-_LVT_Syllable}', "");
Error('\p{Hst=:=_-lvt}');
Error('\P{Hst=:=_-lvt}');
Expect(1, 55203, '\p{Hst=lvt}', "");
Expect(0, 55203, '\p{^Hst=lvt}', "");
Expect(0, 55203, '\P{Hst=lvt}', "");
Expect(1, 55203, '\P{^Hst=lvt}', "");
Expect(0, 55204, '\p{Hst=lvt}', "");
Expect(1, 55204, '\p{^Hst=lvt}', "");
Expect(1, 55204, '\P{Hst=lvt}', "");
Expect(0, 55204, '\P{^Hst=lvt}', "");
Expect(1, 55203, '\p{Hst= LVT}', "");
Expect(0, 55203, '\p{^Hst= LVT}', "");
Expect(0, 55203, '\P{Hst= LVT}', "");
Expect(1, 55203, '\P{^Hst= LVT}', "");
Expect(0, 55204, '\p{Hst= LVT}', "");
Expect(1, 55204, '\p{^Hst= LVT}', "");
Expect(1, 55204, '\P{Hst= LVT}', "");
Expect(0, 55204, '\P{^Hst= LVT}', "");
Error('\p{Is_Hangul_Syllable_Type=	LVT_SYLLABLE:=}');
Error('\P{Is_Hangul_Syllable_Type=	LVT_SYLLABLE:=}');
Expect(1, 55203, '\p{Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55203, '\p{^Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55203, '\P{Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55203, '\P{^Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55204, '\p{Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55204, '\p{^Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55204, '\P{Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55204, '\P{^Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55203, '\p{Is_Hangul_Syllable_Type=	_LVT_SYLLABLE}', "");
Expect(0, 55203, '\p{^Is_Hangul_Syllable_Type=	_LVT_SYLLABLE}', "");
Expect(0, 55203, '\P{Is_Hangul_Syllable_Type=	_LVT_SYLLABLE}', "");
Expect(1, 55203, '\P{^Is_Hangul_Syllable_Type=	_LVT_SYLLABLE}', "");
Expect(0, 55204, '\p{Is_Hangul_Syllable_Type=	_LVT_SYLLABLE}', "");
Expect(1, 55204, '\p{^Is_Hangul_Syllable_Type=	_LVT_SYLLABLE}', "");
Expect(1, 55204, '\P{Is_Hangul_Syllable_Type=	_LVT_SYLLABLE}', "");
Expect(0, 55204, '\P{^Is_Hangul_Syllable_Type=	_LVT_SYLLABLE}', "");
Error('\p{Is_Hst= _LVT:=}');
Error('\P{Is_Hst= _LVT:=}');
Expect(1, 55203, '\p{Is_Hst:	lvt}', "");
Expect(0, 55203, '\p{^Is_Hst:	lvt}', "");
Expect(0, 55203, '\P{Is_Hst:	lvt}', "");
Expect(1, 55203, '\P{^Is_Hst:	lvt}', "");
Expect(0, 55204, '\p{Is_Hst:	lvt}', "");
Expect(1, 55204, '\p{^Is_Hst:	lvt}', "");
Expect(1, 55204, '\P{Is_Hst:	lvt}', "");
Expect(0, 55204, '\P{^Is_Hst:	lvt}', "");
Expect(1, 55203, '\p{Is_Hst:     LVT}', "");
Expect(0, 55203, '\p{^Is_Hst:     LVT}', "");
Expect(0, 55203, '\P{Is_Hst:     LVT}', "");
Expect(1, 55203, '\P{^Is_Hst:     LVT}', "");
Expect(0, 55204, '\p{Is_Hst:     LVT}', "");
Expect(1, 55204, '\p{^Is_Hst:     LVT}', "");
Expect(1, 55204, '\P{Is_Hst:     LVT}', "");
Expect(0, 55204, '\P{^Is_Hst:     LVT}', "");
Error('\p{Hangul_Syllable_Type=  not_applicable:=}');
Error('\P{Hangul_Syllable_Type=  not_applicable:=}');
Expect(1, 55292, '\p{Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 55292, '\p{^Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 55292, '\P{Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 55292, '\P{^Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 55291, '\p{Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 55291, '\p{^Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 55291, '\P{Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 55291, '\P{^Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 55292, '\p{Hangul_Syllable_Type:	 -Not_APPLICABLE}', "");
Expect(0, 55292, '\p{^Hangul_Syllable_Type:	 -Not_APPLICABLE}', "");
Expect(0, 55292, '\P{Hangul_Syllable_Type:	 -Not_APPLICABLE}', "");
Expect(1, 55292, '\P{^Hangul_Syllable_Type:	 -Not_APPLICABLE}', "");
Expect(0, 55291, '\p{Hangul_Syllable_Type:	 -Not_APPLICABLE}', "");
Expect(1, 55291, '\p{^Hangul_Syllable_Type:	 -Not_APPLICABLE}', "");
Expect(1, 55291, '\P{Hangul_Syllable_Type:	 -Not_APPLICABLE}', "");
Expect(0, 55291, '\P{^Hangul_Syllable_Type:	 -Not_APPLICABLE}', "");
Error('\p{Hst=__na:=}');
Error('\P{Hst=__na:=}');
Expect(1, 55292, '\p{Hst=na}', "");
Expect(0, 55292, '\p{^Hst=na}', "");
Expect(0, 55292, '\P{Hst=na}', "");
Expect(1, 55292, '\P{^Hst=na}', "");
Expect(0, 55291, '\p{Hst=na}', "");
Expect(1, 55291, '\p{^Hst=na}', "");
Expect(1, 55291, '\P{Hst=na}', "");
Expect(0, 55291, '\P{^Hst=na}', "");
Expect(1, 55292, '\p{Hst=-na}', "");
Expect(0, 55292, '\p{^Hst=-na}', "");
Expect(0, 55292, '\P{Hst=-na}', "");
Expect(1, 55292, '\P{^Hst=-na}', "");
Expect(0, 55291, '\p{Hst=-na}', "");
Expect(1, 55291, '\p{^Hst=-na}', "");
Expect(1, 55291, '\P{Hst=-na}', "");
Expect(0, 55291, '\P{^Hst=-na}', "");
Error('\p{Is_Hangul_Syllable_Type=/a/ Not_applicable}');
Error('\P{Is_Hangul_Syllable_Type=/a/ Not_applicable}');
Expect(1, 55292, '\p{Is_Hangul_Syllable_Type:	notapplicable}', "");
Expect(0, 55292, '\p{^Is_Hangul_Syllable_Type:	notapplicable}', "");
Expect(0, 55292, '\P{Is_Hangul_Syllable_Type:	notapplicable}', "");
Expect(1, 55292, '\P{^Is_Hangul_Syllable_Type:	notapplicable}', "");
Expect(0, 55291, '\p{Is_Hangul_Syllable_Type:	notapplicable}', "");
Expect(1, 55291, '\p{^Is_Hangul_Syllable_Type:	notapplicable}', "");
Expect(1, 55291, '\P{Is_Hangul_Syllable_Type:	notapplicable}', "");
Expect(0, 55291, '\P{^Is_Hangul_Syllable_Type:	notapplicable}', "");
Expect(1, 55292, '\p{Is_Hangul_Syllable_Type: _	not_applicable}', "");
Expect(0, 55292, '\p{^Is_Hangul_Syllable_Type: _	not_applicable}', "");
Expect(0, 55292, '\P{Is_Hangul_Syllable_Type: _	not_applicable}', "");
Expect(1, 55292, '\P{^Is_Hangul_Syllable_Type: _	not_applicable}', "");
Expect(0, 55291, '\p{Is_Hangul_Syllable_Type: _	not_applicable}', "");
Expect(1, 55291, '\p{^Is_Hangul_Syllable_Type: _	not_applicable}', "");
Expect(1, 55291, '\P{Is_Hangul_Syllable_Type: _	not_applicable}', "");
Expect(0, 55291, '\P{^Is_Hangul_Syllable_Type: _	not_applicable}', "");
Error('\p{Is_Hst=/a/__NA}');
Error('\P{Is_Hst=/a/__NA}');
Expect(1, 55292, '\p{Is_Hst=na}', "");
Expect(0, 55292, '\p{^Is_Hst=na}', "");
Expect(0, 55292, '\P{Is_Hst=na}', "");
Expect(1, 55292, '\P{^Is_Hst=na}', "");
Expect(0, 55291, '\p{Is_Hst=na}', "");
Expect(1, 55291, '\p{^Is_Hst=na}', "");
Expect(1, 55291, '\P{Is_Hst=na}', "");
Expect(0, 55291, '\P{^Is_Hst=na}', "");
Expect(1, 55292, '\p{Is_Hst=_NA}', "");
Expect(0, 55292, '\p{^Is_Hst=_NA}', "");
Expect(0, 55292, '\P{Is_Hst=_NA}', "");
Expect(1, 55292, '\P{^Is_Hst=_NA}', "");
Expect(0, 55291, '\p{Is_Hst=_NA}', "");
Expect(1, 55291, '\p{^Is_Hst=_NA}', "");
Expect(1, 55291, '\P{Is_Hst=_NA}', "");
Expect(0, 55291, '\P{^Is_Hst=_NA}', "");
Error('\p{Hangul_Syllable_Type=	trailing_Jamo:=}');
Error('\P{Hangul_Syllable_Type=	trailing_Jamo:=}');
Expect(1, 55291, '\p{Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 55291, '\p{^Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 55291, '\P{Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 55291, '\P{^Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 55292, '\p{Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 55292, '\p{^Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 55292, '\P{Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 55292, '\P{^Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 55291, '\p{Hangul_Syllable_Type=_TRAILING_jamo}', "");
Expect(0, 55291, '\p{^Hangul_Syllable_Type=_TRAILING_jamo}', "");
Expect(0, 55291, '\P{Hangul_Syllable_Type=_TRAILING_jamo}', "");
Expect(1, 55291, '\P{^Hangul_Syllable_Type=_TRAILING_jamo}', "");
Expect(0, 55292, '\p{Hangul_Syllable_Type=_TRAILING_jamo}', "");
Expect(1, 55292, '\p{^Hangul_Syllable_Type=_TRAILING_jamo}', "");
Expect(1, 55292, '\P{Hangul_Syllable_Type=_TRAILING_jamo}', "");
Expect(0, 55292, '\P{^Hangul_Syllable_Type=_TRAILING_jamo}', "");
Error('\p{Hst=-	t:=}');
Error('\P{Hst=-	t:=}');
Expect(1, 55291, '\p{Hst=t}', "");
Expect(0, 55291, '\p{^Hst=t}', "");
Expect(0, 55291, '\P{Hst=t}', "");
Expect(1, 55291, '\P{^Hst=t}', "");
Expect(0, 55292, '\p{Hst=t}', "");
Expect(1, 55292, '\p{^Hst=t}', "");
Expect(1, 55292, '\P{Hst=t}', "");
Expect(0, 55292, '\P{^Hst=t}', "");
Expect(1, 55291, '\p{Hst= T}', "");
Expect(0, 55291, '\p{^Hst= T}', "");
Expect(0, 55291, '\P{Hst= T}', "");
Expect(1, 55291, '\P{^Hst= T}', "");
Expect(0, 55292, '\p{Hst= T}', "");
Expect(1, 55292, '\p{^Hst= T}', "");
Expect(1, 55292, '\P{Hst= T}', "");
Expect(0, 55292, '\P{^Hst= T}', "");
Error('\p{Is_Hangul_Syllable_Type=/a/ _Trailing_jamo}');
Error('\P{Is_Hangul_Syllable_Type=/a/ _Trailing_jamo}');
Expect(1, 55291, '\p{Is_Hangul_Syllable_Type: trailingjamo}', "");
Expect(0, 55291, '\p{^Is_Hangul_Syllable_Type: trailingjamo}', "");
Expect(0, 55291, '\P{Is_Hangul_Syllable_Type: trailingjamo}', "");
Expect(1, 55291, '\P{^Is_Hangul_Syllable_Type: trailingjamo}', "");
Expect(0, 55292, '\p{Is_Hangul_Syllable_Type: trailingjamo}', "");
Expect(1, 55292, '\p{^Is_Hangul_Syllable_Type: trailingjamo}', "");
Expect(1, 55292, '\P{Is_Hangul_Syllable_Type: trailingjamo}', "");
Expect(0, 55292, '\P{^Is_Hangul_Syllable_Type: trailingjamo}', "");
Expect(1, 55291, '\p{Is_Hangul_Syllable_Type=trailing_JAMO}', "");
Expect(0, 55291, '\p{^Is_Hangul_Syllable_Type=trailing_JAMO}', "");
Expect(0, 55291, '\P{Is_Hangul_Syllable_Type=trailing_JAMO}', "");
Expect(1, 55291, '\P{^Is_Hangul_Syllable_Type=trailing_JAMO}', "");
Expect(0, 55292, '\p{Is_Hangul_Syllable_Type=trailing_JAMO}', "");
Expect(1, 55292, '\p{^Is_Hangul_Syllable_Type=trailing_JAMO}', "");
Expect(1, 55292, '\P{Is_Hangul_Syllable_Type=trailing_JAMO}', "");
Expect(0, 55292, '\P{^Is_Hangul_Syllable_Type=trailing_JAMO}', "");
Error('\p{Is_Hst:-/a/T}');
Error('\P{Is_Hst:-/a/T}');
Expect(1, 55291, '\p{Is_Hst=t}', "");
Expect(0, 55291, '\p{^Is_Hst=t}', "");
Expect(0, 55291, '\P{Is_Hst=t}', "");
Expect(1, 55291, '\P{^Is_Hst=t}', "");
Expect(0, 55292, '\p{Is_Hst=t}', "");
Expect(1, 55292, '\p{^Is_Hst=t}', "");
Expect(1, 55292, '\P{Is_Hst=t}', "");
Expect(0, 55292, '\P{^Is_Hst=t}', "");
Expect(1, 55291, '\p{Is_Hst=_ t}', "");
Expect(0, 55291, '\p{^Is_Hst=_ t}', "");
Expect(0, 55291, '\P{Is_Hst=_ t}', "");
Expect(1, 55291, '\P{^Is_Hst=_ t}', "");
Expect(0, 55292, '\p{Is_Hst=_ t}', "");
Expect(1, 55292, '\p{^Is_Hst=_ t}', "");
Expect(1, 55292, '\P{Is_Hst=_ t}', "");
Expect(0, 55292, '\P{^Is_Hst=_ t}', "");
Error('\p{Hangul_Syllable_Type=	VOWEL_JAMO/a/}');
Error('\P{Hangul_Syllable_Type=	VOWEL_JAMO/a/}');
Expect(1, 55238, '\p{Hangul_Syllable_Type: voweljamo}', "");
Expect(0, 55238, '\p{^Hangul_Syllable_Type: voweljamo}', "");
Expect(0, 55238, '\P{Hangul_Syllable_Type: voweljamo}', "");
Expect(1, 55238, '\P{^Hangul_Syllable_Type: voweljamo}', "");
Expect(0, 55239, '\p{Hangul_Syllable_Type: voweljamo}', "");
Expect(1, 55239, '\p{^Hangul_Syllable_Type: voweljamo}', "");
Expect(1, 55239, '\P{Hangul_Syllable_Type: voweljamo}', "");
Expect(0, 55239, '\P{^Hangul_Syllable_Type: voweljamo}', "");
Expect(1, 55238, '\p{Hangul_Syllable_Type=--VOWEL_Jamo}', "");
Expect(0, 55238, '\p{^Hangul_Syllable_Type=--VOWEL_Jamo}', "");
Expect(0, 55238, '\P{Hangul_Syllable_Type=--VOWEL_Jamo}', "");
Expect(1, 55238, '\P{^Hangul_Syllable_Type=--VOWEL_Jamo}', "");
Expect(0, 55239, '\p{Hangul_Syllable_Type=--VOWEL_Jamo}', "");
Expect(1, 55239, '\p{^Hangul_Syllable_Type=--VOWEL_Jamo}', "");
Expect(1, 55239, '\P{Hangul_Syllable_Type=--VOWEL_Jamo}', "");
Expect(0, 55239, '\P{^Hangul_Syllable_Type=--VOWEL_Jamo}', "");
Error('\p{Hst=- v:=}');
Error('\P{Hst=- v:=}');
Expect(1, 55238, '\p{Hst=v}', "");
Expect(0, 55238, '\p{^Hst=v}', "");
Expect(0, 55238, '\P{Hst=v}', "");
Expect(1, 55238, '\P{^Hst=v}', "");
Expect(0, 55239, '\p{Hst=v}', "");
Expect(1, 55239, '\p{^Hst=v}', "");
Expect(1, 55239, '\P{Hst=v}', "");
Expect(0, 55239, '\P{^Hst=v}', "");
Expect(1, 55238, '\p{Hst=_	V}', "");
Expect(0, 55238, '\p{^Hst=_	V}', "");
Expect(0, 55238, '\P{Hst=_	V}', "");
Expect(1, 55238, '\P{^Hst=_	V}', "");
Expect(0, 55239, '\p{Hst=_	V}', "");
Expect(1, 55239, '\p{^Hst=_	V}', "");
Expect(1, 55239, '\P{Hst=_	V}', "");
Expect(0, 55239, '\P{^Hst=_	V}', "");
Error('\p{Is_Hangul_Syllable_Type=:=Vowel_JAMO}');
Error('\P{Is_Hangul_Syllable_Type=:=Vowel_JAMO}');
Expect(1, 55238, '\p{Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 55238, '\p{^Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 55238, '\P{Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 55238, '\P{^Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 55239, '\p{Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 55239, '\p{^Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 55239, '\P{Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 55239, '\P{^Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 55238, '\p{Is_Hangul_Syllable_Type=_Vowel_jamo}', "");
Expect(0, 55238, '\p{^Is_Hangul_Syllable_Type=_Vowel_jamo}', "");
Expect(0, 55238, '\P{Is_Hangul_Syllable_Type=_Vowel_jamo}', "");
Expect(1, 55238, '\P{^Is_Hangul_Syllable_Type=_Vowel_jamo}', "");
Expect(0, 55239, '\p{Is_Hangul_Syllable_Type=_Vowel_jamo}', "");
Expect(1, 55239, '\p{^Is_Hangul_Syllable_Type=_Vowel_jamo}', "");
Expect(1, 55239, '\P{Is_Hangul_Syllable_Type=_Vowel_jamo}', "");
Expect(0, 55239, '\P{^Is_Hangul_Syllable_Type=_Vowel_jamo}', "");
Error('\p{Is_Hst=:=-V}');
Error('\P{Is_Hst=:=-V}');
Expect(1, 55238, '\p{Is_Hst=v}', "");
Expect(0, 55238, '\p{^Is_Hst=v}', "");
Expect(0, 55238, '\P{Is_Hst=v}', "");
Expect(1, 55238, '\P{^Is_Hst=v}', "");
Expect(0, 55239, '\p{Is_Hst=v}', "");
Expect(1, 55239, '\p{^Is_Hst=v}', "");
Expect(1, 55239, '\P{Is_Hst=v}', "");
Expect(0, 55239, '\P{^Is_Hst=v}', "");
Expect(1, 55238, '\p{Is_Hst=__V}', "");
Expect(0, 55238, '\p{^Is_Hst=__V}', "");
Expect(0, 55238, '\P{Is_Hst=__V}', "");
Expect(1, 55238, '\P{^Is_Hst=__V}', "");
Expect(0, 55239, '\p{Is_Hst=__V}', "");
Expect(1, 55239, '\p{^Is_Hst=__V}', "");
Expect(1, 55239, '\P{Is_Hst=__V}', "");
Expect(0, 55239, '\P{^Is_Hst=__V}', "");
Error('\p{Joining_Group=:=Ain}');
Error('\P{Joining_Group=:=Ain}');
Expect(1, 1887, '\p{Joining_Group=ain}', "");
Expect(0, 1887, '\p{^Joining_Group=ain}', "");
Expect(0, 1887, '\P{Joining_Group=ain}', "");
Expect(1, 1887, '\P{^Joining_Group=ain}', "");
Expect(0, 1888, '\p{Joining_Group=ain}', "");
Expect(1, 1888, '\p{^Joining_Group=ain}', "");
Expect(1, 1888, '\P{Joining_Group=ain}', "");
Expect(0, 1888, '\P{^Joining_Group=ain}', "");
Expect(1, 1887, '\p{Joining_Group=_AIN}', "");
Expect(0, 1887, '\p{^Joining_Group=_AIN}', "");
Expect(0, 1887, '\P{Joining_Group=_AIN}', "");
Expect(1, 1887, '\P{^Joining_Group=_AIN}', "");
Expect(0, 1888, '\p{Joining_Group=_AIN}', "");
Expect(1, 1888, '\p{^Joining_Group=_AIN}', "");
Expect(1, 1888, '\P{Joining_Group=_AIN}', "");
Expect(0, 1888, '\P{^Joining_Group=_AIN}', "");
Error('\p{Jg= 	ain/a/}');
Error('\P{Jg= 	ain/a/}');
Expect(1, 1887, '\p{Jg=ain}', "");
Expect(0, 1887, '\p{^Jg=ain}', "");
Expect(0, 1887, '\P{Jg=ain}', "");
Expect(1, 1887, '\P{^Jg=ain}', "");
Expect(0, 1888, '\p{Jg=ain}', "");
Expect(1, 1888, '\p{^Jg=ain}', "");
Expect(1, 1888, '\P{Jg=ain}', "");
Expect(0, 1888, '\P{^Jg=ain}', "");
Expect(1, 1887, '\p{Jg=- AIN}', "");
Expect(0, 1887, '\p{^Jg=- AIN}', "");
Expect(0, 1887, '\P{Jg=- AIN}', "");
Expect(1, 1887, '\P{^Jg=- AIN}', "");
Expect(0, 1888, '\p{Jg=- AIN}', "");
Expect(1, 1888, '\p{^Jg=- AIN}', "");
Expect(1, 1888, '\P{Jg=- AIN}', "");
Expect(0, 1888, '\P{^Jg=- AIN}', "");
Error('\p{Is_Joining_Group=-	Ain:=}');
Error('\P{Is_Joining_Group=-	Ain:=}');
Expect(1, 1887, '\p{Is_Joining_Group=ain}', "");
Expect(0, 1887, '\p{^Is_Joining_Group=ain}', "");
Expect(0, 1887, '\P{Is_Joining_Group=ain}', "");
Expect(1, 1887, '\P{^Is_Joining_Group=ain}', "");
Expect(0, 1888, '\p{Is_Joining_Group=ain}', "");
Expect(1, 1888, '\p{^Is_Joining_Group=ain}', "");
Expect(1, 1888, '\P{Is_Joining_Group=ain}', "");
Expect(0, 1888, '\P{^Is_Joining_Group=ain}', "");
Expect(1, 1887, '\p{Is_Joining_Group=	-AIN}', "");
Expect(0, 1887, '\p{^Is_Joining_Group=	-AIN}', "");
Expect(0, 1887, '\P{Is_Joining_Group=	-AIN}', "");
Expect(1, 1887, '\P{^Is_Joining_Group=	-AIN}', "");
Expect(0, 1888, '\p{Is_Joining_Group=	-AIN}', "");
Expect(1, 1888, '\p{^Is_Joining_Group=	-AIN}', "");
Expect(1, 1888, '\P{Is_Joining_Group=	-AIN}', "");
Expect(0, 1888, '\P{^Is_Joining_Group=	-AIN}', "");
Error('\p{Is_Jg=:=_Ain}');
Error('\P{Is_Jg=:=_Ain}');
Expect(1, 1887, '\p{Is_Jg=ain}', "");
Expect(0, 1887, '\p{^Is_Jg=ain}', "");
Expect(0, 1887, '\P{Is_Jg=ain}', "");
Expect(1, 1887, '\P{^Is_Jg=ain}', "");
Expect(0, 1888, '\p{Is_Jg=ain}', "");
Expect(1, 1888, '\p{^Is_Jg=ain}', "");
Expect(1, 1888, '\P{Is_Jg=ain}', "");
Expect(0, 1888, '\P{^Is_Jg=ain}', "");
Expect(1, 1887, '\p{Is_Jg=	AIN}', "");
Expect(0, 1887, '\p{^Is_Jg=	AIN}', "");
Expect(0, 1887, '\P{Is_Jg=	AIN}', "");
Expect(1, 1887, '\P{^Is_Jg=	AIN}', "");
Expect(0, 1888, '\p{Is_Jg=	AIN}', "");
Expect(1, 1888, '\p{^Is_Jg=	AIN}', "");
Expect(1, 1888, '\P{Is_Jg=	AIN}', "");
Expect(0, 1888, '\P{^Is_Jg=	AIN}', "");
Error('\p{Joining_Group=-_ALAPH:=}');
Error('\P{Joining_Group=-_ALAPH:=}');
Expect(1, 1808, '\p{Joining_Group=alaph}', "");
Expect(0, 1808, '\p{^Joining_Group=alaph}', "");
Expect(0, 1808, '\P{Joining_Group=alaph}', "");
Expect(1, 1808, '\P{^Joining_Group=alaph}', "");
Expect(0, 1809, '\p{Joining_Group=alaph}', "");
Expect(1, 1809, '\p{^Joining_Group=alaph}', "");
Expect(1, 1809, '\P{Joining_Group=alaph}', "");
Expect(0, 1809, '\P{^Joining_Group=alaph}', "");
Expect(1, 1808, '\p{Joining_Group=- ALAPH}', "");
Expect(0, 1808, '\p{^Joining_Group=- ALAPH}', "");
Expect(0, 1808, '\P{Joining_Group=- ALAPH}', "");
Expect(1, 1808, '\P{^Joining_Group=- ALAPH}', "");
Expect(0, 1809, '\p{Joining_Group=- ALAPH}', "");
Expect(1, 1809, '\p{^Joining_Group=- ALAPH}', "");
Expect(1, 1809, '\P{Joining_Group=- ALAPH}', "");
Expect(0, 1809, '\P{^Joining_Group=- ALAPH}', "");
Error('\p{Jg=	/a/alaph}');
Error('\P{Jg=	/a/alaph}');
Expect(1, 1808, '\p{Jg=alaph}', "");
Expect(0, 1808, '\p{^Jg=alaph}', "");
Expect(0, 1808, '\P{Jg=alaph}', "");
Expect(1, 1808, '\P{^Jg=alaph}', "");
Expect(0, 1809, '\p{Jg=alaph}', "");
Expect(1, 1809, '\p{^Jg=alaph}', "");
Expect(1, 1809, '\P{Jg=alaph}', "");
Expect(0, 1809, '\P{^Jg=alaph}', "");
Expect(1, 1808, '\p{Jg=-alaph}', "");
Expect(0, 1808, '\p{^Jg=-alaph}', "");
Expect(0, 1808, '\P{Jg=-alaph}', "");
Expect(1, 1808, '\P{^Jg=-alaph}', "");
Expect(0, 1809, '\p{Jg=-alaph}', "");
Expect(1, 1809, '\p{^Jg=-alaph}', "");
Expect(1, 1809, '\P{Jg=-alaph}', "");
Expect(0, 1809, '\P{^Jg=-alaph}', "");
Error('\p{Is_Joining_Group=--alaph:=}');
Error('\P{Is_Joining_Group=--alaph:=}');
Expect(1, 1808, '\p{Is_Joining_Group=alaph}', "");
Expect(0, 1808, '\p{^Is_Joining_Group=alaph}', "");
Expect(0, 1808, '\P{Is_Joining_Group=alaph}', "");
Expect(1, 1808, '\P{^Is_Joining_Group=alaph}', "");
Expect(0, 1809, '\p{Is_Joining_Group=alaph}', "");
Expect(1, 1809, '\p{^Is_Joining_Group=alaph}', "");
Expect(1, 1809, '\P{Is_Joining_Group=alaph}', "");
Expect(0, 1809, '\P{^Is_Joining_Group=alaph}', "");
Expect(1, 1808, '\p{Is_Joining_Group:   _-Alaph}', "");
Expect(0, 1808, '\p{^Is_Joining_Group:   _-Alaph}', "");
Expect(0, 1808, '\P{Is_Joining_Group:   _-Alaph}', "");
Expect(1, 1808, '\P{^Is_Joining_Group:   _-Alaph}', "");
Expect(0, 1809, '\p{Is_Joining_Group:   _-Alaph}', "");
Expect(1, 1809, '\p{^Is_Joining_Group:   _-Alaph}', "");
Expect(1, 1809, '\P{Is_Joining_Group:   _-Alaph}', "");
Expect(0, 1809, '\P{^Is_Joining_Group:   _-Alaph}', "");
Error('\p{Is_Jg=	Alaph:=}');
Error('\P{Is_Jg=	Alaph:=}');
Expect(1, 1808, '\p{Is_Jg=alaph}', "");
Expect(0, 1808, '\p{^Is_Jg=alaph}', "");
Expect(0, 1808, '\P{Is_Jg=alaph}', "");
Expect(1, 1808, '\P{^Is_Jg=alaph}', "");
Expect(0, 1809, '\p{Is_Jg=alaph}', "");
Expect(1, 1809, '\p{^Is_Jg=alaph}', "");
Expect(1, 1809, '\P{Is_Jg=alaph}', "");
Expect(0, 1809, '\P{^Is_Jg=alaph}', "");
Expect(1, 1808, '\p{Is_Jg=		Alaph}', "");
Expect(0, 1808, '\p{^Is_Jg=		Alaph}', "");
Expect(0, 1808, '\P{Is_Jg=		Alaph}', "");
Expect(1, 1808, '\P{^Is_Jg=		Alaph}', "");
Expect(0, 1809, '\p{Is_Jg=		Alaph}', "");
Expect(1, 1809, '\p{^Is_Jg=		Alaph}', "");
Expect(1, 1809, '\P{Is_Jg=		Alaph}', "");
Expect(0, 1809, '\P{^Is_Jg=		Alaph}', "");
Error('\p{Joining_Group=:=	 alef}');
Error('\P{Joining_Group=:=	 alef}');
Expect(1, 1908, '\p{Joining_Group=alef}', "");
Expect(0, 1908, '\p{^Joining_Group=alef}', "");
Expect(0, 1908, '\P{Joining_Group=alef}', "");
Expect(1, 1908, '\P{^Joining_Group=alef}', "");
Expect(0, 1909, '\p{Joining_Group=alef}', "");
Expect(1, 1909, '\p{^Joining_Group=alef}', "");
Expect(1, 1909, '\P{Joining_Group=alef}', "");
Expect(0, 1909, '\P{^Joining_Group=alef}', "");
Expect(1, 1908, '\p{Joining_Group:_Alef}', "");
Expect(0, 1908, '\p{^Joining_Group:_Alef}', "");
Expect(0, 1908, '\P{Joining_Group:_Alef}', "");
Expect(1, 1908, '\P{^Joining_Group:_Alef}', "");
Expect(0, 1909, '\p{Joining_Group:_Alef}', "");
Expect(1, 1909, '\p{^Joining_Group:_Alef}', "");
Expect(1, 1909, '\P{Joining_Group:_Alef}', "");
Expect(0, 1909, '\P{^Joining_Group:_Alef}', "");
Error('\p{Jg=/a/-ALEF}');
Error('\P{Jg=/a/-ALEF}');
Expect(1, 1908, '\p{Jg=alef}', "");
Expect(0, 1908, '\p{^Jg=alef}', "");
Expect(0, 1908, '\P{Jg=alef}', "");
Expect(1, 1908, '\P{^Jg=alef}', "");
Expect(0, 1909, '\p{Jg=alef}', "");
Expect(1, 1909, '\p{^Jg=alef}', "");
Expect(1, 1909, '\P{Jg=alef}', "");
Expect(0, 1909, '\P{^Jg=alef}', "");
Expect(1, 1908, '\p{Jg=_-alef}', "");
Expect(0, 1908, '\p{^Jg=_-alef}', "");
Expect(0, 1908, '\P{Jg=_-alef}', "");
Expect(1, 1908, '\P{^Jg=_-alef}', "");
Expect(0, 1909, '\p{Jg=_-alef}', "");
Expect(1, 1909, '\p{^Jg=_-alef}', "");
Expect(1, 1909, '\P{Jg=_-alef}', "");
Expect(0, 1909, '\P{^Jg=_-alef}', "");
Error('\p{Is_Joining_Group=-:=ALEF}');
Error('\P{Is_Joining_Group=-:=ALEF}');
Expect(1, 1908, '\p{Is_Joining_Group:alef}', "");
Expect(0, 1908, '\p{^Is_Joining_Group:alef}', "");
Expect(0, 1908, '\P{Is_Joining_Group:alef}', "");
Expect(1, 1908, '\P{^Is_Joining_Group:alef}', "");
Expect(0, 1909, '\p{Is_Joining_Group:alef}', "");
Expect(1, 1909, '\p{^Is_Joining_Group:alef}', "");
Expect(1, 1909, '\P{Is_Joining_Group:alef}', "");
Expect(0, 1909, '\P{^Is_Joining_Group:alef}', "");
Expect(1, 1908, '\p{Is_Joining_Group:   -Alef}', "");
Expect(0, 1908, '\p{^Is_Joining_Group:   -Alef}', "");
Expect(0, 1908, '\P{Is_Joining_Group:   -Alef}', "");
Expect(1, 1908, '\P{^Is_Joining_Group:   -Alef}', "");
Expect(0, 1909, '\p{Is_Joining_Group:   -Alef}', "");
Expect(1, 1909, '\p{^Is_Joining_Group:   -Alef}', "");
Expect(1, 1909, '\P{Is_Joining_Group:   -Alef}', "");
Expect(0, 1909, '\P{^Is_Joining_Group:   -Alef}', "");
Error('\p{Is_Jg=-Alef/a/}');
Error('\P{Is_Jg=-Alef/a/}');
Expect(1, 1908, '\p{Is_Jg=alef}', "");
Expect(0, 1908, '\p{^Is_Jg=alef}', "");
Expect(0, 1908, '\P{Is_Jg=alef}', "");
Expect(1, 1908, '\P{^Is_Jg=alef}', "");
Expect(0, 1909, '\p{Is_Jg=alef}', "");
Expect(1, 1909, '\p{^Is_Jg=alef}', "");
Expect(1, 1909, '\P{Is_Jg=alef}', "");
Expect(0, 1909, '\P{^Is_Jg=alef}', "");
Expect(1, 1908, '\p{Is_Jg=	Alef}', "");
Expect(0, 1908, '\p{^Is_Jg=	Alef}', "");
Expect(0, 1908, '\P{Is_Jg=	Alef}', "");
Expect(1, 1908, '\P{^Is_Jg=	Alef}', "");
Expect(0, 1909, '\p{Is_Jg=	Alef}', "");
Expect(1, 1909, '\p{^Is_Jg=	Alef}', "");
Expect(1, 1909, '\P{Is_Jg=	Alef}', "");
Expect(0, 1909, '\P{^Is_Jg=	Alef}', "");
Error('\p{Joining_Group=/a/ _BEH}');
Error('\P{Joining_Group=/a/ _BEH}');
Expect(1, 2209, '\p{Joining_Group=beh}', "");
Expect(0, 2209, '\p{^Joining_Group=beh}', "");
Expect(0, 2209, '\P{Joining_Group=beh}', "");
Expect(1, 2209, '\P{^Joining_Group=beh}', "");
Expect(0, 2210, '\p{Joining_Group=beh}', "");
Expect(1, 2210, '\p{^Joining_Group=beh}', "");
Expect(1, 2210, '\P{Joining_Group=beh}', "");
Expect(0, 2210, '\P{^Joining_Group=beh}', "");
Expect(1, 2209, '\p{Joining_Group=	 BEH}', "");
Expect(0, 2209, '\p{^Joining_Group=	 BEH}', "");
Expect(0, 2209, '\P{Joining_Group=	 BEH}', "");
Expect(1, 2209, '\P{^Joining_Group=	 BEH}', "");
Expect(0, 2210, '\p{Joining_Group=	 BEH}', "");
Expect(1, 2210, '\p{^Joining_Group=	 BEH}', "");
Expect(1, 2210, '\P{Joining_Group=	 BEH}', "");
Expect(0, 2210, '\P{^Joining_Group=	 BEH}', "");
Error('\p{Jg=	:=BEH}');
Error('\P{Jg=	:=BEH}');
Expect(1, 2209, '\p{Jg=beh}', "");
Expect(0, 2209, '\p{^Jg=beh}', "");
Expect(0, 2209, '\P{Jg=beh}', "");
Expect(1, 2209, '\P{^Jg=beh}', "");
Expect(0, 2210, '\p{Jg=beh}', "");
Expect(1, 2210, '\p{^Jg=beh}', "");
Expect(1, 2210, '\P{Jg=beh}', "");
Expect(0, 2210, '\P{^Jg=beh}', "");
Expect(1, 2209, '\p{Jg= _beh}', "");
Expect(0, 2209, '\p{^Jg= _beh}', "");
Expect(0, 2209, '\P{Jg= _beh}', "");
Expect(1, 2209, '\P{^Jg= _beh}', "");
Expect(0, 2210, '\p{Jg= _beh}', "");
Expect(1, 2210, '\p{^Jg= _beh}', "");
Expect(1, 2210, '\P{Jg= _beh}', "");
Expect(0, 2210, '\P{^Jg= _beh}', "");
Error('\p{Is_Joining_Group=:= beh}');
Error('\P{Is_Joining_Group=:= beh}');
Expect(1, 2209, '\p{Is_Joining_Group: beh}', "");
Expect(0, 2209, '\p{^Is_Joining_Group: beh}', "");
Expect(0, 2209, '\P{Is_Joining_Group: beh}', "");
Expect(1, 2209, '\P{^Is_Joining_Group: beh}', "");
Expect(0, 2210, '\p{Is_Joining_Group: beh}', "");
Expect(1, 2210, '\p{^Is_Joining_Group: beh}', "");
Expect(1, 2210, '\P{Is_Joining_Group: beh}', "");
Expect(0, 2210, '\P{^Is_Joining_Group: beh}', "");
Expect(1, 2209, '\p{Is_Joining_Group=-Beh}', "");
Expect(0, 2209, '\p{^Is_Joining_Group=-Beh}', "");
Expect(0, 2209, '\P{Is_Joining_Group=-Beh}', "");
Expect(1, 2209, '\P{^Is_Joining_Group=-Beh}', "");
Expect(0, 2210, '\p{Is_Joining_Group=-Beh}', "");
Expect(1, 2210, '\p{^Is_Joining_Group=-Beh}', "");
Expect(1, 2210, '\P{Is_Joining_Group=-Beh}', "");
Expect(0, 2210, '\P{^Is_Joining_Group=-Beh}', "");
Error('\p{Is_Jg=/a/ 	Beh}');
Error('\P{Is_Jg=/a/ 	Beh}');
Expect(1, 2209, '\p{Is_Jg=beh}', "");
Expect(0, 2209, '\p{^Is_Jg=beh}', "");
Expect(0, 2209, '\P{Is_Jg=beh}', "");
Expect(1, 2209, '\P{^Is_Jg=beh}', "");
Expect(0, 2210, '\p{Is_Jg=beh}', "");
Expect(1, 2210, '\p{^Is_Jg=beh}', "");
Expect(1, 2210, '\P{Is_Jg=beh}', "");
Expect(0, 2210, '\P{^Is_Jg=beh}', "");
Expect(1, 2209, '\p{Is_Jg:   _Beh}', "");
Expect(0, 2209, '\p{^Is_Jg:   _Beh}', "");
Expect(0, 2209, '\P{Is_Jg:   _Beh}', "");
Expect(1, 2209, '\P{^Is_Jg:   _Beh}', "");
Expect(0, 2210, '\p{Is_Jg:   _Beh}', "");
Expect(1, 2210, '\p{^Is_Jg:   _Beh}', "");
Expect(1, 2210, '\P{Is_Jg:   _Beh}', "");
Expect(0, 2210, '\P{^Is_Jg:   _Beh}', "");
Error('\p{Joining_Group=-:=beth}');
Error('\P{Joining_Group=-:=beth}');
Expect(1, 1837, '\p{Joining_Group:beth}', "");
Expect(0, 1837, '\p{^Joining_Group:beth}', "");
Expect(0, 1837, '\P{Joining_Group:beth}', "");
Expect(1, 1837, '\P{^Joining_Group:beth}', "");
Expect(0, 1838, '\p{Joining_Group:beth}', "");
Expect(1, 1838, '\p{^Joining_Group:beth}', "");
Expect(1, 1838, '\P{Joining_Group:beth}', "");
Expect(0, 1838, '\P{^Joining_Group:beth}', "");
Expect(1, 1837, '\p{Joining_Group= Beth}', "");
Expect(0, 1837, '\p{^Joining_Group= Beth}', "");
Expect(0, 1837, '\P{Joining_Group= Beth}', "");
Expect(1, 1837, '\P{^Joining_Group= Beth}', "");
Expect(0, 1838, '\p{Joining_Group= Beth}', "");
Expect(1, 1838, '\p{^Joining_Group= Beth}', "");
Expect(1, 1838, '\P{Joining_Group= Beth}', "");
Expect(0, 1838, '\P{^Joining_Group= Beth}', "");
Error('\p{Jg=/a/  beth}');
Error('\P{Jg=/a/  beth}');
Expect(1, 1837, '\p{Jg:beth}', "");
Expect(0, 1837, '\p{^Jg:beth}', "");
Expect(0, 1837, '\P{Jg:beth}', "");
Expect(1, 1837, '\P{^Jg:beth}', "");
Expect(0, 1838, '\p{Jg:beth}', "");
Expect(1, 1838, '\p{^Jg:beth}', "");
Expect(1, 1838, '\P{Jg:beth}', "");
Expect(0, 1838, '\P{^Jg:beth}', "");
Expect(1, 1837, '\p{Jg=	_Beth}', "");
Expect(0, 1837, '\p{^Jg=	_Beth}', "");
Expect(0, 1837, '\P{Jg=	_Beth}', "");
Expect(1, 1837, '\P{^Jg=	_Beth}', "");
Expect(0, 1838, '\p{Jg=	_Beth}', "");
Expect(1, 1838, '\p{^Jg=	_Beth}', "");
Expect(1, 1838, '\P{Jg=	_Beth}', "");
Expect(0, 1838, '\P{^Jg=	_Beth}', "");
Error('\p{Is_Joining_Group=_/a/BETH}');
Error('\P{Is_Joining_Group=_/a/BETH}');
Expect(1, 1837, '\p{Is_Joining_Group=beth}', "");
Expect(0, 1837, '\p{^Is_Joining_Group=beth}', "");
Expect(0, 1837, '\P{Is_Joining_Group=beth}', "");
Expect(1, 1837, '\P{^Is_Joining_Group=beth}', "");
Expect(0, 1838, '\p{Is_Joining_Group=beth}', "");
Expect(1, 1838, '\p{^Is_Joining_Group=beth}', "");
Expect(1, 1838, '\P{Is_Joining_Group=beth}', "");
Expect(0, 1838, '\P{^Is_Joining_Group=beth}', "");
Expect(1, 1837, '\p{Is_Joining_Group=-_beth}', "");
Expect(0, 1837, '\p{^Is_Joining_Group=-_beth}', "");
Expect(0, 1837, '\P{Is_Joining_Group=-_beth}', "");
Expect(1, 1837, '\P{^Is_Joining_Group=-_beth}', "");
Expect(0, 1838, '\p{Is_Joining_Group=-_beth}', "");
Expect(1, 1838, '\p{^Is_Joining_Group=-_beth}', "");
Expect(1, 1838, '\P{Is_Joining_Group=-_beth}', "");
Expect(0, 1838, '\P{^Is_Joining_Group=-_beth}', "");
Error('\p{Is_Jg=-/a/Beth}');
Error('\P{Is_Jg=-/a/Beth}');
Expect(1, 1837, '\p{Is_Jg=beth}', "");
Expect(0, 1837, '\p{^Is_Jg=beth}', "");
Expect(0, 1837, '\P{Is_Jg=beth}', "");
Expect(1, 1837, '\P{^Is_Jg=beth}', "");
Expect(0, 1838, '\p{Is_Jg=beth}', "");
Expect(1, 1838, '\p{^Is_Jg=beth}', "");
Expect(1, 1838, '\P{Is_Jg=beth}', "");
Expect(0, 1838, '\P{^Is_Jg=beth}', "");
Expect(1, 1837, '\p{Is_Jg=-Beth}', "");
Expect(0, 1837, '\p{^Is_Jg=-Beth}', "");
Expect(0, 1837, '\P{Is_Jg=-Beth}', "");
Expect(1, 1837, '\P{^Is_Jg=-Beth}', "");
Expect(0, 1838, '\p{Is_Jg=-Beth}', "");
Expect(1, 1838, '\p{^Is_Jg=-Beth}', "");
Expect(1, 1838, '\P{Is_Jg=-Beth}', "");
Expect(0, 1838, '\P{^Is_Jg=-Beth}', "");
Error('\p{Joining_Group=__BURUSHASKI_Yeh_Barree:=}');
Error('\P{Joining_Group=__BURUSHASKI_Yeh_Barree:=}');
Expect(1, 1915, '\p{Joining_Group:	burushaskiyehbarree}', "");
Expect(0, 1915, '\p{^Joining_Group:	burushaskiyehbarree}', "");
Expect(0, 1915, '\P{Joining_Group:	burushaskiyehbarree}', "");
Expect(1, 1915, '\P{^Joining_Group:	burushaskiyehbarree}', "");
Expect(0, 1916, '\p{Joining_Group:	burushaskiyehbarree}', "");
Expect(1, 1916, '\p{^Joining_Group:	burushaskiyehbarree}', "");
Expect(1, 1916, '\P{Joining_Group:	burushaskiyehbarree}', "");
Expect(0, 1916, '\P{^Joining_Group:	burushaskiyehbarree}', "");
Expect(1, 1915, '\p{Joining_Group=__Burushaski_Yeh_Barree}', "");
Expect(0, 1915, '\p{^Joining_Group=__Burushaski_Yeh_Barree}', "");
Expect(0, 1915, '\P{Joining_Group=__Burushaski_Yeh_Barree}', "");
Expect(1, 1915, '\P{^Joining_Group=__Burushaski_Yeh_Barree}', "");
Expect(0, 1916, '\p{Joining_Group=__Burushaski_Yeh_Barree}', "");
Expect(1, 1916, '\p{^Joining_Group=__Burushaski_Yeh_Barree}', "");
Expect(1, 1916, '\P{Joining_Group=__Burushaski_Yeh_Barree}', "");
Expect(0, 1916, '\P{^Joining_Group=__Burushaski_Yeh_Barree}', "");
Error('\p{Jg=_burushaski_Yeh_Barree:=}');
Error('\P{Jg=_burushaski_Yeh_Barree:=}');
Expect(1, 1915, '\p{Jg=burushaskiyehbarree}', "");
Expect(0, 1915, '\p{^Jg=burushaskiyehbarree}', "");
Expect(0, 1915, '\P{Jg=burushaskiyehbarree}', "");
Expect(1, 1915, '\P{^Jg=burushaskiyehbarree}', "");
Expect(0, 1916, '\p{Jg=burushaskiyehbarree}', "");
Expect(1, 1916, '\p{^Jg=burushaskiyehbarree}', "");
Expect(1, 1916, '\P{Jg=burushaskiyehbarree}', "");
Expect(0, 1916, '\P{^Jg=burushaskiyehbarree}', "");
Expect(1, 1915, '\p{Jg=-_Burushaski_Yeh_Barree}', "");
Expect(0, 1915, '\p{^Jg=-_Burushaski_Yeh_Barree}', "");
Expect(0, 1915, '\P{Jg=-_Burushaski_Yeh_Barree}', "");
Expect(1, 1915, '\P{^Jg=-_Burushaski_Yeh_Barree}', "");
Expect(0, 1916, '\p{Jg=-_Burushaski_Yeh_Barree}', "");
Expect(1, 1916, '\p{^Jg=-_Burushaski_Yeh_Barree}', "");
Expect(1, 1916, '\P{Jg=-_Burushaski_Yeh_Barree}', "");
Expect(0, 1916, '\P{^Jg=-_Burushaski_Yeh_Barree}', "");
Error('\p{Is_Joining_Group=-/a/BURUSHASKI_Yeh_Barree}');
Error('\P{Is_Joining_Group=-/a/BURUSHASKI_Yeh_Barree}');
Expect(1, 1915, '\p{Is_Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1915, '\p{^Is_Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1915, '\P{Is_Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1915, '\P{^Is_Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1916, '\p{Is_Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1916, '\p{^Is_Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1916, '\P{Is_Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1916, '\P{^Is_Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1915, '\p{Is_Joining_Group= _Burushaski_yeh_barree}', "");
Expect(0, 1915, '\p{^Is_Joining_Group= _Burushaski_yeh_barree}', "");
Expect(0, 1915, '\P{Is_Joining_Group= _Burushaski_yeh_barree}', "");
Expect(1, 1915, '\P{^Is_Joining_Group= _Burushaski_yeh_barree}', "");
Expect(0, 1916, '\p{Is_Joining_Group= _Burushaski_yeh_barree}', "");
Expect(1, 1916, '\p{^Is_Joining_Group= _Burushaski_yeh_barree}', "");
Expect(1, 1916, '\P{Is_Joining_Group= _Burushaski_yeh_barree}', "");
Expect(0, 1916, '\P{^Is_Joining_Group= _Burushaski_yeh_barree}', "");
Error('\p{Is_Jg=_BURUSHASKI_Yeh_Barree/a/}');
Error('\P{Is_Jg=_BURUSHASKI_Yeh_Barree/a/}');
Expect(1, 1915, '\p{Is_Jg:   burushaskiyehbarree}', "");
Expect(0, 1915, '\p{^Is_Jg:   burushaskiyehbarree}', "");
Expect(0, 1915, '\P{Is_Jg:   burushaskiyehbarree}', "");
Expect(1, 1915, '\P{^Is_Jg:   burushaskiyehbarree}', "");
Expect(0, 1916, '\p{Is_Jg:   burushaskiyehbarree}', "");
Expect(1, 1916, '\p{^Is_Jg:   burushaskiyehbarree}', "");
Expect(1, 1916, '\P{Is_Jg:   burushaskiyehbarree}', "");
Expect(0, 1916, '\P{^Is_Jg:   burushaskiyehbarree}', "");
Expect(1, 1915, '\p{Is_Jg=_	Burushaski_Yeh_Barree}', "");
Expect(0, 1915, '\p{^Is_Jg=_	Burushaski_Yeh_Barree}', "");
Expect(0, 1915, '\P{Is_Jg=_	Burushaski_Yeh_Barree}', "");
Expect(1, 1915, '\P{^Is_Jg=_	Burushaski_Yeh_Barree}', "");
Expect(0, 1916, '\p{Is_Jg=_	Burushaski_Yeh_Barree}', "");
Expect(1, 1916, '\p{^Is_Jg=_	Burushaski_Yeh_Barree}', "");
Expect(1, 1916, '\P{Is_Jg=_	Burushaski_Yeh_Barree}', "");
Expect(0, 1916, '\P{^Is_Jg=_	Burushaski_Yeh_Barree}', "");
Error('\p{Joining_Group=/a/dal}');
Error('\P{Joining_Group=/a/dal}');
Expect(1, 2222, '\p{Joining_Group=dal}', "");
Expect(0, 2222, '\p{^Joining_Group=dal}', "");
Expect(0, 2222, '\P{Joining_Group=dal}', "");
Expect(1, 2222, '\P{^Joining_Group=dal}', "");
Expect(0, 2223, '\p{Joining_Group=dal}', "");
Expect(1, 2223, '\p{^Joining_Group=dal}', "");
Expect(1, 2223, '\P{Joining_Group=dal}', "");
Expect(0, 2223, '\P{^Joining_Group=dal}', "");
Expect(1, 2222, '\p{Joining_Group=-_Dal}', "");
Expect(0, 2222, '\p{^Joining_Group=-_Dal}', "");
Expect(0, 2222, '\P{Joining_Group=-_Dal}', "");
Expect(1, 2222, '\P{^Joining_Group=-_Dal}', "");
Expect(0, 2223, '\p{Joining_Group=-_Dal}', "");
Expect(1, 2223, '\p{^Joining_Group=-_Dal}', "");
Expect(1, 2223, '\P{Joining_Group=-_Dal}', "");
Expect(0, 2223, '\P{^Joining_Group=-_Dal}', "");
Error('\p{Jg=:=-Dal}');
Error('\P{Jg=:=-Dal}');
Expect(1, 2222, '\p{Jg: dal}', "");
Expect(0, 2222, '\p{^Jg: dal}', "");
Expect(0, 2222, '\P{Jg: dal}', "");
Expect(1, 2222, '\P{^Jg: dal}', "");
Expect(0, 2223, '\p{Jg: dal}', "");
Expect(1, 2223, '\p{^Jg: dal}', "");
Expect(1, 2223, '\P{Jg: dal}', "");
Expect(0, 2223, '\P{^Jg: dal}', "");
Expect(1, 2222, '\p{Jg=  Dal}', "");
Expect(0, 2222, '\p{^Jg=  Dal}', "");
Expect(0, 2222, '\P{Jg=  Dal}', "");
Expect(1, 2222, '\P{^Jg=  Dal}', "");
Expect(0, 2223, '\p{Jg=  Dal}', "");
Expect(1, 2223, '\p{^Jg=  Dal}', "");
Expect(1, 2223, '\P{Jg=  Dal}', "");
Expect(0, 2223, '\P{^Jg=  Dal}', "");
Error('\p{Is_Joining_Group=:=		Dal}');
Error('\P{Is_Joining_Group=:=		Dal}');
Expect(1, 2222, '\p{Is_Joining_Group=dal}', "");
Expect(0, 2222, '\p{^Is_Joining_Group=dal}', "");
Expect(0, 2222, '\P{Is_Joining_Group=dal}', "");
Expect(1, 2222, '\P{^Is_Joining_Group=dal}', "");
Expect(0, 2223, '\p{Is_Joining_Group=dal}', "");
Expect(1, 2223, '\p{^Is_Joining_Group=dal}', "");
Expect(1, 2223, '\P{Is_Joining_Group=dal}', "");
Expect(0, 2223, '\P{^Is_Joining_Group=dal}', "");
Expect(1, 2222, '\p{Is_Joining_Group=	dal}', "");
Expect(0, 2222, '\p{^Is_Joining_Group=	dal}', "");
Expect(0, 2222, '\P{Is_Joining_Group=	dal}', "");
Expect(1, 2222, '\P{^Is_Joining_Group=	dal}', "");
Expect(0, 2223, '\p{Is_Joining_Group=	dal}', "");
Expect(1, 2223, '\p{^Is_Joining_Group=	dal}', "");
Expect(1, 2223, '\P{Is_Joining_Group=	dal}', "");
Expect(0, 2223, '\P{^Is_Joining_Group=	dal}', "");
Error('\p{Is_Jg=	 Dal/a/}');
Error('\P{Is_Jg=	 Dal/a/}');
Expect(1, 2222, '\p{Is_Jg=dal}', "");
Expect(0, 2222, '\p{^Is_Jg=dal}', "");
Expect(0, 2222, '\P{Is_Jg=dal}', "");
Expect(1, 2222, '\P{^Is_Jg=dal}', "");
Expect(0, 2223, '\p{Is_Jg=dal}', "");
Expect(1, 2223, '\p{^Is_Jg=dal}', "");
Expect(1, 2223, '\P{Is_Jg=dal}', "");
Expect(0, 2223, '\P{^Is_Jg=dal}', "");
Expect(1, 2222, '\p{Is_Jg=__Dal}', "");
Expect(0, 2222, '\p{^Is_Jg=__Dal}', "");
Expect(0, 2222, '\P{Is_Jg=__Dal}', "");
Expect(1, 2222, '\P{^Is_Jg=__Dal}', "");
Expect(0, 2223, '\p{Is_Jg=__Dal}', "");
Expect(1, 2223, '\p{^Is_Jg=__Dal}', "");
Expect(1, 2223, '\P{Is_Jg=__Dal}', "");
Expect(0, 2223, '\P{^Is_Jg=__Dal}', "");
Error('\p{Joining_Group:	/a/Dalath_Rish}');
Error('\P{Joining_Group:	/a/Dalath_Rish}');
Expect(1, 1839, '\p{Joining_Group=dalathrish}', "");
Expect(0, 1839, '\p{^Joining_Group=dalathrish}', "");
Expect(0, 1839, '\P{Joining_Group=dalathrish}', "");
Expect(1, 1839, '\P{^Joining_Group=dalathrish}', "");
Expect(0, 1840, '\p{Joining_Group=dalathrish}', "");
Expect(1, 1840, '\p{^Joining_Group=dalathrish}', "");
Expect(1, 1840, '\P{Joining_Group=dalathrish}', "");
Expect(0, 1840, '\P{^Joining_Group=dalathrish}', "");
Expect(1, 1839, '\p{Joining_Group=_Dalath_Rish}', "");
Expect(0, 1839, '\p{^Joining_Group=_Dalath_Rish}', "");
Expect(0, 1839, '\P{Joining_Group=_Dalath_Rish}', "");
Expect(1, 1839, '\P{^Joining_Group=_Dalath_Rish}', "");
Expect(0, 1840, '\p{Joining_Group=_Dalath_Rish}', "");
Expect(1, 1840, '\p{^Joining_Group=_Dalath_Rish}', "");
Expect(1, 1840, '\P{Joining_Group=_Dalath_Rish}', "");
Expect(0, 1840, '\P{^Joining_Group=_Dalath_Rish}', "");
Error('\p{Jg=:=Dalath_Rish}');
Error('\P{Jg=:=Dalath_Rish}');
Expect(1, 1839, '\p{Jg=dalathrish}', "");
Expect(0, 1839, '\p{^Jg=dalathrish}', "");
Expect(0, 1839, '\P{Jg=dalathrish}', "");
Expect(1, 1839, '\P{^Jg=dalathrish}', "");
Expect(0, 1840, '\p{Jg=dalathrish}', "");
Expect(1, 1840, '\p{^Jg=dalathrish}', "");
Expect(1, 1840, '\P{Jg=dalathrish}', "");
Expect(0, 1840, '\P{^Jg=dalathrish}', "");
Expect(1, 1839, '\p{Jg=	Dalath_RISH}', "");
Expect(0, 1839, '\p{^Jg=	Dalath_RISH}', "");
Expect(0, 1839, '\P{Jg=	Dalath_RISH}', "");
Expect(1, 1839, '\P{^Jg=	Dalath_RISH}', "");
Expect(0, 1840, '\p{Jg=	Dalath_RISH}', "");
Expect(1, 1840, '\p{^Jg=	Dalath_RISH}', "");
Expect(1, 1840, '\P{Jg=	Dalath_RISH}', "");
Expect(0, 1840, '\P{^Jg=	Dalath_RISH}', "");
Error('\p{Is_Joining_Group:	:=_ DALATH_RISH}');
Error('\P{Is_Joining_Group:	:=_ DALATH_RISH}');
Expect(1, 1839, '\p{Is_Joining_Group=dalathrish}', "");
Expect(0, 1839, '\p{^Is_Joining_Group=dalathrish}', "");
Expect(0, 1839, '\P{Is_Joining_Group=dalathrish}', "");
Expect(1, 1839, '\P{^Is_Joining_Group=dalathrish}', "");
Expect(0, 1840, '\p{Is_Joining_Group=dalathrish}', "");
Expect(1, 1840, '\p{^Is_Joining_Group=dalathrish}', "");
Expect(1, 1840, '\P{Is_Joining_Group=dalathrish}', "");
Expect(0, 1840, '\P{^Is_Joining_Group=dalathrish}', "");
Expect(1, 1839, '\p{Is_Joining_Group=		Dalath_RISH}', "");
Expect(0, 1839, '\p{^Is_Joining_Group=		Dalath_RISH}', "");
Expect(0, 1839, '\P{Is_Joining_Group=		Dalath_RISH}', "");
Expect(1, 1839, '\P{^Is_Joining_Group=		Dalath_RISH}', "");
Expect(0, 1840, '\p{Is_Joining_Group=		Dalath_RISH}', "");
Expect(1, 1840, '\p{^Is_Joining_Group=		Dalath_RISH}', "");
Expect(1, 1840, '\P{Is_Joining_Group=		Dalath_RISH}', "");
Expect(0, 1840, '\P{^Is_Joining_Group=		Dalath_RISH}', "");
Error('\p{Is_Jg= _Dalath_rish:=}');
Error('\P{Is_Jg= _Dalath_rish:=}');
Expect(1, 1839, '\p{Is_Jg=dalathrish}', "");
Expect(0, 1839, '\p{^Is_Jg=dalathrish}', "");
Expect(0, 1839, '\P{Is_Jg=dalathrish}', "");
Expect(1, 1839, '\P{^Is_Jg=dalathrish}', "");
Expect(0, 1840, '\p{Is_Jg=dalathrish}', "");
Expect(1, 1840, '\p{^Is_Jg=dalathrish}', "");
Expect(1, 1840, '\P{Is_Jg=dalathrish}', "");
Expect(0, 1840, '\P{^Is_Jg=dalathrish}', "");
Expect(1, 1839, '\p{Is_Jg=- Dalath_rish}', "");
Expect(0, 1839, '\p{^Is_Jg=- Dalath_rish}', "");
Expect(0, 1839, '\P{Is_Jg=- Dalath_rish}', "");
Expect(1, 1839, '\P{^Is_Jg=- Dalath_rish}', "");
Expect(0, 1840, '\p{Is_Jg=- Dalath_rish}', "");
Expect(1, 1840, '\p{^Is_Jg=- Dalath_rish}', "");
Expect(1, 1840, '\P{Is_Jg=- Dalath_rish}', "");
Expect(0, 1840, '\P{^Is_Jg=- Dalath_rish}', "");
Error('\p{Joining_Group= E/a/}');
Error('\P{Joining_Group= E/a/}');
Expect(1, 1829, '\p{Joining_Group=e}', "");
Expect(0, 1829, '\p{^Joining_Group=e}', "");
Expect(0, 1829, '\P{Joining_Group=e}', "");
Expect(1, 1829, '\P{^Joining_Group=e}', "");
Expect(0, 1830, '\p{Joining_Group=e}', "");
Expect(1, 1830, '\p{^Joining_Group=e}', "");
Expect(1, 1830, '\P{Joining_Group=e}', "");
Expect(0, 1830, '\P{^Joining_Group=e}', "");
Expect(1, 1829, '\p{Joining_Group:		E}', "");
Expect(0, 1829, '\p{^Joining_Group:		E}', "");
Expect(0, 1829, '\P{Joining_Group:		E}', "");
Expect(1, 1829, '\P{^Joining_Group:		E}', "");
Expect(0, 1830, '\p{Joining_Group:		E}', "");
Expect(1, 1830, '\p{^Joining_Group:		E}', "");
Expect(1, 1830, '\P{Joining_Group:		E}', "");
Expect(0, 1830, '\P{^Joining_Group:		E}', "");
Error('\p{Jg= E/a/}');
Error('\P{Jg= E/a/}');
Expect(1, 1829, '\p{Jg: e}', "");
Expect(0, 1829, '\p{^Jg: e}', "");
Expect(0, 1829, '\P{Jg: e}', "");
Expect(1, 1829, '\P{^Jg: e}', "");
Expect(0, 1830, '\p{Jg: e}', "");
Expect(1, 1830, '\p{^Jg: e}', "");
Expect(1, 1830, '\P{Jg: e}', "");
Expect(0, 1830, '\P{^Jg: e}', "");
Expect(1, 1829, '\p{Jg=	_E}', "");
Expect(0, 1829, '\p{^Jg=	_E}', "");
Expect(0, 1829, '\P{Jg=	_E}', "");
Expect(1, 1829, '\P{^Jg=	_E}', "");
Expect(0, 1830, '\p{Jg=	_E}', "");
Expect(1, 1830, '\p{^Jg=	_E}', "");
Expect(1, 1830, '\P{Jg=	_E}', "");
Expect(0, 1830, '\P{^Jg=	_E}', "");
Error('\p{Is_Joining_Group:   /a/__E}');
Error('\P{Is_Joining_Group:   /a/__E}');
Expect(1, 1829, '\p{Is_Joining_Group:e}', "");
Expect(0, 1829, '\p{^Is_Joining_Group:e}', "");
Expect(0, 1829, '\P{Is_Joining_Group:e}', "");
Expect(1, 1829, '\P{^Is_Joining_Group:e}', "");
Expect(0, 1830, '\p{Is_Joining_Group:e}', "");
Expect(1, 1830, '\p{^Is_Joining_Group:e}', "");
Expect(1, 1830, '\P{Is_Joining_Group:e}', "");
Expect(0, 1830, '\P{^Is_Joining_Group:e}', "");
Expect(1, 1829, '\p{Is_Joining_Group=	E}', "");
Expect(0, 1829, '\p{^Is_Joining_Group=	E}', "");
Expect(0, 1829, '\P{Is_Joining_Group=	E}', "");
Expect(1, 1829, '\P{^Is_Joining_Group=	E}', "");
Expect(0, 1830, '\p{Is_Joining_Group=	E}', "");
Expect(1, 1830, '\p{^Is_Joining_Group=	E}', "");
Expect(1, 1830, '\P{Is_Joining_Group=	E}', "");
Expect(0, 1830, '\P{^Is_Joining_Group=	E}', "");
Error('\p{Is_Jg=- E:=}');
Error('\P{Is_Jg=- E:=}');
Expect(1, 1829, '\p{Is_Jg=e}', "");
Expect(0, 1829, '\p{^Is_Jg=e}', "");
Expect(0, 1829, '\P{Is_Jg=e}', "");
Expect(1, 1829, '\P{^Is_Jg=e}', "");
Expect(0, 1830, '\p{Is_Jg=e}', "");
Expect(1, 1830, '\p{^Is_Jg=e}', "");
Expect(1, 1830, '\P{Is_Jg=e}', "");
Expect(0, 1830, '\P{^Is_Jg=e}', "");
Expect(1, 1829, '\p{Is_Jg:E}', "");
Expect(0, 1829, '\p{^Is_Jg:E}', "");
Expect(0, 1829, '\P{Is_Jg:E}', "");
Expect(1, 1829, '\P{^Is_Jg:E}', "");
Expect(0, 1830, '\p{Is_Jg:E}', "");
Expect(1, 1830, '\p{^Is_Jg:E}', "");
Expect(1, 1830, '\P{Is_Jg:E}', "");
Expect(0, 1830, '\P{^Is_Jg:E}', "");
Error('\p{Joining_Group=_ farsi_yeh/a/}');
Error('\P{Joining_Group=_ farsi_yeh/a/}');
Expect(1, 1910, '\p{Joining_Group=farsiyeh}', "");
Expect(0, 1910, '\p{^Joining_Group=farsiyeh}', "");
Expect(0, 1910, '\P{Joining_Group=farsiyeh}', "");
Expect(1, 1910, '\P{^Joining_Group=farsiyeh}', "");
Expect(0, 1911, '\p{Joining_Group=farsiyeh}', "");
Expect(1, 1911, '\p{^Joining_Group=farsiyeh}', "");
Expect(1, 1911, '\P{Joining_Group=farsiyeh}', "");
Expect(0, 1911, '\P{^Joining_Group=farsiyeh}', "");
Expect(1, 1910, '\p{Joining_Group= 	FARSI_yeh}', "");
Expect(0, 1910, '\p{^Joining_Group= 	FARSI_yeh}', "");
Expect(0, 1910, '\P{Joining_Group= 	FARSI_yeh}', "");
Expect(1, 1910, '\P{^Joining_Group= 	FARSI_yeh}', "");
Expect(0, 1911, '\p{Joining_Group= 	FARSI_yeh}', "");
Expect(1, 1911, '\p{^Joining_Group= 	FARSI_yeh}', "");
Expect(1, 1911, '\P{Joining_Group= 	FARSI_yeh}', "");
Expect(0, 1911, '\P{^Joining_Group= 	FARSI_yeh}', "");
Error('\p{Jg=:=	 farsi_Yeh}');
Error('\P{Jg=:=	 farsi_Yeh}');
Expect(1, 1910, '\p{Jg=farsiyeh}', "");
Expect(0, 1910, '\p{^Jg=farsiyeh}', "");
Expect(0, 1910, '\P{Jg=farsiyeh}', "");
Expect(1, 1910, '\P{^Jg=farsiyeh}', "");
Expect(0, 1911, '\p{Jg=farsiyeh}', "");
Expect(1, 1911, '\p{^Jg=farsiyeh}', "");
Expect(1, 1911, '\P{Jg=farsiyeh}', "");
Expect(0, 1911, '\P{^Jg=farsiyeh}', "");
Expect(1, 1910, '\p{Jg=_ FARSI_Yeh}', "");
Expect(0, 1910, '\p{^Jg=_ FARSI_Yeh}', "");
Expect(0, 1910, '\P{Jg=_ FARSI_Yeh}', "");
Expect(1, 1910, '\P{^Jg=_ FARSI_Yeh}', "");
Expect(0, 1911, '\p{Jg=_ FARSI_Yeh}', "");
Expect(1, 1911, '\p{^Jg=_ FARSI_Yeh}', "");
Expect(1, 1911, '\P{Jg=_ FARSI_Yeh}', "");
Expect(0, 1911, '\P{^Jg=_ FARSI_Yeh}', "");
Error('\p{Is_Joining_Group::=-_Farsi_YEH}');
Error('\P{Is_Joining_Group::=-_Farsi_YEH}');
Expect(1, 1910, '\p{Is_Joining_Group=farsiyeh}', "");
Expect(0, 1910, '\p{^Is_Joining_Group=farsiyeh}', "");
Expect(0, 1910, '\P{Is_Joining_Group=farsiyeh}', "");
Expect(1, 1910, '\P{^Is_Joining_Group=farsiyeh}', "");
Expect(0, 1911, '\p{Is_Joining_Group=farsiyeh}', "");
Expect(1, 1911, '\p{^Is_Joining_Group=farsiyeh}', "");
Expect(1, 1911, '\P{Is_Joining_Group=farsiyeh}', "");
Expect(0, 1911, '\P{^Is_Joining_Group=farsiyeh}', "");
Expect(1, 1910, '\p{Is_Joining_Group=	_farsi_yeh}', "");
Expect(0, 1910, '\p{^Is_Joining_Group=	_farsi_yeh}', "");
Expect(0, 1910, '\P{Is_Joining_Group=	_farsi_yeh}', "");
Expect(1, 1910, '\P{^Is_Joining_Group=	_farsi_yeh}', "");
Expect(0, 1911, '\p{Is_Joining_Group=	_farsi_yeh}', "");
Expect(1, 1911, '\p{^Is_Joining_Group=	_farsi_yeh}', "");
Expect(1, 1911, '\P{Is_Joining_Group=	_farsi_yeh}', "");
Expect(0, 1911, '\P{^Is_Joining_Group=	_farsi_yeh}', "");
Error('\p{Is_Jg=	:=farsi_Yeh}');
Error('\P{Is_Jg=	:=farsi_Yeh}');
Expect(1, 1910, '\p{Is_Jg=farsiyeh}', "");
Expect(0, 1910, '\p{^Is_Jg=farsiyeh}', "");
Expect(0, 1910, '\P{Is_Jg=farsiyeh}', "");
Expect(1, 1910, '\P{^Is_Jg=farsiyeh}', "");
Expect(0, 1911, '\p{Is_Jg=farsiyeh}', "");
Expect(1, 1911, '\p{^Is_Jg=farsiyeh}', "");
Expect(1, 1911, '\P{Is_Jg=farsiyeh}', "");
Expect(0, 1911, '\P{^Is_Jg=farsiyeh}', "");
Expect(1, 1910, '\p{Is_Jg=-Farsi_yeh}', "");
Expect(0, 1910, '\p{^Is_Jg=-Farsi_yeh}', "");
Expect(0, 1910, '\P{Is_Jg=-Farsi_yeh}', "");
Expect(1, 1910, '\P{^Is_Jg=-Farsi_yeh}', "");
Expect(0, 1911, '\p{Is_Jg=-Farsi_yeh}', "");
Expect(1, 1911, '\p{^Is_Jg=-Farsi_yeh}', "");
Expect(1, 1911, '\P{Is_Jg=-Farsi_yeh}', "");
Expect(0, 1911, '\P{^Is_Jg=-Farsi_yeh}', "");
Error('\p{Joining_Group=__Fe:=}');
Error('\P{Joining_Group=__Fe:=}');
Expect(1, 1871, '\p{Joining_Group=fe}', "");
Expect(0, 1871, '\p{^Joining_Group=fe}', "");
Expect(0, 1871, '\P{Joining_Group=fe}', "");
Expect(1, 1871, '\P{^Joining_Group=fe}', "");
Expect(0, 1872, '\p{Joining_Group=fe}', "");
Expect(1, 1872, '\p{^Joining_Group=fe}', "");
Expect(1, 1872, '\P{Joining_Group=fe}', "");
Expect(0, 1872, '\P{^Joining_Group=fe}', "");
Expect(1, 1871, '\p{Joining_Group=_fe}', "");
Expect(0, 1871, '\p{^Joining_Group=_fe}', "");
Expect(0, 1871, '\P{Joining_Group=_fe}', "");
Expect(1, 1871, '\P{^Joining_Group=_fe}', "");
Expect(0, 1872, '\p{Joining_Group=_fe}', "");
Expect(1, 1872, '\p{^Joining_Group=_fe}', "");
Expect(1, 1872, '\P{Joining_Group=_fe}', "");
Expect(0, 1872, '\P{^Joining_Group=_fe}', "");
Error('\p{Jg= FE/a/}');
Error('\P{Jg= FE/a/}');
Expect(1, 1871, '\p{Jg=fe}', "");
Expect(0, 1871, '\p{^Jg=fe}', "");
Expect(0, 1871, '\P{Jg=fe}', "");
Expect(1, 1871, '\P{^Jg=fe}', "");
Expect(0, 1872, '\p{Jg=fe}', "");
Expect(1, 1872, '\p{^Jg=fe}', "");
Expect(1, 1872, '\P{Jg=fe}', "");
Expect(0, 1872, '\P{^Jg=fe}', "");
Expect(1, 1871, '\p{Jg=_fe}', "");
Expect(0, 1871, '\p{^Jg=_fe}', "");
Expect(0, 1871, '\P{Jg=_fe}', "");
Expect(1, 1871, '\P{^Jg=_fe}', "");
Expect(0, 1872, '\p{Jg=_fe}', "");
Expect(1, 1872, '\p{^Jg=_fe}', "");
Expect(1, 1872, '\P{Jg=_fe}', "");
Expect(0, 1872, '\P{^Jg=_fe}', "");
Error('\p{Is_Joining_Group=/a/Fe}');
Error('\P{Is_Joining_Group=/a/Fe}');
Expect(1, 1871, '\p{Is_Joining_Group=fe}', "");
Expect(0, 1871, '\p{^Is_Joining_Group=fe}', "");
Expect(0, 1871, '\P{Is_Joining_Group=fe}', "");
Expect(1, 1871, '\P{^Is_Joining_Group=fe}', "");
Expect(0, 1872, '\p{Is_Joining_Group=fe}', "");
Expect(1, 1872, '\p{^Is_Joining_Group=fe}', "");
Expect(1, 1872, '\P{Is_Joining_Group=fe}', "");
Expect(0, 1872, '\P{^Is_Joining_Group=fe}', "");
Expect(1, 1871, '\p{Is_Joining_Group= -fe}', "");
Expect(0, 1871, '\p{^Is_Joining_Group= -fe}', "");
Expect(0, 1871, '\P{Is_Joining_Group= -fe}', "");
Expect(1, 1871, '\P{^Is_Joining_Group= -fe}', "");
Expect(0, 1872, '\p{Is_Joining_Group= -fe}', "");
Expect(1, 1872, '\p{^Is_Joining_Group= -fe}', "");
Expect(1, 1872, '\P{Is_Joining_Group= -fe}', "");
Expect(0, 1872, '\P{^Is_Joining_Group= -fe}', "");
Error('\p{Is_Jg= Fe/a/}');
Error('\P{Is_Jg= Fe/a/}');
Expect(1, 1871, '\p{Is_Jg=fe}', "");
Expect(0, 1871, '\p{^Is_Jg=fe}', "");
Expect(0, 1871, '\P{Is_Jg=fe}', "");
Expect(1, 1871, '\P{^Is_Jg=fe}', "");
Expect(0, 1872, '\p{Is_Jg=fe}', "");
Expect(1, 1872, '\p{^Is_Jg=fe}', "");
Expect(1, 1872, '\P{Is_Jg=fe}', "");
Expect(0, 1872, '\P{^Is_Jg=fe}', "");
Expect(1, 1871, '\p{Is_Jg=_fe}', "");
Expect(0, 1871, '\p{^Is_Jg=_fe}', "");
Expect(0, 1871, '\P{Is_Jg=_fe}', "");
Expect(1, 1871, '\P{^Is_Jg=_fe}', "");
Expect(0, 1872, '\p{Is_Jg=_fe}', "");
Expect(1, 1872, '\p{^Is_Jg=_fe}', "");
Expect(1, 1872, '\P{Is_Jg=_fe}', "");
Expect(0, 1872, '\P{^Is_Jg=_fe}', "");
Error('\p{Joining_Group=/a/FEH}');
Error('\P{Joining_Group=/a/FEH}');
Expect(1, 2212, '\p{Joining_Group=feh}', "");
Expect(0, 2212, '\p{^Joining_Group=feh}', "");
Expect(0, 2212, '\P{Joining_Group=feh}', "");
Expect(1, 2212, '\P{^Joining_Group=feh}', "");
Expect(0, 2213, '\p{Joining_Group=feh}', "");
Expect(1, 2213, '\p{^Joining_Group=feh}', "");
Expect(1, 2213, '\P{Joining_Group=feh}', "");
Expect(0, 2213, '\P{^Joining_Group=feh}', "");
Expect(1, 2212, '\p{Joining_Group= feh}', "");
Expect(0, 2212, '\p{^Joining_Group= feh}', "");
Expect(0, 2212, '\P{Joining_Group= feh}', "");
Expect(1, 2212, '\P{^Joining_Group= feh}', "");
Expect(0, 2213, '\p{Joining_Group= feh}', "");
Expect(1, 2213, '\p{^Joining_Group= feh}', "");
Expect(1, 2213, '\P{Joining_Group= feh}', "");
Expect(0, 2213, '\P{^Joining_Group= feh}', "");
Error('\p{Jg=/a/	 Feh}');
Error('\P{Jg=/a/	 Feh}');
Expect(1, 2212, '\p{Jg=feh}', "");
Expect(0, 2212, '\p{^Jg=feh}', "");
Expect(0, 2212, '\P{Jg=feh}', "");
Expect(1, 2212, '\P{^Jg=feh}', "");
Expect(0, 2213, '\p{Jg=feh}', "");
Expect(1, 2213, '\p{^Jg=feh}', "");
Expect(1, 2213, '\P{Jg=feh}', "");
Expect(0, 2213, '\P{^Jg=feh}', "");
Expect(1, 2212, '\p{Jg= FEH}', "");
Expect(0, 2212, '\p{^Jg= FEH}', "");
Expect(0, 2212, '\P{Jg= FEH}', "");
Expect(1, 2212, '\P{^Jg= FEH}', "");
Expect(0, 2213, '\p{Jg= FEH}', "");
Expect(1, 2213, '\p{^Jg= FEH}', "");
Expect(1, 2213, '\P{Jg= FEH}', "");
Expect(0, 2213, '\P{^Jg= FEH}', "");
Error('\p{Is_Joining_Group:   _ Feh/a/}');
Error('\P{Is_Joining_Group:   _ Feh/a/}');
Expect(1, 2212, '\p{Is_Joining_Group=feh}', "");
Expect(0, 2212, '\p{^Is_Joining_Group=feh}', "");
Expect(0, 2212, '\P{Is_Joining_Group=feh}', "");
Expect(1, 2212, '\P{^Is_Joining_Group=feh}', "");
Expect(0, 2213, '\p{Is_Joining_Group=feh}', "");
Expect(1, 2213, '\p{^Is_Joining_Group=feh}', "");
Expect(1, 2213, '\P{Is_Joining_Group=feh}', "");
Expect(0, 2213, '\P{^Is_Joining_Group=feh}', "");
Expect(1, 2212, '\p{Is_Joining_Group=Feh}', "");
Expect(0, 2212, '\p{^Is_Joining_Group=Feh}', "");
Expect(0, 2212, '\P{Is_Joining_Group=Feh}', "");
Expect(1, 2212, '\P{^Is_Joining_Group=Feh}', "");
Expect(0, 2213, '\p{Is_Joining_Group=Feh}', "");
Expect(1, 2213, '\p{^Is_Joining_Group=Feh}', "");
Expect(1, 2213, '\P{Is_Joining_Group=Feh}', "");
Expect(0, 2213, '\P{^Is_Joining_Group=Feh}', "");
Error('\p{Is_Jg: Feh/a/}');
Error('\P{Is_Jg: Feh/a/}');
Expect(1, 2212, '\p{Is_Jg=feh}', "");
Expect(0, 2212, '\p{^Is_Jg=feh}', "");
Expect(0, 2212, '\P{Is_Jg=feh}', "");
Expect(1, 2212, '\P{^Is_Jg=feh}', "");
Expect(0, 2213, '\p{Is_Jg=feh}', "");
Expect(1, 2213, '\p{^Is_Jg=feh}', "");
Expect(1, 2213, '\P{Is_Jg=feh}', "");
Expect(0, 2213, '\P{^Is_Jg=feh}', "");
Expect(1, 2212, '\p{Is_Jg= 	Feh}', "");
Expect(0, 2212, '\p{^Is_Jg= 	Feh}', "");
Expect(0, 2212, '\P{Is_Jg= 	Feh}', "");
Expect(1, 2212, '\P{^Is_Jg= 	Feh}', "");
Expect(0, 2213, '\p{Is_Jg= 	Feh}', "");
Expect(1, 2213, '\p{^Is_Jg= 	Feh}', "");
Expect(1, 2213, '\P{Is_Jg= 	Feh}', "");
Expect(0, 2213, '\P{^Is_Jg= 	Feh}', "");
Error('\p{Joining_Group=:=final_semkath}');
Error('\P{Joining_Group=:=final_semkath}');
Expect(1, 1828, '\p{Joining_Group=finalsemkath}', "");
Expect(0, 1828, '\p{^Joining_Group=finalsemkath}', "");
Expect(0, 1828, '\P{Joining_Group=finalsemkath}', "");
Expect(1, 1828, '\P{^Joining_Group=finalsemkath}', "");
Expect(0, 1829, '\p{Joining_Group=finalsemkath}', "");
Expect(1, 1829, '\p{^Joining_Group=finalsemkath}', "");
Expect(1, 1829, '\P{Joining_Group=finalsemkath}', "");
Expect(0, 1829, '\P{^Joining_Group=finalsemkath}', "");
Expect(1, 1828, '\p{Joining_Group= -FINAL_semkath}', "");
Expect(0, 1828, '\p{^Joining_Group= -FINAL_semkath}', "");
Expect(0, 1828, '\P{Joining_Group= -FINAL_semkath}', "");
Expect(1, 1828, '\P{^Joining_Group= -FINAL_semkath}', "");
Expect(0, 1829, '\p{Joining_Group= -FINAL_semkath}', "");
Expect(1, 1829, '\p{^Joining_Group= -FINAL_semkath}', "");
Expect(1, 1829, '\P{Joining_Group= -FINAL_semkath}', "");
Expect(0, 1829, '\P{^Joining_Group= -FINAL_semkath}', "");
Error('\p{Jg=__Final_semkath:=}');
Error('\P{Jg=__Final_semkath:=}');
Expect(1, 1828, '\p{Jg=finalsemkath}', "");
Expect(0, 1828, '\p{^Jg=finalsemkath}', "");
Expect(0, 1828, '\P{Jg=finalsemkath}', "");
Expect(1, 1828, '\P{^Jg=finalsemkath}', "");
Expect(0, 1829, '\p{Jg=finalsemkath}', "");
Expect(1, 1829, '\p{^Jg=finalsemkath}', "");
Expect(1, 1829, '\P{Jg=finalsemkath}', "");
Expect(0, 1829, '\P{^Jg=finalsemkath}', "");
Expect(1, 1828, '\p{Jg= Final_semkath}', "");
Expect(0, 1828, '\p{^Jg= Final_semkath}', "");
Expect(0, 1828, '\P{Jg= Final_semkath}', "");
Expect(1, 1828, '\P{^Jg= Final_semkath}', "");
Expect(0, 1829, '\p{Jg= Final_semkath}', "");
Expect(1, 1829, '\p{^Jg= Final_semkath}', "");
Expect(1, 1829, '\P{Jg= Final_semkath}', "");
Expect(0, 1829, '\P{^Jg= Final_semkath}', "");
Error('\p{Is_Joining_Group=--final_semkath/a/}');
Error('\P{Is_Joining_Group=--final_semkath/a/}');
Expect(1, 1828, '\p{Is_Joining_Group=finalsemkath}', "");
Expect(0, 1828, '\p{^Is_Joining_Group=finalsemkath}', "");
Expect(0, 1828, '\P{Is_Joining_Group=finalsemkath}', "");
Expect(1, 1828, '\P{^Is_Joining_Group=finalsemkath}', "");
Expect(0, 1829, '\p{Is_Joining_Group=finalsemkath}', "");
Expect(1, 1829, '\p{^Is_Joining_Group=finalsemkath}', "");
Expect(1, 1829, '\P{Is_Joining_Group=finalsemkath}', "");
Expect(0, 1829, '\P{^Is_Joining_Group=finalsemkath}', "");
Expect(1, 1828, '\p{Is_Joining_Group=	_final_SEMKATH}', "");
Expect(0, 1828, '\p{^Is_Joining_Group=	_final_SEMKATH}', "");
Expect(0, 1828, '\P{Is_Joining_Group=	_final_SEMKATH}', "");
Expect(1, 1828, '\P{^Is_Joining_Group=	_final_SEMKATH}', "");
Expect(0, 1829, '\p{Is_Joining_Group=	_final_SEMKATH}', "");
Expect(1, 1829, '\p{^Is_Joining_Group=	_final_SEMKATH}', "");
Expect(1, 1829, '\P{Is_Joining_Group=	_final_SEMKATH}', "");
Expect(0, 1829, '\P{^Is_Joining_Group=	_final_SEMKATH}', "");
Error('\p{Is_Jg=:= -FINAL_semkath}');
Error('\P{Is_Jg=:= -FINAL_semkath}');
Expect(1, 1828, '\p{Is_Jg=finalsemkath}', "");
Expect(0, 1828, '\p{^Is_Jg=finalsemkath}', "");
Expect(0, 1828, '\P{Is_Jg=finalsemkath}', "");
Expect(1, 1828, '\P{^Is_Jg=finalsemkath}', "");
Expect(0, 1829, '\p{Is_Jg=finalsemkath}', "");
Expect(1, 1829, '\p{^Is_Jg=finalsemkath}', "");
Expect(1, 1829, '\P{Is_Jg=finalsemkath}', "");
Expect(0, 1829, '\P{^Is_Jg=finalsemkath}', "");
Expect(1, 1828, '\p{Is_Jg=--final_SEMKATH}', "");
Expect(0, 1828, '\p{^Is_Jg=--final_SEMKATH}', "");
Expect(0, 1828, '\P{Is_Jg=--final_SEMKATH}', "");
Expect(1, 1828, '\P{^Is_Jg=--final_SEMKATH}', "");
Expect(0, 1829, '\p{Is_Jg=--final_SEMKATH}', "");
Expect(1, 1829, '\p{^Is_Jg=--final_SEMKATH}', "");
Expect(1, 1829, '\P{Is_Jg=--final_SEMKATH}', "");
Expect(0, 1829, '\P{^Is_Jg=--final_SEMKATH}', "");
Error('\p{Joining_Group=Gaf/a/}');
Error('\P{Joining_Group=Gaf/a/}');
Expect(1, 2224, '\p{Joining_Group=gaf}', "");
Expect(0, 2224, '\p{^Joining_Group=gaf}', "");
Expect(0, 2224, '\P{Joining_Group=gaf}', "");
Expect(1, 2224, '\P{^Joining_Group=gaf}', "");
Expect(0, 2225, '\p{Joining_Group=gaf}', "");
Expect(1, 2225, '\p{^Joining_Group=gaf}', "");
Expect(1, 2225, '\P{Joining_Group=gaf}', "");
Expect(0, 2225, '\P{^Joining_Group=gaf}', "");
Expect(1, 2224, '\p{Joining_Group=- GAF}', "");
Expect(0, 2224, '\p{^Joining_Group=- GAF}', "");
Expect(0, 2224, '\P{Joining_Group=- GAF}', "");
Expect(1, 2224, '\P{^Joining_Group=- GAF}', "");
Expect(0, 2225, '\p{Joining_Group=- GAF}', "");
Expect(1, 2225, '\p{^Joining_Group=- GAF}', "");
Expect(1, 2225, '\P{Joining_Group=- GAF}', "");
Expect(0, 2225, '\P{^Joining_Group=- GAF}', "");
Error('\p{Jg=_	Gaf/a/}');
Error('\P{Jg=_	Gaf/a/}');
Expect(1, 2224, '\p{Jg=gaf}', "");
Expect(0, 2224, '\p{^Jg=gaf}', "");
Expect(0, 2224, '\P{Jg=gaf}', "");
Expect(1, 2224, '\P{^Jg=gaf}', "");
Expect(0, 2225, '\p{Jg=gaf}', "");
Expect(1, 2225, '\p{^Jg=gaf}', "");
Expect(1, 2225, '\P{Jg=gaf}', "");
Expect(0, 2225, '\P{^Jg=gaf}', "");
Expect(1, 2224, '\p{Jg:   - gaf}', "");
Expect(0, 2224, '\p{^Jg:   - gaf}', "");
Expect(0, 2224, '\P{Jg:   - gaf}', "");
Expect(1, 2224, '\P{^Jg:   - gaf}', "");
Expect(0, 2225, '\p{Jg:   - gaf}', "");
Expect(1, 2225, '\p{^Jg:   - gaf}', "");
Expect(1, 2225, '\P{Jg:   - gaf}', "");
Expect(0, 2225, '\P{^Jg:   - gaf}', "");
Error('\p{Is_Joining_Group= -gaf:=}');
Error('\P{Is_Joining_Group= -gaf:=}');
Expect(1, 2224, '\p{Is_Joining_Group=gaf}', "");
Expect(0, 2224, '\p{^Is_Joining_Group=gaf}', "");
Expect(0, 2224, '\P{Is_Joining_Group=gaf}', "");
Expect(1, 2224, '\P{^Is_Joining_Group=gaf}', "");
Expect(0, 2225, '\p{Is_Joining_Group=gaf}', "");
Expect(1, 2225, '\p{^Is_Joining_Group=gaf}', "");
Expect(1, 2225, '\P{Is_Joining_Group=gaf}', "");
Expect(0, 2225, '\P{^Is_Joining_Group=gaf}', "");
Expect(1, 2224, '\p{Is_Joining_Group: 	-GAF}', "");
Expect(0, 2224, '\p{^Is_Joining_Group: 	-GAF}', "");
Expect(0, 2224, '\P{Is_Joining_Group: 	-GAF}', "");
Expect(1, 2224, '\P{^Is_Joining_Group: 	-GAF}', "");
Expect(0, 2225, '\p{Is_Joining_Group: 	-GAF}', "");
Expect(1, 2225, '\p{^Is_Joining_Group: 	-GAF}', "");
Expect(1, 2225, '\P{Is_Joining_Group: 	-GAF}', "");
Expect(0, 2225, '\P{^Is_Joining_Group: 	-GAF}', "");
Error('\p{Is_Jg=- Gaf/a/}');
Error('\P{Is_Jg=- Gaf/a/}');
Expect(1, 2224, '\p{Is_Jg=gaf}', "");
Expect(0, 2224, '\p{^Is_Jg=gaf}', "");
Expect(0, 2224, '\P{Is_Jg=gaf}', "");
Expect(1, 2224, '\P{^Is_Jg=gaf}', "");
Expect(0, 2225, '\p{Is_Jg=gaf}', "");
Expect(1, 2225, '\p{^Is_Jg=gaf}', "");
Expect(1, 2225, '\P{Is_Jg=gaf}', "");
Expect(0, 2225, '\P{^Is_Jg=gaf}', "");
Expect(1, 2224, '\p{Is_Jg= _GAF}', "");
Expect(0, 2224, '\p{^Is_Jg= _GAF}', "");
Expect(0, 2224, '\P{Is_Jg= _GAF}', "");
Expect(1, 2224, '\P{^Is_Jg= _GAF}', "");
Expect(0, 2225, '\p{Is_Jg= _GAF}', "");
Expect(1, 2225, '\p{^Is_Jg= _GAF}', "");
Expect(1, 2225, '\P{Is_Jg= _GAF}', "");
Expect(0, 2225, '\P{^Is_Jg= _GAF}', "");
Error('\p{Joining_Group=:=-	GAMAL}');
Error('\P{Joining_Group=:=-	GAMAL}');
Expect(1, 1838, '\p{Joining_Group=gamal}', "");
Expect(0, 1838, '\p{^Joining_Group=gamal}', "");
Expect(0, 1838, '\P{Joining_Group=gamal}', "");
Expect(1, 1838, '\P{^Joining_Group=gamal}', "");
Expect(0, 1839, '\p{Joining_Group=gamal}', "");
Expect(1, 1839, '\p{^Joining_Group=gamal}', "");
Expect(1, 1839, '\P{Joining_Group=gamal}', "");
Expect(0, 1839, '\P{^Joining_Group=gamal}', "");
Expect(1, 1838, '\p{Joining_Group=_ gamal}', "");
Expect(0, 1838, '\p{^Joining_Group=_ gamal}', "");
Expect(0, 1838, '\P{Joining_Group=_ gamal}', "");
Expect(1, 1838, '\P{^Joining_Group=_ gamal}', "");
Expect(0, 1839, '\p{Joining_Group=_ gamal}', "");
Expect(1, 1839, '\p{^Joining_Group=_ gamal}', "");
Expect(1, 1839, '\P{Joining_Group=_ gamal}', "");
Expect(0, 1839, '\P{^Joining_Group=_ gamal}', "");
Error('\p{Jg=_:=gamal}');
Error('\P{Jg=_:=gamal}');
Expect(1, 1838, '\p{Jg=gamal}', "");
Expect(0, 1838, '\p{^Jg=gamal}', "");
Expect(0, 1838, '\P{Jg=gamal}', "");
Expect(1, 1838, '\P{^Jg=gamal}', "");
Expect(0, 1839, '\p{Jg=gamal}', "");
Expect(1, 1839, '\p{^Jg=gamal}', "");
Expect(1, 1839, '\P{Jg=gamal}', "");
Expect(0, 1839, '\P{^Jg=gamal}', "");
Expect(1, 1838, '\p{Jg= Gamal}', "");
Expect(0, 1838, '\p{^Jg= Gamal}', "");
Expect(0, 1838, '\P{Jg= Gamal}', "");
Expect(1, 1838, '\P{^Jg= Gamal}', "");
Expect(0, 1839, '\p{Jg= Gamal}', "");
Expect(1, 1839, '\p{^Jg= Gamal}', "");
Expect(1, 1839, '\P{Jg= Gamal}', "");
Expect(0, 1839, '\P{^Jg= Gamal}', "");
Error('\p{Is_Joining_Group=__Gamal/a/}');
Error('\P{Is_Joining_Group=__Gamal/a/}');
Expect(1, 1838, '\p{Is_Joining_Group=gamal}', "");
Expect(0, 1838, '\p{^Is_Joining_Group=gamal}', "");
Expect(0, 1838, '\P{Is_Joining_Group=gamal}', "");
Expect(1, 1838, '\P{^Is_Joining_Group=gamal}', "");
Expect(0, 1839, '\p{Is_Joining_Group=gamal}', "");
Expect(1, 1839, '\p{^Is_Joining_Group=gamal}', "");
Expect(1, 1839, '\P{Is_Joining_Group=gamal}', "");
Expect(0, 1839, '\P{^Is_Joining_Group=gamal}', "");
Expect(1, 1838, '\p{Is_Joining_Group=-	gamal}', "");
Expect(0, 1838, '\p{^Is_Joining_Group=-	gamal}', "");
Expect(0, 1838, '\P{Is_Joining_Group=-	gamal}', "");
Expect(1, 1838, '\P{^Is_Joining_Group=-	gamal}', "");
Expect(0, 1839, '\p{Is_Joining_Group=-	gamal}', "");
Expect(1, 1839, '\p{^Is_Joining_Group=-	gamal}', "");
Expect(1, 1839, '\P{Is_Joining_Group=-	gamal}', "");
Expect(0, 1839, '\P{^Is_Joining_Group=-	gamal}', "");
Error('\p{Is_Jg:	/a/  Gamal}');
Error('\P{Is_Jg:	/a/  Gamal}');
Expect(1, 1838, '\p{Is_Jg=gamal}', "");
Expect(0, 1838, '\p{^Is_Jg=gamal}', "");
Expect(0, 1838, '\P{Is_Jg=gamal}', "");
Expect(1, 1838, '\P{^Is_Jg=gamal}', "");
Expect(0, 1839, '\p{Is_Jg=gamal}', "");
Expect(1, 1839, '\p{^Is_Jg=gamal}', "");
Expect(1, 1839, '\P{Is_Jg=gamal}', "");
Expect(0, 1839, '\P{^Is_Jg=gamal}', "");
Expect(1, 1838, '\p{Is_Jg=	gamal}', "");
Expect(0, 1838, '\p{^Is_Jg=	gamal}', "");
Expect(0, 1838, '\P{Is_Jg=	gamal}', "");
Expect(1, 1838, '\P{^Is_Jg=	gamal}', "");
Expect(0, 1839, '\p{Is_Jg=	gamal}', "");
Expect(1, 1839, '\p{^Is_Jg=	gamal}', "");
Expect(1, 1839, '\P{Is_Jg=	gamal}', "");
Expect(0, 1839, '\P{^Is_Jg=	gamal}', "");
Error('\p{Joining_Group=	/a/hah}');
Error('\P{Joining_Group=	/a/hah}');
Expect(1, 2210, '\p{Joining_Group=hah}', "");
Expect(0, 2210, '\p{^Joining_Group=hah}', "");
Expect(0, 2210, '\P{Joining_Group=hah}', "");
Expect(1, 2210, '\P{^Joining_Group=hah}', "");
Expect(0, 2211, '\p{Joining_Group=hah}', "");
Expect(1, 2211, '\p{^Joining_Group=hah}', "");
Expect(1, 2211, '\P{Joining_Group=hah}', "");
Expect(0, 2211, '\P{^Joining_Group=hah}', "");
Expect(1, 2210, '\p{Joining_Group=	Hah}', "");
Expect(0, 2210, '\p{^Joining_Group=	Hah}', "");
Expect(0, 2210, '\P{Joining_Group=	Hah}', "");
Expect(1, 2210, '\P{^Joining_Group=	Hah}', "");
Expect(0, 2211, '\p{Joining_Group=	Hah}', "");
Expect(1, 2211, '\p{^Joining_Group=	Hah}', "");
Expect(1, 2211, '\P{Joining_Group=	Hah}', "");
Expect(0, 2211, '\P{^Joining_Group=	Hah}', "");
Error('\p{Jg=	/a/Hah}');
Error('\P{Jg=	/a/Hah}');
Expect(1, 2210, '\p{Jg=hah}', "");
Expect(0, 2210, '\p{^Jg=hah}', "");
Expect(0, 2210, '\P{Jg=hah}', "");
Expect(1, 2210, '\P{^Jg=hah}', "");
Expect(0, 2211, '\p{Jg=hah}', "");
Expect(1, 2211, '\p{^Jg=hah}', "");
Expect(1, 2211, '\P{Jg=hah}', "");
Expect(0, 2211, '\P{^Jg=hah}', "");
Expect(1, 2210, '\p{Jg=	Hah}', "");
Expect(0, 2210, '\p{^Jg=	Hah}', "");
Expect(0, 2210, '\P{Jg=	Hah}', "");
Expect(1, 2210, '\P{^Jg=	Hah}', "");
Expect(0, 2211, '\p{Jg=	Hah}', "");
Expect(1, 2211, '\p{^Jg=	Hah}', "");
Expect(1, 2211, '\P{Jg=	Hah}', "");
Expect(0, 2211, '\P{^Jg=	Hah}', "");
Error('\p{Is_Joining_Group=/a/- HAH}');
Error('\P{Is_Joining_Group=/a/- HAH}');
Expect(1, 2210, '\p{Is_Joining_Group=hah}', "");
Expect(0, 2210, '\p{^Is_Joining_Group=hah}', "");
Expect(0, 2210, '\P{Is_Joining_Group=hah}', "");
Expect(1, 2210, '\P{^Is_Joining_Group=hah}', "");
Expect(0, 2211, '\p{Is_Joining_Group=hah}', "");
Expect(1, 2211, '\p{^Is_Joining_Group=hah}', "");
Expect(1, 2211, '\P{Is_Joining_Group=hah}', "");
Expect(0, 2211, '\P{^Is_Joining_Group=hah}', "");
Expect(1, 2210, '\p{Is_Joining_Group=--Hah}', "");
Expect(0, 2210, '\p{^Is_Joining_Group=--Hah}', "");
Expect(0, 2210, '\P{Is_Joining_Group=--Hah}', "");
Expect(1, 2210, '\P{^Is_Joining_Group=--Hah}', "");
Expect(0, 2211, '\p{Is_Joining_Group=--Hah}', "");
Expect(1, 2211, '\p{^Is_Joining_Group=--Hah}', "");
Expect(1, 2211, '\P{Is_Joining_Group=--Hah}', "");
Expect(0, 2211, '\P{^Is_Joining_Group=--Hah}', "");
Error('\p{Is_Jg=	-Hah/a/}');
Error('\P{Is_Jg=	-Hah/a/}');
Expect(1, 2210, '\p{Is_Jg=hah}', "");
Expect(0, 2210, '\p{^Is_Jg=hah}', "");
Expect(0, 2210, '\P{Is_Jg=hah}', "");
Expect(1, 2210, '\P{^Is_Jg=hah}', "");
Expect(0, 2211, '\p{Is_Jg=hah}', "");
Expect(1, 2211, '\p{^Is_Jg=hah}', "");
Expect(1, 2211, '\P{Is_Jg=hah}', "");
Expect(0, 2211, '\P{^Is_Jg=hah}', "");
Expect(1, 2210, '\p{Is_Jg=-Hah}', "");
Expect(0, 2210, '\p{^Is_Jg=-Hah}', "");
Expect(0, 2210, '\P{Is_Jg=-Hah}', "");
Expect(1, 2210, '\P{^Is_Jg=-Hah}', "");
Expect(0, 2211, '\p{Is_Jg=-Hah}', "");
Expect(1, 2211, '\p{^Is_Jg=-Hah}', "");
Expect(1, 2211, '\P{Is_Jg=-Hah}', "");
Expect(0, 2211, '\P{^Is_Jg=-Hah}', "");
Error('\p{Joining_Group= He/a/}');
Error('\P{Joining_Group= He/a/}');
Expect(1, 1815, '\p{Joining_Group=he}', "");
Expect(0, 1815, '\p{^Joining_Group=he}', "");
Expect(0, 1815, '\P{Joining_Group=he}', "");
Expect(1, 1815, '\P{^Joining_Group=he}', "");
Expect(0, 1816, '\p{Joining_Group=he}', "");
Expect(1, 1816, '\p{^Joining_Group=he}', "");
Expect(1, 1816, '\P{Joining_Group=he}', "");
Expect(0, 1816, '\P{^Joining_Group=he}', "");
Expect(1, 1815, '\p{Joining_Group:-He}', "");
Expect(0, 1815, '\p{^Joining_Group:-He}', "");
Expect(0, 1815, '\P{Joining_Group:-He}', "");
Expect(1, 1815, '\P{^Joining_Group:-He}', "");
Expect(0, 1816, '\p{Joining_Group:-He}', "");
Expect(1, 1816, '\p{^Joining_Group:-He}', "");
Expect(1, 1816, '\P{Joining_Group:-He}', "");
Expect(0, 1816, '\P{^Joining_Group:-He}', "");
Error('\p{Jg=:=	-He}');
Error('\P{Jg=:=	-He}');
Expect(1, 1815, '\p{Jg=he}', "");
Expect(0, 1815, '\p{^Jg=he}', "");
Expect(0, 1815, '\P{Jg=he}', "");
Expect(1, 1815, '\P{^Jg=he}', "");
Expect(0, 1816, '\p{Jg=he}', "");
Expect(1, 1816, '\p{^Jg=he}', "");
Expect(1, 1816, '\P{Jg=he}', "");
Expect(0, 1816, '\P{^Jg=he}', "");
Expect(1, 1815, '\p{Jg= -he}', "");
Expect(0, 1815, '\p{^Jg= -he}', "");
Expect(0, 1815, '\P{Jg= -he}', "");
Expect(1, 1815, '\P{^Jg= -he}', "");
Expect(0, 1816, '\p{Jg= -he}', "");
Expect(1, 1816, '\p{^Jg= -he}', "");
Expect(1, 1816, '\P{Jg= -he}', "");
Expect(0, 1816, '\P{^Jg= -he}', "");
Error('\p{Is_Joining_Group=:=he}');
Error('\P{Is_Joining_Group=:=he}');
Expect(1, 1815, '\p{Is_Joining_Group=he}', "");
Expect(0, 1815, '\p{^Is_Joining_Group=he}', "");
Expect(0, 1815, '\P{Is_Joining_Group=he}', "");
Expect(1, 1815, '\P{^Is_Joining_Group=he}', "");
Expect(0, 1816, '\p{Is_Joining_Group=he}', "");
Expect(1, 1816, '\p{^Is_Joining_Group=he}', "");
Expect(1, 1816, '\P{Is_Joining_Group=he}', "");
Expect(0, 1816, '\P{^Is_Joining_Group=he}', "");
Expect(1, 1815, '\p{Is_Joining_Group=_	He}', "");
Expect(0, 1815, '\p{^Is_Joining_Group=_	He}', "");
Expect(0, 1815, '\P{Is_Joining_Group=_	He}', "");
Expect(1, 1815, '\P{^Is_Joining_Group=_	He}', "");
Expect(0, 1816, '\p{Is_Joining_Group=_	He}', "");
Expect(1, 1816, '\p{^Is_Joining_Group=_	He}', "");
Expect(1, 1816, '\P{Is_Joining_Group=_	He}', "");
Expect(0, 1816, '\P{^Is_Joining_Group=_	He}', "");
Error('\p{Is_Jg=__he:=}');
Error('\P{Is_Jg=__he:=}');
Expect(1, 1815, '\p{Is_Jg=he}', "");
Expect(0, 1815, '\p{^Is_Jg=he}', "");
Expect(0, 1815, '\P{Is_Jg=he}', "");
Expect(1, 1815, '\P{^Is_Jg=he}', "");
Expect(0, 1816, '\p{Is_Jg=he}', "");
Expect(1, 1816, '\p{^Is_Jg=he}', "");
Expect(1, 1816, '\P{Is_Jg=he}', "");
Expect(0, 1816, '\P{^Is_Jg=he}', "");
Expect(1, 1815, '\p{Is_Jg=	_he}', "");
Expect(0, 1815, '\p{^Is_Jg=	_he}', "");
Expect(0, 1815, '\P{Is_Jg=	_he}', "");
Expect(1, 1815, '\P{^Is_Jg=	_he}', "");
Expect(0, 1816, '\p{Is_Jg=	_he}', "");
Expect(1, 1816, '\p{^Is_Jg=	_he}', "");
Expect(1, 1816, '\P{Is_Jg=	_he}', "");
Expect(0, 1816, '\P{^Is_Jg=	_he}', "");
Error('\p{Joining_Group=/a/_	heh}');
Error('\P{Joining_Group=/a/_	heh}');
Expect(1, 1607, '\p{Joining_Group=heh}', "");
Expect(0, 1607, '\p{^Joining_Group=heh}', "");
Expect(0, 1607, '\P{Joining_Group=heh}', "");
Expect(1, 1607, '\P{^Joining_Group=heh}', "");
Expect(0, 1608, '\p{Joining_Group=heh}', "");
Expect(1, 1608, '\p{^Joining_Group=heh}', "");
Expect(1, 1608, '\P{Joining_Group=heh}', "");
Expect(0, 1608, '\P{^Joining_Group=heh}', "");
Expect(1, 1607, '\p{Joining_Group=_-Heh}', "");
Expect(0, 1607, '\p{^Joining_Group=_-Heh}', "");
Expect(0, 1607, '\P{Joining_Group=_-Heh}', "");
Expect(1, 1607, '\P{^Joining_Group=_-Heh}', "");
Expect(0, 1608, '\p{Joining_Group=_-Heh}', "");
Expect(1, 1608, '\p{^Joining_Group=_-Heh}', "");
Expect(1, 1608, '\P{Joining_Group=_-Heh}', "");
Expect(0, 1608, '\P{^Joining_Group=_-Heh}', "");
Error('\p{Jg:   :=heh}');
Error('\P{Jg:   :=heh}');
Expect(1, 1607, '\p{Jg=heh}', "");
Expect(0, 1607, '\p{^Jg=heh}', "");
Expect(0, 1607, '\P{Jg=heh}', "");
Expect(1, 1607, '\P{^Jg=heh}', "");
Expect(0, 1608, '\p{Jg=heh}', "");
Expect(1, 1608, '\p{^Jg=heh}', "");
Expect(1, 1608, '\P{Jg=heh}', "");
Expect(0, 1608, '\P{^Jg=heh}', "");
Expect(1, 1607, '\p{Jg= heh}', "");
Expect(0, 1607, '\p{^Jg= heh}', "");
Expect(0, 1607, '\P{Jg= heh}', "");
Expect(1, 1607, '\P{^Jg= heh}', "");
Expect(0, 1608, '\p{Jg= heh}', "");
Expect(1, 1608, '\p{^Jg= heh}', "");
Expect(1, 1608, '\P{Jg= heh}', "");
Expect(0, 1608, '\P{^Jg= heh}', "");
Error('\p{Is_Joining_Group=_Heh:=}');
Error('\P{Is_Joining_Group=_Heh:=}');
Expect(1, 1607, '\p{Is_Joining_Group=heh}', "");
Expect(0, 1607, '\p{^Is_Joining_Group=heh}', "");
Expect(0, 1607, '\P{Is_Joining_Group=heh}', "");
Expect(1, 1607, '\P{^Is_Joining_Group=heh}', "");
Expect(0, 1608, '\p{Is_Joining_Group=heh}', "");
Expect(1, 1608, '\p{^Is_Joining_Group=heh}', "");
Expect(1, 1608, '\P{Is_Joining_Group=heh}', "");
Expect(0, 1608, '\P{^Is_Joining_Group=heh}', "");
Expect(1, 1607, '\p{Is_Joining_Group=		Heh}', "");
Expect(0, 1607, '\p{^Is_Joining_Group=		Heh}', "");
Expect(0, 1607, '\P{Is_Joining_Group=		Heh}', "");
Expect(1, 1607, '\P{^Is_Joining_Group=		Heh}', "");
Expect(0, 1608, '\p{Is_Joining_Group=		Heh}', "");
Expect(1, 1608, '\p{^Is_Joining_Group=		Heh}', "");
Expect(1, 1608, '\P{Is_Joining_Group=		Heh}', "");
Expect(0, 1608, '\P{^Is_Joining_Group=		Heh}', "");
Error('\p{Is_Jg:/a/__Heh}');
Error('\P{Is_Jg:/a/__Heh}');
Expect(1, 1607, '\p{Is_Jg=heh}', "");
Expect(0, 1607, '\p{^Is_Jg=heh}', "");
Expect(0, 1607, '\P{Is_Jg=heh}', "");
Expect(1, 1607, '\P{^Is_Jg=heh}', "");
Expect(0, 1608, '\p{Is_Jg=heh}', "");
Expect(1, 1608, '\p{^Is_Jg=heh}', "");
Expect(1, 1608, '\P{Is_Jg=heh}', "");
Expect(0, 1608, '\P{^Is_Jg=heh}', "");
Expect(1, 1607, '\p{Is_Jg=	 HEH}', "");
Expect(0, 1607, '\p{^Is_Jg=	 HEH}', "");
Expect(0, 1607, '\P{Is_Jg=	 HEH}', "");
Expect(1, 1607, '\P{^Is_Jg=	 HEH}', "");
Expect(0, 1608, '\p{Is_Jg=	 HEH}', "");
Expect(1, 1608, '\p{^Is_Jg=	 HEH}', "");
Expect(1, 1608, '\P{Is_Jg=	 HEH}', "");
Expect(0, 1608, '\P{^Is_Jg=	 HEH}', "");
Error('\p{Joining_Group=/a/-_HEH_goal}');
Error('\P{Joining_Group=/a/-_HEH_goal}');
Expect(1, 1730, '\p{Joining_Group=hehgoal}', "");
Expect(0, 1730, '\p{^Joining_Group=hehgoal}', "");
Expect(0, 1730, '\P{Joining_Group=hehgoal}', "");
Expect(1, 1730, '\P{^Joining_Group=hehgoal}', "");
Expect(0, 1731, '\p{Joining_Group=hehgoal}', "");
Expect(1, 1731, '\p{^Joining_Group=hehgoal}', "");
Expect(1, 1731, '\P{Joining_Group=hehgoal}', "");
Expect(0, 1731, '\P{^Joining_Group=hehgoal}', "");
Expect(1, 1730, '\p{Joining_Group=	heh_Goal}', "");
Expect(0, 1730, '\p{^Joining_Group=	heh_Goal}', "");
Expect(0, 1730, '\P{Joining_Group=	heh_Goal}', "");
Expect(1, 1730, '\P{^Joining_Group=	heh_Goal}', "");
Expect(0, 1731, '\p{Joining_Group=	heh_Goal}', "");
Expect(1, 1731, '\p{^Joining_Group=	heh_Goal}', "");
Expect(1, 1731, '\P{Joining_Group=	heh_Goal}', "");
Expect(0, 1731, '\P{^Joining_Group=	heh_Goal}', "");
Error('\p{Jg=/a/_Heh_goal}');
Error('\P{Jg=/a/_Heh_goal}');
Expect(1, 1730, '\p{Jg=hehgoal}', "");
Expect(0, 1730, '\p{^Jg=hehgoal}', "");
Expect(0, 1730, '\P{Jg=hehgoal}', "");
Expect(1, 1730, '\P{^Jg=hehgoal}', "");
Expect(0, 1731, '\p{Jg=hehgoal}', "");
Expect(1, 1731, '\p{^Jg=hehgoal}', "");
Expect(1, 1731, '\P{Jg=hehgoal}', "");
Expect(0, 1731, '\P{^Jg=hehgoal}', "");
Expect(1, 1730, '\p{Jg=_HEH_goal}', "");
Expect(0, 1730, '\p{^Jg=_HEH_goal}', "");
Expect(0, 1730, '\P{Jg=_HEH_goal}', "");
Expect(1, 1730, '\P{^Jg=_HEH_goal}', "");
Expect(0, 1731, '\p{Jg=_HEH_goal}', "");
Expect(1, 1731, '\p{^Jg=_HEH_goal}', "");
Expect(1, 1731, '\P{Jg=_HEH_goal}', "");
Expect(0, 1731, '\P{^Jg=_HEH_goal}', "");
Error('\p{Is_Joining_Group=:=_Heh_GOAL}');
Error('\P{Is_Joining_Group=:=_Heh_GOAL}');
Expect(1, 1730, '\p{Is_Joining_Group=hehgoal}', "");
Expect(0, 1730, '\p{^Is_Joining_Group=hehgoal}', "");
Expect(0, 1730, '\P{Is_Joining_Group=hehgoal}', "");
Expect(1, 1730, '\P{^Is_Joining_Group=hehgoal}', "");
Expect(0, 1731, '\p{Is_Joining_Group=hehgoal}', "");
Expect(1, 1731, '\p{^Is_Joining_Group=hehgoal}', "");
Expect(1, 1731, '\P{Is_Joining_Group=hehgoal}', "");
Expect(0, 1731, '\P{^Is_Joining_Group=hehgoal}', "");
Expect(1, 1730, '\p{Is_Joining_Group=_heh_goal}', "");
Expect(0, 1730, '\p{^Is_Joining_Group=_heh_goal}', "");
Expect(0, 1730, '\P{Is_Joining_Group=_heh_goal}', "");
Expect(1, 1730, '\P{^Is_Joining_Group=_heh_goal}', "");
Expect(0, 1731, '\p{Is_Joining_Group=_heh_goal}', "");
Expect(1, 1731, '\p{^Is_Joining_Group=_heh_goal}', "");
Expect(1, 1731, '\P{Is_Joining_Group=_heh_goal}', "");
Expect(0, 1731, '\P{^Is_Joining_Group=_heh_goal}', "");
Error('\p{Is_Jg=-/a/HEH_Goal}');
Error('\P{Is_Jg=-/a/HEH_Goal}');
Expect(1, 1730, '\p{Is_Jg=hehgoal}', "");
Expect(0, 1730, '\p{^Is_Jg=hehgoal}', "");
Expect(0, 1730, '\P{Is_Jg=hehgoal}', "");
Expect(1, 1730, '\P{^Is_Jg=hehgoal}', "");
Expect(0, 1731, '\p{Is_Jg=hehgoal}', "");
Expect(1, 1731, '\p{^Is_Jg=hehgoal}', "");
Expect(1, 1731, '\P{Is_Jg=hehgoal}', "");
Expect(0, 1731, '\P{^Is_Jg=hehgoal}', "");
Expect(1, 1730, '\p{Is_Jg=	heh_Goal}', "");
Expect(0, 1730, '\p{^Is_Jg=	heh_Goal}', "");
Expect(0, 1730, '\P{Is_Jg=	heh_Goal}', "");
Expect(1, 1730, '\P{^Is_Jg=	heh_Goal}', "");
Expect(0, 1731, '\p{Is_Jg=	heh_Goal}', "");
Expect(1, 1731, '\p{^Is_Jg=	heh_Goal}', "");
Expect(1, 1731, '\P{Is_Jg=	heh_Goal}', "");
Expect(0, 1731, '\P{^Is_Jg=	heh_Goal}', "");
Error('\p{Joining_Group=/a/ Heth}');
Error('\P{Joining_Group=/a/ Heth}');
Expect(1, 1818, '\p{Joining_Group=heth}', "");
Expect(0, 1818, '\p{^Joining_Group=heth}', "");
Expect(0, 1818, '\P{Joining_Group=heth}', "");
Expect(1, 1818, '\P{^Joining_Group=heth}', "");
Expect(0, 1819, '\p{Joining_Group=heth}', "");
Expect(1, 1819, '\p{^Joining_Group=heth}', "");
Expect(1, 1819, '\P{Joining_Group=heth}', "");
Expect(0, 1819, '\P{^Joining_Group=heth}', "");
Expect(1, 1818, '\p{Joining_Group=-heth}', "");
Expect(0, 1818, '\p{^Joining_Group=-heth}', "");
Expect(0, 1818, '\P{Joining_Group=-heth}', "");
Expect(1, 1818, '\P{^Joining_Group=-heth}', "");
Expect(0, 1819, '\p{Joining_Group=-heth}', "");
Expect(1, 1819, '\p{^Joining_Group=-heth}', "");
Expect(1, 1819, '\P{Joining_Group=-heth}', "");
Expect(0, 1819, '\P{^Joining_Group=-heth}', "");
Error('\p{Jg=	_Heth:=}');
Error('\P{Jg=	_Heth:=}');
Expect(1, 1818, '\p{Jg=heth}', "");
Expect(0, 1818, '\p{^Jg=heth}', "");
Expect(0, 1818, '\P{Jg=heth}', "");
Expect(1, 1818, '\P{^Jg=heth}', "");
Expect(0, 1819, '\p{Jg=heth}', "");
Expect(1, 1819, '\p{^Jg=heth}', "");
Expect(1, 1819, '\P{Jg=heth}', "");
Expect(0, 1819, '\P{^Jg=heth}', "");
Expect(1, 1818, '\p{Jg:  heth}', "");
Expect(0, 1818, '\p{^Jg:  heth}', "");
Expect(0, 1818, '\P{Jg:  heth}', "");
Expect(1, 1818, '\P{^Jg:  heth}', "");
Expect(0, 1819, '\p{Jg:  heth}', "");
Expect(1, 1819, '\p{^Jg:  heth}', "");
Expect(1, 1819, '\P{Jg:  heth}', "");
Expect(0, 1819, '\P{^Jg:  heth}', "");
Error('\p{Is_Joining_Group=/a/-_HETH}');
Error('\P{Is_Joining_Group=/a/-_HETH}');
Expect(1, 1818, '\p{Is_Joining_Group=heth}', "");
Expect(0, 1818, '\p{^Is_Joining_Group=heth}', "");
Expect(0, 1818, '\P{Is_Joining_Group=heth}', "");
Expect(1, 1818, '\P{^Is_Joining_Group=heth}', "");
Expect(0, 1819, '\p{Is_Joining_Group=heth}', "");
Expect(1, 1819, '\p{^Is_Joining_Group=heth}', "");
Expect(1, 1819, '\P{Is_Joining_Group=heth}', "");
Expect(0, 1819, '\P{^Is_Joining_Group=heth}', "");
Expect(1, 1818, '\p{Is_Joining_Group=_Heth}', "");
Expect(0, 1818, '\p{^Is_Joining_Group=_Heth}', "");
Expect(0, 1818, '\P{Is_Joining_Group=_Heth}', "");
Expect(1, 1818, '\P{^Is_Joining_Group=_Heth}', "");
Expect(0, 1819, '\p{Is_Joining_Group=_Heth}', "");
Expect(1, 1819, '\p{^Is_Joining_Group=_Heth}', "");
Expect(1, 1819, '\P{Is_Joining_Group=_Heth}', "");
Expect(0, 1819, '\P{^Is_Joining_Group=_Heth}', "");
Error('\p{Is_Jg=:=Heth}');
Error('\P{Is_Jg=:=Heth}');
Expect(1, 1818, '\p{Is_Jg=heth}', "");
Expect(0, 1818, '\p{^Is_Jg=heth}', "");
Expect(0, 1818, '\P{Is_Jg=heth}', "");
Expect(1, 1818, '\P{^Is_Jg=heth}', "");
Expect(0, 1819, '\p{Is_Jg=heth}', "");
Expect(1, 1819, '\p{^Is_Jg=heth}', "");
Expect(1, 1819, '\P{Is_Jg=heth}', "");
Expect(0, 1819, '\P{^Is_Jg=heth}', "");
Expect(1, 1818, '\p{Is_Jg= -heth}', "");
Expect(0, 1818, '\p{^Is_Jg= -heth}', "");
Expect(0, 1818, '\P{Is_Jg= -heth}', "");
Expect(1, 1818, '\P{^Is_Jg= -heth}', "");
Expect(0, 1819, '\p{Is_Jg= -heth}', "");
Expect(1, 1819, '\p{^Is_Jg= -heth}', "");
Expect(1, 1819, '\P{Is_Jg= -heth}', "");
Expect(0, 1819, '\P{^Is_Jg= -heth}', "");
Error('\p{Joining_Group=:=KAF}');
Error('\P{Joining_Group=:=KAF}');
Expect(1, 1919, '\p{Joining_Group=kaf}', "");
Expect(0, 1919, '\p{^Joining_Group=kaf}', "");
Expect(0, 1919, '\P{Joining_Group=kaf}', "");
Expect(1, 1919, '\P{^Joining_Group=kaf}', "");
Expect(0, 1920, '\p{Joining_Group=kaf}', "");
Expect(1, 1920, '\p{^Joining_Group=kaf}', "");
Expect(1, 1920, '\P{Joining_Group=kaf}', "");
Expect(0, 1920, '\P{^Joining_Group=kaf}', "");
Expect(1, 1919, '\p{Joining_Group=		Kaf}', "");
Expect(0, 1919, '\p{^Joining_Group=		Kaf}', "");
Expect(0, 1919, '\P{Joining_Group=		Kaf}', "");
Expect(1, 1919, '\P{^Joining_Group=		Kaf}', "");
Expect(0, 1920, '\p{Joining_Group=		Kaf}', "");
Expect(1, 1920, '\p{^Joining_Group=		Kaf}', "");
Expect(1, 1920, '\P{Joining_Group=		Kaf}', "");
Expect(0, 1920, '\P{^Joining_Group=		Kaf}', "");
Error('\p{Jg=  Kaf/a/}');
Error('\P{Jg=  Kaf/a/}');
Expect(1, 1919, '\p{Jg=kaf}', "");
Expect(0, 1919, '\p{^Jg=kaf}', "");
Expect(0, 1919, '\P{Jg=kaf}', "");
Expect(1, 1919, '\P{^Jg=kaf}', "");
Expect(0, 1920, '\p{Jg=kaf}', "");
Expect(1, 1920, '\p{^Jg=kaf}', "");
Expect(1, 1920, '\P{Jg=kaf}', "");
Expect(0, 1920, '\P{^Jg=kaf}', "");
Expect(1, 1919, '\p{Jg=_Kaf}', "");
Expect(0, 1919, '\p{^Jg=_Kaf}', "");
Expect(0, 1919, '\P{Jg=_Kaf}', "");
Expect(1, 1919, '\P{^Jg=_Kaf}', "");
Expect(0, 1920, '\p{Jg=_Kaf}', "");
Expect(1, 1920, '\p{^Jg=_Kaf}', "");
Expect(1, 1920, '\P{Jg=_Kaf}', "");
Expect(0, 1920, '\P{^Jg=_Kaf}', "");
Error('\p{Is_Joining_Group=-/a/kaf}');
Error('\P{Is_Joining_Group=-/a/kaf}');
Expect(1, 1919, '\p{Is_Joining_Group=kaf}', "");
Expect(0, 1919, '\p{^Is_Joining_Group=kaf}', "");
Expect(0, 1919, '\P{Is_Joining_Group=kaf}', "");
Expect(1, 1919, '\P{^Is_Joining_Group=kaf}', "");
Expect(0, 1920, '\p{Is_Joining_Group=kaf}', "");
Expect(1, 1920, '\p{^Is_Joining_Group=kaf}', "");
Expect(1, 1920, '\P{Is_Joining_Group=kaf}', "");
Expect(0, 1920, '\P{^Is_Joining_Group=kaf}', "");
Expect(1, 1919, '\p{Is_Joining_Group= -kaf}', "");
Expect(0, 1919, '\p{^Is_Joining_Group= -kaf}', "");
Expect(0, 1919, '\P{Is_Joining_Group= -kaf}', "");
Expect(1, 1919, '\P{^Is_Joining_Group= -kaf}', "");
Expect(0, 1920, '\p{Is_Joining_Group= -kaf}', "");
Expect(1, 1920, '\p{^Is_Joining_Group= -kaf}', "");
Expect(1, 1920, '\P{Is_Joining_Group= -kaf}', "");
Expect(0, 1920, '\P{^Is_Joining_Group= -kaf}', "");
Error('\p{Is_Jg=_	Kaf:=}');
Error('\P{Is_Jg=_	Kaf:=}');
Expect(1, 1919, '\p{Is_Jg=kaf}', "");
Expect(0, 1919, '\p{^Is_Jg=kaf}', "");
Expect(0, 1919, '\P{Is_Jg=kaf}', "");
Expect(1, 1919, '\P{^Is_Jg=kaf}', "");
Expect(0, 1920, '\p{Is_Jg=kaf}', "");
Expect(1, 1920, '\p{^Is_Jg=kaf}', "");
Expect(1, 1920, '\P{Is_Jg=kaf}', "");
Expect(0, 1920, '\P{^Is_Jg=kaf}', "");
Expect(1, 1919, '\p{Is_Jg=-_Kaf}', "");
Expect(0, 1919, '\p{^Is_Jg=-_Kaf}', "");
Expect(0, 1919, '\P{Is_Jg=-_Kaf}', "");
Expect(1, 1919, '\P{^Is_Jg=-_Kaf}', "");
Expect(0, 1920, '\p{Is_Jg=-_Kaf}', "");
Expect(1, 1920, '\p{^Is_Jg=-_Kaf}', "");
Expect(1, 1920, '\P{Is_Jg=-_Kaf}', "");
Expect(0, 1920, '\P{^Is_Jg=-_Kaf}', "");
Error('\p{Joining_Group:   _-Kaph:=}');
Error('\P{Joining_Group:   _-Kaph:=}');
Expect(1, 1823, '\p{Joining_Group=kaph}', "");
Expect(0, 1823, '\p{^Joining_Group=kaph}', "");
Expect(0, 1823, '\P{Joining_Group=kaph}', "");
Expect(1, 1823, '\P{^Joining_Group=kaph}', "");
Expect(0, 1824, '\p{Joining_Group=kaph}', "");
Expect(1, 1824, '\p{^Joining_Group=kaph}', "");
Expect(1, 1824, '\P{Joining_Group=kaph}', "");
Expect(0, 1824, '\P{^Joining_Group=kaph}', "");
Expect(1, 1823, '\p{Joining_Group=	KAPH}', "");
Expect(0, 1823, '\p{^Joining_Group=	KAPH}', "");
Expect(0, 1823, '\P{Joining_Group=	KAPH}', "");
Expect(1, 1823, '\P{^Joining_Group=	KAPH}', "");
Expect(0, 1824, '\p{Joining_Group=	KAPH}', "");
Expect(1, 1824, '\p{^Joining_Group=	KAPH}', "");
Expect(1, 1824, '\P{Joining_Group=	KAPH}', "");
Expect(0, 1824, '\P{^Joining_Group=	KAPH}', "");
Error('\p{Jg=/a/	 Kaph}');
Error('\P{Jg=/a/	 Kaph}');
Expect(1, 1823, '\p{Jg=kaph}', "");
Expect(0, 1823, '\p{^Jg=kaph}', "");
Expect(0, 1823, '\P{Jg=kaph}', "");
Expect(1, 1823, '\P{^Jg=kaph}', "");
Expect(0, 1824, '\p{Jg=kaph}', "");
Expect(1, 1824, '\p{^Jg=kaph}', "");
Expect(1, 1824, '\P{Jg=kaph}', "");
Expect(0, 1824, '\P{^Jg=kaph}', "");
Expect(1, 1823, '\p{Jg= -kaph}', "");
Expect(0, 1823, '\p{^Jg= -kaph}', "");
Expect(0, 1823, '\P{Jg= -kaph}', "");
Expect(1, 1823, '\P{^Jg= -kaph}', "");
Expect(0, 1824, '\p{Jg= -kaph}', "");
Expect(1, 1824, '\p{^Jg= -kaph}', "");
Expect(1, 1824, '\P{Jg= -kaph}', "");
Expect(0, 1824, '\P{^Jg= -kaph}', "");
Error('\p{Is_Joining_Group=	_kaph/a/}');
Error('\P{Is_Joining_Group=	_kaph/a/}');
Expect(1, 1823, '\p{Is_Joining_Group=kaph}', "");
Expect(0, 1823, '\p{^Is_Joining_Group=kaph}', "");
Expect(0, 1823, '\P{Is_Joining_Group=kaph}', "");
Expect(1, 1823, '\P{^Is_Joining_Group=kaph}', "");
Expect(0, 1824, '\p{Is_Joining_Group=kaph}', "");
Expect(1, 1824, '\p{^Is_Joining_Group=kaph}', "");
Expect(1, 1824, '\P{Is_Joining_Group=kaph}', "");
Expect(0, 1824, '\P{^Is_Joining_Group=kaph}', "");
Expect(1, 1823, '\p{Is_Joining_Group=--KAPH}', "");
Expect(0, 1823, '\p{^Is_Joining_Group=--KAPH}', "");
Expect(0, 1823, '\P{Is_Joining_Group=--KAPH}', "");
Expect(1, 1823, '\P{^Is_Joining_Group=--KAPH}', "");
Expect(0, 1824, '\p{Is_Joining_Group=--KAPH}', "");
Expect(1, 1824, '\p{^Is_Joining_Group=--KAPH}', "");
Expect(1, 1824, '\P{Is_Joining_Group=--KAPH}', "");
Expect(0, 1824, '\P{^Is_Joining_Group=--KAPH}', "");
Error('\p{Is_Jg=/a/_	Kaph}');
Error('\P{Is_Jg=/a/_	Kaph}');
Expect(1, 1823, '\p{Is_Jg=kaph}', "");
Expect(0, 1823, '\p{^Is_Jg=kaph}', "");
Expect(0, 1823, '\P{Is_Jg=kaph}', "");
Expect(1, 1823, '\P{^Is_Jg=kaph}', "");
Expect(0, 1824, '\p{Is_Jg=kaph}', "");
Expect(1, 1824, '\p{^Is_Jg=kaph}', "");
Expect(1, 1824, '\P{Is_Jg=kaph}', "");
Expect(0, 1824, '\P{^Is_Jg=kaph}', "");
Expect(1, 1823, '\p{Is_Jg=-	KAPH}', "");
Expect(0, 1823, '\p{^Is_Jg=-	KAPH}', "");
Expect(0, 1823, '\P{Is_Jg=-	KAPH}', "");
Expect(1, 1823, '\P{^Is_Jg=-	KAPH}', "");
Expect(0, 1824, '\p{Is_Jg=-	KAPH}', "");
Expect(1, 1824, '\p{^Is_Jg=-	KAPH}', "");
Expect(1, 1824, '\P{Is_Jg=-	KAPH}', "");
Expect(0, 1824, '\P{^Is_Jg=-	KAPH}', "");
Error('\p{Joining_Group=	-khaph:=}');
Error('\P{Joining_Group=	-khaph:=}');
Expect(1, 1870, '\p{Joining_Group=khaph}', "");
Expect(0, 1870, '\p{^Joining_Group=khaph}', "");
Expect(0, 1870, '\P{Joining_Group=khaph}', "");
Expect(1, 1870, '\P{^Joining_Group=khaph}', "");
Expect(0, 1871, '\p{Joining_Group=khaph}', "");
Expect(1, 1871, '\p{^Joining_Group=khaph}', "");
Expect(1, 1871, '\P{Joining_Group=khaph}', "");
Expect(0, 1871, '\P{^Joining_Group=khaph}', "");
Expect(1, 1870, '\p{Joining_Group:	_ Khaph}', "");
Expect(0, 1870, '\p{^Joining_Group:	_ Khaph}', "");
Expect(0, 1870, '\P{Joining_Group:	_ Khaph}', "");
Expect(1, 1870, '\P{^Joining_Group:	_ Khaph}', "");
Expect(0, 1871, '\p{Joining_Group:	_ Khaph}', "");
Expect(1, 1871, '\p{^Joining_Group:	_ Khaph}', "");
Expect(1, 1871, '\P{Joining_Group:	_ Khaph}', "");
Expect(0, 1871, '\P{^Joining_Group:	_ Khaph}', "");
Error('\p{Jg:	:=-Khaph}');
Error('\P{Jg:	:=-Khaph}');
Expect(1, 1870, '\p{Jg=khaph}', "");
Expect(0, 1870, '\p{^Jg=khaph}', "");
Expect(0, 1870, '\P{Jg=khaph}', "");
Expect(1, 1870, '\P{^Jg=khaph}', "");
Expect(0, 1871, '\p{Jg=khaph}', "");
Expect(1, 1871, '\p{^Jg=khaph}', "");
Expect(1, 1871, '\P{Jg=khaph}', "");
Expect(0, 1871, '\P{^Jg=khaph}', "");
Expect(1, 1870, '\p{Jg= Khaph}', "");
Expect(0, 1870, '\p{^Jg= Khaph}', "");
Expect(0, 1870, '\P{Jg= Khaph}', "");
Expect(1, 1870, '\P{^Jg= Khaph}', "");
Expect(0, 1871, '\p{Jg= Khaph}', "");
Expect(1, 1871, '\p{^Jg= Khaph}', "");
Expect(1, 1871, '\P{Jg= Khaph}', "");
Expect(0, 1871, '\P{^Jg= Khaph}', "");
Error('\p{Is_Joining_Group=/a/ khaph}');
Error('\P{Is_Joining_Group=/a/ khaph}');
Expect(1, 1870, '\p{Is_Joining_Group:   khaph}', "");
Expect(0, 1870, '\p{^Is_Joining_Group:   khaph}', "");
Expect(0, 1870, '\P{Is_Joining_Group:   khaph}', "");
Expect(1, 1870, '\P{^Is_Joining_Group:   khaph}', "");
Expect(0, 1871, '\p{Is_Joining_Group:   khaph}', "");
Expect(1, 1871, '\p{^Is_Joining_Group:   khaph}', "");
Expect(1, 1871, '\P{Is_Joining_Group:   khaph}', "");
Expect(0, 1871, '\P{^Is_Joining_Group:   khaph}', "");
Expect(1, 1870, '\p{Is_Joining_Group=	_KHAPH}', "");
Expect(0, 1870, '\p{^Is_Joining_Group=	_KHAPH}', "");
Expect(0, 1870, '\P{Is_Joining_Group=	_KHAPH}', "");
Expect(1, 1870, '\P{^Is_Joining_Group=	_KHAPH}', "");
Expect(0, 1871, '\p{Is_Joining_Group=	_KHAPH}', "");
Expect(1, 1871, '\p{^Is_Joining_Group=	_KHAPH}', "");
Expect(1, 1871, '\P{Is_Joining_Group=	_KHAPH}', "");
Expect(0, 1871, '\P{^Is_Joining_Group=	_KHAPH}', "");
Error('\p{Is_Jg=/a/_-KHAPH}');
Error('\P{Is_Jg=/a/_-KHAPH}');
Expect(1, 1870, '\p{Is_Jg=khaph}', "");
Expect(0, 1870, '\p{^Is_Jg=khaph}', "");
Expect(0, 1870, '\P{Is_Jg=khaph}', "");
Expect(1, 1870, '\P{^Is_Jg=khaph}', "");
Expect(0, 1871, '\p{Is_Jg=khaph}', "");
Expect(1, 1871, '\p{^Is_Jg=khaph}', "");
Expect(1, 1871, '\P{Is_Jg=khaph}', "");
Expect(0, 1871, '\P{^Is_Jg=khaph}', "");
Expect(1, 1870, '\p{Is_Jg=_ Khaph}', "");
Expect(0, 1870, '\p{^Is_Jg=_ Khaph}', "");
Expect(0, 1870, '\P{Is_Jg=_ Khaph}', "");
Expect(1, 1870, '\P{^Is_Jg=_ Khaph}', "");
Expect(0, 1871, '\p{Is_Jg=_ Khaph}', "");
Expect(1, 1871, '\p{^Is_Jg=_ Khaph}', "");
Expect(1, 1871, '\P{Is_Jg=_ Khaph}', "");
Expect(0, 1871, '\P{^Is_Jg=_ Khaph}', "");
Error('\p{Joining_Group:	/a/Knotted_HEH}');
Error('\P{Joining_Group:	/a/Knotted_HEH}');
Expect(1, 1791, '\p{Joining_Group=knottedheh}', "");
Expect(0, 1791, '\p{^Joining_Group=knottedheh}', "");
Expect(0, 1791, '\P{Joining_Group=knottedheh}', "");
Expect(1, 1791, '\P{^Joining_Group=knottedheh}', "");
Expect(0, 1792, '\p{Joining_Group=knottedheh}', "");
Expect(1, 1792, '\p{^Joining_Group=knottedheh}', "");
Expect(1, 1792, '\P{Joining_Group=knottedheh}', "");
Expect(0, 1792, '\P{^Joining_Group=knottedheh}', "");
Expect(1, 1791, '\p{Joining_Group= knotted_heh}', "");
Expect(0, 1791, '\p{^Joining_Group= knotted_heh}', "");
Expect(0, 1791, '\P{Joining_Group= knotted_heh}', "");
Expect(1, 1791, '\P{^Joining_Group= knotted_heh}', "");
Expect(0, 1792, '\p{Joining_Group= knotted_heh}', "");
Expect(1, 1792, '\p{^Joining_Group= knotted_heh}', "");
Expect(1, 1792, '\P{Joining_Group= knotted_heh}', "");
Expect(0, 1792, '\P{^Joining_Group= knotted_heh}', "");
Error('\p{Jg=:=--knotted_Heh}');
Error('\P{Jg=:=--knotted_Heh}');
Expect(1, 1791, '\p{Jg=knottedheh}', "");
Expect(0, 1791, '\p{^Jg=knottedheh}', "");
Expect(0, 1791, '\P{Jg=knottedheh}', "");
Expect(1, 1791, '\P{^Jg=knottedheh}', "");
Expect(0, 1792, '\p{Jg=knottedheh}', "");
Expect(1, 1792, '\p{^Jg=knottedheh}', "");
Expect(1, 1792, '\P{Jg=knottedheh}', "");
Expect(0, 1792, '\P{^Jg=knottedheh}', "");
Expect(1, 1791, '\p{Jg=--knotted_Heh}', "");
Expect(0, 1791, '\p{^Jg=--knotted_Heh}', "");
Expect(0, 1791, '\P{Jg=--knotted_Heh}', "");
Expect(1, 1791, '\P{^Jg=--knotted_Heh}', "");
Expect(0, 1792, '\p{Jg=--knotted_Heh}', "");
Expect(1, 1792, '\p{^Jg=--knotted_Heh}', "");
Expect(1, 1792, '\P{Jg=--knotted_Heh}', "");
Expect(0, 1792, '\P{^Jg=--knotted_Heh}', "");
Error('\p{Is_Joining_Group=:=-	Knotted_Heh}');
Error('\P{Is_Joining_Group=:=-	Knotted_Heh}');
Expect(1, 1791, '\p{Is_Joining_Group=knottedheh}', "");
Expect(0, 1791, '\p{^Is_Joining_Group=knottedheh}', "");
Expect(0, 1791, '\P{Is_Joining_Group=knottedheh}', "");
Expect(1, 1791, '\P{^Is_Joining_Group=knottedheh}', "");
Expect(0, 1792, '\p{Is_Joining_Group=knottedheh}', "");
Expect(1, 1792, '\p{^Is_Joining_Group=knottedheh}', "");
Expect(1, 1792, '\P{Is_Joining_Group=knottedheh}', "");
Expect(0, 1792, '\P{^Is_Joining_Group=knottedheh}', "");
Expect(1, 1791, '\p{Is_Joining_Group=_Knotted_Heh}', "");
Expect(0, 1791, '\p{^Is_Joining_Group=_Knotted_Heh}', "");
Expect(0, 1791, '\P{Is_Joining_Group=_Knotted_Heh}', "");
Expect(1, 1791, '\P{^Is_Joining_Group=_Knotted_Heh}', "");
Expect(0, 1792, '\p{Is_Joining_Group=_Knotted_Heh}', "");
Expect(1, 1792, '\p{^Is_Joining_Group=_Knotted_Heh}', "");
Expect(1, 1792, '\P{Is_Joining_Group=_Knotted_Heh}', "");
Expect(0, 1792, '\P{^Is_Joining_Group=_Knotted_Heh}', "");
Error('\p{Is_Jg:	 /a/KNOTTED_HEH}');
Error('\P{Is_Jg:	 /a/KNOTTED_HEH}');
Expect(1, 1791, '\p{Is_Jg:knottedheh}', "");
Expect(0, 1791, '\p{^Is_Jg:knottedheh}', "");
Expect(0, 1791, '\P{Is_Jg:knottedheh}', "");
Expect(1, 1791, '\P{^Is_Jg:knottedheh}', "");
Expect(0, 1792, '\p{Is_Jg:knottedheh}', "");
Expect(1, 1792, '\p{^Is_Jg:knottedheh}', "");
Expect(1, 1792, '\P{Is_Jg:knottedheh}', "");
Expect(0, 1792, '\P{^Is_Jg:knottedheh}', "");
Expect(1, 1791, '\p{Is_Jg=	-knotted_HEH}', "");
Expect(0, 1791, '\p{^Is_Jg=	-knotted_HEH}', "");
Expect(0, 1791, '\P{Is_Jg=	-knotted_HEH}', "");
Expect(1, 1791, '\P{^Is_Jg=	-knotted_HEH}', "");
Expect(0, 1792, '\p{Is_Jg=	-knotted_HEH}', "");
Expect(1, 1792, '\p{^Is_Jg=	-knotted_HEH}', "");
Expect(1, 1792, '\P{Is_Jg=	-knotted_HEH}', "");
Expect(0, 1792, '\P{^Is_Jg=	-knotted_HEH}', "");
Error('\p{Joining_Group=  lam/a/}');
Error('\P{Joining_Group=  lam/a/}');
Expect(1, 2214, '\p{Joining_Group=lam}', "");
Expect(0, 2214, '\p{^Joining_Group=lam}', "");
Expect(0, 2214, '\P{Joining_Group=lam}', "");
Expect(1, 2214, '\P{^Joining_Group=lam}', "");
Expect(0, 2215, '\p{Joining_Group=lam}', "");
Expect(1, 2215, '\p{^Joining_Group=lam}', "");
Expect(1, 2215, '\P{Joining_Group=lam}', "");
Expect(0, 2215, '\P{^Joining_Group=lam}', "");
Expect(1, 2214, '\p{Joining_Group=-_Lam}', "");
Expect(0, 2214, '\p{^Joining_Group=-_Lam}', "");
Expect(0, 2214, '\P{Joining_Group=-_Lam}', "");
Expect(1, 2214, '\P{^Joining_Group=-_Lam}', "");
Expect(0, 2215, '\p{Joining_Group=-_Lam}', "");
Expect(1, 2215, '\p{^Joining_Group=-_Lam}', "");
Expect(1, 2215, '\P{Joining_Group=-_Lam}', "");
Expect(0, 2215, '\P{^Joining_Group=-_Lam}', "");
Error('\p{Jg=	 lam:=}');
Error('\P{Jg=	 lam:=}');
Expect(1, 2214, '\p{Jg=lam}', "");
Expect(0, 2214, '\p{^Jg=lam}', "");
Expect(0, 2214, '\P{Jg=lam}', "");
Expect(1, 2214, '\P{^Jg=lam}', "");
Expect(0, 2215, '\p{Jg=lam}', "");
Expect(1, 2215, '\p{^Jg=lam}', "");
Expect(1, 2215, '\P{Jg=lam}', "");
Expect(0, 2215, '\P{^Jg=lam}', "");
Expect(1, 2214, '\p{Jg=- Lam}', "");
Expect(0, 2214, '\p{^Jg=- Lam}', "");
Expect(0, 2214, '\P{Jg=- Lam}', "");
Expect(1, 2214, '\P{^Jg=- Lam}', "");
Expect(0, 2215, '\p{Jg=- Lam}', "");
Expect(1, 2215, '\p{^Jg=- Lam}', "");
Expect(1, 2215, '\P{Jg=- Lam}', "");
Expect(0, 2215, '\P{^Jg=- Lam}', "");
Error('\p{Is_Joining_Group:	_lam/a/}');
Error('\P{Is_Joining_Group:	_lam/a/}');
Expect(1, 2214, '\p{Is_Joining_Group=lam}', "");
Expect(0, 2214, '\p{^Is_Joining_Group=lam}', "");
Expect(0, 2214, '\P{Is_Joining_Group=lam}', "");
Expect(1, 2214, '\P{^Is_Joining_Group=lam}', "");
Expect(0, 2215, '\p{Is_Joining_Group=lam}', "");
Expect(1, 2215, '\p{^Is_Joining_Group=lam}', "");
Expect(1, 2215, '\P{Is_Joining_Group=lam}', "");
Expect(0, 2215, '\P{^Is_Joining_Group=lam}', "");
Expect(1, 2214, '\p{Is_Joining_Group: _Lam}', "");
Expect(0, 2214, '\p{^Is_Joining_Group: _Lam}', "");
Expect(0, 2214, '\P{Is_Joining_Group: _Lam}', "");
Expect(1, 2214, '\P{^Is_Joining_Group: _Lam}', "");
Expect(0, 2215, '\p{Is_Joining_Group: _Lam}', "");
Expect(1, 2215, '\p{^Is_Joining_Group: _Lam}', "");
Expect(1, 2215, '\P{Is_Joining_Group: _Lam}', "");
Expect(0, 2215, '\P{^Is_Joining_Group: _Lam}', "");
Error('\p{Is_Jg=	/a/LAM}');
Error('\P{Is_Jg=	/a/LAM}');
Expect(1, 2214, '\p{Is_Jg=lam}', "");
Expect(0, 2214, '\p{^Is_Jg=lam}', "");
Expect(0, 2214, '\P{Is_Jg=lam}', "");
Expect(1, 2214, '\P{^Is_Jg=lam}', "");
Expect(0, 2215, '\p{Is_Jg=lam}', "");
Expect(1, 2215, '\p{^Is_Jg=lam}', "");
Expect(1, 2215, '\P{Is_Jg=lam}', "");
Expect(0, 2215, '\P{^Is_Jg=lam}', "");
Expect(1, 2214, '\p{Is_Jg= _Lam}', "");
Expect(0, 2214, '\p{^Is_Jg= _Lam}', "");
Expect(0, 2214, '\P{Is_Jg= _Lam}', "");
Expect(1, 2214, '\P{^Is_Jg= _Lam}', "");
Expect(0, 2215, '\p{Is_Jg= _Lam}', "");
Expect(1, 2215, '\p{^Is_Jg= _Lam}', "");
Expect(1, 2215, '\P{Is_Jg= _Lam}', "");
Expect(0, 2215, '\P{^Is_Jg= _Lam}', "");
Error('\p{Joining_Group::= lamadh}');
Error('\P{Joining_Group::= lamadh}');
Expect(1, 1824, '\p{Joining_Group=lamadh}', "");
Expect(0, 1824, '\p{^Joining_Group=lamadh}', "");
Expect(0, 1824, '\P{Joining_Group=lamadh}', "");
Expect(1, 1824, '\P{^Joining_Group=lamadh}', "");
Expect(0, 1825, '\p{Joining_Group=lamadh}', "");
Expect(1, 1825, '\p{^Joining_Group=lamadh}', "");
Expect(1, 1825, '\P{Joining_Group=lamadh}', "");
Expect(0, 1825, '\P{^Joining_Group=lamadh}', "");
Expect(1, 1824, '\p{Joining_Group= _lamadh}', "");
Expect(0, 1824, '\p{^Joining_Group= _lamadh}', "");
Expect(0, 1824, '\P{Joining_Group= _lamadh}', "");
Expect(1, 1824, '\P{^Joining_Group= _lamadh}', "");
Expect(0, 1825, '\p{Joining_Group= _lamadh}', "");
Expect(1, 1825, '\p{^Joining_Group= _lamadh}', "");
Expect(1, 1825, '\P{Joining_Group= _lamadh}', "");
Expect(0, 1825, '\P{^Joining_Group= _lamadh}', "");
Error('\p{Jg=:=  LAMADH}');
Error('\P{Jg=:=  LAMADH}');
Expect(1, 1824, '\p{Jg:   lamadh}', "");
Expect(0, 1824, '\p{^Jg:   lamadh}', "");
Expect(0, 1824, '\P{Jg:   lamadh}', "");
Expect(1, 1824, '\P{^Jg:   lamadh}', "");
Expect(0, 1825, '\p{Jg:   lamadh}', "");
Expect(1, 1825, '\p{^Jg:   lamadh}', "");
Expect(1, 1825, '\P{Jg:   lamadh}', "");
Expect(0, 1825, '\P{^Jg:   lamadh}', "");
Expect(1, 1824, '\p{Jg=_-LAMADH}', "");
Expect(0, 1824, '\p{^Jg=_-LAMADH}', "");
Expect(0, 1824, '\P{Jg=_-LAMADH}', "");
Expect(1, 1824, '\P{^Jg=_-LAMADH}', "");
Expect(0, 1825, '\p{Jg=_-LAMADH}', "");
Expect(1, 1825, '\p{^Jg=_-LAMADH}', "");
Expect(1, 1825, '\P{Jg=_-LAMADH}', "");
Expect(0, 1825, '\P{^Jg=_-LAMADH}', "");
Error('\p{Is_Joining_Group=	 lamadh:=}');
Error('\P{Is_Joining_Group=	 lamadh:=}');
Expect(1, 1824, '\p{Is_Joining_Group=lamadh}', "");
Expect(0, 1824, '\p{^Is_Joining_Group=lamadh}', "");
Expect(0, 1824, '\P{Is_Joining_Group=lamadh}', "");
Expect(1, 1824, '\P{^Is_Joining_Group=lamadh}', "");
Expect(0, 1825, '\p{Is_Joining_Group=lamadh}', "");
Expect(1, 1825, '\p{^Is_Joining_Group=lamadh}', "");
Expect(1, 1825, '\P{Is_Joining_Group=lamadh}', "");
Expect(0, 1825, '\P{^Is_Joining_Group=lamadh}', "");
Expect(1, 1824, '\p{Is_Joining_Group=_-LAMADH}', "");
Expect(0, 1824, '\p{^Is_Joining_Group=_-LAMADH}', "");
Expect(0, 1824, '\P{Is_Joining_Group=_-LAMADH}', "");
Expect(1, 1824, '\P{^Is_Joining_Group=_-LAMADH}', "");
Expect(0, 1825, '\p{Is_Joining_Group=_-LAMADH}', "");
Expect(1, 1825, '\p{^Is_Joining_Group=_-LAMADH}', "");
Expect(1, 1825, '\P{Is_Joining_Group=_-LAMADH}', "");
Expect(0, 1825, '\P{^Is_Joining_Group=_-LAMADH}', "");
Error('\p{Is_Jg=:=	_Lamadh}');
Error('\P{Is_Jg=:=	_Lamadh}');
Expect(1, 1824, '\p{Is_Jg=lamadh}', "");
Expect(0, 1824, '\p{^Is_Jg=lamadh}', "");
Expect(0, 1824, '\P{Is_Jg=lamadh}', "");
Expect(1, 1824, '\P{^Is_Jg=lamadh}', "");
Expect(0, 1825, '\p{Is_Jg=lamadh}', "");
Expect(1, 1825, '\p{^Is_Jg=lamadh}', "");
Expect(1, 1825, '\P{Is_Jg=lamadh}', "");
Expect(0, 1825, '\P{^Is_Jg=lamadh}', "");
Expect(1, 1824, '\p{Is_Jg=_Lamadh}', "");
Expect(0, 1824, '\p{^Is_Jg=_Lamadh}', "");
Expect(0, 1824, '\P{Is_Jg=_Lamadh}', "");
Expect(1, 1824, '\P{^Is_Jg=_Lamadh}', "");
Expect(0, 1825, '\p{Is_Jg=_Lamadh}', "");
Expect(1, 1825, '\p{^Is_Jg=_Lamadh}', "");
Expect(1, 1825, '\P{Is_Jg=_Lamadh}', "");
Expect(0, 1825, '\P{^Is_Jg=_Lamadh}', "");
Error('\p{Joining_Group=_-manichaean_ALEPH:=}');
Error('\P{Joining_Group=_-manichaean_ALEPH:=}');
Expect(1, 68288, '\p{Joining_Group=manichaeanaleph}', "");
Expect(0, 68288, '\p{^Joining_Group=manichaeanaleph}', "");
Expect(0, 68288, '\P{Joining_Group=manichaeanaleph}', "");
Expect(1, 68288, '\P{^Joining_Group=manichaeanaleph}', "");
Expect(0, 68289, '\p{Joining_Group=manichaeanaleph}', "");
Expect(1, 68289, '\p{^Joining_Group=manichaeanaleph}', "");
Expect(1, 68289, '\P{Joining_Group=manichaeanaleph}', "");
Expect(0, 68289, '\P{^Joining_Group=manichaeanaleph}', "");
Expect(1, 68288, '\p{Joining_Group:   MANICHAEAN_ALEPH}', "");
Expect(0, 68288, '\p{^Joining_Group:   MANICHAEAN_ALEPH}', "");
Expect(0, 68288, '\P{Joining_Group:   MANICHAEAN_ALEPH}', "");
Expect(1, 68288, '\P{^Joining_Group:   MANICHAEAN_ALEPH}', "");
Expect(0, 68289, '\p{Joining_Group:   MANICHAEAN_ALEPH}', "");
Expect(1, 68289, '\p{^Joining_Group:   MANICHAEAN_ALEPH}', "");
Expect(1, 68289, '\P{Joining_Group:   MANICHAEAN_ALEPH}', "");
Expect(0, 68289, '\P{^Joining_Group:   MANICHAEAN_ALEPH}', "");
Error('\p{Jg=/a/ -manichaean_Aleph}');
Error('\P{Jg=/a/ -manichaean_Aleph}');
Expect(1, 68288, '\p{Jg:manichaeanaleph}', "");
Expect(0, 68288, '\p{^Jg:manichaeanaleph}', "");
Expect(0, 68288, '\P{Jg:manichaeanaleph}', "");
Expect(1, 68288, '\P{^Jg:manichaeanaleph}', "");
Expect(0, 68289, '\p{Jg:manichaeanaleph}', "");
Expect(1, 68289, '\p{^Jg:manichaeanaleph}', "");
Expect(1, 68289, '\P{Jg:manichaeanaleph}', "");
Expect(0, 68289, '\P{^Jg:manichaeanaleph}', "");
Expect(1, 68288, '\p{Jg=		MANICHAEAN_Aleph}', "");
Expect(0, 68288, '\p{^Jg=		MANICHAEAN_Aleph}', "");
Expect(0, 68288, '\P{Jg=		MANICHAEAN_Aleph}', "");
Expect(1, 68288, '\P{^Jg=		MANICHAEAN_Aleph}', "");
Expect(0, 68289, '\p{Jg=		MANICHAEAN_Aleph}', "");
Expect(1, 68289, '\p{^Jg=		MANICHAEAN_Aleph}', "");
Expect(1, 68289, '\P{Jg=		MANICHAEAN_Aleph}', "");
Expect(0, 68289, '\P{^Jg=		MANICHAEAN_Aleph}', "");
Error('\p{Is_Joining_Group=/a/manichaean_ALEPH}');
Error('\P{Is_Joining_Group=/a/manichaean_ALEPH}');
Expect(1, 68288, '\p{Is_Joining_Group=manichaeanaleph}', "");
Expect(0, 68288, '\p{^Is_Joining_Group=manichaeanaleph}', "");
Expect(0, 68288, '\P{Is_Joining_Group=manichaeanaleph}', "");
Expect(1, 68288, '\P{^Is_Joining_Group=manichaeanaleph}', "");
Expect(0, 68289, '\p{Is_Joining_Group=manichaeanaleph}', "");
Expect(1, 68289, '\p{^Is_Joining_Group=manichaeanaleph}', "");
Expect(1, 68289, '\P{Is_Joining_Group=manichaeanaleph}', "");
Expect(0, 68289, '\P{^Is_Joining_Group=manichaeanaleph}', "");
Expect(1, 68288, '\p{Is_Joining_Group= Manichaean_ALEPH}', "");
Expect(0, 68288, '\p{^Is_Joining_Group= Manichaean_ALEPH}', "");
Expect(0, 68288, '\P{Is_Joining_Group= Manichaean_ALEPH}', "");
Expect(1, 68288, '\P{^Is_Joining_Group= Manichaean_ALEPH}', "");
Expect(0, 68289, '\p{Is_Joining_Group= Manichaean_ALEPH}', "");
Expect(1, 68289, '\p{^Is_Joining_Group= Manichaean_ALEPH}', "");
Expect(1, 68289, '\P{Is_Joining_Group= Manichaean_ALEPH}', "");
Expect(0, 68289, '\P{^Is_Joining_Group= Manichaean_ALEPH}', "");
Error('\p{Is_Jg=/a/	-MANICHAEAN_ALEPH}');
Error('\P{Is_Jg=/a/	-MANICHAEAN_ALEPH}');
Expect(1, 68288, '\p{Is_Jg=manichaeanaleph}', "");
Expect(0, 68288, '\p{^Is_Jg=manichaeanaleph}', "");
Expect(0, 68288, '\P{Is_Jg=manichaeanaleph}', "");
Expect(1, 68288, '\P{^Is_Jg=manichaeanaleph}', "");
Expect(0, 68289, '\p{Is_Jg=manichaeanaleph}', "");
Expect(1, 68289, '\p{^Is_Jg=manichaeanaleph}', "");
Expect(1, 68289, '\P{Is_Jg=manichaeanaleph}', "");
Expect(0, 68289, '\P{^Is_Jg=manichaeanaleph}', "");
Expect(1, 68288, '\p{Is_Jg=	Manichaean_aleph}', "");
Expect(0, 68288, '\p{^Is_Jg=	Manichaean_aleph}', "");
Expect(0, 68288, '\P{Is_Jg=	Manichaean_aleph}', "");
Expect(1, 68288, '\P{^Is_Jg=	Manichaean_aleph}', "");
Expect(0, 68289, '\p{Is_Jg=	Manichaean_aleph}', "");
Expect(1, 68289, '\p{^Is_Jg=	Manichaean_aleph}', "");
Expect(1, 68289, '\P{Is_Jg=	Manichaean_aleph}', "");
Expect(0, 68289, '\P{^Is_Jg=	Manichaean_aleph}', "");
Error('\p{Joining_Group=_-manichaean_Ayin/a/}');
Error('\P{Joining_Group=_-manichaean_Ayin/a/}');
Expect(1, 68314, '\p{Joining_Group=manichaeanayin}', "");
Expect(0, 68314, '\p{^Joining_Group=manichaeanayin}', "");
Expect(0, 68314, '\P{Joining_Group=manichaeanayin}', "");
Expect(1, 68314, '\P{^Joining_Group=manichaeanayin}', "");
Expect(0, 68315, '\p{Joining_Group=manichaeanayin}', "");
Expect(1, 68315, '\p{^Joining_Group=manichaeanayin}', "");
Expect(1, 68315, '\P{Joining_Group=manichaeanayin}', "");
Expect(0, 68315, '\P{^Joining_Group=manichaeanayin}', "");
Expect(1, 68314, '\p{Joining_Group:_manichaean_Ayin}', "");
Expect(0, 68314, '\p{^Joining_Group:_manichaean_Ayin}', "");
Expect(0, 68314, '\P{Joining_Group:_manichaean_Ayin}', "");
Expect(1, 68314, '\P{^Joining_Group:_manichaean_Ayin}', "");
Expect(0, 68315, '\p{Joining_Group:_manichaean_Ayin}', "");
Expect(1, 68315, '\p{^Joining_Group:_manichaean_Ayin}', "");
Expect(1, 68315, '\P{Joining_Group:_manichaean_Ayin}', "");
Expect(0, 68315, '\P{^Joining_Group:_manichaean_Ayin}', "");
Error('\p{Jg=	_manichaean_Ayin:=}');
Error('\P{Jg=	_manichaean_Ayin:=}');
Expect(1, 68314, '\p{Jg=manichaeanayin}', "");
Expect(0, 68314, '\p{^Jg=manichaeanayin}', "");
Expect(0, 68314, '\P{Jg=manichaeanayin}', "");
Expect(1, 68314, '\P{^Jg=manichaeanayin}', "");
Expect(0, 68315, '\p{Jg=manichaeanayin}', "");
Expect(1, 68315, '\p{^Jg=manichaeanayin}', "");
Expect(1, 68315, '\P{Jg=manichaeanayin}', "");
Expect(0, 68315, '\P{^Jg=manichaeanayin}', "");
Expect(1, 68314, '\p{Jg= 	Manichaean_Ayin}', "");
Expect(0, 68314, '\p{^Jg= 	Manichaean_Ayin}', "");
Expect(0, 68314, '\P{Jg= 	Manichaean_Ayin}', "");
Expect(1, 68314, '\P{^Jg= 	Manichaean_Ayin}', "");
Expect(0, 68315, '\p{Jg= 	Manichaean_Ayin}', "");
Expect(1, 68315, '\p{^Jg= 	Manichaean_Ayin}', "");
Expect(1, 68315, '\P{Jg= 	Manichaean_Ayin}', "");
Expect(0, 68315, '\P{^Jg= 	Manichaean_Ayin}', "");
Error('\p{Is_Joining_Group=_/a/Manichaean_Ayin}');
Error('\P{Is_Joining_Group=_/a/Manichaean_Ayin}');
Expect(1, 68314, '\p{Is_Joining_Group=manichaeanayin}', "");
Expect(0, 68314, '\p{^Is_Joining_Group=manichaeanayin}', "");
Expect(0, 68314, '\P{Is_Joining_Group=manichaeanayin}', "");
Expect(1, 68314, '\P{^Is_Joining_Group=manichaeanayin}', "");
Expect(0, 68315, '\p{Is_Joining_Group=manichaeanayin}', "");
Expect(1, 68315, '\p{^Is_Joining_Group=manichaeanayin}', "");
Expect(1, 68315, '\P{Is_Joining_Group=manichaeanayin}', "");
Expect(0, 68315, '\P{^Is_Joining_Group=manichaeanayin}', "");
Expect(1, 68314, '\p{Is_Joining_Group= _MANICHAEAN_ayin}', "");
Expect(0, 68314, '\p{^Is_Joining_Group= _MANICHAEAN_ayin}', "");
Expect(0, 68314, '\P{Is_Joining_Group= _MANICHAEAN_ayin}', "");
Expect(1, 68314, '\P{^Is_Joining_Group= _MANICHAEAN_ayin}', "");
Expect(0, 68315, '\p{Is_Joining_Group= _MANICHAEAN_ayin}', "");
Expect(1, 68315, '\p{^Is_Joining_Group= _MANICHAEAN_ayin}', "");
Expect(1, 68315, '\P{Is_Joining_Group= _MANICHAEAN_ayin}', "");
Expect(0, 68315, '\P{^Is_Joining_Group= _MANICHAEAN_ayin}', "");
Error('\p{Is_Jg= MANICHAEAN_Ayin:=}');
Error('\P{Is_Jg= MANICHAEAN_Ayin:=}');
Expect(1, 68314, '\p{Is_Jg=manichaeanayin}', "");
Expect(0, 68314, '\p{^Is_Jg=manichaeanayin}', "");
Expect(0, 68314, '\P{Is_Jg=manichaeanayin}', "");
Expect(1, 68314, '\P{^Is_Jg=manichaeanayin}', "");
Expect(0, 68315, '\p{Is_Jg=manichaeanayin}', "");
Expect(1, 68315, '\p{^Is_Jg=manichaeanayin}', "");
Expect(1, 68315, '\P{Is_Jg=manichaeanayin}', "");
Expect(0, 68315, '\P{^Is_Jg=manichaeanayin}', "");
Expect(1, 68314, '\p{Is_Jg=  MANICHAEAN_AYIN}', "");
Expect(0, 68314, '\p{^Is_Jg=  MANICHAEAN_AYIN}', "");
Expect(0, 68314, '\P{Is_Jg=  MANICHAEAN_AYIN}', "");
Expect(1, 68314, '\P{^Is_Jg=  MANICHAEAN_AYIN}', "");
Expect(0, 68315, '\p{Is_Jg=  MANICHAEAN_AYIN}', "");
Expect(1, 68315, '\p{^Is_Jg=  MANICHAEAN_AYIN}', "");
Expect(1, 68315, '\P{Is_Jg=  MANICHAEAN_AYIN}', "");
Expect(0, 68315, '\P{^Is_Jg=  MANICHAEAN_AYIN}', "");
Error('\p{Joining_Group=- Manichaean_Beth/a/}');
Error('\P{Joining_Group=- Manichaean_Beth/a/}');
Expect(1, 68290, '\p{Joining_Group:manichaeanbeth}', "");
Expect(0, 68290, '\p{^Joining_Group:manichaeanbeth}', "");
Expect(0, 68290, '\P{Joining_Group:manichaeanbeth}', "");
Expect(1, 68290, '\P{^Joining_Group:manichaeanbeth}', "");
Expect(0, 68291, '\p{Joining_Group:manichaeanbeth}', "");
Expect(1, 68291, '\p{^Joining_Group:manichaeanbeth}', "");
Expect(1, 68291, '\P{Joining_Group:manichaeanbeth}', "");
Expect(0, 68291, '\P{^Joining_Group:manichaeanbeth}', "");
Expect(1, 68290, '\p{Joining_Group=_ MANICHAEAN_Beth}', "");
Expect(0, 68290, '\p{^Joining_Group=_ MANICHAEAN_Beth}', "");
Expect(0, 68290, '\P{Joining_Group=_ MANICHAEAN_Beth}', "");
Expect(1, 68290, '\P{^Joining_Group=_ MANICHAEAN_Beth}', "");
Expect(0, 68291, '\p{Joining_Group=_ MANICHAEAN_Beth}', "");
Expect(1, 68291, '\p{^Joining_Group=_ MANICHAEAN_Beth}', "");
Expect(1, 68291, '\P{Joining_Group=_ MANICHAEAN_Beth}', "");
Expect(0, 68291, '\P{^Joining_Group=_ MANICHAEAN_Beth}', "");
Error('\p{Jg=:=-manichaean_BETH}');
Error('\P{Jg=:=-manichaean_BETH}');
Expect(1, 68290, '\p{Jg=manichaeanbeth}', "");
Expect(0, 68290, '\p{^Jg=manichaeanbeth}', "");
Expect(0, 68290, '\P{Jg=manichaeanbeth}', "");
Expect(1, 68290, '\P{^Jg=manichaeanbeth}', "");
Expect(0, 68291, '\p{Jg=manichaeanbeth}', "");
Expect(1, 68291, '\p{^Jg=manichaeanbeth}', "");
Expect(1, 68291, '\P{Jg=manichaeanbeth}', "");
Expect(0, 68291, '\P{^Jg=manichaeanbeth}', "");
Expect(1, 68290, '\p{Jg= -manichaean_beth}', "");
Expect(0, 68290, '\p{^Jg= -manichaean_beth}', "");
Expect(0, 68290, '\P{Jg= -manichaean_beth}', "");
Expect(1, 68290, '\P{^Jg= -manichaean_beth}', "");
Expect(0, 68291, '\p{Jg= -manichaean_beth}', "");
Expect(1, 68291, '\p{^Jg= -manichaean_beth}', "");
Expect(1, 68291, '\P{Jg= -manichaean_beth}', "");
Expect(0, 68291, '\P{^Jg= -manichaean_beth}', "");
Error('\p{Is_Joining_Group= _manichaean_beth/a/}');
Error('\P{Is_Joining_Group= _manichaean_beth/a/}');
Expect(1, 68290, '\p{Is_Joining_Group=manichaeanbeth}', "");
Expect(0, 68290, '\p{^Is_Joining_Group=manichaeanbeth}', "");
Expect(0, 68290, '\P{Is_Joining_Group=manichaeanbeth}', "");
Expect(1, 68290, '\P{^Is_Joining_Group=manichaeanbeth}', "");
Expect(0, 68291, '\p{Is_Joining_Group=manichaeanbeth}', "");
Expect(1, 68291, '\p{^Is_Joining_Group=manichaeanbeth}', "");
Expect(1, 68291, '\P{Is_Joining_Group=manichaeanbeth}', "");
Expect(0, 68291, '\P{^Is_Joining_Group=manichaeanbeth}', "");
Expect(1, 68290, '\p{Is_Joining_Group=	_manichaean_BETH}', "");
Expect(0, 68290, '\p{^Is_Joining_Group=	_manichaean_BETH}', "");
Expect(0, 68290, '\P{Is_Joining_Group=	_manichaean_BETH}', "");
Expect(1, 68290, '\P{^Is_Joining_Group=	_manichaean_BETH}', "");
Expect(0, 68291, '\p{Is_Joining_Group=	_manichaean_BETH}', "");
Expect(1, 68291, '\p{^Is_Joining_Group=	_manichaean_BETH}', "");
Expect(1, 68291, '\P{Is_Joining_Group=	_manichaean_BETH}', "");
Expect(0, 68291, '\P{^Is_Joining_Group=	_manichaean_BETH}', "");
Error('\p{Is_Jg=-/a/manichaean_Beth}');
Error('\P{Is_Jg=-/a/manichaean_Beth}');
Expect(1, 68290, '\p{Is_Jg=manichaeanbeth}', "");
Expect(0, 68290, '\p{^Is_Jg=manichaeanbeth}', "");
Expect(0, 68290, '\P{Is_Jg=manichaeanbeth}', "");
Expect(1, 68290, '\P{^Is_Jg=manichaeanbeth}', "");
Expect(0, 68291, '\p{Is_Jg=manichaeanbeth}', "");
Expect(1, 68291, '\p{^Is_Jg=manichaeanbeth}', "");
Expect(1, 68291, '\P{Is_Jg=manichaeanbeth}', "");
Expect(0, 68291, '\P{^Is_Jg=manichaeanbeth}', "");
Expect(1, 68290, '\p{Is_Jg:Manichaean_BETH}', "");
Expect(0, 68290, '\p{^Is_Jg:Manichaean_BETH}', "");
Expect(0, 68290, '\P{Is_Jg:Manichaean_BETH}', "");
Expect(1, 68290, '\P{^Is_Jg:Manichaean_BETH}', "");
Expect(0, 68291, '\p{Is_Jg:Manichaean_BETH}', "");
Expect(1, 68291, '\p{^Is_Jg:Manichaean_BETH}', "");
Expect(1, 68291, '\P{Is_Jg:Manichaean_BETH}', "");
Expect(0, 68291, '\P{^Is_Jg:Manichaean_BETH}', "");
Error('\p{Joining_Group=/a/ -Manichaean_daleth}');
Error('\P{Joining_Group=/a/ -Manichaean_daleth}');
Expect(1, 68293, '\p{Joining_Group=manichaeandaleth}', "");
Expect(0, 68293, '\p{^Joining_Group=manichaeandaleth}', "");
Expect(0, 68293, '\P{Joining_Group=manichaeandaleth}', "");
Expect(1, 68293, '\P{^Joining_Group=manichaeandaleth}', "");
Expect(0, 68294, '\p{Joining_Group=manichaeandaleth}', "");
Expect(1, 68294, '\p{^Joining_Group=manichaeandaleth}', "");
Expect(1, 68294, '\P{Joining_Group=manichaeandaleth}', "");
Expect(0, 68294, '\P{^Joining_Group=manichaeandaleth}', "");
Expect(1, 68293, '\p{Joining_Group=-Manichaean_Daleth}', "");
Expect(0, 68293, '\p{^Joining_Group=-Manichaean_Daleth}', "");
Expect(0, 68293, '\P{Joining_Group=-Manichaean_Daleth}', "");
Expect(1, 68293, '\P{^Joining_Group=-Manichaean_Daleth}', "");
Expect(0, 68294, '\p{Joining_Group=-Manichaean_Daleth}', "");
Expect(1, 68294, '\p{^Joining_Group=-Manichaean_Daleth}', "");
Expect(1, 68294, '\P{Joining_Group=-Manichaean_Daleth}', "");
Expect(0, 68294, '\P{^Joining_Group=-Manichaean_Daleth}', "");
Error('\p{Jg=:=-MANICHAEAN_daleth}');
Error('\P{Jg=:=-MANICHAEAN_daleth}');
Expect(1, 68293, '\p{Jg=manichaeandaleth}', "");
Expect(0, 68293, '\p{^Jg=manichaeandaleth}', "");
Expect(0, 68293, '\P{Jg=manichaeandaleth}', "");
Expect(1, 68293, '\P{^Jg=manichaeandaleth}', "");
Expect(0, 68294, '\p{Jg=manichaeandaleth}', "");
Expect(1, 68294, '\p{^Jg=manichaeandaleth}', "");
Expect(1, 68294, '\P{Jg=manichaeandaleth}', "");
Expect(0, 68294, '\P{^Jg=manichaeandaleth}', "");
Expect(1, 68293, '\p{Jg=	Manichaean_DALETH}', "");
Expect(0, 68293, '\p{^Jg=	Manichaean_DALETH}', "");
Expect(0, 68293, '\P{Jg=	Manichaean_DALETH}', "");
Expect(1, 68293, '\P{^Jg=	Manichaean_DALETH}', "");
Expect(0, 68294, '\p{Jg=	Manichaean_DALETH}', "");
Expect(1, 68294, '\p{^Jg=	Manichaean_DALETH}', "");
Expect(1, 68294, '\P{Jg=	Manichaean_DALETH}', "");
Expect(0, 68294, '\P{^Jg=	Manichaean_DALETH}', "");
Error('\p{Is_Joining_Group=_:=Manichaean_DALETH}');
Error('\P{Is_Joining_Group=_:=Manichaean_DALETH}');
Expect(1, 68293, '\p{Is_Joining_Group=manichaeandaleth}', "");
Expect(0, 68293, '\p{^Is_Joining_Group=manichaeandaleth}', "");
Expect(0, 68293, '\P{Is_Joining_Group=manichaeandaleth}', "");
Expect(1, 68293, '\P{^Is_Joining_Group=manichaeandaleth}', "");
Expect(0, 68294, '\p{Is_Joining_Group=manichaeandaleth}', "");
Expect(1, 68294, '\p{^Is_Joining_Group=manichaeandaleth}', "");
Expect(1, 68294, '\P{Is_Joining_Group=manichaeandaleth}', "");
Expect(0, 68294, '\P{^Is_Joining_Group=manichaeandaleth}', "");
Expect(1, 68293, '\p{Is_Joining_Group:   -Manichaean_DALETH}', "");
Expect(0, 68293, '\p{^Is_Joining_Group:   -Manichaean_DALETH}', "");
Expect(0, 68293, '\P{Is_Joining_Group:   -Manichaean_DALETH}', "");
Expect(1, 68293, '\P{^Is_Joining_Group:   -Manichaean_DALETH}', "");
Expect(0, 68294, '\p{Is_Joining_Group:   -Manichaean_DALETH}', "");
Expect(1, 68294, '\p{^Is_Joining_Group:   -Manichaean_DALETH}', "");
Expect(1, 68294, '\P{Is_Joining_Group:   -Manichaean_DALETH}', "");
Expect(0, 68294, '\P{^Is_Joining_Group:   -Manichaean_DALETH}', "");
Error('\p{Is_Jg=:=_	Manichaean_Daleth}');
Error('\P{Is_Jg=:=_	Manichaean_Daleth}');
Expect(1, 68293, '\p{Is_Jg=manichaeandaleth}', "");
Expect(0, 68293, '\p{^Is_Jg=manichaeandaleth}', "");
Expect(0, 68293, '\P{Is_Jg=manichaeandaleth}', "");
Expect(1, 68293, '\P{^Is_Jg=manichaeandaleth}', "");
Expect(0, 68294, '\p{Is_Jg=manichaeandaleth}', "");
Expect(1, 68294, '\p{^Is_Jg=manichaeandaleth}', "");
Expect(1, 68294, '\P{Is_Jg=manichaeandaleth}', "");
Expect(0, 68294, '\P{^Is_Jg=manichaeandaleth}', "");
Expect(1, 68293, '\p{Is_Jg=-manichaean_DALETH}', "");
Expect(0, 68293, '\p{^Is_Jg=-manichaean_DALETH}', "");
Expect(0, 68293, '\P{Is_Jg=-manichaean_DALETH}', "");
Expect(1, 68293, '\P{^Is_Jg=-manichaean_DALETH}', "");
Expect(0, 68294, '\p{Is_Jg=-manichaean_DALETH}', "");
Expect(1, 68294, '\p{^Is_Jg=-manichaean_DALETH}', "");
Expect(1, 68294, '\P{Is_Jg=-manichaean_DALETH}', "");
Expect(0, 68294, '\P{^Is_Jg=-manichaean_DALETH}', "");
Error('\p{Joining_Group=:=MANICHAEAN_Dhamedh}');
Error('\P{Joining_Group=:=MANICHAEAN_Dhamedh}');
Expect(1, 68308, '\p{Joining_Group=manichaeandhamedh}', "");
Expect(0, 68308, '\p{^Joining_Group=manichaeandhamedh}', "");
Expect(0, 68308, '\P{Joining_Group=manichaeandhamedh}', "");
Expect(1, 68308, '\P{^Joining_Group=manichaeandhamedh}', "");
Expect(0, 68309, '\p{Joining_Group=manichaeandhamedh}', "");
Expect(1, 68309, '\p{^Joining_Group=manichaeandhamedh}', "");
Expect(1, 68309, '\P{Joining_Group=manichaeandhamedh}', "");
Expect(0, 68309, '\P{^Joining_Group=manichaeandhamedh}', "");
Expect(1, 68308, '\p{Joining_Group:	--Manichaean_DHAMEDH}', "");
Expect(0, 68308, '\p{^Joining_Group:	--Manichaean_DHAMEDH}', "");
Expect(0, 68308, '\P{Joining_Group:	--Manichaean_DHAMEDH}', "");
Expect(1, 68308, '\P{^Joining_Group:	--Manichaean_DHAMEDH}', "");
Expect(0, 68309, '\p{Joining_Group:	--Manichaean_DHAMEDH}', "");
Expect(1, 68309, '\p{^Joining_Group:	--Manichaean_DHAMEDH}', "");
Expect(1, 68309, '\P{Joining_Group:	--Manichaean_DHAMEDH}', "");
Expect(0, 68309, '\P{^Joining_Group:	--Manichaean_DHAMEDH}', "");
Error('\p{Jg=  MANICHAEAN_DHAMEDH:=}');
Error('\P{Jg=  MANICHAEAN_DHAMEDH:=}');
Expect(1, 68308, '\p{Jg: manichaeandhamedh}', "");
Expect(0, 68308, '\p{^Jg: manichaeandhamedh}', "");
Expect(0, 68308, '\P{Jg: manichaeandhamedh}', "");
Expect(1, 68308, '\P{^Jg: manichaeandhamedh}', "");
Expect(0, 68309, '\p{Jg: manichaeandhamedh}', "");
Expect(1, 68309, '\p{^Jg: manichaeandhamedh}', "");
Expect(1, 68309, '\P{Jg: manichaeandhamedh}', "");
Expect(0, 68309, '\P{^Jg: manichaeandhamedh}', "");
Expect(1, 68308, '\p{Jg= -MANICHAEAN_Dhamedh}', "");
Expect(0, 68308, '\p{^Jg= -MANICHAEAN_Dhamedh}', "");
Expect(0, 68308, '\P{Jg= -MANICHAEAN_Dhamedh}', "");
Expect(1, 68308, '\P{^Jg= -MANICHAEAN_Dhamedh}', "");
Expect(0, 68309, '\p{Jg= -MANICHAEAN_Dhamedh}', "");
Expect(1, 68309, '\p{^Jg= -MANICHAEAN_Dhamedh}', "");
Expect(1, 68309, '\P{Jg= -MANICHAEAN_Dhamedh}', "");
Expect(0, 68309, '\P{^Jg= -MANICHAEAN_Dhamedh}', "");
Error('\p{Is_Joining_Group=/a/	MANICHAEAN_dhamedh}');
Error('\P{Is_Joining_Group=/a/	MANICHAEAN_dhamedh}');
Expect(1, 68308, '\p{Is_Joining_Group=manichaeandhamedh}', "");
Expect(0, 68308, '\p{^Is_Joining_Group=manichaeandhamedh}', "");
Expect(0, 68308, '\P{Is_Joining_Group=manichaeandhamedh}', "");
Expect(1, 68308, '\P{^Is_Joining_Group=manichaeandhamedh}', "");
Expect(0, 68309, '\p{Is_Joining_Group=manichaeandhamedh}', "");
Expect(1, 68309, '\p{^Is_Joining_Group=manichaeandhamedh}', "");
Expect(1, 68309, '\P{Is_Joining_Group=manichaeandhamedh}', "");
Expect(0, 68309, '\P{^Is_Joining_Group=manichaeandhamedh}', "");
Expect(1, 68308, '\p{Is_Joining_Group= 	manichaean_Dhamedh}', "");
Expect(0, 68308, '\p{^Is_Joining_Group= 	manichaean_Dhamedh}', "");
Expect(0, 68308, '\P{Is_Joining_Group= 	manichaean_Dhamedh}', "");
Expect(1, 68308, '\P{^Is_Joining_Group= 	manichaean_Dhamedh}', "");
Expect(0, 68309, '\p{Is_Joining_Group= 	manichaean_Dhamedh}', "");
Expect(1, 68309, '\p{^Is_Joining_Group= 	manichaean_Dhamedh}', "");
Expect(1, 68309, '\P{Is_Joining_Group= 	manichaean_Dhamedh}', "");
Expect(0, 68309, '\P{^Is_Joining_Group= 	manichaean_Dhamedh}', "");
Error('\p{Is_Jg=-MANICHAEAN_dhamedh:=}');
Error('\P{Is_Jg=-MANICHAEAN_dhamedh:=}');
Expect(1, 68308, '\p{Is_Jg=manichaeandhamedh}', "");
Expect(0, 68308, '\p{^Is_Jg=manichaeandhamedh}', "");
Expect(0, 68308, '\P{Is_Jg=manichaeandhamedh}', "");
Expect(1, 68308, '\P{^Is_Jg=manichaeandhamedh}', "");
Expect(0, 68309, '\p{Is_Jg=manichaeandhamedh}', "");
Expect(1, 68309, '\p{^Is_Jg=manichaeandhamedh}', "");
Expect(1, 68309, '\P{Is_Jg=manichaeandhamedh}', "");
Expect(0, 68309, '\P{^Is_Jg=manichaeandhamedh}', "");
Expect(1, 68308, '\p{Is_Jg=	Manichaean_Dhamedh}', "");
Expect(0, 68308, '\p{^Is_Jg=	Manichaean_Dhamedh}', "");
Expect(0, 68308, '\P{Is_Jg=	Manichaean_Dhamedh}', "");
Expect(1, 68308, '\P{^Is_Jg=	Manichaean_Dhamedh}', "");
Expect(0, 68309, '\p{Is_Jg=	Manichaean_Dhamedh}', "");
Expect(1, 68309, '\p{^Is_Jg=	Manichaean_Dhamedh}', "");
Expect(1, 68309, '\P{Is_Jg=	Manichaean_Dhamedh}', "");
Expect(0, 68309, '\P{^Is_Jg=	Manichaean_Dhamedh}', "");
Error('\p{Joining_Group=_/a/Manichaean_Five}');
Error('\P{Joining_Group=_/a/Manichaean_Five}');
Expect(1, 68332, '\p{Joining_Group=manichaeanfive}', "");
Expect(0, 68332, '\p{^Joining_Group=manichaeanfive}', "");
Expect(0, 68332, '\P{Joining_Group=manichaeanfive}', "");
Expect(1, 68332, '\P{^Joining_Group=manichaeanfive}', "");
Expect(0, 68333, '\p{Joining_Group=manichaeanfive}', "");
Expect(1, 68333, '\p{^Joining_Group=manichaeanfive}', "");
Expect(1, 68333, '\P{Joining_Group=manichaeanfive}', "");
Expect(0, 68333, '\P{^Joining_Group=manichaeanfive}', "");
Expect(1, 68332, '\p{Joining_Group=	 MANICHAEAN_five}', "");
Expect(0, 68332, '\p{^Joining_Group=	 MANICHAEAN_five}', "");
Expect(0, 68332, '\P{Joining_Group=	 MANICHAEAN_five}', "");
Expect(1, 68332, '\P{^Joining_Group=	 MANICHAEAN_five}', "");
Expect(0, 68333, '\p{Joining_Group=	 MANICHAEAN_five}', "");
Expect(1, 68333, '\p{^Joining_Group=	 MANICHAEAN_five}', "");
Expect(1, 68333, '\P{Joining_Group=	 MANICHAEAN_five}', "");
Expect(0, 68333, '\P{^Joining_Group=	 MANICHAEAN_five}', "");
Error('\p{Jg: _/a/Manichaean_Five}');
Error('\P{Jg: _/a/Manichaean_Five}');
Expect(1, 68332, '\p{Jg=manichaeanfive}', "");
Expect(0, 68332, '\p{^Jg=manichaeanfive}', "");
Expect(0, 68332, '\P{Jg=manichaeanfive}', "");
Expect(1, 68332, '\P{^Jg=manichaeanfive}', "");
Expect(0, 68333, '\p{Jg=manichaeanfive}', "");
Expect(1, 68333, '\p{^Jg=manichaeanfive}', "");
Expect(1, 68333, '\P{Jg=manichaeanfive}', "");
Expect(0, 68333, '\P{^Jg=manichaeanfive}', "");
Expect(1, 68332, '\p{Jg=	 Manichaean_Five}', "");
Expect(0, 68332, '\p{^Jg=	 Manichaean_Five}', "");
Expect(0, 68332, '\P{Jg=	 Manichaean_Five}', "");
Expect(1, 68332, '\P{^Jg=	 Manichaean_Five}', "");
Expect(0, 68333, '\p{Jg=	 Manichaean_Five}', "");
Expect(1, 68333, '\p{^Jg=	 Manichaean_Five}', "");
Expect(1, 68333, '\P{Jg=	 Manichaean_Five}', "");
Expect(0, 68333, '\P{^Jg=	 Manichaean_Five}', "");
Error('\p{Is_Joining_Group=_ MANICHAEAN_FIVE/a/}');
Error('\P{Is_Joining_Group=_ MANICHAEAN_FIVE/a/}');
Expect(1, 68332, '\p{Is_Joining_Group=manichaeanfive}', "");
Expect(0, 68332, '\p{^Is_Joining_Group=manichaeanfive}', "");
Expect(0, 68332, '\P{Is_Joining_Group=manichaeanfive}', "");
Expect(1, 68332, '\P{^Is_Joining_Group=manichaeanfive}', "");
Expect(0, 68333, '\p{Is_Joining_Group=manichaeanfive}', "");
Expect(1, 68333, '\p{^Is_Joining_Group=manichaeanfive}', "");
Expect(1, 68333, '\P{Is_Joining_Group=manichaeanfive}', "");
Expect(0, 68333, '\P{^Is_Joining_Group=manichaeanfive}', "");
Expect(1, 68332, '\p{Is_Joining_Group:   	-MANICHAEAN_Five}', "");
Expect(0, 68332, '\p{^Is_Joining_Group:   	-MANICHAEAN_Five}', "");
Expect(0, 68332, '\P{Is_Joining_Group:   	-MANICHAEAN_Five}', "");
Expect(1, 68332, '\P{^Is_Joining_Group:   	-MANICHAEAN_Five}', "");
Expect(0, 68333, '\p{Is_Joining_Group:   	-MANICHAEAN_Five}', "");
Expect(1, 68333, '\p{^Is_Joining_Group:   	-MANICHAEAN_Five}', "");
Expect(1, 68333, '\P{Is_Joining_Group:   	-MANICHAEAN_Five}', "");
Expect(0, 68333, '\P{^Is_Joining_Group:   	-MANICHAEAN_Five}', "");
Error('\p{Is_Jg=/a/--Manichaean_five}');
Error('\P{Is_Jg=/a/--Manichaean_five}');
Expect(1, 68332, '\p{Is_Jg=manichaeanfive}', "");
Expect(0, 68332, '\p{^Is_Jg=manichaeanfive}', "");
Expect(0, 68332, '\P{Is_Jg=manichaeanfive}', "");
Expect(1, 68332, '\P{^Is_Jg=manichaeanfive}', "");
Expect(0, 68333, '\p{Is_Jg=manichaeanfive}', "");
Expect(1, 68333, '\p{^Is_Jg=manichaeanfive}', "");
Expect(1, 68333, '\P{Is_Jg=manichaeanfive}', "");
Expect(0, 68333, '\P{^Is_Jg=manichaeanfive}', "");
Expect(1, 68332, '\p{Is_Jg=		Manichaean_Five}', "");
Expect(0, 68332, '\p{^Is_Jg=		Manichaean_Five}', "");
Expect(0, 68332, '\P{Is_Jg=		Manichaean_Five}', "");
Expect(1, 68332, '\P{^Is_Jg=		Manichaean_Five}', "");
Expect(0, 68333, '\p{Is_Jg=		Manichaean_Five}', "");
Expect(1, 68333, '\p{^Is_Jg=		Manichaean_Five}', "");
Expect(1, 68333, '\P{Is_Jg=		Manichaean_Five}', "");
Expect(0, 68333, '\P{^Is_Jg=		Manichaean_Five}', "");
Error('\p{Joining_Group=manichaean_Gimel/a/}');
Error('\P{Joining_Group=manichaean_Gimel/a/}');
Expect(1, 68292, '\p{Joining_Group=manichaeangimel}', "");
Expect(0, 68292, '\p{^Joining_Group=manichaeangimel}', "");
Expect(0, 68292, '\P{Joining_Group=manichaeangimel}', "");
Expect(1, 68292, '\P{^Joining_Group=manichaeangimel}', "");
Expect(0, 68293, '\p{Joining_Group=manichaeangimel}', "");
Expect(1, 68293, '\p{^Joining_Group=manichaeangimel}', "");
Expect(1, 68293, '\P{Joining_Group=manichaeangimel}', "");
Expect(0, 68293, '\P{^Joining_Group=manichaeangimel}', "");
Expect(1, 68292, '\p{Joining_Group=	manichaean_GIMEL}', "");
Expect(0, 68292, '\p{^Joining_Group=	manichaean_GIMEL}', "");
Expect(0, 68292, '\P{Joining_Group=	manichaean_GIMEL}', "");
Expect(1, 68292, '\P{^Joining_Group=	manichaean_GIMEL}', "");
Expect(0, 68293, '\p{Joining_Group=	manichaean_GIMEL}', "");
Expect(1, 68293, '\p{^Joining_Group=	manichaean_GIMEL}', "");
Expect(1, 68293, '\P{Joining_Group=	manichaean_GIMEL}', "");
Expect(0, 68293, '\P{^Joining_Group=	manichaean_GIMEL}', "");
Error('\p{Jg=:= Manichaean_Gimel}');
Error('\P{Jg=:= Manichaean_Gimel}');
Expect(1, 68292, '\p{Jg=manichaeangimel}', "");
Expect(0, 68292, '\p{^Jg=manichaeangimel}', "");
Expect(0, 68292, '\P{Jg=manichaeangimel}', "");
Expect(1, 68292, '\P{^Jg=manichaeangimel}', "");
Expect(0, 68293, '\p{Jg=manichaeangimel}', "");
Expect(1, 68293, '\p{^Jg=manichaeangimel}', "");
Expect(1, 68293, '\P{Jg=manichaeangimel}', "");
Expect(0, 68293, '\P{^Jg=manichaeangimel}', "");
Expect(1, 68292, '\p{Jg=	manichaean_Gimel}', "");
Expect(0, 68292, '\p{^Jg=	manichaean_Gimel}', "");
Expect(0, 68292, '\P{Jg=	manichaean_Gimel}', "");
Expect(1, 68292, '\P{^Jg=	manichaean_Gimel}', "");
Expect(0, 68293, '\p{Jg=	manichaean_Gimel}', "");
Expect(1, 68293, '\p{^Jg=	manichaean_Gimel}', "");
Expect(1, 68293, '\P{Jg=	manichaean_Gimel}', "");
Expect(0, 68293, '\P{^Jg=	manichaean_Gimel}', "");
Error('\p{Is_Joining_Group:   	MANICHAEAN_GIMEL:=}');
Error('\P{Is_Joining_Group:   	MANICHAEAN_GIMEL:=}');
Expect(1, 68292, '\p{Is_Joining_Group=manichaeangimel}', "");
Expect(0, 68292, '\p{^Is_Joining_Group=manichaeangimel}', "");
Expect(0, 68292, '\P{Is_Joining_Group=manichaeangimel}', "");
Expect(1, 68292, '\P{^Is_Joining_Group=manichaeangimel}', "");
Expect(0, 68293, '\p{Is_Joining_Group=manichaeangimel}', "");
Expect(1, 68293, '\p{^Is_Joining_Group=manichaeangimel}', "");
Expect(1, 68293, '\P{Is_Joining_Group=manichaeangimel}', "");
Expect(0, 68293, '\P{^Is_Joining_Group=manichaeangimel}', "");
Expect(1, 68292, '\p{Is_Joining_Group= MANICHAEAN_GIMEL}', "");
Expect(0, 68292, '\p{^Is_Joining_Group= MANICHAEAN_GIMEL}', "");
Expect(0, 68292, '\P{Is_Joining_Group= MANICHAEAN_GIMEL}', "");
Expect(1, 68292, '\P{^Is_Joining_Group= MANICHAEAN_GIMEL}', "");
Expect(0, 68293, '\p{Is_Joining_Group= MANICHAEAN_GIMEL}', "");
Expect(1, 68293, '\p{^Is_Joining_Group= MANICHAEAN_GIMEL}', "");
Expect(1, 68293, '\P{Is_Joining_Group= MANICHAEAN_GIMEL}', "");
Expect(0, 68293, '\P{^Is_Joining_Group= MANICHAEAN_GIMEL}', "");
Error('\p{Is_Jg=-:=Manichaean_Gimel}');
Error('\P{Is_Jg=-:=Manichaean_Gimel}');
Expect(1, 68292, '\p{Is_Jg=manichaeangimel}', "");
Expect(0, 68292, '\p{^Is_Jg=manichaeangimel}', "");
Expect(0, 68292, '\P{Is_Jg=manichaeangimel}', "");
Expect(1, 68292, '\P{^Is_Jg=manichaeangimel}', "");
Expect(0, 68293, '\p{Is_Jg=manichaeangimel}', "");
Expect(1, 68293, '\p{^Is_Jg=manichaeangimel}', "");
Expect(1, 68293, '\P{Is_Jg=manichaeangimel}', "");
Expect(0, 68293, '\P{^Is_Jg=manichaeangimel}', "");
Expect(1, 68292, '\p{Is_Jg=_Manichaean_Gimel}', "");
Expect(0, 68292, '\p{^Is_Jg=_Manichaean_Gimel}', "");
Expect(0, 68292, '\P{Is_Jg=_Manichaean_Gimel}', "");
Expect(1, 68292, '\P{^Is_Jg=_Manichaean_Gimel}', "");
Expect(0, 68293, '\p{Is_Jg=_Manichaean_Gimel}', "");
Expect(1, 68293, '\p{^Is_Jg=_Manichaean_Gimel}', "");
Expect(1, 68293, '\P{Is_Jg=_Manichaean_Gimel}', "");
Expect(0, 68293, '\P{^Is_Jg=_Manichaean_Gimel}', "");
Error('\p{Joining_Group:_MANICHAEAN_heth/a/}');
Error('\P{Joining_Group:_MANICHAEAN_heth/a/}');
Expect(1, 68301, '\p{Joining_Group:manichaeanheth}', "");
Expect(0, 68301, '\p{^Joining_Group:manichaeanheth}', "");
Expect(0, 68301, '\P{Joining_Group:manichaeanheth}', "");
Expect(1, 68301, '\P{^Joining_Group:manichaeanheth}', "");
Expect(0, 68302, '\p{Joining_Group:manichaeanheth}', "");
Expect(1, 68302, '\p{^Joining_Group:manichaeanheth}', "");
Expect(1, 68302, '\P{Joining_Group:manichaeanheth}', "");
Expect(0, 68302, '\P{^Joining_Group:manichaeanheth}', "");
Expect(1, 68301, '\p{Joining_Group=_manichaean_Heth}', "");
Expect(0, 68301, '\p{^Joining_Group=_manichaean_Heth}', "");
Expect(0, 68301, '\P{Joining_Group=_manichaean_Heth}', "");
Expect(1, 68301, '\P{^Joining_Group=_manichaean_Heth}', "");
Expect(0, 68302, '\p{Joining_Group=_manichaean_Heth}', "");
Expect(1, 68302, '\p{^Joining_Group=_manichaean_Heth}', "");
Expect(1, 68302, '\P{Joining_Group=_manichaean_Heth}', "");
Expect(0, 68302, '\P{^Joining_Group=_manichaean_Heth}', "");
Error('\p{Jg=/a/__MANICHAEAN_Heth}');
Error('\P{Jg=/a/__MANICHAEAN_Heth}');
Expect(1, 68301, '\p{Jg=manichaeanheth}', "");
Expect(0, 68301, '\p{^Jg=manichaeanheth}', "");
Expect(0, 68301, '\P{Jg=manichaeanheth}', "");
Expect(1, 68301, '\P{^Jg=manichaeanheth}', "");
Expect(0, 68302, '\p{Jg=manichaeanheth}', "");
Expect(1, 68302, '\p{^Jg=manichaeanheth}', "");
Expect(1, 68302, '\P{Jg=manichaeanheth}', "");
Expect(0, 68302, '\P{^Jg=manichaeanheth}', "");
Expect(1, 68301, '\p{Jg=_-MANICHAEAN_heth}', "");
Expect(0, 68301, '\p{^Jg=_-MANICHAEAN_heth}', "");
Expect(0, 68301, '\P{Jg=_-MANICHAEAN_heth}', "");
Expect(1, 68301, '\P{^Jg=_-MANICHAEAN_heth}', "");
Expect(0, 68302, '\p{Jg=_-MANICHAEAN_heth}', "");
Expect(1, 68302, '\p{^Jg=_-MANICHAEAN_heth}', "");
Expect(1, 68302, '\P{Jg=_-MANICHAEAN_heth}', "");
Expect(0, 68302, '\P{^Jg=_-MANICHAEAN_heth}', "");
Error('\p{Is_Joining_Group=_:=manichaean_heth}');
Error('\P{Is_Joining_Group=_:=manichaean_heth}');
Expect(1, 68301, '\p{Is_Joining_Group=manichaeanheth}', "");
Expect(0, 68301, '\p{^Is_Joining_Group=manichaeanheth}', "");
Expect(0, 68301, '\P{Is_Joining_Group=manichaeanheth}', "");
Expect(1, 68301, '\P{^Is_Joining_Group=manichaeanheth}', "");
Expect(0, 68302, '\p{Is_Joining_Group=manichaeanheth}', "");
Expect(1, 68302, '\p{^Is_Joining_Group=manichaeanheth}', "");
Expect(1, 68302, '\P{Is_Joining_Group=manichaeanheth}', "");
Expect(0, 68302, '\P{^Is_Joining_Group=manichaeanheth}', "");
Expect(1, 68301, '\p{Is_Joining_Group:    Manichaean_Heth}', "");
Expect(0, 68301, '\p{^Is_Joining_Group:    Manichaean_Heth}', "");
Expect(0, 68301, '\P{Is_Joining_Group:    Manichaean_Heth}', "");
Expect(1, 68301, '\P{^Is_Joining_Group:    Manichaean_Heth}', "");
Expect(0, 68302, '\p{Is_Joining_Group:    Manichaean_Heth}', "");
Expect(1, 68302, '\p{^Is_Joining_Group:    Manichaean_Heth}', "");
Expect(1, 68302, '\P{Is_Joining_Group:    Manichaean_Heth}', "");
Expect(0, 68302, '\P{^Is_Joining_Group:    Manichaean_Heth}', "");
Error('\p{Is_Jg=		Manichaean_heth/a/}');
Error('\P{Is_Jg=		Manichaean_heth/a/}');
Expect(1, 68301, '\p{Is_Jg=manichaeanheth}', "");
Expect(0, 68301, '\p{^Is_Jg=manichaeanheth}', "");
Expect(0, 68301, '\P{Is_Jg=manichaeanheth}', "");
Expect(1, 68301, '\P{^Is_Jg=manichaeanheth}', "");
Expect(0, 68302, '\p{Is_Jg=manichaeanheth}', "");
Expect(1, 68302, '\p{^Is_Jg=manichaeanheth}', "");
Expect(1, 68302, '\P{Is_Jg=manichaeanheth}', "");
Expect(0, 68302, '\P{^Is_Jg=manichaeanheth}', "");
Expect(1, 68301, '\p{Is_Jg=--Manichaean_Heth}', "");
Expect(0, 68301, '\p{^Is_Jg=--Manichaean_Heth}', "");
Expect(0, 68301, '\P{Is_Jg=--Manichaean_Heth}', "");
Expect(1, 68301, '\P{^Is_Jg=--Manichaean_Heth}', "");
Expect(0, 68302, '\p{Is_Jg=--Manichaean_Heth}', "");
Expect(1, 68302, '\p{^Is_Jg=--Manichaean_Heth}', "");
Expect(1, 68302, '\P{Is_Jg=--Manichaean_Heth}', "");
Expect(0, 68302, '\P{^Is_Jg=--Manichaean_Heth}', "");
Error('\p{Joining_Group=/a/	manichaean_HUNDRED}');
Error('\P{Joining_Group=/a/	manichaean_HUNDRED}');
Expect(1, 68335, '\p{Joining_Group=manichaeanhundred}', "");
Expect(0, 68335, '\p{^Joining_Group=manichaeanhundred}', "");
Expect(0, 68335, '\P{Joining_Group=manichaeanhundred}', "");
Expect(1, 68335, '\P{^Joining_Group=manichaeanhundred}', "");
Expect(0, 68336, '\p{Joining_Group=manichaeanhundred}', "");
Expect(1, 68336, '\p{^Joining_Group=manichaeanhundred}', "");
Expect(1, 68336, '\P{Joining_Group=manichaeanhundred}', "");
Expect(0, 68336, '\P{^Joining_Group=manichaeanhundred}', "");
Expect(1, 68335, '\p{Joining_Group=--manichaean_Hundred}', "");
Expect(0, 68335, '\p{^Joining_Group=--manichaean_Hundred}', "");
Expect(0, 68335, '\P{Joining_Group=--manichaean_Hundred}', "");
Expect(1, 68335, '\P{^Joining_Group=--manichaean_Hundred}', "");
Expect(0, 68336, '\p{Joining_Group=--manichaean_Hundred}', "");
Expect(1, 68336, '\p{^Joining_Group=--manichaean_Hundred}', "");
Expect(1, 68336, '\P{Joining_Group=--manichaean_Hundred}', "");
Expect(0, 68336, '\P{^Joining_Group=--manichaean_Hundred}', "");
Error('\p{Jg=__Manichaean_hundred/a/}');
Error('\P{Jg=__Manichaean_hundred/a/}');
Expect(1, 68335, '\p{Jg=manichaeanhundred}', "");
Expect(0, 68335, '\p{^Jg=manichaeanhundred}', "");
Expect(0, 68335, '\P{Jg=manichaeanhundred}', "");
Expect(1, 68335, '\P{^Jg=manichaeanhundred}', "");
Expect(0, 68336, '\p{Jg=manichaeanhundred}', "");
Expect(1, 68336, '\p{^Jg=manichaeanhundred}', "");
Expect(1, 68336, '\P{Jg=manichaeanhundred}', "");
Expect(0, 68336, '\P{^Jg=manichaeanhundred}', "");
Expect(1, 68335, '\p{Jg=-manichaean_HUNDRED}', "");
Expect(0, 68335, '\p{^Jg=-manichaean_HUNDRED}', "");
Expect(0, 68335, '\P{Jg=-manichaean_HUNDRED}', "");
Expect(1, 68335, '\P{^Jg=-manichaean_HUNDRED}', "");
Expect(0, 68336, '\p{Jg=-manichaean_HUNDRED}', "");
Expect(1, 68336, '\p{^Jg=-manichaean_HUNDRED}', "");
Expect(1, 68336, '\P{Jg=-manichaean_HUNDRED}', "");
Expect(0, 68336, '\P{^Jg=-manichaean_HUNDRED}', "");
Error('\p{Is_Joining_Group=_	Manichaean_Hundred:=}');
Error('\P{Is_Joining_Group=_	Manichaean_Hundred:=}');
Expect(1, 68335, '\p{Is_Joining_Group=manichaeanhundred}', "");
Expect(0, 68335, '\p{^Is_Joining_Group=manichaeanhundred}', "");
Expect(0, 68335, '\P{Is_Joining_Group=manichaeanhundred}', "");
Expect(1, 68335, '\P{^Is_Joining_Group=manichaeanhundred}', "");
Expect(0, 68336, '\p{Is_Joining_Group=manichaeanhundred}', "");
Expect(1, 68336, '\p{^Is_Joining_Group=manichaeanhundred}', "");
Expect(1, 68336, '\P{Is_Joining_Group=manichaeanhundred}', "");
Expect(0, 68336, '\P{^Is_Joining_Group=manichaeanhundred}', "");
Expect(1, 68335, '\p{Is_Joining_Group: _manichaean_HUNDRED}', "");
Expect(0, 68335, '\p{^Is_Joining_Group: _manichaean_HUNDRED}', "");
Expect(0, 68335, '\P{Is_Joining_Group: _manichaean_HUNDRED}', "");
Expect(1, 68335, '\P{^Is_Joining_Group: _manichaean_HUNDRED}', "");
Expect(0, 68336, '\p{Is_Joining_Group: _manichaean_HUNDRED}', "");
Expect(1, 68336, '\p{^Is_Joining_Group: _manichaean_HUNDRED}', "");
Expect(1, 68336, '\P{Is_Joining_Group: _manichaean_HUNDRED}', "");
Expect(0, 68336, '\P{^Is_Joining_Group: _manichaean_HUNDRED}', "");
Error('\p{Is_Jg=	MANICHAEAN_Hundred/a/}');
Error('\P{Is_Jg=	MANICHAEAN_Hundred/a/}');
Expect(1, 68335, '\p{Is_Jg=manichaeanhundred}', "");
Expect(0, 68335, '\p{^Is_Jg=manichaeanhundred}', "");
Expect(0, 68335, '\P{Is_Jg=manichaeanhundred}', "");
Expect(1, 68335, '\P{^Is_Jg=manichaeanhundred}', "");
Expect(0, 68336, '\p{Is_Jg=manichaeanhundred}', "");
Expect(1, 68336, '\p{^Is_Jg=manichaeanhundred}', "");
Expect(1, 68336, '\P{Is_Jg=manichaeanhundred}', "");
Expect(0, 68336, '\P{^Is_Jg=manichaeanhundred}', "");
Expect(1, 68335, '\p{Is_Jg= _Manichaean_hundred}', "");
Expect(0, 68335, '\p{^Is_Jg= _Manichaean_hundred}', "");
Expect(0, 68335, '\P{Is_Jg= _Manichaean_hundred}', "");
Expect(1, 68335, '\P{^Is_Jg= _Manichaean_hundred}', "");
Expect(0, 68336, '\p{Is_Jg= _Manichaean_hundred}', "");
Expect(1, 68336, '\p{^Is_Jg= _Manichaean_hundred}', "");
Expect(1, 68336, '\P{Is_Jg= _Manichaean_hundred}', "");
Expect(0, 68336, '\P{^Is_Jg= _Manichaean_hundred}', "");
Error('\p{Joining_Group= /a/Manichaean_Kaph}');
Error('\P{Joining_Group= /a/Manichaean_Kaph}');
Expect(1, 68306, '\p{Joining_Group=manichaeankaph}', "");
Expect(0, 68306, '\p{^Joining_Group=manichaeankaph}', "");
Expect(0, 68306, '\P{Joining_Group=manichaeankaph}', "");
Expect(1, 68306, '\P{^Joining_Group=manichaeankaph}', "");
Expect(0, 68307, '\p{Joining_Group=manichaeankaph}', "");
Expect(1, 68307, '\p{^Joining_Group=manichaeankaph}', "");
Expect(1, 68307, '\P{Joining_Group=manichaeankaph}', "");
Expect(0, 68307, '\P{^Joining_Group=manichaeankaph}', "");
Expect(1, 68306, '\p{Joining_Group=  MANICHAEAN_kaph}', "");
Expect(0, 68306, '\p{^Joining_Group=  MANICHAEAN_kaph}', "");
Expect(0, 68306, '\P{Joining_Group=  MANICHAEAN_kaph}', "");
Expect(1, 68306, '\P{^Joining_Group=  MANICHAEAN_kaph}', "");
Expect(0, 68307, '\p{Joining_Group=  MANICHAEAN_kaph}', "");
Expect(1, 68307, '\p{^Joining_Group=  MANICHAEAN_kaph}', "");
Expect(1, 68307, '\P{Joining_Group=  MANICHAEAN_kaph}', "");
Expect(0, 68307, '\P{^Joining_Group=  MANICHAEAN_kaph}', "");
Error('\p{Jg=/a/-_MANICHAEAN_KAPH}');
Error('\P{Jg=/a/-_MANICHAEAN_KAPH}');
Expect(1, 68306, '\p{Jg=manichaeankaph}', "");
Expect(0, 68306, '\p{^Jg=manichaeankaph}', "");
Expect(0, 68306, '\P{Jg=manichaeankaph}', "");
Expect(1, 68306, '\P{^Jg=manichaeankaph}', "");
Expect(0, 68307, '\p{Jg=manichaeankaph}', "");
Expect(1, 68307, '\p{^Jg=manichaeankaph}', "");
Expect(1, 68307, '\P{Jg=manichaeankaph}', "");
Expect(0, 68307, '\P{^Jg=manichaeankaph}', "");
Expect(1, 68306, '\p{Jg=  manichaean_kaph}', "");
Expect(0, 68306, '\p{^Jg=  manichaean_kaph}', "");
Expect(0, 68306, '\P{Jg=  manichaean_kaph}', "");
Expect(1, 68306, '\P{^Jg=  manichaean_kaph}', "");
Expect(0, 68307, '\p{Jg=  manichaean_kaph}', "");
Expect(1, 68307, '\p{^Jg=  manichaean_kaph}', "");
Expect(1, 68307, '\P{Jg=  manichaean_kaph}', "");
Expect(0, 68307, '\P{^Jg=  manichaean_kaph}', "");
Error('\p{Is_Joining_Group=__manichaean_Kaph:=}');
Error('\P{Is_Joining_Group=__manichaean_Kaph:=}');
Expect(1, 68306, '\p{Is_Joining_Group=manichaeankaph}', "");
Expect(0, 68306, '\p{^Is_Joining_Group=manichaeankaph}', "");
Expect(0, 68306, '\P{Is_Joining_Group=manichaeankaph}', "");
Expect(1, 68306, '\P{^Is_Joining_Group=manichaeankaph}', "");
Expect(0, 68307, '\p{Is_Joining_Group=manichaeankaph}', "");
Expect(1, 68307, '\p{^Is_Joining_Group=manichaeankaph}', "");
Expect(1, 68307, '\P{Is_Joining_Group=manichaeankaph}', "");
Expect(0, 68307, '\P{^Is_Joining_Group=manichaeankaph}', "");
Expect(1, 68306, '\p{Is_Joining_Group:   - Manichaean_kaph}', "");
Expect(0, 68306, '\p{^Is_Joining_Group:   - Manichaean_kaph}', "");
Expect(0, 68306, '\P{Is_Joining_Group:   - Manichaean_kaph}', "");
Expect(1, 68306, '\P{^Is_Joining_Group:   - Manichaean_kaph}', "");
Expect(0, 68307, '\p{Is_Joining_Group:   - Manichaean_kaph}', "");
Expect(1, 68307, '\p{^Is_Joining_Group:   - Manichaean_kaph}', "");
Expect(1, 68307, '\P{Is_Joining_Group:   - Manichaean_kaph}', "");
Expect(0, 68307, '\P{^Is_Joining_Group:   - Manichaean_kaph}', "");
Error('\p{Is_Jg=_manichaean_Kaph:=}');
Error('\P{Is_Jg=_manichaean_Kaph:=}');
Expect(1, 68306, '\p{Is_Jg=manichaeankaph}', "");
Expect(0, 68306, '\p{^Is_Jg=manichaeankaph}', "");
Expect(0, 68306, '\P{Is_Jg=manichaeankaph}', "");
Expect(1, 68306, '\P{^Is_Jg=manichaeankaph}', "");
Expect(0, 68307, '\p{Is_Jg=manichaeankaph}', "");
Expect(1, 68307, '\p{^Is_Jg=manichaeankaph}', "");
Expect(1, 68307, '\P{Is_Jg=manichaeankaph}', "");
Expect(0, 68307, '\P{^Is_Jg=manichaeankaph}', "");
Expect(1, 68306, '\p{Is_Jg= -manichaean_kaph}', "");
Expect(0, 68306, '\p{^Is_Jg= -manichaean_kaph}', "");
Expect(0, 68306, '\P{Is_Jg= -manichaean_kaph}', "");
Expect(1, 68306, '\P{^Is_Jg= -manichaean_kaph}', "");
Expect(0, 68307, '\p{Is_Jg= -manichaean_kaph}', "");
Expect(1, 68307, '\p{^Is_Jg= -manichaean_kaph}', "");
Expect(1, 68307, '\P{Is_Jg= -manichaean_kaph}', "");
Expect(0, 68307, '\P{^Is_Jg= -manichaean_kaph}', "");
Error('\p{Joining_Group=_:=Manichaean_Lamedh}');
Error('\P{Joining_Group=_:=Manichaean_Lamedh}');
Expect(1, 68307, '\p{Joining_Group=manichaeanlamedh}', "");
Expect(0, 68307, '\p{^Joining_Group=manichaeanlamedh}', "");
Expect(0, 68307, '\P{Joining_Group=manichaeanlamedh}', "");
Expect(1, 68307, '\P{^Joining_Group=manichaeanlamedh}', "");
Expect(0, 68308, '\p{Joining_Group=manichaeanlamedh}', "");
Expect(1, 68308, '\p{^Joining_Group=manichaeanlamedh}', "");
Expect(1, 68308, '\P{Joining_Group=manichaeanlamedh}', "");
Expect(0, 68308, '\P{^Joining_Group=manichaeanlamedh}', "");
Expect(1, 68307, '\p{Joining_Group=	 manichaean_lamedh}', "");
Expect(0, 68307, '\p{^Joining_Group=	 manichaean_lamedh}', "");
Expect(0, 68307, '\P{Joining_Group=	 manichaean_lamedh}', "");
Expect(1, 68307, '\P{^Joining_Group=	 manichaean_lamedh}', "");
Expect(0, 68308, '\p{Joining_Group=	 manichaean_lamedh}', "");
Expect(1, 68308, '\p{^Joining_Group=	 manichaean_lamedh}', "");
Expect(1, 68308, '\P{Joining_Group=	 manichaean_lamedh}', "");
Expect(0, 68308, '\P{^Joining_Group=	 manichaean_lamedh}', "");
Error('\p{Jg=/a/_-MANICHAEAN_lamedh}');
Error('\P{Jg=/a/_-MANICHAEAN_lamedh}');
Expect(1, 68307, '\p{Jg=manichaeanlamedh}', "");
Expect(0, 68307, '\p{^Jg=manichaeanlamedh}', "");
Expect(0, 68307, '\P{Jg=manichaeanlamedh}', "");
Expect(1, 68307, '\P{^Jg=manichaeanlamedh}', "");
Expect(0, 68308, '\p{Jg=manichaeanlamedh}', "");
Expect(1, 68308, '\p{^Jg=manichaeanlamedh}', "");
Expect(1, 68308, '\P{Jg=manichaeanlamedh}', "");
Expect(0, 68308, '\P{^Jg=manichaeanlamedh}', "");
Expect(1, 68307, '\p{Jg=	 Manichaean_Lamedh}', "");
Expect(0, 68307, '\p{^Jg=	 Manichaean_Lamedh}', "");
Expect(0, 68307, '\P{Jg=	 Manichaean_Lamedh}', "");
Expect(1, 68307, '\P{^Jg=	 Manichaean_Lamedh}', "");
Expect(0, 68308, '\p{Jg=	 Manichaean_Lamedh}', "");
Expect(1, 68308, '\p{^Jg=	 Manichaean_Lamedh}', "");
Expect(1, 68308, '\P{Jg=	 Manichaean_Lamedh}', "");
Expect(0, 68308, '\P{^Jg=	 Manichaean_Lamedh}', "");
Error('\p{Is_Joining_Group=-_MANICHAEAN_Lamedh/a/}');
Error('\P{Is_Joining_Group=-_MANICHAEAN_Lamedh/a/}');
Expect(1, 68307, '\p{Is_Joining_Group=manichaeanlamedh}', "");
Expect(0, 68307, '\p{^Is_Joining_Group=manichaeanlamedh}', "");
Expect(0, 68307, '\P{Is_Joining_Group=manichaeanlamedh}', "");
Expect(1, 68307, '\P{^Is_Joining_Group=manichaeanlamedh}', "");
Expect(0, 68308, '\p{Is_Joining_Group=manichaeanlamedh}', "");
Expect(1, 68308, '\p{^Is_Joining_Group=manichaeanlamedh}', "");
Expect(1, 68308, '\P{Is_Joining_Group=manichaeanlamedh}', "");
Expect(0, 68308, '\P{^Is_Joining_Group=manichaeanlamedh}', "");
Expect(1, 68307, '\p{Is_Joining_Group=  manichaean_Lamedh}', "");
Expect(0, 68307, '\p{^Is_Joining_Group=  manichaean_Lamedh}', "");
Expect(0, 68307, '\P{Is_Joining_Group=  manichaean_Lamedh}', "");
Expect(1, 68307, '\P{^Is_Joining_Group=  manichaean_Lamedh}', "");
Expect(0, 68308, '\p{Is_Joining_Group=  manichaean_Lamedh}', "");
Expect(1, 68308, '\p{^Is_Joining_Group=  manichaean_Lamedh}', "");
Expect(1, 68308, '\P{Is_Joining_Group=  manichaean_Lamedh}', "");
Expect(0, 68308, '\P{^Is_Joining_Group=  manichaean_Lamedh}', "");
Error('\p{Is_Jg=	 manichaean_Lamedh:=}');
Error('\P{Is_Jg=	 manichaean_Lamedh:=}');
Expect(1, 68307, '\p{Is_Jg=manichaeanlamedh}', "");
Expect(0, 68307, '\p{^Is_Jg=manichaeanlamedh}', "");
Expect(0, 68307, '\P{Is_Jg=manichaeanlamedh}', "");
Expect(1, 68307, '\P{^Is_Jg=manichaeanlamedh}', "");
Expect(0, 68308, '\p{Is_Jg=manichaeanlamedh}', "");
Expect(1, 68308, '\p{^Is_Jg=manichaeanlamedh}', "");
Expect(1, 68308, '\P{Is_Jg=manichaeanlamedh}', "");
Expect(0, 68308, '\P{^Is_Jg=manichaeanlamedh}', "");
Expect(1, 68307, '\p{Is_Jg=	MANICHAEAN_lamedh}', "");
Expect(0, 68307, '\p{^Is_Jg=	MANICHAEAN_lamedh}', "");
Expect(0, 68307, '\P{Is_Jg=	MANICHAEAN_lamedh}', "");
Expect(1, 68307, '\P{^Is_Jg=	MANICHAEAN_lamedh}', "");
Expect(0, 68308, '\p{Is_Jg=	MANICHAEAN_lamedh}', "");
Expect(1, 68308, '\p{^Is_Jg=	MANICHAEAN_lamedh}', "");
Expect(1, 68308, '\P{Is_Jg=	MANICHAEAN_lamedh}', "");
Expect(0, 68308, '\P{^Is_Jg=	MANICHAEAN_lamedh}', "");
Error('\p{Joining_Group=:=manichaean_MEM}');
Error('\P{Joining_Group=:=manichaean_MEM}');
Expect(1, 68310, '\p{Joining_Group=manichaeanmem}', "");
Expect(0, 68310, '\p{^Joining_Group=manichaeanmem}', "");
Expect(0, 68310, '\P{Joining_Group=manichaeanmem}', "");
Expect(1, 68310, '\P{^Joining_Group=manichaeanmem}', "");
Expect(0, 68311, '\p{Joining_Group=manichaeanmem}', "");
Expect(1, 68311, '\p{^Joining_Group=manichaeanmem}', "");
Expect(1, 68311, '\P{Joining_Group=manichaeanmem}', "");
Expect(0, 68311, '\P{^Joining_Group=manichaeanmem}', "");
Expect(1, 68310, '\p{Joining_Group: _ MANICHAEAN_Mem}', "");
Expect(0, 68310, '\p{^Joining_Group: _ MANICHAEAN_Mem}', "");
Expect(0, 68310, '\P{Joining_Group: _ MANICHAEAN_Mem}', "");
Expect(1, 68310, '\P{^Joining_Group: _ MANICHAEAN_Mem}', "");
Expect(0, 68311, '\p{Joining_Group: _ MANICHAEAN_Mem}', "");
Expect(1, 68311, '\p{^Joining_Group: _ MANICHAEAN_Mem}', "");
Expect(1, 68311, '\P{Joining_Group: _ MANICHAEAN_Mem}', "");
Expect(0, 68311, '\P{^Joining_Group: _ MANICHAEAN_Mem}', "");
Error('\p{Jg=/a/	 manichaean_MEM}');
Error('\P{Jg=/a/	 manichaean_MEM}');
Expect(1, 68310, '\p{Jg:	manichaeanmem}', "");
Expect(0, 68310, '\p{^Jg:	manichaeanmem}', "");
Expect(0, 68310, '\P{Jg:	manichaeanmem}', "");
Expect(1, 68310, '\P{^Jg:	manichaeanmem}', "");
Expect(0, 68311, '\p{Jg:	manichaeanmem}', "");
Expect(1, 68311, '\p{^Jg:	manichaeanmem}', "");
Expect(1, 68311, '\P{Jg:	manichaeanmem}', "");
Expect(0, 68311, '\P{^Jg:	manichaeanmem}', "");
Expect(1, 68310, '\p{Jg=-_Manichaean_MEM}', "");
Expect(0, 68310, '\p{^Jg=-_Manichaean_MEM}', "");
Expect(0, 68310, '\P{Jg=-_Manichaean_MEM}', "");
Expect(1, 68310, '\P{^Jg=-_Manichaean_MEM}', "");
Expect(0, 68311, '\p{Jg=-_Manichaean_MEM}', "");
Expect(1, 68311, '\p{^Jg=-_Manichaean_MEM}', "");
Expect(1, 68311, '\P{Jg=-_Manichaean_MEM}', "");
Expect(0, 68311, '\P{^Jg=-_Manichaean_MEM}', "");
Error('\p{Is_Joining_Group=	:=manichaean_MEM}');
Error('\P{Is_Joining_Group=	:=manichaean_MEM}');
Expect(1, 68310, '\p{Is_Joining_Group=manichaeanmem}', "");
Expect(0, 68310, '\p{^Is_Joining_Group=manichaeanmem}', "");
Expect(0, 68310, '\P{Is_Joining_Group=manichaeanmem}', "");
Expect(1, 68310, '\P{^Is_Joining_Group=manichaeanmem}', "");
Expect(0, 68311, '\p{Is_Joining_Group=manichaeanmem}', "");
Expect(1, 68311, '\p{^Is_Joining_Group=manichaeanmem}', "");
Expect(1, 68311, '\P{Is_Joining_Group=manichaeanmem}', "");
Expect(0, 68311, '\P{^Is_Joining_Group=manichaeanmem}', "");
Expect(1, 68310, '\p{Is_Joining_Group=--manichaean_MEM}', "");
Expect(0, 68310, '\p{^Is_Joining_Group=--manichaean_MEM}', "");
Expect(0, 68310, '\P{Is_Joining_Group=--manichaean_MEM}', "");
Expect(1, 68310, '\P{^Is_Joining_Group=--manichaean_MEM}', "");
Expect(0, 68311, '\p{Is_Joining_Group=--manichaean_MEM}', "");
Expect(1, 68311, '\p{^Is_Joining_Group=--manichaean_MEM}', "");
Expect(1, 68311, '\P{Is_Joining_Group=--manichaean_MEM}', "");
Expect(0, 68311, '\P{^Is_Joining_Group=--manichaean_MEM}', "");
Error('\p{Is_Jg=:= -manichaean_mem}');
Error('\P{Is_Jg=:= -manichaean_mem}');
Expect(1, 68310, '\p{Is_Jg=manichaeanmem}', "");
Expect(0, 68310, '\p{^Is_Jg=manichaeanmem}', "");
Expect(0, 68310, '\P{Is_Jg=manichaeanmem}', "");
Expect(1, 68310, '\P{^Is_Jg=manichaeanmem}', "");
Expect(0, 68311, '\p{Is_Jg=manichaeanmem}', "");
Expect(1, 68311, '\p{^Is_Jg=manichaeanmem}', "");
Expect(1, 68311, '\P{Is_Jg=manichaeanmem}', "");
Expect(0, 68311, '\P{^Is_Jg=manichaeanmem}', "");
Expect(1, 68310, '\p{Is_Jg= -manichaean_Mem}', "");
Expect(0, 68310, '\p{^Is_Jg= -manichaean_Mem}', "");
Expect(0, 68310, '\P{Is_Jg= -manichaean_Mem}', "");
Expect(1, 68310, '\P{^Is_Jg= -manichaean_Mem}', "");
Expect(0, 68311, '\p{Is_Jg= -manichaean_Mem}', "");
Expect(1, 68311, '\p{^Is_Jg= -manichaean_Mem}', "");
Expect(1, 68311, '\P{Is_Jg= -manichaean_Mem}', "");
Expect(0, 68311, '\P{^Is_Jg= -manichaean_Mem}', "");
Error('\p{Joining_Group=/a/manichaean_Nun}');
Error('\P{Joining_Group=/a/manichaean_Nun}');
Expect(1, 68311, '\p{Joining_Group=manichaeannun}', "");
Expect(0, 68311, '\p{^Joining_Group=manichaeannun}', "");
Expect(0, 68311, '\P{Joining_Group=manichaeannun}', "");
Expect(1, 68311, '\P{^Joining_Group=manichaeannun}', "");
Expect(0, 68312, '\p{Joining_Group=manichaeannun}', "");
Expect(1, 68312, '\p{^Joining_Group=manichaeannun}', "");
Expect(1, 68312, '\P{Joining_Group=manichaeannun}', "");
Expect(0, 68312, '\P{^Joining_Group=manichaeannun}', "");
Expect(1, 68311, '\p{Joining_Group=	-manichaean_NUN}', "");
Expect(0, 68311, '\p{^Joining_Group=	-manichaean_NUN}', "");
Expect(0, 68311, '\P{Joining_Group=	-manichaean_NUN}', "");
Expect(1, 68311, '\P{^Joining_Group=	-manichaean_NUN}', "");
Expect(0, 68312, '\p{Joining_Group=	-manichaean_NUN}', "");
Expect(1, 68312, '\p{^Joining_Group=	-manichaean_NUN}', "");
Expect(1, 68312, '\P{Joining_Group=	-manichaean_NUN}', "");
Expect(0, 68312, '\P{^Joining_Group=	-manichaean_NUN}', "");
Error('\p{Jg:   	/a/MANICHAEAN_Nun}');
Error('\P{Jg:   	/a/MANICHAEAN_Nun}');
Expect(1, 68311, '\p{Jg=manichaeannun}', "");
Expect(0, 68311, '\p{^Jg=manichaeannun}', "");
Expect(0, 68311, '\P{Jg=manichaeannun}', "");
Expect(1, 68311, '\P{^Jg=manichaeannun}', "");
Expect(0, 68312, '\p{Jg=manichaeannun}', "");
Expect(1, 68312, '\p{^Jg=manichaeannun}', "");
Expect(1, 68312, '\P{Jg=manichaeannun}', "");
Expect(0, 68312, '\P{^Jg=manichaeannun}', "");
Expect(1, 68311, '\p{Jg:   	 Manichaean_nun}', "");
Expect(0, 68311, '\p{^Jg:   	 Manichaean_nun}', "");
Expect(0, 68311, '\P{Jg:   	 Manichaean_nun}', "");
Expect(1, 68311, '\P{^Jg:   	 Manichaean_nun}', "");
Expect(0, 68312, '\p{Jg:   	 Manichaean_nun}', "");
Expect(1, 68312, '\p{^Jg:   	 Manichaean_nun}', "");
Expect(1, 68312, '\P{Jg:   	 Manichaean_nun}', "");
Expect(0, 68312, '\P{^Jg:   	 Manichaean_nun}', "");
Error('\p{Is_Joining_Group=	:=MANICHAEAN_nun}');
Error('\P{Is_Joining_Group=	:=MANICHAEAN_nun}');
Expect(1, 68311, '\p{Is_Joining_Group=manichaeannun}', "");
Expect(0, 68311, '\p{^Is_Joining_Group=manichaeannun}', "");
Expect(0, 68311, '\P{Is_Joining_Group=manichaeannun}', "");
Expect(1, 68311, '\P{^Is_Joining_Group=manichaeannun}', "");
Expect(0, 68312, '\p{Is_Joining_Group=manichaeannun}', "");
Expect(1, 68312, '\p{^Is_Joining_Group=manichaeannun}', "");
Expect(1, 68312, '\P{Is_Joining_Group=manichaeannun}', "");
Expect(0, 68312, '\P{^Is_Joining_Group=manichaeannun}', "");
Expect(1, 68311, '\p{Is_Joining_Group=		MANICHAEAN_nun}', "");
Expect(0, 68311, '\p{^Is_Joining_Group=		MANICHAEAN_nun}', "");
Expect(0, 68311, '\P{Is_Joining_Group=		MANICHAEAN_nun}', "");
Expect(1, 68311, '\P{^Is_Joining_Group=		MANICHAEAN_nun}', "");
Expect(0, 68312, '\p{Is_Joining_Group=		MANICHAEAN_nun}', "");
Expect(1, 68312, '\p{^Is_Joining_Group=		MANICHAEAN_nun}', "");
Expect(1, 68312, '\P{Is_Joining_Group=		MANICHAEAN_nun}', "");
Expect(0, 68312, '\P{^Is_Joining_Group=		MANICHAEAN_nun}', "");
Error('\p{Is_Jg:	/a/ 	MANICHAEAN_Nun}');
Error('\P{Is_Jg:	/a/ 	MANICHAEAN_Nun}');
Expect(1, 68311, '\p{Is_Jg:manichaeannun}', "");
Expect(0, 68311, '\p{^Is_Jg:manichaeannun}', "");
Expect(0, 68311, '\P{Is_Jg:manichaeannun}', "");
Expect(1, 68311, '\P{^Is_Jg:manichaeannun}', "");
Expect(0, 68312, '\p{Is_Jg:manichaeannun}', "");
Expect(1, 68312, '\p{^Is_Jg:manichaeannun}', "");
Expect(1, 68312, '\P{Is_Jg:manichaeannun}', "");
Expect(0, 68312, '\P{^Is_Jg:manichaeannun}', "");
Expect(1, 68311, '\p{Is_Jg=--Manichaean_Nun}', "");
Expect(0, 68311, '\p{^Is_Jg=--Manichaean_Nun}', "");
Expect(0, 68311, '\P{Is_Jg=--Manichaean_Nun}', "");
Expect(1, 68311, '\P{^Is_Jg=--Manichaean_Nun}', "");
Expect(0, 68312, '\p{Is_Jg=--Manichaean_Nun}', "");
Expect(1, 68312, '\p{^Is_Jg=--Manichaean_Nun}', "");
Expect(1, 68312, '\P{Is_Jg=--Manichaean_Nun}', "");
Expect(0, 68312, '\P{^Is_Jg=--Manichaean_Nun}', "");
Error('\p{Joining_Group=:=	Manichaean_One}');
Error('\P{Joining_Group=:=	Manichaean_One}');
Expect(1, 68331, '\p{Joining_Group:	manichaeanone}', "");
Expect(0, 68331, '\p{^Joining_Group:	manichaeanone}', "");
Expect(0, 68331, '\P{Joining_Group:	manichaeanone}', "");
Expect(1, 68331, '\P{^Joining_Group:	manichaeanone}', "");
Expect(0, 68332, '\p{Joining_Group:	manichaeanone}', "");
Expect(1, 68332, '\p{^Joining_Group:	manichaeanone}', "");
Expect(1, 68332, '\P{Joining_Group:	manichaeanone}', "");
Expect(0, 68332, '\P{^Joining_Group:	manichaeanone}', "");
Expect(1, 68331, '\p{Joining_Group=_-manichaean_ONE}', "");
Expect(0, 68331, '\p{^Joining_Group=_-manichaean_ONE}', "");
Expect(0, 68331, '\P{Joining_Group=_-manichaean_ONE}', "");
Expect(1, 68331, '\P{^Joining_Group=_-manichaean_ONE}', "");
Expect(0, 68332, '\p{Joining_Group=_-manichaean_ONE}', "");
Expect(1, 68332, '\p{^Joining_Group=_-manichaean_ONE}', "");
Expect(1, 68332, '\P{Joining_Group=_-manichaean_ONE}', "");
Expect(0, 68332, '\P{^Joining_Group=_-manichaean_ONE}', "");
Error('\p{Jg= Manichaean_One/a/}');
Error('\P{Jg= Manichaean_One/a/}');
Expect(1, 68331, '\p{Jg=manichaeanone}', "");
Expect(0, 68331, '\p{^Jg=manichaeanone}', "");
Expect(0, 68331, '\P{Jg=manichaeanone}', "");
Expect(1, 68331, '\P{^Jg=manichaeanone}', "");
Expect(0, 68332, '\p{Jg=manichaeanone}', "");
Expect(1, 68332, '\p{^Jg=manichaeanone}', "");
Expect(1, 68332, '\P{Jg=manichaeanone}', "");
Expect(0, 68332, '\P{^Jg=manichaeanone}', "");
Expect(1, 68331, '\p{Jg=	manichaean_One}', "");
Expect(0, 68331, '\p{^Jg=	manichaean_One}', "");
Expect(0, 68331, '\P{Jg=	manichaean_One}', "");
Expect(1, 68331, '\P{^Jg=	manichaean_One}', "");
Expect(0, 68332, '\p{Jg=	manichaean_One}', "");
Expect(1, 68332, '\p{^Jg=	manichaean_One}', "");
Expect(1, 68332, '\P{Jg=	manichaean_One}', "");
Expect(0, 68332, '\P{^Jg=	manichaean_One}', "");
Error('\p{Is_Joining_Group=:=Manichaean_one}');
Error('\P{Is_Joining_Group=:=Manichaean_one}');
Expect(1, 68331, '\p{Is_Joining_Group=manichaeanone}', "");
Expect(0, 68331, '\p{^Is_Joining_Group=manichaeanone}', "");
Expect(0, 68331, '\P{Is_Joining_Group=manichaeanone}', "");
Expect(1, 68331, '\P{^Is_Joining_Group=manichaeanone}', "");
Expect(0, 68332, '\p{Is_Joining_Group=manichaeanone}', "");
Expect(1, 68332, '\p{^Is_Joining_Group=manichaeanone}', "");
Expect(1, 68332, '\P{Is_Joining_Group=manichaeanone}', "");
Expect(0, 68332, '\P{^Is_Joining_Group=manichaeanone}', "");
Expect(1, 68331, '\p{Is_Joining_Group=	-manichaean_ONE}', "");
Expect(0, 68331, '\p{^Is_Joining_Group=	-manichaean_ONE}', "");
Expect(0, 68331, '\P{Is_Joining_Group=	-manichaean_ONE}', "");
Expect(1, 68331, '\P{^Is_Joining_Group=	-manichaean_ONE}', "");
Expect(0, 68332, '\p{Is_Joining_Group=	-manichaean_ONE}', "");
Expect(1, 68332, '\p{^Is_Joining_Group=	-manichaean_ONE}', "");
Expect(1, 68332, '\P{Is_Joining_Group=	-manichaean_ONE}', "");
Expect(0, 68332, '\P{^Is_Joining_Group=	-manichaean_ONE}', "");
Error('\p{Is_Jg=:=-	Manichaean_ONE}');
Error('\P{Is_Jg=:=-	Manichaean_ONE}');
Expect(1, 68331, '\p{Is_Jg=manichaeanone}', "");
Expect(0, 68331, '\p{^Is_Jg=manichaeanone}', "");
Expect(0, 68331, '\P{Is_Jg=manichaeanone}', "");
Expect(1, 68331, '\P{^Is_Jg=manichaeanone}', "");
Expect(0, 68332, '\p{Is_Jg=manichaeanone}', "");
Expect(1, 68332, '\p{^Is_Jg=manichaeanone}', "");
Expect(1, 68332, '\P{Is_Jg=manichaeanone}', "");
Expect(0, 68332, '\P{^Is_Jg=manichaeanone}', "");
Expect(1, 68331, '\p{Is_Jg=	-MANICHAEAN_one}', "");
Expect(0, 68331, '\p{^Is_Jg=	-MANICHAEAN_one}', "");
Expect(0, 68331, '\P{Is_Jg=	-MANICHAEAN_one}', "");
Expect(1, 68331, '\P{^Is_Jg=	-MANICHAEAN_one}', "");
Expect(0, 68332, '\p{Is_Jg=	-MANICHAEAN_one}', "");
Expect(1, 68332, '\p{^Is_Jg=	-MANICHAEAN_one}', "");
Expect(1, 68332, '\P{Is_Jg=	-MANICHAEAN_one}', "");
Expect(0, 68332, '\P{^Is_Jg=	-MANICHAEAN_one}', "");
Error('\p{Joining_Group=manichaean_PE:=}');
Error('\P{Joining_Group=manichaean_PE:=}');
Expect(1, 68316, '\p{Joining_Group:   manichaeanpe}', "");
Expect(0, 68316, '\p{^Joining_Group:   manichaeanpe}', "");
Expect(0, 68316, '\P{Joining_Group:   manichaeanpe}', "");
Expect(1, 68316, '\P{^Joining_Group:   manichaeanpe}', "");
Expect(0, 68317, '\p{Joining_Group:   manichaeanpe}', "");
Expect(1, 68317, '\p{^Joining_Group:   manichaeanpe}', "");
Expect(1, 68317, '\P{Joining_Group:   manichaeanpe}', "");
Expect(0, 68317, '\P{^Joining_Group:   manichaeanpe}', "");
Expect(1, 68316, '\p{Joining_Group: _ MANICHAEAN_PE}', "");
Expect(0, 68316, '\p{^Joining_Group: _ MANICHAEAN_PE}', "");
Expect(0, 68316, '\P{Joining_Group: _ MANICHAEAN_PE}', "");
Expect(1, 68316, '\P{^Joining_Group: _ MANICHAEAN_PE}', "");
Expect(0, 68317, '\p{Joining_Group: _ MANICHAEAN_PE}', "");
Expect(1, 68317, '\p{^Joining_Group: _ MANICHAEAN_PE}', "");
Expect(1, 68317, '\P{Joining_Group: _ MANICHAEAN_PE}', "");
Expect(0, 68317, '\P{^Joining_Group: _ MANICHAEAN_PE}', "");
Error('\p{Jg= manichaean_PE:=}');
Error('\P{Jg= manichaean_PE:=}');
Expect(1, 68316, '\p{Jg=manichaeanpe}', "");
Expect(0, 68316, '\p{^Jg=manichaeanpe}', "");
Expect(0, 68316, '\P{Jg=manichaeanpe}', "");
Expect(1, 68316, '\P{^Jg=manichaeanpe}', "");
Expect(0, 68317, '\p{Jg=manichaeanpe}', "");
Expect(1, 68317, '\p{^Jg=manichaeanpe}', "");
Expect(1, 68317, '\P{Jg=manichaeanpe}', "");
Expect(0, 68317, '\P{^Jg=manichaeanpe}', "");
Expect(1, 68316, '\p{Jg=	-Manichaean_Pe}', "");
Expect(0, 68316, '\p{^Jg=	-Manichaean_Pe}', "");
Expect(0, 68316, '\P{Jg=	-Manichaean_Pe}', "");
Expect(1, 68316, '\P{^Jg=	-Manichaean_Pe}', "");
Expect(0, 68317, '\p{Jg=	-Manichaean_Pe}', "");
Expect(1, 68317, '\p{^Jg=	-Manichaean_Pe}', "");
Expect(1, 68317, '\P{Jg=	-Manichaean_Pe}', "");
Expect(0, 68317, '\P{^Jg=	-Manichaean_Pe}', "");
Error('\p{Is_Joining_Group= -MANICHAEAN_Pe/a/}');
Error('\P{Is_Joining_Group= -MANICHAEAN_Pe/a/}');
Expect(1, 68316, '\p{Is_Joining_Group: manichaeanpe}', "");
Expect(0, 68316, '\p{^Is_Joining_Group: manichaeanpe}', "");
Expect(0, 68316, '\P{Is_Joining_Group: manichaeanpe}', "");
Expect(1, 68316, '\P{^Is_Joining_Group: manichaeanpe}', "");
Expect(0, 68317, '\p{Is_Joining_Group: manichaeanpe}', "");
Expect(1, 68317, '\p{^Is_Joining_Group: manichaeanpe}', "");
Expect(1, 68317, '\P{Is_Joining_Group: manichaeanpe}', "");
Expect(0, 68317, '\P{^Is_Joining_Group: manichaeanpe}', "");
Expect(1, 68316, '\p{Is_Joining_Group=	Manichaean_PE}', "");
Expect(0, 68316, '\p{^Is_Joining_Group=	Manichaean_PE}', "");
Expect(0, 68316, '\P{Is_Joining_Group=	Manichaean_PE}', "");
Expect(1, 68316, '\P{^Is_Joining_Group=	Manichaean_PE}', "");
Expect(0, 68317, '\p{Is_Joining_Group=	Manichaean_PE}', "");
Expect(1, 68317, '\p{^Is_Joining_Group=	Manichaean_PE}', "");
Expect(1, 68317, '\P{Is_Joining_Group=	Manichaean_PE}', "");
Expect(0, 68317, '\P{^Is_Joining_Group=	Manichaean_PE}', "");
Error('\p{Is_Jg=-:=Manichaean_Pe}');
Error('\P{Is_Jg=-:=Manichaean_Pe}');
Expect(1, 68316, '\p{Is_Jg=manichaeanpe}', "");
Expect(0, 68316, '\p{^Is_Jg=manichaeanpe}', "");
Expect(0, 68316, '\P{Is_Jg=manichaeanpe}', "");
Expect(1, 68316, '\P{^Is_Jg=manichaeanpe}', "");
Expect(0, 68317, '\p{Is_Jg=manichaeanpe}', "");
Expect(1, 68317, '\p{^Is_Jg=manichaeanpe}', "");
Expect(1, 68317, '\P{Is_Jg=manichaeanpe}', "");
Expect(0, 68317, '\P{^Is_Jg=manichaeanpe}', "");
Expect(1, 68316, '\p{Is_Jg= _manichaean_pe}', "");
Expect(0, 68316, '\p{^Is_Jg= _manichaean_pe}', "");
Expect(0, 68316, '\P{Is_Jg= _manichaean_pe}', "");
Expect(1, 68316, '\P{^Is_Jg= _manichaean_pe}', "");
Expect(0, 68317, '\p{Is_Jg= _manichaean_pe}', "");
Expect(1, 68317, '\p{^Is_Jg= _manichaean_pe}', "");
Expect(1, 68317, '\P{Is_Jg= _manichaean_pe}', "");
Expect(0, 68317, '\P{^Is_Jg= _manichaean_pe}', "");
Error('\p{Joining_Group=:=Manichaean_Qoph}');
Error('\P{Joining_Group=:=Manichaean_Qoph}');
Expect(1, 68320, '\p{Joining_Group=manichaeanqoph}', "");
Expect(0, 68320, '\p{^Joining_Group=manichaeanqoph}', "");
Expect(0, 68320, '\P{Joining_Group=manichaeanqoph}', "");
Expect(1, 68320, '\P{^Joining_Group=manichaeanqoph}', "");
Expect(0, 68321, '\p{Joining_Group=manichaeanqoph}', "");
Expect(1, 68321, '\p{^Joining_Group=manichaeanqoph}', "");
Expect(1, 68321, '\P{Joining_Group=manichaeanqoph}', "");
Expect(0, 68321, '\P{^Joining_Group=manichaeanqoph}', "");
Expect(1, 68320, '\p{Joining_Group=-Manichaean_Qoph}', "");
Expect(0, 68320, '\p{^Joining_Group=-Manichaean_Qoph}', "");
Expect(0, 68320, '\P{Joining_Group=-Manichaean_Qoph}', "");
Expect(1, 68320, '\P{^Joining_Group=-Manichaean_Qoph}', "");
Expect(0, 68321, '\p{Joining_Group=-Manichaean_Qoph}', "");
Expect(1, 68321, '\p{^Joining_Group=-Manichaean_Qoph}', "");
Expect(1, 68321, '\P{Joining_Group=-Manichaean_Qoph}', "");
Expect(0, 68321, '\P{^Joining_Group=-Manichaean_Qoph}', "");
Error('\p{Jg= /a/MANICHAEAN_Qoph}');
Error('\P{Jg= /a/MANICHAEAN_Qoph}');
Expect(1, 68320, '\p{Jg=manichaeanqoph}', "");
Expect(0, 68320, '\p{^Jg=manichaeanqoph}', "");
Expect(0, 68320, '\P{Jg=manichaeanqoph}', "");
Expect(1, 68320, '\P{^Jg=manichaeanqoph}', "");
Expect(0, 68321, '\p{Jg=manichaeanqoph}', "");
Expect(1, 68321, '\p{^Jg=manichaeanqoph}', "");
Expect(1, 68321, '\P{Jg=manichaeanqoph}', "");
Expect(0, 68321, '\P{^Jg=manichaeanqoph}', "");
Expect(1, 68320, '\p{Jg=--MANICHAEAN_Qoph}', "");
Expect(0, 68320, '\p{^Jg=--MANICHAEAN_Qoph}', "");
Expect(0, 68320, '\P{Jg=--MANICHAEAN_Qoph}', "");
Expect(1, 68320, '\P{^Jg=--MANICHAEAN_Qoph}', "");
Expect(0, 68321, '\p{Jg=--MANICHAEAN_Qoph}', "");
Expect(1, 68321, '\p{^Jg=--MANICHAEAN_Qoph}', "");
Expect(1, 68321, '\P{Jg=--MANICHAEAN_Qoph}', "");
Expect(0, 68321, '\P{^Jg=--MANICHAEAN_Qoph}', "");
Error('\p{Is_Joining_Group=	/a/Manichaean_Qoph}');
Error('\P{Is_Joining_Group=	/a/Manichaean_Qoph}');
Expect(1, 68320, '\p{Is_Joining_Group=manichaeanqoph}', "");
Expect(0, 68320, '\p{^Is_Joining_Group=manichaeanqoph}', "");
Expect(0, 68320, '\P{Is_Joining_Group=manichaeanqoph}', "");
Expect(1, 68320, '\P{^Is_Joining_Group=manichaeanqoph}', "");
Expect(0, 68321, '\p{Is_Joining_Group=manichaeanqoph}', "");
Expect(1, 68321, '\p{^Is_Joining_Group=manichaeanqoph}', "");
Expect(1, 68321, '\P{Is_Joining_Group=manichaeanqoph}', "");
Expect(0, 68321, '\P{^Is_Joining_Group=manichaeanqoph}', "");
Expect(1, 68320, '\p{Is_Joining_Group=_-Manichaean_qoph}', "");
Expect(0, 68320, '\p{^Is_Joining_Group=_-Manichaean_qoph}', "");
Expect(0, 68320, '\P{Is_Joining_Group=_-Manichaean_qoph}', "");
Expect(1, 68320, '\P{^Is_Joining_Group=_-Manichaean_qoph}', "");
Expect(0, 68321, '\p{Is_Joining_Group=_-Manichaean_qoph}', "");
Expect(1, 68321, '\p{^Is_Joining_Group=_-Manichaean_qoph}', "");
Expect(1, 68321, '\P{Is_Joining_Group=_-Manichaean_qoph}', "");
Expect(0, 68321, '\P{^Is_Joining_Group=_-Manichaean_qoph}', "");
Error('\p{Is_Jg=_Manichaean_Qoph:=}');
Error('\P{Is_Jg=_Manichaean_Qoph:=}');
Expect(1, 68320, '\p{Is_Jg=manichaeanqoph}', "");
Expect(0, 68320, '\p{^Is_Jg=manichaeanqoph}', "");
Expect(0, 68320, '\P{Is_Jg=manichaeanqoph}', "");
Expect(1, 68320, '\P{^Is_Jg=manichaeanqoph}', "");
Expect(0, 68321, '\p{Is_Jg=manichaeanqoph}', "");
Expect(1, 68321, '\p{^Is_Jg=manichaeanqoph}', "");
Expect(1, 68321, '\P{Is_Jg=manichaeanqoph}', "");
Expect(0, 68321, '\P{^Is_Jg=manichaeanqoph}', "");
Expect(1, 68320, '\p{Is_Jg=	_manichaean_qoph}', "");
Expect(0, 68320, '\p{^Is_Jg=	_manichaean_qoph}', "");
Expect(0, 68320, '\P{Is_Jg=	_manichaean_qoph}', "");
Expect(1, 68320, '\P{^Is_Jg=	_manichaean_qoph}', "");
Expect(0, 68321, '\p{Is_Jg=	_manichaean_qoph}', "");
Expect(1, 68321, '\p{^Is_Jg=	_manichaean_qoph}', "");
Expect(1, 68321, '\P{Is_Jg=	_manichaean_qoph}', "");
Expect(0, 68321, '\P{^Is_Jg=	_manichaean_qoph}', "");
Error('\p{Joining_Group=_	Manichaean_RESH:=}');
Error('\P{Joining_Group=_	Manichaean_RESH:=}');
Expect(1, 68321, '\p{Joining_Group=manichaeanresh}', "");
Expect(0, 68321, '\p{^Joining_Group=manichaeanresh}', "");
Expect(0, 68321, '\P{Joining_Group=manichaeanresh}', "");
Expect(1, 68321, '\P{^Joining_Group=manichaeanresh}', "");
Expect(0, 68322, '\p{Joining_Group=manichaeanresh}', "");
Expect(1, 68322, '\p{^Joining_Group=manichaeanresh}', "");
Expect(1, 68322, '\P{Joining_Group=manichaeanresh}', "");
Expect(0, 68322, '\P{^Joining_Group=manichaeanresh}', "");
Expect(1, 68321, '\p{Joining_Group=__manichaean_resh}', "");
Expect(0, 68321, '\p{^Joining_Group=__manichaean_resh}', "");
Expect(0, 68321, '\P{Joining_Group=__manichaean_resh}', "");
Expect(1, 68321, '\P{^Joining_Group=__manichaean_resh}', "");
Expect(0, 68322, '\p{Joining_Group=__manichaean_resh}', "");
Expect(1, 68322, '\p{^Joining_Group=__manichaean_resh}', "");
Expect(1, 68322, '\P{Joining_Group=__manichaean_resh}', "");
Expect(0, 68322, '\P{^Joining_Group=__manichaean_resh}', "");
Error('\p{Jg=/a/Manichaean_resh}');
Error('\P{Jg=/a/Manichaean_resh}');
Expect(1, 68321, '\p{Jg=manichaeanresh}', "");
Expect(0, 68321, '\p{^Jg=manichaeanresh}', "");
Expect(0, 68321, '\P{Jg=manichaeanresh}', "");
Expect(1, 68321, '\P{^Jg=manichaeanresh}', "");
Expect(0, 68322, '\p{Jg=manichaeanresh}', "");
Expect(1, 68322, '\p{^Jg=manichaeanresh}', "");
Expect(1, 68322, '\P{Jg=manichaeanresh}', "");
Expect(0, 68322, '\P{^Jg=manichaeanresh}', "");
Expect(1, 68321, '\p{Jg:		MANICHAEAN_resh}', "");
Expect(0, 68321, '\p{^Jg:		MANICHAEAN_resh}', "");
Expect(0, 68321, '\P{Jg:		MANICHAEAN_resh}', "");
Expect(1, 68321, '\P{^Jg:		MANICHAEAN_resh}', "");
Expect(0, 68322, '\p{Jg:		MANICHAEAN_resh}', "");
Expect(1, 68322, '\p{^Jg:		MANICHAEAN_resh}', "");
Expect(1, 68322, '\P{Jg:		MANICHAEAN_resh}', "");
Expect(0, 68322, '\P{^Jg:		MANICHAEAN_resh}', "");
Error('\p{Is_Joining_Group=_:=manichaean_Resh}');
Error('\P{Is_Joining_Group=_:=manichaean_Resh}');
Expect(1, 68321, '\p{Is_Joining_Group=manichaeanresh}', "");
Expect(0, 68321, '\p{^Is_Joining_Group=manichaeanresh}', "");
Expect(0, 68321, '\P{Is_Joining_Group=manichaeanresh}', "");
Expect(1, 68321, '\P{^Is_Joining_Group=manichaeanresh}', "");
Expect(0, 68322, '\p{Is_Joining_Group=manichaeanresh}', "");
Expect(1, 68322, '\p{^Is_Joining_Group=manichaeanresh}', "");
Expect(1, 68322, '\P{Is_Joining_Group=manichaeanresh}', "");
Expect(0, 68322, '\P{^Is_Joining_Group=manichaeanresh}', "");
Expect(1, 68321, '\p{Is_Joining_Group=_manichaean_resh}', "");
Expect(0, 68321, '\p{^Is_Joining_Group=_manichaean_resh}', "");
Expect(0, 68321, '\P{Is_Joining_Group=_manichaean_resh}', "");
Expect(1, 68321, '\P{^Is_Joining_Group=_manichaean_resh}', "");
Expect(0, 68322, '\p{Is_Joining_Group=_manichaean_resh}', "");
Expect(1, 68322, '\p{^Is_Joining_Group=_manichaean_resh}', "");
Expect(1, 68322, '\P{Is_Joining_Group=_manichaean_resh}', "");
Expect(0, 68322, '\P{^Is_Joining_Group=_manichaean_resh}', "");
Error('\p{Is_Jg=-:=manichaean_RESH}');
Error('\P{Is_Jg=-:=manichaean_RESH}');
Expect(1, 68321, '\p{Is_Jg=manichaeanresh}', "");
Expect(0, 68321, '\p{^Is_Jg=manichaeanresh}', "");
Expect(0, 68321, '\P{Is_Jg=manichaeanresh}', "");
Expect(1, 68321, '\P{^Is_Jg=manichaeanresh}', "");
Expect(0, 68322, '\p{Is_Jg=manichaeanresh}', "");
Expect(1, 68322, '\p{^Is_Jg=manichaeanresh}', "");
Expect(1, 68322, '\P{Is_Jg=manichaeanresh}', "");
Expect(0, 68322, '\P{^Is_Jg=manichaeanresh}', "");
Expect(1, 68321, '\p{Is_Jg=	_manichaean_Resh}', "");
Expect(0, 68321, '\p{^Is_Jg=	_manichaean_Resh}', "");
Expect(0, 68321, '\P{Is_Jg=	_manichaean_Resh}', "");
Expect(1, 68321, '\P{^Is_Jg=	_manichaean_Resh}', "");
Expect(0, 68322, '\p{Is_Jg=	_manichaean_Resh}', "");
Expect(1, 68322, '\p{^Is_Jg=	_manichaean_Resh}', "");
Expect(1, 68322, '\P{Is_Jg=	_manichaean_Resh}', "");
Expect(0, 68322, '\P{^Is_Jg=	_manichaean_Resh}', "");
Error('\p{Joining_Group=:=--MANICHAEAN_Sadhe}');
Error('\P{Joining_Group=:=--MANICHAEAN_Sadhe}');
Expect(1, 68317, '\p{Joining_Group=manichaeansadhe}', "");
Expect(0, 68317, '\p{^Joining_Group=manichaeansadhe}', "");
Expect(0, 68317, '\P{Joining_Group=manichaeansadhe}', "");
Expect(1, 68317, '\P{^Joining_Group=manichaeansadhe}', "");
Expect(0, 68318, '\p{Joining_Group=manichaeansadhe}', "");
Expect(1, 68318, '\p{^Joining_Group=manichaeansadhe}', "");
Expect(1, 68318, '\P{Joining_Group=manichaeansadhe}', "");
Expect(0, 68318, '\P{^Joining_Group=manichaeansadhe}', "");
Expect(1, 68317, '\p{Joining_Group: 	 Manichaean_Sadhe}', "");
Expect(0, 68317, '\p{^Joining_Group: 	 Manichaean_Sadhe}', "");
Expect(0, 68317, '\P{Joining_Group: 	 Manichaean_Sadhe}', "");
Expect(1, 68317, '\P{^Joining_Group: 	 Manichaean_Sadhe}', "");
Expect(0, 68318, '\p{Joining_Group: 	 Manichaean_Sadhe}', "");
Expect(1, 68318, '\p{^Joining_Group: 	 Manichaean_Sadhe}', "");
Expect(1, 68318, '\P{Joining_Group: 	 Manichaean_Sadhe}', "");
Expect(0, 68318, '\P{^Joining_Group: 	 Manichaean_Sadhe}', "");
Error('\p{Jg=-Manichaean_Sadhe/a/}');
Error('\P{Jg=-Manichaean_Sadhe/a/}');
Expect(1, 68317, '\p{Jg: manichaeansadhe}', "");
Expect(0, 68317, '\p{^Jg: manichaeansadhe}', "");
Expect(0, 68317, '\P{Jg: manichaeansadhe}', "");
Expect(1, 68317, '\P{^Jg: manichaeansadhe}', "");
Expect(0, 68318, '\p{Jg: manichaeansadhe}', "");
Expect(1, 68318, '\p{^Jg: manichaeansadhe}', "");
Expect(1, 68318, '\P{Jg: manichaeansadhe}', "");
Expect(0, 68318, '\P{^Jg: manichaeansadhe}', "");
Expect(1, 68317, '\p{Jg= _Manichaean_SADHE}', "");
Expect(0, 68317, '\p{^Jg= _Manichaean_SADHE}', "");
Expect(0, 68317, '\P{Jg= _Manichaean_SADHE}', "");
Expect(1, 68317, '\P{^Jg= _Manichaean_SADHE}', "");
Expect(0, 68318, '\p{Jg= _Manichaean_SADHE}', "");
Expect(1, 68318, '\p{^Jg= _Manichaean_SADHE}', "");
Expect(1, 68318, '\P{Jg= _Manichaean_SADHE}', "");
Expect(0, 68318, '\P{^Jg= _Manichaean_SADHE}', "");
Error('\p{Is_Joining_Group=	MANICHAEAN_SADHE:=}');
Error('\P{Is_Joining_Group=	MANICHAEAN_SADHE:=}');
Expect(1, 68317, '\p{Is_Joining_Group=manichaeansadhe}', "");
Expect(0, 68317, '\p{^Is_Joining_Group=manichaeansadhe}', "");
Expect(0, 68317, '\P{Is_Joining_Group=manichaeansadhe}', "");
Expect(1, 68317, '\P{^Is_Joining_Group=manichaeansadhe}', "");
Expect(0, 68318, '\p{Is_Joining_Group=manichaeansadhe}', "");
Expect(1, 68318, '\p{^Is_Joining_Group=manichaeansadhe}', "");
Expect(1, 68318, '\P{Is_Joining_Group=manichaeansadhe}', "");
Expect(0, 68318, '\P{^Is_Joining_Group=manichaeansadhe}', "");
Expect(1, 68317, '\p{Is_Joining_Group=_manichaean_SADHE}', "");
Expect(0, 68317, '\p{^Is_Joining_Group=_manichaean_SADHE}', "");
Expect(0, 68317, '\P{Is_Joining_Group=_manichaean_SADHE}', "");
Expect(1, 68317, '\P{^Is_Joining_Group=_manichaean_SADHE}', "");
Expect(0, 68318, '\p{Is_Joining_Group=_manichaean_SADHE}', "");
Expect(1, 68318, '\p{^Is_Joining_Group=_manichaean_SADHE}', "");
Expect(1, 68318, '\P{Is_Joining_Group=_manichaean_SADHE}', "");
Expect(0, 68318, '\P{^Is_Joining_Group=_manichaean_SADHE}', "");
Error('\p{Is_Jg=- MANICHAEAN_sadhe/a/}');
Error('\P{Is_Jg=- MANICHAEAN_sadhe/a/}');
Expect(1, 68317, '\p{Is_Jg=manichaeansadhe}', "");
Expect(0, 68317, '\p{^Is_Jg=manichaeansadhe}', "");
Expect(0, 68317, '\P{Is_Jg=manichaeansadhe}', "");
Expect(1, 68317, '\P{^Is_Jg=manichaeansadhe}', "");
Expect(0, 68318, '\p{Is_Jg=manichaeansadhe}', "");
Expect(1, 68318, '\p{^Is_Jg=manichaeansadhe}', "");
Expect(1, 68318, '\P{Is_Jg=manichaeansadhe}', "");
Expect(0, 68318, '\P{^Is_Jg=manichaeansadhe}', "");
Expect(1, 68317, '\p{Is_Jg=	manichaean_Sadhe}', "");
Expect(0, 68317, '\p{^Is_Jg=	manichaean_Sadhe}', "");
Expect(0, 68317, '\P{Is_Jg=	manichaean_Sadhe}', "");
Expect(1, 68317, '\P{^Is_Jg=	manichaean_Sadhe}', "");
Expect(0, 68318, '\p{Is_Jg=	manichaean_Sadhe}', "");
Expect(1, 68318, '\p{^Is_Jg=	manichaean_Sadhe}', "");
Expect(1, 68318, '\P{Is_Jg=	manichaean_Sadhe}', "");
Expect(0, 68318, '\P{^Is_Jg=	manichaean_Sadhe}', "");
Error('\p{Joining_Group=	Manichaean_samekh/a/}');
Error('\P{Joining_Group=	Manichaean_samekh/a/}');
Expect(1, 68312, '\p{Joining_Group=manichaeansamekh}', "");
Expect(0, 68312, '\p{^Joining_Group=manichaeansamekh}', "");
Expect(0, 68312, '\P{Joining_Group=manichaeansamekh}', "");
Expect(1, 68312, '\P{^Joining_Group=manichaeansamekh}', "");
Expect(0, 68313, '\p{Joining_Group=manichaeansamekh}', "");
Expect(1, 68313, '\p{^Joining_Group=manichaeansamekh}', "");
Expect(1, 68313, '\P{Joining_Group=manichaeansamekh}', "");
Expect(0, 68313, '\P{^Joining_Group=manichaeansamekh}', "");
Expect(1, 68312, '\p{Joining_Group= _MANICHAEAN_SAMEKH}', "");
Expect(0, 68312, '\p{^Joining_Group= _MANICHAEAN_SAMEKH}', "");
Expect(0, 68312, '\P{Joining_Group= _MANICHAEAN_SAMEKH}', "");
Expect(1, 68312, '\P{^Joining_Group= _MANICHAEAN_SAMEKH}', "");
Expect(0, 68313, '\p{Joining_Group= _MANICHAEAN_SAMEKH}', "");
Expect(1, 68313, '\p{^Joining_Group= _MANICHAEAN_SAMEKH}', "");
Expect(1, 68313, '\P{Joining_Group= _MANICHAEAN_SAMEKH}', "");
Expect(0, 68313, '\P{^Joining_Group= _MANICHAEAN_SAMEKH}', "");
Error('\p{Jg=:=_	MANICHAEAN_Samekh}');
Error('\P{Jg=:=_	MANICHAEAN_Samekh}');
Expect(1, 68312, '\p{Jg=manichaeansamekh}', "");
Expect(0, 68312, '\p{^Jg=manichaeansamekh}', "");
Expect(0, 68312, '\P{Jg=manichaeansamekh}', "");
Expect(1, 68312, '\P{^Jg=manichaeansamekh}', "");
Expect(0, 68313, '\p{Jg=manichaeansamekh}', "");
Expect(1, 68313, '\p{^Jg=manichaeansamekh}', "");
Expect(1, 68313, '\P{Jg=manichaeansamekh}', "");
Expect(0, 68313, '\P{^Jg=manichaeansamekh}', "");
Expect(1, 68312, '\p{Jg=-_Manichaean_SAMEKH}', "");
Expect(0, 68312, '\p{^Jg=-_Manichaean_SAMEKH}', "");
Expect(0, 68312, '\P{Jg=-_Manichaean_SAMEKH}', "");
Expect(1, 68312, '\P{^Jg=-_Manichaean_SAMEKH}', "");
Expect(0, 68313, '\p{Jg=-_Manichaean_SAMEKH}', "");
Expect(1, 68313, '\p{^Jg=-_Manichaean_SAMEKH}', "");
Expect(1, 68313, '\P{Jg=-_Manichaean_SAMEKH}', "");
Expect(0, 68313, '\P{^Jg=-_Manichaean_SAMEKH}', "");
Error('\p{Is_Joining_Group= /a/manichaean_samekh}');
Error('\P{Is_Joining_Group= /a/manichaean_samekh}');
Expect(1, 68312, '\p{Is_Joining_Group=manichaeansamekh}', "");
Expect(0, 68312, '\p{^Is_Joining_Group=manichaeansamekh}', "");
Expect(0, 68312, '\P{Is_Joining_Group=manichaeansamekh}', "");
Expect(1, 68312, '\P{^Is_Joining_Group=manichaeansamekh}', "");
Expect(0, 68313, '\p{Is_Joining_Group=manichaeansamekh}', "");
Expect(1, 68313, '\p{^Is_Joining_Group=manichaeansamekh}', "");
Expect(1, 68313, '\P{Is_Joining_Group=manichaeansamekh}', "");
Expect(0, 68313, '\P{^Is_Joining_Group=manichaeansamekh}', "");
Expect(1, 68312, '\p{Is_Joining_Group=-_Manichaean_SAMEKH}', "");
Expect(0, 68312, '\p{^Is_Joining_Group=-_Manichaean_SAMEKH}', "");
Expect(0, 68312, '\P{Is_Joining_Group=-_Manichaean_SAMEKH}', "");
Expect(1, 68312, '\P{^Is_Joining_Group=-_Manichaean_SAMEKH}', "");
Expect(0, 68313, '\p{Is_Joining_Group=-_Manichaean_SAMEKH}', "");
Expect(1, 68313, '\p{^Is_Joining_Group=-_Manichaean_SAMEKH}', "");
Expect(1, 68313, '\P{Is_Joining_Group=-_Manichaean_SAMEKH}', "");
Expect(0, 68313, '\P{^Is_Joining_Group=-_Manichaean_SAMEKH}', "");
Error('\p{Is_Jg=	MANICHAEAN_samekh:=}');
Error('\P{Is_Jg=	MANICHAEAN_samekh:=}');
Expect(1, 68312, '\p{Is_Jg=manichaeansamekh}', "");
Expect(0, 68312, '\p{^Is_Jg=manichaeansamekh}', "");
Expect(0, 68312, '\P{Is_Jg=manichaeansamekh}', "");
Expect(1, 68312, '\P{^Is_Jg=manichaeansamekh}', "");
Expect(0, 68313, '\p{Is_Jg=manichaeansamekh}', "");
Expect(1, 68313, '\p{^Is_Jg=manichaeansamekh}', "");
Expect(1, 68313, '\P{Is_Jg=manichaeansamekh}', "");
Expect(0, 68313, '\P{^Is_Jg=manichaeansamekh}', "");
Expect(1, 68312, '\p{Is_Jg= Manichaean_Samekh}', "");
Expect(0, 68312, '\p{^Is_Jg= Manichaean_Samekh}', "");
Expect(0, 68312, '\P{Is_Jg= Manichaean_Samekh}', "");
Expect(1, 68312, '\P{^Is_Jg= Manichaean_Samekh}', "");
Expect(0, 68313, '\p{Is_Jg= Manichaean_Samekh}', "");
Expect(1, 68313, '\p{^Is_Jg= Manichaean_Samekh}', "");
Expect(1, 68313, '\P{Is_Jg= Manichaean_Samekh}', "");
Expect(0, 68313, '\P{^Is_Jg= Manichaean_Samekh}', "");
Error('\p{Joining_Group: _:=Manichaean_Taw}');
Error('\P{Joining_Group: _:=Manichaean_Taw}');
Expect(1, 68324, '\p{Joining_Group=manichaeantaw}', "");
Expect(0, 68324, '\p{^Joining_Group=manichaeantaw}', "");
Expect(0, 68324, '\P{Joining_Group=manichaeantaw}', "");
Expect(1, 68324, '\P{^Joining_Group=manichaeantaw}', "");
Expect(0, 68325, '\p{Joining_Group=manichaeantaw}', "");
Expect(1, 68325, '\p{^Joining_Group=manichaeantaw}', "");
Expect(1, 68325, '\P{Joining_Group=manichaeantaw}', "");
Expect(0, 68325, '\P{^Joining_Group=manichaeantaw}', "");
Expect(1, 68324, '\p{Joining_Group=--Manichaean_Taw}', "");
Expect(0, 68324, '\p{^Joining_Group=--Manichaean_Taw}', "");
Expect(0, 68324, '\P{Joining_Group=--Manichaean_Taw}', "");
Expect(1, 68324, '\P{^Joining_Group=--Manichaean_Taw}', "");
Expect(0, 68325, '\p{Joining_Group=--Manichaean_Taw}', "");
Expect(1, 68325, '\p{^Joining_Group=--Manichaean_Taw}', "");
Expect(1, 68325, '\P{Joining_Group=--Manichaean_Taw}', "");
Expect(0, 68325, '\P{^Joining_Group=--Manichaean_Taw}', "");
Error('\p{Jg=-:=Manichaean_taw}');
Error('\P{Jg=-:=Manichaean_taw}');
Expect(1, 68324, '\p{Jg=manichaeantaw}', "");
Expect(0, 68324, '\p{^Jg=manichaeantaw}', "");
Expect(0, 68324, '\P{Jg=manichaeantaw}', "");
Expect(1, 68324, '\P{^Jg=manichaeantaw}', "");
Expect(0, 68325, '\p{Jg=manichaeantaw}', "");
Expect(1, 68325, '\p{^Jg=manichaeantaw}', "");
Expect(1, 68325, '\P{Jg=manichaeantaw}', "");
Expect(0, 68325, '\P{^Jg=manichaeantaw}', "");
Expect(1, 68324, '\p{Jg=		manichaean_Taw}', "");
Expect(0, 68324, '\p{^Jg=		manichaean_Taw}', "");
Expect(0, 68324, '\P{Jg=		manichaean_Taw}', "");
Expect(1, 68324, '\P{^Jg=		manichaean_Taw}', "");
Expect(0, 68325, '\p{Jg=		manichaean_Taw}', "");
Expect(1, 68325, '\p{^Jg=		manichaean_Taw}', "");
Expect(1, 68325, '\P{Jg=		manichaean_Taw}', "");
Expect(0, 68325, '\P{^Jg=		manichaean_Taw}', "");
Error('\p{Is_Joining_Group=_	Manichaean_Taw:=}');
Error('\P{Is_Joining_Group=_	Manichaean_Taw:=}');
Expect(1, 68324, '\p{Is_Joining_Group=manichaeantaw}', "");
Expect(0, 68324, '\p{^Is_Joining_Group=manichaeantaw}', "");
Expect(0, 68324, '\P{Is_Joining_Group=manichaeantaw}', "");
Expect(1, 68324, '\P{^Is_Joining_Group=manichaeantaw}', "");
Expect(0, 68325, '\p{Is_Joining_Group=manichaeantaw}', "");
Expect(1, 68325, '\p{^Is_Joining_Group=manichaeantaw}', "");
Expect(1, 68325, '\P{Is_Joining_Group=manichaeantaw}', "");
Expect(0, 68325, '\P{^Is_Joining_Group=manichaeantaw}', "");
Expect(1, 68324, '\p{Is_Joining_Group=	manichaean_Taw}', "");
Expect(0, 68324, '\p{^Is_Joining_Group=	manichaean_Taw}', "");
Expect(0, 68324, '\P{Is_Joining_Group=	manichaean_Taw}', "");
Expect(1, 68324, '\P{^Is_Joining_Group=	manichaean_Taw}', "");
Expect(0, 68325, '\p{Is_Joining_Group=	manichaean_Taw}', "");
Expect(1, 68325, '\p{^Is_Joining_Group=	manichaean_Taw}', "");
Expect(1, 68325, '\P{Is_Joining_Group=	manichaean_Taw}', "");
Expect(0, 68325, '\P{^Is_Joining_Group=	manichaean_Taw}', "");
Error('\p{Is_Jg=	MANICHAEAN_Taw:=}');
Error('\P{Is_Jg=	MANICHAEAN_Taw:=}');
Expect(1, 68324, '\p{Is_Jg=manichaeantaw}', "");
Expect(0, 68324, '\p{^Is_Jg=manichaeantaw}', "");
Expect(0, 68324, '\P{Is_Jg=manichaeantaw}', "");
Expect(1, 68324, '\P{^Is_Jg=manichaeantaw}', "");
Expect(0, 68325, '\p{Is_Jg=manichaeantaw}', "");
Expect(1, 68325, '\p{^Is_Jg=manichaeantaw}', "");
Expect(1, 68325, '\P{Is_Jg=manichaeantaw}', "");
Expect(0, 68325, '\P{^Is_Jg=manichaeantaw}', "");
Expect(1, 68324, '\p{Is_Jg= _Manichaean_taw}', "");
Expect(0, 68324, '\p{^Is_Jg= _Manichaean_taw}', "");
Expect(0, 68324, '\P{Is_Jg= _Manichaean_taw}', "");
Expect(1, 68324, '\P{^Is_Jg= _Manichaean_taw}', "");
Expect(0, 68325, '\p{Is_Jg= _Manichaean_taw}', "");
Expect(1, 68325, '\p{^Is_Jg= _Manichaean_taw}', "");
Expect(1, 68325, '\P{Is_Jg= _Manichaean_taw}', "");
Expect(0, 68325, '\P{^Is_Jg= _Manichaean_taw}', "");
Error('\p{Joining_Group=- Manichaean_Ten:=}');
Error('\P{Joining_Group=- Manichaean_Ten:=}');
Expect(1, 68333, '\p{Joining_Group=manichaeanten}', "");
Expect(0, 68333, '\p{^Joining_Group=manichaeanten}', "");
Expect(0, 68333, '\P{Joining_Group=manichaeanten}', "");
Expect(1, 68333, '\P{^Joining_Group=manichaeanten}', "");
Expect(0, 68334, '\p{Joining_Group=manichaeanten}', "");
Expect(1, 68334, '\p{^Joining_Group=manichaeanten}', "");
Expect(1, 68334, '\P{Joining_Group=manichaeanten}', "");
Expect(0, 68334, '\P{^Joining_Group=manichaeanten}', "");
Expect(1, 68333, '\p{Joining_Group=_ MANICHAEAN_TEN}', "");
Expect(0, 68333, '\p{^Joining_Group=_ MANICHAEAN_TEN}', "");
Expect(0, 68333, '\P{Joining_Group=_ MANICHAEAN_TEN}', "");
Expect(1, 68333, '\P{^Joining_Group=_ MANICHAEAN_TEN}', "");
Expect(0, 68334, '\p{Joining_Group=_ MANICHAEAN_TEN}', "");
Expect(1, 68334, '\p{^Joining_Group=_ MANICHAEAN_TEN}', "");
Expect(1, 68334, '\P{Joining_Group=_ MANICHAEAN_TEN}', "");
Expect(0, 68334, '\P{^Joining_Group=_ MANICHAEAN_TEN}', "");
Error('\p{Jg= /a/manichaean_ten}');
Error('\P{Jg= /a/manichaean_ten}');
Expect(1, 68333, '\p{Jg=manichaeanten}', "");
Expect(0, 68333, '\p{^Jg=manichaeanten}', "");
Expect(0, 68333, '\P{Jg=manichaeanten}', "");
Expect(1, 68333, '\P{^Jg=manichaeanten}', "");
Expect(0, 68334, '\p{Jg=manichaeanten}', "");
Expect(1, 68334, '\p{^Jg=manichaeanten}', "");
Expect(1, 68334, '\P{Jg=manichaeanten}', "");
Expect(0, 68334, '\P{^Jg=manichaeanten}', "");
Expect(1, 68333, '\p{Jg=Manichaean_Ten}', "");
Expect(0, 68333, '\p{^Jg=Manichaean_Ten}', "");
Expect(0, 68333, '\P{Jg=Manichaean_Ten}', "");
Expect(1, 68333, '\P{^Jg=Manichaean_Ten}', "");
Expect(0, 68334, '\p{Jg=Manichaean_Ten}', "");
Expect(1, 68334, '\p{^Jg=Manichaean_Ten}', "");
Expect(1, 68334, '\P{Jg=Manichaean_Ten}', "");
Expect(0, 68334, '\P{^Jg=Manichaean_Ten}', "");
Error('\p{Is_Joining_Group:    /a/Manichaean_Ten}');
Error('\P{Is_Joining_Group:    /a/Manichaean_Ten}');
Expect(1, 68333, '\p{Is_Joining_Group=manichaeanten}', "");
Expect(0, 68333, '\p{^Is_Joining_Group=manichaeanten}', "");
Expect(0, 68333, '\P{Is_Joining_Group=manichaeanten}', "");
Expect(1, 68333, '\P{^Is_Joining_Group=manichaeanten}', "");
Expect(0, 68334, '\p{Is_Joining_Group=manichaeanten}', "");
Expect(1, 68334, '\p{^Is_Joining_Group=manichaeanten}', "");
Expect(1, 68334, '\P{Is_Joining_Group=manichaeanten}', "");
Expect(0, 68334, '\P{^Is_Joining_Group=manichaeanten}', "");
Expect(1, 68333, '\p{Is_Joining_Group=_Manichaean_TEN}', "");
Expect(0, 68333, '\p{^Is_Joining_Group=_Manichaean_TEN}', "");
Expect(0, 68333, '\P{Is_Joining_Group=_Manichaean_TEN}', "");
Expect(1, 68333, '\P{^Is_Joining_Group=_Manichaean_TEN}', "");
Expect(0, 68334, '\p{Is_Joining_Group=_Manichaean_TEN}', "");
Expect(1, 68334, '\p{^Is_Joining_Group=_Manichaean_TEN}', "");
Expect(1, 68334, '\P{Is_Joining_Group=_Manichaean_TEN}', "");
Expect(0, 68334, '\P{^Is_Joining_Group=_Manichaean_TEN}', "");
Error('\p{Is_Jg=/a/ _Manichaean_Ten}');
Error('\P{Is_Jg=/a/ _Manichaean_Ten}');
Expect(1, 68333, '\p{Is_Jg:	manichaeanten}', "");
Expect(0, 68333, '\p{^Is_Jg:	manichaeanten}', "");
Expect(0, 68333, '\P{Is_Jg:	manichaeanten}', "");
Expect(1, 68333, '\P{^Is_Jg:	manichaeanten}', "");
Expect(0, 68334, '\p{Is_Jg:	manichaeanten}', "");
Expect(1, 68334, '\p{^Is_Jg:	manichaeanten}', "");
Expect(1, 68334, '\P{Is_Jg:	manichaeanten}', "");
Expect(0, 68334, '\P{^Is_Jg:	manichaeanten}', "");
Expect(1, 68333, '\p{Is_Jg= _manichaean_ten}', "");
Expect(0, 68333, '\p{^Is_Jg= _manichaean_ten}', "");
Expect(0, 68333, '\P{Is_Jg= _manichaean_ten}', "");
Expect(1, 68333, '\P{^Is_Jg= _manichaean_ten}', "");
Expect(0, 68334, '\p{Is_Jg= _manichaean_ten}', "");
Expect(1, 68334, '\p{^Is_Jg= _manichaean_ten}', "");
Expect(1, 68334, '\P{Is_Jg= _manichaean_ten}', "");
Expect(0, 68334, '\P{^Is_Jg= _manichaean_ten}', "");
Error('\p{Joining_Group=Manichaean_Teth:=}');
Error('\P{Joining_Group=Manichaean_Teth:=}');
Expect(1, 68302, '\p{Joining_Group=manichaeanteth}', "");
Expect(0, 68302, '\p{^Joining_Group=manichaeanteth}', "");
Expect(0, 68302, '\P{Joining_Group=manichaeanteth}', "");
Expect(1, 68302, '\P{^Joining_Group=manichaeanteth}', "");
Expect(0, 68303, '\p{Joining_Group=manichaeanteth}', "");
Expect(1, 68303, '\p{^Joining_Group=manichaeanteth}', "");
Expect(1, 68303, '\P{Joining_Group=manichaeanteth}', "");
Expect(0, 68303, '\P{^Joining_Group=manichaeanteth}', "");
Expect(1, 68302, '\p{Joining_Group=_manichaean_Teth}', "");
Expect(0, 68302, '\p{^Joining_Group=_manichaean_Teth}', "");
Expect(0, 68302, '\P{Joining_Group=_manichaean_Teth}', "");
Expect(1, 68302, '\P{^Joining_Group=_manichaean_Teth}', "");
Expect(0, 68303, '\p{Joining_Group=_manichaean_Teth}', "");
Expect(1, 68303, '\p{^Joining_Group=_manichaean_Teth}', "");
Expect(1, 68303, '\P{Joining_Group=_manichaean_Teth}', "");
Expect(0, 68303, '\P{^Joining_Group=_manichaean_Teth}', "");
Error('\p{Jg=/a/__Manichaean_teth}');
Error('\P{Jg=/a/__Manichaean_teth}');
Expect(1, 68302, '\p{Jg=manichaeanteth}', "");
Expect(0, 68302, '\p{^Jg=manichaeanteth}', "");
Expect(0, 68302, '\P{Jg=manichaeanteth}', "");
Expect(1, 68302, '\P{^Jg=manichaeanteth}', "");
Expect(0, 68303, '\p{Jg=manichaeanteth}', "");
Expect(1, 68303, '\p{^Jg=manichaeanteth}', "");
Expect(1, 68303, '\P{Jg=manichaeanteth}', "");
Expect(0, 68303, '\P{^Jg=manichaeanteth}', "");
Expect(1, 68302, '\p{Jg= -MANICHAEAN_Teth}', "");
Expect(0, 68302, '\p{^Jg= -MANICHAEAN_Teth}', "");
Expect(0, 68302, '\P{Jg= -MANICHAEAN_Teth}', "");
Expect(1, 68302, '\P{^Jg= -MANICHAEAN_Teth}', "");
Expect(0, 68303, '\p{Jg= -MANICHAEAN_Teth}', "");
Expect(1, 68303, '\p{^Jg= -MANICHAEAN_Teth}', "");
Expect(1, 68303, '\P{Jg= -MANICHAEAN_Teth}', "");
Expect(0, 68303, '\P{^Jg= -MANICHAEAN_Teth}', "");
Error('\p{Is_Joining_Group=	-Manichaean_Teth/a/}');
Error('\P{Is_Joining_Group=	-Manichaean_Teth/a/}');
Expect(1, 68302, '\p{Is_Joining_Group:	manichaeanteth}', "");
Expect(0, 68302, '\p{^Is_Joining_Group:	manichaeanteth}', "");
Expect(0, 68302, '\P{Is_Joining_Group:	manichaeanteth}', "");
Expect(1, 68302, '\P{^Is_Joining_Group:	manichaeanteth}', "");
Expect(0, 68303, '\p{Is_Joining_Group:	manichaeanteth}', "");
Expect(1, 68303, '\p{^Is_Joining_Group:	manichaeanteth}', "");
Expect(1, 68303, '\P{Is_Joining_Group:	manichaeanteth}', "");
Expect(0, 68303, '\P{^Is_Joining_Group:	manichaeanteth}', "");
Expect(1, 68302, '\p{Is_Joining_Group=	Manichaean_Teth}', "");
Expect(0, 68302, '\p{^Is_Joining_Group=	Manichaean_Teth}', "");
Expect(0, 68302, '\P{Is_Joining_Group=	Manichaean_Teth}', "");
Expect(1, 68302, '\P{^Is_Joining_Group=	Manichaean_Teth}', "");
Expect(0, 68303, '\p{Is_Joining_Group=	Manichaean_Teth}', "");
Expect(1, 68303, '\p{^Is_Joining_Group=	Manichaean_Teth}', "");
Expect(1, 68303, '\P{Is_Joining_Group=	Manichaean_Teth}', "");
Expect(0, 68303, '\P{^Is_Joining_Group=	Manichaean_Teth}', "");
Error('\p{Is_Jg=:=	-MANICHAEAN_Teth}');
Error('\P{Is_Jg=:=	-MANICHAEAN_Teth}');
Expect(1, 68302, '\p{Is_Jg=manichaeanteth}', "");
Expect(0, 68302, '\p{^Is_Jg=manichaeanteth}', "");
Expect(0, 68302, '\P{Is_Jg=manichaeanteth}', "");
Expect(1, 68302, '\P{^Is_Jg=manichaeanteth}', "");
Expect(0, 68303, '\p{Is_Jg=manichaeanteth}', "");
Expect(1, 68303, '\p{^Is_Jg=manichaeanteth}', "");
Expect(1, 68303, '\P{Is_Jg=manichaeanteth}', "");
Expect(0, 68303, '\P{^Is_Jg=manichaeanteth}', "");
Expect(1, 68302, '\p{Is_Jg=	-Manichaean_teth}', "");
Expect(0, 68302, '\p{^Is_Jg=	-Manichaean_teth}', "");
Expect(0, 68302, '\P{Is_Jg=	-Manichaean_teth}', "");
Expect(1, 68302, '\P{^Is_Jg=	-Manichaean_teth}', "");
Expect(0, 68303, '\p{Is_Jg=	-Manichaean_teth}', "");
Expect(1, 68303, '\p{^Is_Jg=	-Manichaean_teth}', "");
Expect(1, 68303, '\P{Is_Jg=	-Manichaean_teth}', "");
Expect(0, 68303, '\P{^Is_Jg=	-Manichaean_teth}', "");
Error('\p{Joining_Group:/a/-manichaean_Thamedh}');
Error('\P{Joining_Group:/a/-manichaean_Thamedh}');
Expect(1, 68309, '\p{Joining_Group=manichaeanthamedh}', "");
Expect(0, 68309, '\p{^Joining_Group=manichaeanthamedh}', "");
Expect(0, 68309, '\P{Joining_Group=manichaeanthamedh}', "");
Expect(1, 68309, '\P{^Joining_Group=manichaeanthamedh}', "");
Expect(0, 68310, '\p{Joining_Group=manichaeanthamedh}', "");
Expect(1, 68310, '\p{^Joining_Group=manichaeanthamedh}', "");
Expect(1, 68310, '\P{Joining_Group=manichaeanthamedh}', "");
Expect(0, 68310, '\P{^Joining_Group=manichaeanthamedh}', "");
Expect(1, 68309, '\p{Joining_Group= -Manichaean_Thamedh}', "");
Expect(0, 68309, '\p{^Joining_Group= -Manichaean_Thamedh}', "");
Expect(0, 68309, '\P{Joining_Group= -Manichaean_Thamedh}', "");
Expect(1, 68309, '\P{^Joining_Group= -Manichaean_Thamedh}', "");
Expect(0, 68310, '\p{Joining_Group= -Manichaean_Thamedh}', "");
Expect(1, 68310, '\p{^Joining_Group= -Manichaean_Thamedh}', "");
Expect(1, 68310, '\P{Joining_Group= -Manichaean_Thamedh}', "");
Expect(0, 68310, '\P{^Joining_Group= -Manichaean_Thamedh}', "");
Error('\p{Jg=:=-Manichaean_THAMEDH}');
Error('\P{Jg=:=-Manichaean_THAMEDH}');
Expect(1, 68309, '\p{Jg=manichaeanthamedh}', "");
Expect(0, 68309, '\p{^Jg=manichaeanthamedh}', "");
Expect(0, 68309, '\P{Jg=manichaeanthamedh}', "");
Expect(1, 68309, '\P{^Jg=manichaeanthamedh}', "");
Expect(0, 68310, '\p{Jg=manichaeanthamedh}', "");
Expect(1, 68310, '\p{^Jg=manichaeanthamedh}', "");
Expect(1, 68310, '\P{Jg=manichaeanthamedh}', "");
Expect(0, 68310, '\P{^Jg=manichaeanthamedh}', "");
Expect(1, 68309, '\p{Jg:Manichaean_THAMEDH}', "");
Expect(0, 68309, '\p{^Jg:Manichaean_THAMEDH}', "");
Expect(0, 68309, '\P{Jg:Manichaean_THAMEDH}', "");
Expect(1, 68309, '\P{^Jg:Manichaean_THAMEDH}', "");
Expect(0, 68310, '\p{Jg:Manichaean_THAMEDH}', "");
Expect(1, 68310, '\p{^Jg:Manichaean_THAMEDH}', "");
Expect(1, 68310, '\P{Jg:Manichaean_THAMEDH}', "");
Expect(0, 68310, '\P{^Jg:Manichaean_THAMEDH}', "");
Error('\p{Is_Joining_Group=:=- MANICHAEAN_THAMEDH}');
Error('\P{Is_Joining_Group=:=- MANICHAEAN_THAMEDH}');
Expect(1, 68309, '\p{Is_Joining_Group=manichaeanthamedh}', "");
Expect(0, 68309, '\p{^Is_Joining_Group=manichaeanthamedh}', "");
Expect(0, 68309, '\P{Is_Joining_Group=manichaeanthamedh}', "");
Expect(1, 68309, '\P{^Is_Joining_Group=manichaeanthamedh}', "");
Expect(0, 68310, '\p{Is_Joining_Group=manichaeanthamedh}', "");
Expect(1, 68310, '\p{^Is_Joining_Group=manichaeanthamedh}', "");
Expect(1, 68310, '\P{Is_Joining_Group=manichaeanthamedh}', "");
Expect(0, 68310, '\P{^Is_Joining_Group=manichaeanthamedh}', "");
Expect(1, 68309, '\p{Is_Joining_Group=	 MANICHAEAN_Thamedh}', "");
Expect(0, 68309, '\p{^Is_Joining_Group=	 MANICHAEAN_Thamedh}', "");
Expect(0, 68309, '\P{Is_Joining_Group=	 MANICHAEAN_Thamedh}', "");
Expect(1, 68309, '\P{^Is_Joining_Group=	 MANICHAEAN_Thamedh}', "");
Expect(0, 68310, '\p{Is_Joining_Group=	 MANICHAEAN_Thamedh}', "");
Expect(1, 68310, '\p{^Is_Joining_Group=	 MANICHAEAN_Thamedh}', "");
Expect(1, 68310, '\P{Is_Joining_Group=	 MANICHAEAN_Thamedh}', "");
Expect(0, 68310, '\P{^Is_Joining_Group=	 MANICHAEAN_Thamedh}', "");
Error('\p{Is_Jg:  	manichaean_THAMEDH/a/}');
Error('\P{Is_Jg:  	manichaean_THAMEDH/a/}');
Expect(1, 68309, '\p{Is_Jg=manichaeanthamedh}', "");
Expect(0, 68309, '\p{^Is_Jg=manichaeanthamedh}', "");
Expect(0, 68309, '\P{Is_Jg=manichaeanthamedh}', "");
Expect(1, 68309, '\P{^Is_Jg=manichaeanthamedh}', "");
Expect(0, 68310, '\p{Is_Jg=manichaeanthamedh}', "");
Expect(1, 68310, '\p{^Is_Jg=manichaeanthamedh}', "");
Expect(1, 68310, '\P{Is_Jg=manichaeanthamedh}', "");
Expect(0, 68310, '\P{^Is_Jg=manichaeanthamedh}', "");
Expect(1, 68309, '\p{Is_Jg:  	MANICHAEAN_thamedh}', "");
Expect(0, 68309, '\p{^Is_Jg:  	MANICHAEAN_thamedh}', "");
Expect(0, 68309, '\P{Is_Jg:  	MANICHAEAN_thamedh}', "");
Expect(1, 68309, '\P{^Is_Jg:  	MANICHAEAN_thamedh}', "");
Expect(0, 68310, '\p{Is_Jg:  	MANICHAEAN_thamedh}', "");
Expect(1, 68310, '\p{^Is_Jg:  	MANICHAEAN_thamedh}', "");
Expect(1, 68310, '\P{Is_Jg:  	MANICHAEAN_thamedh}', "");
Expect(0, 68310, '\P{^Is_Jg:  	MANICHAEAN_thamedh}', "");
Error('\p{Joining_Group=-:=MANICHAEAN_TWENTY}');
Error('\P{Joining_Group=-:=MANICHAEAN_TWENTY}');
Expect(1, 68334, '\p{Joining_Group=manichaeantwenty}', "");
Expect(0, 68334, '\p{^Joining_Group=manichaeantwenty}', "");
Expect(0, 68334, '\P{Joining_Group=manichaeantwenty}', "");
Expect(1, 68334, '\P{^Joining_Group=manichaeantwenty}', "");
Expect(0, 68335, '\p{Joining_Group=manichaeantwenty}', "");
Expect(1, 68335, '\p{^Joining_Group=manichaeantwenty}', "");
Expect(1, 68335, '\P{Joining_Group=manichaeantwenty}', "");
Expect(0, 68335, '\P{^Joining_Group=manichaeantwenty}', "");
Expect(1, 68334, '\p{Joining_Group=-_MANICHAEAN_Twenty}', "");
Expect(0, 68334, '\p{^Joining_Group=-_MANICHAEAN_Twenty}', "");
Expect(0, 68334, '\P{Joining_Group=-_MANICHAEAN_Twenty}', "");
Expect(1, 68334, '\P{^Joining_Group=-_MANICHAEAN_Twenty}', "");
Expect(0, 68335, '\p{Joining_Group=-_MANICHAEAN_Twenty}', "");
Expect(1, 68335, '\p{^Joining_Group=-_MANICHAEAN_Twenty}', "");
Expect(1, 68335, '\P{Joining_Group=-_MANICHAEAN_Twenty}', "");
Expect(0, 68335, '\P{^Joining_Group=-_MANICHAEAN_Twenty}', "");
Error('\p{Jg:	-_Manichaean_twenty/a/}');
Error('\P{Jg:	-_Manichaean_twenty/a/}');
Expect(1, 68334, '\p{Jg=manichaeantwenty}', "");
Expect(0, 68334, '\p{^Jg=manichaeantwenty}', "");
Expect(0, 68334, '\P{Jg=manichaeantwenty}', "");
Expect(1, 68334, '\P{^Jg=manichaeantwenty}', "");
Expect(0, 68335, '\p{Jg=manichaeantwenty}', "");
Expect(1, 68335, '\p{^Jg=manichaeantwenty}', "");
Expect(1, 68335, '\P{Jg=manichaeantwenty}', "");
Expect(0, 68335, '\P{^Jg=manichaeantwenty}', "");
Expect(1, 68334, '\p{Jg=		MANICHAEAN_Twenty}', "");
Expect(0, 68334, '\p{^Jg=		MANICHAEAN_Twenty}', "");
Expect(0, 68334, '\P{Jg=		MANICHAEAN_Twenty}', "");
Expect(1, 68334, '\P{^Jg=		MANICHAEAN_Twenty}', "");
Expect(0, 68335, '\p{Jg=		MANICHAEAN_Twenty}', "");
Expect(1, 68335, '\p{^Jg=		MANICHAEAN_Twenty}', "");
Expect(1, 68335, '\P{Jg=		MANICHAEAN_Twenty}', "");
Expect(0, 68335, '\P{^Jg=		MANICHAEAN_Twenty}', "");
Error('\p{Is_Joining_Group= MANICHAEAN_Twenty:=}');
Error('\P{Is_Joining_Group= MANICHAEAN_Twenty:=}');
Expect(1, 68334, '\p{Is_Joining_Group: manichaeantwenty}', "");
Expect(0, 68334, '\p{^Is_Joining_Group: manichaeantwenty}', "");
Expect(0, 68334, '\P{Is_Joining_Group: manichaeantwenty}', "");
Expect(1, 68334, '\P{^Is_Joining_Group: manichaeantwenty}', "");
Expect(0, 68335, '\p{Is_Joining_Group: manichaeantwenty}', "");
Expect(1, 68335, '\p{^Is_Joining_Group: manichaeantwenty}', "");
Expect(1, 68335, '\P{Is_Joining_Group: manichaeantwenty}', "");
Expect(0, 68335, '\P{^Is_Joining_Group: manichaeantwenty}', "");
Expect(1, 68334, '\p{Is_Joining_Group=	manichaean_Twenty}', "");
Expect(0, 68334, '\p{^Is_Joining_Group=	manichaean_Twenty}', "");
Expect(0, 68334, '\P{Is_Joining_Group=	manichaean_Twenty}', "");
Expect(1, 68334, '\P{^Is_Joining_Group=	manichaean_Twenty}', "");
Expect(0, 68335, '\p{Is_Joining_Group=	manichaean_Twenty}', "");
Expect(1, 68335, '\p{^Is_Joining_Group=	manichaean_Twenty}', "");
Expect(1, 68335, '\P{Is_Joining_Group=	manichaean_Twenty}', "");
Expect(0, 68335, '\P{^Is_Joining_Group=	manichaean_Twenty}', "");
Error('\p{Is_Jg= /a/manichaean_twenty}');
Error('\P{Is_Jg= /a/manichaean_twenty}');
Expect(1, 68334, '\p{Is_Jg=manichaeantwenty}', "");
Expect(0, 68334, '\p{^Is_Jg=manichaeantwenty}', "");
Expect(0, 68334, '\P{Is_Jg=manichaeantwenty}', "");
Expect(1, 68334, '\P{^Is_Jg=manichaeantwenty}', "");
Expect(0, 68335, '\p{Is_Jg=manichaeantwenty}', "");
Expect(1, 68335, '\p{^Is_Jg=manichaeantwenty}', "");
Expect(1, 68335, '\P{Is_Jg=manichaeantwenty}', "");
Expect(0, 68335, '\P{^Is_Jg=manichaeantwenty}', "");
Expect(1, 68334, '\p{Is_Jg:	__Manichaean_TWENTY}', "");
Expect(0, 68334, '\p{^Is_Jg:	__Manichaean_TWENTY}', "");
Expect(0, 68334, '\P{Is_Jg:	__Manichaean_TWENTY}', "");
Expect(1, 68334, '\P{^Is_Jg:	__Manichaean_TWENTY}', "");
Expect(0, 68335, '\p{Is_Jg:	__Manichaean_TWENTY}', "");
Expect(1, 68335, '\p{^Is_Jg:	__Manichaean_TWENTY}', "");
Expect(1, 68335, '\P{Is_Jg:	__Manichaean_TWENTY}', "");
Expect(0, 68335, '\P{^Is_Jg:	__Manichaean_TWENTY}', "");
Error('\p{Joining_Group=_Manichaean_WAW/a/}');
Error('\P{Joining_Group=_Manichaean_WAW/a/}');
Expect(1, 68295, '\p{Joining_Group=manichaeanwaw}', "");
Expect(0, 68295, '\p{^Joining_Group=manichaeanwaw}', "");
Expect(0, 68295, '\P{Joining_Group=manichaeanwaw}', "");
Expect(1, 68295, '\P{^Joining_Group=manichaeanwaw}', "");
Expect(0, 68296, '\p{Joining_Group=manichaeanwaw}', "");
Expect(1, 68296, '\p{^Joining_Group=manichaeanwaw}', "");
Expect(1, 68296, '\P{Joining_Group=manichaeanwaw}', "");
Expect(0, 68296, '\P{^Joining_Group=manichaeanwaw}', "");
Expect(1, 68295, '\p{Joining_Group=	-Manichaean_WAW}', "");
Expect(0, 68295, '\p{^Joining_Group=	-Manichaean_WAW}', "");
Expect(0, 68295, '\P{Joining_Group=	-Manichaean_WAW}', "");
Expect(1, 68295, '\P{^Joining_Group=	-Manichaean_WAW}', "");
Expect(0, 68296, '\p{Joining_Group=	-Manichaean_WAW}', "");
Expect(1, 68296, '\p{^Joining_Group=	-Manichaean_WAW}', "");
Expect(1, 68296, '\P{Joining_Group=	-Manichaean_WAW}', "");
Expect(0, 68296, '\P{^Joining_Group=	-Manichaean_WAW}', "");
Error('\p{Jg=manichaean_WAW/a/}');
Error('\P{Jg=manichaean_WAW/a/}');
Expect(1, 68295, '\p{Jg:manichaeanwaw}', "");
Expect(0, 68295, '\p{^Jg:manichaeanwaw}', "");
Expect(0, 68295, '\P{Jg:manichaeanwaw}', "");
Expect(1, 68295, '\P{^Jg:manichaeanwaw}', "");
Expect(0, 68296, '\p{Jg:manichaeanwaw}', "");
Expect(1, 68296, '\p{^Jg:manichaeanwaw}', "");
Expect(1, 68296, '\P{Jg:manichaeanwaw}', "");
Expect(0, 68296, '\P{^Jg:manichaeanwaw}', "");
Expect(1, 68295, '\p{Jg= _Manichaean_waw}', "");
Expect(0, 68295, '\p{^Jg= _Manichaean_waw}', "");
Expect(0, 68295, '\P{Jg= _Manichaean_waw}', "");
Expect(1, 68295, '\P{^Jg= _Manichaean_waw}', "");
Expect(0, 68296, '\p{Jg= _Manichaean_waw}', "");
Expect(1, 68296, '\p{^Jg= _Manichaean_waw}', "");
Expect(1, 68296, '\P{Jg= _Manichaean_waw}', "");
Expect(0, 68296, '\P{^Jg= _Manichaean_waw}', "");
Error('\p{Is_Joining_Group=	manichaean_Waw/a/}');
Error('\P{Is_Joining_Group=	manichaean_Waw/a/}');
Expect(1, 68295, '\p{Is_Joining_Group=manichaeanwaw}', "");
Expect(0, 68295, '\p{^Is_Joining_Group=manichaeanwaw}', "");
Expect(0, 68295, '\P{Is_Joining_Group=manichaeanwaw}', "");
Expect(1, 68295, '\P{^Is_Joining_Group=manichaeanwaw}', "");
Expect(0, 68296, '\p{Is_Joining_Group=manichaeanwaw}', "");
Expect(1, 68296, '\p{^Is_Joining_Group=manichaeanwaw}', "");
Expect(1, 68296, '\P{Is_Joining_Group=manichaeanwaw}', "");
Expect(0, 68296, '\P{^Is_Joining_Group=manichaeanwaw}', "");
Expect(1, 68295, '\p{Is_Joining_Group=-	manichaean_waw}', "");
Expect(0, 68295, '\p{^Is_Joining_Group=-	manichaean_waw}', "");
Expect(0, 68295, '\P{Is_Joining_Group=-	manichaean_waw}', "");
Expect(1, 68295, '\P{^Is_Joining_Group=-	manichaean_waw}', "");
Expect(0, 68296, '\p{Is_Joining_Group=-	manichaean_waw}', "");
Expect(1, 68296, '\p{^Is_Joining_Group=-	manichaean_waw}', "");
Expect(1, 68296, '\P{Is_Joining_Group=-	manichaean_waw}', "");
Expect(0, 68296, '\P{^Is_Joining_Group=-	manichaean_waw}', "");
Error('\p{Is_Jg= :=Manichaean_WAW}');
Error('\P{Is_Jg= :=Manichaean_WAW}');
Expect(1, 68295, '\p{Is_Jg:   manichaeanwaw}', "");
Expect(0, 68295, '\p{^Is_Jg:   manichaeanwaw}', "");
Expect(0, 68295, '\P{Is_Jg:   manichaeanwaw}', "");
Expect(1, 68295, '\P{^Is_Jg:   manichaeanwaw}', "");
Expect(0, 68296, '\p{Is_Jg:   manichaeanwaw}', "");
Expect(1, 68296, '\p{^Is_Jg:   manichaeanwaw}', "");
Expect(1, 68296, '\P{Is_Jg:   manichaeanwaw}', "");
Expect(0, 68296, '\P{^Is_Jg:   manichaeanwaw}', "");
Expect(1, 68295, '\p{Is_Jg:  manichaean_Waw}', "");
Expect(0, 68295, '\p{^Is_Jg:  manichaean_Waw}', "");
Expect(0, 68295, '\P{Is_Jg:  manichaean_Waw}', "");
Expect(1, 68295, '\P{^Is_Jg:  manichaean_Waw}', "");
Expect(0, 68296, '\p{Is_Jg:  manichaean_Waw}', "");
Expect(1, 68296, '\p{^Is_Jg:  manichaean_Waw}', "");
Expect(1, 68296, '\P{Is_Jg:  manichaean_Waw}', "");
Expect(0, 68296, '\P{^Is_Jg:  manichaean_Waw}', "");
Error('\p{Joining_Group=_:=manichaean_yodh}');
Error('\P{Joining_Group=_:=manichaean_yodh}');
Expect(1, 68303, '\p{Joining_Group:	manichaeanyodh}', "");
Expect(0, 68303, '\p{^Joining_Group:	manichaeanyodh}', "");
Expect(0, 68303, '\P{Joining_Group:	manichaeanyodh}', "");
Expect(1, 68303, '\P{^Joining_Group:	manichaeanyodh}', "");
Expect(0, 68304, '\p{Joining_Group:	manichaeanyodh}', "");
Expect(1, 68304, '\p{^Joining_Group:	manichaeanyodh}', "");
Expect(1, 68304, '\P{Joining_Group:	manichaeanyodh}', "");
Expect(0, 68304, '\P{^Joining_Group:	manichaeanyodh}', "");
Expect(1, 68303, '\p{Joining_Group= -manichaean_Yodh}', "");
Expect(0, 68303, '\p{^Joining_Group= -manichaean_Yodh}', "");
Expect(0, 68303, '\P{Joining_Group= -manichaean_Yodh}', "");
Expect(1, 68303, '\P{^Joining_Group= -manichaean_Yodh}', "");
Expect(0, 68304, '\p{Joining_Group= -manichaean_Yodh}', "");
Expect(1, 68304, '\p{^Joining_Group= -manichaean_Yodh}', "");
Expect(1, 68304, '\P{Joining_Group= -manichaean_Yodh}', "");
Expect(0, 68304, '\P{^Joining_Group= -manichaean_Yodh}', "");
Error('\p{Jg=	MANICHAEAN_Yodh/a/}');
Error('\P{Jg=	MANICHAEAN_Yodh/a/}');
Expect(1, 68303, '\p{Jg=manichaeanyodh}', "");
Expect(0, 68303, '\p{^Jg=manichaeanyodh}', "");
Expect(0, 68303, '\P{Jg=manichaeanyodh}', "");
Expect(1, 68303, '\P{^Jg=manichaeanyodh}', "");
Expect(0, 68304, '\p{Jg=manichaeanyodh}', "");
Expect(1, 68304, '\p{^Jg=manichaeanyodh}', "");
Expect(1, 68304, '\P{Jg=manichaeanyodh}', "");
Expect(0, 68304, '\P{^Jg=manichaeanyodh}', "");
Expect(1, 68303, '\p{Jg=		Manichaean_YODH}', "");
Expect(0, 68303, '\p{^Jg=		Manichaean_YODH}', "");
Expect(0, 68303, '\P{Jg=		Manichaean_YODH}', "");
Expect(1, 68303, '\P{^Jg=		Manichaean_YODH}', "");
Expect(0, 68304, '\p{Jg=		Manichaean_YODH}', "");
Expect(1, 68304, '\p{^Jg=		Manichaean_YODH}', "");
Expect(1, 68304, '\P{Jg=		Manichaean_YODH}', "");
Expect(0, 68304, '\P{^Jg=		Manichaean_YODH}', "");
Error('\p{Is_Joining_Group=		Manichaean_yodh:=}');
Error('\P{Is_Joining_Group=		Manichaean_yodh:=}');
Expect(1, 68303, '\p{Is_Joining_Group=manichaeanyodh}', "");
Expect(0, 68303, '\p{^Is_Joining_Group=manichaeanyodh}', "");
Expect(0, 68303, '\P{Is_Joining_Group=manichaeanyodh}', "");
Expect(1, 68303, '\P{^Is_Joining_Group=manichaeanyodh}', "");
Expect(0, 68304, '\p{Is_Joining_Group=manichaeanyodh}', "");
Expect(1, 68304, '\p{^Is_Joining_Group=manichaeanyodh}', "");
Expect(1, 68304, '\P{Is_Joining_Group=manichaeanyodh}', "");
Expect(0, 68304, '\P{^Is_Joining_Group=manichaeanyodh}', "");
Expect(1, 68303, '\p{Is_Joining_Group=-	Manichaean_yodh}', "");
Expect(0, 68303, '\p{^Is_Joining_Group=-	Manichaean_yodh}', "");
Expect(0, 68303, '\P{Is_Joining_Group=-	Manichaean_yodh}', "");
Expect(1, 68303, '\P{^Is_Joining_Group=-	Manichaean_yodh}', "");
Expect(0, 68304, '\p{Is_Joining_Group=-	Manichaean_yodh}', "");
Expect(1, 68304, '\p{^Is_Joining_Group=-	Manichaean_yodh}', "");
Expect(1, 68304, '\P{Is_Joining_Group=-	Manichaean_yodh}', "");
Expect(0, 68304, '\P{^Is_Joining_Group=-	Manichaean_yodh}', "");
Error('\p{Is_Jg=/a/manichaean_Yodh}');
Error('\P{Is_Jg=/a/manichaean_Yodh}');
Expect(1, 68303, '\p{Is_Jg=manichaeanyodh}', "");
Expect(0, 68303, '\p{^Is_Jg=manichaeanyodh}', "");
Expect(0, 68303, '\P{Is_Jg=manichaeanyodh}', "");
Expect(1, 68303, '\P{^Is_Jg=manichaeanyodh}', "");
Expect(0, 68304, '\p{Is_Jg=manichaeanyodh}', "");
Expect(1, 68304, '\p{^Is_Jg=manichaeanyodh}', "");
Expect(1, 68304, '\P{Is_Jg=manichaeanyodh}', "");
Expect(0, 68304, '\P{^Is_Jg=manichaeanyodh}', "");
Expect(1, 68303, '\p{Is_Jg=-Manichaean_YODH}', "");
Expect(0, 68303, '\p{^Is_Jg=-Manichaean_YODH}', "");
Expect(0, 68303, '\P{Is_Jg=-Manichaean_YODH}', "");
Expect(1, 68303, '\P{^Is_Jg=-Manichaean_YODH}', "");
Expect(0, 68304, '\p{Is_Jg=-Manichaean_YODH}', "");
Expect(1, 68304, '\p{^Is_Jg=-Manichaean_YODH}', "");
Expect(1, 68304, '\P{Is_Jg=-Manichaean_YODH}', "");
Expect(0, 68304, '\P{^Is_Jg=-Manichaean_YODH}', "");
Error('\p{Joining_Group= _manichaean_Zayin:=}');
Error('\P{Joining_Group= _manichaean_Zayin:=}');
Expect(1, 68298, '\p{Joining_Group=manichaeanzayin}', "");
Expect(0, 68298, '\p{^Joining_Group=manichaeanzayin}', "");
Expect(0, 68298, '\P{Joining_Group=manichaeanzayin}', "");
Expect(1, 68298, '\P{^Joining_Group=manichaeanzayin}', "");
Expect(0, 68299, '\p{Joining_Group=manichaeanzayin}', "");
Expect(1, 68299, '\p{^Joining_Group=manichaeanzayin}', "");
Expect(1, 68299, '\P{Joining_Group=manichaeanzayin}', "");
Expect(0, 68299, '\P{^Joining_Group=manichaeanzayin}', "");
Expect(1, 68298, '\p{Joining_Group=-manichaean_Zayin}', "");
Expect(0, 68298, '\p{^Joining_Group=-manichaean_Zayin}', "");
Expect(0, 68298, '\P{Joining_Group=-manichaean_Zayin}', "");
Expect(1, 68298, '\P{^Joining_Group=-manichaean_Zayin}', "");
Expect(0, 68299, '\p{Joining_Group=-manichaean_Zayin}', "");
Expect(1, 68299, '\p{^Joining_Group=-manichaean_Zayin}', "");
Expect(1, 68299, '\P{Joining_Group=-manichaean_Zayin}', "");
Expect(0, 68299, '\P{^Joining_Group=-manichaean_Zayin}', "");
Error('\p{Jg=_	manichaean_zayin:=}');
Error('\P{Jg=_	manichaean_zayin:=}');
Expect(1, 68298, '\p{Jg=manichaeanzayin}', "");
Expect(0, 68298, '\p{^Jg=manichaeanzayin}', "");
Expect(0, 68298, '\P{Jg=manichaeanzayin}', "");
Expect(1, 68298, '\P{^Jg=manichaeanzayin}', "");
Expect(0, 68299, '\p{Jg=manichaeanzayin}', "");
Expect(1, 68299, '\p{^Jg=manichaeanzayin}', "");
Expect(1, 68299, '\P{Jg=manichaeanzayin}', "");
Expect(0, 68299, '\P{^Jg=manichaeanzayin}', "");
Expect(1, 68298, '\p{Jg:     Manichaean_Zayin}', "");
Expect(0, 68298, '\p{^Jg:     Manichaean_Zayin}', "");
Expect(0, 68298, '\P{Jg:     Manichaean_Zayin}', "");
Expect(1, 68298, '\P{^Jg:     Manichaean_Zayin}', "");
Expect(0, 68299, '\p{Jg:     Manichaean_Zayin}', "");
Expect(1, 68299, '\p{^Jg:     Manichaean_Zayin}', "");
Expect(1, 68299, '\P{Jg:     Manichaean_Zayin}', "");
Expect(0, 68299, '\P{^Jg:     Manichaean_Zayin}', "");
Error('\p{Is_Joining_Group=/a/	 Manichaean_zayin}');
Error('\P{Is_Joining_Group=/a/	 Manichaean_zayin}');
Expect(1, 68298, '\p{Is_Joining_Group=manichaeanzayin}', "");
Expect(0, 68298, '\p{^Is_Joining_Group=manichaeanzayin}', "");
Expect(0, 68298, '\P{Is_Joining_Group=manichaeanzayin}', "");
Expect(1, 68298, '\P{^Is_Joining_Group=manichaeanzayin}', "");
Expect(0, 68299, '\p{Is_Joining_Group=manichaeanzayin}', "");
Expect(1, 68299, '\p{^Is_Joining_Group=manichaeanzayin}', "");
Expect(1, 68299, '\P{Is_Joining_Group=manichaeanzayin}', "");
Expect(0, 68299, '\P{^Is_Joining_Group=manichaeanzayin}', "");
Expect(1, 68298, '\p{Is_Joining_Group=_	Manichaean_ZAYIN}', "");
Expect(0, 68298, '\p{^Is_Joining_Group=_	Manichaean_ZAYIN}', "");
Expect(0, 68298, '\P{Is_Joining_Group=_	Manichaean_ZAYIN}', "");
Expect(1, 68298, '\P{^Is_Joining_Group=_	Manichaean_ZAYIN}', "");
Expect(0, 68299, '\p{Is_Joining_Group=_	Manichaean_ZAYIN}', "");
Expect(1, 68299, '\p{^Is_Joining_Group=_	Manichaean_ZAYIN}', "");
Expect(1, 68299, '\P{Is_Joining_Group=_	Manichaean_ZAYIN}', "");
Expect(0, 68299, '\P{^Is_Joining_Group=_	Manichaean_ZAYIN}', "");
Error('\p{Is_Jg=	_manichaean_zayin/a/}');
Error('\P{Is_Jg=	_manichaean_zayin/a/}');
Expect(1, 68298, '\p{Is_Jg=manichaeanzayin}', "");
Expect(0, 68298, '\p{^Is_Jg=manichaeanzayin}', "");
Expect(0, 68298, '\P{Is_Jg=manichaeanzayin}', "");
Expect(1, 68298, '\P{^Is_Jg=manichaeanzayin}', "");
Expect(0, 68299, '\p{Is_Jg=manichaeanzayin}', "");
Expect(1, 68299, '\p{^Is_Jg=manichaeanzayin}', "");
Expect(1, 68299, '\P{Is_Jg=manichaeanzayin}', "");
Expect(0, 68299, '\P{^Is_Jg=manichaeanzayin}', "");
Expect(1, 68298, '\p{Is_Jg= _manichaean_ZAYIN}', "");
Expect(0, 68298, '\p{^Is_Jg= _manichaean_ZAYIN}', "");
Expect(0, 68298, '\P{Is_Jg= _manichaean_ZAYIN}', "");
Expect(1, 68298, '\P{^Is_Jg= _manichaean_ZAYIN}', "");
Expect(0, 68299, '\p{Is_Jg= _manichaean_ZAYIN}', "");
Expect(1, 68299, '\p{^Is_Jg= _manichaean_ZAYIN}', "");
Expect(1, 68299, '\P{Is_Jg= _manichaean_ZAYIN}', "");
Expect(0, 68299, '\P{^Is_Jg= _manichaean_ZAYIN}', "");
Error('\p{Joining_Group= -Meem/a/}');
Error('\P{Joining_Group= -Meem/a/}');
Expect(1, 2215, '\p{Joining_Group=meem}', "");
Expect(0, 2215, '\p{^Joining_Group=meem}', "");
Expect(0, 2215, '\P{Joining_Group=meem}', "");
Expect(1, 2215, '\P{^Joining_Group=meem}', "");
Expect(0, 2216, '\p{Joining_Group=meem}', "");
Expect(1, 2216, '\p{^Joining_Group=meem}', "");
Expect(1, 2216, '\P{Joining_Group=meem}', "");
Expect(0, 2216, '\P{^Joining_Group=meem}', "");
Expect(1, 2215, '\p{Joining_Group=	-Meem}', "");
Expect(0, 2215, '\p{^Joining_Group=	-Meem}', "");
Expect(0, 2215, '\P{Joining_Group=	-Meem}', "");
Expect(1, 2215, '\P{^Joining_Group=	-Meem}', "");
Expect(0, 2216, '\p{Joining_Group=	-Meem}', "");
Expect(1, 2216, '\p{^Joining_Group=	-Meem}', "");
Expect(1, 2216, '\P{Joining_Group=	-Meem}', "");
Expect(0, 2216, '\P{^Joining_Group=	-Meem}', "");
Error('\p{Jg=:=Meem}');
Error('\P{Jg=:=Meem}');
Expect(1, 2215, '\p{Jg: meem}', "");
Expect(0, 2215, '\p{^Jg: meem}', "");
Expect(0, 2215, '\P{Jg: meem}', "");
Expect(1, 2215, '\P{^Jg: meem}', "");
Expect(0, 2216, '\p{Jg: meem}', "");
Expect(1, 2216, '\p{^Jg: meem}', "");
Expect(1, 2216, '\P{Jg: meem}', "");
Expect(0, 2216, '\P{^Jg: meem}', "");
Expect(1, 2215, '\p{Jg=__Meem}', "");
Expect(0, 2215, '\p{^Jg=__Meem}', "");
Expect(0, 2215, '\P{Jg=__Meem}', "");
Expect(1, 2215, '\P{^Jg=__Meem}', "");
Expect(0, 2216, '\p{Jg=__Meem}', "");
Expect(1, 2216, '\p{^Jg=__Meem}', "");
Expect(1, 2216, '\P{Jg=__Meem}', "");
Expect(0, 2216, '\P{^Jg=__Meem}', "");
Error('\p{Is_Joining_Group=	:=meem}');
Error('\P{Is_Joining_Group=	:=meem}');
Expect(1, 2215, '\p{Is_Joining_Group=meem}', "");
Expect(0, 2215, '\p{^Is_Joining_Group=meem}', "");
Expect(0, 2215, '\P{Is_Joining_Group=meem}', "");
Expect(1, 2215, '\P{^Is_Joining_Group=meem}', "");
Expect(0, 2216, '\p{Is_Joining_Group=meem}', "");
Expect(1, 2216, '\p{^Is_Joining_Group=meem}', "");
Expect(1, 2216, '\P{Is_Joining_Group=meem}', "");
Expect(0, 2216, '\P{^Is_Joining_Group=meem}', "");
Error('\p{Is_Jg=:=	_Meem}');
Error('\P{Is_Jg=:=	_Meem}');
Expect(1, 2215, '\p{Is_Jg=meem}', "");
Expect(0, 2215, '\p{^Is_Jg=meem}', "");
Expect(0, 2215, '\P{Is_Jg=meem}', "");
Expect(1, 2215, '\P{^Is_Jg=meem}', "");
Expect(0, 2216, '\p{Is_Jg=meem}', "");
Expect(1, 2216, '\p{^Is_Jg=meem}', "");
Expect(1, 2216, '\P{Is_Jg=meem}', "");
Expect(0, 2216, '\P{^Is_Jg=meem}', "");
Expect(1, 2215, '\p{Is_Jg=-Meem}', "");
Expect(0, 2215, '\p{^Is_Jg=-Meem}', "");
Expect(0, 2215, '\P{Is_Jg=-Meem}', "");
Expect(1, 2215, '\P{^Is_Jg=-Meem}', "");
Expect(0, 2216, '\p{Is_Jg=-Meem}', "");
Expect(1, 2216, '\p{^Is_Jg=-Meem}', "");
Expect(1, 2216, '\P{Is_Jg=-Meem}', "");
Expect(0, 2216, '\P{^Is_Jg=-Meem}', "");
Error('\p{Joining_Group=:=MIM}');
Error('\P{Joining_Group=:=MIM}');
Expect(1, 1825, '\p{Joining_Group=mim}', "");
Expect(0, 1825, '\p{^Joining_Group=mim}', "");
Expect(0, 1825, '\P{Joining_Group=mim}', "");
Expect(1, 1825, '\P{^Joining_Group=mim}', "");
Expect(0, 1826, '\p{Joining_Group=mim}', "");
Expect(1, 1826, '\p{^Joining_Group=mim}', "");
Expect(1, 1826, '\P{Joining_Group=mim}', "");
Expect(0, 1826, '\P{^Joining_Group=mim}', "");
Expect(1, 1825, '\p{Joining_Group=	MIM}', "");
Expect(0, 1825, '\p{^Joining_Group=	MIM}', "");
Expect(0, 1825, '\P{Joining_Group=	MIM}', "");
Expect(1, 1825, '\P{^Joining_Group=	MIM}', "");
Expect(0, 1826, '\p{Joining_Group=	MIM}', "");
Expect(1, 1826, '\p{^Joining_Group=	MIM}', "");
Expect(1, 1826, '\P{Joining_Group=	MIM}', "");
Expect(0, 1826, '\P{^Joining_Group=	MIM}', "");
Error('\p{Jg=:=	Mim}');
Error('\P{Jg=:=	Mim}');
Expect(1, 1825, '\p{Jg=mim}', "");
Expect(0, 1825, '\p{^Jg=mim}', "");
Expect(0, 1825, '\P{Jg=mim}', "");
Expect(1, 1825, '\P{^Jg=mim}', "");
Expect(0, 1826, '\p{Jg=mim}', "");
Expect(1, 1826, '\p{^Jg=mim}', "");
Expect(1, 1826, '\P{Jg=mim}', "");
Expect(0, 1826, '\P{^Jg=mim}', "");
Expect(1, 1825, '\p{Jg=_	mim}', "");
Expect(0, 1825, '\p{^Jg=_	mim}', "");
Expect(0, 1825, '\P{Jg=_	mim}', "");
Expect(1, 1825, '\P{^Jg=_	mim}', "");
Expect(0, 1826, '\p{Jg=_	mim}', "");
Expect(1, 1826, '\p{^Jg=_	mim}', "");
Expect(1, 1826, '\P{Jg=_	mim}', "");
Expect(0, 1826, '\P{^Jg=_	mim}', "");
Error('\p{Is_Joining_Group=:=_	Mim}');
Error('\P{Is_Joining_Group=:=_	Mim}');
Expect(1, 1825, '\p{Is_Joining_Group=mim}', "");
Expect(0, 1825, '\p{^Is_Joining_Group=mim}', "");
Expect(0, 1825, '\P{Is_Joining_Group=mim}', "");
Expect(1, 1825, '\P{^Is_Joining_Group=mim}', "");
Expect(0, 1826, '\p{Is_Joining_Group=mim}', "");
Expect(1, 1826, '\p{^Is_Joining_Group=mim}', "");
Expect(1, 1826, '\P{Is_Joining_Group=mim}', "");
Expect(0, 1826, '\P{^Is_Joining_Group=mim}', "");
Expect(1, 1825, '\p{Is_Joining_Group=-mim}', "");
Expect(0, 1825, '\p{^Is_Joining_Group=-mim}', "");
Expect(0, 1825, '\P{Is_Joining_Group=-mim}', "");
Expect(1, 1825, '\P{^Is_Joining_Group=-mim}', "");
Expect(0, 1826, '\p{Is_Joining_Group=-mim}', "");
Expect(1, 1826, '\p{^Is_Joining_Group=-mim}', "");
Expect(1, 1826, '\P{Is_Joining_Group=-mim}', "");
Expect(0, 1826, '\P{^Is_Joining_Group=-mim}', "");
Error('\p{Is_Jg= /a/MIM}');
Error('\P{Is_Jg= /a/MIM}');
Expect(1, 1825, '\p{Is_Jg:	mim}', "");
Expect(0, 1825, '\p{^Is_Jg:	mim}', "");
Expect(0, 1825, '\P{Is_Jg:	mim}', "");
Expect(1, 1825, '\P{^Is_Jg:	mim}', "");
Expect(0, 1826, '\p{Is_Jg:	mim}', "");
Expect(1, 1826, '\p{^Is_Jg:	mim}', "");
Expect(1, 1826, '\P{Is_Jg:	mim}', "");
Expect(0, 1826, '\P{^Is_Jg:	mim}', "");
Expect(1, 1825, '\p{Is_Jg:	 _mim}', "");
Expect(0, 1825, '\p{^Is_Jg:	 _mim}', "");
Expect(0, 1825, '\P{Is_Jg:	 _mim}', "");
Expect(1, 1825, '\P{^Is_Jg:	 _mim}', "");
Expect(0, 1826, '\p{Is_Jg:	 _mim}', "");
Expect(1, 1826, '\p{^Is_Jg:	 _mim}', "");
Expect(1, 1826, '\P{Is_Jg:	 _mim}', "");
Expect(0, 1826, '\P{^Is_Jg:	 _mim}', "");
Error('\p{Joining_Group=_/a/no_Joining_group}');
Error('\P{Joining_Group=_/a/no_Joining_group}');
Expect(1, 68336, '\p{Joining_Group=nojoininggroup}', "");
Expect(0, 68336, '\p{^Joining_Group=nojoininggroup}', "");
Expect(0, 68336, '\P{Joining_Group=nojoininggroup}', "");
Expect(1, 68336, '\P{^Joining_Group=nojoininggroup}', "");
Expect(0, 68335, '\p{Joining_Group=nojoininggroup}', "");
Expect(1, 68335, '\p{^Joining_Group=nojoininggroup}', "");
Expect(1, 68335, '\P{Joining_Group=nojoininggroup}', "");
Expect(0, 68335, '\P{^Joining_Group=nojoininggroup}', "");
Expect(1, 68336, '\p{Joining_Group=-No_joining_Group}', "");
Expect(0, 68336, '\p{^Joining_Group=-No_joining_Group}', "");
Expect(0, 68336, '\P{Joining_Group=-No_joining_Group}', "");
Expect(1, 68336, '\P{^Joining_Group=-No_joining_Group}', "");
Expect(0, 68335, '\p{Joining_Group=-No_joining_Group}', "");
Expect(1, 68335, '\p{^Joining_Group=-No_joining_Group}', "");
Expect(1, 68335, '\P{Joining_Group=-No_joining_Group}', "");
Expect(0, 68335, '\P{^Joining_Group=-No_joining_Group}', "");
Error('\p{Jg=/a/_	No_JOINING_GROUP}');
Error('\P{Jg=/a/_	No_JOINING_GROUP}');
Expect(1, 68336, '\p{Jg: nojoininggroup}', "");
Expect(0, 68336, '\p{^Jg: nojoininggroup}', "");
Expect(0, 68336, '\P{Jg: nojoininggroup}', "");
Expect(1, 68336, '\P{^Jg: nojoininggroup}', "");
Expect(0, 68335, '\p{Jg: nojoininggroup}', "");
Expect(1, 68335, '\p{^Jg: nojoininggroup}', "");
Expect(1, 68335, '\P{Jg: nojoininggroup}', "");
Expect(0, 68335, '\P{^Jg: nojoininggroup}', "");
Expect(1, 68336, '\p{Jg= NO_Joining_GROUP}', "");
Expect(0, 68336, '\p{^Jg= NO_Joining_GROUP}', "");
Expect(0, 68336, '\P{Jg= NO_Joining_GROUP}', "");
Expect(1, 68336, '\P{^Jg= NO_Joining_GROUP}', "");
Expect(0, 68335, '\p{Jg= NO_Joining_GROUP}', "");
Expect(1, 68335, '\p{^Jg= NO_Joining_GROUP}', "");
Expect(1, 68335, '\P{Jg= NO_Joining_GROUP}', "");
Expect(0, 68335, '\P{^Jg= NO_Joining_GROUP}', "");
Error('\p{Is_Joining_Group= NO_Joining_Group/a/}');
Error('\P{Is_Joining_Group= NO_Joining_Group/a/}');
Expect(1, 68336, '\p{Is_Joining_Group=nojoininggroup}', "");
Expect(0, 68336, '\p{^Is_Joining_Group=nojoininggroup}', "");
Expect(0, 68336, '\P{Is_Joining_Group=nojoininggroup}', "");
Expect(1, 68336, '\P{^Is_Joining_Group=nojoininggroup}', "");
Expect(0, 68335, '\p{Is_Joining_Group=nojoininggroup}', "");
Expect(1, 68335, '\p{^Is_Joining_Group=nojoininggroup}', "");
Expect(1, 68335, '\P{Is_Joining_Group=nojoininggroup}', "");
Expect(0, 68335, '\P{^Is_Joining_Group=nojoininggroup}', "");
Expect(1, 68336, '\p{Is_Joining_Group=	NO_JOINING_GROUP}', "");
Expect(0, 68336, '\p{^Is_Joining_Group=	NO_JOINING_GROUP}', "");
Expect(0, 68336, '\P{Is_Joining_Group=	NO_JOINING_GROUP}', "");
Expect(1, 68336, '\P{^Is_Joining_Group=	NO_JOINING_GROUP}', "");
Expect(0, 68335, '\p{Is_Joining_Group=	NO_JOINING_GROUP}', "");
Expect(1, 68335, '\p{^Is_Joining_Group=	NO_JOINING_GROUP}', "");
Expect(1, 68335, '\P{Is_Joining_Group=	NO_JOINING_GROUP}', "");
Expect(0, 68335, '\P{^Is_Joining_Group=	NO_JOINING_GROUP}', "");
Error('\p{Is_Jg=:=No_Joining_GROUP}');
Error('\P{Is_Jg=:=No_Joining_GROUP}');
Expect(1, 68336, '\p{Is_Jg=nojoininggroup}', "");
Expect(0, 68336, '\p{^Is_Jg=nojoininggroup}', "");
Expect(0, 68336, '\P{Is_Jg=nojoininggroup}', "");
Expect(1, 68336, '\P{^Is_Jg=nojoininggroup}', "");
Expect(0, 68335, '\p{Is_Jg=nojoininggroup}', "");
Expect(1, 68335, '\p{^Is_Jg=nojoininggroup}', "");
Expect(1, 68335, '\P{Is_Jg=nojoininggroup}', "");
Expect(0, 68335, '\P{^Is_Jg=nojoininggroup}', "");
Expect(1, 68336, '\p{Is_Jg= No_Joining_group}', "");
Expect(0, 68336, '\p{^Is_Jg= No_Joining_group}', "");
Expect(0, 68336, '\P{Is_Jg= No_Joining_group}', "");
Expect(1, 68336, '\P{^Is_Jg= No_Joining_group}', "");
Expect(0, 68335, '\p{Is_Jg= No_Joining_group}', "");
Expect(1, 68335, '\p{^Is_Jg= No_Joining_group}', "");
Expect(1, 68335, '\P{Is_Jg= No_Joining_group}', "");
Expect(0, 68335, '\P{^Is_Jg= No_Joining_group}', "");
Error('\p{Joining_Group=	:=Noon}');
Error('\P{Joining_Group=	:=Noon}');
Expect(1, 1897, '\p{Joining_Group=noon}', "");
Expect(0, 1897, '\p{^Joining_Group=noon}', "");
Expect(0, 1897, '\P{Joining_Group=noon}', "");
Expect(1, 1897, '\P{^Joining_Group=noon}', "");
Expect(0, 1898, '\p{Joining_Group=noon}', "");
Expect(1, 1898, '\p{^Joining_Group=noon}', "");
Expect(1, 1898, '\P{Joining_Group=noon}', "");
Expect(0, 1898, '\P{^Joining_Group=noon}', "");
Expect(1, 1897, '\p{Joining_Group=__Noon}', "");
Expect(0, 1897, '\p{^Joining_Group=__Noon}', "");
Expect(0, 1897, '\P{Joining_Group=__Noon}', "");
Expect(1, 1897, '\P{^Joining_Group=__Noon}', "");
Expect(0, 1898, '\p{Joining_Group=__Noon}', "");
Expect(1, 1898, '\p{^Joining_Group=__Noon}', "");
Expect(1, 1898, '\P{Joining_Group=__Noon}', "");
Expect(0, 1898, '\P{^Joining_Group=__Noon}', "");
Error('\p{Jg=/a/		Noon}');
Error('\P{Jg=/a/		Noon}');
Expect(1, 1897, '\p{Jg=noon}', "");
Expect(0, 1897, '\p{^Jg=noon}', "");
Expect(0, 1897, '\P{Jg=noon}', "");
Expect(1, 1897, '\P{^Jg=noon}', "");
Expect(0, 1898, '\p{Jg=noon}', "");
Expect(1, 1898, '\p{^Jg=noon}', "");
Expect(1, 1898, '\P{Jg=noon}', "");
Expect(0, 1898, '\P{^Jg=noon}', "");
Expect(1, 1897, '\p{Jg:	_-Noon}', "");
Expect(0, 1897, '\p{^Jg:	_-Noon}', "");
Expect(0, 1897, '\P{Jg:	_-Noon}', "");
Expect(1, 1897, '\P{^Jg:	_-Noon}', "");
Expect(0, 1898, '\p{Jg:	_-Noon}', "");
Expect(1, 1898, '\p{^Jg:	_-Noon}', "");
Expect(1, 1898, '\P{Jg:	_-Noon}', "");
Expect(0, 1898, '\P{^Jg:	_-Noon}', "");
Error('\p{Is_Joining_Group= _Noon:=}');
Error('\P{Is_Joining_Group= _Noon:=}');
Expect(1, 1897, '\p{Is_Joining_Group=noon}', "");
Expect(0, 1897, '\p{^Is_Joining_Group=noon}', "");
Expect(0, 1897, '\P{Is_Joining_Group=noon}', "");
Expect(1, 1897, '\P{^Is_Joining_Group=noon}', "");
Expect(0, 1898, '\p{Is_Joining_Group=noon}', "");
Expect(1, 1898, '\p{^Is_Joining_Group=noon}', "");
Expect(1, 1898, '\P{Is_Joining_Group=noon}', "");
Expect(0, 1898, '\P{^Is_Joining_Group=noon}', "");
Expect(1, 1897, '\p{Is_Joining_Group=-_NOON}', "");
Expect(0, 1897, '\p{^Is_Joining_Group=-_NOON}', "");
Expect(0, 1897, '\P{Is_Joining_Group=-_NOON}', "");
Expect(1, 1897, '\P{^Is_Joining_Group=-_NOON}', "");
Expect(0, 1898, '\p{Is_Joining_Group=-_NOON}', "");
Expect(1, 1898, '\p{^Is_Joining_Group=-_NOON}', "");
Expect(1, 1898, '\P{Is_Joining_Group=-_NOON}', "");
Expect(0, 1898, '\P{^Is_Joining_Group=-_NOON}', "");
Error('\p{Is_Jg= :=Noon}');
Error('\P{Is_Jg= :=Noon}');
Expect(1, 1897, '\p{Is_Jg=noon}', "");
Expect(0, 1897, '\p{^Is_Jg=noon}', "");
Expect(0, 1897, '\P{Is_Jg=noon}', "");
Expect(1, 1897, '\P{^Is_Jg=noon}', "");
Expect(0, 1898, '\p{Is_Jg=noon}', "");
Expect(1, 1898, '\p{^Is_Jg=noon}', "");
Expect(1, 1898, '\P{Is_Jg=noon}', "");
Expect(0, 1898, '\P{^Is_Jg=noon}', "");
Expect(1, 1897, '\p{Is_Jg=-Noon}', "");
Expect(0, 1897, '\p{^Is_Jg=-Noon}', "");
Expect(0, 1897, '\P{Is_Jg=-Noon}', "");
Expect(1, 1897, '\P{^Is_Jg=-Noon}', "");
Expect(0, 1898, '\p{Is_Jg=-Noon}', "");
Expect(1, 1898, '\p{^Is_Jg=-Noon}', "");
Expect(1, 1898, '\P{Is_Jg=-Noon}', "");
Expect(0, 1898, '\P{^Is_Jg=-Noon}', "");
Error('\p{Joining_Group=- nun/a/}');
Error('\P{Joining_Group=- nun/a/}');
Expect(1, 1826, '\p{Joining_Group=nun}', "");
Expect(0, 1826, '\p{^Joining_Group=nun}', "");
Expect(0, 1826, '\P{Joining_Group=nun}', "");
Expect(1, 1826, '\P{^Joining_Group=nun}', "");
Expect(0, 1827, '\p{Joining_Group=nun}', "");
Expect(1, 1827, '\p{^Joining_Group=nun}', "");
Expect(1, 1827, '\P{Joining_Group=nun}', "");
Expect(0, 1827, '\P{^Joining_Group=nun}', "");
Expect(1, 1826, '\p{Joining_Group=NUN}', "");
Expect(0, 1826, '\p{^Joining_Group=NUN}', "");
Expect(0, 1826, '\P{Joining_Group=NUN}', "");
Expect(1, 1826, '\P{^Joining_Group=NUN}', "");
Expect(0, 1827, '\p{Joining_Group=NUN}', "");
Expect(1, 1827, '\p{^Joining_Group=NUN}', "");
Expect(1, 1827, '\P{Joining_Group=NUN}', "");
Expect(0, 1827, '\P{^Joining_Group=NUN}', "");
Error('\p{Jg=:=Nun}');
Error('\P{Jg=:=Nun}');
Expect(1, 1826, '\p{Jg=nun}', "");
Expect(0, 1826, '\p{^Jg=nun}', "");
Expect(0, 1826, '\P{Jg=nun}', "");
Expect(1, 1826, '\P{^Jg=nun}', "");
Expect(0, 1827, '\p{Jg=nun}', "");
Expect(1, 1827, '\p{^Jg=nun}', "");
Expect(1, 1827, '\P{Jg=nun}', "");
Expect(0, 1827, '\P{^Jg=nun}', "");
Expect(1, 1826, '\p{Jg=_NUN}', "");
Expect(0, 1826, '\p{^Jg=_NUN}', "");
Expect(0, 1826, '\P{Jg=_NUN}', "");
Expect(1, 1826, '\P{^Jg=_NUN}', "");
Expect(0, 1827, '\p{Jg=_NUN}', "");
Expect(1, 1827, '\p{^Jg=_NUN}', "");
Expect(1, 1827, '\P{Jg=_NUN}', "");
Expect(0, 1827, '\P{^Jg=_NUN}', "");
Error('\p{Is_Joining_Group= _Nun:=}');
Error('\P{Is_Joining_Group= _Nun:=}');
Expect(1, 1826, '\p{Is_Joining_Group=nun}', "");
Expect(0, 1826, '\p{^Is_Joining_Group=nun}', "");
Expect(0, 1826, '\P{Is_Joining_Group=nun}', "");
Expect(1, 1826, '\P{^Is_Joining_Group=nun}', "");
Expect(0, 1827, '\p{Is_Joining_Group=nun}', "");
Expect(1, 1827, '\p{^Is_Joining_Group=nun}', "");
Expect(1, 1827, '\P{Is_Joining_Group=nun}', "");
Expect(0, 1827, '\P{^Is_Joining_Group=nun}', "");
Expect(1, 1826, '\p{Is_Joining_Group=_	Nun}', "");
Expect(0, 1826, '\p{^Is_Joining_Group=_	Nun}', "");
Expect(0, 1826, '\P{Is_Joining_Group=_	Nun}', "");
Expect(1, 1826, '\P{^Is_Joining_Group=_	Nun}', "");
Expect(0, 1827, '\p{Is_Joining_Group=_	Nun}', "");
Expect(1, 1827, '\p{^Is_Joining_Group=_	Nun}', "");
Expect(1, 1827, '\P{Is_Joining_Group=_	Nun}', "");
Expect(0, 1827, '\P{^Is_Joining_Group=_	Nun}', "");
Error('\p{Is_Jg=:=	_Nun}');
Error('\P{Is_Jg=:=	_Nun}');
Expect(1, 1826, '\p{Is_Jg=nun}', "");
Expect(0, 1826, '\p{^Is_Jg=nun}', "");
Expect(0, 1826, '\P{Is_Jg=nun}', "");
Expect(1, 1826, '\P{^Is_Jg=nun}', "");
Expect(0, 1827, '\p{Is_Jg=nun}', "");
Expect(1, 1827, '\p{^Is_Jg=nun}', "");
Expect(1, 1827, '\P{Is_Jg=nun}', "");
Expect(0, 1827, '\P{^Is_Jg=nun}', "");
Expect(1, 1826, '\p{Is_Jg=- nun}', "");
Expect(0, 1826, '\p{^Is_Jg=- nun}', "");
Expect(0, 1826, '\P{Is_Jg=- nun}', "");
Expect(1, 1826, '\P{^Is_Jg=- nun}', "");
Expect(0, 1827, '\p{Is_Jg=- nun}', "");
Expect(1, 1827, '\p{^Is_Jg=- nun}', "");
Expect(1, 1827, '\P{Is_Jg=- nun}', "");
Expect(0, 1827, '\P{^Is_Jg=- nun}', "");
Error('\p{Joining_Group=:=	Nya}');
Error('\P{Joining_Group=:=	Nya}');
Expect(1, 1725, '\p{Joining_Group=nya}', "");
Expect(0, 1725, '\p{^Joining_Group=nya}', "");
Expect(0, 1725, '\P{Joining_Group=nya}', "");
Expect(1, 1725, '\P{^Joining_Group=nya}', "");
Expect(0, 1726, '\p{Joining_Group=nya}', "");
Expect(1, 1726, '\p{^Joining_Group=nya}', "");
Expect(1, 1726, '\P{Joining_Group=nya}', "");
Expect(0, 1726, '\P{^Joining_Group=nya}', "");
Expect(1, 1725, '\p{Joining_Group=-	nya}', "");
Expect(0, 1725, '\p{^Joining_Group=-	nya}', "");
Expect(0, 1725, '\P{Joining_Group=-	nya}', "");
Expect(1, 1725, '\P{^Joining_Group=-	nya}', "");
Expect(0, 1726, '\p{Joining_Group=-	nya}', "");
Expect(1, 1726, '\p{^Joining_Group=-	nya}', "");
Expect(1, 1726, '\P{Joining_Group=-	nya}', "");
Expect(0, 1726, '\P{^Joining_Group=-	nya}', "");
Error('\p{Jg=-/a/Nya}');
Error('\P{Jg=-/a/Nya}');
Expect(1, 1725, '\p{Jg=nya}', "");
Expect(0, 1725, '\p{^Jg=nya}', "");
Expect(0, 1725, '\P{Jg=nya}', "");
Expect(1, 1725, '\P{^Jg=nya}', "");
Expect(0, 1726, '\p{Jg=nya}', "");
Expect(1, 1726, '\p{^Jg=nya}', "");
Expect(1, 1726, '\P{Jg=nya}', "");
Expect(0, 1726, '\P{^Jg=nya}', "");
Expect(1, 1725, '\p{Jg=		Nya}', "");
Expect(0, 1725, '\p{^Jg=		Nya}', "");
Expect(0, 1725, '\P{Jg=		Nya}', "");
Expect(1, 1725, '\P{^Jg=		Nya}', "");
Expect(0, 1726, '\p{Jg=		Nya}', "");
Expect(1, 1726, '\p{^Jg=		Nya}', "");
Expect(1, 1726, '\P{Jg=		Nya}', "");
Expect(0, 1726, '\P{^Jg=		Nya}', "");
Error('\p{Is_Joining_Group=/a/_Nya}');
Error('\P{Is_Joining_Group=/a/_Nya}');
Expect(1, 1725, '\p{Is_Joining_Group=nya}', "");
Expect(0, 1725, '\p{^Is_Joining_Group=nya}', "");
Expect(0, 1725, '\P{Is_Joining_Group=nya}', "");
Expect(1, 1725, '\P{^Is_Joining_Group=nya}', "");
Expect(0, 1726, '\p{Is_Joining_Group=nya}', "");
Expect(1, 1726, '\p{^Is_Joining_Group=nya}', "");
Expect(1, 1726, '\P{Is_Joining_Group=nya}', "");
Expect(0, 1726, '\P{^Is_Joining_Group=nya}', "");
Expect(1, 1725, '\p{Is_Joining_Group=  nya}', "");
Expect(0, 1725, '\p{^Is_Joining_Group=  nya}', "");
Expect(0, 1725, '\P{Is_Joining_Group=  nya}', "");
Expect(1, 1725, '\P{^Is_Joining_Group=  nya}', "");
Expect(0, 1726, '\p{Is_Joining_Group=  nya}', "");
Expect(1, 1726, '\p{^Is_Joining_Group=  nya}', "");
Expect(1, 1726, '\P{Is_Joining_Group=  nya}', "");
Expect(0, 1726, '\P{^Is_Joining_Group=  nya}', "");
Error('\p{Is_Jg=	 NYA/a/}');
Error('\P{Is_Jg=	 NYA/a/}');
Expect(1, 1725, '\p{Is_Jg=nya}', "");
Expect(0, 1725, '\p{^Is_Jg=nya}', "");
Expect(0, 1725, '\P{Is_Jg=nya}', "");
Expect(1, 1725, '\P{^Is_Jg=nya}', "");
Expect(0, 1726, '\p{Is_Jg=nya}', "");
Expect(1, 1726, '\p{^Is_Jg=nya}', "");
Expect(1, 1726, '\P{Is_Jg=nya}', "");
Expect(0, 1726, '\P{^Is_Jg=nya}', "");
Expect(1, 1725, '\p{Is_Jg=_Nya}', "");
Expect(0, 1725, '\p{^Is_Jg=_Nya}', "");
Expect(0, 1725, '\P{Is_Jg=_Nya}', "");
Expect(1, 1725, '\P{^Is_Jg=_Nya}', "");
Expect(0, 1726, '\p{Is_Jg=_Nya}', "");
Expect(1, 1726, '\p{^Is_Jg=_Nya}', "");
Expect(1, 1726, '\P{Is_Jg=_Nya}', "");
Expect(0, 1726, '\P{^Is_Jg=_Nya}', "");
Error('\p{Joining_Group=_:=PE}');
Error('\P{Joining_Group=_:=PE}');
Expect(1, 1830, '\p{Joining_Group=pe}', "");
Expect(0, 1830, '\p{^Joining_Group=pe}', "");
Expect(0, 1830, '\P{Joining_Group=pe}', "");
Expect(1, 1830, '\P{^Joining_Group=pe}', "");
Expect(0, 1831, '\p{Joining_Group=pe}', "");
Expect(1, 1831, '\p{^Joining_Group=pe}', "");
Expect(1, 1831, '\P{Joining_Group=pe}', "");
Expect(0, 1831, '\P{^Joining_Group=pe}', "");
Expect(1, 1830, '\p{Joining_Group= 	Pe}', "");
Expect(0, 1830, '\p{^Joining_Group= 	Pe}', "");
Expect(0, 1830, '\P{Joining_Group= 	Pe}', "");
Expect(1, 1830, '\P{^Joining_Group= 	Pe}', "");
Expect(0, 1831, '\p{Joining_Group= 	Pe}', "");
Expect(1, 1831, '\p{^Joining_Group= 	Pe}', "");
Expect(1, 1831, '\P{Joining_Group= 	Pe}', "");
Expect(0, 1831, '\P{^Joining_Group= 	Pe}', "");
Error('\p{Jg=	pe:=}');
Error('\P{Jg=	pe:=}');
Expect(1, 1830, '\p{Jg=pe}', "");
Expect(0, 1830, '\p{^Jg=pe}', "");
Expect(0, 1830, '\P{Jg=pe}', "");
Expect(1, 1830, '\P{^Jg=pe}', "");
Expect(0, 1831, '\p{Jg=pe}', "");
Expect(1, 1831, '\p{^Jg=pe}', "");
Expect(1, 1831, '\P{Jg=pe}', "");
Expect(0, 1831, '\P{^Jg=pe}', "");
Expect(1, 1830, '\p{Jg=-	pe}', "");
Expect(0, 1830, '\p{^Jg=-	pe}', "");
Expect(0, 1830, '\P{Jg=-	pe}', "");
Expect(1, 1830, '\P{^Jg=-	pe}', "");
Expect(0, 1831, '\p{Jg=-	pe}', "");
Expect(1, 1831, '\p{^Jg=-	pe}', "");
Expect(1, 1831, '\P{Jg=-	pe}', "");
Expect(0, 1831, '\P{^Jg=-	pe}', "");
Error('\p{Is_Joining_Group=  pe:=}');
Error('\P{Is_Joining_Group=  pe:=}');
Expect(1, 1830, '\p{Is_Joining_Group=pe}', "");
Expect(0, 1830, '\p{^Is_Joining_Group=pe}', "");
Expect(0, 1830, '\P{Is_Joining_Group=pe}', "");
Expect(1, 1830, '\P{^Is_Joining_Group=pe}', "");
Expect(0, 1831, '\p{Is_Joining_Group=pe}', "");
Expect(1, 1831, '\p{^Is_Joining_Group=pe}', "");
Expect(1, 1831, '\P{Is_Joining_Group=pe}', "");
Expect(0, 1831, '\P{^Is_Joining_Group=pe}', "");
Expect(1, 1830, '\p{Is_Joining_Group:	_ PE}', "");
Expect(0, 1830, '\p{^Is_Joining_Group:	_ PE}', "");
Expect(0, 1830, '\P{Is_Joining_Group:	_ PE}', "");
Expect(1, 1830, '\P{^Is_Joining_Group:	_ PE}', "");
Expect(0, 1831, '\p{Is_Joining_Group:	_ PE}', "");
Expect(1, 1831, '\p{^Is_Joining_Group:	_ PE}', "");
Expect(1, 1831, '\P{Is_Joining_Group:	_ PE}', "");
Expect(0, 1831, '\P{^Is_Joining_Group:	_ PE}', "");
Error('\p{Is_Jg=_/a/pe}');
Error('\P{Is_Jg=_/a/pe}');
Expect(1, 1830, '\p{Is_Jg=pe}', "");
Expect(0, 1830, '\p{^Is_Jg=pe}', "");
Expect(0, 1830, '\P{Is_Jg=pe}', "");
Expect(1, 1830, '\P{^Is_Jg=pe}', "");
Expect(0, 1831, '\p{Is_Jg=pe}', "");
Expect(1, 1831, '\p{^Is_Jg=pe}', "");
Expect(1, 1831, '\P{Is_Jg=pe}', "");
Expect(0, 1831, '\P{^Is_Jg=pe}', "");
Expect(1, 1830, '\p{Is_Jg= Pe}', "");
Expect(0, 1830, '\p{^Is_Jg= Pe}', "");
Expect(0, 1830, '\P{Is_Jg= Pe}', "");
Expect(1, 1830, '\P{^Is_Jg= Pe}', "");
Expect(0, 1831, '\p{Is_Jg= Pe}', "");
Expect(1, 1831, '\p{^Is_Jg= Pe}', "");
Expect(1, 1831, '\P{Is_Jg= Pe}', "");
Expect(0, 1831, '\P{^Is_Jg= Pe}', "");
Error('\p{Joining_Group=	_Qaf/a/}');
Error('\P{Joining_Group=	_Qaf/a/}');
Expect(1, 2213, '\p{Joining_Group=qaf}', "");
Expect(0, 2213, '\p{^Joining_Group=qaf}', "");
Expect(0, 2213, '\P{Joining_Group=qaf}', "");
Expect(1, 2213, '\P{^Joining_Group=qaf}', "");
Expect(0, 2214, '\p{Joining_Group=qaf}', "");
Expect(1, 2214, '\p{^Joining_Group=qaf}', "");
Expect(1, 2214, '\P{Joining_Group=qaf}', "");
Expect(0, 2214, '\P{^Joining_Group=qaf}', "");
Expect(1, 2213, '\p{Joining_Group=-QAF}', "");
Expect(0, 2213, '\p{^Joining_Group=-QAF}', "");
Expect(0, 2213, '\P{Joining_Group=-QAF}', "");
Expect(1, 2213, '\P{^Joining_Group=-QAF}', "");
Expect(0, 2214, '\p{Joining_Group=-QAF}', "");
Expect(1, 2214, '\p{^Joining_Group=-QAF}', "");
Expect(1, 2214, '\P{Joining_Group=-QAF}', "");
Expect(0, 2214, '\P{^Joining_Group=-QAF}', "");
Error('\p{Jg=	Qaf:=}');
Error('\P{Jg=	Qaf:=}');
Expect(1, 2213, '\p{Jg=qaf}', "");
Expect(0, 2213, '\p{^Jg=qaf}', "");
Expect(0, 2213, '\P{Jg=qaf}', "");
Expect(1, 2213, '\P{^Jg=qaf}', "");
Expect(0, 2214, '\p{Jg=qaf}', "");
Expect(1, 2214, '\p{^Jg=qaf}', "");
Expect(1, 2214, '\P{Jg=qaf}', "");
Expect(0, 2214, '\P{^Jg=qaf}', "");
Expect(1, 2213, '\p{Jg= 	QAF}', "");
Expect(0, 2213, '\p{^Jg= 	QAF}', "");
Expect(0, 2213, '\P{Jg= 	QAF}', "");
Expect(1, 2213, '\P{^Jg= 	QAF}', "");
Expect(0, 2214, '\p{Jg= 	QAF}', "");
Expect(1, 2214, '\p{^Jg= 	QAF}', "");
Expect(1, 2214, '\P{Jg= 	QAF}', "");
Expect(0, 2214, '\P{^Jg= 	QAF}', "");
Error('\p{Is_Joining_Group=_ QAF/a/}');
Error('\P{Is_Joining_Group=_ QAF/a/}');
Expect(1, 2213, '\p{Is_Joining_Group=qaf}', "");
Expect(0, 2213, '\p{^Is_Joining_Group=qaf}', "");
Expect(0, 2213, '\P{Is_Joining_Group=qaf}', "");
Expect(1, 2213, '\P{^Is_Joining_Group=qaf}', "");
Expect(0, 2214, '\p{Is_Joining_Group=qaf}', "");
Expect(1, 2214, '\p{^Is_Joining_Group=qaf}', "");
Expect(1, 2214, '\P{Is_Joining_Group=qaf}', "");
Expect(0, 2214, '\P{^Is_Joining_Group=qaf}', "");
Expect(1, 2213, '\p{Is_Joining_Group=		Qaf}', "");
Expect(0, 2213, '\p{^Is_Joining_Group=		Qaf}', "");
Expect(0, 2213, '\P{Is_Joining_Group=		Qaf}', "");
Expect(1, 2213, '\P{^Is_Joining_Group=		Qaf}', "");
Expect(0, 2214, '\p{Is_Joining_Group=		Qaf}', "");
Expect(1, 2214, '\p{^Is_Joining_Group=		Qaf}', "");
Expect(1, 2214, '\P{Is_Joining_Group=		Qaf}', "");
Expect(0, 2214, '\P{^Is_Joining_Group=		Qaf}', "");
Error('\p{Is_Jg=-/a/Qaf}');
Error('\P{Is_Jg=-/a/Qaf}');
Expect(1, 2213, '\p{Is_Jg=qaf}', "");
Expect(0, 2213, '\p{^Is_Jg=qaf}', "");
Expect(0, 2213, '\P{Is_Jg=qaf}', "");
Expect(1, 2213, '\P{^Is_Jg=qaf}', "");
Expect(0, 2214, '\p{Is_Jg=qaf}', "");
Expect(1, 2214, '\p{^Is_Jg=qaf}', "");
Expect(1, 2214, '\P{Is_Jg=qaf}', "");
Expect(0, 2214, '\P{^Is_Jg=qaf}', "");
Expect(1, 2213, '\p{Is_Jg=		Qaf}', "");
Expect(0, 2213, '\p{^Is_Jg=		Qaf}', "");
Expect(0, 2213, '\P{Is_Jg=		Qaf}', "");
Expect(1, 2213, '\P{^Is_Jg=		Qaf}', "");
Expect(0, 2214, '\p{Is_Jg=		Qaf}', "");
Expect(1, 2214, '\p{^Is_Jg=		Qaf}', "");
Expect(1, 2214, '\P{Is_Jg=		Qaf}', "");
Expect(0, 2214, '\P{^Is_Jg=		Qaf}', "");
Error('\p{Joining_Group=:=_qaph}');
Error('\P{Joining_Group=:=_qaph}');
Expect(1, 1833, '\p{Joining_Group=qaph}', "");
Expect(0, 1833, '\p{^Joining_Group=qaph}', "");
Expect(0, 1833, '\P{Joining_Group=qaph}', "");
Expect(1, 1833, '\P{^Joining_Group=qaph}', "");
Expect(0, 1834, '\p{Joining_Group=qaph}', "");
Expect(1, 1834, '\p{^Joining_Group=qaph}', "");
Expect(1, 1834, '\P{Joining_Group=qaph}', "");
Expect(0, 1834, '\P{^Joining_Group=qaph}', "");
Expect(1, 1833, '\p{Joining_Group= -qaph}', "");
Expect(0, 1833, '\p{^Joining_Group= -qaph}', "");
Expect(0, 1833, '\P{Joining_Group= -qaph}', "");
Expect(1, 1833, '\P{^Joining_Group= -qaph}', "");
Expect(0, 1834, '\p{Joining_Group= -qaph}', "");
Expect(1, 1834, '\p{^Joining_Group= -qaph}', "");
Expect(1, 1834, '\P{Joining_Group= -qaph}', "");
Expect(0, 1834, '\P{^Joining_Group= -qaph}', "");
Error('\p{Jg=_/a/Qaph}');
Error('\P{Jg=_/a/Qaph}');
Expect(1, 1833, '\p{Jg=qaph}', "");
Expect(0, 1833, '\p{^Jg=qaph}', "");
Expect(0, 1833, '\P{Jg=qaph}', "");
Expect(1, 1833, '\P{^Jg=qaph}', "");
Expect(0, 1834, '\p{Jg=qaph}', "");
Expect(1, 1834, '\p{^Jg=qaph}', "");
Expect(1, 1834, '\P{Jg=qaph}', "");
Expect(0, 1834, '\P{^Jg=qaph}', "");
Expect(1, 1833, '\p{Jg=_-QAPH}', "");
Expect(0, 1833, '\p{^Jg=_-QAPH}', "");
Expect(0, 1833, '\P{Jg=_-QAPH}', "");
Expect(1, 1833, '\P{^Jg=_-QAPH}', "");
Expect(0, 1834, '\p{Jg=_-QAPH}', "");
Expect(1, 1834, '\p{^Jg=_-QAPH}', "");
Expect(1, 1834, '\P{Jg=_-QAPH}', "");
Expect(0, 1834, '\P{^Jg=_-QAPH}', "");
Error('\p{Is_Joining_Group=:=_Qaph}');
Error('\P{Is_Joining_Group=:=_Qaph}');
Expect(1, 1833, '\p{Is_Joining_Group=qaph}', "");
Expect(0, 1833, '\p{^Is_Joining_Group=qaph}', "");
Expect(0, 1833, '\P{Is_Joining_Group=qaph}', "");
Expect(1, 1833, '\P{^Is_Joining_Group=qaph}', "");
Expect(0, 1834, '\p{Is_Joining_Group=qaph}', "");
Expect(1, 1834, '\p{^Is_Joining_Group=qaph}', "");
Expect(1, 1834, '\P{Is_Joining_Group=qaph}', "");
Expect(0, 1834, '\P{^Is_Joining_Group=qaph}', "");
Expect(1, 1833, '\p{Is_Joining_Group=-QAPH}', "");
Expect(0, 1833, '\p{^Is_Joining_Group=-QAPH}', "");
Expect(0, 1833, '\P{Is_Joining_Group=-QAPH}', "");
Expect(1, 1833, '\P{^Is_Joining_Group=-QAPH}', "");
Expect(0, 1834, '\p{Is_Joining_Group=-QAPH}', "");
Expect(1, 1834, '\p{^Is_Joining_Group=-QAPH}', "");
Expect(1, 1834, '\P{Is_Joining_Group=-QAPH}', "");
Expect(0, 1834, '\P{^Is_Joining_Group=-QAPH}', "");
Error('\p{Is_Jg=	:=QAPH}');
Error('\P{Is_Jg=	:=QAPH}');
Expect(1, 1833, '\p{Is_Jg:qaph}', "");
Expect(0, 1833, '\p{^Is_Jg:qaph}', "");
Expect(0, 1833, '\P{Is_Jg:qaph}', "");
Expect(1, 1833, '\P{^Is_Jg:qaph}', "");
Expect(0, 1834, '\p{Is_Jg:qaph}', "");
Expect(1, 1834, '\p{^Is_Jg:qaph}', "");
Expect(1, 1834, '\P{Is_Jg:qaph}', "");
Expect(0, 1834, '\P{^Is_Jg:qaph}', "");
Expect(1, 1833, '\p{Is_Jg:	 	Qaph}', "");
Expect(0, 1833, '\p{^Is_Jg:	 	Qaph}', "");
Expect(0, 1833, '\P{Is_Jg:	 	Qaph}', "");
Expect(1, 1833, '\P{^Is_Jg:	 	Qaph}', "");
Expect(0, 1834, '\p{Is_Jg:	 	Qaph}', "");
Expect(1, 1834, '\p{^Is_Jg:	 	Qaph}', "");
Expect(1, 1834, '\P{Is_Jg:	 	Qaph}', "");
Expect(0, 1834, '\P{^Is_Jg:	 	Qaph}', "");
Error('\p{Joining_Group=	_Reh/a/}');
Error('\P{Joining_Group=	_Reh/a/}');
Expect(1, 2226, '\p{Joining_Group=reh}', "");
Expect(0, 2226, '\p{^Joining_Group=reh}', "");
Expect(0, 2226, '\P{Joining_Group=reh}', "");
Expect(1, 2226, '\P{^Joining_Group=reh}', "");
Expect(0, 2227, '\p{Joining_Group=reh}', "");
Expect(1, 2227, '\p{^Joining_Group=reh}', "");
Expect(1, 2227, '\P{Joining_Group=reh}', "");
Expect(0, 2227, '\P{^Joining_Group=reh}', "");
Expect(1, 2226, '\p{Joining_Group=	-Reh}', "");
Expect(0, 2226, '\p{^Joining_Group=	-Reh}', "");
Expect(0, 2226, '\P{Joining_Group=	-Reh}', "");
Expect(1, 2226, '\P{^Joining_Group=	-Reh}', "");
Expect(0, 2227, '\p{Joining_Group=	-Reh}', "");
Expect(1, 2227, '\p{^Joining_Group=	-Reh}', "");
Expect(1, 2227, '\P{Joining_Group=	-Reh}', "");
Expect(0, 2227, '\P{^Joining_Group=	-Reh}', "");
Error('\p{Jg=:=	_Reh}');
Error('\P{Jg=:=	_Reh}');
Expect(1, 2226, '\p{Jg=reh}', "");
Expect(0, 2226, '\p{^Jg=reh}', "");
Expect(0, 2226, '\P{Jg=reh}', "");
Expect(1, 2226, '\P{^Jg=reh}', "");
Expect(0, 2227, '\p{Jg=reh}', "");
Expect(1, 2227, '\p{^Jg=reh}', "");
Expect(1, 2227, '\P{Jg=reh}', "");
Expect(0, 2227, '\P{^Jg=reh}', "");
Expect(1, 2226, '\p{Jg:	_Reh}', "");
Expect(0, 2226, '\p{^Jg:	_Reh}', "");
Expect(0, 2226, '\P{Jg:	_Reh}', "");
Expect(1, 2226, '\P{^Jg:	_Reh}', "");
Expect(0, 2227, '\p{Jg:	_Reh}', "");
Expect(1, 2227, '\p{^Jg:	_Reh}', "");
Expect(1, 2227, '\P{Jg:	_Reh}', "");
Expect(0, 2227, '\P{^Jg:	_Reh}', "");
Error('\p{Is_Joining_Group=:=		reh}');
Error('\P{Is_Joining_Group=:=		reh}');
Expect(1, 2226, '\p{Is_Joining_Group=reh}', "");
Expect(0, 2226, '\p{^Is_Joining_Group=reh}', "");
Expect(0, 2226, '\P{Is_Joining_Group=reh}', "");
Expect(1, 2226, '\P{^Is_Joining_Group=reh}', "");
Expect(0, 2227, '\p{Is_Joining_Group=reh}', "");
Expect(1, 2227, '\p{^Is_Joining_Group=reh}', "");
Expect(1, 2227, '\P{Is_Joining_Group=reh}', "");
Expect(0, 2227, '\P{^Is_Joining_Group=reh}', "");
Expect(1, 2226, '\p{Is_Joining_Group=_Reh}', "");
Expect(0, 2226, '\p{^Is_Joining_Group=_Reh}', "");
Expect(0, 2226, '\P{Is_Joining_Group=_Reh}', "");
Expect(1, 2226, '\P{^Is_Joining_Group=_Reh}', "");
Expect(0, 2227, '\p{Is_Joining_Group=_Reh}', "");
Expect(1, 2227, '\p{^Is_Joining_Group=_Reh}', "");
Expect(1, 2227, '\P{Is_Joining_Group=_Reh}', "");
Expect(0, 2227, '\P{^Is_Joining_Group=_Reh}', "");
Error('\p{Is_Jg=:=Reh}');
Error('\P{Is_Jg=:=Reh}');
Expect(1, 2226, '\p{Is_Jg=reh}', "");
Expect(0, 2226, '\p{^Is_Jg=reh}', "");
Expect(0, 2226, '\P{Is_Jg=reh}', "");
Expect(1, 2226, '\P{^Is_Jg=reh}', "");
Expect(0, 2227, '\p{Is_Jg=reh}', "");
Expect(1, 2227, '\p{^Is_Jg=reh}', "");
Expect(1, 2227, '\P{Is_Jg=reh}', "");
Expect(0, 2227, '\P{^Is_Jg=reh}', "");
Expect(1, 2226, '\p{Is_Jg=--REH}', "");
Expect(0, 2226, '\p{^Is_Jg=--REH}', "");
Expect(0, 2226, '\P{Is_Jg=--REH}', "");
Expect(1, 2226, '\P{^Is_Jg=--REH}', "");
Expect(0, 2227, '\p{Is_Jg=--REH}', "");
Expect(1, 2227, '\p{^Is_Jg=--REH}', "");
Expect(1, 2227, '\P{Is_Jg=--REH}', "");
Expect(0, 2227, '\P{^Is_Jg=--REH}', "");
Error('\p{Joining_Group=/a/ Reversed_PE}');
Error('\P{Joining_Group=/a/ Reversed_PE}');
Expect(1, 1831, '\p{Joining_Group=reversedpe}', "");
Expect(0, 1831, '\p{^Joining_Group=reversedpe}', "");
Expect(0, 1831, '\P{Joining_Group=reversedpe}', "");
Expect(1, 1831, '\P{^Joining_Group=reversedpe}', "");
Expect(0, 1832, '\p{Joining_Group=reversedpe}', "");
Expect(1, 1832, '\p{^Joining_Group=reversedpe}', "");
Expect(1, 1832, '\P{Joining_Group=reversedpe}', "");
Expect(0, 1832, '\P{^Joining_Group=reversedpe}', "");
Expect(1, 1831, '\p{Joining_Group=		Reversed_PE}', "");
Expect(0, 1831, '\p{^Joining_Group=		Reversed_PE}', "");
Expect(0, 1831, '\P{Joining_Group=		Reversed_PE}', "");
Expect(1, 1831, '\P{^Joining_Group=		Reversed_PE}', "");
Expect(0, 1832, '\p{Joining_Group=		Reversed_PE}', "");
Expect(1, 1832, '\p{^Joining_Group=		Reversed_PE}', "");
Expect(1, 1832, '\P{Joining_Group=		Reversed_PE}', "");
Expect(0, 1832, '\P{^Joining_Group=		Reversed_PE}', "");
Error('\p{Jg=/a/ -Reversed_pe}');
Error('\P{Jg=/a/ -Reversed_pe}');
Expect(1, 1831, '\p{Jg=reversedpe}', "");
Expect(0, 1831, '\p{^Jg=reversedpe}', "");
Expect(0, 1831, '\P{Jg=reversedpe}', "");
Expect(1, 1831, '\P{^Jg=reversedpe}', "");
Expect(0, 1832, '\p{Jg=reversedpe}', "");
Expect(1, 1832, '\p{^Jg=reversedpe}', "");
Expect(1, 1832, '\P{Jg=reversedpe}', "");
Expect(0, 1832, '\P{^Jg=reversedpe}', "");
Expect(1, 1831, '\p{Jg:   	 reversed_PE}', "");
Expect(0, 1831, '\p{^Jg:   	 reversed_PE}', "");
Expect(0, 1831, '\P{Jg:   	 reversed_PE}', "");
Expect(1, 1831, '\P{^Jg:   	 reversed_PE}', "");
Expect(0, 1832, '\p{Jg:   	 reversed_PE}', "");
Expect(1, 1832, '\p{^Jg:   	 reversed_PE}', "");
Expect(1, 1832, '\P{Jg:   	 reversed_PE}', "");
Expect(0, 1832, '\P{^Jg:   	 reversed_PE}', "");
Error('\p{Is_Joining_Group=_:=REVERSED_Pe}');
Error('\P{Is_Joining_Group=_:=REVERSED_Pe}');
Expect(1, 1831, '\p{Is_Joining_Group=reversedpe}', "");
Expect(0, 1831, '\p{^Is_Joining_Group=reversedpe}', "");
Expect(0, 1831, '\P{Is_Joining_Group=reversedpe}', "");
Expect(1, 1831, '\P{^Is_Joining_Group=reversedpe}', "");
Expect(0, 1832, '\p{Is_Joining_Group=reversedpe}', "");
Expect(1, 1832, '\p{^Is_Joining_Group=reversedpe}', "");
Expect(1, 1832, '\P{Is_Joining_Group=reversedpe}', "");
Expect(0, 1832, '\P{^Is_Joining_Group=reversedpe}', "");
Expect(1, 1831, '\p{Is_Joining_Group= 	Reversed_pe}', "");
Expect(0, 1831, '\p{^Is_Joining_Group= 	Reversed_pe}', "");
Expect(0, 1831, '\P{Is_Joining_Group= 	Reversed_pe}', "");
Expect(1, 1831, '\P{^Is_Joining_Group= 	Reversed_pe}', "");
Expect(0, 1832, '\p{Is_Joining_Group= 	Reversed_pe}', "");
Expect(1, 1832, '\p{^Is_Joining_Group= 	Reversed_pe}', "");
Expect(1, 1832, '\P{Is_Joining_Group= 	Reversed_pe}', "");
Expect(0, 1832, '\P{^Is_Joining_Group= 	Reversed_pe}', "");
Error('\p{Is_Jg=_	Reversed_pe/a/}');
Error('\P{Is_Jg=_	Reversed_pe/a/}');
Expect(1, 1831, '\p{Is_Jg=reversedpe}', "");
Expect(0, 1831, '\p{^Is_Jg=reversedpe}', "");
Expect(0, 1831, '\P{Is_Jg=reversedpe}', "");
Expect(1, 1831, '\P{^Is_Jg=reversedpe}', "");
Expect(0, 1832, '\p{Is_Jg=reversedpe}', "");
Expect(1, 1832, '\p{^Is_Jg=reversedpe}', "");
Expect(1, 1832, '\P{Is_Jg=reversedpe}', "");
Expect(0, 1832, '\P{^Is_Jg=reversedpe}', "");
Expect(1, 1831, '\p{Is_Jg:	-REVERSED_Pe}', "");
Expect(0, 1831, '\p{^Is_Jg:	-REVERSED_Pe}', "");
Expect(0, 1831, '\P{Is_Jg:	-REVERSED_Pe}', "");
Expect(1, 1831, '\P{^Is_Jg:	-REVERSED_Pe}', "");
Expect(0, 1832, '\p{Is_Jg:	-REVERSED_Pe}', "");
Expect(1, 1832, '\p{^Is_Jg:	-REVERSED_Pe}', "");
Expect(1, 1832, '\P{Is_Jg:	-REVERSED_Pe}', "");
Expect(0, 1832, '\P{^Is_Jg:	-REVERSED_Pe}', "");
Error('\p{Joining_Group=	 ROHINGYA_YEH/a/}');
Error('\P{Joining_Group=	 ROHINGYA_YEH/a/}');
Expect(1, 2220, '\p{Joining_Group=rohingyayeh}', "");
Expect(0, 2220, '\p{^Joining_Group=rohingyayeh}', "");
Expect(0, 2220, '\P{Joining_Group=rohingyayeh}', "");
Expect(1, 2220, '\P{^Joining_Group=rohingyayeh}', "");
Expect(0, 2221, '\p{Joining_Group=rohingyayeh}', "");
Expect(1, 2221, '\p{^Joining_Group=rohingyayeh}', "");
Expect(1, 2221, '\P{Joining_Group=rohingyayeh}', "");
Expect(0, 2221, '\P{^Joining_Group=rohingyayeh}', "");
Expect(1, 2220, '\p{Joining_Group= Rohingya_Yeh}', "");
Expect(0, 2220, '\p{^Joining_Group= Rohingya_Yeh}', "");
Expect(0, 2220, '\P{Joining_Group= Rohingya_Yeh}', "");
Expect(1, 2220, '\P{^Joining_Group= Rohingya_Yeh}', "");
Expect(0, 2221, '\p{Joining_Group= Rohingya_Yeh}', "");
Expect(1, 2221, '\p{^Joining_Group= Rohingya_Yeh}', "");
Expect(1, 2221, '\P{Joining_Group= Rohingya_Yeh}', "");
Expect(0, 2221, '\P{^Joining_Group= Rohingya_Yeh}', "");
Error('\p{Jg:   :=_Rohingya_Yeh}');
Error('\P{Jg:   :=_Rohingya_Yeh}');
Expect(1, 2220, '\p{Jg=rohingyayeh}', "");
Expect(0, 2220, '\p{^Jg=rohingyayeh}', "");
Expect(0, 2220, '\P{Jg=rohingyayeh}', "");
Expect(1, 2220, '\P{^Jg=rohingyayeh}', "");
Expect(0, 2221, '\p{Jg=rohingyayeh}', "");
Expect(1, 2221, '\p{^Jg=rohingyayeh}', "");
Expect(1, 2221, '\P{Jg=rohingyayeh}', "");
Expect(0, 2221, '\P{^Jg=rohingyayeh}', "");
Expect(1, 2220, '\p{Jg=_	Rohingya_YEH}', "");
Expect(0, 2220, '\p{^Jg=_	Rohingya_YEH}', "");
Expect(0, 2220, '\P{Jg=_	Rohingya_YEH}', "");
Expect(1, 2220, '\P{^Jg=_	Rohingya_YEH}', "");
Expect(0, 2221, '\p{Jg=_	Rohingya_YEH}', "");
Expect(1, 2221, '\p{^Jg=_	Rohingya_YEH}', "");
Expect(1, 2221, '\P{Jg=_	Rohingya_YEH}', "");
Expect(0, 2221, '\P{^Jg=_	Rohingya_YEH}', "");
Error('\p{Is_Joining_Group=-	ROHINGYA_YEH:=}');
Error('\P{Is_Joining_Group=-	ROHINGYA_YEH:=}');
Expect(1, 2220, '\p{Is_Joining_Group: rohingyayeh}', "");
Expect(0, 2220, '\p{^Is_Joining_Group: rohingyayeh}', "");
Expect(0, 2220, '\P{Is_Joining_Group: rohingyayeh}', "");
Expect(1, 2220, '\P{^Is_Joining_Group: rohingyayeh}', "");
Expect(0, 2221, '\p{Is_Joining_Group: rohingyayeh}', "");
Expect(1, 2221, '\p{^Is_Joining_Group: rohingyayeh}', "");
Expect(1, 2221, '\P{Is_Joining_Group: rohingyayeh}', "");
Expect(0, 2221, '\P{^Is_Joining_Group: rohingyayeh}', "");
Expect(1, 2220, '\p{Is_Joining_Group=_	Rohingya_Yeh}', "");
Expect(0, 2220, '\p{^Is_Joining_Group=_	Rohingya_Yeh}', "");
Expect(0, 2220, '\P{Is_Joining_Group=_	Rohingya_Yeh}', "");
Expect(1, 2220, '\P{^Is_Joining_Group=_	Rohingya_Yeh}', "");
Expect(0, 2221, '\p{Is_Joining_Group=_	Rohingya_Yeh}', "");
Expect(1, 2221, '\p{^Is_Joining_Group=_	Rohingya_Yeh}', "");
Expect(1, 2221, '\P{Is_Joining_Group=_	Rohingya_Yeh}', "");
Expect(0, 2221, '\P{^Is_Joining_Group=_	Rohingya_Yeh}', "");
Error('\p{Is_Jg=	/a/rohingya_Yeh}');
Error('\P{Is_Jg=	/a/rohingya_Yeh}');
Expect(1, 2220, '\p{Is_Jg=rohingyayeh}', "");
Expect(0, 2220, '\p{^Is_Jg=rohingyayeh}', "");
Expect(0, 2220, '\P{Is_Jg=rohingyayeh}', "");
Expect(1, 2220, '\P{^Is_Jg=rohingyayeh}', "");
Expect(0, 2221, '\p{Is_Jg=rohingyayeh}', "");
Expect(1, 2221, '\p{^Is_Jg=rohingyayeh}', "");
Expect(1, 2221, '\P{Is_Jg=rohingyayeh}', "");
Expect(0, 2221, '\P{^Is_Jg=rohingyayeh}', "");
Expect(1, 2220, '\p{Is_Jg=	ROHINGYA_Yeh}', "");
Expect(0, 2220, '\p{^Is_Jg=	ROHINGYA_Yeh}', "");
Expect(0, 2220, '\P{Is_Jg=	ROHINGYA_Yeh}', "");
Expect(1, 2220, '\P{^Is_Jg=	ROHINGYA_Yeh}', "");
Expect(0, 2221, '\p{Is_Jg=	ROHINGYA_Yeh}', "");
Expect(1, 2221, '\p{^Is_Jg=	ROHINGYA_Yeh}', "");
Expect(1, 2221, '\P{Is_Jg=	ROHINGYA_Yeh}', "");
Expect(0, 2221, '\P{^Is_Jg=	ROHINGYA_Yeh}', "");
Error('\p{Joining_Group=	:=Sad}');
Error('\P{Joining_Group=	:=Sad}');
Expect(1, 2223, '\p{Joining_Group=sad}', "");
Expect(0, 2223, '\p{^Joining_Group=sad}', "");
Expect(0, 2223, '\P{Joining_Group=sad}', "");
Expect(1, 2223, '\P{^Joining_Group=sad}', "");
Expect(0, 2224, '\p{Joining_Group=sad}', "");
Expect(1, 2224, '\p{^Joining_Group=sad}', "");
Expect(1, 2224, '\P{Joining_Group=sad}', "");
Expect(0, 2224, '\P{^Joining_Group=sad}', "");
Expect(1, 2223, '\p{Joining_Group:   _ Sad}', "");
Expect(0, 2223, '\p{^Joining_Group:   _ Sad}', "");
Expect(0, 2223, '\P{Joining_Group:   _ Sad}', "");
Expect(1, 2223, '\P{^Joining_Group:   _ Sad}', "");
Expect(0, 2224, '\p{Joining_Group:   _ Sad}', "");
Expect(1, 2224, '\p{^Joining_Group:   _ Sad}', "");
Expect(1, 2224, '\P{Joining_Group:   _ Sad}', "");
Expect(0, 2224, '\P{^Joining_Group:   _ Sad}', "");
Error('\p{Jg=_Sad/a/}');
Error('\P{Jg=_Sad/a/}');
Expect(1, 2223, '\p{Jg=sad}', "");
Expect(0, 2223, '\p{^Jg=sad}', "");
Expect(0, 2223, '\P{Jg=sad}', "");
Expect(1, 2223, '\P{^Jg=sad}', "");
Expect(0, 2224, '\p{Jg=sad}', "");
Expect(1, 2224, '\p{^Jg=sad}', "");
Expect(1, 2224, '\P{Jg=sad}', "");
Expect(0, 2224, '\P{^Jg=sad}', "");
Expect(1, 2223, '\p{Jg=	-SAD}', "");
Expect(0, 2223, '\p{^Jg=	-SAD}', "");
Expect(0, 2223, '\P{Jg=	-SAD}', "");
Expect(1, 2223, '\P{^Jg=	-SAD}', "");
Expect(0, 2224, '\p{Jg=	-SAD}', "");
Expect(1, 2224, '\p{^Jg=	-SAD}', "");
Expect(1, 2224, '\P{Jg=	-SAD}', "");
Expect(0, 2224, '\P{^Jg=	-SAD}', "");
Error('\p{Is_Joining_Group=-:=SAD}');
Error('\P{Is_Joining_Group=-:=SAD}');
Expect(1, 2223, '\p{Is_Joining_Group=sad}', "");
Expect(0, 2223, '\p{^Is_Joining_Group=sad}', "");
Expect(0, 2223, '\P{Is_Joining_Group=sad}', "");
Expect(1, 2223, '\P{^Is_Joining_Group=sad}', "");
Expect(0, 2224, '\p{Is_Joining_Group=sad}', "");
Expect(1, 2224, '\p{^Is_Joining_Group=sad}', "");
Expect(1, 2224, '\P{Is_Joining_Group=sad}', "");
Expect(0, 2224, '\P{^Is_Joining_Group=sad}', "");
Expect(1, 2223, '\p{Is_Joining_Group=	 Sad}', "");
Expect(0, 2223, '\p{^Is_Joining_Group=	 Sad}', "");
Expect(0, 2223, '\P{Is_Joining_Group=	 Sad}', "");
Expect(1, 2223, '\P{^Is_Joining_Group=	 Sad}', "");
Expect(0, 2224, '\p{Is_Joining_Group=	 Sad}', "");
Expect(1, 2224, '\p{^Is_Joining_Group=	 Sad}', "");
Expect(1, 2224, '\P{Is_Joining_Group=	 Sad}', "");
Expect(0, 2224, '\P{^Is_Joining_Group=	 Sad}', "");
Error('\p{Is_Jg=:=-	SAD}');
Error('\P{Is_Jg=:=-	SAD}');
Expect(1, 2223, '\p{Is_Jg=sad}', "");
Expect(0, 2223, '\p{^Is_Jg=sad}', "");
Expect(0, 2223, '\P{Is_Jg=sad}', "");
Expect(1, 2223, '\P{^Is_Jg=sad}', "");
Expect(0, 2224, '\p{Is_Jg=sad}', "");
Expect(1, 2224, '\p{^Is_Jg=sad}', "");
Expect(1, 2224, '\P{Is_Jg=sad}', "");
Expect(0, 2224, '\P{^Is_Jg=sad}', "");
Expect(1, 2223, '\p{Is_Jg=	Sad}', "");
Expect(0, 2223, '\p{^Is_Jg=	Sad}', "");
Expect(0, 2223, '\P{Is_Jg=	Sad}', "");
Expect(1, 2223, '\P{^Is_Jg=	Sad}', "");
Expect(0, 2224, '\p{Is_Jg=	Sad}', "");
Expect(1, 2224, '\p{^Is_Jg=	Sad}', "");
Expect(1, 2224, '\P{Is_Jg=	Sad}', "");
Expect(0, 2224, '\P{^Is_Jg=	Sad}', "");
Error('\p{Joining_Group=	_Sadhe/a/}');
Error('\P{Joining_Group=	_Sadhe/a/}');
Expect(1, 1832, '\p{Joining_Group=sadhe}', "");
Expect(0, 1832, '\p{^Joining_Group=sadhe}', "");
Expect(0, 1832, '\P{Joining_Group=sadhe}', "");
Expect(1, 1832, '\P{^Joining_Group=sadhe}', "");
Expect(0, 1833, '\p{Joining_Group=sadhe}', "");
Expect(1, 1833, '\p{^Joining_Group=sadhe}', "");
Expect(1, 1833, '\P{Joining_Group=sadhe}', "");
Expect(0, 1833, '\P{^Joining_Group=sadhe}', "");
Expect(1, 1832, '\p{Joining_Group=	-Sadhe}', "");
Expect(0, 1832, '\p{^Joining_Group=	-Sadhe}', "");
Expect(0, 1832, '\P{Joining_Group=	-Sadhe}', "");
Expect(1, 1832, '\P{^Joining_Group=	-Sadhe}', "");
Expect(0, 1833, '\p{Joining_Group=	-Sadhe}', "");
Expect(1, 1833, '\p{^Joining_Group=	-Sadhe}', "");
Expect(1, 1833, '\P{Joining_Group=	-Sadhe}', "");
Expect(0, 1833, '\P{^Joining_Group=	-Sadhe}', "");
Error('\p{Jg:   /a/Sadhe}');
Error('\P{Jg:   /a/Sadhe}');
Expect(1, 1832, '\p{Jg=sadhe}', "");
Expect(0, 1832, '\p{^Jg=sadhe}', "");
Expect(0, 1832, '\P{Jg=sadhe}', "");
Expect(1, 1832, '\P{^Jg=sadhe}', "");
Expect(0, 1833, '\p{Jg=sadhe}', "");
Expect(1, 1833, '\p{^Jg=sadhe}', "");
Expect(1, 1833, '\P{Jg=sadhe}', "");
Expect(0, 1833, '\P{^Jg=sadhe}', "");
Expect(1, 1832, '\p{Jg=		SADHE}', "");
Expect(0, 1832, '\p{^Jg=		SADHE}', "");
Expect(0, 1832, '\P{Jg=		SADHE}', "");
Expect(1, 1832, '\P{^Jg=		SADHE}', "");
Expect(0, 1833, '\p{Jg=		SADHE}', "");
Expect(1, 1833, '\p{^Jg=		SADHE}', "");
Expect(1, 1833, '\P{Jg=		SADHE}', "");
Expect(0, 1833, '\P{^Jg=		SADHE}', "");
Error('\p{Is_Joining_Group=/a/Sadhe}');
Error('\P{Is_Joining_Group=/a/Sadhe}');
Expect(1, 1832, '\p{Is_Joining_Group=sadhe}', "");
Expect(0, 1832, '\p{^Is_Joining_Group=sadhe}', "");
Expect(0, 1832, '\P{Is_Joining_Group=sadhe}', "");
Expect(1, 1832, '\P{^Is_Joining_Group=sadhe}', "");
Expect(0, 1833, '\p{Is_Joining_Group=sadhe}', "");
Expect(1, 1833, '\p{^Is_Joining_Group=sadhe}', "");
Expect(1, 1833, '\P{Is_Joining_Group=sadhe}', "");
Expect(0, 1833, '\P{^Is_Joining_Group=sadhe}', "");
Expect(1, 1832, '\p{Is_Joining_Group:   __Sadhe}', "");
Expect(0, 1832, '\p{^Is_Joining_Group:   __Sadhe}', "");
Expect(0, 1832, '\P{Is_Joining_Group:   __Sadhe}', "");
Expect(1, 1832, '\P{^Is_Joining_Group:   __Sadhe}', "");
Expect(0, 1833, '\p{Is_Joining_Group:   __Sadhe}', "");
Expect(1, 1833, '\p{^Is_Joining_Group:   __Sadhe}', "");
Expect(1, 1833, '\P{Is_Joining_Group:   __Sadhe}', "");
Expect(0, 1833, '\P{^Is_Joining_Group:   __Sadhe}', "");
Error('\p{Is_Jg=-Sadhe/a/}');
Error('\P{Is_Jg=-Sadhe/a/}');
Expect(1, 1832, '\p{Is_Jg=sadhe}', "");
Expect(0, 1832, '\p{^Is_Jg=sadhe}', "");
Expect(0, 1832, '\P{Is_Jg=sadhe}', "");
Expect(1, 1832, '\P{^Is_Jg=sadhe}', "");
Expect(0, 1833, '\p{Is_Jg=sadhe}', "");
Expect(1, 1833, '\p{^Is_Jg=sadhe}', "");
Expect(1, 1833, '\P{Is_Jg=sadhe}', "");
Expect(0, 1833, '\P{^Is_Jg=sadhe}', "");
Expect(1, 1832, '\p{Is_Jg=Sadhe}', "");
Expect(0, 1832, '\p{^Is_Jg=Sadhe}', "");
Expect(0, 1832, '\P{Is_Jg=Sadhe}', "");
Expect(1, 1832, '\P{^Is_Jg=Sadhe}', "");
Expect(0, 1833, '\p{Is_Jg=Sadhe}', "");
Expect(1, 1833, '\p{^Is_Jg=Sadhe}', "");
Expect(1, 1833, '\P{Is_Jg=Sadhe}', "");
Expect(0, 1833, '\P{^Is_Jg=Sadhe}', "");
Error('\p{Joining_Group=:=Seen}');
Error('\P{Joining_Group=:=Seen}');
Expect(1, 1918, '\p{Joining_Group=seen}', "");
Expect(0, 1918, '\p{^Joining_Group=seen}', "");
Expect(0, 1918, '\P{Joining_Group=seen}', "");
Expect(1, 1918, '\P{^Joining_Group=seen}', "");
Expect(0, 1919, '\p{Joining_Group=seen}', "");
Expect(1, 1919, '\p{^Joining_Group=seen}', "");
Expect(1, 1919, '\P{Joining_Group=seen}', "");
Expect(0, 1919, '\P{^Joining_Group=seen}', "");
Expect(1, 1918, '\p{Joining_Group=_-Seen}', "");
Expect(0, 1918, '\p{^Joining_Group=_-Seen}', "");
Expect(0, 1918, '\P{Joining_Group=_-Seen}', "");
Expect(1, 1918, '\P{^Joining_Group=_-Seen}', "");
Expect(0, 1919, '\p{Joining_Group=_-Seen}', "");
Expect(1, 1919, '\p{^Joining_Group=_-Seen}', "");
Expect(1, 1919, '\P{Joining_Group=_-Seen}', "");
Expect(0, 1919, '\P{^Joining_Group=_-Seen}', "");
Error('\p{Jg:   _-Seen:=}');
Error('\P{Jg:   _-Seen:=}');
Expect(1, 1918, '\p{Jg=seen}', "");
Expect(0, 1918, '\p{^Jg=seen}', "");
Expect(0, 1918, '\P{Jg=seen}', "");
Expect(1, 1918, '\P{^Jg=seen}', "");
Expect(0, 1919, '\p{Jg=seen}', "");
Expect(1, 1919, '\p{^Jg=seen}', "");
Expect(1, 1919, '\P{Jg=seen}', "");
Expect(0, 1919, '\P{^Jg=seen}', "");
Expect(1, 1918, '\p{Jg= -Seen}', "");
Expect(0, 1918, '\p{^Jg= -Seen}', "");
Expect(0, 1918, '\P{Jg= -Seen}', "");
Expect(1, 1918, '\P{^Jg= -Seen}', "");
Expect(0, 1919, '\p{Jg= -Seen}', "");
Expect(1, 1919, '\p{^Jg= -Seen}', "");
Expect(1, 1919, '\P{Jg= -Seen}', "");
Expect(0, 1919, '\P{^Jg= -Seen}', "");
Error('\p{Is_Joining_Group=:=seen}');
Error('\P{Is_Joining_Group=:=seen}');
Expect(1, 1918, '\p{Is_Joining_Group=seen}', "");
Expect(0, 1918, '\p{^Is_Joining_Group=seen}', "");
Expect(0, 1918, '\P{Is_Joining_Group=seen}', "");
Expect(1, 1918, '\P{^Is_Joining_Group=seen}', "");
Expect(0, 1919, '\p{Is_Joining_Group=seen}', "");
Expect(1, 1919, '\p{^Is_Joining_Group=seen}', "");
Expect(1, 1919, '\P{Is_Joining_Group=seen}', "");
Expect(0, 1919, '\P{^Is_Joining_Group=seen}', "");
Expect(1, 1918, '\p{Is_Joining_Group=-Seen}', "");
Expect(0, 1918, '\p{^Is_Joining_Group=-Seen}', "");
Expect(0, 1918, '\P{Is_Joining_Group=-Seen}', "");
Expect(1, 1918, '\P{^Is_Joining_Group=-Seen}', "");
Expect(0, 1919, '\p{Is_Joining_Group=-Seen}', "");
Expect(1, 1919, '\p{^Is_Joining_Group=-Seen}', "");
Expect(1, 1919, '\P{Is_Joining_Group=-Seen}', "");
Expect(0, 1919, '\P{^Is_Joining_Group=-Seen}', "");
Error('\p{Is_Jg=/a/	 seen}');
Error('\P{Is_Jg=/a/	 seen}');
Expect(1, 1918, '\p{Is_Jg=seen}', "");
Expect(0, 1918, '\p{^Is_Jg=seen}', "");
Expect(0, 1918, '\P{Is_Jg=seen}', "");
Expect(1, 1918, '\P{^Is_Jg=seen}', "");
Expect(0, 1919, '\p{Is_Jg=seen}', "");
Expect(1, 1919, '\p{^Is_Jg=seen}', "");
Expect(1, 1919, '\P{Is_Jg=seen}', "");
Expect(0, 1919, '\P{^Is_Jg=seen}', "");
Expect(1, 1918, '\p{Is_Jg=- Seen}', "");
Expect(0, 1918, '\p{^Is_Jg=- Seen}', "");
Expect(0, 1918, '\P{Is_Jg=- Seen}', "");
Expect(1, 1918, '\P{^Is_Jg=- Seen}', "");
Expect(0, 1919, '\p{Is_Jg=- Seen}', "");
Expect(1, 1919, '\p{^Is_Jg=- Seen}', "");
Expect(1, 1919, '\P{Is_Jg=- Seen}', "");
Expect(0, 1919, '\P{^Is_Jg=- Seen}', "");
Error('\p{Joining_Group=:=	_Semkath}');
Error('\P{Joining_Group=:=	_Semkath}');
Expect(1, 1827, '\p{Joining_Group=semkath}', "");
Expect(0, 1827, '\p{^Joining_Group=semkath}', "");
Expect(0, 1827, '\P{Joining_Group=semkath}', "");
Expect(1, 1827, '\P{^Joining_Group=semkath}', "");
Expect(0, 1828, '\p{Joining_Group=semkath}', "");
Expect(1, 1828, '\p{^Joining_Group=semkath}', "");
Expect(1, 1828, '\P{Joining_Group=semkath}', "");
Expect(0, 1828, '\P{^Joining_Group=semkath}', "");
Expect(1, 1827, '\p{Joining_Group=Semkath}', "");
Expect(0, 1827, '\p{^Joining_Group=Semkath}', "");
Expect(0, 1827, '\P{Joining_Group=Semkath}', "");
Expect(1, 1827, '\P{^Joining_Group=Semkath}', "");
Expect(0, 1828, '\p{Joining_Group=Semkath}', "");
Expect(1, 1828, '\p{^Joining_Group=Semkath}', "");
Expect(1, 1828, '\P{Joining_Group=Semkath}', "");
Expect(0, 1828, '\P{^Joining_Group=Semkath}', "");
Error('\p{Jg=	_Semkath/a/}');
Error('\P{Jg=	_Semkath/a/}');
Expect(1, 1827, '\p{Jg=semkath}', "");
Expect(0, 1827, '\p{^Jg=semkath}', "");
Expect(0, 1827, '\P{Jg=semkath}', "");
Expect(1, 1827, '\P{^Jg=semkath}', "");
Expect(0, 1828, '\p{Jg=semkath}', "");
Expect(1, 1828, '\p{^Jg=semkath}', "");
Expect(1, 1828, '\P{Jg=semkath}', "");
Expect(0, 1828, '\P{^Jg=semkath}', "");
Expect(1, 1827, '\p{Jg=_ SEMKATH}', "");
Expect(0, 1827, '\p{^Jg=_ SEMKATH}', "");
Expect(0, 1827, '\P{Jg=_ SEMKATH}', "");
Expect(1, 1827, '\P{^Jg=_ SEMKATH}', "");
Expect(0, 1828, '\p{Jg=_ SEMKATH}', "");
Expect(1, 1828, '\p{^Jg=_ SEMKATH}', "");
Expect(1, 1828, '\P{Jg=_ SEMKATH}', "");
Expect(0, 1828, '\P{^Jg=_ SEMKATH}', "");
Error('\p{Is_Joining_Group= -SEMKATH/a/}');
Error('\P{Is_Joining_Group= -SEMKATH/a/}');
Expect(1, 1827, '\p{Is_Joining_Group=semkath}', "");
Expect(0, 1827, '\p{^Is_Joining_Group=semkath}', "");
Expect(0, 1827, '\P{Is_Joining_Group=semkath}', "");
Expect(1, 1827, '\P{^Is_Joining_Group=semkath}', "");
Expect(0, 1828, '\p{Is_Joining_Group=semkath}', "");
Expect(1, 1828, '\p{^Is_Joining_Group=semkath}', "");
Expect(1, 1828, '\P{Is_Joining_Group=semkath}', "");
Expect(0, 1828, '\P{^Is_Joining_Group=semkath}', "");
Expect(1, 1827, '\p{Is_Joining_Group=-SEMKATH}', "");
Expect(0, 1827, '\p{^Is_Joining_Group=-SEMKATH}', "");
Expect(0, 1827, '\P{Is_Joining_Group=-SEMKATH}', "");
Expect(1, 1827, '\P{^Is_Joining_Group=-SEMKATH}', "");
Expect(0, 1828, '\p{Is_Joining_Group=-SEMKATH}', "");
Expect(1, 1828, '\p{^Is_Joining_Group=-SEMKATH}', "");
Expect(1, 1828, '\P{Is_Joining_Group=-SEMKATH}', "");
Expect(0, 1828, '\P{^Is_Joining_Group=-SEMKATH}', "");
Error('\p{Is_Jg:  _semkath/a/}');
Error('\P{Is_Jg:  _semkath/a/}');
Expect(1, 1827, '\p{Is_Jg=semkath}', "");
Expect(0, 1827, '\p{^Is_Jg=semkath}', "");
Expect(0, 1827, '\P{Is_Jg=semkath}', "");
Expect(1, 1827, '\P{^Is_Jg=semkath}', "");
Expect(0, 1828, '\p{Is_Jg=semkath}', "");
Expect(1, 1828, '\p{^Is_Jg=semkath}', "");
Expect(1, 1828, '\P{Is_Jg=semkath}', "");
Expect(0, 1828, '\P{^Is_Jg=semkath}', "");
Expect(1, 1827, '\p{Is_Jg=	semkath}', "");
Expect(0, 1827, '\p{^Is_Jg=	semkath}', "");
Expect(0, 1827, '\P{Is_Jg=	semkath}', "");
Expect(1, 1827, '\P{^Is_Jg=	semkath}', "");
Expect(0, 1828, '\p{Is_Jg=	semkath}', "");
Expect(1, 1828, '\p{^Is_Jg=	semkath}', "");
Expect(1, 1828, '\P{Is_Jg=	semkath}', "");
Expect(0, 1828, '\P{^Is_Jg=	semkath}', "");
Error('\p{Joining_Group=-shin/a/}');
Error('\P{Joining_Group=-shin/a/}');
Expect(1, 1835, '\p{Joining_Group=shin}', "");
Expect(0, 1835, '\p{^Joining_Group=shin}', "");
Expect(0, 1835, '\P{Joining_Group=shin}', "");
Expect(1, 1835, '\P{^Joining_Group=shin}', "");
Expect(0, 1836, '\p{Joining_Group=shin}', "");
Expect(1, 1836, '\p{^Joining_Group=shin}', "");
Expect(1, 1836, '\P{Joining_Group=shin}', "");
Expect(0, 1836, '\P{^Joining_Group=shin}', "");
Expect(1, 1835, '\p{Joining_Group=_Shin}', "");
Expect(0, 1835, '\p{^Joining_Group=_Shin}', "");
Expect(0, 1835, '\P{Joining_Group=_Shin}', "");
Expect(1, 1835, '\P{^Joining_Group=_Shin}', "");
Expect(0, 1836, '\p{Joining_Group=_Shin}', "");
Expect(1, 1836, '\p{^Joining_Group=_Shin}', "");
Expect(1, 1836, '\P{Joining_Group=_Shin}', "");
Expect(0, 1836, '\P{^Joining_Group=_Shin}', "");
Error('\p{Jg=-Shin/a/}');
Error('\P{Jg=-Shin/a/}');
Expect(1, 1835, '\p{Jg=shin}', "");
Expect(0, 1835, '\p{^Jg=shin}', "");
Expect(0, 1835, '\P{Jg=shin}', "");
Expect(1, 1835, '\P{^Jg=shin}', "");
Expect(0, 1836, '\p{Jg=shin}', "");
Expect(1, 1836, '\p{^Jg=shin}', "");
Expect(1, 1836, '\P{Jg=shin}', "");
Expect(0, 1836, '\P{^Jg=shin}', "");
Expect(1, 1835, '\p{Jg=-	SHIN}', "");
Expect(0, 1835, '\p{^Jg=-	SHIN}', "");
Expect(0, 1835, '\P{Jg=-	SHIN}', "");
Expect(1, 1835, '\P{^Jg=-	SHIN}', "");
Expect(0, 1836, '\p{Jg=-	SHIN}', "");
Expect(1, 1836, '\p{^Jg=-	SHIN}', "");
Expect(1, 1836, '\P{Jg=-	SHIN}', "");
Expect(0, 1836, '\P{^Jg=-	SHIN}', "");
Error('\p{Is_Joining_Group=	SHIN:=}');
Error('\P{Is_Joining_Group=	SHIN:=}');
Expect(1, 1835, '\p{Is_Joining_Group=shin}', "");
Expect(0, 1835, '\p{^Is_Joining_Group=shin}', "");
Expect(0, 1835, '\P{Is_Joining_Group=shin}', "");
Expect(1, 1835, '\P{^Is_Joining_Group=shin}', "");
Expect(0, 1836, '\p{Is_Joining_Group=shin}', "");
Expect(1, 1836, '\p{^Is_Joining_Group=shin}', "");
Expect(1, 1836, '\P{Is_Joining_Group=shin}', "");
Expect(0, 1836, '\P{^Is_Joining_Group=shin}', "");
Expect(1, 1835, '\p{Is_Joining_Group=		Shin}', "");
Expect(0, 1835, '\p{^Is_Joining_Group=		Shin}', "");
Expect(0, 1835, '\P{Is_Joining_Group=		Shin}', "");
Expect(1, 1835, '\P{^Is_Joining_Group=		Shin}', "");
Expect(0, 1836, '\p{Is_Joining_Group=		Shin}', "");
Expect(1, 1836, '\p{^Is_Joining_Group=		Shin}', "");
Expect(1, 1836, '\P{Is_Joining_Group=		Shin}', "");
Expect(0, 1836, '\P{^Is_Joining_Group=		Shin}', "");
Error('\p{Is_Jg=:=shin}');
Error('\P{Is_Jg=:=shin}');
Expect(1, 1835, '\p{Is_Jg=shin}', "");
Expect(0, 1835, '\p{^Is_Jg=shin}', "");
Expect(0, 1835, '\P{Is_Jg=shin}', "");
Expect(1, 1835, '\P{^Is_Jg=shin}', "");
Expect(0, 1836, '\p{Is_Jg=shin}', "");
Expect(1, 1836, '\p{^Is_Jg=shin}', "");
Expect(1, 1836, '\P{Is_Jg=shin}', "");
Expect(0, 1836, '\P{^Is_Jg=shin}', "");
Expect(1, 1835, '\p{Is_Jg=--SHIN}', "");
Expect(0, 1835, '\p{^Is_Jg=--SHIN}', "");
Expect(0, 1835, '\P{Is_Jg=--SHIN}', "");
Expect(1, 1835, '\P{^Is_Jg=--SHIN}', "");
Expect(0, 1836, '\p{Is_Jg=--SHIN}', "");
Expect(1, 1836, '\p{^Is_Jg=--SHIN}', "");
Expect(1, 1836, '\P{Is_Jg=--SHIN}', "");
Expect(0, 1836, '\P{^Is_Jg=--SHIN}', "");
Error('\p{Joining_Group=-_straight_WAW/a/}');
Error('\P{Joining_Group=-_straight_WAW/a/}');
Expect(1, 2225, '\p{Joining_Group=straightwaw}', "");
Expect(0, 2225, '\p{^Joining_Group=straightwaw}', "");
Expect(0, 2225, '\P{Joining_Group=straightwaw}', "");
Expect(1, 2225, '\P{^Joining_Group=straightwaw}', "");
Expect(0, 2226, '\p{Joining_Group=straightwaw}', "");
Expect(1, 2226, '\p{^Joining_Group=straightwaw}', "");
Expect(1, 2226, '\P{Joining_Group=straightwaw}', "");
Expect(0, 2226, '\P{^Joining_Group=straightwaw}', "");
Expect(1, 2225, '\p{Joining_Group= Straight_WAW}', "");
Expect(0, 2225, '\p{^Joining_Group= Straight_WAW}', "");
Expect(0, 2225, '\P{Joining_Group= Straight_WAW}', "");
Expect(1, 2225, '\P{^Joining_Group= Straight_WAW}', "");
Expect(0, 2226, '\p{Joining_Group= Straight_WAW}', "");
Expect(1, 2226, '\p{^Joining_Group= Straight_WAW}', "");
Expect(1, 2226, '\P{Joining_Group= Straight_WAW}', "");
Expect(0, 2226, '\P{^Joining_Group= Straight_WAW}', "");
Error('\p{Jg: :=_ Straight_Waw}');
Error('\P{Jg: :=_ Straight_Waw}');
Expect(1, 2225, '\p{Jg:	straightwaw}', "");
Expect(0, 2225, '\p{^Jg:	straightwaw}', "");
Expect(0, 2225, '\P{Jg:	straightwaw}', "");
Expect(1, 2225, '\P{^Jg:	straightwaw}', "");
Expect(0, 2226, '\p{Jg:	straightwaw}', "");
Expect(1, 2226, '\p{^Jg:	straightwaw}', "");
Expect(1, 2226, '\P{Jg:	straightwaw}', "");
Expect(0, 2226, '\P{^Jg:	straightwaw}', "");
Expect(1, 2225, '\p{Jg=- straight_WAW}', "");
Expect(0, 2225, '\p{^Jg=- straight_WAW}', "");
Expect(0, 2225, '\P{Jg=- straight_WAW}', "");
Expect(1, 2225, '\P{^Jg=- straight_WAW}', "");
Expect(0, 2226, '\p{Jg=- straight_WAW}', "");
Expect(1, 2226, '\p{^Jg=- straight_WAW}', "");
Expect(1, 2226, '\P{Jg=- straight_WAW}', "");
Expect(0, 2226, '\P{^Jg=- straight_WAW}', "");
Error('\p{Is_Joining_Group= /a/Straight_Waw}');
Error('\P{Is_Joining_Group= /a/Straight_Waw}');
Expect(1, 2225, '\p{Is_Joining_Group=straightwaw}', "");
Expect(0, 2225, '\p{^Is_Joining_Group=straightwaw}', "");
Expect(0, 2225, '\P{Is_Joining_Group=straightwaw}', "");
Expect(1, 2225, '\P{^Is_Joining_Group=straightwaw}', "");
Expect(0, 2226, '\p{Is_Joining_Group=straightwaw}', "");
Expect(1, 2226, '\p{^Is_Joining_Group=straightwaw}', "");
Expect(1, 2226, '\P{Is_Joining_Group=straightwaw}', "");
Expect(0, 2226, '\P{^Is_Joining_Group=straightwaw}', "");
Expect(1, 2225, '\p{Is_Joining_Group=--Straight_waw}', "");
Expect(0, 2225, '\p{^Is_Joining_Group=--Straight_waw}', "");
Expect(0, 2225, '\P{Is_Joining_Group=--Straight_waw}', "");
Expect(1, 2225, '\P{^Is_Joining_Group=--Straight_waw}', "");
Expect(0, 2226, '\p{Is_Joining_Group=--Straight_waw}', "");
Expect(1, 2226, '\p{^Is_Joining_Group=--Straight_waw}', "");
Expect(1, 2226, '\P{Is_Joining_Group=--Straight_waw}', "");
Expect(0, 2226, '\P{^Is_Joining_Group=--Straight_waw}', "");
Error('\p{Is_Jg=	-straight_Waw/a/}');
Error('\P{Is_Jg=	-straight_Waw/a/}');
Expect(1, 2225, '\p{Is_Jg:   straightwaw}', "");
Expect(0, 2225, '\p{^Is_Jg:   straightwaw}', "");
Expect(0, 2225, '\P{Is_Jg:   straightwaw}', "");
Expect(1, 2225, '\P{^Is_Jg:   straightwaw}', "");
Expect(0, 2226, '\p{Is_Jg:   straightwaw}', "");
Expect(1, 2226, '\p{^Is_Jg:   straightwaw}', "");
Expect(1, 2226, '\P{Is_Jg:   straightwaw}', "");
Expect(0, 2226, '\P{^Is_Jg:   straightwaw}', "");
Expect(1, 2225, '\p{Is_Jg=-_straight_waw}', "");
Expect(0, 2225, '\p{^Is_Jg=-_straight_waw}', "");
Expect(0, 2225, '\P{Is_Jg=-_straight_waw}', "");
Expect(1, 2225, '\P{^Is_Jg=-_straight_waw}', "");
Expect(0, 2226, '\p{Is_Jg=-_straight_waw}', "");
Expect(1, 2226, '\p{^Is_Jg=-_straight_waw}', "");
Expect(1, 2226, '\P{Is_Jg=-_straight_waw}', "");
Expect(0, 2226, '\P{^Is_Jg=-_straight_waw}', "");
Error('\p{Joining_Group=-:=Swash_KAF}');
Error('\P{Joining_Group=-:=Swash_KAF}');
Expect(1, 1706, '\p{Joining_Group=swashkaf}', "");
Expect(0, 1706, '\p{^Joining_Group=swashkaf}', "");
Expect(0, 1706, '\P{Joining_Group=swashkaf}', "");
Expect(1, 1706, '\P{^Joining_Group=swashkaf}', "");
Expect(0, 1707, '\p{Joining_Group=swashkaf}', "");
Expect(1, 1707, '\p{^Joining_Group=swashkaf}', "");
Expect(1, 1707, '\P{Joining_Group=swashkaf}', "");
Expect(0, 1707, '\P{^Joining_Group=swashkaf}', "");
Expect(1, 1706, '\p{Joining_Group=	 Swash_KAF}', "");
Expect(0, 1706, '\p{^Joining_Group=	 Swash_KAF}', "");
Expect(0, 1706, '\P{Joining_Group=	 Swash_KAF}', "");
Expect(1, 1706, '\P{^Joining_Group=	 Swash_KAF}', "");
Expect(0, 1707, '\p{Joining_Group=	 Swash_KAF}', "");
Expect(1, 1707, '\p{^Joining_Group=	 Swash_KAF}', "");
Expect(1, 1707, '\P{Joining_Group=	 Swash_KAF}', "");
Expect(0, 1707, '\P{^Joining_Group=	 Swash_KAF}', "");
Error('\p{Jg=_	Swash_kaf:=}');
Error('\P{Jg=_	Swash_kaf:=}');
Expect(1, 1706, '\p{Jg=swashkaf}', "");
Expect(0, 1706, '\p{^Jg=swashkaf}', "");
Expect(0, 1706, '\P{Jg=swashkaf}', "");
Expect(1, 1706, '\P{^Jg=swashkaf}', "");
Expect(0, 1707, '\p{Jg=swashkaf}', "");
Expect(1, 1707, '\p{^Jg=swashkaf}', "");
Expect(1, 1707, '\P{Jg=swashkaf}', "");
Expect(0, 1707, '\P{^Jg=swashkaf}', "");
Expect(1, 1706, '\p{Jg=_Swash_kaf}', "");
Expect(0, 1706, '\p{^Jg=_Swash_kaf}', "");
Expect(0, 1706, '\P{Jg=_Swash_kaf}', "");
Expect(1, 1706, '\P{^Jg=_Swash_kaf}', "");
Expect(0, 1707, '\p{Jg=_Swash_kaf}', "");
Expect(1, 1707, '\p{^Jg=_Swash_kaf}', "");
Expect(1, 1707, '\P{Jg=_Swash_kaf}', "");
Expect(0, 1707, '\P{^Jg=_Swash_kaf}', "");
Error('\p{Is_Joining_Group=/a/__SWASH_KAF}');
Error('\P{Is_Joining_Group=/a/__SWASH_KAF}');
Expect(1, 1706, '\p{Is_Joining_Group=swashkaf}', "");
Expect(0, 1706, '\p{^Is_Joining_Group=swashkaf}', "");
Expect(0, 1706, '\P{Is_Joining_Group=swashkaf}', "");
Expect(1, 1706, '\P{^Is_Joining_Group=swashkaf}', "");
Expect(0, 1707, '\p{Is_Joining_Group=swashkaf}', "");
Expect(1, 1707, '\p{^Is_Joining_Group=swashkaf}', "");
Expect(1, 1707, '\P{Is_Joining_Group=swashkaf}', "");
Expect(0, 1707, '\P{^Is_Joining_Group=swashkaf}', "");
Expect(1, 1706, '\p{Is_Joining_Group: 		SWASH_KAF}', "");
Expect(0, 1706, '\p{^Is_Joining_Group: 		SWASH_KAF}', "");
Expect(0, 1706, '\P{Is_Joining_Group: 		SWASH_KAF}', "");
Expect(1, 1706, '\P{^Is_Joining_Group: 		SWASH_KAF}', "");
Expect(0, 1707, '\p{Is_Joining_Group: 		SWASH_KAF}', "");
Expect(1, 1707, '\p{^Is_Joining_Group: 		SWASH_KAF}', "");
Expect(1, 1707, '\P{Is_Joining_Group: 		SWASH_KAF}', "");
Expect(0, 1707, '\P{^Is_Joining_Group: 		SWASH_KAF}', "");
Error('\p{Is_Jg=-/a/swash_Kaf}');
Error('\P{Is_Jg=-/a/swash_Kaf}');
Expect(1, 1706, '\p{Is_Jg=swashkaf}', "");
Expect(0, 1706, '\p{^Is_Jg=swashkaf}', "");
Expect(0, 1706, '\P{Is_Jg=swashkaf}', "");
Expect(1, 1706, '\P{^Is_Jg=swashkaf}', "");
Expect(0, 1707, '\p{Is_Jg=swashkaf}', "");
Expect(1, 1707, '\p{^Is_Jg=swashkaf}', "");
Expect(1, 1707, '\P{Is_Jg=swashkaf}', "");
Expect(0, 1707, '\P{^Is_Jg=swashkaf}', "");
Expect(1, 1706, '\p{Is_Jg= -SWASH_kaf}', "");
Expect(0, 1706, '\p{^Is_Jg= -SWASH_kaf}', "");
Expect(0, 1706, '\P{Is_Jg= -SWASH_kaf}', "");
Expect(1, 1706, '\P{^Is_Jg= -SWASH_kaf}', "");
Expect(0, 1707, '\p{Is_Jg= -SWASH_kaf}', "");
Expect(1, 1707, '\p{^Is_Jg= -SWASH_kaf}', "");
Expect(1, 1707, '\P{Is_Jg= -SWASH_kaf}', "");
Expect(0, 1707, '\P{^Is_Jg= -SWASH_kaf}', "");
Error('\p{Joining_Group=_SYRIAC_WAW/a/}');
Error('\P{Joining_Group=_SYRIAC_WAW/a/}');
Expect(1, 1816, '\p{Joining_Group=syriacwaw}', "");
Expect(0, 1816, '\p{^Joining_Group=syriacwaw}', "");
Expect(0, 1816, '\P{Joining_Group=syriacwaw}', "");
Expect(1, 1816, '\P{^Joining_Group=syriacwaw}', "");
Expect(0, 1817, '\p{Joining_Group=syriacwaw}', "");
Expect(1, 1817, '\p{^Joining_Group=syriacwaw}', "");
Expect(1, 1817, '\P{Joining_Group=syriacwaw}', "");
Expect(0, 1817, '\P{^Joining_Group=syriacwaw}', "");
Expect(1, 1816, '\p{Joining_Group= 	Syriac_waw}', "");
Expect(0, 1816, '\p{^Joining_Group= 	Syriac_waw}', "");
Expect(0, 1816, '\P{Joining_Group= 	Syriac_waw}', "");
Expect(1, 1816, '\P{^Joining_Group= 	Syriac_waw}', "");
Expect(0, 1817, '\p{Joining_Group= 	Syriac_waw}', "");
Expect(1, 1817, '\p{^Joining_Group= 	Syriac_waw}', "");
Expect(1, 1817, '\P{Joining_Group= 	Syriac_waw}', "");
Expect(0, 1817, '\P{^Joining_Group= 	Syriac_waw}', "");
Error('\p{Jg=/a/ _syriac_WAW}');
Error('\P{Jg=/a/ _syriac_WAW}');
Expect(1, 1816, '\p{Jg=syriacwaw}', "");
Expect(0, 1816, '\p{^Jg=syriacwaw}', "");
Expect(0, 1816, '\P{Jg=syriacwaw}', "");
Expect(1, 1816, '\P{^Jg=syriacwaw}', "");
Expect(0, 1817, '\p{Jg=syriacwaw}', "");
Expect(1, 1817, '\p{^Jg=syriacwaw}', "");
Expect(1, 1817, '\P{Jg=syriacwaw}', "");
Expect(0, 1817, '\P{^Jg=syriacwaw}', "");
Expect(1, 1816, '\p{Jg=	Syriac_Waw}', "");
Expect(0, 1816, '\p{^Jg=	Syriac_Waw}', "");
Expect(0, 1816, '\P{Jg=	Syriac_Waw}', "");
Expect(1, 1816, '\P{^Jg=	Syriac_Waw}', "");
Expect(0, 1817, '\p{Jg=	Syriac_Waw}', "");
Expect(1, 1817, '\p{^Jg=	Syriac_Waw}', "");
Expect(1, 1817, '\P{Jg=	Syriac_Waw}', "");
Expect(0, 1817, '\P{^Jg=	Syriac_Waw}', "");
Error('\p{Is_Joining_Group=		SYRIAC_Waw/a/}');
Error('\P{Is_Joining_Group=		SYRIAC_Waw/a/}');
Expect(1, 1816, '\p{Is_Joining_Group=syriacwaw}', "");
Expect(0, 1816, '\p{^Is_Joining_Group=syriacwaw}', "");
Expect(0, 1816, '\P{Is_Joining_Group=syriacwaw}', "");
Expect(1, 1816, '\P{^Is_Joining_Group=syriacwaw}', "");
Expect(0, 1817, '\p{Is_Joining_Group=syriacwaw}', "");
Expect(1, 1817, '\p{^Is_Joining_Group=syriacwaw}', "");
Expect(1, 1817, '\P{Is_Joining_Group=syriacwaw}', "");
Expect(0, 1817, '\P{^Is_Joining_Group=syriacwaw}', "");
Expect(1, 1816, '\p{Is_Joining_Group=  Syriac_Waw}', "");
Expect(0, 1816, '\p{^Is_Joining_Group=  Syriac_Waw}', "");
Expect(0, 1816, '\P{Is_Joining_Group=  Syriac_Waw}', "");
Expect(1, 1816, '\P{^Is_Joining_Group=  Syriac_Waw}', "");
Expect(0, 1817, '\p{Is_Joining_Group=  Syriac_Waw}', "");
Expect(1, 1817, '\p{^Is_Joining_Group=  Syriac_Waw}', "");
Expect(1, 1817, '\P{Is_Joining_Group=  Syriac_Waw}', "");
Expect(0, 1817, '\P{^Is_Joining_Group=  Syriac_Waw}', "");
Error('\p{Is_Jg=:=_syriac_waw}');
Error('\P{Is_Jg=:=_syriac_waw}');
Expect(1, 1816, '\p{Is_Jg: syriacwaw}', "");
Expect(0, 1816, '\p{^Is_Jg: syriacwaw}', "");
Expect(0, 1816, '\P{Is_Jg: syriacwaw}', "");
Expect(1, 1816, '\P{^Is_Jg: syriacwaw}', "");
Expect(0, 1817, '\p{Is_Jg: syriacwaw}', "");
Expect(1, 1817, '\p{^Is_Jg: syriacwaw}', "");
Expect(1, 1817, '\P{Is_Jg: syriacwaw}', "");
Expect(0, 1817, '\P{^Is_Jg: syriacwaw}', "");
Expect(1, 1816, '\p{Is_Jg=--SYRIAC_WAW}', "");
Expect(0, 1816, '\p{^Is_Jg=--SYRIAC_WAW}', "");
Expect(0, 1816, '\P{Is_Jg=--SYRIAC_WAW}', "");
Expect(1, 1816, '\P{^Is_Jg=--SYRIAC_WAW}', "");
Expect(0, 1817, '\p{Is_Jg=--SYRIAC_WAW}', "");
Expect(1, 1817, '\p{^Is_Jg=--SYRIAC_WAW}', "");
Expect(1, 1817, '\P{Is_Jg=--SYRIAC_WAW}', "");
Expect(0, 1817, '\P{^Is_Jg=--SYRIAC_WAW}', "");
Error('\p{Joining_Group=:= Tah}');
Error('\P{Joining_Group=:= Tah}');
Expect(1, 2211, '\p{Joining_Group=tah}', "");
Expect(0, 2211, '\p{^Joining_Group=tah}', "");
Expect(0, 2211, '\P{Joining_Group=tah}', "");
Expect(1, 2211, '\P{^Joining_Group=tah}', "");
Expect(0, 2212, '\p{Joining_Group=tah}', "");
Expect(1, 2212, '\p{^Joining_Group=tah}', "");
Expect(1, 2212, '\P{Joining_Group=tah}', "");
Expect(0, 2212, '\P{^Joining_Group=tah}', "");
Expect(1, 2211, '\p{Joining_Group=--Tah}', "");
Expect(0, 2211, '\p{^Joining_Group=--Tah}', "");
Expect(0, 2211, '\P{Joining_Group=--Tah}', "");
Expect(1, 2211, '\P{^Joining_Group=--Tah}', "");
Expect(0, 2212, '\p{Joining_Group=--Tah}', "");
Expect(1, 2212, '\p{^Joining_Group=--Tah}', "");
Expect(1, 2212, '\P{Joining_Group=--Tah}', "");
Expect(0, 2212, '\P{^Joining_Group=--Tah}', "");
Error('\p{Jg=:= -Tah}');
Error('\P{Jg=:= -Tah}');
Expect(1, 2211, '\p{Jg=tah}', "");
Expect(0, 2211, '\p{^Jg=tah}', "");
Expect(0, 2211, '\P{Jg=tah}', "");
Expect(1, 2211, '\P{^Jg=tah}', "");
Expect(0, 2212, '\p{Jg=tah}', "");
Expect(1, 2212, '\p{^Jg=tah}', "");
Expect(1, 2212, '\P{Jg=tah}', "");
Expect(0, 2212, '\P{^Jg=tah}', "");
Expect(1, 2211, '\p{Jg=	Tah}', "");
Expect(0, 2211, '\p{^Jg=	Tah}', "");
Expect(0, 2211, '\P{Jg=	Tah}', "");
Expect(1, 2211, '\P{^Jg=	Tah}', "");
Expect(0, 2212, '\p{Jg=	Tah}', "");
Expect(1, 2212, '\p{^Jg=	Tah}', "");
Expect(1, 2212, '\P{Jg=	Tah}', "");
Expect(0, 2212, '\P{^Jg=	Tah}', "");
Error('\p{Is_Joining_Group=/a/_TAH}');
Error('\P{Is_Joining_Group=/a/_TAH}');
Expect(1, 2211, '\p{Is_Joining_Group=tah}', "");
Expect(0, 2211, '\p{^Is_Joining_Group=tah}', "");
Expect(0, 2211, '\P{Is_Joining_Group=tah}', "");
Expect(1, 2211, '\P{^Is_Joining_Group=tah}', "");
Expect(0, 2212, '\p{Is_Joining_Group=tah}', "");
Expect(1, 2212, '\p{^Is_Joining_Group=tah}', "");
Expect(1, 2212, '\P{Is_Joining_Group=tah}', "");
Expect(0, 2212, '\P{^Is_Joining_Group=tah}', "");
Expect(1, 2211, '\p{Is_Joining_Group=_ TAH}', "");
Expect(0, 2211, '\p{^Is_Joining_Group=_ TAH}', "");
Expect(0, 2211, '\P{Is_Joining_Group=_ TAH}', "");
Expect(1, 2211, '\P{^Is_Joining_Group=_ TAH}', "");
Expect(0, 2212, '\p{Is_Joining_Group=_ TAH}', "");
Expect(1, 2212, '\p{^Is_Joining_Group=_ TAH}', "");
Expect(1, 2212, '\P{Is_Joining_Group=_ TAH}', "");
Expect(0, 2212, '\P{^Is_Joining_Group=_ TAH}', "");
Error('\p{Is_Jg=_tah/a/}');
Error('\P{Is_Jg=_tah/a/}');
Expect(1, 2211, '\p{Is_Jg=tah}', "");
Expect(0, 2211, '\p{^Is_Jg=tah}', "");
Expect(0, 2211, '\P{Is_Jg=tah}', "");
Expect(1, 2211, '\P{^Is_Jg=tah}', "");
Expect(0, 2212, '\p{Is_Jg=tah}', "");
Expect(1, 2212, '\p{^Is_Jg=tah}', "");
Expect(1, 2212, '\P{Is_Jg=tah}', "");
Expect(0, 2212, '\P{^Is_Jg=tah}', "");
Expect(1, 2211, '\p{Is_Jg=		Tah}', "");
Expect(0, 2211, '\p{^Is_Jg=		Tah}', "");
Expect(0, 2211, '\P{Is_Jg=		Tah}', "");
Expect(1, 2211, '\P{^Is_Jg=		Tah}', "");
Expect(0, 2212, '\p{Is_Jg=		Tah}', "");
Expect(1, 2212, '\p{^Is_Jg=		Tah}', "");
Expect(1, 2212, '\P{Is_Jg=		Tah}', "");
Expect(0, 2212, '\P{^Is_Jg=		Tah}', "");
Error('\p{Joining_Group= _Taw/a/}');
Error('\P{Joining_Group= _Taw/a/}');
Expect(1, 1836, '\p{Joining_Group=taw}', "");
Expect(0, 1836, '\p{^Joining_Group=taw}', "");
Expect(0, 1836, '\P{Joining_Group=taw}', "");
Expect(1, 1836, '\P{^Joining_Group=taw}', "");
Expect(0, 1837, '\p{Joining_Group=taw}', "");
Expect(1, 1837, '\p{^Joining_Group=taw}', "");
Expect(1, 1837, '\P{Joining_Group=taw}', "");
Expect(0, 1837, '\P{^Joining_Group=taw}', "");
Expect(1, 1836, '\p{Joining_Group=	Taw}', "");
Expect(0, 1836, '\p{^Joining_Group=	Taw}', "");
Expect(0, 1836, '\P{Joining_Group=	Taw}', "");
Expect(1, 1836, '\P{^Joining_Group=	Taw}', "");
Expect(0, 1837, '\p{Joining_Group=	Taw}', "");
Expect(1, 1837, '\p{^Joining_Group=	Taw}', "");
Expect(1, 1837, '\P{Joining_Group=	Taw}', "");
Expect(0, 1837, '\P{^Joining_Group=	Taw}', "");
Error('\p{Jg=-Taw:=}');
Error('\P{Jg=-Taw:=}');
Expect(1, 1836, '\p{Jg=taw}', "");
Expect(0, 1836, '\p{^Jg=taw}', "");
Expect(0, 1836, '\P{Jg=taw}', "");
Expect(1, 1836, '\P{^Jg=taw}', "");
Expect(0, 1837, '\p{Jg=taw}', "");
Expect(1, 1837, '\p{^Jg=taw}', "");
Expect(1, 1837, '\P{Jg=taw}', "");
Expect(0, 1837, '\P{^Jg=taw}', "");
Expect(1, 1836, '\p{Jg:_Taw}', "");
Expect(0, 1836, '\p{^Jg:_Taw}', "");
Expect(0, 1836, '\P{Jg:_Taw}', "");
Expect(1, 1836, '\P{^Jg:_Taw}', "");
Expect(0, 1837, '\p{Jg:_Taw}', "");
Expect(1, 1837, '\p{^Jg:_Taw}', "");
Expect(1, 1837, '\P{Jg:_Taw}', "");
Expect(0, 1837, '\P{^Jg:_Taw}', "");
Error('\p{Is_Joining_Group=_/a/TAW}');
Error('\P{Is_Joining_Group=_/a/TAW}');
Expect(1, 1836, '\p{Is_Joining_Group=taw}', "");
Expect(0, 1836, '\p{^Is_Joining_Group=taw}', "");
Expect(0, 1836, '\P{Is_Joining_Group=taw}', "");
Expect(1, 1836, '\P{^Is_Joining_Group=taw}', "");
Expect(0, 1837, '\p{Is_Joining_Group=taw}', "");
Expect(1, 1837, '\p{^Is_Joining_Group=taw}', "");
Expect(1, 1837, '\P{Is_Joining_Group=taw}', "");
Expect(0, 1837, '\P{^Is_Joining_Group=taw}', "");
Expect(1, 1836, '\p{Is_Joining_Group=	 Taw}', "");
Expect(0, 1836, '\p{^Is_Joining_Group=	 Taw}', "");
Expect(0, 1836, '\P{Is_Joining_Group=	 Taw}', "");
Expect(1, 1836, '\P{^Is_Joining_Group=	 Taw}', "");
Expect(0, 1837, '\p{Is_Joining_Group=	 Taw}', "");
Expect(1, 1837, '\p{^Is_Joining_Group=	 Taw}', "");
Expect(1, 1837, '\P{Is_Joining_Group=	 Taw}', "");
Expect(0, 1837, '\P{^Is_Joining_Group=	 Taw}', "");
Error('\p{Is_Jg=_	taw:=}');
Error('\P{Is_Jg=_	taw:=}');
Expect(1, 1836, '\p{Is_Jg=taw}', "");
Expect(0, 1836, '\p{^Is_Jg=taw}', "");
Expect(0, 1836, '\P{Is_Jg=taw}', "");
Expect(1, 1836, '\P{^Is_Jg=taw}', "");
Expect(0, 1837, '\p{Is_Jg=taw}', "");
Expect(1, 1837, '\p{^Is_Jg=taw}', "");
Expect(1, 1837, '\P{Is_Jg=taw}', "");
Expect(0, 1837, '\P{^Is_Jg=taw}', "");
Expect(1, 1836, '\p{Is_Jg=	_Taw}', "");
Expect(0, 1836, '\p{^Is_Jg=	_Taw}', "");
Expect(0, 1836, '\P{Is_Jg=	_Taw}', "");
Expect(1, 1836, '\P{^Is_Jg=	_Taw}', "");
Expect(0, 1837, '\p{Is_Jg=	_Taw}', "");
Expect(1, 1837, '\p{^Is_Jg=	_Taw}', "");
Expect(1, 1837, '\P{Is_Jg=	_Taw}', "");
Expect(0, 1837, '\P{^Is_Jg=	_Taw}', "");
Error('\p{Joining_Group=:=_-TEH_marbuta}');
Error('\P{Joining_Group=:=_-TEH_marbuta}');
Expect(1, 1749, '\p{Joining_Group=tehmarbuta}', "");
Expect(0, 1749, '\p{^Joining_Group=tehmarbuta}', "");
Expect(0, 1749, '\P{Joining_Group=tehmarbuta}', "");
Expect(1, 1749, '\P{^Joining_Group=tehmarbuta}', "");
Expect(0, 1750, '\p{Joining_Group=tehmarbuta}', "");
Expect(1, 1750, '\p{^Joining_Group=tehmarbuta}', "");
Expect(1, 1750, '\P{Joining_Group=tehmarbuta}', "");
Expect(0, 1750, '\P{^Joining_Group=tehmarbuta}', "");
Expect(1, 1749, '\p{Joining_Group=	teh_MARBUTA}', "");
Expect(0, 1749, '\p{^Joining_Group=	teh_MARBUTA}', "");
Expect(0, 1749, '\P{Joining_Group=	teh_MARBUTA}', "");
Expect(1, 1749, '\P{^Joining_Group=	teh_MARBUTA}', "");
Expect(0, 1750, '\p{Joining_Group=	teh_MARBUTA}', "");
Expect(1, 1750, '\p{^Joining_Group=	teh_MARBUTA}', "");
Expect(1, 1750, '\P{Joining_Group=	teh_MARBUTA}', "");
Expect(0, 1750, '\P{^Joining_Group=	teh_MARBUTA}', "");
Error('\p{Jg:		:=Teh_Marbuta}');
Error('\P{Jg:		:=Teh_Marbuta}');
Expect(1, 1749, '\p{Jg=tehmarbuta}', "");
Expect(0, 1749, '\p{^Jg=tehmarbuta}', "");
Expect(0, 1749, '\P{Jg=tehmarbuta}', "");
Expect(1, 1749, '\P{^Jg=tehmarbuta}', "");
Expect(0, 1750, '\p{Jg=tehmarbuta}', "");
Expect(1, 1750, '\p{^Jg=tehmarbuta}', "");
Expect(1, 1750, '\P{Jg=tehmarbuta}', "");
Expect(0, 1750, '\P{^Jg=tehmarbuta}', "");
Expect(1, 1749, '\p{Jg=	_teh_MARBUTA}', "");
Expect(0, 1749, '\p{^Jg=	_teh_MARBUTA}', "");
Expect(0, 1749, '\P{Jg=	_teh_MARBUTA}', "");
Expect(1, 1749, '\P{^Jg=	_teh_MARBUTA}', "");
Expect(0, 1750, '\p{Jg=	_teh_MARBUTA}', "");
Expect(1, 1750, '\p{^Jg=	_teh_MARBUTA}', "");
Expect(1, 1750, '\P{Jg=	_teh_MARBUTA}', "");
Expect(0, 1750, '\P{^Jg=	_teh_MARBUTA}', "");
Error('\p{Is_Joining_Group=-:=Teh_MARBUTA}');
Error('\P{Is_Joining_Group=-:=Teh_MARBUTA}');
Expect(1, 1749, '\p{Is_Joining_Group=tehmarbuta}', "");
Expect(0, 1749, '\p{^Is_Joining_Group=tehmarbuta}', "");
Expect(0, 1749, '\P{Is_Joining_Group=tehmarbuta}', "");
Expect(1, 1749, '\P{^Is_Joining_Group=tehmarbuta}', "");
Expect(0, 1750, '\p{Is_Joining_Group=tehmarbuta}', "");
Expect(1, 1750, '\p{^Is_Joining_Group=tehmarbuta}', "");
Expect(1, 1750, '\P{Is_Joining_Group=tehmarbuta}', "");
Expect(0, 1750, '\P{^Is_Joining_Group=tehmarbuta}', "");
Expect(1, 1749, '\p{Is_Joining_Group=_Teh_Marbuta}', "");
Expect(0, 1749, '\p{^Is_Joining_Group=_Teh_Marbuta}', "");
Expect(0, 1749, '\P{Is_Joining_Group=_Teh_Marbuta}', "");
Expect(1, 1749, '\P{^Is_Joining_Group=_Teh_Marbuta}', "");
Expect(0, 1750, '\p{Is_Joining_Group=_Teh_Marbuta}', "");
Expect(1, 1750, '\p{^Is_Joining_Group=_Teh_Marbuta}', "");
Expect(1, 1750, '\P{Is_Joining_Group=_Teh_Marbuta}', "");
Expect(0, 1750, '\P{^Is_Joining_Group=_Teh_Marbuta}', "");
Error('\p{Is_Jg=	Teh_Marbuta:=}');
Error('\P{Is_Jg=	Teh_Marbuta:=}');
Expect(1, 1749, '\p{Is_Jg=tehmarbuta}', "");
Expect(0, 1749, '\p{^Is_Jg=tehmarbuta}', "");
Expect(0, 1749, '\P{Is_Jg=tehmarbuta}', "");
Expect(1, 1749, '\P{^Is_Jg=tehmarbuta}', "");
Expect(0, 1750, '\p{Is_Jg=tehmarbuta}', "");
Expect(1, 1750, '\p{^Is_Jg=tehmarbuta}', "");
Expect(1, 1750, '\P{Is_Jg=tehmarbuta}', "");
Expect(0, 1750, '\P{^Is_Jg=tehmarbuta}', "");
Expect(1, 1749, '\p{Is_Jg= teh_Marbuta}', "");
Expect(0, 1749, '\p{^Is_Jg= teh_Marbuta}', "");
Expect(0, 1749, '\P{Is_Jg= teh_Marbuta}', "");
Expect(1, 1749, '\P{^Is_Jg= teh_Marbuta}', "");
Expect(0, 1750, '\p{Is_Jg= teh_Marbuta}', "");
Expect(1, 1750, '\p{^Is_Jg= teh_Marbuta}', "");
Expect(1, 1750, '\P{Is_Jg= teh_Marbuta}', "");
Expect(0, 1750, '\P{^Is_Jg= teh_Marbuta}', "");
Error('\p{Joining_Group=:= 	Hamza_ON_Heh_Goal}');
Error('\P{Joining_Group=:= 	Hamza_ON_Heh_Goal}');
Expect(1, 1731, '\p{Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1731, '\p{^Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1731, '\P{Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1731, '\P{^Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1732, '\p{Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1732, '\p{^Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1732, '\P{Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1732, '\P{^Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1731, '\p{Joining_Group=--hamza_on_Heh_Goal}', "");
Expect(0, 1731, '\p{^Joining_Group=--hamza_on_Heh_Goal}', "");
Expect(0, 1731, '\P{Joining_Group=--hamza_on_Heh_Goal}', "");
Expect(1, 1731, '\P{^Joining_Group=--hamza_on_Heh_Goal}', "");
Expect(0, 1732, '\p{Joining_Group=--hamza_on_Heh_Goal}', "");
Expect(1, 1732, '\p{^Joining_Group=--hamza_on_Heh_Goal}', "");
Expect(1, 1732, '\P{Joining_Group=--hamza_on_Heh_Goal}', "");
Expect(0, 1732, '\P{^Joining_Group=--hamza_on_Heh_Goal}', "");
Error('\p{Jg=-/a/teh_Marbuta_goal}');
Error('\P{Jg=-/a/teh_Marbuta_goal}');
Expect(1, 1731, '\p{Jg=tehmarbutagoal}', "");
Expect(0, 1731, '\p{^Jg=tehmarbutagoal}', "");
Expect(0, 1731, '\P{Jg=tehmarbutagoal}', "");
Expect(1, 1731, '\P{^Jg=tehmarbutagoal}', "");
Expect(0, 1732, '\p{Jg=tehmarbutagoal}', "");
Expect(1, 1732, '\p{^Jg=tehmarbutagoal}', "");
Expect(1, 1732, '\P{Jg=tehmarbutagoal}', "");
Expect(0, 1732, '\P{^Jg=tehmarbutagoal}', "");
Expect(1, 1731, '\p{Jg=	Teh_Marbuta_goal}', "");
Expect(0, 1731, '\p{^Jg=	Teh_Marbuta_goal}', "");
Expect(0, 1731, '\P{Jg=	Teh_Marbuta_goal}', "");
Expect(1, 1731, '\P{^Jg=	Teh_Marbuta_goal}', "");
Expect(0, 1732, '\p{Jg=	Teh_Marbuta_goal}', "");
Expect(1, 1732, '\p{^Jg=	Teh_Marbuta_goal}', "");
Expect(1, 1732, '\P{Jg=	Teh_Marbuta_goal}', "");
Expect(0, 1732, '\P{^Jg=	Teh_Marbuta_goal}', "");
Error('\p{Is_Joining_Group=/a/ _hamza_ON_HEH_Goal}');
Error('\P{Is_Joining_Group=/a/ _hamza_ON_HEH_Goal}');
Expect(1, 1731, '\p{Is_Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1731, '\p{^Is_Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1731, '\P{Is_Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1731, '\P{^Is_Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1732, '\p{Is_Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1732, '\p{^Is_Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1732, '\P{Is_Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1732, '\P{^Is_Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1731, '\p{Is_Joining_Group=	 Hamza_On_HEH_GOAL}', "");
Expect(0, 1731, '\p{^Is_Joining_Group=	 Hamza_On_HEH_GOAL}', "");
Expect(0, 1731, '\P{Is_Joining_Group=	 Hamza_On_HEH_GOAL}', "");
Expect(1, 1731, '\P{^Is_Joining_Group=	 Hamza_On_HEH_GOAL}', "");
Expect(0, 1732, '\p{Is_Joining_Group=	 Hamza_On_HEH_GOAL}', "");
Expect(1, 1732, '\p{^Is_Joining_Group=	 Hamza_On_HEH_GOAL}', "");
Expect(1, 1732, '\P{Is_Joining_Group=	 Hamza_On_HEH_GOAL}', "");
Expect(0, 1732, '\P{^Is_Joining_Group=	 Hamza_On_HEH_GOAL}', "");
Error('\p{Is_Jg=:=_Teh_Marbuta_goal}');
Error('\P{Is_Jg=:=_Teh_Marbuta_goal}');
Expect(1, 1731, '\p{Is_Jg=tehmarbutagoal}', "");
Expect(0, 1731, '\p{^Is_Jg=tehmarbutagoal}', "");
Expect(0, 1731, '\P{Is_Jg=tehmarbutagoal}', "");
Expect(1, 1731, '\P{^Is_Jg=tehmarbutagoal}', "");
Expect(0, 1732, '\p{Is_Jg=tehmarbutagoal}', "");
Expect(1, 1732, '\p{^Is_Jg=tehmarbutagoal}', "");
Expect(1, 1732, '\P{Is_Jg=tehmarbutagoal}', "");
Expect(0, 1732, '\P{^Is_Jg=tehmarbutagoal}', "");
Expect(1, 1731, '\p{Is_Jg:-_Teh_Marbuta_goal}', "");
Expect(0, 1731, '\p{^Is_Jg:-_Teh_Marbuta_goal}', "");
Expect(0, 1731, '\P{Is_Jg:-_Teh_Marbuta_goal}', "");
Expect(1, 1731, '\P{^Is_Jg:-_Teh_Marbuta_goal}', "");
Expect(0, 1732, '\p{Is_Jg:-_Teh_Marbuta_goal}', "");
Expect(1, 1732, '\p{^Is_Jg:-_Teh_Marbuta_goal}', "");
Expect(1, 1732, '\P{Is_Jg:-_Teh_Marbuta_goal}', "");
Expect(0, 1732, '\P{^Is_Jg:-_Teh_Marbuta_goal}', "");
Error('\p{Joining_Group= Teth:=}');
Error('\P{Joining_Group= Teth:=}');
Expect(1, 1820, '\p{Joining_Group=teth}', "");
Expect(0, 1820, '\p{^Joining_Group=teth}', "");
Expect(0, 1820, '\P{Joining_Group=teth}', "");
Expect(1, 1820, '\P{^Joining_Group=teth}', "");
Expect(0, 1821, '\p{Joining_Group=teth}', "");
Expect(1, 1821, '\p{^Joining_Group=teth}', "");
Expect(1, 1821, '\P{Joining_Group=teth}', "");
Expect(0, 1821, '\P{^Joining_Group=teth}', "");
Expect(1, 1820, '\p{Joining_Group:   -_Teth}', "");
Expect(0, 1820, '\p{^Joining_Group:   -_Teth}', "");
Expect(0, 1820, '\P{Joining_Group:   -_Teth}', "");
Expect(1, 1820, '\P{^Joining_Group:   -_Teth}', "");
Expect(0, 1821, '\p{Joining_Group:   -_Teth}', "");
Expect(1, 1821, '\p{^Joining_Group:   -_Teth}', "");
Expect(1, 1821, '\P{Joining_Group:   -_Teth}', "");
Expect(0, 1821, '\P{^Joining_Group:   -_Teth}', "");
Error('\p{Jg=_/a/Teth}');
Error('\P{Jg=_/a/Teth}');
Expect(1, 1820, '\p{Jg=teth}', "");
Expect(0, 1820, '\p{^Jg=teth}', "");
Expect(0, 1820, '\P{Jg=teth}', "");
Expect(1, 1820, '\P{^Jg=teth}', "");
Expect(0, 1821, '\p{Jg=teth}', "");
Expect(1, 1821, '\p{^Jg=teth}', "");
Expect(1, 1821, '\P{Jg=teth}', "");
Expect(0, 1821, '\P{^Jg=teth}', "");
Expect(1, 1820, '\p{Jg=-	teth}', "");
Expect(0, 1820, '\p{^Jg=-	teth}', "");
Expect(0, 1820, '\P{Jg=-	teth}', "");
Expect(1, 1820, '\P{^Jg=-	teth}', "");
Expect(0, 1821, '\p{Jg=-	teth}', "");
Expect(1, 1821, '\p{^Jg=-	teth}', "");
Expect(1, 1821, '\P{Jg=-	teth}', "");
Expect(0, 1821, '\P{^Jg=-	teth}', "");
Error('\p{Is_Joining_Group=-:=TETH}');
Error('\P{Is_Joining_Group=-:=TETH}');
Expect(1, 1820, '\p{Is_Joining_Group=teth}', "");
Expect(0, 1820, '\p{^Is_Joining_Group=teth}', "");
Expect(0, 1820, '\P{Is_Joining_Group=teth}', "");
Expect(1, 1820, '\P{^Is_Joining_Group=teth}', "");
Expect(0, 1821, '\p{Is_Joining_Group=teth}', "");
Expect(1, 1821, '\p{^Is_Joining_Group=teth}', "");
Expect(1, 1821, '\P{Is_Joining_Group=teth}', "");
Expect(0, 1821, '\P{^Is_Joining_Group=teth}', "");
Expect(1, 1820, '\p{Is_Joining_Group= Teth}', "");
Expect(0, 1820, '\p{^Is_Joining_Group= Teth}', "");
Expect(0, 1820, '\P{Is_Joining_Group= Teth}', "");
Expect(1, 1820, '\P{^Is_Joining_Group= Teth}', "");
Expect(0, 1821, '\p{Is_Joining_Group= Teth}', "");
Expect(1, 1821, '\p{^Is_Joining_Group= Teth}', "");
Expect(1, 1821, '\P{Is_Joining_Group= Teth}', "");
Expect(0, 1821, '\P{^Is_Joining_Group= Teth}', "");
Error('\p{Is_Jg= -Teth:=}');
Error('\P{Is_Jg= -Teth:=}');
Expect(1, 1820, '\p{Is_Jg=teth}', "");
Expect(0, 1820, '\p{^Is_Jg=teth}', "");
Expect(0, 1820, '\P{Is_Jg=teth}', "");
Expect(1, 1820, '\P{^Is_Jg=teth}', "");
Expect(0, 1821, '\p{Is_Jg=teth}', "");
Expect(1, 1821, '\p{^Is_Jg=teth}', "");
Expect(1, 1821, '\P{Is_Jg=teth}', "");
Expect(0, 1821, '\P{^Is_Jg=teth}', "");
Expect(1, 1820, '\p{Is_Jg=_ Teth}', "");
Expect(0, 1820, '\p{^Is_Jg=_ Teth}', "");
Expect(0, 1820, '\P{Is_Jg=_ Teth}', "");
Expect(1, 1820, '\P{^Is_Jg=_ Teth}', "");
Expect(0, 1821, '\p{Is_Jg=_ Teth}', "");
Expect(1, 1821, '\p{^Is_Jg=_ Teth}', "");
Expect(1, 1821, '\P{Is_Jg=_ Teth}', "");
Expect(0, 1821, '\P{^Is_Jg=_ Teth}', "");
Error('\p{Joining_Group=__waw:=}');
Error('\P{Joining_Group=__waw:=}');
Expect(1, 2219, '\p{Joining_Group=waw}', "");
Expect(0, 2219, '\p{^Joining_Group=waw}', "");
Expect(0, 2219, '\P{Joining_Group=waw}', "");
Expect(1, 2219, '\P{^Joining_Group=waw}', "");
Expect(0, 2220, '\p{Joining_Group=waw}', "");
Expect(1, 2220, '\p{^Joining_Group=waw}', "");
Expect(1, 2220, '\P{Joining_Group=waw}', "");
Expect(0, 2220, '\P{^Joining_Group=waw}', "");
Expect(1, 2219, '\p{Joining_Group=	_Waw}', "");
Expect(0, 2219, '\p{^Joining_Group=	_Waw}', "");
Expect(0, 2219, '\P{Joining_Group=	_Waw}', "");
Expect(1, 2219, '\P{^Joining_Group=	_Waw}', "");
Expect(0, 2220, '\p{Joining_Group=	_Waw}', "");
Expect(1, 2220, '\p{^Joining_Group=	_Waw}', "");
Expect(1, 2220, '\P{Joining_Group=	_Waw}', "");
Expect(0, 2220, '\P{^Joining_Group=	_Waw}', "");
Error('\p{Jg=/a/ Waw}');
Error('\P{Jg=/a/ Waw}');
Expect(1, 2219, '\p{Jg=waw}', "");
Expect(0, 2219, '\p{^Jg=waw}', "");
Expect(0, 2219, '\P{Jg=waw}', "");
Expect(1, 2219, '\P{^Jg=waw}', "");
Expect(0, 2220, '\p{Jg=waw}', "");
Expect(1, 2220, '\p{^Jg=waw}', "");
Expect(1, 2220, '\P{Jg=waw}', "");
Expect(0, 2220, '\P{^Jg=waw}', "");
Expect(1, 2219, '\p{Jg= Waw}', "");
Expect(0, 2219, '\p{^Jg= Waw}', "");
Expect(0, 2219, '\P{Jg= Waw}', "");
Expect(1, 2219, '\P{^Jg= Waw}', "");
Expect(0, 2220, '\p{Jg= Waw}', "");
Expect(1, 2220, '\p{^Jg= Waw}', "");
Expect(1, 2220, '\P{Jg= Waw}', "");
Expect(0, 2220, '\P{^Jg= Waw}', "");
Error('\p{Is_Joining_Group=  Waw/a/}');
Error('\P{Is_Joining_Group=  Waw/a/}');
Expect(1, 2219, '\p{Is_Joining_Group=waw}', "");
Expect(0, 2219, '\p{^Is_Joining_Group=waw}', "");
Expect(0, 2219, '\P{Is_Joining_Group=waw}', "");
Expect(1, 2219, '\P{^Is_Joining_Group=waw}', "");
Expect(0, 2220, '\p{Is_Joining_Group=waw}', "");
Expect(1, 2220, '\p{^Is_Joining_Group=waw}', "");
Expect(1, 2220, '\P{Is_Joining_Group=waw}', "");
Expect(0, 2220, '\P{^Is_Joining_Group=waw}', "");
Expect(1, 2219, '\p{Is_Joining_Group= 	Waw}', "");
Expect(0, 2219, '\p{^Is_Joining_Group= 	Waw}', "");
Expect(0, 2219, '\P{Is_Joining_Group= 	Waw}', "");
Expect(1, 2219, '\P{^Is_Joining_Group= 	Waw}', "");
Expect(0, 2220, '\p{Is_Joining_Group= 	Waw}', "");
Expect(1, 2220, '\p{^Is_Joining_Group= 	Waw}', "");
Expect(1, 2220, '\P{Is_Joining_Group= 	Waw}', "");
Expect(0, 2220, '\P{^Is_Joining_Group= 	Waw}', "");
Error('\p{Is_Jg=waw/a/}');
Error('\P{Is_Jg=waw/a/}');
Expect(1, 2219, '\p{Is_Jg: waw}', "");
Expect(0, 2219, '\p{^Is_Jg: waw}', "");
Expect(0, 2219, '\P{Is_Jg: waw}', "");
Expect(1, 2219, '\P{^Is_Jg: waw}', "");
Expect(0, 2220, '\p{Is_Jg: waw}', "");
Expect(1, 2220, '\p{^Is_Jg: waw}', "");
Expect(1, 2220, '\P{Is_Jg: waw}', "");
Expect(0, 2220, '\P{^Is_Jg: waw}', "");
Expect(1, 2219, '\p{Is_Jg=  Waw}', "");
Expect(0, 2219, '\p{^Is_Jg=  Waw}', "");
Expect(0, 2219, '\P{Is_Jg=  Waw}', "");
Expect(1, 2219, '\P{^Is_Jg=  Waw}', "");
Expect(0, 2220, '\p{Is_Jg=  Waw}', "");
Expect(1, 2220, '\p{^Is_Jg=  Waw}', "");
Expect(1, 2220, '\P{Is_Jg=  Waw}', "");
Expect(0, 2220, '\P{^Is_Jg=  Waw}', "");
Error('\p{Joining_Group:	 _yeh:=}');
Error('\P{Joining_Group:	 _yeh:=}');
Expect(1, 2217, '\p{Joining_Group: yeh}', "");
Expect(0, 2217, '\p{^Joining_Group: yeh}', "");
Expect(0, 2217, '\P{Joining_Group: yeh}', "");
Expect(1, 2217, '\P{^Joining_Group: yeh}', "");
Expect(0, 2218, '\p{Joining_Group: yeh}', "");
Expect(1, 2218, '\p{^Joining_Group: yeh}', "");
Expect(1, 2218, '\P{Joining_Group: yeh}', "");
Expect(0, 2218, '\P{^Joining_Group: yeh}', "");
Expect(1, 2217, '\p{Joining_Group: _Yeh}', "");
Expect(0, 2217, '\p{^Joining_Group: _Yeh}', "");
Expect(0, 2217, '\P{Joining_Group: _Yeh}', "");
Expect(1, 2217, '\P{^Joining_Group: _Yeh}', "");
Expect(0, 2218, '\p{Joining_Group: _Yeh}', "");
Expect(1, 2218, '\p{^Joining_Group: _Yeh}', "");
Expect(1, 2218, '\P{Joining_Group: _Yeh}', "");
Expect(0, 2218, '\P{^Joining_Group: _Yeh}', "");
Error('\p{Jg:   Yeh:=}');
Error('\P{Jg:   Yeh:=}');
Expect(1, 2217, '\p{Jg=yeh}', "");
Expect(0, 2217, '\p{^Jg=yeh}', "");
Expect(0, 2217, '\P{Jg=yeh}', "");
Expect(1, 2217, '\P{^Jg=yeh}', "");
Expect(0, 2218, '\p{Jg=yeh}', "");
Expect(1, 2218, '\p{^Jg=yeh}', "");
Expect(1, 2218, '\P{Jg=yeh}', "");
Expect(0, 2218, '\P{^Jg=yeh}', "");
Expect(1, 2217, '\p{Jg=	_YEH}', "");
Expect(0, 2217, '\p{^Jg=	_YEH}', "");
Expect(0, 2217, '\P{Jg=	_YEH}', "");
Expect(1, 2217, '\P{^Jg=	_YEH}', "");
Expect(0, 2218, '\p{Jg=	_YEH}', "");
Expect(1, 2218, '\p{^Jg=	_YEH}', "");
Expect(1, 2218, '\P{Jg=	_YEH}', "");
Expect(0, 2218, '\P{^Jg=	_YEH}', "");
Error('\p{Is_Joining_Group=	 yeh:=}');
Error('\P{Is_Joining_Group=	 yeh:=}');
Expect(1, 2217, '\p{Is_Joining_Group=yeh}', "");
Expect(0, 2217, '\p{^Is_Joining_Group=yeh}', "");
Expect(0, 2217, '\P{Is_Joining_Group=yeh}', "");
Expect(1, 2217, '\P{^Is_Joining_Group=yeh}', "");
Expect(0, 2218, '\p{Is_Joining_Group=yeh}', "");
Expect(1, 2218, '\p{^Is_Joining_Group=yeh}', "");
Expect(1, 2218, '\P{Is_Joining_Group=yeh}', "");
Expect(0, 2218, '\P{^Is_Joining_Group=yeh}', "");
Expect(1, 2217, '\p{Is_Joining_Group=- YEH}', "");
Expect(0, 2217, '\p{^Is_Joining_Group=- YEH}', "");
Expect(0, 2217, '\P{Is_Joining_Group=- YEH}', "");
Expect(1, 2217, '\P{^Is_Joining_Group=- YEH}', "");
Expect(0, 2218, '\p{Is_Joining_Group=- YEH}', "");
Expect(1, 2218, '\p{^Is_Joining_Group=- YEH}', "");
Expect(1, 2218, '\P{Is_Joining_Group=- YEH}', "");
Expect(0, 2218, '\P{^Is_Joining_Group=- YEH}', "");
Error('\p{Is_Jg=-/a/Yeh}');
Error('\P{Is_Jg=-/a/Yeh}');
Expect(1, 2217, '\p{Is_Jg=yeh}', "");
Expect(0, 2217, '\p{^Is_Jg=yeh}', "");
Expect(0, 2217, '\P{Is_Jg=yeh}', "");
Expect(1, 2217, '\P{^Is_Jg=yeh}', "");
Expect(0, 2218, '\p{Is_Jg=yeh}', "");
Expect(1, 2218, '\p{^Is_Jg=yeh}', "");
Expect(1, 2218, '\P{Is_Jg=yeh}', "");
Expect(0, 2218, '\P{^Is_Jg=yeh}', "");
Expect(1, 2217, '\p{Is_Jg=	_Yeh}', "");
Expect(0, 2217, '\p{^Is_Jg=	_Yeh}', "");
Expect(0, 2217, '\P{Is_Jg=	_Yeh}', "");
Expect(1, 2217, '\P{^Is_Jg=	_Yeh}', "");
Expect(0, 2218, '\p{Is_Jg=	_Yeh}', "");
Expect(1, 2218, '\p{^Is_Jg=	_Yeh}', "");
Expect(1, 2218, '\P{Is_Jg=	_Yeh}', "");
Expect(0, 2218, '\P{^Is_Jg=	_Yeh}', "");
Error('\p{Joining_Group: :=-	YEH_barree}');
Error('\P{Joining_Group: :=-	YEH_barree}');
Expect(1, 1747, '\p{Joining_Group=yehbarree}', "");
Expect(0, 1747, '\p{^Joining_Group=yehbarree}', "");
Expect(0, 1747, '\P{Joining_Group=yehbarree}', "");
Expect(1, 1747, '\P{^Joining_Group=yehbarree}', "");
Expect(0, 1748, '\p{Joining_Group=yehbarree}', "");
Expect(1, 1748, '\p{^Joining_Group=yehbarree}', "");
Expect(1, 1748, '\P{Joining_Group=yehbarree}', "");
Expect(0, 1748, '\P{^Joining_Group=yehbarree}', "");
Expect(1, 1747, '\p{Joining_Group=-	YEH_Barree}', "");
Expect(0, 1747, '\p{^Joining_Group=-	YEH_Barree}', "");
Expect(0, 1747, '\P{Joining_Group=-	YEH_Barree}', "");
Expect(1, 1747, '\P{^Joining_Group=-	YEH_Barree}', "");
Expect(0, 1748, '\p{Joining_Group=-	YEH_Barree}', "");
Expect(1, 1748, '\p{^Joining_Group=-	YEH_Barree}', "");
Expect(1, 1748, '\P{Joining_Group=-	YEH_Barree}', "");
Expect(0, 1748, '\P{^Joining_Group=-	YEH_Barree}', "");
Error('\p{Jg=:=-	Yeh_barree}');
Error('\P{Jg=:=-	Yeh_barree}');
Expect(1, 1747, '\p{Jg=yehbarree}', "");
Expect(0, 1747, '\p{^Jg=yehbarree}', "");
Expect(0, 1747, '\P{Jg=yehbarree}', "");
Expect(1, 1747, '\P{^Jg=yehbarree}', "");
Expect(0, 1748, '\p{Jg=yehbarree}', "");
Expect(1, 1748, '\p{^Jg=yehbarree}', "");
Expect(1, 1748, '\P{Jg=yehbarree}', "");
Expect(0, 1748, '\P{^Jg=yehbarree}', "");
Expect(1, 1747, '\p{Jg=  Yeh_Barree}', "");
Expect(0, 1747, '\p{^Jg=  Yeh_Barree}', "");
Expect(0, 1747, '\P{Jg=  Yeh_Barree}', "");
Expect(1, 1747, '\P{^Jg=  Yeh_Barree}', "");
Expect(0, 1748, '\p{Jg=  Yeh_Barree}', "");
Expect(1, 1748, '\p{^Jg=  Yeh_Barree}', "");
Expect(1, 1748, '\P{Jg=  Yeh_Barree}', "");
Expect(0, 1748, '\P{^Jg=  Yeh_Barree}', "");
Error('\p{Is_Joining_Group=/a/ -yeh_Barree}');
Error('\P{Is_Joining_Group=/a/ -yeh_Barree}');
Expect(1, 1747, '\p{Is_Joining_Group: yehbarree}', "");
Expect(0, 1747, '\p{^Is_Joining_Group: yehbarree}', "");
Expect(0, 1747, '\P{Is_Joining_Group: yehbarree}', "");
Expect(1, 1747, '\P{^Is_Joining_Group: yehbarree}', "");
Expect(0, 1748, '\p{Is_Joining_Group: yehbarree}', "");
Expect(1, 1748, '\p{^Is_Joining_Group: yehbarree}', "");
Expect(1, 1748, '\P{Is_Joining_Group: yehbarree}', "");
Expect(0, 1748, '\P{^Is_Joining_Group: yehbarree}', "");
Expect(1, 1747, '\p{Is_Joining_Group=Yeh_Barree}', "");
Expect(0, 1747, '\p{^Is_Joining_Group=Yeh_Barree}', "");
Expect(0, 1747, '\P{Is_Joining_Group=Yeh_Barree}', "");
Expect(1, 1747, '\P{^Is_Joining_Group=Yeh_Barree}', "");
Expect(0, 1748, '\p{Is_Joining_Group=Yeh_Barree}', "");
Expect(1, 1748, '\p{^Is_Joining_Group=Yeh_Barree}', "");
Expect(1, 1748, '\P{Is_Joining_Group=Yeh_Barree}', "");
Expect(0, 1748, '\P{^Is_Joining_Group=Yeh_Barree}', "");
Error('\p{Is_Jg=-Yeh_BARREE/a/}');
Error('\P{Is_Jg=-Yeh_BARREE/a/}');
Expect(1, 1747, '\p{Is_Jg:   yehbarree}', "");
Expect(0, 1747, '\p{^Is_Jg:   yehbarree}', "");
Expect(0, 1747, '\P{Is_Jg:   yehbarree}', "");
Expect(1, 1747, '\P{^Is_Jg:   yehbarree}', "");
Expect(0, 1748, '\p{Is_Jg:   yehbarree}', "");
Expect(1, 1748, '\p{^Is_Jg:   yehbarree}', "");
Expect(1, 1748, '\P{Is_Jg:   yehbarree}', "");
Expect(0, 1748, '\P{^Is_Jg:   yehbarree}', "");
Expect(1, 1747, '\p{Is_Jg=_Yeh_Barree}', "");
Expect(0, 1747, '\p{^Is_Jg=_Yeh_Barree}', "");
Expect(0, 1747, '\P{Is_Jg=_Yeh_Barree}', "");
Expect(1, 1747, '\P{^Is_Jg=_Yeh_Barree}', "");
Expect(0, 1748, '\p{Is_Jg=_Yeh_Barree}', "");
Expect(1, 1748, '\p{^Is_Jg=_Yeh_Barree}', "");
Expect(1, 1748, '\P{Is_Jg=_Yeh_Barree}', "");
Expect(0, 1748, '\P{^Is_Jg=_Yeh_Barree}', "");
Error('\p{Joining_Group=-:=yeh_With_Tail}');
Error('\P{Joining_Group=-:=yeh_With_Tail}');
Expect(1, 1741, '\p{Joining_Group=yehwithtail}', "");
Expect(0, 1741, '\p{^Joining_Group=yehwithtail}', "");
Expect(0, 1741, '\P{Joining_Group=yehwithtail}', "");
Expect(1, 1741, '\P{^Joining_Group=yehwithtail}', "");
Expect(0, 1742, '\p{Joining_Group=yehwithtail}', "");
Expect(1, 1742, '\p{^Joining_Group=yehwithtail}', "");
Expect(1, 1742, '\P{Joining_Group=yehwithtail}', "");
Expect(0, 1742, '\P{^Joining_Group=yehwithtail}', "");
Expect(1, 1741, '\p{Joining_Group=YEH_with_Tail}', "");
Expect(0, 1741, '\p{^Joining_Group=YEH_with_Tail}', "");
Expect(0, 1741, '\P{Joining_Group=YEH_with_Tail}', "");
Expect(1, 1741, '\P{^Joining_Group=YEH_with_Tail}', "");
Expect(0, 1742, '\p{Joining_Group=YEH_with_Tail}', "");
Expect(1, 1742, '\p{^Joining_Group=YEH_with_Tail}', "");
Expect(1, 1742, '\P{Joining_Group=YEH_with_Tail}', "");
Expect(0, 1742, '\P{^Joining_Group=YEH_with_Tail}', "");
Error('\p{Jg=	YEH_with_tail/a/}');
Error('\P{Jg=	YEH_with_tail/a/}');
Expect(1, 1741, '\p{Jg=yehwithtail}', "");
Expect(0, 1741, '\p{^Jg=yehwithtail}', "");
Expect(0, 1741, '\P{Jg=yehwithtail}', "");
Expect(1, 1741, '\P{^Jg=yehwithtail}', "");
Expect(0, 1742, '\p{Jg=yehwithtail}', "");
Expect(1, 1742, '\p{^Jg=yehwithtail}', "");
Expect(1, 1742, '\P{Jg=yehwithtail}', "");
Expect(0, 1742, '\P{^Jg=yehwithtail}', "");
Expect(1, 1741, '\p{Jg=		Yeh_With_Tail}', "");
Expect(0, 1741, '\p{^Jg=		Yeh_With_Tail}', "");
Expect(0, 1741, '\P{Jg=		Yeh_With_Tail}', "");
Expect(1, 1741, '\P{^Jg=		Yeh_With_Tail}', "");
Expect(0, 1742, '\p{Jg=		Yeh_With_Tail}', "");
Expect(1, 1742, '\p{^Jg=		Yeh_With_Tail}', "");
Expect(1, 1742, '\P{Jg=		Yeh_With_Tail}', "");
Expect(0, 1742, '\P{^Jg=		Yeh_With_Tail}', "");
Error('\p{Is_Joining_Group=:=YEH_With_tail}');
Error('\P{Is_Joining_Group=:=YEH_With_tail}');
Expect(1, 1741, '\p{Is_Joining_Group: yehwithtail}', "");
Expect(0, 1741, '\p{^Is_Joining_Group: yehwithtail}', "");
Expect(0, 1741, '\P{Is_Joining_Group: yehwithtail}', "");
Expect(1, 1741, '\P{^Is_Joining_Group: yehwithtail}', "");
Expect(0, 1742, '\p{Is_Joining_Group: yehwithtail}', "");
Expect(1, 1742, '\p{^Is_Joining_Group: yehwithtail}', "");
Expect(1, 1742, '\P{Is_Joining_Group: yehwithtail}', "");
Expect(0, 1742, '\P{^Is_Joining_Group: yehwithtail}', "");
Expect(1, 1741, '\p{Is_Joining_Group=-_yeh_WITH_Tail}', "");
Expect(0, 1741, '\p{^Is_Joining_Group=-_yeh_WITH_Tail}', "");
Expect(0, 1741, '\P{Is_Joining_Group=-_yeh_WITH_Tail}', "");
Expect(1, 1741, '\P{^Is_Joining_Group=-_yeh_WITH_Tail}', "");
Expect(0, 1742, '\p{Is_Joining_Group=-_yeh_WITH_Tail}', "");
Expect(1, 1742, '\p{^Is_Joining_Group=-_yeh_WITH_Tail}', "");
Expect(1, 1742, '\P{Is_Joining_Group=-_yeh_WITH_Tail}', "");
Expect(0, 1742, '\P{^Is_Joining_Group=-_yeh_WITH_Tail}', "");
Error('\p{Is_Jg=_:=Yeh_with_Tail}');
Error('\P{Is_Jg=_:=Yeh_with_Tail}');
Expect(1, 1741, '\p{Is_Jg=yehwithtail}', "");
Expect(0, 1741, '\p{^Is_Jg=yehwithtail}', "");
Expect(0, 1741, '\P{Is_Jg=yehwithtail}', "");
Expect(1, 1741, '\P{^Is_Jg=yehwithtail}', "");
Expect(0, 1742, '\p{Is_Jg=yehwithtail}', "");
Expect(1, 1742, '\p{^Is_Jg=yehwithtail}', "");
Expect(1, 1742, '\P{Is_Jg=yehwithtail}', "");
Expect(0, 1742, '\P{^Is_Jg=yehwithtail}', "");
Expect(1, 1741, '\p{Is_Jg:	-yeh_With_TAIL}', "");
Expect(0, 1741, '\p{^Is_Jg:	-yeh_With_TAIL}', "");
Expect(0, 1741, '\P{Is_Jg:	-yeh_With_TAIL}', "");
Expect(1, 1741, '\P{^Is_Jg:	-yeh_With_TAIL}', "");
Expect(0, 1742, '\p{Is_Jg:	-yeh_With_TAIL}', "");
Expect(1, 1742, '\p{^Is_Jg:	-yeh_With_TAIL}', "");
Expect(1, 1742, '\P{Is_Jg:	-yeh_With_TAIL}', "");
Expect(0, 1742, '\P{^Is_Jg:	-yeh_With_TAIL}', "");
Error('\p{Joining_Group=_/a/yudh}');
Error('\P{Joining_Group=_/a/yudh}');
Expect(1, 1821, '\p{Joining_Group=yudh}', "");
Expect(0, 1821, '\p{^Joining_Group=yudh}', "");
Expect(0, 1821, '\P{Joining_Group=yudh}', "");
Expect(1, 1821, '\P{^Joining_Group=yudh}', "");
Expect(0, 1822, '\p{Joining_Group=yudh}', "");
Expect(1, 1822, '\p{^Joining_Group=yudh}', "");
Expect(1, 1822, '\P{Joining_Group=yudh}', "");
Expect(0, 1822, '\P{^Joining_Group=yudh}', "");
Expect(1, 1821, '\p{Joining_Group=	Yudh}', "");
Expect(0, 1821, '\p{^Joining_Group=	Yudh}', "");
Expect(0, 1821, '\P{Joining_Group=	Yudh}', "");
Expect(1, 1821, '\P{^Joining_Group=	Yudh}', "");
Expect(0, 1822, '\p{Joining_Group=	Yudh}', "");
Expect(1, 1822, '\p{^Joining_Group=	Yudh}', "");
Expect(1, 1822, '\P{Joining_Group=	Yudh}', "");
Expect(0, 1822, '\P{^Joining_Group=	Yudh}', "");
Error('\p{Jg=  Yudh:=}');
Error('\P{Jg=  Yudh:=}');
Expect(1, 1821, '\p{Jg=yudh}', "");
Expect(0, 1821, '\p{^Jg=yudh}', "");
Expect(0, 1821, '\P{Jg=yudh}', "");
Expect(1, 1821, '\P{^Jg=yudh}', "");
Expect(0, 1822, '\p{Jg=yudh}', "");
Expect(1, 1822, '\p{^Jg=yudh}', "");
Expect(1, 1822, '\P{Jg=yudh}', "");
Expect(0, 1822, '\P{^Jg=yudh}', "");
Expect(1, 1821, '\p{Jg=__Yudh}', "");
Expect(0, 1821, '\p{^Jg=__Yudh}', "");
Expect(0, 1821, '\P{Jg=__Yudh}', "");
Expect(1, 1821, '\P{^Jg=__Yudh}', "");
Expect(0, 1822, '\p{Jg=__Yudh}', "");
Expect(1, 1822, '\p{^Jg=__Yudh}', "");
Expect(1, 1822, '\P{Jg=__Yudh}', "");
Expect(0, 1822, '\P{^Jg=__Yudh}', "");
Error('\p{Is_Joining_Group=_:=yudh}');
Error('\P{Is_Joining_Group=_:=yudh}');
Expect(1, 1821, '\p{Is_Joining_Group=yudh}', "");
Expect(0, 1821, '\p{^Is_Joining_Group=yudh}', "");
Expect(0, 1821, '\P{Is_Joining_Group=yudh}', "");
Expect(1, 1821, '\P{^Is_Joining_Group=yudh}', "");
Expect(0, 1822, '\p{Is_Joining_Group=yudh}', "");
Expect(1, 1822, '\p{^Is_Joining_Group=yudh}', "");
Expect(1, 1822, '\P{Is_Joining_Group=yudh}', "");
Expect(0, 1822, '\P{^Is_Joining_Group=yudh}', "");
Expect(1, 1821, '\p{Is_Joining_Group:   yudh}', "");
Expect(0, 1821, '\p{^Is_Joining_Group:   yudh}', "");
Expect(0, 1821, '\P{Is_Joining_Group:   yudh}', "");
Expect(1, 1821, '\P{^Is_Joining_Group:   yudh}', "");
Expect(0, 1822, '\p{Is_Joining_Group:   yudh}', "");
Expect(1, 1822, '\p{^Is_Joining_Group:   yudh}', "");
Expect(1, 1822, '\P{Is_Joining_Group:   yudh}', "");
Expect(0, 1822, '\P{^Is_Joining_Group:   yudh}', "");
Error('\p{Is_Jg:   :=-	Yudh}');
Error('\P{Is_Jg:   :=-	Yudh}');
Expect(1, 1821, '\p{Is_Jg=yudh}', "");
Expect(0, 1821, '\p{^Is_Jg=yudh}', "");
Expect(0, 1821, '\P{Is_Jg=yudh}', "");
Expect(1, 1821, '\P{^Is_Jg=yudh}', "");
Expect(0, 1822, '\p{Is_Jg=yudh}', "");
Expect(1, 1822, '\p{^Is_Jg=yudh}', "");
Expect(1, 1822, '\P{Is_Jg=yudh}', "");
Expect(0, 1822, '\P{^Is_Jg=yudh}', "");
Expect(1, 1821, '\p{Is_Jg= YUDH}', "");
Expect(0, 1821, '\p{^Is_Jg= YUDH}', "");
Expect(0, 1821, '\P{Is_Jg= YUDH}', "");
Expect(1, 1821, '\P{^Is_Jg= YUDH}', "");
Expect(0, 1822, '\p{Is_Jg= YUDH}', "");
Expect(1, 1822, '\p{^Is_Jg= YUDH}', "");
Expect(1, 1822, '\P{Is_Jg= YUDH}', "");
Expect(0, 1822, '\P{^Is_Jg= YUDH}', "");
Error('\p{Joining_Group=/a/YUDH_He}');
Error('\P{Joining_Group=/a/YUDH_He}');
Expect(1, 1822, '\p{Joining_Group=yudhhe}', "");
Expect(0, 1822, '\p{^Joining_Group=yudhhe}', "");
Expect(0, 1822, '\P{Joining_Group=yudhhe}', "");
Expect(1, 1822, '\P{^Joining_Group=yudhhe}', "");
Expect(0, 1823, '\p{Joining_Group=yudhhe}', "");
Expect(1, 1823, '\p{^Joining_Group=yudhhe}', "");
Expect(1, 1823, '\P{Joining_Group=yudhhe}', "");
Expect(0, 1823, '\P{^Joining_Group=yudhhe}', "");
Expect(1, 1822, '\p{Joining_Group=	 Yudh_he}', "");
Expect(0, 1822, '\p{^Joining_Group=	 Yudh_he}', "");
Expect(0, 1822, '\P{Joining_Group=	 Yudh_he}', "");
Expect(1, 1822, '\P{^Joining_Group=	 Yudh_he}', "");
Expect(0, 1823, '\p{Joining_Group=	 Yudh_he}', "");
Expect(1, 1823, '\p{^Joining_Group=	 Yudh_he}', "");
Expect(1, 1823, '\P{Joining_Group=	 Yudh_he}', "");
Expect(0, 1823, '\P{^Joining_Group=	 Yudh_he}', "");
Error('\p{Jg=/a/Yudh_He}');
Error('\P{Jg=/a/Yudh_He}');
Expect(1, 1822, '\p{Jg:yudhhe}', "");
Expect(0, 1822, '\p{^Jg:yudhhe}', "");
Expect(0, 1822, '\P{Jg:yudhhe}', "");
Expect(1, 1822, '\P{^Jg:yudhhe}', "");
Expect(0, 1823, '\p{Jg:yudhhe}', "");
Expect(1, 1823, '\p{^Jg:yudhhe}', "");
Expect(1, 1823, '\P{Jg:yudhhe}', "");
Expect(0, 1823, '\P{^Jg:yudhhe}', "");
Expect(1, 1822, '\p{Jg=	 yudh_he}', "");
Expect(0, 1822, '\p{^Jg=	 yudh_he}', "");
Expect(0, 1822, '\P{Jg=	 yudh_he}', "");
Expect(1, 1822, '\P{^Jg=	 yudh_he}', "");
Expect(0, 1823, '\p{Jg=	 yudh_he}', "");
Expect(1, 1823, '\p{^Jg=	 yudh_he}', "");
Expect(1, 1823, '\P{Jg=	 yudh_he}', "");
Expect(0, 1823, '\P{^Jg=	 yudh_he}', "");
Error('\p{Is_Joining_Group=__Yudh_he:=}');
Error('\P{Is_Joining_Group=__Yudh_he:=}');
Expect(1, 1822, '\p{Is_Joining_Group:   yudhhe}', "");
Expect(0, 1822, '\p{^Is_Joining_Group:   yudhhe}', "");
Expect(0, 1822, '\P{Is_Joining_Group:   yudhhe}', "");
Expect(1, 1822, '\P{^Is_Joining_Group:   yudhhe}', "");
Expect(0, 1823, '\p{Is_Joining_Group:   yudhhe}', "");
Expect(1, 1823, '\p{^Is_Joining_Group:   yudhhe}', "");
Expect(1, 1823, '\P{Is_Joining_Group:   yudhhe}', "");
Expect(0, 1823, '\P{^Is_Joining_Group:   yudhhe}', "");
Expect(1, 1822, '\p{Is_Joining_Group= -yudh_He}', "");
Expect(0, 1822, '\p{^Is_Joining_Group= -yudh_He}', "");
Expect(0, 1822, '\P{Is_Joining_Group= -yudh_He}', "");
Expect(1, 1822, '\P{^Is_Joining_Group= -yudh_He}', "");
Expect(0, 1823, '\p{Is_Joining_Group= -yudh_He}', "");
Expect(1, 1823, '\p{^Is_Joining_Group= -yudh_He}', "");
Expect(1, 1823, '\P{Is_Joining_Group= -yudh_He}', "");
Expect(0, 1823, '\P{^Is_Joining_Group= -yudh_He}', "");
Error('\p{Is_Jg=_:=yudh_He}');
Error('\P{Is_Jg=_:=yudh_He}');
Expect(1, 1822, '\p{Is_Jg=yudhhe}', "");
Expect(0, 1822, '\p{^Is_Jg=yudhhe}', "");
Expect(0, 1822, '\P{Is_Jg=yudhhe}', "");
Expect(1, 1822, '\P{^Is_Jg=yudhhe}', "");
Expect(0, 1823, '\p{Is_Jg=yudhhe}', "");
Expect(1, 1823, '\p{^Is_Jg=yudhhe}', "");
Expect(1, 1823, '\P{Is_Jg=yudhhe}', "");
Expect(0, 1823, '\P{^Is_Jg=yudhhe}', "");
Expect(1, 1822, '\p{Is_Jg=	-yudh_He}', "");
Expect(0, 1822, '\p{^Is_Jg=	-yudh_He}', "");
Expect(0, 1822, '\P{Is_Jg=	-yudh_He}', "");
Expect(1, 1822, '\P{^Is_Jg=	-yudh_He}', "");
Expect(0, 1823, '\p{Is_Jg=	-yudh_He}', "");
Expect(1, 1823, '\p{^Is_Jg=	-yudh_He}', "");
Expect(1, 1823, '\P{Is_Jg=	-yudh_He}', "");
Expect(0, 1823, '\P{^Is_Jg=	-yudh_He}', "");
Error('\p{Joining_Group=		Zain/a/}');
Error('\P{Joining_Group=		Zain/a/}');
Expect(1, 1817, '\p{Joining_Group=zain}', "");
Expect(0, 1817, '\p{^Joining_Group=zain}', "");
Expect(0, 1817, '\P{Joining_Group=zain}', "");
Expect(1, 1817, '\P{^Joining_Group=zain}', "");
Expect(0, 1818, '\p{Joining_Group=zain}', "");
Expect(1, 1818, '\p{^Joining_Group=zain}', "");
Expect(1, 1818, '\P{Joining_Group=zain}', "");
Expect(0, 1818, '\P{^Joining_Group=zain}', "");
Expect(1, 1817, '\p{Joining_Group=  ZAIN}', "");
Expect(0, 1817, '\p{^Joining_Group=  ZAIN}', "");
Expect(0, 1817, '\P{Joining_Group=  ZAIN}', "");
Expect(1, 1817, '\P{^Joining_Group=  ZAIN}', "");
Expect(0, 1818, '\p{Joining_Group=  ZAIN}', "");
Expect(1, 1818, '\p{^Joining_Group=  ZAIN}', "");
Expect(1, 1818, '\P{Joining_Group=  ZAIN}', "");
Expect(0, 1818, '\P{^Joining_Group=  ZAIN}', "");
Error('\p{Jg=:=	_Zain}');
Error('\P{Jg=:=	_Zain}');
Expect(1, 1817, '\p{Jg:   zain}', "");
Expect(0, 1817, '\p{^Jg:   zain}', "");
Expect(0, 1817, '\P{Jg:   zain}', "");
Expect(1, 1817, '\P{^Jg:   zain}', "");
Expect(0, 1818, '\p{Jg:   zain}', "");
Expect(1, 1818, '\p{^Jg:   zain}', "");
Expect(1, 1818, '\P{Jg:   zain}', "");
Expect(0, 1818, '\P{^Jg:   zain}', "");
Expect(1, 1817, '\p{Jg=__ZAIN}', "");
Expect(0, 1817, '\p{^Jg=__ZAIN}', "");
Expect(0, 1817, '\P{Jg=__ZAIN}', "");
Expect(1, 1817, '\P{^Jg=__ZAIN}', "");
Expect(0, 1818, '\p{Jg=__ZAIN}', "");
Expect(1, 1818, '\p{^Jg=__ZAIN}', "");
Expect(1, 1818, '\P{Jg=__ZAIN}', "");
Expect(0, 1818, '\P{^Jg=__ZAIN}', "");
Error('\p{Is_Joining_Group=:=ZAIN}');
Error('\P{Is_Joining_Group=:=ZAIN}');
Expect(1, 1817, '\p{Is_Joining_Group=zain}', "");
Expect(0, 1817, '\p{^Is_Joining_Group=zain}', "");
Expect(0, 1817, '\P{Is_Joining_Group=zain}', "");
Expect(1, 1817, '\P{^Is_Joining_Group=zain}', "");
Expect(0, 1818, '\p{Is_Joining_Group=zain}', "");
Expect(1, 1818, '\p{^Is_Joining_Group=zain}', "");
Expect(1, 1818, '\P{Is_Joining_Group=zain}', "");
Expect(0, 1818, '\P{^Is_Joining_Group=zain}', "");
Expect(1, 1817, '\p{Is_Joining_Group= Zain}', "");
Expect(0, 1817, '\p{^Is_Joining_Group= Zain}', "");
Expect(0, 1817, '\P{Is_Joining_Group= Zain}', "");
Expect(1, 1817, '\P{^Is_Joining_Group= Zain}', "");
Expect(0, 1818, '\p{Is_Joining_Group= Zain}', "");
Expect(1, 1818, '\p{^Is_Joining_Group= Zain}', "");
Expect(1, 1818, '\P{Is_Joining_Group= Zain}', "");
Expect(0, 1818, '\P{^Is_Joining_Group= Zain}', "");
Error('\p{Is_Jg=:=Zain}');
Error('\P{Is_Jg=:=Zain}');
Expect(1, 1817, '\p{Is_Jg=zain}', "");
Expect(0, 1817, '\p{^Is_Jg=zain}', "");
Expect(0, 1817, '\P{Is_Jg=zain}', "");
Expect(1, 1817, '\P{^Is_Jg=zain}', "");
Expect(0, 1818, '\p{Is_Jg=zain}', "");
Expect(1, 1818, '\p{^Is_Jg=zain}', "");
Expect(1, 1818, '\P{Is_Jg=zain}', "");
Expect(0, 1818, '\P{^Is_Jg=zain}', "");
Expect(1, 1817, '\p{Is_Jg:	_Zain}', "");
Expect(0, 1817, '\p{^Is_Jg:	_Zain}', "");
Expect(0, 1817, '\P{Is_Jg:	_Zain}', "");
Expect(1, 1817, '\P{^Is_Jg:	_Zain}', "");
Expect(0, 1818, '\p{Is_Jg:	_Zain}', "");
Expect(1, 1818, '\p{^Is_Jg:	_Zain}', "");
Expect(1, 1818, '\P{Is_Jg:	_Zain}', "");
Expect(0, 1818, '\P{^Is_Jg:	_Zain}', "");
Error('\p{Joining_Group=-/a/ZHAIN}');
Error('\P{Joining_Group=-/a/ZHAIN}');
Expect(1, 1869, '\p{Joining_Group=zhain}', "");
Expect(0, 1869, '\p{^Joining_Group=zhain}', "");
Expect(0, 1869, '\P{Joining_Group=zhain}', "");
Expect(1, 1869, '\P{^Joining_Group=zhain}', "");
Expect(0, 1870, '\p{Joining_Group=zhain}', "");
Expect(1, 1870, '\p{^Joining_Group=zhain}', "");
Expect(1, 1870, '\P{Joining_Group=zhain}', "");
Expect(0, 1870, '\P{^Joining_Group=zhain}', "");
Expect(1, 1869, '\p{Joining_Group=_-ZHAIN}', "");
Expect(0, 1869, '\p{^Joining_Group=_-ZHAIN}', "");
Expect(0, 1869, '\P{Joining_Group=_-ZHAIN}', "");
Expect(1, 1869, '\P{^Joining_Group=_-ZHAIN}', "");
Expect(0, 1870, '\p{Joining_Group=_-ZHAIN}', "");
Expect(1, 1870, '\p{^Joining_Group=_-ZHAIN}', "");
Expect(1, 1870, '\P{Joining_Group=_-ZHAIN}', "");
Expect(0, 1870, '\P{^Joining_Group=_-ZHAIN}', "");
Error('\p{Jg=	:=ZHAIN}');
Error('\P{Jg=	:=ZHAIN}');
Expect(1, 1869, '\p{Jg=zhain}', "");
Expect(0, 1869, '\p{^Jg=zhain}', "");
Expect(0, 1869, '\P{Jg=zhain}', "");
Expect(1, 1869, '\P{^Jg=zhain}', "");
Expect(0, 1870, '\p{Jg=zhain}', "");
Expect(1, 1870, '\p{^Jg=zhain}', "");
Expect(1, 1870, '\P{Jg=zhain}', "");
Expect(0, 1870, '\P{^Jg=zhain}', "");
Expect(1, 1869, '\p{Jg:	-zhain}', "");
Expect(0, 1869, '\p{^Jg:	-zhain}', "");
Expect(0, 1869, '\P{Jg:	-zhain}', "");
Expect(1, 1869, '\P{^Jg:	-zhain}', "");
Expect(0, 1870, '\p{Jg:	-zhain}', "");
Expect(1, 1870, '\p{^Jg:	-zhain}', "");
Expect(1, 1870, '\P{Jg:	-zhain}', "");
Expect(0, 1870, '\P{^Jg:	-zhain}', "");
Error('\p{Is_Joining_Group=	:=Zhain}');
Error('\P{Is_Joining_Group=	:=Zhain}');
Expect(1, 1869, '\p{Is_Joining_Group=zhain}', "");
Expect(0, 1869, '\p{^Is_Joining_Group=zhain}', "");
Expect(0, 1869, '\P{Is_Joining_Group=zhain}', "");
Expect(1, 1869, '\P{^Is_Joining_Group=zhain}', "");
Expect(0, 1870, '\p{Is_Joining_Group=zhain}', "");
Expect(1, 1870, '\p{^Is_Joining_Group=zhain}', "");
Expect(1, 1870, '\P{Is_Joining_Group=zhain}', "");
Expect(0, 1870, '\P{^Is_Joining_Group=zhain}', "");
Expect(1, 1869, '\p{Is_Joining_Group=_-ZHAIN}', "");
Expect(0, 1869, '\p{^Is_Joining_Group=_-ZHAIN}', "");
Expect(0, 1869, '\P{Is_Joining_Group=_-ZHAIN}', "");
Expect(1, 1869, '\P{^Is_Joining_Group=_-ZHAIN}', "");
Expect(0, 1870, '\p{Is_Joining_Group=_-ZHAIN}', "");
Expect(1, 1870, '\p{^Is_Joining_Group=_-ZHAIN}', "");
Expect(1, 1870, '\P{Is_Joining_Group=_-ZHAIN}', "");
Expect(0, 1870, '\P{^Is_Joining_Group=_-ZHAIN}', "");
Error('\p{Is_Jg=-Zhain:=}');
Error('\P{Is_Jg=-Zhain:=}');
Expect(1, 1869, '\p{Is_Jg=zhain}', "");
Expect(0, 1869, '\p{^Is_Jg=zhain}', "");
Expect(0, 1869, '\P{Is_Jg=zhain}', "");
Expect(1, 1869, '\P{^Is_Jg=zhain}', "");
Expect(0, 1870, '\p{Is_Jg=zhain}', "");
Expect(1, 1870, '\p{^Is_Jg=zhain}', "");
Expect(1, 1870, '\P{Is_Jg=zhain}', "");
Expect(0, 1870, '\P{^Is_Jg=zhain}', "");
Expect(1, 1869, '\p{Is_Jg=Zhain}', "");
Expect(0, 1869, '\p{^Is_Jg=Zhain}', "");
Expect(0, 1869, '\P{Is_Jg=Zhain}', "");
Expect(1, 1869, '\P{^Is_Jg=Zhain}', "");
Expect(0, 1870, '\p{Is_Jg=Zhain}', "");
Expect(1, 1870, '\p{^Is_Jg=Zhain}', "");
Expect(1, 1870, '\P{Is_Jg=Zhain}', "");
Expect(0, 1870, '\P{^Is_Jg=Zhain}', "");
Error('\p{Joining_Type:   /a/- JOIN_Causing}');
Error('\P{Joining_Type:   /a/- JOIN_Causing}');
Expect(1, 8205, '\p{Joining_Type=joincausing}', "");
Expect(0, 8205, '\p{^Joining_Type=joincausing}', "");
Expect(0, 8205, '\P{Joining_Type=joincausing}', "");
Expect(1, 8205, '\P{^Joining_Type=joincausing}', "");
Expect(0, 8206, '\p{Joining_Type=joincausing}', "");
Expect(1, 8206, '\p{^Joining_Type=joincausing}', "");
Expect(1, 8206, '\P{Joining_Type=joincausing}', "");
Expect(0, 8206, '\P{^Joining_Type=joincausing}', "");
Expect(1, 8205, '\p{Joining_Type=_Join_CAUSING}', "");
Expect(0, 8205, '\p{^Joining_Type=_Join_CAUSING}', "");
Expect(0, 8205, '\P{Joining_Type=_Join_CAUSING}', "");
Expect(1, 8205, '\P{^Joining_Type=_Join_CAUSING}', "");
Expect(0, 8206, '\p{Joining_Type=_Join_CAUSING}', "");
Expect(1, 8206, '\p{^Joining_Type=_Join_CAUSING}', "");
Expect(1, 8206, '\P{Joining_Type=_Join_CAUSING}', "");
Expect(0, 8206, '\P{^Joining_Type=_Join_CAUSING}', "");
Error('\p{Jt=  C:=}');
Error('\P{Jt=  C:=}');
Expect(1, 8205, '\p{Jt=c}', "");
Expect(0, 8205, '\p{^Jt=c}', "");
Expect(0, 8205, '\P{Jt=c}', "");
Expect(1, 8205, '\P{^Jt=c}', "");
Expect(0, 8206, '\p{Jt=c}', "");
Expect(1, 8206, '\p{^Jt=c}', "");
Expect(1, 8206, '\P{Jt=c}', "");
Expect(0, 8206, '\P{^Jt=c}', "");
Expect(1, 8205, '\p{Jt=_-c}', "");
Expect(0, 8205, '\p{^Jt=_-c}', "");
Expect(0, 8205, '\P{Jt=_-c}', "");
Expect(1, 8205, '\P{^Jt=_-c}', "");
Expect(0, 8206, '\p{Jt=_-c}', "");
Expect(1, 8206, '\p{^Jt=_-c}', "");
Expect(1, 8206, '\P{Jt=_-c}', "");
Expect(0, 8206, '\P{^Jt=_-c}', "");
Error('\p{Is_Joining_Type= /a/Join_causing}');
Error('\P{Is_Joining_Type= /a/Join_causing}');
Expect(1, 8205, '\p{Is_Joining_Type:joincausing}', "");
Expect(0, 8205, '\p{^Is_Joining_Type:joincausing}', "");
Expect(0, 8205, '\P{Is_Joining_Type:joincausing}', "");
Expect(1, 8205, '\P{^Is_Joining_Type:joincausing}', "");
Expect(0, 8206, '\p{Is_Joining_Type:joincausing}', "");
Expect(1, 8206, '\p{^Is_Joining_Type:joincausing}', "");
Expect(1, 8206, '\P{Is_Joining_Type:joincausing}', "");
Expect(0, 8206, '\P{^Is_Joining_Type:joincausing}', "");
Expect(1, 8205, '\p{Is_Joining_Type= _JOIN_Causing}', "");
Expect(0, 8205, '\p{^Is_Joining_Type= _JOIN_Causing}', "");
Expect(0, 8205, '\P{Is_Joining_Type= _JOIN_Causing}', "");
Expect(1, 8205, '\P{^Is_Joining_Type= _JOIN_Causing}', "");
Expect(0, 8206, '\p{Is_Joining_Type= _JOIN_Causing}', "");
Expect(1, 8206, '\p{^Is_Joining_Type= _JOIN_Causing}', "");
Expect(1, 8206, '\P{Is_Joining_Type= _JOIN_Causing}', "");
Expect(0, 8206, '\P{^Is_Joining_Type= _JOIN_Causing}', "");
Error('\p{Is_Jt=	C:=}');
Error('\P{Is_Jt=	C:=}');
Expect(1, 8205, '\p{Is_Jt=c}', "");
Expect(0, 8205, '\p{^Is_Jt=c}', "");
Expect(0, 8205, '\P{Is_Jt=c}', "");
Expect(1, 8205, '\P{^Is_Jt=c}', "");
Expect(0, 8206, '\p{Is_Jt=c}', "");
Expect(1, 8206, '\p{^Is_Jt=c}', "");
Expect(1, 8206, '\P{Is_Jt=c}', "");
Expect(0, 8206, '\P{^Is_Jt=c}', "");
Expect(1, 8205, '\p{Is_Jt=__C}', "");
Expect(0, 8205, '\p{^Is_Jt=__C}', "");
Expect(0, 8205, '\P{Is_Jt=__C}', "");
Expect(1, 8205, '\P{^Is_Jt=__C}', "");
Expect(0, 8206, '\p{Is_Jt=__C}', "");
Expect(1, 8206, '\p{^Is_Jt=__C}', "");
Expect(1, 8206, '\P{Is_Jt=__C}', "");
Expect(0, 8206, '\P{^Is_Jt=__C}', "");
Error('\p{Joining_Type: -/a/Dual_Joining}');
Error('\P{Joining_Type: -/a/Dual_Joining}');
Expect(1, 68526, '\p{Joining_Type=dualjoining}', "");
Expect(0, 68526, '\p{^Joining_Type=dualjoining}', "");
Expect(0, 68526, '\P{Joining_Type=dualjoining}', "");
Expect(1, 68526, '\P{^Joining_Type=dualjoining}', "");
Expect(0, 68527, '\p{Joining_Type=dualjoining}', "");
Expect(1, 68527, '\p{^Joining_Type=dualjoining}', "");
Expect(1, 68527, '\P{Joining_Type=dualjoining}', "");
Expect(0, 68527, '\P{^Joining_Type=dualjoining}', "");
Expect(1, 68526, '\p{Joining_Type= _dual_joining}', "");
Expect(0, 68526, '\p{^Joining_Type= _dual_joining}', "");
Expect(0, 68526, '\P{Joining_Type= _dual_joining}', "");
Expect(1, 68526, '\P{^Joining_Type= _dual_joining}', "");
Expect(0, 68527, '\p{Joining_Type= _dual_joining}', "");
Expect(1, 68527, '\p{^Joining_Type= _dual_joining}', "");
Expect(1, 68527, '\P{Joining_Type= _dual_joining}', "");
Expect(0, 68527, '\P{^Joining_Type= _dual_joining}', "");
Error('\p{Jt=/a/ -D}');
Error('\P{Jt=/a/ -D}');
Expect(1, 68526, '\p{Jt=d}', "");
Expect(0, 68526, '\p{^Jt=d}', "");
Expect(0, 68526, '\P{Jt=d}', "");
Expect(1, 68526, '\P{^Jt=d}', "");
Expect(0, 68527, '\p{Jt=d}', "");
Expect(1, 68527, '\p{^Jt=d}', "");
Expect(1, 68527, '\P{Jt=d}', "");
Expect(0, 68527, '\P{^Jt=d}', "");
Expect(1, 68526, '\p{Jt=__D}', "");
Expect(0, 68526, '\p{^Jt=__D}', "");
Expect(0, 68526, '\P{Jt=__D}', "");
Expect(1, 68526, '\P{^Jt=__D}', "");
Expect(0, 68527, '\p{Jt=__D}', "");
Expect(1, 68527, '\p{^Jt=__D}', "");
Expect(1, 68527, '\P{Jt=__D}', "");
Expect(0, 68527, '\P{^Jt=__D}', "");
Error('\p{Is_Joining_Type=/a/		dual_Joining}');
Error('\P{Is_Joining_Type=/a/		dual_Joining}');
Expect(1, 68526, '\p{Is_Joining_Type=dualjoining}', "");
Expect(0, 68526, '\p{^Is_Joining_Type=dualjoining}', "");
Expect(0, 68526, '\P{Is_Joining_Type=dualjoining}', "");
Expect(1, 68526, '\P{^Is_Joining_Type=dualjoining}', "");
Expect(0, 68527, '\p{Is_Joining_Type=dualjoining}', "");
Expect(1, 68527, '\p{^Is_Joining_Type=dualjoining}', "");
Expect(1, 68527, '\P{Is_Joining_Type=dualjoining}', "");
Expect(0, 68527, '\P{^Is_Joining_Type=dualjoining}', "");
Expect(1, 68526, '\p{Is_Joining_Type=_ Dual_JOINING}', "");
Expect(0, 68526, '\p{^Is_Joining_Type=_ Dual_JOINING}', "");
Expect(0, 68526, '\P{Is_Joining_Type=_ Dual_JOINING}', "");
Expect(1, 68526, '\P{^Is_Joining_Type=_ Dual_JOINING}', "");
Expect(0, 68527, '\p{Is_Joining_Type=_ Dual_JOINING}', "");
Expect(1, 68527, '\p{^Is_Joining_Type=_ Dual_JOINING}', "");
Expect(1, 68527, '\P{Is_Joining_Type=_ Dual_JOINING}', "");
Expect(0, 68527, '\P{^Is_Joining_Type=_ Dual_JOINING}', "");
Error('\p{Is_Jt=- D:=}');
Error('\P{Is_Jt=- D:=}');
Expect(1, 68526, '\p{Is_Jt=d}', "");
Expect(0, 68526, '\p{^Is_Jt=d}', "");
Expect(0, 68526, '\P{Is_Jt=d}', "");
Expect(1, 68526, '\P{^Is_Jt=d}', "");
Expect(0, 68527, '\p{Is_Jt=d}', "");
Expect(1, 68527, '\p{^Is_Jt=d}', "");
Expect(1, 68527, '\P{Is_Jt=d}', "");
Expect(0, 68527, '\P{^Is_Jt=d}', "");
Expect(1, 68526, '\p{Is_Jt=	D}', "");
Expect(0, 68526, '\p{^Is_Jt=	D}', "");
Expect(0, 68526, '\P{Is_Jt=	D}', "");
Expect(1, 68526, '\P{^Is_Jt=	D}', "");
Expect(0, 68527, '\p{Is_Jt=	D}', "");
Expect(1, 68527, '\p{^Is_Jt=	D}', "");
Expect(1, 68527, '\P{Is_Jt=	D}', "");
Expect(0, 68527, '\P{^Is_Jt=	D}', "");
Error('\p{Joining_Type=_/a/Left_JOINING}');
Error('\P{Joining_Type=_/a/Left_JOINING}');
Expect(1, 68311, '\p{Joining_Type=leftjoining}', "");
Expect(0, 68311, '\p{^Joining_Type=leftjoining}', "");
Expect(0, 68311, '\P{Joining_Type=leftjoining}', "");
Expect(1, 68311, '\P{^Joining_Type=leftjoining}', "");
Expect(0, 68312, '\p{Joining_Type=leftjoining}', "");
Expect(1, 68312, '\p{^Joining_Type=leftjoining}', "");
Expect(1, 68312, '\P{Joining_Type=leftjoining}', "");
Expect(0, 68312, '\P{^Joining_Type=leftjoining}', "");
Expect(1, 68311, '\p{Joining_Type=	-Left_JOINING}', "");
Expect(0, 68311, '\p{^Joining_Type=	-Left_JOINING}', "");
Expect(0, 68311, '\P{Joining_Type=	-Left_JOINING}', "");
Expect(1, 68311, '\P{^Joining_Type=	-Left_JOINING}', "");
Expect(0, 68312, '\p{Joining_Type=	-Left_JOINING}', "");
Expect(1, 68312, '\p{^Joining_Type=	-Left_JOINING}', "");
Expect(1, 68312, '\P{Joining_Type=	-Left_JOINING}', "");
Expect(0, 68312, '\P{^Joining_Type=	-Left_JOINING}', "");
Error('\p{Jt:   -:=L}');
Error('\P{Jt:   -:=L}');
Expect(1, 68311, '\p{Jt=l}', "");
Expect(0, 68311, '\p{^Jt=l}', "");
Expect(0, 68311, '\P{Jt=l}', "");
Expect(1, 68311, '\P{^Jt=l}', "");
Expect(0, 68312, '\p{Jt=l}', "");
Expect(1, 68312, '\p{^Jt=l}', "");
Expect(1, 68312, '\P{Jt=l}', "");
Expect(0, 68312, '\P{^Jt=l}', "");
Expect(1, 68311, '\p{Jt= l}', "");
Expect(0, 68311, '\p{^Jt= l}', "");
Expect(0, 68311, '\P{Jt= l}', "");
Expect(1, 68311, '\P{^Jt= l}', "");
Expect(0, 68312, '\p{Jt= l}', "");
Expect(1, 68312, '\p{^Jt= l}', "");
Expect(1, 68312, '\P{Jt= l}', "");
Expect(0, 68312, '\P{^Jt= l}', "");
Error('\p{Is_Joining_Type=-_left_JOINING/a/}');
Error('\P{Is_Joining_Type=-_left_JOINING/a/}');
Expect(1, 68311, '\p{Is_Joining_Type: leftjoining}', "");
Expect(0, 68311, '\p{^Is_Joining_Type: leftjoining}', "");
Expect(0, 68311, '\P{Is_Joining_Type: leftjoining}', "");
Expect(1, 68311, '\P{^Is_Joining_Type: leftjoining}', "");
Expect(0, 68312, '\p{Is_Joining_Type: leftjoining}', "");
Expect(1, 68312, '\p{^Is_Joining_Type: leftjoining}', "");
Expect(1, 68312, '\P{Is_Joining_Type: leftjoining}', "");
Expect(0, 68312, '\P{^Is_Joining_Type: leftjoining}', "");
Expect(1, 68311, '\p{Is_Joining_Type=	-Left_Joining}', "");
Expect(0, 68311, '\p{^Is_Joining_Type=	-Left_Joining}', "");
Expect(0, 68311, '\P{Is_Joining_Type=	-Left_Joining}', "");
Expect(1, 68311, '\P{^Is_Joining_Type=	-Left_Joining}', "");
Expect(0, 68312, '\p{Is_Joining_Type=	-Left_Joining}', "");
Expect(1, 68312, '\p{^Is_Joining_Type=	-Left_Joining}', "");
Expect(1, 68312, '\P{Is_Joining_Type=	-Left_Joining}', "");
Expect(0, 68312, '\P{^Is_Joining_Type=	-Left_Joining}', "");
Error('\p{Is_Jt:   -l:=}');
Error('\P{Is_Jt:   -l:=}');
Expect(1, 68311, '\p{Is_Jt=l}', "");
Expect(0, 68311, '\p{^Is_Jt=l}', "");
Expect(0, 68311, '\P{Is_Jt=l}', "");
Expect(1, 68311, '\P{^Is_Jt=l}', "");
Expect(0, 68312, '\p{Is_Jt=l}', "");
Expect(1, 68312, '\p{^Is_Jt=l}', "");
Expect(1, 68312, '\P{Is_Jt=l}', "");
Expect(0, 68312, '\P{^Is_Jt=l}', "");
Expect(1, 68311, '\p{Is_Jt=_L}', "");
Expect(0, 68311, '\p{^Is_Jt=_L}', "");
Expect(0, 68311, '\P{Is_Jt=_L}', "");
Expect(1, 68311, '\P{^Is_Jt=_L}', "");
Expect(0, 68312, '\p{Is_Jt=_L}', "");
Expect(1, 68312, '\p{^Is_Jt=_L}', "");
Expect(1, 68312, '\P{Is_Jt=_L}', "");
Expect(0, 68312, '\P{^Is_Jt=_L}', "");
Error('\p{Joining_Type=/a/-_Right_JOINING}');
Error('\P{Joining_Type=/a/-_Right_JOINING}');
Expect(1, 68524, '\p{Joining_Type=rightjoining}', "");
Expect(0, 68524, '\p{^Joining_Type=rightjoining}', "");
Expect(0, 68524, '\P{Joining_Type=rightjoining}', "");
Expect(1, 68524, '\P{^Joining_Type=rightjoining}', "");
Expect(0, 68525, '\p{Joining_Type=rightjoining}', "");
Expect(1, 68525, '\p{^Joining_Type=rightjoining}', "");
Expect(1, 68525, '\P{Joining_Type=rightjoining}', "");
Expect(0, 68525, '\P{^Joining_Type=rightjoining}', "");
Expect(1, 68524, '\p{Joining_Type=	_Right_JOINING}', "");
Expect(0, 68524, '\p{^Joining_Type=	_Right_JOINING}', "");
Expect(0, 68524, '\P{Joining_Type=	_Right_JOINING}', "");
Expect(1, 68524, '\P{^Joining_Type=	_Right_JOINING}', "");
Expect(0, 68525, '\p{Joining_Type=	_Right_JOINING}', "");
Expect(1, 68525, '\p{^Joining_Type=	_Right_JOINING}', "");
Expect(1, 68525, '\P{Joining_Type=	_Right_JOINING}', "");
Expect(0, 68525, '\P{^Joining_Type=	_Right_JOINING}', "");
Error('\p{Jt=-:=R}');
Error('\P{Jt=-:=R}');
Expect(1, 68524, '\p{Jt=r}', "");
Expect(0, 68524, '\p{^Jt=r}', "");
Expect(0, 68524, '\P{Jt=r}', "");
Expect(1, 68524, '\P{^Jt=r}', "");
Expect(0, 68525, '\p{Jt=r}', "");
Expect(1, 68525, '\p{^Jt=r}', "");
Expect(1, 68525, '\P{Jt=r}', "");
Expect(0, 68525, '\P{^Jt=r}', "");
Expect(1, 68524, '\p{Jt= _R}', "");
Expect(0, 68524, '\p{^Jt= _R}', "");
Expect(0, 68524, '\P{Jt= _R}', "");
Expect(1, 68524, '\P{^Jt= _R}', "");
Expect(0, 68525, '\p{Jt= _R}', "");
Expect(1, 68525, '\p{^Jt= _R}', "");
Expect(1, 68525, '\P{Jt= _R}', "");
Expect(0, 68525, '\P{^Jt= _R}', "");
Error('\p{Is_Joining_Type=/a/	_RIGHT_Joining}');
Error('\P{Is_Joining_Type=/a/	_RIGHT_Joining}');
Expect(1, 68524, '\p{Is_Joining_Type=rightjoining}', "");
Expect(0, 68524, '\p{^Is_Joining_Type=rightjoining}', "");
Expect(0, 68524, '\P{Is_Joining_Type=rightjoining}', "");
Expect(1, 68524, '\P{^Is_Joining_Type=rightjoining}', "");
Expect(0, 68525, '\p{Is_Joining_Type=rightjoining}', "");
Expect(1, 68525, '\p{^Is_Joining_Type=rightjoining}', "");
Expect(1, 68525, '\P{Is_Joining_Type=rightjoining}', "");
Expect(0, 68525, '\P{^Is_Joining_Type=rightjoining}', "");
Expect(1, 68524, '\p{Is_Joining_Type=_Right_Joining}', "");
Expect(0, 68524, '\p{^Is_Joining_Type=_Right_Joining}', "");
Expect(0, 68524, '\P{Is_Joining_Type=_Right_Joining}', "");
Expect(1, 68524, '\P{^Is_Joining_Type=_Right_Joining}', "");
Expect(0, 68525, '\p{Is_Joining_Type=_Right_Joining}', "");
Expect(1, 68525, '\p{^Is_Joining_Type=_Right_Joining}', "");
Expect(1, 68525, '\P{Is_Joining_Type=_Right_Joining}', "");
Expect(0, 68525, '\P{^Is_Joining_Type=_Right_Joining}', "");
Error('\p{Is_Jt=/a/  R}');
Error('\P{Is_Jt=/a/  R}');
Expect(1, 68524, '\p{Is_Jt=r}', "");
Expect(0, 68524, '\p{^Is_Jt=r}', "");
Expect(0, 68524, '\P{Is_Jt=r}', "");
Expect(1, 68524, '\P{^Is_Jt=r}', "");
Expect(0, 68525, '\p{Is_Jt=r}', "");
Expect(1, 68525, '\p{^Is_Jt=r}', "");
Expect(1, 68525, '\P{Is_Jt=r}', "");
Expect(0, 68525, '\P{^Is_Jt=r}', "");
Expect(1, 68524, '\p{Is_Jt=	_r}', "");
Expect(0, 68524, '\p{^Is_Jt=	_r}', "");
Expect(0, 68524, '\P{Is_Jt=	_r}', "");
Expect(1, 68524, '\P{^Is_Jt=	_r}', "");
Expect(0, 68525, '\p{Is_Jt=	_r}', "");
Expect(1, 68525, '\p{^Is_Jt=	_r}', "");
Expect(1, 68525, '\P{Is_Jt=	_r}', "");
Expect(0, 68525, '\P{^Is_Jt=	_r}', "");
Error('\p{Joining_Type=_/a/TRANSPARENT}');
Error('\P{Joining_Type=_/a/TRANSPARENT}');
Expect(1, 917999, '\p{Joining_Type=transparent}', "");
Expect(0, 917999, '\p{^Joining_Type=transparent}', "");
Expect(0, 917999, '\P{Joining_Type=transparent}', "");
Expect(1, 917999, '\P{^Joining_Type=transparent}', "");
Expect(0, 918000, '\p{Joining_Type=transparent}', "");
Expect(1, 918000, '\p{^Joining_Type=transparent}', "");
Expect(1, 918000, '\P{Joining_Type=transparent}', "");
Expect(0, 918000, '\P{^Joining_Type=transparent}', "");
Expect(1, 917999, '\p{Joining_Type=	-transparent}', "");
Expect(0, 917999, '\p{^Joining_Type=	-transparent}', "");
Expect(0, 917999, '\P{Joining_Type=	-transparent}', "");
Expect(1, 917999, '\P{^Joining_Type=	-transparent}', "");
Expect(0, 918000, '\p{Joining_Type=	-transparent}', "");
Expect(1, 918000, '\p{^Joining_Type=	-transparent}', "");
Expect(1, 918000, '\P{Joining_Type=	-transparent}', "");
Expect(0, 918000, '\P{^Joining_Type=	-transparent}', "");
Error('\p{Jt:   _:=T}');
Error('\P{Jt:   _:=T}');
Expect(1, 917999, '\p{Jt=t}', "");
Expect(0, 917999, '\p{^Jt=t}', "");
Expect(0, 917999, '\P{Jt=t}', "");
Expect(1, 917999, '\P{^Jt=t}', "");
Expect(0, 918000, '\p{Jt=t}', "");
Expect(1, 918000, '\p{^Jt=t}', "");
Expect(1, 918000, '\P{Jt=t}', "");
Expect(0, 918000, '\P{^Jt=t}', "");
Expect(1, 917999, '\p{Jt=-_T}', "");
Expect(0, 917999, '\p{^Jt=-_T}', "");
Expect(0, 917999, '\P{Jt=-_T}', "");
Expect(1, 917999, '\P{^Jt=-_T}', "");
Expect(0, 918000, '\p{Jt=-_T}', "");
Expect(1, 918000, '\p{^Jt=-_T}', "");
Expect(1, 918000, '\P{Jt=-_T}', "");
Expect(0, 918000, '\P{^Jt=-_T}', "");
Error('\p{Is_Joining_Type=:=TRANSPARENT}');
Error('\P{Is_Joining_Type=:=TRANSPARENT}');
Expect(1, 917999, '\p{Is_Joining_Type=transparent}', "");
Expect(0, 917999, '\p{^Is_Joining_Type=transparent}', "");
Expect(0, 917999, '\P{Is_Joining_Type=transparent}', "");
Expect(1, 917999, '\P{^Is_Joining_Type=transparent}', "");
Expect(0, 918000, '\p{Is_Joining_Type=transparent}', "");
Expect(1, 918000, '\p{^Is_Joining_Type=transparent}', "");
Expect(1, 918000, '\P{Is_Joining_Type=transparent}', "");
Expect(0, 918000, '\P{^Is_Joining_Type=transparent}', "");
Expect(1, 917999, '\p{Is_Joining_Type= transparent}', "");
Expect(0, 917999, '\p{^Is_Joining_Type= transparent}', "");
Expect(0, 917999, '\P{Is_Joining_Type= transparent}', "");
Expect(1, 917999, '\P{^Is_Joining_Type= transparent}', "");
Expect(0, 918000, '\p{Is_Joining_Type= transparent}', "");
Expect(1, 918000, '\p{^Is_Joining_Type= transparent}', "");
Expect(1, 918000, '\P{Is_Joining_Type= transparent}', "");
Expect(0, 918000, '\P{^Is_Joining_Type= transparent}', "");
Error('\p{Is_Jt=	 t:=}');
Error('\P{Is_Jt=	 t:=}');
Expect(1, 917999, '\p{Is_Jt=t}', "");
Expect(0, 917999, '\p{^Is_Jt=t}', "");
Expect(0, 917999, '\P{Is_Jt=t}', "");
Expect(1, 917999, '\P{^Is_Jt=t}', "");
Expect(0, 918000, '\p{Is_Jt=t}', "");
Expect(1, 918000, '\p{^Is_Jt=t}', "");
Expect(1, 918000, '\P{Is_Jt=t}', "");
Expect(0, 918000, '\P{^Is_Jt=t}', "");
Expect(1, 917999, '\p{Is_Jt=	-T}', "");
Expect(0, 917999, '\p{^Is_Jt=	-T}', "");
Expect(0, 917999, '\P{Is_Jt=	-T}', "");
Expect(1, 917999, '\P{^Is_Jt=	-T}', "");
Expect(0, 918000, '\p{Is_Jt=	-T}', "");
Expect(1, 918000, '\p{^Is_Jt=	-T}', "");
Expect(1, 918000, '\P{Is_Jt=	-T}', "");
Expect(0, 918000, '\P{^Is_Jt=	-T}', "");
Error('\p{Joining_Type:	/a/  Non_Joining}');
Error('\P{Joining_Type:	/a/  Non_Joining}');
Expect(1, 918000, '\p{Joining_Type=nonjoining}', "");
Expect(0, 918000, '\p{^Joining_Type=nonjoining}', "");
Expect(0, 918000, '\P{Joining_Type=nonjoining}', "");
Expect(1, 918000, '\P{^Joining_Type=nonjoining}', "");
Expect(0, 917999, '\p{Joining_Type=nonjoining}', "");
Expect(1, 917999, '\p{^Joining_Type=nonjoining}', "");
Expect(1, 917999, '\P{Joining_Type=nonjoining}', "");
Expect(0, 917999, '\P{^Joining_Type=nonjoining}', "");
Expect(1, 918000, '\p{Joining_Type=  NON_joining}', "");
Expect(0, 918000, '\p{^Joining_Type=  NON_joining}', "");
Expect(0, 918000, '\P{Joining_Type=  NON_joining}', "");
Expect(1, 918000, '\P{^Joining_Type=  NON_joining}', "");
Expect(0, 917999, '\p{Joining_Type=  NON_joining}', "");
Expect(1, 917999, '\p{^Joining_Type=  NON_joining}', "");
Expect(1, 917999, '\P{Joining_Type=  NON_joining}', "");
Expect(0, 917999, '\P{^Joining_Type=  NON_joining}', "");
Error('\p{Jt=/a/U}');
Error('\P{Jt=/a/U}');
Expect(1, 918000, '\p{Jt=u}', "");
Expect(0, 918000, '\p{^Jt=u}', "");
Expect(0, 918000, '\P{Jt=u}', "");
Expect(1, 918000, '\P{^Jt=u}', "");
Expect(0, 917999, '\p{Jt=u}', "");
Expect(1, 917999, '\p{^Jt=u}', "");
Expect(1, 917999, '\P{Jt=u}', "");
Expect(0, 917999, '\P{^Jt=u}', "");
Expect(1, 918000, '\p{Jt=- U}', "");
Expect(0, 918000, '\p{^Jt=- U}', "");
Expect(0, 918000, '\P{Jt=- U}', "");
Expect(1, 918000, '\P{^Jt=- U}', "");
Expect(0, 917999, '\p{Jt=- U}', "");
Expect(1, 917999, '\p{^Jt=- U}', "");
Expect(1, 917999, '\P{Jt=- U}', "");
Expect(0, 917999, '\P{^Jt=- U}', "");
Error('\p{Is_Joining_Type=/a/	 NON_JOINING}');
Error('\P{Is_Joining_Type=/a/	 NON_JOINING}');
Expect(1, 918000, '\p{Is_Joining_Type=nonjoining}', "");
Expect(0, 918000, '\p{^Is_Joining_Type=nonjoining}', "");
Expect(0, 918000, '\P{Is_Joining_Type=nonjoining}', "");
Expect(1, 918000, '\P{^Is_Joining_Type=nonjoining}', "");
Expect(0, 917999, '\p{Is_Joining_Type=nonjoining}', "");
Expect(1, 917999, '\p{^Is_Joining_Type=nonjoining}', "");
Expect(1, 917999, '\P{Is_Joining_Type=nonjoining}', "");
Expect(0, 917999, '\P{^Is_Joining_Type=nonjoining}', "");
Expect(1, 918000, '\p{Is_Joining_Type= Non_JOINING}', "");
Expect(0, 918000, '\p{^Is_Joining_Type= Non_JOINING}', "");
Expect(0, 918000, '\P{Is_Joining_Type= Non_JOINING}', "");
Expect(1, 918000, '\P{^Is_Joining_Type= Non_JOINING}', "");
Expect(0, 917999, '\p{Is_Joining_Type= Non_JOINING}', "");
Expect(1, 917999, '\p{^Is_Joining_Type= Non_JOINING}', "");
Expect(1, 917999, '\P{Is_Joining_Type= Non_JOINING}', "");
Expect(0, 917999, '\P{^Is_Joining_Type= Non_JOINING}', "");
Error('\p{Is_Jt=_U/a/}');
Error('\P{Is_Jt=_U/a/}');
Expect(1, 918000, '\p{Is_Jt=u}', "");
Expect(0, 918000, '\p{^Is_Jt=u}', "");
Expect(0, 918000, '\P{Is_Jt=u}', "");
Expect(1, 918000, '\P{^Is_Jt=u}', "");
Expect(0, 917999, '\p{Is_Jt=u}', "");
Expect(1, 917999, '\p{^Is_Jt=u}', "");
Expect(1, 917999, '\P{Is_Jt=u}', "");
Expect(0, 917999, '\P{^Is_Jt=u}', "");
Expect(1, 918000, '\p{Is_Jt= -U}', "");
Expect(0, 918000, '\p{^Is_Jt= -U}', "");
Expect(0, 918000, '\P{Is_Jt= -U}', "");
Expect(1, 918000, '\P{^Is_Jt= -U}', "");
Expect(0, 917999, '\p{Is_Jt= -U}', "");
Expect(1, 917999, '\p{^Is_Jt= -U}', "");
Expect(1, 917999, '\P{Is_Jt= -U}', "");
Expect(0, 917999, '\P{^Is_Jt= -U}', "");
Error('\p{Line_Break= -ambiguous:=}');
Error('\P{Line_Break= -ambiguous:=}');
Expect(1, 127386, '\p{Line_Break=ambiguous}', "");
Expect(0, 127386, '\p{^Line_Break=ambiguous}', "");
Expect(0, 127386, '\P{Line_Break=ambiguous}', "");
Expect(1, 127386, '\P{^Line_Break=ambiguous}', "");
Expect(0, 127387, '\p{Line_Break=ambiguous}', "");
Expect(1, 127387, '\p{^Line_Break=ambiguous}', "");
Expect(1, 127387, '\P{Line_Break=ambiguous}', "");
Expect(0, 127387, '\P{^Line_Break=ambiguous}', "");
Expect(1, 127386, '\p{Line_Break: -_Ambiguous}', "");
Expect(0, 127386, '\p{^Line_Break: -_Ambiguous}', "");
Expect(0, 127386, '\P{Line_Break: -_Ambiguous}', "");
Expect(1, 127386, '\P{^Line_Break: -_Ambiguous}', "");
Expect(0, 127387, '\p{Line_Break: -_Ambiguous}', "");
Expect(1, 127387, '\p{^Line_Break: -_Ambiguous}', "");
Expect(1, 127387, '\P{Line_Break: -_Ambiguous}', "");
Expect(0, 127387, '\P{^Line_Break: -_Ambiguous}', "");
Error('\p{Lb=_ai/a/}');
Error('\P{Lb=_ai/a/}');
Expect(1, 127386, '\p{Lb=ai}', "");
Expect(0, 127386, '\p{^Lb=ai}', "");
Expect(0, 127386, '\P{Lb=ai}', "");
Expect(1, 127386, '\P{^Lb=ai}', "");
Expect(0, 127387, '\p{Lb=ai}', "");
Expect(1, 127387, '\p{^Lb=ai}', "");
Expect(1, 127387, '\P{Lb=ai}', "");
Expect(0, 127387, '\P{^Lb=ai}', "");
Expect(1, 127386, '\p{Lb=  AI}', "");
Expect(0, 127386, '\p{^Lb=  AI}', "");
Expect(0, 127386, '\P{Lb=  AI}', "");
Expect(1, 127386, '\P{^Lb=  AI}', "");
Expect(0, 127387, '\p{Lb=  AI}', "");
Expect(1, 127387, '\p{^Lb=  AI}', "");
Expect(1, 127387, '\P{Lb=  AI}', "");
Expect(0, 127387, '\P{^Lb=  AI}', "");
Error('\p{Is_Line_Break=/a/- Ambiguous}');
Error('\P{Is_Line_Break=/a/- Ambiguous}');
Expect(1, 127386, '\p{Is_Line_Break=ambiguous}', "");
Expect(0, 127386, '\p{^Is_Line_Break=ambiguous}', "");
Expect(0, 127386, '\P{Is_Line_Break=ambiguous}', "");
Expect(1, 127386, '\P{^Is_Line_Break=ambiguous}', "");
Expect(0, 127387, '\p{Is_Line_Break=ambiguous}', "");
Expect(1, 127387, '\p{^Is_Line_Break=ambiguous}', "");
Expect(1, 127387, '\P{Is_Line_Break=ambiguous}', "");
Expect(0, 127387, '\P{^Is_Line_Break=ambiguous}', "");
Expect(1, 127386, '\p{Is_Line_Break=_AMBIGUOUS}', "");
Expect(0, 127386, '\p{^Is_Line_Break=_AMBIGUOUS}', "");
Expect(0, 127386, '\P{Is_Line_Break=_AMBIGUOUS}', "");
Expect(1, 127386, '\P{^Is_Line_Break=_AMBIGUOUS}', "");
Expect(0, 127387, '\p{Is_Line_Break=_AMBIGUOUS}', "");
Expect(1, 127387, '\p{^Is_Line_Break=_AMBIGUOUS}', "");
Expect(1, 127387, '\P{Is_Line_Break=_AMBIGUOUS}', "");
Expect(0, 127387, '\P{^Is_Line_Break=_AMBIGUOUS}', "");
Error('\p{Is_Lb=-_AI/a/}');
Error('\P{Is_Lb=-_AI/a/}');
Expect(1, 127386, '\p{Is_Lb=ai}', "");
Expect(0, 127386, '\p{^Is_Lb=ai}', "");
Expect(0, 127386, '\P{Is_Lb=ai}', "");
Expect(1, 127386, '\P{^Is_Lb=ai}', "");
Expect(0, 127387, '\p{Is_Lb=ai}', "");
Expect(1, 127387, '\p{^Is_Lb=ai}', "");
Expect(1, 127387, '\P{Is_Lb=ai}', "");
Expect(0, 127387, '\P{^Is_Lb=ai}', "");
Expect(1, 127386, '\p{Is_Lb= -AI}', "");
Expect(0, 127386, '\p{^Is_Lb= -AI}', "");
Expect(0, 127386, '\P{Is_Lb= -AI}', "");
Expect(1, 127386, '\P{^Is_Lb= -AI}', "");
Expect(0, 127387, '\p{Is_Lb= -AI}', "");
Expect(1, 127387, '\p{^Is_Lb= -AI}', "");
Expect(1, 127387, '\P{Is_Lb= -AI}', "");
Expect(0, 127387, '\P{^Is_Lb= -AI}', "");
Error('\p{Line_Break=_Alphabetic/a/}');
Error('\P{Line_Break=_Alphabetic/a/}');
Expect(1, 129197, '\p{Line_Break=alphabetic}', "");
Expect(0, 129197, '\p{^Line_Break=alphabetic}', "");
Expect(0, 129197, '\P{Line_Break=alphabetic}', "");
Expect(1, 129197, '\P{^Line_Break=alphabetic}', "");
Expect(0, 129198, '\p{Line_Break=alphabetic}', "");
Expect(1, 129198, '\p{^Line_Break=alphabetic}', "");
Expect(1, 129198, '\P{Line_Break=alphabetic}', "");
Expect(0, 129198, '\P{^Line_Break=alphabetic}', "");
Expect(1, 129197, '\p{Line_Break=	 Alphabetic}', "");
Expect(0, 129197, '\p{^Line_Break=	 Alphabetic}', "");
Expect(0, 129197, '\P{Line_Break=	 Alphabetic}', "");
Expect(1, 129197, '\P{^Line_Break=	 Alphabetic}', "");
Expect(0, 129198, '\p{Line_Break=	 Alphabetic}', "");
Expect(1, 129198, '\p{^Line_Break=	 Alphabetic}', "");
Expect(1, 129198, '\P{Line_Break=	 Alphabetic}', "");
Expect(0, 129198, '\P{^Line_Break=	 Alphabetic}', "");
Error('\p{Lb=:=AL}');
Error('\P{Lb=:=AL}');
Expect(1, 129197, '\p{Lb=al}', "");
Expect(0, 129197, '\p{^Lb=al}', "");
Expect(0, 129197, '\P{Lb=al}', "");
Expect(1, 129197, '\P{^Lb=al}', "");
Expect(0, 129198, '\p{Lb=al}', "");
Expect(1, 129198, '\p{^Lb=al}', "");
Expect(1, 129198, '\P{Lb=al}', "");
Expect(0, 129198, '\P{^Lb=al}', "");
Expect(1, 129197, '\p{Lb=_ AL}', "");
Expect(0, 129197, '\p{^Lb=_ AL}', "");
Expect(0, 129197, '\P{Lb=_ AL}', "");
Expect(1, 129197, '\P{^Lb=_ AL}', "");
Expect(0, 129198, '\p{Lb=_ AL}', "");
Expect(1, 129198, '\p{^Lb=_ AL}', "");
Expect(1, 129198, '\P{Lb=_ AL}', "");
Expect(0, 129198, '\P{^Lb=_ AL}', "");
Error('\p{Is_Line_Break:   -:=Alphabetic}');
Error('\P{Is_Line_Break:   -:=Alphabetic}');
Expect(1, 129197, '\p{Is_Line_Break=alphabetic}', "");
Expect(0, 129197, '\p{^Is_Line_Break=alphabetic}', "");
Expect(0, 129197, '\P{Is_Line_Break=alphabetic}', "");
Expect(1, 129197, '\P{^Is_Line_Break=alphabetic}', "");
Expect(0, 129198, '\p{Is_Line_Break=alphabetic}', "");
Expect(1, 129198, '\p{^Is_Line_Break=alphabetic}', "");
Expect(1, 129198, '\P{Is_Line_Break=alphabetic}', "");
Expect(0, 129198, '\P{^Is_Line_Break=alphabetic}', "");
Expect(1, 129197, '\p{Is_Line_Break=	ALPHABETIC}', "");
Expect(0, 129197, '\p{^Is_Line_Break=	ALPHABETIC}', "");
Expect(0, 129197, '\P{Is_Line_Break=	ALPHABETIC}', "");
Expect(1, 129197, '\P{^Is_Line_Break=	ALPHABETIC}', "");
Expect(0, 129198, '\p{Is_Line_Break=	ALPHABETIC}', "");
Expect(1, 129198, '\p{^Is_Line_Break=	ALPHABETIC}', "");
Expect(1, 129198, '\P{Is_Line_Break=	ALPHABETIC}', "");
Expect(0, 129198, '\P{^Is_Line_Break=	ALPHABETIC}', "");
Error('\p{Is_Lb=  AL/a/}');
Error('\P{Is_Lb=  AL/a/}');
Expect(1, 129197, '\p{Is_Lb=al}', "");
Expect(0, 129197, '\p{^Is_Lb=al}', "");
Expect(0, 129197, '\P{Is_Lb=al}', "");
Expect(1, 129197, '\P{^Is_Lb=al}', "");
Expect(0, 129198, '\p{Is_Lb=al}', "");
Expect(1, 129198, '\p{^Is_Lb=al}', "");
Expect(1, 129198, '\P{Is_Lb=al}', "");
Expect(0, 129198, '\P{^Is_Lb=al}', "");
Expect(1, 129197, '\p{Is_Lb=-	AL}', "");
Expect(0, 129197, '\p{^Is_Lb=-	AL}', "");
Expect(0, 129197, '\P{Is_Lb=-	AL}', "");
Expect(1, 129197, '\P{^Is_Lb=-	AL}', "");
Expect(0, 129198, '\p{Is_Lb=-	AL}', "");
Expect(1, 129198, '\p{^Is_Lb=-	AL}', "");
Expect(1, 129198, '\P{Is_Lb=-	AL}', "");
Expect(0, 129198, '\P{^Is_Lb=-	AL}', "");
Error('\p{Line_Break=_BREAK_both:=}');
Error('\P{Line_Break=_BREAK_both:=}');
Expect(1, 11835, '\p{Line_Break=breakboth}', "");
Expect(0, 11835, '\p{^Line_Break=breakboth}', "");
Expect(0, 11835, '\P{Line_Break=breakboth}', "");
Expect(1, 11835, '\P{^Line_Break=breakboth}', "");
Expect(0, 11836, '\p{Line_Break=breakboth}', "");
Expect(1, 11836, '\p{^Line_Break=breakboth}', "");
Expect(1, 11836, '\P{Line_Break=breakboth}', "");
Expect(0, 11836, '\P{^Line_Break=breakboth}', "");
Expect(1, 11835, '\p{Line_Break=_Break_BOTH}', "");
Expect(0, 11835, '\p{^Line_Break=_Break_BOTH}', "");
Expect(0, 11835, '\P{Line_Break=_Break_BOTH}', "");
Expect(1, 11835, '\P{^Line_Break=_Break_BOTH}', "");
Expect(0, 11836, '\p{Line_Break=_Break_BOTH}', "");
Expect(1, 11836, '\p{^Line_Break=_Break_BOTH}', "");
Expect(1, 11836, '\P{Line_Break=_Break_BOTH}', "");
Expect(0, 11836, '\P{^Line_Break=_Break_BOTH}', "");
Error('\p{Lb=	:=B2}');
Error('\P{Lb=	:=B2}');
Expect(1, 11835, '\p{Lb=b2}', "");
Expect(0, 11835, '\p{^Lb=b2}', "");
Expect(0, 11835, '\P{Lb=b2}', "");
Expect(1, 11835, '\P{^Lb=b2}', "");
Expect(0, 11836, '\p{Lb=b2}', "");
Expect(1, 11836, '\p{^Lb=b2}', "");
Expect(1, 11836, '\P{Lb=b2}', "");
Expect(0, 11836, '\P{^Lb=b2}', "");
Expect(1, 11835, '\p{Lb=_b2}', "");
Expect(0, 11835, '\p{^Lb=_b2}', "");
Expect(0, 11835, '\P{Lb=_b2}', "");
Expect(1, 11835, '\P{^Lb=_b2}', "");
Expect(0, 11836, '\p{Lb=_b2}', "");
Expect(1, 11836, '\p{^Lb=_b2}', "");
Expect(1, 11836, '\P{Lb=_b2}', "");
Expect(0, 11836, '\P{^Lb=_b2}', "");
Error('\p{Is_Line_Break=	Break_Both:=}');
Error('\P{Is_Line_Break=	Break_Both:=}');
Expect(1, 11835, '\p{Is_Line_Break=breakboth}', "");
Expect(0, 11835, '\p{^Is_Line_Break=breakboth}', "");
Expect(0, 11835, '\P{Is_Line_Break=breakboth}', "");
Expect(1, 11835, '\P{^Is_Line_Break=breakboth}', "");
Expect(0, 11836, '\p{Is_Line_Break=breakboth}', "");
Expect(1, 11836, '\p{^Is_Line_Break=breakboth}', "");
Expect(1, 11836, '\P{Is_Line_Break=breakboth}', "");
Expect(0, 11836, '\P{^Is_Line_Break=breakboth}', "");
Expect(1, 11835, '\p{Is_Line_Break= 	BREAK_BOTH}', "");
Expect(0, 11835, '\p{^Is_Line_Break= 	BREAK_BOTH}', "");
Expect(0, 11835, '\P{Is_Line_Break= 	BREAK_BOTH}', "");
Expect(1, 11835, '\P{^Is_Line_Break= 	BREAK_BOTH}', "");
Expect(0, 11836, '\p{Is_Line_Break= 	BREAK_BOTH}', "");
Expect(1, 11836, '\p{^Is_Line_Break= 	BREAK_BOTH}', "");
Expect(1, 11836, '\P{Is_Line_Break= 	BREAK_BOTH}', "");
Expect(0, 11836, '\P{^Is_Line_Break= 	BREAK_BOTH}', "");
Error('\p{Is_Lb=_/a/B2}');
Error('\P{Is_Lb=_/a/B2}');
Expect(1, 11835, '\p{Is_Lb=b2}', "");
Expect(0, 11835, '\p{^Is_Lb=b2}', "");
Expect(0, 11835, '\P{Is_Lb=b2}', "");
Expect(1, 11835, '\P{^Is_Lb=b2}', "");
Expect(0, 11836, '\p{Is_Lb=b2}', "");
Expect(1, 11836, '\p{^Is_Lb=b2}', "");
Expect(1, 11836, '\P{Is_Lb=b2}', "");
Expect(0, 11836, '\P{^Is_Lb=b2}', "");
Expect(1, 11835, '\p{Is_Lb=__B2}', "");
Expect(0, 11835, '\p{^Is_Lb=__B2}', "");
Expect(0, 11835, '\P{Is_Lb=__B2}', "");
Expect(1, 11835, '\P{^Is_Lb=__B2}', "");
Expect(0, 11836, '\p{Is_Lb=__B2}', "");
Expect(1, 11836, '\p{^Is_Lb=__B2}', "");
Expect(1, 11836, '\P{Is_Lb=__B2}', "");
Expect(0, 11836, '\P{^Is_Lb=__B2}', "");
Error('\p{Line_Break=:=  break_after}');
Error('\P{Line_Break=:=  break_after}');
Expect(1, 113823, '\p{Line_Break=breakafter}', "");
Expect(0, 113823, '\p{^Line_Break=breakafter}', "");
Expect(0, 113823, '\P{Line_Break=breakafter}', "");
Expect(1, 113823, '\P{^Line_Break=breakafter}', "");
Expect(0, 113824, '\p{Line_Break=breakafter}', "");
Expect(1, 113824, '\p{^Line_Break=breakafter}', "");
Expect(1, 113824, '\P{Line_Break=breakafter}', "");
Expect(0, 113824, '\P{^Line_Break=breakafter}', "");
Expect(1, 113823, '\p{Line_Break= break_After}', "");
Expect(0, 113823, '\p{^Line_Break= break_After}', "");
Expect(0, 113823, '\P{Line_Break= break_After}', "");
Expect(1, 113823, '\P{^Line_Break= break_After}', "");
Expect(0, 113824, '\p{Line_Break= break_After}', "");
Expect(1, 113824, '\p{^Line_Break= break_After}', "");
Expect(1, 113824, '\P{Line_Break= break_After}', "");
Expect(0, 113824, '\P{^Line_Break= break_After}', "");
Error('\p{Lb=_:=BA}');
Error('\P{Lb=_:=BA}');
Expect(1, 113823, '\p{Lb=ba}', "");
Expect(0, 113823, '\p{^Lb=ba}', "");
Expect(0, 113823, '\P{Lb=ba}', "");
Expect(1, 113823, '\P{^Lb=ba}', "");
Expect(0, 113824, '\p{Lb=ba}', "");
Expect(1, 113824, '\p{^Lb=ba}', "");
Expect(1, 113824, '\P{Lb=ba}', "");
Expect(0, 113824, '\P{^Lb=ba}', "");
Expect(1, 113823, '\p{Lb=BA}', "");
Expect(0, 113823, '\p{^Lb=BA}', "");
Expect(0, 113823, '\P{Lb=BA}', "");
Expect(1, 113823, '\P{^Lb=BA}', "");
Expect(0, 113824, '\p{Lb=BA}', "");
Expect(1, 113824, '\p{^Lb=BA}', "");
Expect(1, 113824, '\P{Lb=BA}', "");
Expect(0, 113824, '\P{^Lb=BA}', "");
Error('\p{Is_Line_Break=:=-_Break_After}');
Error('\P{Is_Line_Break=:=-_Break_After}');
Expect(1, 113823, '\p{Is_Line_Break=breakafter}', "");
Expect(0, 113823, '\p{^Is_Line_Break=breakafter}', "");
Expect(0, 113823, '\P{Is_Line_Break=breakafter}', "");
Expect(1, 113823, '\P{^Is_Line_Break=breakafter}', "");
Expect(0, 113824, '\p{Is_Line_Break=breakafter}', "");
Expect(1, 113824, '\p{^Is_Line_Break=breakafter}', "");
Expect(1, 113824, '\P{Is_Line_Break=breakafter}', "");
Expect(0, 113824, '\P{^Is_Line_Break=breakafter}', "");
Expect(1, 113823, '\p{Is_Line_Break:		 BREAK_AFTER}', "");
Expect(0, 113823, '\p{^Is_Line_Break:		 BREAK_AFTER}', "");
Expect(0, 113823, '\P{Is_Line_Break:		 BREAK_AFTER}', "");
Expect(1, 113823, '\P{^Is_Line_Break:		 BREAK_AFTER}', "");
Expect(0, 113824, '\p{Is_Line_Break:		 BREAK_AFTER}', "");
Expect(1, 113824, '\p{^Is_Line_Break:		 BREAK_AFTER}', "");
Expect(1, 113824, '\P{Is_Line_Break:		 BREAK_AFTER}', "");
Expect(0, 113824, '\P{^Is_Line_Break:		 BREAK_AFTER}', "");
Error('\p{Is_Lb=:=	 BA}');
Error('\P{Is_Lb=:=	 BA}');
Expect(1, 113823, '\p{Is_Lb=ba}', "");
Expect(0, 113823, '\p{^Is_Lb=ba}', "");
Expect(0, 113823, '\P{Is_Lb=ba}', "");
Expect(1, 113823, '\P{^Is_Lb=ba}', "");
Expect(0, 113824, '\p{Is_Lb=ba}', "");
Expect(1, 113824, '\p{^Is_Lb=ba}', "");
Expect(1, 113824, '\P{Is_Lb=ba}', "");
Expect(0, 113824, '\P{^Is_Lb=ba}', "");
Expect(1, 113823, '\p{Is_Lb=-BA}', "");
Expect(0, 113823, '\p{^Is_Lb=-BA}', "");
Expect(0, 113823, '\P{Is_Lb=-BA}', "");
Expect(1, 113823, '\P{^Is_Lb=-BA}', "");
Expect(0, 113824, '\p{Is_Lb=-BA}', "");
Expect(1, 113824, '\p{^Is_Lb=-BA}', "");
Expect(1, 113824, '\P{Is_Lb=-BA}', "");
Expect(0, 113824, '\P{^Is_Lb=-BA}', "");
Error('\p{Line_Break= break_Before:=}');
Error('\P{Line_Break= break_Before:=}');
Expect(1, 71105, '\p{Line_Break=breakbefore}', "");
Expect(0, 71105, '\p{^Line_Break=breakbefore}', "");
Expect(0, 71105, '\P{Line_Break=breakbefore}', "");
Expect(1, 71105, '\P{^Line_Break=breakbefore}', "");
Expect(0, 71106, '\p{Line_Break=breakbefore}', "");
Expect(1, 71106, '\p{^Line_Break=breakbefore}', "");
Expect(1, 71106, '\P{Line_Break=breakbefore}', "");
Expect(0, 71106, '\P{^Line_Break=breakbefore}', "");
Expect(1, 71105, '\p{Line_Break:	_break_before}', "");
Expect(0, 71105, '\p{^Line_Break:	_break_before}', "");
Expect(0, 71105, '\P{Line_Break:	_break_before}', "");
Expect(1, 71105, '\P{^Line_Break:	_break_before}', "");
Expect(0, 71106, '\p{Line_Break:	_break_before}', "");
Expect(1, 71106, '\p{^Line_Break:	_break_before}', "");
Expect(1, 71106, '\P{Line_Break:	_break_before}', "");
Expect(0, 71106, '\P{^Line_Break:	_break_before}', "");
Error('\p{Lb=-/a/BB}');
Error('\P{Lb=-/a/BB}');
Expect(1, 71105, '\p{Lb=bb}', "");
Expect(0, 71105, '\p{^Lb=bb}', "");
Expect(0, 71105, '\P{Lb=bb}', "");
Expect(1, 71105, '\P{^Lb=bb}', "");
Expect(0, 71106, '\p{Lb=bb}', "");
Expect(1, 71106, '\p{^Lb=bb}', "");
Expect(1, 71106, '\P{Lb=bb}', "");
Expect(0, 71106, '\P{^Lb=bb}', "");
Expect(1, 71105, '\p{Lb=-_BB}', "");
Expect(0, 71105, '\p{^Lb=-_BB}', "");
Expect(0, 71105, '\P{Lb=-_BB}', "");
Expect(1, 71105, '\P{^Lb=-_BB}', "");
Expect(0, 71106, '\p{Lb=-_BB}', "");
Expect(1, 71106, '\p{^Lb=-_BB}', "");
Expect(1, 71106, '\P{Lb=-_BB}', "");
Expect(0, 71106, '\P{^Lb=-_BB}', "");
Error('\p{Is_Line_Break= _break_Before:=}');
Error('\P{Is_Line_Break= _break_Before:=}');
Expect(1, 71105, '\p{Is_Line_Break=breakbefore}', "");
Expect(0, 71105, '\p{^Is_Line_Break=breakbefore}', "");
Expect(0, 71105, '\P{Is_Line_Break=breakbefore}', "");
Expect(1, 71105, '\P{^Is_Line_Break=breakbefore}', "");
Expect(0, 71106, '\p{Is_Line_Break=breakbefore}', "");
Expect(1, 71106, '\p{^Is_Line_Break=breakbefore}', "");
Expect(1, 71106, '\P{Is_Line_Break=breakbefore}', "");
Expect(0, 71106, '\P{^Is_Line_Break=breakbefore}', "");
Expect(1, 71105, '\p{Is_Line_Break=-Break_before}', "");
Expect(0, 71105, '\p{^Is_Line_Break=-Break_before}', "");
Expect(0, 71105, '\P{Is_Line_Break=-Break_before}', "");
Expect(1, 71105, '\P{^Is_Line_Break=-Break_before}', "");
Expect(0, 71106, '\p{Is_Line_Break=-Break_before}', "");
Expect(1, 71106, '\p{^Is_Line_Break=-Break_before}', "");
Expect(1, 71106, '\P{Is_Line_Break=-Break_before}', "");
Expect(0, 71106, '\P{^Is_Line_Break=-Break_before}', "");
Error('\p{Is_Lb=/a/	BB}');
Error('\P{Is_Lb=/a/	BB}');
Expect(1, 71105, '\p{Is_Lb=bb}', "");
Expect(0, 71105, '\p{^Is_Lb=bb}', "");
Expect(0, 71105, '\P{Is_Lb=bb}', "");
Expect(1, 71105, '\P{^Is_Lb=bb}', "");
Expect(0, 71106, '\p{Is_Lb=bb}', "");
Expect(1, 71106, '\p{^Is_Lb=bb}', "");
Expect(1, 71106, '\P{Is_Lb=bb}', "");
Expect(0, 71106, '\P{^Is_Lb=bb}', "");
Expect(1, 71105, '\p{Is_Lb:     bb}', "");
Expect(0, 71105, '\p{^Is_Lb:     bb}', "");
Expect(0, 71105, '\P{Is_Lb:     bb}', "");
Expect(1, 71105, '\P{^Is_Lb:     bb}', "");
Expect(0, 71106, '\p{Is_Lb:     bb}', "");
Expect(1, 71106, '\p{^Is_Lb:     bb}', "");
Expect(1, 71106, '\P{Is_Lb:     bb}', "");
Expect(0, 71106, '\P{^Is_Lb:     bb}', "");
Error('\p{Line_Break=:=- Mandatory_BREAK}');
Error('\P{Line_Break=:=- Mandatory_BREAK}');
Expect(1, 8233, '\p{Line_Break=mandatorybreak}', "");
Expect(0, 8233, '\p{^Line_Break=mandatorybreak}', "");
Expect(0, 8233, '\P{Line_Break=mandatorybreak}', "");
Expect(1, 8233, '\P{^Line_Break=mandatorybreak}', "");
Expect(0, 8234, '\p{Line_Break=mandatorybreak}', "");
Expect(1, 8234, '\p{^Line_Break=mandatorybreak}', "");
Expect(1, 8234, '\P{Line_Break=mandatorybreak}', "");
Expect(0, 8234, '\P{^Line_Break=mandatorybreak}', "");
Expect(1, 8233, '\p{Line_Break:  Mandatory_break}', "");
Expect(0, 8233, '\p{^Line_Break:  Mandatory_break}', "");
Expect(0, 8233, '\P{Line_Break:  Mandatory_break}', "");
Expect(1, 8233, '\P{^Line_Break:  Mandatory_break}', "");
Expect(0, 8234, '\p{Line_Break:  Mandatory_break}', "");
Expect(1, 8234, '\p{^Line_Break:  Mandatory_break}', "");
Expect(1, 8234, '\P{Line_Break:  Mandatory_break}', "");
Expect(0, 8234, '\P{^Line_Break:  Mandatory_break}', "");
Error('\p{Lb=-	BK:=}');
Error('\P{Lb=-	BK:=}');
Expect(1, 8233, '\p{Lb=bk}', "");
Expect(0, 8233, '\p{^Lb=bk}', "");
Expect(0, 8233, '\P{Lb=bk}', "");
Expect(1, 8233, '\P{^Lb=bk}', "");
Expect(0, 8234, '\p{Lb=bk}', "");
Expect(1, 8234, '\p{^Lb=bk}', "");
Expect(1, 8234, '\P{Lb=bk}', "");
Expect(0, 8234, '\P{^Lb=bk}', "");
Expect(1, 8233, '\p{Lb=--bk}', "");
Expect(0, 8233, '\p{^Lb=--bk}', "");
Expect(0, 8233, '\P{Lb=--bk}', "");
Expect(1, 8233, '\P{^Lb=--bk}', "");
Expect(0, 8234, '\p{Lb=--bk}', "");
Expect(1, 8234, '\p{^Lb=--bk}', "");
Expect(1, 8234, '\P{Lb=--bk}', "");
Expect(0, 8234, '\P{^Lb=--bk}', "");
Error('\p{Is_Line_Break=:= 	MANDATORY_Break}');
Error('\P{Is_Line_Break=:= 	MANDATORY_Break}');
Expect(1, 8233, '\p{Is_Line_Break=mandatorybreak}', "");
Expect(0, 8233, '\p{^Is_Line_Break=mandatorybreak}', "");
Expect(0, 8233, '\P{Is_Line_Break=mandatorybreak}', "");
Expect(1, 8233, '\P{^Is_Line_Break=mandatorybreak}', "");
Expect(0, 8234, '\p{Is_Line_Break=mandatorybreak}', "");
Expect(1, 8234, '\p{^Is_Line_Break=mandatorybreak}', "");
Expect(1, 8234, '\P{Is_Line_Break=mandatorybreak}', "");
Expect(0, 8234, '\P{^Is_Line_Break=mandatorybreak}', "");
Expect(1, 8233, '\p{Is_Line_Break=_	Mandatory_BREAK}', "");
Expect(0, 8233, '\p{^Is_Line_Break=_	Mandatory_BREAK}', "");
Expect(0, 8233, '\P{Is_Line_Break=_	Mandatory_BREAK}', "");
Expect(1, 8233, '\P{^Is_Line_Break=_	Mandatory_BREAK}', "");
Expect(0, 8234, '\p{Is_Line_Break=_	Mandatory_BREAK}', "");
Expect(1, 8234, '\p{^Is_Line_Break=_	Mandatory_BREAK}', "");
Expect(1, 8234, '\P{Is_Line_Break=_	Mandatory_BREAK}', "");
Expect(0, 8234, '\P{^Is_Line_Break=_	Mandatory_BREAK}', "");
Error('\p{Is_Lb: :=	-BK}');
Error('\P{Is_Lb: :=	-BK}');
Expect(1, 8233, '\p{Is_Lb:   bk}', "");
Expect(0, 8233, '\p{^Is_Lb:   bk}', "");
Expect(0, 8233, '\P{Is_Lb:   bk}', "");
Expect(1, 8233, '\P{^Is_Lb:   bk}', "");
Expect(0, 8234, '\p{Is_Lb:   bk}', "");
Expect(1, 8234, '\p{^Is_Lb:   bk}', "");
Expect(1, 8234, '\P{Is_Lb:   bk}', "");
Expect(0, 8234, '\P{^Is_Lb:   bk}', "");
Expect(1, 8233, '\p{Is_Lb= BK}', "");
Expect(0, 8233, '\p{^Is_Lb= BK}', "");
Expect(0, 8233, '\P{Is_Lb= BK}', "");
Expect(1, 8233, '\P{^Is_Lb= BK}', "");
Expect(0, 8234, '\p{Is_Lb= BK}', "");
Expect(1, 8234, '\p{^Is_Lb= BK}', "");
Expect(1, 8234, '\P{Is_Lb= BK}', "");
Expect(0, 8234, '\P{^Is_Lb= BK}', "");
Error('\p{Line_Break=/a/_	Contingent_BREAK}');
Error('\P{Line_Break=/a/_	Contingent_BREAK}');
Expect(1, 65532, '\p{Line_Break=contingentbreak}', "");
Expect(0, 65532, '\p{^Line_Break=contingentbreak}', "");
Expect(0, 65532, '\P{Line_Break=contingentbreak}', "");
Expect(1, 65532, '\P{^Line_Break=contingentbreak}', "");
Expect(0, 65533, '\p{Line_Break=contingentbreak}', "");
Expect(1, 65533, '\p{^Line_Break=contingentbreak}', "");
Expect(1, 65533, '\P{Line_Break=contingentbreak}', "");
Expect(0, 65533, '\P{^Line_Break=contingentbreak}', "");
Expect(1, 65532, '\p{Line_Break=-_CONTINGENT_BREAK}', "");
Expect(0, 65532, '\p{^Line_Break=-_CONTINGENT_BREAK}', "");
Expect(0, 65532, '\P{Line_Break=-_CONTINGENT_BREAK}', "");
Expect(1, 65532, '\P{^Line_Break=-_CONTINGENT_BREAK}', "");
Expect(0, 65533, '\p{Line_Break=-_CONTINGENT_BREAK}', "");
Expect(1, 65533, '\p{^Line_Break=-_CONTINGENT_BREAK}', "");
Expect(1, 65533, '\P{Line_Break=-_CONTINGENT_BREAK}', "");
Expect(0, 65533, '\P{^Line_Break=-_CONTINGENT_BREAK}', "");
Error('\p{Lb=/a/_-cb}');
Error('\P{Lb=/a/_-cb}');
Expect(1, 65532, '\p{Lb=cb}', "");
Expect(0, 65532, '\p{^Lb=cb}', "");
Expect(0, 65532, '\P{Lb=cb}', "");
Expect(1, 65532, '\P{^Lb=cb}', "");
Expect(0, 65533, '\p{Lb=cb}', "");
Expect(1, 65533, '\p{^Lb=cb}', "");
Expect(1, 65533, '\P{Lb=cb}', "");
Expect(0, 65533, '\P{^Lb=cb}', "");
Expect(1, 65532, '\p{Lb=--CB}', "");
Expect(0, 65532, '\p{^Lb=--CB}', "");
Expect(0, 65532, '\P{Lb=--CB}', "");
Expect(1, 65532, '\P{^Lb=--CB}', "");
Expect(0, 65533, '\p{Lb=--CB}', "");
Expect(1, 65533, '\p{^Lb=--CB}', "");
Expect(1, 65533, '\P{Lb=--CB}', "");
Expect(0, 65533, '\P{^Lb=--CB}', "");
Error('\p{Is_Line_Break=_Contingent_break:=}');
Error('\P{Is_Line_Break=_Contingent_break:=}');
Expect(1, 65532, '\p{Is_Line_Break:	contingentbreak}', "");
Expect(0, 65532, '\p{^Is_Line_Break:	contingentbreak}', "");
Expect(0, 65532, '\P{Is_Line_Break:	contingentbreak}', "");
Expect(1, 65532, '\P{^Is_Line_Break:	contingentbreak}', "");
Expect(0, 65533, '\p{Is_Line_Break:	contingentbreak}', "");
Expect(1, 65533, '\p{^Is_Line_Break:	contingentbreak}', "");
Expect(1, 65533, '\P{Is_Line_Break:	contingentbreak}', "");
Expect(0, 65533, '\P{^Is_Line_Break:	contingentbreak}', "");
Expect(1, 65532, '\p{Is_Line_Break= Contingent_BREAK}', "");
Expect(0, 65532, '\p{^Is_Line_Break= Contingent_BREAK}', "");
Expect(0, 65532, '\P{Is_Line_Break= Contingent_BREAK}', "");
Expect(1, 65532, '\P{^Is_Line_Break= Contingent_BREAK}', "");
Expect(0, 65533, '\p{Is_Line_Break= Contingent_BREAK}', "");
Expect(1, 65533, '\p{^Is_Line_Break= Contingent_BREAK}', "");
Expect(1, 65533, '\P{Is_Line_Break= Contingent_BREAK}', "");
Expect(0, 65533, '\P{^Is_Line_Break= Contingent_BREAK}', "");
Error('\p{Is_Lb=	:=cb}');
Error('\P{Is_Lb=	:=cb}');
Expect(1, 65532, '\p{Is_Lb=cb}', "");
Expect(0, 65532, '\p{^Is_Lb=cb}', "");
Expect(0, 65532, '\P{Is_Lb=cb}', "");
Expect(1, 65532, '\P{^Is_Lb=cb}', "");
Expect(0, 65533, '\p{Is_Lb=cb}', "");
Expect(1, 65533, '\p{^Is_Lb=cb}', "");
Expect(1, 65533, '\P{Is_Lb=cb}', "");
Expect(0, 65533, '\P{^Is_Lb=cb}', "");
Expect(1, 65532, '\p{Is_Lb:	-_CB}', "");
Expect(0, 65532, '\p{^Is_Lb:	-_CB}', "");
Expect(0, 65532, '\P{Is_Lb:	-_CB}', "");
Expect(1, 65532, '\P{^Is_Lb:	-_CB}', "");
Expect(0, 65533, '\p{Is_Lb:	-_CB}', "");
Expect(1, 65533, '\p{^Is_Lb:	-_CB}', "");
Expect(1, 65533, '\P{Is_Lb:	-_CB}', "");
Expect(0, 65533, '\P{^Is_Lb:	-_CB}', "");
Error('\p{Line_Break=/a/		conditional_JAPANESE_STARTER}');
Error('\P{Line_Break=/a/		conditional_JAPANESE_STARTER}');
Expect(1, 65392, '\p{Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65392, '\p{^Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65392, '\P{Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65392, '\P{^Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65393, '\p{Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65393, '\p{^Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65393, '\P{Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65393, '\P{^Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65392, '\p{Line_Break=_ CONDITIONAL_japanese_Starter}', "");
Expect(0, 65392, '\p{^Line_Break=_ CONDITIONAL_japanese_Starter}', "");
Expect(0, 65392, '\P{Line_Break=_ CONDITIONAL_japanese_Starter}', "");
Expect(1, 65392, '\P{^Line_Break=_ CONDITIONAL_japanese_Starter}', "");
Expect(0, 65393, '\p{Line_Break=_ CONDITIONAL_japanese_Starter}', "");
Expect(1, 65393, '\p{^Line_Break=_ CONDITIONAL_japanese_Starter}', "");
Expect(1, 65393, '\P{Line_Break=_ CONDITIONAL_japanese_Starter}', "");
Expect(0, 65393, '\P{^Line_Break=_ CONDITIONAL_japanese_Starter}', "");
Error('\p{Lb=-:=CJ}');
Error('\P{Lb=-:=CJ}');
Expect(1, 65392, '\p{Lb=cj}', "");
Expect(0, 65392, '\p{^Lb=cj}', "");
Expect(0, 65392, '\P{Lb=cj}', "");
Expect(1, 65392, '\P{^Lb=cj}', "");
Expect(0, 65393, '\p{Lb=cj}', "");
Expect(1, 65393, '\p{^Lb=cj}', "");
Expect(1, 65393, '\P{Lb=cj}', "");
Expect(0, 65393, '\P{^Lb=cj}', "");
Expect(1, 65392, '\p{Lb= _CJ}', "");
Expect(0, 65392, '\p{^Lb= _CJ}', "");
Expect(0, 65392, '\P{Lb= _CJ}', "");
Expect(1, 65392, '\P{^Lb= _CJ}', "");
Expect(0, 65393, '\p{Lb= _CJ}', "");
Expect(1, 65393, '\p{^Lb= _CJ}', "");
Expect(1, 65393, '\P{Lb= _CJ}', "");
Expect(0, 65393, '\P{^Lb= _CJ}', "");
Error('\p{Is_Line_Break=:= CONDITIONAL_japanese_STARTER}');
Error('\P{Is_Line_Break=:= CONDITIONAL_japanese_STARTER}');
Expect(1, 65392, '\p{Is_Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65392, '\p{^Is_Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65392, '\P{Is_Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65392, '\P{^Is_Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65393, '\p{Is_Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65393, '\p{^Is_Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65393, '\P{Is_Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65393, '\P{^Is_Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65392, '\p{Is_Line_Break=-_CONDITIONAL_japanese_STARTER}', "");
Expect(0, 65392, '\p{^Is_Line_Break=-_CONDITIONAL_japanese_STARTER}', "");
Expect(0, 65392, '\P{Is_Line_Break=-_CONDITIONAL_japanese_STARTER}', "");
Expect(1, 65392, '\P{^Is_Line_Break=-_CONDITIONAL_japanese_STARTER}', "");
Expect(0, 65393, '\p{Is_Line_Break=-_CONDITIONAL_japanese_STARTER}', "");
Expect(1, 65393, '\p{^Is_Line_Break=-_CONDITIONAL_japanese_STARTER}', "");
Expect(1, 65393, '\P{Is_Line_Break=-_CONDITIONAL_japanese_STARTER}', "");
Expect(0, 65393, '\P{^Is_Line_Break=-_CONDITIONAL_japanese_STARTER}', "");
Error('\p{Is_Lb=/a/-CJ}');
Error('\P{Is_Lb=/a/-CJ}');
Expect(1, 65392, '\p{Is_Lb=cj}', "");
Expect(0, 65392, '\p{^Is_Lb=cj}', "");
Expect(0, 65392, '\P{Is_Lb=cj}', "");
Expect(1, 65392, '\P{^Is_Lb=cj}', "");
Expect(0, 65393, '\p{Is_Lb=cj}', "");
Expect(1, 65393, '\p{^Is_Lb=cj}', "");
Expect(1, 65393, '\P{Is_Lb=cj}', "");
Expect(0, 65393, '\P{^Is_Lb=cj}', "");
Expect(1, 65392, '\p{Is_Lb: --cj}', "");
Expect(0, 65392, '\p{^Is_Lb: --cj}', "");
Expect(0, 65392, '\P{Is_Lb: --cj}', "");
Expect(1, 65392, '\P{^Is_Lb: --cj}', "");
Expect(0, 65393, '\p{Is_Lb: --cj}', "");
Expect(1, 65393, '\p{^Is_Lb: --cj}', "");
Expect(1, 65393, '\P{Is_Lb: --cj}', "");
Expect(0, 65393, '\P{^Is_Lb: --cj}', "");
Error('\p{Line_Break=:=-Close_PUNCTUATION}');
Error('\P{Line_Break=:=-Close_PUNCTUATION}');
Expect(1, 78715, '\p{Line_Break: closepunctuation}', "");
Expect(0, 78715, '\p{^Line_Break: closepunctuation}', "");
Expect(0, 78715, '\P{Line_Break: closepunctuation}', "");
Expect(1, 78715, '\P{^Line_Break: closepunctuation}', "");
Expect(0, 78716, '\p{Line_Break: closepunctuation}', "");
Expect(1, 78716, '\p{^Line_Break: closepunctuation}', "");
Expect(1, 78716, '\P{Line_Break: closepunctuation}', "");
Expect(0, 78716, '\P{^Line_Break: closepunctuation}', "");
Expect(1, 78715, '\p{Line_Break=_ Close_PUNCTUATION}', "");
Expect(0, 78715, '\p{^Line_Break=_ Close_PUNCTUATION}', "");
Expect(0, 78715, '\P{Line_Break=_ Close_PUNCTUATION}', "");
Expect(1, 78715, '\P{^Line_Break=_ Close_PUNCTUATION}', "");
Expect(0, 78716, '\p{Line_Break=_ Close_PUNCTUATION}', "");
Expect(1, 78716, '\p{^Line_Break=_ Close_PUNCTUATION}', "");
Expect(1, 78716, '\P{Line_Break=_ Close_PUNCTUATION}', "");
Expect(0, 78716, '\P{^Line_Break=_ Close_PUNCTUATION}', "");
Error('\p{Lb=_:=CL}');
Error('\P{Lb=_:=CL}');
Expect(1, 78715, '\p{Lb=cl}', "");
Expect(0, 78715, '\p{^Lb=cl}', "");
Expect(0, 78715, '\P{Lb=cl}', "");
Expect(1, 78715, '\P{^Lb=cl}', "");
Expect(0, 78716, '\p{Lb=cl}', "");
Expect(1, 78716, '\p{^Lb=cl}', "");
Expect(1, 78716, '\P{Lb=cl}', "");
Expect(0, 78716, '\P{^Lb=cl}', "");
Expect(1, 78715, '\p{Lb=--CL}', "");
Expect(0, 78715, '\p{^Lb=--CL}', "");
Expect(0, 78715, '\P{Lb=--CL}', "");
Expect(1, 78715, '\P{^Lb=--CL}', "");
Expect(0, 78716, '\p{Lb=--CL}', "");
Expect(1, 78716, '\p{^Lb=--CL}', "");
Expect(1, 78716, '\P{Lb=--CL}', "");
Expect(0, 78716, '\P{^Lb=--CL}', "");
Error('\p{Is_Line_Break=-	Close_PUNCTUATION:=}');
Error('\P{Is_Line_Break=-	Close_PUNCTUATION:=}');
Expect(1, 78715, '\p{Is_Line_Break: closepunctuation}', "");
Expect(0, 78715, '\p{^Is_Line_Break: closepunctuation}', "");
Expect(0, 78715, '\P{Is_Line_Break: closepunctuation}', "");
Expect(1, 78715, '\P{^Is_Line_Break: closepunctuation}', "");
Expect(0, 78716, '\p{Is_Line_Break: closepunctuation}', "");
Expect(1, 78716, '\p{^Is_Line_Break: closepunctuation}', "");
Expect(1, 78716, '\P{Is_Line_Break: closepunctuation}', "");
Expect(0, 78716, '\P{^Is_Line_Break: closepunctuation}', "");
Expect(1, 78715, '\p{Is_Line_Break= Close_PUNCTUATION}', "");
Expect(0, 78715, '\p{^Is_Line_Break= Close_PUNCTUATION}', "");
Expect(0, 78715, '\P{Is_Line_Break= Close_PUNCTUATION}', "");
Expect(1, 78715, '\P{^Is_Line_Break= Close_PUNCTUATION}', "");
Expect(0, 78716, '\p{Is_Line_Break= Close_PUNCTUATION}', "");
Expect(1, 78716, '\p{^Is_Line_Break= Close_PUNCTUATION}', "");
Expect(1, 78716, '\P{Is_Line_Break= Close_PUNCTUATION}', "");
Expect(0, 78716, '\P{^Is_Line_Break= Close_PUNCTUATION}', "");
Error('\p{Is_Lb= _CL/a/}');
Error('\P{Is_Lb= _CL/a/}');
Expect(1, 78715, '\p{Is_Lb=cl}', "");
Expect(0, 78715, '\p{^Is_Lb=cl}', "");
Expect(0, 78715, '\P{Is_Lb=cl}', "");
Expect(1, 78715, '\P{^Is_Lb=cl}', "");
Expect(0, 78716, '\p{Is_Lb=cl}', "");
Expect(1, 78716, '\p{^Is_Lb=cl}', "");
Expect(1, 78716, '\P{Is_Lb=cl}', "");
Expect(0, 78716, '\P{^Is_Lb=cl}', "");
Expect(1, 78715, '\p{Is_Lb=-_cl}', "");
Expect(0, 78715, '\p{^Is_Lb=-_cl}', "");
Expect(0, 78715, '\P{Is_Lb=-_cl}', "");
Expect(1, 78715, '\P{^Is_Lb=-_cl}', "");
Expect(0, 78716, '\p{Is_Lb=-_cl}', "");
Expect(1, 78716, '\p{^Is_Lb=-_cl}', "");
Expect(1, 78716, '\P{Is_Lb=-_cl}', "");
Expect(0, 78716, '\P{^Is_Lb=-_cl}', "");
Error('\p{Line_Break=/a/COMBINING_MARK}');
Error('\P{Line_Break=/a/COMBINING_MARK}');
Expect(1, 917999, '\p{Line_Break=combiningmark}', "");
Expect(0, 917999, '\p{^Line_Break=combiningmark}', "");
Expect(0, 917999, '\P{Line_Break=combiningmark}', "");
Expect(1, 917999, '\P{^Line_Break=combiningmark}', "");
Expect(0, 918000, '\p{Line_Break=combiningmark}', "");
Expect(1, 918000, '\p{^Line_Break=combiningmark}', "");
Expect(1, 918000, '\P{Line_Break=combiningmark}', "");
Expect(0, 918000, '\P{^Line_Break=combiningmark}', "");
Expect(1, 917999, '\p{Line_Break=-_combining_Mark}', "");
Expect(0, 917999, '\p{^Line_Break=-_combining_Mark}', "");
Expect(0, 917999, '\P{Line_Break=-_combining_Mark}', "");
Expect(1, 917999, '\P{^Line_Break=-_combining_Mark}', "");
Expect(0, 918000, '\p{Line_Break=-_combining_Mark}', "");
Expect(1, 918000, '\p{^Line_Break=-_combining_Mark}', "");
Expect(1, 918000, '\P{Line_Break=-_combining_Mark}', "");
Expect(0, 918000, '\P{^Line_Break=-_combining_Mark}', "");
Error('\p{Lb=_:=cm}');
Error('\P{Lb=_:=cm}');
Expect(1, 917999, '\p{Lb:   cm}', "");
Expect(0, 917999, '\p{^Lb:   cm}', "");
Expect(0, 917999, '\P{Lb:   cm}', "");
Expect(1, 917999, '\P{^Lb:   cm}', "");
Expect(0, 918000, '\p{Lb:   cm}', "");
Expect(1, 918000, '\p{^Lb:   cm}', "");
Expect(1, 918000, '\P{Lb:   cm}', "");
Expect(0, 918000, '\P{^Lb:   cm}', "");
Expect(1, 917999, '\p{Lb=_CM}', "");
Expect(0, 917999, '\p{^Lb=_CM}', "");
Expect(0, 917999, '\P{Lb=_CM}', "");
Expect(1, 917999, '\P{^Lb=_CM}', "");
Expect(0, 918000, '\p{Lb=_CM}', "");
Expect(1, 918000, '\p{^Lb=_CM}', "");
Expect(1, 918000, '\P{Lb=_CM}', "");
Expect(0, 918000, '\P{^Lb=_CM}', "");
Error('\p{Is_Line_Break:   :=_Combining_Mark}');
Error('\P{Is_Line_Break:   :=_Combining_Mark}');
Expect(1, 917999, '\p{Is_Line_Break=combiningmark}', "");
Expect(0, 917999, '\p{^Is_Line_Break=combiningmark}', "");
Expect(0, 917999, '\P{Is_Line_Break=combiningmark}', "");
Expect(1, 917999, '\P{^Is_Line_Break=combiningmark}', "");
Expect(0, 918000, '\p{Is_Line_Break=combiningmark}', "");
Expect(1, 918000, '\p{^Is_Line_Break=combiningmark}', "");
Expect(1, 918000, '\P{Is_Line_Break=combiningmark}', "");
Expect(0, 918000, '\P{^Is_Line_Break=combiningmark}', "");
Expect(1, 917999, '\p{Is_Line_Break=	_combining_mark}', "");
Expect(0, 917999, '\p{^Is_Line_Break=	_combining_mark}', "");
Expect(0, 917999, '\P{Is_Line_Break=	_combining_mark}', "");
Expect(1, 917999, '\P{^Is_Line_Break=	_combining_mark}', "");
Expect(0, 918000, '\p{Is_Line_Break=	_combining_mark}', "");
Expect(1, 918000, '\p{^Is_Line_Break=	_combining_mark}', "");
Expect(1, 918000, '\P{Is_Line_Break=	_combining_mark}', "");
Expect(0, 918000, '\P{^Is_Line_Break=	_combining_mark}', "");
Error('\p{Is_Lb:   	:=CM}');
Error('\P{Is_Lb:   	:=CM}');
Expect(1, 917999, '\p{Is_Lb:cm}', "");
Expect(0, 917999, '\p{^Is_Lb:cm}', "");
Expect(0, 917999, '\P{Is_Lb:cm}', "");
Expect(1, 917999, '\P{^Is_Lb:cm}', "");
Expect(0, 918000, '\p{Is_Lb:cm}', "");
Expect(1, 918000, '\p{^Is_Lb:cm}', "");
Expect(1, 918000, '\P{Is_Lb:cm}', "");
Expect(0, 918000, '\P{^Is_Lb:cm}', "");
Expect(1, 917999, '\p{Is_Lb= -CM}', "");
Expect(0, 917999, '\p{^Is_Lb= -CM}', "");
Expect(0, 917999, '\P{Is_Lb= -CM}', "");
Expect(1, 917999, '\P{^Is_Lb= -CM}', "");
Expect(0, 918000, '\p{Is_Lb= -CM}', "");
Expect(1, 918000, '\p{^Is_Lb= -CM}', "");
Expect(1, 918000, '\P{Is_Lb= -CM}', "");
Expect(0, 918000, '\P{^Is_Lb= -CM}', "");
Error('\p{Line_Break= -Close_PARENTHESIS:=}');
Error('\P{Line_Break= -Close_PARENTHESIS:=}');
Expect(1, 93, '\p{Line_Break=closeparenthesis}', "");
Expect(0, 93, '\p{^Line_Break=closeparenthesis}', "");
Expect(0, 93, '\P{Line_Break=closeparenthesis}', "");
Expect(1, 93, '\P{^Line_Break=closeparenthesis}', "");
Expect(0, 94, '\p{Line_Break=closeparenthesis}', "");
Expect(1, 94, '\p{^Line_Break=closeparenthesis}', "");
Expect(1, 94, '\P{Line_Break=closeparenthesis}', "");
Expect(0, 94, '\P{^Line_Break=closeparenthesis}', "");
Expect(1, 93, '\p{Line_Break=_close_parenthesis}', "");
Expect(0, 93, '\p{^Line_Break=_close_parenthesis}', "");
Expect(0, 93, '\P{Line_Break=_close_parenthesis}', "");
Expect(1, 93, '\P{^Line_Break=_close_parenthesis}', "");
Expect(0, 94, '\p{Line_Break=_close_parenthesis}', "");
Expect(1, 94, '\p{^Line_Break=_close_parenthesis}', "");
Expect(1, 94, '\P{Line_Break=_close_parenthesis}', "");
Expect(0, 94, '\P{^Line_Break=_close_parenthesis}', "");
Error('\p{Lb=--CP:=}');
Error('\P{Lb=--CP:=}');
Expect(1, 93, '\p{Lb=cp}', "");
Expect(0, 93, '\p{^Lb=cp}', "");
Expect(0, 93, '\P{Lb=cp}', "");
Expect(1, 93, '\P{^Lb=cp}', "");
Expect(0, 94, '\p{Lb=cp}', "");
Expect(1, 94, '\p{^Lb=cp}', "");
Expect(1, 94, '\P{Lb=cp}', "");
Expect(0, 94, '\P{^Lb=cp}', "");
Expect(1, 93, '\p{Lb=_ cp}', "");
Expect(0, 93, '\p{^Lb=_ cp}', "");
Expect(0, 93, '\P{Lb=_ cp}', "");
Expect(1, 93, '\P{^Lb=_ cp}', "");
Expect(0, 94, '\p{Lb=_ cp}', "");
Expect(1, 94, '\p{^Lb=_ cp}', "");
Expect(1, 94, '\P{Lb=_ cp}', "");
Expect(0, 94, '\P{^Lb=_ cp}', "");
Error('\p{Is_Line_Break= -CLOSE_Parenthesis:=}');
Error('\P{Is_Line_Break= -CLOSE_Parenthesis:=}');
Expect(1, 93, '\p{Is_Line_Break=closeparenthesis}', "");
Expect(0, 93, '\p{^Is_Line_Break=closeparenthesis}', "");
Expect(0, 93, '\P{Is_Line_Break=closeparenthesis}', "");
Expect(1, 93, '\P{^Is_Line_Break=closeparenthesis}', "");
Expect(0, 94, '\p{Is_Line_Break=closeparenthesis}', "");
Expect(1, 94, '\p{^Is_Line_Break=closeparenthesis}', "");
Expect(1, 94, '\P{Is_Line_Break=closeparenthesis}', "");
Expect(0, 94, '\P{^Is_Line_Break=closeparenthesis}', "");
Expect(1, 93, '\p{Is_Line_Break= _Close_Parenthesis}', "");
Expect(0, 93, '\p{^Is_Line_Break= _Close_Parenthesis}', "");
Expect(0, 93, '\P{Is_Line_Break= _Close_Parenthesis}', "");
Expect(1, 93, '\P{^Is_Line_Break= _Close_Parenthesis}', "");
Expect(0, 94, '\p{Is_Line_Break= _Close_Parenthesis}', "");
Expect(1, 94, '\p{^Is_Line_Break= _Close_Parenthesis}', "");
Expect(1, 94, '\P{Is_Line_Break= _Close_Parenthesis}', "");
Expect(0, 94, '\P{^Is_Line_Break= _Close_Parenthesis}', "");
Error('\p{Is_Lb=cp/a/}');
Error('\P{Is_Lb=cp/a/}');
Expect(1, 93, '\p{Is_Lb=cp}', "");
Expect(0, 93, '\p{^Is_Lb=cp}', "");
Expect(0, 93, '\P{Is_Lb=cp}', "");
Expect(1, 93, '\P{^Is_Lb=cp}', "");
Expect(0, 94, '\p{Is_Lb=cp}', "");
Expect(1, 94, '\p{^Is_Lb=cp}', "");
Expect(1, 94, '\P{Is_Lb=cp}', "");
Expect(0, 94, '\P{^Is_Lb=cp}', "");
Expect(1, 93, '\p{Is_Lb=	 CP}', "");
Expect(0, 93, '\p{^Is_Lb=	 CP}', "");
Expect(0, 93, '\P{Is_Lb=	 CP}', "");
Expect(1, 93, '\P{^Is_Lb=	 CP}', "");
Expect(0, 94, '\p{Is_Lb=	 CP}', "");
Expect(1, 94, '\p{^Is_Lb=	 CP}', "");
Expect(1, 94, '\P{Is_Lb=	 CP}', "");
Expect(0, 94, '\P{^Is_Lb=	 CP}', "");
Error('\p{Line_Break=/a/ Carriage_return}');
Error('\P{Line_Break=/a/ Carriage_return}');
Expect(1, 13, '\p{Line_Break=carriagereturn}', "");
Expect(0, 13, '\p{^Line_Break=carriagereturn}', "");
Expect(0, 13, '\P{Line_Break=carriagereturn}', "");
Expect(1, 13, '\P{^Line_Break=carriagereturn}', "");
Expect(0, 14, '\p{Line_Break=carriagereturn}', "");
Expect(1, 14, '\p{^Line_Break=carriagereturn}', "");
Expect(1, 14, '\P{Line_Break=carriagereturn}', "");
Expect(0, 14, '\P{^Line_Break=carriagereturn}', "");
Expect(1, 13, '\p{Line_Break=_-Carriage_Return}', "");
Expect(0, 13, '\p{^Line_Break=_-Carriage_Return}', "");
Expect(0, 13, '\P{Line_Break=_-Carriage_Return}', "");
Expect(1, 13, '\P{^Line_Break=_-Carriage_Return}', "");
Expect(0, 14, '\p{Line_Break=_-Carriage_Return}', "");
Expect(1, 14, '\p{^Line_Break=_-Carriage_Return}', "");
Expect(1, 14, '\P{Line_Break=_-Carriage_Return}', "");
Expect(0, 14, '\P{^Line_Break=_-Carriage_Return}', "");
Error('\p{Lb=:=-CR}');
Error('\P{Lb=:=-CR}');
Expect(1, 13, '\p{Lb=cr}', "");
Expect(0, 13, '\p{^Lb=cr}', "");
Expect(0, 13, '\P{Lb=cr}', "");
Expect(1, 13, '\P{^Lb=cr}', "");
Expect(0, 14, '\p{Lb=cr}', "");
Expect(1, 14, '\p{^Lb=cr}', "");
Expect(1, 14, '\P{Lb=cr}', "");
Expect(0, 14, '\P{^Lb=cr}', "");
Expect(1, 13, '\p{Lb: _ CR}', "");
Expect(0, 13, '\p{^Lb: _ CR}', "");
Expect(0, 13, '\P{Lb: _ CR}', "");
Expect(1, 13, '\P{^Lb: _ CR}', "");
Expect(0, 14, '\p{Lb: _ CR}', "");
Expect(1, 14, '\p{^Lb: _ CR}', "");
Expect(1, 14, '\P{Lb: _ CR}', "");
Expect(0, 14, '\P{^Lb: _ CR}', "");
Error('\p{Is_Line_Break:	/a/ 	Carriage_RETURN}');
Error('\P{Is_Line_Break:	/a/ 	Carriage_RETURN}');
Expect(1, 13, '\p{Is_Line_Break=carriagereturn}', "");
Expect(0, 13, '\p{^Is_Line_Break=carriagereturn}', "");
Expect(0, 13, '\P{Is_Line_Break=carriagereturn}', "");
Expect(1, 13, '\P{^Is_Line_Break=carriagereturn}', "");
Expect(0, 14, '\p{Is_Line_Break=carriagereturn}', "");
Expect(1, 14, '\p{^Is_Line_Break=carriagereturn}', "");
Expect(1, 14, '\P{Is_Line_Break=carriagereturn}', "");
Expect(0, 14, '\P{^Is_Line_Break=carriagereturn}', "");
Expect(1, 13, '\p{Is_Line_Break=-Carriage_RETURN}', "");
Expect(0, 13, '\p{^Is_Line_Break=-Carriage_RETURN}', "");
Expect(0, 13, '\P{Is_Line_Break=-Carriage_RETURN}', "");
Expect(1, 13, '\P{^Is_Line_Break=-Carriage_RETURN}', "");
Expect(0, 14, '\p{Is_Line_Break=-Carriage_RETURN}', "");
Expect(1, 14, '\p{^Is_Line_Break=-Carriage_RETURN}', "");
Expect(1, 14, '\P{Is_Line_Break=-Carriage_RETURN}', "");
Expect(0, 14, '\P{^Is_Line_Break=-Carriage_RETURN}', "");
Error('\p{Is_Lb=-CR/a/}');
Error('\P{Is_Lb=-CR/a/}');
Expect(1, 13, '\p{Is_Lb=cr}', "");
Expect(0, 13, '\p{^Is_Lb=cr}', "");
Expect(0, 13, '\P{Is_Lb=cr}', "");
Expect(1, 13, '\P{^Is_Lb=cr}', "");
Expect(0, 14, '\p{Is_Lb=cr}', "");
Expect(1, 14, '\p{^Is_Lb=cr}', "");
Expect(1, 14, '\P{Is_Lb=cr}', "");
Expect(0, 14, '\P{^Is_Lb=cr}', "");
Expect(1, 13, '\p{Is_Lb=	cr}', "");
Expect(0, 13, '\p{^Is_Lb=	cr}', "");
Expect(0, 13, '\P{Is_Lb=	cr}', "");
Expect(1, 13, '\P{^Is_Lb=	cr}', "");
Expect(0, 14, '\p{Is_Lb=	cr}', "");
Expect(1, 14, '\p{^Is_Lb=	cr}', "");
Expect(1, 14, '\P{Is_Lb=	cr}', "");
Expect(0, 14, '\P{^Is_Lb=	cr}', "");
Error('\p{Line_Break=--Exclamation/a/}');
Error('\P{Line_Break=--Exclamation/a/}');
Expect(1, 71109, '\p{Line_Break=exclamation}', "");
Expect(0, 71109, '\p{^Line_Break=exclamation}', "");
Expect(0, 71109, '\P{Line_Break=exclamation}', "");
Expect(1, 71109, '\P{^Line_Break=exclamation}', "");
Expect(0, 71110, '\p{Line_Break=exclamation}', "");
Expect(1, 71110, '\p{^Line_Break=exclamation}', "");
Expect(1, 71110, '\P{Line_Break=exclamation}', "");
Expect(0, 71110, '\P{^Line_Break=exclamation}', "");
Expect(1, 71109, '\p{Line_Break:		_EXCLAMATION}', "");
Expect(0, 71109, '\p{^Line_Break:		_EXCLAMATION}', "");
Expect(0, 71109, '\P{Line_Break:		_EXCLAMATION}', "");
Expect(1, 71109, '\P{^Line_Break:		_EXCLAMATION}', "");
Expect(0, 71110, '\p{Line_Break:		_EXCLAMATION}', "");
Expect(1, 71110, '\p{^Line_Break:		_EXCLAMATION}', "");
Expect(1, 71110, '\P{Line_Break:		_EXCLAMATION}', "");
Expect(0, 71110, '\P{^Line_Break:		_EXCLAMATION}', "");
Error('\p{Lb=/a/ ex}');
Error('\P{Lb=/a/ ex}');
Expect(1, 71109, '\p{Lb=ex}', "");
Expect(0, 71109, '\p{^Lb=ex}', "");
Expect(0, 71109, '\P{Lb=ex}', "");
Expect(1, 71109, '\P{^Lb=ex}', "");
Expect(0, 71110, '\p{Lb=ex}', "");
Expect(1, 71110, '\p{^Lb=ex}', "");
Expect(1, 71110, '\P{Lb=ex}', "");
Expect(0, 71110, '\P{^Lb=ex}', "");
Expect(1, 71109, '\p{Lb= -EX}', "");
Expect(0, 71109, '\p{^Lb= -EX}', "");
Expect(0, 71109, '\P{Lb= -EX}', "");
Expect(1, 71109, '\P{^Lb= -EX}', "");
Expect(0, 71110, '\p{Lb= -EX}', "");
Expect(1, 71110, '\p{^Lb= -EX}', "");
Expect(1, 71110, '\P{Lb= -EX}', "");
Expect(0, 71110, '\P{^Lb= -EX}', "");
Error('\p{Is_Line_Break=_:=Exclamation}');
Error('\P{Is_Line_Break=_:=Exclamation}');
Expect(1, 71109, '\p{Is_Line_Break=exclamation}', "");
Expect(0, 71109, '\p{^Is_Line_Break=exclamation}', "");
Expect(0, 71109, '\P{Is_Line_Break=exclamation}', "");
Expect(1, 71109, '\P{^Is_Line_Break=exclamation}', "");
Expect(0, 71110, '\p{Is_Line_Break=exclamation}', "");
Expect(1, 71110, '\p{^Is_Line_Break=exclamation}', "");
Expect(1, 71110, '\P{Is_Line_Break=exclamation}', "");
Expect(0, 71110, '\P{^Is_Line_Break=exclamation}', "");
Expect(1, 71109, '\p{Is_Line_Break: 	Exclamation}', "");
Expect(0, 71109, '\p{^Is_Line_Break: 	Exclamation}', "");
Expect(0, 71109, '\P{Is_Line_Break: 	Exclamation}', "");
Expect(1, 71109, '\P{^Is_Line_Break: 	Exclamation}', "");
Expect(0, 71110, '\p{Is_Line_Break: 	Exclamation}', "");
Expect(1, 71110, '\p{^Is_Line_Break: 	Exclamation}', "");
Expect(1, 71110, '\P{Is_Line_Break: 	Exclamation}', "");
Expect(0, 71110, '\P{^Is_Line_Break: 	Exclamation}', "");
Error('\p{Is_Lb=-:=EX}');
Error('\P{Is_Lb=-:=EX}');
Expect(1, 71109, '\p{Is_Lb=ex}', "");
Expect(0, 71109, '\p{^Is_Lb=ex}', "");
Expect(0, 71109, '\P{Is_Lb=ex}', "");
Expect(1, 71109, '\P{^Is_Lb=ex}', "");
Expect(0, 71110, '\p{Is_Lb=ex}', "");
Expect(1, 71110, '\p{^Is_Lb=ex}', "");
Expect(1, 71110, '\P{Is_Lb=ex}', "");
Expect(0, 71110, '\P{^Is_Lb=ex}', "");
Expect(1, 71109, '\p{Is_Lb=__EX}', "");
Expect(0, 71109, '\p{^Is_Lb=__EX}', "");
Expect(0, 71109, '\P{Is_Lb=__EX}', "");
Expect(1, 71109, '\P{^Is_Lb=__EX}', "");
Expect(0, 71110, '\p{Is_Lb=__EX}', "");
Expect(1, 71110, '\p{^Is_Lb=__EX}', "");
Expect(1, 71110, '\P{Is_Lb=__EX}', "");
Expect(0, 71110, '\P{^Is_Lb=__EX}', "");
Error('\p{Line_Break=_-Glue/a/}');
Error('\P{Line_Break=_-Glue/a/}');
Expect(1, 8239, '\p{Line_Break=glue}', "");
Expect(0, 8239, '\p{^Line_Break=glue}', "");
Expect(0, 8239, '\P{Line_Break=glue}', "");
Expect(1, 8239, '\P{^Line_Break=glue}', "");
Expect(0, 8240, '\p{Line_Break=glue}', "");
Expect(1, 8240, '\p{^Line_Break=glue}', "");
Expect(1, 8240, '\P{Line_Break=glue}', "");
Expect(0, 8240, '\P{^Line_Break=glue}', "");
Expect(1, 8239, '\p{Line_Break: __GLUE}', "");
Expect(0, 8239, '\p{^Line_Break: __GLUE}', "");
Expect(0, 8239, '\P{Line_Break: __GLUE}', "");
Expect(1, 8239, '\P{^Line_Break: __GLUE}', "");
Expect(0, 8240, '\p{Line_Break: __GLUE}', "");
Expect(1, 8240, '\p{^Line_Break: __GLUE}', "");
Expect(1, 8240, '\P{Line_Break: __GLUE}', "");
Expect(0, 8240, '\P{^Line_Break: __GLUE}', "");
Error('\p{Lb=_/a/GL}');
Error('\P{Lb=_/a/GL}');
Expect(1, 8239, '\p{Lb=gl}', "");
Expect(0, 8239, '\p{^Lb=gl}', "");
Expect(0, 8239, '\P{Lb=gl}', "");
Expect(1, 8239, '\P{^Lb=gl}', "");
Expect(0, 8240, '\p{Lb=gl}', "");
Expect(1, 8240, '\p{^Lb=gl}', "");
Expect(1, 8240, '\P{Lb=gl}', "");
Expect(0, 8240, '\P{^Lb=gl}', "");
Expect(1, 8239, '\p{Lb=_ GL}', "");
Expect(0, 8239, '\p{^Lb=_ GL}', "");
Expect(0, 8239, '\P{Lb=_ GL}', "");
Expect(1, 8239, '\P{^Lb=_ GL}', "");
Expect(0, 8240, '\p{Lb=_ GL}', "");
Expect(1, 8240, '\p{^Lb=_ GL}', "");
Expect(1, 8240, '\P{Lb=_ GL}', "");
Expect(0, 8240, '\P{^Lb=_ GL}', "");
Error('\p{Is_Line_Break=	Glue/a/}');
Error('\P{Is_Line_Break=	Glue/a/}');
Expect(1, 8239, '\p{Is_Line_Break=glue}', "");
Expect(0, 8239, '\p{^Is_Line_Break=glue}', "");
Expect(0, 8239, '\P{Is_Line_Break=glue}', "");
Expect(1, 8239, '\P{^Is_Line_Break=glue}', "");
Expect(0, 8240, '\p{Is_Line_Break=glue}', "");
Expect(1, 8240, '\p{^Is_Line_Break=glue}', "");
Expect(1, 8240, '\P{Is_Line_Break=glue}', "");
Expect(0, 8240, '\P{^Is_Line_Break=glue}', "");
Expect(1, 8239, '\p{Is_Line_Break=- Glue}', "");
Expect(0, 8239, '\p{^Is_Line_Break=- Glue}', "");
Expect(0, 8239, '\P{Is_Line_Break=- Glue}', "");
Expect(1, 8239, '\P{^Is_Line_Break=- Glue}', "");
Expect(0, 8240, '\p{Is_Line_Break=- Glue}', "");
Expect(1, 8240, '\p{^Is_Line_Break=- Glue}', "");
Expect(1, 8240, '\P{Is_Line_Break=- Glue}', "");
Expect(0, 8240, '\P{^Is_Line_Break=- Glue}', "");
Error('\p{Is_Lb=/a/		GL}');
Error('\P{Is_Lb=/a/		GL}');
Expect(1, 8239, '\p{Is_Lb=gl}', "");
Expect(0, 8239, '\p{^Is_Lb=gl}', "");
Expect(0, 8239, '\P{Is_Lb=gl}', "");
Expect(1, 8239, '\P{^Is_Lb=gl}', "");
Expect(0, 8240, '\p{Is_Lb=gl}', "");
Expect(1, 8240, '\p{^Is_Lb=gl}', "");
Expect(1, 8240, '\P{Is_Lb=gl}', "");
Expect(0, 8240, '\P{^Is_Lb=gl}', "");
Expect(1, 8239, '\p{Is_Lb=__GL}', "");
Expect(0, 8239, '\p{^Is_Lb=__GL}', "");
Expect(0, 8239, '\P{Is_Lb=__GL}', "");
Expect(1, 8239, '\P{^Is_Lb=__GL}', "");
Expect(0, 8240, '\p{Is_Lb=__GL}', "");
Expect(1, 8240, '\p{^Is_Lb=__GL}', "");
Expect(1, 8240, '\P{Is_Lb=__GL}', "");
Expect(0, 8240, '\P{^Is_Lb=__GL}', "");
Error('\p{Line_Break=/a/H2}');
Error('\P{Line_Break=/a/H2}');
Expect(1, 55176, '\p{Line_Break=h2}', "");
Expect(0, 55176, '\p{^Line_Break=h2}', "");
Expect(0, 55176, '\P{Line_Break=h2}', "");
Expect(1, 55176, '\P{^Line_Break=h2}', "");
Expect(0, 55177, '\p{Line_Break=h2}', "");
Expect(1, 55177, '\p{^Line_Break=h2}', "");
Expect(1, 55177, '\P{Line_Break=h2}', "");
Expect(0, 55177, '\P{^Line_Break=h2}', "");
Expect(1, 55176, '\p{Line_Break= -h2}', "");
Expect(0, 55176, '\p{^Line_Break= -h2}', "");
Expect(0, 55176, '\P{Line_Break= -h2}', "");
Expect(1, 55176, '\P{^Line_Break= -h2}', "");
Expect(0, 55177, '\p{Line_Break= -h2}', "");
Expect(1, 55177, '\p{^Line_Break= -h2}', "");
Expect(1, 55177, '\P{Line_Break= -h2}', "");
Expect(0, 55177, '\P{^Line_Break= -h2}', "");
Error('\p{Lb= /a/H2}');
Error('\P{Lb= /a/H2}');
Expect(1, 55176, '\p{Lb=h2}', "");
Expect(0, 55176, '\p{^Lb=h2}', "");
Expect(0, 55176, '\P{Lb=h2}', "");
Expect(1, 55176, '\P{^Lb=h2}', "");
Expect(0, 55177, '\p{Lb=h2}', "");
Expect(1, 55177, '\p{^Lb=h2}', "");
Expect(1, 55177, '\P{Lb=h2}', "");
Expect(0, 55177, '\P{^Lb=h2}', "");
Expect(1, 55176, '\p{Lb= H2}', "");
Expect(0, 55176, '\p{^Lb= H2}', "");
Expect(0, 55176, '\P{Lb= H2}', "");
Expect(1, 55176, '\P{^Lb= H2}', "");
Expect(0, 55177, '\p{Lb= H2}', "");
Expect(1, 55177, '\p{^Lb= H2}', "");
Expect(1, 55177, '\P{Lb= H2}', "");
Expect(0, 55177, '\P{^Lb= H2}', "");
Error('\p{Is_Line_Break=_ h2/a/}');
Error('\P{Is_Line_Break=_ h2/a/}');
Expect(1, 55176, '\p{Is_Line_Break=h2}', "");
Expect(0, 55176, '\p{^Is_Line_Break=h2}', "");
Expect(0, 55176, '\P{Is_Line_Break=h2}', "");
Expect(1, 55176, '\P{^Is_Line_Break=h2}', "");
Expect(0, 55177, '\p{Is_Line_Break=h2}', "");
Expect(1, 55177, '\p{^Is_Line_Break=h2}', "");
Expect(1, 55177, '\P{Is_Line_Break=h2}', "");
Expect(0, 55177, '\P{^Is_Line_Break=h2}', "");
Expect(1, 55176, '\p{Is_Line_Break=_ H2}', "");
Expect(0, 55176, '\p{^Is_Line_Break=_ H2}', "");
Expect(0, 55176, '\P{Is_Line_Break=_ H2}', "");
Expect(1, 55176, '\P{^Is_Line_Break=_ H2}', "");
Expect(0, 55177, '\p{Is_Line_Break=_ H2}', "");
Expect(1, 55177, '\p{^Is_Line_Break=_ H2}', "");
Expect(1, 55177, '\P{Is_Line_Break=_ H2}', "");
Expect(0, 55177, '\P{^Is_Line_Break=_ H2}', "");
Error('\p{Is_Lb=/a/	 H2}');
Error('\P{Is_Lb=/a/	 H2}');
Expect(1, 55176, '\p{Is_Lb=h2}', "");
Expect(0, 55176, '\p{^Is_Lb=h2}', "");
Expect(0, 55176, '\P{Is_Lb=h2}', "");
Expect(1, 55176, '\P{^Is_Lb=h2}', "");
Expect(0, 55177, '\p{Is_Lb=h2}', "");
Expect(1, 55177, '\p{^Is_Lb=h2}', "");
Expect(1, 55177, '\P{Is_Lb=h2}', "");
Expect(0, 55177, '\P{^Is_Lb=h2}', "");
Expect(1, 55176, '\p{Is_Lb= 	h2}', "");
Expect(0, 55176, '\p{^Is_Lb= 	h2}', "");
Expect(0, 55176, '\P{Is_Lb= 	h2}', "");
Expect(1, 55176, '\P{^Is_Lb= 	h2}', "");
Expect(0, 55177, '\p{Is_Lb= 	h2}', "");
Expect(1, 55177, '\p{^Is_Lb= 	h2}', "");
Expect(1, 55177, '\P{Is_Lb= 	h2}', "");
Expect(0, 55177, '\P{^Is_Lb= 	h2}', "");
Error('\p{Line_Break= H3:=}');
Error('\P{Line_Break= H3:=}');
Expect(1, 55203, '\p{Line_Break=h3}', "");
Expect(0, 55203, '\p{^Line_Break=h3}', "");
Expect(0, 55203, '\P{Line_Break=h3}', "");
Expect(1, 55203, '\P{^Line_Break=h3}', "");
Expect(0, 55204, '\p{Line_Break=h3}', "");
Expect(1, 55204, '\p{^Line_Break=h3}', "");
Expect(1, 55204, '\P{Line_Break=h3}', "");
Expect(0, 55204, '\P{^Line_Break=h3}', "");
Expect(1, 55203, '\p{Line_Break=	H3}', "");
Expect(0, 55203, '\p{^Line_Break=	H3}', "");
Expect(0, 55203, '\P{Line_Break=	H3}', "");
Expect(1, 55203, '\P{^Line_Break=	H3}', "");
Expect(0, 55204, '\p{Line_Break=	H3}', "");
Expect(1, 55204, '\p{^Line_Break=	H3}', "");
Expect(1, 55204, '\P{Line_Break=	H3}', "");
Expect(0, 55204, '\P{^Line_Break=	H3}', "");
Error('\p{Lb=-:=h3}');
Error('\P{Lb=-:=h3}');
Expect(1, 55203, '\p{Lb: h3}', "");
Expect(0, 55203, '\p{^Lb: h3}', "");
Expect(0, 55203, '\P{Lb: h3}', "");
Expect(1, 55203, '\P{^Lb: h3}', "");
Expect(0, 55204, '\p{Lb: h3}', "");
Expect(1, 55204, '\p{^Lb: h3}', "");
Expect(1, 55204, '\P{Lb: h3}', "");
Expect(0, 55204, '\P{^Lb: h3}', "");
Expect(1, 55203, '\p{Lb= H3}', "");
Expect(0, 55203, '\p{^Lb= H3}', "");
Expect(0, 55203, '\P{Lb= H3}', "");
Expect(1, 55203, '\P{^Lb= H3}', "");
Expect(0, 55204, '\p{Lb= H3}', "");
Expect(1, 55204, '\p{^Lb= H3}', "");
Expect(1, 55204, '\P{Lb= H3}', "");
Expect(0, 55204, '\P{^Lb= H3}', "");
Error('\p{Is_Line_Break=/a/_H3}');
Error('\P{Is_Line_Break=/a/_H3}');
Expect(1, 55203, '\p{Is_Line_Break=h3}', "");
Expect(0, 55203, '\p{^Is_Line_Break=h3}', "");
Expect(0, 55203, '\P{Is_Line_Break=h3}', "");
Expect(1, 55203, '\P{^Is_Line_Break=h3}', "");
Expect(0, 55204, '\p{Is_Line_Break=h3}', "");
Expect(1, 55204, '\p{^Is_Line_Break=h3}', "");
Expect(1, 55204, '\P{Is_Line_Break=h3}', "");
Expect(0, 55204, '\P{^Is_Line_Break=h3}', "");
Expect(1, 55203, '\p{Is_Line_Break=-H3}', "");
Expect(0, 55203, '\p{^Is_Line_Break=-H3}', "");
Expect(0, 55203, '\P{Is_Line_Break=-H3}', "");
Expect(1, 55203, '\P{^Is_Line_Break=-H3}', "");
Expect(0, 55204, '\p{Is_Line_Break=-H3}', "");
Expect(1, 55204, '\p{^Is_Line_Break=-H3}', "");
Expect(1, 55204, '\P{Is_Line_Break=-H3}', "");
Expect(0, 55204, '\P{^Is_Line_Break=-H3}', "");
Error('\p{Is_Lb= -H3/a/}');
Error('\P{Is_Lb= -H3/a/}');
Expect(1, 55203, '\p{Is_Lb=h3}', "");
Expect(0, 55203, '\p{^Is_Lb=h3}', "");
Expect(0, 55203, '\P{Is_Lb=h3}', "");
Expect(1, 55203, '\P{^Is_Lb=h3}', "");
Expect(0, 55204, '\p{Is_Lb=h3}', "");
Expect(1, 55204, '\p{^Is_Lb=h3}', "");
Expect(1, 55204, '\P{Is_Lb=h3}', "");
Expect(0, 55204, '\P{^Is_Lb=h3}', "");
Expect(1, 55203, '\p{Is_Lb=--H3}', "");
Expect(0, 55203, '\p{^Is_Lb=--H3}', "");
Expect(0, 55203, '\P{Is_Lb=--H3}', "");
Expect(1, 55203, '\P{^Is_Lb=--H3}', "");
Expect(0, 55204, '\p{Is_Lb=--H3}', "");
Expect(1, 55204, '\p{^Is_Lb=--H3}', "");
Expect(1, 55204, '\P{Is_Lb=--H3}', "");
Expect(0, 55204, '\P{^Is_Lb=--H3}', "");
Error('\p{Line_Break= 	Hebrew_Letter/a/}');
Error('\P{Line_Break= 	Hebrew_Letter/a/}');
Expect(1, 64335, '\p{Line_Break=hebrewletter}', "");
Expect(0, 64335, '\p{^Line_Break=hebrewletter}', "");
Expect(0, 64335, '\P{Line_Break=hebrewletter}', "");
Expect(1, 64335, '\P{^Line_Break=hebrewletter}', "");
Expect(0, 64336, '\p{Line_Break=hebrewletter}', "");
Expect(1, 64336, '\p{^Line_Break=hebrewletter}', "");
Expect(1, 64336, '\P{Line_Break=hebrewletter}', "");
Expect(0, 64336, '\P{^Line_Break=hebrewletter}', "");
Expect(1, 64335, '\p{Line_Break=	hebrew_Letter}', "");
Expect(0, 64335, '\p{^Line_Break=	hebrew_Letter}', "");
Expect(0, 64335, '\P{Line_Break=	hebrew_Letter}', "");
Expect(1, 64335, '\P{^Line_Break=	hebrew_Letter}', "");
Expect(0, 64336, '\p{Line_Break=	hebrew_Letter}', "");
Expect(1, 64336, '\p{^Line_Break=	hebrew_Letter}', "");
Expect(1, 64336, '\P{Line_Break=	hebrew_Letter}', "");
Expect(0, 64336, '\P{^Line_Break=	hebrew_Letter}', "");
Error('\p{Lb= :=HL}');
Error('\P{Lb= :=HL}');
Expect(1, 64335, '\p{Lb=hl}', "");
Expect(0, 64335, '\p{^Lb=hl}', "");
Expect(0, 64335, '\P{Lb=hl}', "");
Expect(1, 64335, '\P{^Lb=hl}', "");
Expect(0, 64336, '\p{Lb=hl}', "");
Expect(1, 64336, '\p{^Lb=hl}', "");
Expect(1, 64336, '\P{Lb=hl}', "");
Expect(0, 64336, '\P{^Lb=hl}', "");
Expect(1, 64335, '\p{Lb=	_HL}', "");
Expect(0, 64335, '\p{^Lb=	_HL}', "");
Expect(0, 64335, '\P{Lb=	_HL}', "");
Expect(1, 64335, '\P{^Lb=	_HL}', "");
Expect(0, 64336, '\p{Lb=	_HL}', "");
Expect(1, 64336, '\p{^Lb=	_HL}', "");
Expect(1, 64336, '\P{Lb=	_HL}', "");
Expect(0, 64336, '\P{^Lb=	_HL}', "");
Error('\p{Is_Line_Break: /a/Hebrew_Letter}');
Error('\P{Is_Line_Break: /a/Hebrew_Letter}');
Expect(1, 64335, '\p{Is_Line_Break=hebrewletter}', "");
Expect(0, 64335, '\p{^Is_Line_Break=hebrewletter}', "");
Expect(0, 64335, '\P{Is_Line_Break=hebrewletter}', "");
Expect(1, 64335, '\P{^Is_Line_Break=hebrewletter}', "");
Expect(0, 64336, '\p{Is_Line_Break=hebrewletter}', "");
Expect(1, 64336, '\p{^Is_Line_Break=hebrewletter}', "");
Expect(1, 64336, '\P{Is_Line_Break=hebrewletter}', "");
Expect(0, 64336, '\P{^Is_Line_Break=hebrewletter}', "");
Expect(1, 64335, '\p{Is_Line_Break= 	Hebrew_Letter}', "");
Expect(0, 64335, '\p{^Is_Line_Break= 	Hebrew_Letter}', "");
Expect(0, 64335, '\P{Is_Line_Break= 	Hebrew_Letter}', "");
Expect(1, 64335, '\P{^Is_Line_Break= 	Hebrew_Letter}', "");
Expect(0, 64336, '\p{Is_Line_Break= 	Hebrew_Letter}', "");
Expect(1, 64336, '\p{^Is_Line_Break= 	Hebrew_Letter}', "");
Expect(1, 64336, '\P{Is_Line_Break= 	Hebrew_Letter}', "");
Expect(0, 64336, '\P{^Is_Line_Break= 	Hebrew_Letter}', "");
Error('\p{Is_Lb= HL/a/}');
Error('\P{Is_Lb= HL/a/}');
Expect(1, 64335, '\p{Is_Lb=hl}', "");
Expect(0, 64335, '\p{^Is_Lb=hl}', "");
Expect(0, 64335, '\P{Is_Lb=hl}', "");
Expect(1, 64335, '\P{^Is_Lb=hl}', "");
Expect(0, 64336, '\p{Is_Lb=hl}', "");
Expect(1, 64336, '\p{^Is_Lb=hl}', "");
Expect(1, 64336, '\P{Is_Lb=hl}', "");
Expect(0, 64336, '\P{^Is_Lb=hl}', "");
Expect(1, 64335, '\p{Is_Lb=_HL}', "");
Expect(0, 64335, '\p{^Is_Lb=_HL}', "");
Expect(0, 64335, '\P{Is_Lb=_HL}', "");
Expect(1, 64335, '\P{^Is_Lb=_HL}', "");
Expect(0, 64336, '\p{Is_Lb=_HL}', "");
Expect(1, 64336, '\p{^Is_Lb=_HL}', "");
Expect(1, 64336, '\P{Is_Lb=_HL}', "");
Expect(0, 64336, '\P{^Is_Lb=_HL}', "");
Error('\p{Line_Break=:=- Hyphen}');
Error('\P{Line_Break=:=- Hyphen}');
Expect(1, 45, '\p{Line_Break=hyphen}', "");
Expect(0, 45, '\p{^Line_Break=hyphen}', "");
Expect(0, 45, '\P{Line_Break=hyphen}', "");
Expect(1, 45, '\P{^Line_Break=hyphen}', "");
Expect(0, 46, '\p{Line_Break=hyphen}', "");
Expect(1, 46, '\p{^Line_Break=hyphen}', "");
Expect(1, 46, '\P{Line_Break=hyphen}', "");
Expect(0, 46, '\P{^Line_Break=hyphen}', "");
Expect(1, 45, '\p{Line_Break=__HYPHEN}', "");
Expect(0, 45, '\p{^Line_Break=__HYPHEN}', "");
Expect(0, 45, '\P{Line_Break=__HYPHEN}', "");
Expect(1, 45, '\P{^Line_Break=__HYPHEN}', "");
Expect(0, 46, '\p{Line_Break=__HYPHEN}', "");
Expect(1, 46, '\p{^Line_Break=__HYPHEN}', "");
Expect(1, 46, '\P{Line_Break=__HYPHEN}', "");
Expect(0, 46, '\P{^Line_Break=__HYPHEN}', "");
Error('\p{Lb=:=HY}');
Error('\P{Lb=:=HY}');
Expect(1, 45, '\p{Lb:   hy}', "");
Expect(0, 45, '\p{^Lb:   hy}', "");
Expect(0, 45, '\P{Lb:   hy}', "");
Expect(1, 45, '\P{^Lb:   hy}', "");
Expect(0, 46, '\p{Lb:   hy}', "");
Expect(1, 46, '\p{^Lb:   hy}', "");
Expect(1, 46, '\P{Lb:   hy}', "");
Expect(0, 46, '\P{^Lb:   hy}', "");
Expect(1, 45, '\p{Lb:_hy}', "");
Expect(0, 45, '\p{^Lb:_hy}', "");
Expect(0, 45, '\P{Lb:_hy}', "");
Expect(1, 45, '\P{^Lb:_hy}', "");
Expect(0, 46, '\p{Lb:_hy}', "");
Expect(1, 46, '\p{^Lb:_hy}', "");
Expect(1, 46, '\P{Lb:_hy}', "");
Expect(0, 46, '\P{^Lb:_hy}', "");
Error('\p{Is_Line_Break=:=__Hyphen}');
Error('\P{Is_Line_Break=:=__Hyphen}');
Expect(1, 45, '\p{Is_Line_Break=hyphen}', "");
Expect(0, 45, '\p{^Is_Line_Break=hyphen}', "");
Expect(0, 45, '\P{Is_Line_Break=hyphen}', "");
Expect(1, 45, '\P{^Is_Line_Break=hyphen}', "");
Expect(0, 46, '\p{Is_Line_Break=hyphen}', "");
Expect(1, 46, '\p{^Is_Line_Break=hyphen}', "");
Expect(1, 46, '\P{Is_Line_Break=hyphen}', "");
Expect(0, 46, '\P{^Is_Line_Break=hyphen}', "");
Expect(1, 45, '\p{Is_Line_Break=_ Hyphen}', "");
Expect(0, 45, '\p{^Is_Line_Break=_ Hyphen}', "");
Expect(0, 45, '\P{Is_Line_Break=_ Hyphen}', "");
Expect(1, 45, '\P{^Is_Line_Break=_ Hyphen}', "");
Expect(0, 46, '\p{Is_Line_Break=_ Hyphen}', "");
Expect(1, 46, '\p{^Is_Line_Break=_ Hyphen}', "");
Expect(1, 46, '\P{Is_Line_Break=_ Hyphen}', "");
Expect(0, 46, '\P{^Is_Line_Break=_ Hyphen}', "");
Error('\p{Is_Lb=-hy:=}');
Error('\P{Is_Lb=-hy:=}');
Expect(1, 45, '\p{Is_Lb=hy}', "");
Expect(0, 45, '\p{^Is_Lb=hy}', "");
Expect(0, 45, '\P{Is_Lb=hy}', "");
Expect(1, 45, '\P{^Is_Lb=hy}', "");
Expect(0, 46, '\p{Is_Lb=hy}', "");
Expect(1, 46, '\p{^Is_Lb=hy}', "");
Expect(1, 46, '\P{Is_Lb=hy}', "");
Expect(0, 46, '\P{^Is_Lb=hy}', "");
Expect(1, 45, '\p{Is_Lb=_HY}', "");
Expect(0, 45, '\p{^Is_Lb=_HY}', "");
Expect(0, 45, '\P{Is_Lb=_HY}', "");
Expect(1, 45, '\P{^Is_Lb=_HY}', "");
Expect(0, 46, '\p{Is_Lb=_HY}', "");
Expect(1, 46, '\p{^Is_Lb=_HY}', "");
Expect(1, 46, '\P{Is_Lb=_HY}', "");
Expect(0, 46, '\P{^Is_Lb=_HY}', "");
Error('\p{Line_Break: -_Ideographic/a/}');
Error('\P{Line_Break: -_Ideographic/a/}');
Expect(1, 262141, '\p{Line_Break=ideographic}', "");
Expect(0, 262141, '\p{^Line_Break=ideographic}', "");
Expect(0, 262141, '\P{Line_Break=ideographic}', "");
Expect(1, 262141, '\P{^Line_Break=ideographic}', "");
Expect(0, 262144, '\p{Line_Break=ideographic}', "");
Expect(1, 262144, '\p{^Line_Break=ideographic}', "");
Expect(1, 262144, '\P{Line_Break=ideographic}', "");
Expect(0, 262144, '\P{^Line_Break=ideographic}', "");
Expect(1, 262141, '\p{Line_Break=	Ideographic}', "");
Expect(0, 262141, '\p{^Line_Break=	Ideographic}', "");
Expect(0, 262141, '\P{Line_Break=	Ideographic}', "");
Expect(1, 262141, '\P{^Line_Break=	Ideographic}', "");
Expect(0, 262144, '\p{Line_Break=	Ideographic}', "");
Expect(1, 262144, '\p{^Line_Break=	Ideographic}', "");
Expect(1, 262144, '\P{Line_Break=	Ideographic}', "");
Expect(0, 262144, '\P{^Line_Break=	Ideographic}', "");
Error('\p{Lb:   _/a/ID}');
Error('\P{Lb:   _/a/ID}');
Expect(1, 262141, '\p{Lb=id}', "");
Expect(0, 262141, '\p{^Lb=id}', "");
Expect(0, 262141, '\P{Lb=id}', "");
Expect(1, 262141, '\P{^Lb=id}', "");
Expect(0, 262144, '\p{Lb=id}', "");
Expect(1, 262144, '\p{^Lb=id}', "");
Expect(1, 262144, '\P{Lb=id}', "");
Expect(0, 262144, '\P{^Lb=id}', "");
Expect(1, 262141, '\p{Lb=	id}', "");
Expect(0, 262141, '\p{^Lb=	id}', "");
Expect(0, 262141, '\P{Lb=	id}', "");
Expect(1, 262141, '\P{^Lb=	id}', "");
Expect(0, 262144, '\p{Lb=	id}', "");
Expect(1, 262144, '\p{^Lb=	id}', "");
Expect(1, 262144, '\P{Lb=	id}', "");
Expect(0, 262144, '\P{^Lb=	id}', "");
Error('\p{Is_Line_Break=	 Ideographic/a/}');
Error('\P{Is_Line_Break=	 Ideographic/a/}');
Expect(1, 262141, '\p{Is_Line_Break=ideographic}', "");
Expect(0, 262141, '\p{^Is_Line_Break=ideographic}', "");
Expect(0, 262141, '\P{Is_Line_Break=ideographic}', "");
Expect(1, 262141, '\P{^Is_Line_Break=ideographic}', "");
Expect(0, 262144, '\p{Is_Line_Break=ideographic}', "");
Expect(1, 262144, '\p{^Is_Line_Break=ideographic}', "");
Expect(1, 262144, '\P{Is_Line_Break=ideographic}', "");
Expect(0, 262144, '\P{^Is_Line_Break=ideographic}', "");
Expect(1, 262141, '\p{Is_Line_Break:    ideographic}', "");
Expect(0, 262141, '\p{^Is_Line_Break:    ideographic}', "");
Expect(0, 262141, '\P{Is_Line_Break:    ideographic}', "");
Expect(1, 262141, '\P{^Is_Line_Break:    ideographic}', "");
Expect(0, 262144, '\p{Is_Line_Break:    ideographic}', "");
Expect(1, 262144, '\p{^Is_Line_Break:    ideographic}', "");
Expect(1, 262144, '\P{Is_Line_Break:    ideographic}', "");
Expect(0, 262144, '\P{^Is_Line_Break:    ideographic}', "");
Error('\p{Is_Lb=/a/_id}');
Error('\P{Is_Lb=/a/_id}');
Expect(1, 262141, '\p{Is_Lb=id}', "");
Expect(0, 262141, '\p{^Is_Lb=id}', "");
Expect(0, 262141, '\P{Is_Lb=id}', "");
Expect(1, 262141, '\P{^Is_Lb=id}', "");
Expect(0, 262144, '\p{Is_Lb=id}', "");
Expect(1, 262144, '\p{^Is_Lb=id}', "");
Expect(1, 262144, '\P{Is_Lb=id}', "");
Expect(0, 262144, '\P{^Is_Lb=id}', "");
Expect(1, 262141, '\p{Is_Lb= -ID}', "");
Expect(0, 262141, '\p{^Is_Lb= -ID}', "");
Expect(0, 262141, '\P{Is_Lb= -ID}', "");
Expect(1, 262141, '\P{^Is_Lb= -ID}', "");
Expect(0, 262144, '\p{Is_Lb= -ID}', "");
Expect(1, 262144, '\p{^Is_Lb= -ID}', "");
Expect(1, 262144, '\P{Is_Lb= -ID}', "");
Expect(0, 262144, '\P{^Is_Lb= -ID}', "");
Error('\p{Line_Break=_/a/INSEPARABLE}');
Error('\P{Line_Break=_/a/INSEPARABLE}');
Expect(1, 68342, '\p{Line_Break=inseparable}', "");
Expect(0, 68342, '\p{^Line_Break=inseparable}', "");
Expect(0, 68342, '\P{Line_Break=inseparable}', "");
Expect(1, 68342, '\P{^Line_Break=inseparable}', "");
Expect(0, 68343, '\p{Line_Break=inseparable}', "");
Expect(1, 68343, '\p{^Line_Break=inseparable}', "");
Expect(1, 68343, '\P{Line_Break=inseparable}', "");
Expect(0, 68343, '\P{^Line_Break=inseparable}', "");
Expect(1, 68342, '\p{Line_Break=_ inseparable}', "");
Expect(0, 68342, '\p{^Line_Break=_ inseparable}', "");
Expect(0, 68342, '\P{Line_Break=_ inseparable}', "");
Expect(1, 68342, '\P{^Line_Break=_ inseparable}', "");
Expect(0, 68343, '\p{Line_Break=_ inseparable}', "");
Expect(1, 68343, '\p{^Line_Break=_ inseparable}', "");
Expect(1, 68343, '\P{Line_Break=_ inseparable}', "");
Expect(0, 68343, '\P{^Line_Break=_ inseparable}', "");
Error('\p{Lb=	-IN/a/}');
Error('\P{Lb=	-IN/a/}');
Expect(1, 68342, '\p{Lb=in}', "");
Expect(0, 68342, '\p{^Lb=in}', "");
Expect(0, 68342, '\P{Lb=in}', "");
Expect(1, 68342, '\P{^Lb=in}', "");
Expect(0, 68343, '\p{Lb=in}', "");
Expect(1, 68343, '\p{^Lb=in}', "");
Expect(1, 68343, '\P{Lb=in}', "");
Expect(0, 68343, '\P{^Lb=in}', "");
Expect(1, 68342, '\p{Lb=  IN}', "");
Expect(0, 68342, '\p{^Lb=  IN}', "");
Expect(0, 68342, '\P{Lb=  IN}', "");
Expect(1, 68342, '\P{^Lb=  IN}', "");
Expect(0, 68343, '\p{Lb=  IN}', "");
Expect(1, 68343, '\p{^Lb=  IN}', "");
Expect(1, 68343, '\P{Lb=  IN}', "");
Expect(0, 68343, '\P{^Lb=  IN}', "");
Error('\p{Is_Line_Break=/a/_inseperable}');
Error('\P{Is_Line_Break=/a/_inseperable}');
Expect(1, 68342, '\p{Is_Line_Break=inseperable}', "");
Expect(0, 68342, '\p{^Is_Line_Break=inseperable}', "");
Expect(0, 68342, '\P{Is_Line_Break=inseperable}', "");
Expect(1, 68342, '\P{^Is_Line_Break=inseperable}', "");
Expect(0, 68343, '\p{Is_Line_Break=inseperable}', "");
Expect(1, 68343, '\p{^Is_Line_Break=inseperable}', "");
Expect(1, 68343, '\P{Is_Line_Break=inseperable}', "");
Expect(0, 68343, '\P{^Is_Line_Break=inseperable}', "");
Expect(1, 68342, '\p{Is_Line_Break=  Inseperable}', "");
Expect(0, 68342, '\p{^Is_Line_Break=  Inseperable}', "");
Expect(0, 68342, '\P{Is_Line_Break=  Inseperable}', "");
Expect(1, 68342, '\P{^Is_Line_Break=  Inseperable}', "");
Expect(0, 68343, '\p{Is_Line_Break=  Inseperable}', "");
Expect(1, 68343, '\p{^Is_Line_Break=  Inseperable}', "");
Expect(1, 68343, '\P{Is_Line_Break=  Inseperable}', "");
Expect(0, 68343, '\P{^Is_Line_Break=  Inseperable}', "");
Error('\p{Is_Lb=/a/Inseparable}');
Error('\P{Is_Lb=/a/Inseparable}');
Expect(1, 68342, '\p{Is_Lb=inseparable}', "");
Expect(0, 68342, '\p{^Is_Lb=inseparable}', "");
Expect(0, 68342, '\P{Is_Lb=inseparable}', "");
Expect(1, 68342, '\P{^Is_Lb=inseparable}', "");
Expect(0, 68343, '\p{Is_Lb=inseparable}', "");
Expect(1, 68343, '\p{^Is_Lb=inseparable}', "");
Expect(1, 68343, '\P{Is_Lb=inseparable}', "");
Expect(0, 68343, '\P{^Is_Lb=inseparable}', "");
Expect(1, 68342, '\p{Is_Lb=	-Inseparable}', "");
Expect(0, 68342, '\p{^Is_Lb=	-Inseparable}', "");
Expect(0, 68342, '\P{Is_Lb=	-Inseparable}', "");
Expect(1, 68342, '\P{^Is_Lb=	-Inseparable}', "");
Expect(0, 68343, '\p{Is_Lb=	-Inseparable}', "");
Expect(1, 68343, '\p{^Is_Lb=	-Inseparable}', "");
Expect(1, 68343, '\P{Is_Lb=	-Inseparable}', "");
Expect(0, 68343, '\P{^Is_Lb=	-Inseparable}', "");
Error('\p{Line_Break=:=infix_Numeric}');
Error('\P{Line_Break=:=infix_Numeric}');
Expect(1, 65044, '\p{Line_Break=infixnumeric}', "");
Expect(0, 65044, '\p{^Line_Break=infixnumeric}', "");
Expect(0, 65044, '\P{Line_Break=infixnumeric}', "");
Expect(1, 65044, '\P{^Line_Break=infixnumeric}', "");
Expect(0, 65045, '\p{Line_Break=infixnumeric}', "");
Expect(1, 65045, '\p{^Line_Break=infixnumeric}', "");
Expect(1, 65045, '\P{Line_Break=infixnumeric}', "");
Expect(0, 65045, '\P{^Line_Break=infixnumeric}', "");
Expect(1, 65044, '\p{Line_Break:     Infix_numeric}', "");
Expect(0, 65044, '\p{^Line_Break:     Infix_numeric}', "");
Expect(0, 65044, '\P{Line_Break:     Infix_numeric}', "");
Expect(1, 65044, '\P{^Line_Break:     Infix_numeric}', "");
Expect(0, 65045, '\p{Line_Break:     Infix_numeric}', "");
Expect(1, 65045, '\p{^Line_Break:     Infix_numeric}', "");
Expect(1, 65045, '\P{Line_Break:     Infix_numeric}', "");
Expect(0, 65045, '\P{^Line_Break:     Infix_numeric}', "");
Error('\p{Lb=__IS/a/}');
Error('\P{Lb=__IS/a/}');
Expect(1, 65044, '\p{Lb=is}', "");
Expect(0, 65044, '\p{^Lb=is}', "");
Expect(0, 65044, '\P{Lb=is}', "");
Expect(1, 65044, '\P{^Lb=is}', "");
Expect(0, 65045, '\p{Lb=is}', "");
Expect(1, 65045, '\p{^Lb=is}', "");
Expect(1, 65045, '\P{Lb=is}', "");
Expect(0, 65045, '\P{^Lb=is}', "");
Expect(1, 65044, '\p{Lb=-	IS}', "");
Expect(0, 65044, '\p{^Lb=-	IS}', "");
Expect(0, 65044, '\P{Lb=-	IS}', "");
Expect(1, 65044, '\P{^Lb=-	IS}', "");
Expect(0, 65045, '\p{Lb=-	IS}', "");
Expect(1, 65045, '\p{^Lb=-	IS}', "");
Expect(1, 65045, '\P{Lb=-	IS}', "");
Expect(0, 65045, '\P{^Lb=-	IS}', "");
Error('\p{Is_Line_Break=	Infix_Numeric:=}');
Error('\P{Is_Line_Break=	Infix_Numeric:=}');
Expect(1, 65044, '\p{Is_Line_Break=infixnumeric}', "");
Expect(0, 65044, '\p{^Is_Line_Break=infixnumeric}', "");
Expect(0, 65044, '\P{Is_Line_Break=infixnumeric}', "");
Expect(1, 65044, '\P{^Is_Line_Break=infixnumeric}', "");
Expect(0, 65045, '\p{Is_Line_Break=infixnumeric}', "");
Expect(1, 65045, '\p{^Is_Line_Break=infixnumeric}', "");
Expect(1, 65045, '\P{Is_Line_Break=infixnumeric}', "");
Expect(0, 65045, '\P{^Is_Line_Break=infixnumeric}', "");
Expect(1, 65044, '\p{Is_Line_Break=- Infix_Numeric}', "");
Expect(0, 65044, '\p{^Is_Line_Break=- Infix_Numeric}', "");
Expect(0, 65044, '\P{Is_Line_Break=- Infix_Numeric}', "");
Expect(1, 65044, '\P{^Is_Line_Break=- Infix_Numeric}', "");
Expect(0, 65045, '\p{Is_Line_Break=- Infix_Numeric}', "");
Expect(1, 65045, '\p{^Is_Line_Break=- Infix_Numeric}', "");
Expect(1, 65045, '\P{Is_Line_Break=- Infix_Numeric}', "");
Expect(0, 65045, '\P{^Is_Line_Break=- Infix_Numeric}', "");
Error('\p{Is_Lb=:=--IS}');
Error('\P{Is_Lb=:=--IS}');
Expect(1, 65044, '\p{Is_Lb=is}', "");
Expect(0, 65044, '\p{^Is_Lb=is}', "");
Expect(0, 65044, '\P{Is_Lb=is}', "");
Expect(1, 65044, '\P{^Is_Lb=is}', "");
Expect(0, 65045, '\p{Is_Lb=is}', "");
Expect(1, 65045, '\p{^Is_Lb=is}', "");
Expect(1, 65045, '\P{Is_Lb=is}', "");
Expect(0, 65045, '\P{^Is_Lb=is}', "");
Expect(1, 65044, '\p{Is_Lb=	IS}', "");
Expect(0, 65044, '\p{^Is_Lb=	IS}', "");
Expect(0, 65044, '\P{Is_Lb=	IS}', "");
Expect(1, 65044, '\P{^Is_Lb=	IS}', "");
Expect(0, 65045, '\p{Is_Lb=	IS}', "");
Expect(1, 65045, '\p{^Is_Lb=	IS}', "");
Expect(1, 65045, '\P{Is_Lb=	IS}', "");
Expect(0, 65045, '\P{^Is_Lb=	IS}', "");
Error('\p{Line_Break=_/a/jl}');
Error('\P{Line_Break=_/a/jl}');
Expect(1, 43388, '\p{Line_Break=jl}', "");
Expect(0, 43388, '\p{^Line_Break=jl}', "");
Expect(0, 43388, '\P{Line_Break=jl}', "");
Expect(1, 43388, '\P{^Line_Break=jl}', "");
Expect(0, 43389, '\p{Line_Break=jl}', "");
Expect(1, 43389, '\p{^Line_Break=jl}', "");
Expect(1, 43389, '\P{Line_Break=jl}', "");
Expect(0, 43389, '\P{^Line_Break=jl}', "");
Expect(1, 43388, '\p{Line_Break=  JL}', "");
Expect(0, 43388, '\p{^Line_Break=  JL}', "");
Expect(0, 43388, '\P{Line_Break=  JL}', "");
Expect(1, 43388, '\P{^Line_Break=  JL}', "");
Expect(0, 43389, '\p{Line_Break=  JL}', "");
Expect(1, 43389, '\p{^Line_Break=  JL}', "");
Expect(1, 43389, '\P{Line_Break=  JL}', "");
Expect(0, 43389, '\P{^Line_Break=  JL}', "");
Error('\p{Lb=_-JL:=}');
Error('\P{Lb=_-JL:=}');
Expect(1, 43388, '\p{Lb=jl}', "");
Expect(0, 43388, '\p{^Lb=jl}', "");
Expect(0, 43388, '\P{Lb=jl}', "");
Expect(1, 43388, '\P{^Lb=jl}', "");
Expect(0, 43389, '\p{Lb=jl}', "");
Expect(1, 43389, '\p{^Lb=jl}', "");
Expect(1, 43389, '\P{Lb=jl}', "");
Expect(0, 43389, '\P{^Lb=jl}', "");
Expect(1, 43388, '\p{Lb=	 JL}', "");
Expect(0, 43388, '\p{^Lb=	 JL}', "");
Expect(0, 43388, '\P{Lb=	 JL}', "");
Expect(1, 43388, '\P{^Lb=	 JL}', "");
Expect(0, 43389, '\p{Lb=	 JL}', "");
Expect(1, 43389, '\p{^Lb=	 JL}', "");
Expect(1, 43389, '\P{Lb=	 JL}', "");
Expect(0, 43389, '\P{^Lb=	 JL}', "");
Error('\p{Is_Line_Break=__JL:=}');
Error('\P{Is_Line_Break=__JL:=}');
Expect(1, 43388, '\p{Is_Line_Break=jl}', "");
Expect(0, 43388, '\p{^Is_Line_Break=jl}', "");
Expect(0, 43388, '\P{Is_Line_Break=jl}', "");
Expect(1, 43388, '\P{^Is_Line_Break=jl}', "");
Expect(0, 43389, '\p{Is_Line_Break=jl}', "");
Expect(1, 43389, '\p{^Is_Line_Break=jl}', "");
Expect(1, 43389, '\P{Is_Line_Break=jl}', "");
Expect(0, 43389, '\P{^Is_Line_Break=jl}', "");
Expect(1, 43388, '\p{Is_Line_Break=_JL}', "");
Expect(0, 43388, '\p{^Is_Line_Break=_JL}', "");
Expect(0, 43388, '\P{Is_Line_Break=_JL}', "");
Expect(1, 43388, '\P{^Is_Line_Break=_JL}', "");
Expect(0, 43389, '\p{Is_Line_Break=_JL}', "");
Expect(1, 43389, '\p{^Is_Line_Break=_JL}', "");
Expect(1, 43389, '\P{Is_Line_Break=_JL}', "");
Expect(0, 43389, '\P{^Is_Line_Break=_JL}', "");
Error('\p{Is_Lb=-:=jl}');
Error('\P{Is_Lb=-:=jl}');
Expect(1, 43388, '\p{Is_Lb=jl}', "");
Expect(0, 43388, '\p{^Is_Lb=jl}', "");
Expect(0, 43388, '\P{Is_Lb=jl}', "");
Expect(1, 43388, '\P{^Is_Lb=jl}', "");
Expect(0, 43389, '\p{Is_Lb=jl}', "");
Expect(1, 43389, '\p{^Is_Lb=jl}', "");
Expect(1, 43389, '\P{Is_Lb=jl}', "");
Expect(0, 43389, '\P{^Is_Lb=jl}', "");
Expect(1, 43388, '\p{Is_Lb=-JL}', "");
Expect(0, 43388, '\p{^Is_Lb=-JL}', "");
Expect(0, 43388, '\P{Is_Lb=-JL}', "");
Expect(1, 43388, '\P{^Is_Lb=-JL}', "");
Expect(0, 43389, '\p{Is_Lb=-JL}', "");
Expect(1, 43389, '\p{^Is_Lb=-JL}', "");
Expect(1, 43389, '\P{Is_Lb=-JL}', "");
Expect(0, 43389, '\P{^Is_Lb=-JL}', "");
Error('\p{Line_Break= :=JT}');
Error('\P{Line_Break= :=JT}');
Expect(1, 55291, '\p{Line_Break=jt}', "");
Expect(0, 55291, '\p{^Line_Break=jt}', "");
Expect(0, 55291, '\P{Line_Break=jt}', "");
Expect(1, 55291, '\P{^Line_Break=jt}', "");
Expect(0, 55292, '\p{Line_Break=jt}', "");
Expect(1, 55292, '\p{^Line_Break=jt}', "");
Expect(1, 55292, '\P{Line_Break=jt}', "");
Expect(0, 55292, '\P{^Line_Break=jt}', "");
Expect(1, 55291, '\p{Line_Break=	_JT}', "");
Expect(0, 55291, '\p{^Line_Break=	_JT}', "");
Expect(0, 55291, '\P{Line_Break=	_JT}', "");
Expect(1, 55291, '\P{^Line_Break=	_JT}', "");
Expect(0, 55292, '\p{Line_Break=	_JT}', "");
Expect(1, 55292, '\p{^Line_Break=	_JT}', "");
Expect(1, 55292, '\P{Line_Break=	_JT}', "");
Expect(0, 55292, '\P{^Line_Break=	_JT}', "");
Error('\p{Lb=:=  JT}');
Error('\P{Lb=:=  JT}');
Expect(1, 55291, '\p{Lb=jt}', "");
Expect(0, 55291, '\p{^Lb=jt}', "");
Expect(0, 55291, '\P{Lb=jt}', "");
Expect(1, 55291, '\P{^Lb=jt}', "");
Expect(0, 55292, '\p{Lb=jt}', "");
Expect(1, 55292, '\p{^Lb=jt}', "");
Expect(1, 55292, '\P{Lb=jt}', "");
Expect(0, 55292, '\P{^Lb=jt}', "");
Expect(1, 55291, '\p{Lb= JT}', "");
Expect(0, 55291, '\p{^Lb= JT}', "");
Expect(0, 55291, '\P{Lb= JT}', "");
Expect(1, 55291, '\P{^Lb= JT}', "");
Expect(0, 55292, '\p{Lb= JT}', "");
Expect(1, 55292, '\p{^Lb= JT}', "");
Expect(1, 55292, '\P{Lb= JT}', "");
Expect(0, 55292, '\P{^Lb= JT}', "");
Error('\p{Is_Line_Break=/a/_JT}');
Error('\P{Is_Line_Break=/a/_JT}');
Expect(1, 55291, '\p{Is_Line_Break=jt}', "");
Expect(0, 55291, '\p{^Is_Line_Break=jt}', "");
Expect(0, 55291, '\P{Is_Line_Break=jt}', "");
Expect(1, 55291, '\P{^Is_Line_Break=jt}', "");
Expect(0, 55292, '\p{Is_Line_Break=jt}', "");
Expect(1, 55292, '\p{^Is_Line_Break=jt}', "");
Expect(1, 55292, '\P{Is_Line_Break=jt}', "");
Expect(0, 55292, '\P{^Is_Line_Break=jt}', "");
Expect(1, 55291, '\p{Is_Line_Break=- JT}', "");
Expect(0, 55291, '\p{^Is_Line_Break=- JT}', "");
Expect(0, 55291, '\P{Is_Line_Break=- JT}', "");
Expect(1, 55291, '\P{^Is_Line_Break=- JT}', "");
Expect(0, 55292, '\p{Is_Line_Break=- JT}', "");
Expect(1, 55292, '\p{^Is_Line_Break=- JT}', "");
Expect(1, 55292, '\P{Is_Line_Break=- JT}', "");
Expect(0, 55292, '\P{^Is_Line_Break=- JT}', "");
Error('\p{Is_Lb=:=_	JT}');
Error('\P{Is_Lb=:=_	JT}');
Expect(1, 55291, '\p{Is_Lb=jt}', "");
Expect(0, 55291, '\p{^Is_Lb=jt}', "");
Expect(0, 55291, '\P{Is_Lb=jt}', "");
Expect(1, 55291, '\P{^Is_Lb=jt}', "");
Expect(0, 55292, '\p{Is_Lb=jt}', "");
Expect(1, 55292, '\p{^Is_Lb=jt}', "");
Expect(1, 55292, '\P{Is_Lb=jt}', "");
Expect(0, 55292, '\P{^Is_Lb=jt}', "");
Expect(1, 55291, '\p{Is_Lb=	-JT}', "");
Expect(0, 55291, '\p{^Is_Lb=	-JT}', "");
Expect(0, 55291, '\P{Is_Lb=	-JT}', "");
Expect(1, 55291, '\P{^Is_Lb=	-JT}', "");
Expect(0, 55292, '\p{Is_Lb=	-JT}', "");
Expect(1, 55292, '\p{^Is_Lb=	-JT}', "");
Expect(1, 55292, '\P{Is_Lb=	-JT}', "");
Expect(0, 55292, '\P{^Is_Lb=	-JT}', "");
Error('\p{Line_Break:		jv:=}');
Error('\P{Line_Break:		jv:=}');
Expect(1, 55238, '\p{Line_Break=jv}', "");
Expect(0, 55238, '\p{^Line_Break=jv}', "");
Expect(0, 55238, '\P{Line_Break=jv}', "");
Expect(1, 55238, '\P{^Line_Break=jv}', "");
Expect(0, 55239, '\p{Line_Break=jv}', "");
Expect(1, 55239, '\p{^Line_Break=jv}', "");
Expect(1, 55239, '\P{Line_Break=jv}', "");
Expect(0, 55239, '\P{^Line_Break=jv}', "");
Expect(1, 55238, '\p{Line_Break=	jv}', "");
Expect(0, 55238, '\p{^Line_Break=	jv}', "");
Expect(0, 55238, '\P{Line_Break=	jv}', "");
Expect(1, 55238, '\P{^Line_Break=	jv}', "");
Expect(0, 55239, '\p{Line_Break=	jv}', "");
Expect(1, 55239, '\p{^Line_Break=	jv}', "");
Expect(1, 55239, '\P{Line_Break=	jv}', "");
Expect(0, 55239, '\P{^Line_Break=	jv}', "");
Error('\p{Lb=_-JV:=}');
Error('\P{Lb=_-JV:=}');
Expect(1, 55238, '\p{Lb=jv}', "");
Expect(0, 55238, '\p{^Lb=jv}', "");
Expect(0, 55238, '\P{Lb=jv}', "");
Expect(1, 55238, '\P{^Lb=jv}', "");
Expect(0, 55239, '\p{Lb=jv}', "");
Expect(1, 55239, '\p{^Lb=jv}', "");
Expect(1, 55239, '\P{Lb=jv}', "");
Expect(0, 55239, '\P{^Lb=jv}', "");
Expect(1, 55238, '\p{Lb: 	-jv}', "");
Expect(0, 55238, '\p{^Lb: 	-jv}', "");
Expect(0, 55238, '\P{Lb: 	-jv}', "");
Expect(1, 55238, '\P{^Lb: 	-jv}', "");
Expect(0, 55239, '\p{Lb: 	-jv}', "");
Expect(1, 55239, '\p{^Lb: 	-jv}', "");
Expect(1, 55239, '\P{Lb: 	-jv}', "");
Expect(0, 55239, '\P{^Lb: 	-jv}', "");
Error('\p{Is_Line_Break=		JV/a/}');
Error('\P{Is_Line_Break=		JV/a/}');
Expect(1, 55238, '\p{Is_Line_Break=jv}', "");
Expect(0, 55238, '\p{^Is_Line_Break=jv}', "");
Expect(0, 55238, '\P{Is_Line_Break=jv}', "");
Expect(1, 55238, '\P{^Is_Line_Break=jv}', "");
Expect(0, 55239, '\p{Is_Line_Break=jv}', "");
Expect(1, 55239, '\p{^Is_Line_Break=jv}', "");
Expect(1, 55239, '\P{Is_Line_Break=jv}', "");
Expect(0, 55239, '\P{^Is_Line_Break=jv}', "");
Expect(1, 55238, '\p{Is_Line_Break=- JV}', "");
Expect(0, 55238, '\p{^Is_Line_Break=- JV}', "");
Expect(0, 55238, '\P{Is_Line_Break=- JV}', "");
Expect(1, 55238, '\P{^Is_Line_Break=- JV}', "");
Expect(0, 55239, '\p{Is_Line_Break=- JV}', "");
Expect(1, 55239, '\p{^Is_Line_Break=- JV}', "");
Expect(1, 55239, '\P{Is_Line_Break=- JV}', "");
Expect(0, 55239, '\P{^Is_Line_Break=- JV}', "");
Error('\p{Is_Lb= :=JV}');
Error('\P{Is_Lb= :=JV}');
Expect(1, 55238, '\p{Is_Lb=jv}', "");
Expect(0, 55238, '\p{^Is_Lb=jv}', "");
Expect(0, 55238, '\P{Is_Lb=jv}', "");
Expect(1, 55238, '\P{^Is_Lb=jv}', "");
Expect(0, 55239, '\p{Is_Lb=jv}', "");
Expect(1, 55239, '\p{^Is_Lb=jv}', "");
Expect(1, 55239, '\P{Is_Lb=jv}', "");
Expect(0, 55239, '\P{^Is_Lb=jv}', "");
Expect(1, 55238, '\p{Is_Lb=- jv}', "");
Expect(0, 55238, '\p{^Is_Lb=- jv}', "");
Expect(0, 55238, '\P{Is_Lb=- jv}', "");
Expect(1, 55238, '\P{^Is_Lb=- jv}', "");
Expect(0, 55239, '\p{Is_Lb=- jv}', "");
Expect(1, 55239, '\p{^Is_Lb=- jv}', "");
Expect(1, 55239, '\P{Is_Lb=- jv}', "");
Expect(0, 55239, '\P{^Is_Lb=- jv}', "");
Error('\p{Line_Break= /a/Line_feed}');
Error('\P{Line_Break= /a/Line_feed}');
Expect(1, 10, '\p{Line_Break=linefeed}', "");
Expect(0, 10, '\p{^Line_Break=linefeed}', "");
Expect(0, 10, '\P{Line_Break=linefeed}', "");
Expect(1, 10, '\P{^Line_Break=linefeed}', "");
Expect(0, 11, '\p{Line_Break=linefeed}', "");
Expect(1, 11, '\p{^Line_Break=linefeed}', "");
Expect(1, 11, '\P{Line_Break=linefeed}', "");
Expect(0, 11, '\P{^Line_Break=linefeed}', "");
Expect(1, 10, '\p{Line_Break= LINE_Feed}', "");
Expect(0, 10, '\p{^Line_Break= LINE_Feed}', "");
Expect(0, 10, '\P{Line_Break= LINE_Feed}', "");
Expect(1, 10, '\P{^Line_Break= LINE_Feed}', "");
Expect(0, 11, '\p{Line_Break= LINE_Feed}', "");
Expect(1, 11, '\p{^Line_Break= LINE_Feed}', "");
Expect(1, 11, '\P{Line_Break= LINE_Feed}', "");
Expect(0, 11, '\P{^Line_Break= LINE_Feed}', "");
Error('\p{Lb=_lf:=}');
Error('\P{Lb=_lf:=}');
Expect(1, 10, '\p{Lb=lf}', "");
Expect(0, 10, '\p{^Lb=lf}', "");
Expect(0, 10, '\P{Lb=lf}', "");
Expect(1, 10, '\P{^Lb=lf}', "");
Expect(0, 11, '\p{Lb=lf}', "");
Expect(1, 11, '\p{^Lb=lf}', "");
Expect(1, 11, '\P{Lb=lf}', "");
Expect(0, 11, '\P{^Lb=lf}', "");
Expect(1, 10, '\p{Lb=_-LF}', "");
Expect(0, 10, '\p{^Lb=_-LF}', "");
Expect(0, 10, '\P{Lb=_-LF}', "");
Expect(1, 10, '\P{^Lb=_-LF}', "");
Expect(0, 11, '\p{Lb=_-LF}', "");
Expect(1, 11, '\p{^Lb=_-LF}', "");
Expect(1, 11, '\P{Lb=_-LF}', "");
Expect(0, 11, '\P{^Lb=_-LF}', "");
Error('\p{Is_Line_Break=	:=Line_feed}');
Error('\P{Is_Line_Break=	:=Line_feed}');
Expect(1, 10, '\p{Is_Line_Break=linefeed}', "");
Expect(0, 10, '\p{^Is_Line_Break=linefeed}', "");
Expect(0, 10, '\P{Is_Line_Break=linefeed}', "");
Expect(1, 10, '\P{^Is_Line_Break=linefeed}', "");
Expect(0, 11, '\p{Is_Line_Break=linefeed}', "");
Expect(1, 11, '\p{^Is_Line_Break=linefeed}', "");
Expect(1, 11, '\P{Is_Line_Break=linefeed}', "");
Expect(0, 11, '\P{^Is_Line_Break=linefeed}', "");
Expect(1, 10, '\p{Is_Line_Break=--Line_FEED}', "");
Expect(0, 10, '\p{^Is_Line_Break=--Line_FEED}', "");
Expect(0, 10, '\P{Is_Line_Break=--Line_FEED}', "");
Expect(1, 10, '\P{^Is_Line_Break=--Line_FEED}', "");
Expect(0, 11, '\p{Is_Line_Break=--Line_FEED}', "");
Expect(1, 11, '\p{^Is_Line_Break=--Line_FEED}', "");
Expect(1, 11, '\P{Is_Line_Break=--Line_FEED}', "");
Expect(0, 11, '\P{^Is_Line_Break=--Line_FEED}', "");
Error('\p{Is_Lb=/a/lf}');
Error('\P{Is_Lb=/a/lf}');
Expect(1, 10, '\p{Is_Lb=lf}', "");
Expect(0, 10, '\p{^Is_Lb=lf}', "");
Expect(0, 10, '\P{Is_Lb=lf}', "");
Expect(1, 10, '\P{^Is_Lb=lf}', "");
Expect(0, 11, '\p{Is_Lb=lf}', "");
Expect(1, 11, '\p{^Is_Lb=lf}', "");
Expect(1, 11, '\P{Is_Lb=lf}', "");
Expect(0, 11, '\P{^Is_Lb=lf}', "");
Expect(1, 10, '\p{Is_Lb=  LF}', "");
Expect(0, 10, '\p{^Is_Lb=  LF}', "");
Expect(0, 10, '\P{Is_Lb=  LF}', "");
Expect(1, 10, '\P{^Is_Lb=  LF}', "");
Expect(0, 11, '\p{Is_Lb=  LF}', "");
Expect(1, 11, '\p{^Is_Lb=  LF}', "");
Expect(1, 11, '\P{Is_Lb=  LF}', "");
Expect(0, 11, '\P{^Is_Lb=  LF}', "");
Error('\p{Line_Break=-	next_line:=}');
Error('\P{Line_Break=-	next_line:=}');
Expect(1, 133, '\p{Line_Break=nextline}', "");
Expect(0, 133, '\p{^Line_Break=nextline}', "");
Expect(0, 133, '\P{Line_Break=nextline}', "");
Expect(1, 133, '\P{^Line_Break=nextline}', "");
Expect(0, 134, '\p{Line_Break=nextline}', "");
Expect(1, 134, '\p{^Line_Break=nextline}', "");
Expect(1, 134, '\P{Line_Break=nextline}', "");
Expect(0, 134, '\P{^Line_Break=nextline}', "");
Expect(1, 133, '\p{Line_Break=-NEXT_Line}', "");
Expect(0, 133, '\p{^Line_Break=-NEXT_Line}', "");
Expect(0, 133, '\P{Line_Break=-NEXT_Line}', "");
Expect(1, 133, '\P{^Line_Break=-NEXT_Line}', "");
Expect(0, 134, '\p{Line_Break=-NEXT_Line}', "");
Expect(1, 134, '\p{^Line_Break=-NEXT_Line}', "");
Expect(1, 134, '\P{Line_Break=-NEXT_Line}', "");
Expect(0, 134, '\P{^Line_Break=-NEXT_Line}', "");
Error('\p{Lb=	:=nl}');
Error('\P{Lb=	:=nl}');
Expect(1, 133, '\p{Lb=nl}', "");
Expect(0, 133, '\p{^Lb=nl}', "");
Expect(0, 133, '\P{Lb=nl}', "");
Expect(1, 133, '\P{^Lb=nl}', "");
Expect(0, 134, '\p{Lb=nl}', "");
Expect(1, 134, '\p{^Lb=nl}', "");
Expect(1, 134, '\P{Lb=nl}', "");
Expect(0, 134, '\P{^Lb=nl}', "");
Expect(1, 133, '\p{Lb=-_NL}', "");
Expect(0, 133, '\p{^Lb=-_NL}', "");
Expect(0, 133, '\P{Lb=-_NL}', "");
Expect(1, 133, '\P{^Lb=-_NL}', "");
Expect(0, 134, '\p{Lb=-_NL}', "");
Expect(1, 134, '\p{^Lb=-_NL}', "");
Expect(1, 134, '\P{Lb=-_NL}', "");
Expect(0, 134, '\P{^Lb=-_NL}', "");
Error('\p{Is_Line_Break=/a/Next_Line}');
Error('\P{Is_Line_Break=/a/Next_Line}');
Expect(1, 133, '\p{Is_Line_Break=nextline}', "");
Expect(0, 133, '\p{^Is_Line_Break=nextline}', "");
Expect(0, 133, '\P{Is_Line_Break=nextline}', "");
Expect(1, 133, '\P{^Is_Line_Break=nextline}', "");
Expect(0, 134, '\p{Is_Line_Break=nextline}', "");
Expect(1, 134, '\p{^Is_Line_Break=nextline}', "");
Expect(1, 134, '\P{Is_Line_Break=nextline}', "");
Expect(0, 134, '\P{^Is_Line_Break=nextline}', "");
Expect(1, 133, '\p{Is_Line_Break= -Next_Line}', "");
Expect(0, 133, '\p{^Is_Line_Break= -Next_Line}', "");
Expect(0, 133, '\P{Is_Line_Break= -Next_Line}', "");
Expect(1, 133, '\P{^Is_Line_Break= -Next_Line}', "");
Expect(0, 134, '\p{Is_Line_Break= -Next_Line}', "");
Expect(1, 134, '\p{^Is_Line_Break= -Next_Line}', "");
Expect(1, 134, '\P{Is_Line_Break= -Next_Line}', "");
Expect(0, 134, '\P{^Is_Line_Break= -Next_Line}', "");
Error('\p{Is_Lb=-:=nl}');
Error('\P{Is_Lb=-:=nl}');
Expect(1, 133, '\p{Is_Lb=nl}', "");
Expect(0, 133, '\p{^Is_Lb=nl}', "");
Expect(0, 133, '\P{Is_Lb=nl}', "");
Expect(1, 133, '\P{^Is_Lb=nl}', "");
Expect(0, 134, '\p{Is_Lb=nl}', "");
Expect(1, 134, '\p{^Is_Lb=nl}', "");
Expect(1, 134, '\P{Is_Lb=nl}', "");
Expect(0, 134, '\P{^Is_Lb=nl}', "");
Expect(1, 133, '\p{Is_Lb:   	 NL}', "");
Expect(0, 133, '\p{^Is_Lb:   	 NL}', "");
Expect(0, 133, '\P{Is_Lb:   	 NL}', "");
Expect(1, 133, '\P{^Is_Lb:   	 NL}', "");
Expect(0, 134, '\p{Is_Lb:   	 NL}', "");
Expect(1, 134, '\p{^Is_Lb:   	 NL}', "");
Expect(1, 134, '\P{Is_Lb:   	 NL}', "");
Expect(0, 134, '\P{^Is_Lb:   	 NL}', "");
Error('\p{Line_Break=-nonstarter/a/}');
Error('\P{Line_Break=-nonstarter/a/}');
Expect(1, 128635, '\p{Line_Break=nonstarter}', "");
Expect(0, 128635, '\p{^Line_Break=nonstarter}', "");
Expect(0, 128635, '\P{Line_Break=nonstarter}', "");
Expect(1, 128635, '\P{^Line_Break=nonstarter}', "");
Expect(0, 128636, '\p{Line_Break=nonstarter}', "");
Expect(1, 128636, '\p{^Line_Break=nonstarter}', "");
Expect(1, 128636, '\P{Line_Break=nonstarter}', "");
Expect(0, 128636, '\P{^Line_Break=nonstarter}', "");
Expect(1, 128635, '\p{Line_Break=__Nonstarter}', "");
Expect(0, 128635, '\p{^Line_Break=__Nonstarter}', "");
Expect(0, 128635, '\P{Line_Break=__Nonstarter}', "");
Expect(1, 128635, '\P{^Line_Break=__Nonstarter}', "");
Expect(0, 128636, '\p{Line_Break=__Nonstarter}', "");
Expect(1, 128636, '\p{^Line_Break=__Nonstarter}', "");
Expect(1, 128636, '\P{Line_Break=__Nonstarter}', "");
Expect(0, 128636, '\P{^Line_Break=__Nonstarter}', "");
Error('\p{Lb=/a/	ns}');
Error('\P{Lb=/a/	ns}');
Expect(1, 128635, '\p{Lb=ns}', "");
Expect(0, 128635, '\p{^Lb=ns}', "");
Expect(0, 128635, '\P{Lb=ns}', "");
Expect(1, 128635, '\P{^Lb=ns}', "");
Expect(0, 128636, '\p{Lb=ns}', "");
Expect(1, 128636, '\p{^Lb=ns}', "");
Expect(1, 128636, '\P{Lb=ns}', "");
Expect(0, 128636, '\P{^Lb=ns}', "");
Expect(1, 128635, '\p{Lb=- NS}', "");
Expect(0, 128635, '\p{^Lb=- NS}', "");
Expect(0, 128635, '\P{Lb=- NS}', "");
Expect(1, 128635, '\P{^Lb=- NS}', "");
Expect(0, 128636, '\p{Lb=- NS}', "");
Expect(1, 128636, '\p{^Lb=- NS}', "");
Expect(1, 128636, '\P{Lb=- NS}', "");
Expect(0, 128636, '\P{^Lb=- NS}', "");
Error('\p{Is_Line_Break=_-nonstarter/a/}');
Error('\P{Is_Line_Break=_-nonstarter/a/}');
Expect(1, 128635, '\p{Is_Line_Break=nonstarter}', "");
Expect(0, 128635, '\p{^Is_Line_Break=nonstarter}', "");
Expect(0, 128635, '\P{Is_Line_Break=nonstarter}', "");
Expect(1, 128635, '\P{^Is_Line_Break=nonstarter}', "");
Expect(0, 128636, '\p{Is_Line_Break=nonstarter}', "");
Expect(1, 128636, '\p{^Is_Line_Break=nonstarter}', "");
Expect(1, 128636, '\P{Is_Line_Break=nonstarter}', "");
Expect(0, 128636, '\P{^Is_Line_Break=nonstarter}', "");
Expect(1, 128635, '\p{Is_Line_Break: Nonstarter}', "");
Expect(0, 128635, '\p{^Is_Line_Break: Nonstarter}', "");
Expect(0, 128635, '\P{Is_Line_Break: Nonstarter}', "");
Expect(1, 128635, '\P{^Is_Line_Break: Nonstarter}', "");
Expect(0, 128636, '\p{Is_Line_Break: Nonstarter}', "");
Expect(1, 128636, '\p{^Is_Line_Break: Nonstarter}', "");
Expect(1, 128636, '\P{Is_Line_Break: Nonstarter}', "");
Expect(0, 128636, '\P{^Is_Line_Break: Nonstarter}', "");
Error('\p{Is_Lb=_:=NS}');
Error('\P{Is_Lb=_:=NS}');
Expect(1, 128635, '\p{Is_Lb=ns}', "");
Expect(0, 128635, '\p{^Is_Lb=ns}', "");
Expect(0, 128635, '\P{Is_Lb=ns}', "");
Expect(1, 128635, '\P{^Is_Lb=ns}', "");
Expect(0, 128636, '\p{Is_Lb=ns}', "");
Expect(1, 128636, '\p{^Is_Lb=ns}', "");
Expect(1, 128636, '\P{Is_Lb=ns}', "");
Expect(0, 128636, '\P{^Is_Lb=ns}', "");
Expect(1, 128635, '\p{Is_Lb=_ns}', "");
Expect(0, 128635, '\p{^Is_Lb=_ns}', "");
Expect(0, 128635, '\P{Is_Lb=_ns}', "");
Expect(1, 128635, '\P{^Is_Lb=_ns}', "");
Expect(0, 128636, '\p{Is_Lb=_ns}', "");
Expect(1, 128636, '\p{^Is_Lb=_ns}', "");
Expect(1, 128636, '\P{Is_Lb=_ns}', "");
Expect(0, 128636, '\P{^Is_Lb=_ns}', "");
Error('\p{Line_Break=-/a/NUMERIC}');
Error('\P{Line_Break=-/a/NUMERIC}');
Expect(1, 120831, '\p{Line_Break=numeric}', "");
Expect(0, 120831, '\p{^Line_Break=numeric}', "");
Expect(0, 120831, '\P{Line_Break=numeric}', "");
Expect(1, 120831, '\P{^Line_Break=numeric}', "");
Expect(0, 120832, '\p{Line_Break=numeric}', "");
Expect(1, 120832, '\p{^Line_Break=numeric}', "");
Expect(1, 120832, '\P{Line_Break=numeric}', "");
Expect(0, 120832, '\P{^Line_Break=numeric}', "");
Expect(1, 120831, '\p{Line_Break=Numeric}', "");
Expect(0, 120831, '\p{^Line_Break=Numeric}', "");
Expect(0, 120831, '\P{Line_Break=Numeric}', "");
Expect(1, 120831, '\P{^Line_Break=Numeric}', "");
Expect(0, 120832, '\p{Line_Break=Numeric}', "");
Expect(1, 120832, '\p{^Line_Break=Numeric}', "");
Expect(1, 120832, '\P{Line_Break=Numeric}', "");
Expect(0, 120832, '\P{^Line_Break=Numeric}', "");
Error('\p{Lb= NU:=}');
Error('\P{Lb= NU:=}');
Expect(1, 120831, '\p{Lb=nu}', "");
Expect(0, 120831, '\p{^Lb=nu}', "");
Expect(0, 120831, '\P{Lb=nu}', "");
Expect(1, 120831, '\P{^Lb=nu}', "");
Expect(0, 120832, '\p{Lb=nu}', "");
Expect(1, 120832, '\p{^Lb=nu}', "");
Expect(1, 120832, '\P{Lb=nu}', "");
Expect(0, 120832, '\P{^Lb=nu}', "");
Expect(1, 120831, '\p{Lb=_nu}', "");
Expect(0, 120831, '\p{^Lb=_nu}', "");
Expect(0, 120831, '\P{Lb=_nu}', "");
Expect(1, 120831, '\P{^Lb=_nu}', "");
Expect(0, 120832, '\p{Lb=_nu}', "");
Expect(1, 120832, '\p{^Lb=_nu}', "");
Expect(1, 120832, '\P{Lb=_nu}', "");
Expect(0, 120832, '\P{^Lb=_nu}', "");
Error('\p{Is_Line_Break= :=numeric}');
Error('\P{Is_Line_Break= :=numeric}');
Expect(1, 120831, '\p{Is_Line_Break=numeric}', "");
Expect(0, 120831, '\p{^Is_Line_Break=numeric}', "");
Expect(0, 120831, '\P{Is_Line_Break=numeric}', "");
Expect(1, 120831, '\P{^Is_Line_Break=numeric}', "");
Expect(0, 120832, '\p{Is_Line_Break=numeric}', "");
Expect(1, 120832, '\p{^Is_Line_Break=numeric}', "");
Expect(1, 120832, '\P{Is_Line_Break=numeric}', "");
Expect(0, 120832, '\P{^Is_Line_Break=numeric}', "");
Expect(1, 120831, '\p{Is_Line_Break=-NUMERIC}', "");
Expect(0, 120831, '\p{^Is_Line_Break=-NUMERIC}', "");
Expect(0, 120831, '\P{Is_Line_Break=-NUMERIC}', "");
Expect(1, 120831, '\P{^Is_Line_Break=-NUMERIC}', "");
Expect(0, 120832, '\p{Is_Line_Break=-NUMERIC}', "");
Expect(1, 120832, '\p{^Is_Line_Break=-NUMERIC}', "");
Expect(1, 120832, '\P{Is_Line_Break=-NUMERIC}', "");
Expect(0, 120832, '\P{^Is_Line_Break=-NUMERIC}', "");
Error('\p{Is_Lb=_NU:=}');
Error('\P{Is_Lb=_NU:=}');
Expect(1, 120831, '\p{Is_Lb=nu}', "");
Expect(0, 120831, '\p{^Is_Lb=nu}', "");
Expect(0, 120831, '\P{Is_Lb=nu}', "");
Expect(1, 120831, '\P{^Is_Lb=nu}', "");
Expect(0, 120832, '\p{Is_Lb=nu}', "");
Expect(1, 120832, '\p{^Is_Lb=nu}', "");
Expect(1, 120832, '\P{Is_Lb=nu}', "");
Expect(0, 120832, '\P{^Is_Lb=nu}', "");
Expect(1, 120831, '\p{Is_Lb=-nu}', "");
Expect(0, 120831, '\p{^Is_Lb=-nu}', "");
Expect(0, 120831, '\P{Is_Lb=-nu}', "");
Expect(1, 120831, '\P{^Is_Lb=-nu}', "");
Expect(0, 120832, '\p{Is_Lb=-nu}', "");
Expect(1, 120832, '\p{^Is_Lb=-nu}', "");
Expect(1, 120832, '\P{Is_Lb=-nu}', "");
Expect(0, 120832, '\P{^Is_Lb=-nu}', "");
Error('\p{Line_Break=_OPEN_Punctuation/a/}');
Error('\P{Line_Break=_OPEN_Punctuation/a/}');
Expect(1, 78713, '\p{Line_Break=openpunctuation}', "");
Expect(0, 78713, '\p{^Line_Break=openpunctuation}', "");
Expect(0, 78713, '\P{Line_Break=openpunctuation}', "");
Expect(1, 78713, '\P{^Line_Break=openpunctuation}', "");
Expect(0, 78714, '\p{Line_Break=openpunctuation}', "");
Expect(1, 78714, '\p{^Line_Break=openpunctuation}', "");
Expect(1, 78714, '\P{Line_Break=openpunctuation}', "");
Expect(0, 78714, '\P{^Line_Break=openpunctuation}', "");
Expect(1, 78713, '\p{Line_Break=_-Open_Punctuation}', "");
Expect(0, 78713, '\p{^Line_Break=_-Open_Punctuation}', "");
Expect(0, 78713, '\P{Line_Break=_-Open_Punctuation}', "");
Expect(1, 78713, '\P{^Line_Break=_-Open_Punctuation}', "");
Expect(0, 78714, '\p{Line_Break=_-Open_Punctuation}', "");
Expect(1, 78714, '\p{^Line_Break=_-Open_Punctuation}', "");
Expect(1, 78714, '\P{Line_Break=_-Open_Punctuation}', "");
Expect(0, 78714, '\P{^Line_Break=_-Open_Punctuation}', "");
Error('\p{Lb=:=	OP}');
Error('\P{Lb=:=	OP}');
Expect(1, 78713, '\p{Lb=op}', "");
Expect(0, 78713, '\p{^Lb=op}', "");
Expect(0, 78713, '\P{Lb=op}', "");
Expect(1, 78713, '\P{^Lb=op}', "");
Expect(0, 78714, '\p{Lb=op}', "");
Expect(1, 78714, '\p{^Lb=op}', "");
Expect(1, 78714, '\P{Lb=op}', "");
Expect(0, 78714, '\P{^Lb=op}', "");
Expect(1, 78713, '\p{Lb=OP}', "");
Expect(0, 78713, '\p{^Lb=OP}', "");
Expect(0, 78713, '\P{Lb=OP}', "");
Expect(1, 78713, '\P{^Lb=OP}', "");
Expect(0, 78714, '\p{Lb=OP}', "");
Expect(1, 78714, '\p{^Lb=OP}', "");
Expect(1, 78714, '\P{Lb=OP}', "");
Expect(0, 78714, '\P{^Lb=OP}', "");
Error('\p{Is_Line_Break=:=Open_Punctuation}');
Error('\P{Is_Line_Break=:=Open_Punctuation}');
Expect(1, 78713, '\p{Is_Line_Break=openpunctuation}', "");
Expect(0, 78713, '\p{^Is_Line_Break=openpunctuation}', "");
Expect(0, 78713, '\P{Is_Line_Break=openpunctuation}', "");
Expect(1, 78713, '\P{^Is_Line_Break=openpunctuation}', "");
Expect(0, 78714, '\p{Is_Line_Break=openpunctuation}', "");
Expect(1, 78714, '\p{^Is_Line_Break=openpunctuation}', "");
Expect(1, 78714, '\P{Is_Line_Break=openpunctuation}', "");
Expect(0, 78714, '\P{^Is_Line_Break=openpunctuation}', "");
Expect(1, 78713, '\p{Is_Line_Break=_	Open_Punctuation}', "");
Expect(0, 78713, '\p{^Is_Line_Break=_	Open_Punctuation}', "");
Expect(0, 78713, '\P{Is_Line_Break=_	Open_Punctuation}', "");
Expect(1, 78713, '\P{^Is_Line_Break=_	Open_Punctuation}', "");
Expect(0, 78714, '\p{Is_Line_Break=_	Open_Punctuation}', "");
Expect(1, 78714, '\p{^Is_Line_Break=_	Open_Punctuation}', "");
Expect(1, 78714, '\P{Is_Line_Break=_	Open_Punctuation}', "");
Expect(0, 78714, '\P{^Is_Line_Break=_	Open_Punctuation}', "");
Error('\p{Is_Lb= 	op/a/}');
Error('\P{Is_Lb= 	op/a/}');
Expect(1, 78713, '\p{Is_Lb=op}', "");
Expect(0, 78713, '\p{^Is_Lb=op}', "");
Expect(0, 78713, '\P{Is_Lb=op}', "");
Expect(1, 78713, '\P{^Is_Lb=op}', "");
Expect(0, 78714, '\p{Is_Lb=op}', "");
Expect(1, 78714, '\p{^Is_Lb=op}', "");
Expect(1, 78714, '\P{Is_Lb=op}', "");
Expect(0, 78714, '\P{^Is_Lb=op}', "");
Expect(1, 78713, '\p{Is_Lb=	_OP}', "");
Expect(0, 78713, '\p{^Is_Lb=	_OP}', "");
Expect(0, 78713, '\P{Is_Lb=	_OP}', "");
Expect(1, 78713, '\P{^Is_Lb=	_OP}', "");
Expect(0, 78714, '\p{Is_Lb=	_OP}', "");
Expect(1, 78714, '\p{^Is_Lb=	_OP}', "");
Expect(1, 78714, '\P{Is_Lb=	_OP}', "");
Expect(0, 78714, '\P{^Is_Lb=	_OP}', "");
Error('\p{Line_Break=-POSTFIX_numeric/a/}');
Error('\P{Line_Break=-POSTFIX_numeric/a/}');
Expect(1, 65504, '\p{Line_Break=postfixnumeric}', "");
Expect(0, 65504, '\p{^Line_Break=postfixnumeric}', "");
Expect(0, 65504, '\P{Line_Break=postfixnumeric}', "");
Expect(1, 65504, '\P{^Line_Break=postfixnumeric}', "");
Expect(0, 65505, '\p{Line_Break=postfixnumeric}', "");
Expect(1, 65505, '\p{^Line_Break=postfixnumeric}', "");
Expect(1, 65505, '\P{Line_Break=postfixnumeric}', "");
Expect(0, 65505, '\P{^Line_Break=postfixnumeric}', "");
Expect(1, 65504, '\p{Line_Break=_POSTFIX_Numeric}', "");
Expect(0, 65504, '\p{^Line_Break=_POSTFIX_Numeric}', "");
Expect(0, 65504, '\P{Line_Break=_POSTFIX_Numeric}', "");
Expect(1, 65504, '\P{^Line_Break=_POSTFIX_Numeric}', "");
Expect(0, 65505, '\p{Line_Break=_POSTFIX_Numeric}', "");
Expect(1, 65505, '\p{^Line_Break=_POSTFIX_Numeric}', "");
Expect(1, 65505, '\P{Line_Break=_POSTFIX_Numeric}', "");
Expect(0, 65505, '\P{^Line_Break=_POSTFIX_Numeric}', "");
Error('\p{Lb=-po/a/}');
Error('\P{Lb=-po/a/}');
Expect(1, 65504, '\p{Lb=po}', "");
Expect(0, 65504, '\p{^Lb=po}', "");
Expect(0, 65504, '\P{Lb=po}', "");
Expect(1, 65504, '\P{^Lb=po}', "");
Expect(0, 65505, '\p{Lb=po}', "");
Expect(1, 65505, '\p{^Lb=po}', "");
Expect(1, 65505, '\P{Lb=po}', "");
Expect(0, 65505, '\P{^Lb=po}', "");
Expect(1, 65504, '\p{Lb= PO}', "");
Expect(0, 65504, '\p{^Lb= PO}', "");
Expect(0, 65504, '\P{Lb= PO}', "");
Expect(1, 65504, '\P{^Lb= PO}', "");
Expect(0, 65505, '\p{Lb= PO}', "");
Expect(1, 65505, '\p{^Lb= PO}', "");
Expect(1, 65505, '\P{Lb= PO}', "");
Expect(0, 65505, '\P{^Lb= PO}', "");
Error('\p{Is_Line_Break:/a/postfix_Numeric}');
Error('\P{Is_Line_Break:/a/postfix_Numeric}');
Expect(1, 65504, '\p{Is_Line_Break:postfixnumeric}', "");
Expect(0, 65504, '\p{^Is_Line_Break:postfixnumeric}', "");
Expect(0, 65504, '\P{Is_Line_Break:postfixnumeric}', "");
Expect(1, 65504, '\P{^Is_Line_Break:postfixnumeric}', "");
Expect(0, 65505, '\p{Is_Line_Break:postfixnumeric}', "");
Expect(1, 65505, '\p{^Is_Line_Break:postfixnumeric}', "");
Expect(1, 65505, '\P{Is_Line_Break:postfixnumeric}', "");
Expect(0, 65505, '\P{^Is_Line_Break:postfixnumeric}', "");
Expect(1, 65504, '\p{Is_Line_Break=_ postfix_numeric}', "");
Expect(0, 65504, '\p{^Is_Line_Break=_ postfix_numeric}', "");
Expect(0, 65504, '\P{Is_Line_Break=_ postfix_numeric}', "");
Expect(1, 65504, '\P{^Is_Line_Break=_ postfix_numeric}', "");
Expect(0, 65505, '\p{Is_Line_Break=_ postfix_numeric}', "");
Expect(1, 65505, '\p{^Is_Line_Break=_ postfix_numeric}', "");
Expect(1, 65505, '\P{Is_Line_Break=_ postfix_numeric}', "");
Expect(0, 65505, '\P{^Is_Line_Break=_ postfix_numeric}', "");
Error('\p{Is_Lb=:=	PO}');
Error('\P{Is_Lb=:=	PO}');
Expect(1, 65504, '\p{Is_Lb=po}', "");
Expect(0, 65504, '\p{^Is_Lb=po}', "");
Expect(0, 65504, '\P{Is_Lb=po}', "");
Expect(1, 65504, '\P{^Is_Lb=po}', "");
Expect(0, 65505, '\p{Is_Lb=po}', "");
Expect(1, 65505, '\p{^Is_Lb=po}', "");
Expect(1, 65505, '\P{Is_Lb=po}', "");
Expect(0, 65505, '\P{^Is_Lb=po}', "");
Expect(1, 65504, '\p{Is_Lb:  -PO}', "");
Expect(0, 65504, '\p{^Is_Lb:  -PO}', "");
Expect(0, 65504, '\P{Is_Lb:  -PO}', "");
Expect(1, 65504, '\P{^Is_Lb:  -PO}', "");
Expect(0, 65505, '\p{Is_Lb:  -PO}', "");
Expect(1, 65505, '\p{^Is_Lb:  -PO}', "");
Expect(1, 65505, '\P{Is_Lb:  -PO}', "");
Expect(0, 65505, '\P{^Is_Lb:  -PO}', "");
Error('\p{Line_Break:   /a/ 	Prefix_numeric}');
Error('\P{Line_Break:   /a/ 	Prefix_numeric}');
Expect(1, 65510, '\p{Line_Break=prefixnumeric}', "");
Expect(0, 65510, '\p{^Line_Break=prefixnumeric}', "");
Expect(0, 65510, '\P{Line_Break=prefixnumeric}', "");
Expect(1, 65510, '\P{^Line_Break=prefixnumeric}', "");
Expect(0, 65511, '\p{Line_Break=prefixnumeric}', "");
Expect(1, 65511, '\p{^Line_Break=prefixnumeric}', "");
Expect(1, 65511, '\P{Line_Break=prefixnumeric}', "");
Expect(0, 65511, '\P{^Line_Break=prefixnumeric}', "");
Expect(1, 65510, '\p{Line_Break= PREFIX_numeric}', "");
Expect(0, 65510, '\p{^Line_Break= PREFIX_numeric}', "");
Expect(0, 65510, '\P{Line_Break= PREFIX_numeric}', "");
Expect(1, 65510, '\P{^Line_Break= PREFIX_numeric}', "");
Expect(0, 65511, '\p{Line_Break= PREFIX_numeric}', "");
Expect(1, 65511, '\p{^Line_Break= PREFIX_numeric}', "");
Expect(1, 65511, '\P{Line_Break= PREFIX_numeric}', "");
Expect(0, 65511, '\P{^Line_Break= PREFIX_numeric}', "");
Error('\p{Lb=-/a/pr}');
Error('\P{Lb=-/a/pr}');
Expect(1, 65510, '\p{Lb=pr}', "");
Expect(0, 65510, '\p{^Lb=pr}', "");
Expect(0, 65510, '\P{Lb=pr}', "");
Expect(1, 65510, '\P{^Lb=pr}', "");
Expect(0, 65511, '\p{Lb=pr}', "");
Expect(1, 65511, '\p{^Lb=pr}', "");
Expect(1, 65511, '\P{Lb=pr}', "");
Expect(0, 65511, '\P{^Lb=pr}', "");
Expect(1, 65510, '\p{Lb=-	PR}', "");
Expect(0, 65510, '\p{^Lb=-	PR}', "");
Expect(0, 65510, '\P{Lb=-	PR}', "");
Expect(1, 65510, '\P{^Lb=-	PR}', "");
Expect(0, 65511, '\p{Lb=-	PR}', "");
Expect(1, 65511, '\p{^Lb=-	PR}', "");
Expect(1, 65511, '\P{Lb=-	PR}', "");
Expect(0, 65511, '\P{^Lb=-	PR}', "");
Error('\p{Is_Line_Break=	/a/prefix_Numeric}');
Error('\P{Is_Line_Break=	/a/prefix_Numeric}');
Expect(1, 65510, '\p{Is_Line_Break:	prefixnumeric}', "");
Expect(0, 65510, '\p{^Is_Line_Break:	prefixnumeric}', "");
Expect(0, 65510, '\P{Is_Line_Break:	prefixnumeric}', "");
Expect(1, 65510, '\P{^Is_Line_Break:	prefixnumeric}', "");
Expect(0, 65511, '\p{Is_Line_Break:	prefixnumeric}', "");
Expect(1, 65511, '\p{^Is_Line_Break:	prefixnumeric}', "");
Expect(1, 65511, '\P{Is_Line_Break:	prefixnumeric}', "");
Expect(0, 65511, '\P{^Is_Line_Break:	prefixnumeric}', "");
Expect(1, 65510, '\p{Is_Line_Break: --prefix_numeric}', "");
Expect(0, 65510, '\p{^Is_Line_Break: --prefix_numeric}', "");
Expect(0, 65510, '\P{Is_Line_Break: --prefix_numeric}', "");
Expect(1, 65510, '\P{^Is_Line_Break: --prefix_numeric}', "");
Expect(0, 65511, '\p{Is_Line_Break: --prefix_numeric}', "");
Expect(1, 65511, '\p{^Is_Line_Break: --prefix_numeric}', "");
Expect(1, 65511, '\P{Is_Line_Break: --prefix_numeric}', "");
Expect(0, 65511, '\P{^Is_Line_Break: --prefix_numeric}', "");
Error('\p{Is_Lb=-:=PR}');
Error('\P{Is_Lb=-:=PR}');
Expect(1, 65510, '\p{Is_Lb=pr}', "");
Expect(0, 65510, '\p{^Is_Lb=pr}', "");
Expect(0, 65510, '\P{Is_Lb=pr}', "");
Expect(1, 65510, '\P{^Is_Lb=pr}', "");
Expect(0, 65511, '\p{Is_Lb=pr}', "");
Expect(1, 65511, '\p{^Is_Lb=pr}', "");
Expect(1, 65511, '\P{Is_Lb=pr}', "");
Expect(0, 65511, '\P{^Is_Lb=pr}', "");
Expect(1, 65510, '\p{Is_Lb= pr}', "");
Expect(0, 65510, '\p{^Is_Lb= pr}', "");
Expect(0, 65510, '\P{Is_Lb= pr}', "");
Expect(1, 65510, '\P{^Is_Lb= pr}', "");
Expect(0, 65511, '\p{Is_Lb= pr}', "");
Expect(1, 65511, '\p{^Is_Lb= pr}', "");
Expect(1, 65511, '\P{Is_Lb= pr}', "");
Expect(0, 65511, '\P{^Is_Lb= pr}', "");
Error('\p{Line_Break=_	QUOTATION:=}');
Error('\P{Line_Break=_	QUOTATION:=}');
Expect(1, 128632, '\p{Line_Break=quotation}', "");
Expect(0, 128632, '\p{^Line_Break=quotation}', "");
Expect(0, 128632, '\P{Line_Break=quotation}', "");
Expect(1, 128632, '\P{^Line_Break=quotation}', "");
Expect(0, 128633, '\p{Line_Break=quotation}', "");
Expect(1, 128633, '\p{^Line_Break=quotation}', "");
Expect(1, 128633, '\P{Line_Break=quotation}', "");
Expect(0, 128633, '\P{^Line_Break=quotation}', "");
Expect(1, 128632, '\p{Line_Break=	-Quotation}', "");
Expect(0, 128632, '\p{^Line_Break=	-Quotation}', "");
Expect(0, 128632, '\P{Line_Break=	-Quotation}', "");
Expect(1, 128632, '\P{^Line_Break=	-Quotation}', "");
Expect(0, 128633, '\p{Line_Break=	-Quotation}', "");
Expect(1, 128633, '\p{^Line_Break=	-Quotation}', "");
Expect(1, 128633, '\P{Line_Break=	-Quotation}', "");
Expect(0, 128633, '\P{^Line_Break=	-Quotation}', "");
Error('\p{Lb=-_QU:=}');
Error('\P{Lb=-_QU:=}');
Expect(1, 128632, '\p{Lb=qu}', "");
Expect(0, 128632, '\p{^Lb=qu}', "");
Expect(0, 128632, '\P{Lb=qu}', "");
Expect(1, 128632, '\P{^Lb=qu}', "");
Expect(0, 128633, '\p{Lb=qu}', "");
Expect(1, 128633, '\p{^Lb=qu}', "");
Expect(1, 128633, '\P{Lb=qu}', "");
Expect(0, 128633, '\P{^Lb=qu}', "");
Expect(1, 128632, '\p{Lb=- QU}', "");
Expect(0, 128632, '\p{^Lb=- QU}', "");
Expect(0, 128632, '\P{Lb=- QU}', "");
Expect(1, 128632, '\P{^Lb=- QU}', "");
Expect(0, 128633, '\p{Lb=- QU}', "");
Expect(1, 128633, '\p{^Lb=- QU}', "");
Expect(1, 128633, '\P{Lb=- QU}', "");
Expect(0, 128633, '\P{^Lb=- QU}', "");
Error('\p{Is_Line_Break=-/a/Quotation}');
Error('\P{Is_Line_Break=-/a/Quotation}');
Expect(1, 128632, '\p{Is_Line_Break=quotation}', "");
Expect(0, 128632, '\p{^Is_Line_Break=quotation}', "");
Expect(0, 128632, '\P{Is_Line_Break=quotation}', "");
Expect(1, 128632, '\P{^Is_Line_Break=quotation}', "");
Expect(0, 128633, '\p{Is_Line_Break=quotation}', "");
Expect(1, 128633, '\p{^Is_Line_Break=quotation}', "");
Expect(1, 128633, '\P{Is_Line_Break=quotation}', "");
Expect(0, 128633, '\P{^Is_Line_Break=quotation}', "");
Expect(1, 128632, '\p{Is_Line_Break= _QUOTATION}', "");
Expect(0, 128632, '\p{^Is_Line_Break= _QUOTATION}', "");
Expect(0, 128632, '\P{Is_Line_Break= _QUOTATION}', "");
Expect(1, 128632, '\P{^Is_Line_Break= _QUOTATION}', "");
Expect(0, 128633, '\p{Is_Line_Break= _QUOTATION}', "");
Expect(1, 128633, '\p{^Is_Line_Break= _QUOTATION}', "");
Expect(1, 128633, '\P{Is_Line_Break= _QUOTATION}', "");
Expect(0, 128633, '\P{^Is_Line_Break= _QUOTATION}', "");
Error('\p{Is_Lb=:= qu}');
Error('\P{Is_Lb=:= qu}');
Expect(1, 128632, '\p{Is_Lb=qu}', "");
Expect(0, 128632, '\p{^Is_Lb=qu}', "");
Expect(0, 128632, '\P{Is_Lb=qu}', "");
Expect(1, 128632, '\P{^Is_Lb=qu}', "");
Expect(0, 128633, '\p{Is_Lb=qu}', "");
Expect(1, 128633, '\p{^Is_Lb=qu}', "");
Expect(1, 128633, '\P{Is_Lb=qu}', "");
Expect(0, 128633, '\P{^Is_Lb=qu}', "");
Expect(1, 128632, '\p{Is_Lb=-_QU}', "");
Expect(0, 128632, '\p{^Is_Lb=-_QU}', "");
Expect(0, 128632, '\P{Is_Lb=-_QU}', "");
Expect(1, 128632, '\P{^Is_Lb=-_QU}', "");
Expect(0, 128633, '\p{Is_Lb=-_QU}', "");
Expect(1, 128633, '\p{^Is_Lb=-_QU}', "");
Expect(1, 128633, '\P{Is_Lb=-_QU}', "");
Expect(0, 128633, '\P{^Is_Lb=-_QU}', "");
Error('\p{Line_Break=/a/__regional_Indicator}');
Error('\P{Line_Break=/a/__regional_Indicator}');
Expect(1, 127487, '\p{Line_Break=regionalindicator}', "");
Expect(0, 127487, '\p{^Line_Break=regionalindicator}', "");
Expect(0, 127487, '\P{Line_Break=regionalindicator}', "");
Expect(1, 127487, '\P{^Line_Break=regionalindicator}', "");
Expect(0, 127488, '\p{Line_Break=regionalindicator}', "");
Expect(1, 127488, '\p{^Line_Break=regionalindicator}', "");
Expect(1, 127488, '\P{Line_Break=regionalindicator}', "");
Expect(0, 127488, '\P{^Line_Break=regionalindicator}', "");
Expect(1, 127487, '\p{Line_Break=_ regional_Indicator}', "");
Expect(0, 127487, '\p{^Line_Break=_ regional_Indicator}', "");
Expect(0, 127487, '\P{Line_Break=_ regional_Indicator}', "");
Expect(1, 127487, '\P{^Line_Break=_ regional_Indicator}', "");
Expect(0, 127488, '\p{Line_Break=_ regional_Indicator}', "");
Expect(1, 127488, '\p{^Line_Break=_ regional_Indicator}', "");
Expect(1, 127488, '\P{Line_Break=_ regional_Indicator}', "");
Expect(0, 127488, '\P{^Line_Break=_ regional_Indicator}', "");
Error('\p{Lb=:=-RI}');
Error('\P{Lb=:=-RI}');
Expect(1, 127487, '\p{Lb=ri}', "");
Expect(0, 127487, '\p{^Lb=ri}', "");
Expect(0, 127487, '\P{Lb=ri}', "");
Expect(1, 127487, '\P{^Lb=ri}', "");
Expect(0, 127488, '\p{Lb=ri}', "");
Expect(1, 127488, '\p{^Lb=ri}', "");
Expect(1, 127488, '\P{Lb=ri}', "");
Expect(0, 127488, '\P{^Lb=ri}', "");
Expect(1, 127487, '\p{Lb:   _RI}', "");
Expect(0, 127487, '\p{^Lb:   _RI}', "");
Expect(0, 127487, '\P{Lb:   _RI}', "");
Expect(1, 127487, '\P{^Lb:   _RI}', "");
Expect(0, 127488, '\p{Lb:   _RI}', "");
Expect(1, 127488, '\p{^Lb:   _RI}', "");
Expect(1, 127488, '\P{Lb:   _RI}', "");
Expect(0, 127488, '\P{^Lb:   _RI}', "");
Error('\p{Is_Line_Break=_Regional_Indicator/a/}');
Error('\P{Is_Line_Break=_Regional_Indicator/a/}');
Expect(1, 127487, '\p{Is_Line_Break=regionalindicator}', "");
Expect(0, 127487, '\p{^Is_Line_Break=regionalindicator}', "");
Expect(0, 127487, '\P{Is_Line_Break=regionalindicator}', "");
Expect(1, 127487, '\P{^Is_Line_Break=regionalindicator}', "");
Expect(0, 127488, '\p{Is_Line_Break=regionalindicator}', "");
Expect(1, 127488, '\p{^Is_Line_Break=regionalindicator}', "");
Expect(1, 127488, '\P{Is_Line_Break=regionalindicator}', "");
Expect(0, 127488, '\P{^Is_Line_Break=regionalindicator}', "");
Expect(1, 127487, '\p{Is_Line_Break=	-REGIONAL_INDICATOR}', "");
Expect(0, 127487, '\p{^Is_Line_Break=	-REGIONAL_INDICATOR}', "");
Expect(0, 127487, '\P{Is_Line_Break=	-REGIONAL_INDICATOR}', "");
Expect(1, 127487, '\P{^Is_Line_Break=	-REGIONAL_INDICATOR}', "");
Expect(0, 127488, '\p{Is_Line_Break=	-REGIONAL_INDICATOR}', "");
Expect(1, 127488, '\p{^Is_Line_Break=	-REGIONAL_INDICATOR}', "");
Expect(1, 127488, '\P{Is_Line_Break=	-REGIONAL_INDICATOR}', "");
Expect(0, 127488, '\P{^Is_Line_Break=	-REGIONAL_INDICATOR}', "");
Error('\p{Is_Lb=:=RI}');
Error('\P{Is_Lb=:=RI}');
Expect(1, 127487, '\p{Is_Lb=ri}', "");
Expect(0, 127487, '\p{^Is_Lb=ri}', "");
Expect(0, 127487, '\P{Is_Lb=ri}', "");
Expect(1, 127487, '\P{^Is_Lb=ri}', "");
Expect(0, 127488, '\p{Is_Lb=ri}', "");
Expect(1, 127488, '\p{^Is_Lb=ri}', "");
Expect(1, 127488, '\P{Is_Lb=ri}', "");
Expect(0, 127488, '\P{^Is_Lb=ri}', "");
Expect(1, 127487, '\p{Is_Lb=--RI}', "");
Expect(0, 127487, '\p{^Is_Lb=--RI}', "");
Expect(0, 127487, '\P{Is_Lb=--RI}', "");
Expect(1, 127487, '\P{^Is_Lb=--RI}', "");
Expect(0, 127488, '\p{Is_Lb=--RI}', "");
Expect(1, 127488, '\p{^Is_Lb=--RI}', "");
Expect(1, 127488, '\P{Is_Lb=--RI}', "");
Expect(0, 127488, '\P{^Is_Lb=--RI}', "");
Error('\p{Line_Break=-/a/COMPLEX_context}');
Error('\P{Line_Break=-/a/COMPLEX_context}');
Expect(1, 43743, '\p{Line_Break=complexcontext}', "");
Expect(0, 43743, '\p{^Line_Break=complexcontext}', "");
Expect(0, 43743, '\P{Line_Break=complexcontext}', "");
Expect(1, 43743, '\P{^Line_Break=complexcontext}', "");
Expect(0, 43744, '\p{Line_Break=complexcontext}', "");
Expect(1, 43744, '\p{^Line_Break=complexcontext}', "");
Expect(1, 43744, '\P{Line_Break=complexcontext}', "");
Expect(0, 43744, '\P{^Line_Break=complexcontext}', "");
Expect(1, 43743, '\p{Line_Break=-Complex_CONTEXT}', "");
Expect(0, 43743, '\p{^Line_Break=-Complex_CONTEXT}', "");
Expect(0, 43743, '\P{Line_Break=-Complex_CONTEXT}', "");
Expect(1, 43743, '\P{^Line_Break=-Complex_CONTEXT}', "");
Expect(0, 43744, '\p{Line_Break=-Complex_CONTEXT}', "");
Expect(1, 43744, '\p{^Line_Break=-Complex_CONTEXT}', "");
Expect(1, 43744, '\P{Line_Break=-Complex_CONTEXT}', "");
Expect(0, 43744, '\P{^Line_Break=-Complex_CONTEXT}', "");
Error('\p{Lb=:=-	sa}');
Error('\P{Lb=:=-	sa}');
Expect(1, 43743, '\p{Lb=sa}', "");
Expect(0, 43743, '\p{^Lb=sa}', "");
Expect(0, 43743, '\P{Lb=sa}', "");
Expect(1, 43743, '\P{^Lb=sa}', "");
Expect(0, 43744, '\p{Lb=sa}', "");
Expect(1, 43744, '\p{^Lb=sa}', "");
Expect(1, 43744, '\P{Lb=sa}', "");
Expect(0, 43744, '\P{^Lb=sa}', "");
Expect(1, 43743, '\p{Lb=--SA}', "");
Expect(0, 43743, '\p{^Lb=--SA}', "");
Expect(0, 43743, '\P{Lb=--SA}', "");
Expect(1, 43743, '\P{^Lb=--SA}', "");
Expect(0, 43744, '\p{Lb=--SA}', "");
Expect(1, 43744, '\p{^Lb=--SA}', "");
Expect(1, 43744, '\P{Lb=--SA}', "");
Expect(0, 43744, '\P{^Lb=--SA}', "");
Error('\p{Is_Line_Break:			Complex_Context/a/}');
Error('\P{Is_Line_Break:			Complex_Context/a/}');
Expect(1, 43743, '\p{Is_Line_Break=complexcontext}', "");
Expect(0, 43743, '\p{^Is_Line_Break=complexcontext}', "");
Expect(0, 43743, '\P{Is_Line_Break=complexcontext}', "");
Expect(1, 43743, '\P{^Is_Line_Break=complexcontext}', "");
Expect(0, 43744, '\p{Is_Line_Break=complexcontext}', "");
Expect(1, 43744, '\p{^Is_Line_Break=complexcontext}', "");
Expect(1, 43744, '\P{Is_Line_Break=complexcontext}', "");
Expect(0, 43744, '\P{^Is_Line_Break=complexcontext}', "");
Expect(1, 43743, '\p{Is_Line_Break= Complex_Context}', "");
Expect(0, 43743, '\p{^Is_Line_Break= Complex_Context}', "");
Expect(0, 43743, '\P{Is_Line_Break= Complex_Context}', "");
Expect(1, 43743, '\P{^Is_Line_Break= Complex_Context}', "");
Expect(0, 43744, '\p{Is_Line_Break= Complex_Context}', "");
Expect(1, 43744, '\p{^Is_Line_Break= Complex_Context}', "");
Expect(1, 43744, '\P{Is_Line_Break= Complex_Context}', "");
Expect(0, 43744, '\P{^Is_Line_Break= Complex_Context}', "");
Error('\p{Is_Lb=	SA/a/}');
Error('\P{Is_Lb=	SA/a/}');
Expect(1, 43743, '\p{Is_Lb=sa}', "");
Expect(0, 43743, '\p{^Is_Lb=sa}', "");
Expect(0, 43743, '\P{Is_Lb=sa}', "");
Expect(1, 43743, '\P{^Is_Lb=sa}', "");
Expect(0, 43744, '\p{Is_Lb=sa}', "");
Expect(1, 43744, '\p{^Is_Lb=sa}', "");
Expect(1, 43744, '\P{Is_Lb=sa}', "");
Expect(0, 43744, '\P{^Is_Lb=sa}', "");
Expect(1, 43743, '\p{Is_Lb=_-SA}', "");
Expect(0, 43743, '\p{^Is_Lb=_-SA}', "");
Expect(0, 43743, '\P{Is_Lb=_-SA}', "");
Expect(1, 43743, '\P{^Is_Lb=_-SA}', "");
Expect(0, 43744, '\p{Is_Lb=_-SA}', "");
Expect(1, 43744, '\p{^Is_Lb=_-SA}', "");
Expect(1, 43744, '\P{Is_Lb=_-SA}', "");
Expect(0, 43744, '\P{^Is_Lb=_-SA}', "");
Error('\p{Line_Break=:=	-Surrogate}');
Error('\P{Line_Break=:=	-Surrogate}');
Expect(1, 57343, '\p{Line_Break=surrogate}', 'deprecated');
Expect(0, 57343, '\p{^Line_Break=surrogate}', 'deprecated');
Expect(0, 57343, '\P{Line_Break=surrogate}', 'deprecated');
Expect(1, 57343, '\P{^Line_Break=surrogate}', 'deprecated');
Expect(0, 57344, '\p{Line_Break=surrogate}', 'deprecated');
Expect(1, 57344, '\p{^Line_Break=surrogate}', 'deprecated');
Expect(1, 57344, '\P{Line_Break=surrogate}', 'deprecated');
Expect(0, 57344, '\P{^Line_Break=surrogate}', 'deprecated');
Expect(1, 57343, '\p{Line_Break=_ surrogate}', 'deprecated');
Expect(0, 57343, '\p{^Line_Break=_ surrogate}', 'deprecated');
Expect(0, 57343, '\P{Line_Break=_ surrogate}', 'deprecated');
Expect(1, 57343, '\P{^Line_Break=_ surrogate}', 'deprecated');
Expect(0, 57344, '\p{Line_Break=_ surrogate}', 'deprecated');
Expect(1, 57344, '\p{^Line_Break=_ surrogate}', 'deprecated');
Expect(1, 57344, '\P{Line_Break=_ surrogate}', 'deprecated');
Expect(0, 57344, '\P{^Line_Break=_ surrogate}', 'deprecated');
Error('\p{Lb=:=-sg}');
Error('\P{Lb=:=-sg}');
Expect(1, 57343, '\p{Lb=sg}', 'deprecated');
Expect(0, 57343, '\p{^Lb=sg}', 'deprecated');
Expect(0, 57343, '\P{Lb=sg}', 'deprecated');
Expect(1, 57343, '\P{^Lb=sg}', 'deprecated');
Expect(0, 57344, '\p{Lb=sg}', 'deprecated');
Expect(1, 57344, '\p{^Lb=sg}', 'deprecated');
Expect(1, 57344, '\P{Lb=sg}', 'deprecated');
Expect(0, 57344, '\P{^Lb=sg}', 'deprecated');
Expect(1, 57343, '\p{Lb= -sg}', 'deprecated');
Expect(0, 57343, '\p{^Lb= -sg}', 'deprecated');
Expect(0, 57343, '\P{Lb= -sg}', 'deprecated');
Expect(1, 57343, '\P{^Lb= -sg}', 'deprecated');
Expect(0, 57344, '\p{Lb= -sg}', 'deprecated');
Expect(1, 57344, '\p{^Lb= -sg}', 'deprecated');
Expect(1, 57344, '\P{Lb= -sg}', 'deprecated');
Expect(0, 57344, '\P{^Lb= -sg}', 'deprecated');
Error('\p{Is_Line_Break=_/a/surrogate}');
Error('\P{Is_Line_Break=_/a/surrogate}');
Expect(1, 57343, '\p{Is_Line_Break=surrogate}', 'deprecated');
Expect(0, 57343, '\p{^Is_Line_Break=surrogate}', 'deprecated');
Expect(0, 57343, '\P{Is_Line_Break=surrogate}', 'deprecated');
Expect(1, 57343, '\P{^Is_Line_Break=surrogate}', 'deprecated');
Expect(0, 57344, '\p{Is_Line_Break=surrogate}', 'deprecated');
Expect(1, 57344, '\p{^Is_Line_Break=surrogate}', 'deprecated');
Expect(1, 57344, '\P{Is_Line_Break=surrogate}', 'deprecated');
Expect(0, 57344, '\P{^Is_Line_Break=surrogate}', 'deprecated');
Expect(1, 57343, '\p{Is_Line_Break=--SURROGATE}', 'deprecated');
Expect(0, 57343, '\p{^Is_Line_Break=--SURROGATE}', 'deprecated');
Expect(0, 57343, '\P{Is_Line_Break=--SURROGATE}', 'deprecated');
Expect(1, 57343, '\P{^Is_Line_Break=--SURROGATE}', 'deprecated');
Expect(0, 57344, '\p{Is_Line_Break=--SURROGATE}', 'deprecated');
Expect(1, 57344, '\p{^Is_Line_Break=--SURROGATE}', 'deprecated');
Expect(1, 57344, '\P{Is_Line_Break=--SURROGATE}', 'deprecated');
Expect(0, 57344, '\P{^Is_Line_Break=--SURROGATE}', 'deprecated');
Error('\p{Is_Lb=:=--SG}');
Error('\P{Is_Lb=:=--SG}');
Expect(1, 57343, '\p{Is_Lb=sg}', 'deprecated');
Expect(0, 57343, '\p{^Is_Lb=sg}', 'deprecated');
Expect(0, 57343, '\P{Is_Lb=sg}', 'deprecated');
Expect(1, 57343, '\P{^Is_Lb=sg}', 'deprecated');
Expect(0, 57344, '\p{Is_Lb=sg}', 'deprecated');
Expect(1, 57344, '\p{^Is_Lb=sg}', 'deprecated');
Expect(1, 57344, '\P{Is_Lb=sg}', 'deprecated');
Expect(0, 57344, '\P{^Is_Lb=sg}', 'deprecated');
Expect(1, 57343, '\p{Is_Lb=-SG}', 'deprecated');
Expect(0, 57343, '\p{^Is_Lb=-SG}', 'deprecated');
Expect(0, 57343, '\P{Is_Lb=-SG}', 'deprecated');
Expect(1, 57343, '\P{^Is_Lb=-SG}', 'deprecated');
Expect(0, 57344, '\p{Is_Lb=-SG}', 'deprecated');
Expect(1, 57344, '\p{^Is_Lb=-SG}', 'deprecated');
Expect(1, 57344, '\P{Is_Lb=-SG}', 'deprecated');
Expect(0, 57344, '\P{^Is_Lb=-SG}', 'deprecated');
Error('\p{Line_Break=:=  Space}');
Error('\P{Line_Break=:=  Space}');
Expect(1, 32, '\p{Line_Break=space}', "");
Expect(0, 32, '\p{^Line_Break=space}', "");
Expect(0, 32, '\P{Line_Break=space}', "");
Expect(1, 32, '\P{^Line_Break=space}', "");
Expect(0, 33, '\p{Line_Break=space}', "");
Expect(1, 33, '\p{^Line_Break=space}', "");
Expect(1, 33, '\P{Line_Break=space}', "");
Expect(0, 33, '\P{^Line_Break=space}', "");
Expect(1, 32, '\p{Line_Break=_-Space}', "");
Expect(0, 32, '\p{^Line_Break=_-Space}', "");
Expect(0, 32, '\P{Line_Break=_-Space}', "");
Expect(1, 32, '\P{^Line_Break=_-Space}', "");
Expect(0, 33, '\p{Line_Break=_-Space}', "");
Expect(1, 33, '\p{^Line_Break=_-Space}', "");
Expect(1, 33, '\P{Line_Break=_-Space}', "");
Expect(0, 33, '\P{^Line_Break=_-Space}', "");
Error('\p{Lb=-/a/SP}');
Error('\P{Lb=-/a/SP}');
Expect(1, 32, '\p{Lb=sp}', "");
Expect(0, 32, '\p{^Lb=sp}', "");
Expect(0, 32, '\P{Lb=sp}', "");
Expect(1, 32, '\P{^Lb=sp}', "");
Expect(0, 33, '\p{Lb=sp}', "");
Expect(1, 33, '\p{^Lb=sp}', "");
Expect(1, 33, '\P{Lb=sp}', "");
Expect(0, 33, '\P{^Lb=sp}', "");
Expect(1, 32, '\p{Lb:_ SP}', "");
Expect(0, 32, '\p{^Lb:_ SP}', "");
Expect(0, 32, '\P{Lb:_ SP}', "");
Expect(1, 32, '\P{^Lb:_ SP}', "");
Expect(0, 33, '\p{Lb:_ SP}', "");
Expect(1, 33, '\p{^Lb:_ SP}', "");
Expect(1, 33, '\P{Lb:_ SP}', "");
Expect(0, 33, '\P{^Lb:_ SP}', "");
Error('\p{Is_Line_Break=:=Space}');
Error('\P{Is_Line_Break=:=Space}');
Expect(1, 32, '\p{Is_Line_Break=space}', "");
Expect(0, 32, '\p{^Is_Line_Break=space}', "");
Expect(0, 32, '\P{Is_Line_Break=space}', "");
Expect(1, 32, '\P{^Is_Line_Break=space}', "");
Expect(0, 33, '\p{Is_Line_Break=space}', "");
Expect(1, 33, '\p{^Is_Line_Break=space}', "");
Expect(1, 33, '\P{Is_Line_Break=space}', "");
Expect(0, 33, '\P{^Is_Line_Break=space}', "");
Expect(1, 32, '\p{Is_Line_Break=	SPACE}', "");
Expect(0, 32, '\p{^Is_Line_Break=	SPACE}', "");
Expect(0, 32, '\P{Is_Line_Break=	SPACE}', "");
Expect(1, 32, '\P{^Is_Line_Break=	SPACE}', "");
Expect(0, 33, '\p{Is_Line_Break=	SPACE}', "");
Expect(1, 33, '\p{^Is_Line_Break=	SPACE}', "");
Expect(1, 33, '\P{Is_Line_Break=	SPACE}', "");
Expect(0, 33, '\P{^Is_Line_Break=	SPACE}', "");
Error('\p{Is_Lb=/a/_SP}');
Error('\P{Is_Lb=/a/_SP}');
Expect(1, 32, '\p{Is_Lb=sp}', "");
Expect(0, 32, '\p{^Is_Lb=sp}', "");
Expect(0, 32, '\P{Is_Lb=sp}', "");
Expect(1, 32, '\P{^Is_Lb=sp}', "");
Expect(0, 33, '\p{Is_Lb=sp}', "");
Expect(1, 33, '\p{^Is_Lb=sp}', "");
Expect(1, 33, '\P{Is_Lb=sp}', "");
Expect(0, 33, '\P{^Is_Lb=sp}', "");
Expect(1, 32, '\p{Is_Lb=_	sp}', "");
Expect(0, 32, '\p{^Is_Lb=_	sp}', "");
Expect(0, 32, '\P{Is_Lb=_	sp}', "");
Expect(1, 32, '\P{^Is_Lb=_	sp}', "");
Expect(0, 33, '\p{Is_Lb=_	sp}', "");
Expect(1, 33, '\p{^Is_Lb=_	sp}', "");
Expect(1, 33, '\P{Is_Lb=_	sp}', "");
Expect(0, 33, '\P{^Is_Lb=_	sp}', "");
Error('\p{Line_Break=_BREAK_Symbols:=}');
Error('\P{Line_Break=_BREAK_Symbols:=}');
Expect(1, 47, '\p{Line_Break=breaksymbols}', "");
Expect(0, 47, '\p{^Line_Break=breaksymbols}', "");
Expect(0, 47, '\P{Line_Break=breaksymbols}', "");
Expect(1, 47, '\P{^Line_Break=breaksymbols}', "");
Expect(0, 48, '\p{Line_Break=breaksymbols}', "");
Expect(1, 48, '\p{^Line_Break=breaksymbols}', "");
Expect(1, 48, '\P{Line_Break=breaksymbols}', "");
Expect(0, 48, '\P{^Line_Break=breaksymbols}', "");
Expect(1, 47, '\p{Line_Break=- break_symbols}', "");
Expect(0, 47, '\p{^Line_Break=- break_symbols}', "");
Expect(0, 47, '\P{Line_Break=- break_symbols}', "");
Expect(1, 47, '\P{^Line_Break=- break_symbols}', "");
Expect(0, 48, '\p{Line_Break=- break_symbols}', "");
Expect(1, 48, '\p{^Line_Break=- break_symbols}', "");
Expect(1, 48, '\P{Line_Break=- break_symbols}', "");
Expect(0, 48, '\P{^Line_Break=- break_symbols}', "");
Error('\p{Lb=	/a/SY}');
Error('\P{Lb=	/a/SY}');
Expect(1, 47, '\p{Lb=sy}', "");
Expect(0, 47, '\p{^Lb=sy}', "");
Expect(0, 47, '\P{Lb=sy}', "");
Expect(1, 47, '\P{^Lb=sy}', "");
Expect(0, 48, '\p{Lb=sy}', "");
Expect(1, 48, '\p{^Lb=sy}', "");
Expect(1, 48, '\P{Lb=sy}', "");
Expect(0, 48, '\P{^Lb=sy}', "");
Expect(1, 47, '\p{Lb=		SY}', "");
Expect(0, 47, '\p{^Lb=		SY}', "");
Expect(0, 47, '\P{Lb=		SY}', "");
Expect(1, 47, '\P{^Lb=		SY}', "");
Expect(0, 48, '\p{Lb=		SY}', "");
Expect(1, 48, '\p{^Lb=		SY}', "");
Expect(1, 48, '\P{Lb=		SY}', "");
Expect(0, 48, '\P{^Lb=		SY}', "");
Error('\p{Is_Line_Break=_Break_Symbols:=}');
Error('\P{Is_Line_Break=_Break_Symbols:=}');
Expect(1, 47, '\p{Is_Line_Break=breaksymbols}', "");
Expect(0, 47, '\p{^Is_Line_Break=breaksymbols}', "");
Expect(0, 47, '\P{Is_Line_Break=breaksymbols}', "");
Expect(1, 47, '\P{^Is_Line_Break=breaksymbols}', "");
Expect(0, 48, '\p{Is_Line_Break=breaksymbols}', "");
Expect(1, 48, '\p{^Is_Line_Break=breaksymbols}', "");
Expect(1, 48, '\P{Is_Line_Break=breaksymbols}', "");
Expect(0, 48, '\P{^Is_Line_Break=breaksymbols}', "");
Expect(1, 47, '\p{Is_Line_Break=_Break_symbols}', "");
Expect(0, 47, '\p{^Is_Line_Break=_Break_symbols}', "");
Expect(0, 47, '\P{Is_Line_Break=_Break_symbols}', "");
Expect(1, 47, '\P{^Is_Line_Break=_Break_symbols}', "");
Expect(0, 48, '\p{Is_Line_Break=_Break_symbols}', "");
Expect(1, 48, '\p{^Is_Line_Break=_Break_symbols}', "");
Expect(1, 48, '\P{Is_Line_Break=_Break_symbols}', "");
Expect(0, 48, '\P{^Is_Line_Break=_Break_symbols}', "");
Error('\p{Is_Lb=_-SY/a/}');
Error('\P{Is_Lb=_-SY/a/}');
Expect(1, 47, '\p{Is_Lb=sy}', "");
Expect(0, 47, '\p{^Is_Lb=sy}', "");
Expect(0, 47, '\P{Is_Lb=sy}', "");
Expect(1, 47, '\P{^Is_Lb=sy}', "");
Expect(0, 48, '\p{Is_Lb=sy}', "");
Expect(1, 48, '\p{^Is_Lb=sy}', "");
Expect(1, 48, '\P{Is_Lb=sy}', "");
Expect(0, 48, '\P{^Is_Lb=sy}', "");
Expect(1, 47, '\p{Is_Lb=_SY}', "");
Expect(0, 47, '\p{^Is_Lb=_SY}', "");
Expect(0, 47, '\P{Is_Lb=_SY}', "");
Expect(1, 47, '\P{^Is_Lb=_SY}', "");
Expect(0, 48, '\p{Is_Lb=_SY}', "");
Expect(1, 48, '\p{^Is_Lb=_SY}', "");
Expect(1, 48, '\P{Is_Lb=_SY}', "");
Expect(0, 48, '\P{^Is_Lb=_SY}', "");
Error('\p{Line_Break=--WORD_joiner:=}');
Error('\P{Line_Break=--WORD_joiner:=}');
Expect(1, 65279, '\p{Line_Break=wordjoiner}', "");
Expect(0, 65279, '\p{^Line_Break=wordjoiner}', "");
Expect(0, 65279, '\P{Line_Break=wordjoiner}', "");
Expect(1, 65279, '\P{^Line_Break=wordjoiner}', "");
Expect(0, 65280, '\p{Line_Break=wordjoiner}', "");
Expect(1, 65280, '\p{^Line_Break=wordjoiner}', "");
Expect(1, 65280, '\P{Line_Break=wordjoiner}', "");
Expect(0, 65280, '\P{^Line_Break=wordjoiner}', "");
Expect(1, 65279, '\p{Line_Break=-_word_joiner}', "");
Expect(0, 65279, '\p{^Line_Break=-_word_joiner}', "");
Expect(0, 65279, '\P{Line_Break=-_word_joiner}', "");
Expect(1, 65279, '\P{^Line_Break=-_word_joiner}', "");
Expect(0, 65280, '\p{Line_Break=-_word_joiner}', "");
Expect(1, 65280, '\p{^Line_Break=-_word_joiner}', "");
Expect(1, 65280, '\P{Line_Break=-_word_joiner}', "");
Expect(0, 65280, '\P{^Line_Break=-_word_joiner}', "");
Error('\p{Lb= :=WJ}');
Error('\P{Lb= :=WJ}');
Expect(1, 65279, '\p{Lb=wj}', "");
Expect(0, 65279, '\p{^Lb=wj}', "");
Expect(0, 65279, '\P{Lb=wj}', "");
Expect(1, 65279, '\P{^Lb=wj}', "");
Expect(0, 65280, '\p{Lb=wj}', "");
Expect(1, 65280, '\p{^Lb=wj}', "");
Expect(1, 65280, '\P{Lb=wj}', "");
Expect(0, 65280, '\P{^Lb=wj}', "");
Expect(1, 65279, '\p{Lb=	WJ}', "");
Expect(0, 65279, '\p{^Lb=	WJ}', "");
Expect(0, 65279, '\P{Lb=	WJ}', "");
Expect(1, 65279, '\P{^Lb=	WJ}', "");
Expect(0, 65280, '\p{Lb=	WJ}', "");
Expect(1, 65280, '\p{^Lb=	WJ}', "");
Expect(1, 65280, '\P{Lb=	WJ}', "");
Expect(0, 65280, '\P{^Lb=	WJ}', "");
Error('\p{Is_Line_Break=_/a/WORD_Joiner}');
Error('\P{Is_Line_Break=_/a/WORD_Joiner}');
Expect(1, 65279, '\p{Is_Line_Break=wordjoiner}', "");
Expect(0, 65279, '\p{^Is_Line_Break=wordjoiner}', "");
Expect(0, 65279, '\P{Is_Line_Break=wordjoiner}', "");
Expect(1, 65279, '\P{^Is_Line_Break=wordjoiner}', "");
Expect(0, 65280, '\p{Is_Line_Break=wordjoiner}', "");
Expect(1, 65280, '\p{^Is_Line_Break=wordjoiner}', "");
Expect(1, 65280, '\P{Is_Line_Break=wordjoiner}', "");
Expect(0, 65280, '\P{^Is_Line_Break=wordjoiner}', "");
Expect(1, 65279, '\p{Is_Line_Break= -Word_Joiner}', "");
Expect(0, 65279, '\p{^Is_Line_Break= -Word_Joiner}', "");
Expect(0, 65279, '\P{Is_Line_Break= -Word_Joiner}', "");
Expect(1, 65279, '\P{^Is_Line_Break= -Word_Joiner}', "");
Expect(0, 65280, '\p{Is_Line_Break= -Word_Joiner}', "");
Expect(1, 65280, '\p{^Is_Line_Break= -Word_Joiner}', "");
Expect(1, 65280, '\P{Is_Line_Break= -Word_Joiner}', "");
Expect(0, 65280, '\P{^Is_Line_Break= -Word_Joiner}', "");
Error('\p{Is_Lb:   :=_WJ}');
Error('\P{Is_Lb:   :=_WJ}');
Expect(1, 65279, '\p{Is_Lb=wj}', "");
Expect(0, 65279, '\p{^Is_Lb=wj}', "");
Expect(0, 65279, '\P{Is_Lb=wj}', "");
Expect(1, 65279, '\P{^Is_Lb=wj}', "");
Expect(0, 65280, '\p{Is_Lb=wj}', "");
Expect(1, 65280, '\p{^Is_Lb=wj}', "");
Expect(1, 65280, '\P{Is_Lb=wj}', "");
Expect(0, 65280, '\P{^Is_Lb=wj}', "");
Expect(1, 65279, '\p{Is_Lb=--WJ}', "");
Expect(0, 65279, '\p{^Is_Lb=--WJ}', "");
Expect(0, 65279, '\P{Is_Lb=--WJ}', "");
Expect(1, 65279, '\P{^Is_Lb=--WJ}', "");
Expect(0, 65280, '\p{Is_Lb=--WJ}', "");
Expect(1, 65280, '\p{^Is_Lb=--WJ}', "");
Expect(1, 65280, '\P{Is_Lb=--WJ}', "");
Expect(0, 65280, '\P{^Is_Lb=--WJ}', "");
Error('\p{Line_Break= -UNKNOWN/a/}');
Error('\P{Line_Break= -UNKNOWN/a/}');
Expect(1, 918000, '\p{Line_Break=unknown}', "");
Expect(0, 918000, '\p{^Line_Break=unknown}', "");
Expect(0, 918000, '\P{Line_Break=unknown}', "");
Expect(1, 918000, '\P{^Line_Break=unknown}', "");
Expect(0, 917999, '\p{Line_Break=unknown}', "");
Expect(1, 917999, '\p{^Line_Break=unknown}', "");
Expect(1, 917999, '\P{Line_Break=unknown}', "");
Expect(0, 917999, '\P{^Line_Break=unknown}', "");
Expect(1, 918000, '\p{Line_Break:   - Unknown}', "");
Expect(0, 918000, '\p{^Line_Break:   - Unknown}', "");
Expect(0, 918000, '\P{Line_Break:   - Unknown}', "");
Expect(1, 918000, '\P{^Line_Break:   - Unknown}', "");
Expect(0, 917999, '\p{Line_Break:   - Unknown}', "");
Expect(1, 917999, '\p{^Line_Break:   - Unknown}', "");
Expect(1, 917999, '\P{Line_Break:   - Unknown}', "");
Expect(0, 917999, '\P{^Line_Break:   - Unknown}', "");
Error('\p{Lb:	:=-	xx}');
Error('\P{Lb:	:=-	xx}');
Expect(1, 918000, '\p{Lb=xx}', "");
Expect(0, 918000, '\p{^Lb=xx}', "");
Expect(0, 918000, '\P{Lb=xx}', "");
Expect(1, 918000, '\P{^Lb=xx}', "");
Expect(0, 917999, '\p{Lb=xx}', "");
Expect(1, 917999, '\p{^Lb=xx}', "");
Expect(1, 917999, '\P{Lb=xx}', "");
Expect(0, 917999, '\P{^Lb=xx}', "");
Expect(1, 918000, '\p{Lb= 	XX}', "");
Expect(0, 918000, '\p{^Lb= 	XX}', "");
Expect(0, 918000, '\P{Lb= 	XX}', "");
Expect(1, 918000, '\P{^Lb= 	XX}', "");
Expect(0, 917999, '\p{Lb= 	XX}', "");
Expect(1, 917999, '\p{^Lb= 	XX}', "");
Expect(1, 917999, '\P{Lb= 	XX}', "");
Expect(0, 917999, '\P{^Lb= 	XX}', "");
Error('\p{Is_Line_Break=	unknown/a/}');
Error('\P{Is_Line_Break=	unknown/a/}');
Expect(1, 918000, '\p{Is_Line_Break=unknown}', "");
Expect(0, 918000, '\p{^Is_Line_Break=unknown}', "");
Expect(0, 918000, '\P{Is_Line_Break=unknown}', "");
Expect(1, 918000, '\P{^Is_Line_Break=unknown}', "");
Expect(0, 917999, '\p{Is_Line_Break=unknown}', "");
Expect(1, 917999, '\p{^Is_Line_Break=unknown}', "");
Expect(1, 917999, '\P{Is_Line_Break=unknown}', "");
Expect(0, 917999, '\P{^Is_Line_Break=unknown}', "");
Expect(1, 918000, '\p{Is_Line_Break=-	UNKNOWN}', "");
Expect(0, 918000, '\p{^Is_Line_Break=-	UNKNOWN}', "");
Expect(0, 918000, '\P{Is_Line_Break=-	UNKNOWN}', "");
Expect(1, 918000, '\P{^Is_Line_Break=-	UNKNOWN}', "");
Expect(0, 917999, '\p{Is_Line_Break=-	UNKNOWN}', "");
Expect(1, 917999, '\p{^Is_Line_Break=-	UNKNOWN}', "");
Expect(1, 917999, '\P{Is_Line_Break=-	UNKNOWN}', "");
Expect(0, 917999, '\P{^Is_Line_Break=-	UNKNOWN}', "");
Error('\p{Is_Lb=	/a/XX}');
Error('\P{Is_Lb=	/a/XX}');
Expect(1, 918000, '\p{Is_Lb=xx}', "");
Expect(0, 918000, '\p{^Is_Lb=xx}', "");
Expect(0, 918000, '\P{Is_Lb=xx}', "");
Expect(1, 918000, '\P{^Is_Lb=xx}', "");
Expect(0, 917999, '\p{Is_Lb=xx}', "");
Expect(1, 917999, '\p{^Is_Lb=xx}', "");
Expect(1, 917999, '\P{Is_Lb=xx}', "");
Expect(0, 917999, '\P{^Is_Lb=xx}', "");
Expect(1, 918000, '\p{Is_Lb=_xx}', "");
Expect(0, 918000, '\p{^Is_Lb=_xx}', "");
Expect(0, 918000, '\P{Is_Lb=_xx}', "");
Expect(1, 918000, '\P{^Is_Lb=_xx}', "");
Expect(0, 917999, '\p{Is_Lb=_xx}', "");
Expect(1, 917999, '\p{^Is_Lb=_xx}', "");
Expect(1, 917999, '\P{Is_Lb=_xx}', "");
Expect(0, 917999, '\P{^Is_Lb=_xx}', "");
Error('\p{Line_Break=_/a/ZWSpace}');
Error('\P{Line_Break=_/a/ZWSpace}');
Expect(1, 8203, '\p{Line_Break=zwspace}', "");
Expect(0, 8203, '\p{^Line_Break=zwspace}', "");
Expect(0, 8203, '\P{Line_Break=zwspace}', "");
Expect(1, 8203, '\P{^Line_Break=zwspace}', "");
Expect(0, 8204, '\p{Line_Break=zwspace}', "");
Expect(1, 8204, '\p{^Line_Break=zwspace}', "");
Expect(1, 8204, '\P{Line_Break=zwspace}', "");
Expect(0, 8204, '\P{^Line_Break=zwspace}', "");
Expect(1, 8203, '\p{Line_Break:    	ZWSpace}', "");
Expect(0, 8203, '\p{^Line_Break:    	ZWSpace}', "");
Expect(0, 8203, '\P{Line_Break:    	ZWSpace}', "");
Expect(1, 8203, '\P{^Line_Break:    	ZWSpace}', "");
Expect(0, 8204, '\p{Line_Break:    	ZWSpace}', "");
Expect(1, 8204, '\p{^Line_Break:    	ZWSpace}', "");
Expect(1, 8204, '\P{Line_Break:    	ZWSpace}', "");
Expect(0, 8204, '\P{^Line_Break:    	ZWSpace}', "");
Error('\p{Lb=/a/		ZW}');
Error('\P{Lb=/a/		ZW}');
Expect(1, 8203, '\p{Lb=zw}', "");
Expect(0, 8203, '\p{^Lb=zw}', "");
Expect(0, 8203, '\P{Lb=zw}', "");
Expect(1, 8203, '\P{^Lb=zw}', "");
Expect(0, 8204, '\p{Lb=zw}', "");
Expect(1, 8204, '\p{^Lb=zw}', "");
Expect(1, 8204, '\P{Lb=zw}', "");
Expect(0, 8204, '\P{^Lb=zw}', "");
Expect(1, 8203, '\p{Lb=  ZW}', "");
Expect(0, 8203, '\p{^Lb=  ZW}', "");
Expect(0, 8203, '\P{Lb=  ZW}', "");
Expect(1, 8203, '\P{^Lb=  ZW}', "");
Expect(0, 8204, '\p{Lb=  ZW}', "");
Expect(1, 8204, '\p{^Lb=  ZW}', "");
Expect(1, 8204, '\P{Lb=  ZW}', "");
Expect(0, 8204, '\P{^Lb=  ZW}', "");
Error('\p{Is_Line_Break=-/a/ZWSpace}');
Error('\P{Is_Line_Break=-/a/ZWSpace}');
Expect(1, 8203, '\p{Is_Line_Break=zwspace}', "");
Expect(0, 8203, '\p{^Is_Line_Break=zwspace}', "");
Expect(0, 8203, '\P{Is_Line_Break=zwspace}', "");
Expect(1, 8203, '\P{^Is_Line_Break=zwspace}', "");
Expect(0, 8204, '\p{Is_Line_Break=zwspace}', "");
Expect(1, 8204, '\p{^Is_Line_Break=zwspace}', "");
Expect(1, 8204, '\P{Is_Line_Break=zwspace}', "");
Expect(0, 8204, '\P{^Is_Line_Break=zwspace}', "");
Expect(1, 8203, '\p{Is_Line_Break=	-ZWSpace}', "");
Expect(0, 8203, '\p{^Is_Line_Break=	-ZWSpace}', "");
Expect(0, 8203, '\P{Is_Line_Break=	-ZWSpace}', "");
Expect(1, 8203, '\P{^Is_Line_Break=	-ZWSpace}', "");
Expect(0, 8204, '\p{Is_Line_Break=	-ZWSpace}', "");
Expect(1, 8204, '\p{^Is_Line_Break=	-ZWSpace}', "");
Expect(1, 8204, '\P{Is_Line_Break=	-ZWSpace}', "");
Expect(0, 8204, '\P{^Is_Line_Break=	-ZWSpace}', "");
Error('\p{Is_Lb= zw/a/}');
Error('\P{Is_Lb= zw/a/}');
Expect(1, 8203, '\p{Is_Lb=zw}', "");
Expect(0, 8203, '\p{^Is_Lb=zw}', "");
Expect(0, 8203, '\P{Is_Lb=zw}', "");
Expect(1, 8203, '\P{^Is_Lb=zw}', "");
Expect(0, 8204, '\p{Is_Lb=zw}', "");
Expect(1, 8204, '\p{^Is_Lb=zw}', "");
Expect(1, 8204, '\P{Is_Lb=zw}', "");
Expect(0, 8204, '\P{^Is_Lb=zw}', "");
Expect(1, 8203, '\p{Is_Lb=__ZW}', "");
Expect(0, 8203, '\p{^Is_Lb=__ZW}', "");
Expect(0, 8203, '\P{Is_Lb=__ZW}', "");
Expect(1, 8203, '\P{^Is_Lb=__ZW}', "");
Expect(0, 8204, '\p{Is_Lb=__ZW}', "");
Expect(1, 8204, '\p{^Is_Lb=__ZW}', "");
Expect(1, 8204, '\P{Is_Lb=__ZW}', "");
Expect(0, 8204, '\P{^Is_Lb=__ZW}', "");
Error('\p{Numeric_Type=/a/Decimal}');
Error('\P{Numeric_Type=/a/Decimal}');
Expect(1, 120831, '\p{Numeric_Type=decimal}', "");
Expect(0, 120831, '\p{^Numeric_Type=decimal}', "");
Expect(0, 120831, '\P{Numeric_Type=decimal}', "");
Expect(1, 120831, '\P{^Numeric_Type=decimal}', "");
Expect(0, 120832, '\p{Numeric_Type=decimal}', "");
Expect(1, 120832, '\p{^Numeric_Type=decimal}', "");
Expect(1, 120832, '\P{Numeric_Type=decimal}', "");
Expect(0, 120832, '\P{^Numeric_Type=decimal}', "");
Expect(1, 120831, '\p{Numeric_Type= Decimal}', "");
Expect(0, 120831, '\p{^Numeric_Type= Decimal}', "");
Expect(0, 120831, '\P{Numeric_Type= Decimal}', "");
Expect(1, 120831, '\P{^Numeric_Type= Decimal}', "");
Expect(0, 120832, '\p{Numeric_Type= Decimal}', "");
Expect(1, 120832, '\p{^Numeric_Type= Decimal}', "");
Expect(1, 120832, '\P{Numeric_Type= Decimal}', "");
Expect(0, 120832, '\P{^Numeric_Type= Decimal}', "");
Error('\p{Nt=:= 	de}');
Error('\P{Nt=:= 	de}');
Expect(1, 120831, '\p{Nt: de}', "");
Expect(0, 120831, '\p{^Nt: de}', "");
Expect(0, 120831, '\P{Nt: de}', "");
Expect(1, 120831, '\P{^Nt: de}', "");
Expect(0, 120832, '\p{Nt: de}', "");
Expect(1, 120832, '\p{^Nt: de}', "");
Expect(1, 120832, '\P{Nt: de}', "");
Expect(0, 120832, '\P{^Nt: de}', "");
Expect(1, 120831, '\p{Nt=	-De}', "");
Expect(0, 120831, '\p{^Nt=	-De}', "");
Expect(0, 120831, '\P{Nt=	-De}', "");
Expect(1, 120831, '\P{^Nt=	-De}', "");
Expect(0, 120832, '\p{Nt=	-De}', "");
Expect(1, 120832, '\p{^Nt=	-De}', "");
Expect(1, 120832, '\P{Nt=	-De}', "");
Expect(0, 120832, '\P{^Nt=	-De}', "");
Error('\p{Is_Numeric_Type= DECIMAL/a/}');
Error('\P{Is_Numeric_Type= DECIMAL/a/}');
Expect(1, 120831, '\p{Is_Numeric_Type=decimal}', "");
Expect(0, 120831, '\p{^Is_Numeric_Type=decimal}', "");
Expect(0, 120831, '\P{Is_Numeric_Type=decimal}', "");
Expect(1, 120831, '\P{^Is_Numeric_Type=decimal}', "");
Expect(0, 120832, '\p{Is_Numeric_Type=decimal}', "");
Expect(1, 120832, '\p{^Is_Numeric_Type=decimal}', "");
Expect(1, 120832, '\P{Is_Numeric_Type=decimal}', "");
Expect(0, 120832, '\P{^Is_Numeric_Type=decimal}', "");
Expect(1, 120831, '\p{Is_Numeric_Type= -Decimal}', "");
Expect(0, 120831, '\p{^Is_Numeric_Type= -Decimal}', "");
Expect(0, 120831, '\P{Is_Numeric_Type= -Decimal}', "");
Expect(1, 120831, '\P{^Is_Numeric_Type= -Decimal}', "");
Expect(0, 120832, '\p{Is_Numeric_Type= -Decimal}', "");
Expect(1, 120832, '\p{^Is_Numeric_Type= -Decimal}', "");
Expect(1, 120832, '\P{Is_Numeric_Type= -Decimal}', "");
Expect(0, 120832, '\P{^Is_Numeric_Type= -Decimal}', "");
Error('\p{Is_Nt=_/a/DE}');
Error('\P{Is_Nt=_/a/DE}');
Expect(1, 120831, '\p{Is_Nt=de}', "");
Expect(0, 120831, '\p{^Is_Nt=de}', "");
Expect(0, 120831, '\P{Is_Nt=de}', "");
Expect(1, 120831, '\P{^Is_Nt=de}', "");
Expect(0, 120832, '\p{Is_Nt=de}', "");
Expect(1, 120832, '\p{^Is_Nt=de}', "");
Expect(1, 120832, '\P{Is_Nt=de}', "");
Expect(0, 120832, '\P{^Is_Nt=de}', "");
Expect(1, 120831, '\p{Is_Nt=	_De}', "");
Expect(0, 120831, '\p{^Is_Nt=	_De}', "");
Expect(0, 120831, '\P{Is_Nt=	_De}', "");
Expect(1, 120831, '\P{^Is_Nt=	_De}', "");
Expect(0, 120832, '\p{Is_Nt=	_De}', "");
Expect(1, 120832, '\p{^Is_Nt=	_De}', "");
Expect(1, 120832, '\P{Is_Nt=	_De}', "");
Expect(0, 120832, '\P{^Is_Nt=	_De}', "");
Error('\p{Numeric_Type=	Digit/a/}');
Error('\P{Numeric_Type=	Digit/a/}');
Expect(1, 127242, '\p{Numeric_Type=digit}', "");
Expect(0, 127242, '\p{^Numeric_Type=digit}', "");
Expect(0, 127242, '\P{Numeric_Type=digit}', "");
Expect(1, 127242, '\P{^Numeric_Type=digit}', "");
Expect(0, 127243, '\p{Numeric_Type=digit}', "");
Expect(1, 127243, '\p{^Numeric_Type=digit}', "");
Expect(1, 127243, '\P{Numeric_Type=digit}', "");
Expect(0, 127243, '\P{^Numeric_Type=digit}', "");
Expect(1, 127242, '\p{Numeric_Type=-Digit}', "");
Expect(0, 127242, '\p{^Numeric_Type=-Digit}', "");
Expect(0, 127242, '\P{Numeric_Type=-Digit}', "");
Expect(1, 127242, '\P{^Numeric_Type=-Digit}', "");
Expect(0, 127243, '\p{Numeric_Type=-Digit}', "");
Expect(1, 127243, '\p{^Numeric_Type=-Digit}', "");
Expect(1, 127243, '\P{Numeric_Type=-Digit}', "");
Expect(0, 127243, '\P{^Numeric_Type=-Digit}', "");
Error('\p{Nt=:=	 Di}');
Error('\P{Nt=:=	 Di}');
Expect(1, 127242, '\p{Nt=di}', "");
Expect(0, 127242, '\p{^Nt=di}', "");
Expect(0, 127242, '\P{Nt=di}', "");
Expect(1, 127242, '\P{^Nt=di}', "");
Expect(0, 127243, '\p{Nt=di}', "");
Expect(1, 127243, '\p{^Nt=di}', "");
Expect(1, 127243, '\P{Nt=di}', "");
Expect(0, 127243, '\P{^Nt=di}', "");
Expect(1, 127242, '\p{Nt=	-di}', "");
Expect(0, 127242, '\p{^Nt=	-di}', "");
Expect(0, 127242, '\P{Nt=	-di}', "");
Expect(1, 127242, '\P{^Nt=	-di}', "");
Expect(0, 127243, '\p{Nt=	-di}', "");
Expect(1, 127243, '\p{^Nt=	-di}', "");
Expect(1, 127243, '\P{Nt=	-di}', "");
Expect(0, 127243, '\P{^Nt=	-di}', "");
Error('\p{Is_Numeric_Type=:=Digit}');
Error('\P{Is_Numeric_Type=:=Digit}');
Expect(1, 127242, '\p{Is_Numeric_Type=digit}', "");
Expect(0, 127242, '\p{^Is_Numeric_Type=digit}', "");
Expect(0, 127242, '\P{Is_Numeric_Type=digit}', "");
Expect(1, 127242, '\P{^Is_Numeric_Type=digit}', "");
Expect(0, 127243, '\p{Is_Numeric_Type=digit}', "");
Expect(1, 127243, '\p{^Is_Numeric_Type=digit}', "");
Expect(1, 127243, '\P{Is_Numeric_Type=digit}', "");
Expect(0, 127243, '\P{^Is_Numeric_Type=digit}', "");
Expect(1, 127242, '\p{Is_Numeric_Type=--DIGIT}', "");
Expect(0, 127242, '\p{^Is_Numeric_Type=--DIGIT}', "");
Expect(0, 127242, '\P{Is_Numeric_Type=--DIGIT}', "");
Expect(1, 127242, '\P{^Is_Numeric_Type=--DIGIT}', "");
Expect(0, 127243, '\p{Is_Numeric_Type=--DIGIT}', "");
Expect(1, 127243, '\p{^Is_Numeric_Type=--DIGIT}', "");
Expect(1, 127243, '\P{Is_Numeric_Type=--DIGIT}', "");
Expect(0, 127243, '\P{^Is_Numeric_Type=--DIGIT}', "");
Error('\p{Is_Nt=__Di/a/}');
Error('\P{Is_Nt=__Di/a/}');
Expect(1, 127242, '\p{Is_Nt=di}', "");
Expect(0, 127242, '\p{^Is_Nt=di}', "");
Expect(0, 127242, '\P{Is_Nt=di}', "");
Expect(1, 127242, '\P{^Is_Nt=di}', "");
Expect(0, 127243, '\p{Is_Nt=di}', "");
Expect(1, 127243, '\p{^Is_Nt=di}', "");
Expect(1, 127243, '\P{Is_Nt=di}', "");
Expect(0, 127243, '\P{^Is_Nt=di}', "");
Expect(1, 127242, '\p{Is_Nt=-Di}', "");
Expect(0, 127242, '\p{^Is_Nt=-Di}', "");
Expect(0, 127242, '\P{Is_Nt=-Di}', "");
Expect(1, 127242, '\P{^Is_Nt=-Di}', "");
Expect(0, 127243, '\p{Is_Nt=-Di}', "");
Expect(1, 127243, '\p{^Is_Nt=-Di}', "");
Expect(1, 127243, '\P{Is_Nt=-Di}', "");
Expect(0, 127243, '\P{^Is_Nt=-Di}', "");
Error('\p{Numeric_Type=  None/a/}');
Error('\P{Numeric_Type=  None/a/}');
Expect(1, 194705, '\p{Numeric_Type=none}', "");
Expect(0, 194705, '\p{^Numeric_Type=none}', "");
Expect(0, 194705, '\P{Numeric_Type=none}', "");
Expect(1, 194705, '\P{^Numeric_Type=none}', "");
Expect(0, 194704, '\p{Numeric_Type=none}', "");
Expect(1, 194704, '\p{^Numeric_Type=none}', "");
Expect(1, 194704, '\P{Numeric_Type=none}', "");
Expect(0, 194704, '\P{^Numeric_Type=none}', "");
Expect(1, 194705, '\p{Numeric_Type:__NONE}', "");
Expect(0, 194705, '\p{^Numeric_Type:__NONE}', "");
Expect(0, 194705, '\P{Numeric_Type:__NONE}', "");
Expect(1, 194705, '\P{^Numeric_Type:__NONE}', "");
Expect(0, 194704, '\p{Numeric_Type:__NONE}', "");
Expect(1, 194704, '\p{^Numeric_Type:__NONE}', "");
Expect(1, 194704, '\P{Numeric_Type:__NONE}', "");
Expect(0, 194704, '\P{^Numeric_Type:__NONE}', "");
Error('\p{Nt=_/a/none}');
Error('\P{Nt=_/a/none}');
Expect(1, 194705, '\p{Nt:	none}', "");
Expect(0, 194705, '\p{^Nt:	none}', "");
Expect(0, 194705, '\P{Nt:	none}', "");
Expect(1, 194705, '\P{^Nt:	none}', "");
Expect(0, 194704, '\p{Nt:	none}', "");
Expect(1, 194704, '\p{^Nt:	none}', "");
Expect(1, 194704, '\P{Nt:	none}', "");
Expect(0, 194704, '\P{^Nt:	none}', "");
Expect(1, 194705, '\p{Nt= _None}', "");
Expect(0, 194705, '\p{^Nt= _None}', "");
Expect(0, 194705, '\P{Nt= _None}', "");
Expect(1, 194705, '\P{^Nt= _None}', "");
Expect(0, 194704, '\p{Nt= _None}', "");
Expect(1, 194704, '\p{^Nt= _None}', "");
Expect(1, 194704, '\P{Nt= _None}', "");
Expect(0, 194704, '\P{^Nt= _None}', "");
Error('\p{Is_Numeric_Type=:=None}');
Error('\P{Is_Numeric_Type=:=None}');
Expect(1, 194705, '\p{Is_Numeric_Type=none}', "");
Expect(0, 194705, '\p{^Is_Numeric_Type=none}', "");
Expect(0, 194705, '\P{Is_Numeric_Type=none}', "");
Expect(1, 194705, '\P{^Is_Numeric_Type=none}', "");
Expect(0, 194704, '\p{Is_Numeric_Type=none}', "");
Expect(1, 194704, '\p{^Is_Numeric_Type=none}', "");
Expect(1, 194704, '\P{Is_Numeric_Type=none}', "");
Expect(0, 194704, '\P{^Is_Numeric_Type=none}', "");
Expect(1, 194705, '\p{Is_Numeric_Type:	-_None}', "");
Expect(0, 194705, '\p{^Is_Numeric_Type:	-_None}', "");
Expect(0, 194705, '\P{Is_Numeric_Type:	-_None}', "");
Expect(1, 194705, '\P{^Is_Numeric_Type:	-_None}', "");
Expect(0, 194704, '\p{Is_Numeric_Type:	-_None}', "");
Expect(1, 194704, '\p{^Is_Numeric_Type:	-_None}', "");
Expect(1, 194704, '\P{Is_Numeric_Type:	-_None}', "");
Expect(0, 194704, '\P{^Is_Numeric_Type:	-_None}', "");
Error('\p{Is_Nt=/a/_NONE}');
Error('\P{Is_Nt=/a/_NONE}');
Expect(1, 194705, '\p{Is_Nt=none}', "");
Expect(0, 194705, '\p{^Is_Nt=none}', "");
Expect(0, 194705, '\P{Is_Nt=none}', "");
Expect(1, 194705, '\P{^Is_Nt=none}', "");
Expect(0, 194704, '\p{Is_Nt=none}', "");
Expect(1, 194704, '\p{^Is_Nt=none}', "");
Expect(1, 194704, '\P{Is_Nt=none}', "");
Expect(0, 194704, '\P{^Is_Nt=none}', "");
Expect(1, 194705, '\p{Is_Nt=_ NONE}', "");
Expect(0, 194705, '\p{^Is_Nt=_ NONE}', "");
Expect(0, 194705, '\P{Is_Nt=_ NONE}', "");
Expect(1, 194705, '\P{^Is_Nt=_ NONE}', "");
Expect(0, 194704, '\p{Is_Nt=_ NONE}', "");
Expect(1, 194704, '\p{^Is_Nt=_ NONE}', "");
Expect(1, 194704, '\P{Is_Nt=_ NONE}', "");
Expect(0, 194704, '\P{^Is_Nt=_ NONE}', "");
Error('\p{Numeric_Type=_Numeric:=}');
Error('\P{Numeric_Type=_Numeric:=}');
Expect(1, 194704, '\p{Numeric_Type=numeric}', "");
Expect(0, 194704, '\p{^Numeric_Type=numeric}', "");
Expect(0, 194704, '\P{Numeric_Type=numeric}', "");
Expect(1, 194704, '\P{^Numeric_Type=numeric}', "");
Expect(0, 194705, '\p{Numeric_Type=numeric}', "");
Expect(1, 194705, '\p{^Numeric_Type=numeric}', "");
Expect(1, 194705, '\P{Numeric_Type=numeric}', "");
Expect(0, 194705, '\P{^Numeric_Type=numeric}', "");
Expect(1, 194704, '\p{Numeric_Type=_-Numeric}', "");
Expect(0, 194704, '\p{^Numeric_Type=_-Numeric}', "");
Expect(0, 194704, '\P{Numeric_Type=_-Numeric}', "");
Expect(1, 194704, '\P{^Numeric_Type=_-Numeric}', "");
Expect(0, 194705, '\p{Numeric_Type=_-Numeric}', "");
Expect(1, 194705, '\p{^Numeric_Type=_-Numeric}', "");
Expect(1, 194705, '\P{Numeric_Type=_-Numeric}', "");
Expect(0, 194705, '\P{^Numeric_Type=_-Numeric}', "");
Error('\p{Nt=:=NU}');
Error('\P{Nt=:=NU}');
Expect(1, 194704, '\p{Nt=nu}', "");
Expect(0, 194704, '\p{^Nt=nu}', "");
Expect(0, 194704, '\P{Nt=nu}', "");
Expect(1, 194704, '\P{^Nt=nu}', "");
Expect(0, 194705, '\p{Nt=nu}', "");
Expect(1, 194705, '\p{^Nt=nu}', "");
Expect(1, 194705, '\P{Nt=nu}', "");
Expect(0, 194705, '\P{^Nt=nu}', "");
Expect(1, 194704, '\p{Nt=-_nu}', "");
Expect(0, 194704, '\p{^Nt=-_nu}', "");
Expect(0, 194704, '\P{Nt=-_nu}', "");
Expect(1, 194704, '\P{^Nt=-_nu}', "");
Expect(0, 194705, '\p{Nt=-_nu}', "");
Expect(1, 194705, '\p{^Nt=-_nu}', "");
Expect(1, 194705, '\P{Nt=-_nu}', "");
Expect(0, 194705, '\P{^Nt=-_nu}', "");
Error('\p{Is_Numeric_Type= /a/numeric}');
Error('\P{Is_Numeric_Type= /a/numeric}');
Expect(1, 194704, '\p{Is_Numeric_Type=numeric}', "");
Expect(0, 194704, '\p{^Is_Numeric_Type=numeric}', "");
Expect(0, 194704, '\P{Is_Numeric_Type=numeric}', "");
Expect(1, 194704, '\P{^Is_Numeric_Type=numeric}', "");
Expect(0, 194705, '\p{Is_Numeric_Type=numeric}', "");
Expect(1, 194705, '\p{^Is_Numeric_Type=numeric}', "");
Expect(1, 194705, '\P{Is_Numeric_Type=numeric}', "");
Expect(0, 194705, '\P{^Is_Numeric_Type=numeric}', "");
Expect(1, 194704, '\p{Is_Numeric_Type=	-Numeric}', "");
Expect(0, 194704, '\p{^Is_Numeric_Type=	-Numeric}', "");
Expect(0, 194704, '\P{Is_Numeric_Type=	-Numeric}', "");
Expect(1, 194704, '\P{^Is_Numeric_Type=	-Numeric}', "");
Expect(0, 194705, '\p{Is_Numeric_Type=	-Numeric}', "");
Expect(1, 194705, '\p{^Is_Numeric_Type=	-Numeric}', "");
Expect(1, 194705, '\P{Is_Numeric_Type=	-Numeric}', "");
Expect(0, 194705, '\P{^Is_Numeric_Type=	-Numeric}', "");
Error('\p{Is_Nt=__Nu:=}');
Error('\P{Is_Nt=__Nu:=}');
Expect(1, 194704, '\p{Is_Nt=nu}', "");
Expect(0, 194704, '\p{^Is_Nt=nu}', "");
Expect(0, 194704, '\P{Is_Nt=nu}', "");
Expect(1, 194704, '\P{^Is_Nt=nu}', "");
Expect(0, 194705, '\p{Is_Nt=nu}', "");
Expect(1, 194705, '\p{^Is_Nt=nu}', "");
Expect(1, 194705, '\P{Is_Nt=nu}', "");
Expect(0, 194705, '\P{^Is_Nt=nu}', "");
Expect(1, 194704, '\p{Is_Nt:	 NU}', "");
Expect(0, 194704, '\p{^Is_Nt:	 NU}', "");
Expect(0, 194704, '\P{Is_Nt:	 NU}', "");
Expect(1, 194704, '\P{^Is_Nt:	 NU}', "");
Expect(0, 194705, '\p{Is_Nt:	 NU}', "");
Expect(1, 194705, '\p{^Is_Nt:	 NU}', "");
Expect(1, 194705, '\P{Is_Nt:	 NU}', "");
Expect(0, 194705, '\P{^Is_Nt:	 NU}', "");
Error('\p{Numeric_Value=	_-1/0000002/a/}');
Error('\P{Numeric_Value=	_-1/0000002/a/}');
Expect(1, 3891, '\p{Numeric_Value=-1/02}', "");
Expect(0, 3891, '\p{^Numeric_Value=-1/02}', "");
Expect(0, 3891, '\P{Numeric_Value=-1/02}', "");
Expect(1, 3891, '\P{^Numeric_Value=-1/02}', "");
Expect(0, 3892, '\p{Numeric_Value=-1/02}', "");
Expect(1, 3892, '\p{^Numeric_Value=-1/02}', "");
Expect(1, 3892, '\P{Numeric_Value=-1/02}', "");
Expect(0, 3892, '\P{^Numeric_Value=-1/02}', "");
Expect(1, 3891, '\p{Numeric_Value=-0.500}', "");
Expect(0, 3891, '\p{^Numeric_Value=-0.500}', "");
Expect(0, 3891, '\P{Numeric_Value=-0.500}', "");
Expect(1, 3891, '\P{^Numeric_Value=-0.500}', "");
Expect(0, 3892, '\p{Numeric_Value=-0.500}', "");
Expect(1, 3892, '\p{^Numeric_Value=-0.500}', "");
Expect(1, 3892, '\P{Numeric_Value=-0.500}', "");
Expect(0, 3892, '\P{^Numeric_Value=-0.500}', "");
Error('\p{Nv:		:=-000000001/002}');
Error('\P{Nv:		:=-000000001/002}');
Expect(1, 3891, '\p{Nv=-0000000001/02}', "");
Expect(0, 3891, '\p{^Nv=-0000000001/02}', "");
Expect(0, 3891, '\P{Nv=-0000000001/02}', "");
Expect(1, 3891, '\P{^Nv=-0000000001/02}', "");
Expect(0, 3892, '\p{Nv=-0000000001/02}', "");
Expect(1, 3892, '\p{^Nv=-0000000001/02}', "");
Expect(1, 3892, '\P{Nv=-0000000001/02}', "");
Expect(0, 3892, '\P{^Nv=-0000000001/02}', "");
Expect(1, 3891, '\p{Nv=-0.500}', "");
Expect(0, 3891, '\p{^Nv=-0.500}', "");
Expect(0, 3891, '\P{Nv=-0.500}', "");
Expect(1, 3891, '\P{^Nv=-0.500}', "");
Expect(0, 3892, '\p{Nv=-0.500}', "");
Expect(1, 3892, '\p{^Nv=-0.500}', "");
Expect(1, 3892, '\P{Nv=-0.500}', "");
Expect(0, 3892, '\P{^Nv=-0.500}', "");
Error('\p{Is_Numeric_Value= :=-00000001/2}');
Error('\P{Is_Numeric_Value= :=-00000001/2}');
Expect(1, 3891, '\p{Is_Numeric_Value=-0000000001/0002}', "");
Expect(0, 3891, '\p{^Is_Numeric_Value=-0000000001/0002}', "");
Expect(0, 3891, '\P{Is_Numeric_Value=-0000000001/0002}', "");
Expect(1, 3891, '\P{^Is_Numeric_Value=-0000000001/0002}', "");
Expect(0, 3892, '\p{Is_Numeric_Value=-0000000001/0002}', "");
Expect(1, 3892, '\p{^Is_Numeric_Value=-0000000001/0002}', "");
Expect(1, 3892, '\P{Is_Numeric_Value=-0000000001/0002}', "");
Expect(0, 3892, '\P{^Is_Numeric_Value=-0000000001/0002}', "");
Expect(1, 3891, '\p{Is_Numeric_Value=-0.500}', "");
Expect(0, 3891, '\p{^Is_Numeric_Value=-0.500}', "");
Expect(0, 3891, '\P{Is_Numeric_Value=-0.500}', "");
Expect(1, 3891, '\P{^Is_Numeric_Value=-0.500}', "");
Expect(0, 3892, '\p{Is_Numeric_Value=-0.500}', "");
Expect(1, 3892, '\p{^Is_Numeric_Value=-0.500}', "");
Expect(1, 3892, '\P{Is_Numeric_Value=-0.500}', "");
Expect(0, 3892, '\P{^Is_Numeric_Value=-0.500}', "");
Error('\p{Is_Nv=_-000000001/02:=}');
Error('\P{Is_Nv=_-000000001/02:=}');
Expect(1, 3891, '\p{Is_Nv=-00001/00002}', "");
Expect(0, 3891, '\p{^Is_Nv=-00001/00002}', "");
Expect(0, 3891, '\P{Is_Nv=-00001/00002}', "");
Expect(1, 3891, '\P{^Is_Nv=-00001/00002}', "");
Expect(0, 3892, '\p{Is_Nv=-00001/00002}', "");
Expect(1, 3892, '\p{^Is_Nv=-00001/00002}', "");
Expect(1, 3892, '\P{Is_Nv=-00001/00002}', "");
Expect(0, 3892, '\P{^Is_Nv=-00001/00002}', "");
Expect(1, 3891, '\p{Is_Nv=-0.500}', "");
Expect(0, 3891, '\p{^Is_Nv=-0.500}', "");
Expect(0, 3891, '\P{Is_Nv=-0.500}', "");
Expect(1, 3891, '\P{^Is_Nv=-0.500}', "");
Expect(0, 3892, '\p{Is_Nv=-0.500}', "");
Expect(1, 3892, '\p{^Is_Nv=-0.500}', "");
Expect(1, 3892, '\P{Is_Nv=-0.500}', "");
Expect(0, 3892, '\P{^Is_Nv=-0.500}', "");
Error('\p{Numeric_Value:	:=_ +0_0_0_0_0_0000}');
Error('\P{Numeric_Value:	:=_ +0_0_0_0_0_0000}');
Expect(1, 127244, '\p{Numeric_Value=00000}', "");
Expect(0, 127244, '\p{^Numeric_Value=00000}', "");
Expect(0, 127244, '\P{Numeric_Value=00000}', "");
Expect(1, 127244, '\P{^Numeric_Value=00000}', "");
Expect(0, 127245, '\p{Numeric_Value=00000}', "");
Expect(1, 127245, '\p{^Numeric_Value=00000}', "");
Expect(1, 127245, '\P{Numeric_Value=00000}', "");
Expect(0, 127245, '\P{^Numeric_Value=00000}', "");
Error('\p{Nv=:=		0000_0}');
Error('\P{Nv=:=		0000_0}');
Expect(1, 127244, '\p{Nv=+000_000_0}', "");
Expect(0, 127244, '\p{^Nv=+000_000_0}', "");
Expect(0, 127244, '\P{Nv=+000_000_0}', "");
Expect(1, 127244, '\P{^Nv=+000_000_0}', "");
Expect(0, 127245, '\p{Nv=+000_000_0}', "");
Expect(1, 127245, '\p{^Nv=+000_000_0}', "");
Expect(1, 127245, '\P{Nv=+000_000_0}', "");
Expect(0, 127245, '\P{^Nv=+000_000_0}', "");
Error('\p{Is_Numeric_Value=/a/_	0_0_0_0_00}');
Error('\P{Is_Numeric_Value=/a/_	0_0_0_0_00}');
Expect(1, 127244, '\p{Is_Numeric_Value=0_0_0_0_0_00000}', "");
Expect(0, 127244, '\p{^Is_Numeric_Value=0_0_0_0_0_00000}', "");
Expect(0, 127244, '\P{Is_Numeric_Value=0_0_0_0_0_00000}', "");
Expect(1, 127244, '\P{^Is_Numeric_Value=0_0_0_0_0_00000}', "");
Expect(0, 127245, '\p{Is_Numeric_Value=0_0_0_0_0_00000}', "");
Expect(1, 127245, '\p{^Is_Numeric_Value=0_0_0_0_0_00000}', "");
Expect(1, 127245, '\P{Is_Numeric_Value=0_0_0_0_0_00000}', "");
Expect(0, 127245, '\P{^Is_Numeric_Value=0_0_0_0_0_00000}', "");
Error('\p{Is_Nv=:=0_0_0_000}');
Error('\P{Is_Nv=:=0_0_0_000}');
Expect(1, 127244, '\p{Is_Nv:   00000}', "");
Expect(0, 127244, '\p{^Is_Nv:   00000}', "");
Expect(0, 127244, '\P{Is_Nv:   00000}', "");
Expect(1, 127244, '\P{^Is_Nv:   00000}', "");
Expect(0, 127245, '\p{Is_Nv:   00000}', "");
Expect(1, 127245, '\p{^Is_Nv:   00000}', "");
Expect(1, 127245, '\P{Is_Nv:   00000}', "");
Expect(0, 127245, '\P{^Is_Nv:   00000}', "");
Error('\p{Numeric_Value=  0_0_0_0_0_01:=}');
Error('\P{Numeric_Value=  0_0_0_0_0_01:=}');
Expect(1, 133418, '\p{Numeric_Value=000_000_1}', "");
Expect(0, 133418, '\p{^Numeric_Value=000_000_1}', "");
Expect(0, 133418, '\P{Numeric_Value=000_000_1}', "");
Expect(1, 133418, '\P{^Numeric_Value=000_000_1}', "");
Expect(0, 133419, '\p{Numeric_Value=000_000_1}', "");
Expect(1, 133419, '\p{^Numeric_Value=000_000_1}', "");
Expect(1, 133419, '\P{Numeric_Value=000_000_1}', "");
Expect(0, 133419, '\P{^Numeric_Value=000_000_1}', "");
Error('\p{Nv: :=--00000000_1}');
Error('\P{Nv: :=--00000000_1}');
Expect(1, 133418, '\p{Nv=00000001}', "");
Expect(0, 133418, '\p{^Nv=00000001}', "");
Expect(0, 133418, '\P{Nv=00000001}', "");
Expect(1, 133418, '\P{^Nv=00000001}', "");
Expect(0, 133419, '\p{Nv=00000001}', "");
Expect(1, 133419, '\p{^Nv=00000001}', "");
Expect(1, 133419, '\P{Nv=00000001}', "");
Expect(0, 133419, '\P{^Nv=00000001}', "");
Error('\p{Is_Numeric_Value=/a/		0000000001}');
Error('\P{Is_Numeric_Value=/a/		0000000001}');
Expect(1, 133418, '\p{Is_Numeric_Value=00000001}', "");
Expect(0, 133418, '\p{^Is_Numeric_Value=00000001}', "");
Expect(0, 133418, '\P{Is_Numeric_Value=00000001}', "");
Expect(1, 133418, '\P{^Is_Numeric_Value=00000001}', "");
Expect(0, 133419, '\p{Is_Numeric_Value=00000001}', "");
Expect(1, 133419, '\p{^Is_Numeric_Value=00000001}', "");
Expect(1, 133419, '\P{Is_Numeric_Value=00000001}', "");
Expect(0, 133419, '\P{^Is_Numeric_Value=00000001}', "");
Error('\p{Is_Nv=/a/- 00_00_1}');
Error('\P{Is_Nv=/a/- 00_00_1}');
Expect(1, 133418, '\p{Is_Nv=1}', "");
Expect(0, 133418, '\p{^Is_Nv=1}', "");
Expect(0, 133418, '\P{Is_Nv=1}', "");
Expect(1, 133418, '\P{^Is_Nv=1}', "");
Expect(0, 133419, '\p{Is_Nv=1}', "");
Expect(1, 133419, '\p{^Is_Nv=1}', "");
Expect(1, 133419, '\P{Is_Nv=1}', "");
Expect(0, 133419, '\P{^Is_Nv=1}', "");
Error('\p{Numeric_Value= 	0001/00000000010/a/}');
Error('\P{Numeric_Value= 	0001/00000000010/a/}');
Expect(1, 8530, '\p{Numeric_Value=+000001/0000000010}', "");
Expect(0, 8530, '\p{^Numeric_Value=+000001/0000000010}', "");
Expect(0, 8530, '\P{Numeric_Value=+000001/0000000010}', "");
Expect(1, 8530, '\P{^Numeric_Value=+000001/0000000010}', "");
Expect(0, 8531, '\p{Numeric_Value=+000001/0000000010}', "");
Expect(1, 8531, '\p{^Numeric_Value=+000001/0000000010}', "");
Expect(1, 8531, '\P{Numeric_Value=+000001/0000000010}', "");
Expect(0, 8531, '\P{^Numeric_Value=+000001/0000000010}', "");
Expect(1, 8530, '\p{Numeric_Value=0.100}', "");
Expect(0, 8530, '\p{^Numeric_Value=0.100}', "");
Expect(0, 8530, '\P{Numeric_Value=0.100}', "");
Expect(1, 8530, '\P{^Numeric_Value=0.100}', "");
Expect(0, 8531, '\p{Numeric_Value=0.100}', "");
Expect(1, 8531, '\p{^Numeric_Value=0.100}', "");
Expect(1, 8531, '\P{Numeric_Value=0.100}', "");
Expect(0, 8531, '\P{^Numeric_Value=0.100}', "");
Error('\p{Nv=	 00000001/10/a/}');
Error('\P{Nv=	 00000001/10/a/}');
Expect(1, 8530, '\p{Nv=00000001/0000010}', "");
Expect(0, 8530, '\p{^Nv=00000001/0000010}', "");
Expect(0, 8530, '\P{Nv=00000001/0000010}', "");
Expect(1, 8530, '\P{^Nv=00000001/0000010}', "");
Expect(0, 8531, '\p{Nv=00000001/0000010}', "");
Expect(1, 8531, '\p{^Nv=00000001/0000010}', "");
Expect(1, 8531, '\P{Nv=00000001/0000010}', "");
Expect(0, 8531, '\P{^Nv=00000001/0000010}', "");
Expect(1, 8530, '\p{Nv=0.100}', "");
Expect(0, 8530, '\p{^Nv=0.100}', "");
Expect(0, 8530, '\P{Nv=0.100}', "");
Expect(1, 8530, '\P{^Nv=0.100}', "");
Expect(0, 8531, '\p{Nv=0.100}', "");
Expect(1, 8531, '\p{^Nv=0.100}', "");
Expect(1, 8531, '\P{Nv=0.100}', "");
Expect(0, 8531, '\P{^Nv=0.100}', "");
Error('\p{Is_Numeric_Value=__000001/0010:=}');
Error('\P{Is_Numeric_Value=__000001/0010:=}');
Expect(1, 8530, '\p{Is_Numeric_Value=01/0010}', "");
Expect(0, 8530, '\p{^Is_Numeric_Value=01/0010}', "");
Expect(0, 8530, '\P{Is_Numeric_Value=01/0010}', "");
Expect(1, 8530, '\P{^Is_Numeric_Value=01/0010}', "");
Expect(0, 8531, '\p{Is_Numeric_Value=01/0010}', "");
Expect(1, 8531, '\p{^Is_Numeric_Value=01/0010}', "");
Expect(1, 8531, '\P{Is_Numeric_Value=01/0010}', "");
Expect(0, 8531, '\P{^Is_Numeric_Value=01/0010}', "");
Expect(1, 8530, '\p{Is_Numeric_Value=0.100}', "");
Expect(0, 8530, '\p{^Is_Numeric_Value=0.100}', "");
Expect(0, 8530, '\P{Is_Numeric_Value=0.100}', "");
Expect(1, 8530, '\P{^Is_Numeric_Value=0.100}', "");
Expect(0, 8531, '\p{Is_Numeric_Value=0.100}', "");
Expect(1, 8531, '\p{^Is_Numeric_Value=0.100}', "");
Expect(1, 8531, '\P{Is_Numeric_Value=0.100}', "");
Expect(0, 8531, '\P{^Is_Numeric_Value=0.100}', "");
Error('\p{Is_Nv=_-+000001/00000010/a/}');
Error('\P{Is_Nv=_-+000001/00000010/a/}');
Expect(1, 8530, '\p{Is_Nv=+0000000001/0000000010}', "");
Expect(0, 8530, '\p{^Is_Nv=+0000000001/0000000010}', "");
Expect(0, 8530, '\P{Is_Nv=+0000000001/0000000010}', "");
Expect(1, 8530, '\P{^Is_Nv=+0000000001/0000000010}', "");
Expect(0, 8531, '\p{Is_Nv=+0000000001/0000000010}', "");
Expect(1, 8531, '\p{^Is_Nv=+0000000001/0000000010}', "");
Expect(1, 8531, '\P{Is_Nv=+0000000001/0000000010}', "");
Expect(0, 8531, '\P{^Is_Nv=+0000000001/0000000010}', "");
Expect(1, 8530, '\p{Is_Nv=0.100}', "");
Expect(0, 8530, '\p{^Is_Nv=0.100}', "");
Expect(0, 8530, '\P{Is_Nv=0.100}', "");
Expect(1, 8530, '\P{^Is_Nv=0.100}', "");
Expect(0, 8531, '\p{Is_Nv=0.100}', "");
Expect(1, 8531, '\p{^Is_Nv=0.100}', "");
Expect(1, 8531, '\P{Is_Nv=0.100}', "");
Expect(0, 8531, '\P{^Is_Nv=0.100}', "");
Error('\p{Numeric_Value=:=-	+000000001/000000016}');
Error('\P{Numeric_Value=:=-	+000000001/000000016}');
Expect(1, 43059, '\p{Numeric_Value=+00000001/00000000016}', "");
Expect(0, 43059, '\p{^Numeric_Value=+00000001/00000000016}', "");
Expect(0, 43059, '\P{Numeric_Value=+00000001/00000000016}', "");
Expect(1, 43059, '\P{^Numeric_Value=+00000001/00000000016}', "");
Expect(0, 43060, '\p{Numeric_Value=+00000001/00000000016}', "");
Expect(1, 43060, '\p{^Numeric_Value=+00000001/00000000016}', "");
Expect(1, 43060, '\P{Numeric_Value=+00000001/00000000016}', "");
Expect(0, 43060, '\P{^Numeric_Value=+00000001/00000000016}', "");
Error('\p{Numeric_Value=0.06}');
Error('\P{Numeric_Value=0.06}');
Expect(1, 43059, '\p{Numeric_Value=0.062}', "");
Expect(0, 43059, '\p{^Numeric_Value=0.062}', "");
Expect(0, 43059, '\P{Numeric_Value=0.062}', "");
Expect(1, 43059, '\P{^Numeric_Value=0.062}', "");
Expect(0, 43060, '\p{Numeric_Value=0.062}', "");
Expect(1, 43060, '\p{^Numeric_Value=0.062}', "");
Expect(1, 43060, '\P{Numeric_Value=0.062}', "");
Expect(0, 43060, '\P{^Numeric_Value=0.062}', "");
Error('\p{Nv=/a/- 0000001/000000016}');
Error('\P{Nv=/a/- 0000001/000000016}');
Expect(1, 43059, '\p{Nv=00001/00016}', "");
Expect(0, 43059, '\p{^Nv=00001/00016}', "");
Expect(0, 43059, '\P{Nv=00001/00016}', "");
Expect(1, 43059, '\P{^Nv=00001/00016}', "");
Expect(0, 43060, '\p{Nv=00001/00016}', "");
Expect(1, 43060, '\p{^Nv=00001/00016}', "");
Expect(1, 43060, '\P{Nv=00001/00016}', "");
Expect(0, 43060, '\P{^Nv=00001/00016}', "");
Error('\p{Nv=0.06}');
Error('\P{Nv=0.06}');
Expect(1, 43059, '\p{Nv=0.062}', "");
Expect(0, 43059, '\p{^Nv=0.062}', "");
Expect(0, 43059, '\P{Nv=0.062}', "");
Expect(1, 43059, '\P{^Nv=0.062}', "");
Expect(0, 43060, '\p{Nv=0.062}', "");
Expect(1, 43060, '\p{^Nv=0.062}', "");
Expect(1, 43060, '\P{Nv=0.062}', "");
Expect(0, 43060, '\P{^Nv=0.062}', "");
Error('\p{Is_Numeric_Value:	:=001/000000016}');
Error('\P{Is_Numeric_Value:	:=001/000000016}');
Expect(1, 43059, '\p{Is_Numeric_Value=00001/000016}', "");
Expect(0, 43059, '\p{^Is_Numeric_Value=00001/000016}', "");
Expect(0, 43059, '\P{Is_Numeric_Value=00001/000016}', "");
Expect(1, 43059, '\P{^Is_Numeric_Value=00001/000016}', "");
Expect(0, 43060, '\p{Is_Numeric_Value=00001/000016}', "");
Expect(1, 43060, '\p{^Is_Numeric_Value=00001/000016}', "");
Expect(1, 43060, '\P{Is_Numeric_Value=00001/000016}', "");
Expect(0, 43060, '\P{^Is_Numeric_Value=00001/000016}', "");
Error('\p{Is_Numeric_Value=0.06}');
Error('\P{Is_Numeric_Value=0.06}');
Expect(1, 43059, '\p{Is_Numeric_Value=0.062}', "");
Expect(0, 43059, '\p{^Is_Numeric_Value=0.062}', "");
Expect(0, 43059, '\P{Is_Numeric_Value=0.062}', "");
Expect(1, 43059, '\P{^Is_Numeric_Value=0.062}', "");
Expect(0, 43060, '\p{Is_Numeric_Value=0.062}', "");
Expect(1, 43060, '\p{^Is_Numeric_Value=0.062}', "");
Expect(1, 43060, '\P{Is_Numeric_Value=0.062}', "");
Expect(0, 43060, '\P{^Is_Numeric_Value=0.062}', "");
Error('\p{Is_Nv=/a/-_000000001/0000000016}');
Error('\P{Is_Nv=/a/-_000000001/0000000016}');
Expect(1, 43059, '\p{Is_Nv=01/0000016}', "");
Expect(0, 43059, '\p{^Is_Nv=01/0000016}', "");
Expect(0, 43059, '\P{Is_Nv=01/0000016}', "");
Expect(1, 43059, '\P{^Is_Nv=01/0000016}', "");
Expect(0, 43060, '\p{Is_Nv=01/0000016}', "");
Expect(1, 43060, '\p{^Is_Nv=01/0000016}', "");
Expect(1, 43060, '\P{Is_Nv=01/0000016}', "");
Expect(0, 43060, '\P{^Is_Nv=01/0000016}', "");
Error('\p{Is_Nv=0.06}');
Error('\P{Is_Nv=0.06}');
Expect(1, 43059, '\p{Is_Nv=0.062}', "");
Expect(0, 43059, '\p{^Is_Nv=0.062}', "");
Expect(0, 43059, '\P{Is_Nv=0.062}', "");
Expect(1, 43059, '\P{^Is_Nv=0.062}', "");
Expect(0, 43060, '\p{Is_Nv=0.062}', "");
Expect(1, 43060, '\p{^Is_Nv=0.062}', "");
Expect(1, 43060, '\P{Is_Nv=0.062}', "");
Expect(0, 43060, '\P{^Is_Nv=0.062}', "");
Error('\p{Numeric_Value: _0000000001/0000002:=}');
Error('\P{Numeric_Value: _0000000001/0000002:=}');
Expect(1, 74852, '\p{Numeric_Value=0001/000002}', "");
Expect(0, 74852, '\p{^Numeric_Value=0001/000002}', "");
Expect(0, 74852, '\P{Numeric_Value=0001/000002}', "");
Expect(1, 74852, '\P{^Numeric_Value=0001/000002}', "");
Expect(0, 74853, '\p{Numeric_Value=0001/000002}', "");
Expect(1, 74853, '\p{^Numeric_Value=0001/000002}', "");
Expect(1, 74853, '\P{Numeric_Value=0001/000002}', "");
Expect(0, 74853, '\P{^Numeric_Value=0001/000002}', "");
Expect(1, 74852, '\p{Numeric_Value=0.500}', "");
Expect(0, 74852, '\p{^Numeric_Value=0.500}', "");
Expect(0, 74852, '\P{Numeric_Value=0.500}', "");
Expect(1, 74852, '\P{^Numeric_Value=0.500}', "");
Expect(0, 74853, '\p{Numeric_Value=0.500}', "");
Expect(1, 74853, '\p{^Numeric_Value=0.500}', "");
Expect(1, 74853, '\P{Numeric_Value=0.500}', "");
Expect(0, 74853, '\P{^Numeric_Value=0.500}', "");
Error('\p{Nv=:=  00001/00002}');
Error('\P{Nv=:=  00001/00002}');
Expect(1, 74852, '\p{Nv:0000000001/2}', "");
Expect(0, 74852, '\p{^Nv:0000000001/2}', "");
Expect(0, 74852, '\P{Nv:0000000001/2}', "");
Expect(1, 74852, '\P{^Nv:0000000001/2}', "");
Expect(0, 74853, '\p{Nv:0000000001/2}', "");
Expect(1, 74853, '\p{^Nv:0000000001/2}', "");
Expect(1, 74853, '\P{Nv:0000000001/2}', "");
Expect(0, 74853, '\P{^Nv:0000000001/2}', "");
Expect(1, 74852, '\p{Nv=0.500}', "");
Expect(0, 74852, '\p{^Nv=0.500}', "");
Expect(0, 74852, '\P{Nv=0.500}', "");
Expect(1, 74852, '\P{^Nv=0.500}', "");
Expect(0, 74853, '\p{Nv=0.500}', "");
Expect(1, 74853, '\p{^Nv=0.500}', "");
Expect(1, 74853, '\P{Nv=0.500}', "");
Expect(0, 74853, '\P{^Nv=0.500}', "");
Error('\p{Is_Numeric_Value=:= -01/02}');
Error('\P{Is_Numeric_Value=:= -01/02}');
Expect(1, 74852, '\p{Is_Numeric_Value=+0000000001/00000002}', "");
Expect(0, 74852, '\p{^Is_Numeric_Value=+0000000001/00000002}', "");
Expect(0, 74852, '\P{Is_Numeric_Value=+0000000001/00000002}', "");
Expect(1, 74852, '\P{^Is_Numeric_Value=+0000000001/00000002}', "");
Expect(0, 74853, '\p{Is_Numeric_Value=+0000000001/00000002}', "");
Expect(1, 74853, '\p{^Is_Numeric_Value=+0000000001/00000002}', "");
Expect(1, 74853, '\P{Is_Numeric_Value=+0000000001/00000002}', "");
Expect(0, 74853, '\P{^Is_Numeric_Value=+0000000001/00000002}', "");
Expect(1, 74852, '\p{Is_Numeric_Value=0.500}', "");
Expect(0, 74852, '\p{^Is_Numeric_Value=0.500}', "");
Expect(0, 74852, '\P{Is_Numeric_Value=0.500}', "");
Expect(1, 74852, '\P{^Is_Numeric_Value=0.500}', "");
Expect(0, 74853, '\p{Is_Numeric_Value=0.500}', "");
Expect(1, 74853, '\p{^Is_Numeric_Value=0.500}', "");
Expect(1, 74853, '\P{Is_Numeric_Value=0.500}', "");
Expect(0, 74853, '\P{^Is_Numeric_Value=0.500}', "");
Error('\p{Is_Nv=:=_01/0002}');
Error('\P{Is_Nv=:=_01/0002}');
Expect(1, 74852, '\p{Is_Nv=1/0000000002}', "");
Expect(0, 74852, '\p{^Is_Nv=1/0000000002}', "");
Expect(0, 74852, '\P{Is_Nv=1/0000000002}', "");
Expect(1, 74852, '\P{^Is_Nv=1/0000000002}', "");
Expect(0, 74853, '\p{Is_Nv=1/0000000002}', "");
Expect(1, 74853, '\p{^Is_Nv=1/0000000002}', "");
Expect(1, 74853, '\P{Is_Nv=1/0000000002}', "");
Expect(0, 74853, '\P{^Is_Nv=1/0000000002}', "");
Expect(1, 74852, '\p{Is_Nv=0.500}', "");
Expect(0, 74852, '\p{^Is_Nv=0.500}', "");
Expect(0, 74852, '\P{Is_Nv=0.500}', "");
Expect(1, 74852, '\P{^Is_Nv=0.500}', "");
Expect(0, 74853, '\p{Is_Nv=0.500}', "");
Expect(1, 74853, '\p{^Is_Nv=0.500}', "");
Expect(1, 74853, '\P{Is_Nv=0.500}', "");
Expect(0, 74853, '\P{^Is_Nv=0.500}', "");
Error('\p{Numeric_Value=_/a/0001/000003}');
Error('\P{Numeric_Value=_/a/0001/000003}');
Expect(1, 74853, '\p{Numeric_Value=+000000001/0000000003}', "");
Expect(0, 74853, '\p{^Numeric_Value=+000000001/0000000003}', "");
Expect(0, 74853, '\P{Numeric_Value=+000000001/0000000003}', "");
Expect(1, 74853, '\P{^Numeric_Value=+000000001/0000000003}', "");
Expect(0, 74854, '\p{Numeric_Value=+000000001/0000000003}', "");
Expect(1, 74854, '\p{^Numeric_Value=+000000001/0000000003}', "");
Expect(1, 74854, '\P{Numeric_Value=+000000001/0000000003}', "");
Expect(0, 74854, '\P{^Numeric_Value=+000000001/0000000003}', "");
Error('\p{Numeric_Value=0.3}');
Error('\P{Numeric_Value=0.3}');
Error('\p{Numeric_Value=0.33}');
Error('\P{Numeric_Value=0.33}');
Expect(1, 74853, '\p{Numeric_Value=0.333}', "");
Expect(0, 74853, '\p{^Numeric_Value=0.333}', "");
Expect(0, 74853, '\P{Numeric_Value=0.333}', "");
Expect(1, 74853, '\P{^Numeric_Value=0.333}', "");
Expect(0, 74854, '\p{Numeric_Value=0.333}', "");
Expect(1, 74854, '\p{^Numeric_Value=0.333}', "");
Expect(1, 74854, '\P{Numeric_Value=0.333}', "");
Expect(0, 74854, '\P{^Numeric_Value=0.333}', "");
Error('\p{Nv=	1/000000003/a/}');
Error('\P{Nv=	1/000000003/a/}');
Expect(1, 74853, '\p{Nv=+001/000003}', "");
Expect(0, 74853, '\p{^Nv=+001/000003}', "");
Expect(0, 74853, '\P{Nv=+001/000003}', "");
Expect(1, 74853, '\P{^Nv=+001/000003}', "");
Expect(0, 74854, '\p{Nv=+001/000003}', "");
Expect(1, 74854, '\p{^Nv=+001/000003}', "");
Expect(1, 74854, '\P{Nv=+001/000003}', "");
Expect(0, 74854, '\P{^Nv=+001/000003}', "");
Error('\p{Nv=0.3}');
Error('\P{Nv=0.3}');
Error('\p{Nv=0.33}');
Error('\P{Nv=0.33}');
Expect(1, 74853, '\p{Nv=0.333}', "");
Expect(0, 74853, '\p{^Nv=0.333}', "");
Expect(0, 74853, '\P{Nv=0.333}', "");
Expect(1, 74853, '\P{^Nv=0.333}', "");
Expect(0, 74854, '\p{Nv=0.333}', "");
Expect(1, 74854, '\p{^Nv=0.333}', "");
Expect(1, 74854, '\P{Nv=0.333}', "");
Expect(0, 74854, '\P{^Nv=0.333}', "");
Error('\p{Is_Numeric_Value=-_+1/00000003:=}');
Error('\P{Is_Numeric_Value=-_+1/00000003:=}');
Expect(1, 74853, '\p{Is_Numeric_Value:   0000000001/0000000003}', "");
Expect(0, 74853, '\p{^Is_Numeric_Value:   0000000001/0000000003}', "");
Expect(0, 74853, '\P{Is_Numeric_Value:   0000000001/0000000003}', "");
Expect(1, 74853, '\P{^Is_Numeric_Value:   0000000001/0000000003}', "");
Expect(0, 74854, '\p{Is_Numeric_Value:   0000000001/0000000003}', "");
Expect(1, 74854, '\p{^Is_Numeric_Value:   0000000001/0000000003}', "");
Expect(1, 74854, '\P{Is_Numeric_Value:   0000000001/0000000003}', "");
Expect(0, 74854, '\P{^Is_Numeric_Value:   0000000001/0000000003}', "");
Error('\p{Is_Numeric_Value=0.3}');
Error('\P{Is_Numeric_Value=0.3}');
Error('\p{Is_Numeric_Value=0.33}');
Error('\P{Is_Numeric_Value=0.33}');
Expect(1, 74853, '\p{Is_Numeric_Value=0.333}', "");
Expect(0, 74853, '\p{^Is_Numeric_Value=0.333}', "");
Expect(0, 74853, '\P{Is_Numeric_Value=0.333}', "");
Expect(1, 74853, '\P{^Is_Numeric_Value=0.333}', "");
Expect(0, 74854, '\p{Is_Numeric_Value=0.333}', "");
Expect(1, 74854, '\p{^Is_Numeric_Value=0.333}', "");
Expect(1, 74854, '\P{Is_Numeric_Value=0.333}', "");
Expect(0, 74854, '\P{^Is_Numeric_Value=0.333}', "");
Error('\p{Is_Nv=-00000001/0000003:=}');
Error('\P{Is_Nv=-00000001/0000003:=}');
Expect(1, 74853, '\p{Is_Nv:0000001/000000003}', "");
Expect(0, 74853, '\p{^Is_Nv:0000001/000000003}', "");
Expect(0, 74853, '\P{Is_Nv:0000001/000000003}', "");
Expect(1, 74853, '\P{^Is_Nv:0000001/000000003}', "");
Expect(0, 74854, '\p{Is_Nv:0000001/000000003}', "");
Expect(1, 74854, '\p{^Is_Nv:0000001/000000003}', "");
Expect(1, 74854, '\P{Is_Nv:0000001/000000003}', "");
Expect(0, 74854, '\P{^Is_Nv:0000001/000000003}', "");
Error('\p{Is_Nv=0.3}');
Error('\P{Is_Nv=0.3}');
Error('\p{Is_Nv=0.33}');
Error('\P{Is_Nv=0.33}');
Expect(1, 74853, '\p{Is_Nv=0.333}', "");
Expect(0, 74853, '\p{^Is_Nv=0.333}', "");
Expect(0, 74853, '\P{Is_Nv=0.333}', "");
Expect(1, 74853, '\P{^Is_Nv=0.333}', "");
Expect(0, 74854, '\p{Is_Nv=0.333}', "");
Expect(1, 74854, '\p{^Is_Nv=0.333}', "");
Expect(1, 74854, '\P{Is_Nv=0.333}', "");
Expect(0, 74854, '\P{^Is_Nv=0.333}', "");
Error('\p{Numeric_Value=:=	+000001/0000000004}');
Error('\P{Numeric_Value=:=	+000001/0000000004}');
Expect(1, 74851, '\p{Numeric_Value=0000001/00004}', "");
Expect(0, 74851, '\p{^Numeric_Value=0000001/00004}', "");
Expect(0, 74851, '\P{Numeric_Value=0000001/00004}', "");
Expect(1, 74851, '\P{^Numeric_Value=0000001/00004}', "");
Expect(0, 74852, '\p{Numeric_Value=0000001/00004}', "");
Expect(1, 74852, '\p{^Numeric_Value=0000001/00004}', "");
Expect(1, 74852, '\P{Numeric_Value=0000001/00004}', "");
Expect(0, 74852, '\P{^Numeric_Value=0000001/00004}', "");
Expect(1, 74851, '\p{Numeric_Value:	0.250}', "");
Expect(0, 74851, '\p{^Numeric_Value:	0.250}', "");
Expect(0, 74851, '\P{Numeric_Value:	0.250}', "");
Expect(1, 74851, '\P{^Numeric_Value:	0.250}', "");
Expect(0, 74852, '\p{Numeric_Value:	0.250}', "");
Expect(1, 74852, '\p{^Numeric_Value:	0.250}', "");
Expect(1, 74852, '\P{Numeric_Value:	0.250}', "");
Expect(0, 74852, '\P{^Numeric_Value:	0.250}', "");
Error('\p{Nv=:=_-01/00000004}');
Error('\P{Nv=:=_-01/00000004}');
Expect(1, 74851, '\p{Nv=+01/000000004}', "");
Expect(0, 74851, '\p{^Nv=+01/000000004}', "");
Expect(0, 74851, '\P{Nv=+01/000000004}', "");
Expect(1, 74851, '\P{^Nv=+01/000000004}', "");
Expect(0, 74852, '\p{Nv=+01/000000004}', "");
Expect(1, 74852, '\p{^Nv=+01/000000004}', "");
Expect(1, 74852, '\P{Nv=+01/000000004}', "");
Expect(0, 74852, '\P{^Nv=+01/000000004}', "");
Expect(1, 74851, '\p{Nv:0.250}', "");
Expect(0, 74851, '\p{^Nv:0.250}', "");
Expect(0, 74851, '\P{Nv:0.250}', "");
Expect(1, 74851, '\P{^Nv:0.250}', "");
Expect(0, 74852, '\p{Nv:0.250}', "");
Expect(1, 74852, '\p{^Nv:0.250}', "");
Expect(1, 74852, '\P{Nv:0.250}', "");
Expect(0, 74852, '\P{^Nv:0.250}', "");
Error('\p{Is_Numeric_Value:_/a/001/000000004}');
Error('\P{Is_Numeric_Value:_/a/001/000000004}');
Expect(1, 74851, '\p{Is_Numeric_Value: 00000001/004}', "");
Expect(0, 74851, '\p{^Is_Numeric_Value: 00000001/004}', "");
Expect(0, 74851, '\P{Is_Numeric_Value: 00000001/004}', "");
Expect(1, 74851, '\P{^Is_Numeric_Value: 00000001/004}', "");
Expect(0, 74852, '\p{Is_Numeric_Value: 00000001/004}', "");
Expect(1, 74852, '\p{^Is_Numeric_Value: 00000001/004}', "");
Expect(1, 74852, '\P{Is_Numeric_Value: 00000001/004}', "");
Expect(0, 74852, '\P{^Is_Numeric_Value: 00000001/004}', "");
Expect(1, 74851, '\p{Is_Numeric_Value=0.250}', "");
Expect(0, 74851, '\p{^Is_Numeric_Value=0.250}', "");
Expect(0, 74851, '\P{Is_Numeric_Value=0.250}', "");
Expect(1, 74851, '\P{^Is_Numeric_Value=0.250}', "");
Expect(0, 74852, '\p{Is_Numeric_Value=0.250}', "");
Expect(1, 74852, '\p{^Is_Numeric_Value=0.250}', "");
Expect(1, 74852, '\P{Is_Numeric_Value=0.250}', "");
Expect(0, 74852, '\P{^Is_Numeric_Value=0.250}', "");
Error('\p{Is_Nv= 0000001/00000004:=}');
Error('\P{Is_Nv= 0000001/00000004:=}');
Expect(1, 74851, '\p{Is_Nv=0001/000004}', "");
Expect(0, 74851, '\p{^Is_Nv=0001/000004}', "");
Expect(0, 74851, '\P{Is_Nv=0001/000004}', "");
Expect(1, 74851, '\P{^Is_Nv=0001/000004}', "");
Expect(0, 74852, '\p{Is_Nv=0001/000004}', "");
Expect(1, 74852, '\p{^Is_Nv=0001/000004}', "");
Expect(1, 74852, '\P{Is_Nv=0001/000004}', "");
Expect(0, 74852, '\P{^Is_Nv=0001/000004}', "");
Expect(1, 74851, '\p{Is_Nv=0.250}', "");
Expect(0, 74851, '\p{^Is_Nv=0.250}', "");
Expect(0, 74851, '\P{Is_Nv=0.250}', "");
Expect(1, 74851, '\P{^Is_Nv=0.250}', "");
Expect(0, 74852, '\p{Is_Nv=0.250}', "");
Expect(1, 74852, '\p{^Is_Nv=0.250}', "");
Expect(1, 74852, '\P{Is_Nv=0.250}', "");
Expect(0, 74852, '\P{^Is_Nv=0.250}', "");
Error('\p{Numeric_Value: /a/_01/5}');
Error('\P{Numeric_Value: /a/_01/5}');
Expect(1, 8533, '\p{Numeric_Value=+0000001/0000005}', "");
Expect(0, 8533, '\p{^Numeric_Value=+0000001/0000005}', "");
Expect(0, 8533, '\P{Numeric_Value=+0000001/0000005}', "");
Expect(1, 8533, '\P{^Numeric_Value=+0000001/0000005}', "");
Expect(0, 8534, '\p{Numeric_Value=+0000001/0000005}', "");
Expect(1, 8534, '\p{^Numeric_Value=+0000001/0000005}', "");
Expect(1, 8534, '\P{Numeric_Value=+0000001/0000005}', "");
Expect(0, 8534, '\P{^Numeric_Value=+0000001/0000005}', "");
Expect(1, 8533, '\p{Numeric_Value=0.200}', "");
Expect(0, 8533, '\p{^Numeric_Value=0.200}', "");
Expect(0, 8533, '\P{Numeric_Value=0.200}', "");
Expect(1, 8533, '\P{^Numeric_Value=0.200}', "");
Expect(0, 8534, '\p{Numeric_Value=0.200}', "");
Expect(1, 8534, '\p{^Numeric_Value=0.200}', "");
Expect(1, 8534, '\P{Numeric_Value=0.200}', "");
Expect(0, 8534, '\P{^Numeric_Value=0.200}', "");
Error('\p{Nv=:=0001/000000005}');
Error('\P{Nv=:=0001/000000005}');
Expect(1, 8533, '\p{Nv=+1/00000005}', "");
Expect(0, 8533, '\p{^Nv=+1/00000005}', "");
Expect(0, 8533, '\P{Nv=+1/00000005}', "");
Expect(1, 8533, '\P{^Nv=+1/00000005}', "");
Expect(0, 8534, '\p{Nv=+1/00000005}', "");
Expect(1, 8534, '\p{^Nv=+1/00000005}', "");
Expect(1, 8534, '\P{Nv=+1/00000005}', "");
Expect(0, 8534, '\P{^Nv=+1/00000005}', "");
Expect(1, 8533, '\p{Nv=0.200}', "");
Expect(0, 8533, '\p{^Nv=0.200}', "");
Expect(0, 8533, '\P{Nv=0.200}', "");
Expect(1, 8533, '\P{^Nv=0.200}', "");
Expect(0, 8534, '\p{Nv=0.200}', "");
Expect(1, 8534, '\p{^Nv=0.200}', "");
Expect(1, 8534, '\P{Nv=0.200}', "");
Expect(0, 8534, '\P{^Nv=0.200}', "");
Error('\p{Is_Numeric_Value=:=-000000001/05}');
Error('\P{Is_Numeric_Value=:=-000000001/05}');
Expect(1, 8533, '\p{Is_Numeric_Value=001/0000005}', "");
Expect(0, 8533, '\p{^Is_Numeric_Value=001/0000005}', "");
Expect(0, 8533, '\P{Is_Numeric_Value=001/0000005}', "");
Expect(1, 8533, '\P{^Is_Numeric_Value=001/0000005}', "");
Expect(0, 8534, '\p{Is_Numeric_Value=001/0000005}', "");
Expect(1, 8534, '\p{^Is_Numeric_Value=001/0000005}', "");
Expect(1, 8534, '\P{Is_Numeric_Value=001/0000005}', "");
Expect(0, 8534, '\P{^Is_Numeric_Value=001/0000005}', "");
Expect(1, 8533, '\p{Is_Numeric_Value=0.200}', "");
Expect(0, 8533, '\p{^Is_Numeric_Value=0.200}', "");
Expect(0, 8533, '\P{Is_Numeric_Value=0.200}', "");
Expect(1, 8533, '\P{^Is_Numeric_Value=0.200}', "");
Expect(0, 8534, '\p{Is_Numeric_Value=0.200}', "");
Expect(1, 8534, '\p{^Is_Numeric_Value=0.200}', "");
Expect(1, 8534, '\P{Is_Numeric_Value=0.200}', "");
Expect(0, 8534, '\P{^Is_Numeric_Value=0.200}', "");
Error('\p{Is_Nv=-_+001/000005:=}');
Error('\P{Is_Nv=-_+001/000005:=}');
Expect(1, 8533, '\p{Is_Nv=+0000001/00005}', "");
Expect(0, 8533, '\p{^Is_Nv=+0000001/00005}', "");
Expect(0, 8533, '\P{Is_Nv=+0000001/00005}', "");
Expect(1, 8533, '\P{^Is_Nv=+0000001/00005}', "");
Expect(0, 8534, '\p{Is_Nv=+0000001/00005}', "");
Expect(1, 8534, '\p{^Is_Nv=+0000001/00005}', "");
Expect(1, 8534, '\P{Is_Nv=+0000001/00005}', "");
Expect(0, 8534, '\P{^Is_Nv=+0000001/00005}', "");
Expect(1, 8533, '\p{Is_Nv=0.200}', "");
Expect(0, 8533, '\p{^Is_Nv=0.200}', "");
Expect(0, 8533, '\P{Is_Nv=0.200}', "");
Expect(1, 8533, '\P{^Is_Nv=0.200}', "");
Expect(0, 8534, '\p{Is_Nv=0.200}', "");
Expect(1, 8534, '\p{^Is_Nv=0.200}', "");
Expect(1, 8534, '\P{Is_Nv=0.200}', "");
Expect(0, 8534, '\P{^Is_Nv=0.200}', "");
Error('\p{Numeric_Value=_	001/00000006/a/}');
Error('\P{Numeric_Value=_	001/00000006/a/}');
Expect(1, 74849, '\p{Numeric_Value=0000000001/0000000006}', "");
Expect(0, 74849, '\p{^Numeric_Value=0000000001/0000000006}', "");
Expect(0, 74849, '\P{Numeric_Value=0000000001/0000000006}', "");
Expect(1, 74849, '\P{^Numeric_Value=0000000001/0000000006}', "");
Expect(0, 74850, '\p{Numeric_Value=0000000001/0000000006}', "");
Expect(1, 74850, '\p{^Numeric_Value=0000000001/0000000006}', "");
Expect(1, 74850, '\P{Numeric_Value=0000000001/0000000006}', "");
Expect(0, 74850, '\P{^Numeric_Value=0000000001/0000000006}', "");
Error('\p{Numeric_Value=0.17}');
Error('\P{Numeric_Value=0.17}');
Expect(1, 74849, '\p{Numeric_Value=0.167}', "");
Expect(0, 74849, '\p{^Numeric_Value=0.167}', "");
Expect(0, 74849, '\P{Numeric_Value=0.167}', "");
Expect(1, 74849, '\P{^Numeric_Value=0.167}', "");
Expect(0, 74850, '\p{Numeric_Value=0.167}', "");
Expect(1, 74850, '\p{^Numeric_Value=0.167}', "");
Expect(1, 74850, '\P{Numeric_Value=0.167}', "");
Expect(0, 74850, '\P{^Numeric_Value=0.167}', "");
Error('\p{Nv:	_+000001/0000000006:=}');
Error('\P{Nv:	_+000001/0000000006:=}');
Expect(1, 74849, '\p{Nv=+000000001/0000000006}', "");
Expect(0, 74849, '\p{^Nv=+000000001/0000000006}', "");
Expect(0, 74849, '\P{Nv=+000000001/0000000006}', "");
Expect(1, 74849, '\P{^Nv=+000000001/0000000006}', "");
Expect(0, 74850, '\p{Nv=+000000001/0000000006}', "");
Expect(1, 74850, '\p{^Nv=+000000001/0000000006}', "");
Expect(1, 74850, '\P{Nv=+000000001/0000000006}', "");
Expect(0, 74850, '\P{^Nv=+000000001/0000000006}', "");
Error('\p{Nv=0.17}');
Error('\P{Nv=0.17}');
Expect(1, 74849, '\p{Nv=0.167}', "");
Expect(0, 74849, '\p{^Nv=0.167}', "");
Expect(0, 74849, '\P{Nv=0.167}', "");
Expect(1, 74849, '\P{^Nv=0.167}', "");
Expect(0, 74850, '\p{Nv=0.167}', "");
Expect(1, 74850, '\p{^Nv=0.167}', "");
Expect(1, 74850, '\P{Nv=0.167}', "");
Expect(0, 74850, '\P{^Nv=0.167}', "");
Error('\p{Is_Numeric_Value=_/a/1/000000006}');
Error('\P{Is_Numeric_Value=_/a/1/000000006}');
Expect(1, 74849, '\p{Is_Numeric_Value=0001/00000006}', "");
Expect(0, 74849, '\p{^Is_Numeric_Value=0001/00000006}', "");
Expect(0, 74849, '\P{Is_Numeric_Value=0001/00000006}', "");
Expect(1, 74849, '\P{^Is_Numeric_Value=0001/00000006}', "");
Expect(0, 74850, '\p{Is_Numeric_Value=0001/00000006}', "");
Expect(1, 74850, '\p{^Is_Numeric_Value=0001/00000006}', "");
Expect(1, 74850, '\P{Is_Numeric_Value=0001/00000006}', "");
Expect(0, 74850, '\P{^Is_Numeric_Value=0001/00000006}', "");
Error('\p{Is_Numeric_Value=0.17}');
Error('\P{Is_Numeric_Value=0.17}');
Expect(1, 74849, '\p{Is_Numeric_Value:	0.167}', "");
Expect(0, 74849, '\p{^Is_Numeric_Value:	0.167}', "");
Expect(0, 74849, '\P{Is_Numeric_Value:	0.167}', "");
Expect(1, 74849, '\P{^Is_Numeric_Value:	0.167}', "");
Expect(0, 74850, '\p{Is_Numeric_Value:	0.167}', "");
Expect(1, 74850, '\p{^Is_Numeric_Value:	0.167}', "");
Expect(1, 74850, '\P{Is_Numeric_Value:	0.167}', "");
Expect(0, 74850, '\P{^Is_Numeric_Value:	0.167}', "");
Error('\p{Is_Nv= -00000001/0006:=}');
Error('\P{Is_Nv= -00000001/0006:=}');
Expect(1, 74849, '\p{Is_Nv=+0000001/0000006}', "");
Expect(0, 74849, '\p{^Is_Nv=+0000001/0000006}', "");
Expect(0, 74849, '\P{Is_Nv=+0000001/0000006}', "");
Expect(1, 74849, '\P{^Is_Nv=+0000001/0000006}', "");
Expect(0, 74850, '\p{Is_Nv=+0000001/0000006}', "");
Expect(1, 74850, '\p{^Is_Nv=+0000001/0000006}', "");
Expect(1, 74850, '\P{Is_Nv=+0000001/0000006}', "");
Expect(0, 74850, '\P{^Is_Nv=+0000001/0000006}', "");
Error('\p{Is_Nv=0.17}');
Error('\P{Is_Nv=0.17}');
Expect(1, 74849, '\p{Is_Nv=0.167}', "");
Expect(0, 74849, '\p{^Is_Nv=0.167}', "");
Expect(0, 74849, '\P{Is_Nv=0.167}', "");
Expect(1, 74849, '\P{^Is_Nv=0.167}', "");
Expect(0, 74850, '\p{Is_Nv=0.167}', "");
Expect(1, 74850, '\p{^Is_Nv=0.167}', "");
Expect(1, 74850, '\P{Is_Nv=0.167}', "");
Expect(0, 74850, '\P{^Is_Nv=0.167}', "");
Error('\p{Numeric_Value= -0001/000000007:=}');
Error('\P{Numeric_Value= -0001/000000007:=}');
Expect(1, 8528, '\p{Numeric_Value=00000001/000007}', "");
Expect(0, 8528, '\p{^Numeric_Value=00000001/000007}', "");
Expect(0, 8528, '\P{Numeric_Value=00000001/000007}', "");
Expect(1, 8528, '\P{^Numeric_Value=00000001/000007}', "");
Expect(0, 8529, '\p{Numeric_Value=00000001/000007}', "");
Expect(1, 8529, '\p{^Numeric_Value=00000001/000007}', "");
Expect(1, 8529, '\P{Numeric_Value=00000001/000007}', "");
Expect(0, 8529, '\P{^Numeric_Value=00000001/000007}', "");
Error('\p{Numeric_Value:0.14}');
Error('\P{Numeric_Value:0.14}');
Expect(1, 8528, '\p{Numeric_Value=0.143}', "");
Expect(0, 8528, '\p{^Numeric_Value=0.143}', "");
Expect(0, 8528, '\P{Numeric_Value=0.143}', "");
Expect(1, 8528, '\P{^Numeric_Value=0.143}', "");
Expect(0, 8529, '\p{Numeric_Value=0.143}', "");
Expect(1, 8529, '\p{^Numeric_Value=0.143}', "");
Expect(1, 8529, '\P{Numeric_Value=0.143}', "");
Expect(0, 8529, '\P{^Numeric_Value=0.143}', "");
Error('\p{Nv: 	 000001/000000007/a/}');
Error('\P{Nv: 	 000001/000000007/a/}');
Expect(1, 8528, '\p{Nv=00000001/007}', "");
Expect(0, 8528, '\p{^Nv=00000001/007}', "");
Expect(0, 8528, '\P{Nv=00000001/007}', "");
Expect(1, 8528, '\P{^Nv=00000001/007}', "");
Expect(0, 8529, '\p{Nv=00000001/007}', "");
Expect(1, 8529, '\p{^Nv=00000001/007}', "");
Expect(1, 8529, '\P{Nv=00000001/007}', "");
Expect(0, 8529, '\P{^Nv=00000001/007}', "");
Error('\p{Nv=0.14}');
Error('\P{Nv=0.14}');
Expect(1, 8528, '\p{Nv=0.143}', "");
Expect(0, 8528, '\p{^Nv=0.143}', "");
Expect(0, 8528, '\P{Nv=0.143}', "");
Expect(1, 8528, '\P{^Nv=0.143}', "");
Expect(0, 8529, '\p{Nv=0.143}', "");
Expect(1, 8529, '\p{^Nv=0.143}', "");
Expect(1, 8529, '\P{Nv=0.143}', "");
Expect(0, 8529, '\P{^Nv=0.143}', "");
Error('\p{Is_Numeric_Value=:=_0001/000007}');
Error('\P{Is_Numeric_Value=:=_0001/000007}');
Expect(1, 8528, '\p{Is_Numeric_Value=000001/000007}', "");
Expect(0, 8528, '\p{^Is_Numeric_Value=000001/000007}', "");
Expect(0, 8528, '\P{Is_Numeric_Value=000001/000007}', "");
Expect(1, 8528, '\P{^Is_Numeric_Value=000001/000007}', "");
Expect(0, 8529, '\p{Is_Numeric_Value=000001/000007}', "");
Expect(1, 8529, '\p{^Is_Numeric_Value=000001/000007}', "");
Expect(1, 8529, '\P{Is_Numeric_Value=000001/000007}', "");
Expect(0, 8529, '\P{^Is_Numeric_Value=000001/000007}', "");
Error('\p{Is_Numeric_Value=0.14}');
Error('\P{Is_Numeric_Value=0.14}');
Expect(1, 8528, '\p{Is_Numeric_Value:	0.143}', "");
Expect(0, 8528, '\p{^Is_Numeric_Value:	0.143}', "");
Expect(0, 8528, '\P{Is_Numeric_Value:	0.143}', "");
Expect(1, 8528, '\P{^Is_Numeric_Value:	0.143}', "");
Expect(0, 8529, '\p{Is_Numeric_Value:	0.143}', "");
Expect(1, 8529, '\p{^Is_Numeric_Value:	0.143}', "");
Expect(1, 8529, '\P{Is_Numeric_Value:	0.143}', "");
Expect(0, 8529, '\P{^Is_Numeric_Value:	0.143}', "");
Error('\p{Is_Nv=  00001/000007/a/}');
Error('\P{Is_Nv=  00001/000007/a/}');
Expect(1, 8528, '\p{Is_Nv: 1/0007}', "");
Expect(0, 8528, '\p{^Is_Nv: 1/0007}', "");
Expect(0, 8528, '\P{Is_Nv: 1/0007}', "");
Expect(1, 8528, '\P{^Is_Nv: 1/0007}', "");
Expect(0, 8529, '\p{Is_Nv: 1/0007}', "");
Expect(1, 8529, '\p{^Is_Nv: 1/0007}', "");
Expect(1, 8529, '\P{Is_Nv: 1/0007}', "");
Expect(0, 8529, '\P{^Is_Nv: 1/0007}', "");
Error('\p{Is_Nv=0.14}');
Error('\P{Is_Nv=0.14}');
Expect(1, 8528, '\p{Is_Nv=0.143}', "");
Expect(0, 8528, '\p{^Is_Nv=0.143}', "");
Expect(0, 8528, '\P{Is_Nv=0.143}', "");
Expect(1, 8528, '\P{^Is_Nv=0.143}', "");
Expect(0, 8529, '\p{Is_Nv=0.143}', "");
Expect(1, 8529, '\p{^Is_Nv=0.143}', "");
Expect(1, 8529, '\P{Is_Nv=0.143}', "");
Expect(0, 8529, '\P{^Is_Nv=0.143}', "");
Error('\p{Numeric_Value=-_+00001/000000008:=}');
Error('\P{Numeric_Value=-_+00001/000000008:=}');
Expect(1, 74847, '\p{Numeric_Value: 00000001/000008}', "");
Expect(0, 74847, '\p{^Numeric_Value: 00000001/000008}', "");
Expect(0, 74847, '\P{Numeric_Value: 00000001/000008}', "");
Expect(1, 74847, '\P{^Numeric_Value: 00000001/000008}', "");
Expect(0, 74848, '\p{Numeric_Value: 00000001/000008}', "");
Expect(1, 74848, '\p{^Numeric_Value: 00000001/000008}', "");
Expect(1, 74848, '\P{Numeric_Value: 00000001/000008}', "");
Expect(0, 74848, '\P{^Numeric_Value: 00000001/000008}', "");
Error('\p{Numeric_Value=0.12}');
Error('\P{Numeric_Value=0.12}');
Expect(1, 74847, '\p{Numeric_Value=0.125}', "");
Expect(0, 74847, '\p{^Numeric_Value=0.125}', "");
Expect(0, 74847, '\P{Numeric_Value=0.125}', "");
Expect(1, 74847, '\P{^Numeric_Value=0.125}', "");
Expect(0, 74848, '\p{Numeric_Value=0.125}', "");
Expect(1, 74848, '\p{^Numeric_Value=0.125}', "");
Expect(1, 74848, '\P{Numeric_Value=0.125}', "");
Expect(0, 74848, '\P{^Numeric_Value=0.125}', "");
Error('\p{Nv: 	:=1/00008}');
Error('\P{Nv: 	:=1/00008}');
Expect(1, 74847, '\p{Nv=000000001/0000000008}', "");
Expect(0, 74847, '\p{^Nv=000000001/0000000008}', "");
Expect(0, 74847, '\P{Nv=000000001/0000000008}', "");
Expect(1, 74847, '\P{^Nv=000000001/0000000008}', "");
Expect(0, 74848, '\p{Nv=000000001/0000000008}', "");
Expect(1, 74848, '\p{^Nv=000000001/0000000008}', "");
Expect(1, 74848, '\P{Nv=000000001/0000000008}', "");
Expect(0, 74848, '\P{^Nv=000000001/0000000008}', "");
Error('\p{Nv=0.12}');
Error('\P{Nv=0.12}');
Expect(1, 74847, '\p{Nv=0.125}', "");
Expect(0, 74847, '\p{^Nv=0.125}', "");
Expect(0, 74847, '\P{Nv=0.125}', "");
Expect(1, 74847, '\P{^Nv=0.125}', "");
Expect(0, 74848, '\p{Nv=0.125}', "");
Expect(1, 74848, '\p{^Nv=0.125}', "");
Expect(1, 74848, '\P{Nv=0.125}', "");
Expect(0, 74848, '\P{^Nv=0.125}', "");
Error('\p{Is_Numeric_Value=/a/--00000001/0000000008}');
Error('\P{Is_Numeric_Value=/a/--00000001/0000000008}');
Expect(1, 74847, '\p{Is_Numeric_Value:+00000001/00000008}', "");
Expect(0, 74847, '\p{^Is_Numeric_Value:+00000001/00000008}', "");
Expect(0, 74847, '\P{Is_Numeric_Value:+00000001/00000008}', "");
Expect(1, 74847, '\P{^Is_Numeric_Value:+00000001/00000008}', "");
Expect(0, 74848, '\p{Is_Numeric_Value:+00000001/00000008}', "");
Expect(1, 74848, '\p{^Is_Numeric_Value:+00000001/00000008}', "");
Expect(1, 74848, '\P{Is_Numeric_Value:+00000001/00000008}', "");
Expect(0, 74848, '\P{^Is_Numeric_Value:+00000001/00000008}', "");
Error('\p{Is_Numeric_Value=0.12}');
Error('\P{Is_Numeric_Value=0.12}');
Expect(1, 74847, '\p{Is_Numeric_Value=0.125}', "");
Expect(0, 74847, '\p{^Is_Numeric_Value=0.125}', "");
Expect(0, 74847, '\P{Is_Numeric_Value=0.125}', "");
Expect(1, 74847, '\P{^Is_Numeric_Value=0.125}', "");
Expect(0, 74848, '\p{Is_Numeric_Value=0.125}', "");
Expect(1, 74848, '\p{^Is_Numeric_Value=0.125}', "");
Expect(1, 74848, '\P{Is_Numeric_Value=0.125}', "");
Expect(0, 74848, '\P{^Is_Numeric_Value=0.125}', "");
Error('\p{Is_Nv=_/a/001/00000008}');
Error('\P{Is_Nv=_/a/001/00000008}');
Expect(1, 74847, '\p{Is_Nv=000000001/08}', "");
Expect(0, 74847, '\p{^Is_Nv=000000001/08}', "");
Expect(0, 74847, '\P{Is_Nv=000000001/08}', "");
Expect(1, 74847, '\P{^Is_Nv=000000001/08}', "");
Expect(0, 74848, '\p{Is_Nv=000000001/08}', "");
Expect(1, 74848, '\p{^Is_Nv=000000001/08}', "");
Expect(1, 74848, '\P{Is_Nv=000000001/08}', "");
Expect(0, 74848, '\P{^Is_Nv=000000001/08}', "");
Error('\p{Is_Nv=0.12}');
Error('\P{Is_Nv=0.12}');
Expect(1, 74847, '\p{Is_Nv=0.125}', "");
Expect(0, 74847, '\p{^Is_Nv=0.125}', "");
Expect(0, 74847, '\P{Is_Nv=0.125}', "");
Expect(1, 74847, '\P{^Is_Nv=0.125}', "");
Expect(0, 74848, '\p{Is_Nv=0.125}', "");
Expect(1, 74848, '\p{^Is_Nv=0.125}', "");
Expect(1, 74848, '\P{Is_Nv=0.125}', "");
Expect(0, 74848, '\P{^Is_Nv=0.125}', "");
Error('\p{Numeric_Value=-0000000001/000009:=}');
Error('\P{Numeric_Value=-0000000001/000009:=}');
Expect(1, 8529, '\p{Numeric_Value=000000001/0000009}', "");
Expect(0, 8529, '\p{^Numeric_Value=000000001/0000009}', "");
Expect(0, 8529, '\P{Numeric_Value=000000001/0000009}', "");
Expect(1, 8529, '\P{^Numeric_Value=000000001/0000009}', "");
Expect(0, 8530, '\p{Numeric_Value=000000001/0000009}', "");
Expect(1, 8530, '\p{^Numeric_Value=000000001/0000009}', "");
Expect(1, 8530, '\P{Numeric_Value=000000001/0000009}', "");
Expect(0, 8530, '\P{^Numeric_Value=000000001/0000009}', "");
Error('\p{Numeric_Value=0.11}');
Error('\P{Numeric_Value=0.11}');
Expect(1, 8529, '\p{Numeric_Value=0.111}', "");
Expect(0, 8529, '\p{^Numeric_Value=0.111}', "");
Expect(0, 8529, '\P{Numeric_Value=0.111}', "");
Expect(1, 8529, '\P{^Numeric_Value=0.111}', "");
Expect(0, 8530, '\p{Numeric_Value=0.111}', "");
Expect(1, 8530, '\p{^Numeric_Value=0.111}', "");
Expect(1, 8530, '\P{Numeric_Value=0.111}', "");
Expect(0, 8530, '\P{^Numeric_Value=0.111}', "");
Error('\p{Nv=_/a/000000001/0000000009}');
Error('\P{Nv=_/a/000000001/0000000009}');
Expect(1, 8529, '\p{Nv:   0001/000009}', "");
Expect(0, 8529, '\p{^Nv:   0001/000009}', "");
Expect(0, 8529, '\P{Nv:   0001/000009}', "");
Expect(1, 8529, '\P{^Nv:   0001/000009}', "");
Expect(0, 8530, '\p{Nv:   0001/000009}', "");
Expect(1, 8530, '\p{^Nv:   0001/000009}', "");
Expect(1, 8530, '\P{Nv:   0001/000009}', "");
Expect(0, 8530, '\P{^Nv:   0001/000009}', "");
Error('\p{Nv=0.11}');
Error('\P{Nv=0.11}');
Expect(1, 8529, '\p{Nv=0.111}', "");
Expect(0, 8529, '\p{^Nv=0.111}', "");
Expect(0, 8529, '\P{Nv=0.111}', "");
Expect(1, 8529, '\P{^Nv=0.111}', "");
Expect(0, 8530, '\p{Nv=0.111}', "");
Expect(1, 8530, '\p{^Nv=0.111}', "");
Expect(1, 8530, '\P{Nv=0.111}', "");
Expect(0, 8530, '\P{^Nv=0.111}', "");
Error('\p{Is_Numeric_Value=/a/000000001/009}');
Error('\P{Is_Numeric_Value=/a/000000001/009}');
Expect(1, 8529, '\p{Is_Numeric_Value=00001/0000009}', "");
Expect(0, 8529, '\p{^Is_Numeric_Value=00001/0000009}', "");
Expect(0, 8529, '\P{Is_Numeric_Value=00001/0000009}', "");
Expect(1, 8529, '\P{^Is_Numeric_Value=00001/0000009}', "");
Expect(0, 8530, '\p{Is_Numeric_Value=00001/0000009}', "");
Expect(1, 8530, '\p{^Is_Numeric_Value=00001/0000009}', "");
Expect(1, 8530, '\P{Is_Numeric_Value=00001/0000009}', "");
Expect(0, 8530, '\P{^Is_Numeric_Value=00001/0000009}', "");
Error('\p{Is_Numeric_Value=0.11}');
Error('\P{Is_Numeric_Value=0.11}');
Expect(1, 8529, '\p{Is_Numeric_Value=0.111}', "");
Expect(0, 8529, '\p{^Is_Numeric_Value=0.111}', "");
Expect(0, 8529, '\P{Is_Numeric_Value=0.111}', "");
Expect(1, 8529, '\P{^Is_Numeric_Value=0.111}', "");
Expect(0, 8530, '\p{Is_Numeric_Value=0.111}', "");
Expect(1, 8530, '\p{^Is_Numeric_Value=0.111}', "");
Expect(1, 8530, '\P{Is_Numeric_Value=0.111}', "");
Expect(0, 8530, '\P{^Is_Numeric_Value=0.111}', "");
Error('\p{Is_Nv=	/a/000001/0000009}');
Error('\P{Is_Nv=	/a/000001/0000009}');
Expect(1, 8529, '\p{Is_Nv=1/09}', "");
Expect(0, 8529, '\p{^Is_Nv=1/09}', "");
Expect(0, 8529, '\P{Is_Nv=1/09}', "");
Expect(1, 8529, '\P{^Is_Nv=1/09}', "");
Expect(0, 8530, '\p{Is_Nv=1/09}', "");
Expect(1, 8530, '\p{^Is_Nv=1/09}', "");
Expect(1, 8530, '\P{Is_Nv=1/09}', "");
Expect(0, 8530, '\P{^Is_Nv=1/09}', "");
Error('\p{Is_Nv=0.11}');
Error('\P{Is_Nv=0.11}');
Expect(1, 8529, '\p{Is_Nv=0.111}', "");
Expect(0, 8529, '\p{^Is_Nv=0.111}', "");
Expect(0, 8529, '\P{Is_Nv=0.111}', "");
Expect(1, 8529, '\P{^Is_Nv=0.111}', "");
Expect(0, 8530, '\p{Is_Nv=0.111}', "");
Expect(1, 8530, '\p{^Is_Nv=0.111}', "");
Expect(1, 8530, '\P{Is_Nv=0.111}', "");
Expect(0, 8530, '\P{^Is_Nv=0.111}', "");
Error('\p{Numeric_Value:/a/--000010}');
Error('\P{Numeric_Value:/a/--000010}');
Expect(1, 119657, '\p{Numeric_Value=+000000010}', "");
Expect(0, 119657, '\p{^Numeric_Value=+000000010}', "");
Expect(0, 119657, '\P{Numeric_Value=+000000010}', "");
Expect(1, 119657, '\P{^Numeric_Value=+000000010}', "");
Expect(0, 119658, '\p{Numeric_Value=+000000010}', "");
Expect(1, 119658, '\p{^Numeric_Value=+000000010}', "");
Expect(1, 119658, '\P{Numeric_Value=+000000010}', "");
Expect(0, 119658, '\P{^Numeric_Value=+000000010}', "");
Error('\p{Nv=:= _0_0_0_0_0_10}');
Error('\P{Nv=:= _0_0_0_0_0_10}');
Expect(1, 119657, '\p{Nv=0000000010}', "");
Expect(0, 119657, '\p{^Nv=0000000010}', "");
Expect(0, 119657, '\P{Nv=0000000010}', "");
Expect(1, 119657, '\P{^Nv=0000000010}', "");
Expect(0, 119658, '\p{Nv=0000000010}', "");
Expect(1, 119658, '\p{^Nv=0000000010}', "");
Expect(1, 119658, '\P{Nv=0000000010}', "");
Expect(0, 119658, '\P{^Nv=0000000010}', "");
Error('\p{Is_Numeric_Value=/a/	+00001_0}');
Error('\P{Is_Numeric_Value=/a/	+00001_0}');
Expect(1, 119657, '\p{Is_Numeric_Value=0_0_0_10}', "");
Expect(0, 119657, '\p{^Is_Numeric_Value=0_0_0_10}', "");
Expect(0, 119657, '\P{Is_Numeric_Value=0_0_0_10}', "");
Expect(1, 119657, '\P{^Is_Numeric_Value=0_0_0_10}', "");
Expect(0, 119658, '\p{Is_Numeric_Value=0_0_0_10}', "");
Expect(1, 119658, '\p{^Is_Numeric_Value=0_0_0_10}', "");
Expect(1, 119658, '\P{Is_Numeric_Value=0_0_0_10}', "");
Expect(0, 119658, '\P{^Is_Numeric_Value=0_0_0_10}', "");
Error('\p{Is_Nv=/a/	-+1_0}');
Error('\P{Is_Nv=/a/	-+1_0}');
Expect(1, 119657, '\p{Is_Nv=0000010}', "");
Expect(0, 119657, '\p{^Is_Nv=0000010}', "");
Expect(0, 119657, '\P{Is_Nv=0000010}', "");
Expect(1, 119657, '\P{^Is_Nv=0000010}', "");
Expect(0, 119658, '\p{Is_Nv=0000010}', "");
Expect(1, 119658, '\p{^Is_Nv=0000010}', "");
Expect(1, 119658, '\P{Is_Nv=0000010}', "");
Expect(0, 119658, '\P{^Is_Nv=0000010}', "");
Error('\p{Numeric_Value= :=+10_0}');
Error('\P{Numeric_Value= :=+10_0}');
Expect(1, 93020, '\p{Numeric_Value:0_0_1_00}', "");
Expect(0, 93020, '\p{^Numeric_Value:0_0_1_00}', "");
Expect(0, 93020, '\P{Numeric_Value:0_0_1_00}', "");
Expect(1, 93020, '\P{^Numeric_Value:0_0_1_00}', "");
Expect(0, 93021, '\p{Numeric_Value:0_0_1_00}', "");
Expect(1, 93021, '\p{^Numeric_Value:0_0_1_00}', "");
Expect(1, 93021, '\P{Numeric_Value:0_0_1_00}', "");
Expect(0, 93021, '\P{^Numeric_Value:0_0_1_00}', "");
Error('\p{Nv=-/a/+0_0_1_00}');
Error('\P{Nv=-/a/+0_0_1_00}');
Expect(1, 93020, '\p{Nv=0_0_0_1_00}', "");
Expect(0, 93020, '\p{^Nv=0_0_0_1_00}', "");
Expect(0, 93020, '\P{Nv=0_0_0_1_00}', "");
Expect(1, 93020, '\P{^Nv=0_0_0_1_00}', "");
Expect(0, 93021, '\p{Nv=0_0_0_1_00}', "");
Expect(1, 93021, '\p{^Nv=0_0_0_1_00}', "");
Expect(1, 93021, '\P{Nv=0_0_0_1_00}', "");
Expect(0, 93021, '\P{^Nv=0_0_0_1_00}', "");
Error('\p{Is_Numeric_Value=	+0_0_0_0_0_0_0_0_0100/a/}');
Error('\P{Is_Numeric_Value=	+0_0_0_0_0_0_0_0_0100/a/}');
Expect(1, 93020, '\p{Is_Numeric_Value=+00_00_10_0}', "");
Expect(0, 93020, '\p{^Is_Numeric_Value=+00_00_10_0}', "");
Expect(0, 93020, '\P{Is_Numeric_Value=+00_00_10_0}', "");
Expect(1, 93020, '\P{^Is_Numeric_Value=+00_00_10_0}', "");
Expect(0, 93021, '\p{Is_Numeric_Value=+00_00_10_0}', "");
Expect(1, 93021, '\p{^Is_Numeric_Value=+00_00_10_0}', "");
Expect(1, 93021, '\P{Is_Numeric_Value=+00_00_10_0}', "");
Expect(0, 93021, '\P{^Is_Numeric_Value=+00_00_10_0}', "");
Error('\p{Is_Nv=		+000_001_00:=}');
Error('\P{Is_Nv=		+000_001_00:=}');
Expect(1, 93020, '\p{Is_Nv=0_0_1_00}', "");
Expect(0, 93020, '\p{^Is_Nv=0_0_1_00}', "");
Expect(0, 93020, '\P{Is_Nv=0_0_1_00}', "");
Expect(1, 93020, '\P{^Is_Nv=0_0_1_00}', "");
Expect(0, 93021, '\p{Is_Nv=0_0_1_00}', "");
Expect(1, 93021, '\p{^Is_Nv=0_0_1_00}', "");
Expect(1, 93021, '\P{Is_Nv=0_0_1_00}', "");
Expect(0, 93021, '\P{^Is_Nv=0_0_1_00}', "");
Error('\p{Numeric_Value= /a/000_100_0}');
Error('\P{Numeric_Value= /a/000_100_0}');
Expect(1, 70132, '\p{Numeric_Value=+0001000}', "");
Expect(0, 70132, '\p{^Numeric_Value=+0001000}', "");
Expect(0, 70132, '\P{Numeric_Value=+0001000}', "");
Expect(1, 70132, '\P{^Numeric_Value=+0001000}', "");
Expect(0, 70133, '\p{Numeric_Value=+0001000}', "");
Expect(1, 70133, '\p{^Numeric_Value=+0001000}', "");
Expect(1, 70133, '\P{Numeric_Value=+0001000}', "");
Expect(0, 70133, '\P{^Numeric_Value=+0001000}', "");
Error('\p{Nv=-	0000000001000:=}');
Error('\P{Nv=-	0000000001000:=}');
Expect(1, 70132, '\p{Nv=00001000}', "");
Expect(0, 70132, '\p{^Nv=00001000}', "");
Expect(0, 70132, '\P{Nv=00001000}', "");
Expect(1, 70132, '\P{^Nv=00001000}', "");
Expect(0, 70133, '\p{Nv=00001000}', "");
Expect(1, 70133, '\p{^Nv=00001000}', "");
Expect(1, 70133, '\P{Nv=00001000}', "");
Expect(0, 70133, '\P{^Nv=00001000}', "");
Error('\p{Is_Numeric_Value=:=_0000001000}');
Error('\P{Is_Numeric_Value=:=_0000001000}');
Expect(1, 70132, '\p{Is_Numeric_Value=000001000}', "");
Expect(0, 70132, '\p{^Is_Numeric_Value=000001000}', "");
Expect(0, 70132, '\P{Is_Numeric_Value=000001000}', "");
Expect(1, 70132, '\P{^Is_Numeric_Value=000001000}', "");
Expect(0, 70133, '\p{Is_Numeric_Value=000001000}', "");
Expect(1, 70133, '\p{^Is_Numeric_Value=000001000}', "");
Expect(1, 70133, '\P{Is_Numeric_Value=000001000}', "");
Expect(0, 70133, '\P{^Is_Numeric_Value=000001000}', "");
Error('\p{Is_Nv=:=-	+00_01_00_0}');
Error('\P{Is_Nv=:=-	+00_01_00_0}');
Expect(1, 70132, '\p{Is_Nv=+01_00_0}', "");
Expect(0, 70132, '\p{^Is_Nv=+01_00_0}', "");
Expect(0, 70132, '\P{Is_Nv=+01_00_0}', "");
Expect(1, 70132, '\P{^Is_Nv=+01_00_0}', "");
Expect(0, 70133, '\p{Is_Nv=+01_00_0}', "");
Expect(1, 70133, '\p{^Is_Nv=+01_00_0}', "");
Expect(1, 70133, '\P{Is_Nv=+01_00_0}', "");
Expect(0, 70133, '\P{^Is_Nv=+01_00_0}', "");
Error('\p{Numeric_Value=-/a/010000}');
Error('\P{Numeric_Value=-/a/010000}');
Expect(1, 93021, '\p{Numeric_Value=+000000010000}', "");
Expect(0, 93021, '\p{^Numeric_Value=+000000010000}', "");
Expect(0, 93021, '\P{Numeric_Value=+000000010000}', "");
Expect(1, 93021, '\P{^Numeric_Value=+000000010000}', "");
Expect(0, 93022, '\p{Numeric_Value=+000000010000}', "");
Expect(1, 93022, '\p{^Numeric_Value=+000000010000}', "");
Expect(1, 93022, '\P{Numeric_Value=+000000010000}', "");
Expect(0, 93022, '\P{^Numeric_Value=+000000010000}', "");
Error('\p{Nv=	 000010000/a/}');
Error('\P{Nv=	 000010000/a/}');
Expect(1, 93021, '\p{Nv=10000}', "");
Expect(0, 93021, '\p{^Nv=10000}', "");
Expect(0, 93021, '\P{Nv=10000}', "");
Expect(1, 93021, '\P{^Nv=10000}', "");
Expect(0, 93022, '\p{Nv=10000}', "");
Expect(1, 93022, '\p{^Nv=10000}', "");
Expect(1, 93022, '\P{Nv=10000}', "");
Expect(0, 93022, '\P{^Nv=10000}', "");
Error('\p{Is_Numeric_Value:	-:=0000000001000_0}');
Error('\P{Is_Numeric_Value:	-:=0000000001000_0}');
Expect(1, 93021, '\p{Is_Numeric_Value=00000010000}', "");
Expect(0, 93021, '\p{^Is_Numeric_Value=00000010000}', "");
Expect(0, 93021, '\P{Is_Numeric_Value=00000010000}', "");
Expect(1, 93021, '\P{^Is_Numeric_Value=00000010000}', "");
Expect(0, 93022, '\p{Is_Numeric_Value=00000010000}', "");
Expect(1, 93022, '\p{^Is_Numeric_Value=00000010000}', "");
Expect(1, 93022, '\P{Is_Numeric_Value=00000010000}', "");
Expect(0, 93022, '\P{^Is_Numeric_Value=00000010000}', "");
Error('\p{Is_Nv::=_	+00000_01000_0}');
Error('\P{Is_Nv::=_	+00000_01000_0}');
Expect(1, 93021, '\p{Is_Nv:   +001000_0}', "");
Expect(0, 93021, '\p{^Is_Nv:   +001000_0}', "");
Expect(0, 93021, '\P{Is_Nv:   +001000_0}', "");
Expect(1, 93021, '\P{^Is_Nv:   +001000_0}', "");
Expect(0, 93022, '\p{Is_Nv:   +001000_0}', "");
Expect(1, 93022, '\p{^Is_Nv:   +001000_0}', "");
Expect(1, 93022, '\P{Is_Nv:   +001000_0}', "");
Expect(0, 93022, '\P{^Is_Nv:   +001000_0}', "");
Error('\p{Numeric_Value= -+100000:=}');
Error('\P{Numeric_Value= -+100000:=}');
Expect(1, 8584, '\p{Numeric_Value=0_0_1_0_0_0_00}', "");
Expect(0, 8584, '\p{^Numeric_Value=0_0_1_0_0_0_00}', "");
Expect(0, 8584, '\P{Numeric_Value=0_0_1_0_0_0_00}', "");
Expect(1, 8584, '\P{^Numeric_Value=0_0_1_0_0_0_00}', "");
Expect(0, 8585, '\p{Numeric_Value=0_0_1_0_0_0_00}', "");
Expect(1, 8585, '\p{^Numeric_Value=0_0_1_0_0_0_00}', "");
Expect(1, 8585, '\P{Numeric_Value=0_0_1_0_0_0_00}', "");
Expect(0, 8585, '\P{^Numeric_Value=0_0_1_0_0_0_00}', "");
Error('\p{Nv=:=_00000_10000_0}');
Error('\P{Nv=:=_00000_10000_0}');
Expect(1, 8584, '\p{Nv=00100000}', "");
Expect(0, 8584, '\p{^Nv=00100000}', "");
Expect(0, 8584, '\P{Nv=00100000}', "");
Expect(1, 8584, '\P{^Nv=00100000}', "");
Expect(0, 8585, '\p{Nv=00100000}', "");
Expect(1, 8585, '\p{^Nv=00100000}', "");
Expect(1, 8585, '\P{Nv=00100000}', "");
Expect(0, 8585, '\P{^Nv=00100000}', "");
Error('\p{Is_Numeric_Value=__+000000000100000:=}');
Error('\P{Is_Numeric_Value=__+000000000100000:=}');
Expect(1, 8584, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_0_1_0_0000}', "");
Expect(0, 8584, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_0_1_0_0000}', "");
Expect(0, 8584, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_0_1_0_0000}', "");
Expect(1, 8584, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_0_1_0_0000}', "");
Expect(0, 8585, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_0_1_0_0000}', "");
Expect(1, 8585, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_0_1_0_0000}', "");
Expect(1, 8585, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_0_1_0_0000}', "");
Expect(0, 8585, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_0_1_0_0000}', "");
Error('\p{Is_Nv=_-0000100000/a/}');
Error('\P{Is_Nv=_-0000100000/a/}');
Expect(1, 8584, '\p{Is_Nv=0_0_0_1_0_0_0_00}', "");
Expect(0, 8584, '\p{^Is_Nv=0_0_0_1_0_0_0_00}', "");
Expect(0, 8584, '\P{Is_Nv=0_0_0_1_0_0_0_00}', "");
Expect(1, 8584, '\P{^Is_Nv=0_0_0_1_0_0_0_00}', "");
Expect(0, 8585, '\p{Is_Nv=0_0_0_1_0_0_0_00}', "");
Expect(1, 8585, '\p{^Is_Nv=0_0_0_1_0_0_0_00}', "");
Expect(1, 8585, '\P{Is_Nv=0_0_0_1_0_0_0_00}', "");
Expect(0, 8585, '\P{^Is_Nv=0_0_0_1_0_0_0_00}', "");
Error('\p{Numeric_Value=-/a/00000000100000_0}');
Error('\P{Numeric_Value=-/a/00000000100000_0}');
Expect(1, 93022, '\p{Numeric_Value=000000001000000}', "");
Expect(0, 93022, '\p{^Numeric_Value=000000001000000}', "");
Expect(0, 93022, '\P{Numeric_Value=000000001000000}', "");
Expect(1, 93022, '\P{^Numeric_Value=000000001000000}', "");
Expect(0, 93023, '\p{Numeric_Value=000000001000000}', "");
Expect(1, 93023, '\p{^Numeric_Value=000000001000000}', "");
Expect(1, 93023, '\P{Numeric_Value=000000001000000}', "");
Expect(0, 93023, '\P{^Numeric_Value=000000001000000}', "");
Error('\p{Nv= /a/+0_1_0_0_0_0_00}');
Error('\P{Nv= /a/+0_1_0_0_0_0_00}');
Expect(1, 93022, '\p{Nv=000001000000}', "");
Expect(0, 93022, '\p{^Nv=000001000000}', "");
Expect(0, 93022, '\P{Nv=000001000000}', "");
Expect(1, 93022, '\P{^Nv=000001000000}', "");
Expect(0, 93023, '\p{Nv=000001000000}', "");
Expect(1, 93023, '\p{^Nv=000001000000}', "");
Expect(1, 93023, '\P{Nv=000001000000}', "");
Expect(0, 93023, '\P{^Nv=000001000000}', "");
Error('\p{Is_Numeric_Value=-/a/+100000_0}');
Error('\P{Is_Numeric_Value=-/a/+100000_0}');
Expect(1, 93022, '\p{Is_Numeric_Value=00001000000}', "");
Expect(0, 93022, '\p{^Is_Numeric_Value=00001000000}', "");
Expect(0, 93022, '\P{Is_Numeric_Value=00001000000}', "");
Expect(1, 93022, '\P{^Is_Numeric_Value=00001000000}', "");
Expect(0, 93023, '\p{Is_Numeric_Value=00001000000}', "");
Expect(1, 93023, '\p{^Is_Numeric_Value=00001000000}', "");
Expect(1, 93023, '\P{Is_Numeric_Value=00001000000}', "");
Expect(0, 93023, '\P{^Is_Numeric_Value=00001000000}', "");
Error('\p{Is_Nv=/a/	_0_0_0_1_0_00000}');
Error('\P{Is_Nv=/a/	_0_0_0_1_0_00000}');
Expect(1, 93022, '\p{Is_Nv=+0_0_0_0_1_0_00000}', "");
Expect(0, 93022, '\p{^Is_Nv=+0_0_0_0_1_0_00000}', "");
Expect(0, 93022, '\P{Is_Nv=+0_0_0_0_1_0_00000}', "");
Expect(1, 93022, '\P{^Is_Nv=+0_0_0_0_1_0_00000}', "");
Expect(0, 93023, '\p{Is_Nv=+0_0_0_0_1_0_00000}', "");
Expect(1, 93023, '\p{^Is_Nv=+0_0_0_0_1_0_00000}', "");
Expect(1, 93023, '\P{Is_Nv=+0_0_0_0_1_0_00000}', "");
Expect(0, 93023, '\P{^Is_Nv=+0_0_0_0_1_0_00000}', "");
Error('\p{Numeric_Value=-	000100000000:=}');
Error('\P{Numeric_Value=-	000100000000:=}');
Expect(1, 93023, '\p{Numeric_Value=0000000100000000}', "");
Expect(0, 93023, '\p{^Numeric_Value=0000000100000000}', "");
Expect(0, 93023, '\P{Numeric_Value=0000000100000000}', "");
Expect(1, 93023, '\P{^Numeric_Value=0000000100000000}', "");
Expect(0, 93024, '\p{Numeric_Value=0000000100000000}', "");
Expect(1, 93024, '\p{^Numeric_Value=0000000100000000}', "");
Expect(1, 93024, '\P{Numeric_Value=0000000100000000}', "");
Expect(0, 93024, '\P{^Numeric_Value=0000000100000000}', "");
Error('\p{Nv=/a/	0100000000}');
Error('\P{Nv=/a/	0100000000}');
Expect(1, 93023, '\p{Nv:00_10_00_00_00_0}', "");
Expect(0, 93023, '\p{^Nv:00_10_00_00_00_0}', "");
Expect(0, 93023, '\P{Nv:00_10_00_00_00_0}', "");
Expect(1, 93023, '\P{^Nv:00_10_00_00_00_0}', "");
Expect(0, 93024, '\p{Nv:00_10_00_00_00_0}', "");
Expect(1, 93024, '\p{^Nv:00_10_00_00_00_0}', "");
Expect(1, 93024, '\P{Nv:00_10_00_00_00_0}', "");
Expect(0, 93024, '\P{^Nv:00_10_00_00_00_0}', "");
Error('\p{Is_Numeric_Value=-:=0000100000000}');
Error('\P{Is_Numeric_Value=-:=0000100000000}');
Expect(1, 93023, '\p{Is_Numeric_Value=00_00_01_00_00_0000}', "");
Expect(0, 93023, '\p{^Is_Numeric_Value=00_00_01_00_00_0000}', "");
Expect(0, 93023, '\P{Is_Numeric_Value=00_00_01_00_00_0000}', "");
Expect(1, 93023, '\P{^Is_Numeric_Value=00_00_01_00_00_0000}', "");
Expect(0, 93024, '\p{Is_Numeric_Value=00_00_01_00_00_0000}', "");
Expect(1, 93024, '\p{^Is_Numeric_Value=00_00_01_00_00_0000}', "");
Expect(1, 93024, '\P{Is_Numeric_Value=00_00_01_00_00_0000}', "");
Expect(0, 93024, '\P{^Is_Numeric_Value=00_00_01_00_00_0000}', "");
Error('\p{Is_Nv=--0_0_0_0_1_0_0_0_0_0_0_00/a/}');
Error('\P{Is_Nv=--0_0_0_0_1_0_0_0_0_0_0_00/a/}');
Expect(1, 93023, '\p{Is_Nv=+00000000100000000}', "");
Expect(0, 93023, '\p{^Is_Nv=+00000000100000000}', "");
Expect(0, 93023, '\P{Is_Nv=+00000000100000000}', "");
Expect(1, 93023, '\P{^Is_Nv=+00000000100000000}', "");
Expect(0, 93024, '\p{Is_Nv=+00000000100000000}', "");
Expect(1, 93024, '\p{^Is_Nv=+00000000100000000}', "");
Expect(1, 93024, '\P{Is_Nv=+00000000100000000}', "");
Expect(0, 93024, '\P{^Is_Nv=+00000000100000000}', "");
Error('\p{Numeric_Value=/a/  +00000000010000000000}');
Error('\P{Numeric_Value=/a/  +00000000010000000000}');
Expect(1, 93024, '\p{Numeric_Value=0010000000000}', "");
Expect(0, 93024, '\p{^Numeric_Value=0010000000000}', "");
Expect(0, 93024, '\P{Numeric_Value=0010000000000}', "");
Expect(1, 93024, '\P{^Numeric_Value=0010000000000}', "");
Expect(0, 93025, '\p{Numeric_Value=0010000000000}', "");
Expect(1, 93025, '\p{^Numeric_Value=0010000000000}', "");
Expect(1, 93025, '\P{Numeric_Value=0010000000000}', "");
Expect(0, 93025, '\P{^Numeric_Value=0010000000000}', "");
Error('\p{Nv=-:=+0000000010000000000}');
Error('\P{Nv=-:=+0000000010000000000}');
Expect(1, 93024, '\p{Nv=00_00_01_00_00_00_0000}', "");
Expect(0, 93024, '\p{^Nv=00_00_01_00_00_00_0000}', "");
Expect(0, 93024, '\P{Nv=00_00_01_00_00_00_0000}', "");
Expect(1, 93024, '\P{^Nv=00_00_01_00_00_00_0000}', "");
Expect(0, 93025, '\p{Nv=00_00_01_00_00_00_0000}', "");
Expect(1, 93025, '\p{^Nv=00_00_01_00_00_00_0000}', "");
Expect(1, 93025, '\P{Nv=00_00_01_00_00_00_0000}', "");
Expect(0, 93025, '\P{^Nv=00_00_01_00_00_00_0000}', "");
Error('\p{Is_Numeric_Value=	:=00_00_00_01_00_00_000000}');
Error('\P{Is_Numeric_Value=	:=00_00_00_01_00_00_000000}');
Expect(1, 93024, '\p{Is_Numeric_Value=000010000000000}', "");
Expect(0, 93024, '\p{^Is_Numeric_Value=000010000000000}', "");
Expect(0, 93024, '\P{Is_Numeric_Value=000010000000000}', "");
Expect(1, 93024, '\P{^Is_Numeric_Value=000010000000000}', "");
Expect(0, 93025, '\p{Is_Numeric_Value=000010000000000}', "");
Expect(1, 93025, '\p{^Is_Numeric_Value=000010000000000}', "");
Expect(1, 93025, '\P{Is_Numeric_Value=000010000000000}', "");
Expect(0, 93025, '\P{^Is_Numeric_Value=000010000000000}', "");
Error('\p{Is_Nv=-_10000000000/a/}');
Error('\P{Is_Nv=-_10000000000/a/}');
Expect(1, 93024, '\p{Is_Nv=+0000000010000000000}', "");
Expect(0, 93024, '\p{^Is_Nv=+0000000010000000000}', "");
Expect(0, 93024, '\P{Is_Nv=+0000000010000000000}', "");
Expect(1, 93024, '\P{^Is_Nv=+0000000010000000000}', "");
Expect(0, 93025, '\p{Is_Nv=+0000000010000000000}', "");
Expect(1, 93025, '\p{^Is_Nv=+0000000010000000000}', "");
Expect(1, 93025, '\P{Is_Nv=+0000000010000000000}', "");
Expect(0, 93025, '\P{^Is_Nv=+0000000010000000000}', "");
Error('\p{Numeric_Value=:=- 0_0_0_0_0_0_1_0_0_0_000000000}');
Error('\P{Numeric_Value=:=- 0_0_0_0_0_0_1_0_0_0_000000000}');
Expect(1, 93025, '\p{Numeric_Value=01000000000000}', "");
Expect(0, 93025, '\p{^Numeric_Value=01000000000000}', "");
Expect(0, 93025, '\P{Numeric_Value=01000000000000}', "");
Expect(1, 93025, '\P{^Numeric_Value=01000000000000}', "");
Expect(0, 93026, '\p{Numeric_Value=01000000000000}', "");
Expect(1, 93026, '\p{^Numeric_Value=01000000000000}', "");
Expect(1, 93026, '\P{Numeric_Value=01000000000000}', "");
Expect(0, 93026, '\P{^Numeric_Value=01000000000000}', "");
Error('\p{Nv=	0_0_0_0_0_0_0_0_0_1_0_0_0_0_0_0_0_0_0_000:=}');
Error('\P{Nv=	0_0_0_0_0_0_0_0_0_1_0_0_0_0_0_0_0_0_0_000:=}');
Expect(1, 93025, '\p{Nv=1000000000000}', "");
Expect(0, 93025, '\p{^Nv=1000000000000}', "");
Expect(0, 93025, '\P{Nv=1000000000000}', "");
Expect(1, 93025, '\P{^Nv=1000000000000}', "");
Expect(0, 93026, '\p{Nv=1000000000000}', "");
Expect(1, 93026, '\p{^Nv=1000000000000}', "");
Expect(1, 93026, '\P{Nv=1000000000000}', "");
Expect(0, 93026, '\P{^Nv=1000000000000}', "");
Error('\p{Is_Numeric_Value=/a/	+01000000000000}');
Error('\P{Is_Numeric_Value=/a/	+01000000000000}');
Expect(1, 93025, '\p{Is_Numeric_Value=001000000000000}', "");
Expect(0, 93025, '\p{^Is_Numeric_Value=001000000000000}', "");
Expect(0, 93025, '\P{Is_Numeric_Value=001000000000000}', "");
Expect(1, 93025, '\P{^Is_Numeric_Value=001000000000000}', "");
Expect(0, 93026, '\p{Is_Numeric_Value=001000000000000}', "");
Expect(1, 93026, '\p{^Is_Numeric_Value=001000000000000}', "");
Expect(1, 93026, '\P{Is_Numeric_Value=001000000000000}', "");
Expect(0, 93026, '\P{^Is_Numeric_Value=001000000000000}', "");
Error('\p{Is_Nv=	/a/+00_10_00_00_00_00000}');
Error('\P{Is_Nv=	/a/+00_10_00_00_00_00000}');
Expect(1, 93025, '\p{Is_Nv=00001000000000000}', "");
Expect(0, 93025, '\p{^Is_Nv=00001000000000000}', "");
Expect(0, 93025, '\P{Is_Nv=00001000000000000}', "");
Expect(1, 93025, '\P{^Is_Nv=00001000000000000}', "");
Expect(0, 93026, '\p{Is_Nv=00001000000000000}', "");
Expect(1, 93026, '\p{^Is_Nv=00001000000000000}', "");
Expect(1, 93026, '\P{Is_Nv=00001000000000000}', "");
Expect(0, 93026, '\P{^Is_Nv=00001000000000000}', "");
Error('\p{Numeric_Value=/a/ 	00_01_1}');
Error('\P{Numeric_Value=/a/ 	00_01_1}');
Expect(1, 9451, '\p{Numeric_Value=1_1}', "");
Expect(0, 9451, '\p{^Numeric_Value=1_1}', "");
Expect(0, 9451, '\P{Numeric_Value=1_1}', "");
Expect(1, 9451, '\P{^Numeric_Value=1_1}', "");
Expect(0, 9452, '\p{Numeric_Value=1_1}', "");
Expect(1, 9452, '\p{^Numeric_Value=1_1}', "");
Expect(1, 9452, '\P{Numeric_Value=1_1}', "");
Expect(0, 9452, '\P{^Numeric_Value=1_1}', "");
Error('\p{Nv=--0_0_0_0_0_0_0_11/a/}');
Error('\P{Nv=--0_0_0_0_0_0_0_11/a/}');
Expect(1, 9451, '\p{Nv=011}', "");
Expect(0, 9451, '\p{^Nv=011}', "");
Expect(0, 9451, '\P{Nv=011}', "");
Expect(1, 9451, '\P{^Nv=011}', "");
Expect(0, 9452, '\p{Nv=011}', "");
Expect(1, 9452, '\p{^Nv=011}', "");
Expect(1, 9452, '\P{Nv=011}', "");
Expect(0, 9452, '\P{^Nv=011}', "");
Error('\p{Is_Numeric_Value=:=	0011}');
Error('\P{Is_Numeric_Value=:=	0011}');
Expect(1, 9451, '\p{Is_Numeric_Value=0011}', "");
Expect(0, 9451, '\p{^Is_Numeric_Value=0011}', "");
Expect(0, 9451, '\P{Is_Numeric_Value=0011}', "");
Expect(1, 9451, '\P{^Is_Numeric_Value=0011}', "");
Expect(0, 9452, '\p{Is_Numeric_Value=0011}', "");
Expect(1, 9452, '\p{^Is_Numeric_Value=0011}', "");
Expect(1, 9452, '\P{Is_Numeric_Value=0011}', "");
Expect(0, 9452, '\P{^Is_Numeric_Value=0011}', "");
Error('\p{Is_Nv=_/a/000011}');
Error('\P{Is_Nv=_/a/000011}');
Expect(1, 9451, '\p{Is_Nv=+11}', "");
Expect(0, 9451, '\p{^Is_Nv=+11}', "");
Expect(0, 9451, '\P{Is_Nv=+11}', "");
Expect(1, 9451, '\P{^Is_Nv=+11}', "");
Expect(0, 9452, '\p{Is_Nv=+11}', "");
Expect(1, 9452, '\p{^Is_Nv=+11}', "");
Expect(1, 9452, '\P{Is_Nv=+11}', "");
Expect(0, 9452, '\P{^Is_Nv=+11}', "");
Error('\p{Numeric_Value=/a/00011/0000000002}');
Error('\P{Numeric_Value=/a/00011/0000000002}');
Expect(1, 3887, '\p{Numeric_Value=+0000011/0000002}', "");
Expect(0, 3887, '\p{^Numeric_Value=+0000011/0000002}', "");
Expect(0, 3887, '\P{Numeric_Value=+0000011/0000002}', "");
Expect(1, 3887, '\P{^Numeric_Value=+0000011/0000002}', "");
Expect(0, 3888, '\p{Numeric_Value=+0000011/0000002}', "");
Expect(1, 3888, '\p{^Numeric_Value=+0000011/0000002}', "");
Expect(1, 3888, '\P{Numeric_Value=+0000011/0000002}', "");
Expect(0, 3888, '\P{^Numeric_Value=+0000011/0000002}', "");
Expect(1, 3887, '\p{Numeric_Value=5.500}', "");
Expect(0, 3887, '\p{^Numeric_Value=5.500}', "");
Expect(0, 3887, '\P{Numeric_Value=5.500}', "");
Expect(1, 3887, '\P{^Numeric_Value=5.500}', "");
Expect(0, 3888, '\p{Numeric_Value=5.500}', "");
Expect(1, 3888, '\p{^Numeric_Value=5.500}', "");
Expect(1, 3888, '\P{Numeric_Value=5.500}', "");
Expect(0, 3888, '\P{^Numeric_Value=5.500}', "");
Error('\p{Nv:   	/a/00000011/00002}');
Error('\P{Nv:   	/a/00000011/00002}');
Expect(1, 3887, '\p{Nv:   0000011/0002}', "");
Expect(0, 3887, '\p{^Nv:   0000011/0002}', "");
Expect(0, 3887, '\P{Nv:   0000011/0002}', "");
Expect(1, 3887, '\P{^Nv:   0000011/0002}', "");
Expect(0, 3888, '\p{Nv:   0000011/0002}', "");
Expect(1, 3888, '\p{^Nv:   0000011/0002}', "");
Expect(1, 3888, '\P{Nv:   0000011/0002}', "");
Expect(0, 3888, '\P{^Nv:   0000011/0002}', "");
Expect(1, 3887, '\p{Nv=5.500}', "");
Expect(0, 3887, '\p{^Nv=5.500}', "");
Expect(0, 3887, '\P{Nv=5.500}', "");
Expect(1, 3887, '\P{^Nv=5.500}', "");
Expect(0, 3888, '\p{Nv=5.500}', "");
Expect(1, 3888, '\p{^Nv=5.500}', "");
Expect(1, 3888, '\P{Nv=5.500}', "");
Expect(0, 3888, '\P{^Nv=5.500}', "");
Error('\p{Is_Numeric_Value=:=-_00011/00000002}');
Error('\P{Is_Numeric_Value=:=-_00011/00000002}');
Expect(1, 3887, '\p{Is_Numeric_Value=0000011/02}', "");
Expect(0, 3887, '\p{^Is_Numeric_Value=0000011/02}', "");
Expect(0, 3887, '\P{Is_Numeric_Value=0000011/02}', "");
Expect(1, 3887, '\P{^Is_Numeric_Value=0000011/02}', "");
Expect(0, 3888, '\p{Is_Numeric_Value=0000011/02}', "");
Expect(1, 3888, '\p{^Is_Numeric_Value=0000011/02}', "");
Expect(1, 3888, '\P{Is_Numeric_Value=0000011/02}', "");
Expect(0, 3888, '\P{^Is_Numeric_Value=0000011/02}', "");
Expect(1, 3887, '\p{Is_Numeric_Value=5.500}', "");
Expect(0, 3887, '\p{^Is_Numeric_Value=5.500}', "");
Expect(0, 3887, '\P{Is_Numeric_Value=5.500}', "");
Expect(1, 3887, '\P{^Is_Numeric_Value=5.500}', "");
Expect(0, 3888, '\p{Is_Numeric_Value=5.500}', "");
Expect(1, 3888, '\p{^Is_Numeric_Value=5.500}', "");
Expect(1, 3888, '\P{Is_Numeric_Value=5.500}', "");
Expect(0, 3888, '\P{^Is_Numeric_Value=5.500}', "");
Error('\p{Is_Nv=- 000000011/00000002:=}');
Error('\P{Is_Nv=- 000000011/00000002:=}');
Expect(1, 3887, '\p{Is_Nv=00000000011/002}', "");
Expect(0, 3887, '\p{^Is_Nv=00000000011/002}', "");
Expect(0, 3887, '\P{Is_Nv=00000000011/002}', "");
Expect(1, 3887, '\P{^Is_Nv=00000000011/002}', "");
Expect(0, 3888, '\p{Is_Nv=00000000011/002}', "");
Expect(1, 3888, '\p{^Is_Nv=00000000011/002}', "");
Expect(1, 3888, '\P{Is_Nv=00000000011/002}', "");
Expect(0, 3888, '\P{^Is_Nv=00000000011/002}', "");
Expect(1, 3887, '\p{Is_Nv=5.500}', "");
Expect(0, 3887, '\p{^Is_Nv=5.500}', "");
Expect(0, 3887, '\P{Is_Nv=5.500}', "");
Expect(1, 3887, '\P{^Is_Nv=5.500}', "");
Expect(0, 3888, '\p{Is_Nv=5.500}', "");
Expect(1, 3888, '\p{^Is_Nv=5.500}', "");
Expect(1, 3888, '\P{Is_Nv=5.500}', "");
Expect(0, 3888, '\P{^Is_Nv=5.500}', "");
Error('\p{Numeric_Value=/a/-	+012}');
Error('\P{Numeric_Value=/a/-	+012}');
Expect(1, 9452, '\p{Numeric_Value=0_0_0_012}', "");
Expect(0, 9452, '\p{^Numeric_Value=0_0_0_012}', "");
Expect(0, 9452, '\P{Numeric_Value=0_0_0_012}', "");
Expect(1, 9452, '\P{^Numeric_Value=0_0_0_012}', "");
Expect(0, 9453, '\p{Numeric_Value=0_0_0_012}', "");
Expect(1, 9453, '\p{^Numeric_Value=0_0_0_012}', "");
Expect(1, 9453, '\P{Numeric_Value=0_0_0_012}', "");
Expect(0, 9453, '\P{^Numeric_Value=0_0_0_012}', "");
Error('\p{Nv:/a/		0000012}');
Error('\P{Nv:/a/		0000012}');
Expect(1, 9452, '\p{Nv=12}', "");
Expect(0, 9452, '\p{^Nv=12}', "");
Expect(0, 9452, '\P{Nv=12}', "");
Expect(1, 9452, '\P{^Nv=12}', "");
Expect(0, 9453, '\p{Nv=12}', "");
Expect(1, 9453, '\p{^Nv=12}', "");
Expect(1, 9453, '\P{Nv=12}', "");
Expect(0, 9453, '\P{^Nv=12}', "");
Error('\p{Is_Numeric_Value=	_+00012:=}');
Error('\P{Is_Numeric_Value=	_+00012:=}');
Expect(1, 9452, '\p{Is_Numeric_Value=+0_0_12}', "");
Expect(0, 9452, '\p{^Is_Numeric_Value=+0_0_12}', "");
Expect(0, 9452, '\P{Is_Numeric_Value=+0_0_12}', "");
Expect(1, 9452, '\P{^Is_Numeric_Value=+0_0_12}', "");
Expect(0, 9453, '\p{Is_Numeric_Value=+0_0_12}', "");
Expect(1, 9453, '\p{^Is_Numeric_Value=+0_0_12}', "");
Expect(1, 9453, '\P{Is_Numeric_Value=+0_0_12}', "");
Expect(0, 9453, '\P{^Is_Numeric_Value=+0_0_12}', "");
Error('\p{Is_Nv=--000012/a/}');
Error('\P{Is_Nv=--000012/a/}');
Expect(1, 9452, '\p{Is_Nv=1_2}', "");
Expect(0, 9452, '\p{^Is_Nv=1_2}', "");
Expect(0, 9452, '\P{Is_Nv=1_2}', "");
Expect(1, 9452, '\P{^Is_Nv=1_2}', "");
Expect(0, 9453, '\p{Is_Nv=1_2}', "");
Expect(1, 9453, '\p{^Is_Nv=1_2}', "");
Expect(1, 9453, '\P{Is_Nv=1_2}', "");
Expect(0, 9453, '\P{^Is_Nv=1_2}', "");
Error('\p{Numeric_Value=_/a/00013}');
Error('\P{Numeric_Value=_/a/00013}');
Expect(1, 9453, '\p{Numeric_Value=0_0_0_0_0_0013}', "");
Expect(0, 9453, '\p{^Numeric_Value=0_0_0_0_0_0013}', "");
Expect(0, 9453, '\P{Numeric_Value=0_0_0_0_0_0013}', "");
Expect(1, 9453, '\P{^Numeric_Value=0_0_0_0_0_0013}', "");
Expect(0, 9454, '\p{Numeric_Value=0_0_0_0_0_0013}', "");
Expect(1, 9454, '\p{^Numeric_Value=0_0_0_0_0_0013}', "");
Expect(1, 9454, '\P{Numeric_Value=0_0_0_0_0_0013}', "");
Expect(0, 9454, '\P{^Numeric_Value=0_0_0_0_0_0013}', "");
Error('\p{Nv=	:=0_0_0_0_013}');
Error('\P{Nv=	:=0_0_0_0_013}');
Expect(1, 9453, '\p{Nv=0_0_13}', "");
Expect(0, 9453, '\p{^Nv=0_0_13}', "");
Expect(0, 9453, '\P{Nv=0_0_13}', "");
Expect(1, 9453, '\P{^Nv=0_0_13}', "");
Expect(0, 9454, '\p{Nv=0_0_13}', "");
Expect(1, 9454, '\p{^Nv=0_0_13}', "");
Expect(1, 9454, '\P{Nv=0_0_13}', "");
Expect(0, 9454, '\P{^Nv=0_0_13}', "");
Error('\p{Is_Numeric_Value=	/a/000000001_3}');
Error('\P{Is_Numeric_Value=	/a/000000001_3}');
Expect(1, 9453, '\p{Is_Numeric_Value=+01_3}', "");
Expect(0, 9453, '\p{^Is_Numeric_Value=+01_3}', "");
Expect(0, 9453, '\P{Is_Numeric_Value=+01_3}', "");
Expect(1, 9453, '\P{^Is_Numeric_Value=+01_3}', "");
Expect(0, 9454, '\p{Is_Numeric_Value=+01_3}', "");
Expect(1, 9454, '\p{^Is_Numeric_Value=+01_3}', "");
Expect(1, 9454, '\P{Is_Numeric_Value=+01_3}', "");
Expect(0, 9454, '\P{^Is_Numeric_Value=+01_3}', "");
Error('\p{Is_Nv=:=		0001_3}');
Error('\P{Is_Nv=:=		0001_3}');
Expect(1, 9453, '\p{Is_Nv=01_3}', "");
Expect(0, 9453, '\p{^Is_Nv=01_3}', "");
Expect(0, 9453, '\P{Is_Nv=01_3}', "");
Expect(1, 9453, '\P{^Is_Nv=01_3}', "");
Expect(0, 9454, '\p{Is_Nv=01_3}', "");
Expect(1, 9454, '\p{^Is_Nv=01_3}', "");
Expect(1, 9454, '\P{Is_Nv=01_3}', "");
Expect(0, 9454, '\P{^Is_Nv=01_3}', "");
Error('\p{Numeric_Value:_/a/+00013/0000002}');
Error('\P{Numeric_Value:_/a/+00013/0000002}');
Expect(1, 3888, '\p{Numeric_Value=13/2}', "");
Expect(0, 3888, '\p{^Numeric_Value=13/2}', "");
Expect(0, 3888, '\P{Numeric_Value=13/2}', "");
Expect(1, 3888, '\P{^Numeric_Value=13/2}', "");
Expect(0, 3889, '\p{Numeric_Value=13/2}', "");
Expect(1, 3889, '\p{^Numeric_Value=13/2}', "");
Expect(1, 3889, '\P{Numeric_Value=13/2}', "");
Expect(0, 3889, '\P{^Numeric_Value=13/2}', "");
Expect(1, 3888, '\p{Numeric_Value=6.500}', "");
Expect(0, 3888, '\p{^Numeric_Value=6.500}', "");
Expect(0, 3888, '\P{Numeric_Value=6.500}', "");
Expect(1, 3888, '\P{^Numeric_Value=6.500}', "");
Expect(0, 3889, '\p{Numeric_Value=6.500}', "");
Expect(1, 3889, '\p{^Numeric_Value=6.500}', "");
Expect(1, 3889, '\P{Numeric_Value=6.500}', "");
Expect(0, 3889, '\P{^Numeric_Value=6.500}', "");
Error('\p{Nv= /a/13/02}');
Error('\P{Nv= /a/13/02}');
Expect(1, 3888, '\p{Nv=13/0000000002}', "");
Expect(0, 3888, '\p{^Nv=13/0000000002}', "");
Expect(0, 3888, '\P{Nv=13/0000000002}', "");
Expect(1, 3888, '\P{^Nv=13/0000000002}', "");
Expect(0, 3889, '\p{Nv=13/0000000002}', "");
Expect(1, 3889, '\p{^Nv=13/0000000002}', "");
Expect(1, 3889, '\P{Nv=13/0000000002}', "");
Expect(0, 3889, '\P{^Nv=13/0000000002}', "");
Expect(1, 3888, '\p{Nv=6.500}', "");
Expect(0, 3888, '\p{^Nv=6.500}', "");
Expect(0, 3888, '\P{Nv=6.500}', "");
Expect(1, 3888, '\P{^Nv=6.500}', "");
Expect(0, 3889, '\p{Nv=6.500}', "");
Expect(1, 3889, '\p{^Nv=6.500}', "");
Expect(1, 3889, '\P{Nv=6.500}', "");
Expect(0, 3889, '\P{^Nv=6.500}', "");
Error('\p{Is_Numeric_Value=	:=+13/002}');
Error('\P{Is_Numeric_Value=	:=+13/002}');
Expect(1, 3888, '\p{Is_Numeric_Value:00000000013/0000002}', "");
Expect(0, 3888, '\p{^Is_Numeric_Value:00000000013/0000002}', "");
Expect(0, 3888, '\P{Is_Numeric_Value:00000000013/0000002}', "");
Expect(1, 3888, '\P{^Is_Numeric_Value:00000000013/0000002}', "");
Expect(0, 3889, '\p{Is_Numeric_Value:00000000013/0000002}', "");
Expect(1, 3889, '\p{^Is_Numeric_Value:00000000013/0000002}', "");
Expect(1, 3889, '\P{Is_Numeric_Value:00000000013/0000002}', "");
Expect(0, 3889, '\P{^Is_Numeric_Value:00000000013/0000002}', "");
Expect(1, 3888, '\p{Is_Numeric_Value=6.500}', "");
Expect(0, 3888, '\p{^Is_Numeric_Value=6.500}', "");
Expect(0, 3888, '\P{Is_Numeric_Value=6.500}', "");
Expect(1, 3888, '\P{^Is_Numeric_Value=6.500}', "");
Expect(0, 3889, '\p{Is_Numeric_Value=6.500}', "");
Expect(1, 3889, '\p{^Is_Numeric_Value=6.500}', "");
Expect(1, 3889, '\P{Is_Numeric_Value=6.500}', "");
Expect(0, 3889, '\P{^Is_Numeric_Value=6.500}', "");
Error('\p{Is_Nv=/a/	_00013/000000002}');
Error('\P{Is_Nv=/a/	_00013/000000002}');
Expect(1, 3888, '\p{Is_Nv=000000013/002}', "");
Expect(0, 3888, '\p{^Is_Nv=000000013/002}', "");
Expect(0, 3888, '\P{Is_Nv=000000013/002}', "");
Expect(1, 3888, '\P{^Is_Nv=000000013/002}', "");
Expect(0, 3889, '\p{Is_Nv=000000013/002}', "");
Expect(1, 3889, '\p{^Is_Nv=000000013/002}', "");
Expect(1, 3889, '\P{Is_Nv=000000013/002}', "");
Expect(0, 3889, '\P{^Is_Nv=000000013/002}', "");
Expect(1, 3888, '\p{Is_Nv=6.500}', "");
Expect(0, 3888, '\p{^Is_Nv=6.500}', "");
Expect(0, 3888, '\P{Is_Nv=6.500}', "");
Expect(1, 3888, '\P{^Is_Nv=6.500}', "");
Expect(0, 3889, '\p{Is_Nv=6.500}', "");
Expect(1, 3889, '\p{^Is_Nv=6.500}', "");
Expect(1, 3889, '\P{Is_Nv=6.500}', "");
Expect(0, 3889, '\P{^Is_Nv=6.500}', "");
Error('\p{Numeric_Value=	:=+0000000014}');
Error('\P{Numeric_Value=	:=+0000000014}');
Expect(1, 9454, '\p{Numeric_Value=01_4}', "");
Expect(0, 9454, '\p{^Numeric_Value=01_4}', "");
Expect(0, 9454, '\P{Numeric_Value=01_4}', "");
Expect(1, 9454, '\P{^Numeric_Value=01_4}', "");
Expect(0, 9455, '\p{Numeric_Value=01_4}', "");
Expect(1, 9455, '\p{^Numeric_Value=01_4}', "");
Expect(1, 9455, '\P{Numeric_Value=01_4}', "");
Expect(0, 9455, '\P{^Numeric_Value=01_4}', "");
Error('\p{Nv=/a/_ 000000014}');
Error('\P{Nv=/a/_ 000000014}');
Expect(1, 9454, '\p{Nv=000000014}', "");
Expect(0, 9454, '\p{^Nv=000000014}', "");
Expect(0, 9454, '\P{Nv=000000014}', "");
Expect(1, 9454, '\P{^Nv=000000014}', "");
Expect(0, 9455, '\p{Nv=000000014}', "");
Expect(1, 9455, '\p{^Nv=000000014}', "");
Expect(1, 9455, '\P{Nv=000000014}', "");
Expect(0, 9455, '\P{^Nv=000000014}', "");
Error('\p{Is_Numeric_Value:   _+0014/a/}');
Error('\P{Is_Numeric_Value:   _+0014/a/}');
Expect(1, 9454, '\p{Is_Numeric_Value=0_0_0_0_0_14}', "");
Expect(0, 9454, '\p{^Is_Numeric_Value=0_0_0_0_0_14}', "");
Expect(0, 9454, '\P{Is_Numeric_Value=0_0_0_0_0_14}', "");
Expect(1, 9454, '\P{^Is_Numeric_Value=0_0_0_0_0_14}', "");
Expect(0, 9455, '\p{Is_Numeric_Value=0_0_0_0_0_14}', "");
Expect(1, 9455, '\p{^Is_Numeric_Value=0_0_0_0_0_14}', "");
Expect(1, 9455, '\P{Is_Numeric_Value=0_0_0_0_0_14}', "");
Expect(0, 9455, '\P{^Is_Numeric_Value=0_0_0_0_0_14}', "");
Error('\p{Is_Nv=:= 000001_4}');
Error('\P{Is_Nv=:= 000001_4}');
Expect(1, 9454, '\p{Is_Nv=0_0_14}', "");
Expect(0, 9454, '\p{^Is_Nv=0_0_14}', "");
Expect(0, 9454, '\P{Is_Nv=0_0_14}', "");
Expect(1, 9454, '\P{^Is_Nv=0_0_14}', "");
Expect(0, 9455, '\p{Is_Nv=0_0_14}', "");
Expect(1, 9455, '\p{^Is_Nv=0_0_14}', "");
Expect(1, 9455, '\P{Is_Nv=0_0_14}', "");
Expect(0, 9455, '\P{^Is_Nv=0_0_14}', "");
Error('\p{Numeric_Value=:= 000_000_15}');
Error('\P{Numeric_Value=:= 000_000_15}');
Expect(1, 9455, '\p{Numeric_Value=00_00_00_01_5}', "");
Expect(0, 9455, '\p{^Numeric_Value=00_00_00_01_5}', "");
Expect(0, 9455, '\P{Numeric_Value=00_00_00_01_5}', "");
Expect(1, 9455, '\P{^Numeric_Value=00_00_00_01_5}', "");
Expect(0, 9456, '\p{Numeric_Value=00_00_00_01_5}', "");
Expect(1, 9456, '\p{^Numeric_Value=00_00_00_01_5}', "");
Expect(1, 9456, '\P{Numeric_Value=00_00_00_01_5}', "");
Expect(0, 9456, '\P{^Numeric_Value=00_00_00_01_5}', "");
Error('\p{Nv=_:=+0000001_5}');
Error('\P{Nv=_:=+0000001_5}');
Expect(1, 9455, '\p{Nv=+000015}', "");
Expect(0, 9455, '\p{^Nv=+000015}', "");
Expect(0, 9455, '\P{Nv=+000015}', "");
Expect(1, 9455, '\P{^Nv=+000015}', "");
Expect(0, 9456, '\p{Nv=+000015}', "");
Expect(1, 9456, '\p{^Nv=+000015}', "");
Expect(1, 9456, '\P{Nv=+000015}', "");
Expect(0, 9456, '\P{^Nv=+000015}', "");
Error('\p{Is_Numeric_Value=-+00001_5:=}');
Error('\P{Is_Numeric_Value=-+00001_5:=}');
Expect(1, 9455, '\p{Is_Numeric_Value=+0000015}', "");
Expect(0, 9455, '\p{^Is_Numeric_Value=+0000015}', "");
Expect(0, 9455, '\P{Is_Numeric_Value=+0000015}', "");
Expect(1, 9455, '\P{^Is_Numeric_Value=+0000015}', "");
Expect(0, 9456, '\p{Is_Numeric_Value=+0000015}', "");
Expect(1, 9456, '\p{^Is_Numeric_Value=+0000015}', "");
Expect(1, 9456, '\P{Is_Numeric_Value=+0000015}', "");
Expect(0, 9456, '\P{^Is_Numeric_Value=+0000015}', "");
Error('\p{Is_Nv: :=_ +01_5}');
Error('\P{Is_Nv: :=_ +01_5}');
Expect(1, 9455, '\p{Is_Nv=+00_00_01_5}', "");
Expect(0, 9455, '\p{^Is_Nv=+00_00_01_5}', "");
Expect(0, 9455, '\P{Is_Nv=+00_00_01_5}', "");
Expect(1, 9455, '\P{^Is_Nv=+00_00_01_5}', "");
Expect(0, 9456, '\p{Is_Nv=+00_00_01_5}', "");
Expect(1, 9456, '\p{^Is_Nv=+00_00_01_5}', "");
Expect(1, 9456, '\P{Is_Nv=+00_00_01_5}', "");
Expect(0, 9456, '\P{^Is_Nv=+00_00_01_5}', "");
Error('\p{Numeric_Value=__0015/0000000002/a/}');
Error('\P{Numeric_Value=__0015/0000000002/a/}');
Expect(1, 3889, '\p{Numeric_Value=0015/2}', "");
Expect(0, 3889, '\p{^Numeric_Value=0015/2}', "");
Expect(0, 3889, '\P{Numeric_Value=0015/2}', "");
Expect(1, 3889, '\P{^Numeric_Value=0015/2}', "");
Expect(0, 3890, '\p{Numeric_Value=0015/2}', "");
Expect(1, 3890, '\p{^Numeric_Value=0015/2}', "");
Expect(1, 3890, '\P{Numeric_Value=0015/2}', "");
Expect(0, 3890, '\P{^Numeric_Value=0015/2}', "");
Expect(1, 3889, '\p{Numeric_Value: 7.500}', "");
Expect(0, 3889, '\p{^Numeric_Value: 7.500}', "");
Expect(0, 3889, '\P{Numeric_Value: 7.500}', "");
Expect(1, 3889, '\P{^Numeric_Value: 7.500}', "");
Expect(0, 3890, '\p{Numeric_Value: 7.500}', "");
Expect(1, 3890, '\p{^Numeric_Value: 7.500}', "");
Expect(1, 3890, '\P{Numeric_Value: 7.500}', "");
Expect(0, 3890, '\P{^Numeric_Value: 7.500}', "");
Error('\p{Nv:   	:=+000015/02}');
Error('\P{Nv:   	:=+000015/02}');
Expect(1, 3889, '\p{Nv=0015/02}', "");
Expect(0, 3889, '\p{^Nv=0015/02}', "");
Expect(0, 3889, '\P{Nv=0015/02}', "");
Expect(1, 3889, '\P{^Nv=0015/02}', "");
Expect(0, 3890, '\p{Nv=0015/02}', "");
Expect(1, 3890, '\p{^Nv=0015/02}', "");
Expect(1, 3890, '\P{Nv=0015/02}', "");
Expect(0, 3890, '\P{^Nv=0015/02}', "");
Expect(1, 3889, '\p{Nv=7.500}', "");
Expect(0, 3889, '\p{^Nv=7.500}', "");
Expect(0, 3889, '\P{Nv=7.500}', "");
Expect(1, 3889, '\P{^Nv=7.500}', "");
Expect(0, 3890, '\p{Nv=7.500}', "");
Expect(1, 3890, '\p{^Nv=7.500}', "");
Expect(1, 3890, '\P{Nv=7.500}', "");
Expect(0, 3890, '\P{^Nv=7.500}', "");
Error('\p{Is_Numeric_Value:   :=- +00015/2}');
Error('\P{Is_Numeric_Value:   :=- +00015/2}');
Expect(1, 3889, '\p{Is_Numeric_Value:15/0000002}', "");
Expect(0, 3889, '\p{^Is_Numeric_Value:15/0000002}', "");
Expect(0, 3889, '\P{Is_Numeric_Value:15/0000002}', "");
Expect(1, 3889, '\P{^Is_Numeric_Value:15/0000002}', "");
Expect(0, 3890, '\p{Is_Numeric_Value:15/0000002}', "");
Expect(1, 3890, '\p{^Is_Numeric_Value:15/0000002}', "");
Expect(1, 3890, '\P{Is_Numeric_Value:15/0000002}', "");
Expect(0, 3890, '\P{^Is_Numeric_Value:15/0000002}', "");
Expect(1, 3889, '\p{Is_Numeric_Value=7.500}', "");
Expect(0, 3889, '\p{^Is_Numeric_Value=7.500}', "");
Expect(0, 3889, '\P{Is_Numeric_Value=7.500}', "");
Expect(1, 3889, '\P{^Is_Numeric_Value=7.500}', "");
Expect(0, 3890, '\p{Is_Numeric_Value=7.500}', "");
Expect(1, 3890, '\p{^Is_Numeric_Value=7.500}', "");
Expect(1, 3890, '\P{Is_Numeric_Value=7.500}', "");
Expect(0, 3890, '\P{^Is_Numeric_Value=7.500}', "");
Error('\p{Is_Nv=	:=+00000015/0000000002}');
Error('\P{Is_Nv=	:=+00000015/0000000002}');
Expect(1, 3889, '\p{Is_Nv=015/2}', "");
Expect(0, 3889, '\p{^Is_Nv=015/2}', "");
Expect(0, 3889, '\P{Is_Nv=015/2}', "");
Expect(1, 3889, '\P{^Is_Nv=015/2}', "");
Expect(0, 3890, '\p{Is_Nv=015/2}', "");
Expect(1, 3890, '\p{^Is_Nv=015/2}', "");
Expect(1, 3890, '\P{Is_Nv=015/2}', "");
Expect(0, 3890, '\P{^Is_Nv=015/2}', "");
Expect(1, 3889, '\p{Is_Nv=7.500}', "");
Expect(0, 3889, '\p{^Is_Nv=7.500}', "");
Expect(0, 3889, '\P{Is_Nv=7.500}', "");
Expect(1, 3889, '\P{^Is_Nv=7.500}', "");
Expect(0, 3890, '\p{Is_Nv=7.500}', "");
Expect(1, 3890, '\p{^Is_Nv=7.500}', "");
Expect(1, 3890, '\P{Is_Nv=7.500}', "");
Expect(0, 3890, '\P{^Is_Nv=7.500}', "");
Error('\p{Numeric_Value=_000000016:=}');
Error('\P{Numeric_Value=_000000016:=}');
Expect(1, 9456, '\p{Numeric_Value=01_6}', "");
Expect(0, 9456, '\p{^Numeric_Value=01_6}', "");
Expect(0, 9456, '\P{Numeric_Value=01_6}', "");
Expect(1, 9456, '\P{^Numeric_Value=01_6}', "");
Expect(0, 9457, '\p{Numeric_Value=01_6}', "");
Expect(1, 9457, '\p{^Numeric_Value=01_6}', "");
Expect(1, 9457, '\P{Numeric_Value=01_6}', "");
Expect(0, 9457, '\P{^Numeric_Value=01_6}', "");
Error('\p{Nv= _000000016:=}');
Error('\P{Nv= _000000016:=}');
Expect(1, 9456, '\p{Nv=+0000001_6}', "");
Expect(0, 9456, '\p{^Nv=+0000001_6}', "");
Expect(0, 9456, '\P{Nv=+0000001_6}', "");
Expect(1, 9456, '\P{^Nv=+0000001_6}', "");
Expect(0, 9457, '\p{Nv=+0000001_6}', "");
Expect(1, 9457, '\p{^Nv=+0000001_6}', "");
Expect(1, 9457, '\P{Nv=+0000001_6}', "");
Expect(0, 9457, '\P{^Nv=+0000001_6}', "");
Error('\p{Is_Numeric_Value=/a/_01_6}');
Error('\P{Is_Numeric_Value=/a/_01_6}');
Expect(1, 9456, '\p{Is_Numeric_Value=0001_6}', "");
Expect(0, 9456, '\p{^Is_Numeric_Value=0001_6}', "");
Expect(0, 9456, '\P{Is_Numeric_Value=0001_6}', "");
Expect(1, 9456, '\P{^Is_Numeric_Value=0001_6}', "");
Expect(0, 9457, '\p{Is_Numeric_Value=0001_6}', "");
Expect(1, 9457, '\p{^Is_Numeric_Value=0001_6}', "");
Expect(1, 9457, '\P{Is_Numeric_Value=0001_6}', "");
Expect(0, 9457, '\P{^Is_Numeric_Value=0001_6}', "");
Error('\p{Is_Nv= :=+1_6}');
Error('\P{Is_Nv= :=+1_6}');
Expect(1, 9456, '\p{Is_Nv=+016}', "");
Expect(0, 9456, '\p{^Is_Nv=+016}', "");
Expect(0, 9456, '\P{Is_Nv=+016}', "");
Expect(1, 9456, '\P{^Is_Nv=+016}', "");
Expect(0, 9457, '\p{Is_Nv=+016}', "");
Expect(1, 9457, '\p{^Is_Nv=+016}', "");
Expect(1, 9457, '\P{Is_Nv=+016}', "");
Expect(0, 9457, '\P{^Is_Nv=+016}', "");
Error('\p{Numeric_Value=_:=00017}');
Error('\P{Numeric_Value=_:=00017}');
Expect(1, 9457, '\p{Numeric_Value=0_0_0_0_017}', "");
Expect(0, 9457, '\p{^Numeric_Value=0_0_0_0_017}', "");
Expect(0, 9457, '\P{Numeric_Value=0_0_0_0_017}', "");
Expect(1, 9457, '\P{^Numeric_Value=0_0_0_0_017}', "");
Expect(0, 9458, '\p{Numeric_Value=0_0_0_0_017}', "");
Expect(1, 9458, '\p{^Numeric_Value=0_0_0_0_017}', "");
Expect(1, 9458, '\P{Numeric_Value=0_0_0_0_017}', "");
Expect(0, 9458, '\P{^Numeric_Value=0_0_0_0_017}', "");
Error('\p{Nv:  -00017/a/}');
Error('\P{Nv:  -00017/a/}');
Expect(1, 9457, '\p{Nv=+000_000_17}', "");
Expect(0, 9457, '\p{^Nv=+000_000_17}', "");
Expect(0, 9457, '\P{Nv=+000_000_17}', "");
Expect(1, 9457, '\P{^Nv=+000_000_17}', "");
Expect(0, 9458, '\p{Nv=+000_000_17}', "");
Expect(1, 9458, '\p{^Nv=+000_000_17}', "");
Expect(1, 9458, '\P{Nv=+000_000_17}', "");
Expect(0, 9458, '\P{^Nv=+000_000_17}', "");
Error('\p{Is_Numeric_Value= 17/a/}');
Error('\P{Is_Numeric_Value= 17/a/}');
Expect(1, 9457, '\p{Is_Numeric_Value=+0000000017}', "");
Expect(0, 9457, '\p{^Is_Numeric_Value=+0000000017}', "");
Expect(0, 9457, '\P{Is_Numeric_Value=+0000000017}', "");
Expect(1, 9457, '\P{^Is_Numeric_Value=+0000000017}', "");
Expect(0, 9458, '\p{Is_Numeric_Value=+0000000017}', "");
Expect(1, 9458, '\p{^Is_Numeric_Value=+0000000017}', "");
Expect(1, 9458, '\P{Is_Numeric_Value=+0000000017}', "");
Expect(0, 9458, '\P{^Is_Numeric_Value=+0000000017}', "");
Error('\p{Is_Nv=-:=00_00_00_00_017}');
Error('\P{Is_Nv=-:=00_00_00_00_017}');
Expect(1, 9457, '\p{Is_Nv=00000000017}', "");
Expect(0, 9457, '\p{^Is_Nv=00000000017}', "");
Expect(0, 9457, '\P{Is_Nv=00000000017}', "");
Expect(1, 9457, '\P{^Is_Nv=00000000017}', "");
Expect(0, 9458, '\p{Is_Nv=00000000017}', "");
Expect(1, 9458, '\p{^Is_Nv=00000000017}', "");
Expect(1, 9458, '\P{Is_Nv=00000000017}', "");
Expect(0, 9458, '\P{^Is_Nv=00000000017}', "");
Error('\p{Numeric_Value=_/a/+000000017/00002}');
Error('\P{Numeric_Value=_/a/+000000017/00002}');
Expect(1, 3890, '\p{Numeric_Value=+0000017/002}', "");
Expect(0, 3890, '\p{^Numeric_Value=+0000017/002}', "");
Expect(0, 3890, '\P{Numeric_Value=+0000017/002}', "");
Expect(1, 3890, '\P{^Numeric_Value=+0000017/002}', "");
Expect(0, 3891, '\p{Numeric_Value=+0000017/002}', "");
Expect(1, 3891, '\p{^Numeric_Value=+0000017/002}', "");
Expect(1, 3891, '\P{Numeric_Value=+0000017/002}', "");
Expect(0, 3891, '\P{^Numeric_Value=+0000017/002}', "");
Expect(1, 3890, '\p{Numeric_Value=8.500}', "");
Expect(0, 3890, '\p{^Numeric_Value=8.500}', "");
Expect(0, 3890, '\P{Numeric_Value=8.500}', "");
Expect(1, 3890, '\P{^Numeric_Value=8.500}', "");
Expect(0, 3891, '\p{Numeric_Value=8.500}', "");
Expect(1, 3891, '\p{^Numeric_Value=8.500}', "");
Expect(1, 3891, '\P{Numeric_Value=8.500}', "");
Expect(0, 3891, '\P{^Numeric_Value=8.500}', "");
Error('\p{Nv=- 000017/002:=}');
Error('\P{Nv=- 000017/002:=}');
Expect(1, 3890, '\p{Nv=+0017/0002}', "");
Expect(0, 3890, '\p{^Nv=+0017/0002}', "");
Expect(0, 3890, '\P{Nv=+0017/0002}', "");
Expect(1, 3890, '\P{^Nv=+0017/0002}', "");
Expect(0, 3891, '\p{Nv=+0017/0002}', "");
Expect(1, 3891, '\p{^Nv=+0017/0002}', "");
Expect(1, 3891, '\P{Nv=+0017/0002}', "");
Expect(0, 3891, '\P{^Nv=+0017/0002}', "");
Expect(1, 3890, '\p{Nv: 8.500}', "");
Expect(0, 3890, '\p{^Nv: 8.500}', "");
Expect(0, 3890, '\P{Nv: 8.500}', "");
Expect(1, 3890, '\P{^Nv: 8.500}', "");
Expect(0, 3891, '\p{Nv: 8.500}', "");
Expect(1, 3891, '\p{^Nv: 8.500}', "");
Expect(1, 3891, '\P{Nv: 8.500}', "");
Expect(0, 3891, '\P{^Nv: 8.500}', "");
Error('\p{Is_Numeric_Value=:=+0000017/000000002}');
Error('\P{Is_Numeric_Value=:=+0000017/000000002}');
Expect(1, 3890, '\p{Is_Numeric_Value=017/00002}', "");
Expect(0, 3890, '\p{^Is_Numeric_Value=017/00002}', "");
Expect(0, 3890, '\P{Is_Numeric_Value=017/00002}', "");
Expect(1, 3890, '\P{^Is_Numeric_Value=017/00002}', "");
Expect(0, 3891, '\p{Is_Numeric_Value=017/00002}', "");
Expect(1, 3891, '\p{^Is_Numeric_Value=017/00002}', "");
Expect(1, 3891, '\P{Is_Numeric_Value=017/00002}', "");
Expect(0, 3891, '\P{^Is_Numeric_Value=017/00002}', "");
Expect(1, 3890, '\p{Is_Numeric_Value=8.500}', "");
Expect(0, 3890, '\p{^Is_Numeric_Value=8.500}', "");
Expect(0, 3890, '\P{Is_Numeric_Value=8.500}', "");
Expect(1, 3890, '\P{^Is_Numeric_Value=8.500}', "");
Expect(0, 3891, '\p{Is_Numeric_Value=8.500}', "");
Expect(1, 3891, '\p{^Is_Numeric_Value=8.500}', "");
Expect(1, 3891, '\P{Is_Numeric_Value=8.500}', "");
Expect(0, 3891, '\P{^Is_Numeric_Value=8.500}', "");
Error('\p{Is_Nv=:=	-000000017/000000002}');
Error('\P{Is_Nv=:=	-000000017/000000002}');
Expect(1, 3890, '\p{Is_Nv:17/0002}', "");
Expect(0, 3890, '\p{^Is_Nv:17/0002}', "");
Expect(0, 3890, '\P{Is_Nv:17/0002}', "");
Expect(1, 3890, '\P{^Is_Nv:17/0002}', "");
Expect(0, 3891, '\p{Is_Nv:17/0002}', "");
Expect(1, 3891, '\p{^Is_Nv:17/0002}', "");
Expect(1, 3891, '\P{Is_Nv:17/0002}', "");
Expect(0, 3891, '\P{^Is_Nv:17/0002}', "");
Expect(1, 3890, '\p{Is_Nv=8.500}', "");
Expect(0, 3890, '\p{^Is_Nv=8.500}', "");
Expect(0, 3890, '\P{Is_Nv=8.500}', "");
Expect(1, 3890, '\P{^Is_Nv=8.500}', "");
Expect(0, 3891, '\p{Is_Nv=8.500}', "");
Expect(1, 3891, '\p{^Is_Nv=8.500}', "");
Expect(1, 3891, '\P{Is_Nv=8.500}', "");
Expect(0, 3891, '\P{^Is_Nv=8.500}', "");
Error('\p{Numeric_Value=  00000018/a/}');
Error('\P{Numeric_Value=  00000018/a/}');
Expect(1, 9458, '\p{Numeric_Value=0_0_0_0_0_0_0_0_18}', "");
Expect(0, 9458, '\p{^Numeric_Value=0_0_0_0_0_0_0_0_18}', "");
Expect(0, 9458, '\P{Numeric_Value=0_0_0_0_0_0_0_0_18}', "");
Expect(1, 9458, '\P{^Numeric_Value=0_0_0_0_0_0_0_0_18}', "");
Expect(0, 9459, '\p{Numeric_Value=0_0_0_0_0_0_0_0_18}', "");
Expect(1, 9459, '\p{^Numeric_Value=0_0_0_0_0_0_0_0_18}', "");
Expect(1, 9459, '\P{Numeric_Value=0_0_0_0_0_0_0_0_18}', "");
Expect(0, 9459, '\P{^Numeric_Value=0_0_0_0_0_0_0_0_18}', "");
Error('\p{Nv=-_+001_8/a/}');
Error('\P{Nv=-_+001_8/a/}');
Expect(1, 9458, '\p{Nv=0018}', "");
Expect(0, 9458, '\p{^Nv=0018}', "");
Expect(0, 9458, '\P{Nv=0018}', "");
Expect(1, 9458, '\P{^Nv=0018}', "");
Expect(0, 9459, '\p{Nv=0018}', "");
Expect(1, 9459, '\p{^Nv=0018}', "");
Expect(1, 9459, '\P{Nv=0018}', "");
Expect(0, 9459, '\P{^Nv=0018}', "");
Error('\p{Is_Numeric_Value: _00_00_01_8/a/}');
Error('\P{Is_Numeric_Value: _00_00_01_8/a/}');
Expect(1, 9458, '\p{Is_Numeric_Value:00000000018}', "");
Expect(0, 9458, '\p{^Is_Numeric_Value:00000000018}', "");
Expect(0, 9458, '\P{Is_Numeric_Value:00000000018}', "");
Expect(1, 9458, '\P{^Is_Numeric_Value:00000000018}', "");
Expect(0, 9459, '\p{Is_Numeric_Value:00000000018}', "");
Expect(1, 9459, '\p{^Is_Numeric_Value:00000000018}', "");
Expect(1, 9459, '\P{Is_Numeric_Value:00000000018}', "");
Expect(0, 9459, '\P{^Is_Numeric_Value:00000000018}', "");
Error('\p{Is_Nv=-00000000018/a/}');
Error('\P{Is_Nv=-00000000018/a/}');
Expect(1, 9458, '\p{Is_Nv=+0000000018}', "");
Expect(0, 9458, '\p{^Is_Nv=+0000000018}', "");
Expect(0, 9458, '\P{Is_Nv=+0000000018}', "");
Expect(1, 9458, '\P{^Is_Nv=+0000000018}', "");
Expect(0, 9459, '\p{Is_Nv=+0000000018}', "");
Expect(1, 9459, '\p{^Is_Nv=+0000000018}', "");
Expect(1, 9459, '\P{Is_Nv=+0000000018}', "");
Expect(0, 9459, '\P{^Is_Nv=+0000000018}', "");
Error('\p{Numeric_Value=/a/	+0000019}');
Error('\P{Numeric_Value=/a/	+0000019}');
Expect(1, 9459, '\p{Numeric_Value=0_0_0_0_0_19}', "");
Expect(0, 9459, '\p{^Numeric_Value=0_0_0_0_0_19}', "");
Expect(0, 9459, '\P{Numeric_Value=0_0_0_0_0_19}', "");
Expect(1, 9459, '\P{^Numeric_Value=0_0_0_0_0_19}', "");
Expect(0, 9460, '\p{Numeric_Value=0_0_0_0_0_19}', "");
Expect(1, 9460, '\p{^Numeric_Value=0_0_0_0_0_19}', "");
Expect(1, 9460, '\P{Numeric_Value=0_0_0_0_0_19}', "");
Expect(0, 9460, '\P{^Numeric_Value=0_0_0_0_0_19}', "");
Error('\p{Nv=--01_9:=}');
Error('\P{Nv=--01_9:=}');
Expect(1, 9459, '\p{Nv=19}', "");
Expect(0, 9459, '\p{^Nv=19}', "");
Expect(0, 9459, '\P{Nv=19}', "");
Expect(1, 9459, '\P{^Nv=19}', "");
Expect(0, 9460, '\p{Nv=19}', "");
Expect(1, 9460, '\p{^Nv=19}', "");
Expect(1, 9460, '\P{Nv=19}', "");
Expect(0, 9460, '\P{^Nv=19}', "");
Error('\p{Is_Numeric_Value= 0_0_0_0_0_0_00019:=}');
Error('\P{Is_Numeric_Value= 0_0_0_0_0_0_00019:=}');
Expect(1, 9459, '\p{Is_Numeric_Value=+0000000019}', "");
Expect(0, 9459, '\p{^Is_Numeric_Value=+0000000019}', "");
Expect(0, 9459, '\P{Is_Numeric_Value=+0000000019}', "");
Expect(1, 9459, '\P{^Is_Numeric_Value=+0000000019}', "");
Expect(0, 9460, '\p{Is_Numeric_Value=+0000000019}', "");
Expect(1, 9460, '\p{^Is_Numeric_Value=+0000000019}', "");
Expect(1, 9460, '\P{Is_Numeric_Value=+0000000019}', "");
Expect(0, 9460, '\P{^Is_Numeric_Value=+0000000019}', "");
Error('\p{Is_Nv=-00019:=}');
Error('\P{Is_Nv=-00019:=}');
Expect(1, 9459, '\p{Is_Nv=019}', "");
Expect(0, 9459, '\p{^Is_Nv=019}', "");
Expect(0, 9459, '\P{Is_Nv=019}', "");
Expect(1, 9459, '\P{^Is_Nv=019}', "");
Expect(0, 9460, '\p{Is_Nv=019}', "");
Expect(1, 9460, '\p{^Is_Nv=019}', "");
Expect(1, 9460, '\P{Is_Nv=019}', "");
Expect(0, 9460, '\P{^Is_Nv=019}', "");
Error('\p{Numeric_Value=		0_0_02/a/}');
Error('\P{Numeric_Value=		0_0_02/a/}');
Expect(1, 140176, '\p{Numeric_Value=000002}', "");
Expect(0, 140176, '\p{^Numeric_Value=000002}', "");
Expect(0, 140176, '\P{Numeric_Value=000002}', "");
Expect(1, 140176, '\P{^Numeric_Value=000002}', "");
Expect(0, 140177, '\p{Numeric_Value=000002}', "");
Expect(1, 140177, '\p{^Numeric_Value=000002}', "");
Expect(1, 140177, '\P{Numeric_Value=000002}', "");
Expect(0, 140177, '\P{^Numeric_Value=000002}', "");
Error('\p{Nv=__00000002/a/}');
Error('\P{Nv=__00000002/a/}');
Expect(1, 140176, '\p{Nv=+0_0_0_0_0_0_0_02}', "");
Expect(0, 140176, '\p{^Nv=+0_0_0_0_0_0_0_02}', "");
Expect(0, 140176, '\P{Nv=+0_0_0_0_0_0_0_02}', "");
Expect(1, 140176, '\P{^Nv=+0_0_0_0_0_0_0_02}', "");
Expect(0, 140177, '\p{Nv=+0_0_0_0_0_0_0_02}', "");
Expect(1, 140177, '\p{^Nv=+0_0_0_0_0_0_0_02}', "");
Expect(1, 140177, '\P{Nv=+0_0_0_0_0_0_0_02}', "");
Expect(0, 140177, '\P{^Nv=+0_0_0_0_0_0_0_02}', "");
Error('\p{Is_Numeric_Value= 002:=}');
Error('\P{Is_Numeric_Value= 002:=}');
Expect(1, 140176, '\p{Is_Numeric_Value=+00_00_2}', "");
Expect(0, 140176, '\p{^Is_Numeric_Value=+00_00_2}', "");
Expect(0, 140176, '\P{Is_Numeric_Value=+00_00_2}', "");
Expect(1, 140176, '\P{^Is_Numeric_Value=+00_00_2}', "");
Expect(0, 140177, '\p{Is_Numeric_Value=+00_00_2}', "");
Expect(1, 140177, '\p{^Is_Numeric_Value=+00_00_2}', "");
Expect(1, 140177, '\P{Is_Numeric_Value=+00_00_2}', "");
Expect(0, 140177, '\P{^Is_Numeric_Value=+00_00_2}', "");
Error('\p{Is_Nv=	 0_2:=}');
Error('\P{Is_Nv=	 0_2:=}');
Expect(1, 140176, '\p{Is_Nv=0002}', "");
Expect(0, 140176, '\p{^Is_Nv=0002}', "");
Expect(0, 140176, '\P{Is_Nv=0002}', "");
Expect(1, 140176, '\P{^Is_Nv=0002}', "");
Expect(0, 140177, '\p{Is_Nv=0002}', "");
Expect(1, 140177, '\p{^Is_Nv=0002}', "");
Expect(1, 140177, '\P{Is_Nv=0002}', "");
Expect(0, 140177, '\P{^Is_Nv=0002}', "");
Error('\p{Numeric_Value=:=000000002/0003}');
Error('\P{Numeric_Value=:=000000002/0003}');
Expect(1, 74854, '\p{Numeric_Value=00000002/3}', "");
Expect(0, 74854, '\p{^Numeric_Value=00000002/3}', "");
Expect(0, 74854, '\P{Numeric_Value=00000002/3}', "");
Expect(1, 74854, '\P{^Numeric_Value=00000002/3}', "");
Expect(0, 74855, '\p{Numeric_Value=00000002/3}', "");
Expect(1, 74855, '\p{^Numeric_Value=00000002/3}', "");
Expect(1, 74855, '\P{Numeric_Value=00000002/3}', "");
Expect(0, 74855, '\P{^Numeric_Value=00000002/3}', "");
Error('\p{Numeric_Value: 0.7}');
Error('\P{Numeric_Value: 0.7}');
Error('\p{Numeric_Value=0.67}');
Error('\P{Numeric_Value=0.67}');
Expect(1, 74854, '\p{Numeric_Value=0.667}', "");
Expect(0, 74854, '\p{^Numeric_Value=0.667}', "");
Expect(0, 74854, '\P{Numeric_Value=0.667}', "");
Expect(1, 74854, '\P{^Numeric_Value=0.667}', "");
Expect(0, 74855, '\p{Numeric_Value=0.667}', "");
Expect(1, 74855, '\p{^Numeric_Value=0.667}', "");
Expect(1, 74855, '\P{Numeric_Value=0.667}', "");
Expect(0, 74855, '\P{^Numeric_Value=0.667}', "");
Error('\p{Nv=/a/ 0000002/0000003}');
Error('\P{Nv=/a/ 0000002/0000003}');
Expect(1, 74854, '\p{Nv:   +0000002/03}', "");
Expect(0, 74854, '\p{^Nv:   +0000002/03}', "");
Expect(0, 74854, '\P{Nv:   +0000002/03}', "");
Expect(1, 74854, '\P{^Nv:   +0000002/03}', "");
Expect(0, 74855, '\p{Nv:   +0000002/03}', "");
Expect(1, 74855, '\p{^Nv:   +0000002/03}', "");
Expect(1, 74855, '\P{Nv:   +0000002/03}', "");
Expect(0, 74855, '\P{^Nv:   +0000002/03}', "");
Error('\p{Nv=0.7}');
Error('\P{Nv=0.7}');
Error('\p{Nv:0.67}');
Error('\P{Nv:0.67}');
Expect(1, 74854, '\p{Nv=0.667}', "");
Expect(0, 74854, '\p{^Nv=0.667}', "");
Expect(0, 74854, '\P{Nv=0.667}', "");
Expect(1, 74854, '\P{^Nv=0.667}', "");
Expect(0, 74855, '\p{Nv=0.667}', "");
Expect(1, 74855, '\p{^Nv=0.667}', "");
Expect(1, 74855, '\P{Nv=0.667}', "");
Expect(0, 74855, '\P{^Nv=0.667}', "");
Error('\p{Is_Numeric_Value=_:=+00000002/0003}');
Error('\P{Is_Numeric_Value=_:=+00000002/0003}');
Expect(1, 74854, '\p{Is_Numeric_Value=002/3}', "");
Expect(0, 74854, '\p{^Is_Numeric_Value=002/3}', "");
Expect(0, 74854, '\P{Is_Numeric_Value=002/3}', "");
Expect(1, 74854, '\P{^Is_Numeric_Value=002/3}', "");
Expect(0, 74855, '\p{Is_Numeric_Value=002/3}', "");
Expect(1, 74855, '\p{^Is_Numeric_Value=002/3}', "");
Expect(1, 74855, '\P{Is_Numeric_Value=002/3}', "");
Expect(0, 74855, '\P{^Is_Numeric_Value=002/3}', "");
Error('\p{Is_Numeric_Value=0.7}');
Error('\P{Is_Numeric_Value=0.7}');
Error('\p{Is_Numeric_Value=0.67}');
Error('\P{Is_Numeric_Value=0.67}');
Expect(1, 74854, '\p{Is_Numeric_Value=0.667}', "");
Expect(0, 74854, '\p{^Is_Numeric_Value=0.667}', "");
Expect(0, 74854, '\P{Is_Numeric_Value=0.667}', "");
Expect(1, 74854, '\P{^Is_Numeric_Value=0.667}', "");
Expect(0, 74855, '\p{Is_Numeric_Value=0.667}', "");
Expect(1, 74855, '\p{^Is_Numeric_Value=0.667}', "");
Expect(1, 74855, '\P{Is_Numeric_Value=0.667}', "");
Expect(0, 74855, '\P{^Is_Numeric_Value=0.667}', "");
Error('\p{Is_Nv=_00002/00000003:=}');
Error('\P{Is_Nv=_00002/00000003:=}');
Expect(1, 74854, '\p{Is_Nv=2/000003}', "");
Expect(0, 74854, '\p{^Is_Nv=2/000003}', "");
Expect(0, 74854, '\P{Is_Nv=2/000003}', "");
Expect(1, 74854, '\P{^Is_Nv=2/000003}', "");
Expect(0, 74855, '\p{Is_Nv=2/000003}', "");
Expect(1, 74855, '\p{^Is_Nv=2/000003}', "");
Expect(1, 74855, '\P{Is_Nv=2/000003}', "");
Expect(0, 74855, '\P{^Is_Nv=2/000003}', "");
Error('\p{Is_Nv=0.7}');
Error('\P{Is_Nv=0.7}');
Error('\p{Is_Nv=0.67}');
Error('\P{Is_Nv=0.67}');
Expect(1, 74854, '\p{Is_Nv=0.667}', "");
Expect(0, 74854, '\p{^Is_Nv=0.667}', "");
Expect(0, 74854, '\P{Is_Nv=0.667}', "");
Expect(1, 74854, '\P{^Is_Nv=0.667}', "");
Expect(0, 74855, '\p{Is_Nv=0.667}', "");
Expect(1, 74855, '\p{^Is_Nv=0.667}', "");
Expect(1, 74855, '\P{Is_Nv=0.667}', "");
Expect(0, 74855, '\P{^Is_Nv=0.667}', "");
Error('\p{Numeric_Value=/a/ +0002/000000005}');
Error('\P{Numeric_Value=/a/ +0002/000000005}');
Expect(1, 8534, '\p{Numeric_Value=2/000005}', "");
Expect(0, 8534, '\p{^Numeric_Value=2/000005}', "");
Expect(0, 8534, '\P{Numeric_Value=2/000005}', "");
Expect(1, 8534, '\P{^Numeric_Value=2/000005}', "");
Expect(0, 8535, '\p{Numeric_Value=2/000005}', "");
Expect(1, 8535, '\p{^Numeric_Value=2/000005}', "");
Expect(1, 8535, '\P{Numeric_Value=2/000005}', "");
Expect(0, 8535, '\P{^Numeric_Value=2/000005}', "");
Expect(1, 8534, '\p{Numeric_Value=0.400}', "");
Expect(0, 8534, '\p{^Numeric_Value=0.400}', "");
Expect(0, 8534, '\P{Numeric_Value=0.400}', "");
Expect(1, 8534, '\P{^Numeric_Value=0.400}', "");
Expect(0, 8535, '\p{Numeric_Value=0.400}', "");
Expect(1, 8535, '\p{^Numeric_Value=0.400}', "");
Expect(1, 8535, '\P{Numeric_Value=0.400}', "");
Expect(0, 8535, '\P{^Numeric_Value=0.400}', "");
Error('\p{Nv=/a/00000002/5}');
Error('\P{Nv=/a/00000002/5}');
Expect(1, 8534, '\p{Nv=000000002/05}', "");
Expect(0, 8534, '\p{^Nv=000000002/05}', "");
Expect(0, 8534, '\P{Nv=000000002/05}', "");
Expect(1, 8534, '\P{^Nv=000000002/05}', "");
Expect(0, 8535, '\p{Nv=000000002/05}', "");
Expect(1, 8535, '\p{^Nv=000000002/05}', "");
Expect(1, 8535, '\P{Nv=000000002/05}', "");
Expect(0, 8535, '\P{^Nv=000000002/05}', "");
Expect(1, 8534, '\p{Nv: 0.400}', "");
Expect(0, 8534, '\p{^Nv: 0.400}', "");
Expect(0, 8534, '\P{Nv: 0.400}', "");
Expect(1, 8534, '\P{^Nv: 0.400}', "");
Expect(0, 8535, '\p{Nv: 0.400}', "");
Expect(1, 8535, '\p{^Nv: 0.400}', "");
Expect(1, 8535, '\P{Nv: 0.400}', "");
Expect(0, 8535, '\P{^Nv: 0.400}', "");
Error('\p{Is_Numeric_Value=/a/ 002/000005}');
Error('\P{Is_Numeric_Value=/a/ 002/000005}');
Expect(1, 8534, '\p{Is_Numeric_Value=002/0000005}', "");
Expect(0, 8534, '\p{^Is_Numeric_Value=002/0000005}', "");
Expect(0, 8534, '\P{Is_Numeric_Value=002/0000005}', "");
Expect(1, 8534, '\P{^Is_Numeric_Value=002/0000005}', "");
Expect(0, 8535, '\p{Is_Numeric_Value=002/0000005}', "");
Expect(1, 8535, '\p{^Is_Numeric_Value=002/0000005}', "");
Expect(1, 8535, '\P{Is_Numeric_Value=002/0000005}', "");
Expect(0, 8535, '\P{^Is_Numeric_Value=002/0000005}', "");
Expect(1, 8534, '\p{Is_Numeric_Value=0.400}', "");
Expect(0, 8534, '\p{^Is_Numeric_Value=0.400}', "");
Expect(0, 8534, '\P{Is_Numeric_Value=0.400}', "");
Expect(1, 8534, '\P{^Is_Numeric_Value=0.400}', "");
Expect(0, 8535, '\p{Is_Numeric_Value=0.400}', "");
Expect(1, 8535, '\p{^Is_Numeric_Value=0.400}', "");
Expect(1, 8535, '\P{Is_Numeric_Value=0.400}', "");
Expect(0, 8535, '\P{^Is_Numeric_Value=0.400}', "");
Error('\p{Is_Nv=/a/ 	02/005}');
Error('\P{Is_Nv=/a/ 	02/005}');
Expect(1, 8534, '\p{Is_Nv:+0000002/000000005}', "");
Expect(0, 8534, '\p{^Is_Nv:+0000002/000000005}', "");
Expect(0, 8534, '\P{Is_Nv:+0000002/000000005}', "");
Expect(1, 8534, '\P{^Is_Nv:+0000002/000000005}', "");
Expect(0, 8535, '\p{Is_Nv:+0000002/000000005}', "");
Expect(1, 8535, '\p{^Is_Nv:+0000002/000000005}', "");
Expect(1, 8535, '\P{Is_Nv:+0000002/000000005}', "");
Expect(0, 8535, '\P{^Is_Nv:+0000002/000000005}', "");
Expect(1, 8534, '\p{Is_Nv=0.400}', "");
Expect(0, 8534, '\p{^Is_Nv=0.400}', "");
Expect(0, 8534, '\P{Is_Nv=0.400}', "");
Expect(1, 8534, '\P{^Is_Nv=0.400}', "");
Expect(0, 8535, '\p{Is_Nv=0.400}', "");
Expect(1, 8535, '\p{^Is_Nv=0.400}', "");
Expect(1, 8535, '\P{Is_Nv=0.400}', "");
Expect(0, 8535, '\P{^Is_Nv=0.400}', "");
Error('\p{Numeric_Value=:=_-+0000020}');
Error('\P{Numeric_Value=:=_-+0000020}');
Expect(1, 119658, '\p{Numeric_Value=00002_0}', "");
Expect(0, 119658, '\p{^Numeric_Value=00002_0}', "");
Expect(0, 119658, '\P{Numeric_Value=00002_0}', "");
Expect(1, 119658, '\P{^Numeric_Value=00002_0}', "");
Expect(0, 119659, '\p{Numeric_Value=00002_0}', "");
Expect(1, 119659, '\p{^Numeric_Value=00002_0}', "");
Expect(1, 119659, '\P{Numeric_Value=00002_0}', "");
Expect(0, 119659, '\P{^Numeric_Value=00002_0}', "");
Error('\p{Nv=-_0000020:=}');
Error('\P{Nv=-_0000020:=}');
Expect(1, 119658, '\p{Nv=00000020}', "");
Expect(0, 119658, '\p{^Nv=00000020}', "");
Expect(0, 119658, '\P{Nv=00000020}', "");
Expect(1, 119658, '\P{^Nv=00000020}', "");
Expect(0, 119659, '\p{Nv=00000020}', "");
Expect(1, 119659, '\p{^Nv=00000020}', "");
Expect(1, 119659, '\P{Nv=00000020}', "");
Expect(0, 119659, '\P{^Nv=00000020}', "");
Error('\p{Is_Numeric_Value:	/a/000020}');
Error('\P{Is_Numeric_Value:	/a/000020}');
Expect(1, 119658, '\p{Is_Numeric_Value=0_0_0_0_0_0_0020}', "");
Expect(0, 119658, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0020}', "");
Expect(0, 119658, '\P{Is_Numeric_Value=0_0_0_0_0_0_0020}', "");
Expect(1, 119658, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0020}', "");
Expect(0, 119659, '\p{Is_Numeric_Value=0_0_0_0_0_0_0020}', "");
Expect(1, 119659, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0020}', "");
Expect(1, 119659, '\P{Is_Numeric_Value=0_0_0_0_0_0_0020}', "");
Expect(0, 119659, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0020}', "");
Error('\p{Is_Nv= :=+0_0_0_0_20}');
Error('\P{Is_Nv= :=+0_0_0_0_20}');
Expect(1, 119658, '\p{Is_Nv=00_02_0}', "");
Expect(0, 119658, '\p{^Is_Nv=00_02_0}', "");
Expect(0, 119658, '\P{Is_Nv=00_02_0}', "");
Expect(1, 119658, '\P{^Is_Nv=00_02_0}', "");
Expect(0, 119659, '\p{Is_Nv=00_02_0}', "");
Expect(1, 119659, '\p{^Is_Nv=00_02_0}', "");
Expect(1, 119659, '\P{Is_Nv=00_02_0}', "");
Expect(0, 119659, '\P{^Is_Nv=00_02_0}', "");
Error('\p{Numeric_Value=_:=0200}');
Error('\P{Numeric_Value=_:=0200}');
Expect(1, 69235, '\p{Numeric_Value=00000200}', "");
Expect(0, 69235, '\p{^Numeric_Value=00000200}', "");
Expect(0, 69235, '\P{Numeric_Value=00000200}', "");
Expect(1, 69235, '\P{^Numeric_Value=00000200}', "");
Expect(0, 69236, '\p{Numeric_Value=00000200}', "");
Expect(1, 69236, '\p{^Numeric_Value=00000200}', "");
Expect(1, 69236, '\P{Numeric_Value=00000200}', "");
Expect(0, 69236, '\P{^Numeric_Value=00000200}', "");
Error('\p{Nv=:= 000000200}');
Error('\P{Nv=:= 000000200}');
Expect(1, 69235, '\p{Nv=00000000200}', "");
Expect(0, 69235, '\p{^Nv=00000000200}', "");
Expect(0, 69235, '\P{Nv=00000000200}', "");
Expect(1, 69235, '\P{^Nv=00000000200}', "");
Expect(0, 69236, '\p{Nv=00000000200}', "");
Expect(1, 69236, '\p{^Nv=00000000200}', "");
Expect(1, 69236, '\P{Nv=00000000200}', "");
Expect(0, 69236, '\P{^Nv=00000000200}', "");
Error('\p{Is_Numeric_Value=_	+00_02_00/a/}');
Error('\P{Is_Numeric_Value=_	+00_02_00/a/}');
Expect(1, 69235, '\p{Is_Numeric_Value:   00_02_00}', "");
Expect(0, 69235, '\p{^Is_Numeric_Value:   00_02_00}', "");
Expect(0, 69235, '\P{Is_Numeric_Value:   00_02_00}', "");
Expect(1, 69235, '\P{^Is_Numeric_Value:   00_02_00}', "");
Expect(0, 69236, '\p{Is_Numeric_Value:   00_02_00}', "");
Expect(1, 69236, '\p{^Is_Numeric_Value:   00_02_00}', "");
Expect(1, 69236, '\P{Is_Numeric_Value:   00_02_00}', "");
Expect(0, 69236, '\P{^Is_Numeric_Value:   00_02_00}', "");
Error('\p{Is_Nv= 00200:=}');
Error('\P{Is_Nv= 00200:=}');
Expect(1, 69235, '\p{Is_Nv=+020_0}', "");
Expect(0, 69235, '\p{^Is_Nv=+020_0}', "");
Expect(0, 69235, '\P{Is_Nv=+020_0}', "");
Expect(1, 69235, '\P{^Is_Nv=+020_0}', "");
Expect(0, 69236, '\p{Is_Nv=+020_0}', "");
Expect(1, 69236, '\p{^Is_Nv=+020_0}', "");
Expect(1, 69236, '\P{Is_Nv=+020_0}', "");
Expect(0, 69236, '\P{^Is_Nv=+020_0}', "");
Error('\p{Numeric_Value=/a/+002000}');
Error('\P{Numeric_Value=/a/+002000}');
Expect(1, 65827, '\p{Numeric_Value=0002000}', "");
Expect(0, 65827, '\p{^Numeric_Value=0002000}', "");
Expect(0, 65827, '\P{Numeric_Value=0002000}', "");
Expect(1, 65827, '\P{^Numeric_Value=0002000}', "");
Expect(0, 65828, '\p{Numeric_Value=0002000}', "");
Expect(1, 65828, '\p{^Numeric_Value=0002000}', "");
Expect(1, 65828, '\P{Numeric_Value=0002000}', "");
Expect(0, 65828, '\P{^Numeric_Value=0002000}', "");
Error('\p{Nv=	000000002000/a/}');
Error('\P{Nv=	000000002000/a/}');
Expect(1, 65827, '\p{Nv:0_0_0_2_0_00}', "");
Expect(0, 65827, '\p{^Nv:0_0_0_2_0_00}', "");
Expect(0, 65827, '\P{Nv:0_0_0_2_0_00}', "");
Expect(1, 65827, '\P{^Nv:0_0_0_2_0_00}', "");
Expect(0, 65828, '\p{Nv:0_0_0_2_0_00}', "");
Expect(1, 65828, '\p{^Nv:0_0_0_2_0_00}', "");
Expect(1, 65828, '\P{Nv:0_0_0_2_0_00}', "");
Expect(0, 65828, '\P{^Nv:0_0_0_2_0_00}', "");
Error('\p{Is_Numeric_Value=__+0_0_0_0_0_0_0_0_0_2_0_00:=}');
Error('\P{Is_Numeric_Value=__+0_0_0_0_0_0_0_0_0_2_0_00:=}');
Expect(1, 65827, '\p{Is_Numeric_Value=+0_0_2_0_00}', "");
Expect(0, 65827, '\p{^Is_Numeric_Value=+0_0_2_0_00}', "");
Expect(0, 65827, '\P{Is_Numeric_Value=+0_0_2_0_00}', "");
Expect(1, 65827, '\P{^Is_Numeric_Value=+0_0_2_0_00}', "");
Expect(0, 65828, '\p{Is_Numeric_Value=+0_0_2_0_00}', "");
Expect(1, 65828, '\p{^Is_Numeric_Value=+0_0_2_0_00}', "");
Expect(1, 65828, '\P{Is_Numeric_Value=+0_0_2_0_00}', "");
Expect(0, 65828, '\P{^Is_Numeric_Value=+0_0_2_0_00}', "");
Error('\p{Is_Nv=-:=200_0}');
Error('\P{Is_Nv=-:=200_0}');
Expect(1, 65827, '\p{Is_Nv=0000002000}', "");
Expect(0, 65827, '\p{^Is_Nv=0000002000}', "");
Expect(0, 65827, '\P{Is_Nv=0000002000}', "");
Expect(1, 65827, '\P{^Is_Nv=0000002000}', "");
Expect(0, 65828, '\p{Is_Nv=0000002000}', "");
Expect(1, 65828, '\p{^Is_Nv=0000002000}', "");
Expect(1, 65828, '\P{Is_Nv=0000002000}', "");
Expect(0, 65828, '\P{^Is_Nv=0000002000}', "");
Error('\p{Numeric_Value=		00_20_00_0/a/}');
Error('\P{Numeric_Value=		00_20_00_0/a/}');
Expect(1, 65836, '\p{Numeric_Value=+0_0_0_2_0_000}', "");
Expect(0, 65836, '\p{^Numeric_Value=+0_0_0_2_0_000}', "");
Expect(0, 65836, '\P{Numeric_Value=+0_0_0_2_0_000}', "");
Expect(1, 65836, '\P{^Numeric_Value=+0_0_0_2_0_000}', "");
Expect(0, 65837, '\p{Numeric_Value=+0_0_0_2_0_000}', "");
Expect(1, 65837, '\p{^Numeric_Value=+0_0_0_2_0_000}', "");
Expect(1, 65837, '\P{Numeric_Value=+0_0_0_2_0_000}', "");
Expect(0, 65837, '\P{^Numeric_Value=+0_0_0_2_0_000}', "");
Error('\p{Nv=:=__20000}');
Error('\P{Nv=:=__20000}');
Expect(1, 65836, '\p{Nv=+0_0_0_0_0_0_2_0_0_00}', "");
Expect(0, 65836, '\p{^Nv=+0_0_0_0_0_0_2_0_0_00}', "");
Expect(0, 65836, '\P{Nv=+0_0_0_0_0_0_2_0_0_00}', "");
Expect(1, 65836, '\P{^Nv=+0_0_0_0_0_0_2_0_0_00}', "");
Expect(0, 65837, '\p{Nv=+0_0_0_0_0_0_2_0_0_00}', "");
Expect(1, 65837, '\p{^Nv=+0_0_0_0_0_0_2_0_0_00}', "");
Expect(1, 65837, '\P{Nv=+0_0_0_0_0_0_2_0_0_00}', "");
Expect(0, 65837, '\P{^Nv=+0_0_0_0_0_0_2_0_0_00}', "");
Error('\p{Is_Numeric_Value:   /a/0_2_0_0_00}');
Error('\P{Is_Numeric_Value:   /a/0_2_0_0_00}');
Expect(1, 65836, '\p{Is_Numeric_Value=00_00_20_000}', "");
Expect(0, 65836, '\p{^Is_Numeric_Value=00_00_20_000}', "");
Expect(0, 65836, '\P{Is_Numeric_Value=00_00_20_000}', "");
Expect(1, 65836, '\P{^Is_Numeric_Value=00_00_20_000}', "");
Expect(0, 65837, '\p{Is_Numeric_Value=00_00_20_000}', "");
Expect(1, 65837, '\p{^Is_Numeric_Value=00_00_20_000}', "");
Expect(1, 65837, '\P{Is_Numeric_Value=00_00_20_000}', "");
Expect(0, 65837, '\P{^Is_Numeric_Value=00_00_20_000}', "");
Error('\p{Is_Nv=/a/-_00_00_20_000}');
Error('\P{Is_Nv=/a/-_00_00_20_000}');
Expect(1, 65836, '\p{Is_Nv=+0_0_0_0_0_0_0_0_2_0000}', "");
Expect(0, 65836, '\p{^Is_Nv=+0_0_0_0_0_0_0_0_2_0000}', "");
Expect(0, 65836, '\P{Is_Nv=+0_0_0_0_0_0_0_0_2_0000}', "");
Expect(1, 65836, '\P{^Is_Nv=+0_0_0_0_0_0_0_0_2_0000}', "");
Expect(0, 65837, '\p{Is_Nv=+0_0_0_0_0_0_0_0_2_0000}', "");
Expect(1, 65837, '\p{^Is_Nv=+0_0_0_0_0_0_0_0_2_0000}', "");
Expect(1, 65837, '\P{Is_Nv=+0_0_0_0_0_0_0_0_2_0000}', "");
Expect(0, 65837, '\P{^Is_Nv=+0_0_0_0_0_0_0_0_2_0000}', "");
Error('\p{Numeric_Value=/a/000000021}');
Error('\P{Numeric_Value=/a/000000021}');
Expect(1, 12881, '\p{Numeric_Value=0_0_0_0_0_00021}', "");
Expect(0, 12881, '\p{^Numeric_Value=0_0_0_0_0_00021}', "");
Expect(0, 12881, '\P{Numeric_Value=0_0_0_0_0_00021}', "");
Expect(1, 12881, '\P{^Numeric_Value=0_0_0_0_0_00021}', "");
Expect(0, 12882, '\p{Numeric_Value=0_0_0_0_0_00021}', "");
Expect(1, 12882, '\p{^Numeric_Value=0_0_0_0_0_00021}', "");
Expect(1, 12882, '\P{Numeric_Value=0_0_0_0_0_00021}', "");
Expect(0, 12882, '\P{^Numeric_Value=0_0_0_0_0_00021}', "");
Error('\p{Nv= 	+0000000021:=}');
Error('\P{Nv= 	+0000000021:=}');
Expect(1, 12881, '\p{Nv=000021}', "");
Expect(0, 12881, '\p{^Nv=000021}', "");
Expect(0, 12881, '\P{Nv=000021}', "");
Expect(1, 12881, '\P{^Nv=000021}', "");
Expect(0, 12882, '\p{Nv=000021}', "");
Expect(1, 12882, '\p{^Nv=000021}', "");
Expect(1, 12882, '\P{Nv=000021}', "");
Expect(0, 12882, '\P{^Nv=000021}', "");
Error('\p{Is_Numeric_Value= 	0021:=}');
Error('\P{Is_Numeric_Value= 	0021:=}');
Expect(1, 12881, '\p{Is_Numeric_Value=+0000021}', "");
Expect(0, 12881, '\p{^Is_Numeric_Value=+0000021}', "");
Expect(0, 12881, '\P{Is_Numeric_Value=+0000021}', "");
Expect(1, 12881, '\P{^Is_Numeric_Value=+0000021}', "");
Expect(0, 12882, '\p{Is_Numeric_Value=+0000021}', "");
Expect(1, 12882, '\p{^Is_Numeric_Value=+0000021}', "");
Expect(1, 12882, '\P{Is_Numeric_Value=+0000021}', "");
Expect(0, 12882, '\P{^Is_Numeric_Value=+0000021}', "");
Error('\p{Is_Nv=:=_	+0_0_0_0_0_0_0_21}');
Error('\P{Is_Nv=:=_	+0_0_0_0_0_0_0_21}');
Expect(1, 12881, '\p{Is_Nv=02_1}', "");
Expect(0, 12881, '\p{^Is_Nv=02_1}', "");
Expect(0, 12881, '\P{Is_Nv=02_1}', "");
Expect(1, 12881, '\P{^Is_Nv=02_1}', "");
Expect(0, 12882, '\p{Is_Nv=02_1}', "");
Expect(1, 12882, '\p{^Is_Nv=02_1}', "");
Expect(1, 12882, '\P{Is_Nv=02_1}', "");
Expect(0, 12882, '\P{^Is_Nv=02_1}', "");
Error('\p{Numeric_Value=:=	-+00_00_00_21_6000}');
Error('\P{Numeric_Value=:=	-+00_00_00_21_6000}');
Expect(1, 74802, '\p{Numeric_Value=00_00_00_21_60_00}', "");
Expect(0, 74802, '\p{^Numeric_Value=00_00_00_21_60_00}', "");
Expect(0, 74802, '\P{Numeric_Value=00_00_00_21_60_00}', "");
Expect(1, 74802, '\P{^Numeric_Value=00_00_00_21_60_00}', "");
Expect(0, 74803, '\p{Numeric_Value=00_00_00_21_60_00}', "");
Expect(1, 74803, '\p{^Numeric_Value=00_00_00_21_60_00}', "");
Expect(1, 74803, '\P{Numeric_Value=00_00_00_21_60_00}', "");
Expect(0, 74803, '\P{^Numeric_Value=00_00_00_21_60_00}', "");
Error('\p{Nv=/a/-_0002_1600_0}');
Error('\P{Nv=/a/-_0002_1600_0}');
Expect(1, 74802, '\p{Nv=+00000000216000}', "");
Expect(0, 74802, '\p{^Nv=+00000000216000}', "");
Expect(0, 74802, '\P{Nv=+00000000216000}', "");
Expect(1, 74802, '\P{^Nv=+00000000216000}', "");
Expect(0, 74803, '\p{Nv=+00000000216000}', "");
Expect(1, 74803, '\p{^Nv=+00000000216000}', "");
Expect(1, 74803, '\P{Nv=+00000000216000}', "");
Expect(0, 74803, '\P{^Nv=+00000000216000}', "");
Error('\p{Is_Numeric_Value:	_ 2_1_6_0_00/a/}');
Error('\P{Is_Numeric_Value:	_ 2_1_6_0_00/a/}');
Expect(1, 74802, '\p{Is_Numeric_Value:00_00_00_00_21_6000}', "");
Expect(0, 74802, '\p{^Is_Numeric_Value:00_00_00_00_21_6000}', "");
Expect(0, 74802, '\P{Is_Numeric_Value:00_00_00_00_21_6000}', "");
Expect(1, 74802, '\P{^Is_Numeric_Value:00_00_00_00_21_6000}', "");
Expect(0, 74803, '\p{Is_Numeric_Value:00_00_00_00_21_6000}', "");
Expect(1, 74803, '\p{^Is_Numeric_Value:00_00_00_00_21_6000}', "");
Expect(1, 74803, '\P{Is_Numeric_Value:00_00_00_00_21_6000}', "");
Expect(0, 74803, '\P{^Is_Numeric_Value:00_00_00_00_21_6000}', "");
Error('\p{Is_Nv=_:=0_0_0_0_0_2_1_6000}');
Error('\P{Is_Nv=_:=0_0_0_0_0_2_1_6000}');
Expect(1, 74802, '\p{Is_Nv=0000216000}', "");
Expect(0, 74802, '\p{^Is_Nv=0000216000}', "");
Expect(0, 74802, '\P{Is_Nv=0000216000}', "");
Expect(1, 74802, '\P{^Is_Nv=0000216000}', "");
Expect(0, 74803, '\p{Is_Nv=0000216000}', "");
Expect(1, 74803, '\p{^Is_Nv=0000216000}', "");
Expect(1, 74803, '\P{Is_Nv=0000216000}', "");
Expect(0, 74803, '\P{^Is_Nv=0000216000}', "");
Error('\p{Numeric_Value= _2_2/a/}');
Error('\P{Numeric_Value= _2_2/a/}');
Expect(1, 12882, '\p{Numeric_Value=0_0_0_0_0_0_00022}', "");
Expect(0, 12882, '\p{^Numeric_Value=0_0_0_0_0_0_00022}', "");
Expect(0, 12882, '\P{Numeric_Value=0_0_0_0_0_0_00022}', "");
Expect(1, 12882, '\P{^Numeric_Value=0_0_0_0_0_0_00022}', "");
Expect(0, 12883, '\p{Numeric_Value=0_0_0_0_0_0_00022}', "");
Expect(1, 12883, '\p{^Numeric_Value=0_0_0_0_0_0_00022}', "");
Expect(1, 12883, '\P{Numeric_Value=0_0_0_0_0_0_00022}', "");
Expect(0, 12883, '\P{^Numeric_Value=0_0_0_0_0_0_00022}', "");
Error('\p{Nv:	_022:=}');
Error('\P{Nv:	_022:=}');
Expect(1, 12882, '\p{Nv=0000022}', "");
Expect(0, 12882, '\p{^Nv=0000022}', "");
Expect(0, 12882, '\P{Nv=0000022}', "");
Expect(1, 12882, '\P{^Nv=0000022}', "");
Expect(0, 12883, '\p{Nv=0000022}', "");
Expect(1, 12883, '\p{^Nv=0000022}', "");
Expect(1, 12883, '\P{Nv=0000022}', "");
Expect(0, 12883, '\P{^Nv=0000022}', "");
Error('\p{Is_Numeric_Value= :=+0000_0000_22}');
Error('\P{Is_Numeric_Value= :=+0000_0000_22}');
Expect(1, 12882, '\p{Is_Numeric_Value=000022}', "");
Expect(0, 12882, '\p{^Is_Numeric_Value=000022}', "");
Expect(0, 12882, '\P{Is_Numeric_Value=000022}', "");
Expect(1, 12882, '\P{^Is_Numeric_Value=000022}', "");
Expect(0, 12883, '\p{Is_Numeric_Value=000022}', "");
Expect(1, 12883, '\p{^Is_Numeric_Value=000022}', "");
Expect(1, 12883, '\P{Is_Numeric_Value=000022}', "");
Expect(0, 12883, '\P{^Is_Numeric_Value=000022}', "");
Error('\p{Is_Nv:    	+022:=}');
Error('\P{Is_Nv:    	+022:=}');
Expect(1, 12882, '\p{Is_Nv=+000000022}', "");
Expect(0, 12882, '\p{^Is_Nv=+000000022}', "");
Expect(0, 12882, '\P{Is_Nv=+000000022}', "");
Expect(1, 12882, '\P{^Is_Nv=+000000022}', "");
Expect(0, 12883, '\p{Is_Nv=+000000022}', "");
Expect(1, 12883, '\p{^Is_Nv=+000000022}', "");
Expect(1, 12883, '\P{Is_Nv=+000000022}', "");
Expect(0, 12883, '\P{^Is_Nv=+000000022}', "");
Error('\p{Numeric_Value:   /a/-002_3}');
Error('\P{Numeric_Value:   /a/-002_3}');
Expect(1, 12883, '\p{Numeric_Value=0000023}', "");
Expect(0, 12883, '\p{^Numeric_Value=0000023}', "");
Expect(0, 12883, '\P{Numeric_Value=0000023}', "");
Expect(1, 12883, '\P{^Numeric_Value=0000023}', "");
Expect(0, 12884, '\p{Numeric_Value=0000023}', "");
Expect(1, 12884, '\p{^Numeric_Value=0000023}', "");
Expect(1, 12884, '\P{Numeric_Value=0000023}', "");
Expect(0, 12884, '\P{^Numeric_Value=0000023}', "");
Error('\p{Nv=	_023/a/}');
Error('\P{Nv=	_023/a/}');
Expect(1, 12883, '\p{Nv:	00_00_23}', "");
Expect(0, 12883, '\p{^Nv:	00_00_23}', "");
Expect(0, 12883, '\P{Nv:	00_00_23}', "");
Expect(1, 12883, '\P{^Nv:	00_00_23}', "");
Expect(0, 12884, '\p{Nv:	00_00_23}', "");
Expect(1, 12884, '\p{^Nv:	00_00_23}', "");
Expect(1, 12884, '\P{Nv:	00_00_23}', "");
Expect(0, 12884, '\P{^Nv:	00_00_23}', "");
Error('\p{Is_Numeric_Value=:= -+00002_3}');
Error('\P{Is_Numeric_Value=:= -+00002_3}');
Expect(1, 12883, '\p{Is_Numeric_Value:023}', "");
Expect(0, 12883, '\p{^Is_Numeric_Value:023}', "");
Expect(0, 12883, '\P{Is_Numeric_Value:023}', "");
Expect(1, 12883, '\P{^Is_Numeric_Value:023}', "");
Expect(0, 12884, '\p{Is_Numeric_Value:023}', "");
Expect(1, 12884, '\p{^Is_Numeric_Value:023}', "");
Expect(1, 12884, '\P{Is_Numeric_Value:023}', "");
Expect(0, 12884, '\P{^Is_Numeric_Value:023}', "");
Error('\p{Is_Nv=/a/ -+0_0_0_0_23}');
Error('\P{Is_Nv=/a/ -+0_0_0_0_23}');
Expect(1, 12883, '\p{Is_Nv: 2_3}', "");
Expect(0, 12883, '\p{^Is_Nv: 2_3}', "");
Expect(0, 12883, '\P{Is_Nv: 2_3}', "");
Expect(1, 12883, '\P{^Is_Nv: 2_3}', "");
Expect(0, 12884, '\p{Is_Nv: 2_3}', "");
Expect(1, 12884, '\p{^Is_Nv: 2_3}', "");
Expect(1, 12884, '\P{Is_Nv: 2_3}', "");
Expect(0, 12884, '\P{^Is_Nv: 2_3}', "");
Error('\p{Numeric_Value=_:=+00000024}');
Error('\P{Numeric_Value=_:=+00000024}');
Expect(1, 12884, '\p{Numeric_Value=2_4}', "");
Expect(0, 12884, '\p{^Numeric_Value=2_4}', "");
Expect(0, 12884, '\P{Numeric_Value=2_4}', "");
Expect(1, 12884, '\P{^Numeric_Value=2_4}', "");
Expect(0, 12885, '\p{Numeric_Value=2_4}', "");
Expect(1, 12885, '\p{^Numeric_Value=2_4}', "");
Expect(1, 12885, '\P{Numeric_Value=2_4}', "");
Expect(0, 12885, '\P{^Numeric_Value=2_4}', "");
Error('\p{Nv=/a/00000024}');
Error('\P{Nv=/a/00000024}');
Expect(1, 12884, '\p{Nv=+00000024}', "");
Expect(0, 12884, '\p{^Nv=+00000024}', "");
Expect(0, 12884, '\P{Nv=+00000024}', "");
Expect(1, 12884, '\P{^Nv=+00000024}', "");
Expect(0, 12885, '\p{Nv=+00000024}', "");
Expect(1, 12885, '\p{^Nv=+00000024}', "");
Expect(1, 12885, '\P{Nv=+00000024}', "");
Expect(0, 12885, '\P{^Nv=+00000024}', "");
Error('\p{Is_Numeric_Value=	:=00_00_00_00_024}');
Error('\P{Is_Numeric_Value=	:=00_00_00_00_024}');
Expect(1, 12884, '\p{Is_Numeric_Value=000000024}', "");
Expect(0, 12884, '\p{^Is_Numeric_Value=000000024}', "");
Expect(0, 12884, '\P{Is_Numeric_Value=000000024}', "");
Expect(1, 12884, '\P{^Is_Numeric_Value=000000024}', "");
Expect(0, 12885, '\p{Is_Numeric_Value=000000024}', "");
Expect(1, 12885, '\p{^Is_Numeric_Value=000000024}', "");
Expect(1, 12885, '\P{Is_Numeric_Value=000000024}', "");
Expect(0, 12885, '\P{^Is_Numeric_Value=000000024}', "");
Error('\p{Is_Nv=:= _0000000024}');
Error('\P{Is_Nv=:= _0000000024}');
Expect(1, 12884, '\p{Is_Nv=0000002_4}', "");
Expect(0, 12884, '\p{^Is_Nv=0000002_4}', "");
Expect(0, 12884, '\P{Is_Nv=0000002_4}', "");
Expect(1, 12884, '\P{^Is_Nv=0000002_4}', "");
Expect(0, 12885, '\p{Is_Nv=0000002_4}', "");
Expect(1, 12885, '\p{^Is_Nv=0000002_4}', "");
Expect(1, 12885, '\P{Is_Nv=0000002_4}', "");
Expect(0, 12885, '\P{^Is_Nv=0000002_4}', "");
Error('\p{Numeric_Value: :=+00000025}');
Error('\P{Numeric_Value: :=+00000025}');
Expect(1, 12885, '\p{Numeric_Value=+00000025}', "");
Expect(0, 12885, '\p{^Numeric_Value=+00000025}', "");
Expect(0, 12885, '\P{Numeric_Value=+00000025}', "");
Expect(1, 12885, '\P{^Numeric_Value=+00000025}', "");
Expect(0, 12886, '\p{Numeric_Value=+00000025}', "");
Expect(1, 12886, '\p{^Numeric_Value=+00000025}', "");
Expect(1, 12886, '\P{Numeric_Value=+00000025}', "");
Expect(0, 12886, '\P{^Numeric_Value=+00000025}', "");
Error('\p{Nv=__000_000_25/a/}');
Error('\P{Nv=__000_000_25/a/}');
Expect(1, 12885, '\p{Nv=0000025}', "");
Expect(0, 12885, '\p{^Nv=0000025}', "");
Expect(0, 12885, '\P{Nv=0000025}', "");
Expect(1, 12885, '\P{^Nv=0000025}', "");
Expect(0, 12886, '\p{Nv=0000025}', "");
Expect(1, 12886, '\p{^Nv=0000025}', "");
Expect(1, 12886, '\P{Nv=0000025}', "");
Expect(0, 12886, '\P{^Nv=0000025}', "");
Error('\p{Is_Numeric_Value= -+000000025/a/}');
Error('\P{Is_Numeric_Value= -+000000025/a/}');
Expect(1, 12885, '\p{Is_Numeric_Value=+000000025}', "");
Expect(0, 12885, '\p{^Is_Numeric_Value=+000000025}', "");
Expect(0, 12885, '\P{Is_Numeric_Value=+000000025}', "");
Expect(1, 12885, '\P{^Is_Numeric_Value=+000000025}', "");
Expect(0, 12886, '\p{Is_Numeric_Value=+000000025}', "");
Expect(1, 12886, '\p{^Is_Numeric_Value=+000000025}', "");
Expect(1, 12886, '\P{Is_Numeric_Value=+000000025}', "");
Expect(0, 12886, '\P{^Is_Numeric_Value=+000000025}', "");
Error('\p{Is_Nv=:=  0000000025}');
Error('\P{Is_Nv=:=  0000000025}');
Expect(1, 12885, '\p{Is_Nv=0_0_25}', "");
Expect(0, 12885, '\p{^Is_Nv=0_0_25}', "");
Expect(0, 12885, '\P{Is_Nv=0_0_25}', "");
Expect(1, 12885, '\P{^Is_Nv=0_0_25}', "");
Expect(0, 12886, '\p{Is_Nv=0_0_25}', "");
Expect(1, 12886, '\p{^Is_Nv=0_0_25}', "");
Expect(1, 12886, '\P{Is_Nv=0_0_25}', "");
Expect(0, 12886, '\P{^Is_Nv=0_0_25}', "");
Error('\p{Numeric_Value=/a/		+026}');
Error('\P{Numeric_Value=/a/		+026}');
Expect(1, 12886, '\p{Numeric_Value=+000002_6}', "");
Expect(0, 12886, '\p{^Numeric_Value=+000002_6}', "");
Expect(0, 12886, '\P{Numeric_Value=+000002_6}', "");
Expect(1, 12886, '\P{^Numeric_Value=+000002_6}', "");
Expect(0, 12887, '\p{Numeric_Value=+000002_6}', "");
Expect(1, 12887, '\p{^Numeric_Value=+000002_6}', "");
Expect(1, 12887, '\P{Numeric_Value=+000002_6}', "");
Expect(0, 12887, '\P{^Numeric_Value=+000002_6}', "");
Error('\p{Nv=	/a/+0002_6}');
Error('\P{Nv=	/a/+0002_6}');
Expect(1, 12886, '\p{Nv=0000026}', "");
Expect(0, 12886, '\p{^Nv=0000026}', "");
Expect(0, 12886, '\P{Nv=0000026}', "");
Expect(1, 12886, '\P{^Nv=0000026}', "");
Expect(0, 12887, '\p{Nv=0000026}', "");
Expect(1, 12887, '\p{^Nv=0000026}', "");
Expect(1, 12887, '\P{Nv=0000026}', "");
Expect(0, 12887, '\P{^Nv=0000026}', "");
Error('\p{Is_Numeric_Value=26/a/}');
Error('\P{Is_Numeric_Value=26/a/}');
Expect(1, 12886, '\p{Is_Numeric_Value:0_0_26}', "");
Expect(0, 12886, '\p{^Is_Numeric_Value:0_0_26}', "");
Expect(0, 12886, '\P{Is_Numeric_Value:0_0_26}', "");
Expect(1, 12886, '\P{^Is_Numeric_Value:0_0_26}', "");
Expect(0, 12887, '\p{Is_Numeric_Value:0_0_26}', "");
Expect(1, 12887, '\p{^Is_Numeric_Value:0_0_26}', "");
Expect(1, 12887, '\P{Is_Numeric_Value:0_0_26}', "");
Expect(0, 12887, '\P{^Is_Numeric_Value:0_0_26}', "");
Error('\p{Is_Nv=	:=02_6}');
Error('\P{Is_Nv=	:=02_6}');
Expect(1, 12886, '\p{Is_Nv=0_0_0_0_0_00026}', "");
Expect(0, 12886, '\p{^Is_Nv=0_0_0_0_0_00026}', "");
Expect(0, 12886, '\P{Is_Nv=0_0_0_0_0_00026}', "");
Expect(1, 12886, '\P{^Is_Nv=0_0_0_0_0_00026}', "");
Expect(0, 12887, '\p{Is_Nv=0_0_0_0_0_00026}', "");
Expect(1, 12887, '\p{^Is_Nv=0_0_0_0_0_00026}', "");
Expect(1, 12887, '\P{Is_Nv=0_0_0_0_0_00026}', "");
Expect(0, 12887, '\P{^Is_Nv=0_0_0_0_0_00026}', "");
Error('\p{Numeric_Value=:=	02_7}');
Error('\P{Numeric_Value=:=	02_7}');
Expect(1, 12887, '\p{Numeric_Value=27}', "");
Expect(0, 12887, '\p{^Numeric_Value=27}', "");
Expect(0, 12887, '\P{Numeric_Value=27}', "");
Expect(1, 12887, '\P{^Numeric_Value=27}', "");
Expect(0, 12888, '\p{Numeric_Value=27}', "");
Expect(1, 12888, '\p{^Numeric_Value=27}', "");
Expect(1, 12888, '\P{Numeric_Value=27}', "");
Expect(0, 12888, '\P{^Numeric_Value=27}', "");
Error('\p{Nv=	/a/00_00_00_027}');
Error('\P{Nv=	/a/00_00_00_027}');
Expect(1, 12887, '\p{Nv=00_00_00_27}', "");
Expect(0, 12887, '\p{^Nv=00_00_00_27}', "");
Expect(0, 12887, '\P{Nv=00_00_00_27}', "");
Expect(1, 12887, '\P{^Nv=00_00_00_27}', "");
Expect(0, 12888, '\p{Nv=00_00_00_27}', "");
Expect(1, 12888, '\p{^Nv=00_00_00_27}', "");
Expect(1, 12888, '\P{Nv=00_00_00_27}', "");
Expect(0, 12888, '\P{^Nv=00_00_00_27}', "");
Error('\p{Is_Numeric_Value=	 0002_7/a/}');
Error('\P{Is_Numeric_Value=	 0002_7/a/}');
Expect(1, 12887, '\p{Is_Numeric_Value=0_0_27}', "");
Expect(0, 12887, '\p{^Is_Numeric_Value=0_0_27}', "");
Expect(0, 12887, '\P{Is_Numeric_Value=0_0_27}', "");
Expect(1, 12887, '\P{^Is_Numeric_Value=0_0_27}', "");
Expect(0, 12888, '\p{Is_Numeric_Value=0_0_27}', "");
Expect(1, 12888, '\p{^Is_Numeric_Value=0_0_27}', "");
Expect(1, 12888, '\P{Is_Numeric_Value=0_0_27}', "");
Expect(0, 12888, '\P{^Is_Numeric_Value=0_0_27}', "");
Error('\p{Is_Nv=	:=+002_7}');
Error('\P{Is_Nv=	:=+002_7}');
Expect(1, 12887, '\p{Is_Nv=+0000000027}', "");
Expect(0, 12887, '\p{^Is_Nv=+0000000027}', "");
Expect(0, 12887, '\P{Is_Nv=+0000000027}', "");
Expect(1, 12887, '\P{^Is_Nv=+0000000027}', "");
Expect(0, 12888, '\p{Is_Nv=+0000000027}', "");
Expect(1, 12888, '\p{^Is_Nv=+0000000027}', "");
Expect(1, 12888, '\P{Is_Nv=+0000000027}', "");
Expect(0, 12888, '\P{^Is_Nv=+0000000027}', "");
Error('\p{Numeric_Value=-	000028/a/}');
Error('\P{Numeric_Value=-	000028/a/}');
Expect(1, 12888, '\p{Numeric_Value=0000000028}', "");
Expect(0, 12888, '\p{^Numeric_Value=0000000028}', "");
Expect(0, 12888, '\P{Numeric_Value=0000000028}', "");
Expect(1, 12888, '\P{^Numeric_Value=0000000028}', "");
Expect(0, 12889, '\p{Numeric_Value=0000000028}', "");
Expect(1, 12889, '\p{^Numeric_Value=0000000028}', "");
Expect(1, 12889, '\P{Numeric_Value=0000000028}', "");
Expect(0, 12889, '\P{^Numeric_Value=0000000028}', "");
Error('\p{Nv=-:=+0028}');
Error('\P{Nv=-:=+0028}');
Expect(1, 12888, '\p{Nv=0_0_0_0_0_0_028}', "");
Expect(0, 12888, '\p{^Nv=0_0_0_0_0_0_028}', "");
Expect(0, 12888, '\P{Nv=0_0_0_0_0_0_028}', "");
Expect(1, 12888, '\P{^Nv=0_0_0_0_0_0_028}', "");
Expect(0, 12889, '\p{Nv=0_0_0_0_0_0_028}', "");
Expect(1, 12889, '\p{^Nv=0_0_0_0_0_0_028}', "");
Expect(1, 12889, '\P{Nv=0_0_0_0_0_0_028}', "");
Expect(0, 12889, '\P{^Nv=0_0_0_0_0_0_028}', "");
Error('\p{Is_Numeric_Value=:=-	00_00_28}');
Error('\P{Is_Numeric_Value=:=-	00_00_28}');
Expect(1, 12888, '\p{Is_Numeric_Value=+00000002_8}', "");
Expect(0, 12888, '\p{^Is_Numeric_Value=+00000002_8}', "");
Expect(0, 12888, '\P{Is_Numeric_Value=+00000002_8}', "");
Expect(1, 12888, '\P{^Is_Numeric_Value=+00000002_8}', "");
Expect(0, 12889, '\p{Is_Numeric_Value=+00000002_8}', "");
Expect(1, 12889, '\p{^Is_Numeric_Value=+00000002_8}', "");
Expect(1, 12889, '\P{Is_Numeric_Value=+00000002_8}', "");
Expect(0, 12889, '\P{^Is_Numeric_Value=+00000002_8}', "");
Error('\p{Is_Nv=_02_8/a/}');
Error('\P{Is_Nv=_02_8/a/}');
Expect(1, 12888, '\p{Is_Nv=000_002_8}', "");
Expect(0, 12888, '\p{^Is_Nv=000_002_8}', "");
Expect(0, 12888, '\P{Is_Nv=000_002_8}', "");
Expect(1, 12888, '\P{^Is_Nv=000_002_8}', "");
Expect(0, 12889, '\p{Is_Nv=000_002_8}', "");
Expect(1, 12889, '\p{^Is_Nv=000_002_8}', "");
Expect(1, 12889, '\P{Is_Nv=000_002_8}', "");
Expect(0, 12889, '\P{^Is_Nv=000_002_8}', "");
Error('\p{Numeric_Value=__0002_9/a/}');
Error('\P{Numeric_Value=__0002_9/a/}');
Expect(1, 12889, '\p{Numeric_Value=000000029}', "");
Expect(0, 12889, '\p{^Numeric_Value=000000029}', "");
Expect(0, 12889, '\P{Numeric_Value=000000029}', "");
Expect(1, 12889, '\P{^Numeric_Value=000000029}', "");
Expect(0, 12890, '\p{Numeric_Value=000000029}', "");
Expect(1, 12890, '\p{^Numeric_Value=000000029}', "");
Expect(1, 12890, '\P{Numeric_Value=000000029}', "");
Expect(0, 12890, '\P{^Numeric_Value=000000029}', "");
Error('\p{Nv: :=	 02_9}');
Error('\P{Nv: :=	 02_9}');
Expect(1, 12889, '\p{Nv=02_9}', "");
Expect(0, 12889, '\p{^Nv=02_9}', "");
Expect(0, 12889, '\P{Nv=02_9}', "");
Expect(1, 12889, '\P{^Nv=02_9}', "");
Expect(0, 12890, '\p{Nv=02_9}', "");
Expect(1, 12890, '\p{^Nv=02_9}', "");
Expect(1, 12890, '\P{Nv=02_9}', "");
Expect(0, 12890, '\P{^Nv=02_9}', "");
Error('\p{Is_Numeric_Value=_:=0000000029}');
Error('\P{Is_Numeric_Value=_:=0000000029}');
Expect(1, 12889, '\p{Is_Numeric_Value: 0_0_0_0_0_0_0_029}', "");
Expect(0, 12889, '\p{^Is_Numeric_Value: 0_0_0_0_0_0_0_029}', "");
Expect(0, 12889, '\P{Is_Numeric_Value: 0_0_0_0_0_0_0_029}', "");
Expect(1, 12889, '\P{^Is_Numeric_Value: 0_0_0_0_0_0_0_029}', "");
Expect(0, 12890, '\p{Is_Numeric_Value: 0_0_0_0_0_0_0_029}', "");
Expect(1, 12890, '\p{^Is_Numeric_Value: 0_0_0_0_0_0_0_029}', "");
Expect(1, 12890, '\P{Is_Numeric_Value: 0_0_0_0_0_0_0_029}', "");
Expect(0, 12890, '\P{^Is_Numeric_Value: 0_0_0_0_0_0_0_029}', "");
Error('\p{Is_Nv=/a/ 	+0029}');
Error('\P{Is_Nv=/a/ 	+0029}');
Expect(1, 12889, '\p{Is_Nv=029}', "");
Expect(0, 12889, '\p{^Is_Nv=029}', "");
Expect(0, 12889, '\P{Is_Nv=029}', "");
Expect(1, 12889, '\P{^Is_Nv=029}', "");
Expect(0, 12890, '\p{Is_Nv=029}', "");
Expect(1, 12890, '\p{^Is_Nv=029}', "");
Expect(1, 12890, '\P{Is_Nv=029}', "");
Expect(0, 12890, '\P{^Is_Nv=029}', "");
Error('\p{Numeric_Value= /a/0000003}');
Error('\P{Numeric_Value= /a/0000003}');
Expect(1, 146203, '\p{Numeric_Value:0_0_03}', "");
Expect(0, 146203, '\p{^Numeric_Value:0_0_03}', "");
Expect(0, 146203, '\P{Numeric_Value:0_0_03}', "");
Expect(1, 146203, '\P{^Numeric_Value:0_0_03}', "");
Expect(0, 146204, '\p{Numeric_Value:0_0_03}', "");
Expect(1, 146204, '\p{^Numeric_Value:0_0_03}', "");
Expect(1, 146204, '\P{Numeric_Value:0_0_03}', "");
Expect(0, 146204, '\P{^Numeric_Value:0_0_03}', "");
Error('\p{Nv=/a/	-0_0_0_0_003}');
Error('\P{Nv=/a/	-0_0_0_0_003}');
Expect(1, 146203, '\p{Nv=+00_00_00_3}', "");
Expect(0, 146203, '\p{^Nv=+00_00_00_3}', "");
Expect(0, 146203, '\P{Nv=+00_00_00_3}', "");
Expect(1, 146203, '\P{^Nv=+00_00_00_3}', "");
Expect(0, 146204, '\p{Nv=+00_00_00_3}', "");
Expect(1, 146204, '\p{^Nv=+00_00_00_3}', "");
Expect(1, 146204, '\P{Nv=+00_00_00_3}', "");
Expect(0, 146204, '\P{^Nv=+00_00_00_3}', "");
Error('\p{Is_Numeric_Value=0003:=}');
Error('\P{Is_Numeric_Value=0003:=}');
Expect(1, 146203, '\p{Is_Numeric_Value: +00_00_00_003}', "");
Expect(0, 146203, '\p{^Is_Numeric_Value: +00_00_00_003}', "");
Expect(0, 146203, '\P{Is_Numeric_Value: +00_00_00_003}', "");
Expect(1, 146203, '\P{^Is_Numeric_Value: +00_00_00_003}', "");
Expect(0, 146204, '\p{Is_Numeric_Value: +00_00_00_003}', "");
Expect(1, 146204, '\p{^Is_Numeric_Value: +00_00_00_003}', "");
Expect(1, 146204, '\P{Is_Numeric_Value: +00_00_00_003}', "");
Expect(0, 146204, '\P{^Is_Numeric_Value: +00_00_00_003}', "");
Error('\p{Is_Nv=:=0_0_0_0_0_003}');
Error('\P{Is_Nv=:=0_0_0_0_0_003}');
Expect(1, 146203, '\p{Is_Nv=+0000_3}', "");
Expect(0, 146203, '\p{^Is_Nv=+0000_3}', "");
Expect(0, 146203, '\P{Is_Nv=+0000_3}', "");
Expect(1, 146203, '\P{^Is_Nv=+0000_3}', "");
Expect(0, 146204, '\p{Is_Nv=+0000_3}', "");
Expect(1, 146204, '\p{^Is_Nv=+0000_3}', "");
Expect(1, 146204, '\P{Is_Nv=+0000_3}', "");
Expect(0, 146204, '\P{^Is_Nv=+0000_3}', "");
Error('\p{Numeric_Value=-000003/000016:=}');
Error('\P{Numeric_Value=-000003/000016:=}');
Expect(1, 43061, '\p{Numeric_Value: +000003/000000016}', "");
Expect(0, 43061, '\p{^Numeric_Value: +000003/000000016}', "");
Expect(0, 43061, '\P{Numeric_Value: +000003/000000016}', "");
Expect(1, 43061, '\P{^Numeric_Value: +000003/000000016}', "");
Expect(0, 43062, '\p{Numeric_Value: +000003/000000016}', "");
Expect(1, 43062, '\p{^Numeric_Value: +000003/000000016}', "");
Expect(1, 43062, '\P{Numeric_Value: +000003/000000016}', "");
Expect(0, 43062, '\P{^Numeric_Value: +000003/000000016}', "");
Error('\p{Numeric_Value=0.19}');
Error('\P{Numeric_Value=0.19}');
Expect(1, 43061, '\p{Numeric_Value=0.188}', "");
Expect(0, 43061, '\p{^Numeric_Value=0.188}', "");
Expect(0, 43061, '\P{Numeric_Value=0.188}', "");
Expect(1, 43061, '\P{^Numeric_Value=0.188}', "");
Expect(0, 43062, '\p{Numeric_Value=0.188}', "");
Expect(1, 43062, '\p{^Numeric_Value=0.188}', "");
Expect(1, 43062, '\P{Numeric_Value=0.188}', "");
Expect(0, 43062, '\P{^Numeric_Value=0.188}', "");
Error('\p{Nv=:= _00000003/0000000016}');
Error('\P{Nv=:= _00000003/0000000016}');
Expect(1, 43061, '\p{Nv=003/0000000016}', "");
Expect(0, 43061, '\p{^Nv=003/0000000016}', "");
Expect(0, 43061, '\P{Nv=003/0000000016}', "");
Expect(1, 43061, '\P{^Nv=003/0000000016}', "");
Expect(0, 43062, '\p{Nv=003/0000000016}', "");
Expect(1, 43062, '\p{^Nv=003/0000000016}', "");
Expect(1, 43062, '\P{Nv=003/0000000016}', "");
Expect(0, 43062, '\P{^Nv=003/0000000016}', "");
Error('\p{Nv=0.19}');
Error('\P{Nv=0.19}');
Expect(1, 43061, '\p{Nv=0.188}', "");
Expect(0, 43061, '\p{^Nv=0.188}', "");
Expect(0, 43061, '\P{Nv=0.188}', "");
Expect(1, 43061, '\P{^Nv=0.188}', "");
Expect(0, 43062, '\p{Nv=0.188}', "");
Expect(1, 43062, '\p{^Nv=0.188}', "");
Expect(1, 43062, '\P{Nv=0.188}', "");
Expect(0, 43062, '\P{^Nv=0.188}', "");
Error('\p{Is_Numeric_Value= :=+0000003/00016}');
Error('\P{Is_Numeric_Value= :=+0000003/00016}');
Expect(1, 43061, '\p{Is_Numeric_Value=0000000003/00000000016}', "");
Expect(0, 43061, '\p{^Is_Numeric_Value=0000000003/00000000016}', "");
Expect(0, 43061, '\P{Is_Numeric_Value=0000000003/00000000016}', "");
Expect(1, 43061, '\P{^Is_Numeric_Value=0000000003/00000000016}', "");
Expect(0, 43062, '\p{Is_Numeric_Value=0000000003/00000000016}', "");
Expect(1, 43062, '\p{^Is_Numeric_Value=0000000003/00000000016}', "");
Expect(1, 43062, '\P{Is_Numeric_Value=0000000003/00000000016}', "");
Expect(0, 43062, '\P{^Is_Numeric_Value=0000000003/00000000016}', "");
Error('\p{Is_Numeric_Value=0.19}');
Error('\P{Is_Numeric_Value=0.19}');
Expect(1, 43061, '\p{Is_Numeric_Value=0.188}', "");
Expect(0, 43061, '\p{^Is_Numeric_Value=0.188}', "");
Expect(0, 43061, '\P{Is_Numeric_Value=0.188}', "");
Expect(1, 43061, '\P{^Is_Numeric_Value=0.188}', "");
Expect(0, 43062, '\p{Is_Numeric_Value=0.188}', "");
Expect(1, 43062, '\p{^Is_Numeric_Value=0.188}', "");
Expect(1, 43062, '\P{Is_Numeric_Value=0.188}', "");
Expect(0, 43062, '\P{^Is_Numeric_Value=0.188}', "");
Error('\p{Is_Nv=_/a/03/000016}');
Error('\P{Is_Nv=_/a/03/000016}');
Expect(1, 43061, '\p{Is_Nv=+0000000003/16}', "");
Expect(0, 43061, '\p{^Is_Nv=+0000000003/16}', "");
Expect(0, 43061, '\P{Is_Nv=+0000000003/16}', "");
Expect(1, 43061, '\P{^Is_Nv=+0000000003/16}', "");
Expect(0, 43062, '\p{Is_Nv=+0000000003/16}', "");
Expect(1, 43062, '\p{^Is_Nv=+0000000003/16}', "");
Expect(1, 43062, '\P{Is_Nv=+0000000003/16}', "");
Expect(0, 43062, '\P{^Is_Nv=+0000000003/16}', "");
Error('\p{Is_Nv=0.19}');
Error('\P{Is_Nv=0.19}');
Expect(1, 43061, '\p{Is_Nv=0.188}', "");
Expect(0, 43061, '\p{^Is_Nv=0.188}', "");
Expect(0, 43061, '\P{Is_Nv=0.188}', "");
Expect(1, 43061, '\P{^Is_Nv=0.188}', "");
Expect(0, 43062, '\p{Is_Nv=0.188}', "");
Expect(1, 43062, '\p{^Is_Nv=0.188}', "");
Expect(1, 43062, '\P{Is_Nv=0.188}', "");
Expect(0, 43062, '\P{^Is_Nv=0.188}', "");
Error('\p{Numeric_Value=/a/_000000003/00002}');
Error('\P{Numeric_Value=/a/_000000003/00002}');
Expect(1, 3883, '\p{Numeric_Value:00000003/0000000002}', "");
Expect(0, 3883, '\p{^Numeric_Value:00000003/0000000002}', "");
Expect(0, 3883, '\P{Numeric_Value:00000003/0000000002}', "");
Expect(1, 3883, '\P{^Numeric_Value:00000003/0000000002}', "");
Expect(0, 3884, '\p{Numeric_Value:00000003/0000000002}', "");
Expect(1, 3884, '\p{^Numeric_Value:00000003/0000000002}', "");
Expect(1, 3884, '\P{Numeric_Value:00000003/0000000002}', "");
Expect(0, 3884, '\P{^Numeric_Value:00000003/0000000002}', "");
Expect(1, 3883, '\p{Numeric_Value=1.500}', "");
Expect(0, 3883, '\p{^Numeric_Value=1.500}', "");
Expect(0, 3883, '\P{Numeric_Value=1.500}', "");
Expect(1, 3883, '\P{^Numeric_Value=1.500}', "");
Expect(0, 3884, '\p{Numeric_Value=1.500}', "");
Expect(1, 3884, '\p{^Numeric_Value=1.500}', "");
Expect(1, 3884, '\P{Numeric_Value=1.500}', "");
Expect(0, 3884, '\P{^Numeric_Value=1.500}', "");
Error('\p{Nv=/a/-00000003/000002}');
Error('\P{Nv=/a/-00000003/000002}');
Expect(1, 3883, '\p{Nv: +000000003/0000000002}', "");
Expect(0, 3883, '\p{^Nv: +000000003/0000000002}', "");
Expect(0, 3883, '\P{Nv: +000000003/0000000002}', "");
Expect(1, 3883, '\P{^Nv: +000000003/0000000002}', "");
Expect(0, 3884, '\p{Nv: +000000003/0000000002}', "");
Expect(1, 3884, '\p{^Nv: +000000003/0000000002}', "");
Expect(1, 3884, '\P{Nv: +000000003/0000000002}', "");
Expect(0, 3884, '\P{^Nv: +000000003/0000000002}', "");
Expect(1, 3883, '\p{Nv:   1.500}', "");
Expect(0, 3883, '\p{^Nv:   1.500}', "");
Expect(0, 3883, '\P{Nv:   1.500}', "");
Expect(1, 3883, '\P{^Nv:   1.500}', "");
Expect(0, 3884, '\p{Nv:   1.500}', "");
Expect(1, 3884, '\p{^Nv:   1.500}', "");
Expect(1, 3884, '\P{Nv:   1.500}', "");
Expect(0, 3884, '\P{^Nv:   1.500}', "");
Error('\p{Is_Numeric_Value=/a/_	0003/2}');
Error('\P{Is_Numeric_Value=/a/_	0003/2}');
Expect(1, 3883, '\p{Is_Numeric_Value=0000003/02}', "");
Expect(0, 3883, '\p{^Is_Numeric_Value=0000003/02}', "");
Expect(0, 3883, '\P{Is_Numeric_Value=0000003/02}', "");
Expect(1, 3883, '\P{^Is_Numeric_Value=0000003/02}', "");
Expect(0, 3884, '\p{Is_Numeric_Value=0000003/02}', "");
Expect(1, 3884, '\p{^Is_Numeric_Value=0000003/02}', "");
Expect(1, 3884, '\P{Is_Numeric_Value=0000003/02}', "");
Expect(0, 3884, '\P{^Is_Numeric_Value=0000003/02}', "");
Expect(1, 3883, '\p{Is_Numeric_Value=1.500}', "");
Expect(0, 3883, '\p{^Is_Numeric_Value=1.500}', "");
Expect(0, 3883, '\P{Is_Numeric_Value=1.500}', "");
Expect(1, 3883, '\P{^Is_Numeric_Value=1.500}', "");
Expect(0, 3884, '\p{Is_Numeric_Value=1.500}', "");
Expect(1, 3884, '\p{^Is_Numeric_Value=1.500}', "");
Expect(1, 3884, '\P{Is_Numeric_Value=1.500}', "");
Expect(0, 3884, '\P{^Is_Numeric_Value=1.500}', "");
Error('\p{Is_Nv:_+3/0002:=}');
Error('\P{Is_Nv:_+3/0002:=}');
Expect(1, 3883, '\p{Is_Nv=0000000003/00002}', "");
Expect(0, 3883, '\p{^Is_Nv=0000000003/00002}', "");
Expect(0, 3883, '\P{Is_Nv=0000000003/00002}', "");
Expect(1, 3883, '\P{^Is_Nv=0000000003/00002}', "");
Expect(0, 3884, '\p{Is_Nv=0000000003/00002}', "");
Expect(1, 3884, '\p{^Is_Nv=0000000003/00002}', "");
Expect(1, 3884, '\P{Is_Nv=0000000003/00002}', "");
Expect(0, 3884, '\P{^Is_Nv=0000000003/00002}', "");
Expect(1, 3883, '\p{Is_Nv:1.500}', "");
Expect(0, 3883, '\p{^Is_Nv:1.500}', "");
Expect(0, 3883, '\P{Is_Nv:1.500}', "");
Expect(1, 3883, '\P{^Is_Nv:1.500}', "");
Expect(0, 3884, '\p{Is_Nv:1.500}', "");
Expect(1, 3884, '\p{^Is_Nv:1.500}', "");
Expect(1, 3884, '\P{Is_Nv:1.500}', "");
Expect(0, 3884, '\P{^Is_Nv:1.500}', "");
Error('\p{Numeric_Value:   :=003/00004}');
Error('\P{Numeric_Value:   :=003/00004}');
Expect(1, 65912, '\p{Numeric_Value=+0000003/000000004}', "");
Expect(0, 65912, '\p{^Numeric_Value=+0000003/000000004}', "");
Expect(0, 65912, '\P{Numeric_Value=+0000003/000000004}', "");
Expect(1, 65912, '\P{^Numeric_Value=+0000003/000000004}', "");
Expect(0, 65913, '\p{Numeric_Value=+0000003/000000004}', "");
Expect(1, 65913, '\p{^Numeric_Value=+0000003/000000004}', "");
Expect(1, 65913, '\P{Numeric_Value=+0000003/000000004}', "");
Expect(0, 65913, '\P{^Numeric_Value=+0000003/000000004}', "");
Expect(1, 65912, '\p{Numeric_Value=0.750}', "");
Expect(0, 65912, '\p{^Numeric_Value=0.750}', "");
Expect(0, 65912, '\P{Numeric_Value=0.750}', "");
Expect(1, 65912, '\P{^Numeric_Value=0.750}', "");
Expect(0, 65913, '\p{Numeric_Value=0.750}', "");
Expect(1, 65913, '\p{^Numeric_Value=0.750}', "");
Expect(1, 65913, '\P{Numeric_Value=0.750}', "");
Expect(0, 65913, '\P{^Numeric_Value=0.750}', "");
Error('\p{Nv:   /a/-_0000003/0000004}');
Error('\P{Nv:   /a/-_0000003/0000004}');
Expect(1, 65912, '\p{Nv=3/0004}', "");
Expect(0, 65912, '\p{^Nv=3/0004}', "");
Expect(0, 65912, '\P{Nv=3/0004}', "");
Expect(1, 65912, '\P{^Nv=3/0004}', "");
Expect(0, 65913, '\p{Nv=3/0004}', "");
Expect(1, 65913, '\p{^Nv=3/0004}', "");
Expect(1, 65913, '\P{Nv=3/0004}', "");
Expect(0, 65913, '\P{^Nv=3/0004}', "");
Expect(1, 65912, '\p{Nv=0.750}', "");
Expect(0, 65912, '\p{^Nv=0.750}', "");
Expect(0, 65912, '\P{Nv=0.750}', "");
Expect(1, 65912, '\P{^Nv=0.750}', "");
Expect(0, 65913, '\p{Nv=0.750}', "");
Expect(1, 65913, '\p{^Nv=0.750}', "");
Expect(1, 65913, '\P{Nv=0.750}', "");
Expect(0, 65913, '\P{^Nv=0.750}', "");
Error('\p{Is_Numeric_Value=/a/ 003/00000004}');
Error('\P{Is_Numeric_Value=/a/ 003/00000004}');
Expect(1, 65912, '\p{Is_Numeric_Value=003/000004}', "");
Expect(0, 65912, '\p{^Is_Numeric_Value=003/000004}', "");
Expect(0, 65912, '\P{Is_Numeric_Value=003/000004}', "");
Expect(1, 65912, '\P{^Is_Numeric_Value=003/000004}', "");
Expect(0, 65913, '\p{Is_Numeric_Value=003/000004}', "");
Expect(1, 65913, '\p{^Is_Numeric_Value=003/000004}', "");
Expect(1, 65913, '\P{Is_Numeric_Value=003/000004}', "");
Expect(0, 65913, '\P{^Is_Numeric_Value=003/000004}', "");
Expect(1, 65912, '\p{Is_Numeric_Value=0.750}', "");
Expect(0, 65912, '\p{^Is_Numeric_Value=0.750}', "");
Expect(0, 65912, '\P{Is_Numeric_Value=0.750}', "");
Expect(1, 65912, '\P{^Is_Numeric_Value=0.750}', "");
Expect(0, 65913, '\p{Is_Numeric_Value=0.750}', "");
Expect(1, 65913, '\p{^Is_Numeric_Value=0.750}', "");
Expect(1, 65913, '\P{Is_Numeric_Value=0.750}', "");
Expect(0, 65913, '\P{^Is_Numeric_Value=0.750}', "");
Error('\p{Is_Nv=_0003/04/a/}');
Error('\P{Is_Nv=_0003/04/a/}');
Expect(1, 65912, '\p{Is_Nv=+00003/0000004}', "");
Expect(0, 65912, '\p{^Is_Nv=+00003/0000004}', "");
Expect(0, 65912, '\P{Is_Nv=+00003/0000004}', "");
Expect(1, 65912, '\P{^Is_Nv=+00003/0000004}', "");
Expect(0, 65913, '\p{Is_Nv=+00003/0000004}', "");
Expect(1, 65913, '\p{^Is_Nv=+00003/0000004}', "");
Expect(1, 65913, '\P{Is_Nv=+00003/0000004}', "");
Expect(0, 65913, '\P{^Is_Nv=+00003/0000004}', "");
Expect(1, 65912, '\p{Is_Nv=0.750}', "");
Expect(0, 65912, '\p{^Is_Nv=0.750}', "");
Expect(0, 65912, '\P{Is_Nv=0.750}', "");
Expect(1, 65912, '\P{^Is_Nv=0.750}', "");
Expect(0, 65913, '\p{Is_Nv=0.750}', "");
Expect(1, 65913, '\p{^Is_Nv=0.750}', "");
Expect(1, 65913, '\P{Is_Nv=0.750}', "");
Expect(0, 65913, '\P{^Is_Nv=0.750}', "");
Error('\p{Numeric_Value=_:=000003/0000005}');
Error('\P{Numeric_Value=_:=000003/0000005}');
Expect(1, 8535, '\p{Numeric_Value=+03/00005}', "");
Expect(0, 8535, '\p{^Numeric_Value=+03/00005}', "");
Expect(0, 8535, '\P{Numeric_Value=+03/00005}', "");
Expect(1, 8535, '\P{^Numeric_Value=+03/00005}', "");
Expect(0, 8536, '\p{Numeric_Value=+03/00005}', "");
Expect(1, 8536, '\p{^Numeric_Value=+03/00005}', "");
Expect(1, 8536, '\P{Numeric_Value=+03/00005}', "");
Expect(0, 8536, '\P{^Numeric_Value=+03/00005}', "");
Expect(1, 8535, '\p{Numeric_Value=0.600}', "");
Expect(0, 8535, '\p{^Numeric_Value=0.600}', "");
Expect(0, 8535, '\P{Numeric_Value=0.600}', "");
Expect(1, 8535, '\P{^Numeric_Value=0.600}', "");
Expect(0, 8536, '\p{Numeric_Value=0.600}', "");
Expect(1, 8536, '\p{^Numeric_Value=0.600}', "");
Expect(1, 8536, '\P{Numeric_Value=0.600}', "");
Expect(0, 8536, '\P{^Numeric_Value=0.600}', "");
Error('\p{Nv=__+000000003/000000005:=}');
Error('\P{Nv=__+000000003/000000005:=}');
Expect(1, 8535, '\p{Nv=+000000003/00000005}', "");
Expect(0, 8535, '\p{^Nv=+000000003/00000005}', "");
Expect(0, 8535, '\P{Nv=+000000003/00000005}', "");
Expect(1, 8535, '\P{^Nv=+000000003/00000005}', "");
Expect(0, 8536, '\p{Nv=+000000003/00000005}', "");
Expect(1, 8536, '\p{^Nv=+000000003/00000005}', "");
Expect(1, 8536, '\P{Nv=+000000003/00000005}', "");
Expect(0, 8536, '\P{^Nv=+000000003/00000005}', "");
Expect(1, 8535, '\p{Nv:   0.600}', "");
Expect(0, 8535, '\p{^Nv:   0.600}', "");
Expect(0, 8535, '\P{Nv:   0.600}', "");
Expect(1, 8535, '\P{^Nv:   0.600}', "");
Expect(0, 8536, '\p{Nv:   0.600}', "");
Expect(1, 8536, '\p{^Nv:   0.600}', "");
Expect(1, 8536, '\P{Nv:   0.600}', "");
Expect(0, 8536, '\P{^Nv:   0.600}', "");
Error('\p{Is_Numeric_Value=:=_	00003/0000000005}');
Error('\P{Is_Numeric_Value=:=_	00003/0000000005}');
Expect(1, 8535, '\p{Is_Numeric_Value=+0003/000000005}', "");
Expect(0, 8535, '\p{^Is_Numeric_Value=+0003/000000005}', "");
Expect(0, 8535, '\P{Is_Numeric_Value=+0003/000000005}', "");
Expect(1, 8535, '\P{^Is_Numeric_Value=+0003/000000005}', "");
Expect(0, 8536, '\p{Is_Numeric_Value=+0003/000000005}', "");
Expect(1, 8536, '\p{^Is_Numeric_Value=+0003/000000005}', "");
Expect(1, 8536, '\P{Is_Numeric_Value=+0003/000000005}', "");
Expect(0, 8536, '\P{^Is_Numeric_Value=+0003/000000005}', "");
Expect(1, 8535, '\p{Is_Numeric_Value=0.600}', "");
Expect(0, 8535, '\p{^Is_Numeric_Value=0.600}', "");
Expect(0, 8535, '\P{Is_Numeric_Value=0.600}', "");
Expect(1, 8535, '\P{^Is_Numeric_Value=0.600}', "");
Expect(0, 8536, '\p{Is_Numeric_Value=0.600}', "");
Expect(1, 8536, '\p{^Is_Numeric_Value=0.600}', "");
Expect(1, 8536, '\P{Is_Numeric_Value=0.600}', "");
Expect(0, 8536, '\P{^Is_Numeric_Value=0.600}', "");
Error('\p{Is_Nv=/a/	 3/0000005}');
Error('\P{Is_Nv=/a/	 3/0000005}');
Expect(1, 8535, '\p{Is_Nv=0003/005}', "");
Expect(0, 8535, '\p{^Is_Nv=0003/005}', "");
Expect(0, 8535, '\P{Is_Nv=0003/005}', "");
Expect(1, 8535, '\P{^Is_Nv=0003/005}', "");
Expect(0, 8536, '\p{Is_Nv=0003/005}', "");
Expect(1, 8536, '\p{^Is_Nv=0003/005}', "");
Expect(1, 8536, '\P{Is_Nv=0003/005}', "");
Expect(0, 8536, '\P{^Is_Nv=0003/005}', "");
Expect(1, 8535, '\p{Is_Nv: 0.600}', "");
Expect(0, 8535, '\p{^Is_Nv: 0.600}', "");
Expect(0, 8535, '\P{Is_Nv: 0.600}', "");
Expect(1, 8535, '\P{^Is_Nv: 0.600}', "");
Expect(0, 8536, '\p{Is_Nv: 0.600}', "");
Expect(1, 8536, '\p{^Is_Nv: 0.600}', "");
Expect(1, 8536, '\P{Is_Nv: 0.600}', "");
Expect(0, 8536, '\P{^Is_Nv: 0.600}', "");
Error('\p{Numeric_Value= 000000003/000000008/a/}');
Error('\P{Numeric_Value= 000000003/000000008/a/}');
Expect(1, 8540, '\p{Numeric_Value=+0003/08}', "");
Expect(0, 8540, '\p{^Numeric_Value=+0003/08}', "");
Expect(0, 8540, '\P{Numeric_Value=+0003/08}', "");
Expect(1, 8540, '\P{^Numeric_Value=+0003/08}', "");
Expect(0, 8541, '\p{Numeric_Value=+0003/08}', "");
Expect(1, 8541, '\p{^Numeric_Value=+0003/08}', "");
Expect(1, 8541, '\P{Numeric_Value=+0003/08}', "");
Expect(0, 8541, '\P{^Numeric_Value=+0003/08}', "");
Error('\p{Numeric_Value=0.38}');
Error('\P{Numeric_Value=0.38}');
Expect(1, 8540, '\p{Numeric_Value=0.375}', "");
Expect(0, 8540, '\p{^Numeric_Value=0.375}', "");
Expect(0, 8540, '\P{Numeric_Value=0.375}', "");
Expect(1, 8540, '\P{^Numeric_Value=0.375}', "");
Expect(0, 8541, '\p{Numeric_Value=0.375}', "");
Expect(1, 8541, '\p{^Numeric_Value=0.375}', "");
Expect(1, 8541, '\P{Numeric_Value=0.375}', "");
Expect(0, 8541, '\P{^Numeric_Value=0.375}', "");
Error('\p{Nv=		03/00000008:=}');
Error('\P{Nv=		03/00000008:=}');
Expect(1, 8540, '\p{Nv=0000003/0000000008}', "");
Expect(0, 8540, '\p{^Nv=0000003/0000000008}', "");
Expect(0, 8540, '\P{Nv=0000003/0000000008}', "");
Expect(1, 8540, '\P{^Nv=0000003/0000000008}', "");
Expect(0, 8541, '\p{Nv=0000003/0000000008}', "");
Expect(1, 8541, '\p{^Nv=0000003/0000000008}', "");
Expect(1, 8541, '\P{Nv=0000003/0000000008}', "");
Expect(0, 8541, '\P{^Nv=0000003/0000000008}', "");
Error('\p{Nv=0.38}');
Error('\P{Nv=0.38}');
Expect(1, 8540, '\p{Nv=0.375}', "");
Expect(0, 8540, '\p{^Nv=0.375}', "");
Expect(0, 8540, '\P{Nv=0.375}', "");
Expect(1, 8540, '\P{^Nv=0.375}', "");
Expect(0, 8541, '\p{Nv=0.375}', "");
Expect(1, 8541, '\p{^Nv=0.375}', "");
Expect(1, 8541, '\P{Nv=0.375}', "");
Expect(0, 8541, '\P{^Nv=0.375}', "");
Error('\p{Is_Numeric_Value=_/a/+00003/08}');
Error('\P{Is_Numeric_Value=_/a/+00003/08}');
Expect(1, 8540, '\p{Is_Numeric_Value=+00000003/00000008}', "");
Expect(0, 8540, '\p{^Is_Numeric_Value=+00000003/00000008}', "");
Expect(0, 8540, '\P{Is_Numeric_Value=+00000003/00000008}', "");
Expect(1, 8540, '\P{^Is_Numeric_Value=+00000003/00000008}', "");
Expect(0, 8541, '\p{Is_Numeric_Value=+00000003/00000008}', "");
Expect(1, 8541, '\p{^Is_Numeric_Value=+00000003/00000008}', "");
Expect(1, 8541, '\P{Is_Numeric_Value=+00000003/00000008}', "");
Expect(0, 8541, '\P{^Is_Numeric_Value=+00000003/00000008}', "");
Error('\p{Is_Numeric_Value=0.38}');
Error('\P{Is_Numeric_Value=0.38}');
Expect(1, 8540, '\p{Is_Numeric_Value=0.375}', "");
Expect(0, 8540, '\p{^Is_Numeric_Value=0.375}', "");
Expect(0, 8540, '\P{Is_Numeric_Value=0.375}', "");
Expect(1, 8540, '\P{^Is_Numeric_Value=0.375}', "");
Expect(0, 8541, '\p{Is_Numeric_Value=0.375}', "");
Expect(1, 8541, '\p{^Is_Numeric_Value=0.375}', "");
Expect(1, 8541, '\P{Is_Numeric_Value=0.375}', "");
Expect(0, 8541, '\P{^Is_Numeric_Value=0.375}', "");
Error('\p{Is_Nv=/a/	003/000000008}');
Error('\P{Is_Nv=/a/	003/000000008}');
Expect(1, 8540, '\p{Is_Nv=0000003/8}', "");
Expect(0, 8540, '\p{^Is_Nv=0000003/8}', "");
Expect(0, 8540, '\P{Is_Nv=0000003/8}', "");
Expect(1, 8540, '\P{^Is_Nv=0000003/8}', "");
Expect(0, 8541, '\p{Is_Nv=0000003/8}', "");
Expect(1, 8541, '\p{^Is_Nv=0000003/8}', "");
Expect(1, 8541, '\P{Is_Nv=0000003/8}', "");
Expect(0, 8541, '\P{^Is_Nv=0000003/8}', "");
Error('\p{Is_Nv=0.38}');
Error('\P{Is_Nv=0.38}');
Expect(1, 8540, '\p{Is_Nv=0.375}', "");
Expect(0, 8540, '\p{^Is_Nv=0.375}', "");
Expect(0, 8540, '\P{Is_Nv=0.375}', "");
Expect(1, 8540, '\P{^Is_Nv=0.375}', "");
Expect(0, 8541, '\p{Is_Nv=0.375}', "");
Expect(1, 8541, '\p{^Is_Nv=0.375}', "");
Expect(1, 8541, '\P{Is_Nv=0.375}', "");
Expect(0, 8541, '\P{^Is_Nv=0.375}', "");
Error('\p{Numeric_Value=_+0000030/a/}');
Error('\P{Numeric_Value=_+0000030/a/}');
Expect(1, 133507, '\p{Numeric_Value=0000030}', "");
Expect(0, 133507, '\p{^Numeric_Value=0000030}', "");
Expect(0, 133507, '\P{Numeric_Value=0000030}', "");
Expect(1, 133507, '\P{^Numeric_Value=0000030}', "");
Expect(0, 133508, '\p{Numeric_Value=0000030}', "");
Expect(1, 133508, '\p{^Numeric_Value=0000030}', "");
Expect(1, 133508, '\P{Numeric_Value=0000030}', "");
Expect(0, 133508, '\P{^Numeric_Value=0000030}', "");
Error('\p{Nv=_ 00003_0:=}');
Error('\P{Nv=_ 00003_0:=}');
Expect(1, 133507, '\p{Nv=0000030}', "");
Expect(0, 133507, '\p{^Nv=0000030}', "");
Expect(0, 133507, '\P{Nv=0000030}', "");
Expect(1, 133507, '\P{^Nv=0000030}', "");
Expect(0, 133508, '\p{Nv=0000030}', "");
Expect(1, 133508, '\p{^Nv=0000030}', "");
Expect(1, 133508, '\P{Nv=0000030}', "");
Expect(0, 133508, '\P{^Nv=0000030}', "");
Error('\p{Is_Numeric_Value=:=0000003_0}');
Error('\P{Is_Numeric_Value=:=0000003_0}');
Expect(1, 133507, '\p{Is_Numeric_Value=+003_0}', "");
Expect(0, 133507, '\p{^Is_Numeric_Value=+003_0}', "");
Expect(0, 133507, '\P{Is_Numeric_Value=+003_0}', "");
Expect(1, 133507, '\P{^Is_Numeric_Value=+003_0}', "");
Expect(0, 133508, '\p{Is_Numeric_Value=+003_0}', "");
Expect(1, 133508, '\p{^Is_Numeric_Value=+003_0}', "");
Expect(1, 133508, '\P{Is_Numeric_Value=+003_0}', "");
Expect(0, 133508, '\P{^Is_Numeric_Value=+003_0}', "");
Error('\p{Is_Nv=:=-_0030}');
Error('\P{Is_Nv=:=-_0030}');
Expect(1, 133507, '\p{Is_Nv=030}', "");
Expect(0, 133507, '\p{^Is_Nv=030}', "");
Expect(0, 133507, '\P{Is_Nv=030}', "");
Expect(1, 133507, '\P{^Is_Nv=030}', "");
Expect(0, 133508, '\p{Is_Nv=030}', "");
Expect(1, 133508, '\p{^Is_Nv=030}', "");
Expect(1, 133508, '\P{Is_Nv=030}', "");
Expect(0, 133508, '\P{^Is_Nv=030}', "");
Error('\p{Numeric_Value=:=+000030_0}');
Error('\P{Numeric_Value=:=+000030_0}');
Expect(1, 69236, '\p{Numeric_Value=0000300}', "");
Expect(0, 69236, '\p{^Numeric_Value=0000300}', "");
Expect(0, 69236, '\P{Numeric_Value=0000300}', "");
Expect(1, 69236, '\P{^Numeric_Value=0000300}', "");
Expect(0, 69237, '\p{Numeric_Value=0000300}', "");
Expect(1, 69237, '\p{^Numeric_Value=0000300}', "");
Expect(1, 69237, '\P{Numeric_Value=0000300}', "");
Expect(0, 69237, '\P{^Numeric_Value=0000300}', "");
Error('\p{Nv=_0_3_00/a/}');
Error('\P{Nv=_0_3_00/a/}');
Expect(1, 69236, '\p{Nv=+00000300}', "");
Expect(0, 69236, '\p{^Nv=+00000300}', "");
Expect(0, 69236, '\P{Nv=+00000300}', "");
Expect(1, 69236, '\P{^Nv=+00000300}', "");
Expect(0, 69237, '\p{Nv=+00000300}', "");
Expect(1, 69237, '\p{^Nv=+00000300}', "");
Expect(1, 69237, '\P{Nv=+00000300}', "");
Expect(0, 69237, '\P{^Nv=+00000300}', "");
Error('\p{Is_Numeric_Value=	0_0_0_0_0_0_0_0_300:=}');
Error('\P{Is_Numeric_Value=	0_0_0_0_0_0_0_0_300:=}');
Expect(1, 69236, '\p{Is_Numeric_Value=00_03_00}', "");
Expect(0, 69236, '\p{^Is_Numeric_Value=00_03_00}', "");
Expect(0, 69236, '\P{Is_Numeric_Value=00_03_00}', "");
Expect(1, 69236, '\P{^Is_Numeric_Value=00_03_00}', "");
Expect(0, 69237, '\p{Is_Numeric_Value=00_03_00}', "");
Expect(1, 69237, '\p{^Is_Numeric_Value=00_03_00}', "");
Expect(1, 69237, '\P{Is_Numeric_Value=00_03_00}', "");
Expect(0, 69237, '\P{^Is_Numeric_Value=00_03_00}', "");
Error('\p{Is_Nv:	/a/0030_0}');
Error('\P{Is_Nv:	/a/0030_0}');
Expect(1, 69236, '\p{Is_Nv:030_0}', "");
Expect(0, 69236, '\p{^Is_Nv:030_0}', "");
Expect(0, 69236, '\P{Is_Nv:030_0}', "");
Expect(1, 69236, '\P{^Is_Nv:030_0}', "");
Expect(0, 69237, '\p{Is_Nv:030_0}', "");
Expect(1, 69237, '\p{^Is_Nv:030_0}', "");
Expect(1, 69237, '\P{Is_Nv:030_0}', "");
Expect(0, 69237, '\P{^Is_Nv:030_0}', "");
Error('\p{Numeric_Value=-:=0_0_0_3_000}');
Error('\P{Numeric_Value=-:=0_0_0_3_000}');
Expect(1, 65828, '\p{Numeric_Value:	+0_0_0_3_000}', "");
Expect(0, 65828, '\p{^Numeric_Value:	+0_0_0_3_000}', "");
Expect(0, 65828, '\P{Numeric_Value:	+0_0_0_3_000}', "");
Expect(1, 65828, '\P{^Numeric_Value:	+0_0_0_3_000}', "");
Expect(0, 65829, '\p{Numeric_Value:	+0_0_0_3_000}', "");
Expect(1, 65829, '\p{^Numeric_Value:	+0_0_0_3_000}', "");
Expect(1, 65829, '\P{Numeric_Value:	+0_0_0_3_000}', "");
Expect(0, 65829, '\P{^Numeric_Value:	+0_0_0_3_000}', "");
Error('\p{Nv=/a/  +00003000}');
Error('\P{Nv=/a/  +00003000}');
Expect(1, 65828, '\p{Nv=003000}', "");
Expect(0, 65828, '\p{^Nv=003000}', "");
Expect(0, 65828, '\P{Nv=003000}', "");
Expect(1, 65828, '\P{^Nv=003000}', "");
Expect(0, 65829, '\p{Nv=003000}', "");
Expect(1, 65829, '\p{^Nv=003000}', "");
Expect(1, 65829, '\P{Nv=003000}', "");
Expect(0, 65829, '\P{^Nv=003000}', "");
Error('\p{Is_Numeric_Value=/a/_	300_0}');
Error('\P{Is_Numeric_Value=/a/_	300_0}');
Expect(1, 65828, '\p{Is_Numeric_Value=+00003000}', "");
Expect(0, 65828, '\p{^Is_Numeric_Value=+00003000}', "");
Expect(0, 65828, '\P{Is_Numeric_Value=+00003000}', "");
Expect(1, 65828, '\P{^Is_Numeric_Value=+00003000}', "");
Expect(0, 65829, '\p{Is_Numeric_Value=+00003000}', "");
Expect(1, 65829, '\p{^Is_Numeric_Value=+00003000}', "");
Expect(1, 65829, '\P{Is_Numeric_Value=+00003000}', "");
Expect(0, 65829, '\P{^Is_Numeric_Value=+00003000}', "");
Error('\p{Is_Nv=/a/_	003000}');
Error('\P{Is_Nv=/a/_	003000}');
Expect(1, 65828, '\p{Is_Nv=000000003000}', "");
Expect(0, 65828, '\p{^Is_Nv=000000003000}', "");
Expect(0, 65828, '\P{Is_Nv=000000003000}', "");
Expect(1, 65828, '\P{^Is_Nv=000000003000}', "");
Expect(0, 65829, '\p{Is_Nv=000000003000}', "");
Expect(1, 65829, '\p{^Is_Nv=000000003000}', "");
Expect(1, 65829, '\P{Is_Nv=000000003000}', "");
Expect(0, 65829, '\P{^Is_Nv=000000003000}', "");
Error('\p{Numeric_Value= 000000030000/a/}');
Error('\P{Numeric_Value= 000000030000/a/}');
Expect(1, 65837, '\p{Numeric_Value=0_0_0_0_0_0_030000}', "");
Expect(0, 65837, '\p{^Numeric_Value=0_0_0_0_0_0_030000}', "");
Expect(0, 65837, '\P{Numeric_Value=0_0_0_0_0_0_030000}', "");
Expect(1, 65837, '\P{^Numeric_Value=0_0_0_0_0_0_030000}', "");
Expect(0, 65838, '\p{Numeric_Value=0_0_0_0_0_0_030000}', "");
Expect(1, 65838, '\p{^Numeric_Value=0_0_0_0_0_0_030000}', "");
Expect(1, 65838, '\P{Numeric_Value=0_0_0_0_0_0_030000}', "");
Expect(0, 65838, '\P{^Numeric_Value=0_0_0_0_0_0_030000}', "");
Error('\p{Nv=:=__+3_0_0_00}');
Error('\P{Nv=:=__+3_0_0_00}');
Expect(1, 65837, '\p{Nv=0_3_0_000}', "");
Expect(0, 65837, '\p{^Nv=0_3_0_000}', "");
Expect(0, 65837, '\P{Nv=0_3_0_000}', "");
Expect(1, 65837, '\P{^Nv=0_3_0_000}', "");
Expect(0, 65838, '\p{Nv=0_3_0_000}', "");
Expect(1, 65838, '\p{^Nv=0_3_0_000}', "");
Expect(1, 65838, '\P{Nv=0_3_0_000}', "");
Expect(0, 65838, '\P{^Nv=0_3_0_000}', "");
Error('\p{Is_Numeric_Value= /a/00000000030000}');
Error('\P{Is_Numeric_Value= /a/00000000030000}');
Expect(1, 65837, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_30000}', "");
Expect(0, 65837, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_30000}', "");
Expect(0, 65837, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_30000}', "");
Expect(1, 65837, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_30000}', "");
Expect(0, 65838, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_30000}', "");
Expect(1, 65838, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_30000}', "");
Expect(1, 65838, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_30000}', "");
Expect(0, 65838, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_0_30000}', "");
Error('\p{Is_Nv=	_+0000030000/a/}');
Error('\P{Is_Nv=	_+0000030000/a/}');
Expect(1, 65837, '\p{Is_Nv=000000030000}', "");
Expect(0, 65837, '\p{^Is_Nv=000000030000}', "");
Expect(0, 65837, '\P{Is_Nv=000000030000}', "");
Expect(1, 65837, '\P{^Is_Nv=000000030000}', "");
Expect(0, 65838, '\p{Is_Nv=000000030000}', "");
Expect(1, 65838, '\p{^Is_Nv=000000030000}', "");
Expect(1, 65838, '\P{Is_Nv=000000030000}', "");
Expect(0, 65838, '\P{^Is_Nv=000000030000}', "");
Error('\p{Numeric_Value=/a/+31}');
Error('\P{Numeric_Value=/a/+31}');
Expect(1, 12891, '\p{Numeric_Value=0003_1}', "");
Expect(0, 12891, '\p{^Numeric_Value=0003_1}', "");
Expect(0, 12891, '\P{Numeric_Value=0003_1}', "");
Expect(1, 12891, '\P{^Numeric_Value=0003_1}', "");
Expect(0, 12892, '\p{Numeric_Value=0003_1}', "");
Expect(1, 12892, '\p{^Numeric_Value=0003_1}', "");
Expect(1, 12892, '\P{Numeric_Value=0003_1}', "");
Expect(0, 12892, '\P{^Numeric_Value=0003_1}', "");
Error('\p{Nv= +03_1/a/}');
Error('\P{Nv= +03_1/a/}');
Expect(1, 12891, '\p{Nv=+00000000031}', "");
Expect(0, 12891, '\p{^Nv=+00000000031}', "");
Expect(0, 12891, '\P{Nv=+00000000031}', "");
Expect(1, 12891, '\P{^Nv=+00000000031}', "");
Expect(0, 12892, '\p{Nv=+00000000031}', "");
Expect(1, 12892, '\p{^Nv=+00000000031}', "");
Expect(1, 12892, '\P{Nv=+00000000031}', "");
Expect(0, 12892, '\P{^Nv=+00000000031}', "");
Error('\p{Is_Numeric_Value= -00000000031:=}');
Error('\P{Is_Numeric_Value= -00000000031:=}');
Expect(1, 12891, '\p{Is_Numeric_Value=000031}', "");
Expect(0, 12891, '\p{^Is_Numeric_Value=000031}', "");
Expect(0, 12891, '\P{Is_Numeric_Value=000031}', "");
Expect(1, 12891, '\P{^Is_Numeric_Value=000031}', "");
Expect(0, 12892, '\p{Is_Numeric_Value=000031}', "");
Expect(1, 12892, '\p{^Is_Numeric_Value=000031}', "");
Expect(1, 12892, '\P{Is_Numeric_Value=000031}', "");
Expect(0, 12892, '\P{^Is_Numeric_Value=000031}', "");
Error('\p{Is_Nv=:= +0_0_31}');
Error('\P{Is_Nv=:= +0_0_31}');
Expect(1, 12891, '\p{Is_Nv=00000000031}', "");
Expect(0, 12891, '\p{^Is_Nv=00000000031}', "");
Expect(0, 12891, '\P{Is_Nv=00000000031}', "");
Expect(1, 12891, '\P{^Is_Nv=00000000031}', "");
Expect(0, 12892, '\p{Is_Nv=00000000031}', "");
Expect(1, 12892, '\p{^Is_Nv=00000000031}', "");
Expect(1, 12892, '\P{Is_Nv=00000000031}', "");
Expect(0, 12892, '\P{^Is_Nv=00000000031}', "");
Error('\p{Numeric_Value=	/a/00_03_2}');
Error('\P{Numeric_Value=	/a/00_03_2}');
Expect(1, 12892, '\p{Numeric_Value=032}', "");
Expect(0, 12892, '\p{^Numeric_Value=032}', "");
Expect(0, 12892, '\P{Numeric_Value=032}', "");
Expect(1, 12892, '\P{^Numeric_Value=032}', "");
Expect(0, 12893, '\p{Numeric_Value=032}', "");
Expect(1, 12893, '\p{^Numeric_Value=032}', "");
Expect(1, 12893, '\P{Numeric_Value=032}', "");
Expect(0, 12893, '\P{^Numeric_Value=032}', "");
Error('\p{Nv=/a/_000_003_2}');
Error('\P{Nv=/a/_000_003_2}');
Expect(1, 12892, '\p{Nv=00000003_2}', "");
Expect(0, 12892, '\p{^Nv=00000003_2}', "");
Expect(0, 12892, '\P{Nv=00000003_2}', "");
Expect(1, 12892, '\P{^Nv=00000003_2}', "");
Expect(0, 12893, '\p{Nv=00000003_2}', "");
Expect(1, 12893, '\p{^Nv=00000003_2}', "");
Expect(1, 12893, '\P{Nv=00000003_2}', "");
Expect(0, 12893, '\P{^Nv=00000003_2}', "");
Error('\p{Is_Numeric_Value=	_+0_0_0_0_032/a/}');
Error('\P{Is_Numeric_Value=	_+0_0_0_0_032/a/}');
Expect(1, 12892, '\p{Is_Numeric_Value=+0000000032}', "");
Expect(0, 12892, '\p{^Is_Numeric_Value=+0000000032}', "");
Expect(0, 12892, '\P{Is_Numeric_Value=+0000000032}', "");
Expect(1, 12892, '\P{^Is_Numeric_Value=+0000000032}', "");
Expect(0, 12893, '\p{Is_Numeric_Value=+0000000032}', "");
Expect(1, 12893, '\p{^Is_Numeric_Value=+0000000032}', "");
Expect(1, 12893, '\P{Is_Numeric_Value=+0000000032}', "");
Expect(0, 12893, '\P{^Is_Numeric_Value=+0000000032}', "");
Error('\p{Is_Nv=:=_000000032}');
Error('\P{Is_Nv=:=_000000032}');
Expect(1, 12892, '\p{Is_Nv=000000032}', "");
Expect(0, 12892, '\p{^Is_Nv=000000032}', "");
Expect(0, 12892, '\P{Is_Nv=000000032}', "");
Expect(1, 12892, '\P{^Is_Nv=000000032}', "");
Expect(0, 12893, '\p{Is_Nv=000000032}', "");
Expect(1, 12893, '\p{^Is_Nv=000000032}', "");
Expect(1, 12893, '\P{Is_Nv=000000032}', "");
Expect(0, 12893, '\P{^Is_Nv=000000032}', "");
Error('\p{Numeric_Value=:= 0000000033}');
Error('\P{Numeric_Value=:= 0000000033}');
Expect(1, 12893, '\p{Numeric_Value=0033}', "");
Expect(0, 12893, '\p{^Numeric_Value=0033}', "");
Expect(0, 12893, '\P{Numeric_Value=0033}', "");
Expect(1, 12893, '\P{^Numeric_Value=0033}', "");
Expect(0, 12894, '\p{Numeric_Value=0033}', "");
Expect(1, 12894, '\p{^Numeric_Value=0033}', "");
Expect(1, 12894, '\P{Numeric_Value=0033}', "");
Expect(0, 12894, '\P{^Numeric_Value=0033}', "");
Error('\p{Nv=-/a/00000033}');
Error('\P{Nv=-/a/00000033}');
Expect(1, 12893, '\p{Nv:+00000000033}', "");
Expect(0, 12893, '\p{^Nv:+00000000033}', "");
Expect(0, 12893, '\P{Nv:+00000000033}', "");
Expect(1, 12893, '\P{^Nv:+00000000033}', "");
Expect(0, 12894, '\p{Nv:+00000000033}', "");
Expect(1, 12894, '\p{^Nv:+00000000033}', "");
Expect(1, 12894, '\P{Nv:+00000000033}', "");
Expect(0, 12894, '\P{^Nv:+00000000033}', "");
Error('\p{Is_Numeric_Value=		0000000033:=}');
Error('\P{Is_Numeric_Value=		0000000033:=}');
Expect(1, 12893, '\p{Is_Numeric_Value=000_000_000_33}', "");
Expect(0, 12893, '\p{^Is_Numeric_Value=000_000_000_33}', "");
Expect(0, 12893, '\P{Is_Numeric_Value=000_000_000_33}', "");
Expect(1, 12893, '\P{^Is_Numeric_Value=000_000_000_33}', "");
Expect(0, 12894, '\p{Is_Numeric_Value=000_000_000_33}', "");
Expect(1, 12894, '\p{^Is_Numeric_Value=000_000_000_33}', "");
Expect(1, 12894, '\P{Is_Numeric_Value=000_000_000_33}', "");
Expect(0, 12894, '\P{^Is_Numeric_Value=000_000_000_33}', "");
Error('\p{Is_Nv:	/a/ _03_3}');
Error('\P{Is_Nv:	/a/ _03_3}');
Expect(1, 12893, '\p{Is_Nv=+0000000033}', "");
Expect(0, 12893, '\p{^Is_Nv=+0000000033}', "");
Expect(0, 12893, '\P{Is_Nv=+0000000033}', "");
Expect(1, 12893, '\P{^Is_Nv=+0000000033}', "");
Expect(0, 12894, '\p{Is_Nv=+0000000033}', "");
Expect(1, 12894, '\p{^Is_Nv=+0000000033}', "");
Expect(1, 12894, '\P{Is_Nv=+0000000033}', "");
Expect(0, 12894, '\P{^Is_Nv=+0000000033}', "");
Error('\p{Numeric_Value=/a/00000000034}');
Error('\P{Numeric_Value=/a/00000000034}');
Expect(1, 12894, '\p{Numeric_Value=00_00_03_4}', "");
Expect(0, 12894, '\p{^Numeric_Value=00_00_03_4}', "");
Expect(0, 12894, '\P{Numeric_Value=00_00_03_4}', "");
Expect(1, 12894, '\P{^Numeric_Value=00_00_03_4}', "");
Expect(0, 12895, '\p{Numeric_Value=00_00_03_4}', "");
Expect(1, 12895, '\p{^Numeric_Value=00_00_03_4}', "");
Expect(1, 12895, '\P{Numeric_Value=00_00_03_4}', "");
Expect(0, 12895, '\P{^Numeric_Value=00_00_03_4}', "");
Error('\p{Nv=:=00000003_4}');
Error('\P{Nv=:=00000003_4}');
Expect(1, 12894, '\p{Nv=+0_0_0_0_0_0_034}', "");
Expect(0, 12894, '\p{^Nv=+0_0_0_0_0_0_034}', "");
Expect(0, 12894, '\P{Nv=+0_0_0_0_0_0_034}', "");
Expect(1, 12894, '\P{^Nv=+0_0_0_0_0_0_034}', "");
Expect(0, 12895, '\p{Nv=+0_0_0_0_0_0_034}', "");
Expect(1, 12895, '\p{^Nv=+0_0_0_0_0_0_034}', "");
Expect(1, 12895, '\P{Nv=+0_0_0_0_0_0_034}', "");
Expect(0, 12895, '\P{^Nv=+0_0_0_0_0_0_034}', "");
Error('\p{Is_Numeric_Value=--+3_4/a/}');
Error('\P{Is_Numeric_Value=--+3_4/a/}');
Expect(1, 12894, '\p{Is_Numeric_Value=+00_00_00_034}', "");
Expect(0, 12894, '\p{^Is_Numeric_Value=+00_00_00_034}', "");
Expect(0, 12894, '\P{Is_Numeric_Value=+00_00_00_034}', "");
Expect(1, 12894, '\P{^Is_Numeric_Value=+00_00_00_034}', "");
Expect(0, 12895, '\p{Is_Numeric_Value=+00_00_00_034}', "");
Expect(1, 12895, '\p{^Is_Numeric_Value=+00_00_00_034}', "");
Expect(1, 12895, '\P{Is_Numeric_Value=+00_00_00_034}', "");
Expect(0, 12895, '\P{^Is_Numeric_Value=+00_00_00_034}', "");
Error('\p{Is_Nv=_ +000000034/a/}');
Error('\P{Is_Nv=_ +000000034/a/}');
Expect(1, 12894, '\p{Is_Nv=0_0_0_034}', "");
Expect(0, 12894, '\p{^Is_Nv=0_0_0_034}', "");
Expect(0, 12894, '\P{Is_Nv=0_0_0_034}', "");
Expect(1, 12894, '\P{^Is_Nv=0_0_0_034}', "");
Expect(0, 12895, '\p{Is_Nv=0_0_0_034}', "");
Expect(1, 12895, '\p{^Is_Nv=0_0_0_034}', "");
Expect(1, 12895, '\P{Is_Nv=0_0_0_034}', "");
Expect(0, 12895, '\P{^Is_Nv=0_0_0_034}', "");
Error('\p{Numeric_Value=__+0000035/a/}');
Error('\P{Numeric_Value=__+0000035/a/}');
Expect(1, 12895, '\p{Numeric_Value=3_5}', "");
Expect(0, 12895, '\p{^Numeric_Value=3_5}', "");
Expect(0, 12895, '\P{Numeric_Value=3_5}', "");
Expect(1, 12895, '\P{^Numeric_Value=3_5}', "");
Expect(0, 12896, '\p{Numeric_Value=3_5}', "");
Expect(1, 12896, '\p{^Numeric_Value=3_5}', "");
Expect(1, 12896, '\P{Numeric_Value=3_5}', "");
Expect(0, 12896, '\P{^Numeric_Value=3_5}', "");
Error('\p{Nv=-_0_0_0_035/a/}');
Error('\P{Nv=-_0_0_0_035/a/}');
Expect(1, 12895, '\p{Nv=03_5}', "");
Expect(0, 12895, '\p{^Nv=03_5}', "");
Expect(0, 12895, '\P{Nv=03_5}', "");
Expect(1, 12895, '\P{^Nv=03_5}', "");
Expect(0, 12896, '\p{Nv=03_5}', "");
Expect(1, 12896, '\p{^Nv=03_5}', "");
Expect(1, 12896, '\P{Nv=03_5}', "");
Expect(0, 12896, '\P{^Nv=03_5}', "");
Error('\p{Is_Numeric_Value=/a/	 +0035}');
Error('\P{Is_Numeric_Value=/a/	 +0035}');
Expect(1, 12895, '\p{Is_Numeric_Value=0_0_0_0_0_0_035}', "");
Expect(0, 12895, '\p{^Is_Numeric_Value=0_0_0_0_0_0_035}', "");
Expect(0, 12895, '\P{Is_Numeric_Value=0_0_0_0_0_0_035}', "");
Expect(1, 12895, '\P{^Is_Numeric_Value=0_0_0_0_0_0_035}', "");
Expect(0, 12896, '\p{Is_Numeric_Value=0_0_0_0_0_0_035}', "");
Expect(1, 12896, '\p{^Is_Numeric_Value=0_0_0_0_0_0_035}', "");
Expect(1, 12896, '\P{Is_Numeric_Value=0_0_0_0_0_0_035}', "");
Expect(0, 12896, '\P{^Is_Numeric_Value=0_0_0_0_0_0_035}', "");
Error('\p{Is_Nv=_-03_5/a/}');
Error('\P{Is_Nv=_-03_5/a/}');
Expect(1, 12895, '\p{Is_Nv=0000035}', "");
Expect(0, 12895, '\p{^Is_Nv=0000035}', "");
Expect(0, 12895, '\P{Is_Nv=0000035}', "");
Expect(1, 12895, '\P{^Is_Nv=0000035}', "");
Expect(0, 12896, '\p{Is_Nv=0000035}', "");
Expect(1, 12896, '\p{^Is_Nv=0000035}', "");
Expect(1, 12896, '\P{Is_Nv=0000035}', "");
Expect(0, 12896, '\P{^Is_Nv=0000035}', "");
Error('\p{Numeric_Value= :=0000000036}');
Error('\P{Numeric_Value= :=0000000036}');
Expect(1, 12977, '\p{Numeric_Value=036}', "");
Expect(0, 12977, '\p{^Numeric_Value=036}', "");
Expect(0, 12977, '\P{Numeric_Value=036}', "");
Expect(1, 12977, '\P{^Numeric_Value=036}', "");
Expect(0, 12978, '\p{Numeric_Value=036}', "");
Expect(1, 12978, '\p{^Numeric_Value=036}', "");
Expect(1, 12978, '\P{Numeric_Value=036}', "");
Expect(0, 12978, '\P{^Numeric_Value=036}', "");
Error('\p{Nv=_/a/0_0_0_0_0_0_0_36}');
Error('\P{Nv=_/a/0_0_0_0_0_0_0_36}');
Expect(1, 12977, '\p{Nv=3_6}', "");
Expect(0, 12977, '\p{^Nv=3_6}', "");
Expect(0, 12977, '\P{Nv=3_6}', "");
Expect(1, 12977, '\P{^Nv=3_6}', "");
Expect(0, 12978, '\p{Nv=3_6}', "");
Expect(1, 12978, '\p{^Nv=3_6}', "");
Expect(1, 12978, '\P{Nv=3_6}', "");
Expect(0, 12978, '\P{^Nv=3_6}', "");
Error('\p{Is_Numeric_Value=-:=+0_0_0_0_0_036}');
Error('\P{Is_Numeric_Value=-:=+0_0_0_0_0_036}');
Expect(1, 12977, '\p{Is_Numeric_Value=0_0_0_0_0_0036}', "");
Expect(0, 12977, '\p{^Is_Numeric_Value=0_0_0_0_0_0036}', "");
Expect(0, 12977, '\P{Is_Numeric_Value=0_0_0_0_0_0036}', "");
Expect(1, 12977, '\P{^Is_Numeric_Value=0_0_0_0_0_0036}', "");
Expect(0, 12978, '\p{Is_Numeric_Value=0_0_0_0_0_0036}', "");
Expect(1, 12978, '\p{^Is_Numeric_Value=0_0_0_0_0_0036}', "");
Expect(1, 12978, '\P{Is_Numeric_Value=0_0_0_0_0_0036}', "");
Expect(0, 12978, '\P{^Is_Numeric_Value=0_0_0_0_0_0036}', "");
Error('\p{Is_Nv= /a/0000036}');
Error('\P{Is_Nv= /a/0000036}');
Expect(1, 12977, '\p{Is_Nv=00000_00003_6}', "");
Expect(0, 12977, '\p{^Is_Nv=00000_00003_6}', "");
Expect(0, 12977, '\P{Is_Nv=00000_00003_6}', "");
Expect(1, 12977, '\P{^Is_Nv=00000_00003_6}', "");
Expect(0, 12978, '\p{Is_Nv=00000_00003_6}', "");
Expect(1, 12978, '\p{^Is_Nv=00000_00003_6}', "");
Expect(1, 12978, '\P{Is_Nv=00000_00003_6}', "");
Expect(0, 12978, '\P{^Is_Nv=00000_00003_6}', "");
Error('\p{Numeric_Value=_:=00003_7}');
Error('\P{Numeric_Value=_:=00003_7}');
Expect(1, 12978, '\p{Numeric_Value=0037}', "");
Expect(0, 12978, '\p{^Numeric_Value=0037}', "");
Expect(0, 12978, '\P{Numeric_Value=0037}', "");
Expect(1, 12978, '\P{^Numeric_Value=0037}', "");
Expect(0, 12979, '\p{Numeric_Value=0037}', "");
Expect(1, 12979, '\p{^Numeric_Value=0037}', "");
Expect(1, 12979, '\P{Numeric_Value=0037}', "");
Expect(0, 12979, '\P{^Numeric_Value=0037}', "");
Error('\p{Nv=:=		0_0_37}');
Error('\P{Nv=:=		0_0_37}');
Expect(1, 12978, '\p{Nv=00037}', "");
Expect(0, 12978, '\p{^Nv=00037}', "");
Expect(0, 12978, '\P{Nv=00037}', "");
Expect(1, 12978, '\P{^Nv=00037}', "");
Expect(0, 12979, '\p{Nv=00037}', "");
Expect(1, 12979, '\p{^Nv=00037}', "");
Expect(1, 12979, '\P{Nv=00037}', "");
Expect(0, 12979, '\P{^Nv=00037}', "");
Error('\p{Is_Numeric_Value=-:=003_7}');
Error('\P{Is_Numeric_Value=-:=003_7}');
Expect(1, 12978, '\p{Is_Numeric_Value=37}', "");
Expect(0, 12978, '\p{^Is_Numeric_Value=37}', "");
Expect(0, 12978, '\P{Is_Numeric_Value=37}', "");
Expect(1, 12978, '\P{^Is_Numeric_Value=37}', "");
Expect(0, 12979, '\p{Is_Numeric_Value=37}', "");
Expect(1, 12979, '\p{^Is_Numeric_Value=37}', "");
Expect(1, 12979, '\P{Is_Numeric_Value=37}', "");
Expect(0, 12979, '\P{^Is_Numeric_Value=37}', "");
Error('\p{Is_Nv=		+3_7:=}');
Error('\P{Is_Nv=		+3_7:=}');
Expect(1, 12978, '\p{Is_Nv:	0_0_0_0_0_0_037}', "");
Expect(0, 12978, '\p{^Is_Nv:	0_0_0_0_0_0_037}', "");
Expect(0, 12978, '\P{Is_Nv:	0_0_0_0_0_0_037}', "");
Expect(1, 12978, '\P{^Is_Nv:	0_0_0_0_0_0_037}', "");
Expect(0, 12979, '\p{Is_Nv:	0_0_0_0_0_0_037}', "");
Expect(1, 12979, '\p{^Is_Nv:	0_0_0_0_0_0_037}', "");
Expect(1, 12979, '\P{Is_Nv:	0_0_0_0_0_0_037}', "");
Expect(0, 12979, '\P{^Is_Nv:	0_0_0_0_0_0_037}', "");
Error('\p{Numeric_Value=_000003_8:=}');
Error('\P{Numeric_Value=_000003_8:=}');
Expect(1, 12979, '\p{Numeric_Value=0038}', "");
Expect(0, 12979, '\p{^Numeric_Value=0038}', "");
Expect(0, 12979, '\P{Numeric_Value=0038}', "");
Expect(1, 12979, '\P{^Numeric_Value=0038}', "");
Expect(0, 12980, '\p{Numeric_Value=0038}', "");
Expect(1, 12980, '\p{^Numeric_Value=0038}', "");
Expect(1, 12980, '\P{Numeric_Value=0038}', "");
Expect(0, 12980, '\P{^Numeric_Value=0038}', "");
Error('\p{Nv=-/a/0_0_0_0_0_0_00038}');
Error('\P{Nv=-/a/0_0_0_0_0_0_00038}');
Expect(1, 12979, '\p{Nv=03_8}', "");
Expect(0, 12979, '\p{^Nv=03_8}', "");
Expect(0, 12979, '\P{Nv=03_8}', "");
Expect(1, 12979, '\P{^Nv=03_8}', "");
Expect(0, 12980, '\p{Nv=03_8}', "");
Expect(1, 12980, '\p{^Nv=03_8}', "");
Expect(1, 12980, '\P{Nv=03_8}', "");
Expect(0, 12980, '\P{^Nv=03_8}', "");
Error('\p{Is_Numeric_Value= +00_00_38/a/}');
Error('\P{Is_Numeric_Value= +00_00_38/a/}');
Expect(1, 12979, '\p{Is_Numeric_Value=0038}', "");
Expect(0, 12979, '\p{^Is_Numeric_Value=0038}', "");
Expect(0, 12979, '\P{Is_Numeric_Value=0038}', "");
Expect(1, 12979, '\P{^Is_Numeric_Value=0038}', "");
Expect(0, 12980, '\p{Is_Numeric_Value=0038}', "");
Expect(1, 12980, '\p{^Is_Numeric_Value=0038}', "");
Expect(1, 12980, '\P{Is_Numeric_Value=0038}', "");
Expect(0, 12980, '\P{^Is_Numeric_Value=0038}', "");
Error('\p{Is_Nv:    	38/a/}');
Error('\P{Is_Nv:    	38/a/}');
Expect(1, 12979, '\p{Is_Nv=+00_03_8}', "");
Expect(0, 12979, '\p{^Is_Nv=+00_03_8}', "");
Expect(0, 12979, '\P{Is_Nv=+00_03_8}', "");
Expect(1, 12979, '\P{^Is_Nv=+00_03_8}', "");
Expect(0, 12980, '\p{Is_Nv=+00_03_8}', "");
Expect(1, 12980, '\p{^Is_Nv=+00_03_8}', "");
Expect(1, 12980, '\P{Is_Nv=+00_03_8}', "");
Expect(0, 12980, '\P{^Is_Nv=+00_03_8}', "");
Error('\p{Numeric_Value:	_/a/0039}');
Error('\P{Numeric_Value:	_/a/0039}');
Expect(1, 12980, '\p{Numeric_Value=000000039}', "");
Expect(0, 12980, '\p{^Numeric_Value=000000039}', "");
Expect(0, 12980, '\P{Numeric_Value=000000039}', "");
Expect(1, 12980, '\P{^Numeric_Value=000000039}', "");
Expect(0, 12981, '\p{Numeric_Value=000000039}', "");
Expect(1, 12981, '\p{^Numeric_Value=000000039}', "");
Expect(1, 12981, '\P{Numeric_Value=000000039}', "");
Expect(0, 12981, '\P{^Numeric_Value=000000039}', "");
Error('\p{Nv=:=	_0000039}');
Error('\P{Nv=:=	_0000039}');
Expect(1, 12980, '\p{Nv=003_9}', "");
Expect(0, 12980, '\p{^Nv=003_9}', "");
Expect(0, 12980, '\P{Nv=003_9}', "");
Expect(1, 12980, '\P{^Nv=003_9}', "");
Expect(0, 12981, '\p{Nv=003_9}', "");
Expect(1, 12981, '\p{^Nv=003_9}', "");
Expect(1, 12981, '\P{Nv=003_9}', "");
Expect(0, 12981, '\P{^Nv=003_9}', "");
Error('\p{Is_Numeric_Value=/a/	+0_0_0_0_039}');
Error('\P{Is_Numeric_Value=/a/	+0_0_0_0_039}');
Expect(1, 12980, '\p{Is_Numeric_Value=000039}', "");
Expect(0, 12980, '\p{^Is_Numeric_Value=000039}', "");
Expect(0, 12980, '\P{Is_Numeric_Value=000039}', "");
Expect(1, 12980, '\P{^Is_Numeric_Value=000039}', "");
Expect(0, 12981, '\p{Is_Numeric_Value=000039}', "");
Expect(1, 12981, '\p{^Is_Numeric_Value=000039}', "");
Expect(1, 12981, '\P{Is_Numeric_Value=000039}', "");
Expect(0, 12981, '\P{^Is_Numeric_Value=000039}', "");
Error('\p{Is_Nv=:= 	000003_9}');
Error('\P{Is_Nv=:= 	000003_9}');
Expect(1, 12980, '\p{Is_Nv=000000039}', "");
Expect(0, 12980, '\p{^Is_Nv=000000039}', "");
Expect(0, 12980, '\P{Is_Nv=000000039}', "");
Expect(1, 12980, '\P{^Is_Nv=000000039}', "");
Expect(0, 12981, '\p{Is_Nv=000000039}', "");
Expect(1, 12981, '\p{^Is_Nv=000000039}', "");
Expect(1, 12981, '\P{Is_Nv=000000039}', "");
Expect(0, 12981, '\P{^Is_Nv=000000039}', "");
Error('\p{Numeric_Value=:=+0000004}');
Error('\P{Numeric_Value=:=+0000004}');
Expect(1, 156269, '\p{Numeric_Value=00004}', "");
Expect(0, 156269, '\p{^Numeric_Value=00004}', "");
Expect(0, 156269, '\P{Numeric_Value=00004}', "");
Expect(1, 156269, '\P{^Numeric_Value=00004}', "");
Expect(0, 156270, '\p{Numeric_Value=00004}', "");
Expect(1, 156270, '\p{^Numeric_Value=00004}', "");
Expect(1, 156270, '\P{Numeric_Value=00004}', "");
Expect(0, 156270, '\P{^Numeric_Value=00004}', "");
Error('\p{Nv=:=	+0000000004}');
Error('\P{Nv=:=	+0000000004}');
Expect(1, 156269, '\p{Nv=04}', "");
Expect(0, 156269, '\p{^Nv=04}', "");
Expect(0, 156269, '\P{Nv=04}', "");
Expect(1, 156269, '\P{^Nv=04}', "");
Expect(0, 156270, '\p{Nv=04}', "");
Expect(1, 156270, '\p{^Nv=04}', "");
Expect(1, 156270, '\P{Nv=04}', "");
Expect(0, 156270, '\P{^Nv=04}', "");
Error('\p{Is_Numeric_Value= /a/0_0_0_0_0_04}');
Error('\P{Is_Numeric_Value= /a/0_0_0_0_0_04}');
Expect(1, 156269, '\p{Is_Numeric_Value=4}', "");
Expect(0, 156269, '\p{^Is_Numeric_Value=4}', "");
Expect(0, 156269, '\P{Is_Numeric_Value=4}', "");
Expect(1, 156269, '\P{^Is_Numeric_Value=4}', "");
Expect(0, 156270, '\p{Is_Numeric_Value=4}', "");
Expect(1, 156270, '\p{^Is_Numeric_Value=4}', "");
Expect(1, 156270, '\P{Is_Numeric_Value=4}', "");
Expect(0, 156270, '\P{^Is_Numeric_Value=4}', "");
Error('\p{Is_Nv=:=		+04}');
Error('\P{Is_Nv=:=		+04}');
Expect(1, 156269, '\p{Is_Nv=4}', "");
Expect(0, 156269, '\p{^Is_Nv=4}', "");
Expect(0, 156269, '\P{Is_Nv=4}', "");
Expect(1, 156269, '\P{^Is_Nv=4}', "");
Expect(0, 156270, '\p{Is_Nv=4}', "");
Expect(1, 156270, '\p{^Is_Nv=4}', "");
Expect(1, 156270, '\P{Is_Nv=4}', "");
Expect(0, 156270, '\P{^Is_Nv=4}', "");
Error('\p{Numeric_Value= /a/00004/000005}');
Error('\P{Numeric_Value= /a/00004/000005}');
Expect(1, 8536, '\p{Numeric_Value=+004/0005}', "");
Expect(0, 8536, '\p{^Numeric_Value=+004/0005}', "");
Expect(0, 8536, '\P{Numeric_Value=+004/0005}', "");
Expect(1, 8536, '\P{^Numeric_Value=+004/0005}', "");
Expect(0, 8537, '\p{Numeric_Value=+004/0005}', "");
Expect(1, 8537, '\p{^Numeric_Value=+004/0005}', "");
Expect(1, 8537, '\P{Numeric_Value=+004/0005}', "");
Expect(0, 8537, '\P{^Numeric_Value=+004/0005}', "");
Expect(1, 8536, '\p{Numeric_Value=0.800}', "");
Expect(0, 8536, '\p{^Numeric_Value=0.800}', "");
Expect(0, 8536, '\P{Numeric_Value=0.800}', "");
Expect(1, 8536, '\P{^Numeric_Value=0.800}', "");
Expect(0, 8537, '\p{Numeric_Value=0.800}', "");
Expect(1, 8537, '\p{^Numeric_Value=0.800}', "");
Expect(1, 8537, '\P{Numeric_Value=0.800}', "");
Expect(0, 8537, '\P{^Numeric_Value=0.800}', "");
Error('\p{Nv: _000000004/0000005:=}');
Error('\P{Nv: _000000004/0000005:=}');
Expect(1, 8536, '\p{Nv=00004/05}', "");
Expect(0, 8536, '\p{^Nv=00004/05}', "");
Expect(0, 8536, '\P{Nv=00004/05}', "");
Expect(1, 8536, '\P{^Nv=00004/05}', "");
Expect(0, 8537, '\p{Nv=00004/05}', "");
Expect(1, 8537, '\p{^Nv=00004/05}', "");
Expect(1, 8537, '\P{Nv=00004/05}', "");
Expect(0, 8537, '\P{^Nv=00004/05}', "");
Expect(1, 8536, '\p{Nv=0.800}', "");
Expect(0, 8536, '\p{^Nv=0.800}', "");
Expect(0, 8536, '\P{Nv=0.800}', "");
Expect(1, 8536, '\P{^Nv=0.800}', "");
Expect(0, 8537, '\p{Nv=0.800}', "");
Expect(1, 8537, '\p{^Nv=0.800}', "");
Expect(1, 8537, '\P{Nv=0.800}', "");
Expect(0, 8537, '\P{^Nv=0.800}', "");
Error('\p{Is_Numeric_Value=:=_-+000000004/000005}');
Error('\P{Is_Numeric_Value=:=_-+000000004/000005}');
Expect(1, 8536, '\p{Is_Numeric_Value=04/0005}', "");
Expect(0, 8536, '\p{^Is_Numeric_Value=04/0005}', "");
Expect(0, 8536, '\P{Is_Numeric_Value=04/0005}', "");
Expect(1, 8536, '\P{^Is_Numeric_Value=04/0005}', "");
Expect(0, 8537, '\p{Is_Numeric_Value=04/0005}', "");
Expect(1, 8537, '\p{^Is_Numeric_Value=04/0005}', "");
Expect(1, 8537, '\P{Is_Numeric_Value=04/0005}', "");
Expect(0, 8537, '\P{^Is_Numeric_Value=04/0005}', "");
Expect(1, 8536, '\p{Is_Numeric_Value=0.800}', "");
Expect(0, 8536, '\p{^Is_Numeric_Value=0.800}', "");
Expect(0, 8536, '\P{Is_Numeric_Value=0.800}', "");
Expect(1, 8536, '\P{^Is_Numeric_Value=0.800}', "");
Expect(0, 8537, '\p{Is_Numeric_Value=0.800}', "");
Expect(1, 8537, '\p{^Is_Numeric_Value=0.800}', "");
Expect(1, 8537, '\P{Is_Numeric_Value=0.800}', "");
Expect(0, 8537, '\P{^Is_Numeric_Value=0.800}', "");
Error('\p{Is_Nv=		000000004/000000005/a/}');
Error('\P{Is_Nv=		000000004/000000005/a/}');
Expect(1, 8536, '\p{Is_Nv=4/000005}', "");
Expect(0, 8536, '\p{^Is_Nv=4/000005}', "");
Expect(0, 8536, '\P{Is_Nv=4/000005}', "");
Expect(1, 8536, '\P{^Is_Nv=4/000005}', "");
Expect(0, 8537, '\p{Is_Nv=4/000005}', "");
Expect(1, 8537, '\p{^Is_Nv=4/000005}', "");
Expect(1, 8537, '\P{Is_Nv=4/000005}', "");
Expect(0, 8537, '\P{^Is_Nv=4/000005}', "");
Expect(1, 8536, '\p{Is_Nv=0.800}', "");
Expect(0, 8536, '\p{^Is_Nv=0.800}', "");
Expect(0, 8536, '\P{Is_Nv=0.800}', "");
Expect(1, 8536, '\P{^Is_Nv=0.800}', "");
Expect(0, 8537, '\p{Is_Nv=0.800}', "");
Expect(1, 8537, '\p{^Is_Nv=0.800}', "");
Expect(1, 8537, '\P{Is_Nv=0.800}', "");
Expect(0, 8537, '\P{^Is_Nv=0.800}', "");
Error('\p{Numeric_Value=:=0000000040}');
Error('\P{Numeric_Value=:=0000000040}');
Expect(1, 133532, '\p{Numeric_Value:00000000040}', "");
Expect(0, 133532, '\p{^Numeric_Value:00000000040}', "");
Expect(0, 133532, '\P{Numeric_Value:00000000040}', "");
Expect(1, 133532, '\P{^Numeric_Value:00000000040}', "");
Expect(0, 133533, '\p{Numeric_Value:00000000040}', "");
Expect(1, 133533, '\p{^Numeric_Value:00000000040}', "");
Expect(1, 133533, '\P{Numeric_Value:00000000040}', "");
Expect(0, 133533, '\P{^Numeric_Value:00000000040}', "");
Error('\p{Nv=/a/ 000040}');
Error('\P{Nv=/a/ 000040}');
Expect(1, 133532, '\p{Nv=00040}', "");
Expect(0, 133532, '\p{^Nv=00040}', "");
Expect(0, 133532, '\P{Nv=00040}', "");
Expect(1, 133532, '\P{^Nv=00040}', "");
Expect(0, 133533, '\p{Nv=00040}', "");
Expect(1, 133533, '\p{^Nv=00040}', "");
Expect(1, 133533, '\P{Nv=00040}', "");
Expect(0, 133533, '\P{^Nv=00040}', "");
Error('\p{Is_Numeric_Value=:=+0000000040}');
Error('\P{Is_Numeric_Value=:=+0000000040}');
Expect(1, 133532, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_40}', "");
Expect(0, 133532, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_40}', "");
Expect(0, 133532, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_40}', "");
Expect(1, 133532, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_40}', "");
Expect(0, 133533, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_40}', "");
Expect(1, 133533, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_40}', "");
Expect(1, 133533, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_40}', "");
Expect(0, 133533, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_40}', "");
Error('\p{Is_Nv=:= -0004_0}');
Error('\P{Is_Nv=:= -0004_0}');
Expect(1, 133532, '\p{Is_Nv:+00040}', "");
Expect(0, 133532, '\p{^Is_Nv:+00040}', "");
Expect(0, 133532, '\P{Is_Nv:+00040}', "");
Expect(1, 133532, '\P{^Is_Nv:+00040}', "");
Expect(0, 133533, '\p{Is_Nv:+00040}', "");
Expect(1, 133533, '\p{^Is_Nv:+00040}', "");
Expect(1, 133533, '\P{Is_Nv:+00040}', "");
Expect(0, 133533, '\P{^Is_Nv:+00040}', "");
Error('\p{Numeric_Value:   000000400:=}');
Error('\P{Numeric_Value:   000000400:=}');
Expect(1, 69237, '\p{Numeric_Value=+40_0}', "");
Expect(0, 69237, '\p{^Numeric_Value=+40_0}', "");
Expect(0, 69237, '\P{Numeric_Value=+40_0}', "");
Expect(1, 69237, '\P{^Numeric_Value=+40_0}', "");
Expect(0, 69238, '\p{Numeric_Value=+40_0}', "");
Expect(1, 69238, '\p{^Numeric_Value=+40_0}', "");
Expect(1, 69238, '\P{Numeric_Value=+40_0}', "");
Expect(0, 69238, '\P{^Numeric_Value=+40_0}', "");
Error('\p{Nv=/a/0000000400}');
Error('\P{Nv=/a/0000000400}');
Expect(1, 69237, '\p{Nv=000000400}', "");
Expect(0, 69237, '\p{^Nv=000000400}', "");
Expect(0, 69237, '\P{Nv=000000400}', "");
Expect(1, 69237, '\P{^Nv=000000400}', "");
Expect(0, 69238, '\p{Nv=000000400}', "");
Expect(1, 69238, '\p{^Nv=000000400}', "");
Expect(1, 69238, '\P{Nv=000000400}', "");
Expect(0, 69238, '\P{^Nv=000000400}', "");
Error('\p{Is_Numeric_Value=/a/  0_0_0_0_4_00}');
Error('\P{Is_Numeric_Value=/a/  0_0_0_0_4_00}');
Expect(1, 69237, '\p{Is_Numeric_Value=0000000400}', "");
Expect(0, 69237, '\p{^Is_Numeric_Value=0000000400}', "");
Expect(0, 69237, '\P{Is_Numeric_Value=0000000400}', "");
Expect(1, 69237, '\P{^Is_Numeric_Value=0000000400}', "");
Expect(0, 69238, '\p{Is_Numeric_Value=0000000400}', "");
Expect(1, 69238, '\p{^Is_Numeric_Value=0000000400}', "");
Expect(1, 69238, '\P{Is_Numeric_Value=0000000400}', "");
Expect(0, 69238, '\P{^Is_Numeric_Value=0000000400}', "");
Error('\p{Is_Nv=/a/0_0_4_00}');
Error('\P{Is_Nv=/a/0_0_4_00}');
Expect(1, 69237, '\p{Is_Nv=+00000_00004_00}', "");
Expect(0, 69237, '\p{^Is_Nv=+00000_00004_00}', "");
Expect(0, 69237, '\P{Is_Nv=+00000_00004_00}', "");
Expect(1, 69237, '\P{^Is_Nv=+00000_00004_00}', "");
Expect(0, 69238, '\p{Is_Nv=+00000_00004_00}', "");
Expect(1, 69238, '\p{^Is_Nv=+00000_00004_00}', "");
Expect(1, 69238, '\P{Is_Nv=+00000_00004_00}', "");
Expect(0, 69238, '\P{^Is_Nv=+00000_00004_00}', "");
Error('\p{Numeric_Value=:=_-0000_0400_0}');
Error('\P{Numeric_Value=:=_-0000_0400_0}');
Expect(1, 65829, '\p{Numeric_Value=+0000000400_0}', "");
Expect(0, 65829, '\p{^Numeric_Value=+0000000400_0}', "");
Expect(0, 65829, '\P{Numeric_Value=+0000000400_0}', "");
Expect(1, 65829, '\P{^Numeric_Value=+0000000400_0}', "");
Expect(0, 65830, '\p{Numeric_Value=+0000000400_0}', "");
Expect(1, 65830, '\p{^Numeric_Value=+0000000400_0}', "");
Expect(1, 65830, '\P{Numeric_Value=+0000000400_0}', "");
Expect(0, 65830, '\P{^Numeric_Value=+0000000400_0}', "");
Error('\p{Nv=/a/_-000000004000}');
Error('\P{Nv=/a/_-000000004000}');
Expect(1, 65829, '\p{Nv: 00004000}', "");
Expect(0, 65829, '\p{^Nv: 00004000}', "");
Expect(0, 65829, '\P{Nv: 00004000}', "");
Expect(1, 65829, '\P{^Nv: 00004000}', "");
Expect(0, 65830, '\p{Nv: 00004000}', "");
Expect(1, 65830, '\p{^Nv: 00004000}', "");
Expect(1, 65830, '\P{Nv: 00004000}', "");
Expect(0, 65830, '\P{^Nv: 00004000}', "");
Error('\p{Is_Numeric_Value=	+400_0:=}');
Error('\P{Is_Numeric_Value=	+400_0:=}');
Expect(1, 65829, '\p{Is_Numeric_Value=04000}', "");
Expect(0, 65829, '\p{^Is_Numeric_Value=04000}', "");
Expect(0, 65829, '\P{Is_Numeric_Value=04000}', "");
Expect(1, 65829, '\P{^Is_Numeric_Value=04000}', "");
Expect(0, 65830, '\p{Is_Numeric_Value=04000}', "");
Expect(1, 65830, '\p{^Is_Numeric_Value=04000}', "");
Expect(1, 65830, '\P{Is_Numeric_Value=04000}', "");
Expect(0, 65830, '\P{^Is_Numeric_Value=04000}', "");
Error('\p{Is_Nv=-	+0_0_0_4_0_00/a/}');
Error('\P{Is_Nv=-	+0_0_0_4_0_00/a/}');
Expect(1, 65829, '\p{Is_Nv:	0004000}', "");
Expect(0, 65829, '\p{^Is_Nv:	0004000}', "");
Expect(0, 65829, '\P{Is_Nv:	0004000}', "");
Expect(1, 65829, '\P{^Is_Nv:	0004000}', "");
Expect(0, 65830, '\p{Is_Nv:	0004000}', "");
Expect(1, 65830, '\p{^Is_Nv:	0004000}', "");
Expect(1, 65830, '\P{Is_Nv:	0004000}', "");
Expect(0, 65830, '\P{^Is_Nv:	0004000}', "");
Error('\p{Numeric_Value=_/a/0_0_4_0_0_00}');
Error('\P{Numeric_Value=_/a/0_0_4_0_0_00}');
Expect(1, 65838, '\p{Numeric_Value=000000040000}', "");
Expect(0, 65838, '\p{^Numeric_Value=000000040000}', "");
Expect(0, 65838, '\P{Numeric_Value=000000040000}', "");
Expect(1, 65838, '\P{^Numeric_Value=000000040000}', "");
Expect(0, 65839, '\p{Numeric_Value=000000040000}', "");
Expect(1, 65839, '\p{^Numeric_Value=000000040000}', "");
Expect(1, 65839, '\P{Numeric_Value=000000040000}', "");
Expect(0, 65839, '\P{^Numeric_Value=000000040000}', "");
Error('\p{Nv=	0_0_0_0_4_0_000/a/}');
Error('\P{Nv=	0_0_0_0_4_0_000/a/}');
Expect(1, 65838, '\p{Nv=00004000_0}', "");
Expect(0, 65838, '\p{^Nv=00004000_0}', "");
Expect(0, 65838, '\P{Nv=00004000_0}', "");
Expect(1, 65838, '\P{^Nv=00004000_0}', "");
Expect(0, 65839, '\p{Nv=00004000_0}', "");
Expect(1, 65839, '\p{^Nv=00004000_0}', "");
Expect(1, 65839, '\P{Nv=00004000_0}', "");
Expect(0, 65839, '\P{^Nv=00004000_0}', "");
Error('\p{Is_Numeric_Value=:=	 00000040000}');
Error('\P{Is_Numeric_Value=:=	 00000040000}');
Expect(1, 65838, '\p{Is_Numeric_Value:0_0_0_0_0_0_0_0_4_0000}', "");
Expect(0, 65838, '\p{^Is_Numeric_Value:0_0_0_0_0_0_0_0_4_0000}', "");
Expect(0, 65838, '\P{Is_Numeric_Value:0_0_0_0_0_0_0_0_4_0000}', "");
Expect(1, 65838, '\P{^Is_Numeric_Value:0_0_0_0_0_0_0_0_4_0000}', "");
Expect(0, 65839, '\p{Is_Numeric_Value:0_0_0_0_0_0_0_0_4_0000}', "");
Expect(1, 65839, '\p{^Is_Numeric_Value:0_0_0_0_0_0_0_0_4_0000}', "");
Expect(1, 65839, '\P{Is_Numeric_Value:0_0_0_0_0_0_0_0_4_0000}', "");
Expect(0, 65839, '\P{^Is_Numeric_Value:0_0_0_0_0_0_0_0_4_0000}', "");
Error('\p{Is_Nv:		00000040000:=}');
Error('\P{Is_Nv:		00000040000:=}');
Expect(1, 65838, '\p{Is_Nv=0_0_0_0_4_0000}', "");
Expect(0, 65838, '\p{^Is_Nv=0_0_0_0_4_0000}', "");
Expect(0, 65838, '\P{Is_Nv=0_0_0_0_4_0000}', "");
Expect(1, 65838, '\P{^Is_Nv=0_0_0_0_4_0000}', "");
Expect(0, 65839, '\p{Is_Nv=0_0_0_0_4_0000}', "");
Expect(1, 65839, '\p{^Is_Nv=0_0_0_0_4_0000}', "");
Expect(1, 65839, '\P{Is_Nv=0_0_0_0_4_0000}', "");
Expect(0, 65839, '\P{^Is_Nv=0_0_0_0_4_0000}', "");
Error('\p{Numeric_Value=:=- 000000041}');
Error('\P{Numeric_Value=:=- 000000041}');
Expect(1, 12982, '\p{Numeric_Value=0000_0000_41}', "");
Expect(0, 12982, '\p{^Numeric_Value=0000_0000_41}', "");
Expect(0, 12982, '\P{Numeric_Value=0000_0000_41}', "");
Expect(1, 12982, '\P{^Numeric_Value=0000_0000_41}', "");
Expect(0, 12983, '\p{Numeric_Value=0000_0000_41}', "");
Expect(1, 12983, '\p{^Numeric_Value=0000_0000_41}', "");
Expect(1, 12983, '\P{Numeric_Value=0000_0000_41}', "");
Expect(0, 12983, '\P{^Numeric_Value=0000_0000_41}', "");
Error('\p{Nv=:=_000000041}');
Error('\P{Nv=:=_000000041}');
Expect(1, 12982, '\p{Nv=4_1}', "");
Expect(0, 12982, '\p{^Nv=4_1}', "");
Expect(0, 12982, '\P{Nv=4_1}', "");
Expect(1, 12982, '\P{^Nv=4_1}', "");
Expect(0, 12983, '\p{Nv=4_1}', "");
Expect(1, 12983, '\p{^Nv=4_1}', "");
Expect(1, 12983, '\P{Nv=4_1}', "");
Expect(0, 12983, '\P{^Nv=4_1}', "");
Error('\p{Is_Numeric_Value:   	+0_0_0_0_0_41:=}');
Error('\P{Is_Numeric_Value:   	+0_0_0_0_0_41:=}');
Expect(1, 12982, '\p{Is_Numeric_Value=+41}', "");
Expect(0, 12982, '\p{^Is_Numeric_Value=+41}', "");
Expect(0, 12982, '\P{Is_Numeric_Value=+41}', "");
Expect(1, 12982, '\P{^Is_Numeric_Value=+41}', "");
Expect(0, 12983, '\p{Is_Numeric_Value=+41}', "");
Expect(1, 12983, '\p{^Is_Numeric_Value=+41}', "");
Expect(1, 12983, '\P{Is_Numeric_Value=+41}', "");
Expect(0, 12983, '\P{^Is_Numeric_Value=+41}', "");
Error('\p{Is_Nv=/a/- +00000041}');
Error('\P{Is_Nv=/a/- +00000041}');
Expect(1, 12982, '\p{Is_Nv=4_1}', "");
Expect(0, 12982, '\p{^Is_Nv=4_1}', "");
Expect(0, 12982, '\P{Is_Nv=4_1}', "");
Expect(1, 12982, '\P{^Is_Nv=4_1}', "");
Expect(0, 12983, '\p{Is_Nv=4_1}', "");
Expect(1, 12983, '\p{^Is_Nv=4_1}', "");
Expect(1, 12983, '\P{Is_Nv=4_1}', "");
Expect(0, 12983, '\P{^Is_Nv=4_1}', "");
Error('\p{Numeric_Value=-_0_0_0_0_42:=}');
Error('\P{Numeric_Value=-_0_0_0_0_42:=}');
Expect(1, 12983, '\p{Numeric_Value=0004_2}', "");
Expect(0, 12983, '\p{^Numeric_Value=0004_2}', "");
Expect(0, 12983, '\P{Numeric_Value=0004_2}', "");
Expect(1, 12983, '\P{^Numeric_Value=0004_2}', "");
Expect(0, 12984, '\p{Numeric_Value=0004_2}', "");
Expect(1, 12984, '\p{^Numeric_Value=0004_2}', "");
Expect(1, 12984, '\P{Numeric_Value=0004_2}', "");
Expect(0, 12984, '\P{^Numeric_Value=0004_2}', "");
Error('\p{Nv=_:=0000042}');
Error('\P{Nv=_:=0000042}');
Expect(1, 12983, '\p{Nv=0_0_0_0_0_0_0_0_42}', "");
Expect(0, 12983, '\p{^Nv=0_0_0_0_0_0_0_0_42}', "");
Expect(0, 12983, '\P{Nv=0_0_0_0_0_0_0_0_42}', "");
Expect(1, 12983, '\P{^Nv=0_0_0_0_0_0_0_0_42}', "");
Expect(0, 12984, '\p{Nv=0_0_0_0_0_0_0_0_42}', "");
Expect(1, 12984, '\p{^Nv=0_0_0_0_0_0_0_0_42}', "");
Expect(1, 12984, '\P{Nv=0_0_0_0_0_0_0_0_42}', "");
Expect(0, 12984, '\P{^Nv=0_0_0_0_0_0_0_0_42}', "");
Error('\p{Is_Numeric_Value=  4_2/a/}');
Error('\P{Is_Numeric_Value=  4_2/a/}');
Expect(1, 12983, '\p{Is_Numeric_Value=+0004_2}', "");
Expect(0, 12983, '\p{^Is_Numeric_Value=+0004_2}', "");
Expect(0, 12983, '\P{Is_Numeric_Value=+0004_2}', "");
Expect(1, 12983, '\P{^Is_Numeric_Value=+0004_2}', "");
Expect(0, 12984, '\p{Is_Numeric_Value=+0004_2}', "");
Expect(1, 12984, '\p{^Is_Numeric_Value=+0004_2}', "");
Expect(1, 12984, '\P{Is_Numeric_Value=+0004_2}', "");
Expect(0, 12984, '\P{^Is_Numeric_Value=+0004_2}', "");
Error('\p{Is_Nv=:=- 0_0_0_0_0042}');
Error('\P{Is_Nv=:=- 0_0_0_0_0042}');
Expect(1, 12983, '\p{Is_Nv=04_2}', "");
Expect(0, 12983, '\p{^Is_Nv=04_2}', "");
Expect(0, 12983, '\P{Is_Nv=04_2}', "");
Expect(1, 12983, '\P{^Is_Nv=04_2}', "");
Expect(0, 12984, '\p{Is_Nv=04_2}', "");
Expect(1, 12984, '\p{^Is_Nv=04_2}', "");
Expect(1, 12984, '\P{Is_Nv=04_2}', "");
Expect(0, 12984, '\P{^Is_Nv=04_2}', "");
Error('\p{Numeric_Value=_/a/04_3}');
Error('\P{Numeric_Value=_/a/04_3}');
Expect(1, 12984, '\p{Numeric_Value=04_3}', "");
Expect(0, 12984, '\p{^Numeric_Value=04_3}', "");
Expect(0, 12984, '\P{Numeric_Value=04_3}', "");
Expect(1, 12984, '\P{^Numeric_Value=04_3}', "");
Expect(0, 12985, '\p{Numeric_Value=04_3}', "");
Expect(1, 12985, '\p{^Numeric_Value=04_3}', "");
Expect(1, 12985, '\P{Numeric_Value=04_3}', "");
Expect(0, 12985, '\P{^Numeric_Value=04_3}', "");
Error('\p{Nv=	_000043/a/}');
Error('\P{Nv=	_000043/a/}');
Expect(1, 12984, '\p{Nv=00000043}', "");
Expect(0, 12984, '\p{^Nv=00000043}', "");
Expect(0, 12984, '\P{Nv=00000043}', "");
Expect(1, 12984, '\P{^Nv=00000043}', "");
Expect(0, 12985, '\p{Nv=00000043}', "");
Expect(1, 12985, '\p{^Nv=00000043}', "");
Expect(1, 12985, '\P{Nv=00000043}', "");
Expect(0, 12985, '\P{^Nv=00000043}', "");
Error('\p{Is_Numeric_Value=:=	 00000004_3}');
Error('\P{Is_Numeric_Value=:=	 00000004_3}');
Expect(1, 12984, '\p{Is_Numeric_Value=00_00_00_043}', "");
Expect(0, 12984, '\p{^Is_Numeric_Value=00_00_00_043}', "");
Expect(0, 12984, '\P{Is_Numeric_Value=00_00_00_043}', "");
Expect(1, 12984, '\P{^Is_Numeric_Value=00_00_00_043}', "");
Expect(0, 12985, '\p{Is_Numeric_Value=00_00_00_043}', "");
Expect(1, 12985, '\p{^Is_Numeric_Value=00_00_00_043}', "");
Expect(1, 12985, '\P{Is_Numeric_Value=00_00_00_043}', "");
Expect(0, 12985, '\P{^Is_Numeric_Value=00_00_00_043}', "");
Error('\p{Is_Nv=	/a/0_0_0_0_0_043}');
Error('\P{Is_Nv=	/a/0_0_0_0_0_043}');
Expect(1, 12984, '\p{Is_Nv=00043}', "");
Expect(0, 12984, '\p{^Is_Nv=00043}', "");
Expect(0, 12984, '\P{Is_Nv=00043}', "");
Expect(1, 12984, '\P{^Is_Nv=00043}', "");
Expect(0, 12985, '\p{Is_Nv=00043}', "");
Expect(1, 12985, '\p{^Is_Nv=00043}', "");
Expect(1, 12985, '\P{Is_Nv=00043}', "");
Expect(0, 12985, '\P{^Is_Nv=00043}', "");
Error('\p{Numeric_Value=_+0_0_0_0_0_0_0_0_0_4_32000:=}');
Error('\P{Numeric_Value=_+0_0_0_0_0_0_0_0_0_4_32000:=}');
Expect(1, 74803, '\p{Numeric_Value:	+00000000432000}', "");
Expect(0, 74803, '\p{^Numeric_Value:	+00000000432000}', "");
Expect(0, 74803, '\P{Numeric_Value:	+00000000432000}', "");
Expect(1, 74803, '\P{^Numeric_Value:	+00000000432000}', "");
Expect(0, 74804, '\p{Numeric_Value:	+00000000432000}', "");
Expect(1, 74804, '\p{^Numeric_Value:	+00000000432000}', "");
Expect(1, 74804, '\P{Numeric_Value:	+00000000432000}', "");
Expect(0, 74804, '\P{^Numeric_Value:	+00000000432000}', "");
Error('\p{Nv=-	0_0_4_3_2000/a/}');
Error('\P{Nv=-	0_0_4_3_2000/a/}');
Expect(1, 74803, '\p{Nv=+0_0_0_0_0_0_4_32000}', "");
Expect(0, 74803, '\p{^Nv=+0_0_0_0_0_0_4_32000}', "");
Expect(0, 74803, '\P{Nv=+0_0_0_0_0_0_4_32000}', "");
Expect(1, 74803, '\P{^Nv=+0_0_0_0_0_0_4_32000}', "");
Expect(0, 74804, '\p{Nv=+0_0_0_0_0_0_4_32000}', "");
Expect(1, 74804, '\p{^Nv=+0_0_0_0_0_0_4_32000}', "");
Expect(1, 74804, '\P{Nv=+0_0_0_0_0_0_4_32000}', "");
Expect(0, 74804, '\P{^Nv=+0_0_0_0_0_0_4_32000}', "");
Error('\p{Is_Numeric_Value=	-+0_0_0_0_0_0_0_0_0_4_3_2000:=}');
Error('\P{Is_Numeric_Value=	-+0_0_0_0_0_0_0_0_0_4_3_2000:=}');
Expect(1, 74803, '\p{Is_Numeric_Value=0000432000}', "");
Expect(0, 74803, '\p{^Is_Numeric_Value=0000432000}', "");
Expect(0, 74803, '\P{Is_Numeric_Value=0000432000}', "");
Expect(1, 74803, '\P{^Is_Numeric_Value=0000432000}', "");
Expect(0, 74804, '\p{Is_Numeric_Value=0000432000}', "");
Expect(1, 74804, '\p{^Is_Numeric_Value=0000432000}', "");
Expect(1, 74804, '\P{Is_Numeric_Value=0000432000}', "");
Expect(0, 74804, '\P{^Is_Numeric_Value=0000432000}', "");
Error('\p{Is_Nv=:=_+000432000}');
Error('\P{Is_Nv=:=_+000432000}');
Expect(1, 74803, '\p{Is_Nv=0_0_0_0_0_0_0_0_0_4_3_2_000}', "");
Expect(0, 74803, '\p{^Is_Nv=0_0_0_0_0_0_0_0_0_4_3_2_000}', "");
Expect(0, 74803, '\P{Is_Nv=0_0_0_0_0_0_0_0_0_4_3_2_000}', "");
Expect(1, 74803, '\P{^Is_Nv=0_0_0_0_0_0_0_0_0_4_3_2_000}', "");
Expect(0, 74804, '\p{Is_Nv=0_0_0_0_0_0_0_0_0_4_3_2_000}', "");
Expect(1, 74804, '\p{^Is_Nv=0_0_0_0_0_0_0_0_0_4_3_2_000}', "");
Expect(1, 74804, '\P{Is_Nv=0_0_0_0_0_0_0_0_0_4_3_2_000}', "");
Expect(0, 74804, '\P{^Is_Nv=0_0_0_0_0_0_0_0_0_4_3_2_000}', "");
Error('\p{Numeric_Value=_/a/000000044}');
Error('\P{Numeric_Value=_/a/000000044}');
Expect(1, 12985, '\p{Numeric_Value=04_4}', "");
Expect(0, 12985, '\p{^Numeric_Value=04_4}', "");
Expect(0, 12985, '\P{Numeric_Value=04_4}', "");
Expect(1, 12985, '\P{^Numeric_Value=04_4}', "");
Expect(0, 12986, '\p{Numeric_Value=04_4}', "");
Expect(1, 12986, '\p{^Numeric_Value=04_4}', "");
Expect(1, 12986, '\P{Numeric_Value=04_4}', "");
Expect(0, 12986, '\P{^Numeric_Value=04_4}', "");
Error('\p{Nv:	_/a/0044}');
Error('\P{Nv:	_/a/0044}');
Expect(1, 12985, '\p{Nv=0000000044}', "");
Expect(0, 12985, '\p{^Nv=0000000044}', "");
Expect(0, 12985, '\P{Nv=0000000044}', "");
Expect(1, 12985, '\P{^Nv=0000000044}', "");
Expect(0, 12986, '\p{Nv=0000000044}', "");
Expect(1, 12986, '\p{^Nv=0000000044}', "");
Expect(1, 12986, '\P{Nv=0000000044}', "");
Expect(0, 12986, '\P{^Nv=0000000044}', "");
Error('\p{Is_Numeric_Value=/a/+044}');
Error('\P{Is_Numeric_Value=/a/+044}');
Expect(1, 12985, '\p{Is_Numeric_Value=044}', "");
Expect(0, 12985, '\p{^Is_Numeric_Value=044}', "");
Expect(0, 12985, '\P{Is_Numeric_Value=044}', "");
Expect(1, 12985, '\P{^Is_Numeric_Value=044}', "");
Expect(0, 12986, '\p{Is_Numeric_Value=044}', "");
Expect(1, 12986, '\p{^Is_Numeric_Value=044}', "");
Expect(1, 12986, '\P{Is_Numeric_Value=044}', "");
Expect(0, 12986, '\P{^Is_Numeric_Value=044}', "");
Error('\p{Is_Nv=_:=00_04_4}');
Error('\P{Is_Nv=_:=00_04_4}');
Expect(1, 12985, '\p{Is_Nv=0_0_0_0_0_00044}', "");
Expect(0, 12985, '\p{^Is_Nv=0_0_0_0_0_00044}', "");
Expect(0, 12985, '\P{Is_Nv=0_0_0_0_0_00044}', "");
Expect(1, 12985, '\P{^Is_Nv=0_0_0_0_0_00044}', "");
Expect(0, 12986, '\p{Is_Nv=0_0_0_0_0_00044}', "");
Expect(1, 12986, '\p{^Is_Nv=0_0_0_0_0_00044}', "");
Expect(1, 12986, '\P{Is_Nv=0_0_0_0_0_00044}', "");
Expect(0, 12986, '\P{^Is_Nv=0_0_0_0_0_00044}', "");
Error('\p{Numeric_Value: :=	 45}');
Error('\P{Numeric_Value: :=	 45}');
Expect(1, 12986, '\p{Numeric_Value=+45}', "");
Expect(0, 12986, '\p{^Numeric_Value=+45}', "");
Expect(0, 12986, '\P{Numeric_Value=+45}', "");
Expect(1, 12986, '\P{^Numeric_Value=+45}', "");
Expect(0, 12987, '\p{Numeric_Value=+45}', "");
Expect(1, 12987, '\p{^Numeric_Value=+45}', "");
Expect(1, 12987, '\P{Numeric_Value=+45}', "");
Expect(0, 12987, '\P{^Numeric_Value=+45}', "");
Error('\p{Nv=	:=0_0_0_0_0_0_0_0045}');
Error('\P{Nv=	:=0_0_0_0_0_0_0_0045}');
Expect(1, 12986, '\p{Nv=0000_0000_45}', "");
Expect(0, 12986, '\p{^Nv=0000_0000_45}', "");
Expect(0, 12986, '\P{Nv=0000_0000_45}', "");
Expect(1, 12986, '\P{^Nv=0000_0000_45}', "");
Expect(0, 12987, '\p{Nv=0000_0000_45}', "");
Expect(1, 12987, '\p{^Nv=0000_0000_45}', "");
Expect(1, 12987, '\P{Nv=0000_0000_45}', "");
Expect(0, 12987, '\P{^Nv=0000_0000_45}', "");
Error('\p{Is_Numeric_Value= :=000000045}');
Error('\P{Is_Numeric_Value= :=000000045}');
Expect(1, 12986, '\p{Is_Numeric_Value=+04_5}', "");
Expect(0, 12986, '\p{^Is_Numeric_Value=+04_5}', "");
Expect(0, 12986, '\P{Is_Numeric_Value=+04_5}', "");
Expect(1, 12986, '\P{^Is_Numeric_Value=+04_5}', "");
Expect(0, 12987, '\p{Is_Numeric_Value=+04_5}', "");
Expect(1, 12987, '\p{^Is_Numeric_Value=+04_5}', "");
Expect(1, 12987, '\P{Is_Numeric_Value=+04_5}', "");
Expect(0, 12987, '\P{^Is_Numeric_Value=+04_5}', "");
Error('\p{Is_Nv=:=-_00000000045}');
Error('\P{Is_Nv=:=-_00000000045}');
Expect(1, 12986, '\p{Is_Nv=000000045}', "");
Expect(0, 12986, '\p{^Is_Nv=000000045}', "");
Expect(0, 12986, '\P{Is_Nv=000000045}', "");
Expect(1, 12986, '\P{^Is_Nv=000000045}', "");
Expect(0, 12987, '\p{Is_Nv=000000045}', "");
Expect(1, 12987, '\p{^Is_Nv=000000045}', "");
Expect(1, 12987, '\P{Is_Nv=000000045}', "");
Expect(0, 12987, '\P{^Is_Nv=000000045}', "");
Error('\p{Numeric_Value=/a/46}');
Error('\P{Numeric_Value=/a/46}');
Expect(1, 12987, '\p{Numeric_Value=00000000046}', "");
Expect(0, 12987, '\p{^Numeric_Value=00000000046}', "");
Expect(0, 12987, '\P{Numeric_Value=00000000046}', "");
Expect(1, 12987, '\P{^Numeric_Value=00000000046}', "");
Expect(0, 12988, '\p{Numeric_Value=00000000046}', "");
Expect(1, 12988, '\p{^Numeric_Value=00000000046}', "");
Expect(1, 12988, '\P{Numeric_Value=00000000046}', "");
Expect(0, 12988, '\P{^Numeric_Value=00000000046}', "");
Error('\p{Nv: _:=000046}');
Error('\P{Nv: _:=000046}');
Expect(1, 12987, '\p{Nv=46}', "");
Expect(0, 12987, '\p{^Nv=46}', "");
Expect(0, 12987, '\P{Nv=46}', "");
Expect(1, 12987, '\P{^Nv=46}', "");
Expect(0, 12988, '\p{Nv=46}', "");
Expect(1, 12988, '\p{^Nv=46}', "");
Expect(1, 12988, '\P{Nv=46}', "");
Expect(0, 12988, '\P{^Nv=46}', "");
Error('\p{Is_Numeric_Value=	+046:=}');
Error('\P{Is_Numeric_Value=	+046:=}');
Expect(1, 12987, '\p{Is_Numeric_Value:   0_0_0_0_0_0_0_46}', "");
Expect(0, 12987, '\p{^Is_Numeric_Value:   0_0_0_0_0_0_0_46}', "");
Expect(0, 12987, '\P{Is_Numeric_Value:   0_0_0_0_0_0_0_46}', "");
Expect(1, 12987, '\P{^Is_Numeric_Value:   0_0_0_0_0_0_0_46}', "");
Expect(0, 12988, '\p{Is_Numeric_Value:   0_0_0_0_0_0_0_46}', "");
Expect(1, 12988, '\p{^Is_Numeric_Value:   0_0_0_0_0_0_0_46}', "");
Expect(1, 12988, '\P{Is_Numeric_Value:   0_0_0_0_0_0_0_46}', "");
Expect(0, 12988, '\P{^Is_Numeric_Value:   0_0_0_0_0_0_0_46}', "");
Error('\p{Is_Nv: := _0000000046}');
Error('\P{Is_Nv: := _0000000046}');
Expect(1, 12987, '\p{Is_Nv=4_6}', "");
Expect(0, 12987, '\p{^Is_Nv=4_6}', "");
Expect(0, 12987, '\P{Is_Nv=4_6}', "");
Expect(1, 12987, '\P{^Is_Nv=4_6}', "");
Expect(0, 12988, '\p{Is_Nv=4_6}', "");
Expect(1, 12988, '\p{^Is_Nv=4_6}', "");
Expect(1, 12988, '\P{Is_Nv=4_6}', "");
Expect(0, 12988, '\P{^Is_Nv=4_6}', "");
Error('\p{Numeric_Value=/a/ -+04_7}');
Error('\P{Numeric_Value=/a/ -+04_7}');
Expect(1, 12988, '\p{Numeric_Value=00047}', "");
Expect(0, 12988, '\p{^Numeric_Value=00047}', "");
Expect(0, 12988, '\P{Numeric_Value=00047}', "");
Expect(1, 12988, '\P{^Numeric_Value=00047}', "");
Expect(0, 12989, '\p{Numeric_Value=00047}', "");
Expect(1, 12989, '\p{^Numeric_Value=00047}', "");
Expect(1, 12989, '\P{Numeric_Value=00047}', "");
Expect(0, 12989, '\P{^Numeric_Value=00047}', "");
Error('\p{Nv=_:=0000047}');
Error('\P{Nv=_:=0000047}');
Expect(1, 12988, '\p{Nv=0000000047}', "");
Expect(0, 12988, '\p{^Nv=0000000047}', "");
Expect(0, 12988, '\P{Nv=0000000047}', "");
Expect(1, 12988, '\P{^Nv=0000000047}', "");
Expect(0, 12989, '\p{Nv=0000000047}', "");
Expect(1, 12989, '\p{^Nv=0000000047}', "");
Expect(1, 12989, '\P{Nv=0000000047}', "");
Expect(0, 12989, '\P{^Nv=0000000047}', "");
Error('\p{Is_Numeric_Value=:= +000000047}');
Error('\P{Is_Numeric_Value=:= +000000047}');
Expect(1, 12988, '\p{Is_Numeric_Value=0000000047}', "");
Expect(0, 12988, '\p{^Is_Numeric_Value=0000000047}', "");
Expect(0, 12988, '\P{Is_Numeric_Value=0000000047}', "");
Expect(1, 12988, '\P{^Is_Numeric_Value=0000000047}', "");
Expect(0, 12989, '\p{Is_Numeric_Value=0000000047}', "");
Expect(1, 12989, '\p{^Is_Numeric_Value=0000000047}', "");
Expect(1, 12989, '\P{Is_Numeric_Value=0000000047}', "");
Expect(0, 12989, '\P{^Is_Numeric_Value=0000000047}', "");
Error('\p{Is_Nv=:=_-00000047}');
Error('\P{Is_Nv=:=_-00000047}');
Expect(1, 12988, '\p{Is_Nv=04_7}', "");
Expect(0, 12988, '\p{^Is_Nv=04_7}', "");
Expect(0, 12988, '\P{Is_Nv=04_7}', "");
Expect(1, 12988, '\P{^Is_Nv=04_7}', "");
Expect(0, 12989, '\p{Is_Nv=04_7}', "");
Expect(1, 12989, '\p{^Is_Nv=04_7}', "");
Expect(1, 12989, '\P{Is_Nv=04_7}', "");
Expect(0, 12989, '\P{^Is_Nv=04_7}', "");
Error('\p{Numeric_Value=	:=0000000048}');
Error('\P{Numeric_Value=	:=0000000048}');
Expect(1, 12989, '\p{Numeric_Value:048}', "");
Expect(0, 12989, '\p{^Numeric_Value:048}', "");
Expect(0, 12989, '\P{Numeric_Value:048}', "");
Expect(1, 12989, '\P{^Numeric_Value:048}', "");
Expect(0, 12990, '\p{Numeric_Value:048}', "");
Expect(1, 12990, '\p{^Numeric_Value:048}', "");
Expect(1, 12990, '\P{Numeric_Value:048}', "");
Expect(0, 12990, '\P{^Numeric_Value:048}', "");
Error('\p{Nv=-	0000048:=}');
Error('\P{Nv=-	0000048:=}');
Expect(1, 12989, '\p{Nv=48}', "");
Expect(0, 12989, '\p{^Nv=48}', "");
Expect(0, 12989, '\P{Nv=48}', "");
Expect(1, 12989, '\P{^Nv=48}', "");
Expect(0, 12990, '\p{Nv=48}', "");
Expect(1, 12990, '\p{^Nv=48}', "");
Expect(1, 12990, '\P{Nv=48}', "");
Expect(0, 12990, '\P{^Nv=48}', "");
Error('\p{Is_Numeric_Value=:=	00004_8}');
Error('\P{Is_Numeric_Value=:=	00004_8}');
Expect(1, 12989, '\p{Is_Numeric_Value=000000048}', "");
Expect(0, 12989, '\p{^Is_Numeric_Value=000000048}', "");
Expect(0, 12989, '\P{Is_Numeric_Value=000000048}', "");
Expect(1, 12989, '\P{^Is_Numeric_Value=000000048}', "");
Expect(0, 12990, '\p{Is_Numeric_Value=000000048}', "");
Expect(1, 12990, '\p{^Is_Numeric_Value=000000048}', "");
Expect(1, 12990, '\P{Is_Numeric_Value=000000048}', "");
Expect(0, 12990, '\P{^Is_Numeric_Value=000000048}', "");
Error('\p{Is_Nv=	048:=}');
Error('\P{Is_Nv=	048:=}');
Expect(1, 12989, '\p{Is_Nv=48}', "");
Expect(0, 12989, '\p{^Is_Nv=48}', "");
Expect(0, 12989, '\P{Is_Nv=48}', "");
Expect(1, 12989, '\P{^Is_Nv=48}', "");
Expect(0, 12990, '\p{Is_Nv=48}', "");
Expect(1, 12990, '\p{^Is_Nv=48}', "");
Expect(1, 12990, '\P{Is_Nv=48}', "");
Expect(0, 12990, '\P{^Is_Nv=48}', "");
Error('\p{Numeric_Value=	/a/000049}');
Error('\P{Numeric_Value=	/a/000049}');
Expect(1, 12990, '\p{Numeric_Value=00000049}', "");
Expect(0, 12990, '\p{^Numeric_Value=00000049}', "");
Expect(0, 12990, '\P{Numeric_Value=00000049}', "");
Expect(1, 12990, '\P{^Numeric_Value=00000049}', "");
Expect(0, 12991, '\p{Numeric_Value=00000049}', "");
Expect(1, 12991, '\p{^Numeric_Value=00000049}', "");
Expect(1, 12991, '\P{Numeric_Value=00000049}', "");
Expect(0, 12991, '\P{^Numeric_Value=00000049}', "");
Error('\p{Nv=:=000049}');
Error('\P{Nv=:=000049}');
Expect(1, 12990, '\p{Nv=+000004_9}', "");
Expect(0, 12990, '\p{^Nv=+000004_9}', "");
Expect(0, 12990, '\P{Nv=+000004_9}', "");
Expect(1, 12990, '\P{^Nv=+000004_9}', "");
Expect(0, 12991, '\p{Nv=+000004_9}', "");
Expect(1, 12991, '\p{^Nv=+000004_9}', "");
Expect(1, 12991, '\P{Nv=+000004_9}', "");
Expect(0, 12991, '\P{^Nv=+000004_9}', "");
Error('\p{Is_Numeric_Value=-	0_0_0_0_0_0049/a/}');
Error('\P{Is_Numeric_Value=-	0_0_0_0_0_0049/a/}');
Expect(1, 12990, '\p{Is_Numeric_Value:   000049}', "");
Expect(0, 12990, '\p{^Is_Numeric_Value:   000049}', "");
Expect(0, 12990, '\P{Is_Numeric_Value:   000049}', "");
Expect(1, 12990, '\P{^Is_Numeric_Value:   000049}', "");
Expect(0, 12991, '\p{Is_Numeric_Value:   000049}', "");
Expect(1, 12991, '\p{^Is_Numeric_Value:   000049}', "");
Expect(1, 12991, '\P{Is_Numeric_Value:   000049}', "");
Expect(0, 12991, '\P{^Is_Numeric_Value:   000049}', "");
Error('\p{Is_Nv=-/a/+0_0_0_49}');
Error('\P{Is_Nv=-/a/+0_0_0_49}');
Expect(1, 12990, '\p{Is_Nv=0049}', "");
Expect(0, 12990, '\p{^Is_Nv=0049}', "");
Expect(0, 12990, '\P{Is_Nv=0049}', "");
Expect(1, 12990, '\P{^Is_Nv=0049}', "");
Expect(0, 12991, '\p{Is_Nv=0049}', "");
Expect(1, 12991, '\p{^Is_Nv=0049}', "");
Expect(1, 12991, '\P{Is_Nv=0049}', "");
Expect(0, 12991, '\P{^Is_Nv=0049}', "");
Error('\p{Numeric_Value=:=0_0_0_0_0_00005}');
Error('\P{Numeric_Value=:=0_0_0_0_0_00005}');
Expect(1, 131361, '\p{Numeric_Value:0_0_0_0_05}', "");
Expect(0, 131361, '\p{^Numeric_Value:0_0_0_0_05}', "");
Expect(0, 131361, '\P{Numeric_Value:0_0_0_0_05}', "");
Expect(1, 131361, '\P{^Numeric_Value:0_0_0_0_05}', "");
Expect(0, 131362, '\p{Numeric_Value:0_0_0_0_05}', "");
Expect(1, 131362, '\p{^Numeric_Value:0_0_0_0_05}', "");
Expect(1, 131362, '\P{Numeric_Value:0_0_0_0_05}', "");
Expect(0, 131362, '\P{^Numeric_Value:0_0_0_0_05}', "");
Error('\p{Nv=/a/_+00005}');
Error('\P{Nv=/a/_+00005}');
Expect(1, 131361, '\p{Nv=+005}', "");
Expect(0, 131361, '\p{^Nv=+005}', "");
Expect(0, 131361, '\P{Nv=+005}', "");
Expect(1, 131361, '\P{^Nv=+005}', "");
Expect(0, 131362, '\p{Nv=+005}', "");
Expect(1, 131362, '\p{^Nv=+005}', "");
Expect(1, 131362, '\P{Nv=+005}', "");
Expect(0, 131362, '\P{^Nv=+005}', "");
Error('\p{Is_Numeric_Value:   /a/_-0000000_5}');
Error('\P{Is_Numeric_Value:   /a/_-0000000_5}');
Expect(1, 131361, '\p{Is_Numeric_Value=+000005}', "");
Expect(0, 131361, '\p{^Is_Numeric_Value=+000005}', "");
Expect(0, 131361, '\P{Is_Numeric_Value=+000005}', "");
Expect(1, 131361, '\P{^Is_Numeric_Value=+000005}', "");
Expect(0, 131362, '\p{Is_Numeric_Value=+000005}', "");
Expect(1, 131362, '\p{^Is_Numeric_Value=+000005}', "");
Expect(1, 131362, '\P{Is_Numeric_Value=+000005}', "");
Expect(0, 131362, '\P{^Is_Numeric_Value=+000005}', "");
Error('\p{Is_Nv=--5:=}');
Error('\P{Is_Nv=--5:=}');
Expect(1, 131361, '\p{Is_Nv=+05}', "");
Expect(0, 131361, '\p{^Is_Nv=+05}', "");
Expect(0, 131361, '\P{Is_Nv=+05}', "");
Expect(1, 131361, '\P{^Is_Nv=+05}', "");
Expect(0, 131362, '\p{Is_Nv=+05}', "");
Expect(1, 131362, '\p{^Is_Nv=+05}', "");
Expect(1, 131362, '\P{Is_Nv=+05}', "");
Expect(0, 131362, '\P{^Is_Nv=+05}', "");
Error('\p{Numeric_Value=:=_ +000000005/2}');
Error('\P{Numeric_Value=:=_ +000000005/2}');
Expect(1, 3884, '\p{Numeric_Value=000005/0000000002}', "");
Expect(0, 3884, '\p{^Numeric_Value=000005/0000000002}', "");
Expect(0, 3884, '\P{Numeric_Value=000005/0000000002}', "");
Expect(1, 3884, '\P{^Numeric_Value=000005/0000000002}', "");
Expect(0, 3885, '\p{Numeric_Value=000005/0000000002}', "");
Expect(1, 3885, '\p{^Numeric_Value=000005/0000000002}', "");
Expect(1, 3885, '\P{Numeric_Value=000005/0000000002}', "");
Expect(0, 3885, '\P{^Numeric_Value=000005/0000000002}', "");
Expect(1, 3884, '\p{Numeric_Value=2.500}', "");
Expect(0, 3884, '\p{^Numeric_Value=2.500}', "");
Expect(0, 3884, '\P{Numeric_Value=2.500}', "");
Expect(1, 3884, '\P{^Numeric_Value=2.500}', "");
Expect(0, 3885, '\p{Numeric_Value=2.500}', "");
Expect(1, 3885, '\p{^Numeric_Value=2.500}', "");
Expect(1, 3885, '\P{Numeric_Value=2.500}', "");
Expect(0, 3885, '\P{^Numeric_Value=2.500}', "");
Error('\p{Nv=:=0000000005/0000002}');
Error('\P{Nv=:=0000000005/0000002}');
Expect(1, 3884, '\p{Nv=+005/02}', "");
Expect(0, 3884, '\p{^Nv=+005/02}', "");
Expect(0, 3884, '\P{Nv=+005/02}', "");
Expect(1, 3884, '\P{^Nv=+005/02}', "");
Expect(0, 3885, '\p{Nv=+005/02}', "");
Expect(1, 3885, '\p{^Nv=+005/02}', "");
Expect(1, 3885, '\P{Nv=+005/02}', "");
Expect(0, 3885, '\P{^Nv=+005/02}', "");
Expect(1, 3884, '\p{Nv=2.500}', "");
Expect(0, 3884, '\p{^Nv=2.500}', "");
Expect(0, 3884, '\P{Nv=2.500}', "");
Expect(1, 3884, '\P{^Nv=2.500}', "");
Expect(0, 3885, '\p{Nv=2.500}', "");
Expect(1, 3885, '\p{^Nv=2.500}', "");
Expect(1, 3885, '\P{Nv=2.500}', "");
Expect(0, 3885, '\P{^Nv=2.500}', "");
Error('\p{Is_Numeric_Value=:=_-0000000005/000002}');
Error('\P{Is_Numeric_Value=:=_-0000000005/000002}');
Expect(1, 3884, '\p{Is_Numeric_Value:   000000005/00002}', "");
Expect(0, 3884, '\p{^Is_Numeric_Value:   000000005/00002}', "");
Expect(0, 3884, '\P{Is_Numeric_Value:   000000005/00002}', "");
Expect(1, 3884, '\P{^Is_Numeric_Value:   000000005/00002}', "");
Expect(0, 3885, '\p{Is_Numeric_Value:   000000005/00002}', "");
Expect(1, 3885, '\p{^Is_Numeric_Value:   000000005/00002}', "");
Expect(1, 3885, '\P{Is_Numeric_Value:   000000005/00002}', "");
Expect(0, 3885, '\P{^Is_Numeric_Value:   000000005/00002}', "");
Expect(1, 3884, '\p{Is_Numeric_Value=2.500}', "");
Expect(0, 3884, '\p{^Is_Numeric_Value=2.500}', "");
Expect(0, 3884, '\P{Is_Numeric_Value=2.500}', "");
Expect(1, 3884, '\P{^Is_Numeric_Value=2.500}', "");
Expect(0, 3885, '\p{Is_Numeric_Value=2.500}', "");
Expect(1, 3885, '\p{^Is_Numeric_Value=2.500}', "");
Expect(1, 3885, '\P{Is_Numeric_Value=2.500}', "");
Expect(0, 3885, '\P{^Is_Numeric_Value=2.500}', "");
Error('\p{Is_Nv=/a/ 000000005/2}');
Error('\P{Is_Nv=/a/ 000000005/2}');
Expect(1, 3884, '\p{Is_Nv=000005/00002}', "");
Expect(0, 3884, '\p{^Is_Nv=000005/00002}', "");
Expect(0, 3884, '\P{Is_Nv=000005/00002}', "");
Expect(1, 3884, '\P{^Is_Nv=000005/00002}', "");
Expect(0, 3885, '\p{Is_Nv=000005/00002}', "");
Expect(1, 3885, '\p{^Is_Nv=000005/00002}', "");
Expect(1, 3885, '\P{Is_Nv=000005/00002}', "");
Expect(0, 3885, '\P{^Is_Nv=000005/00002}', "");
Expect(1, 3884, '\p{Is_Nv=2.500}', "");
Expect(0, 3884, '\p{^Is_Nv=2.500}', "");
Expect(0, 3884, '\P{Is_Nv=2.500}', "");
Expect(1, 3884, '\P{^Is_Nv=2.500}', "");
Expect(0, 3885, '\p{Is_Nv=2.500}', "");
Expect(1, 3885, '\p{^Is_Nv=2.500}', "");
Expect(1, 3885, '\P{Is_Nv=2.500}', "");
Expect(0, 3885, '\P{^Is_Nv=2.500}', "");
Error('\p{Numeric_Value=/a/  +0000000005/000000006}');
Error('\P{Numeric_Value=/a/  +0000000005/000000006}');
Expect(1, 74844, '\p{Numeric_Value=5/00006}', "");
Expect(0, 74844, '\p{^Numeric_Value=5/00006}', "");
Expect(0, 74844, '\P{Numeric_Value=5/00006}', "");
Expect(1, 74844, '\P{^Numeric_Value=5/00006}', "");
Expect(0, 74845, '\p{Numeric_Value=5/00006}', "");
Expect(1, 74845, '\p{^Numeric_Value=5/00006}', "");
Expect(1, 74845, '\P{Numeric_Value=5/00006}', "");
Expect(0, 74845, '\P{^Numeric_Value=5/00006}', "");
Error('\p{Numeric_Value=0.83}');
Error('\P{Numeric_Value=0.83}');
Expect(1, 74844, '\p{Numeric_Value=0.833}', "");
Expect(0, 74844, '\p{^Numeric_Value=0.833}', "");
Expect(0, 74844, '\P{Numeric_Value=0.833}', "");
Expect(1, 74844, '\P{^Numeric_Value=0.833}', "");
Expect(0, 74845, '\p{Numeric_Value=0.833}', "");
Expect(1, 74845, '\p{^Numeric_Value=0.833}', "");
Expect(1, 74845, '\P{Numeric_Value=0.833}', "");
Expect(0, 74845, '\P{^Numeric_Value=0.833}', "");
Error('\p{Nv:   -:=+000000005/0000006}');
Error('\P{Nv:   -:=+000000005/0000006}');
Expect(1, 74844, '\p{Nv=000000005/006}', "");
Expect(0, 74844, '\p{^Nv=000000005/006}', "");
Expect(0, 74844, '\P{Nv=000000005/006}', "");
Expect(1, 74844, '\P{^Nv=000000005/006}', "");
Expect(0, 74845, '\p{Nv=000000005/006}', "");
Expect(1, 74845, '\p{^Nv=000000005/006}', "");
Expect(1, 74845, '\P{Nv=000000005/006}', "");
Expect(0, 74845, '\P{^Nv=000000005/006}', "");
Error('\p{Nv:0.83}');
Error('\P{Nv:0.83}');
Expect(1, 74844, '\p{Nv=0.833}', "");
Expect(0, 74844, '\p{^Nv=0.833}', "");
Expect(0, 74844, '\P{Nv=0.833}', "");
Expect(1, 74844, '\P{^Nv=0.833}', "");
Expect(0, 74845, '\p{Nv=0.833}', "");
Expect(1, 74845, '\p{^Nv=0.833}', "");
Expect(1, 74845, '\P{Nv=0.833}', "");
Expect(0, 74845, '\P{^Nv=0.833}', "");
Error('\p{Is_Numeric_Value= +00000005/0000000006/a/}');
Error('\P{Is_Numeric_Value= +00000005/0000000006/a/}');
Expect(1, 74844, '\p{Is_Numeric_Value=0005/006}', "");
Expect(0, 74844, '\p{^Is_Numeric_Value=0005/006}', "");
Expect(0, 74844, '\P{Is_Numeric_Value=0005/006}', "");
Expect(1, 74844, '\P{^Is_Numeric_Value=0005/006}', "");
Expect(0, 74845, '\p{Is_Numeric_Value=0005/006}', "");
Expect(1, 74845, '\p{^Is_Numeric_Value=0005/006}', "");
Expect(1, 74845, '\P{Is_Numeric_Value=0005/006}', "");
Expect(0, 74845, '\P{^Is_Numeric_Value=0005/006}', "");
Error('\p{Is_Numeric_Value=0.83}');
Error('\P{Is_Numeric_Value=0.83}');
Expect(1, 74844, '\p{Is_Numeric_Value=0.833}', "");
Expect(0, 74844, '\p{^Is_Numeric_Value=0.833}', "");
Expect(0, 74844, '\P{Is_Numeric_Value=0.833}', "");
Expect(1, 74844, '\P{^Is_Numeric_Value=0.833}', "");
Expect(0, 74845, '\p{Is_Numeric_Value=0.833}', "");
Expect(1, 74845, '\p{^Is_Numeric_Value=0.833}', "");
Expect(1, 74845, '\P{Is_Numeric_Value=0.833}', "");
Expect(0, 74845, '\P{^Is_Numeric_Value=0.833}', "");
Error('\p{Is_Nv=	 5/000000006/a/}');
Error('\P{Is_Nv=	 5/000000006/a/}');
Expect(1, 74844, '\p{Is_Nv=5/000006}', "");
Expect(0, 74844, '\p{^Is_Nv=5/000006}', "");
Expect(0, 74844, '\P{Is_Nv=5/000006}', "");
Expect(1, 74844, '\P{^Is_Nv=5/000006}', "");
Expect(0, 74845, '\p{Is_Nv=5/000006}', "");
Expect(1, 74845, '\p{^Is_Nv=5/000006}', "");
Expect(1, 74845, '\P{Is_Nv=5/000006}', "");
Expect(0, 74845, '\P{^Is_Nv=5/000006}', "");
Error('\p{Is_Nv=0.83}');
Error('\P{Is_Nv=0.83}');
Expect(1, 74844, '\p{Is_Nv=0.833}', "");
Expect(0, 74844, '\p{^Is_Nv=0.833}', "");
Expect(0, 74844, '\P{Is_Nv=0.833}', "");
Expect(1, 74844, '\P{^Is_Nv=0.833}', "");
Expect(0, 74845, '\p{Is_Nv=0.833}', "");
Expect(1, 74845, '\p{^Is_Nv=0.833}', "");
Expect(1, 74845, '\P{Is_Nv=0.833}', "");
Expect(0, 74845, '\P{^Is_Nv=0.833}', "");
Error('\p{Numeric_Value=:= 	05/000000008}');
Error('\P{Numeric_Value=:= 	05/000000008}');
Expect(1, 8541, '\p{Numeric_Value=005/00000008}', "");
Expect(0, 8541, '\p{^Numeric_Value=005/00000008}', "");
Expect(0, 8541, '\P{Numeric_Value=005/00000008}', "");
Expect(1, 8541, '\P{^Numeric_Value=005/00000008}', "");
Expect(0, 8542, '\p{Numeric_Value=005/00000008}', "");
Expect(1, 8542, '\p{^Numeric_Value=005/00000008}', "");
Expect(1, 8542, '\P{Numeric_Value=005/00000008}', "");
Expect(0, 8542, '\P{^Numeric_Value=005/00000008}', "");
Error('\p{Numeric_Value=0.62}');
Error('\P{Numeric_Value=0.62}');
Expect(1, 8541, '\p{Numeric_Value=0.625}', "");
Expect(0, 8541, '\p{^Numeric_Value=0.625}', "");
Expect(0, 8541, '\P{Numeric_Value=0.625}', "");
Expect(1, 8541, '\P{^Numeric_Value=0.625}', "");
Expect(0, 8542, '\p{Numeric_Value=0.625}', "");
Expect(1, 8542, '\p{^Numeric_Value=0.625}', "");
Expect(1, 8542, '\P{Numeric_Value=0.625}', "");
Expect(0, 8542, '\P{^Numeric_Value=0.625}', "");
Error('\p{Nv=/a/000000005/0000008}');
Error('\P{Nv=/a/000000005/0000008}');
Expect(1, 8541, '\p{Nv=+005/008}', "");
Expect(0, 8541, '\p{^Nv=+005/008}', "");
Expect(0, 8541, '\P{Nv=+005/008}', "");
Expect(1, 8541, '\P{^Nv=+005/008}', "");
Expect(0, 8542, '\p{Nv=+005/008}', "");
Expect(1, 8542, '\p{^Nv=+005/008}', "");
Expect(1, 8542, '\P{Nv=+005/008}', "");
Expect(0, 8542, '\P{^Nv=+005/008}', "");
Error('\p{Nv=0.62}');
Error('\P{Nv=0.62}');
Expect(1, 8541, '\p{Nv=0.625}', "");
Expect(0, 8541, '\p{^Nv=0.625}', "");
Expect(0, 8541, '\P{Nv=0.625}', "");
Expect(1, 8541, '\P{^Nv=0.625}', "");
Expect(0, 8542, '\p{Nv=0.625}', "");
Expect(1, 8542, '\p{^Nv=0.625}', "");
Expect(1, 8542, '\P{Nv=0.625}', "");
Expect(0, 8542, '\P{^Nv=0.625}', "");
Error('\p{Is_Numeric_Value=_	0005/00000008/a/}');
Error('\P{Is_Numeric_Value=_	0005/00000008/a/}');
Expect(1, 8541, '\p{Is_Numeric_Value: +05/0008}', "");
Expect(0, 8541, '\p{^Is_Numeric_Value: +05/0008}', "");
Expect(0, 8541, '\P{Is_Numeric_Value: +05/0008}', "");
Expect(1, 8541, '\P{^Is_Numeric_Value: +05/0008}', "");
Expect(0, 8542, '\p{Is_Numeric_Value: +05/0008}', "");
Expect(1, 8542, '\p{^Is_Numeric_Value: +05/0008}', "");
Expect(1, 8542, '\P{Is_Numeric_Value: +05/0008}', "");
Expect(0, 8542, '\P{^Is_Numeric_Value: +05/0008}', "");
Error('\p{Is_Numeric_Value=0.62}');
Error('\P{Is_Numeric_Value=0.62}');
Expect(1, 8541, '\p{Is_Numeric_Value=0.625}', "");
Expect(0, 8541, '\p{^Is_Numeric_Value=0.625}', "");
Expect(0, 8541, '\P{Is_Numeric_Value=0.625}', "");
Expect(1, 8541, '\P{^Is_Numeric_Value=0.625}', "");
Expect(0, 8542, '\p{Is_Numeric_Value=0.625}', "");
Expect(1, 8542, '\p{^Is_Numeric_Value=0.625}', "");
Expect(1, 8542, '\P{Is_Numeric_Value=0.625}', "");
Expect(0, 8542, '\P{^Is_Numeric_Value=0.625}', "");
Error('\p{Is_Nv=_/a/+05/08}');
Error('\P{Is_Nv=_/a/+05/08}');
Expect(1, 8541, '\p{Is_Nv=0000005/008}', "");
Expect(0, 8541, '\p{^Is_Nv=0000005/008}', "");
Expect(0, 8541, '\P{Is_Nv=0000005/008}', "");
Expect(1, 8541, '\P{^Is_Nv=0000005/008}', "");
Expect(0, 8542, '\p{Is_Nv=0000005/008}', "");
Expect(1, 8542, '\p{^Is_Nv=0000005/008}', "");
Expect(1, 8542, '\P{Is_Nv=0000005/008}', "");
Expect(0, 8542, '\P{^Is_Nv=0000005/008}', "");
Error('\p{Is_Nv=0.62}');
Error('\P{Is_Nv=0.62}');
Expect(1, 8541, '\p{Is_Nv=0.625}', "");
Expect(0, 8541, '\p{^Is_Nv=0.625}', "");
Expect(0, 8541, '\P{Is_Nv=0.625}', "");
Expect(1, 8541, '\P{^Is_Nv=0.625}', "");
Expect(0, 8542, '\p{Is_Nv=0.625}', "");
Expect(1, 8542, '\p{^Is_Nv=0.625}', "");
Expect(1, 8542, '\P{Is_Nv=0.625}', "");
Expect(0, 8542, '\P{^Is_Nv=0.625}', "");
Error('\p{Numeric_Value= :=+000000050}');
Error('\P{Numeric_Value= :=+000000050}');
Expect(1, 119661, '\p{Numeric_Value=0000000050}', "");
Expect(0, 119661, '\p{^Numeric_Value=0000000050}', "");
Expect(0, 119661, '\P{Numeric_Value=0000000050}', "");
Expect(1, 119661, '\P{^Numeric_Value=0000000050}', "");
Expect(0, 119662, '\p{Numeric_Value=0000000050}', "");
Expect(1, 119662, '\p{^Numeric_Value=0000000050}', "");
Expect(1, 119662, '\P{Numeric_Value=0000000050}', "");
Expect(0, 119662, '\P{^Numeric_Value=0000000050}', "");
Error('\p{Nv=_:=+000_005_0}');
Error('\P{Nv=_:=+000_005_0}');
Expect(1, 119661, '\p{Nv=+0000050}', "");
Expect(0, 119661, '\p{^Nv=+0000050}', "");
Expect(0, 119661, '\P{Nv=+0000050}', "");
Expect(1, 119661, '\P{^Nv=+0000050}', "");
Expect(0, 119662, '\p{Nv=+0000050}', "");
Expect(1, 119662, '\p{^Nv=+0000050}', "");
Expect(1, 119662, '\P{Nv=+0000050}', "");
Expect(0, 119662, '\P{^Nv=+0000050}', "");
Error('\p{Is_Numeric_Value=:= _0000050}');
Error('\P{Is_Numeric_Value=:= _0000050}');
Expect(1, 119661, '\p{Is_Numeric_Value=+50}', "");
Expect(0, 119661, '\p{^Is_Numeric_Value=+50}', "");
Expect(0, 119661, '\P{Is_Numeric_Value=+50}', "");
Expect(1, 119661, '\P{^Is_Numeric_Value=+50}', "");
Expect(0, 119662, '\p{Is_Numeric_Value=+50}', "");
Expect(1, 119662, '\p{^Is_Numeric_Value=+50}', "");
Expect(1, 119662, '\P{Is_Numeric_Value=+50}', "");
Expect(0, 119662, '\P{^Is_Numeric_Value=+50}', "");
Error('\p{Is_Nv=/a/	 05_0}');
Error('\P{Is_Nv=/a/	 05_0}');
Expect(1, 119661, '\p{Is_Nv=5_0}', "");
Expect(0, 119661, '\p{^Is_Nv=5_0}', "");
Expect(0, 119661, '\P{Is_Nv=5_0}', "");
Expect(1, 119661, '\P{^Is_Nv=5_0}', "");
Expect(0, 119662, '\p{Is_Nv=5_0}', "");
Expect(1, 119662, '\p{^Is_Nv=5_0}', "");
Expect(1, 119662, '\P{Is_Nv=5_0}', "");
Expect(0, 119662, '\P{^Is_Nv=5_0}', "");
Error('\p{Numeric_Value:	 _0_0_0_5_00:=}');
Error('\P{Numeric_Value:	 _0_0_0_5_00:=}');
Expect(1, 69238, '\p{Numeric_Value=0050_0}', "");
Expect(0, 69238, '\p{^Numeric_Value=0050_0}', "");
Expect(0, 69238, '\P{Numeric_Value=0050_0}', "");
Expect(1, 69238, '\P{^Numeric_Value=0050_0}', "");
Expect(0, 69239, '\p{Numeric_Value=0050_0}', "");
Expect(1, 69239, '\p{^Numeric_Value=0050_0}', "");
Expect(1, 69239, '\P{Numeric_Value=0050_0}', "");
Expect(0, 69239, '\P{^Numeric_Value=0050_0}', "");
Error('\p{Nv=_	+000500/a/}');
Error('\P{Nv=_	+000500/a/}');
Expect(1, 69238, '\p{Nv:500}', "");
Expect(0, 69238, '\p{^Nv:500}', "");
Expect(0, 69238, '\P{Nv:500}', "");
Expect(1, 69238, '\P{^Nv:500}', "");
Expect(0, 69239, '\p{Nv:500}', "");
Expect(1, 69239, '\p{^Nv:500}', "");
Expect(1, 69239, '\P{Nv:500}', "");
Expect(0, 69239, '\P{^Nv:500}', "");
Error('\p{Is_Numeric_Value= 	000000500/a/}');
Error('\P{Is_Numeric_Value= 	000000500/a/}');
Expect(1, 69238, '\p{Is_Numeric_Value=00000500}', "");
Expect(0, 69238, '\p{^Is_Numeric_Value=00000500}', "");
Expect(0, 69238, '\P{Is_Numeric_Value=00000500}', "");
Expect(1, 69238, '\P{^Is_Numeric_Value=00000500}', "");
Expect(0, 69239, '\p{Is_Numeric_Value=00000500}', "");
Expect(1, 69239, '\p{^Is_Numeric_Value=00000500}', "");
Expect(1, 69239, '\P{Is_Numeric_Value=00000500}', "");
Expect(0, 69239, '\P{^Is_Numeric_Value=00000500}', "");
Error('\p{Is_Nv=:=	0000500}');
Error('\P{Is_Nv=:=	0000500}');
Expect(1, 69238, '\p{Is_Nv=00_50_0}', "");
Expect(0, 69238, '\p{^Is_Nv=00_50_0}', "");
Expect(0, 69238, '\P{Is_Nv=00_50_0}', "");
Expect(1, 69238, '\P{^Is_Nv=00_50_0}', "");
Expect(0, 69239, '\p{Is_Nv=00_50_0}', "");
Expect(1, 69239, '\p{^Is_Nv=00_50_0}', "");
Expect(1, 69239, '\P{Is_Nv=00_50_0}', "");
Expect(0, 69239, '\P{^Is_Nv=00_50_0}', "");
Error('\p{Numeric_Value= 0_0_0_0_0_0_5_0_00:=}');
Error('\P{Numeric_Value= 0_0_0_0_0_0_5_0_00:=}');
Expect(1, 65906, '\p{Numeric_Value=000005000}', "");
Expect(0, 65906, '\p{^Numeric_Value=000005000}', "");
Expect(0, 65906, '\P{Numeric_Value=000005000}', "");
Expect(1, 65906, '\P{^Numeric_Value=000005000}', "");
Expect(0, 65907, '\p{Numeric_Value=000005000}', "");
Expect(1, 65907, '\p{^Numeric_Value=000005000}', "");
Expect(1, 65907, '\P{Numeric_Value=000005000}', "");
Expect(0, 65907, '\P{^Numeric_Value=000005000}', "");
Error('\p{Nv=- 00005000:=}');
Error('\P{Nv=- 00005000:=}');
Expect(1, 65906, '\p{Nv=0_0_0_0_0_5_0_00}', "");
Expect(0, 65906, '\p{^Nv=0_0_0_0_0_5_0_00}', "");
Expect(0, 65906, '\P{Nv=0_0_0_0_0_5_0_00}', "");
Expect(1, 65906, '\P{^Nv=0_0_0_0_0_5_0_00}', "");
Expect(0, 65907, '\p{Nv=0_0_0_0_0_5_0_00}', "");
Expect(1, 65907, '\p{^Nv=0_0_0_0_0_5_0_00}', "");
Expect(1, 65907, '\P{Nv=0_0_0_0_0_5_0_00}', "");
Expect(0, 65907, '\P{^Nv=0_0_0_0_0_5_0_00}', "");
Error('\p{Is_Numeric_Value=	00_50_00/a/}');
Error('\P{Is_Numeric_Value=	00_50_00/a/}');
Expect(1, 65906, '\p{Is_Numeric_Value=+00000005000}', "");
Expect(0, 65906, '\p{^Is_Numeric_Value=+00000005000}', "");
Expect(0, 65906, '\P{Is_Numeric_Value=+00000005000}', "");
Expect(1, 65906, '\P{^Is_Numeric_Value=+00000005000}', "");
Expect(0, 65907, '\p{Is_Numeric_Value=+00000005000}', "");
Expect(1, 65907, '\p{^Is_Numeric_Value=+00000005000}', "");
Expect(1, 65907, '\P{Is_Numeric_Value=+00000005000}', "");
Expect(0, 65907, '\P{^Is_Numeric_Value=+00000005000}', "");
Error('\p{Is_Nv:   _ 5_0_00/a/}');
Error('\P{Is_Nv:   _ 5_0_00/a/}');
Expect(1, 65906, '\p{Is_Nv=500_0}', "");
Expect(0, 65906, '\p{^Is_Nv=500_0}', "");
Expect(0, 65906, '\P{Is_Nv=500_0}', "");
Expect(1, 65906, '\P{^Is_Nv=500_0}', "");
Expect(0, 65907, '\p{Is_Nv=500_0}', "");
Expect(1, 65907, '\p{^Is_Nv=500_0}', "");
Expect(1, 65907, '\P{Is_Nv=500_0}', "");
Expect(0, 65907, '\P{^Is_Nv=500_0}', "");
Error('\p{Numeric_Value=_/a/000_000_050_000}');
Error('\P{Numeric_Value=_/a/000_000_050_000}');
Expect(1, 65878, '\p{Numeric_Value=+00050000}', "");
Expect(0, 65878, '\p{^Numeric_Value=+00050000}', "");
Expect(0, 65878, '\P{Numeric_Value=+00050000}', "");
Expect(1, 65878, '\P{^Numeric_Value=+00050000}', "");
Expect(0, 65879, '\p{Numeric_Value=+00050000}', "");
Expect(1, 65879, '\p{^Numeric_Value=+00050000}', "");
Expect(1, 65879, '\P{Numeric_Value=+00050000}', "");
Expect(0, 65879, '\P{^Numeric_Value=+00050000}', "");
Error('\p{Nv:   	0000000050000:=}');
Error('\P{Nv:   	0000000050000:=}');
Expect(1, 65878, '\p{Nv=+0000000050000}', "");
Expect(0, 65878, '\p{^Nv=+0000000050000}', "");
Expect(0, 65878, '\P{Nv=+0000000050000}', "");
Expect(1, 65878, '\P{^Nv=+0000000050000}', "");
Expect(0, 65879, '\p{Nv=+0000000050000}', "");
Expect(1, 65879, '\p{^Nv=+0000000050000}', "");
Expect(1, 65879, '\P{Nv=+0000000050000}', "");
Expect(0, 65879, '\P{^Nv=+0000000050000}', "");
Error('\p{Is_Numeric_Value=-	00000000050000:=}');
Error('\P{Is_Numeric_Value=-	00000000050000:=}');
Expect(1, 65878, '\p{Is_Numeric_Value=00000050000}', "");
Expect(0, 65878, '\p{^Is_Numeric_Value=00000050000}', "");
Expect(0, 65878, '\P{Is_Numeric_Value=00000050000}', "");
Expect(1, 65878, '\P{^Is_Numeric_Value=00000050000}', "");
Expect(0, 65879, '\p{Is_Numeric_Value=00000050000}', "");
Expect(1, 65879, '\p{^Is_Numeric_Value=00000050000}', "");
Expect(1, 65879, '\P{Is_Numeric_Value=00000050000}', "");
Expect(0, 65879, '\P{^Is_Numeric_Value=00000050000}', "");
Error('\p{Is_Nv:   -/a/+05000_0}');
Error('\P{Is_Nv:   -/a/+05000_0}');
Expect(1, 65878, '\p{Is_Nv=00_00_05_00_00}', "");
Expect(0, 65878, '\p{^Is_Nv=00_00_05_00_00}', "");
Expect(0, 65878, '\P{Is_Nv=00_00_05_00_00}', "");
Expect(1, 65878, '\P{^Is_Nv=00_00_05_00_00}', "");
Expect(0, 65879, '\p{Is_Nv=00_00_05_00_00}', "");
Expect(1, 65879, '\p{^Is_Nv=00_00_05_00_00}', "");
Expect(1, 65879, '\P{Is_Nv=00_00_05_00_00}', "");
Expect(0, 65879, '\P{^Is_Nv=00_00_05_00_00}', "");
Error('\p{Numeric_Value= +0_6:=}');
Error('\P{Numeric_Value= +0_6:=}');
Expect(1, 133866, '\p{Numeric_Value=+0_6}', "");
Expect(0, 133866, '\p{^Numeric_Value=+0_6}', "");
Expect(0, 133866, '\P{Numeric_Value=+0_6}', "");
Expect(1, 133866, '\P{^Numeric_Value=+0_6}', "");
Expect(0, 133867, '\p{Numeric_Value=+0_6}', "");
Expect(1, 133867, '\p{^Numeric_Value=+0_6}', "");
Expect(1, 133867, '\P{Numeric_Value=+0_6}', "");
Expect(0, 133867, '\P{^Numeric_Value=+0_6}', "");
Error('\p{Nv=/a/ -+00006}');
Error('\P{Nv=/a/ -+00006}');
Expect(1, 133866, '\p{Nv:	0000000006}', "");
Expect(0, 133866, '\p{^Nv:	0000000006}', "");
Expect(0, 133866, '\P{Nv:	0000000006}', "");
Expect(1, 133866, '\P{^Nv:	0000000006}', "");
Expect(0, 133867, '\p{Nv:	0000000006}', "");
Expect(1, 133867, '\p{^Nv:	0000000006}', "");
Expect(1, 133867, '\P{Nv:	0000000006}', "");
Expect(0, 133867, '\P{^Nv:	0000000006}', "");
Error('\p{Is_Numeric_Value=:=  +00_00_06}');
Error('\P{Is_Numeric_Value=:=  +00_00_06}');
Expect(1, 133866, '\p{Is_Numeric_Value=0006}', "");
Expect(0, 133866, '\p{^Is_Numeric_Value=0006}', "");
Expect(0, 133866, '\P{Is_Numeric_Value=0006}', "");
Expect(1, 133866, '\P{^Is_Numeric_Value=0006}', "");
Expect(0, 133867, '\p{Is_Numeric_Value=0006}', "");
Expect(1, 133867, '\p{^Is_Numeric_Value=0006}', "");
Expect(1, 133867, '\P{Is_Numeric_Value=0006}', "");
Expect(0, 133867, '\P{^Is_Numeric_Value=0006}', "");
Error('\p{Is_Nv= /a/+000006}');
Error('\P{Is_Nv= /a/+000006}');
Expect(1, 133866, '\p{Is_Nv=+00_00_00_006}', "");
Expect(0, 133866, '\p{^Is_Nv=+00_00_00_006}', "");
Expect(0, 133866, '\P{Is_Nv=+00_00_00_006}', "");
Expect(1, 133866, '\P{^Is_Nv=+00_00_00_006}', "");
Expect(0, 133867, '\p{Is_Nv=+00_00_00_006}', "");
Expect(1, 133867, '\p{^Is_Nv=+00_00_00_006}', "");
Expect(1, 133867, '\P{Is_Nv=+00_00_00_006}', "");
Expect(0, 133867, '\P{^Is_Nv=+00_00_00_006}', "");
Error('\p{Numeric_Value= 0060/a/}');
Error('\P{Numeric_Value= 0060/a/}');
Expect(1, 119662, '\p{Numeric_Value=+000060}', "");
Expect(0, 119662, '\p{^Numeric_Value=+000060}', "");
Expect(0, 119662, '\P{Numeric_Value=+000060}', "");
Expect(1, 119662, '\P{^Numeric_Value=+000060}', "");
Expect(0, 119663, '\p{Numeric_Value=+000060}', "");
Expect(1, 119663, '\p{^Numeric_Value=+000060}', "");
Expect(1, 119663, '\P{Numeric_Value=+000060}', "");
Expect(0, 119663, '\P{^Numeric_Value=+000060}', "");
Error('\p{Nv=	/a/+0000000060}');
Error('\P{Nv=	/a/+0000000060}');
Expect(1, 119662, '\p{Nv=0_0_0_0_0060}', "");
Expect(0, 119662, '\p{^Nv=0_0_0_0_0060}', "");
Expect(0, 119662, '\P{Nv=0_0_0_0_0060}', "");
Expect(1, 119662, '\P{^Nv=0_0_0_0_0060}', "");
Expect(0, 119663, '\p{Nv=0_0_0_0_0060}', "");
Expect(1, 119663, '\p{^Nv=0_0_0_0_0060}', "");
Expect(1, 119663, '\P{Nv=0_0_0_0_0060}', "");
Expect(0, 119663, '\P{^Nv=0_0_0_0_0060}', "");
Error('\p{Is_Numeric_Value=-:=00000060}');
Error('\P{Is_Numeric_Value=-:=00000060}');
Expect(1, 119662, '\p{Is_Numeric_Value=0060}', "");
Expect(0, 119662, '\p{^Is_Numeric_Value=0060}', "");
Expect(0, 119662, '\P{Is_Numeric_Value=0060}', "");
Expect(1, 119662, '\P{^Is_Numeric_Value=0060}', "");
Expect(0, 119663, '\p{Is_Numeric_Value=0060}', "");
Expect(1, 119663, '\p{^Is_Numeric_Value=0060}', "");
Expect(1, 119663, '\P{Is_Numeric_Value=0060}', "");
Expect(0, 119663, '\P{^Is_Numeric_Value=0060}', "");
Error('\p{Is_Nv=:=	 0_0_0_0_0_0_0_0_60}');
Error('\P{Is_Nv=:=	 0_0_0_0_0_0_0_0_60}');
Expect(1, 119662, '\p{Is_Nv=00000000060}', "");
Expect(0, 119662, '\p{^Is_Nv=00000000060}', "");
Expect(0, 119662, '\P{Is_Nv=00000000060}', "");
Expect(1, 119662, '\P{^Is_Nv=00000000060}', "");
Expect(0, 119663, '\p{Is_Nv=00000000060}', "");
Expect(1, 119663, '\p{^Is_Nv=00000000060}', "");
Expect(1, 119663, '\P{Is_Nv=00000000060}', "");
Expect(0, 119663, '\P{^Is_Nv=00000000060}', "");
Error('\p{Numeric_Value=	0000000600/a/}');
Error('\P{Numeric_Value=	0000000600/a/}');
Expect(1, 69239, '\p{Numeric_Value=0000_0006_00}', "");
Expect(0, 69239, '\p{^Numeric_Value=0000_0006_00}', "");
Expect(0, 69239, '\P{Numeric_Value=0000_0006_00}', "");
Expect(1, 69239, '\P{^Numeric_Value=0000_0006_00}', "");
Expect(0, 69240, '\p{Numeric_Value=0000_0006_00}', "");
Expect(1, 69240, '\p{^Numeric_Value=0000_0006_00}', "");
Expect(1, 69240, '\P{Numeric_Value=0000_0006_00}', "");
Expect(0, 69240, '\P{^Numeric_Value=0000_0006_00}', "");
Error('\p{Nv:	/a/-_+00000_00060_0}');
Error('\P{Nv:	/a/-_+00000_00060_0}');
Expect(1, 69239, '\p{Nv=0000000600}', "");
Expect(0, 69239, '\p{^Nv=0000000600}', "");
Expect(0, 69239, '\P{Nv=0000000600}', "");
Expect(1, 69239, '\P{^Nv=0000000600}', "");
Expect(0, 69240, '\p{Nv=0000000600}', "");
Expect(1, 69240, '\p{^Nv=0000000600}', "");
Expect(1, 69240, '\P{Nv=0000000600}', "");
Expect(0, 69240, '\P{^Nv=0000000600}', "");
Error('\p{Is_Numeric_Value=_/a/+060_0}');
Error('\P{Is_Numeric_Value=_/a/+060_0}');
Expect(1, 69239, '\p{Is_Numeric_Value=+00600}', "");
Expect(0, 69239, '\p{^Is_Numeric_Value=+00600}', "");
Expect(0, 69239, '\P{Is_Numeric_Value=+00600}', "");
Expect(1, 69239, '\P{^Is_Numeric_Value=+00600}', "");
Expect(0, 69240, '\p{Is_Numeric_Value=+00600}', "");
Expect(1, 69240, '\p{^Is_Numeric_Value=+00600}', "");
Expect(1, 69240, '\P{Is_Numeric_Value=+00600}', "");
Expect(0, 69240, '\P{^Is_Numeric_Value=+00600}', "");
Error('\p{Is_Nv=-:=000_006_00}');
Error('\P{Is_Nv=-:=000_006_00}');
Expect(1, 69239, '\p{Is_Nv=+000000000600}', "");
Expect(0, 69239, '\p{^Is_Nv=+000000000600}', "");
Expect(0, 69239, '\P{Is_Nv=+000000000600}', "");
Expect(1, 69239, '\P{^Is_Nv=+000000000600}', "");
Expect(0, 69240, '\p{Is_Nv=+000000000600}', "");
Expect(1, 69240, '\p{^Is_Nv=+000000000600}', "");
Expect(1, 69240, '\P{Is_Nv=+000000000600}', "");
Expect(0, 69240, '\P{^Is_Nv=+000000000600}', "");
Error('\p{Numeric_Value=	 00_60_00/a/}');
Error('\P{Numeric_Value=	 00_60_00/a/}');
Expect(1, 65831, '\p{Numeric_Value=0_0_0_0_0_0_06000}', "");
Expect(0, 65831, '\p{^Numeric_Value=0_0_0_0_0_0_06000}', "");
Expect(0, 65831, '\P{Numeric_Value=0_0_0_0_0_0_06000}', "");
Expect(1, 65831, '\P{^Numeric_Value=0_0_0_0_0_0_06000}', "");
Expect(0, 65832, '\p{Numeric_Value=0_0_0_0_0_0_06000}', "");
Expect(1, 65832, '\p{^Numeric_Value=0_0_0_0_0_0_06000}', "");
Expect(1, 65832, '\P{Numeric_Value=0_0_0_0_0_0_06000}', "");
Expect(0, 65832, '\P{^Numeric_Value=0_0_0_0_0_0_06000}', "");
Error('\p{Nv=-:=+0000006000}');
Error('\P{Nv=-:=+0000006000}');
Expect(1, 65831, '\p{Nv=0000_0000_0600_0}', "");
Expect(0, 65831, '\p{^Nv=0000_0000_0600_0}', "");
Expect(0, 65831, '\P{Nv=0000_0000_0600_0}', "");
Expect(1, 65831, '\P{^Nv=0000_0000_0600_0}', "");
Expect(0, 65832, '\p{Nv=0000_0000_0600_0}', "");
Expect(1, 65832, '\p{^Nv=0000_0000_0600_0}', "");
Expect(1, 65832, '\P{Nv=0000_0000_0600_0}', "");
Expect(0, 65832, '\P{^Nv=0000_0000_0600_0}', "");
Error('\p{Is_Numeric_Value=	:=600_0}');
Error('\P{Is_Numeric_Value=	:=600_0}');
Expect(1, 65831, '\p{Is_Numeric_Value=600_0}', "");
Expect(0, 65831, '\p{^Is_Numeric_Value=600_0}', "");
Expect(0, 65831, '\P{Is_Numeric_Value=600_0}', "");
Expect(1, 65831, '\P{^Is_Numeric_Value=600_0}', "");
Expect(0, 65832, '\p{Is_Numeric_Value=600_0}', "");
Expect(1, 65832, '\p{^Is_Numeric_Value=600_0}', "");
Expect(1, 65832, '\P{Is_Numeric_Value=600_0}', "");
Expect(0, 65832, '\P{^Is_Numeric_Value=600_0}', "");
Error('\p{Is_Nv:   /a/		0_0_0_0_0_0_0_006000}');
Error('\P{Is_Nv:   /a/		0_0_0_0_0_0_0_006000}');
Expect(1, 65831, '\p{Is_Nv:	0000000600_0}', "");
Expect(0, 65831, '\p{^Is_Nv:	0000000600_0}', "");
Expect(0, 65831, '\P{Is_Nv:	0000000600_0}', "");
Expect(1, 65831, '\P{^Is_Nv:	0000000600_0}', "");
Expect(0, 65832, '\p{Is_Nv:	0000000600_0}', "");
Expect(1, 65832, '\p{^Is_Nv:	0000000600_0}', "");
Expect(1, 65832, '\P{Is_Nv:	0000000600_0}', "");
Expect(0, 65832, '\P{^Is_Nv:	0000000600_0}', "");
Error('\p{Numeric_Value=/a/-+000060000}');
Error('\P{Numeric_Value=/a/-+000060000}');
Expect(1, 65840, '\p{Numeric_Value=0000_0000_0600_00}', "");
Expect(0, 65840, '\p{^Numeric_Value=0000_0000_0600_00}', "");
Expect(0, 65840, '\P{Numeric_Value=0000_0000_0600_00}', "");
Expect(1, 65840, '\P{^Numeric_Value=0000_0000_0600_00}', "");
Expect(0, 65841, '\p{Numeric_Value=0000_0000_0600_00}', "");
Expect(1, 65841, '\p{^Numeric_Value=0000_0000_0600_00}', "");
Expect(1, 65841, '\P{Numeric_Value=0000_0000_0600_00}', "");
Expect(0, 65841, '\P{^Numeric_Value=0000_0000_0600_00}', "");
Error('\p{Nv=:=-_+60000}');
Error('\P{Nv=:=-_+60000}');
Expect(1, 65840, '\p{Nv=00000000060000}', "");
Expect(0, 65840, '\p{^Nv=00000000060000}', "");
Expect(0, 65840, '\P{Nv=00000000060000}', "");
Expect(1, 65840, '\P{^Nv=00000000060000}', "");
Expect(0, 65841, '\p{Nv=00000000060000}', "");
Expect(1, 65841, '\p{^Nv=00000000060000}', "");
Expect(1, 65841, '\P{Nv=00000000060000}', "");
Expect(0, 65841, '\P{^Nv=00000000060000}', "");
Error('\p{Is_Numeric_Value= _00_00_60_00_0/a/}');
Error('\P{Is_Numeric_Value= _00_00_60_00_0/a/}');
Expect(1, 65840, '\p{Is_Numeric_Value=+00000060000}', "");
Expect(0, 65840, '\p{^Is_Numeric_Value=+00000060000}', "");
Expect(0, 65840, '\P{Is_Numeric_Value=+00000060000}', "");
Expect(1, 65840, '\P{^Is_Numeric_Value=+00000060000}', "");
Expect(0, 65841, '\p{Is_Numeric_Value=+00000060000}', "");
Expect(1, 65841, '\p{^Is_Numeric_Value=+00000060000}', "");
Expect(1, 65841, '\P{Is_Numeric_Value=+00000060000}', "");
Expect(0, 65841, '\P{^Is_Numeric_Value=+00000060000}', "");
Error('\p{Is_Nv=/a/ -0000000060000}');
Error('\P{Is_Nv=/a/ -0000000060000}');
Expect(1, 65840, '\p{Is_Nv=06000_0}', "");
Expect(0, 65840, '\p{^Is_Nv=06000_0}', "");
Expect(0, 65840, '\P{Is_Nv=06000_0}', "");
Expect(1, 65840, '\P{^Is_Nv=06000_0}', "");
Expect(0, 65841, '\p{Is_Nv=06000_0}', "");
Expect(1, 65841, '\p{^Is_Nv=06000_0}', "");
Expect(1, 65841, '\P{Is_Nv=06000_0}', "");
Expect(0, 65841, '\P{^Is_Nv=06000_0}', "");
Error('\p{Numeric_Value=:=_-7}');
Error('\P{Numeric_Value=:=_-7}');
Expect(1, 131073, '\p{Numeric_Value=0000000007}', "");
Expect(0, 131073, '\p{^Numeric_Value=0000000007}', "");
Expect(0, 131073, '\P{Numeric_Value=0000000007}', "");
Expect(1, 131073, '\P{^Numeric_Value=0000000007}', "");
Expect(0, 131074, '\p{Numeric_Value=0000000007}', "");
Expect(1, 131074, '\p{^Numeric_Value=0000000007}', "");
Expect(1, 131074, '\P{Numeric_Value=0000000007}', "");
Expect(0, 131074, '\P{^Numeric_Value=0000000007}', "");
Error('\p{Nv=/a/--+0_0_0_0_07}');
Error('\P{Nv=/a/--+0_0_0_0_07}');
Expect(1, 131073, '\p{Nv=0000_0000_7}', "");
Expect(0, 131073, '\p{^Nv=0000_0000_7}', "");
Expect(0, 131073, '\P{Nv=0000_0000_7}', "");
Expect(1, 131073, '\P{^Nv=0000_0000_7}', "");
Expect(0, 131074, '\p{Nv=0000_0000_7}', "");
Expect(1, 131074, '\p{^Nv=0000_0000_7}', "");
Expect(1, 131074, '\P{Nv=0000_0000_7}', "");
Expect(0, 131074, '\P{^Nv=0000_0000_7}', "");
Error('\p{Is_Numeric_Value=:=	-0007}');
Error('\P{Is_Numeric_Value=:=	-0007}');
Expect(1, 131073, '\p{Is_Numeric_Value=00007}', "");
Expect(0, 131073, '\p{^Is_Numeric_Value=00007}', "");
Expect(0, 131073, '\P{Is_Numeric_Value=00007}', "");
Expect(1, 131073, '\P{^Is_Numeric_Value=00007}', "");
Expect(0, 131074, '\p{Is_Numeric_Value=00007}', "");
Expect(1, 131074, '\p{^Is_Numeric_Value=00007}', "");
Expect(1, 131074, '\P{Is_Numeric_Value=00007}', "");
Expect(0, 131074, '\P{^Is_Numeric_Value=00007}', "");
Error('\p{Is_Nv=/a/ -+0_0_0_0_07}');
Error('\P{Is_Nv=/a/ -+0_0_0_0_07}');
Expect(1, 131073, '\p{Is_Nv=0_0_0_0_0_0007}', "");
Expect(0, 131073, '\p{^Is_Nv=0_0_0_0_0_0007}', "");
Expect(0, 131073, '\P{Is_Nv=0_0_0_0_0_0007}', "");
Expect(1, 131073, '\P{^Is_Nv=0_0_0_0_0_0007}', "");
Expect(0, 131074, '\p{Is_Nv=0_0_0_0_0_0007}', "");
Expect(1, 131074, '\p{^Is_Nv=0_0_0_0_0_0007}', "");
Expect(1, 131074, '\P{Is_Nv=0_0_0_0_0_0007}', "");
Expect(0, 131074, '\P{^Is_Nv=0_0_0_0_0_0007}', "");
Error('\p{Numeric_Value=_0000007/0000002/a/}');
Error('\P{Numeric_Value=_0000007/0000002/a/}');
Expect(1, 3885, '\p{Numeric_Value=000000007/00002}', "");
Expect(0, 3885, '\p{^Numeric_Value=000000007/00002}', "");
Expect(0, 3885, '\P{Numeric_Value=000000007/00002}', "");
Expect(1, 3885, '\P{^Numeric_Value=000000007/00002}', "");
Expect(0, 3886, '\p{Numeric_Value=000000007/00002}', "");
Expect(1, 3886, '\p{^Numeric_Value=000000007/00002}', "");
Expect(1, 3886, '\P{Numeric_Value=000000007/00002}', "");
Expect(0, 3886, '\P{^Numeric_Value=000000007/00002}', "");
Expect(1, 3885, '\p{Numeric_Value=3.500}', "");
Expect(0, 3885, '\p{^Numeric_Value=3.500}', "");
Expect(0, 3885, '\P{Numeric_Value=3.500}', "");
Expect(1, 3885, '\P{^Numeric_Value=3.500}', "");
Expect(0, 3886, '\p{Numeric_Value=3.500}', "");
Expect(1, 3886, '\p{^Numeric_Value=3.500}', "");
Expect(1, 3886, '\P{Numeric_Value=3.500}', "");
Expect(0, 3886, '\P{^Numeric_Value=3.500}', "");
Error('\p{Nv=_	+00000007/002:=}');
Error('\P{Nv=_	+00000007/002:=}');
Expect(1, 3885, '\p{Nv=+007/02}', "");
Expect(0, 3885, '\p{^Nv=+007/02}', "");
Expect(0, 3885, '\P{Nv=+007/02}', "");
Expect(1, 3885, '\P{^Nv=+007/02}', "");
Expect(0, 3886, '\p{Nv=+007/02}', "");
Expect(1, 3886, '\p{^Nv=+007/02}', "");
Expect(1, 3886, '\P{Nv=+007/02}', "");
Expect(0, 3886, '\P{^Nv=+007/02}', "");
Expect(1, 3885, '\p{Nv=3.500}', "");
Expect(0, 3885, '\p{^Nv=3.500}', "");
Expect(0, 3885, '\P{Nv=3.500}', "");
Expect(1, 3885, '\P{^Nv=3.500}', "");
Expect(0, 3886, '\p{Nv=3.500}', "");
Expect(1, 3886, '\p{^Nv=3.500}', "");
Expect(1, 3886, '\P{Nv=3.500}', "");
Expect(0, 3886, '\P{^Nv=3.500}', "");
Error('\p{Is_Numeric_Value= +00000007/000002:=}');
Error('\P{Is_Numeric_Value= +00000007/000002:=}');
Expect(1, 3885, '\p{Is_Numeric_Value:0000007/0000002}', "");
Expect(0, 3885, '\p{^Is_Numeric_Value:0000007/0000002}', "");
Expect(0, 3885, '\P{Is_Numeric_Value:0000007/0000002}', "");
Expect(1, 3885, '\P{^Is_Numeric_Value:0000007/0000002}', "");
Expect(0, 3886, '\p{Is_Numeric_Value:0000007/0000002}', "");
Expect(1, 3886, '\p{^Is_Numeric_Value:0000007/0000002}', "");
Expect(1, 3886, '\P{Is_Numeric_Value:0000007/0000002}', "");
Expect(0, 3886, '\P{^Is_Numeric_Value:0000007/0000002}', "");
Expect(1, 3885, '\p{Is_Numeric_Value=3.500}', "");
Expect(0, 3885, '\p{^Is_Numeric_Value=3.500}', "");
Expect(0, 3885, '\P{Is_Numeric_Value=3.500}', "");
Expect(1, 3885, '\P{^Is_Numeric_Value=3.500}', "");
Expect(0, 3886, '\p{Is_Numeric_Value=3.500}', "");
Expect(1, 3886, '\p{^Is_Numeric_Value=3.500}', "");
Expect(1, 3886, '\P{Is_Numeric_Value=3.500}', "");
Expect(0, 3886, '\P{^Is_Numeric_Value=3.500}', "");
Error('\p{Is_Nv=	_00007/2:=}');
Error('\P{Is_Nv=	_00007/2:=}');
Expect(1, 3885, '\p{Is_Nv=00007/002}', "");
Expect(0, 3885, '\p{^Is_Nv=00007/002}', "");
Expect(0, 3885, '\P{Is_Nv=00007/002}', "");
Expect(1, 3885, '\P{^Is_Nv=00007/002}', "");
Expect(0, 3886, '\p{Is_Nv=00007/002}', "");
Expect(1, 3886, '\p{^Is_Nv=00007/002}', "");
Expect(1, 3886, '\P{Is_Nv=00007/002}', "");
Expect(0, 3886, '\P{^Is_Nv=00007/002}', "");
Expect(1, 3885, '\p{Is_Nv=3.500}', "");
Expect(0, 3885, '\p{^Is_Nv=3.500}', "");
Expect(0, 3885, '\P{Is_Nv=3.500}', "");
Expect(1, 3885, '\P{^Is_Nv=3.500}', "");
Expect(0, 3886, '\p{Is_Nv=3.500}', "");
Expect(1, 3886, '\p{^Is_Nv=3.500}', "");
Expect(1, 3886, '\P{Is_Nv=3.500}', "");
Expect(0, 3886, '\P{^Is_Nv=3.500}', "");
Error('\p{Numeric_Value=	:=+000007/0000000008}');
Error('\P{Numeric_Value=	:=+000007/0000000008}');
Expect(1, 8542, '\p{Numeric_Value=+00000007/008}', "");
Expect(0, 8542, '\p{^Numeric_Value=+00000007/008}', "");
Expect(0, 8542, '\P{Numeric_Value=+00000007/008}', "");
Expect(1, 8542, '\P{^Numeric_Value=+00000007/008}', "");
Expect(0, 8543, '\p{Numeric_Value=+00000007/008}', "");
Expect(1, 8543, '\p{^Numeric_Value=+00000007/008}', "");
Expect(1, 8543, '\P{Numeric_Value=+00000007/008}', "");
Expect(0, 8543, '\P{^Numeric_Value=+00000007/008}', "");
Error('\p{Numeric_Value=0.9}');
Error('\P{Numeric_Value=0.9}');
Error('\p{Numeric_Value=0.88}');
Error('\P{Numeric_Value=0.88}');
Expect(1, 8542, '\p{Numeric_Value:0.875}', "");
Expect(0, 8542, '\p{^Numeric_Value:0.875}', "");
Expect(0, 8542, '\P{Numeric_Value:0.875}', "");
Expect(1, 8542, '\P{^Numeric_Value:0.875}', "");
Expect(0, 8543, '\p{Numeric_Value:0.875}', "");
Expect(1, 8543, '\p{^Numeric_Value:0.875}', "");
Expect(1, 8543, '\P{Numeric_Value:0.875}', "");
Expect(0, 8543, '\P{^Numeric_Value:0.875}', "");
Error('\p{Nv=:=	+00000007/000000008}');
Error('\P{Nv=:=	+00000007/000000008}');
Expect(1, 8542, '\p{Nv=+0000007/00008}', "");
Expect(0, 8542, '\p{^Nv=+0000007/00008}', "");
Expect(0, 8542, '\P{Nv=+0000007/00008}', "");
Expect(1, 8542, '\P{^Nv=+0000007/00008}', "");
Expect(0, 8543, '\p{Nv=+0000007/00008}', "");
Expect(1, 8543, '\p{^Nv=+0000007/00008}', "");
Expect(1, 8543, '\P{Nv=+0000007/00008}', "");
Expect(0, 8543, '\P{^Nv=+0000007/00008}', "");
Error('\p{Nv=0.9}');
Error('\P{Nv=0.9}');
Error('\p{Nv=0.88}');
Error('\P{Nv=0.88}');
Expect(1, 8542, '\p{Nv=0.875}', "");
Expect(0, 8542, '\p{^Nv=0.875}', "");
Expect(0, 8542, '\P{Nv=0.875}', "");
Expect(1, 8542, '\P{^Nv=0.875}', "");
Expect(0, 8543, '\p{Nv=0.875}', "");
Expect(1, 8543, '\p{^Nv=0.875}', "");
Expect(1, 8543, '\P{Nv=0.875}', "");
Expect(0, 8543, '\P{^Nv=0.875}', "");
Error('\p{Is_Numeric_Value:	-7/000008/a/}');
Error('\P{Is_Numeric_Value:	-7/000008/a/}');
Expect(1, 8542, '\p{Is_Numeric_Value=0000007/00008}', "");
Expect(0, 8542, '\p{^Is_Numeric_Value=0000007/00008}', "");
Expect(0, 8542, '\P{Is_Numeric_Value=0000007/00008}', "");
Expect(1, 8542, '\P{^Is_Numeric_Value=0000007/00008}', "");
Expect(0, 8543, '\p{Is_Numeric_Value=0000007/00008}', "");
Expect(1, 8543, '\p{^Is_Numeric_Value=0000007/00008}', "");
Expect(1, 8543, '\P{Is_Numeric_Value=0000007/00008}', "");
Expect(0, 8543, '\P{^Is_Numeric_Value=0000007/00008}', "");
Error('\p{Is_Numeric_Value=0.9}');
Error('\P{Is_Numeric_Value=0.9}');
Error('\p{Is_Numeric_Value=0.88}');
Error('\P{Is_Numeric_Value=0.88}');
Expect(1, 8542, '\p{Is_Numeric_Value=0.875}', "");
Expect(0, 8542, '\p{^Is_Numeric_Value=0.875}', "");
Expect(0, 8542, '\P{Is_Numeric_Value=0.875}', "");
Expect(1, 8542, '\P{^Is_Numeric_Value=0.875}', "");
Expect(0, 8543, '\p{Is_Numeric_Value=0.875}', "");
Expect(1, 8543, '\p{^Is_Numeric_Value=0.875}', "");
Expect(1, 8543, '\P{Is_Numeric_Value=0.875}', "");
Expect(0, 8543, '\P{^Is_Numeric_Value=0.875}', "");
Error('\p{Is_Nv:_ +000000007/0008/a/}');
Error('\P{Is_Nv:_ +000000007/0008/a/}');
Expect(1, 8542, '\p{Is_Nv=+0000007/0000008}', "");
Expect(0, 8542, '\p{^Is_Nv=+0000007/0000008}', "");
Expect(0, 8542, '\P{Is_Nv=+0000007/0000008}', "");
Expect(1, 8542, '\P{^Is_Nv=+0000007/0000008}', "");
Expect(0, 8543, '\p{Is_Nv=+0000007/0000008}', "");
Expect(1, 8543, '\p{^Is_Nv=+0000007/0000008}', "");
Expect(1, 8543, '\P{Is_Nv=+0000007/0000008}', "");
Expect(0, 8543, '\P{^Is_Nv=+0000007/0000008}', "");
Error('\p{Is_Nv=0.9}');
Error('\P{Is_Nv=0.9}');
Error('\p{Is_Nv=0.88}');
Error('\P{Is_Nv=0.88}');
Expect(1, 8542, '\p{Is_Nv=0.875}', "");
Expect(0, 8542, '\p{^Is_Nv=0.875}', "");
Expect(0, 8542, '\P{Is_Nv=0.875}', "");
Expect(1, 8542, '\P{^Is_Nv=0.875}', "");
Expect(0, 8543, '\p{Is_Nv=0.875}', "");
Expect(1, 8543, '\p{^Is_Nv=0.875}', "");
Expect(1, 8543, '\P{Is_Nv=0.875}', "");
Expect(0, 8543, '\P{^Is_Nv=0.875}', "");
Error('\p{Numeric_Value=/a/-	00007_0}');
Error('\P{Numeric_Value=/a/-	00007_0}');
Expect(1, 119663, '\p{Numeric_Value=00000000070}', "");
Expect(0, 119663, '\p{^Numeric_Value=00000000070}', "");
Expect(0, 119663, '\P{Numeric_Value=00000000070}', "");
Expect(1, 119663, '\P{^Numeric_Value=00000000070}', "");
Expect(0, 119664, '\p{Numeric_Value=00000000070}', "");
Expect(1, 119664, '\p{^Numeric_Value=00000000070}', "");
Expect(1, 119664, '\P{Numeric_Value=00000000070}', "");
Expect(0, 119664, '\P{^Numeric_Value=00000000070}', "");
Error('\p{Nv= /a/70}');
Error('\P{Nv= /a/70}');
Expect(1, 119663, '\p{Nv=+000_000_70}', "");
Expect(0, 119663, '\p{^Nv=+000_000_70}', "");
Expect(0, 119663, '\P{Nv=+000_000_70}', "");
Expect(1, 119663, '\P{^Nv=+000_000_70}', "");
Expect(0, 119664, '\p{Nv=+000_000_70}', "");
Expect(1, 119664, '\p{^Nv=+000_000_70}', "");
Expect(1, 119664, '\P{Nv=+000_000_70}', "");
Expect(0, 119664, '\P{^Nv=+000_000_70}', "");
Error('\p{Is_Numeric_Value=	 +0_0_0_0_0_0_0_0070/a/}');
Error('\P{Is_Numeric_Value=	 +0_0_0_0_0_0_0_0070/a/}');
Expect(1, 119663, '\p{Is_Numeric_Value:	0_0_0_70}', "");
Expect(0, 119663, '\p{^Is_Numeric_Value:	0_0_0_70}', "");
Expect(0, 119663, '\P{Is_Numeric_Value:	0_0_0_70}', "");
Expect(1, 119663, '\P{^Is_Numeric_Value:	0_0_0_70}', "");
Expect(0, 119664, '\p{Is_Numeric_Value:	0_0_0_70}', "");
Expect(1, 119664, '\p{^Is_Numeric_Value:	0_0_0_70}', "");
Expect(1, 119664, '\P{Is_Numeric_Value:	0_0_0_70}', "");
Expect(0, 119664, '\P{^Is_Numeric_Value:	0_0_0_70}', "");
Error('\p{Is_Nv=/a/-+00000000070}');
Error('\P{Is_Nv=/a/-+00000000070}');
Expect(1, 119663, '\p{Is_Nv=070}', "");
Expect(0, 119663, '\p{^Is_Nv=070}', "");
Expect(0, 119663, '\P{Is_Nv=070}', "");
Expect(1, 119663, '\P{^Is_Nv=070}', "");
Expect(0, 119664, '\p{Is_Nv=070}', "");
Expect(1, 119664, '\p{^Is_Nv=070}', "");
Expect(1, 119664, '\P{Is_Nv=070}', "");
Expect(0, 119664, '\P{^Is_Nv=070}', "");
Error('\p{Numeric_Value=_	+0000000700/a/}');
Error('\P{Numeric_Value=_	+0000000700/a/}');
Expect(1, 69240, '\p{Numeric_Value=700}', "");
Expect(0, 69240, '\p{^Numeric_Value=700}', "");
Expect(0, 69240, '\P{Numeric_Value=700}', "");
Expect(1, 69240, '\P{^Numeric_Value=700}', "");
Expect(0, 69241, '\p{Numeric_Value=700}', "");
Expect(1, 69241, '\p{^Numeric_Value=700}', "");
Expect(1, 69241, '\P{Numeric_Value=700}', "");
Expect(0, 69241, '\P{^Numeric_Value=700}', "");
Error('\p{Nv= -0000070_0/a/}');
Error('\P{Nv= -0000070_0/a/}');
Expect(1, 69240, '\p{Nv=700}', "");
Expect(0, 69240, '\p{^Nv=700}', "");
Expect(0, 69240, '\P{Nv=700}', "");
Expect(1, 69240, '\P{^Nv=700}', "");
Expect(0, 69241, '\p{Nv=700}', "");
Expect(1, 69241, '\p{^Nv=700}', "");
Expect(1, 69241, '\P{Nv=700}', "");
Expect(0, 69241, '\P{^Nv=700}', "");
Error('\p{Is_Numeric_Value=:= -0_0_0_0_0_0_700}');
Error('\P{Is_Numeric_Value=:= -0_0_0_0_0_0_700}');
Expect(1, 69240, '\p{Is_Numeric_Value=0_0_7_00}', "");
Expect(0, 69240, '\p{^Is_Numeric_Value=0_0_7_00}', "");
Expect(0, 69240, '\P{Is_Numeric_Value=0_0_7_00}', "");
Expect(1, 69240, '\P{^Is_Numeric_Value=0_0_7_00}', "");
Expect(0, 69241, '\p{Is_Numeric_Value=0_0_7_00}', "");
Expect(1, 69241, '\p{^Is_Numeric_Value=0_0_7_00}', "");
Expect(1, 69241, '\P{Is_Numeric_Value=0_0_7_00}', "");
Expect(0, 69241, '\P{^Is_Numeric_Value=0_0_7_00}', "");
Error('\p{Is_Nv= /a/+070_0}');
Error('\P{Is_Nv= /a/+070_0}');
Expect(1, 69240, '\p{Is_Nv=+0000700}', "");
Expect(0, 69240, '\p{^Is_Nv=+0000700}', "");
Expect(0, 69240, '\P{Is_Nv=+0000700}', "");
Expect(1, 69240, '\P{^Is_Nv=+0000700}', "");
Expect(0, 69241, '\p{Is_Nv=+0000700}', "");
Expect(1, 69241, '\p{^Is_Nv=+0000700}', "");
Expect(1, 69241, '\P{Is_Nv=+0000700}', "");
Expect(0, 69241, '\P{^Is_Nv=+0000700}', "");
Error('\p{Numeric_Value=_/a/07000}');
Error('\P{Numeric_Value=_/a/07000}');
Expect(1, 65832, '\p{Numeric_Value=+00_00_00_00_07_000}', "");
Expect(0, 65832, '\p{^Numeric_Value=+00_00_00_00_07_000}', "");
Expect(0, 65832, '\P{Numeric_Value=+00_00_00_00_07_000}', "");
Expect(1, 65832, '\P{^Numeric_Value=+00_00_00_00_07_000}', "");
Expect(0, 65833, '\p{Numeric_Value=+00_00_00_00_07_000}', "");
Expect(1, 65833, '\p{^Numeric_Value=+00_00_00_00_07_000}', "");
Expect(1, 65833, '\P{Numeric_Value=+00_00_00_00_07_000}', "");
Expect(0, 65833, '\P{^Numeric_Value=+00_00_00_00_07_000}', "");
Error('\p{Nv=-/a/00007000}');
Error('\P{Nv=-/a/00007000}');
Expect(1, 65832, '\p{Nv=7000}', "");
Expect(0, 65832, '\p{^Nv=7000}', "");
Expect(0, 65832, '\P{Nv=7000}', "");
Expect(1, 65832, '\P{^Nv=7000}', "");
Expect(0, 65833, '\p{Nv=7000}', "");
Expect(1, 65833, '\p{^Nv=7000}', "");
Expect(1, 65833, '\P{Nv=7000}', "");
Expect(0, 65833, '\P{^Nv=7000}', "");
Error('\p{Is_Numeric_Value=_:=+0_0_0_0_0_0_7_000}');
Error('\P{Is_Numeric_Value=_:=+0_0_0_0_0_0_7_000}');
Expect(1, 65832, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_0_7000}', "");
Expect(0, 65832, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_0_7000}', "");
Expect(0, 65832, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_0_7000}', "");
Expect(1, 65832, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_0_7000}', "");
Expect(0, 65833, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_0_7000}', "");
Expect(1, 65833, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_0_7000}', "");
Expect(1, 65833, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_0_7000}', "");
Expect(0, 65833, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_0_7000}', "");
Error('\p{Is_Nv=:=_-+0_0_0_0_0_7_0_00}');
Error('\P{Is_Nv=:=_-+0_0_0_0_0_7_0_00}');
Expect(1, 65832, '\p{Is_Nv=+0_0_7_0_00}', "");
Expect(0, 65832, '\p{^Is_Nv=+0_0_7_0_00}', "");
Expect(0, 65832, '\P{Is_Nv=+0_0_7_0_00}', "");
Expect(1, 65832, '\P{^Is_Nv=+0_0_7_0_00}', "");
Expect(0, 65833, '\p{Is_Nv=+0_0_7_0_00}', "");
Expect(1, 65833, '\p{^Is_Nv=+0_0_7_0_00}', "");
Expect(1, 65833, '\P{Is_Nv=+0_0_7_0_00}', "");
Expect(0, 65833, '\P{^Is_Nv=+0_0_7_0_00}', "");
Error('\p{Numeric_Value=	_+000000070000/a/}');
Error('\P{Numeric_Value=	_+000000070000/a/}');
Expect(1, 65841, '\p{Numeric_Value=070000}', "");
Expect(0, 65841, '\p{^Numeric_Value=070000}', "");
Expect(0, 65841, '\P{Numeric_Value=070000}', "");
Expect(1, 65841, '\P{^Numeric_Value=070000}', "");
Expect(0, 65842, '\p{Numeric_Value=070000}', "");
Expect(1, 65842, '\p{^Numeric_Value=070000}', "");
Expect(1, 65842, '\P{Numeric_Value=070000}', "");
Expect(0, 65842, '\P{^Numeric_Value=070000}', "");
Error('\p{Nv=-000000070000:=}');
Error('\P{Nv=-000000070000:=}');
Expect(1, 65841, '\p{Nv=0000000070000}', "");
Expect(0, 65841, '\p{^Nv=0000000070000}', "");
Expect(0, 65841, '\P{Nv=0000000070000}', "");
Expect(1, 65841, '\P{^Nv=0000000070000}', "");
Expect(0, 65842, '\p{Nv=0000000070000}', "");
Expect(1, 65842, '\p{^Nv=0000000070000}', "");
Expect(1, 65842, '\P{Nv=0000000070000}', "");
Expect(0, 65842, '\P{^Nv=0000000070000}', "");
Error('\p{Is_Numeric_Value=000000070000/a/}');
Error('\P{Is_Numeric_Value=000000070000/a/}');
Expect(1, 65841, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_0_7_0000}', "");
Expect(0, 65841, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_0_7_0000}', "");
Expect(0, 65841, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_0_7_0000}', "");
Expect(1, 65841, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_0_7_0000}', "");
Expect(0, 65842, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_0_7_0000}', "");
Expect(1, 65842, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_0_7_0000}', "");
Expect(1, 65842, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_0_7_0000}', "");
Expect(0, 65842, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_0_7_0000}', "");
Error('\p{Is_Nv=	/a/007_000_0}');
Error('\P{Is_Nv=	/a/007_000_0}');
Expect(1, 65841, '\p{Is_Nv=0007000_0}', "");
Expect(0, 65841, '\p{^Is_Nv=0007000_0}', "");
Expect(0, 65841, '\P{Is_Nv=0007000_0}', "");
Expect(1, 65841, '\P{^Is_Nv=0007000_0}', "");
Expect(0, 65842, '\p{Is_Nv=0007000_0}', "");
Expect(1, 65842, '\p{^Is_Nv=0007000_0}', "");
Expect(1, 65842, '\P{Is_Nv=0007000_0}', "");
Expect(0, 65842, '\P{^Is_Nv=0007000_0}', "");
Error('\p{Numeric_Value=-:=+08}');
Error('\P{Numeric_Value=-:=+08}');
Expect(1, 127241, '\p{Numeric_Value=000_000_8}', "");
Expect(0, 127241, '\p{^Numeric_Value=000_000_8}', "");
Expect(0, 127241, '\P{Numeric_Value=000_000_8}', "");
Expect(1, 127241, '\P{^Numeric_Value=000_000_8}', "");
Expect(0, 127242, '\p{Numeric_Value=000_000_8}', "");
Expect(1, 127242, '\p{^Numeric_Value=000_000_8}', "");
Expect(1, 127242, '\P{Numeric_Value=000_000_8}', "");
Expect(0, 127242, '\P{^Numeric_Value=000_000_8}', "");
Error('\p{Nv=_+000008/a/}');
Error('\P{Nv=_+000008/a/}');
Expect(1, 127241, '\p{Nv=8}', "");
Expect(0, 127241, '\p{^Nv=8}', "");
Expect(0, 127241, '\P{Nv=8}', "");
Expect(1, 127241, '\P{^Nv=8}', "");
Expect(0, 127242, '\p{Nv=8}', "");
Expect(1, 127242, '\p{^Nv=8}', "");
Expect(1, 127242, '\P{Nv=8}', "");
Expect(0, 127242, '\P{^Nv=8}', "");
Error('\p{Is_Numeric_Value=/a/- 008}');
Error('\P{Is_Numeric_Value=/a/- 008}');
Expect(1, 127241, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_0_08}', "");
Expect(0, 127241, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_0_08}', "");
Expect(0, 127241, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_0_08}', "");
Expect(1, 127241, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_0_08}', "");
Expect(0, 127242, '\p{Is_Numeric_Value=0_0_0_0_0_0_0_0_08}', "");
Expect(1, 127242, '\p{^Is_Numeric_Value=0_0_0_0_0_0_0_0_08}', "");
Expect(1, 127242, '\P{Is_Numeric_Value=0_0_0_0_0_0_0_0_08}', "");
Expect(0, 127242, '\P{^Is_Numeric_Value=0_0_0_0_0_0_0_0_08}', "");
Error('\p{Is_Nv= :=0_8}');
Error('\P{Is_Nv= :=0_8}');
Expect(1, 127241, '\p{Is_Nv=+000000008}', "");
Expect(0, 127241, '\p{^Is_Nv=+000000008}', "");
Expect(0, 127241, '\P{Is_Nv=+000000008}', "");
Expect(1, 127241, '\P{^Is_Nv=+000000008}', "");
Expect(0, 127242, '\p{Is_Nv=+000000008}', "");
Expect(1, 127242, '\p{^Is_Nv=+000000008}', "");
Expect(1, 127242, '\P{Is_Nv=+000000008}', "");
Expect(0, 127242, '\P{^Is_Nv=+000000008}', "");
Error('\p{Numeric_Value=-:=00000000080}');
Error('\P{Numeric_Value=-:=00000000080}');
Expect(1, 119664, '\p{Numeric_Value=00000080}', "");
Expect(0, 119664, '\p{^Numeric_Value=00000080}', "");
Expect(0, 119664, '\P{Numeric_Value=00000080}', "");
Expect(1, 119664, '\P{^Numeric_Value=00000080}', "");
Expect(0, 119665, '\p{Numeric_Value=00000080}', "");
Expect(1, 119665, '\p{^Numeric_Value=00000080}', "");
Expect(1, 119665, '\P{Numeric_Value=00000080}', "");
Expect(0, 119665, '\P{^Numeric_Value=00000080}', "");
Error('\p{Nv=:=_-008_0}');
Error('\P{Nv=:=_-008_0}');
Expect(1, 119664, '\p{Nv=0_0_0_0_0_0_0_0_80}', "");
Expect(0, 119664, '\p{^Nv=0_0_0_0_0_0_0_0_80}', "");
Expect(0, 119664, '\P{Nv=0_0_0_0_0_0_0_0_80}', "");
Expect(1, 119664, '\P{^Nv=0_0_0_0_0_0_0_0_80}', "");
Expect(0, 119665, '\p{Nv=0_0_0_0_0_0_0_0_80}', "");
Expect(1, 119665, '\p{^Nv=0_0_0_0_0_0_0_0_80}', "");
Expect(1, 119665, '\P{Nv=0_0_0_0_0_0_0_0_80}', "");
Expect(0, 119665, '\P{^Nv=0_0_0_0_0_0_0_0_80}', "");
Error('\p{Is_Numeric_Value=:=_ 080}');
Error('\P{Is_Numeric_Value=:=_ 080}');
Expect(1, 119664, '\p{Is_Numeric_Value=0_0_0_0_0080}', "");
Expect(0, 119664, '\p{^Is_Numeric_Value=0_0_0_0_0080}', "");
Expect(0, 119664, '\P{Is_Numeric_Value=0_0_0_0_0080}', "");
Expect(1, 119664, '\P{^Is_Numeric_Value=0_0_0_0_0080}', "");
Expect(0, 119665, '\p{Is_Numeric_Value=0_0_0_0_0080}', "");
Expect(1, 119665, '\p{^Is_Numeric_Value=0_0_0_0_0080}', "");
Expect(1, 119665, '\P{Is_Numeric_Value=0_0_0_0_0080}', "");
Expect(0, 119665, '\P{^Is_Numeric_Value=0_0_0_0_0080}', "");
Error('\p{Is_Nv: 	+00000000080:=}');
Error('\P{Is_Nv: 	+00000000080:=}');
Expect(1, 119664, '\p{Is_Nv=+80}', "");
Expect(0, 119664, '\p{^Is_Nv=+80}', "");
Expect(0, 119664, '\P{Is_Nv=+80}', "");
Expect(1, 119664, '\P{^Is_Nv=+80}', "");
Expect(0, 119665, '\p{Is_Nv=+80}', "");
Expect(1, 119665, '\p{^Is_Nv=+80}', "");
Expect(1, 119665, '\P{Is_Nv=+80}', "");
Expect(0, 119665, '\P{^Is_Nv=+80}', "");
Error('\p{Numeric_Value:	000000000800:=}');
Error('\P{Numeric_Value:	000000000800:=}');
Expect(1, 69241, '\p{Numeric_Value=000800}', "");
Expect(0, 69241, '\p{^Numeric_Value=000800}', "");
Expect(0, 69241, '\P{Numeric_Value=000800}', "");
Expect(1, 69241, '\P{^Numeric_Value=000800}', "");
Expect(0, 69242, '\p{Numeric_Value=000800}', "");
Expect(1, 69242, '\p{^Numeric_Value=000800}', "");
Expect(1, 69242, '\P{Numeric_Value=000800}', "");
Expect(0, 69242, '\P{^Numeric_Value=000800}', "");
Error('\p{Nv=0_0_0_800:=}');
Error('\P{Nv=0_0_0_800:=}');
Expect(1, 69241, '\p{Nv=+000800}', "");
Expect(0, 69241, '\p{^Nv=+000800}', "");
Expect(0, 69241, '\P{Nv=+000800}', "");
Expect(1, 69241, '\P{^Nv=+000800}', "");
Expect(0, 69242, '\p{Nv=+000800}', "");
Expect(1, 69242, '\p{^Nv=+000800}', "");
Expect(1, 69242, '\P{Nv=+000800}', "");
Expect(0, 69242, '\P{^Nv=+000800}', "");
Error('\p{Is_Numeric_Value=_/a/00000800}');
Error('\P{Is_Numeric_Value=_/a/00000800}');
Expect(1, 69241, '\p{Is_Numeric_Value=0_0_0_0_0_0_000800}', "");
Expect(0, 69241, '\p{^Is_Numeric_Value=0_0_0_0_0_0_000800}', "");
Expect(0, 69241, '\P{Is_Numeric_Value=0_0_0_0_0_0_000800}', "");
Expect(1, 69241, '\P{^Is_Numeric_Value=0_0_0_0_0_0_000800}', "");
Expect(0, 69242, '\p{Is_Numeric_Value=0_0_0_0_0_0_000800}', "");
Expect(1, 69242, '\p{^Is_Numeric_Value=0_0_0_0_0_0_000800}', "");
Expect(1, 69242, '\P{Is_Numeric_Value=0_0_0_0_0_0_000800}', "");
Expect(0, 69242, '\P{^Is_Numeric_Value=0_0_0_0_0_0_000800}', "");
Error('\p{Is_Nv=/a/-_0000800}');
Error('\P{Is_Nv=/a/-_0000800}');
Expect(1, 69241, '\p{Is_Nv=+0_0_0_0_0_0_8_00}', "");
Expect(0, 69241, '\p{^Is_Nv=+0_0_0_0_0_0_8_00}', "");
Expect(0, 69241, '\P{Is_Nv=+0_0_0_0_0_0_8_00}', "");
Expect(1, 69241, '\P{^Is_Nv=+0_0_0_0_0_0_8_00}', "");
Expect(0, 69242, '\p{Is_Nv=+0_0_0_0_0_0_8_00}', "");
Expect(1, 69242, '\p{^Is_Nv=+0_0_0_0_0_0_8_00}', "");
Expect(1, 69242, '\P{Is_Nv=+0_0_0_0_0_0_8_00}', "");
Expect(0, 69242, '\P{^Is_Nv=+0_0_0_0_0_0_8_00}', "");
Error('\p{Numeric_Value=-/a/+0000_0800_0}');
Error('\P{Numeric_Value=-/a/+0000_0800_0}');
Expect(1, 65833, '\p{Numeric_Value=000_800_0}', "");
Expect(0, 65833, '\p{^Numeric_Value=000_800_0}', "");
Expect(0, 65833, '\P{Numeric_Value=000_800_0}', "");
Expect(1, 65833, '\P{^Numeric_Value=000_800_0}', "");
Expect(0, 65834, '\p{Numeric_Value=000_800_0}', "");
Expect(1, 65834, '\p{^Numeric_Value=000_800_0}', "");
Expect(1, 65834, '\P{Numeric_Value=000_800_0}', "");
Expect(0, 65834, '\P{^Numeric_Value=000_800_0}', "");
Error('\p{Nv=-:=0_0_0_0_0_0_0_08000}');
Error('\P{Nv=-:=0_0_0_0_0_0_0_08000}');
Expect(1, 65833, '\p{Nv:	+00_00_80_00}', "");
Expect(0, 65833, '\p{^Nv:	+00_00_80_00}', "");
Expect(0, 65833, '\P{Nv:	+00_00_80_00}', "");
Expect(1, 65833, '\P{^Nv:	+00_00_80_00}', "");
Expect(0, 65834, '\p{Nv:	+00_00_80_00}', "");
Expect(1, 65834, '\p{^Nv:	+00_00_80_00}', "");
Expect(1, 65834, '\P{Nv:	+00_00_80_00}', "");
Expect(0, 65834, '\P{^Nv:	+00_00_80_00}', "");
Error('\p{Is_Numeric_Value=-/a/00008000}');
Error('\P{Is_Numeric_Value=-/a/00008000}');
Expect(1, 65833, '\p{Is_Numeric_Value:	+0000800_0}', "");
Expect(0, 65833, '\p{^Is_Numeric_Value:	+0000800_0}', "");
Expect(0, 65833, '\P{Is_Numeric_Value:	+0000800_0}', "");
Expect(1, 65833, '\P{^Is_Numeric_Value:	+0000800_0}', "");
Expect(0, 65834, '\p{Is_Numeric_Value:	+0000800_0}', "");
Expect(1, 65834, '\p{^Is_Numeric_Value:	+0000800_0}', "");
Expect(1, 65834, '\P{Is_Numeric_Value:	+0000800_0}', "");
Expect(0, 65834, '\P{^Is_Numeric_Value:	+0000800_0}', "");
Error('\p{Is_Nv= 0008000/a/}');
Error('\P{Is_Nv= 0008000/a/}');
Expect(1, 65833, '\p{Is_Nv=+0000000008000}', "");
Expect(0, 65833, '\p{^Is_Nv=+0000000008000}', "");
Expect(0, 65833, '\P{Is_Nv=+0000000008000}', "");
Expect(1, 65833, '\P{^Is_Nv=+0000000008000}', "");
Expect(0, 65834, '\p{Is_Nv=+0000000008000}', "");
Expect(1, 65834, '\p{^Is_Nv=+0000000008000}', "");
Expect(1, 65834, '\P{Is_Nv=+0000000008000}', "");
Expect(0, 65834, '\P{^Is_Nv=+0000000008000}', "");
Error('\p{Numeric_Value=_+80000/a/}');
Error('\P{Numeric_Value=_+80000/a/}');
Expect(1, 65842, '\p{Numeric_Value=000080000}', "");
Expect(0, 65842, '\p{^Numeric_Value=000080000}', "");
Expect(0, 65842, '\P{Numeric_Value=000080000}', "");
Expect(1, 65842, '\P{^Numeric_Value=000080000}', "");
Expect(0, 65843, '\p{Numeric_Value=000080000}', "");
Expect(1, 65843, '\p{^Numeric_Value=000080000}', "");
Expect(1, 65843, '\P{Numeric_Value=000080000}', "");
Expect(0, 65843, '\P{^Numeric_Value=000080000}', "");
Error('\p{Nv=__+0_0_0_0_0_0_0_0_8_0000:=}');
Error('\P{Nv=__+0_0_0_0_0_0_0_0_8_0000:=}');
Expect(1, 65842, '\p{Nv=0000080000}', "");
Expect(0, 65842, '\p{^Nv=0000080000}', "");
Expect(0, 65842, '\P{Nv=0000080000}', "");
Expect(1, 65842, '\P{^Nv=0000080000}', "");
Expect(0, 65843, '\p{Nv=0000080000}', "");
Expect(1, 65843, '\p{^Nv=0000080000}', "");
Expect(1, 65843, '\P{Nv=0000080000}', "");
Expect(0, 65843, '\P{^Nv=0000080000}', "");
Error('\p{Is_Numeric_Value=/a/00000_00800_00}');
Error('\P{Is_Numeric_Value=/a/00000_00800_00}');
Expect(1, 65842, '\p{Is_Numeric_Value=00000080000}', "");
Expect(0, 65842, '\p{^Is_Numeric_Value=00000080000}', "");
Expect(0, 65842, '\P{Is_Numeric_Value=00000080000}', "");
Expect(1, 65842, '\P{^Is_Numeric_Value=00000080000}', "");
Expect(0, 65843, '\p{Is_Numeric_Value=00000080000}', "");
Expect(1, 65843, '\p{^Is_Numeric_Value=00000080000}', "");
Expect(1, 65843, '\P{Is_Numeric_Value=00000080000}', "");
Expect(0, 65843, '\P{^Is_Numeric_Value=00000080000}', "");
Error('\p{Is_Nv= _0008000_0/a/}');
Error('\P{Is_Nv= _0008000_0/a/}');
Expect(1, 65842, '\p{Is_Nv=00000080000}', "");
Expect(0, 65842, '\p{^Is_Nv=00000080000}', "");
Expect(0, 65842, '\P{Is_Nv=00000080000}', "");
Expect(1, 65842, '\P{^Is_Nv=00000080000}', "");
Expect(0, 65843, '\p{Is_Nv=00000080000}', "");
Expect(1, 65843, '\p{^Is_Nv=00000080000}', "");
Expect(1, 65843, '\P{Is_Nv=00000080000}', "");
Expect(0, 65843, '\P{^Is_Nv=00000080000}', "");
Error('\p{Numeric_Value=:=- 00009}');
Error('\P{Numeric_Value=:=- 00009}');
Expect(1, 194704, '\p{Numeric_Value=0_9}', "");
Expect(0, 194704, '\p{^Numeric_Value=0_9}', "");
Expect(0, 194704, '\P{Numeric_Value=0_9}', "");
Expect(1, 194704, '\P{^Numeric_Value=0_9}', "");
Expect(0, 194705, '\p{Numeric_Value=0_9}', "");
Expect(1, 194705, '\p{^Numeric_Value=0_9}', "");
Expect(1, 194705, '\P{Numeric_Value=0_9}', "");
Expect(0, 194705, '\P{^Numeric_Value=0_9}', "");
Error('\p{Nv=:=00009}');
Error('\P{Nv=:=00009}');
Expect(1, 194704, '\p{Nv=00_00_00_09}', "");
Expect(0, 194704, '\p{^Nv=00_00_00_09}', "");
Expect(0, 194704, '\P{Nv=00_00_00_09}', "");
Expect(1, 194704, '\P{^Nv=00_00_00_09}', "");
Expect(0, 194705, '\p{Nv=00_00_00_09}', "");
Expect(1, 194705, '\p{^Nv=00_00_00_09}', "");
Expect(1, 194705, '\P{Nv=00_00_00_09}', "");
Expect(0, 194705, '\P{^Nv=00_00_00_09}', "");
Error('\p{Is_Numeric_Value=-/a/0_0_0_09}');
Error('\P{Is_Numeric_Value=-/a/0_0_0_09}');
Expect(1, 194704, '\p{Is_Numeric_Value=0_9}', "");
Expect(0, 194704, '\p{^Is_Numeric_Value=0_9}', "");
Expect(0, 194704, '\P{Is_Numeric_Value=0_9}', "");
Expect(1, 194704, '\P{^Is_Numeric_Value=0_9}', "");
Expect(0, 194705, '\p{Is_Numeric_Value=0_9}', "");
Expect(1, 194705, '\p{^Is_Numeric_Value=0_9}', "");
Expect(1, 194705, '\P{Is_Numeric_Value=0_9}', "");
Expect(0, 194705, '\P{^Is_Numeric_Value=0_9}', "");
Error('\p{Is_Nv=/a/9}');
Error('\P{Is_Nv=/a/9}');
Expect(1, 194704, '\p{Is_Nv=0009}', "");
Expect(0, 194704, '\p{^Is_Nv=0009}', "");
Expect(0, 194704, '\P{Is_Nv=0009}', "");
Expect(1, 194704, '\P{^Is_Nv=0009}', "");
Expect(0, 194705, '\p{Is_Nv=0009}', "");
Expect(1, 194705, '\p{^Is_Nv=0009}', "");
Expect(1, 194705, '\P{Is_Nv=0009}', "");
Expect(0, 194705, '\P{^Is_Nv=0009}', "");
Error('\p{Numeric_Value=	 09/000000002:=}');
Error('\P{Numeric_Value=	 09/000000002:=}');
Expect(1, 3886, '\p{Numeric_Value=0000009/000000002}', "");
Expect(0, 3886, '\p{^Numeric_Value=0000009/000000002}', "");
Expect(0, 3886, '\P{Numeric_Value=0000009/000000002}', "");
Expect(1, 3886, '\P{^Numeric_Value=0000009/000000002}', "");
Expect(0, 3887, '\p{Numeric_Value=0000009/000000002}', "");
Expect(1, 3887, '\p{^Numeric_Value=0000009/000000002}', "");
Expect(1, 3887, '\P{Numeric_Value=0000009/000000002}', "");
Expect(0, 3887, '\P{^Numeric_Value=0000009/000000002}', "");
Expect(1, 3886, '\p{Numeric_Value=4.500}', "");
Expect(0, 3886, '\p{^Numeric_Value=4.500}', "");
Expect(0, 3886, '\P{Numeric_Value=4.500}', "");
Expect(1, 3886, '\P{^Numeric_Value=4.500}', "");
Expect(0, 3887, '\p{Numeric_Value=4.500}', "");
Expect(1, 3887, '\p{^Numeric_Value=4.500}', "");
Expect(1, 3887, '\P{Numeric_Value=4.500}', "");
Expect(0, 3887, '\P{^Numeric_Value=4.500}', "");
Error('\p{Nv=/a/9/02}');
Error('\P{Nv=/a/9/02}');
Expect(1, 3886, '\p{Nv:	000009/002}', "");
Expect(0, 3886, '\p{^Nv:	000009/002}', "");
Expect(0, 3886, '\P{Nv:	000009/002}', "");
Expect(1, 3886, '\P{^Nv:	000009/002}', "");
Expect(0, 3887, '\p{Nv:	000009/002}', "");
Expect(1, 3887, '\p{^Nv:	000009/002}', "");
Expect(1, 3887, '\P{Nv:	000009/002}', "");
Expect(0, 3887, '\P{^Nv:	000009/002}', "");
Expect(1, 3886, '\p{Nv=4.500}', "");
Expect(0, 3886, '\p{^Nv=4.500}', "");
Expect(0, 3886, '\P{Nv=4.500}', "");
Expect(1, 3886, '\P{^Nv=4.500}', "");
Expect(0, 3887, '\p{Nv=4.500}', "");
Expect(1, 3887, '\p{^Nv=4.500}', "");
Expect(1, 3887, '\P{Nv=4.500}', "");
Expect(0, 3887, '\P{^Nv=4.500}', "");
Error('\p{Is_Numeric_Value= :=09/02}');
Error('\P{Is_Numeric_Value= :=09/02}');
Expect(1, 3886, '\p{Is_Numeric_Value=+00009/00002}', "");
Expect(0, 3886, '\p{^Is_Numeric_Value=+00009/00002}', "");
Expect(0, 3886, '\P{Is_Numeric_Value=+00009/00002}', "");
Expect(1, 3886, '\P{^Is_Numeric_Value=+00009/00002}', "");
Expect(0, 3887, '\p{Is_Numeric_Value=+00009/00002}', "");
Expect(1, 3887, '\p{^Is_Numeric_Value=+00009/00002}', "");
Expect(1, 3887, '\P{Is_Numeric_Value=+00009/00002}', "");
Expect(0, 3887, '\P{^Is_Numeric_Value=+00009/00002}', "");
Expect(1, 3886, '\p{Is_Numeric_Value=4.500}', "");
Expect(0, 3886, '\p{^Is_Numeric_Value=4.500}', "");
Expect(0, 3886, '\P{Is_Numeric_Value=4.500}', "");
Expect(1, 3886, '\P{^Is_Numeric_Value=4.500}', "");
Expect(0, 3887, '\p{Is_Numeric_Value=4.500}', "");
Expect(1, 3887, '\p{^Is_Numeric_Value=4.500}', "");
Expect(1, 3887, '\P{Is_Numeric_Value=4.500}', "");
Expect(0, 3887, '\P{^Is_Numeric_Value=4.500}', "");
Error('\p{Is_Nv:   :=+00009/0000002}');
Error('\P{Is_Nv:   :=+00009/0000002}');
Expect(1, 3886, '\p{Is_Nv=+00000009/000000002}', "");
Expect(0, 3886, '\p{^Is_Nv=+00000009/000000002}', "");
Expect(0, 3886, '\P{Is_Nv=+00000009/000000002}', "");
Expect(1, 3886, '\P{^Is_Nv=+00000009/000000002}', "");
Expect(0, 3887, '\p{Is_Nv=+00000009/000000002}', "");
Expect(1, 3887, '\p{^Is_Nv=+00000009/000000002}', "");
Expect(1, 3887, '\P{Is_Nv=+00000009/000000002}', "");
Expect(0, 3887, '\P{^Is_Nv=+00000009/000000002}', "");
Expect(1, 3886, '\p{Is_Nv=4.500}', "");
Expect(0, 3886, '\p{^Is_Nv=4.500}', "");
Expect(0, 3886, '\P{Is_Nv=4.500}', "");
Expect(1, 3886, '\P{^Is_Nv=4.500}', "");
Expect(0, 3887, '\p{Is_Nv=4.500}', "");
Expect(1, 3887, '\p{^Is_Nv=4.500}', "");
Expect(1, 3887, '\P{Is_Nv=4.500}', "");
Expect(0, 3887, '\P{^Is_Nv=4.500}', "");
Error('\p{Numeric_Value=_-0090:=}');
Error('\P{Numeric_Value=_-0090:=}');
Expect(1, 119665, '\p{Numeric_Value=00000009_0}', "");
Expect(0, 119665, '\p{^Numeric_Value=00000009_0}', "");
Expect(0, 119665, '\P{Numeric_Value=00000009_0}', "");
Expect(1, 119665, '\P{^Numeric_Value=00000009_0}', "");
Expect(0, 119666, '\p{Numeric_Value=00000009_0}', "");
Expect(1, 119666, '\p{^Numeric_Value=00000009_0}', "");
Expect(1, 119666, '\P{Numeric_Value=00000009_0}', "");
Expect(0, 119666, '\P{^Numeric_Value=00000009_0}', "");
Error('\p{Nv=/a/	0000000090}');
Error('\P{Nv=/a/	0000000090}');
Expect(1, 119665, '\p{Nv=+0000000090}', "");
Expect(0, 119665, '\p{^Nv=+0000000090}', "");
Expect(0, 119665, '\P{Nv=+0000000090}', "");
Expect(1, 119665, '\P{^Nv=+0000000090}', "");
Expect(0, 119666, '\p{Nv=+0000000090}', "");
Expect(1, 119666, '\p{^Nv=+0000000090}', "");
Expect(1, 119666, '\P{Nv=+0000000090}', "");
Expect(0, 119666, '\P{^Nv=+0000000090}', "");
Error('\p{Is_Numeric_Value= _0090:=}');
Error('\P{Is_Numeric_Value= _0090:=}');
Expect(1, 119665, '\p{Is_Numeric_Value=000090}', "");
Expect(0, 119665, '\p{^Is_Numeric_Value=000090}', "");
Expect(0, 119665, '\P{Is_Numeric_Value=000090}', "");
Expect(1, 119665, '\P{^Is_Numeric_Value=000090}', "");
Expect(0, 119666, '\p{Is_Numeric_Value=000090}', "");
Expect(1, 119666, '\p{^Is_Numeric_Value=000090}', "");
Expect(1, 119666, '\P{Is_Numeric_Value=000090}', "");
Expect(0, 119666, '\P{^Is_Numeric_Value=000090}', "");
Error('\p{Is_Nv=_:=09_0}');
Error('\P{Is_Nv=_:=09_0}');
Expect(1, 119665, '\p{Is_Nv=+0_0_0_0_0_0_0_0090}', "");
Expect(0, 119665, '\p{^Is_Nv=+0_0_0_0_0_0_0_0090}', "");
Expect(0, 119665, '\P{Is_Nv=+0_0_0_0_0_0_0_0090}', "");
Expect(1, 119665, '\P{^Is_Nv=+0_0_0_0_0_0_0_0090}', "");
Expect(0, 119666, '\p{Is_Nv=+0_0_0_0_0_0_0_0090}', "");
Expect(1, 119666, '\p{^Is_Nv=+0_0_0_0_0_0_0_0090}', "");
Expect(1, 119666, '\P{Is_Nv=+0_0_0_0_0_0_0_0090}', "");
Expect(0, 119666, '\P{^Is_Nv=+0_0_0_0_0_0_0_0090}', "");
Error('\p{Numeric_Value=-/a/+000000900}');
Error('\P{Numeric_Value=-/a/+000000900}');
Expect(1, 69242, '\p{Numeric_Value=00_90_0}', "");
Expect(0, 69242, '\p{^Numeric_Value=00_90_0}', "");
Expect(0, 69242, '\P{Numeric_Value=00_90_0}', "");
Expect(1, 69242, '\P{^Numeric_Value=00_90_0}', "");
Expect(0, 69243, '\p{Numeric_Value=00_90_0}', "");
Expect(1, 69243, '\p{^Numeric_Value=00_90_0}', "");
Expect(1, 69243, '\P{Numeric_Value=00_90_0}', "");
Expect(0, 69243, '\P{^Numeric_Value=00_90_0}', "");
Error('\p{Nv=:=00000900}');
Error('\P{Nv=:=00000900}');
Expect(1, 69242, '\p{Nv=0_0_9_00}', "");
Expect(0, 69242, '\p{^Nv=0_0_9_00}', "");
Expect(0, 69242, '\P{Nv=0_0_9_00}', "");
Expect(1, 69242, '\P{^Nv=0_0_9_00}', "");
Expect(0, 69243, '\p{Nv=0_0_9_00}', "");
Expect(1, 69243, '\p{^Nv=0_0_9_00}', "");
Expect(1, 69243, '\P{Nv=0_0_9_00}', "");
Expect(0, 69243, '\P{^Nv=0_0_9_00}', "");
Error('\p{Is_Numeric_Value=_:=+900}');
Error('\P{Is_Numeric_Value=_:=+900}');
Expect(1, 69242, '\p{Is_Numeric_Value=000900}', "");
Expect(0, 69242, '\p{^Is_Numeric_Value=000900}', "");
Expect(0, 69242, '\P{Is_Numeric_Value=000900}', "");
Expect(1, 69242, '\P{^Is_Numeric_Value=000900}', "");
Expect(0, 69243, '\p{Is_Numeric_Value=000900}', "");
Expect(1, 69243, '\p{^Is_Numeric_Value=000900}', "");
Expect(1, 69243, '\P{Is_Numeric_Value=000900}', "");
Expect(0, 69243, '\P{^Is_Numeric_Value=000900}', "");
Error('\p{Is_Nv:/a/-_+00000900}');
Error('\P{Is_Nv:/a/-_+00000900}');
Expect(1, 69242, '\p{Is_Nv:   00_00_00_90_0}', "");
Expect(0, 69242, '\p{^Is_Nv:   00_00_00_90_0}', "");
Expect(0, 69242, '\P{Is_Nv:   00_00_00_90_0}', "");
Expect(1, 69242, '\P{^Is_Nv:   00_00_00_90_0}', "");
Expect(0, 69243, '\p{Is_Nv:   00_00_00_90_0}', "");
Expect(1, 69243, '\p{^Is_Nv:   00_00_00_90_0}', "");
Expect(1, 69243, '\P{Is_Nv:   00_00_00_90_0}', "");
Expect(0, 69243, '\P{^Is_Nv:   00_00_00_90_0}', "");
Error('\p{Numeric_Value=/a/09000}');
Error('\P{Numeric_Value=/a/09000}');
Expect(1, 65834, '\p{Numeric_Value=+0_0_0_0_0_0_0_0_0_9_0_00}', "");
Expect(0, 65834, '\p{^Numeric_Value=+0_0_0_0_0_0_0_0_0_9_0_00}', "");
Expect(0, 65834, '\P{Numeric_Value=+0_0_0_0_0_0_0_0_0_9_0_00}', "");
Expect(1, 65834, '\P{^Numeric_Value=+0_0_0_0_0_0_0_0_0_9_0_00}', "");
Expect(0, 65835, '\p{Numeric_Value=+0_0_0_0_0_0_0_0_0_9_0_00}', "");
Expect(1, 65835, '\p{^Numeric_Value=+0_0_0_0_0_0_0_0_0_9_0_00}', "");
Expect(1, 65835, '\P{Numeric_Value=+0_0_0_0_0_0_0_0_0_9_0_00}', "");
Expect(0, 65835, '\P{^Numeric_Value=+0_0_0_0_0_0_0_0_0_9_0_00}', "");
Error('\p{Nv=/a/	 0000000009000}');
Error('\P{Nv=/a/	 0000000009000}');
Expect(1, 65834, '\p{Nv=+000000009000}', "");
Expect(0, 65834, '\p{^Nv=+000000009000}', "");
Expect(0, 65834, '\P{Nv=+000000009000}', "");
Expect(1, 65834, '\P{^Nv=+000000009000}', "");
Expect(0, 65835, '\p{Nv=+000000009000}', "");
Expect(1, 65835, '\p{^Nv=+000000009000}', "");
Expect(1, 65835, '\P{Nv=+000000009000}', "");
Expect(0, 65835, '\P{^Nv=+000000009000}', "");
Error('\p{Is_Numeric_Value=-+00_09_00_0:=}');
Error('\P{Is_Numeric_Value=-+00_09_00_0:=}');
Expect(1, 65834, '\p{Is_Numeric_Value=09000}', "");
Expect(0, 65834, '\p{^Is_Numeric_Value=09000}', "");
Expect(0, 65834, '\P{Is_Numeric_Value=09000}', "");
Expect(1, 65834, '\P{^Is_Numeric_Value=09000}', "");
Expect(0, 65835, '\p{Is_Numeric_Value=09000}', "");
Expect(1, 65835, '\p{^Is_Numeric_Value=09000}', "");
Expect(1, 65835, '\P{Is_Numeric_Value=09000}', "");
Expect(0, 65835, '\P{^Is_Numeric_Value=09000}', "");
Error('\p{Is_Nv=/a/009000}');
Error('\P{Is_Nv=/a/009000}');
Expect(1, 65834, '\p{Is_Nv=+9000}', "");
Expect(0, 65834, '\p{^Is_Nv=+9000}', "");
Expect(0, 65834, '\P{Is_Nv=+9000}', "");
Expect(1, 65834, '\P{^Is_Nv=+9000}', "");
Expect(0, 65835, '\p{Is_Nv=+9000}', "");
Expect(1, 65835, '\p{^Is_Nv=+9000}', "");
Expect(1, 65835, '\P{Is_Nv=+9000}', "");
Expect(0, 65835, '\P{^Is_Nv=+9000}', "");
Error('\p{Numeric_Value=	/a/+00000090000}');
Error('\P{Numeric_Value=	/a/+00000090000}');
Expect(1, 65843, '\p{Numeric_Value=+90000}', "");
Expect(0, 65843, '\p{^Numeric_Value=+90000}', "");
Expect(0, 65843, '\P{Numeric_Value=+90000}', "");
Expect(1, 65843, '\P{^Numeric_Value=+90000}', "");
Expect(0, 65844, '\p{Numeric_Value=+90000}', "");
Expect(1, 65844, '\p{^Numeric_Value=+90000}', "");
Expect(1, 65844, '\P{Numeric_Value=+90000}', "");
Expect(0, 65844, '\P{^Numeric_Value=+90000}', "");
Error('\p{Nv:	/a/-	090000}');
Error('\P{Nv:	/a/-	090000}');
Expect(1, 65843, '\p{Nv=00000090000}', "");
Expect(0, 65843, '\p{^Nv=00000090000}', "");
Expect(0, 65843, '\P{Nv=00000090000}', "");
Expect(1, 65843, '\P{^Nv=00000090000}', "");
Expect(0, 65844, '\p{Nv=00000090000}', "");
Expect(1, 65844, '\p{^Nv=00000090000}', "");
Expect(1, 65844, '\P{Nv=00000090000}', "");
Expect(0, 65844, '\P{^Nv=00000090000}', "");
Error('\p{Is_Numeric_Value=	 000090000/a/}');
Error('\P{Is_Numeric_Value=	 000090000/a/}');
Expect(1, 65843, '\p{Is_Numeric_Value=000_000_000_900_00}', "");
Expect(0, 65843, '\p{^Is_Numeric_Value=000_000_000_900_00}', "");
Expect(0, 65843, '\P{Is_Numeric_Value=000_000_000_900_00}', "");
Expect(1, 65843, '\P{^Is_Numeric_Value=000_000_000_900_00}', "");
Expect(0, 65844, '\p{Is_Numeric_Value=000_000_000_900_00}', "");
Expect(1, 65844, '\p{^Is_Numeric_Value=000_000_000_900_00}', "");
Expect(1, 65844, '\P{Is_Numeric_Value=000_000_000_900_00}', "");
Expect(0, 65844, '\P{^Is_Numeric_Value=000_000_000_900_00}', "");
Error('\p{Is_Nv=/a/+0000000090000}');
Error('\P{Is_Nv=/a/+0000000090000}');
Expect(1, 65843, '\p{Is_Nv=000000090000}', "");
Expect(0, 65843, '\p{^Is_Nv=000000090000}', "");
Expect(0, 65843, '\P{Is_Nv=000000090000}', "");
Expect(1, 65843, '\P{^Is_Nv=000000090000}', "");
Expect(0, 65844, '\p{Is_Nv=000000090000}', "");
Expect(1, 65844, '\p{^Is_Nv=000000090000}', "");
Expect(1, 65844, '\P{Is_Nv=000000090000}', "");
Expect(0, 65844, '\P{^Is_Nv=000000090000}', "");
Error('\p{Numeric_Value:	:=_ nan}');
Error('\P{Numeric_Value:	:=_ nan}');
Expect(1, 194705, '\p{Numeric_Value=nan}', "");
Expect(0, 194705, '\p{^Numeric_Value=nan}', "");
Expect(0, 194705, '\P{Numeric_Value=nan}', "");
Expect(1, 194705, '\P{^Numeric_Value=nan}', "");
Expect(0, 194704, '\p{Numeric_Value=nan}', "");
Expect(1, 194704, '\p{^Numeric_Value=nan}', "");
Expect(1, 194704, '\P{Numeric_Value=nan}', "");
Expect(0, 194704, '\P{^Numeric_Value=nan}', "");
Expect(1, 194705, '\p{Numeric_Value=_nan}', "");
Expect(0, 194705, '\p{^Numeric_Value=_nan}', "");
Expect(0, 194705, '\P{Numeric_Value=_nan}', "");
Expect(1, 194705, '\P{^Numeric_Value=_nan}', "");
Expect(0, 194704, '\p{Numeric_Value=_nan}', "");
Expect(1, 194704, '\p{^Numeric_Value=_nan}', "");
Expect(1, 194704, '\P{Numeric_Value=_nan}', "");
Expect(0, 194704, '\P{^Numeric_Value=_nan}', "");
Error('\p{Nv=/a/__NaN}');
Error('\P{Nv=/a/__NaN}');
Expect(1, 194705, '\p{Nv=nan}', "");
Expect(0, 194705, '\p{^Nv=nan}', "");
Expect(0, 194705, '\P{Nv=nan}', "");
Expect(1, 194705, '\P{^Nv=nan}', "");
Expect(0, 194704, '\p{Nv=nan}', "");
Expect(1, 194704, '\p{^Nv=nan}', "");
Expect(1, 194704, '\P{Nv=nan}', "");
Expect(0, 194704, '\P{^Nv=nan}', "");
Expect(1, 194705, '\p{Nv=		NaN}', "");
Expect(0, 194705, '\p{^Nv=		NaN}', "");
Expect(0, 194705, '\P{Nv=		NaN}', "");
Expect(1, 194705, '\P{^Nv=		NaN}', "");
Expect(0, 194704, '\p{Nv=		NaN}', "");
Expect(1, 194704, '\p{^Nv=		NaN}', "");
Expect(1, 194704, '\P{Nv=		NaN}', "");
Expect(0, 194704, '\P{^Nv=		NaN}', "");
Error('\p{Is_Numeric_Value= 	NaN:=}');
Error('\P{Is_Numeric_Value= 	NaN:=}');
Expect(1, 194705, '\p{Is_Numeric_Value=nan}', "");
Expect(0, 194705, '\p{^Is_Numeric_Value=nan}', "");
Expect(0, 194705, '\P{Is_Numeric_Value=nan}', "");
Expect(1, 194705, '\P{^Is_Numeric_Value=nan}', "");
Expect(0, 194704, '\p{Is_Numeric_Value=nan}', "");
Expect(1, 194704, '\p{^Is_Numeric_Value=nan}', "");
Expect(1, 194704, '\P{Is_Numeric_Value=nan}', "");
Expect(0, 194704, '\P{^Is_Numeric_Value=nan}', "");
Expect(1, 194705, '\p{Is_Numeric_Value: 	NAN}', "");
Expect(0, 194705, '\p{^Is_Numeric_Value: 	NAN}', "");
Expect(0, 194705, '\P{Is_Numeric_Value: 	NAN}', "");
Expect(1, 194705, '\P{^Is_Numeric_Value: 	NAN}', "");
Expect(0, 194704, '\p{Is_Numeric_Value: 	NAN}', "");
Expect(1, 194704, '\p{^Is_Numeric_Value: 	NAN}', "");
Expect(1, 194704, '\P{Is_Numeric_Value: 	NAN}', "");
Expect(0, 194704, '\P{^Is_Numeric_Value: 	NAN}', "");
Error('\p{Is_Nv=_ NaN:=}');
Error('\P{Is_Nv=_ NaN:=}');
Expect(1, 194705, '\p{Is_Nv=nan}', "");
Expect(0, 194705, '\p{^Is_Nv=nan}', "");
Expect(0, 194705, '\P{Is_Nv=nan}', "");
Expect(1, 194705, '\P{^Is_Nv=nan}', "");
Expect(0, 194704, '\p{Is_Nv=nan}', "");
Expect(1, 194704, '\p{^Is_Nv=nan}', "");
Expect(1, 194704, '\P{Is_Nv=nan}', "");
Expect(0, 194704, '\P{^Is_Nv=nan}', "");
Expect(1, 194705, '\p{Is_Nv:   -nan}', "");
Expect(0, 194705, '\p{^Is_Nv:   -nan}', "");
Expect(0, 194705, '\P{Is_Nv:   -nan}', "");
Expect(1, 194705, '\P{^Is_Nv:   -nan}', "");
Expect(0, 194704, '\p{Is_Nv:   -nan}', "");
Expect(1, 194704, '\p{^Is_Nv:   -nan}', "");
Expect(1, 194704, '\P{Is_Nv:   -nan}', "");
Expect(0, 194704, '\P{^Is_Nv:   -nan}', "");
Error('\p{	/a/ascii}');
Error('\P{	/a/ascii}');
Expect(1, 127, '\p{ascii}', "");
Expect(0, 127, '\p{^ascii}', "");
Expect(0, 127, '\P{ascii}', "");
Expect(1, 127, '\P{^ascii}', "");
Expect(0, 128, '\p{ascii}', "");
Expect(1, 128, '\p{^ascii}', "");
Expect(1, 128, '\P{ascii}', "");
Expect(0, 128, '\P{^ascii}', "");
Expect(1, 127, '\p{ ASCII}', "");
Expect(0, 127, '\p{^ ASCII}', "");
Expect(0, 127, '\P{ ASCII}', "");
Expect(1, 127, '\P{^ ASCII}', "");
Expect(0, 128, '\p{ ASCII}', "");
Expect(1, 128, '\p{^ ASCII}', "");
Expect(1, 128, '\P{ ASCII}', "");
Expect(0, 128, '\P{^ ASCII}', "");
Error('\p{	/a/Is_ASCII}');
Error('\P{	/a/Is_ASCII}');
Expect(1, 127, '\p{isascii}', "");
Expect(0, 127, '\p{^isascii}', "");
Expect(0, 127, '\P{isascii}', "");
Expect(1, 127, '\P{^isascii}', "");
Expect(0, 128, '\p{isascii}', "");
Expect(1, 128, '\p{^isascii}', "");
Expect(1, 128, '\P{isascii}', "");
Expect(0, 128, '\P{^isascii}', "");
Expect(1, 127, '\p{	 IS_ascii}', "");
Expect(0, 127, '\p{^	 IS_ascii}', "");
Expect(0, 127, '\P{	 IS_ascii}', "");
Expect(1, 127, '\P{^	 IS_ascii}', "");
Expect(0, 128, '\p{	 IS_ascii}', "");
Expect(1, 128, '\p{^	 IS_ascii}', "");
Expect(1, 128, '\P{	 IS_ascii}', "");
Expect(0, 128, '\P{^	 IS_ascii}', "");
Error('\p{ _BASIC_latin:=}');
Error('\P{ _BASIC_latin:=}');
Expect(1, 127, '\p{basiclatin}', "");
Expect(0, 127, '\p{^basiclatin}', "");
Expect(0, 127, '\P{basiclatin}', "");
Expect(1, 127, '\P{^basiclatin}', "");
Expect(0, 128, '\p{basiclatin}', "");
Expect(1, 128, '\p{^basiclatin}', "");
Expect(1, 128, '\P{basiclatin}', "");
Expect(0, 128, '\P{^basiclatin}', "");
Expect(1, 127, '\p{_-Basic_Latin}', "");
Expect(0, 127, '\p{^_-Basic_Latin}', "");
Expect(0, 127, '\P{_-Basic_Latin}', "");
Expect(1, 127, '\P{^_-Basic_Latin}', "");
Expect(0, 128, '\p{_-Basic_Latin}', "");
Expect(1, 128, '\p{^_-Basic_Latin}', "");
Expect(1, 128, '\P{_-Basic_Latin}', "");
Expect(0, 128, '\P{^_-Basic_Latin}', "");
Error('\p{/a/_is_BASIC_LATIN}');
Error('\P{/a/_is_BASIC_LATIN}');
Expect(1, 127, '\p{isbasiclatin}', "");
Expect(0, 127, '\p{^isbasiclatin}', "");
Expect(0, 127, '\P{isbasiclatin}', "");
Expect(1, 127, '\P{^isbasiclatin}', "");
Expect(0, 128, '\p{isbasiclatin}', "");
Expect(1, 128, '\p{^isbasiclatin}', "");
Expect(1, 128, '\P{isbasiclatin}', "");
Expect(0, 128, '\P{^isbasiclatin}', "");
Expect(1, 127, '\p{	 IS_BASIC_LATIN}', "");
Expect(0, 127, '\p{^	 IS_BASIC_LATIN}', "");
Expect(0, 127, '\P{	 IS_BASIC_LATIN}', "");
Expect(1, 127, '\P{^	 IS_BASIC_LATIN}', "");
Expect(0, 128, '\p{	 IS_BASIC_LATIN}', "");
Expect(1, 128, '\p{^	 IS_BASIC_LATIN}', "");
Expect(1, 128, '\P{	 IS_BASIC_LATIN}', "");
Expect(0, 128, '\P{^	 IS_BASIC_LATIN}', "");
Error('\p{_:=In_Basic_LATIN}');
Error('\P{_:=In_Basic_LATIN}');
Expect(1, 127, '\p{inbasiclatin}', "");
Expect(0, 127, '\p{^inbasiclatin}', "");
Expect(0, 127, '\P{inbasiclatin}', "");
Expect(1, 127, '\P{^inbasiclatin}', "");
Expect(0, 128, '\p{inbasiclatin}', "");
Expect(1, 128, '\p{^inbasiclatin}', "");
Expect(1, 128, '\P{inbasiclatin}', "");
Expect(0, 128, '\P{^inbasiclatin}', "");
Expect(1, 127, '\p{--In_BASIC_Latin}', "");
Expect(0, 127, '\p{^--In_BASIC_Latin}', "");
Expect(0, 127, '\P{--In_BASIC_Latin}', "");
Expect(1, 127, '\P{^--In_BASIC_Latin}', "");
Expect(0, 128, '\p{--In_BASIC_Latin}', "");
Expect(1, 128, '\p{^--In_BASIC_Latin}', "");
Expect(1, 128, '\P{--In_BASIC_Latin}', "");
Expect(0, 128, '\P{^--In_BASIC_Latin}', "");
Error('\p{	/a/IN_ASCII}');
Error('\P{	/a/IN_ASCII}');
Expect(1, 127, '\p{inascii}', "");
Expect(0, 127, '\p{^inascii}', "");
Expect(0, 127, '\P{inascii}', "");
Expect(1, 127, '\P{^inascii}', "");
Expect(0, 128, '\p{inascii}', "");
Expect(1, 128, '\p{^inascii}', "");
Expect(1, 128, '\P{inascii}', "");
Expect(0, 128, '\P{^inascii}', "");
Expect(1, 127, '\p{		In_ASCII}', "");
Expect(0, 127, '\p{^		In_ASCII}', "");
Expect(0, 127, '\P{		In_ASCII}', "");
Expect(1, 127, '\P{^		In_ASCII}', "");
Expect(0, 128, '\p{		In_ASCII}', "");
Expect(1, 128, '\p{^		In_ASCII}', "");
Expect(1, 128, '\P{		In_ASCII}', "");
Expect(0, 128, '\P{^		In_ASCII}', "");
Error('\p{/a/aegean_Numbers}');
Error('\P{/a/aegean_Numbers}');
Expect(1, 65855, '\p{aegeannumbers}', "");
Expect(0, 65855, '\p{^aegeannumbers}', "");
Expect(0, 65855, '\P{aegeannumbers}', "");
Expect(1, 65855, '\P{^aegeannumbers}', "");
Expect(0, 65856, '\p{aegeannumbers}', "");
Expect(1, 65856, '\p{^aegeannumbers}', "");
Expect(1, 65856, '\P{aegeannumbers}', "");
Expect(0, 65856, '\P{^aegeannumbers}', "");
Expect(1, 65855, '\p{		aegean_Numbers}', "");
Expect(0, 65855, '\p{^		aegean_Numbers}', "");
Expect(0, 65855, '\P{		aegean_Numbers}', "");
Expect(1, 65855, '\P{^		aegean_Numbers}', "");
Expect(0, 65856, '\p{		aegean_Numbers}', "");
Expect(1, 65856, '\p{^		aegean_Numbers}', "");
Expect(1, 65856, '\P{		aegean_Numbers}', "");
Expect(0, 65856, '\P{^		aegean_Numbers}', "");
Error('\p{-is_AEGEAN_numbers/a/}');
Error('\P{-is_AEGEAN_numbers/a/}');
Expect(1, 65855, '\p{isaegeannumbers}', "");
Expect(0, 65855, '\p{^isaegeannumbers}', "");
Expect(0, 65855, '\P{isaegeannumbers}', "");
Expect(1, 65855, '\P{^isaegeannumbers}', "");
Expect(0, 65856, '\p{isaegeannumbers}', "");
Expect(1, 65856, '\p{^isaegeannumbers}', "");
Expect(1, 65856, '\P{isaegeannumbers}', "");
Expect(0, 65856, '\P{^isaegeannumbers}', "");
Expect(1, 65855, '\p{Is_AEGEAN_Numbers}', "");
Expect(0, 65855, '\p{^Is_AEGEAN_Numbers}', "");
Expect(0, 65855, '\P{Is_AEGEAN_Numbers}', "");
Expect(1, 65855, '\P{^Is_AEGEAN_Numbers}', "");
Expect(0, 65856, '\p{Is_AEGEAN_Numbers}', "");
Expect(1, 65856, '\p{^Is_AEGEAN_Numbers}', "");
Expect(1, 65856, '\P{Is_AEGEAN_Numbers}', "");
Expect(0, 65856, '\P{^Is_AEGEAN_Numbers}', "");
Error('\p{:= _In_AEGEAN_Numbers}');
Error('\P{:= _In_AEGEAN_Numbers}');
Expect(1, 65855, '\p{inaegeannumbers}', "");
Expect(0, 65855, '\p{^inaegeannumbers}', "");
Expect(0, 65855, '\P{inaegeannumbers}', "");
Expect(1, 65855, '\P{^inaegeannumbers}', "");
Expect(0, 65856, '\p{inaegeannumbers}', "");
Expect(1, 65856, '\p{^inaegeannumbers}', "");
Expect(1, 65856, '\P{inaegeannumbers}', "");
Expect(0, 65856, '\P{^inaegeannumbers}', "");
Expect(1, 65855, '\p{_IN_Aegean_NUMBERS}', "");
Expect(0, 65855, '\p{^_IN_Aegean_NUMBERS}', "");
Expect(0, 65855, '\P{_IN_Aegean_NUMBERS}', "");
Expect(1, 65855, '\P{^_IN_Aegean_NUMBERS}', "");
Expect(0, 65856, '\p{_IN_Aegean_NUMBERS}', "");
Expect(1, 65856, '\p{^_IN_Aegean_NUMBERS}', "");
Expect(1, 65856, '\P{_IN_Aegean_NUMBERS}', "");
Expect(0, 65856, '\P{^_IN_Aegean_NUMBERS}', "");
Error('\p{/a/Alchemical_symbols}');
Error('\P{/a/Alchemical_symbols}');
Expect(1, 128895, '\p{alchemicalsymbols}', "");
Expect(0, 128895, '\p{^alchemicalsymbols}', "");
Expect(0, 128895, '\P{alchemicalsymbols}', "");
Expect(1, 128895, '\P{^alchemicalsymbols}', "");
Expect(0, 128896, '\p{alchemicalsymbols}', "");
Expect(1, 128896, '\p{^alchemicalsymbols}', "");
Expect(1, 128896, '\P{alchemicalsymbols}', "");
Expect(0, 128896, '\P{^alchemicalsymbols}', "");
Expect(1, 128895, '\p{_Alchemical_Symbols}', "");
Expect(0, 128895, '\p{^_Alchemical_Symbols}', "");
Expect(0, 128895, '\P{_Alchemical_Symbols}', "");
Expect(1, 128895, '\P{^_Alchemical_Symbols}', "");
Expect(0, 128896, '\p{_Alchemical_Symbols}', "");
Expect(1, 128896, '\p{^_Alchemical_Symbols}', "");
Expect(1, 128896, '\P{_Alchemical_Symbols}', "");
Expect(0, 128896, '\P{^_Alchemical_Symbols}', "");
Error('\p{__is_ALCHEMICAL_SYMBOLS/a/}');
Error('\P{__is_ALCHEMICAL_SYMBOLS/a/}');
Expect(1, 128895, '\p{isalchemicalsymbols}', "");
Expect(0, 128895, '\p{^isalchemicalsymbols}', "");
Expect(0, 128895, '\P{isalchemicalsymbols}', "");
Expect(1, 128895, '\P{^isalchemicalsymbols}', "");
Expect(0, 128896, '\p{isalchemicalsymbols}', "");
Expect(1, 128896, '\p{^isalchemicalsymbols}', "");
Expect(1, 128896, '\P{isalchemicalsymbols}', "");
Expect(0, 128896, '\P{^isalchemicalsymbols}', "");
Expect(1, 128895, '\p{_IS_ALCHEMICAL_Symbols}', "");
Expect(0, 128895, '\p{^_IS_ALCHEMICAL_Symbols}', "");
Expect(0, 128895, '\P{_IS_ALCHEMICAL_Symbols}', "");
Expect(1, 128895, '\P{^_IS_ALCHEMICAL_Symbols}', "");
Expect(0, 128896, '\p{_IS_ALCHEMICAL_Symbols}', "");
Expect(1, 128896, '\p{^_IS_ALCHEMICAL_Symbols}', "");
Expect(1, 128896, '\P{_IS_ALCHEMICAL_Symbols}', "");
Expect(0, 128896, '\P{^_IS_ALCHEMICAL_Symbols}', "");
Error('\p{_	In_Alchemical_Symbols/a/}');
Error('\P{_	In_Alchemical_Symbols/a/}');
Expect(1, 128895, '\p{inalchemicalsymbols}', "");
Expect(0, 128895, '\p{^inalchemicalsymbols}', "");
Expect(0, 128895, '\P{inalchemicalsymbols}', "");
Expect(1, 128895, '\P{^inalchemicalsymbols}', "");
Expect(0, 128896, '\p{inalchemicalsymbols}', "");
Expect(1, 128896, '\p{^inalchemicalsymbols}', "");
Expect(1, 128896, '\P{inalchemicalsymbols}', "");
Expect(0, 128896, '\P{^inalchemicalsymbols}', "");
Expect(1, 128895, '\p{	-IN_ALCHEMICAL_Symbols}', "");
Expect(0, 128895, '\p{^	-IN_ALCHEMICAL_Symbols}', "");
Expect(0, 128895, '\P{	-IN_ALCHEMICAL_Symbols}', "");
Expect(1, 128895, '\P{^	-IN_ALCHEMICAL_Symbols}', "");
Expect(0, 128896, '\p{	-IN_ALCHEMICAL_Symbols}', "");
Expect(1, 128896, '\p{^	-IN_ALCHEMICAL_Symbols}', "");
Expect(1, 128896, '\P{	-IN_ALCHEMICAL_Symbols}', "");
Expect(0, 128896, '\P{^	-IN_ALCHEMICAL_Symbols}', "");
Error('\p{_ALCHEMICAL/a/}');
Error('\P{_ALCHEMICAL/a/}');
Expect(1, 128895, '\p{alchemical}', "");
Expect(0, 128895, '\p{^alchemical}', "");
Expect(0, 128895, '\P{alchemical}', "");
Expect(1, 128895, '\P{^alchemical}', "");
Expect(0, 128896, '\p{alchemical}', "");
Expect(1, 128896, '\p{^alchemical}', "");
Expect(1, 128896, '\P{alchemical}', "");
Expect(0, 128896, '\P{^alchemical}', "");
Expect(1, 128895, '\p{ alchemical}', "");
Expect(0, 128895, '\p{^ alchemical}', "");
Expect(0, 128895, '\P{ alchemical}', "");
Expect(1, 128895, '\P{^ alchemical}', "");
Expect(0, 128896, '\p{ alchemical}', "");
Expect(1, 128896, '\p{^ alchemical}', "");
Expect(1, 128896, '\P{ alchemical}', "");
Expect(0, 128896, '\P{^ alchemical}', "");
Error('\p{-/a/Is_Alchemical}');
Error('\P{-/a/Is_Alchemical}');
Expect(1, 128895, '\p{isalchemical}', "");
Expect(0, 128895, '\p{^isalchemical}', "");
Expect(0, 128895, '\P{isalchemical}', "");
Expect(1, 128895, '\P{^isalchemical}', "");
Expect(0, 128896, '\p{isalchemical}', "");
Expect(1, 128896, '\p{^isalchemical}', "");
Expect(1, 128896, '\P{isalchemical}', "");
Expect(0, 128896, '\P{^isalchemical}', "");
Expect(1, 128895, '\p{	_Is_ALCHEMICAL}', "");
Expect(0, 128895, '\p{^	_Is_ALCHEMICAL}', "");
Expect(0, 128895, '\P{	_Is_ALCHEMICAL}', "");
Expect(1, 128895, '\P{^	_Is_ALCHEMICAL}', "");
Expect(0, 128896, '\p{	_Is_ALCHEMICAL}', "");
Expect(1, 128896, '\p{^	_Is_ALCHEMICAL}', "");
Expect(1, 128896, '\P{	_Is_ALCHEMICAL}', "");
Expect(0, 128896, '\P{^	_Is_ALCHEMICAL}', "");
Error('\p{:=  IN_ALCHEMICAL}');
Error('\P{:=  IN_ALCHEMICAL}');
Expect(1, 128895, '\p{inalchemical}', "");
Expect(0, 128895, '\p{^inalchemical}', "");
Expect(0, 128895, '\P{inalchemical}', "");
Expect(1, 128895, '\P{^inalchemical}', "");
Expect(0, 128896, '\p{inalchemical}', "");
Expect(1, 128896, '\p{^inalchemical}', "");
Expect(1, 128896, '\P{inalchemical}', "");
Expect(0, 128896, '\P{^inalchemical}', "");
Expect(1, 128895, '\p{ In_alchemical}', "");
Expect(0, 128895, '\p{^ In_alchemical}', "");
Expect(0, 128895, '\P{ In_alchemical}', "");
Expect(1, 128895, '\P{^ In_alchemical}', "");
Expect(0, 128896, '\p{ In_alchemical}', "");
Expect(1, 128896, '\p{^ In_alchemical}', "");
Expect(1, 128896, '\P{ In_alchemical}', "");
Expect(0, 128896, '\P{^ In_alchemical}', "");
Error('\p{/a/  All}');
Error('\P{/a/  All}');
Expect(1, 1, '\p{all}', "");
Expect(0, 1, '\p{^all}', "");
Expect(0, 1, '\P{all}', "");
Expect(1, 1, '\P{^all}', "");
Expect(1, 1, '\p{  ALL}', "");
Expect(0, 1, '\p{^  ALL}', "");
Expect(0, 1, '\P{  ALL}', "");
Expect(1, 1, '\P{^  ALL}', "");
Error('\p{/a/ -Is_all}');
Error('\P{/a/ -Is_all}');
Expect(1, 1, '\p{isall}', "");
Expect(0, 1, '\p{^isall}', "");
Expect(0, 1, '\P{isall}', "");
Expect(1, 1, '\P{^isall}', "");
Expect(1, 1, '\p{		Is_All}', "");
Expect(0, 1, '\p{^		Is_All}', "");
Expect(0, 1, '\P{		Is_All}', "");
Expect(1, 1, '\P{^		Is_All}', "");
Error('\p{/a/	XPOSIXALNUM}');
Error('\P{/a/	XPOSIXALNUM}');
Expect(1, 195101, '\p{xposixalnum}', "");
Expect(0, 195101, '\p{^xposixalnum}', "");
Expect(0, 195101, '\P{xposixalnum}', "");
Expect(1, 195101, '\P{^xposixalnum}', "");
Expect(0, 195102, '\p{xposixalnum}', "");
Expect(1, 195102, '\p{^xposixalnum}', "");
Expect(1, 195102, '\P{xposixalnum}', "");
Expect(0, 195102, '\P{^xposixalnum}', "");
Expect(1, 195101, '\p{--XPosixAlnum}', "");
Expect(0, 195101, '\p{^--XPosixAlnum}', "");
Expect(0, 195101, '\P{--XPosixAlnum}', "");
Expect(1, 195101, '\P{^--XPosixAlnum}', "");
Expect(0, 195102, '\p{--XPosixAlnum}', "");
Expect(1, 195102, '\p{^--XPosixAlnum}', "");
Expect(1, 195102, '\P{--XPosixAlnum}', "");
Expect(0, 195102, '\P{^--XPosixAlnum}', "");
Error('\p{_ Alnum:=}');
Error('\P{_ Alnum:=}');
Expect(1, 195101, '\p{alnum}', "");
Expect(0, 195101, '\p{^alnum}', "");
Expect(0, 195101, '\P{alnum}', "");
Expect(1, 195101, '\P{^alnum}', "");
Expect(0, 195102, '\p{alnum}', "");
Expect(1, 195102, '\p{^alnum}', "");
Expect(1, 195102, '\P{alnum}', "");
Expect(0, 195102, '\P{^alnum}', "");
Expect(1, 195101, '\p{_Alnum}', "");
Expect(0, 195101, '\p{^_Alnum}', "");
Expect(0, 195101, '\P{_Alnum}', "");
Expect(1, 195101, '\P{^_Alnum}', "");
Expect(0, 195102, '\p{_Alnum}', "");
Expect(1, 195102, '\p{^_Alnum}', "");
Expect(1, 195102, '\P{_Alnum}', "");
Expect(0, 195102, '\P{^_Alnum}', "");
Error('\p{/a/-Is_xposixalnum}');
Error('\P{/a/-Is_xposixalnum}');
Expect(1, 195101, '\p{isxposixalnum}', "");
Expect(0, 195101, '\p{^isxposixalnum}', "");
Expect(0, 195101, '\P{isxposixalnum}', "");
Expect(1, 195101, '\P{^isxposixalnum}', "");
Expect(0, 195102, '\p{isxposixalnum}', "");
Expect(1, 195102, '\p{^isxposixalnum}', "");
Expect(1, 195102, '\P{isxposixalnum}', "");
Expect(0, 195102, '\P{^isxposixalnum}', "");
Expect(1, 195101, '\p{  Is_XPosixAlnum}', "");
Expect(0, 195101, '\p{^  Is_XPosixAlnum}', "");
Expect(0, 195101, '\P{  Is_XPosixAlnum}', "");
Expect(1, 195101, '\P{^  Is_XPosixAlnum}', "");
Expect(0, 195102, '\p{  Is_XPosixAlnum}', "");
Expect(1, 195102, '\p{^  Is_XPosixAlnum}', "");
Expect(1, 195102, '\P{  Is_XPosixAlnum}', "");
Expect(0, 195102, '\P{^  Is_XPosixAlnum}', "");
Error('\p{/a/ IS_alnum}');
Error('\P{/a/ IS_alnum}');
Expect(1, 195101, '\p{isalnum}', "");
Expect(0, 195101, '\p{^isalnum}', "");
Expect(0, 195101, '\P{isalnum}', "");
Expect(1, 195101, '\P{^isalnum}', "");
Expect(0, 195102, '\p{isalnum}', "");
Expect(1, 195102, '\p{^isalnum}', "");
Expect(1, 195102, '\P{isalnum}', "");
Expect(0, 195102, '\P{^isalnum}', "");
Expect(1, 195101, '\p{	Is_Alnum}', "");
Expect(0, 195101, '\p{^	Is_Alnum}', "");
Expect(0, 195101, '\P{	Is_Alnum}', "");
Expect(1, 195101, '\P{^	Is_Alnum}', "");
Expect(0, 195102, '\p{	Is_Alnum}', "");
Expect(1, 195102, '\p{^	Is_Alnum}', "");
Expect(1, 195102, '\P{	Is_Alnum}', "");
Expect(0, 195102, '\P{^	Is_Alnum}', "");
Error('\p{-Alphabetic_Presentation_Forms/a/}');
Error('\P{-Alphabetic_Presentation_Forms/a/}');
Expect(1, 64335, '\p{alphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^alphabeticpresentationforms}', "");
Expect(0, 64335, '\P{alphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^alphabeticpresentationforms}', "");
Expect(0, 64336, '\p{alphabeticpresentationforms}', "");
Expect(1, 64336, '\p{^alphabeticpresentationforms}', "");
Expect(1, 64336, '\P{alphabeticpresentationforms}', "");
Expect(0, 64336, '\P{^alphabeticpresentationforms}', "");
Expect(1, 64335, '\p{--ALPHABETIC_Presentation_FORMS}', "");
Expect(0, 64335, '\p{^--ALPHABETIC_Presentation_FORMS}', "");
Expect(0, 64335, '\P{--ALPHABETIC_Presentation_FORMS}', "");
Expect(1, 64335, '\P{^--ALPHABETIC_Presentation_FORMS}', "");
Expect(0, 64336, '\p{--ALPHABETIC_Presentation_FORMS}', "");
Expect(1, 64336, '\p{^--ALPHABETIC_Presentation_FORMS}', "");
Expect(1, 64336, '\P{--ALPHABETIC_Presentation_FORMS}', "");
Expect(0, 64336, '\P{^--ALPHABETIC_Presentation_FORMS}', "");
Error('\p{	-Is_Alphabetic_presentation_Forms/a/}');
Error('\P{	-Is_Alphabetic_presentation_Forms/a/}');
Expect(1, 64335, '\p{isalphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^isalphabeticpresentationforms}', "");
Expect(0, 64335, '\P{isalphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^isalphabeticpresentationforms}', "");
Expect(0, 64336, '\p{isalphabeticpresentationforms}', "");
Expect(1, 64336, '\p{^isalphabeticpresentationforms}', "");
Expect(1, 64336, '\P{isalphabeticpresentationforms}', "");
Expect(0, 64336, '\P{^isalphabeticpresentationforms}', "");
Expect(1, 64335, '\p{	_Is_alphabetic_PRESENTATION_FORMS}', "");
Expect(0, 64335, '\p{^	_Is_alphabetic_PRESENTATION_FORMS}', "");
Expect(0, 64335, '\P{	_Is_alphabetic_PRESENTATION_FORMS}', "");
Expect(1, 64335, '\P{^	_Is_alphabetic_PRESENTATION_FORMS}', "");
Expect(0, 64336, '\p{	_Is_alphabetic_PRESENTATION_FORMS}', "");
Expect(1, 64336, '\p{^	_Is_alphabetic_PRESENTATION_FORMS}', "");
Expect(1, 64336, '\P{	_Is_alphabetic_PRESENTATION_FORMS}', "");
Expect(0, 64336, '\P{^	_Is_alphabetic_PRESENTATION_FORMS}', "");
Error('\p{/a/ In_alphabetic_Presentation_forms}');
Error('\P{/a/ In_alphabetic_Presentation_forms}');
Expect(1, 64335, '\p{inalphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^inalphabeticpresentationforms}', "");
Expect(0, 64335, '\P{inalphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^inalphabeticpresentationforms}', "");
Expect(0, 64336, '\p{inalphabeticpresentationforms}', "");
Expect(1, 64336, '\p{^inalphabeticpresentationforms}', "");
Expect(1, 64336, '\P{inalphabeticpresentationforms}', "");
Expect(0, 64336, '\P{^inalphabeticpresentationforms}', "");
Expect(1, 64335, '\p{ 	in_ALPHABETIC_Presentation_FORMS}', "");
Expect(0, 64335, '\p{^ 	in_ALPHABETIC_Presentation_FORMS}', "");
Expect(0, 64335, '\P{ 	in_ALPHABETIC_Presentation_FORMS}', "");
Expect(1, 64335, '\P{^ 	in_ALPHABETIC_Presentation_FORMS}', "");
Expect(0, 64336, '\p{ 	in_ALPHABETIC_Presentation_FORMS}', "");
Expect(1, 64336, '\p{^ 	in_ALPHABETIC_Presentation_FORMS}', "");
Expect(1, 64336, '\P{ 	in_ALPHABETIC_Presentation_FORMS}', "");
Expect(0, 64336, '\P{^ 	in_ALPHABETIC_Presentation_FORMS}', "");
Error('\p{	/a/Alphabetic_PF}');
Error('\P{	/a/Alphabetic_PF}');
Expect(1, 64335, '\p{alphabeticpf}', "");
Expect(0, 64335, '\p{^alphabeticpf}', "");
Expect(0, 64335, '\P{alphabeticpf}', "");
Expect(1, 64335, '\P{^alphabeticpf}', "");
Expect(0, 64336, '\p{alphabeticpf}', "");
Expect(1, 64336, '\p{^alphabeticpf}', "");
Expect(1, 64336, '\P{alphabeticpf}', "");
Expect(0, 64336, '\P{^alphabeticpf}', "");
Expect(1, 64335, '\p{ -ALPHABETIC_PF}', "");
Expect(0, 64335, '\p{^ -ALPHABETIC_PF}', "");
Expect(0, 64335, '\P{ -ALPHABETIC_PF}', "");
Expect(1, 64335, '\P{^ -ALPHABETIC_PF}', "");
Expect(0, 64336, '\p{ -ALPHABETIC_PF}', "");
Expect(1, 64336, '\p{^ -ALPHABETIC_PF}', "");
Expect(1, 64336, '\P{ -ALPHABETIC_PF}', "");
Expect(0, 64336, '\P{^ -ALPHABETIC_PF}', "");
Error('\p{:=Is_Alphabetic_PF}');
Error('\P{:=Is_Alphabetic_PF}');
Expect(1, 64335, '\p{isalphabeticpf}', "");
Expect(0, 64335, '\p{^isalphabeticpf}', "");
Expect(0, 64335, '\P{isalphabeticpf}', "");
Expect(1, 64335, '\P{^isalphabeticpf}', "");
Expect(0, 64336, '\p{isalphabeticpf}', "");
Expect(1, 64336, '\p{^isalphabeticpf}', "");
Expect(1, 64336, '\P{isalphabeticpf}', "");
Expect(0, 64336, '\P{^isalphabeticpf}', "");
Expect(1, 64335, '\p{	_Is_alphabetic_PF}', "");
Expect(0, 64335, '\p{^	_Is_alphabetic_PF}', "");
Expect(0, 64335, '\P{	_Is_alphabetic_PF}', "");
Expect(1, 64335, '\P{^	_Is_alphabetic_PF}', "");
Expect(0, 64336, '\p{	_Is_alphabetic_PF}', "");
Expect(1, 64336, '\p{^	_Is_alphabetic_PF}', "");
Expect(1, 64336, '\P{	_Is_alphabetic_PF}', "");
Expect(0, 64336, '\P{^	_Is_alphabetic_PF}', "");
Error('\p{/a/in_alphabetic_PF}');
Error('\P{/a/in_alphabetic_PF}');
Expect(1, 64335, '\p{inalphabeticpf}', "");
Expect(0, 64335, '\p{^inalphabeticpf}', "");
Expect(0, 64335, '\P{inalphabeticpf}', "");
Expect(1, 64335, '\P{^inalphabeticpf}', "");
Expect(0, 64336, '\p{inalphabeticpf}', "");
Expect(1, 64336, '\p{^inalphabeticpf}', "");
Expect(1, 64336, '\P{inalphabeticpf}', "");
Expect(0, 64336, '\P{^inalphabeticpf}', "");
Expect(1, 64335, '\p{-In_alphabetic_PF}', "");
Expect(0, 64335, '\p{^-In_alphabetic_PF}', "");
Expect(0, 64335, '\P{-In_alphabetic_PF}', "");
Expect(1, 64335, '\P{^-In_alphabetic_PF}', "");
Expect(0, 64336, '\p{-In_alphabetic_PF}', "");
Expect(1, 64336, '\p{^-In_alphabetic_PF}', "");
Expect(1, 64336, '\P{-In_alphabetic_PF}', "");
Expect(0, 64336, '\P{^-In_alphabetic_PF}', "");
Error('\p{:=	ANCIENT_Greek_musical_notation}');
Error('\P{:=	ANCIENT_Greek_musical_notation}');
Expect(1, 119375, '\p{ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^ancientgreekmusicalnotation}', "");
Expect(0, 119376, '\p{ancientgreekmusicalnotation}', "");
Expect(1, 119376, '\p{^ancientgreekmusicalnotation}', "");
Expect(1, 119376, '\P{ancientgreekmusicalnotation}', "");
Expect(0, 119376, '\P{^ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{_ancient_GREEK_Musical_notation}', "");
Expect(0, 119375, '\p{^_ancient_GREEK_Musical_notation}', "");
Expect(0, 119375, '\P{_ancient_GREEK_Musical_notation}', "");
Expect(1, 119375, '\P{^_ancient_GREEK_Musical_notation}', "");
Expect(0, 119376, '\p{_ancient_GREEK_Musical_notation}', "");
Expect(1, 119376, '\p{^_ancient_GREEK_Musical_notation}', "");
Expect(1, 119376, '\P{_ancient_GREEK_Musical_notation}', "");
Expect(0, 119376, '\P{^_ancient_GREEK_Musical_notation}', "");
Error('\p{/a/_is_Ancient_greek_Musical_Notation}');
Error('\P{/a/_is_Ancient_greek_Musical_Notation}');
Expect(1, 119375, '\p{isancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^isancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{isancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^isancientgreekmusicalnotation}', "");
Expect(0, 119376, '\p{isancientgreekmusicalnotation}', "");
Expect(1, 119376, '\p{^isancientgreekmusicalnotation}', "");
Expect(1, 119376, '\P{isancientgreekmusicalnotation}', "");
Expect(0, 119376, '\P{^isancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{-is_Ancient_greek_musical_NOTATION}', "");
Expect(0, 119375, '\p{^-is_Ancient_greek_musical_NOTATION}', "");
Expect(0, 119375, '\P{-is_Ancient_greek_musical_NOTATION}', "");
Expect(1, 119375, '\P{^-is_Ancient_greek_musical_NOTATION}', "");
Expect(0, 119376, '\p{-is_Ancient_greek_musical_NOTATION}', "");
Expect(1, 119376, '\p{^-is_Ancient_greek_musical_NOTATION}', "");
Expect(1, 119376, '\P{-is_Ancient_greek_musical_NOTATION}', "");
Expect(0, 119376, '\P{^-is_Ancient_greek_musical_NOTATION}', "");
Error('\p{/a/- in_Ancient_GREEK_MUSICAL_NOTATION}');
Error('\P{/a/- in_Ancient_GREEK_MUSICAL_NOTATION}');
Expect(1, 119375, '\p{inancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^inancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{inancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^inancientgreekmusicalnotation}', "");
Expect(0, 119376, '\p{inancientgreekmusicalnotation}', "");
Expect(1, 119376, '\p{^inancientgreekmusicalnotation}', "");
Expect(1, 119376, '\P{inancientgreekmusicalnotation}', "");
Expect(0, 119376, '\P{^inancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{ _IN_ancient_Greek_musical_Notation}', "");
Expect(0, 119375, '\p{^ _IN_ancient_Greek_musical_Notation}', "");
Expect(0, 119375, '\P{ _IN_ancient_Greek_musical_Notation}', "");
Expect(1, 119375, '\P{^ _IN_ancient_Greek_musical_Notation}', "");
Expect(0, 119376, '\p{ _IN_ancient_Greek_musical_Notation}', "");
Expect(1, 119376, '\p{^ _IN_ancient_Greek_musical_Notation}', "");
Expect(1, 119376, '\P{ _IN_ancient_Greek_musical_Notation}', "");
Expect(0, 119376, '\P{^ _IN_ancient_Greek_musical_Notation}', "");
Error('\p{	ancient_Greek_Music/a/}');
Error('\P{	ancient_Greek_Music/a/}');
Expect(1, 119375, '\p{ancientgreekmusic}', "");
Expect(0, 119375, '\p{^ancientgreekmusic}', "");
Expect(0, 119375, '\P{ancientgreekmusic}', "");
Expect(1, 119375, '\P{^ancientgreekmusic}', "");
Expect(0, 119376, '\p{ancientgreekmusic}', "");
Expect(1, 119376, '\p{^ancientgreekmusic}', "");
Expect(1, 119376, '\P{ancientgreekmusic}', "");
Expect(0, 119376, '\P{^ancientgreekmusic}', "");
Expect(1, 119375, '\p{_ancient_Greek_music}', "");
Expect(0, 119375, '\p{^_ancient_Greek_music}', "");
Expect(0, 119375, '\P{_ancient_Greek_music}', "");
Expect(1, 119375, '\P{^_ancient_Greek_music}', "");
Expect(0, 119376, '\p{_ancient_Greek_music}', "");
Expect(1, 119376, '\p{^_ancient_Greek_music}', "");
Expect(1, 119376, '\P{_ancient_Greek_music}', "");
Expect(0, 119376, '\P{^_ancient_Greek_music}', "");
Error('\p{-/a/IS_ANCIENT_Greek_Music}');
Error('\P{-/a/IS_ANCIENT_Greek_Music}');
Expect(1, 119375, '\p{isancientgreekmusic}', "");
Expect(0, 119375, '\p{^isancientgreekmusic}', "");
Expect(0, 119375, '\P{isancientgreekmusic}', "");
Expect(1, 119375, '\P{^isancientgreekmusic}', "");
Expect(0, 119376, '\p{isancientgreekmusic}', "");
Expect(1, 119376, '\p{^isancientgreekmusic}', "");
Expect(1, 119376, '\P{isancientgreekmusic}', "");
Expect(0, 119376, '\P{^isancientgreekmusic}', "");
Expect(1, 119375, '\p{ is_ANCIENT_Greek_MUSIC}', "");
Expect(0, 119375, '\p{^ is_ANCIENT_Greek_MUSIC}', "");
Expect(0, 119375, '\P{ is_ANCIENT_Greek_MUSIC}', "");
Expect(1, 119375, '\P{^ is_ANCIENT_Greek_MUSIC}', "");
Expect(0, 119376, '\p{ is_ANCIENT_Greek_MUSIC}', "");
Expect(1, 119376, '\p{^ is_ANCIENT_Greek_MUSIC}', "");
Expect(1, 119376, '\P{ is_ANCIENT_Greek_MUSIC}', "");
Expect(0, 119376, '\P{^ is_ANCIENT_Greek_MUSIC}', "");
Error('\p{:=-_In_Ancient_Greek_Music}');
Error('\P{:=-_In_Ancient_Greek_Music}');
Expect(1, 119375, '\p{inancientgreekmusic}', "");
Expect(0, 119375, '\p{^inancientgreekmusic}', "");
Expect(0, 119375, '\P{inancientgreekmusic}', "");
Expect(1, 119375, '\P{^inancientgreekmusic}', "");
Expect(0, 119376, '\p{inancientgreekmusic}', "");
Expect(1, 119376, '\p{^inancientgreekmusic}', "");
Expect(1, 119376, '\P{inancientgreekmusic}', "");
Expect(0, 119376, '\P{^inancientgreekmusic}', "");
Expect(1, 119375, '\p{ -In_Ancient_Greek_Music}', "");
Expect(0, 119375, '\p{^ -In_Ancient_Greek_Music}', "");
Expect(0, 119375, '\P{ -In_Ancient_Greek_Music}', "");
Expect(1, 119375, '\P{^ -In_Ancient_Greek_Music}', "");
Expect(0, 119376, '\p{ -In_Ancient_Greek_Music}', "");
Expect(1, 119376, '\p{^ -In_Ancient_Greek_Music}', "");
Expect(1, 119376, '\P{ -In_Ancient_Greek_Music}', "");
Expect(0, 119376, '\P{^ -In_Ancient_Greek_Music}', "");
Error('\p{  ANCIENT_Greek_Numbers:=}');
Error('\P{  ANCIENT_Greek_Numbers:=}');
Expect(1, 65935, '\p{ancientgreeknumbers}', "");
Expect(0, 65935, '\p{^ancientgreeknumbers}', "");
Expect(0, 65935, '\P{ancientgreeknumbers}', "");
Expect(1, 65935, '\P{^ancientgreeknumbers}', "");
Expect(0, 65936, '\p{ancientgreeknumbers}', "");
Expect(1, 65936, '\p{^ancientgreeknumbers}', "");
Expect(1, 65936, '\P{ancientgreeknumbers}', "");
Expect(0, 65936, '\P{^ancientgreeknumbers}', "");
Expect(1, 65935, '\p{_Ancient_GREEK_Numbers}', "");
Expect(0, 65935, '\p{^_Ancient_GREEK_Numbers}', "");
Expect(0, 65935, '\P{_Ancient_GREEK_Numbers}', "");
Expect(1, 65935, '\P{^_Ancient_GREEK_Numbers}', "");
Expect(0, 65936, '\p{_Ancient_GREEK_Numbers}', "");
Expect(1, 65936, '\p{^_Ancient_GREEK_Numbers}', "");
Expect(1, 65936, '\P{_Ancient_GREEK_Numbers}', "");
Expect(0, 65936, '\P{^_Ancient_GREEK_Numbers}', "");
Error('\p{:=	_is_ANCIENT_Greek_Numbers}');
Error('\P{:=	_is_ANCIENT_Greek_Numbers}');
Expect(1, 65935, '\p{isancientgreeknumbers}', "");
Expect(0, 65935, '\p{^isancientgreeknumbers}', "");
Expect(0, 65935, '\P{isancientgreeknumbers}', "");
Expect(1, 65935, '\P{^isancientgreeknumbers}', "");
Expect(0, 65936, '\p{isancientgreeknumbers}', "");
Expect(1, 65936, '\p{^isancientgreeknumbers}', "");
Expect(1, 65936, '\P{isancientgreeknumbers}', "");
Expect(0, 65936, '\P{^isancientgreeknumbers}', "");
Expect(1, 65935, '\p{--Is_ANCIENT_greek_NUMBERS}', "");
Expect(0, 65935, '\p{^--Is_ANCIENT_greek_NUMBERS}', "");
Expect(0, 65935, '\P{--Is_ANCIENT_greek_NUMBERS}', "");
Expect(1, 65935, '\P{^--Is_ANCIENT_greek_NUMBERS}', "");
Expect(0, 65936, '\p{--Is_ANCIENT_greek_NUMBERS}', "");
Expect(1, 65936, '\p{^--Is_ANCIENT_greek_NUMBERS}', "");
Expect(1, 65936, '\P{--Is_ANCIENT_greek_NUMBERS}', "");
Expect(0, 65936, '\P{^--Is_ANCIENT_greek_NUMBERS}', "");
Error('\p{_in_ANCIENT_Greek_Numbers/a/}');
Error('\P{_in_ANCIENT_Greek_Numbers/a/}');
Expect(1, 65935, '\p{inancientgreeknumbers}', "");
Expect(0, 65935, '\p{^inancientgreeknumbers}', "");
Expect(0, 65935, '\P{inancientgreeknumbers}', "");
Expect(1, 65935, '\P{^inancientgreeknumbers}', "");
Expect(0, 65936, '\p{inancientgreeknumbers}', "");
Expect(1, 65936, '\p{^inancientgreeknumbers}', "");
Expect(1, 65936, '\P{inancientgreeknumbers}', "");
Expect(0, 65936, '\P{^inancientgreeknumbers}', "");
Expect(1, 65935, '\p{ _in_ANCIENT_GREEK_Numbers}', "");
Expect(0, 65935, '\p{^ _in_ANCIENT_GREEK_Numbers}', "");
Expect(0, 65935, '\P{ _in_ANCIENT_GREEK_Numbers}', "");
Expect(1, 65935, '\P{^ _in_ANCIENT_GREEK_Numbers}', "");
Expect(0, 65936, '\p{ _in_ANCIENT_GREEK_Numbers}', "");
Expect(1, 65936, '\p{^ _in_ANCIENT_GREEK_Numbers}', "");
Expect(1, 65936, '\P{ _in_ANCIENT_GREEK_Numbers}', "");
Expect(0, 65936, '\P{^ _in_ANCIENT_GREEK_Numbers}', "");
Error('\p{- Ancient_Symbols/a/}');
Error('\P{- Ancient_Symbols/a/}');
Expect(1, 65999, '\p{ancientsymbols}', "");
Expect(0, 65999, '\p{^ancientsymbols}', "");
Expect(0, 65999, '\P{ancientsymbols}', "");
Expect(1, 65999, '\P{^ancientsymbols}', "");
Expect(0, 66000, '\p{ancientsymbols}', "");
Expect(1, 66000, '\p{^ancientsymbols}', "");
Expect(1, 66000, '\P{ancientsymbols}', "");
Expect(0, 66000, '\P{^ancientsymbols}', "");
Expect(1, 65999, '\p{-Ancient_Symbols}', "");
Expect(0, 65999, '\p{^-Ancient_Symbols}', "");
Expect(0, 65999, '\P{-Ancient_Symbols}', "");
Expect(1, 65999, '\P{^-Ancient_Symbols}', "");
Expect(0, 66000, '\p{-Ancient_Symbols}', "");
Expect(1, 66000, '\p{^-Ancient_Symbols}', "");
Expect(1, 66000, '\P{-Ancient_Symbols}', "");
Expect(0, 66000, '\P{^-Ancient_Symbols}', "");
Error('\p{:= Is_ancient_Symbols}');
Error('\P{:= Is_ancient_Symbols}');
Expect(1, 65999, '\p{isancientsymbols}', "");
Expect(0, 65999, '\p{^isancientsymbols}', "");
Expect(0, 65999, '\P{isancientsymbols}', "");
Expect(1, 65999, '\P{^isancientsymbols}', "");
Expect(0, 66000, '\p{isancientsymbols}', "");
Expect(1, 66000, '\p{^isancientsymbols}', "");
Expect(1, 66000, '\P{isancientsymbols}', "");
Expect(0, 66000, '\P{^isancientsymbols}', "");
Expect(1, 65999, '\p{_	Is_Ancient_symbols}', "");
Expect(0, 65999, '\p{^_	Is_Ancient_symbols}', "");
Expect(0, 65999, '\P{_	Is_Ancient_symbols}', "");
Expect(1, 65999, '\P{^_	Is_Ancient_symbols}', "");
Expect(0, 66000, '\p{_	Is_Ancient_symbols}', "");
Expect(1, 66000, '\p{^_	Is_Ancient_symbols}', "");
Expect(1, 66000, '\P{_	Is_Ancient_symbols}', "");
Expect(0, 66000, '\P{^_	Is_Ancient_symbols}', "");
Error('\p{ 	In_Ancient_SYMBOLS/a/}');
Error('\P{ 	In_Ancient_SYMBOLS/a/}');
Expect(1, 65999, '\p{inancientsymbols}', "");
Expect(0, 65999, '\p{^inancientsymbols}', "");
Expect(0, 65999, '\P{inancientsymbols}', "");
Expect(1, 65999, '\P{^inancientsymbols}', "");
Expect(0, 66000, '\p{inancientsymbols}', "");
Expect(1, 66000, '\p{^inancientsymbols}', "");
Expect(1, 66000, '\P{inancientsymbols}', "");
Expect(0, 66000, '\P{^inancientsymbols}', "");
Expect(1, 65999, '\p{ _IN_Ancient_Symbols}', "");
Expect(0, 65999, '\p{^ _IN_Ancient_Symbols}', "");
Expect(0, 65999, '\P{ _IN_Ancient_Symbols}', "");
Expect(1, 65999, '\P{^ _IN_Ancient_Symbols}', "");
Expect(0, 66000, '\p{ _IN_Ancient_Symbols}', "");
Expect(1, 66000, '\p{^ _IN_Ancient_Symbols}', "");
Expect(1, 66000, '\P{ _IN_Ancient_Symbols}', "");
Expect(0, 66000, '\P{^ _IN_Ancient_Symbols}', "");
Error('\p{:=Any}');
Error('\P{:=Any}');
Expect(1, 1, '\p{any}', "");
Expect(0, 1, '\p{^any}', "");
Expect(0, 1, '\P{any}', "");
Expect(1, 1, '\P{^any}', "");
Expect(0, 8912887, '\p{any}', "");
Expect(1, 8912887, '\p{^any}', "");
Expect(1, 8912887, '\P{any}', "");
Expect(0, 8912887, '\P{^any}', "");
Expect(1, 1, '\p{ _Any}', "");
Expect(0, 1, '\p{^ _Any}', "");
Expect(0, 1, '\P{ _Any}', "");
Expect(1, 1, '\P{^ _Any}', "");
Expect(0, 8912887, '\p{ _Any}', "");
Expect(1, 8912887, '\p{^ _Any}', "");
Expect(1, 8912887, '\P{ _Any}', "");
Expect(0, 8912887, '\P{^ _Any}', "");
Error('\p{:=-UNICODE}');
Error('\P{:=-UNICODE}');
Expect(1, 1, '\p{unicode}', "");
Expect(0, 1, '\p{^unicode}', "");
Expect(0, 1, '\P{unicode}', "");
Expect(1, 1, '\P{^unicode}', "");
Expect(0, 8912887, '\p{unicode}', "");
Expect(1, 8912887, '\p{^unicode}', "");
Expect(1, 8912887, '\P{unicode}', "");
Expect(0, 8912887, '\P{^unicode}', "");
Expect(1, 1, '\p{_unicode}', "");
Expect(0, 1, '\p{^_unicode}', "");
Expect(0, 1, '\P{_unicode}', "");
Expect(1, 1, '\P{^_unicode}', "");
Expect(0, 8912887, '\p{_unicode}', "");
Expect(1, 8912887, '\p{^_unicode}', "");
Expect(1, 8912887, '\P{_unicode}', "");
Expect(0, 8912887, '\P{^_unicode}', "");
Error('\p{IS_any/a/}');
Error('\P{IS_any/a/}');
Expect(1, 1, '\p{isany}', "");
Expect(0, 1, '\p{^isany}', "");
Expect(0, 1, '\P{isany}', "");
Expect(1, 1, '\P{^isany}', "");
Expect(0, 8912887, '\p{isany}', "");
Expect(1, 8912887, '\p{^isany}', "");
Expect(1, 8912887, '\P{isany}', "");
Expect(0, 8912887, '\P{^isany}', "");
Expect(1, 1, '\p{-_IS_any}', "");
Expect(0, 1, '\p{^-_IS_any}', "");
Expect(0, 1, '\P{-_IS_any}', "");
Expect(1, 1, '\P{^-_IS_any}', "");
Expect(0, 8912887, '\p{-_IS_any}', "");
Expect(1, 8912887, '\p{^-_IS_any}', "");
Expect(1, 8912887, '\P{-_IS_any}', "");
Expect(0, 8912887, '\P{^-_IS_any}', "");
Error('\p{:=Is_unicode}');
Error('\P{:=Is_unicode}');
Expect(1, 1, '\p{isunicode}', "");
Expect(0, 1, '\p{^isunicode}', "");
Expect(0, 1, '\P{isunicode}', "");
Expect(1, 1, '\P{^isunicode}', "");
Expect(0, 8912887, '\p{isunicode}', "");
Expect(1, 8912887, '\p{^isunicode}', "");
Expect(1, 8912887, '\P{isunicode}', "");
Expect(0, 8912887, '\P{^isunicode}', "");
Expect(1, 1, '\p{ _Is_unicode}', "");
Expect(0, 1, '\p{^ _Is_unicode}', "");
Expect(0, 1, '\P{ _Is_unicode}', "");
Expect(1, 1, '\P{^ _Is_unicode}', "");
Expect(0, 8912887, '\p{ _Is_unicode}', "");
Expect(1, 8912887, '\p{^ _Is_unicode}', "");
Expect(1, 8912887, '\P{ _Is_unicode}', "");
Expect(0, 8912887, '\P{^ _Is_unicode}', "");
Error('\p{/a/_-arabic}');
Error('\P{/a/_-arabic}');
Expect(1, 126705, '\p{arabic}', "");
Expect(0, 126705, '\p{^arabic}', "");
Expect(0, 126705, '\P{arabic}', "");
Expect(1, 126705, '\P{^arabic}', "");
Expect(0, 126706, '\p{arabic}', "");
Expect(1, 126706, '\p{^arabic}', "");
Expect(1, 126706, '\P{arabic}', "");
Expect(0, 126706, '\P{^arabic}', "");
Expect(1, 126705, '\p{-Arabic}', "");
Expect(0, 126705, '\p{^-Arabic}', "");
Expect(0, 126705, '\P{-Arabic}', "");
Expect(1, 126705, '\P{^-Arabic}', "");
Expect(0, 126706, '\p{-Arabic}', "");
Expect(1, 126706, '\p{^-Arabic}', "");
Expect(1, 126706, '\P{-Arabic}', "");
Expect(0, 126706, '\P{^-Arabic}', "");
Error('\p{/a/  Is_ARABIC}');
Error('\P{/a/  Is_ARABIC}');
Expect(1, 126705, '\p{isarabic}', "");
Expect(0, 126705, '\p{^isarabic}', "");
Expect(0, 126705, '\P{isarabic}', "");
Expect(1, 126705, '\P{^isarabic}', "");
Expect(0, 126706, '\p{isarabic}', "");
Expect(1, 126706, '\p{^isarabic}', "");
Expect(1, 126706, '\P{isarabic}', "");
Expect(0, 126706, '\P{^isarabic}', "");
Expect(1, 126705, '\p{_-is_Arabic}', "");
Expect(0, 126705, '\p{^_-is_Arabic}', "");
Expect(0, 126705, '\P{_-is_Arabic}', "");
Expect(1, 126705, '\P{^_-is_Arabic}', "");
Expect(0, 126706, '\p{_-is_Arabic}', "");
Expect(1, 126706, '\p{^_-is_Arabic}', "");
Expect(1, 126706, '\P{_-is_Arabic}', "");
Expect(0, 126706, '\P{^_-is_Arabic}', "");
Error('\p{ :=arab}');
Error('\P{ :=arab}');
Expect(1, 126705, '\p{arab}', "");
Expect(0, 126705, '\p{^arab}', "");
Expect(0, 126705, '\P{arab}', "");
Expect(1, 126705, '\P{^arab}', "");
Expect(0, 126706, '\p{arab}', "");
Expect(1, 126706, '\p{^arab}', "");
Expect(1, 126706, '\P{arab}', "");
Expect(0, 126706, '\P{^arab}', "");
Expect(1, 126705, '\p{ -Arab}', "");
Expect(0, 126705, '\p{^ -Arab}', "");
Expect(0, 126705, '\P{ -Arab}', "");
Expect(1, 126705, '\P{^ -Arab}', "");
Expect(0, 126706, '\p{ -Arab}', "");
Expect(1, 126706, '\p{^ -Arab}', "");
Expect(1, 126706, '\P{ -Arab}', "");
Expect(0, 126706, '\P{^ -Arab}', "");
Error('\p{:=-	is_arab}');
Error('\P{:=-	is_arab}');
Expect(1, 126705, '\p{isarab}', "");
Expect(0, 126705, '\p{^isarab}', "");
Expect(0, 126705, '\P{isarab}', "");
Expect(1, 126705, '\P{^isarab}', "");
Expect(0, 126706, '\p{isarab}', "");
Expect(1, 126706, '\p{^isarab}', "");
Expect(1, 126706, '\P{isarab}', "");
Expect(0, 126706, '\P{^isarab}', "");
Expect(1, 126705, '\p{_	Is_Arab}', "");
Expect(0, 126705, '\p{^_	Is_Arab}', "");
Expect(0, 126705, '\P{_	Is_Arab}', "");
Expect(1, 126705, '\P{^_	Is_Arab}', "");
Expect(0, 126706, '\p{_	Is_Arab}', "");
Expect(1, 126706, '\p{^_	Is_Arab}', "");
Expect(1, 126706, '\P{_	Is_Arab}', "");
Expect(0, 126706, '\P{^_	Is_Arab}', "");
Error('\p{/a/	 Arabic_Extended_A}');
Error('\P{/a/	 Arabic_Extended_A}');
Expect(1, 2303, '\p{arabicextendeda}', "");
Expect(0, 2303, '\p{^arabicextendeda}', "");
Expect(0, 2303, '\P{arabicextendeda}', "");
Expect(1, 2303, '\P{^arabicextendeda}', "");
Expect(0, 2304, '\p{arabicextendeda}', "");
Expect(1, 2304, '\p{^arabicextendeda}', "");
Expect(1, 2304, '\P{arabicextendeda}', "");
Expect(0, 2304, '\P{^arabicextendeda}', "");
Expect(1, 2303, '\p{__Arabic_Extended_A}', "");
Expect(0, 2303, '\p{^__Arabic_Extended_A}', "");
Expect(0, 2303, '\P{__Arabic_Extended_A}', "");
Expect(1, 2303, '\P{^__Arabic_Extended_A}', "");
Expect(0, 2304, '\p{__Arabic_Extended_A}', "");
Expect(1, 2304, '\p{^__Arabic_Extended_A}', "");
Expect(1, 2304, '\P{__Arabic_Extended_A}', "");
Expect(0, 2304, '\P{^__Arabic_Extended_A}', "");
Error('\p{-:=is_ARABIC_Extended_a}');
Error('\P{-:=is_ARABIC_Extended_a}');
Expect(1, 2303, '\p{isarabicextendeda}', "");
Expect(0, 2303, '\p{^isarabicextendeda}', "");
Expect(0, 2303, '\P{isarabicextendeda}', "");
Expect(1, 2303, '\P{^isarabicextendeda}', "");
Expect(0, 2304, '\p{isarabicextendeda}', "");
Expect(1, 2304, '\p{^isarabicextendeda}', "");
Expect(1, 2304, '\P{isarabicextendeda}', "");
Expect(0, 2304, '\P{^isarabicextendeda}', "");
Expect(1, 2303, '\p{		IS_arabic_extended_A}', "");
Expect(0, 2303, '\p{^		IS_arabic_extended_A}', "");
Expect(0, 2303, '\P{		IS_arabic_extended_A}', "");
Expect(1, 2303, '\P{^		IS_arabic_extended_A}', "");
Expect(0, 2304, '\p{		IS_arabic_extended_A}', "");
Expect(1, 2304, '\p{^		IS_arabic_extended_A}', "");
Expect(1, 2304, '\P{		IS_arabic_extended_A}', "");
Expect(0, 2304, '\P{^		IS_arabic_extended_A}', "");
Error('\p{	/a/In_ARABIC_Extended_A}');
Error('\P{	/a/In_ARABIC_Extended_A}');
Expect(1, 2303, '\p{inarabicextendeda}', "");
Expect(0, 2303, '\p{^inarabicextendeda}', "");
Expect(0, 2303, '\P{inarabicextendeda}', "");
Expect(1, 2303, '\P{^inarabicextendeda}', "");
Expect(0, 2304, '\p{inarabicextendeda}', "");
Expect(1, 2304, '\p{^inarabicextendeda}', "");
Expect(1, 2304, '\P{inarabicextendeda}', "");
Expect(0, 2304, '\P{^inarabicextendeda}', "");
Expect(1, 2303, '\p{ _in_Arabic_EXTENDED_A}', "");
Expect(0, 2303, '\p{^ _in_Arabic_EXTENDED_A}', "");
Expect(0, 2303, '\P{ _in_Arabic_EXTENDED_A}', "");
Expect(1, 2303, '\P{^ _in_Arabic_EXTENDED_A}', "");
Expect(0, 2304, '\p{ _in_Arabic_EXTENDED_A}', "");
Expect(1, 2304, '\p{^ _in_Arabic_EXTENDED_A}', "");
Expect(1, 2304, '\P{ _in_Arabic_EXTENDED_A}', "");
Expect(0, 2304, '\P{^ _in_Arabic_EXTENDED_A}', "");
Error('\p{_-Arabic_Ext_A:=}');
Error('\P{_-Arabic_Ext_A:=}');
Expect(1, 2303, '\p{arabicexta}', "");
Expect(0, 2303, '\p{^arabicexta}', "");
Expect(0, 2303, '\P{arabicexta}', "");
Expect(1, 2303, '\P{^arabicexta}', "");
Expect(0, 2304, '\p{arabicexta}', "");
Expect(1, 2304, '\p{^arabicexta}', "");
Expect(1, 2304, '\P{arabicexta}', "");
Expect(0, 2304, '\P{^arabicexta}', "");
Expect(1, 2303, '\p{ -Arabic_EXT_A}', "");
Expect(0, 2303, '\p{^ -Arabic_EXT_A}', "");
Expect(0, 2303, '\P{ -Arabic_EXT_A}', "");
Expect(1, 2303, '\P{^ -Arabic_EXT_A}', "");
Expect(0, 2304, '\p{ -Arabic_EXT_A}', "");
Expect(1, 2304, '\p{^ -Arabic_EXT_A}', "");
Expect(1, 2304, '\P{ -Arabic_EXT_A}', "");
Expect(0, 2304, '\P{^ -Arabic_EXT_A}', "");
Error('\p{	Is_Arabic_Ext_A/a/}');
Error('\P{	Is_Arabic_Ext_A/a/}');
Expect(1, 2303, '\p{isarabicexta}', "");
Expect(0, 2303, '\p{^isarabicexta}', "");
Expect(0, 2303, '\P{isarabicexta}', "");
Expect(1, 2303, '\P{^isarabicexta}', "");
Expect(0, 2304, '\p{isarabicexta}', "");
Expect(1, 2304, '\p{^isarabicexta}', "");
Expect(1, 2304, '\P{isarabicexta}', "");
Expect(0, 2304, '\P{^isarabicexta}', "");
Expect(1, 2303, '\p{  Is_Arabic_ext_A}', "");
Expect(0, 2303, '\p{^  Is_Arabic_ext_A}', "");
Expect(0, 2303, '\P{  Is_Arabic_ext_A}', "");
Expect(1, 2303, '\P{^  Is_Arabic_ext_A}', "");
Expect(0, 2304, '\p{  Is_Arabic_ext_A}', "");
Expect(1, 2304, '\p{^  Is_Arabic_ext_A}', "");
Expect(1, 2304, '\P{  Is_Arabic_ext_A}', "");
Expect(0, 2304, '\P{^  Is_Arabic_ext_A}', "");
Error('\p{	:=In_Arabic_ext_A}');
Error('\P{	:=In_Arabic_ext_A}');
Expect(1, 2303, '\p{inarabicexta}', "");
Expect(0, 2303, '\p{^inarabicexta}', "");
Expect(0, 2303, '\P{inarabicexta}', "");
Expect(1, 2303, '\P{^inarabicexta}', "");
Expect(0, 2304, '\p{inarabicexta}', "");
Expect(1, 2304, '\p{^inarabicexta}', "");
Expect(1, 2304, '\P{inarabicexta}', "");
Expect(0, 2304, '\P{^inarabicexta}', "");
Expect(1, 2303, '\p{-_In_Arabic_Ext_A}', "");
Expect(0, 2303, '\p{^-_In_Arabic_Ext_A}', "");
Expect(0, 2303, '\P{-_In_Arabic_Ext_A}', "");
Expect(1, 2303, '\P{^-_In_Arabic_Ext_A}', "");
Expect(0, 2304, '\p{-_In_Arabic_Ext_A}', "");
Expect(1, 2304, '\p{^-_In_Arabic_Ext_A}', "");
Expect(1, 2304, '\P{-_In_Arabic_Ext_A}', "");
Expect(0, 2304, '\P{^-_In_Arabic_Ext_A}', "");
Error('\p{:= 	ARABIC_Mathematical_Alphabetic_symbols}');
Error('\P{:= 	ARABIC_Mathematical_Alphabetic_symbols}');
Expect(1, 126719, '\p{arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\p{^arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\P{arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\P{^arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\p{arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\p{^arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\P{arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\P{^arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\p{_	arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
Expect(0, 126719, '\p{^_	arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
Expect(0, 126719, '\P{_	arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
Expect(1, 126719, '\P{^_	arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
Expect(0, 126720, '\p{_	arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
Expect(1, 126720, '\p{^_	arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
Expect(1, 126720, '\P{_	arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
Expect(0, 126720, '\P{^_	arabic_MATHEMATICAL_Alphabetic_Symbols}', "");
Error('\p{_ is_Arabic_MATHEMATICAL_ALPHABETIC_SYMBOLS:=}');
Error('\P{_ is_Arabic_MATHEMATICAL_ALPHABETIC_SYMBOLS:=}');
Expect(1, 126719, '\p{isarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\p{^isarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\P{isarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\P{^isarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\p{isarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\p{^isarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\P{isarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\P{^isarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\p{	_IS_Arabic_mathematical_Alphabetic_Symbols}', "");
Expect(0, 126719, '\p{^	_IS_Arabic_mathematical_Alphabetic_Symbols}', "");
Expect(0, 126719, '\P{	_IS_Arabic_mathematical_Alphabetic_Symbols}', "");
Expect(1, 126719, '\P{^	_IS_Arabic_mathematical_Alphabetic_Symbols}', "");
Expect(0, 126720, '\p{	_IS_Arabic_mathematical_Alphabetic_Symbols}', "");
Expect(1, 126720, '\p{^	_IS_Arabic_mathematical_Alphabetic_Symbols}', "");
Expect(1, 126720, '\P{	_IS_Arabic_mathematical_Alphabetic_Symbols}', "");
Expect(0, 126720, '\P{^	_IS_Arabic_mathematical_Alphabetic_Symbols}', "");
Error('\p{/a/ IN_arabic_Mathematical_ALPHABETIC_Symbols}');
Error('\P{/a/ IN_arabic_Mathematical_ALPHABETIC_Symbols}');
Expect(1, 126719, '\p{inarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\p{^inarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\P{inarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\P{^inarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\p{inarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\p{^inarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\P{inarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\P{^inarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\p{__IN_Arabic_mathematical_alphabetic_Symbols}', "");
Expect(0, 126719, '\p{^__IN_Arabic_mathematical_alphabetic_Symbols}', "");
Expect(0, 126719, '\P{__IN_Arabic_mathematical_alphabetic_Symbols}', "");
Expect(1, 126719, '\P{^__IN_Arabic_mathematical_alphabetic_Symbols}', "");
Expect(0, 126720, '\p{__IN_Arabic_mathematical_alphabetic_Symbols}', "");
Expect(1, 126720, '\p{^__IN_Arabic_mathematical_alphabetic_Symbols}', "");
Expect(1, 126720, '\P{__IN_Arabic_mathematical_alphabetic_Symbols}', "");
Expect(0, 126720, '\P{^__IN_Arabic_mathematical_alphabetic_Symbols}', "");
Error('\p{:=	 Arabic_Math}');
Error('\P{:=	 Arabic_Math}');
Expect(1, 126719, '\p{arabicmath}', "");
Expect(0, 126719, '\p{^arabicmath}', "");
Expect(0, 126719, '\P{arabicmath}', "");
Expect(1, 126719, '\P{^arabicmath}', "");
Expect(0, 126720, '\p{arabicmath}', "");
Expect(1, 126720, '\p{^arabicmath}', "");
Expect(1, 126720, '\P{arabicmath}', "");
Expect(0, 126720, '\P{^arabicmath}', "");
Expect(1, 126719, '\p{_-arabic_Math}', "");
Expect(0, 126719, '\p{^_-arabic_Math}', "");
Expect(0, 126719, '\P{_-arabic_Math}', "");
Expect(1, 126719, '\P{^_-arabic_Math}', "");
Expect(0, 126720, '\p{_-arabic_Math}', "");
Expect(1, 126720, '\p{^_-arabic_Math}', "");
Expect(1, 126720, '\P{_-arabic_Math}', "");
Expect(0, 126720, '\P{^_-arabic_Math}', "");
Error('\p{	/a/Is_ARABIC_Math}');
Error('\P{	/a/Is_ARABIC_Math}');
Expect(1, 126719, '\p{isarabicmath}', "");
Expect(0, 126719, '\p{^isarabicmath}', "");
Expect(0, 126719, '\P{isarabicmath}', "");
Expect(1, 126719, '\P{^isarabicmath}', "");
Expect(0, 126720, '\p{isarabicmath}', "");
Expect(1, 126720, '\p{^isarabicmath}', "");
Expect(1, 126720, '\P{isarabicmath}', "");
Expect(0, 126720, '\P{^isarabicmath}', "");
Expect(1, 126719, '\p{	-is_arabic_MATH}', "");
Expect(0, 126719, '\p{^	-is_arabic_MATH}', "");
Expect(0, 126719, '\P{	-is_arabic_MATH}', "");
Expect(1, 126719, '\P{^	-is_arabic_MATH}', "");
Expect(0, 126720, '\p{	-is_arabic_MATH}', "");
Expect(1, 126720, '\p{^	-is_arabic_MATH}', "");
Expect(1, 126720, '\P{	-is_arabic_MATH}', "");
Expect(0, 126720, '\P{^	-is_arabic_MATH}', "");
Error('\p{/a/ -in_Arabic_math}');
Error('\P{/a/ -in_Arabic_math}');
Expect(1, 126719, '\p{inarabicmath}', "");
Expect(0, 126719, '\p{^inarabicmath}', "");
Expect(0, 126719, '\P{inarabicmath}', "");
Expect(1, 126719, '\P{^inarabicmath}', "");
Expect(0, 126720, '\p{inarabicmath}', "");
Expect(1, 126720, '\p{^inarabicmath}', "");
Expect(1, 126720, '\P{inarabicmath}', "");
Expect(0, 126720, '\P{^inarabicmath}', "");
Expect(1, 126719, '\p{ 	in_ARABIC_Math}', "");
Expect(0, 126719, '\p{^ 	in_ARABIC_Math}', "");
Expect(0, 126719, '\P{ 	in_ARABIC_Math}', "");
Expect(1, 126719, '\P{^ 	in_ARABIC_Math}', "");
Expect(0, 126720, '\p{ 	in_ARABIC_Math}', "");
Expect(1, 126720, '\p{^ 	in_ARABIC_Math}', "");
Expect(1, 126720, '\P{ 	in_ARABIC_Math}', "");
Expect(0, 126720, '\P{^ 	in_ARABIC_Math}', "");
Error('\p{ -arabic_presentation_Forms_a/a/}');
Error('\P{ -arabic_presentation_Forms_a/a/}');
Expect(1, 65023, '\p{arabicpresentationformsa}', "");
Expect(0, 65023, '\p{^arabicpresentationformsa}', "");
Expect(0, 65023, '\P{arabicpresentationformsa}', "");
Expect(1, 65023, '\P{^arabicpresentationformsa}', "");
Expect(0, 65024, '\p{arabicpresentationformsa}', "");
Expect(1, 65024, '\p{^arabicpresentationformsa}', "");
Expect(1, 65024, '\P{arabicpresentationformsa}', "");
Expect(0, 65024, '\P{^arabicpresentationformsa}', "");
Expect(1, 65023, '\p{ -ARABIC_presentation_forms_a}', "");
Expect(0, 65023, '\p{^ -ARABIC_presentation_forms_a}', "");
Expect(0, 65023, '\P{ -ARABIC_presentation_forms_a}', "");
Expect(1, 65023, '\P{^ -ARABIC_presentation_forms_a}', "");
Expect(0, 65024, '\p{ -ARABIC_presentation_forms_a}', "");
Expect(1, 65024, '\p{^ -ARABIC_presentation_forms_a}', "");
Expect(1, 65024, '\P{ -ARABIC_presentation_forms_a}', "");
Expect(0, 65024, '\P{^ -ARABIC_presentation_forms_a}', "");
Error('\p{ :=IS_ARABIC_PRESENTATION_Forms_A}');
Error('\P{ :=IS_ARABIC_PRESENTATION_Forms_A}');
Expect(1, 65023, '\p{isarabicpresentationformsa}', "");
Expect(0, 65023, '\p{^isarabicpresentationformsa}', "");
Expect(0, 65023, '\P{isarabicpresentationformsa}', "");
Expect(1, 65023, '\P{^isarabicpresentationformsa}', "");
Expect(0, 65024, '\p{isarabicpresentationformsa}', "");
Expect(1, 65024, '\p{^isarabicpresentationformsa}', "");
Expect(1, 65024, '\P{isarabicpresentationformsa}', "");
Expect(0, 65024, '\P{^isarabicpresentationformsa}', "");
Expect(1, 65023, '\p{_	IS_Arabic_presentation_forms_a}', "");
Expect(0, 65023, '\p{^_	IS_Arabic_presentation_forms_a}', "");
Expect(0, 65023, '\P{_	IS_Arabic_presentation_forms_a}', "");
Expect(1, 65023, '\P{^_	IS_Arabic_presentation_forms_a}', "");
Expect(0, 65024, '\p{_	IS_Arabic_presentation_forms_a}', "");
Expect(1, 65024, '\p{^_	IS_Arabic_presentation_forms_a}', "");
Expect(1, 65024, '\P{_	IS_Arabic_presentation_forms_a}', "");
Expect(0, 65024, '\P{^_	IS_Arabic_presentation_forms_a}', "");
Error('\p{:=	-in_arabic_presentation_FORMS_A}');
Error('\P{:=	-in_arabic_presentation_FORMS_A}');
Expect(1, 65023, '\p{inarabicpresentationformsa}', "");
Expect(0, 65023, '\p{^inarabicpresentationformsa}', "");
Expect(0, 65023, '\P{inarabicpresentationformsa}', "");
Expect(1, 65023, '\P{^inarabicpresentationformsa}', "");
Expect(0, 65024, '\p{inarabicpresentationformsa}', "");
Expect(1, 65024, '\p{^inarabicpresentationformsa}', "");
Expect(1, 65024, '\P{inarabicpresentationformsa}', "");
Expect(0, 65024, '\P{^inarabicpresentationformsa}', "");
Expect(1, 65023, '\p{	 IN_ARABIC_PRESENTATION_Forms_A}', "");
Expect(0, 65023, '\p{^	 IN_ARABIC_PRESENTATION_Forms_A}', "");
Expect(0, 65023, '\P{	 IN_ARABIC_PRESENTATION_Forms_A}', "");
Expect(1, 65023, '\P{^	 IN_ARABIC_PRESENTATION_Forms_A}', "");
Expect(0, 65024, '\p{	 IN_ARABIC_PRESENTATION_Forms_A}', "");
Expect(1, 65024, '\p{^	 IN_ARABIC_PRESENTATION_Forms_A}', "");
Expect(1, 65024, '\P{	 IN_ARABIC_PRESENTATION_Forms_A}', "");
Expect(0, 65024, '\P{^	 IN_ARABIC_PRESENTATION_Forms_A}', "");
Error('\p{__ARABIC_PF_A/a/}');
Error('\P{__ARABIC_PF_A/a/}');
Expect(1, 65023, '\p{arabicpfa}', "");
Expect(0, 65023, '\p{^arabicpfa}', "");
Expect(0, 65023, '\P{arabicpfa}', "");
Expect(1, 65023, '\P{^arabicpfa}', "");
Expect(0, 65024, '\p{arabicpfa}', "");
Expect(1, 65024, '\p{^arabicpfa}', "");
Expect(1, 65024, '\P{arabicpfa}', "");
Expect(0, 65024, '\P{^arabicpfa}', "");
Expect(1, 65023, '\p{ Arabic_PF_A}', "");
Expect(0, 65023, '\p{^ Arabic_PF_A}', "");
Expect(0, 65023, '\P{ Arabic_PF_A}', "");
Expect(1, 65023, '\P{^ Arabic_PF_A}', "");
Expect(0, 65024, '\p{ Arabic_PF_A}', "");
Expect(1, 65024, '\p{^ Arabic_PF_A}', "");
Expect(1, 65024, '\P{ Arabic_PF_A}', "");
Expect(0, 65024, '\P{^ Arabic_PF_A}', "");
Error('\p{/a/	 is_arabic_pf_A}');
Error('\P{/a/	 is_arabic_pf_A}');
Expect(1, 65023, '\p{isarabicpfa}', "");
Expect(0, 65023, '\p{^isarabicpfa}', "");
Expect(0, 65023, '\P{isarabicpfa}', "");
Expect(1, 65023, '\P{^isarabicpfa}', "");
Expect(0, 65024, '\p{isarabicpfa}', "");
Expect(1, 65024, '\p{^isarabicpfa}', "");
Expect(1, 65024, '\P{isarabicpfa}', "");
Expect(0, 65024, '\P{^isarabicpfa}', "");
Expect(1, 65023, '\p{	-Is_Arabic_PF_A}', "");
Expect(0, 65023, '\p{^	-Is_Arabic_PF_A}', "");
Expect(0, 65023, '\P{	-Is_Arabic_PF_A}', "");
Expect(1, 65023, '\P{^	-Is_Arabic_PF_A}', "");
Expect(0, 65024, '\p{	-Is_Arabic_PF_A}', "");
Expect(1, 65024, '\p{^	-Is_Arabic_PF_A}', "");
Expect(1, 65024, '\P{	-Is_Arabic_PF_A}', "");
Expect(0, 65024, '\P{^	-Is_Arabic_PF_A}', "");
Error('\p{:=In_Arabic_pf_a}');
Error('\P{:=In_Arabic_pf_a}');
Expect(1, 65023, '\p{inarabicpfa}', "");
Expect(0, 65023, '\p{^inarabicpfa}', "");
Expect(0, 65023, '\P{inarabicpfa}', "");
Expect(1, 65023, '\P{^inarabicpfa}', "");
Expect(0, 65024, '\p{inarabicpfa}', "");
Expect(1, 65024, '\p{^inarabicpfa}', "");
Expect(1, 65024, '\P{inarabicpfa}', "");
Expect(0, 65024, '\P{^inarabicpfa}', "");
Expect(1, 65023, '\p{	in_ARABIC_PF_A}', "");
Expect(0, 65023, '\p{^	in_ARABIC_PF_A}', "");
Expect(0, 65023, '\P{	in_ARABIC_PF_A}', "");
Expect(1, 65023, '\P{^	in_ARABIC_PF_A}', "");
Expect(0, 65024, '\p{	in_ARABIC_PF_A}', "");
Expect(1, 65024, '\p{^	in_ARABIC_PF_A}', "");
Expect(1, 65024, '\P{	in_ARABIC_PF_A}', "");
Expect(0, 65024, '\P{^	in_ARABIC_PF_A}', "");
Error('\p{:=	 ARABIC_Presentation_forms_B}');
Error('\P{:=	 ARABIC_Presentation_forms_B}');
Expect(1, 65279, '\p{arabicpresentationformsb}', "");
Expect(0, 65279, '\p{^arabicpresentationformsb}', "");
Expect(0, 65279, '\P{arabicpresentationformsb}', "");
Expect(1, 65279, '\P{^arabicpresentationformsb}', "");
Expect(0, 65280, '\p{arabicpresentationformsb}', "");
Expect(1, 65280, '\p{^arabicpresentationformsb}', "");
Expect(1, 65280, '\P{arabicpresentationformsb}', "");
Expect(0, 65280, '\P{^arabicpresentationformsb}', "");
Expect(1, 65279, '\p{__Arabic_PRESENTATION_forms_B}', "");
Expect(0, 65279, '\p{^__Arabic_PRESENTATION_forms_B}', "");
Expect(0, 65279, '\P{__Arabic_PRESENTATION_forms_B}', "");
Expect(1, 65279, '\P{^__Arabic_PRESENTATION_forms_B}', "");
Expect(0, 65280, '\p{__Arabic_PRESENTATION_forms_B}', "");
Expect(1, 65280, '\p{^__Arabic_PRESENTATION_forms_B}', "");
Expect(1, 65280, '\P{__Arabic_PRESENTATION_forms_B}', "");
Expect(0, 65280, '\P{^__Arabic_PRESENTATION_forms_B}', "");
Error('\p{	:=is_ARABIC_Presentation_forms_B}');
Error('\P{	:=is_ARABIC_Presentation_forms_B}');
Expect(1, 65279, '\p{isarabicpresentationformsb}', "");
Expect(0, 65279, '\p{^isarabicpresentationformsb}', "");
Expect(0, 65279, '\P{isarabicpresentationformsb}', "");
Expect(1, 65279, '\P{^isarabicpresentationformsb}', "");
Expect(0, 65280, '\p{isarabicpresentationformsb}', "");
Expect(1, 65280, '\p{^isarabicpresentationformsb}', "");
Expect(1, 65280, '\P{isarabicpresentationformsb}', "");
Expect(0, 65280, '\P{^isarabicpresentationformsb}', "");
Expect(1, 65279, '\p{		is_Arabic_Presentation_Forms_B}', "");
Expect(0, 65279, '\p{^		is_Arabic_Presentation_Forms_B}', "");
Expect(0, 65279, '\P{		is_Arabic_Presentation_Forms_B}', "");
Expect(1, 65279, '\P{^		is_Arabic_Presentation_Forms_B}', "");
Expect(0, 65280, '\p{		is_Arabic_Presentation_Forms_B}', "");
Expect(1, 65280, '\p{^		is_Arabic_Presentation_Forms_B}', "");
Expect(1, 65280, '\P{		is_Arabic_Presentation_Forms_B}', "");
Expect(0, 65280, '\P{^		is_Arabic_Presentation_Forms_B}', "");
Error('\p{-In_Arabic_Presentation_Forms_B:=}');
Error('\P{-In_Arabic_Presentation_Forms_B:=}');
Expect(1, 65279, '\p{inarabicpresentationformsb}', "");
Expect(0, 65279, '\p{^inarabicpresentationformsb}', "");
Expect(0, 65279, '\P{inarabicpresentationformsb}', "");
Expect(1, 65279, '\P{^inarabicpresentationformsb}', "");
Expect(0, 65280, '\p{inarabicpresentationformsb}', "");
Expect(1, 65280, '\p{^inarabicpresentationformsb}', "");
Expect(1, 65280, '\P{inarabicpresentationformsb}', "");
Expect(0, 65280, '\P{^inarabicpresentationformsb}', "");
Expect(1, 65279, '\p{ -IN_arabic_Presentation_Forms_B}', "");
Expect(0, 65279, '\p{^ -IN_arabic_Presentation_Forms_B}', "");
Expect(0, 65279, '\P{ -IN_arabic_Presentation_Forms_B}', "");
Expect(1, 65279, '\P{^ -IN_arabic_Presentation_Forms_B}', "");
Expect(0, 65280, '\p{ -IN_arabic_Presentation_Forms_B}', "");
Expect(1, 65280, '\p{^ -IN_arabic_Presentation_Forms_B}', "");
Expect(1, 65280, '\P{ -IN_arabic_Presentation_Forms_B}', "");
Expect(0, 65280, '\P{^ -IN_arabic_Presentation_Forms_B}', "");
Error('\p{ 	arabic_PF_b:=}');
Error('\P{ 	arabic_PF_b:=}');
Expect(1, 65279, '\p{arabicpfb}', "");
Expect(0, 65279, '\p{^arabicpfb}', "");
Expect(0, 65279, '\P{arabicpfb}', "");
Expect(1, 65279, '\P{^arabicpfb}', "");
Expect(0, 65280, '\p{arabicpfb}', "");
Expect(1, 65280, '\p{^arabicpfb}', "");
Expect(1, 65280, '\P{arabicpfb}', "");
Expect(0, 65280, '\P{^arabicpfb}', "");
Expect(1, 65279, '\p{_ ARABIC_PF_B}', "");
Expect(0, 65279, '\p{^_ ARABIC_PF_B}', "");
Expect(0, 65279, '\P{_ ARABIC_PF_B}', "");
Expect(1, 65279, '\P{^_ ARABIC_PF_B}', "");
Expect(0, 65280, '\p{_ ARABIC_PF_B}', "");
Expect(1, 65280, '\p{^_ ARABIC_PF_B}', "");
Expect(1, 65280, '\P{_ ARABIC_PF_B}', "");
Expect(0, 65280, '\P{^_ ARABIC_PF_B}', "");
Error('\p{	is_arabic_pf_B/a/}');
Error('\P{	is_arabic_pf_B/a/}');
Expect(1, 65279, '\p{isarabicpfb}', "");
Expect(0, 65279, '\p{^isarabicpfb}', "");
Expect(0, 65279, '\P{isarabicpfb}', "");
Expect(1, 65279, '\P{^isarabicpfb}', "");
Expect(0, 65280, '\p{isarabicpfb}', "");
Expect(1, 65280, '\p{^isarabicpfb}', "");
Expect(1, 65280, '\P{isarabicpfb}', "");
Expect(0, 65280, '\P{^isarabicpfb}', "");
Expect(1, 65279, '\p{	Is_ARABIC_PF_B}', "");
Expect(0, 65279, '\p{^	Is_ARABIC_PF_B}', "");
Expect(0, 65279, '\P{	Is_ARABIC_PF_B}', "");
Expect(1, 65279, '\P{^	Is_ARABIC_PF_B}', "");
Expect(0, 65280, '\p{	Is_ARABIC_PF_B}', "");
Expect(1, 65280, '\p{^	Is_ARABIC_PF_B}', "");
Expect(1, 65280, '\P{	Is_ARABIC_PF_B}', "");
Expect(0, 65280, '\P{^	Is_ARABIC_PF_B}', "");
Error('\p{__In_ARABIC_PF_B:=}');
Error('\P{__In_ARABIC_PF_B:=}');
Expect(1, 65279, '\p{inarabicpfb}', "");
Expect(0, 65279, '\p{^inarabicpfb}', "");
Expect(0, 65279, '\P{inarabicpfb}', "");
Expect(1, 65279, '\P{^inarabicpfb}', "");
Expect(0, 65280, '\p{inarabicpfb}', "");
Expect(1, 65280, '\p{^inarabicpfb}', "");
Expect(1, 65280, '\P{inarabicpfb}', "");
Expect(0, 65280, '\P{^inarabicpfb}', "");
Expect(1, 65279, '\p{_	in_ARABIC_PF_B}', "");
Expect(0, 65279, '\p{^_	in_ARABIC_PF_B}', "");
Expect(0, 65279, '\P{_	in_ARABIC_PF_B}', "");
Expect(1, 65279, '\P{^_	in_ARABIC_PF_B}', "");
Expect(0, 65280, '\p{_	in_ARABIC_PF_B}', "");
Expect(1, 65280, '\p{^_	in_ARABIC_PF_B}', "");
Expect(1, 65280, '\P{_	in_ARABIC_PF_B}', "");
Expect(0, 65280, '\P{^_	in_ARABIC_PF_B}', "");
Error('\p{:=arabic_Supplement}');
Error('\P{:=arabic_Supplement}');
Expect(1, 1919, '\p{arabicsupplement}', "");
Expect(0, 1919, '\p{^arabicsupplement}', "");
Expect(0, 1919, '\P{arabicsupplement}', "");
Expect(1, 1919, '\P{^arabicsupplement}', "");
Expect(0, 1920, '\p{arabicsupplement}', "");
Expect(1, 1920, '\p{^arabicsupplement}', "");
Expect(1, 1920, '\P{arabicsupplement}', "");
Expect(0, 1920, '\P{^arabicsupplement}', "");
Expect(1, 1919, '\p{--arabic_Supplement}', "");
Expect(0, 1919, '\p{^--arabic_Supplement}', "");
Expect(0, 1919, '\P{--arabic_Supplement}', "");
Expect(1, 1919, '\P{^--arabic_Supplement}', "");
Expect(0, 1920, '\p{--arabic_Supplement}', "");
Expect(1, 1920, '\p{^--arabic_Supplement}', "");
Expect(1, 1920, '\P{--arabic_Supplement}', "");
Expect(0, 1920, '\P{^--arabic_Supplement}', "");
Error('\p{_-is_ARABIC_Supplement/a/}');
Error('\P{_-is_ARABIC_Supplement/a/}');
Expect(1, 1919, '\p{isarabicsupplement}', "");
Expect(0, 1919, '\p{^isarabicsupplement}', "");
Expect(0, 1919, '\P{isarabicsupplement}', "");
Expect(1, 1919, '\P{^isarabicsupplement}', "");
Expect(0, 1920, '\p{isarabicsupplement}', "");
Expect(1, 1920, '\p{^isarabicsupplement}', "");
Expect(1, 1920, '\P{isarabicsupplement}', "");
Expect(0, 1920, '\P{^isarabicsupplement}', "");
Expect(1, 1919, '\p{IS_arabic_SUPPLEMENT}', "");
Expect(0, 1919, '\p{^IS_arabic_SUPPLEMENT}', "");
Expect(0, 1919, '\P{IS_arabic_SUPPLEMENT}', "");
Expect(1, 1919, '\P{^IS_arabic_SUPPLEMENT}', "");
Expect(0, 1920, '\p{IS_arabic_SUPPLEMENT}', "");
Expect(1, 1920, '\p{^IS_arabic_SUPPLEMENT}', "");
Expect(1, 1920, '\P{IS_arabic_SUPPLEMENT}', "");
Expect(0, 1920, '\P{^IS_arabic_SUPPLEMENT}', "");
Error('\p{:=	-In_Arabic_SUPPLEMENT}');
Error('\P{:=	-In_Arabic_SUPPLEMENT}');
Expect(1, 1919, '\p{inarabicsupplement}', "");
Expect(0, 1919, '\p{^inarabicsupplement}', "");
Expect(0, 1919, '\P{inarabicsupplement}', "");
Expect(1, 1919, '\P{^inarabicsupplement}', "");
Expect(0, 1920, '\p{inarabicsupplement}', "");
Expect(1, 1920, '\p{^inarabicsupplement}', "");
Expect(1, 1920, '\P{inarabicsupplement}', "");
Expect(0, 1920, '\P{^inarabicsupplement}', "");
Expect(1, 1919, '\p{	-In_arabic_Supplement}', "");
Expect(0, 1919, '\p{^	-In_arabic_Supplement}', "");
Expect(0, 1919, '\P{	-In_arabic_Supplement}', "");
Expect(1, 1919, '\P{^	-In_arabic_Supplement}', "");
Expect(0, 1920, '\p{	-In_arabic_Supplement}', "");
Expect(1, 1920, '\p{^	-In_arabic_Supplement}', "");
Expect(1, 1920, '\P{	-In_arabic_Supplement}', "");
Expect(0, 1920, '\P{^	-In_arabic_Supplement}', "");
Error('\p{ Arabic_Sup:=}');
Error('\P{ Arabic_Sup:=}');
Expect(1, 1919, '\p{arabicsup}', "");
Expect(0, 1919, '\p{^arabicsup}', "");
Expect(0, 1919, '\P{arabicsup}', "");
Expect(1, 1919, '\P{^arabicsup}', "");
Expect(0, 1920, '\p{arabicsup}', "");
Expect(1, 1920, '\p{^arabicsup}', "");
Expect(1, 1920, '\P{arabicsup}', "");
Expect(0, 1920, '\P{^arabicsup}', "");
Expect(1, 1919, '\p{Arabic_sup}', "");
Expect(0, 1919, '\p{^Arabic_sup}', "");
Expect(0, 1919, '\P{Arabic_sup}', "");
Expect(1, 1919, '\P{^Arabic_sup}', "");
Expect(0, 1920, '\p{Arabic_sup}', "");
Expect(1, 1920, '\p{^Arabic_sup}', "");
Expect(1, 1920, '\P{Arabic_sup}', "");
Expect(0, 1920, '\P{^Arabic_sup}', "");
Error('\p{	:=Is_Arabic_SUP}');
Error('\P{	:=Is_Arabic_SUP}');
Expect(1, 1919, '\p{isarabicsup}', "");
Expect(0, 1919, '\p{^isarabicsup}', "");
Expect(0, 1919, '\P{isarabicsup}', "");
Expect(1, 1919, '\P{^isarabicsup}', "");
Expect(0, 1920, '\p{isarabicsup}', "");
Expect(1, 1920, '\p{^isarabicsup}', "");
Expect(1, 1920, '\P{isarabicsup}', "");
Expect(0, 1920, '\P{^isarabicsup}', "");
Expect(1, 1919, '\p{_	Is_ARABIC_Sup}', "");
Expect(0, 1919, '\p{^_	Is_ARABIC_Sup}', "");
Expect(0, 1919, '\P{_	Is_ARABIC_Sup}', "");
Expect(1, 1919, '\P{^_	Is_ARABIC_Sup}', "");
Expect(0, 1920, '\p{_	Is_ARABIC_Sup}', "");
Expect(1, 1920, '\p{^_	Is_ARABIC_Sup}', "");
Expect(1, 1920, '\P{_	Is_ARABIC_Sup}', "");
Expect(0, 1920, '\P{^_	Is_ARABIC_Sup}', "");
Error('\p{-In_Arabic_SUP/a/}');
Error('\P{-In_Arabic_SUP/a/}');
Expect(1, 1919, '\p{inarabicsup}', "");
Expect(0, 1919, '\p{^inarabicsup}', "");
Expect(0, 1919, '\P{inarabicsup}', "");
Expect(1, 1919, '\P{^inarabicsup}', "");
Expect(0, 1920, '\p{inarabicsup}', "");
Expect(1, 1920, '\p{^inarabicsup}', "");
Expect(1, 1920, '\P{inarabicsup}', "");
Expect(0, 1920, '\P{^inarabicsup}', "");
Expect(1, 1919, '\p{ 	in_Arabic_sup}', "");
Expect(0, 1919, '\p{^ 	in_Arabic_sup}', "");
Expect(0, 1919, '\P{ 	in_Arabic_sup}', "");
Expect(1, 1919, '\P{^ 	in_Arabic_sup}', "");
Expect(0, 1920, '\p{ 	in_Arabic_sup}', "");
Expect(1, 1920, '\p{^ 	in_Arabic_sup}', "");
Expect(1, 1920, '\P{ 	in_Arabic_sup}', "");
Expect(0, 1920, '\P{^ 	in_Arabic_sup}', "");
Error('\p{/a/ 	Armenian}');
Error('\P{/a/ 	Armenian}');
Expect(1, 64279, '\p{armenian}', "");
Expect(0, 64279, '\p{^armenian}', "");
Expect(0, 64279, '\P{armenian}', "");
Expect(1, 64279, '\P{^armenian}', "");
Expect(0, 64280, '\p{armenian}', "");
Expect(1, 64280, '\p{^armenian}', "");
Expect(1, 64280, '\P{armenian}', "");
Expect(0, 64280, '\P{^armenian}', "");
Expect(1, 64279, '\p{-armenian}', "");
Expect(0, 64279, '\p{^-armenian}', "");
Expect(0, 64279, '\P{-armenian}', "");
Expect(1, 64279, '\P{^-armenian}', "");
Expect(0, 64280, '\p{-armenian}', "");
Expect(1, 64280, '\p{^-armenian}', "");
Expect(1, 64280, '\P{-armenian}', "");
Expect(0, 64280, '\P{^-armenian}', "");
Error('\p{ /a/Is_Armenian}');
Error('\P{ /a/Is_Armenian}');
Expect(1, 64279, '\p{isarmenian}', "");
Expect(0, 64279, '\p{^isarmenian}', "");
Expect(0, 64279, '\P{isarmenian}', "");
Expect(1, 64279, '\P{^isarmenian}', "");
Expect(0, 64280, '\p{isarmenian}', "");
Expect(1, 64280, '\p{^isarmenian}', "");
Expect(1, 64280, '\P{isarmenian}', "");
Expect(0, 64280, '\P{^isarmenian}', "");
Expect(1, 64279, '\p{-IS_Armenian}', "");
Expect(0, 64279, '\p{^-IS_Armenian}', "");
Expect(0, 64279, '\P{-IS_Armenian}', "");
Expect(1, 64279, '\P{^-IS_Armenian}', "");
Expect(0, 64280, '\p{-IS_Armenian}', "");
Expect(1, 64280, '\p{^-IS_Armenian}', "");
Expect(1, 64280, '\P{-IS_Armenian}', "");
Expect(0, 64280, '\P{^-IS_Armenian}', "");
Error('\p{:=_Armn}');
Error('\P{:=_Armn}');
Expect(1, 64279, '\p{armn}', "");
Expect(0, 64279, '\p{^armn}', "");
Expect(0, 64279, '\P{armn}', "");
Expect(1, 64279, '\P{^armn}', "");
Expect(0, 64280, '\p{armn}', "");
Expect(1, 64280, '\p{^armn}', "");
Expect(1, 64280, '\P{armn}', "");
Expect(0, 64280, '\P{^armn}', "");
Expect(1, 64279, '\p{ 	Armn}', "");
Expect(0, 64279, '\p{^ 	Armn}', "");
Expect(0, 64279, '\P{ 	Armn}', "");
Expect(1, 64279, '\P{^ 	Armn}', "");
Expect(0, 64280, '\p{ 	Armn}', "");
Expect(1, 64280, '\p{^ 	Armn}', "");
Expect(1, 64280, '\P{ 	Armn}', "");
Expect(0, 64280, '\P{^ 	Armn}', "");
Error('\p{:=	-is_armn}');
Error('\P{:=	-is_armn}');
Expect(1, 64279, '\p{isarmn}', "");
Expect(0, 64279, '\p{^isarmn}', "");
Expect(0, 64279, '\P{isarmn}', "");
Expect(1, 64279, '\P{^isarmn}', "");
Expect(0, 64280, '\p{isarmn}', "");
Expect(1, 64280, '\p{^isarmn}', "");
Expect(1, 64280, '\P{isarmn}', "");
Expect(0, 64280, '\P{^isarmn}', "");
Expect(1, 64279, '\p{_ Is_ARMN}', "");
Expect(0, 64279, '\p{^_ Is_ARMN}', "");
Expect(0, 64279, '\P{_ Is_ARMN}', "");
Expect(1, 64279, '\P{^_ Is_ARMN}', "");
Expect(0, 64280, '\p{_ Is_ARMN}', "");
Expect(1, 64280, '\p{^_ Is_ARMN}', "");
Expect(1, 64280, '\P{_ Is_ARMN}', "");
Expect(0, 64280, '\P{^_ Is_ARMN}', "");
Error('\p{__ARROWS:=}');
Error('\P{__ARROWS:=}');
Expect(1, 8703, '\p{arrows}', "");
Expect(0, 8703, '\p{^arrows}', "");
Expect(0, 8703, '\P{arrows}', "");
Expect(1, 8703, '\P{^arrows}', "");
Expect(0, 8704, '\p{arrows}', "");
Expect(1, 8704, '\p{^arrows}', "");
Expect(1, 8704, '\P{arrows}', "");
Expect(0, 8704, '\P{^arrows}', "");
Expect(1, 8703, '\p{_	ARROWS}', "");
Expect(0, 8703, '\p{^_	ARROWS}', "");
Expect(0, 8703, '\P{_	ARROWS}', "");
Expect(1, 8703, '\P{^_	ARROWS}', "");
Expect(0, 8704, '\p{_	ARROWS}', "");
Expect(1, 8704, '\p{^_	ARROWS}', "");
Expect(1, 8704, '\P{_	ARROWS}', "");
Expect(0, 8704, '\P{^_	ARROWS}', "");
Error('\p{	/a/Is_arrows}');
Error('\P{	/a/Is_arrows}');
Expect(1, 8703, '\p{isarrows}', "");
Expect(0, 8703, '\p{^isarrows}', "");
Expect(0, 8703, '\P{isarrows}', "");
Expect(1, 8703, '\P{^isarrows}', "");
Expect(0, 8704, '\p{isarrows}', "");
Expect(1, 8704, '\p{^isarrows}', "");
Expect(1, 8704, '\P{isarrows}', "");
Expect(0, 8704, '\P{^isarrows}', "");
Expect(1, 8703, '\p{-IS_Arrows}', "");
Expect(0, 8703, '\p{^-IS_Arrows}', "");
Expect(0, 8703, '\P{-IS_Arrows}', "");
Expect(1, 8703, '\P{^-IS_Arrows}', "");
Expect(0, 8704, '\p{-IS_Arrows}', "");
Expect(1, 8704, '\p{^-IS_Arrows}', "");
Expect(1, 8704, '\P{-IS_Arrows}', "");
Expect(0, 8704, '\P{^-IS_Arrows}', "");
Error('\p{	:=in_Arrows}');
Error('\P{	:=in_Arrows}');
Expect(1, 8703, '\p{inarrows}', "");
Expect(0, 8703, '\p{^inarrows}', "");
Expect(0, 8703, '\P{inarrows}', "");
Expect(1, 8703, '\P{^inarrows}', "");
Expect(0, 8704, '\p{inarrows}', "");
Expect(1, 8704, '\p{^inarrows}', "");
Expect(1, 8704, '\P{inarrows}', "");
Expect(0, 8704, '\P{^inarrows}', "");
Expect(1, 8703, '\p{-in_Arrows}', "");
Expect(0, 8703, '\p{^-in_Arrows}', "");
Expect(0, 8703, '\P{-in_Arrows}', "");
Expect(1, 8703, '\P{^-in_Arrows}', "");
Expect(0, 8704, '\p{-in_Arrows}', "");
Expect(1, 8704, '\p{^-in_Arrows}', "");
Expect(1, 8704, '\P{-in_Arrows}', "");
Expect(0, 8704, '\P{^-in_Arrows}', "");
Error('\p{_Assigned:=}');
Error('\P{_Assigned:=}');
Expect(1, 1114109, '\p{assigned}', "");
Expect(0, 1114109, '\p{^assigned}', "");
Expect(0, 1114109, '\P{assigned}', "");
Expect(1, 1114109, '\P{^assigned}', "");
Expect(0, 918000, '\p{assigned}', "");
Expect(1, 918000, '\p{^assigned}', "");
Expect(1, 918000, '\P{assigned}', "");
Expect(0, 918000, '\P{^assigned}', "");
Expect(1, 1114109, '\p{- ASSIGNED}', "");
Expect(0, 1114109, '\p{^- ASSIGNED}', "");
Expect(0, 1114109, '\P{- ASSIGNED}', "");
Expect(1, 1114109, '\P{^- ASSIGNED}', "");
Expect(0, 918000, '\p{- ASSIGNED}', "");
Expect(1, 918000, '\p{^- ASSIGNED}', "");
Expect(1, 918000, '\P{- ASSIGNED}', "");
Expect(0, 918000, '\P{^- ASSIGNED}', "");
Error('\p{:=		is_Assigned}');
Error('\P{:=		is_Assigned}');
Expect(1, 1114109, '\p{isassigned}', "");
Expect(0, 1114109, '\p{^isassigned}', "");
Expect(0, 1114109, '\P{isassigned}', "");
Expect(1, 1114109, '\P{^isassigned}', "");
Expect(0, 918000, '\p{isassigned}', "");
Expect(1, 918000, '\p{^isassigned}', "");
Expect(1, 918000, '\P{isassigned}', "");
Expect(0, 918000, '\P{^isassigned}', "");
Expect(1, 1114109, '\p{		Is_assigned}', "");
Expect(0, 1114109, '\p{^		Is_assigned}', "");
Expect(0, 1114109, '\P{		Is_assigned}', "");
Expect(1, 1114109, '\P{^		Is_assigned}', "");
Expect(0, 918000, '\p{		Is_assigned}', "");
Expect(1, 918000, '\p{^		Is_assigned}', "");
Expect(1, 918000, '\P{		Is_assigned}', "");
Expect(0, 918000, '\P{^		Is_assigned}', "");
Error('\p{_-avestan:=}');
Error('\P{_-avestan:=}');
Expect(1, 68415, '\p{avestan}', "");
Expect(0, 68415, '\p{^avestan}', "");
Expect(0, 68415, '\P{avestan}', "");
Expect(1, 68415, '\P{^avestan}', "");
Expect(0, 68416, '\p{avestan}', "");
Expect(1, 68416, '\p{^avestan}', "");
Expect(1, 68416, '\P{avestan}', "");
Expect(0, 68416, '\P{^avestan}', "");
Expect(1, 68415, '\p{-AVESTAN}', "");
Expect(0, 68415, '\p{^-AVESTAN}', "");
Expect(0, 68415, '\P{-AVESTAN}', "");
Expect(1, 68415, '\P{^-AVESTAN}', "");
Expect(0, 68416, '\p{-AVESTAN}', "");
Expect(1, 68416, '\p{^-AVESTAN}', "");
Expect(1, 68416, '\P{-AVESTAN}', "");
Expect(0, 68416, '\P{^-AVESTAN}', "");
Error('\p{/a/ Is_Avestan}');
Error('\P{/a/ Is_Avestan}');
Expect(1, 68415, '\p{isavestan}', "");
Expect(0, 68415, '\p{^isavestan}', "");
Expect(0, 68415, '\P{isavestan}', "");
Expect(1, 68415, '\P{^isavestan}', "");
Expect(0, 68416, '\p{isavestan}', "");
Expect(1, 68416, '\p{^isavestan}', "");
Expect(1, 68416, '\P{isavestan}', "");
Expect(0, 68416, '\P{^isavestan}', "");
Expect(1, 68415, '\p{		Is_Avestan}', "");
Expect(0, 68415, '\p{^		Is_Avestan}', "");
Expect(0, 68415, '\P{		Is_Avestan}', "");
Expect(1, 68415, '\P{^		Is_Avestan}', "");
Expect(0, 68416, '\p{		Is_Avestan}', "");
Expect(1, 68416, '\p{^		Is_Avestan}', "");
Expect(1, 68416, '\P{		Is_Avestan}', "");
Expect(0, 68416, '\P{^		Is_Avestan}', "");
Error('\p{:=Avst}');
Error('\P{:=Avst}');
Expect(1, 68415, '\p{avst}', "");
Expect(0, 68415, '\p{^avst}', "");
Expect(0, 68415, '\P{avst}', "");
Expect(1, 68415, '\P{^avst}', "");
Expect(0, 68416, '\p{avst}', "");
Expect(1, 68416, '\p{^avst}', "");
Expect(1, 68416, '\P{avst}', "");
Expect(0, 68416, '\P{^avst}', "");
Expect(1, 68415, '\p{-	AVST}', "");
Expect(0, 68415, '\p{^-	AVST}', "");
Expect(0, 68415, '\P{-	AVST}', "");
Expect(1, 68415, '\P{^-	AVST}', "");
Expect(0, 68416, '\p{-	AVST}', "");
Expect(1, 68416, '\p{^-	AVST}', "");
Expect(1, 68416, '\P{-	AVST}', "");
Expect(0, 68416, '\P{^-	AVST}', "");
Error('\p{-is_Avst:=}');
Error('\P{-is_Avst:=}');
Expect(1, 68415, '\p{isavst}', "");
Expect(0, 68415, '\p{^isavst}', "");
Expect(0, 68415, '\P{isavst}', "");
Expect(1, 68415, '\P{^isavst}', "");
Expect(0, 68416, '\p{isavst}', "");
Expect(1, 68416, '\p{^isavst}', "");
Expect(1, 68416, '\P{isavst}', "");
Expect(0, 68416, '\P{^isavst}', "");
Expect(1, 68415, '\p{_ IS_Avst}', "");
Expect(0, 68415, '\p{^_ IS_Avst}', "");
Expect(0, 68415, '\P{_ IS_Avst}', "");
Expect(1, 68415, '\P{^_ IS_Avst}', "");
Expect(0, 68416, '\p{_ IS_Avst}', "");
Expect(1, 68416, '\p{^_ IS_Avst}', "");
Expect(1, 68416, '\P{_ IS_Avst}', "");
Expect(0, 68416, '\P{^_ IS_Avst}', "");
Error('\p{_ Balinese/a/}');
Error('\P{_ Balinese/a/}');
Expect(1, 7036, '\p{balinese}', "");
Expect(0, 7036, '\p{^balinese}', "");
Expect(0, 7036, '\P{balinese}', "");
Expect(1, 7036, '\P{^balinese}', "");
Expect(0, 7037, '\p{balinese}', "");
Expect(1, 7037, '\p{^balinese}', "");
Expect(1, 7037, '\P{balinese}', "");
Expect(0, 7037, '\P{^balinese}', "");
Expect(1, 7036, '\p{_Balinese}', "");
Expect(0, 7036, '\p{^_Balinese}', "");
Expect(0, 7036, '\P{_Balinese}', "");
Expect(1, 7036, '\P{^_Balinese}', "");
Expect(0, 7037, '\p{_Balinese}', "");
Expect(1, 7037, '\p{^_Balinese}', "");
Expect(1, 7037, '\P{_Balinese}', "");
Expect(0, 7037, '\P{^_Balinese}', "");
Error('\p{	:=is_BALINESE}');
Error('\P{	:=is_BALINESE}');
Expect(1, 7036, '\p{isbalinese}', "");
Expect(0, 7036, '\p{^isbalinese}', "");
Expect(0, 7036, '\P{isbalinese}', "");
Expect(1, 7036, '\P{^isbalinese}', "");
Expect(0, 7037, '\p{isbalinese}', "");
Expect(1, 7037, '\p{^isbalinese}', "");
Expect(1, 7037, '\P{isbalinese}', "");
Expect(0, 7037, '\P{^isbalinese}', "");
Expect(1, 7036, '\p{-is_balinese}', "");
Expect(0, 7036, '\p{^-is_balinese}', "");
Expect(0, 7036, '\P{-is_balinese}', "");
Expect(1, 7036, '\P{^-is_balinese}', "");
Expect(0, 7037, '\p{-is_balinese}', "");
Expect(1, 7037, '\p{^-is_balinese}', "");
Expect(1, 7037, '\P{-is_balinese}', "");
Expect(0, 7037, '\P{^-is_balinese}', "");
Error('\p{	:=Bali}');
Error('\P{	:=Bali}');
Expect(1, 7036, '\p{bali}', "");
Expect(0, 7036, '\p{^bali}', "");
Expect(0, 7036, '\P{bali}', "");
Expect(1, 7036, '\P{^bali}', "");
Expect(0, 7037, '\p{bali}', "");
Expect(1, 7037, '\p{^bali}', "");
Expect(1, 7037, '\P{bali}', "");
Expect(0, 7037, '\P{^bali}', "");
Expect(1, 7036, '\p{-	bali}', "");
Expect(0, 7036, '\p{^-	bali}', "");
Expect(0, 7036, '\P{-	bali}', "");
Expect(1, 7036, '\P{^-	bali}', "");
Expect(0, 7037, '\p{-	bali}', "");
Expect(1, 7037, '\p{^-	bali}', "");
Expect(1, 7037, '\P{-	bali}', "");
Expect(0, 7037, '\P{^-	bali}', "");
Error('\p{/a/is_bali}');
Error('\P{/a/is_bali}');
Expect(1, 7036, '\p{isbali}', "");
Expect(0, 7036, '\p{^isbali}', "");
Expect(0, 7036, '\P{isbali}', "");
Expect(1, 7036, '\P{^isbali}', "");
Expect(0, 7037, '\p{isbali}', "");
Expect(1, 7037, '\p{^isbali}', "");
Expect(1, 7037, '\P{isbali}', "");
Expect(0, 7037, '\P{^isbali}', "");
Expect(1, 7036, '\p{-	Is_BALI}', "");
Expect(0, 7036, '\p{^-	Is_BALI}', "");
Expect(0, 7036, '\P{-	Is_BALI}', "");
Expect(1, 7036, '\P{^-	Is_BALI}', "");
Expect(0, 7037, '\p{-	Is_BALI}', "");
Expect(1, 7037, '\p{^-	Is_BALI}', "");
Expect(1, 7037, '\P{-	Is_BALI}', "");
Expect(0, 7037, '\P{^-	Is_BALI}', "");
Error('\p{_/a/Bamum}');
Error('\P{_/a/Bamum}');
Expect(1, 92728, '\p{bamum}', "");
Expect(0, 92728, '\p{^bamum}', "");
Expect(0, 92728, '\P{bamum}', "");
Expect(1, 92728, '\P{^bamum}', "");
Expect(0, 92729, '\p{bamum}', "");
Expect(1, 92729, '\p{^bamum}', "");
Expect(1, 92729, '\P{bamum}', "");
Expect(0, 92729, '\P{^bamum}', "");
Expect(1, 92728, '\p{	 Bamum}', "");
Expect(0, 92728, '\p{^	 Bamum}', "");
Expect(0, 92728, '\P{	 Bamum}', "");
Expect(1, 92728, '\P{^	 Bamum}', "");
Expect(0, 92729, '\p{	 Bamum}', "");
Expect(1, 92729, '\p{^	 Bamum}', "");
Expect(1, 92729, '\P{	 Bamum}', "");
Expect(0, 92729, '\P{^	 Bamum}', "");
Error('\p{ /a/Is_bamum}');
Error('\P{ /a/Is_bamum}');
Expect(1, 92728, '\p{isbamum}', "");
Expect(0, 92728, '\p{^isbamum}', "");
Expect(0, 92728, '\P{isbamum}', "");
Expect(1, 92728, '\P{^isbamum}', "");
Expect(0, 92729, '\p{isbamum}', "");
Expect(1, 92729, '\p{^isbamum}', "");
Expect(1, 92729, '\P{isbamum}', "");
Expect(0, 92729, '\P{^isbamum}', "");
Expect(1, 92728, '\p{_is_Bamum}', "");
Expect(0, 92728, '\p{^_is_Bamum}', "");
Expect(0, 92728, '\P{_is_Bamum}', "");
Expect(1, 92728, '\P{^_is_Bamum}', "");
Expect(0, 92729, '\p{_is_Bamum}', "");
Expect(1, 92729, '\p{^_is_Bamum}', "");
Expect(1, 92729, '\P{_is_Bamum}', "");
Expect(0, 92729, '\P{^_is_Bamum}', "");
Error('\p{:=Bamu}');
Error('\P{:=Bamu}');
Expect(1, 92728, '\p{bamu}', "");
Expect(0, 92728, '\p{^bamu}', "");
Expect(0, 92728, '\P{bamu}', "");
Expect(1, 92728, '\P{^bamu}', "");
Expect(0, 92729, '\p{bamu}', "");
Expect(1, 92729, '\p{^bamu}', "");
Expect(1, 92729, '\P{bamu}', "");
Expect(0, 92729, '\P{^bamu}', "");
Expect(1, 92728, '\p{ 	Bamu}', "");
Expect(0, 92728, '\p{^ 	Bamu}', "");
Expect(0, 92728, '\P{ 	Bamu}', "");
Expect(1, 92728, '\P{^ 	Bamu}', "");
Expect(0, 92729, '\p{ 	Bamu}', "");
Expect(1, 92729, '\p{^ 	Bamu}', "");
Expect(1, 92729, '\P{ 	Bamu}', "");
Expect(0, 92729, '\P{^ 	Bamu}', "");
Error('\p{:=Is_Bamu}');
Error('\P{:=Is_Bamu}');
Expect(1, 92728, '\p{isbamu}', "");
Expect(0, 92728, '\p{^isbamu}', "");
Expect(0, 92728, '\P{isbamu}', "");
Expect(1, 92728, '\P{^isbamu}', "");
Expect(0, 92729, '\p{isbamu}', "");
Expect(1, 92729, '\p{^isbamu}', "");
Expect(1, 92729, '\P{isbamu}', "");
Expect(0, 92729, '\P{^isbamu}', "");
Expect(1, 92728, '\p{  is_Bamu}', "");
Expect(0, 92728, '\p{^  is_Bamu}', "");
Expect(0, 92728, '\P{  is_Bamu}', "");
Expect(1, 92728, '\P{^  is_Bamu}', "");
Expect(0, 92729, '\p{  is_Bamu}', "");
Expect(1, 92729, '\p{^  is_Bamu}', "");
Expect(1, 92729, '\P{  is_Bamu}', "");
Expect(0, 92729, '\P{^  is_Bamu}', "");
Error('\p{  Bamum_supplement/a/}');
Error('\P{  Bamum_supplement/a/}');
Expect(1, 92735, '\p{bamumsupplement}', "");
Expect(0, 92735, '\p{^bamumsupplement}', "");
Expect(0, 92735, '\P{bamumsupplement}', "");
Expect(1, 92735, '\P{^bamumsupplement}', "");
Expect(0, 92736, '\p{bamumsupplement}', "");
Expect(1, 92736, '\p{^bamumsupplement}', "");
Expect(1, 92736, '\P{bamumsupplement}', "");
Expect(0, 92736, '\P{^bamumsupplement}', "");
Expect(1, 92735, '\p{-	Bamum_supplement}', "");
Expect(0, 92735, '\p{^-	Bamum_supplement}', "");
Expect(0, 92735, '\P{-	Bamum_supplement}', "");
Expect(1, 92735, '\P{^-	Bamum_supplement}', "");
Expect(0, 92736, '\p{-	Bamum_supplement}', "");
Expect(1, 92736, '\p{^-	Bamum_supplement}', "");
Expect(1, 92736, '\P{-	Bamum_supplement}', "");
Expect(0, 92736, '\P{^-	Bamum_supplement}', "");
Error('\p{--is_Bamum_supplement:=}');
Error('\P{--is_Bamum_supplement:=}');
Expect(1, 92735, '\p{isbamumsupplement}', "");
Expect(0, 92735, '\p{^isbamumsupplement}', "");
Expect(0, 92735, '\P{isbamumsupplement}', "");
Expect(1, 92735, '\P{^isbamumsupplement}', "");
Expect(0, 92736, '\p{isbamumsupplement}', "");
Expect(1, 92736, '\p{^isbamumsupplement}', "");
Expect(1, 92736, '\P{isbamumsupplement}', "");
Expect(0, 92736, '\P{^isbamumsupplement}', "");
Expect(1, 92735, '\p{ 	Is_bamum_SUPPLEMENT}', "");
Expect(0, 92735, '\p{^ 	Is_bamum_SUPPLEMENT}', "");
Expect(0, 92735, '\P{ 	Is_bamum_SUPPLEMENT}', "");
Expect(1, 92735, '\P{^ 	Is_bamum_SUPPLEMENT}', "");
Expect(0, 92736, '\p{ 	Is_bamum_SUPPLEMENT}', "");
Expect(1, 92736, '\p{^ 	Is_bamum_SUPPLEMENT}', "");
Expect(1, 92736, '\P{ 	Is_bamum_SUPPLEMENT}', "");
Expect(0, 92736, '\P{^ 	Is_bamum_SUPPLEMENT}', "");
Error('\p{ _In_bamum_SUPPLEMENT:=}');
Error('\P{ _In_bamum_SUPPLEMENT:=}');
Expect(1, 92735, '\p{inbamumsupplement}', "");
Expect(0, 92735, '\p{^inbamumsupplement}', "");
Expect(0, 92735, '\P{inbamumsupplement}', "");
Expect(1, 92735, '\P{^inbamumsupplement}', "");
Expect(0, 92736, '\p{inbamumsupplement}', "");
Expect(1, 92736, '\p{^inbamumsupplement}', "");
Expect(1, 92736, '\P{inbamumsupplement}', "");
Expect(0, 92736, '\P{^inbamumsupplement}', "");
Expect(1, 92735, '\p{		in_Bamum_SUPPLEMENT}', "");
Expect(0, 92735, '\p{^		in_Bamum_SUPPLEMENT}', "");
Expect(0, 92735, '\P{		in_Bamum_SUPPLEMENT}', "");
Expect(1, 92735, '\P{^		in_Bamum_SUPPLEMENT}', "");
Expect(0, 92736, '\p{		in_Bamum_SUPPLEMENT}', "");
Expect(1, 92736, '\p{^		in_Bamum_SUPPLEMENT}', "");
Expect(1, 92736, '\P{		in_Bamum_SUPPLEMENT}', "");
Expect(0, 92736, '\P{^		in_Bamum_SUPPLEMENT}', "");
Error('\p{:=__BAMUM_Sup}');
Error('\P{:=__BAMUM_Sup}');
Expect(1, 92735, '\p{bamumsup}', "");
Expect(0, 92735, '\p{^bamumsup}', "");
Expect(0, 92735, '\P{bamumsup}', "");
Expect(1, 92735, '\P{^bamumsup}', "");
Expect(0, 92736, '\p{bamumsup}', "");
Expect(1, 92736, '\p{^bamumsup}', "");
Expect(1, 92736, '\P{bamumsup}', "");
Expect(0, 92736, '\P{^bamumsup}', "");
Expect(1, 92735, '\p{ _BAMUM_Sup}', "");
Expect(0, 92735, '\p{^ _BAMUM_Sup}', "");
Expect(0, 92735, '\P{ _BAMUM_Sup}', "");
Expect(1, 92735, '\P{^ _BAMUM_Sup}', "");
Expect(0, 92736, '\p{ _BAMUM_Sup}', "");
Expect(1, 92736, '\p{^ _BAMUM_Sup}', "");
Expect(1, 92736, '\P{ _BAMUM_Sup}', "");
Expect(0, 92736, '\P{^ _BAMUM_Sup}', "");
Error('\p{:=Is_Bamum_SUP}');
Error('\P{:=Is_Bamum_SUP}');
Expect(1, 92735, '\p{isbamumsup}', "");
Expect(0, 92735, '\p{^isbamumsup}', "");
Expect(0, 92735, '\P{isbamumsup}', "");
Expect(1, 92735, '\P{^isbamumsup}', "");
Expect(0, 92736, '\p{isbamumsup}', "");
Expect(1, 92736, '\p{^isbamumsup}', "");
Expect(1, 92736, '\P{isbamumsup}', "");
Expect(0, 92736, '\P{^isbamumsup}', "");
Expect(1, 92735, '\p{  is_BAMUM_Sup}', "");
Expect(0, 92735, '\p{^  is_BAMUM_Sup}', "");
Expect(0, 92735, '\P{  is_BAMUM_Sup}', "");
Expect(1, 92735, '\P{^  is_BAMUM_Sup}', "");
Expect(0, 92736, '\p{  is_BAMUM_Sup}', "");
Expect(1, 92736, '\p{^  is_BAMUM_Sup}', "");
Expect(1, 92736, '\P{  is_BAMUM_Sup}', "");
Expect(0, 92736, '\P{^  is_BAMUM_Sup}', "");
Error('\p{_In_Bamum_SUP/a/}');
Error('\P{_In_Bamum_SUP/a/}');
Expect(1, 92735, '\p{inbamumsup}', "");
Expect(0, 92735, '\p{^inbamumsup}', "");
Expect(0, 92735, '\P{inbamumsup}', "");
Expect(1, 92735, '\P{^inbamumsup}', "");
Expect(0, 92736, '\p{inbamumsup}', "");
Expect(1, 92736, '\p{^inbamumsup}', "");
Expect(1, 92736, '\P{inbamumsup}', "");
Expect(0, 92736, '\P{^inbamumsup}', "");
Expect(1, 92735, '\p{		IN_Bamum_Sup}', "");
Expect(0, 92735, '\p{^		IN_Bamum_Sup}', "");
Expect(0, 92735, '\P{		IN_Bamum_Sup}', "");
Expect(1, 92735, '\P{^		IN_Bamum_Sup}', "");
Expect(0, 92736, '\p{		IN_Bamum_Sup}', "");
Expect(1, 92736, '\p{^		IN_Bamum_Sup}', "");
Expect(1, 92736, '\P{		IN_Bamum_Sup}', "");
Expect(0, 92736, '\P{^		IN_Bamum_Sup}', "");
Error('\p{-bassa_VAH/a/}');
Error('\P{-bassa_VAH/a/}');
Expect(1, 92917, '\p{bassavah}', "");
Expect(0, 92917, '\p{^bassavah}', "");
Expect(0, 92917, '\P{bassavah}', "");
Expect(1, 92917, '\P{^bassavah}', "");
Expect(0, 92918, '\p{bassavah}', "");
Expect(1, 92918, '\p{^bassavah}', "");
Expect(1, 92918, '\P{bassavah}', "");
Expect(0, 92918, '\P{^bassavah}', "");
Expect(1, 92917, '\p{	bassa_VAH}', "");
Expect(0, 92917, '\p{^	bassa_VAH}', "");
Expect(0, 92917, '\P{	bassa_VAH}', "");
Expect(1, 92917, '\P{^	bassa_VAH}', "");
Expect(0, 92918, '\p{	bassa_VAH}', "");
Expect(1, 92918, '\p{^	bassa_VAH}', "");
Expect(1, 92918, '\P{	bassa_VAH}', "");
Expect(0, 92918, '\P{^	bassa_VAH}', "");
Error('\p{/a/ _Is_BASSA_Vah}');
Error('\P{/a/ _Is_BASSA_Vah}');
Expect(1, 92917, '\p{isbassavah}', "");
Expect(0, 92917, '\p{^isbassavah}', "");
Expect(0, 92917, '\P{isbassavah}', "");
Expect(1, 92917, '\P{^isbassavah}', "");
Expect(0, 92918, '\p{isbassavah}', "");
Expect(1, 92918, '\p{^isbassavah}', "");
Expect(1, 92918, '\P{isbassavah}', "");
Expect(0, 92918, '\P{^isbassavah}', "");
Expect(1, 92917, '\p{ _IS_bassa_Vah}', "");
Expect(0, 92917, '\p{^ _IS_bassa_Vah}', "");
Expect(0, 92917, '\P{ _IS_bassa_Vah}', "");
Expect(1, 92917, '\P{^ _IS_bassa_Vah}', "");
Expect(0, 92918, '\p{ _IS_bassa_Vah}', "");
Expect(1, 92918, '\p{^ _IS_bassa_Vah}', "");
Expect(1, 92918, '\P{ _IS_bassa_Vah}', "");
Expect(0, 92918, '\P{^ _IS_bassa_Vah}', "");
Error('\p{:=-Bass}');
Error('\P{:=-Bass}');
Expect(1, 92917, '\p{bass}', "");
Expect(0, 92917, '\p{^bass}', "");
Expect(0, 92917, '\P{bass}', "");
Expect(1, 92917, '\P{^bass}', "");
Expect(0, 92918, '\p{bass}', "");
Expect(1, 92918, '\p{^bass}', "");
Expect(1, 92918, '\P{bass}', "");
Expect(0, 92918, '\P{^bass}', "");
Expect(1, 92917, '\p{_	Bass}', "");
Expect(0, 92917, '\p{^_	Bass}', "");
Expect(0, 92917, '\P{_	Bass}', "");
Expect(1, 92917, '\P{^_	Bass}', "");
Expect(0, 92918, '\p{_	Bass}', "");
Expect(1, 92918, '\p{^_	Bass}', "");
Expect(1, 92918, '\P{_	Bass}', "");
Expect(0, 92918, '\P{^_	Bass}', "");
Error('\p{/a/	-Is_Bass}');
Error('\P{/a/	-Is_Bass}');
Expect(1, 92917, '\p{isbass}', "");
Expect(0, 92917, '\p{^isbass}', "");
Expect(0, 92917, '\P{isbass}', "");
Expect(1, 92917, '\P{^isbass}', "");
Expect(0, 92918, '\p{isbass}', "");
Expect(1, 92918, '\p{^isbass}', "");
Expect(1, 92918, '\P{isbass}', "");
Expect(0, 92918, '\P{^isbass}', "");
Expect(1, 92917, '\p{--Is_Bass}', "");
Expect(0, 92917, '\p{^--Is_Bass}', "");
Expect(0, 92917, '\P{--Is_Bass}', "");
Expect(1, 92917, '\P{^--Is_Bass}', "");
Expect(0, 92918, '\p{--Is_Bass}', "");
Expect(1, 92918, '\p{^--Is_Bass}', "");
Expect(1, 92918, '\P{--Is_Bass}', "");
Expect(0, 92918, '\P{^--Is_Bass}', "");
Error('\p{:=BATAK}');
Error('\P{:=BATAK}');
Expect(1, 7167, '\p{batak}', "");
Expect(0, 7167, '\p{^batak}', "");
Expect(0, 7167, '\P{batak}', "");
Expect(1, 7167, '\P{^batak}', "");
Expect(0, 7168, '\p{batak}', "");
Expect(1, 7168, '\p{^batak}', "");
Expect(1, 7168, '\P{batak}', "");
Expect(0, 7168, '\P{^batak}', "");
Expect(1, 7167, '\p{-_Batak}', "");
Expect(0, 7167, '\p{^-_Batak}', "");
Expect(0, 7167, '\P{-_Batak}', "");
Expect(1, 7167, '\P{^-_Batak}', "");
Expect(0, 7168, '\p{-_Batak}', "");
Expect(1, 7168, '\p{^-_Batak}', "");
Expect(1, 7168, '\P{-_Batak}', "");
Expect(0, 7168, '\P{^-_Batak}', "");
Error('\p{/a/Is_batak}');
Error('\P{/a/Is_batak}');
Expect(1, 7167, '\p{isbatak}', "");
Expect(0, 7167, '\p{^isbatak}', "");
Expect(0, 7167, '\P{isbatak}', "");
Expect(1, 7167, '\P{^isbatak}', "");
Expect(0, 7168, '\p{isbatak}', "");
Expect(1, 7168, '\p{^isbatak}', "");
Expect(1, 7168, '\P{isbatak}', "");
Expect(0, 7168, '\P{^isbatak}', "");
Expect(1, 7167, '\p{	-IS_Batak}', "");
Expect(0, 7167, '\p{^	-IS_Batak}', "");
Expect(0, 7167, '\P{	-IS_Batak}', "");
Expect(1, 7167, '\P{^	-IS_Batak}', "");
Expect(0, 7168, '\p{	-IS_Batak}', "");
Expect(1, 7168, '\p{^	-IS_Batak}', "");
Expect(1, 7168, '\P{	-IS_Batak}', "");
Expect(0, 7168, '\P{^	-IS_Batak}', "");
Error('\p{-:=batk}');
Error('\P{-:=batk}');
Expect(1, 7167, '\p{batk}', "");
Expect(0, 7167, '\p{^batk}', "");
Expect(0, 7167, '\P{batk}', "");
Expect(1, 7167, '\P{^batk}', "");
Expect(0, 7168, '\p{batk}', "");
Expect(1, 7168, '\p{^batk}', "");
Expect(1, 7168, '\P{batk}', "");
Expect(0, 7168, '\P{^batk}', "");
Expect(1, 7167, '\p{_BATK}', "");
Expect(0, 7167, '\p{^_BATK}', "");
Expect(0, 7167, '\P{_BATK}', "");
Expect(1, 7167, '\P{^_BATK}', "");
Expect(0, 7168, '\p{_BATK}', "");
Expect(1, 7168, '\p{^_BATK}', "");
Expect(1, 7168, '\P{_BATK}', "");
Expect(0, 7168, '\P{^_BATK}', "");
Error('\p{--Is_Batk/a/}');
Error('\P{--Is_Batk/a/}');
Expect(1, 7167, '\p{isbatk}', "");
Expect(0, 7167, '\p{^isbatk}', "");
Expect(0, 7167, '\P{isbatk}', "");
Expect(1, 7167, '\P{^isbatk}', "");
Expect(0, 7168, '\p{isbatk}', "");
Expect(1, 7168, '\p{^isbatk}', "");
Expect(1, 7168, '\P{isbatk}', "");
Expect(0, 7168, '\P{^isbatk}', "");
Expect(1, 7167, '\p{ _is_Batk}', "");
Expect(0, 7167, '\p{^ _is_Batk}', "");
Expect(0, 7167, '\P{ _is_Batk}', "");
Expect(1, 7167, '\P{^ _is_Batk}', "");
Expect(0, 7168, '\p{ _is_Batk}', "");
Expect(1, 7168, '\p{^ _is_Batk}', "");
Expect(1, 7168, '\P{ _is_Batk}', "");
Expect(0, 7168, '\P{^ _is_Batk}', "");
Error('\p{-/a/Bengali}');
Error('\P{-/a/Bengali}');
Expect(1, 2555, '\p{bengali}', "");
Expect(0, 2555, '\p{^bengali}', "");
Expect(0, 2555, '\P{bengali}', "");
Expect(1, 2555, '\P{^bengali}', "");
Expect(0, 2556, '\p{bengali}', "");
Expect(1, 2556, '\p{^bengali}', "");
Expect(1, 2556, '\P{bengali}', "");
Expect(0, 2556, '\P{^bengali}', "");
Expect(1, 2555, '\p{-	bengali}', "");
Expect(0, 2555, '\p{^-	bengali}', "");
Expect(0, 2555, '\P{-	bengali}', "");
Expect(1, 2555, '\P{^-	bengali}', "");
Expect(0, 2556, '\p{-	bengali}', "");
Expect(1, 2556, '\p{^-	bengali}', "");
Expect(1, 2556, '\P{-	bengali}', "");
Expect(0, 2556, '\P{^-	bengali}', "");
Error('\p{-Is_Bengali/a/}');
Error('\P{-Is_Bengali/a/}');
Expect(1, 2555, '\p{isbengali}', "");
Expect(0, 2555, '\p{^isbengali}', "");
Expect(0, 2555, '\P{isbengali}', "");
Expect(1, 2555, '\P{^isbengali}', "");
Expect(0, 2556, '\p{isbengali}', "");
Expect(1, 2556, '\p{^isbengali}', "");
Expect(1, 2556, '\P{isbengali}', "");
Expect(0, 2556, '\P{^isbengali}', "");
Expect(1, 2555, '\p{-is_bengali}', "");
Expect(0, 2555, '\p{^-is_bengali}', "");
Expect(0, 2555, '\P{-is_bengali}', "");
Expect(1, 2555, '\P{^-is_bengali}', "");
Expect(0, 2556, '\p{-is_bengali}', "");
Expect(1, 2556, '\p{^-is_bengali}', "");
Expect(1, 2556, '\P{-is_bengali}', "");
Expect(0, 2556, '\P{^-is_bengali}', "");
Error('\p{-/a/BENG}');
Error('\P{-/a/BENG}');
Expect(1, 2555, '\p{beng}', "");
Expect(0, 2555, '\p{^beng}', "");
Expect(0, 2555, '\P{beng}', "");
Expect(1, 2555, '\P{^beng}', "");
Expect(0, 2556, '\p{beng}', "");
Expect(1, 2556, '\p{^beng}', "");
Expect(1, 2556, '\P{beng}', "");
Expect(0, 2556, '\P{^beng}', "");
Expect(1, 2555, '\p{	beng}', "");
Expect(0, 2555, '\p{^	beng}', "");
Expect(0, 2555, '\P{	beng}', "");
Expect(1, 2555, '\P{^	beng}', "");
Expect(0, 2556, '\p{	beng}', "");
Expect(1, 2556, '\p{^	beng}', "");
Expect(1, 2556, '\P{	beng}', "");
Expect(0, 2556, '\P{^	beng}', "");
Error('\p{:=-	is_Beng}');
Error('\P{:=-	is_Beng}');
Expect(1, 2555, '\p{isbeng}', "");
Expect(0, 2555, '\p{^isbeng}', "");
Expect(0, 2555, '\P{isbeng}', "");
Expect(1, 2555, '\P{^isbeng}', "");
Expect(0, 2556, '\p{isbeng}', "");
Expect(1, 2556, '\p{^isbeng}', "");
Expect(1, 2556, '\P{isbeng}', "");
Expect(0, 2556, '\P{^isbeng}', "");
Expect(1, 2555, '\p{_ IS_BENG}', "");
Expect(0, 2555, '\p{^_ IS_BENG}', "");
Expect(0, 2555, '\P{_ IS_BENG}', "");
Expect(1, 2555, '\P{^_ IS_BENG}', "");
Expect(0, 2556, '\p{_ IS_BENG}', "");
Expect(1, 2556, '\p{^_ IS_BENG}', "");
Expect(1, 2556, '\P{_ IS_BENG}', "");
Expect(0, 2556, '\P{^_ IS_BENG}', "");
Error('\p{:=	BIDI_Control}');
Error('\P{:=	BIDI_Control}');
Expect(1, 8297, '\p{bidicontrol}', "");
Expect(0, 8297, '\p{^bidicontrol}', "");
Expect(0, 8297, '\P{bidicontrol}', "");
Expect(1, 8297, '\P{^bidicontrol}', "");
Expect(0, 8298, '\p{bidicontrol}', "");
Expect(1, 8298, '\p{^bidicontrol}', "");
Expect(1, 8298, '\P{bidicontrol}', "");
Expect(0, 8298, '\P{^bidicontrol}', "");
Expect(1, 8297, '\p{	Bidi_control}', "");
Expect(0, 8297, '\p{^	Bidi_control}', "");
Expect(0, 8297, '\P{	Bidi_control}', "");
Expect(1, 8297, '\P{^	Bidi_control}', "");
Expect(0, 8298, '\p{	Bidi_control}', "");
Expect(1, 8298, '\p{^	Bidi_control}', "");
Expect(1, 8298, '\P{	Bidi_control}', "");
Expect(0, 8298, '\P{^	Bidi_control}', "");
Error('\p{/a/ _Is_Bidi_control}');
Error('\P{/a/ _Is_Bidi_control}');
Expect(1, 8297, '\p{isbidicontrol}', "");
Expect(0, 8297, '\p{^isbidicontrol}', "");
Expect(0, 8297, '\P{isbidicontrol}', "");
Expect(1, 8297, '\P{^isbidicontrol}', "");
Expect(0, 8298, '\p{isbidicontrol}', "");
Expect(1, 8298, '\p{^isbidicontrol}', "");
Expect(1, 8298, '\P{isbidicontrol}', "");
Expect(0, 8298, '\P{^isbidicontrol}', "");
Expect(1, 8297, '\p{-_Is_Bidi_CONTROL}', "");
Expect(0, 8297, '\p{^-_Is_Bidi_CONTROL}', "");
Expect(0, 8297, '\P{-_Is_Bidi_CONTROL}', "");
Expect(1, 8297, '\P{^-_Is_Bidi_CONTROL}', "");
Expect(0, 8298, '\p{-_Is_Bidi_CONTROL}', "");
Expect(1, 8298, '\p{^-_Is_Bidi_CONTROL}', "");
Expect(1, 8298, '\P{-_Is_Bidi_CONTROL}', "");
Expect(0, 8298, '\P{^-_Is_Bidi_CONTROL}', "");
Error('\p{_	Bidi_C:=}');
Error('\P{_	Bidi_C:=}');
Expect(1, 8297, '\p{bidic}', "");
Expect(0, 8297, '\p{^bidic}', "");
Expect(0, 8297, '\P{bidic}', "");
Expect(1, 8297, '\P{^bidic}', "");
Expect(0, 8298, '\p{bidic}', "");
Expect(1, 8298, '\p{^bidic}', "");
Expect(1, 8298, '\P{bidic}', "");
Expect(0, 8298, '\P{^bidic}', "");
Expect(1, 8297, '\p{ Bidi_C}', "");
Expect(0, 8297, '\p{^ Bidi_C}', "");
Expect(0, 8297, '\P{ Bidi_C}', "");
Expect(1, 8297, '\P{^ Bidi_C}', "");
Expect(0, 8298, '\p{ Bidi_C}', "");
Expect(1, 8298, '\p{^ Bidi_C}', "");
Expect(1, 8298, '\P{ Bidi_C}', "");
Expect(0, 8298, '\P{^ Bidi_C}', "");
Error('\p{:=	Is_bidi_C}');
Error('\P{:=	Is_bidi_C}');
Expect(1, 8297, '\p{isbidic}', "");
Expect(0, 8297, '\p{^isbidic}', "");
Expect(0, 8297, '\P{isbidic}', "");
Expect(1, 8297, '\P{^isbidic}', "");
Expect(0, 8298, '\p{isbidic}', "");
Expect(1, 8298, '\p{^isbidic}', "");
Expect(1, 8298, '\P{isbidic}', "");
Expect(0, 8298, '\P{^isbidic}', "");
Expect(1, 8297, '\p{  is_Bidi_C}', "");
Expect(0, 8297, '\p{^  is_Bidi_C}', "");
Expect(0, 8297, '\P{  is_Bidi_C}', "");
Expect(1, 8297, '\P{^  is_Bidi_C}', "");
Expect(0, 8298, '\p{  is_Bidi_C}', "");
Expect(1, 8298, '\p{^  is_Bidi_C}', "");
Expect(1, 8298, '\P{  is_Bidi_C}', "");
Expect(0, 8298, '\P{^  is_Bidi_C}', "");
Error('\p{_:=Bidi_Mirrored}');
Error('\P{_:=Bidi_Mirrored}');
Expect(1, 120771, '\p{bidimirrored}', "");
Expect(0, 120771, '\p{^bidimirrored}', "");
Expect(0, 120771, '\P{bidimirrored}', "");
Expect(1, 120771, '\P{^bidimirrored}', "");
Expect(0, 120772, '\p{bidimirrored}', "");
Expect(1, 120772, '\p{^bidimirrored}', "");
Expect(1, 120772, '\P{bidimirrored}', "");
Expect(0, 120772, '\P{^bidimirrored}', "");
Expect(1, 120771, '\p{-bidi_MIRRORED}', "");
Expect(0, 120771, '\p{^-bidi_MIRRORED}', "");
Expect(0, 120771, '\P{-bidi_MIRRORED}', "");
Expect(1, 120771, '\P{^-bidi_MIRRORED}', "");
Expect(0, 120772, '\p{-bidi_MIRRORED}', "");
Expect(1, 120772, '\p{^-bidi_MIRRORED}', "");
Expect(1, 120772, '\P{-bidi_MIRRORED}', "");
Expect(0, 120772, '\P{^-bidi_MIRRORED}', "");
Error('\p{:= -Is_BIDI_Mirrored}');
Error('\P{:= -Is_BIDI_Mirrored}');
Expect(1, 120771, '\p{isbidimirrored}', "");
Expect(0, 120771, '\p{^isbidimirrored}', "");
Expect(0, 120771, '\P{isbidimirrored}', "");
Expect(1, 120771, '\P{^isbidimirrored}', "");
Expect(0, 120772, '\p{isbidimirrored}', "");
Expect(1, 120772, '\p{^isbidimirrored}', "");
Expect(1, 120772, '\P{isbidimirrored}', "");
Expect(0, 120772, '\P{^isbidimirrored}', "");
Expect(1, 120771, '\p{ -Is_bidi_Mirrored}', "");
Expect(0, 120771, '\p{^ -Is_bidi_Mirrored}', "");
Expect(0, 120771, '\P{ -Is_bidi_Mirrored}', "");
Expect(1, 120771, '\P{^ -Is_bidi_Mirrored}', "");
Expect(0, 120772, '\p{ -Is_bidi_Mirrored}', "");
Expect(1, 120772, '\p{^ -Is_bidi_Mirrored}', "");
Expect(1, 120772, '\P{ -Is_bidi_Mirrored}', "");
Expect(0, 120772, '\P{^ -Is_bidi_Mirrored}', "");
Error('\p{/a/_	BIDI_M}');
Error('\P{/a/_	BIDI_M}');
Expect(1, 120771, '\p{bidim}', "");
Expect(0, 120771, '\p{^bidim}', "");
Expect(0, 120771, '\P{bidim}', "");
Expect(1, 120771, '\P{^bidim}', "");
Expect(0, 120772, '\p{bidim}', "");
Expect(1, 120772, '\p{^bidim}', "");
Expect(1, 120772, '\P{bidim}', "");
Expect(0, 120772, '\P{^bidim}', "");
Expect(1, 120771, '\p{		Bidi_M}', "");
Expect(0, 120771, '\p{^		Bidi_M}', "");
Expect(0, 120771, '\P{		Bidi_M}', "");
Expect(1, 120771, '\P{^		Bidi_M}', "");
Expect(0, 120772, '\p{		Bidi_M}', "");
Expect(1, 120772, '\p{^		Bidi_M}', "");
Expect(1, 120772, '\P{		Bidi_M}', "");
Expect(0, 120772, '\P{^		Bidi_M}', "");
Error('\p{ -Is_Bidi_M/a/}');
Error('\P{ -Is_Bidi_M/a/}');
Expect(1, 120771, '\p{isbidim}', "");
Expect(0, 120771, '\p{^isbidim}', "");
Expect(0, 120771, '\P{isbidim}', "");
Expect(1, 120771, '\P{^isbidim}', "");
Expect(0, 120772, '\p{isbidim}', "");
Expect(1, 120772, '\p{^isbidim}', "");
Expect(1, 120772, '\P{isbidim}', "");
Expect(0, 120772, '\P{^isbidim}', "");
Expect(1, 120771, '\p{_ is_BIDI_M}', "");
Expect(0, 120771, '\p{^_ is_BIDI_M}', "");
Expect(0, 120771, '\P{_ is_BIDI_M}', "");
Expect(1, 120771, '\P{^_ is_BIDI_M}', "");
Expect(0, 120772, '\p{_ is_BIDI_M}', "");
Expect(1, 120772, '\p{^_ is_BIDI_M}', "");
Expect(1, 120772, '\P{_ is_BIDI_M}', "");
Expect(0, 120772, '\P{^_ is_BIDI_M}', "");
Error('\p{		XPosixBlank/a/}');
Error('\P{		XPosixBlank/a/}');
Expect(1, 12288, '\p{xposixblank}', "");
Expect(0, 12288, '\p{^xposixblank}', "");
Expect(0, 12288, '\P{xposixblank}', "");
Expect(1, 12288, '\P{^xposixblank}', "");
Expect(0, 12289, '\p{xposixblank}', "");
Expect(1, 12289, '\p{^xposixblank}', "");
Expect(1, 12289, '\P{xposixblank}', "");
Expect(0, 12289, '\P{^xposixblank}', "");
Expect(1, 12288, '\p{--xposixblank}', "");
Expect(0, 12288, '\p{^--xposixblank}', "");
Expect(0, 12288, '\P{--xposixblank}', "");
Expect(1, 12288, '\P{^--xposixblank}', "");
Expect(0, 12289, '\p{--xposixblank}', "");
Expect(1, 12289, '\p{^--xposixblank}', "");
Expect(1, 12289, '\P{--xposixblank}', "");
Expect(0, 12289, '\P{^--xposixblank}', "");
Error('\p{/a/ blank}');
Error('\P{/a/ blank}');
Expect(1, 12288, '\p{blank}', "");
Expect(0, 12288, '\p{^blank}', "");
Expect(0, 12288, '\P{blank}', "");
Expect(1, 12288, '\P{^blank}', "");
Expect(0, 12289, '\p{blank}', "");
Expect(1, 12289, '\p{^blank}', "");
Expect(1, 12289, '\P{blank}', "");
Expect(0, 12289, '\P{^blank}', "");
Expect(1, 12288, '\p{_ BLANK}', "");
Expect(0, 12288, '\p{^_ BLANK}', "");
Expect(0, 12288, '\P{_ BLANK}', "");
Expect(1, 12288, '\P{^_ BLANK}', "");
Expect(0, 12289, '\p{_ BLANK}', "");
Expect(1, 12289, '\p{^_ BLANK}', "");
Expect(1, 12289, '\P{_ BLANK}', "");
Expect(0, 12289, '\P{^_ BLANK}', "");
Error('\p{ /a/horizspace}');
Error('\P{ /a/horizspace}');
Expect(1, 12288, '\p{horizspace}', "");
Expect(0, 12288, '\p{^horizspace}', "");
Expect(0, 12288, '\P{horizspace}', "");
Expect(1, 12288, '\P{^horizspace}', "");
Expect(0, 12289, '\p{horizspace}', "");
Expect(1, 12289, '\p{^horizspace}', "");
Expect(1, 12289, '\P{horizspace}', "");
Expect(0, 12289, '\P{^horizspace}', "");
Expect(1, 12288, '\p{	 HorizSpace}', "");
Expect(0, 12288, '\p{^	 HorizSpace}', "");
Expect(0, 12288, '\P{	 HorizSpace}', "");
Expect(1, 12288, '\P{^	 HorizSpace}', "");
Expect(0, 12289, '\p{	 HorizSpace}', "");
Expect(1, 12289, '\p{^	 HorizSpace}', "");
Expect(1, 12289, '\P{	 HorizSpace}', "");
Expect(0, 12289, '\P{^	 HorizSpace}', "");
Error('\p{-Is_XPosixBlank/a/}');
Error('\P{-Is_XPosixBlank/a/}');
Expect(1, 12288, '\p{isxposixblank}', "");
Expect(0, 12288, '\p{^isxposixblank}', "");
Expect(0, 12288, '\P{isxposixblank}', "");
Expect(1, 12288, '\P{^isxposixblank}', "");
Expect(0, 12289, '\p{isxposixblank}', "");
Expect(1, 12289, '\p{^isxposixblank}', "");
Expect(1, 12289, '\P{isxposixblank}', "");
Expect(0, 12289, '\P{^isxposixblank}', "");
Expect(1, 12288, '\p{__Is_xposixblank}', "");
Expect(0, 12288, '\p{^__Is_xposixblank}', "");
Expect(0, 12288, '\P{__Is_xposixblank}', "");
Expect(1, 12288, '\P{^__Is_xposixblank}', "");
Expect(0, 12289, '\p{__Is_xposixblank}', "");
Expect(1, 12289, '\p{^__Is_xposixblank}', "");
Expect(1, 12289, '\P{__Is_xposixblank}', "");
Expect(0, 12289, '\P{^__Is_xposixblank}', "");
Error('\p{/a/_Is_blank}');
Error('\P{/a/_Is_blank}');
Expect(1, 12288, '\p{isblank}', "");
Expect(0, 12288, '\p{^isblank}', "");
Expect(0, 12288, '\P{isblank}', "");
Expect(1, 12288, '\P{^isblank}', "");
Expect(0, 12289, '\p{isblank}', "");
Expect(1, 12289, '\p{^isblank}', "");
Expect(1, 12289, '\P{isblank}', "");
Expect(0, 12289, '\P{^isblank}', "");
Expect(1, 12288, '\p{	-is_Blank}', "");
Expect(0, 12288, '\p{^	-is_Blank}', "");
Expect(0, 12288, '\P{	-is_Blank}', "");
Expect(1, 12288, '\P{^	-is_Blank}', "");
Expect(0, 12289, '\p{	-is_Blank}', "");
Expect(1, 12289, '\p{^	-is_Blank}', "");
Expect(1, 12289, '\P{	-is_Blank}', "");
Expect(0, 12289, '\P{^	-is_Blank}', "");
Error('\p{:=-	Is_HorizSpace}');
Error('\P{:=-	Is_HorizSpace}');
Expect(1, 12288, '\p{ishorizspace}', "");
Expect(0, 12288, '\p{^ishorizspace}', "");
Expect(0, 12288, '\P{ishorizspace}', "");
Expect(1, 12288, '\P{^ishorizspace}', "");
Expect(0, 12289, '\p{ishorizspace}', "");
Expect(1, 12289, '\p{^ishorizspace}', "");
Expect(1, 12289, '\P{ishorizspace}', "");
Expect(0, 12289, '\P{^ishorizspace}', "");
Expect(1, 12288, '\p{-_IS_horizspace}', "");
Expect(0, 12288, '\p{^-_IS_horizspace}', "");
Expect(0, 12288, '\P{-_IS_horizspace}', "");
Expect(1, 12288, '\P{^-_IS_horizspace}', "");
Expect(0, 12289, '\p{-_IS_horizspace}', "");
Expect(1, 12289, '\p{^-_IS_horizspace}', "");
Expect(1, 12289, '\P{-_IS_horizspace}', "");
Expect(0, 12289, '\P{^-_IS_horizspace}', "");
Error('\p{/a/_Block_Elements}');
Error('\P{/a/_Block_Elements}');
Expect(1, 9631, '\p{blockelements}', "");
Expect(0, 9631, '\p{^blockelements}', "");
Expect(0, 9631, '\P{blockelements}', "");
Expect(1, 9631, '\P{^blockelements}', "");
Expect(0, 9632, '\p{blockelements}', "");
Expect(1, 9632, '\p{^blockelements}', "");
Expect(1, 9632, '\P{blockelements}', "");
Expect(0, 9632, '\P{^blockelements}', "");
Expect(1, 9631, '\p{	-Block_Elements}', "");
Expect(0, 9631, '\p{^	-Block_Elements}', "");
Expect(0, 9631, '\P{	-Block_Elements}', "");
Expect(1, 9631, '\P{^	-Block_Elements}', "");
Expect(0, 9632, '\p{	-Block_Elements}', "");
Expect(1, 9632, '\p{^	-Block_Elements}', "");
Expect(1, 9632, '\P{	-Block_Elements}', "");
Expect(0, 9632, '\P{^	-Block_Elements}', "");
Error('\p{	-IS_Block_Elements/a/}');
Error('\P{	-IS_Block_Elements/a/}');
Expect(1, 9631, '\p{isblockelements}', "");
Expect(0, 9631, '\p{^isblockelements}', "");
Expect(0, 9631, '\P{isblockelements}', "");
Expect(1, 9631, '\P{^isblockelements}', "");
Expect(0, 9632, '\p{isblockelements}', "");
Expect(1, 9632, '\p{^isblockelements}', "");
Expect(1, 9632, '\P{isblockelements}', "");
Expect(0, 9632, '\P{^isblockelements}', "");
Expect(1, 9631, '\p{Is_Block_elements}', "");
Expect(0, 9631, '\p{^Is_Block_elements}', "");
Expect(0, 9631, '\P{Is_Block_elements}', "");
Expect(1, 9631, '\P{^Is_Block_elements}', "");
Expect(0, 9632, '\p{Is_Block_elements}', "");
Expect(1, 9632, '\p{^Is_Block_elements}', "");
Expect(1, 9632, '\P{Is_Block_elements}', "");
Expect(0, 9632, '\P{^Is_Block_elements}', "");
Error('\p{	_In_Block_Elements/a/}');
Error('\P{	_In_Block_Elements/a/}');
Expect(1, 9631, '\p{inblockelements}', "");
Expect(0, 9631, '\p{^inblockelements}', "");
Expect(0, 9631, '\P{inblockelements}', "");
Expect(1, 9631, '\P{^inblockelements}', "");
Expect(0, 9632, '\p{inblockelements}', "");
Expect(1, 9632, '\p{^inblockelements}', "");
Expect(1, 9632, '\P{inblockelements}', "");
Expect(0, 9632, '\P{^inblockelements}', "");
Expect(1, 9631, '\p{-in_Block_Elements}', "");
Expect(0, 9631, '\p{^-in_Block_Elements}', "");
Expect(0, 9631, '\P{-in_Block_Elements}', "");
Expect(1, 9631, '\P{^-in_Block_Elements}', "");
Expect(0, 9632, '\p{-in_Block_Elements}', "");
Expect(1, 9632, '\p{^-in_Block_Elements}', "");
Expect(1, 9632, '\P{-in_Block_Elements}', "");
Expect(0, 9632, '\P{^-in_Block_Elements}', "");
Error('\p{/a/	bopomofo}');
Error('\P{/a/	bopomofo}');
Expect(1, 12730, '\p{bopomofo}', "");
Expect(0, 12730, '\p{^bopomofo}', "");
Expect(0, 12730, '\P{bopomofo}', "");
Expect(1, 12730, '\P{^bopomofo}', "");
Expect(0, 12731, '\p{bopomofo}', "");
Expect(1, 12731, '\p{^bopomofo}', "");
Expect(1, 12731, '\P{bopomofo}', "");
Expect(0, 12731, '\P{^bopomofo}', "");
Expect(1, 12730, '\p{BOPOMOFO}', "");
Expect(0, 12730, '\p{^BOPOMOFO}', "");
Expect(0, 12730, '\P{BOPOMOFO}', "");
Expect(1, 12730, '\P{^BOPOMOFO}', "");
Expect(0, 12731, '\p{BOPOMOFO}', "");
Expect(1, 12731, '\p{^BOPOMOFO}', "");
Expect(1, 12731, '\P{BOPOMOFO}', "");
Expect(0, 12731, '\P{^BOPOMOFO}', "");
Error('\p{	_Is_bopomofo:=}');
Error('\P{	_Is_bopomofo:=}');
Expect(1, 12730, '\p{isbopomofo}', "");
Expect(0, 12730, '\p{^isbopomofo}', "");
Expect(0, 12730, '\P{isbopomofo}', "");
Expect(1, 12730, '\P{^isbopomofo}', "");
Expect(0, 12731, '\p{isbopomofo}', "");
Expect(1, 12731, '\p{^isbopomofo}', "");
Expect(1, 12731, '\P{isbopomofo}', "");
Expect(0, 12731, '\P{^isbopomofo}', "");
Expect(1, 12730, '\p{_Is_bopomofo}', "");
Expect(0, 12730, '\p{^_Is_bopomofo}', "");
Expect(0, 12730, '\P{_Is_bopomofo}', "");
Expect(1, 12730, '\P{^_Is_bopomofo}', "");
Expect(0, 12731, '\p{_Is_bopomofo}', "");
Expect(1, 12731, '\p{^_Is_bopomofo}', "");
Expect(1, 12731, '\P{_Is_bopomofo}', "");
Expect(0, 12731, '\P{^_Is_bopomofo}', "");
Error('\p{/a/		Bopo}');
Error('\P{/a/		Bopo}');
Expect(1, 12730, '\p{bopo}', "");
Expect(0, 12730, '\p{^bopo}', "");
Expect(0, 12730, '\P{bopo}', "");
Expect(1, 12730, '\P{^bopo}', "");
Expect(0, 12731, '\p{bopo}', "");
Expect(1, 12731, '\p{^bopo}', "");
Expect(1, 12731, '\P{bopo}', "");
Expect(0, 12731, '\P{^bopo}', "");
Expect(1, 12730, '\p{	 bopo}', "");
Expect(0, 12730, '\p{^	 bopo}', "");
Expect(0, 12730, '\P{	 bopo}', "");
Expect(1, 12730, '\P{^	 bopo}', "");
Expect(0, 12731, '\p{	 bopo}', "");
Expect(1, 12731, '\p{^	 bopo}', "");
Expect(1, 12731, '\P{	 bopo}', "");
Expect(0, 12731, '\P{^	 bopo}', "");
Error('\p{_	Is_Bopo/a/}');
Error('\P{_	Is_Bopo/a/}');
Expect(1, 12730, '\p{isbopo}', "");
Expect(0, 12730, '\p{^isbopo}', "");
Expect(0, 12730, '\P{isbopo}', "");
Expect(1, 12730, '\P{^isbopo}', "");
Expect(0, 12731, '\p{isbopo}', "");
Expect(1, 12731, '\p{^isbopo}', "");
Expect(1, 12731, '\P{isbopo}', "");
Expect(0, 12731, '\P{^isbopo}', "");
Expect(1, 12730, '\p{- is_BOPO}', "");
Expect(0, 12730, '\p{^- is_BOPO}', "");
Expect(0, 12730, '\P{- is_BOPO}', "");
Expect(1, 12730, '\P{^- is_BOPO}', "");
Expect(0, 12731, '\p{- is_BOPO}', "");
Expect(1, 12731, '\p{^- is_BOPO}', "");
Expect(1, 12731, '\P{- is_BOPO}', "");
Expect(0, 12731, '\P{^- is_BOPO}', "");
Error('\p{-/a/Bopomofo_Extended}');
Error('\P{-/a/Bopomofo_Extended}');
Expect(1, 12735, '\p{bopomofoextended}', "");
Expect(0, 12735, '\p{^bopomofoextended}', "");
Expect(0, 12735, '\P{bopomofoextended}', "");
Expect(1, 12735, '\P{^bopomofoextended}', "");
Expect(0, 12736, '\p{bopomofoextended}', "");
Expect(1, 12736, '\p{^bopomofoextended}', "");
Expect(1, 12736, '\P{bopomofoextended}', "");
Expect(0, 12736, '\P{^bopomofoextended}', "");
Expect(1, 12735, '\p{	-BOPOMOFO_Extended}', "");
Expect(0, 12735, '\p{^	-BOPOMOFO_Extended}', "");
Expect(0, 12735, '\P{	-BOPOMOFO_Extended}', "");
Expect(1, 12735, '\P{^	-BOPOMOFO_Extended}', "");
Expect(0, 12736, '\p{	-BOPOMOFO_Extended}', "");
Expect(1, 12736, '\p{^	-BOPOMOFO_Extended}', "");
Expect(1, 12736, '\P{	-BOPOMOFO_Extended}', "");
Expect(0, 12736, '\P{^	-BOPOMOFO_Extended}', "");
Error('\p{ /a/Is_Bopomofo_Extended}');
Error('\P{ /a/Is_Bopomofo_Extended}');
Expect(1, 12735, '\p{isbopomofoextended}', "");
Expect(0, 12735, '\p{^isbopomofoextended}', "");
Expect(0, 12735, '\P{isbopomofoextended}', "");
Expect(1, 12735, '\P{^isbopomofoextended}', "");
Expect(0, 12736, '\p{isbopomofoextended}', "");
Expect(1, 12736, '\p{^isbopomofoextended}', "");
Expect(1, 12736, '\P{isbopomofoextended}', "");
Expect(0, 12736, '\P{^isbopomofoextended}', "");
Expect(1, 12735, '\p{_-Is_BOPOMOFO_Extended}', "");
Expect(0, 12735, '\p{^_-Is_BOPOMOFO_Extended}', "");
Expect(0, 12735, '\P{_-Is_BOPOMOFO_Extended}', "");
Expect(1, 12735, '\P{^_-Is_BOPOMOFO_Extended}', "");
Expect(0, 12736, '\p{_-Is_BOPOMOFO_Extended}', "");
Expect(1, 12736, '\p{^_-Is_BOPOMOFO_Extended}', "");
Expect(1, 12736, '\P{_-Is_BOPOMOFO_Extended}', "");
Expect(0, 12736, '\P{^_-Is_BOPOMOFO_Extended}', "");
Error('\p{	:=in_Bopomofo_Extended}');
Error('\P{	:=in_Bopomofo_Extended}');
Expect(1, 12735, '\p{inbopomofoextended}', "");
Expect(0, 12735, '\p{^inbopomofoextended}', "");
Expect(0, 12735, '\P{inbopomofoextended}', "");
Expect(1, 12735, '\P{^inbopomofoextended}', "");
Expect(0, 12736, '\p{inbopomofoextended}', "");
Expect(1, 12736, '\p{^inbopomofoextended}', "");
Expect(1, 12736, '\P{inbopomofoextended}', "");
Expect(0, 12736, '\P{^inbopomofoextended}', "");
Expect(1, 12735, '\p{--IN_BOPOMOFO_EXTENDED}', "");
Expect(0, 12735, '\p{^--IN_BOPOMOFO_EXTENDED}', "");
Expect(0, 12735, '\P{--IN_BOPOMOFO_EXTENDED}', "");
Expect(1, 12735, '\P{^--IN_BOPOMOFO_EXTENDED}', "");
Expect(0, 12736, '\p{--IN_BOPOMOFO_EXTENDED}', "");
Expect(1, 12736, '\p{^--IN_BOPOMOFO_EXTENDED}', "");
Expect(1, 12736, '\P{--IN_BOPOMOFO_EXTENDED}', "");
Expect(0, 12736, '\P{^--IN_BOPOMOFO_EXTENDED}', "");
Error('\p{BOPOMOFO_EXT:=}');
Error('\P{BOPOMOFO_EXT:=}');
Expect(1, 12735, '\p{bopomofoext}', "");
Expect(0, 12735, '\p{^bopomofoext}', "");
Expect(0, 12735, '\P{bopomofoext}', "");
Expect(1, 12735, '\P{^bopomofoext}', "");
Expect(0, 12736, '\p{bopomofoext}', "");
Expect(1, 12736, '\p{^bopomofoext}', "");
Expect(1, 12736, '\P{bopomofoext}', "");
Expect(0, 12736, '\P{^bopomofoext}', "");
Expect(1, 12735, '\p{__Bopomofo_EXT}', "");
Expect(0, 12735, '\p{^__Bopomofo_EXT}', "");
Expect(0, 12735, '\P{__Bopomofo_EXT}', "");
Expect(1, 12735, '\P{^__Bopomofo_EXT}', "");
Expect(0, 12736, '\p{__Bopomofo_EXT}', "");
Expect(1, 12736, '\p{^__Bopomofo_EXT}', "");
Expect(1, 12736, '\P{__Bopomofo_EXT}', "");
Expect(0, 12736, '\P{^__Bopomofo_EXT}', "");
Error('\p{:=  IS_bopomofo_Ext}');
Error('\P{:=  IS_bopomofo_Ext}');
Expect(1, 12735, '\p{isbopomofoext}', "");
Expect(0, 12735, '\p{^isbopomofoext}', "");
Expect(0, 12735, '\P{isbopomofoext}', "");
Expect(1, 12735, '\P{^isbopomofoext}', "");
Expect(0, 12736, '\p{isbopomofoext}', "");
Expect(1, 12736, '\p{^isbopomofoext}', "");
Expect(1, 12736, '\P{isbopomofoext}', "");
Expect(0, 12736, '\P{^isbopomofoext}', "");
Expect(1, 12735, '\p{_-IS_Bopomofo_Ext}', "");
Expect(0, 12735, '\p{^_-IS_Bopomofo_Ext}', "");
Expect(0, 12735, '\P{_-IS_Bopomofo_Ext}', "");
Expect(1, 12735, '\P{^_-IS_Bopomofo_Ext}', "");
Expect(0, 12736, '\p{_-IS_Bopomofo_Ext}', "");
Expect(1, 12736, '\p{^_-IS_Bopomofo_Ext}', "");
Expect(1, 12736, '\P{_-IS_Bopomofo_Ext}', "");
Expect(0, 12736, '\P{^_-IS_Bopomofo_Ext}', "");
Error('\p{/a/ -IN_Bopomofo_ext}');
Error('\P{/a/ -IN_Bopomofo_ext}');
Expect(1, 12735, '\p{inbopomofoext}', "");
Expect(0, 12735, '\p{^inbopomofoext}', "");
Expect(0, 12735, '\P{inbopomofoext}', "");
Expect(1, 12735, '\P{^inbopomofoext}', "");
Expect(0, 12736, '\p{inbopomofoext}', "");
Expect(1, 12736, '\p{^inbopomofoext}', "");
Expect(1, 12736, '\P{inbopomofoext}', "");
Expect(0, 12736, '\P{^inbopomofoext}', "");
Expect(1, 12735, '\p{ 	in_BOPOMOFO_Ext}', "");
Expect(0, 12735, '\p{^ 	in_BOPOMOFO_Ext}', "");
Expect(0, 12735, '\P{ 	in_BOPOMOFO_Ext}', "");
Expect(1, 12735, '\P{^ 	in_BOPOMOFO_Ext}', "");
Expect(0, 12736, '\p{ 	in_BOPOMOFO_Ext}', "");
Expect(1, 12736, '\p{^ 	in_BOPOMOFO_Ext}', "");
Expect(1, 12736, '\P{ 	in_BOPOMOFO_Ext}', "");
Expect(0, 12736, '\P{^ 	in_BOPOMOFO_Ext}', "");
Error('\p{:=	_Box_Drawing}');
Error('\P{:=	_Box_Drawing}');
Expect(1, 9599, '\p{boxdrawing}', "");
Expect(0, 9599, '\p{^boxdrawing}', "");
Expect(0, 9599, '\P{boxdrawing}', "");
Expect(1, 9599, '\P{^boxdrawing}', "");
Expect(0, 9600, '\p{boxdrawing}', "");
Expect(1, 9600, '\p{^boxdrawing}', "");
Expect(1, 9600, '\P{boxdrawing}', "");
Expect(0, 9600, '\P{^boxdrawing}', "");
Expect(1, 9599, '\p{ 	BOX_DRAWING}', "");
Expect(0, 9599, '\p{^ 	BOX_DRAWING}', "");
Expect(0, 9599, '\P{ 	BOX_DRAWING}', "");
Expect(1, 9599, '\P{^ 	BOX_DRAWING}', "");
Expect(0, 9600, '\p{ 	BOX_DRAWING}', "");
Expect(1, 9600, '\p{^ 	BOX_DRAWING}', "");
Expect(1, 9600, '\P{ 	BOX_DRAWING}', "");
Expect(0, 9600, '\P{^ 	BOX_DRAWING}', "");
Error('\p{	:=IS_Box_DRAWING}');
Error('\P{	:=IS_Box_DRAWING}');
Expect(1, 9599, '\p{isboxdrawing}', "");
Expect(0, 9599, '\p{^isboxdrawing}', "");
Expect(0, 9599, '\P{isboxdrawing}', "");
Expect(1, 9599, '\P{^isboxdrawing}', "");
Expect(0, 9600, '\p{isboxdrawing}', "");
Expect(1, 9600, '\p{^isboxdrawing}', "");
Expect(1, 9600, '\P{isboxdrawing}', "");
Expect(0, 9600, '\P{^isboxdrawing}', "");
Expect(1, 9599, '\p{	_Is_box_drawing}', "");
Expect(0, 9599, '\p{^	_Is_box_drawing}', "");
Expect(0, 9599, '\P{	_Is_box_drawing}', "");
Expect(1, 9599, '\P{^	_Is_box_drawing}', "");
Expect(0, 9600, '\p{	_Is_box_drawing}', "");
Expect(1, 9600, '\p{^	_Is_box_drawing}', "");
Expect(1, 9600, '\P{	_Is_box_drawing}', "");
Expect(0, 9600, '\P{^	_Is_box_drawing}', "");
Error('\p{-_In_Box_Drawing/a/}');
Error('\P{-_In_Box_Drawing/a/}');
Expect(1, 9599, '\p{inboxdrawing}', "");
Expect(0, 9599, '\p{^inboxdrawing}', "");
Expect(0, 9599, '\P{inboxdrawing}', "");
Expect(1, 9599, '\P{^inboxdrawing}', "");
Expect(0, 9600, '\p{inboxdrawing}', "");
Expect(1, 9600, '\p{^inboxdrawing}', "");
Expect(1, 9600, '\P{inboxdrawing}', "");
Expect(0, 9600, '\P{^inboxdrawing}', "");
Expect(1, 9599, '\p{_In_Box_DRAWING}', "");
Expect(0, 9599, '\p{^_In_Box_DRAWING}', "");
Expect(0, 9599, '\P{_In_Box_DRAWING}', "");
Expect(1, 9599, '\P{^_In_Box_DRAWING}', "");
Expect(0, 9600, '\p{_In_Box_DRAWING}', "");
Expect(1, 9600, '\p{^_In_Box_DRAWING}', "");
Expect(1, 9600, '\P{_In_Box_DRAWING}', "");
Expect(0, 9600, '\P{^_In_Box_DRAWING}', "");
Error('\p{--Brahmi:=}');
Error('\P{--Brahmi:=}');
Expect(1, 69759, '\p{brahmi}', "");
Expect(0, 69759, '\p{^brahmi}', "");
Expect(0, 69759, '\P{brahmi}', "");
Expect(1, 69759, '\P{^brahmi}', "");
Expect(0, 69760, '\p{brahmi}', "");
Expect(1, 69760, '\p{^brahmi}', "");
Expect(1, 69760, '\P{brahmi}', "");
Expect(0, 69760, '\P{^brahmi}', "");
Expect(1, 69759, '\p{Brahmi}', "");
Expect(0, 69759, '\p{^Brahmi}', "");
Expect(0, 69759, '\P{Brahmi}', "");
Expect(1, 69759, '\P{^Brahmi}', "");
Expect(0, 69760, '\p{Brahmi}', "");
Expect(1, 69760, '\p{^Brahmi}', "");
Expect(1, 69760, '\P{Brahmi}', "");
Expect(0, 69760, '\P{^Brahmi}', "");
Error('\p{-Is_BRAHMI:=}');
Error('\P{-Is_BRAHMI:=}');
Expect(1, 69759, '\p{isbrahmi}', "");
Expect(0, 69759, '\p{^isbrahmi}', "");
Expect(0, 69759, '\P{isbrahmi}', "");
Expect(1, 69759, '\P{^isbrahmi}', "");
Expect(0, 69760, '\p{isbrahmi}', "");
Expect(1, 69760, '\p{^isbrahmi}', "");
Expect(1, 69760, '\P{isbrahmi}', "");
Expect(0, 69760, '\P{^isbrahmi}', "");
Expect(1, 69759, '\p{Is_Brahmi}', "");
Expect(0, 69759, '\p{^Is_Brahmi}', "");
Expect(0, 69759, '\P{Is_Brahmi}', "");
Expect(1, 69759, '\P{^Is_Brahmi}', "");
Expect(0, 69760, '\p{Is_Brahmi}', "");
Expect(1, 69760, '\p{^Is_Brahmi}', "");
Expect(1, 69760, '\P{Is_Brahmi}', "");
Expect(0, 69760, '\P{^Is_Brahmi}', "");
Error('\p{/a/brah}');
Error('\P{/a/brah}');
Expect(1, 69759, '\p{brah}', "");
Expect(0, 69759, '\p{^brah}', "");
Expect(0, 69759, '\P{brah}', "");
Expect(1, 69759, '\P{^brah}', "");
Expect(0, 69760, '\p{brah}', "");
Expect(1, 69760, '\p{^brah}', "");
Expect(1, 69760, '\P{brah}', "");
Expect(0, 69760, '\P{^brah}', "");
Expect(1, 69759, '\p{ brah}', "");
Expect(0, 69759, '\p{^ brah}', "");
Expect(0, 69759, '\P{ brah}', "");
Expect(1, 69759, '\P{^ brah}', "");
Expect(0, 69760, '\p{ brah}', "");
Expect(1, 69760, '\p{^ brah}', "");
Expect(1, 69760, '\P{ brah}', "");
Expect(0, 69760, '\P{^ brah}', "");
Error('\p{/a/ is_brah}');
Error('\P{/a/ is_brah}');
Expect(1, 69759, '\p{isbrah}', "");
Expect(0, 69759, '\p{^isbrah}', "");
Expect(0, 69759, '\P{isbrah}', "");
Expect(1, 69759, '\P{^isbrah}', "");
Expect(0, 69760, '\p{isbrah}', "");
Expect(1, 69760, '\p{^isbrah}', "");
Expect(1, 69760, '\P{isbrah}', "");
Expect(0, 69760, '\P{^isbrah}', "");
Expect(1, 69759, '\p{_ Is_brah}', "");
Expect(0, 69759, '\p{^_ Is_brah}', "");
Expect(0, 69759, '\P{_ Is_brah}', "");
Expect(1, 69759, '\P{^_ Is_brah}', "");
Expect(0, 69760, '\p{_ Is_brah}', "");
Expect(1, 69760, '\p{^_ Is_brah}', "");
Expect(1, 69760, '\P{_ Is_brah}', "");
Expect(0, 69760, '\P{^_ Is_brah}', "");
Error('\p{/a/	-Braille}');
Error('\P{/a/	-Braille}');
Expect(1, 10495, '\p{braille}', "");
Expect(0, 10495, '\p{^braille}', "");
Expect(0, 10495, '\P{braille}', "");
Expect(1, 10495, '\P{^braille}', "");
Expect(0, 10496, '\p{braille}', "");
Expect(1, 10496, '\p{^braille}', "");
Expect(1, 10496, '\P{braille}', "");
Expect(0, 10496, '\P{^braille}', "");
Expect(1, 10495, '\p{__Braille}', "");
Expect(0, 10495, '\p{^__Braille}', "");
Expect(0, 10495, '\P{__Braille}', "");
Expect(1, 10495, '\P{^__Braille}', "");
Expect(0, 10496, '\p{__Braille}', "");
Expect(1, 10496, '\p{^__Braille}', "");
Expect(1, 10496, '\P{__Braille}', "");
Expect(0, 10496, '\P{^__Braille}', "");
Error('\p{-Is_Braille:=}');
Error('\P{-Is_Braille:=}');
Expect(1, 10495, '\p{isbraille}', "");
Expect(0, 10495, '\p{^isbraille}', "");
Expect(0, 10495, '\P{isbraille}', "");
Expect(1, 10495, '\P{^isbraille}', "");
Expect(0, 10496, '\p{isbraille}', "");
Expect(1, 10496, '\p{^isbraille}', "");
Expect(1, 10496, '\P{isbraille}', "");
Expect(0, 10496, '\P{^isbraille}', "");
Expect(1, 10495, '\p{ 	is_braille}', "");
Expect(0, 10495, '\p{^ 	is_braille}', "");
Expect(0, 10495, '\P{ 	is_braille}', "");
Expect(1, 10495, '\P{^ 	is_braille}', "");
Expect(0, 10496, '\p{ 	is_braille}', "");
Expect(1, 10496, '\p{^ 	is_braille}', "");
Expect(1, 10496, '\P{ 	is_braille}', "");
Expect(0, 10496, '\P{^ 	is_braille}', "");
Error('\p{	Brai:=}');
Error('\P{	Brai:=}');
Expect(1, 10495, '\p{brai}', "");
Expect(0, 10495, '\p{^brai}', "");
Expect(0, 10495, '\P{brai}', "");
Expect(1, 10495, '\P{^brai}', "");
Expect(0, 10496, '\p{brai}', "");
Expect(1, 10496, '\p{^brai}', "");
Expect(1, 10496, '\P{brai}', "");
Expect(0, 10496, '\P{^brai}', "");
Expect(1, 10495, '\p{	BRAI}', "");
Expect(0, 10495, '\p{^	BRAI}', "");
Expect(0, 10495, '\P{	BRAI}', "");
Expect(1, 10495, '\P{^	BRAI}', "");
Expect(0, 10496, '\p{	BRAI}', "");
Expect(1, 10496, '\p{^	BRAI}', "");
Expect(1, 10496, '\P{	BRAI}', "");
Expect(0, 10496, '\P{^	BRAI}', "");
Error('\p{:=-_Is_Brai}');
Error('\P{:=-_Is_Brai}');
Expect(1, 10495, '\p{isbrai}', "");
Expect(0, 10495, '\p{^isbrai}', "");
Expect(0, 10495, '\P{isbrai}', "");
Expect(1, 10495, '\P{^isbrai}', "");
Expect(0, 10496, '\p{isbrai}', "");
Expect(1, 10496, '\p{^isbrai}', "");
Expect(1, 10496, '\P{isbrai}', "");
Expect(0, 10496, '\P{^isbrai}', "");
Expect(1, 10495, '\p{-_IS_Brai}', "");
Expect(0, 10495, '\p{^-_IS_Brai}', "");
Expect(0, 10495, '\P{-_IS_Brai}', "");
Expect(1, 10495, '\P{^-_IS_Brai}', "");
Expect(0, 10496, '\p{-_IS_Brai}', "");
Expect(1, 10496, '\p{^-_IS_Brai}', "");
Expect(1, 10496, '\P{-_IS_Brai}', "");
Expect(0, 10496, '\P{^-_IS_Brai}', "");
Error('\p{_-Braille_PATTERNS:=}');
Error('\P{_-Braille_PATTERNS:=}');
Expect(1, 10495, '\p{braillepatterns}', "");
Expect(0, 10495, '\p{^braillepatterns}', "");
Expect(0, 10495, '\P{braillepatterns}', "");
Expect(1, 10495, '\P{^braillepatterns}', "");
Expect(0, 10496, '\p{braillepatterns}', "");
Expect(1, 10496, '\p{^braillepatterns}', "");
Expect(1, 10496, '\P{braillepatterns}', "");
Expect(0, 10496, '\P{^braillepatterns}', "");
Expect(1, 10495, '\p{_Braille_patterns}', "");
Expect(0, 10495, '\p{^_Braille_patterns}', "");
Expect(0, 10495, '\P{_Braille_patterns}', "");
Expect(1, 10495, '\P{^_Braille_patterns}', "");
Expect(0, 10496, '\p{_Braille_patterns}', "");
Expect(1, 10496, '\p{^_Braille_patterns}', "");
Expect(1, 10496, '\P{_Braille_patterns}', "");
Expect(0, 10496, '\P{^_Braille_patterns}', "");
Error('\p{:=Is_Braille_patterns}');
Error('\P{:=Is_Braille_patterns}');
Expect(1, 10495, '\p{isbraillepatterns}', "");
Expect(0, 10495, '\p{^isbraillepatterns}', "");
Expect(0, 10495, '\P{isbraillepatterns}', "");
Expect(1, 10495, '\P{^isbraillepatterns}', "");
Expect(0, 10496, '\p{isbraillepatterns}', "");
Expect(1, 10496, '\p{^isbraillepatterns}', "");
Expect(1, 10496, '\P{isbraillepatterns}', "");
Expect(0, 10496, '\P{^isbraillepatterns}', "");
Expect(1, 10495, '\p{__Is_Braille_Patterns}', "");
Expect(0, 10495, '\p{^__Is_Braille_Patterns}', "");
Expect(0, 10495, '\P{__Is_Braille_Patterns}', "");
Expect(1, 10495, '\P{^__Is_Braille_Patterns}', "");
Expect(0, 10496, '\p{__Is_Braille_Patterns}', "");
Expect(1, 10496, '\p{^__Is_Braille_Patterns}', "");
Expect(1, 10496, '\P{__Is_Braille_Patterns}', "");
Expect(0, 10496, '\P{^__Is_Braille_Patterns}', "");
Error('\p{/a/In_Braille_Patterns}');
Error('\P{/a/In_Braille_Patterns}');
Expect(1, 10495, '\p{inbraillepatterns}', "");
Expect(0, 10495, '\p{^inbraillepatterns}', "");
Expect(0, 10495, '\P{inbraillepatterns}', "");
Expect(1, 10495, '\P{^inbraillepatterns}', "");
Expect(0, 10496, '\p{inbraillepatterns}', "");
Expect(1, 10496, '\p{^inbraillepatterns}', "");
Expect(1, 10496, '\P{inbraillepatterns}', "");
Expect(0, 10496, '\P{^inbraillepatterns}', "");
Expect(1, 10495, '\p{_	in_BRAILLE_Patterns}', "");
Expect(0, 10495, '\p{^_	in_BRAILLE_Patterns}', "");
Expect(0, 10495, '\P{_	in_BRAILLE_Patterns}', "");
Expect(1, 10495, '\P{^_	in_BRAILLE_Patterns}', "");
Expect(0, 10496, '\p{_	in_BRAILLE_Patterns}', "");
Expect(1, 10496, '\p{^_	in_BRAILLE_Patterns}', "");
Expect(1, 10496, '\P{_	in_BRAILLE_Patterns}', "");
Expect(0, 10496, '\P{^_	in_BRAILLE_Patterns}', "");
Error('\p{_	In_BRAILLE:=}');
Error('\P{_	In_BRAILLE:=}');
Expect(1, 10495, '\p{inbraille}', "");
Expect(0, 10495, '\p{^inbraille}', "");
Expect(0, 10495, '\P{inbraille}', "");
Expect(1, 10495, '\P{^inbraille}', "");
Expect(0, 10496, '\p{inbraille}', "");
Expect(1, 10496, '\p{^inbraille}', "");
Expect(1, 10496, '\P{inbraille}', "");
Expect(0, 10496, '\P{^inbraille}', "");
Expect(1, 10495, '\p{		In_Braille}', "");
Expect(0, 10495, '\p{^		In_Braille}', "");
Expect(0, 10495, '\P{		In_Braille}', "");
Expect(1, 10495, '\P{^		In_Braille}', "");
Expect(0, 10496, '\p{		In_Braille}', "");
Expect(1, 10496, '\p{^		In_Braille}', "");
Expect(1, 10496, '\P{		In_Braille}', "");
Expect(0, 10496, '\P{^		In_Braille}', "");
Error('\p{/a/Buginese}');
Error('\P{/a/Buginese}');
Expect(1, 6687, '\p{buginese}', "");
Expect(0, 6687, '\p{^buginese}', "");
Expect(0, 6687, '\P{buginese}', "");
Expect(1, 6687, '\P{^buginese}', "");
Expect(0, 6688, '\p{buginese}', "");
Expect(1, 6688, '\p{^buginese}', "");
Expect(1, 6688, '\P{buginese}', "");
Expect(0, 6688, '\P{^buginese}', "");
Expect(1, 6687, '\p{_ Buginese}', "");
Expect(0, 6687, '\p{^_ Buginese}', "");
Expect(0, 6687, '\P{_ Buginese}', "");
Expect(1, 6687, '\P{^_ Buginese}', "");
Expect(0, 6688, '\p{_ Buginese}', "");
Expect(1, 6688, '\p{^_ Buginese}', "");
Expect(1, 6688, '\P{_ Buginese}', "");
Expect(0, 6688, '\P{^_ Buginese}', "");
Error('\p{-	IS_buginese:=}');
Error('\P{-	IS_buginese:=}');
Expect(1, 6687, '\p{isbuginese}', "");
Expect(0, 6687, '\p{^isbuginese}', "");
Expect(0, 6687, '\P{isbuginese}', "");
Expect(1, 6687, '\P{^isbuginese}', "");
Expect(0, 6688, '\p{isbuginese}', "");
Expect(1, 6688, '\p{^isbuginese}', "");
Expect(1, 6688, '\P{isbuginese}', "");
Expect(0, 6688, '\P{^isbuginese}', "");
Expect(1, 6687, '\p{_	is_BUGINESE}', "");
Expect(0, 6687, '\p{^_	is_BUGINESE}', "");
Expect(0, 6687, '\P{_	is_BUGINESE}', "");
Expect(1, 6687, '\P{^_	is_BUGINESE}', "");
Expect(0, 6688, '\p{_	is_BUGINESE}', "");
Expect(1, 6688, '\p{^_	is_BUGINESE}', "");
Expect(1, 6688, '\P{_	is_BUGINESE}', "");
Expect(0, 6688, '\P{^_	is_BUGINESE}', "");
Error('\p{	:=Bugi}');
Error('\P{	:=Bugi}');
Expect(1, 6687, '\p{bugi}', "");
Expect(0, 6687, '\p{^bugi}', "");
Expect(0, 6687, '\P{bugi}', "");
Expect(1, 6687, '\P{^bugi}', "");
Expect(0, 6688, '\p{bugi}', "");
Expect(1, 6688, '\p{^bugi}', "");
Expect(1, 6688, '\P{bugi}', "");
Expect(0, 6688, '\P{^bugi}', "");
Expect(1, 6687, '\p{ BUGI}', "");
Expect(0, 6687, '\p{^ BUGI}', "");
Expect(0, 6687, '\P{ BUGI}', "");
Expect(1, 6687, '\P{^ BUGI}', "");
Expect(0, 6688, '\p{ BUGI}', "");
Expect(1, 6688, '\p{^ BUGI}', "");
Expect(1, 6688, '\P{ BUGI}', "");
Expect(0, 6688, '\P{^ BUGI}', "");
Error('\p{/a/	IS_bugi}');
Error('\P{/a/	IS_bugi}');
Expect(1, 6687, '\p{isbugi}', "");
Expect(0, 6687, '\p{^isbugi}', "");
Expect(0, 6687, '\P{isbugi}', "");
Expect(1, 6687, '\P{^isbugi}', "");
Expect(0, 6688, '\p{isbugi}', "");
Expect(1, 6688, '\p{^isbugi}', "");
Expect(1, 6688, '\P{isbugi}', "");
Expect(0, 6688, '\P{^isbugi}', "");
Expect(1, 6687, '\p{-Is_Bugi}', "");
Expect(0, 6687, '\p{^-Is_Bugi}', "");
Expect(0, 6687, '\P{-Is_Bugi}', "");
Expect(1, 6687, '\P{^-Is_Bugi}', "");
Expect(0, 6688, '\p{-Is_Bugi}', "");
Expect(1, 6688, '\p{^-Is_Bugi}', "");
Expect(1, 6688, '\P{-Is_Bugi}', "");
Expect(0, 6688, '\P{^-Is_Bugi}', "");
Error('\p{-_BUHID/a/}');
Error('\P{-_BUHID/a/}');
Expect(1, 5971, '\p{buhid}', "");
Expect(0, 5971, '\p{^buhid}', "");
Expect(0, 5971, '\P{buhid}', "");
Expect(1, 5971, '\P{^buhid}', "");
Expect(0, 5972, '\p{buhid}', "");
Expect(1, 5972, '\p{^buhid}', "");
Expect(1, 5972, '\P{buhid}', "");
Expect(0, 5972, '\P{^buhid}', "");
Expect(1, 5971, '\p{ -BUHID}', "");
Expect(0, 5971, '\p{^ -BUHID}', "");
Expect(0, 5971, '\P{ -BUHID}', "");
Expect(1, 5971, '\P{^ -BUHID}', "");
Expect(0, 5972, '\p{ -BUHID}', "");
Expect(1, 5972, '\p{^ -BUHID}', "");
Expect(1, 5972, '\P{ -BUHID}', "");
Expect(0, 5972, '\P{^ -BUHID}', "");
Error('\p{-:=Is_Buhid}');
Error('\P{-:=Is_Buhid}');
Expect(1, 5971, '\p{isbuhid}', "");
Expect(0, 5971, '\p{^isbuhid}', "");
Expect(0, 5971, '\P{isbuhid}', "");
Expect(1, 5971, '\P{^isbuhid}', "");
Expect(0, 5972, '\p{isbuhid}', "");
Expect(1, 5972, '\p{^isbuhid}', "");
Expect(1, 5972, '\P{isbuhid}', "");
Expect(0, 5972, '\P{^isbuhid}', "");
Expect(1, 5971, '\p{- Is_buhid}', "");
Expect(0, 5971, '\p{^- Is_buhid}', "");
Expect(0, 5971, '\P{- Is_buhid}', "");
Expect(1, 5971, '\P{^- Is_buhid}', "");
Expect(0, 5972, '\p{- Is_buhid}', "");
Expect(1, 5972, '\p{^- Is_buhid}', "");
Expect(1, 5972, '\P{- Is_buhid}', "");
Expect(0, 5972, '\P{^- Is_buhid}', "");
Error('\p{	:=Buhd}');
Error('\P{	:=Buhd}');
Expect(1, 5971, '\p{buhd}', "");
Expect(0, 5971, '\p{^buhd}', "");
Expect(0, 5971, '\P{buhd}', "");
Expect(1, 5971, '\P{^buhd}', "");
Expect(0, 5972, '\p{buhd}', "");
Expect(1, 5972, '\p{^buhd}', "");
Expect(1, 5972, '\P{buhd}', "");
Expect(0, 5972, '\P{^buhd}', "");
Expect(1, 5971, '\p{__Buhd}', "");
Expect(0, 5971, '\p{^__Buhd}', "");
Expect(0, 5971, '\P{__Buhd}', "");
Expect(1, 5971, '\P{^__Buhd}', "");
Expect(0, 5972, '\p{__Buhd}', "");
Expect(1, 5972, '\p{^__Buhd}', "");
Expect(1, 5972, '\P{__Buhd}', "");
Expect(0, 5972, '\P{^__Buhd}', "");
Error('\p{/a/	IS_Buhd}');
Error('\P{/a/	IS_Buhd}');
Expect(1, 5971, '\p{isbuhd}', "");
Expect(0, 5971, '\p{^isbuhd}', "");
Expect(0, 5971, '\P{isbuhd}', "");
Expect(1, 5971, '\P{^isbuhd}', "");
Expect(0, 5972, '\p{isbuhd}', "");
Expect(1, 5972, '\p{^isbuhd}', "");
Expect(1, 5972, '\P{isbuhd}', "");
Expect(0, 5972, '\P{^isbuhd}', "");
Expect(1, 5971, '\p{-_IS_buhd}', "");
Expect(0, 5971, '\p{^-_IS_buhd}', "");
Expect(0, 5971, '\P{-_IS_buhd}', "");
Expect(1, 5971, '\P{^-_IS_buhd}', "");
Expect(0, 5972, '\p{-_IS_buhd}', "");
Expect(1, 5972, '\p{^-_IS_buhd}', "");
Expect(1, 5972, '\P{-_IS_buhd}', "");
Expect(0, 5972, '\P{^-_IS_buhd}', "");
Error('\p{:= 	Byzantine_Musical_symbols}');
Error('\P{:= 	Byzantine_Musical_symbols}');
Expect(1, 119039, '\p{byzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^byzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{byzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^byzantinemusicalsymbols}', "");
Expect(0, 119040, '\p{byzantinemusicalsymbols}', "");
Expect(1, 119040, '\p{^byzantinemusicalsymbols}', "");
Expect(1, 119040, '\P{byzantinemusicalsymbols}', "");
Expect(0, 119040, '\P{^byzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{_	Byzantine_MUSICAL_Symbols}', "");
Expect(0, 119039, '\p{^_	Byzantine_MUSICAL_Symbols}', "");
Expect(0, 119039, '\P{_	Byzantine_MUSICAL_Symbols}', "");
Expect(1, 119039, '\P{^_	Byzantine_MUSICAL_Symbols}', "");
Expect(0, 119040, '\p{_	Byzantine_MUSICAL_Symbols}', "");
Expect(1, 119040, '\p{^_	Byzantine_MUSICAL_Symbols}', "");
Expect(1, 119040, '\P{_	Byzantine_MUSICAL_Symbols}', "");
Expect(0, 119040, '\P{^_	Byzantine_MUSICAL_Symbols}', "");
Error('\p{/a/ IS_byzantine_Musical_symbols}');
Error('\P{/a/ IS_byzantine_Musical_symbols}');
Expect(1, 119039, '\p{isbyzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^isbyzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{isbyzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^isbyzantinemusicalsymbols}', "");
Expect(0, 119040, '\p{isbyzantinemusicalsymbols}', "");
Expect(1, 119040, '\p{^isbyzantinemusicalsymbols}', "");
Expect(1, 119040, '\P{isbyzantinemusicalsymbols}', "");
Expect(0, 119040, '\P{^isbyzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{		Is_BYZANTINE_Musical_Symbols}', "");
Expect(0, 119039, '\p{^		Is_BYZANTINE_Musical_Symbols}', "");
Expect(0, 119039, '\P{		Is_BYZANTINE_Musical_Symbols}', "");
Expect(1, 119039, '\P{^		Is_BYZANTINE_Musical_Symbols}', "");
Expect(0, 119040, '\p{		Is_BYZANTINE_Musical_Symbols}', "");
Expect(1, 119040, '\p{^		Is_BYZANTINE_Musical_Symbols}', "");
Expect(1, 119040, '\P{		Is_BYZANTINE_Musical_Symbols}', "");
Expect(0, 119040, '\P{^		Is_BYZANTINE_Musical_Symbols}', "");
Error('\p{ 	In_byzantine_MUSICAL_symbols/a/}');
Error('\P{ 	In_byzantine_MUSICAL_symbols/a/}');
Expect(1, 119039, '\p{inbyzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^inbyzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{inbyzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^inbyzantinemusicalsymbols}', "");
Expect(0, 119040, '\p{inbyzantinemusicalsymbols}', "");
Expect(1, 119040, '\p{^inbyzantinemusicalsymbols}', "");
Expect(1, 119040, '\P{inbyzantinemusicalsymbols}', "");
Expect(0, 119040, '\P{^inbyzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{ 	IN_Byzantine_Musical_symbols}', "");
Expect(0, 119039, '\p{^ 	IN_Byzantine_Musical_symbols}', "");
Expect(0, 119039, '\P{ 	IN_Byzantine_Musical_symbols}', "");
Expect(1, 119039, '\P{^ 	IN_Byzantine_Musical_symbols}', "");
Expect(0, 119040, '\p{ 	IN_Byzantine_Musical_symbols}', "");
Expect(1, 119040, '\p{^ 	IN_Byzantine_Musical_symbols}', "");
Expect(1, 119040, '\P{ 	IN_Byzantine_Musical_symbols}', "");
Expect(0, 119040, '\P{^ 	IN_Byzantine_Musical_symbols}', "");
Error('\p{	:=Byzantine_music}');
Error('\P{	:=Byzantine_music}');
Expect(1, 119039, '\p{byzantinemusic}', "");
Expect(0, 119039, '\p{^byzantinemusic}', "");
Expect(0, 119039, '\P{byzantinemusic}', "");
Expect(1, 119039, '\P{^byzantinemusic}', "");
Expect(0, 119040, '\p{byzantinemusic}', "");
Expect(1, 119040, '\p{^byzantinemusic}', "");
Expect(1, 119040, '\P{byzantinemusic}', "");
Expect(0, 119040, '\P{^byzantinemusic}', "");
Expect(1, 119039, '\p{Byzantine_MUSIC}', "");
Expect(0, 119039, '\p{^Byzantine_MUSIC}', "");
Expect(0, 119039, '\P{Byzantine_MUSIC}', "");
Expect(1, 119039, '\P{^Byzantine_MUSIC}', "");
Expect(0, 119040, '\p{Byzantine_MUSIC}', "");
Expect(1, 119040, '\p{^Byzantine_MUSIC}', "");
Expect(1, 119040, '\P{Byzantine_MUSIC}', "");
Expect(0, 119040, '\P{^Byzantine_MUSIC}', "");
Error('\p{/a/--Is_byzantine_music}');
Error('\P{/a/--Is_byzantine_music}');
Expect(1, 119039, '\p{isbyzantinemusic}', "");
Expect(0, 119039, '\p{^isbyzantinemusic}', "");
Expect(0, 119039, '\P{isbyzantinemusic}', "");
Expect(1, 119039, '\P{^isbyzantinemusic}', "");
Expect(0, 119040, '\p{isbyzantinemusic}', "");
Expect(1, 119040, '\p{^isbyzantinemusic}', "");
Expect(1, 119040, '\P{isbyzantinemusic}', "");
Expect(0, 119040, '\P{^isbyzantinemusic}', "");
Expect(1, 119039, '\p{ Is_Byzantine_MUSIC}', "");
Expect(0, 119039, '\p{^ Is_Byzantine_MUSIC}', "");
Expect(0, 119039, '\P{ Is_Byzantine_MUSIC}', "");
Expect(1, 119039, '\P{^ Is_Byzantine_MUSIC}', "");
Expect(0, 119040, '\p{ Is_Byzantine_MUSIC}', "");
Expect(1, 119040, '\p{^ Is_Byzantine_MUSIC}', "");
Expect(1, 119040, '\P{ Is_Byzantine_MUSIC}', "");
Expect(0, 119040, '\P{^ Is_Byzantine_MUSIC}', "");
Error('\p{_:=in_BYZANTINE_Music}');
Error('\P{_:=in_BYZANTINE_Music}');
Expect(1, 119039, '\p{inbyzantinemusic}', "");
Expect(0, 119039, '\p{^inbyzantinemusic}', "");
Expect(0, 119039, '\P{inbyzantinemusic}', "");
Expect(1, 119039, '\P{^inbyzantinemusic}', "");
Expect(0, 119040, '\p{inbyzantinemusic}', "");
Expect(1, 119040, '\p{^inbyzantinemusic}', "");
Expect(1, 119040, '\P{inbyzantinemusic}', "");
Expect(0, 119040, '\P{^inbyzantinemusic}', "");
Expect(1, 119039, '\p{		In_byzantine_Music}', "");
Expect(0, 119039, '\p{^		In_byzantine_Music}', "");
Expect(0, 119039, '\P{		In_byzantine_Music}', "");
Expect(1, 119039, '\P{^		In_byzantine_Music}', "");
Expect(0, 119040, '\p{		In_byzantine_Music}', "");
Expect(1, 119040, '\p{^		In_byzantine_Music}', "");
Expect(1, 119040, '\P{		In_byzantine_Music}', "");
Expect(0, 119040, '\P{^		In_byzantine_Music}', "");
Error('\p{/a/_-cjk_COMPATIBILITY}');
Error('\P{/a/_-cjk_COMPATIBILITY}');
Expect(1, 13311, '\p{cjkcompatibility}', "");
Expect(0, 13311, '\p{^cjkcompatibility}', "");
Expect(0, 13311, '\P{cjkcompatibility}', "");
Expect(1, 13311, '\P{^cjkcompatibility}', "");
Expect(0, 13312, '\p{cjkcompatibility}', "");
Expect(1, 13312, '\p{^cjkcompatibility}', "");
Expect(1, 13312, '\P{cjkcompatibility}', "");
Expect(0, 13312, '\P{^cjkcompatibility}', "");
Expect(1, 13311, '\p{ 	CJK_Compatibility}', "");
Expect(0, 13311, '\p{^ 	CJK_Compatibility}', "");
Expect(0, 13311, '\P{ 	CJK_Compatibility}', "");
Expect(1, 13311, '\P{^ 	CJK_Compatibility}', "");
Expect(0, 13312, '\p{ 	CJK_Compatibility}', "");
Expect(1, 13312, '\p{^ 	CJK_Compatibility}', "");
Expect(1, 13312, '\P{ 	CJK_Compatibility}', "");
Expect(0, 13312, '\P{^ 	CJK_Compatibility}', "");
Error('\p{ is_CJK_Compatibility:=}');
Error('\P{ is_CJK_Compatibility:=}');
Expect(1, 13311, '\p{iscjkcompatibility}', "");
Expect(0, 13311, '\p{^iscjkcompatibility}', "");
Expect(0, 13311, '\P{iscjkcompatibility}', "");
Expect(1, 13311, '\P{^iscjkcompatibility}', "");
Expect(0, 13312, '\p{iscjkcompatibility}', "");
Expect(1, 13312, '\p{^iscjkcompatibility}', "");
Expect(1, 13312, '\P{iscjkcompatibility}', "");
Expect(0, 13312, '\P{^iscjkcompatibility}', "");
Expect(1, 13311, '\p{_	Is_cjk_COMPATIBILITY}', "");
Expect(0, 13311, '\p{^_	Is_cjk_COMPATIBILITY}', "");
Expect(0, 13311, '\P{_	Is_cjk_COMPATIBILITY}', "");
Expect(1, 13311, '\P{^_	Is_cjk_COMPATIBILITY}', "");
Expect(0, 13312, '\p{_	Is_cjk_COMPATIBILITY}', "");
Expect(1, 13312, '\p{^_	Is_cjk_COMPATIBILITY}', "");
Expect(1, 13312, '\P{_	Is_cjk_COMPATIBILITY}', "");
Expect(0, 13312, '\P{^_	Is_cjk_COMPATIBILITY}', "");
Error('\p{-:=IN_cjk_Compatibility}');
Error('\P{-:=IN_cjk_Compatibility}');
Expect(1, 13311, '\p{incjkcompatibility}', "");
Expect(0, 13311, '\p{^incjkcompatibility}', "");
Expect(0, 13311, '\P{incjkcompatibility}', "");
Expect(1, 13311, '\P{^incjkcompatibility}', "");
Expect(0, 13312, '\p{incjkcompatibility}', "");
Expect(1, 13312, '\p{^incjkcompatibility}', "");
Expect(1, 13312, '\P{incjkcompatibility}', "");
Expect(0, 13312, '\P{^incjkcompatibility}', "");
Expect(1, 13311, '\p{	-IN_CJK_Compatibility}', "");
Expect(0, 13311, '\p{^	-IN_CJK_Compatibility}', "");
Expect(0, 13311, '\P{	-IN_CJK_Compatibility}', "");
Expect(1, 13311, '\P{^	-IN_CJK_Compatibility}', "");
Expect(0, 13312, '\p{	-IN_CJK_Compatibility}', "");
Expect(1, 13312, '\p{^	-IN_CJK_Compatibility}', "");
Expect(1, 13312, '\P{	-IN_CJK_Compatibility}', "");
Expect(0, 13312, '\P{^	-IN_CJK_Compatibility}', "");
Error('\p{ /a/CJK_Compat}');
Error('\P{ /a/CJK_Compat}');
Expect(1, 13311, '\p{cjkcompat}', "");
Expect(0, 13311, '\p{^cjkcompat}', "");
Expect(0, 13311, '\P{cjkcompat}', "");
Expect(1, 13311, '\P{^cjkcompat}', "");
Expect(0, 13312, '\p{cjkcompat}', "");
Expect(1, 13312, '\p{^cjkcompat}', "");
Expect(1, 13312, '\P{cjkcompat}', "");
Expect(0, 13312, '\P{^cjkcompat}', "");
Expect(1, 13311, '\p{-CJK_Compat}', "");
Expect(0, 13311, '\p{^-CJK_Compat}', "");
Expect(0, 13311, '\P{-CJK_Compat}', "");
Expect(1, 13311, '\P{^-CJK_Compat}', "");
Expect(0, 13312, '\p{-CJK_Compat}', "");
Expect(1, 13312, '\p{^-CJK_Compat}', "");
Expect(1, 13312, '\P{-CJK_Compat}', "");
Expect(0, 13312, '\P{^-CJK_Compat}', "");
Error('\p{:=	-is_cjk_COMPAT}');
Error('\P{:=	-is_cjk_COMPAT}');
Expect(1, 13311, '\p{iscjkcompat}', "");
Expect(0, 13311, '\p{^iscjkcompat}', "");
Expect(0, 13311, '\P{iscjkcompat}', "");
Expect(1, 13311, '\P{^iscjkcompat}', "");
Expect(0, 13312, '\p{iscjkcompat}', "");
Expect(1, 13312, '\p{^iscjkcompat}', "");
Expect(1, 13312, '\P{iscjkcompat}', "");
Expect(0, 13312, '\P{^iscjkcompat}', "");
Expect(1, 13311, '\p{ 	IS_cjk_COMPAT}', "");
Expect(0, 13311, '\p{^ 	IS_cjk_COMPAT}', "");
Expect(0, 13311, '\P{ 	IS_cjk_COMPAT}', "");
Expect(1, 13311, '\P{^ 	IS_cjk_COMPAT}', "");
Expect(0, 13312, '\p{ 	IS_cjk_COMPAT}', "");
Expect(1, 13312, '\p{^ 	IS_cjk_COMPAT}', "");
Expect(1, 13312, '\P{ 	IS_cjk_COMPAT}', "");
Expect(0, 13312, '\P{^ 	IS_cjk_COMPAT}', "");
Error('\p{/a/In_CJK_Compat}');
Error('\P{/a/In_CJK_Compat}');
Expect(1, 13311, '\p{incjkcompat}', "");
Expect(0, 13311, '\p{^incjkcompat}', "");
Expect(0, 13311, '\P{incjkcompat}', "");
Expect(1, 13311, '\P{^incjkcompat}', "");
Expect(0, 13312, '\p{incjkcompat}', "");
Expect(1, 13312, '\p{^incjkcompat}', "");
Expect(1, 13312, '\P{incjkcompat}', "");
Expect(0, 13312, '\P{^incjkcompat}', "");
Expect(1, 13311, '\p{--IN_CJK_compat}', "");
Expect(0, 13311, '\p{^--IN_CJK_compat}', "");
Expect(0, 13311, '\P{--IN_CJK_compat}', "");
Expect(1, 13311, '\P{^--IN_CJK_compat}', "");
Expect(0, 13312, '\p{--IN_CJK_compat}', "");
Expect(1, 13312, '\p{^--IN_CJK_compat}', "");
Expect(1, 13312, '\P{--IN_CJK_compat}', "");
Expect(0, 13312, '\P{^--IN_CJK_compat}', "");
Error('\p{_:=CJK_Compatibility_forms}');
Error('\P{_:=CJK_Compatibility_forms}');
Expect(1, 65103, '\p{cjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^cjkcompatibilityforms}', "");
Expect(0, 65103, '\P{cjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^cjkcompatibilityforms}', "");
Expect(0, 65104, '\p{cjkcompatibilityforms}', "");
Expect(1, 65104, '\p{^cjkcompatibilityforms}', "");
Expect(1, 65104, '\P{cjkcompatibilityforms}', "");
Expect(0, 65104, '\P{^cjkcompatibilityforms}', "");
Expect(1, 65103, '\p{ _CJK_Compatibility_Forms}', "");
Expect(0, 65103, '\p{^ _CJK_Compatibility_Forms}', "");
Expect(0, 65103, '\P{ _CJK_Compatibility_Forms}', "");
Expect(1, 65103, '\P{^ _CJK_Compatibility_Forms}', "");
Expect(0, 65104, '\p{ _CJK_Compatibility_Forms}', "");
Expect(1, 65104, '\p{^ _CJK_Compatibility_Forms}', "");
Expect(1, 65104, '\P{ _CJK_Compatibility_Forms}', "");
Expect(0, 65104, '\P{^ _CJK_Compatibility_Forms}', "");
Error('\p{/a/-_IS_cjk_Compatibility_forms}');
Error('\P{/a/-_IS_cjk_Compatibility_forms}');
Expect(1, 65103, '\p{iscjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^iscjkcompatibilityforms}', "");
Expect(0, 65103, '\P{iscjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^iscjkcompatibilityforms}', "");
Expect(0, 65104, '\p{iscjkcompatibilityforms}', "");
Expect(1, 65104, '\p{^iscjkcompatibilityforms}', "");
Expect(1, 65104, '\P{iscjkcompatibilityforms}', "");
Expect(0, 65104, '\P{^iscjkcompatibilityforms}', "");
Expect(1, 65103, '\p{- Is_cjk_Compatibility_Forms}', "");
Expect(0, 65103, '\p{^- Is_cjk_Compatibility_Forms}', "");
Expect(0, 65103, '\P{- Is_cjk_Compatibility_Forms}', "");
Expect(1, 65103, '\P{^- Is_cjk_Compatibility_Forms}', "");
Expect(0, 65104, '\p{- Is_cjk_Compatibility_Forms}', "");
Expect(1, 65104, '\p{^- Is_cjk_Compatibility_Forms}', "");
Expect(1, 65104, '\P{- Is_cjk_Compatibility_Forms}', "");
Expect(0, 65104, '\P{^- Is_cjk_Compatibility_Forms}', "");
Error('\p{	IN_CJK_compatibility_Forms:=}');
Error('\P{	IN_CJK_compatibility_Forms:=}');
Expect(1, 65103, '\p{incjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^incjkcompatibilityforms}', "");
Expect(0, 65103, '\P{incjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^incjkcompatibilityforms}', "");
Expect(0, 65104, '\p{incjkcompatibilityforms}', "");
Expect(1, 65104, '\p{^incjkcompatibilityforms}', "");
Expect(1, 65104, '\P{incjkcompatibilityforms}', "");
Expect(0, 65104, '\P{^incjkcompatibilityforms}', "");
Expect(1, 65103, '\p{ In_CJK_Compatibility_Forms}', "");
Expect(0, 65103, '\p{^ In_CJK_Compatibility_Forms}', "");
Expect(0, 65103, '\P{ In_CJK_Compatibility_Forms}', "");
Expect(1, 65103, '\P{^ In_CJK_Compatibility_Forms}', "");
Expect(0, 65104, '\p{ In_CJK_Compatibility_Forms}', "");
Expect(1, 65104, '\p{^ In_CJK_Compatibility_Forms}', "");
Expect(1, 65104, '\P{ In_CJK_Compatibility_Forms}', "");
Expect(0, 65104, '\P{^ In_CJK_Compatibility_Forms}', "");
Error('\p{:=cjk_COMPAT_Forms}');
Error('\P{:=cjk_COMPAT_Forms}');
Expect(1, 65103, '\p{cjkcompatforms}', "");
Expect(0, 65103, '\p{^cjkcompatforms}', "");
Expect(0, 65103, '\P{cjkcompatforms}', "");
Expect(1, 65103, '\P{^cjkcompatforms}', "");
Expect(0, 65104, '\p{cjkcompatforms}', "");
Expect(1, 65104, '\p{^cjkcompatforms}', "");
Expect(1, 65104, '\P{cjkcompatforms}', "");
Expect(0, 65104, '\P{^cjkcompatforms}', "");
Expect(1, 65103, '\p{ cjk_COMPAT_forms}', "");
Expect(0, 65103, '\p{^ cjk_COMPAT_forms}', "");
Expect(0, 65103, '\P{ cjk_COMPAT_forms}', "");
Expect(1, 65103, '\P{^ cjk_COMPAT_forms}', "");
Expect(0, 65104, '\p{ cjk_COMPAT_forms}', "");
Expect(1, 65104, '\p{^ cjk_COMPAT_forms}', "");
Expect(1, 65104, '\P{ cjk_COMPAT_forms}', "");
Expect(0, 65104, '\P{^ cjk_COMPAT_forms}', "");
Error('\p{/a/- is_cjk_Compat_FORMS}');
Error('\P{/a/- is_cjk_Compat_FORMS}');
Expect(1, 65103, '\p{iscjkcompatforms}', "");
Expect(0, 65103, '\p{^iscjkcompatforms}', "");
Expect(0, 65103, '\P{iscjkcompatforms}', "");
Expect(1, 65103, '\P{^iscjkcompatforms}', "");
Expect(0, 65104, '\p{iscjkcompatforms}', "");
Expect(1, 65104, '\p{^iscjkcompatforms}', "");
Expect(1, 65104, '\P{iscjkcompatforms}', "");
Expect(0, 65104, '\P{^iscjkcompatforms}', "");
Expect(1, 65103, '\p{		IS_CJK_compat_Forms}', "");
Expect(0, 65103, '\p{^		IS_CJK_compat_Forms}', "");
Expect(0, 65103, '\P{		IS_CJK_compat_Forms}', "");
Expect(1, 65103, '\P{^		IS_CJK_compat_Forms}', "");
Expect(0, 65104, '\p{		IS_CJK_compat_Forms}', "");
Expect(1, 65104, '\p{^		IS_CJK_compat_Forms}', "");
Expect(1, 65104, '\P{		IS_CJK_compat_Forms}', "");
Expect(0, 65104, '\P{^		IS_CJK_compat_Forms}', "");
Error('\p{:=IN_CJK_Compat_FORMS}');
Error('\P{:=IN_CJK_Compat_FORMS}');
Expect(1, 65103, '\p{incjkcompatforms}', "");
Expect(0, 65103, '\p{^incjkcompatforms}', "");
Expect(0, 65103, '\P{incjkcompatforms}', "");
Expect(1, 65103, '\P{^incjkcompatforms}', "");
Expect(0, 65104, '\p{incjkcompatforms}', "");
Expect(1, 65104, '\p{^incjkcompatforms}', "");
Expect(1, 65104, '\P{incjkcompatforms}', "");
Expect(0, 65104, '\P{^incjkcompatforms}', "");
Expect(1, 65103, '\p{in_CJK_COMPAT_FORMS}', "");
Expect(0, 65103, '\p{^in_CJK_COMPAT_FORMS}', "");
Expect(0, 65103, '\P{in_CJK_COMPAT_FORMS}', "");
Expect(1, 65103, '\P{^in_CJK_COMPAT_FORMS}', "");
Expect(0, 65104, '\p{in_CJK_COMPAT_FORMS}', "");
Expect(1, 65104, '\p{^in_CJK_COMPAT_FORMS}', "");
Expect(1, 65104, '\P{in_CJK_COMPAT_FORMS}', "");
Expect(0, 65104, '\P{^in_CJK_COMPAT_FORMS}', "");
Error('\p{/a/CJK_compatibility_IDEOGRAPHS}');
Error('\P{/a/CJK_compatibility_IDEOGRAPHS}');
Expect(1, 64255, '\p{cjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^cjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{cjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^cjkcompatibilityideographs}', "");
Expect(0, 64256, '\p{cjkcompatibilityideographs}', "");
Expect(1, 64256, '\p{^cjkcompatibilityideographs}', "");
Expect(1, 64256, '\P{cjkcompatibilityideographs}', "");
Expect(0, 64256, '\P{^cjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{	_CJK_COMPATIBILITY_Ideographs}', "");
Expect(0, 64255, '\p{^	_CJK_COMPATIBILITY_Ideographs}', "");
Expect(0, 64255, '\P{	_CJK_COMPATIBILITY_Ideographs}', "");
Expect(1, 64255, '\P{^	_CJK_COMPATIBILITY_Ideographs}', "");
Expect(0, 64256, '\p{	_CJK_COMPATIBILITY_Ideographs}', "");
Expect(1, 64256, '\p{^	_CJK_COMPATIBILITY_Ideographs}', "");
Expect(1, 64256, '\P{	_CJK_COMPATIBILITY_Ideographs}', "");
Expect(0, 64256, '\P{^	_CJK_COMPATIBILITY_Ideographs}', "");
Error('\p{:=Is_CJK_Compatibility_IDEOGRAPHS}');
Error('\P{:=Is_CJK_Compatibility_IDEOGRAPHS}');
Expect(1, 64255, '\p{iscjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^iscjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{iscjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^iscjkcompatibilityideographs}', "");
Expect(0, 64256, '\p{iscjkcompatibilityideographs}', "");
Expect(1, 64256, '\p{^iscjkcompatibilityideographs}', "");
Expect(1, 64256, '\P{iscjkcompatibilityideographs}', "");
Expect(0, 64256, '\P{^iscjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{-IS_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Expect(0, 64255, '\p{^-IS_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Expect(0, 64255, '\P{-IS_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Expect(1, 64255, '\P{^-IS_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Expect(0, 64256, '\p{-IS_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Expect(1, 64256, '\p{^-IS_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Expect(1, 64256, '\P{-IS_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Expect(0, 64256, '\P{^-IS_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Error('\p{_	IN_CJK_compatibility_ideographs/a/}');
Error('\P{_	IN_CJK_compatibility_ideographs/a/}');
Expect(1, 64255, '\p{incjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^incjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{incjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^incjkcompatibilityideographs}', "");
Expect(0, 64256, '\p{incjkcompatibilityideographs}', "");
Expect(1, 64256, '\p{^incjkcompatibilityideographs}', "");
Expect(1, 64256, '\P{incjkcompatibilityideographs}', "");
Expect(0, 64256, '\P{^incjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{ _IN_CJK_COMPATIBILITY_Ideographs}', "");
Expect(0, 64255, '\p{^ _IN_CJK_COMPATIBILITY_Ideographs}', "");
Expect(0, 64255, '\P{ _IN_CJK_COMPATIBILITY_Ideographs}', "");
Expect(1, 64255, '\P{^ _IN_CJK_COMPATIBILITY_Ideographs}', "");
Expect(0, 64256, '\p{ _IN_CJK_COMPATIBILITY_Ideographs}', "");
Expect(1, 64256, '\p{^ _IN_CJK_COMPATIBILITY_Ideographs}', "");
Expect(1, 64256, '\P{ _IN_CJK_COMPATIBILITY_Ideographs}', "");
Expect(0, 64256, '\P{^ _IN_CJK_COMPATIBILITY_Ideographs}', "");
Error('\p{_/a/CJK_Compat_ideographs}');
Error('\P{_/a/CJK_Compat_ideographs}');
Expect(1, 64255, '\p{cjkcompatideographs}', "");
Expect(0, 64255, '\p{^cjkcompatideographs}', "");
Expect(0, 64255, '\P{cjkcompatideographs}', "");
Expect(1, 64255, '\P{^cjkcompatideographs}', "");
Expect(0, 64256, '\p{cjkcompatideographs}', "");
Expect(1, 64256, '\p{^cjkcompatideographs}', "");
Expect(1, 64256, '\P{cjkcompatideographs}', "");
Expect(0, 64256, '\P{^cjkcompatideographs}', "");
Expect(1, 64255, '\p{ cjk_Compat_Ideographs}', "");
Expect(0, 64255, '\p{^ cjk_Compat_Ideographs}', "");
Expect(0, 64255, '\P{ cjk_Compat_Ideographs}', "");
Expect(1, 64255, '\P{^ cjk_Compat_Ideographs}', "");
Expect(0, 64256, '\p{ cjk_Compat_Ideographs}', "");
Expect(1, 64256, '\p{^ cjk_Compat_Ideographs}', "");
Expect(1, 64256, '\P{ cjk_Compat_Ideographs}', "");
Expect(0, 64256, '\P{^ cjk_Compat_Ideographs}', "");
Error('\p{/a/-is_CJK_Compat_Ideographs}');
Error('\P{/a/-is_CJK_Compat_Ideographs}');
Expect(1, 64255, '\p{iscjkcompatideographs}', "");
Expect(0, 64255, '\p{^iscjkcompatideographs}', "");
Expect(0, 64255, '\P{iscjkcompatideographs}', "");
Expect(1, 64255, '\P{^iscjkcompatideographs}', "");
Expect(0, 64256, '\p{iscjkcompatideographs}', "");
Expect(1, 64256, '\p{^iscjkcompatideographs}', "");
Expect(1, 64256, '\P{iscjkcompatideographs}', "");
Expect(0, 64256, '\P{^iscjkcompatideographs}', "");
Expect(1, 64255, '\p{ 	Is_cjk_Compat_ideographs}', "");
Expect(0, 64255, '\p{^ 	Is_cjk_Compat_ideographs}', "");
Expect(0, 64255, '\P{ 	Is_cjk_Compat_ideographs}', "");
Expect(1, 64255, '\P{^ 	Is_cjk_Compat_ideographs}', "");
Expect(0, 64256, '\p{ 	Is_cjk_Compat_ideographs}', "");
Expect(1, 64256, '\p{^ 	Is_cjk_Compat_ideographs}', "");
Expect(1, 64256, '\P{ 	Is_cjk_Compat_ideographs}', "");
Expect(0, 64256, '\P{^ 	Is_cjk_Compat_ideographs}', "");
Error('\p{ /a/In_CJK_Compat_Ideographs}');
Error('\P{ /a/In_CJK_Compat_Ideographs}');
Expect(1, 64255, '\p{incjkcompatideographs}', "");
Expect(0, 64255, '\p{^incjkcompatideographs}', "");
Expect(0, 64255, '\P{incjkcompatideographs}', "");
Expect(1, 64255, '\P{^incjkcompatideographs}', "");
Expect(0, 64256, '\p{incjkcompatideographs}', "");
Expect(1, 64256, '\p{^incjkcompatideographs}', "");
Expect(1, 64256, '\P{incjkcompatideographs}', "");
Expect(0, 64256, '\P{^incjkcompatideographs}', "");
Expect(1, 64255, '\p{ In_CJK_Compat_Ideographs}', "");
Expect(0, 64255, '\p{^ In_CJK_Compat_Ideographs}', "");
Expect(0, 64255, '\P{ In_CJK_Compat_Ideographs}', "");
Expect(1, 64255, '\P{^ In_CJK_Compat_Ideographs}', "");
Expect(0, 64256, '\p{ In_CJK_Compat_Ideographs}', "");
Expect(1, 64256, '\p{^ In_CJK_Compat_Ideographs}', "");
Expect(1, 64256, '\P{ In_CJK_Compat_Ideographs}', "");
Expect(0, 64256, '\P{^ In_CJK_Compat_Ideographs}', "");
Error('\p{/a/CJK_compatibility_ideographs_Supplement}');
Error('\P{/a/CJK_compatibility_ideographs_Supplement}');
Expect(1, 195103, '\p{cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^cjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\p{cjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\p{^cjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\P{cjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\P{^cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{  CJK_compatibility_Ideographs_Supplement}', "");
Expect(0, 195103, '\p{^  CJK_compatibility_Ideographs_Supplement}', "");
Expect(0, 195103, '\P{  CJK_compatibility_Ideographs_Supplement}', "");
Expect(1, 195103, '\P{^  CJK_compatibility_Ideographs_Supplement}', "");
Expect(0, 195104, '\p{  CJK_compatibility_Ideographs_Supplement}', "");
Expect(1, 195104, '\p{^  CJK_compatibility_Ideographs_Supplement}', "");
Expect(1, 195104, '\P{  CJK_compatibility_Ideographs_Supplement}', "");
Expect(0, 195104, '\P{^  CJK_compatibility_Ideographs_Supplement}', "");
Error('\p{ /a/is_cjk_COMPATIBILITY_Ideographs_SUPPLEMENT}');
Error('\P{ /a/is_cjk_COMPATIBILITY_Ideographs_SUPPLEMENT}');
Expect(1, 195103, '\p{iscjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^iscjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{iscjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^iscjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\p{iscjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\p{^iscjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\P{iscjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\P{^iscjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{	-Is_CJK_Compatibility_ideographs_Supplement}', "");
Expect(0, 195103, '\p{^	-Is_CJK_Compatibility_ideographs_Supplement}', "");
Expect(0, 195103, '\P{	-Is_CJK_Compatibility_ideographs_Supplement}', "");
Expect(1, 195103, '\P{^	-Is_CJK_Compatibility_ideographs_Supplement}', "");
Expect(0, 195104, '\p{	-Is_CJK_Compatibility_ideographs_Supplement}', "");
Expect(1, 195104, '\p{^	-Is_CJK_Compatibility_ideographs_Supplement}', "");
Expect(1, 195104, '\P{	-Is_CJK_Compatibility_ideographs_Supplement}', "");
Expect(0, 195104, '\P{^	-Is_CJK_Compatibility_ideographs_Supplement}', "");
Error('\p{_-In_CJK_Compatibility_Ideographs_SUPPLEMENT:=}');
Error('\P{_-In_CJK_Compatibility_Ideographs_SUPPLEMENT:=}');
Expect(1, 195103, '\p{incjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^incjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{incjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^incjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\p{incjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\p{^incjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\P{incjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\P{^incjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{		In_cjk_compatibility_Ideographs_Supplement}', "");
Expect(0, 195103, '\p{^		In_cjk_compatibility_Ideographs_Supplement}', "");
Expect(0, 195103, '\P{		In_cjk_compatibility_Ideographs_Supplement}', "");
Expect(1, 195103, '\P{^		In_cjk_compatibility_Ideographs_Supplement}', "");
Expect(0, 195104, '\p{		In_cjk_compatibility_Ideographs_Supplement}', "");
Expect(1, 195104, '\p{^		In_cjk_compatibility_Ideographs_Supplement}', "");
Expect(1, 195104, '\P{		In_cjk_compatibility_Ideographs_Supplement}', "");
Expect(0, 195104, '\P{^		In_cjk_compatibility_Ideographs_Supplement}', "");
Error('\p{_	CJK_compat_Ideographs_SUP:=}');
Error('\P{_	CJK_compat_Ideographs_SUP:=}');
Expect(1, 195103, '\p{cjkcompatideographssup}', "");
Expect(0, 195103, '\p{^cjkcompatideographssup}', "");
Expect(0, 195103, '\P{cjkcompatideographssup}', "");
Expect(1, 195103, '\P{^cjkcompatideographssup}', "");
Expect(0, 195104, '\p{cjkcompatideographssup}', "");
Expect(1, 195104, '\p{^cjkcompatideographssup}', "");
Expect(1, 195104, '\P{cjkcompatideographssup}', "");
Expect(0, 195104, '\P{^cjkcompatideographssup}', "");
Expect(1, 195103, '\p{		CJK_COMPAT_ideographs_Sup}', "");
Expect(0, 195103, '\p{^		CJK_COMPAT_ideographs_Sup}', "");
Expect(0, 195103, '\P{		CJK_COMPAT_ideographs_Sup}', "");
Expect(1, 195103, '\P{^		CJK_COMPAT_ideographs_Sup}', "");
Expect(0, 195104, '\p{		CJK_COMPAT_ideographs_Sup}', "");
Expect(1, 195104, '\p{^		CJK_COMPAT_ideographs_Sup}', "");
Expect(1, 195104, '\P{		CJK_COMPAT_ideographs_Sup}', "");
Expect(0, 195104, '\P{^		CJK_COMPAT_ideographs_Sup}', "");
Error('\p{ _Is_cjk_COMPAT_Ideographs_Sup:=}');
Error('\P{ _Is_cjk_COMPAT_Ideographs_Sup:=}');
Expect(1, 195103, '\p{iscjkcompatideographssup}', "");
Expect(0, 195103, '\p{^iscjkcompatideographssup}', "");
Expect(0, 195103, '\P{iscjkcompatideographssup}', "");
Expect(1, 195103, '\P{^iscjkcompatideographssup}', "");
Expect(0, 195104, '\p{iscjkcompatideographssup}', "");
Expect(1, 195104, '\p{^iscjkcompatideographssup}', "");
Expect(1, 195104, '\P{iscjkcompatideographssup}', "");
Expect(0, 195104, '\P{^iscjkcompatideographssup}', "");
Expect(1, 195103, '\p{_	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
Expect(0, 195103, '\p{^_	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
Expect(0, 195103, '\P{_	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
Expect(1, 195103, '\P{^_	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
Expect(0, 195104, '\p{_	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
Expect(1, 195104, '\p{^_	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
Expect(1, 195104, '\P{_	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
Expect(0, 195104, '\P{^_	is_CJK_Compat_IDEOGRAPHS_Sup}', "");
Error('\p{	-in_CJK_COMPAT_Ideographs_Sup/a/}');
Error('\P{	-in_CJK_COMPAT_Ideographs_Sup/a/}');
Expect(1, 195103, '\p{incjkcompatideographssup}', "");
Expect(0, 195103, '\p{^incjkcompatideographssup}', "");
Expect(0, 195103, '\P{incjkcompatideographssup}', "");
Expect(1, 195103, '\P{^incjkcompatideographssup}', "");
Expect(0, 195104, '\p{incjkcompatideographssup}', "");
Expect(1, 195104, '\p{^incjkcompatideographssup}', "");
Expect(1, 195104, '\P{incjkcompatideographssup}', "");
Expect(0, 195104, '\P{^incjkcompatideographssup}', "");
Expect(1, 195103, '\p{_in_CJK_Compat_ideographs_SUP}', "");
Expect(0, 195103, '\p{^_in_CJK_Compat_ideographs_SUP}', "");
Expect(0, 195103, '\P{_in_CJK_Compat_ideographs_SUP}', "");
Expect(1, 195103, '\P{^_in_CJK_Compat_ideographs_SUP}', "");
Expect(0, 195104, '\p{_in_CJK_Compat_ideographs_SUP}', "");
Expect(1, 195104, '\p{^_in_CJK_Compat_ideographs_SUP}', "");
Expect(1, 195104, '\P{_in_CJK_Compat_ideographs_SUP}', "");
Expect(0, 195104, '\P{^_in_CJK_Compat_ideographs_SUP}', "");
Error('\p{:=	-CJK_RADICALS_Supplement}');
Error('\P{:=	-CJK_RADICALS_Supplement}');
Expect(1, 12031, '\p{cjkradicalssupplement}', "");
Expect(0, 12031, '\p{^cjkradicalssupplement}', "");
Expect(0, 12031, '\P{cjkradicalssupplement}', "");
Expect(1, 12031, '\P{^cjkradicalssupplement}', "");
Expect(0, 12032, '\p{cjkradicalssupplement}', "");
Expect(1, 12032, '\p{^cjkradicalssupplement}', "");
Expect(1, 12032, '\P{cjkradicalssupplement}', "");
Expect(0, 12032, '\P{^cjkradicalssupplement}', "");
Expect(1, 12031, '\p{ -CJK_RADICALS_Supplement}', "");
Expect(0, 12031, '\p{^ -CJK_RADICALS_Supplement}', "");
Expect(0, 12031, '\P{ -CJK_RADICALS_Supplement}', "");
Expect(1, 12031, '\P{^ -CJK_RADICALS_Supplement}', "");
Expect(0, 12032, '\p{ -CJK_RADICALS_Supplement}', "");
Expect(1, 12032, '\p{^ -CJK_RADICALS_Supplement}', "");
Expect(1, 12032, '\P{ -CJK_RADICALS_Supplement}', "");
Expect(0, 12032, '\P{^ -CJK_RADICALS_Supplement}', "");
Error('\p{/a/Is_cjk_radicals_Supplement}');
Error('\P{/a/Is_cjk_radicals_Supplement}');
Expect(1, 12031, '\p{iscjkradicalssupplement}', "");
Expect(0, 12031, '\p{^iscjkradicalssupplement}', "");
Expect(0, 12031, '\P{iscjkradicalssupplement}', "");
Expect(1, 12031, '\P{^iscjkradicalssupplement}', "");
Expect(0, 12032, '\p{iscjkradicalssupplement}', "");
Expect(1, 12032, '\p{^iscjkradicalssupplement}', "");
Expect(1, 12032, '\P{iscjkradicalssupplement}', "");
Expect(0, 12032, '\P{^iscjkradicalssupplement}', "");
Expect(1, 12031, '\p{ IS_CJK_radicals_supplement}', "");
Expect(0, 12031, '\p{^ IS_CJK_radicals_supplement}', "");
Expect(0, 12031, '\P{ IS_CJK_radicals_supplement}', "");
Expect(1, 12031, '\P{^ IS_CJK_radicals_supplement}', "");
Expect(0, 12032, '\p{ IS_CJK_radicals_supplement}', "");
Expect(1, 12032, '\p{^ IS_CJK_radicals_supplement}', "");
Expect(1, 12032, '\P{ IS_CJK_radicals_supplement}', "");
Expect(0, 12032, '\P{^ IS_CJK_radicals_supplement}', "");
Error('\p{	/a/In_CJK_radicals_supplement}');
Error('\P{	/a/In_CJK_radicals_supplement}');
Expect(1, 12031, '\p{incjkradicalssupplement}', "");
Expect(0, 12031, '\p{^incjkradicalssupplement}', "");
Expect(0, 12031, '\P{incjkradicalssupplement}', "");
Expect(1, 12031, '\P{^incjkradicalssupplement}', "");
Expect(0, 12032, '\p{incjkradicalssupplement}', "");
Expect(1, 12032, '\p{^incjkradicalssupplement}', "");
Expect(1, 12032, '\P{incjkradicalssupplement}', "");
Expect(0, 12032, '\P{^incjkradicalssupplement}', "");
Expect(1, 12031, '\p{ in_CJK_RADICALS_Supplement}', "");
Expect(0, 12031, '\p{^ in_CJK_RADICALS_Supplement}', "");
Expect(0, 12031, '\P{ in_CJK_RADICALS_Supplement}', "");
Expect(1, 12031, '\P{^ in_CJK_RADICALS_Supplement}', "");
Expect(0, 12032, '\p{ in_CJK_RADICALS_Supplement}', "");
Expect(1, 12032, '\p{^ in_CJK_RADICALS_Supplement}', "");
Expect(1, 12032, '\P{ in_CJK_RADICALS_Supplement}', "");
Expect(0, 12032, '\P{^ in_CJK_RADICALS_Supplement}', "");
Error('\p{ :=CJK_RADICALS_SUP}');
Error('\P{ :=CJK_RADICALS_SUP}');
Expect(1, 12031, '\p{cjkradicalssup}', "");
Expect(0, 12031, '\p{^cjkradicalssup}', "");
Expect(0, 12031, '\P{cjkradicalssup}', "");
Expect(1, 12031, '\P{^cjkradicalssup}', "");
Expect(0, 12032, '\p{cjkradicalssup}', "");
Expect(1, 12032, '\p{^cjkradicalssup}', "");
Expect(1, 12032, '\P{cjkradicalssup}', "");
Expect(0, 12032, '\P{^cjkradicalssup}', "");
Expect(1, 12031, '\p{-	cjk_Radicals_Sup}', "");
Expect(0, 12031, '\p{^-	cjk_Radicals_Sup}', "");
Expect(0, 12031, '\P{-	cjk_Radicals_Sup}', "");
Expect(1, 12031, '\P{^-	cjk_Radicals_Sup}', "");
Expect(0, 12032, '\p{-	cjk_Radicals_Sup}', "");
Expect(1, 12032, '\p{^-	cjk_Radicals_Sup}', "");
Expect(1, 12032, '\P{-	cjk_Radicals_Sup}', "");
Expect(0, 12032, '\P{^-	cjk_Radicals_Sup}', "");
Error('\p{_:=is_CJK_Radicals_Sup}');
Error('\P{_:=is_CJK_Radicals_Sup}');
Expect(1, 12031, '\p{iscjkradicalssup}', "");
Expect(0, 12031, '\p{^iscjkradicalssup}', "");
Expect(0, 12031, '\P{iscjkradicalssup}', "");
Expect(1, 12031, '\P{^iscjkradicalssup}', "");
Expect(0, 12032, '\p{iscjkradicalssup}', "");
Expect(1, 12032, '\p{^iscjkradicalssup}', "");
Expect(1, 12032, '\P{iscjkradicalssup}', "");
Expect(0, 12032, '\P{^iscjkradicalssup}', "");
Expect(1, 12031, '\p{_ Is_CJK_Radicals_sup}', "");
Expect(0, 12031, '\p{^_ Is_CJK_Radicals_sup}', "");
Expect(0, 12031, '\P{_ Is_CJK_Radicals_sup}', "");
Expect(1, 12031, '\P{^_ Is_CJK_Radicals_sup}', "");
Expect(0, 12032, '\p{_ Is_CJK_Radicals_sup}', "");
Expect(1, 12032, '\p{^_ Is_CJK_Radicals_sup}', "");
Expect(1, 12032, '\P{_ Is_CJK_Radicals_sup}', "");
Expect(0, 12032, '\P{^_ Is_CJK_Radicals_sup}', "");
Error('\p{	:=In_CJK_radicals_Sup}');
Error('\P{	:=In_CJK_radicals_Sup}');
Expect(1, 12031, '\p{incjkradicalssup}', "");
Expect(0, 12031, '\p{^incjkradicalssup}', "");
Expect(0, 12031, '\P{incjkradicalssup}', "");
Expect(1, 12031, '\P{^incjkradicalssup}', "");
Expect(0, 12032, '\p{incjkradicalssup}', "");
Expect(1, 12032, '\p{^incjkradicalssup}', "");
Expect(1, 12032, '\P{incjkradicalssup}', "");
Expect(0, 12032, '\P{^incjkradicalssup}', "");
Expect(1, 12031, '\p{	-In_CJK_Radicals_Sup}', "");
Expect(0, 12031, '\p{^	-In_CJK_Radicals_Sup}', "");
Expect(0, 12031, '\P{	-In_CJK_Radicals_Sup}', "");
Expect(1, 12031, '\P{^	-In_CJK_Radicals_Sup}', "");
Expect(0, 12032, '\p{	-In_CJK_Radicals_Sup}', "");
Expect(1, 12032, '\p{^	-In_CJK_Radicals_Sup}', "");
Expect(1, 12032, '\P{	-In_CJK_Radicals_Sup}', "");
Expect(0, 12032, '\P{^	-In_CJK_Radicals_Sup}', "");
Error('\p{__cjk_STROKES/a/}');
Error('\P{__cjk_STROKES/a/}');
Expect(1, 12783, '\p{cjkstrokes}', "");
Expect(0, 12783, '\p{^cjkstrokes}', "");
Expect(0, 12783, '\P{cjkstrokes}', "");
Expect(1, 12783, '\P{^cjkstrokes}', "");
Expect(0, 12784, '\p{cjkstrokes}', "");
Expect(1, 12784, '\p{^cjkstrokes}', "");
Expect(1, 12784, '\P{cjkstrokes}', "");
Expect(0, 12784, '\P{^cjkstrokes}', "");
Expect(1, 12783, '\p{  CJK_Strokes}', "");
Expect(0, 12783, '\p{^  CJK_Strokes}', "");
Expect(0, 12783, '\P{  CJK_Strokes}', "");
Expect(1, 12783, '\P{^  CJK_Strokes}', "");
Expect(0, 12784, '\p{  CJK_Strokes}', "");
Expect(1, 12784, '\p{^  CJK_Strokes}', "");
Expect(1, 12784, '\P{  CJK_Strokes}', "");
Expect(0, 12784, '\P{^  CJK_Strokes}', "");
Error('\p{:=_IS_CJK_Strokes}');
Error('\P{:=_IS_CJK_Strokes}');
Expect(1, 12783, '\p{iscjkstrokes}', "");
Expect(0, 12783, '\p{^iscjkstrokes}', "");
Expect(0, 12783, '\P{iscjkstrokes}', "");
Expect(1, 12783, '\P{^iscjkstrokes}', "");
Expect(0, 12784, '\p{iscjkstrokes}', "");
Expect(1, 12784, '\p{^iscjkstrokes}', "");
Expect(1, 12784, '\P{iscjkstrokes}', "");
Expect(0, 12784, '\P{^iscjkstrokes}', "");
Expect(1, 12783, '\p{_	Is_CJK_Strokes}', "");
Expect(0, 12783, '\p{^_	Is_CJK_Strokes}', "");
Expect(0, 12783, '\P{_	Is_CJK_Strokes}', "");
Expect(1, 12783, '\P{^_	Is_CJK_Strokes}', "");
Expect(0, 12784, '\p{_	Is_CJK_Strokes}', "");
Expect(1, 12784, '\p{^_	Is_CJK_Strokes}', "");
Expect(1, 12784, '\P{_	Is_CJK_Strokes}', "");
Expect(0, 12784, '\P{^_	Is_CJK_Strokes}', "");
Error('\p{:=__In_CJK_Strokes}');
Error('\P{:=__In_CJK_Strokes}');
Expect(1, 12783, '\p{incjkstrokes}', "");
Expect(0, 12783, '\p{^incjkstrokes}', "");
Expect(0, 12783, '\P{incjkstrokes}', "");
Expect(1, 12783, '\P{^incjkstrokes}', "");
Expect(0, 12784, '\p{incjkstrokes}', "");
Expect(1, 12784, '\p{^incjkstrokes}', "");
Expect(1, 12784, '\P{incjkstrokes}', "");
Expect(0, 12784, '\P{^incjkstrokes}', "");
Expect(1, 12783, '\p{-IN_CJK_strokes}', "");
Expect(0, 12783, '\p{^-IN_CJK_strokes}', "");
Expect(0, 12783, '\P{-IN_CJK_strokes}', "");
Expect(1, 12783, '\P{^-IN_CJK_strokes}', "");
Expect(0, 12784, '\p{-IN_CJK_strokes}', "");
Expect(1, 12784, '\p{^-IN_CJK_strokes}', "");
Expect(1, 12784, '\P{-IN_CJK_strokes}', "");
Expect(0, 12784, '\P{^-IN_CJK_strokes}', "");
Error('\p{_	CJK_Symbols_AND_PUNCTUATION/a/}');
Error('\P{_	CJK_Symbols_AND_PUNCTUATION/a/}');
Expect(1, 12351, '\p{cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^cjksymbolsandpunctuation}', "");
Expect(0, 12352, '\p{cjksymbolsandpunctuation}', "");
Expect(1, 12352, '\p{^cjksymbolsandpunctuation}', "");
Expect(1, 12352, '\P{cjksymbolsandpunctuation}', "");
Expect(0, 12352, '\P{^cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{	CJK_SYMBOLS_And_Punctuation}', "");
Expect(0, 12351, '\p{^	CJK_SYMBOLS_And_Punctuation}', "");
Expect(0, 12351, '\P{	CJK_SYMBOLS_And_Punctuation}', "");
Expect(1, 12351, '\P{^	CJK_SYMBOLS_And_Punctuation}', "");
Expect(0, 12352, '\p{	CJK_SYMBOLS_And_Punctuation}', "");
Expect(1, 12352, '\p{^	CJK_SYMBOLS_And_Punctuation}', "");
Expect(1, 12352, '\P{	CJK_SYMBOLS_And_Punctuation}', "");
Expect(0, 12352, '\P{^	CJK_SYMBOLS_And_Punctuation}', "");
Error('\p{_Is_CJK_Symbols_AND_punctuation:=}');
Error('\P{_Is_CJK_Symbols_AND_punctuation:=}');
Expect(1, 12351, '\p{iscjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^iscjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{iscjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^iscjksymbolsandpunctuation}', "");
Expect(0, 12352, '\p{iscjksymbolsandpunctuation}', "");
Expect(1, 12352, '\p{^iscjksymbolsandpunctuation}', "");
Expect(1, 12352, '\P{iscjksymbolsandpunctuation}', "");
Expect(0, 12352, '\P{^iscjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{-_IS_CJK_Symbols_And_Punctuation}', "");
Expect(0, 12351, '\p{^-_IS_CJK_Symbols_And_Punctuation}', "");
Expect(0, 12351, '\P{-_IS_CJK_Symbols_And_Punctuation}', "");
Expect(1, 12351, '\P{^-_IS_CJK_Symbols_And_Punctuation}', "");
Expect(0, 12352, '\p{-_IS_CJK_Symbols_And_Punctuation}', "");
Expect(1, 12352, '\p{^-_IS_CJK_Symbols_And_Punctuation}', "");
Expect(1, 12352, '\P{-_IS_CJK_Symbols_And_Punctuation}', "");
Expect(0, 12352, '\P{^-_IS_CJK_Symbols_And_Punctuation}', "");
Error('\p{:=	IN_cjk_SYMBOLS_and_Punctuation}');
Error('\P{:=	IN_cjk_SYMBOLS_and_Punctuation}');
Expect(1, 12351, '\p{incjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^incjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{incjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^incjksymbolsandpunctuation}', "");
Expect(0, 12352, '\p{incjksymbolsandpunctuation}', "");
Expect(1, 12352, '\p{^incjksymbolsandpunctuation}', "");
Expect(1, 12352, '\P{incjksymbolsandpunctuation}', "");
Expect(0, 12352, '\P{^incjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{_in_CJK_SYMBOLS_and_PUNCTUATION}', "");
Expect(0, 12351, '\p{^_in_CJK_SYMBOLS_and_PUNCTUATION}', "");
Expect(0, 12351, '\P{_in_CJK_SYMBOLS_and_PUNCTUATION}', "");
Expect(1, 12351, '\P{^_in_CJK_SYMBOLS_and_PUNCTUATION}', "");
Expect(0, 12352, '\p{_in_CJK_SYMBOLS_and_PUNCTUATION}', "");
Expect(1, 12352, '\p{^_in_CJK_SYMBOLS_and_PUNCTUATION}', "");
Expect(1, 12352, '\P{_in_CJK_SYMBOLS_and_PUNCTUATION}', "");
Expect(0, 12352, '\P{^_in_CJK_SYMBOLS_and_PUNCTUATION}', "");
Error('\p{/a/		CJK_SYMBOLS}');
Error('\P{/a/		CJK_SYMBOLS}');
Expect(1, 12351, '\p{cjksymbols}', "");
Expect(0, 12351, '\p{^cjksymbols}', "");
Expect(0, 12351, '\P{cjksymbols}', "");
Expect(1, 12351, '\P{^cjksymbols}', "");
Expect(0, 12352, '\p{cjksymbols}', "");
Expect(1, 12352, '\p{^cjksymbols}', "");
Expect(1, 12352, '\P{cjksymbols}', "");
Expect(0, 12352, '\P{^cjksymbols}', "");
Expect(1, 12351, '\p{- CJK_SYMBOLS}', "");
Expect(0, 12351, '\p{^- CJK_SYMBOLS}', "");
Expect(0, 12351, '\P{- CJK_SYMBOLS}', "");
Expect(1, 12351, '\P{^- CJK_SYMBOLS}', "");
Expect(0, 12352, '\p{- CJK_SYMBOLS}', "");
Expect(1, 12352, '\p{^- CJK_SYMBOLS}', "");
Expect(1, 12352, '\P{- CJK_SYMBOLS}', "");
Expect(0, 12352, '\P{^- CJK_SYMBOLS}', "");
Error('\p{/a/_ IS_CJK_Symbols}');
Error('\P{/a/_ IS_CJK_Symbols}');
Expect(1, 12351, '\p{iscjksymbols}', "");
Expect(0, 12351, '\p{^iscjksymbols}', "");
Expect(0, 12351, '\P{iscjksymbols}', "");
Expect(1, 12351, '\P{^iscjksymbols}', "");
Expect(0, 12352, '\p{iscjksymbols}', "");
Expect(1, 12352, '\p{^iscjksymbols}', "");
Expect(1, 12352, '\P{iscjksymbols}', "");
Expect(0, 12352, '\P{^iscjksymbols}', "");
Expect(1, 12351, '\p{-	Is_cjk_SYMBOLS}', "");
Expect(0, 12351, '\p{^-	Is_cjk_SYMBOLS}', "");
Expect(0, 12351, '\P{-	Is_cjk_SYMBOLS}', "");
Expect(1, 12351, '\P{^-	Is_cjk_SYMBOLS}', "");
Expect(0, 12352, '\p{-	Is_cjk_SYMBOLS}', "");
Expect(1, 12352, '\p{^-	Is_cjk_SYMBOLS}', "");
Expect(1, 12352, '\P{-	Is_cjk_SYMBOLS}', "");
Expect(0, 12352, '\P{^-	Is_cjk_SYMBOLS}', "");
Error('\p{_:=In_CJK_Symbols}');
Error('\P{_:=In_CJK_Symbols}');
Expect(1, 12351, '\p{incjksymbols}', "");
Expect(0, 12351, '\p{^incjksymbols}', "");
Expect(0, 12351, '\P{incjksymbols}', "");
Expect(1, 12351, '\P{^incjksymbols}', "");
Expect(0, 12352, '\p{incjksymbols}', "");
Expect(1, 12352, '\p{^incjksymbols}', "");
Expect(1, 12352, '\P{incjksymbols}', "");
Expect(0, 12352, '\P{^incjksymbols}', "");
Expect(1, 12351, '\p{		IN_CJK_symbols}', "");
Expect(0, 12351, '\p{^		IN_CJK_symbols}', "");
Expect(0, 12351, '\P{		IN_CJK_symbols}', "");
Expect(1, 12351, '\P{^		IN_CJK_symbols}', "");
Expect(0, 12352, '\p{		IN_CJK_symbols}', "");
Expect(1, 12352, '\p{^		IN_CJK_symbols}', "");
Expect(1, 12352, '\P{		IN_CJK_symbols}', "");
Expect(0, 12352, '\P{^		IN_CJK_symbols}', "");
Error('\p{:=	CJK_UNIFIED_ideographs}');
Error('\P{:=	CJK_UNIFIED_ideographs}');
Expect(1, 40959, '\p{cjkunifiedideographs}', "");
Expect(0, 40959, '\p{^cjkunifiedideographs}', "");
Expect(0, 40959, '\P{cjkunifiedideographs}', "");
Expect(1, 40959, '\P{^cjkunifiedideographs}', "");
Expect(0, 40960, '\p{cjkunifiedideographs}', "");
Expect(1, 40960, '\p{^cjkunifiedideographs}', "");
Expect(1, 40960, '\P{cjkunifiedideographs}', "");
Expect(0, 40960, '\P{^cjkunifiedideographs}', "");
Expect(1, 40959, '\p{_CJK_unified_Ideographs}', "");
Expect(0, 40959, '\p{^_CJK_unified_Ideographs}', "");
Expect(0, 40959, '\P{_CJK_unified_Ideographs}', "");
Expect(1, 40959, '\P{^_CJK_unified_Ideographs}', "");
Expect(0, 40960, '\p{_CJK_unified_Ideographs}', "");
Expect(1, 40960, '\p{^_CJK_unified_Ideographs}', "");
Expect(1, 40960, '\P{_CJK_unified_Ideographs}', "");
Expect(0, 40960, '\P{^_CJK_unified_Ideographs}', "");
Error('\p{:=_is_CJK_unified_Ideographs}');
Error('\P{:=_is_CJK_unified_Ideographs}');
Expect(1, 40959, '\p{iscjkunifiedideographs}', "");
Expect(0, 40959, '\p{^iscjkunifiedideographs}', "");
Expect(0, 40959, '\P{iscjkunifiedideographs}', "");
Expect(1, 40959, '\P{^iscjkunifiedideographs}', "");
Expect(0, 40960, '\p{iscjkunifiedideographs}', "");
Expect(1, 40960, '\p{^iscjkunifiedideographs}', "");
Expect(1, 40960, '\P{iscjkunifiedideographs}', "");
Expect(0, 40960, '\P{^iscjkunifiedideographs}', "");
Expect(1, 40959, '\p{	-Is_cjk_Unified_IDEOGRAPHS}', "");
Expect(0, 40959, '\p{^	-Is_cjk_Unified_IDEOGRAPHS}', "");
Expect(0, 40959, '\P{	-Is_cjk_Unified_IDEOGRAPHS}', "");
Expect(1, 40959, '\P{^	-Is_cjk_Unified_IDEOGRAPHS}', "");
Expect(0, 40960, '\p{	-Is_cjk_Unified_IDEOGRAPHS}', "");
Expect(1, 40960, '\p{^	-Is_cjk_Unified_IDEOGRAPHS}', "");
Expect(1, 40960, '\P{	-Is_cjk_Unified_IDEOGRAPHS}', "");
Expect(0, 40960, '\P{^	-Is_cjk_Unified_IDEOGRAPHS}', "");
Error('\p{	_in_CJK_Unified_Ideographs:=}');
Error('\P{	_in_CJK_Unified_Ideographs:=}');
Expect(1, 40959, '\p{incjkunifiedideographs}', "");
Expect(0, 40959, '\p{^incjkunifiedideographs}', "");
Expect(0, 40959, '\P{incjkunifiedideographs}', "");
Expect(1, 40959, '\P{^incjkunifiedideographs}', "");
Expect(0, 40960, '\p{incjkunifiedideographs}', "");
Expect(1, 40960, '\p{^incjkunifiedideographs}', "");
Expect(1, 40960, '\P{incjkunifiedideographs}', "");
Expect(0, 40960, '\P{^incjkunifiedideographs}', "");
Expect(1, 40959, '\p{_-IN_CJK_Unified_Ideographs}', "");
Expect(0, 40959, '\p{^_-IN_CJK_Unified_Ideographs}', "");
Expect(0, 40959, '\P{_-IN_CJK_Unified_Ideographs}', "");
Expect(1, 40959, '\P{^_-IN_CJK_Unified_Ideographs}', "");
Expect(0, 40960, '\p{_-IN_CJK_Unified_Ideographs}', "");
Expect(1, 40960, '\p{^_-IN_CJK_Unified_Ideographs}', "");
Expect(1, 40960, '\P{_-IN_CJK_Unified_Ideographs}', "");
Expect(0, 40960, '\P{^_-IN_CJK_Unified_Ideographs}', "");
Error('\p{/a/cjk}');
Error('\P{/a/cjk}');
Expect(1, 40959, '\p{cjk}', "");
Expect(0, 40959, '\p{^cjk}', "");
Expect(0, 40959, '\P{cjk}', "");
Expect(1, 40959, '\P{^cjk}', "");
Expect(0, 40960, '\p{cjk}', "");
Expect(1, 40960, '\p{^cjk}', "");
Expect(1, 40960, '\P{cjk}', "");
Expect(0, 40960, '\P{^cjk}', "");
Expect(1, 40959, '\p{	CJK}', "");
Expect(0, 40959, '\p{^	CJK}', "");
Expect(0, 40959, '\P{	CJK}', "");
Expect(1, 40959, '\P{^	CJK}', "");
Expect(0, 40960, '\p{	CJK}', "");
Expect(1, 40960, '\p{^	CJK}', "");
Expect(1, 40960, '\P{	CJK}', "");
Expect(0, 40960, '\P{^	CJK}', "");
Error('\p{/a/Is_cjk}');
Error('\P{/a/Is_cjk}');
Expect(1, 40959, '\p{iscjk}', "");
Expect(0, 40959, '\p{^iscjk}', "");
Expect(0, 40959, '\P{iscjk}', "");
Expect(1, 40959, '\P{^iscjk}', "");
Expect(0, 40960, '\p{iscjk}', "");
Expect(1, 40960, '\p{^iscjk}', "");
Expect(1, 40960, '\P{iscjk}', "");
Expect(0, 40960, '\P{^iscjk}', "");
Expect(1, 40959, '\p{ -Is_CJK}', "");
Expect(0, 40959, '\p{^ -Is_CJK}', "");
Expect(0, 40959, '\P{ -Is_CJK}', "");
Expect(1, 40959, '\P{^ -Is_CJK}', "");
Expect(0, 40960, '\p{ -Is_CJK}', "");
Expect(1, 40960, '\p{^ -Is_CJK}', "");
Expect(1, 40960, '\P{ -Is_CJK}', "");
Expect(0, 40960, '\P{^ -Is_CJK}', "");
Error('\p{ :=IN_CJK}');
Error('\P{ :=IN_CJK}');
Expect(1, 40959, '\p{incjk}', "");
Expect(0, 40959, '\p{^incjk}', "");
Expect(0, 40959, '\P{incjk}', "");
Expect(1, 40959, '\P{^incjk}', "");
Expect(0, 40960, '\p{incjk}', "");
Expect(1, 40960, '\p{^incjk}', "");
Expect(1, 40960, '\P{incjk}', "");
Expect(0, 40960, '\P{^incjk}', "");
Expect(1, 40959, '\p{- IN_CJK}', "");
Expect(0, 40959, '\p{^- IN_CJK}', "");
Expect(0, 40959, '\P{- IN_CJK}', "");
Expect(1, 40959, '\P{^- IN_CJK}', "");
Expect(0, 40960, '\p{- IN_CJK}', "");
Expect(1, 40960, '\p{^- IN_CJK}', "");
Expect(1, 40960, '\P{- IN_CJK}', "");
Expect(0, 40960, '\P{^- IN_CJK}', "");
Error('\p{:=	 cjk_Unified_Ideographs_Extension_A}');
Error('\P{:=	 cjk_Unified_Ideographs_Extension_A}');
Expect(1, 19903, '\p{cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^cjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\p{cjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\p{^cjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\P{cjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\P{^cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{	_CJK_UNIFIED_IDEOGRAPHS_extension_a}', "");
Expect(0, 19903, '\p{^	_CJK_UNIFIED_IDEOGRAPHS_extension_a}', "");
Expect(0, 19903, '\P{	_CJK_UNIFIED_IDEOGRAPHS_extension_a}', "");
Expect(1, 19903, '\P{^	_CJK_UNIFIED_IDEOGRAPHS_extension_a}', "");
Expect(0, 19904, '\p{	_CJK_UNIFIED_IDEOGRAPHS_extension_a}', "");
Expect(1, 19904, '\p{^	_CJK_UNIFIED_IDEOGRAPHS_extension_a}', "");
Expect(1, 19904, '\P{	_CJK_UNIFIED_IDEOGRAPHS_extension_a}', "");
Expect(0, 19904, '\P{^	_CJK_UNIFIED_IDEOGRAPHS_extension_a}', "");
Error('\p{/a/_	is_CJK_UNIFIED_ideographs_Extension_A}');
Error('\P{/a/_	is_CJK_UNIFIED_ideographs_Extension_A}');
Expect(1, 19903, '\p{iscjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^iscjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{iscjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^iscjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\p{iscjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\p{^iscjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\P{iscjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\P{^iscjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{	Is_CJK_unified_IDEOGRAPHS_EXTENSION_a}', "");
Expect(0, 19903, '\p{^	Is_CJK_unified_IDEOGRAPHS_EXTENSION_a}', "");
Expect(0, 19903, '\P{	Is_CJK_unified_IDEOGRAPHS_EXTENSION_a}', "");
Expect(1, 19903, '\P{^	Is_CJK_unified_IDEOGRAPHS_EXTENSION_a}', "");
Expect(0, 19904, '\p{	Is_CJK_unified_IDEOGRAPHS_EXTENSION_a}', "");
Expect(1, 19904, '\p{^	Is_CJK_unified_IDEOGRAPHS_EXTENSION_a}', "");
Expect(1, 19904, '\P{	Is_CJK_unified_IDEOGRAPHS_EXTENSION_a}', "");
Expect(0, 19904, '\P{^	Is_CJK_unified_IDEOGRAPHS_EXTENSION_a}', "");
Error('\p{/a/	 In_CJK_unified_IDEOGRAPHS_EXTENSION_A}');
Error('\P{/a/	 In_CJK_unified_IDEOGRAPHS_EXTENSION_A}');
Expect(1, 19903, '\p{incjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^incjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{incjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^incjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\p{incjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\p{^incjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\P{incjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\P{^incjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{--In_CJK_Unified_Ideographs_EXTENSION_A}', "");
Expect(0, 19903, '\p{^--In_CJK_Unified_Ideographs_EXTENSION_A}', "");
Expect(0, 19903, '\P{--In_CJK_Unified_Ideographs_EXTENSION_A}', "");
Expect(1, 19903, '\P{^--In_CJK_Unified_Ideographs_EXTENSION_A}', "");
Expect(0, 19904, '\p{--In_CJK_Unified_Ideographs_EXTENSION_A}', "");
Expect(1, 19904, '\p{^--In_CJK_Unified_Ideographs_EXTENSION_A}', "");
Expect(1, 19904, '\P{--In_CJK_Unified_Ideographs_EXTENSION_A}', "");
Expect(0, 19904, '\P{^--In_CJK_Unified_Ideographs_EXTENSION_A}', "");
Error('\p{-_CJK_EXT_A/a/}');
Error('\P{-_CJK_EXT_A/a/}');
Expect(1, 19903, '\p{cjkexta}', "");
Expect(0, 19903, '\p{^cjkexta}', "");
Expect(0, 19903, '\P{cjkexta}', "");
Expect(1, 19903, '\P{^cjkexta}', "");
Expect(0, 19904, '\p{cjkexta}', "");
Expect(1, 19904, '\p{^cjkexta}', "");
Expect(1, 19904, '\P{cjkexta}', "");
Expect(0, 19904, '\P{^cjkexta}', "");
Expect(1, 19903, '\p{-_CJK_Ext_A}', "");
Expect(0, 19903, '\p{^-_CJK_Ext_A}', "");
Expect(0, 19903, '\P{-_CJK_Ext_A}', "");
Expect(1, 19903, '\P{^-_CJK_Ext_A}', "");
Expect(0, 19904, '\p{-_CJK_Ext_A}', "");
Expect(1, 19904, '\p{^-_CJK_Ext_A}', "");
Expect(1, 19904, '\P{-_CJK_Ext_A}', "");
Expect(0, 19904, '\P{^-_CJK_Ext_A}', "");
Error('\p{-	IS_CJK_ext_a/a/}');
Error('\P{-	IS_CJK_ext_a/a/}');
Expect(1, 19903, '\p{iscjkexta}', "");
Expect(0, 19903, '\p{^iscjkexta}', "");
Expect(0, 19903, '\P{iscjkexta}', "");
Expect(1, 19903, '\P{^iscjkexta}', "");
Expect(0, 19904, '\p{iscjkexta}', "");
Expect(1, 19904, '\p{^iscjkexta}', "");
Expect(1, 19904, '\P{iscjkexta}', "");
Expect(0, 19904, '\P{^iscjkexta}', "");
Expect(1, 19903, '\p{		IS_CJK_Ext_A}', "");
Expect(0, 19903, '\p{^		IS_CJK_Ext_A}', "");
Expect(0, 19903, '\P{		IS_CJK_Ext_A}', "");
Expect(1, 19903, '\P{^		IS_CJK_Ext_A}', "");
Expect(0, 19904, '\p{		IS_CJK_Ext_A}', "");
Expect(1, 19904, '\p{^		IS_CJK_Ext_A}', "");
Expect(1, 19904, '\P{		IS_CJK_Ext_A}', "");
Expect(0, 19904, '\P{^		IS_CJK_Ext_A}', "");
Error('\p{_	In_cjk_Ext_A/a/}');
Error('\P{_	In_cjk_Ext_A/a/}');
Expect(1, 19903, '\p{incjkexta}', "");
Expect(0, 19903, '\p{^incjkexta}', "");
Expect(0, 19903, '\P{incjkexta}', "");
Expect(1, 19903, '\P{^incjkexta}', "");
Expect(0, 19904, '\p{incjkexta}', "");
Expect(1, 19904, '\p{^incjkexta}', "");
Expect(1, 19904, '\P{incjkexta}', "");
Expect(0, 19904, '\P{^incjkexta}', "");
Expect(1, 19903, '\p{	IN_cjk_EXT_a}', "");
Expect(0, 19903, '\p{^	IN_cjk_EXT_a}', "");
Expect(0, 19903, '\P{	IN_cjk_EXT_a}', "");
Expect(1, 19903, '\P{^	IN_cjk_EXT_a}', "");
Expect(0, 19904, '\p{	IN_cjk_EXT_a}', "");
Expect(1, 19904, '\p{^	IN_cjk_EXT_a}', "");
Expect(1, 19904, '\P{	IN_cjk_EXT_a}', "");
Expect(0, 19904, '\P{^	IN_cjk_EXT_a}', "");
Error('\p{ CJK_Unified_ideographs_Extension_B/a/}');
Error('\P{ CJK_Unified_ideographs_Extension_B/a/}');
Expect(1, 173791, '\p{cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^cjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\p{cjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\p{^cjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\P{cjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\P{^cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{	cjk_UNIFIED_ideographs_EXTENSION_b}', "");
Expect(0, 173791, '\p{^	cjk_UNIFIED_ideographs_EXTENSION_b}', "");
Expect(0, 173791, '\P{	cjk_UNIFIED_ideographs_EXTENSION_b}', "");
Expect(1, 173791, '\P{^	cjk_UNIFIED_ideographs_EXTENSION_b}', "");
Expect(0, 173792, '\p{	cjk_UNIFIED_ideographs_EXTENSION_b}', "");
Expect(1, 173792, '\p{^	cjk_UNIFIED_ideographs_EXTENSION_b}', "");
Expect(1, 173792, '\P{	cjk_UNIFIED_ideographs_EXTENSION_b}', "");
Expect(0, 173792, '\P{^	cjk_UNIFIED_ideographs_EXTENSION_b}', "");
Error('\p{ :=is_cjk_Unified_Ideographs_Extension_B}');
Error('\P{ :=is_cjk_Unified_Ideographs_Extension_B}');
Expect(1, 173791, '\p{iscjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^iscjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{iscjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^iscjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\p{iscjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\p{^iscjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\P{iscjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\P{^iscjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{	Is_CJK_Unified_Ideographs_extension_B}', "");
Expect(0, 173791, '\p{^	Is_CJK_Unified_Ideographs_extension_B}', "");
Expect(0, 173791, '\P{	Is_CJK_Unified_Ideographs_extension_B}', "");
Expect(1, 173791, '\P{^	Is_CJK_Unified_Ideographs_extension_B}', "");
Expect(0, 173792, '\p{	Is_CJK_Unified_Ideographs_extension_B}', "");
Expect(1, 173792, '\p{^	Is_CJK_Unified_Ideographs_extension_B}', "");
Expect(1, 173792, '\P{	Is_CJK_Unified_Ideographs_extension_B}', "");
Expect(0, 173792, '\P{^	Is_CJK_Unified_Ideographs_extension_B}', "");
Error('\p{ /a/in_CJK_UNIFIED_ideographs_Extension_B}');
Error('\P{ /a/in_CJK_UNIFIED_ideographs_Extension_B}');
Expect(1, 173791, '\p{incjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^incjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{incjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^incjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\p{incjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\p{^incjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\P{incjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\P{^incjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{ _In_CJK_Unified_Ideographs_Extension_B}', "");
Expect(0, 173791, '\p{^ _In_CJK_Unified_Ideographs_Extension_B}', "");
Expect(0, 173791, '\P{ _In_CJK_Unified_Ideographs_Extension_B}', "");
Expect(1, 173791, '\P{^ _In_CJK_Unified_Ideographs_Extension_B}', "");
Expect(0, 173792, '\p{ _In_CJK_Unified_Ideographs_Extension_B}', "");
Expect(1, 173792, '\p{^ _In_CJK_Unified_Ideographs_Extension_B}', "");
Expect(1, 173792, '\P{ _In_CJK_Unified_Ideographs_Extension_B}', "");
Expect(0, 173792, '\P{^ _In_CJK_Unified_Ideographs_Extension_B}', "");
Error('\p{/a/--cjk_Ext_B}');
Error('\P{/a/--cjk_Ext_B}');
Expect(1, 173791, '\p{cjkextb}', "");
Expect(0, 173791, '\p{^cjkextb}', "");
Expect(0, 173791, '\P{cjkextb}', "");
Expect(1, 173791, '\P{^cjkextb}', "");
Expect(0, 173792, '\p{cjkextb}', "");
Expect(1, 173792, '\p{^cjkextb}', "");
Expect(1, 173792, '\P{cjkextb}', "");
Expect(0, 173792, '\P{^cjkextb}', "");
Expect(1, 173791, '\p{	_CJK_ext_b}', "");
Expect(0, 173791, '\p{^	_CJK_ext_b}', "");
Expect(0, 173791, '\P{	_CJK_ext_b}', "");
Expect(1, 173791, '\P{^	_CJK_ext_b}', "");
Expect(0, 173792, '\p{	_CJK_ext_b}', "");
Expect(1, 173792, '\p{^	_CJK_ext_b}', "");
Expect(1, 173792, '\P{	_CJK_ext_b}', "");
Expect(0, 173792, '\P{^	_CJK_ext_b}', "");
Error('\p{-/a/is_CJK_EXT_B}');
Error('\P{-/a/is_CJK_EXT_B}');
Expect(1, 173791, '\p{iscjkextb}', "");
Expect(0, 173791, '\p{^iscjkextb}', "");
Expect(0, 173791, '\P{iscjkextb}', "");
Expect(1, 173791, '\P{^iscjkextb}', "");
Expect(0, 173792, '\p{iscjkextb}', "");
Expect(1, 173792, '\p{^iscjkextb}', "");
Expect(1, 173792, '\P{iscjkextb}', "");
Expect(0, 173792, '\P{^iscjkextb}', "");
Expect(1, 173791, '\p{_ Is_cjk_Ext_B}', "");
Expect(0, 173791, '\p{^_ Is_cjk_Ext_B}', "");
Expect(0, 173791, '\P{_ Is_cjk_Ext_B}', "");
Expect(1, 173791, '\P{^_ Is_cjk_Ext_B}', "");
Expect(0, 173792, '\p{_ Is_cjk_Ext_B}', "");
Expect(1, 173792, '\p{^_ Is_cjk_Ext_B}', "");
Expect(1, 173792, '\P{_ Is_cjk_Ext_B}', "");
Expect(0, 173792, '\P{^_ Is_cjk_Ext_B}', "");
Error('\p{	:=in_cjk_EXT_b}');
Error('\P{	:=in_cjk_EXT_b}');
Expect(1, 173791, '\p{incjkextb}', "");
Expect(0, 173791, '\p{^incjkextb}', "");
Expect(0, 173791, '\P{incjkextb}', "");
Expect(1, 173791, '\P{^incjkextb}', "");
Expect(0, 173792, '\p{incjkextb}', "");
Expect(1, 173792, '\p{^incjkextb}', "");
Expect(1, 173792, '\P{incjkextb}', "");
Expect(0, 173792, '\P{^incjkextb}', "");
Expect(1, 173791, '\p{_In_CJK_EXT_B}', "");
Expect(0, 173791, '\p{^_In_CJK_EXT_B}', "");
Expect(0, 173791, '\P{_In_CJK_EXT_B}', "");
Expect(1, 173791, '\P{^_In_CJK_EXT_B}', "");
Expect(0, 173792, '\p{_In_CJK_EXT_B}', "");
Expect(1, 173792, '\p{^_In_CJK_EXT_B}', "");
Expect(1, 173792, '\P{_In_CJK_EXT_B}', "");
Expect(0, 173792, '\P{^_In_CJK_EXT_B}', "");
Error('\p{		CJK_UNIFIED_Ideographs_Extension_C/a/}');
Error('\P{		CJK_UNIFIED_Ideographs_Extension_C/a/}');
Expect(1, 177983, '\p{cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^cjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\p{cjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\p{^cjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\P{cjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\P{^cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{ cjk_Unified_Ideographs_extension_c}', "");
Expect(0, 177983, '\p{^ cjk_Unified_Ideographs_extension_c}', "");
Expect(0, 177983, '\P{ cjk_Unified_Ideographs_extension_c}', "");
Expect(1, 177983, '\P{^ cjk_Unified_Ideographs_extension_c}', "");
Expect(0, 177984, '\p{ cjk_Unified_Ideographs_extension_c}', "");
Expect(1, 177984, '\p{^ cjk_Unified_Ideographs_extension_c}', "");
Expect(1, 177984, '\P{ cjk_Unified_Ideographs_extension_c}', "");
Expect(0, 177984, '\P{^ cjk_Unified_Ideographs_extension_c}', "");
Error('\p{-_Is_CJK_unified_IDEOGRAPHS_EXTENSION_C:=}');
Error('\P{-_Is_CJK_unified_IDEOGRAPHS_EXTENSION_C:=}');
Expect(1, 177983, '\p{iscjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^iscjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{iscjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^iscjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\p{iscjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\p{^iscjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\P{iscjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\P{^iscjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{ _Is_CJK_Unified_ideographs_EXTENSION_C}', "");
Expect(0, 177983, '\p{^ _Is_CJK_Unified_ideographs_EXTENSION_C}', "");
Expect(0, 177983, '\P{ _Is_CJK_Unified_ideographs_EXTENSION_C}', "");
Expect(1, 177983, '\P{^ _Is_CJK_Unified_ideographs_EXTENSION_C}', "");
Expect(0, 177984, '\p{ _Is_CJK_Unified_ideographs_EXTENSION_C}', "");
Expect(1, 177984, '\p{^ _Is_CJK_Unified_ideographs_EXTENSION_C}', "");
Expect(1, 177984, '\P{ _Is_CJK_Unified_ideographs_EXTENSION_C}', "");
Expect(0, 177984, '\P{^ _Is_CJK_Unified_ideographs_EXTENSION_C}', "");
Error('\p{	/a/IN_CJK_Unified_Ideographs_Extension_C}');
Error('\P{	/a/IN_CJK_Unified_Ideographs_Extension_C}');
Expect(1, 177983, '\p{incjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^incjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{incjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^incjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\p{incjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\p{^incjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\P{incjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\P{^incjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{ 	IN_CJK_Unified_Ideographs_EXTENSION_C}', "");
Expect(0, 177983, '\p{^ 	IN_CJK_Unified_Ideographs_EXTENSION_C}', "");
Expect(0, 177983, '\P{ 	IN_CJK_Unified_Ideographs_EXTENSION_C}', "");
Expect(1, 177983, '\P{^ 	IN_CJK_Unified_Ideographs_EXTENSION_C}', "");
Expect(0, 177984, '\p{ 	IN_CJK_Unified_Ideographs_EXTENSION_C}', "");
Expect(1, 177984, '\p{^ 	IN_CJK_Unified_Ideographs_EXTENSION_C}', "");
Expect(1, 177984, '\P{ 	IN_CJK_Unified_Ideographs_EXTENSION_C}', "");
Expect(0, 177984, '\P{^ 	IN_CJK_Unified_Ideographs_EXTENSION_C}', "");
Error('\p{:=_CJK_Ext_c}');
Error('\P{:=_CJK_Ext_c}');
Expect(1, 177983, '\p{cjkextc}', "");
Expect(0, 177983, '\p{^cjkextc}', "");
Expect(0, 177983, '\P{cjkextc}', "");
Expect(1, 177983, '\P{^cjkextc}', "");
Expect(0, 177984, '\p{cjkextc}', "");
Expect(1, 177984, '\p{^cjkextc}', "");
Expect(1, 177984, '\P{cjkextc}', "");
Expect(0, 177984, '\P{^cjkextc}', "");
Expect(1, 177983, '\p{ CJK_Ext_C}', "");
Expect(0, 177983, '\p{^ CJK_Ext_C}', "");
Expect(0, 177983, '\P{ CJK_Ext_C}', "");
Expect(1, 177983, '\P{^ CJK_Ext_C}', "");
Expect(0, 177984, '\p{ CJK_Ext_C}', "");
Expect(1, 177984, '\p{^ CJK_Ext_C}', "");
Expect(1, 177984, '\P{ CJK_Ext_C}', "");
Expect(0, 177984, '\P{^ CJK_Ext_C}', "");
Error('\p{/a/-IS_CJK_EXT_C}');
Error('\P{/a/-IS_CJK_EXT_C}');
Expect(1, 177983, '\p{iscjkextc}', "");
Expect(0, 177983, '\p{^iscjkextc}', "");
Expect(0, 177983, '\P{iscjkextc}', "");
Expect(1, 177983, '\P{^iscjkextc}', "");
Expect(0, 177984, '\p{iscjkextc}', "");
Expect(1, 177984, '\p{^iscjkextc}', "");
Expect(1, 177984, '\P{iscjkextc}', "");
Expect(0, 177984, '\P{^iscjkextc}', "");
Expect(1, 177983, '\p{ is_cjk_ext_C}', "");
Expect(0, 177983, '\p{^ is_cjk_ext_C}', "");
Expect(0, 177983, '\P{ is_cjk_ext_C}', "");
Expect(1, 177983, '\P{^ is_cjk_ext_C}', "");
Expect(0, 177984, '\p{ is_cjk_ext_C}', "");
Expect(1, 177984, '\p{^ is_cjk_ext_C}', "");
Expect(1, 177984, '\P{ is_cjk_ext_C}', "");
Expect(0, 177984, '\P{^ is_cjk_ext_C}', "");
Error('\p{	In_CJK_EXT_C:=}');
Error('\P{	In_CJK_EXT_C:=}');
Expect(1, 177983, '\p{incjkextc}', "");
Expect(0, 177983, '\p{^incjkextc}', "");
Expect(0, 177983, '\P{incjkextc}', "");
Expect(1, 177983, '\P{^incjkextc}', "");
Expect(0, 177984, '\p{incjkextc}', "");
Expect(1, 177984, '\p{^incjkextc}', "");
Expect(1, 177984, '\P{incjkextc}', "");
Expect(0, 177984, '\P{^incjkextc}', "");
Expect(1, 177983, '\p{--IN_cjk_Ext_C}', "");
Expect(0, 177983, '\p{^--IN_cjk_Ext_C}', "");
Expect(0, 177983, '\P{--IN_cjk_Ext_C}', "");
Expect(1, 177983, '\P{^--IN_cjk_Ext_C}', "");
Expect(0, 177984, '\p{--IN_cjk_Ext_C}', "");
Expect(1, 177984, '\p{^--IN_cjk_Ext_C}', "");
Expect(1, 177984, '\P{--IN_cjk_Ext_C}', "");
Expect(0, 177984, '\P{^--IN_cjk_Ext_C}', "");
Error('\p{ CJK_unified_Ideographs_EXTENSION_D:=}');
Error('\P{ CJK_unified_Ideographs_EXTENSION_D:=}');
Expect(1, 178207, '\p{cjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\p{^cjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\P{cjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\P{^cjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\p{cjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\p{^cjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\P{cjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\P{^cjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\p{	CJK_Unified_ideographs_extension_D}', "");
Expect(0, 178207, '\p{^	CJK_Unified_ideographs_extension_D}', "");
Expect(0, 178207, '\P{	CJK_Unified_ideographs_extension_D}', "");
Expect(1, 178207, '\P{^	CJK_Unified_ideographs_extension_D}', "");
Expect(0, 178208, '\p{	CJK_Unified_ideographs_extension_D}', "");
Expect(1, 178208, '\p{^	CJK_Unified_ideographs_extension_D}', "");
Expect(1, 178208, '\P{	CJK_Unified_ideographs_extension_D}', "");
Expect(0, 178208, '\P{^	CJK_Unified_ideographs_extension_D}', "");
Error('\p{	/a/is_CJK_Unified_ideographs_Extension_D}');
Error('\P{	/a/is_CJK_Unified_ideographs_Extension_D}');
Expect(1, 178207, '\p{iscjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\p{^iscjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\P{iscjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\P{^iscjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\p{iscjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\p{^iscjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\P{iscjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\P{^iscjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\p{	_Is_CJK_unified_IDEOGRAPHS_extension_d}', "");
Expect(0, 178207, '\p{^	_Is_CJK_unified_IDEOGRAPHS_extension_d}', "");
Expect(0, 178207, '\P{	_Is_CJK_unified_IDEOGRAPHS_extension_d}', "");
Expect(1, 178207, '\P{^	_Is_CJK_unified_IDEOGRAPHS_extension_d}', "");
Expect(0, 178208, '\p{	_Is_CJK_unified_IDEOGRAPHS_extension_d}', "");
Expect(1, 178208, '\p{^	_Is_CJK_unified_IDEOGRAPHS_extension_d}', "");
Expect(1, 178208, '\P{	_Is_CJK_unified_IDEOGRAPHS_extension_d}', "");
Expect(0, 178208, '\P{^	_Is_CJK_unified_IDEOGRAPHS_extension_d}', "");
Error('\p{-in_CJK_unified_IDEOGRAPHS_extension_d:=}');
Error('\P{-in_CJK_unified_IDEOGRAPHS_extension_d:=}');
Expect(1, 178207, '\p{incjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\p{^incjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\P{incjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\P{^incjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\p{incjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\p{^incjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\P{incjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\P{^incjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\p{	In_CJK_Unified_IDEOGRAPHS_Extension_D}', "");
Expect(0, 178207, '\p{^	In_CJK_Unified_IDEOGRAPHS_Extension_D}', "");
Expect(0, 178207, '\P{	In_CJK_Unified_IDEOGRAPHS_Extension_D}', "");
Expect(1, 178207, '\P{^	In_CJK_Unified_IDEOGRAPHS_Extension_D}', "");
Expect(0, 178208, '\p{	In_CJK_Unified_IDEOGRAPHS_Extension_D}', "");
Expect(1, 178208, '\p{^	In_CJK_Unified_IDEOGRAPHS_Extension_D}', "");
Expect(1, 178208, '\P{	In_CJK_Unified_IDEOGRAPHS_Extension_D}', "");
Expect(0, 178208, '\P{^	In_CJK_Unified_IDEOGRAPHS_Extension_D}', "");
Error('\p{_CJK_EXT_d/a/}');
Error('\P{_CJK_EXT_d/a/}');
Expect(1, 178207, '\p{cjkextd}', "");
Expect(0, 178207, '\p{^cjkextd}', "");
Expect(0, 178207, '\P{cjkextd}', "");
Expect(1, 178207, '\P{^cjkextd}', "");
Expect(0, 178208, '\p{cjkextd}', "");
Expect(1, 178208, '\p{^cjkextd}', "");
Expect(1, 178208, '\P{cjkextd}', "");
Expect(0, 178208, '\P{^cjkextd}', "");
Expect(1, 178207, '\p{ -CJK_Ext_D}', "");
Expect(0, 178207, '\p{^ -CJK_Ext_D}', "");
Expect(0, 178207, '\P{ -CJK_Ext_D}', "");
Expect(1, 178207, '\P{^ -CJK_Ext_D}', "");
Expect(0, 178208, '\p{ -CJK_Ext_D}', "");
Expect(1, 178208, '\p{^ -CJK_Ext_D}', "");
Expect(1, 178208, '\P{ -CJK_Ext_D}', "");
Expect(0, 178208, '\P{^ -CJK_Ext_D}', "");
Error('\p{		IS_cjk_Ext_D:=}');
Error('\P{		IS_cjk_Ext_D:=}');
Expect(1, 178207, '\p{iscjkextd}', "");
Expect(0, 178207, '\p{^iscjkextd}', "");
Expect(0, 178207, '\P{iscjkextd}', "");
Expect(1, 178207, '\P{^iscjkextd}', "");
Expect(0, 178208, '\p{iscjkextd}', "");
Expect(1, 178208, '\p{^iscjkextd}', "");
Expect(1, 178208, '\P{iscjkextd}', "");
Expect(0, 178208, '\P{^iscjkextd}', "");
Expect(1, 178207, '\p{_ IS_CJK_ext_d}', "");
Expect(0, 178207, '\p{^_ IS_CJK_ext_d}', "");
Expect(0, 178207, '\P{_ IS_CJK_ext_d}', "");
Expect(1, 178207, '\P{^_ IS_CJK_ext_d}', "");
Expect(0, 178208, '\p{_ IS_CJK_ext_d}', "");
Expect(1, 178208, '\p{^_ IS_CJK_ext_d}', "");
Expect(1, 178208, '\P{_ IS_CJK_ext_d}', "");
Expect(0, 178208, '\P{^_ IS_CJK_ext_d}', "");
Error('\p{ In_CJK_Ext_D:=}');
Error('\P{ In_CJK_Ext_D:=}');
Expect(1, 178207, '\p{incjkextd}', "");
Expect(0, 178207, '\p{^incjkextd}', "");
Expect(0, 178207, '\P{incjkextd}', "");
Expect(1, 178207, '\P{^incjkextd}', "");
Expect(0, 178208, '\p{incjkextd}', "");
Expect(1, 178208, '\p{^incjkextd}', "");
Expect(1, 178208, '\P{incjkextd}', "");
Expect(0, 178208, '\P{^incjkextd}', "");
Expect(1, 178207, '\p{--In_CJK_EXT_D}', "");
Expect(0, 178207, '\p{^--In_CJK_EXT_D}', "");
Expect(0, 178207, '\P{--In_CJK_EXT_D}', "");
Expect(1, 178207, '\P{^--In_CJK_EXT_D}', "");
Expect(0, 178208, '\p{--In_CJK_EXT_D}', "");
Expect(1, 178208, '\p{^--In_CJK_EXT_D}', "");
Expect(1, 178208, '\P{--In_CJK_EXT_D}', "");
Expect(0, 178208, '\P{^--In_CJK_EXT_D}', "");
Error('\p{	Canadian_aboriginal:=}');
Error('\P{	Canadian_aboriginal:=}');
Expect(1, 6389, '\p{canadianaboriginal}', "");
Expect(0, 6389, '\p{^canadianaboriginal}', "");
Expect(0, 6389, '\P{canadianaboriginal}', "");
Expect(1, 6389, '\P{^canadianaboriginal}', "");
Expect(0, 6390, '\p{canadianaboriginal}', "");
Expect(1, 6390, '\p{^canadianaboriginal}', "");
Expect(1, 6390, '\P{canadianaboriginal}', "");
Expect(0, 6390, '\P{^canadianaboriginal}', "");
Expect(1, 6389, '\p{-CANADIAN_Aboriginal}', "");
Expect(0, 6389, '\p{^-CANADIAN_Aboriginal}', "");
Expect(0, 6389, '\P{-CANADIAN_Aboriginal}', "");
Expect(1, 6389, '\P{^-CANADIAN_Aboriginal}', "");
Expect(0, 6390, '\p{-CANADIAN_Aboriginal}', "");
Expect(1, 6390, '\p{^-CANADIAN_Aboriginal}', "");
Expect(1, 6390, '\P{-CANADIAN_Aboriginal}', "");
Expect(0, 6390, '\P{^-CANADIAN_Aboriginal}', "");
Error('\p{-/a/is_CANADIAN_Aboriginal}');
Error('\P{-/a/is_CANADIAN_Aboriginal}');
Expect(1, 6389, '\p{iscanadianaboriginal}', "");
Expect(0, 6389, '\p{^iscanadianaboriginal}', "");
Expect(0, 6389, '\P{iscanadianaboriginal}', "");
Expect(1, 6389, '\P{^iscanadianaboriginal}', "");
Expect(0, 6390, '\p{iscanadianaboriginal}', "");
Expect(1, 6390, '\p{^iscanadianaboriginal}', "");
Expect(1, 6390, '\P{iscanadianaboriginal}', "");
Expect(0, 6390, '\P{^iscanadianaboriginal}', "");
Expect(1, 6389, '\p{_ is_Canadian_Aboriginal}', "");
Expect(0, 6389, '\p{^_ is_Canadian_Aboriginal}', "");
Expect(0, 6389, '\P{_ is_Canadian_Aboriginal}', "");
Expect(1, 6389, '\P{^_ is_Canadian_Aboriginal}', "");
Expect(0, 6390, '\p{_ is_Canadian_Aboriginal}', "");
Expect(1, 6390, '\p{^_ is_Canadian_Aboriginal}', "");
Expect(1, 6390, '\P{_ is_Canadian_Aboriginal}', "");
Expect(0, 6390, '\P{^_ is_Canadian_Aboriginal}', "");
Error('\p{:=cans}');
Error('\P{:=cans}');
Expect(1, 6389, '\p{cans}', "");
Expect(0, 6389, '\p{^cans}', "");
Expect(0, 6389, '\P{cans}', "");
Expect(1, 6389, '\P{^cans}', "");
Expect(0, 6390, '\p{cans}', "");
Expect(1, 6390, '\p{^cans}', "");
Expect(1, 6390, '\P{cans}', "");
Expect(0, 6390, '\P{^cans}', "");
Expect(1, 6389, '\p{-Cans}', "");
Expect(0, 6389, '\p{^-Cans}', "");
Expect(0, 6389, '\P{-Cans}', "");
Expect(1, 6389, '\P{^-Cans}', "");
Expect(0, 6390, '\p{-Cans}', "");
Expect(1, 6390, '\p{^-Cans}', "");
Expect(1, 6390, '\P{-Cans}', "");
Expect(0, 6390, '\P{^-Cans}', "");
Error('\p{	/a/Is_cans}');
Error('\P{	/a/Is_cans}');
Expect(1, 6389, '\p{iscans}', "");
Expect(0, 6389, '\p{^iscans}', "");
Expect(0, 6389, '\P{iscans}', "");
Expect(1, 6389, '\P{^iscans}', "");
Expect(0, 6390, '\p{iscans}', "");
Expect(1, 6390, '\p{^iscans}', "");
Expect(1, 6390, '\P{iscans}', "");
Expect(0, 6390, '\P{^iscans}', "");
Expect(1, 6389, '\p{__Is_CANS}', "");
Expect(0, 6389, '\p{^__Is_CANS}', "");
Expect(0, 6389, '\P{__Is_CANS}', "");
Expect(1, 6389, '\P{^__Is_CANS}', "");
Expect(0, 6390, '\p{__Is_CANS}', "");
Expect(1, 6390, '\p{^__Is_CANS}', "");
Expect(1, 6390, '\P{__Is_CANS}', "");
Expect(0, 6390, '\P{^__Is_CANS}', "");
Error('\p{__Carian:=}');
Error('\P{__Carian:=}');
Expect(1, 66256, '\p{carian}', "");
Expect(0, 66256, '\p{^carian}', "");
Expect(0, 66256, '\P{carian}', "");
Expect(1, 66256, '\P{^carian}', "");
Expect(0, 66257, '\p{carian}', "");
Expect(1, 66257, '\p{^carian}', "");
Expect(1, 66257, '\P{carian}', "");
Expect(0, 66257, '\P{^carian}', "");
Expect(1, 66256, '\p{ -Carian}', "");
Expect(0, 66256, '\p{^ -Carian}', "");
Expect(0, 66256, '\P{ -Carian}', "");
Expect(1, 66256, '\P{^ -Carian}', "");
Expect(0, 66257, '\p{ -Carian}', "");
Expect(1, 66257, '\p{^ -Carian}', "");
Expect(1, 66257, '\P{ -Carian}', "");
Expect(0, 66257, '\P{^ -Carian}', "");
Error('\p{ /a/is_carian}');
Error('\P{ /a/is_carian}');
Expect(1, 66256, '\p{iscarian}', "");
Expect(0, 66256, '\p{^iscarian}', "");
Expect(0, 66256, '\P{iscarian}', "");
Expect(1, 66256, '\P{^iscarian}', "");
Expect(0, 66257, '\p{iscarian}', "");
Expect(1, 66257, '\p{^iscarian}', "");
Expect(1, 66257, '\P{iscarian}', "");
Expect(0, 66257, '\P{^iscarian}', "");
Expect(1, 66256, '\p{ IS_Carian}', "");
Expect(0, 66256, '\p{^ IS_Carian}', "");
Expect(0, 66256, '\P{ IS_Carian}', "");
Expect(1, 66256, '\P{^ IS_Carian}', "");
Expect(0, 66257, '\p{ IS_Carian}', "");
Expect(1, 66257, '\p{^ IS_Carian}', "");
Expect(1, 66257, '\P{ IS_Carian}', "");
Expect(0, 66257, '\P{^ IS_Carian}', "");
Error('\p{:=_-cari}');
Error('\P{:=_-cari}');
Expect(1, 66256, '\p{cari}', "");
Expect(0, 66256, '\p{^cari}', "");
Expect(0, 66256, '\P{cari}', "");
Expect(1, 66256, '\P{^cari}', "");
Expect(0, 66257, '\p{cari}', "");
Expect(1, 66257, '\p{^cari}', "");
Expect(1, 66257, '\P{cari}', "");
Expect(0, 66257, '\P{^cari}', "");
Expect(1, 66256, '\p{-	Cari}', "");
Expect(0, 66256, '\p{^-	Cari}', "");
Expect(0, 66256, '\P{-	Cari}', "");
Expect(1, 66256, '\P{^-	Cari}', "");
Expect(0, 66257, '\p{-	Cari}', "");
Expect(1, 66257, '\p{^-	Cari}', "");
Expect(1, 66257, '\P{-	Cari}', "");
Expect(0, 66257, '\P{^-	Cari}', "");
Error('\p{ _Is_CARI/a/}');
Error('\P{ _Is_CARI/a/}');
Expect(1, 66256, '\p{iscari}', "");
Expect(0, 66256, '\p{^iscari}', "");
Expect(0, 66256, '\P{iscari}', "");
Expect(1, 66256, '\P{^iscari}', "");
Expect(0, 66257, '\p{iscari}', "");
Expect(1, 66257, '\p{^iscari}', "");
Expect(1, 66257, '\P{iscari}', "");
Expect(0, 66257, '\P{^iscari}', "");
Expect(1, 66256, '\p{ _IS_CARI}', "");
Expect(0, 66256, '\p{^ _IS_CARI}', "");
Expect(0, 66256, '\P{ _IS_CARI}', "");
Expect(1, 66256, '\P{^ _IS_CARI}', "");
Expect(0, 66257, '\p{ _IS_CARI}', "");
Expect(1, 66257, '\p{^ _IS_CARI}', "");
Expect(1, 66257, '\P{ _IS_CARI}', "");
Expect(0, 66257, '\P{^ _IS_CARI}', "");
Error('\p{ 	Cased:=}');
Error('\P{ 	Cased:=}');
Expect(1, 127369, '\p{cased}', "");
Expect(0, 127369, '\p{^cased}', "");
Expect(0, 127369, '\P{cased}', "");
Expect(1, 127369, '\P{^cased}', "");
Expect(0, 127370, '\p{cased}', "");
Expect(1, 127370, '\p{^cased}', "");
Expect(1, 127370, '\P{cased}', "");
Expect(0, 127370, '\P{^cased}', "");
Expect(1, 127369, '\p{- Cased}', "");
Expect(0, 127369, '\p{^- Cased}', "");
Expect(0, 127369, '\P{- Cased}', "");
Expect(1, 127369, '\P{^- Cased}', "");
Expect(0, 127370, '\p{- Cased}', "");
Expect(1, 127370, '\p{^- Cased}', "");
Expect(1, 127370, '\P{- Cased}', "");
Expect(0, 127370, '\P{^- Cased}', "");
Error('\p{ Is_cased:=}');
Error('\P{ Is_cased:=}');
Expect(1, 127369, '\p{iscased}', "");
Expect(0, 127369, '\p{^iscased}', "");
Expect(0, 127369, '\P{iscased}', "");
Expect(1, 127369, '\P{^iscased}', "");
Expect(0, 127370, '\p{iscased}', "");
Expect(1, 127370, '\p{^iscased}', "");
Expect(1, 127370, '\P{iscased}', "");
Expect(0, 127370, '\P{^iscased}', "");
Expect(1, 127369, '\p{_Is_CASED}', "");
Expect(0, 127369, '\p{^_Is_CASED}', "");
Expect(0, 127369, '\P{_Is_CASED}', "");
Expect(1, 127369, '\P{^_Is_CASED}', "");
Expect(0, 127370, '\p{_Is_CASED}', "");
Expect(1, 127370, '\p{^_Is_CASED}', "");
Expect(1, 127370, '\P{_Is_CASED}', "");
Expect(0, 127370, '\P{^_Is_CASED}', "");
Error('\p{ /a/Cased_LETTER}');
Error('\P{ /a/Cased_LETTER}');
Expect(1, 120779, '\p{casedletter}', "");
Expect(0, 120779, '\p{^casedletter}', "");
Expect(0, 120779, '\P{casedletter}', "");
Expect(1, 120779, '\P{^casedletter}', "");
Expect(0, 120780, '\p{casedletter}', "");
Expect(1, 120780, '\p{^casedletter}', "");
Expect(1, 120780, '\P{casedletter}', "");
Expect(0, 120780, '\P{^casedletter}', "");
Expect(1, 120779, '\p{_ Cased_letter}', "");
Expect(0, 120779, '\p{^_ Cased_letter}', "");
Expect(0, 120779, '\P{_ Cased_letter}', "");
Expect(1, 120779, '\P{^_ Cased_letter}', "");
Expect(0, 120780, '\p{_ Cased_letter}', "");
Expect(1, 120780, '\p{^_ Cased_letter}', "");
Expect(1, 120780, '\P{_ Cased_letter}', "");
Expect(0, 120780, '\P{^_ Cased_letter}', "");
Error('\p{-/a/Is_Cased_LETTER}');
Error('\P{-/a/Is_Cased_LETTER}');
Expect(1, 120779, '\p{iscasedletter}', "");
Expect(0, 120779, '\p{^iscasedletter}', "");
Expect(0, 120779, '\P{iscasedletter}', "");
Expect(1, 120779, '\P{^iscasedletter}', "");
Expect(0, 120780, '\p{iscasedletter}', "");
Expect(1, 120780, '\p{^iscasedletter}', "");
Expect(1, 120780, '\P{iscasedletter}', "");
Expect(0, 120780, '\P{^iscasedletter}', "");
Expect(1, 120779, '\p{-_is_cased_Letter}', "");
Expect(0, 120779, '\p{^-_is_cased_Letter}', "");
Expect(0, 120779, '\P{-_is_cased_Letter}', "");
Expect(1, 120779, '\P{^-_is_cased_Letter}', "");
Expect(0, 120780, '\p{-_is_cased_Letter}', "");
Expect(1, 120780, '\p{^-_is_cased_Letter}', "");
Expect(1, 120780, '\P{-_is_cased_Letter}', "");
Expect(0, 120780, '\P{^-_is_cased_Letter}', "");
Error('\p{_lc/a/}');
Error('\P{_lc/a/}');
Expect(1, 120779, '\p{lc}', "");
Expect(0, 120779, '\p{^lc}', "");
Expect(0, 120779, '\P{lc}', "");
Expect(1, 120779, '\P{^lc}', "");
Expect(0, 120780, '\p{lc}', "");
Expect(1, 120780, '\p{^lc}', "");
Expect(1, 120780, '\P{lc}', "");
Expect(0, 120780, '\P{^lc}', "");
Expect(1, 120779, '\p{	lc}', "");
Expect(0, 120779, '\p{^	lc}', "");
Expect(0, 120779, '\P{	lc}', "");
Expect(1, 120779, '\P{^	lc}', "");
Expect(0, 120780, '\p{	lc}', "");
Expect(1, 120780, '\p{^	lc}', "");
Expect(1, 120780, '\P{	lc}', "");
Expect(0, 120780, '\P{^	lc}', "");
Error('\p{_ IS_LC:=}');
Error('\P{_ IS_LC:=}');
Expect(1, 120779, '\p{islc}', "");
Expect(0, 120779, '\p{^islc}', "");
Expect(0, 120779, '\P{islc}', "");
Expect(1, 120779, '\P{^islc}', "");
Expect(0, 120780, '\p{islc}', "");
Expect(1, 120780, '\p{^islc}', "");
Expect(1, 120780, '\P{islc}', "");
Expect(0, 120780, '\P{^islc}', "");
Expect(1, 120779, '\p{_	is_LC}', "");
Expect(0, 120779, '\p{^_	is_LC}', "");
Expect(0, 120779, '\P{_	is_LC}', "");
Expect(1, 120779, '\P{^_	is_LC}', "");
Expect(0, 120780, '\p{_	is_LC}', "");
Expect(1, 120780, '\p{^_	is_LC}', "");
Expect(1, 120780, '\P{_	is_LC}', "");
Expect(0, 120780, '\P{^_	is_LC}', "");
Error('\p{:=		L_}');
Error('\P{:=		L_}');
Expect(1, 120779, '\p{l_}', "");
Expect(0, 120779, '\p{^l_}', "");
Expect(0, 120779, '\P{l_}', "");
Expect(1, 120779, '\P{^l_}', "");
Expect(0, 120780, '\p{l_}', "");
Expect(1, 120780, '\p{^l_}', "");
Expect(1, 120780, '\P{l_}', "");
Expect(0, 120780, '\P{^l_}', "");
Expect(1, 120779, '\p{	l_}', "");
Expect(0, 120779, '\p{^	l_}', "");
Expect(0, 120779, '\P{	l_}', "");
Expect(1, 120779, '\P{^	l_}', "");
Expect(0, 120780, '\p{	l_}', "");
Expect(1, 120780, '\p{^	l_}', "");
Expect(1, 120780, '\P{	l_}', "");
Expect(0, 120780, '\P{^	l_}', "");
Error('\p{IS_l_:=}');
Error('\P{IS_l_:=}');
Expect(1, 120779, '\p{isl_}', "");
Expect(0, 120779, '\p{^isl_}', "");
Expect(0, 120779, '\P{isl_}', "");
Expect(1, 120779, '\P{^isl_}', "");
Expect(0, 120780, '\p{isl_}', "");
Expect(1, 120780, '\p{^isl_}', "");
Expect(1, 120780, '\P{isl_}', "");
Expect(0, 120780, '\P{^isl_}', "");
Expect(1, 120779, '\p{--is_L_}', "");
Expect(0, 120779, '\p{^--is_L_}', "");
Expect(0, 120779, '\P{--is_L_}', "");
Expect(1, 120779, '\P{^--is_L_}', "");
Expect(0, 120780, '\p{--is_L_}', "");
Expect(1, 120780, '\p{^--is_L_}', "");
Expect(1, 120780, '\P{--is_L_}', "");
Expect(0, 120780, '\P{^--is_L_}', "");
Error('\p{ /a/l&}');
Error('\P{ /a/l&}');
Expect(1, 120779, '\p{l&}', "");
Expect(0, 120779, '\p{^l&}', "");
Expect(0, 120779, '\P{l&}', "");
Expect(1, 120779, '\P{^l&}', "");
Expect(0, 120780, '\p{l&}', "");
Expect(1, 120780, '\p{^l&}', "");
Expect(1, 120780, '\P{l&}', "");
Expect(0, 120780, '\P{^l&}', "");
Expect(1, 120779, '\p{ -l&}', "");
Expect(0, 120779, '\p{^ -l&}', "");
Expect(0, 120779, '\P{ -l&}', "");
Expect(1, 120779, '\P{^ -l&}', "");
Expect(0, 120780, '\p{ -l&}', "");
Expect(1, 120780, '\p{^ -l&}', "");
Expect(1, 120780, '\P{ -l&}', "");
Expect(0, 120780, '\P{^ -l&}', "");
Error('\p{ /a/is_L&}');
Error('\P{ /a/is_L&}');
Expect(1, 120779, '\p{isl&}', "");
Expect(0, 120779, '\p{^isl&}', "");
Expect(0, 120779, '\P{isl&}', "");
Expect(1, 120779, '\P{^isl&}', "");
Expect(0, 120780, '\p{isl&}', "");
Expect(1, 120780, '\p{^isl&}', "");
Expect(1, 120780, '\P{isl&}', "");
Expect(0, 120780, '\P{^isl&}', "");
Expect(1, 120779, '\p{-_Is_l&}', "");
Expect(0, 120779, '\p{^-_Is_l&}', "");
Expect(0, 120779, '\P{-_Is_l&}', "");
Expect(1, 120779, '\P{^-_Is_l&}', "");
Expect(0, 120780, '\p{-_Is_l&}', "");
Expect(1, 120780, '\p{^-_Is_l&}', "");
Expect(1, 120780, '\P{-_Is_l&}', "");
Expect(0, 120780, '\P{^-_Is_l&}', "");
Error('\p{_:=CAUCASIAN_ALBANIAN}');
Error('\P{_:=CAUCASIAN_ALBANIAN}');
Expect(1, 66927, '\p{caucasianalbanian}', "");
Expect(0, 66927, '\p{^caucasianalbanian}', "");
Expect(0, 66927, '\P{caucasianalbanian}', "");
Expect(1, 66927, '\P{^caucasianalbanian}', "");
Expect(0, 66928, '\p{caucasianalbanian}', "");
Expect(1, 66928, '\p{^caucasianalbanian}', "");
Expect(1, 66928, '\P{caucasianalbanian}', "");
Expect(0, 66928, '\P{^caucasianalbanian}', "");
Expect(1, 66927, '\p{--Caucasian_Albanian}', "");
Expect(0, 66927, '\p{^--Caucasian_Albanian}', "");
Expect(0, 66927, '\P{--Caucasian_Albanian}', "");
Expect(1, 66927, '\P{^--Caucasian_Albanian}', "");
Expect(0, 66928, '\p{--Caucasian_Albanian}', "");
Expect(1, 66928, '\p{^--Caucasian_Albanian}', "");
Expect(1, 66928, '\P{--Caucasian_Albanian}', "");
Expect(0, 66928, '\P{^--Caucasian_Albanian}', "");
Error('\p{/a/_Is_Caucasian_Albanian}');
Error('\P{/a/_Is_Caucasian_Albanian}');
Expect(1, 66927, '\p{iscaucasianalbanian}', "");
Expect(0, 66927, '\p{^iscaucasianalbanian}', "");
Expect(0, 66927, '\P{iscaucasianalbanian}', "");
Expect(1, 66927, '\P{^iscaucasianalbanian}', "");
Expect(0, 66928, '\p{iscaucasianalbanian}', "");
Expect(1, 66928, '\p{^iscaucasianalbanian}', "");
Expect(1, 66928, '\P{iscaucasianalbanian}', "");
Expect(0, 66928, '\P{^iscaucasianalbanian}', "");
Expect(1, 66927, '\p{_Is_CAUCASIAN_albanian}', "");
Expect(0, 66927, '\p{^_Is_CAUCASIAN_albanian}', "");
Expect(0, 66927, '\P{_Is_CAUCASIAN_albanian}', "");
Expect(1, 66927, '\P{^_Is_CAUCASIAN_albanian}', "");
Expect(0, 66928, '\p{_Is_CAUCASIAN_albanian}', "");
Expect(1, 66928, '\p{^_Is_CAUCASIAN_albanian}', "");
Expect(1, 66928, '\P{_Is_CAUCASIAN_albanian}', "");
Expect(0, 66928, '\P{^_Is_CAUCASIAN_albanian}', "");
Error('\p{ AGHB:=}');
Error('\P{ AGHB:=}');
Expect(1, 66927, '\p{aghb}', "");
Expect(0, 66927, '\p{^aghb}', "");
Expect(0, 66927, '\P{aghb}', "");
Expect(1, 66927, '\P{^aghb}', "");
Expect(0, 66928, '\p{aghb}', "");
Expect(1, 66928, '\p{^aghb}', "");
Expect(1, 66928, '\P{aghb}', "");
Expect(0, 66928, '\P{^aghb}', "");
Expect(1, 66927, '\p{-	Aghb}', "");
Expect(0, 66927, '\p{^-	Aghb}', "");
Expect(0, 66927, '\P{-	Aghb}', "");
Expect(1, 66927, '\P{^-	Aghb}', "");
Expect(0, 66928, '\p{-	Aghb}', "");
Expect(1, 66928, '\p{^-	Aghb}', "");
Expect(1, 66928, '\P{-	Aghb}', "");
Expect(0, 66928, '\P{^-	Aghb}', "");
Error('\p{ _Is_Aghb:=}');
Error('\P{ _Is_Aghb:=}');
Expect(1, 66927, '\p{isaghb}', "");
Expect(0, 66927, '\p{^isaghb}', "");
Expect(0, 66927, '\P{isaghb}', "");
Expect(1, 66927, '\P{^isaghb}', "");
Expect(0, 66928, '\p{isaghb}', "");
Expect(1, 66928, '\p{^isaghb}', "");
Expect(1, 66928, '\P{isaghb}', "");
Expect(0, 66928, '\P{^isaghb}', "");
Expect(1, 66927, '\p{		IS_AGHB}', "");
Expect(0, 66927, '\p{^		IS_AGHB}', "");
Expect(0, 66927, '\P{		IS_AGHB}', "");
Expect(1, 66927, '\P{^		IS_AGHB}', "");
Expect(0, 66928, '\p{		IS_AGHB}', "");
Expect(1, 66928, '\p{^		IS_AGHB}', "");
Expect(1, 66928, '\P{		IS_AGHB}', "");
Expect(0, 66928, '\P{^		IS_AGHB}', "");
Error('\p{:=CHAKMA}');
Error('\P{:=CHAKMA}');
Expect(1, 69955, '\p{chakma}', "");
Expect(0, 69955, '\p{^chakma}', "");
Expect(0, 69955, '\P{chakma}', "");
Expect(1, 69955, '\P{^chakma}', "");
Expect(0, 69956, '\p{chakma}', "");
Expect(1, 69956, '\p{^chakma}', "");
Expect(1, 69956, '\P{chakma}', "");
Expect(0, 69956, '\P{^chakma}', "");
Expect(1, 69955, '\p{	CHAKMA}', "");
Expect(0, 69955, '\p{^	CHAKMA}', "");
Expect(0, 69955, '\P{	CHAKMA}', "");
Expect(1, 69955, '\P{^	CHAKMA}', "");
Expect(0, 69956, '\p{	CHAKMA}', "");
Expect(1, 69956, '\p{^	CHAKMA}', "");
Expect(1, 69956, '\P{	CHAKMA}', "");
Expect(0, 69956, '\P{^	CHAKMA}', "");
Error('\p{ :=Is_Chakma}');
Error('\P{ :=Is_Chakma}');
Expect(1, 69955, '\p{ischakma}', "");
Expect(0, 69955, '\p{^ischakma}', "");
Expect(0, 69955, '\P{ischakma}', "");
Expect(1, 69955, '\P{^ischakma}', "");
Expect(0, 69956, '\p{ischakma}', "");
Expect(1, 69956, '\p{^ischakma}', "");
Expect(1, 69956, '\P{ischakma}', "");
Expect(0, 69956, '\P{^ischakma}', "");
Expect(1, 69955, '\p{- Is_chakma}', "");
Expect(0, 69955, '\p{^- Is_chakma}', "");
Expect(0, 69955, '\P{- Is_chakma}', "");
Expect(1, 69955, '\P{^- Is_chakma}', "");
Expect(0, 69956, '\p{- Is_chakma}', "");
Expect(1, 69956, '\p{^- Is_chakma}', "");
Expect(1, 69956, '\P{- Is_chakma}', "");
Expect(0, 69956, '\P{^- Is_chakma}', "");
Error('\p{ /a/Cakm}');
Error('\P{ /a/Cakm}');
Expect(1, 69955, '\p{cakm}', "");
Expect(0, 69955, '\p{^cakm}', "");
Expect(0, 69955, '\P{cakm}', "");
Expect(1, 69955, '\P{^cakm}', "");
Expect(0, 69956, '\p{cakm}', "");
Expect(1, 69956, '\p{^cakm}', "");
Expect(1, 69956, '\P{cakm}', "");
Expect(0, 69956, '\P{^cakm}', "");
Expect(1, 69955, '\p{	-CAKM}', "");
Expect(0, 69955, '\p{^	-CAKM}', "");
Expect(0, 69955, '\P{	-CAKM}', "");
Expect(1, 69955, '\P{^	-CAKM}', "");
Expect(0, 69956, '\p{	-CAKM}', "");
Expect(1, 69956, '\p{^	-CAKM}', "");
Expect(1, 69956, '\P{	-CAKM}', "");
Expect(0, 69956, '\P{^	-CAKM}', "");
Error('\p{-:=Is_Cakm}');
Error('\P{-:=Is_Cakm}');
Expect(1, 69955, '\p{iscakm}', "");
Expect(0, 69955, '\p{^iscakm}', "");
Expect(0, 69955, '\P{iscakm}', "");
Expect(1, 69955, '\P{^iscakm}', "");
Expect(0, 69956, '\p{iscakm}', "");
Expect(1, 69956, '\p{^iscakm}', "");
Expect(1, 69956, '\P{iscakm}', "");
Expect(0, 69956, '\P{^iscakm}', "");
Expect(1, 69955, '\p{-	IS_CAKM}', "");
Expect(0, 69955, '\p{^-	IS_CAKM}', "");
Expect(0, 69955, '\P{-	IS_CAKM}', "");
Expect(1, 69955, '\P{^-	IS_CAKM}', "");
Expect(0, 69956, '\p{-	IS_CAKM}', "");
Expect(1, 69956, '\p{^-	IS_CAKM}', "");
Expect(1, 69956, '\P{-	IS_CAKM}', "");
Expect(0, 69956, '\P{^-	IS_CAKM}', "");
Error('\p{/a/--Cham}');
Error('\P{/a/--Cham}');
Expect(1, 43615, '\p{cham}', "");
Expect(0, 43615, '\p{^cham}', "");
Expect(0, 43615, '\P{cham}', "");
Expect(1, 43615, '\P{^cham}', "");
Expect(0, 43616, '\p{cham}', "");
Expect(1, 43616, '\p{^cham}', "");
Expect(1, 43616, '\P{cham}', "");
Expect(0, 43616, '\P{^cham}', "");
Expect(1, 43615, '\p{_	Cham}', "");
Expect(0, 43615, '\p{^_	Cham}', "");
Expect(0, 43615, '\P{_	Cham}', "");
Expect(1, 43615, '\P{^_	Cham}', "");
Expect(0, 43616, '\p{_	Cham}', "");
Expect(1, 43616, '\p{^_	Cham}', "");
Expect(1, 43616, '\P{_	Cham}', "");
Expect(0, 43616, '\P{^_	Cham}', "");
Error('\p{-is_CHAM/a/}');
Error('\P{-is_CHAM/a/}');
Expect(1, 43615, '\p{ischam}', "");
Expect(0, 43615, '\p{^ischam}', "");
Expect(0, 43615, '\P{ischam}', "");
Expect(1, 43615, '\P{^ischam}', "");
Expect(0, 43616, '\p{ischam}', "");
Expect(1, 43616, '\p{^ischam}', "");
Expect(1, 43616, '\P{ischam}', "");
Expect(0, 43616, '\P{^ischam}', "");
Expect(1, 43615, '\p{ _Is_CHAM}', "");
Expect(0, 43615, '\p{^ _Is_CHAM}', "");
Expect(0, 43615, '\P{ _Is_CHAM}', "");
Expect(1, 43615, '\P{^ _Is_CHAM}', "");
Expect(0, 43616, '\p{ _Is_CHAM}', "");
Expect(1, 43616, '\p{^ _Is_CHAM}', "");
Expect(1, 43616, '\P{ _Is_CHAM}', "");
Expect(0, 43616, '\P{^ _Is_CHAM}', "");
Error('\p{:=-	CHANGES_When_CASEFOLDED}');
Error('\P{:=-	CHANGES_When_CASEFOLDED}');
Expect(1, 71871, '\p{changeswhencasefolded}', "");
Expect(0, 71871, '\p{^changeswhencasefolded}', "");
Expect(0, 71871, '\P{changeswhencasefolded}', "");
Expect(1, 71871, '\P{^changeswhencasefolded}', "");
Expect(0, 71872, '\p{changeswhencasefolded}', "");
Expect(1, 71872, '\p{^changeswhencasefolded}', "");
Expect(1, 71872, '\P{changeswhencasefolded}', "");
Expect(0, 71872, '\P{^changeswhencasefolded}', "");
Expect(1, 71871, '\p{	 Changes_When_casefolded}', "");
Expect(0, 71871, '\p{^	 Changes_When_casefolded}', "");
Expect(0, 71871, '\P{	 Changes_When_casefolded}', "");
Expect(1, 71871, '\P{^	 Changes_When_casefolded}', "");
Expect(0, 71872, '\p{	 Changes_When_casefolded}', "");
Expect(1, 71872, '\p{^	 Changes_When_casefolded}', "");
Expect(1, 71872, '\P{	 Changes_When_casefolded}', "");
Expect(0, 71872, '\P{^	 Changes_When_casefolded}', "");
Error('\p{-:=is_Changes_When_Casefolded}');
Error('\P{-:=is_Changes_When_Casefolded}');
Expect(1, 71871, '\p{ischangeswhencasefolded}', "");
Expect(0, 71871, '\p{^ischangeswhencasefolded}', "");
Expect(0, 71871, '\P{ischangeswhencasefolded}', "");
Expect(1, 71871, '\P{^ischangeswhencasefolded}', "");
Expect(0, 71872, '\p{ischangeswhencasefolded}', "");
Expect(1, 71872, '\p{^ischangeswhencasefolded}', "");
Expect(1, 71872, '\P{ischangeswhencasefolded}', "");
Expect(0, 71872, '\P{^ischangeswhencasefolded}', "");
Expect(1, 71871, '\p{	-Is_Changes_When_casefolded}', "");
Expect(0, 71871, '\p{^	-Is_Changes_When_casefolded}', "");
Expect(0, 71871, '\P{	-Is_Changes_When_casefolded}', "");
Expect(1, 71871, '\P{^	-Is_Changes_When_casefolded}', "");
Expect(0, 71872, '\p{	-Is_Changes_When_casefolded}', "");
Expect(1, 71872, '\p{^	-Is_Changes_When_casefolded}', "");
Expect(1, 71872, '\P{	-Is_Changes_When_casefolded}', "");
Expect(0, 71872, '\P{^	-Is_Changes_When_casefolded}', "");
Error('\p{_-CWCF/a/}');
Error('\P{_-CWCF/a/}');
Expect(1, 71871, '\p{cwcf}', "");
Expect(0, 71871, '\p{^cwcf}', "");
Expect(0, 71871, '\P{cwcf}', "");
Expect(1, 71871, '\P{^cwcf}', "");
Expect(0, 71872, '\p{cwcf}', "");
Expect(1, 71872, '\p{^cwcf}', "");
Expect(1, 71872, '\P{cwcf}', "");
Expect(0, 71872, '\P{^cwcf}', "");
Expect(1, 71871, '\p{_ CWCF}', "");
Expect(0, 71871, '\p{^_ CWCF}', "");
Expect(0, 71871, '\P{_ CWCF}', "");
Expect(1, 71871, '\P{^_ CWCF}', "");
Expect(0, 71872, '\p{_ CWCF}', "");
Expect(1, 71872, '\p{^_ CWCF}', "");
Expect(1, 71872, '\P{_ CWCF}', "");
Expect(0, 71872, '\P{^_ CWCF}', "");
Error('\p{_-Is_CWCF/a/}');
Error('\P{_-Is_CWCF/a/}');
Expect(1, 71871, '\p{iscwcf}', "");
Expect(0, 71871, '\p{^iscwcf}', "");
Expect(0, 71871, '\P{iscwcf}', "");
Expect(1, 71871, '\P{^iscwcf}', "");
Expect(0, 71872, '\p{iscwcf}', "");
Expect(1, 71872, '\p{^iscwcf}', "");
Expect(1, 71872, '\P{iscwcf}', "");
Expect(0, 71872, '\P{^iscwcf}', "");
Expect(1, 71871, '\p{ -Is_cwcf}', "");
Expect(0, 71871, '\p{^ -Is_cwcf}', "");
Expect(0, 71871, '\P{ -Is_cwcf}', "");
Expect(1, 71871, '\P{^ -Is_cwcf}', "");
Expect(0, 71872, '\p{ -Is_cwcf}', "");
Expect(1, 71872, '\p{^ -Is_cwcf}', "");
Expect(1, 71872, '\P{ -Is_cwcf}', "");
Expect(0, 71872, '\P{^ -Is_cwcf}', "");
Error('\p{	Changes_When_Casemapped/a/}');
Error('\P{	Changes_When_Casemapped/a/}');
Expect(1, 71903, '\p{changeswhencasemapped}', "");
Expect(0, 71903, '\p{^changeswhencasemapped}', "");
Expect(0, 71903, '\P{changeswhencasemapped}', "");
Expect(1, 71903, '\P{^changeswhencasemapped}', "");
Expect(0, 71904, '\p{changeswhencasemapped}', "");
Expect(1, 71904, '\p{^changeswhencasemapped}', "");
Expect(1, 71904, '\P{changeswhencasemapped}', "");
Expect(0, 71904, '\P{^changeswhencasemapped}', "");
Expect(1, 71903, '\p{changes_when_casemapped}', "");
Expect(0, 71903, '\p{^changes_when_casemapped}', "");
Expect(0, 71903, '\P{changes_when_casemapped}', "");
Expect(1, 71903, '\P{^changes_when_casemapped}', "");
Expect(0, 71904, '\p{changes_when_casemapped}', "");
Expect(1, 71904, '\p{^changes_when_casemapped}', "");
Expect(1, 71904, '\P{changes_when_casemapped}', "");
Expect(0, 71904, '\P{^changes_when_casemapped}', "");
Error('\p{-/a/Is_Changes_When_Casemapped}');
Error('\P{-/a/Is_Changes_When_Casemapped}');
Expect(1, 71903, '\p{ischangeswhencasemapped}', "");
Expect(0, 71903, '\p{^ischangeswhencasemapped}', "");
Expect(0, 71903, '\P{ischangeswhencasemapped}', "");
Expect(1, 71903, '\P{^ischangeswhencasemapped}', "");
Expect(0, 71904, '\p{ischangeswhencasemapped}', "");
Expect(1, 71904, '\p{^ischangeswhencasemapped}', "");
Expect(1, 71904, '\P{ischangeswhencasemapped}', "");
Expect(0, 71904, '\P{^ischangeswhencasemapped}', "");
Expect(1, 71903, '\p{	_IS_Changes_when_casemapped}', "");
Expect(0, 71903, '\p{^	_IS_Changes_when_casemapped}', "");
Expect(0, 71903, '\P{	_IS_Changes_when_casemapped}', "");
Expect(1, 71903, '\P{^	_IS_Changes_when_casemapped}', "");
Expect(0, 71904, '\p{	_IS_Changes_when_casemapped}', "");
Expect(1, 71904, '\p{^	_IS_Changes_when_casemapped}', "");
Expect(1, 71904, '\P{	_IS_Changes_when_casemapped}', "");
Expect(0, 71904, '\P{^	_IS_Changes_when_casemapped}', "");
Error('\p{:= _CWCM}');
Error('\P{:= _CWCM}');
Expect(1, 71903, '\p{cwcm}', "");
Expect(0, 71903, '\p{^cwcm}', "");
Expect(0, 71903, '\P{cwcm}', "");
Expect(1, 71903, '\P{^cwcm}', "");
Expect(0, 71904, '\p{cwcm}', "");
Expect(1, 71904, '\p{^cwcm}', "");
Expect(1, 71904, '\P{cwcm}', "");
Expect(0, 71904, '\P{^cwcm}', "");
Expect(1, 71903, '\p{	-cwcm}', "");
Expect(0, 71903, '\p{^	-cwcm}', "");
Expect(0, 71903, '\P{	-cwcm}', "");
Expect(1, 71903, '\P{^	-cwcm}', "");
Expect(0, 71904, '\p{	-cwcm}', "");
Expect(1, 71904, '\p{^	-cwcm}', "");
Expect(1, 71904, '\P{	-cwcm}', "");
Expect(0, 71904, '\P{^	-cwcm}', "");
Error('\p{/a/  is_CWCM}');
Error('\P{/a/  is_CWCM}');
Expect(1, 71903, '\p{iscwcm}', "");
Expect(0, 71903, '\p{^iscwcm}', "");
Expect(0, 71903, '\P{iscwcm}', "");
Expect(1, 71903, '\P{^iscwcm}', "");
Expect(0, 71904, '\p{iscwcm}', "");
Expect(1, 71904, '\p{^iscwcm}', "");
Expect(1, 71904, '\P{iscwcm}', "");
Expect(0, 71904, '\P{^iscwcm}', "");
Expect(1, 71903, '\p{-IS_CWCM}', "");
Expect(0, 71903, '\p{^-IS_CWCM}', "");
Expect(0, 71903, '\P{-IS_CWCM}', "");
Expect(1, 71903, '\P{^-IS_CWCM}', "");
Expect(0, 71904, '\p{-IS_CWCM}', "");
Expect(1, 71904, '\p{^-IS_CWCM}', "");
Expect(1, 71904, '\P{-IS_CWCM}', "");
Expect(0, 71904, '\P{^-IS_CWCM}', "");
Error('\p{-Changes_When_LOWERCASED/a/}');
Error('\P{-Changes_When_LOWERCASED/a/}');
Expect(1, 71871, '\p{changeswhenlowercased}', "");
Expect(0, 71871, '\p{^changeswhenlowercased}', "");
Expect(0, 71871, '\P{changeswhenlowercased}', "");
Expect(1, 71871, '\P{^changeswhenlowercased}', "");
Expect(0, 71872, '\p{changeswhenlowercased}', "");
Expect(1, 71872, '\p{^changeswhenlowercased}', "");
Expect(1, 71872, '\P{changeswhenlowercased}', "");
Expect(0, 71872, '\P{^changeswhenlowercased}', "");
Expect(1, 71871, '\p{ 	Changes_When_Lowercased}', "");
Expect(0, 71871, '\p{^ 	Changes_When_Lowercased}', "");
Expect(0, 71871, '\P{ 	Changes_When_Lowercased}', "");
Expect(1, 71871, '\P{^ 	Changes_When_Lowercased}', "");
Expect(0, 71872, '\p{ 	Changes_When_Lowercased}', "");
Expect(1, 71872, '\p{^ 	Changes_When_Lowercased}', "");
Expect(1, 71872, '\P{ 	Changes_When_Lowercased}', "");
Expect(0, 71872, '\P{^ 	Changes_When_Lowercased}', "");
Error('\p{ /a/Is_Changes_When_Lowercased}');
Error('\P{ /a/Is_Changes_When_Lowercased}');
Expect(1, 71871, '\p{ischangeswhenlowercased}', "");
Expect(0, 71871, '\p{^ischangeswhenlowercased}', "");
Expect(0, 71871, '\P{ischangeswhenlowercased}', "");
Expect(1, 71871, '\P{^ischangeswhenlowercased}', "");
Expect(0, 71872, '\p{ischangeswhenlowercased}', "");
Expect(1, 71872, '\p{^ischangeswhenlowercased}', "");
Expect(1, 71872, '\P{ischangeswhenlowercased}', "");
Expect(0, 71872, '\P{^ischangeswhenlowercased}', "");
Expect(1, 71871, '\p{_Is_Changes_When_Lowercased}', "");
Expect(0, 71871, '\p{^_Is_Changes_When_Lowercased}', "");
Expect(0, 71871, '\P{_Is_Changes_When_Lowercased}', "");
Expect(1, 71871, '\P{^_Is_Changes_When_Lowercased}', "");
Expect(0, 71872, '\p{_Is_Changes_When_Lowercased}', "");
Expect(1, 71872, '\p{^_Is_Changes_When_Lowercased}', "");
Expect(1, 71872, '\P{_Is_Changes_When_Lowercased}', "");
Expect(0, 71872, '\P{^_Is_Changes_When_Lowercased}', "");
Error('\p{/a/-	CWL}');
Error('\P{/a/-	CWL}');
Expect(1, 71871, '\p{cwl}', "");
Expect(0, 71871, '\p{^cwl}', "");
Expect(0, 71871, '\P{cwl}', "");
Expect(1, 71871, '\P{^cwl}', "");
Expect(0, 71872, '\p{cwl}', "");
Expect(1, 71872, '\p{^cwl}', "");
Expect(1, 71872, '\P{cwl}', "");
Expect(0, 71872, '\P{^cwl}', "");
Expect(1, 71871, '\p{_CWL}', "");
Expect(0, 71871, '\p{^_CWL}', "");
Expect(0, 71871, '\P{_CWL}', "");
Expect(1, 71871, '\P{^_CWL}', "");
Expect(0, 71872, '\p{_CWL}', "");
Expect(1, 71872, '\p{^_CWL}', "");
Expect(1, 71872, '\P{_CWL}', "");
Expect(0, 71872, '\P{^_CWL}', "");
Error('\p{/a/ 	Is_CWL}');
Error('\P{/a/ 	Is_CWL}');
Expect(1, 71871, '\p{iscwl}', "");
Expect(0, 71871, '\p{^iscwl}', "");
Expect(0, 71871, '\P{iscwl}', "");
Expect(1, 71871, '\P{^iscwl}', "");
Expect(0, 71872, '\p{iscwl}', "");
Expect(1, 71872, '\p{^iscwl}', "");
Expect(1, 71872, '\P{iscwl}', "");
Expect(0, 71872, '\P{^iscwl}', "");
Expect(1, 71871, '\p{__IS_cwl}', "");
Expect(0, 71871, '\p{^__IS_cwl}', "");
Expect(0, 71871, '\P{__IS_cwl}', "");
Expect(1, 71871, '\P{^__IS_cwl}', "");
Expect(0, 71872, '\p{__IS_cwl}', "");
Expect(1, 71872, '\p{^__IS_cwl}', "");
Expect(1, 71872, '\P{__IS_cwl}', "");
Expect(0, 71872, '\P{^__IS_cwl}', "");
Error('\p{	CHANGES_When_NFKC_Casefolded/a/}');
Error('\P{	CHANGES_When_NFKC_Casefolded/a/}');
Expect(1, 921599, '\p{changeswhennfkccasefolded}', "");
Expect(0, 921599, '\p{^changeswhennfkccasefolded}', "");
Expect(0, 921599, '\P{changeswhennfkccasefolded}', "");
Expect(1, 921599, '\P{^changeswhennfkccasefolded}', "");
Expect(0, 921600, '\p{changeswhennfkccasefolded}', "");
Expect(1, 921600, '\p{^changeswhennfkccasefolded}', "");
Expect(1, 921600, '\P{changeswhennfkccasefolded}', "");
Expect(0, 921600, '\P{^changeswhennfkccasefolded}', "");
Expect(1, 921599, '\p{- changes_When_NFKC_Casefolded}', "");
Expect(0, 921599, '\p{^- changes_When_NFKC_Casefolded}', "");
Expect(0, 921599, '\P{- changes_When_NFKC_Casefolded}', "");
Expect(1, 921599, '\P{^- changes_When_NFKC_Casefolded}', "");
Expect(0, 921600, '\p{- changes_When_NFKC_Casefolded}', "");
Expect(1, 921600, '\p{^- changes_When_NFKC_Casefolded}', "");
Expect(1, 921600, '\P{- changes_When_NFKC_Casefolded}', "");
Expect(0, 921600, '\P{^- changes_When_NFKC_Casefolded}', "");
Error('\p{	/a/Is_Changes_When_NFKC_Casefolded}');
Error('\P{	/a/Is_Changes_When_NFKC_Casefolded}');
Expect(1, 921599, '\p{ischangeswhennfkccasefolded}', "");
Expect(0, 921599, '\p{^ischangeswhennfkccasefolded}', "");
Expect(0, 921599, '\P{ischangeswhennfkccasefolded}', "");
Expect(1, 921599, '\P{^ischangeswhennfkccasefolded}', "");
Expect(0, 921600, '\p{ischangeswhennfkccasefolded}', "");
Expect(1, 921600, '\p{^ischangeswhennfkccasefolded}', "");
Expect(1, 921600, '\P{ischangeswhennfkccasefolded}', "");
Expect(0, 921600, '\P{^ischangeswhennfkccasefolded}', "");
Expect(1, 921599, '\p{_	is_Changes_when_NFKC_CASEFOLDED}', "");
Expect(0, 921599, '\p{^_	is_Changes_when_NFKC_CASEFOLDED}', "");
Expect(0, 921599, '\P{_	is_Changes_when_NFKC_CASEFOLDED}', "");
Expect(1, 921599, '\P{^_	is_Changes_when_NFKC_CASEFOLDED}', "");
Expect(0, 921600, '\p{_	is_Changes_when_NFKC_CASEFOLDED}', "");
Expect(1, 921600, '\p{^_	is_Changes_when_NFKC_CASEFOLDED}', "");
Expect(1, 921600, '\P{_	is_Changes_when_NFKC_CASEFOLDED}', "");
Expect(0, 921600, '\P{^_	is_Changes_when_NFKC_CASEFOLDED}', "");
Error('\p{:=-CWKCF}');
Error('\P{:=-CWKCF}');
Expect(1, 921599, '\p{cwkcf}', "");
Expect(0, 921599, '\p{^cwkcf}', "");
Expect(0, 921599, '\P{cwkcf}', "");
Expect(1, 921599, '\P{^cwkcf}', "");
Expect(0, 921600, '\p{cwkcf}', "");
Expect(1, 921600, '\p{^cwkcf}', "");
Expect(1, 921600, '\P{cwkcf}', "");
Expect(0, 921600, '\P{^cwkcf}', "");
Expect(1, 921599, '\p{	cwkcf}', "");
Expect(0, 921599, '\p{^	cwkcf}', "");
Expect(0, 921599, '\P{	cwkcf}', "");
Expect(1, 921599, '\P{^	cwkcf}', "");
Expect(0, 921600, '\p{	cwkcf}', "");
Expect(1, 921600, '\p{^	cwkcf}', "");
Expect(1, 921600, '\P{	cwkcf}', "");
Expect(0, 921600, '\P{^	cwkcf}', "");
Error('\p{_ is_CWKCF/a/}');
Error('\P{_ is_CWKCF/a/}');
Expect(1, 921599, '\p{iscwkcf}', "");
Expect(0, 921599, '\p{^iscwkcf}', "");
Expect(0, 921599, '\P{iscwkcf}', "");
Expect(1, 921599, '\P{^iscwkcf}', "");
Expect(0, 921600, '\p{iscwkcf}', "");
Expect(1, 921600, '\p{^iscwkcf}', "");
Expect(1, 921600, '\P{iscwkcf}', "");
Expect(0, 921600, '\P{^iscwkcf}', "");
Expect(1, 921599, '\p{ is_CWKCF}', "");
Expect(0, 921599, '\p{^ is_CWKCF}', "");
Expect(0, 921599, '\P{ is_CWKCF}', "");
Expect(1, 921599, '\P{^ is_CWKCF}', "");
Expect(0, 921600, '\p{ is_CWKCF}', "");
Expect(1, 921600, '\p{^ is_CWKCF}', "");
Expect(1, 921600, '\P{ is_CWKCF}', "");
Expect(0, 921600, '\P{^ is_CWKCF}', "");
Error('\p{	:=CHANGES_WHEN_TITLECASED}');
Error('\P{	:=CHANGES_WHEN_TITLECASED}');
Expect(1, 71903, '\p{changeswhentitlecased}', "");
Expect(0, 71903, '\p{^changeswhentitlecased}', "");
Expect(0, 71903, '\P{changeswhentitlecased}', "");
Expect(1, 71903, '\P{^changeswhentitlecased}', "");
Expect(0, 71904, '\p{changeswhentitlecased}', "");
Expect(1, 71904, '\p{^changeswhentitlecased}', "");
Expect(1, 71904, '\P{changeswhentitlecased}', "");
Expect(0, 71904, '\P{^changeswhentitlecased}', "");
Expect(1, 71903, '\p{__changes_when_Titlecased}', "");
Expect(0, 71903, '\p{^__changes_when_Titlecased}', "");
Expect(0, 71903, '\P{__changes_when_Titlecased}', "");
Expect(1, 71903, '\P{^__changes_when_Titlecased}', "");
Expect(0, 71904, '\p{__changes_when_Titlecased}', "");
Expect(1, 71904, '\p{^__changes_when_Titlecased}', "");
Expect(1, 71904, '\P{__changes_when_Titlecased}', "");
Expect(0, 71904, '\P{^__changes_when_Titlecased}', "");
Error('\p{:=-_IS_changes_WHEN_TITLECASED}');
Error('\P{:=-_IS_changes_WHEN_TITLECASED}');
Expect(1, 71903, '\p{ischangeswhentitlecased}', "");
Expect(0, 71903, '\p{^ischangeswhentitlecased}', "");
Expect(0, 71903, '\P{ischangeswhentitlecased}', "");
Expect(1, 71903, '\P{^ischangeswhentitlecased}', "");
Expect(0, 71904, '\p{ischangeswhentitlecased}', "");
Expect(1, 71904, '\p{^ischangeswhentitlecased}', "");
Expect(1, 71904, '\P{ischangeswhentitlecased}', "");
Expect(0, 71904, '\P{^ischangeswhentitlecased}', "");
Expect(1, 71903, '\p{_	IS_CHANGES_when_Titlecased}', "");
Expect(0, 71903, '\p{^_	IS_CHANGES_when_Titlecased}', "");
Expect(0, 71903, '\P{_	IS_CHANGES_when_Titlecased}', "");
Expect(1, 71903, '\P{^_	IS_CHANGES_when_Titlecased}', "");
Expect(0, 71904, '\p{_	IS_CHANGES_when_Titlecased}', "");
Expect(1, 71904, '\p{^_	IS_CHANGES_when_Titlecased}', "");
Expect(1, 71904, '\P{_	IS_CHANGES_when_Titlecased}', "");
Expect(0, 71904, '\P{^_	IS_CHANGES_when_Titlecased}', "");
Error('\p{-cwt:=}');
Error('\P{-cwt:=}');
Expect(1, 71903, '\p{cwt}', "");
Expect(0, 71903, '\p{^cwt}', "");
Expect(0, 71903, '\P{cwt}', "");
Expect(1, 71903, '\P{^cwt}', "");
Expect(0, 71904, '\p{cwt}', "");
Expect(1, 71904, '\p{^cwt}', "");
Expect(1, 71904, '\P{cwt}', "");
Expect(0, 71904, '\P{^cwt}', "");
Expect(1, 71903, '\p{ 	CWT}', "");
Expect(0, 71903, '\p{^ 	CWT}', "");
Expect(0, 71903, '\P{ 	CWT}', "");
Expect(1, 71903, '\P{^ 	CWT}', "");
Expect(0, 71904, '\p{ 	CWT}', "");
Expect(1, 71904, '\p{^ 	CWT}', "");
Expect(1, 71904, '\P{ 	CWT}', "");
Expect(0, 71904, '\P{^ 	CWT}', "");
Error('\p{:=--Is_cwt}');
Error('\P{:=--Is_cwt}');
Expect(1, 71903, '\p{iscwt}', "");
Expect(0, 71903, '\p{^iscwt}', "");
Expect(0, 71903, '\P{iscwt}', "");
Expect(1, 71903, '\P{^iscwt}', "");
Expect(0, 71904, '\p{iscwt}', "");
Expect(1, 71904, '\p{^iscwt}', "");
Expect(1, 71904, '\P{iscwt}', "");
Expect(0, 71904, '\P{^iscwt}', "");
Expect(1, 71903, '\p{  Is_CWT}', "");
Expect(0, 71903, '\p{^  Is_CWT}', "");
Expect(0, 71903, '\P{  Is_CWT}', "");
Expect(1, 71903, '\P{^  Is_CWT}', "");
Expect(0, 71904, '\p{  Is_CWT}', "");
Expect(1, 71904, '\p{^  Is_CWT}', "");
Expect(1, 71904, '\P{  Is_CWT}', "");
Expect(0, 71904, '\P{^  Is_CWT}', "");
Error('\p{/a/ Changes_when_UPPERCASED}');
Error('\P{/a/ Changes_when_UPPERCASED}');
Expect(1, 71903, '\p{changeswhenuppercased}', "");
Expect(0, 71903, '\p{^changeswhenuppercased}', "");
Expect(0, 71903, '\P{changeswhenuppercased}', "");
Expect(1, 71903, '\P{^changeswhenuppercased}', "");
Expect(0, 71904, '\p{changeswhenuppercased}', "");
Expect(1, 71904, '\p{^changeswhenuppercased}', "");
Expect(1, 71904, '\P{changeswhenuppercased}', "");
Expect(0, 71904, '\P{^changeswhenuppercased}', "");
Expect(1, 71903, '\p{__changes_When_uppercased}', "");
Expect(0, 71903, '\p{^__changes_When_uppercased}', "");
Expect(0, 71903, '\P{__changes_When_uppercased}', "");
Expect(1, 71903, '\P{^__changes_When_uppercased}', "");
Expect(0, 71904, '\p{__changes_When_uppercased}', "");
Expect(1, 71904, '\p{^__changes_When_uppercased}', "");
Expect(1, 71904, '\P{__changes_When_uppercased}', "");
Expect(0, 71904, '\P{^__changes_When_uppercased}', "");
Error('\p{ Is_Changes_When_Uppercased/a/}');
Error('\P{ Is_Changes_When_Uppercased/a/}');
Expect(1, 71903, '\p{ischangeswhenuppercased}', "");
Expect(0, 71903, '\p{^ischangeswhenuppercased}', "");
Expect(0, 71903, '\P{ischangeswhenuppercased}', "");
Expect(1, 71903, '\P{^ischangeswhenuppercased}', "");
Expect(0, 71904, '\p{ischangeswhenuppercased}', "");
Expect(1, 71904, '\p{^ischangeswhenuppercased}', "");
Expect(1, 71904, '\P{ischangeswhenuppercased}', "");
Expect(0, 71904, '\P{^ischangeswhenuppercased}', "");
Expect(1, 71903, '\p{ -Is_CHANGES_When_Uppercased}', "");
Expect(0, 71903, '\p{^ -Is_CHANGES_When_Uppercased}', "");
Expect(0, 71903, '\P{ -Is_CHANGES_When_Uppercased}', "");
Expect(1, 71903, '\P{^ -Is_CHANGES_When_Uppercased}', "");
Expect(0, 71904, '\p{ -Is_CHANGES_When_Uppercased}', "");
Expect(1, 71904, '\p{^ -Is_CHANGES_When_Uppercased}', "");
Expect(1, 71904, '\P{ -Is_CHANGES_When_Uppercased}', "");
Expect(0, 71904, '\P{^ -Is_CHANGES_When_Uppercased}', "");
Error('\p{:=	cwu}');
Error('\P{:=	cwu}');
Expect(1, 71903, '\p{cwu}', "");
Expect(0, 71903, '\p{^cwu}', "");
Expect(0, 71903, '\P{cwu}', "");
Expect(1, 71903, '\P{^cwu}', "");
Expect(0, 71904, '\p{cwu}', "");
Expect(1, 71904, '\p{^cwu}', "");
Expect(1, 71904, '\P{cwu}', "");
Expect(0, 71904, '\P{^cwu}', "");
Expect(1, 71903, '\p{  CWU}', "");
Expect(0, 71903, '\p{^  CWU}', "");
Expect(0, 71903, '\P{  CWU}', "");
Expect(1, 71903, '\P{^  CWU}', "");
Expect(0, 71904, '\p{  CWU}', "");
Expect(1, 71904, '\p{^  CWU}', "");
Expect(1, 71904, '\P{  CWU}', "");
Expect(0, 71904, '\P{^  CWU}', "");
Error('\p{	:=Is_CWU}');
Error('\P{	:=Is_CWU}');
Expect(1, 71903, '\p{iscwu}', "");
Expect(0, 71903, '\p{^iscwu}', "");
Expect(0, 71903, '\P{iscwu}', "");
Expect(1, 71903, '\P{^iscwu}', "");
Expect(0, 71904, '\p{iscwu}', "");
Expect(1, 71904, '\p{^iscwu}', "");
Expect(1, 71904, '\P{iscwu}', "");
Expect(0, 71904, '\P{^iscwu}', "");
Expect(1, 71903, '\p{-	Is_CWU}', "");
Expect(0, 71903, '\p{^-	Is_CWU}', "");
Expect(0, 71903, '\P{-	Is_CWU}', "");
Expect(1, 71903, '\P{^-	Is_CWU}', "");
Expect(0, 71904, '\p{-	Is_CWU}', "");
Expect(1, 71904, '\p{^-	Is_CWU}', "");
Expect(1, 71904, '\P{-	Is_CWU}', "");
Expect(0, 71904, '\P{^-	Is_CWU}', "");
Error('\p{	_cherokee/a/}');
Error('\P{	_cherokee/a/}');
Expect(1, 5108, '\p{cherokee}', "");
Expect(0, 5108, '\p{^cherokee}', "");
Expect(0, 5108, '\P{cherokee}', "");
Expect(1, 5108, '\P{^cherokee}', "");
Expect(0, 5109, '\p{cherokee}', "");
Expect(1, 5109, '\p{^cherokee}', "");
Expect(1, 5109, '\P{cherokee}', "");
Expect(0, 5109, '\P{^cherokee}', "");
Expect(1, 5108, '\p{	_CHEROKEE}', "");
Expect(0, 5108, '\p{^	_CHEROKEE}', "");
Expect(0, 5108, '\P{	_CHEROKEE}', "");
Expect(1, 5108, '\P{^	_CHEROKEE}', "");
Expect(0, 5109, '\p{	_CHEROKEE}', "");
Expect(1, 5109, '\p{^	_CHEROKEE}', "");
Expect(1, 5109, '\P{	_CHEROKEE}', "");
Expect(0, 5109, '\P{^	_CHEROKEE}', "");
Error('\p{ is_cherokee/a/}');
Error('\P{ is_cherokee/a/}');
Expect(1, 5108, '\p{ischerokee}', "");
Expect(0, 5108, '\p{^ischerokee}', "");
Expect(0, 5108, '\P{ischerokee}', "");
Expect(1, 5108, '\P{^ischerokee}', "");
Expect(0, 5109, '\p{ischerokee}', "");
Expect(1, 5109, '\p{^ischerokee}', "");
Expect(1, 5109, '\P{ischerokee}', "");
Expect(0, 5109, '\P{^ischerokee}', "");
Expect(1, 5108, '\p{-	Is_CHEROKEE}', "");
Expect(0, 5108, '\p{^-	Is_CHEROKEE}', "");
Expect(0, 5108, '\P{-	Is_CHEROKEE}', "");
Expect(1, 5108, '\P{^-	Is_CHEROKEE}', "");
Expect(0, 5109, '\p{-	Is_CHEROKEE}', "");
Expect(1, 5109, '\p{^-	Is_CHEROKEE}', "");
Expect(1, 5109, '\P{-	Is_CHEROKEE}', "");
Expect(0, 5109, '\P{^-	Is_CHEROKEE}', "");
Error('\p{	-CHER/a/}');
Error('\P{	-CHER/a/}');
Expect(1, 5108, '\p{cher}', "");
Expect(0, 5108, '\p{^cher}', "");
Expect(0, 5108, '\P{cher}', "");
Expect(1, 5108, '\P{^cher}', "");
Expect(0, 5109, '\p{cher}', "");
Expect(1, 5109, '\p{^cher}', "");
Expect(1, 5109, '\P{cher}', "");
Expect(0, 5109, '\P{^cher}', "");
Expect(1, 5108, '\p{  CHER}', "");
Expect(0, 5108, '\p{^  CHER}', "");
Expect(0, 5108, '\P{  CHER}', "");
Expect(1, 5108, '\P{^  CHER}', "");
Expect(0, 5109, '\p{  CHER}', "");
Expect(1, 5109, '\p{^  CHER}', "");
Expect(1, 5109, '\P{  CHER}', "");
Expect(0, 5109, '\P{^  CHER}', "");
Error('\p{:=__IS_CHER}');
Error('\P{:=__IS_CHER}');
Expect(1, 5108, '\p{ischer}', "");
Expect(0, 5108, '\p{^ischer}', "");
Expect(0, 5108, '\P{ischer}', "");
Expect(1, 5108, '\P{^ischer}', "");
Expect(0, 5109, '\p{ischer}', "");
Expect(1, 5109, '\p{^ischer}', "");
Expect(1, 5109, '\P{ischer}', "");
Expect(0, 5109, '\P{^ischer}', "");
Expect(1, 5108, '\p{ Is_Cher}', "");
Expect(0, 5108, '\p{^ Is_Cher}', "");
Expect(0, 5108, '\P{ Is_Cher}', "");
Expect(1, 5108, '\P{^ Is_Cher}', "");
Expect(0, 5109, '\p{ Is_Cher}', "");
Expect(1, 5109, '\p{^ Is_Cher}', "");
Expect(1, 5109, '\P{ Is_Cher}', "");
Expect(0, 5109, '\P{^ Is_Cher}', "");
Error('\p{_Close_Punctuation:=}');
Error('\P{_Close_Punctuation:=}');
Expect(1, 65379, '\p{closepunctuation}', "");
Expect(0, 65379, '\p{^closepunctuation}', "");
Expect(0, 65379, '\P{closepunctuation}', "");
Expect(1, 65379, '\P{^closepunctuation}', "");
Expect(0, 65380, '\p{closepunctuation}', "");
Expect(1, 65380, '\p{^closepunctuation}', "");
Expect(1, 65380, '\P{closepunctuation}', "");
Expect(0, 65380, '\P{^closepunctuation}', "");
Expect(1, 65379, '\p{--close_punctuation}', "");
Expect(0, 65379, '\p{^--close_punctuation}', "");
Expect(0, 65379, '\P{--close_punctuation}', "");
Expect(1, 65379, '\P{^--close_punctuation}', "");
Expect(0, 65380, '\p{--close_punctuation}', "");
Expect(1, 65380, '\p{^--close_punctuation}', "");
Expect(1, 65380, '\P{--close_punctuation}', "");
Expect(0, 65380, '\P{^--close_punctuation}', "");
Error('\p{__Is_close_Punctuation/a/}');
Error('\P{__Is_close_Punctuation/a/}');
Expect(1, 65379, '\p{isclosepunctuation}', "");
Expect(0, 65379, '\p{^isclosepunctuation}', "");
Expect(0, 65379, '\P{isclosepunctuation}', "");
Expect(1, 65379, '\P{^isclosepunctuation}', "");
Expect(0, 65380, '\p{isclosepunctuation}', "");
Expect(1, 65380, '\p{^isclosepunctuation}', "");
Expect(1, 65380, '\P{isclosepunctuation}', "");
Expect(0, 65380, '\P{^isclosepunctuation}', "");
Expect(1, 65379, '\p{ IS_Close_punctuation}', "");
Expect(0, 65379, '\p{^ IS_Close_punctuation}', "");
Expect(0, 65379, '\P{ IS_Close_punctuation}', "");
Expect(1, 65379, '\P{^ IS_Close_punctuation}', "");
Expect(0, 65380, '\p{ IS_Close_punctuation}', "");
Expect(1, 65380, '\p{^ IS_Close_punctuation}', "");
Expect(1, 65380, '\P{ IS_Close_punctuation}', "");
Expect(0, 65380, '\P{^ IS_Close_punctuation}', "");
Error('\p{-PE/a/}');
Error('\P{-PE/a/}');
Expect(1, 65379, '\p{pe}', "");
Expect(0, 65379, '\p{^pe}', "");
Expect(0, 65379, '\P{pe}', "");
Expect(1, 65379, '\P{^pe}', "");
Expect(0, 65380, '\p{pe}', "");
Expect(1, 65380, '\p{^pe}', "");
Expect(1, 65380, '\P{pe}', "");
Expect(0, 65380, '\P{^pe}', "");
Expect(1, 65379, '\p{ Pe}', "");
Expect(0, 65379, '\p{^ Pe}', "");
Expect(0, 65379, '\P{ Pe}', "");
Expect(1, 65379, '\P{^ Pe}', "");
Expect(0, 65380, '\p{ Pe}', "");
Expect(1, 65380, '\p{^ Pe}', "");
Expect(1, 65380, '\P{ Pe}', "");
Expect(0, 65380, '\P{^ Pe}', "");
Error('\p{ /a/IS_Pe}');
Error('\P{ /a/IS_Pe}');
Expect(1, 65379, '\p{ispe}', "");
Expect(0, 65379, '\p{^ispe}', "");
Expect(0, 65379, '\P{ispe}', "");
Expect(1, 65379, '\P{^ispe}', "");
Expect(0, 65380, '\p{ispe}', "");
Expect(1, 65380, '\p{^ispe}', "");
Expect(1, 65380, '\P{ispe}', "");
Expect(0, 65380, '\P{^ispe}', "");
Expect(1, 65379, '\p{		Is_Pe}', "");
Expect(0, 65379, '\p{^		Is_Pe}', "");
Expect(0, 65379, '\P{		Is_Pe}', "");
Expect(1, 65379, '\P{^		Is_Pe}', "");
Expect(0, 65380, '\p{		Is_Pe}', "");
Expect(1, 65380, '\p{^		Is_Pe}', "");
Expect(1, 65380, '\P{		Is_Pe}', "");
Expect(0, 65380, '\P{^		Is_Pe}', "");
Error('\p{-XPOSIXCNTRL:=}');
Error('\P{-XPOSIXCNTRL:=}');
Expect(1, 159, '\p{xposixcntrl}', "");
Expect(0, 159, '\p{^xposixcntrl}', "");
Expect(0, 159, '\P{xposixcntrl}', "");
Expect(1, 159, '\P{^xposixcntrl}', "");
Expect(0, 160, '\p{xposixcntrl}', "");
Expect(1, 160, '\p{^xposixcntrl}', "");
Expect(1, 160, '\P{xposixcntrl}', "");
Expect(0, 160, '\P{^xposixcntrl}', "");
Expect(1, 159, '\p{XPosixCntrl}', "");
Expect(0, 159, '\p{^XPosixCntrl}', "");
Expect(0, 159, '\P{XPosixCntrl}', "");
Expect(1, 159, '\P{^XPosixCntrl}', "");
Expect(0, 160, '\p{XPosixCntrl}', "");
Expect(1, 160, '\p{^XPosixCntrl}', "");
Expect(1, 160, '\P{XPosixCntrl}', "");
Expect(0, 160, '\P{^XPosixCntrl}', "");
Error('\p{__Cntrl/a/}');
Error('\P{__Cntrl/a/}');
Expect(1, 159, '\p{cntrl}', "");
Expect(0, 159, '\p{^cntrl}', "");
Expect(0, 159, '\P{cntrl}', "");
Expect(1, 159, '\P{^cntrl}', "");
Expect(0, 160, '\p{cntrl}', "");
Expect(1, 160, '\p{^cntrl}', "");
Expect(1, 160, '\P{cntrl}', "");
Expect(0, 160, '\P{^cntrl}', "");
Expect(1, 159, '\p{CNTRL}', "");
Expect(0, 159, '\p{^CNTRL}', "");
Expect(0, 159, '\P{CNTRL}', "");
Expect(1, 159, '\P{^CNTRL}', "");
Expect(0, 160, '\p{CNTRL}', "");
Expect(1, 160, '\p{^CNTRL}', "");
Expect(1, 160, '\P{CNTRL}', "");
Expect(0, 160, '\P{^CNTRL}', "");
Error('\p{		Is_xposixcntrl:=}');
Error('\P{		Is_xposixcntrl:=}');
Expect(1, 159, '\p{isxposixcntrl}', "");
Expect(0, 159, '\p{^isxposixcntrl}', "");
Expect(0, 159, '\P{isxposixcntrl}', "");
Expect(1, 159, '\P{^isxposixcntrl}', "");
Expect(0, 160, '\p{isxposixcntrl}', "");
Expect(1, 160, '\p{^isxposixcntrl}', "");
Expect(1, 160, '\P{isxposixcntrl}', "");
Expect(0, 160, '\P{^isxposixcntrl}', "");
Expect(1, 159, '\p{	Is_XPosixCntrl}', "");
Expect(0, 159, '\p{^	Is_XPosixCntrl}', "");
Expect(0, 159, '\P{	Is_XPosixCntrl}', "");
Expect(1, 159, '\P{^	Is_XPosixCntrl}', "");
Expect(0, 160, '\p{	Is_XPosixCntrl}', "");
Expect(1, 160, '\p{^	Is_XPosixCntrl}', "");
Expect(1, 160, '\P{	Is_XPosixCntrl}', "");
Expect(0, 160, '\P{^	Is_XPosixCntrl}', "");
Error('\p{	/a/Is_cntrl}');
Error('\P{	/a/Is_cntrl}');
Expect(1, 159, '\p{iscntrl}', "");
Expect(0, 159, '\p{^iscntrl}', "");
Expect(0, 159, '\P{iscntrl}', "");
Expect(1, 159, '\P{^iscntrl}', "");
Expect(0, 160, '\p{iscntrl}', "");
Expect(1, 160, '\p{^iscntrl}', "");
Expect(1, 160, '\P{iscntrl}', "");
Expect(0, 160, '\P{^iscntrl}', "");
Expect(1, 159, '\p{__Is_CNTRL}', "");
Expect(0, 159, '\p{^__Is_CNTRL}', "");
Expect(0, 159, '\P{__Is_CNTRL}', "");
Expect(1, 159, '\P{^__Is_CNTRL}', "");
Expect(0, 160, '\p{__Is_CNTRL}', "");
Expect(1, 160, '\p{^__Is_CNTRL}', "");
Expect(1, 160, '\P{__Is_CNTRL}', "");
Expect(0, 160, '\P{^__Is_CNTRL}', "");
Error('\p{:=-Control}');
Error('\P{:=-Control}');
Expect(1, 159, '\p{control}', "");
Expect(0, 159, '\p{^control}', "");
Expect(0, 159, '\P{control}', "");
Expect(1, 159, '\P{^control}', "");
Expect(0, 160, '\p{control}', "");
Expect(1, 160, '\p{^control}', "");
Expect(1, 160, '\P{control}', "");
Expect(0, 160, '\P{^control}', "");
Expect(1, 159, '\p{ -control}', "");
Expect(0, 159, '\p{^ -control}', "");
Expect(0, 159, '\P{ -control}', "");
Expect(1, 159, '\P{^ -control}', "");
Expect(0, 160, '\p{ -control}', "");
Expect(1, 160, '\p{^ -control}', "");
Expect(1, 160, '\P{ -control}', "");
Expect(0, 160, '\P{^ -control}', "");
Error('\p{_-IS_CONTROL:=}');
Error('\P{_-IS_CONTROL:=}');
Expect(1, 159, '\p{iscontrol}', "");
Expect(0, 159, '\p{^iscontrol}', "");
Expect(0, 159, '\P{iscontrol}', "");
Expect(1, 159, '\P{^iscontrol}', "");
Expect(0, 160, '\p{iscontrol}', "");
Expect(1, 160, '\p{^iscontrol}', "");
Expect(1, 160, '\P{iscontrol}', "");
Expect(0, 160, '\P{^iscontrol}', "");
Expect(1, 159, '\p{  Is_Control}', "");
Expect(0, 159, '\p{^  Is_Control}', "");
Expect(0, 159, '\P{  Is_Control}', "");
Expect(1, 159, '\P{^  Is_Control}', "");
Expect(0, 160, '\p{  Is_Control}', "");
Expect(1, 160, '\p{^  Is_Control}', "");
Expect(1, 160, '\P{  Is_Control}', "");
Expect(0, 160, '\P{^  Is_Control}', "");
Error('\p{	:=Cc}');
Error('\P{	:=Cc}');
Expect(1, 159, '\p{cc}', "");
Expect(0, 159, '\p{^cc}', "");
Expect(0, 159, '\P{cc}', "");
Expect(1, 159, '\P{^cc}', "");
Expect(0, 160, '\p{cc}', "");
Expect(1, 160, '\p{^cc}', "");
Expect(1, 160, '\P{cc}', "");
Expect(0, 160, '\P{^cc}', "");
Expect(1, 159, '\p{_-Cc}', "");
Expect(0, 159, '\p{^_-Cc}', "");
Expect(0, 159, '\P{_-Cc}', "");
Expect(1, 159, '\P{^_-Cc}', "");
Expect(0, 160, '\p{_-Cc}', "");
Expect(1, 160, '\p{^_-Cc}', "");
Expect(1, 160, '\P{_-Cc}', "");
Expect(0, 160, '\P{^_-Cc}', "");
Error('\p{--IS_cc:=}');
Error('\P{--IS_cc:=}');
Expect(1, 159, '\p{iscc}', "");
Expect(0, 159, '\p{^iscc}', "");
Expect(0, 159, '\P{iscc}', "");
Expect(1, 159, '\P{^iscc}', "");
Expect(0, 160, '\p{iscc}', "");
Expect(1, 160, '\p{^iscc}', "");
Expect(1, 160, '\P{iscc}', "");
Expect(0, 160, '\P{^iscc}', "");
Expect(1, 159, '\p{	is_Cc}', "");
Expect(0, 159, '\p{^	is_Cc}', "");
Expect(0, 159, '\P{	is_Cc}', "");
Expect(1, 159, '\P{^	is_Cc}', "");
Expect(0, 160, '\p{	is_Cc}', "");
Expect(1, 160, '\p{^	is_Cc}', "");
Expect(1, 160, '\P{	is_Cc}', "");
Expect(0, 160, '\P{^	is_Cc}', "");
Error('\p{:=		combining_Diacritical_MARKS}');
Error('\P{:=		combining_Diacritical_MARKS}');
Expect(1, 879, '\p{combiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^combiningdiacriticalmarks}', "");
Expect(0, 879, '\P{combiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^combiningdiacriticalmarks}', "");
Expect(0, 880, '\p{combiningdiacriticalmarks}', "");
Expect(1, 880, '\p{^combiningdiacriticalmarks}', "");
Expect(1, 880, '\P{combiningdiacriticalmarks}', "");
Expect(0, 880, '\P{^combiningdiacriticalmarks}', "");
Expect(1, 879, '\p{-	COMBINING_Diacritical_MARKS}', "");
Expect(0, 879, '\p{^-	COMBINING_Diacritical_MARKS}', "");
Expect(0, 879, '\P{-	COMBINING_Diacritical_MARKS}', "");
Expect(1, 879, '\P{^-	COMBINING_Diacritical_MARKS}', "");
Expect(0, 880, '\p{-	COMBINING_Diacritical_MARKS}', "");
Expect(1, 880, '\p{^-	COMBINING_Diacritical_MARKS}', "");
Expect(1, 880, '\P{-	COMBINING_Diacritical_MARKS}', "");
Expect(0, 880, '\P{^-	COMBINING_Diacritical_MARKS}', "");
Error('\p{:=-	is_COMBINING_Diacritical_MARKS}');
Error('\P{:=-	is_COMBINING_Diacritical_MARKS}');
Expect(1, 879, '\p{iscombiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^iscombiningdiacriticalmarks}', "");
Expect(0, 879, '\P{iscombiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^iscombiningdiacriticalmarks}', "");
Expect(0, 880, '\p{iscombiningdiacriticalmarks}', "");
Expect(1, 880, '\p{^iscombiningdiacriticalmarks}', "");
Expect(1, 880, '\P{iscombiningdiacriticalmarks}', "");
Expect(0, 880, '\P{^iscombiningdiacriticalmarks}', "");
Expect(1, 879, '\p{ -Is_Combining_Diacritical_marks}', "");
Expect(0, 879, '\p{^ -Is_Combining_Diacritical_marks}', "");
Expect(0, 879, '\P{ -Is_Combining_Diacritical_marks}', "");
Expect(1, 879, '\P{^ -Is_Combining_Diacritical_marks}', "");
Expect(0, 880, '\p{ -Is_Combining_Diacritical_marks}', "");
Expect(1, 880, '\p{^ -Is_Combining_Diacritical_marks}', "");
Expect(1, 880, '\P{ -Is_Combining_Diacritical_marks}', "");
Expect(0, 880, '\P{^ -Is_Combining_Diacritical_marks}', "");
Error('\p{/a/-	in_Combining_diacritical_MARKS}');
Error('\P{/a/-	in_Combining_diacritical_MARKS}');
Expect(1, 879, '\p{incombiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^incombiningdiacriticalmarks}', "");
Expect(0, 879, '\P{incombiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^incombiningdiacriticalmarks}', "");
Expect(0, 880, '\p{incombiningdiacriticalmarks}', "");
Expect(1, 880, '\p{^incombiningdiacriticalmarks}', "");
Expect(1, 880, '\P{incombiningdiacriticalmarks}', "");
Expect(0, 880, '\P{^incombiningdiacriticalmarks}', "");
Expect(1, 879, '\p{ -in_Combining_Diacritical_Marks}', "");
Expect(0, 879, '\p{^ -in_Combining_Diacritical_Marks}', "");
Expect(0, 879, '\P{ -in_Combining_Diacritical_Marks}', "");
Expect(1, 879, '\P{^ -in_Combining_Diacritical_Marks}', "");
Expect(0, 880, '\p{ -in_Combining_Diacritical_Marks}', "");
Expect(1, 880, '\p{^ -in_Combining_Diacritical_Marks}', "");
Expect(1, 880, '\P{ -in_Combining_Diacritical_Marks}', "");
Expect(0, 880, '\P{^ -in_Combining_Diacritical_Marks}', "");
Error('\p{:=	 Diacriticals}');
Error('\P{:=	 Diacriticals}');
Expect(1, 879, '\p{diacriticals}', "");
Expect(0, 879, '\p{^diacriticals}', "");
Expect(0, 879, '\P{diacriticals}', "");
Expect(1, 879, '\P{^diacriticals}', "");
Expect(0, 880, '\p{diacriticals}', "");
Expect(1, 880, '\p{^diacriticals}', "");
Expect(1, 880, '\P{diacriticals}', "");
Expect(0, 880, '\P{^diacriticals}', "");
Expect(1, 879, '\p{		diacriticals}', "");
Expect(0, 879, '\p{^		diacriticals}', "");
Expect(0, 879, '\P{		diacriticals}', "");
Expect(1, 879, '\P{^		diacriticals}', "");
Expect(0, 880, '\p{		diacriticals}', "");
Expect(1, 880, '\p{^		diacriticals}', "");
Expect(1, 880, '\P{		diacriticals}', "");
Expect(0, 880, '\P{^		diacriticals}', "");
Error('\p{:=- Is_DIACRITICALS}');
Error('\P{:=- Is_DIACRITICALS}');
Expect(1, 879, '\p{isdiacriticals}', "");
Expect(0, 879, '\p{^isdiacriticals}', "");
Expect(0, 879, '\P{isdiacriticals}', "");
Expect(1, 879, '\P{^isdiacriticals}', "");
Expect(0, 880, '\p{isdiacriticals}', "");
Expect(1, 880, '\p{^isdiacriticals}', "");
Expect(1, 880, '\P{isdiacriticals}', "");
Expect(0, 880, '\P{^isdiacriticals}', "");
Expect(1, 879, '\p{_Is_DIACRITICALS}', "");
Expect(0, 879, '\p{^_Is_DIACRITICALS}', "");
Expect(0, 879, '\P{_Is_DIACRITICALS}', "");
Expect(1, 879, '\P{^_Is_DIACRITICALS}', "");
Expect(0, 880, '\p{_Is_DIACRITICALS}', "");
Expect(1, 880, '\p{^_Is_DIACRITICALS}', "");
Expect(1, 880, '\P{_Is_DIACRITICALS}', "");
Expect(0, 880, '\P{^_Is_DIACRITICALS}', "");
Error('\p{:=-In_Diacriticals}');
Error('\P{:=-In_Diacriticals}');
Expect(1, 879, '\p{indiacriticals}', "");
Expect(0, 879, '\p{^indiacriticals}', "");
Expect(0, 879, '\P{indiacriticals}', "");
Expect(1, 879, '\P{^indiacriticals}', "");
Expect(0, 880, '\p{indiacriticals}', "");
Expect(1, 880, '\p{^indiacriticals}', "");
Expect(1, 880, '\P{indiacriticals}', "");
Expect(0, 880, '\P{^indiacriticals}', "");
Expect(1, 879, '\p{- In_DIACRITICALS}', "");
Expect(0, 879, '\p{^- In_DIACRITICALS}', "");
Expect(0, 879, '\P{- In_DIACRITICALS}', "");
Expect(1, 879, '\P{^- In_DIACRITICALS}', "");
Expect(0, 880, '\p{- In_DIACRITICALS}', "");
Expect(1, 880, '\p{^- In_DIACRITICALS}', "");
Expect(1, 880, '\P{- In_DIACRITICALS}', "");
Expect(0, 880, '\P{^- In_DIACRITICALS}', "");
Error('\p{__Combining_Diacritical_marks_Extended:=}');
Error('\P{__Combining_Diacritical_marks_Extended:=}');
Expect(1, 6911, '\p{combiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\p{^combiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\P{combiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\P{^combiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\p{combiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\p{^combiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\P{combiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\P{^combiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\p{	COMBINING_diacritical_marks_extended}', "");
Expect(0, 6911, '\p{^	COMBINING_diacritical_marks_extended}', "");
Expect(0, 6911, '\P{	COMBINING_diacritical_marks_extended}', "");
Expect(1, 6911, '\P{^	COMBINING_diacritical_marks_extended}', "");
Expect(0, 6912, '\p{	COMBINING_diacritical_marks_extended}', "");
Expect(1, 6912, '\p{^	COMBINING_diacritical_marks_extended}', "");
Expect(1, 6912, '\P{	COMBINING_diacritical_marks_extended}', "");
Expect(0, 6912, '\P{^	COMBINING_diacritical_marks_extended}', "");
Error('\p{-IS_combining_Diacritical_marks_Extended/a/}');
Error('\P{-IS_combining_Diacritical_marks_Extended/a/}');
Expect(1, 6911, '\p{iscombiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\p{^iscombiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\P{iscombiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\P{^iscombiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\p{iscombiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\p{^iscombiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\P{iscombiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\P{^iscombiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\p{		Is_combining_Diacritical_Marks_Extended}', "");
Expect(0, 6911, '\p{^		Is_combining_Diacritical_Marks_Extended}', "");
Expect(0, 6911, '\P{		Is_combining_Diacritical_Marks_Extended}', "");
Expect(1, 6911, '\P{^		Is_combining_Diacritical_Marks_Extended}', "");
Expect(0, 6912, '\p{		Is_combining_Diacritical_Marks_Extended}', "");
Expect(1, 6912, '\p{^		Is_combining_Diacritical_Marks_Extended}', "");
Expect(1, 6912, '\P{		Is_combining_Diacritical_Marks_Extended}', "");
Expect(0, 6912, '\P{^		Is_combining_Diacritical_Marks_Extended}', "");
Error('\p{ IN_Combining_Diacritical_MARKS_Extended/a/}');
Error('\P{ IN_Combining_Diacritical_MARKS_Extended/a/}');
Expect(1, 6911, '\p{incombiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\p{^incombiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\P{incombiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\P{^incombiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\p{incombiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\p{^incombiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\P{incombiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\P{^incombiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\p{	IN_Combining_Diacritical_Marks_Extended}', "");
Expect(0, 6911, '\p{^	IN_Combining_Diacritical_Marks_Extended}', "");
Expect(0, 6911, '\P{	IN_Combining_Diacritical_Marks_Extended}', "");
Expect(1, 6911, '\P{^	IN_Combining_Diacritical_Marks_Extended}', "");
Expect(0, 6912, '\p{	IN_Combining_Diacritical_Marks_Extended}', "");
Expect(1, 6912, '\p{^	IN_Combining_Diacritical_Marks_Extended}', "");
Expect(1, 6912, '\P{	IN_Combining_Diacritical_Marks_Extended}', "");
Expect(0, 6912, '\P{^	IN_Combining_Diacritical_Marks_Extended}', "");
Error('\p{-:=Diacriticals_Ext}');
Error('\P{-:=Diacriticals_Ext}');
Expect(1, 6911, '\p{diacriticalsext}', "");
Expect(0, 6911, '\p{^diacriticalsext}', "");
Expect(0, 6911, '\P{diacriticalsext}', "");
Expect(1, 6911, '\P{^diacriticalsext}', "");
Expect(0, 6912, '\p{diacriticalsext}', "");
Expect(1, 6912, '\p{^diacriticalsext}', "");
Expect(1, 6912, '\P{diacriticalsext}', "");
Expect(0, 6912, '\P{^diacriticalsext}', "");
Expect(1, 6911, '\p{ diacriticals_EXT}', "");
Expect(0, 6911, '\p{^ diacriticals_EXT}', "");
Expect(0, 6911, '\P{ diacriticals_EXT}', "");
Expect(1, 6911, '\P{^ diacriticals_EXT}', "");
Expect(0, 6912, '\p{ diacriticals_EXT}', "");
Expect(1, 6912, '\p{^ diacriticals_EXT}', "");
Expect(1, 6912, '\P{ diacriticals_EXT}', "");
Expect(0, 6912, '\P{^ diacriticals_EXT}', "");
Error('\p{	:=IS_DIACRITICALS_Ext}');
Error('\P{	:=IS_DIACRITICALS_Ext}');
Expect(1, 6911, '\p{isdiacriticalsext}', "");
Expect(0, 6911, '\p{^isdiacriticalsext}', "");
Expect(0, 6911, '\P{isdiacriticalsext}', "");
Expect(1, 6911, '\P{^isdiacriticalsext}', "");
Expect(0, 6912, '\p{isdiacriticalsext}', "");
Expect(1, 6912, '\p{^isdiacriticalsext}', "");
Expect(1, 6912, '\P{isdiacriticalsext}', "");
Expect(0, 6912, '\P{^isdiacriticalsext}', "");
Expect(1, 6911, '\p{IS_diacriticals_ext}', "");
Expect(0, 6911, '\p{^IS_diacriticals_ext}', "");
Expect(0, 6911, '\P{IS_diacriticals_ext}', "");
Expect(1, 6911, '\P{^IS_diacriticals_ext}', "");
Expect(0, 6912, '\p{IS_diacriticals_ext}', "");
Expect(1, 6912, '\p{^IS_diacriticals_ext}', "");
Expect(1, 6912, '\P{IS_diacriticals_ext}', "");
Expect(0, 6912, '\P{^IS_diacriticals_ext}', "");
Error('\p{_:=in_DIACRITICALS_EXT}');
Error('\P{_:=in_DIACRITICALS_EXT}');
Expect(1, 6911, '\p{indiacriticalsext}', "");
Expect(0, 6911, '\p{^indiacriticalsext}', "");
Expect(0, 6911, '\P{indiacriticalsext}', "");
Expect(1, 6911, '\P{^indiacriticalsext}', "");
Expect(0, 6912, '\p{indiacriticalsext}', "");
Expect(1, 6912, '\p{^indiacriticalsext}', "");
Expect(1, 6912, '\P{indiacriticalsext}', "");
Expect(0, 6912, '\P{^indiacriticalsext}', "");
Expect(1, 6911, '\p{In_Diacriticals_Ext}', "");
Expect(0, 6911, '\p{^In_Diacriticals_Ext}', "");
Expect(0, 6911, '\P{In_Diacriticals_Ext}', "");
Expect(1, 6911, '\P{^In_Diacriticals_Ext}', "");
Expect(0, 6912, '\p{In_Diacriticals_Ext}', "");
Expect(1, 6912, '\p{^In_Diacriticals_Ext}', "");
Expect(1, 6912, '\P{In_Diacriticals_Ext}', "");
Expect(0, 6912, '\P{^In_Diacriticals_Ext}', "");
Error('\p{/a/ -combining_diacritical_Marks_FOR_SYMBOLS}');
Error('\P{/a/ -combining_diacritical_Marks_FOR_SYMBOLS}');
Expect(1, 8447, '\p{combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\p{^combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\P{combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\P{^combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\p{combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\p{^combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\P{combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\P{^combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\p{-COMBINING_Diacritical_Marks_for_symbols}', "");
Expect(0, 8447, '\p{^-COMBINING_Diacritical_Marks_for_symbols}', "");
Expect(0, 8447, '\P{-COMBINING_Diacritical_Marks_for_symbols}', "");
Expect(1, 8447, '\P{^-COMBINING_Diacritical_Marks_for_symbols}', "");
Expect(0, 8448, '\p{-COMBINING_Diacritical_Marks_for_symbols}', "");
Expect(1, 8448, '\p{^-COMBINING_Diacritical_Marks_for_symbols}', "");
Expect(1, 8448, '\P{-COMBINING_Diacritical_Marks_for_symbols}', "");
Expect(0, 8448, '\P{^-COMBINING_Diacritical_Marks_for_symbols}', "");
Error('\p{/a/Is_Combining_DIACRITICAL_MARKS_For_SYMBOLS}');
Error('\P{/a/Is_Combining_DIACRITICAL_MARKS_For_SYMBOLS}');
Expect(1, 8447, '\p{iscombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\p{^iscombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\P{iscombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\P{^iscombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\p{iscombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\p{^iscombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\P{iscombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\P{^iscombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\p{ IS_Combining_Diacritical_marks_for_symbols}', "");
Expect(0, 8447, '\p{^ IS_Combining_Diacritical_marks_for_symbols}', "");
Expect(0, 8447, '\P{ IS_Combining_Diacritical_marks_for_symbols}', "");
Expect(1, 8447, '\P{^ IS_Combining_Diacritical_marks_for_symbols}', "");
Expect(0, 8448, '\p{ IS_Combining_Diacritical_marks_for_symbols}', "");
Expect(1, 8448, '\p{^ IS_Combining_Diacritical_marks_for_symbols}', "");
Expect(1, 8448, '\P{ IS_Combining_Diacritical_marks_for_symbols}', "");
Expect(0, 8448, '\P{^ IS_Combining_Diacritical_marks_for_symbols}', "");
Error('\p{:=In_COMBINING_diacritical_marks_FOR_symbols}');
Error('\P{:=In_COMBINING_diacritical_marks_FOR_symbols}');
Expect(1, 8447, '\p{incombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\p{^incombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\P{incombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\P{^incombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\p{incombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\p{^incombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\P{incombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\P{^incombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\p{	 In_combining_Diacritical_MARKS_FOR_Symbols}', "");
Expect(0, 8447, '\p{^	 In_combining_Diacritical_MARKS_FOR_Symbols}', "");
Expect(0, 8447, '\P{	 In_combining_Diacritical_MARKS_FOR_Symbols}', "");
Expect(1, 8447, '\P{^	 In_combining_Diacritical_MARKS_FOR_Symbols}', "");
Expect(0, 8448, '\p{	 In_combining_Diacritical_MARKS_FOR_Symbols}', "");
Expect(1, 8448, '\p{^	 In_combining_Diacritical_MARKS_FOR_Symbols}', "");
Expect(1, 8448, '\P{	 In_combining_Diacritical_MARKS_FOR_Symbols}', "");
Expect(0, 8448, '\P{^	 In_combining_Diacritical_MARKS_FOR_Symbols}', "");
Error('\p{_ Diacriticals_For_Symbols/a/}');
Error('\P{_ Diacriticals_For_Symbols/a/}');
Expect(1, 8447, '\p{diacriticalsforsymbols}', "");
Expect(0, 8447, '\p{^diacriticalsforsymbols}', "");
Expect(0, 8447, '\P{diacriticalsforsymbols}', "");
Expect(1, 8447, '\P{^diacriticalsforsymbols}', "");
Expect(0, 8448, '\p{diacriticalsforsymbols}', "");
Expect(1, 8448, '\p{^diacriticalsforsymbols}', "");
Expect(1, 8448, '\P{diacriticalsforsymbols}', "");
Expect(0, 8448, '\P{^diacriticalsforsymbols}', "");
Expect(1, 8447, '\p{	_Diacriticals_for_SYMBOLS}', "");
Expect(0, 8447, '\p{^	_Diacriticals_for_SYMBOLS}', "");
Expect(0, 8447, '\P{	_Diacriticals_for_SYMBOLS}', "");
Expect(1, 8447, '\P{^	_Diacriticals_for_SYMBOLS}', "");
Expect(0, 8448, '\p{	_Diacriticals_for_SYMBOLS}', "");
Expect(1, 8448, '\p{^	_Diacriticals_for_SYMBOLS}', "");
Expect(1, 8448, '\P{	_Diacriticals_for_SYMBOLS}', "");
Expect(0, 8448, '\P{^	_Diacriticals_for_SYMBOLS}', "");
Error('\p{-Is_Diacriticals_For_SYMBOLS:=}');
Error('\P{-Is_Diacriticals_For_SYMBOLS:=}');
Expect(1, 8447, '\p{isdiacriticalsforsymbols}', "");
Expect(0, 8447, '\p{^isdiacriticalsforsymbols}', "");
Expect(0, 8447, '\P{isdiacriticalsforsymbols}', "");
Expect(1, 8447, '\P{^isdiacriticalsforsymbols}', "");
Expect(0, 8448, '\p{isdiacriticalsforsymbols}', "");
Expect(1, 8448, '\p{^isdiacriticalsforsymbols}', "");
Expect(1, 8448, '\P{isdiacriticalsforsymbols}', "");
Expect(0, 8448, '\P{^isdiacriticalsforsymbols}', "");
Expect(1, 8447, '\p{_Is_diacriticals_For_Symbols}', "");
Expect(0, 8447, '\p{^_Is_diacriticals_For_Symbols}', "");
Expect(0, 8447, '\P{_Is_diacriticals_For_Symbols}', "");
Expect(1, 8447, '\P{^_Is_diacriticals_For_Symbols}', "");
Expect(0, 8448, '\p{_Is_diacriticals_For_Symbols}', "");
Expect(1, 8448, '\p{^_Is_diacriticals_For_Symbols}', "");
Expect(1, 8448, '\P{_Is_diacriticals_For_Symbols}', "");
Expect(0, 8448, '\P{^_Is_diacriticals_For_Symbols}', "");
Error('\p{/a/-	IN_Diacriticals_FOR_Symbols}');
Error('\P{/a/-	IN_Diacriticals_FOR_Symbols}');
Expect(1, 8447, '\p{indiacriticalsforsymbols}', "");
Expect(0, 8447, '\p{^indiacriticalsforsymbols}', "");
Expect(0, 8447, '\P{indiacriticalsforsymbols}', "");
Expect(1, 8447, '\P{^indiacriticalsforsymbols}', "");
Expect(0, 8448, '\p{indiacriticalsforsymbols}', "");
Expect(1, 8448, '\p{^indiacriticalsforsymbols}', "");
Expect(1, 8448, '\P{indiacriticalsforsymbols}', "");
Expect(0, 8448, '\P{^indiacriticalsforsymbols}', "");
Expect(1, 8447, '\p{ 	in_diacriticals_For_SYMBOLS}', "");
Expect(0, 8447, '\p{^ 	in_diacriticals_For_SYMBOLS}', "");
Expect(0, 8447, '\P{ 	in_diacriticals_For_SYMBOLS}', "");
Expect(1, 8447, '\P{^ 	in_diacriticals_For_SYMBOLS}', "");
Expect(0, 8448, '\p{ 	in_diacriticals_For_SYMBOLS}', "");
Expect(1, 8448, '\p{^ 	in_diacriticals_For_SYMBOLS}', "");
Expect(1, 8448, '\P{ 	in_diacriticals_For_SYMBOLS}', "");
Expect(0, 8448, '\P{^ 	in_diacriticals_For_SYMBOLS}', "");
Error('\p{:=	 combining_MARKS_FOR_symbols}');
Error('\P{:=	 combining_MARKS_FOR_symbols}');
Expect(1, 8447, '\p{combiningmarksforsymbols}', "");
Expect(0, 8447, '\p{^combiningmarksforsymbols}', "");
Expect(0, 8447, '\P{combiningmarksforsymbols}', "");
Expect(1, 8447, '\P{^combiningmarksforsymbols}', "");
Expect(0, 8448, '\p{combiningmarksforsymbols}', "");
Expect(1, 8448, '\p{^combiningmarksforsymbols}', "");
Expect(1, 8448, '\P{combiningmarksforsymbols}', "");
Expect(0, 8448, '\P{^combiningmarksforsymbols}', "");
Expect(1, 8447, '\p{_COMBINING_Marks_FOR_symbols}', "");
Expect(0, 8447, '\p{^_COMBINING_Marks_FOR_symbols}', "");
Expect(0, 8447, '\P{_COMBINING_Marks_FOR_symbols}', "");
Expect(1, 8447, '\P{^_COMBINING_Marks_FOR_symbols}', "");
Expect(0, 8448, '\p{_COMBINING_Marks_FOR_symbols}', "");
Expect(1, 8448, '\p{^_COMBINING_Marks_FOR_symbols}', "");
Expect(1, 8448, '\P{_COMBINING_Marks_FOR_symbols}', "");
Expect(0, 8448, '\P{^_COMBINING_Marks_FOR_symbols}', "");
Error('\p{ :=is_combining_marks_For_Symbols}');
Error('\P{ :=is_combining_marks_For_Symbols}');
Expect(1, 8447, '\p{iscombiningmarksforsymbols}', "");
Expect(0, 8447, '\p{^iscombiningmarksforsymbols}', "");
Expect(0, 8447, '\P{iscombiningmarksforsymbols}', "");
Expect(1, 8447, '\P{^iscombiningmarksforsymbols}', "");
Expect(0, 8448, '\p{iscombiningmarksforsymbols}', "");
Expect(1, 8448, '\p{^iscombiningmarksforsymbols}', "");
Expect(1, 8448, '\P{iscombiningmarksforsymbols}', "");
Expect(0, 8448, '\P{^iscombiningmarksforsymbols}', "");
Expect(1, 8447, '\p{		is_Combining_Marks_FOR_symbols}', "");
Expect(0, 8447, '\p{^		is_Combining_Marks_FOR_symbols}', "");
Expect(0, 8447, '\P{		is_Combining_Marks_FOR_symbols}', "");
Expect(1, 8447, '\P{^		is_Combining_Marks_FOR_symbols}', "");
Expect(0, 8448, '\p{		is_Combining_Marks_FOR_symbols}', "");
Expect(1, 8448, '\p{^		is_Combining_Marks_FOR_symbols}', "");
Expect(1, 8448, '\P{		is_Combining_Marks_FOR_symbols}', "");
Expect(0, 8448, '\P{^		is_Combining_Marks_FOR_symbols}', "");
Error('\p{_-in_combining_Marks_FOR_SYMBOLS/a/}');
Error('\P{_-in_combining_Marks_FOR_SYMBOLS/a/}');
Expect(1, 8447, '\p{incombiningmarksforsymbols}', "");
Expect(0, 8447, '\p{^incombiningmarksforsymbols}', "");
Expect(0, 8447, '\P{incombiningmarksforsymbols}', "");
Expect(1, 8447, '\P{^incombiningmarksforsymbols}', "");
Expect(0, 8448, '\p{incombiningmarksforsymbols}', "");
Expect(1, 8448, '\p{^incombiningmarksforsymbols}', "");
Expect(1, 8448, '\P{incombiningmarksforsymbols}', "");
Expect(0, 8448, '\P{^incombiningmarksforsymbols}', "");
Expect(1, 8447, '\p{	-In_Combining_Marks_for_symbols}', "");
Expect(0, 8447, '\p{^	-In_Combining_Marks_for_symbols}', "");
Expect(0, 8447, '\P{	-In_Combining_Marks_for_symbols}', "");
Expect(1, 8447, '\P{^	-In_Combining_Marks_for_symbols}', "");
Expect(0, 8448, '\p{	-In_Combining_Marks_for_symbols}', "");
Expect(1, 8448, '\p{^	-In_Combining_Marks_for_symbols}', "");
Expect(1, 8448, '\P{	-In_Combining_Marks_for_symbols}', "");
Expect(0, 8448, '\P{^	-In_Combining_Marks_for_symbols}', "");
Error('\p{:=	-Combining_DIACRITICAL_Marks_supplement}');
Error('\P{:=	-Combining_DIACRITICAL_Marks_supplement}');
Expect(1, 7679, '\p{combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^combiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\p{combiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\p{^combiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\P{combiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\P{^combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{_	COMBINING_Diacritical_marks_SUPPLEMENT}', "");
Expect(0, 7679, '\p{^_	COMBINING_Diacritical_marks_SUPPLEMENT}', "");
Expect(0, 7679, '\P{_	COMBINING_Diacritical_marks_SUPPLEMENT}', "");
Expect(1, 7679, '\P{^_	COMBINING_Diacritical_marks_SUPPLEMENT}', "");
Expect(0, 7680, '\p{_	COMBINING_Diacritical_marks_SUPPLEMENT}', "");
Expect(1, 7680, '\p{^_	COMBINING_Diacritical_marks_SUPPLEMENT}', "");
Expect(1, 7680, '\P{_	COMBINING_Diacritical_marks_SUPPLEMENT}', "");
Expect(0, 7680, '\P{^_	COMBINING_Diacritical_marks_SUPPLEMENT}', "");
Error('\p{		IS_Combining_Diacritical_marks_SUPPLEMENT:=}');
Error('\P{		IS_Combining_Diacritical_marks_SUPPLEMENT:=}');
Expect(1, 7679, '\p{iscombiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^iscombiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{iscombiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^iscombiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\p{iscombiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\p{^iscombiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\P{iscombiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\P{^iscombiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{	 Is_combining_Diacritical_Marks_Supplement}', "");
Expect(0, 7679, '\p{^	 Is_combining_Diacritical_Marks_Supplement}', "");
Expect(0, 7679, '\P{	 Is_combining_Diacritical_Marks_Supplement}', "");
Expect(1, 7679, '\P{^	 Is_combining_Diacritical_Marks_Supplement}', "");
Expect(0, 7680, '\p{	 Is_combining_Diacritical_Marks_Supplement}', "");
Expect(1, 7680, '\p{^	 Is_combining_Diacritical_Marks_Supplement}', "");
Expect(1, 7680, '\P{	 Is_combining_Diacritical_Marks_Supplement}', "");
Expect(0, 7680, '\P{^	 Is_combining_Diacritical_Marks_Supplement}', "");
Error('\p{:= -IN_combining_DIACRITICAL_marks_supplement}');
Error('\P{:= -IN_combining_DIACRITICAL_marks_supplement}');
Expect(1, 7679, '\p{incombiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^incombiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{incombiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^incombiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\p{incombiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\p{^incombiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\P{incombiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\P{^incombiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{_in_COMBINING_Diacritical_MARKS_supplement}', "");
Expect(0, 7679, '\p{^_in_COMBINING_Diacritical_MARKS_supplement}', "");
Expect(0, 7679, '\P{_in_COMBINING_Diacritical_MARKS_supplement}', "");
Expect(1, 7679, '\P{^_in_COMBINING_Diacritical_MARKS_supplement}', "");
Expect(0, 7680, '\p{_in_COMBINING_Diacritical_MARKS_supplement}', "");
Expect(1, 7680, '\p{^_in_COMBINING_Diacritical_MARKS_supplement}', "");
Expect(1, 7680, '\P{_in_COMBINING_Diacritical_MARKS_supplement}', "");
Expect(0, 7680, '\P{^_in_COMBINING_Diacritical_MARKS_supplement}', "");
Error('\p{:=_ diacriticals_SUP}');
Error('\P{:=_ diacriticals_SUP}');
Expect(1, 7679, '\p{diacriticalssup}', "");
Expect(0, 7679, '\p{^diacriticalssup}', "");
Expect(0, 7679, '\P{diacriticalssup}', "");
Expect(1, 7679, '\P{^diacriticalssup}', "");
Expect(0, 7680, '\p{diacriticalssup}', "");
Expect(1, 7680, '\p{^diacriticalssup}', "");
Expect(1, 7680, '\P{diacriticalssup}', "");
Expect(0, 7680, '\P{^diacriticalssup}', "");
Expect(1, 7679, '\p{-	diacriticals_SUP}', "");
Expect(0, 7679, '\p{^-	diacriticals_SUP}', "");
Expect(0, 7679, '\P{-	diacriticals_SUP}', "");
Expect(1, 7679, '\P{^-	diacriticals_SUP}', "");
Expect(0, 7680, '\p{-	diacriticals_SUP}', "");
Expect(1, 7680, '\p{^-	diacriticals_SUP}', "");
Expect(1, 7680, '\P{-	diacriticals_SUP}', "");
Expect(0, 7680, '\P{^-	diacriticals_SUP}', "");
Error('\p{ /a/is_diacriticals_Sup}');
Error('\P{ /a/is_diacriticals_Sup}');
Expect(1, 7679, '\p{isdiacriticalssup}', "");
Expect(0, 7679, '\p{^isdiacriticalssup}', "");
Expect(0, 7679, '\P{isdiacriticalssup}', "");
Expect(1, 7679, '\P{^isdiacriticalssup}', "");
Expect(0, 7680, '\p{isdiacriticalssup}', "");
Expect(1, 7680, '\p{^isdiacriticalssup}', "");
Expect(1, 7680, '\P{isdiacriticalssup}', "");
Expect(0, 7680, '\P{^isdiacriticalssup}', "");
Expect(1, 7679, '\p{is_DIACRITICALS_sup}', "");
Expect(0, 7679, '\p{^is_DIACRITICALS_sup}', "");
Expect(0, 7679, '\P{is_DIACRITICALS_sup}', "");
Expect(1, 7679, '\P{^is_DIACRITICALS_sup}', "");
Expect(0, 7680, '\p{is_DIACRITICALS_sup}', "");
Expect(1, 7680, '\p{^is_DIACRITICALS_sup}', "");
Expect(1, 7680, '\P{is_DIACRITICALS_sup}', "");
Expect(0, 7680, '\P{^is_DIACRITICALS_sup}', "");
Error('\p{/a/-in_Diacriticals_Sup}');
Error('\P{/a/-in_Diacriticals_Sup}');
Expect(1, 7679, '\p{indiacriticalssup}', "");
Expect(0, 7679, '\p{^indiacriticalssup}', "");
Expect(0, 7679, '\P{indiacriticalssup}', "");
Expect(1, 7679, '\P{^indiacriticalssup}', "");
Expect(0, 7680, '\p{indiacriticalssup}', "");
Expect(1, 7680, '\p{^indiacriticalssup}', "");
Expect(1, 7680, '\P{indiacriticalssup}', "");
Expect(0, 7680, '\P{^indiacriticalssup}', "");
Expect(1, 7679, '\p{_In_Diacriticals_sup}', "");
Expect(0, 7679, '\p{^_In_Diacriticals_sup}', "");
Expect(0, 7679, '\P{_In_Diacriticals_sup}', "");
Expect(1, 7679, '\P{^_In_Diacriticals_sup}', "");
Expect(0, 7680, '\p{_In_Diacriticals_sup}', "");
Expect(1, 7680, '\p{^_In_Diacriticals_sup}', "");
Expect(1, 7680, '\P{_In_Diacriticals_sup}', "");
Expect(0, 7680, '\P{^_In_Diacriticals_sup}', "");
Error('\p{ :=combining_half_Marks}');
Error('\P{ :=combining_half_Marks}');
Expect(1, 65071, '\p{combininghalfmarks}', "");
Expect(0, 65071, '\p{^combininghalfmarks}', "");
Expect(0, 65071, '\P{combininghalfmarks}', "");
Expect(1, 65071, '\P{^combininghalfmarks}', "");
Expect(0, 65072, '\p{combininghalfmarks}', "");
Expect(1, 65072, '\p{^combininghalfmarks}', "");
Expect(1, 65072, '\P{combininghalfmarks}', "");
Expect(0, 65072, '\P{^combininghalfmarks}', "");
Expect(1, 65071, '\p{	 combining_Half_MARKS}', "");
Expect(0, 65071, '\p{^	 combining_Half_MARKS}', "");
Expect(0, 65071, '\P{	 combining_Half_MARKS}', "");
Expect(1, 65071, '\P{^	 combining_Half_MARKS}', "");
Expect(0, 65072, '\p{	 combining_Half_MARKS}', "");
Expect(1, 65072, '\p{^	 combining_Half_MARKS}', "");
Expect(1, 65072, '\P{	 combining_Half_MARKS}', "");
Expect(0, 65072, '\P{^	 combining_Half_MARKS}', "");
Error('\p{-Is_Combining_Half_Marks/a/}');
Error('\P{-Is_Combining_Half_Marks/a/}');
Expect(1, 65071, '\p{iscombininghalfmarks}', "");
Expect(0, 65071, '\p{^iscombininghalfmarks}', "");
Expect(0, 65071, '\P{iscombininghalfmarks}', "");
Expect(1, 65071, '\P{^iscombininghalfmarks}', "");
Expect(0, 65072, '\p{iscombininghalfmarks}', "");
Expect(1, 65072, '\p{^iscombininghalfmarks}', "");
Expect(1, 65072, '\P{iscombininghalfmarks}', "");
Expect(0, 65072, '\P{^iscombininghalfmarks}', "");
Expect(1, 65071, '\p{ 	Is_combining_HALF_marks}', "");
Expect(0, 65071, '\p{^ 	Is_combining_HALF_marks}', "");
Expect(0, 65071, '\P{ 	Is_combining_HALF_marks}', "");
Expect(1, 65071, '\P{^ 	Is_combining_HALF_marks}', "");
Expect(0, 65072, '\p{ 	Is_combining_HALF_marks}', "");
Expect(1, 65072, '\p{^ 	Is_combining_HALF_marks}', "");
Expect(1, 65072, '\P{ 	Is_combining_HALF_marks}', "");
Expect(0, 65072, '\P{^ 	Is_combining_HALF_marks}', "");
Error('\p{/a/_In_COMBINING_HALF_marks}');
Error('\P{/a/_In_COMBINING_HALF_marks}');
Expect(1, 65071, '\p{incombininghalfmarks}', "");
Expect(0, 65071, '\p{^incombininghalfmarks}', "");
Expect(0, 65071, '\P{incombininghalfmarks}', "");
Expect(1, 65071, '\P{^incombininghalfmarks}', "");
Expect(0, 65072, '\p{incombininghalfmarks}', "");
Expect(1, 65072, '\p{^incombininghalfmarks}', "");
Expect(1, 65072, '\P{incombininghalfmarks}', "");
Expect(0, 65072, '\P{^incombininghalfmarks}', "");
Expect(1, 65071, '\p{ 	In_Combining_Half_MARKS}', "");
Expect(0, 65071, '\p{^ 	In_Combining_Half_MARKS}', "");
Expect(0, 65071, '\P{ 	In_Combining_Half_MARKS}', "");
Expect(1, 65071, '\P{^ 	In_Combining_Half_MARKS}', "");
Expect(0, 65072, '\p{ 	In_Combining_Half_MARKS}', "");
Expect(1, 65072, '\p{^ 	In_Combining_Half_MARKS}', "");
Expect(1, 65072, '\P{ 	In_Combining_Half_MARKS}', "");
Expect(0, 65072, '\P{^ 	In_Combining_Half_MARKS}', "");
Error('\p{-HALF_MARKS/a/}');
Error('\P{-HALF_MARKS/a/}');
Expect(1, 65071, '\p{halfmarks}', "");
Expect(0, 65071, '\p{^halfmarks}', "");
Expect(0, 65071, '\P{halfmarks}', "");
Expect(1, 65071, '\P{^halfmarks}', "");
Expect(0, 65072, '\p{halfmarks}', "");
Expect(1, 65072, '\p{^halfmarks}', "");
Expect(1, 65072, '\P{halfmarks}', "");
Expect(0, 65072, '\P{^halfmarks}', "");
Expect(1, 65071, '\p{_Half_Marks}', "");
Expect(0, 65071, '\p{^_Half_Marks}', "");
Expect(0, 65071, '\P{_Half_Marks}', "");
Expect(1, 65071, '\P{^_Half_Marks}', "");
Expect(0, 65072, '\p{_Half_Marks}', "");
Expect(1, 65072, '\p{^_Half_Marks}', "");
Expect(1, 65072, '\P{_Half_Marks}', "");
Expect(0, 65072, '\P{^_Half_Marks}', "");
Error('\p{-Is_half_MARKS/a/}');
Error('\P{-Is_half_MARKS/a/}');
Expect(1, 65071, '\p{ishalfmarks}', "");
Expect(0, 65071, '\p{^ishalfmarks}', "");
Expect(0, 65071, '\P{ishalfmarks}', "");
Expect(1, 65071, '\P{^ishalfmarks}', "");
Expect(0, 65072, '\p{ishalfmarks}', "");
Expect(1, 65072, '\p{^ishalfmarks}', "");
Expect(1, 65072, '\P{ishalfmarks}', "");
Expect(0, 65072, '\P{^ishalfmarks}', "");
Expect(1, 65071, '\p{_IS_Half_Marks}', "");
Expect(0, 65071, '\p{^_IS_Half_Marks}', "");
Expect(0, 65071, '\P{_IS_Half_Marks}', "");
Expect(1, 65071, '\P{^_IS_Half_Marks}', "");
Expect(0, 65072, '\p{_IS_Half_Marks}', "");
Expect(1, 65072, '\p{^_IS_Half_Marks}', "");
Expect(1, 65072, '\P{_IS_Half_Marks}', "");
Expect(0, 65072, '\P{^_IS_Half_Marks}', "");
Error('\p{/a/	In_half_Marks}');
Error('\P{/a/	In_half_Marks}');
Expect(1, 65071, '\p{inhalfmarks}', "");
Expect(0, 65071, '\p{^inhalfmarks}', "");
Expect(0, 65071, '\P{inhalfmarks}', "");
Expect(1, 65071, '\P{^inhalfmarks}', "");
Expect(0, 65072, '\p{inhalfmarks}', "");
Expect(1, 65072, '\p{^inhalfmarks}', "");
Expect(1, 65072, '\P{inhalfmarks}', "");
Expect(0, 65072, '\P{^inhalfmarks}', "");
Expect(1, 65071, '\p{_IN_HALF_Marks}', "");
Expect(0, 65071, '\p{^_IN_HALF_Marks}', "");
Expect(0, 65071, '\P{_IN_HALF_Marks}', "");
Expect(1, 65071, '\P{^_IN_HALF_Marks}', "");
Expect(0, 65072, '\p{_IN_HALF_Marks}', "");
Expect(1, 65072, '\p{^_IN_HALF_Marks}', "");
Expect(1, 65072, '\P{_IN_HALF_Marks}', "");
Expect(0, 65072, '\P{^_IN_HALF_Marks}', "");
Error('\p{:=_COMMON}');
Error('\P{:=_COMMON}');
Expect(1, 917631, '\p{common}', "");
Expect(0, 917631, '\p{^common}', "");
Expect(0, 917631, '\P{common}', "");
Expect(1, 917631, '\P{^common}', "");
Expect(0, 917632, '\p{common}', "");
Expect(1, 917632, '\p{^common}', "");
Expect(1, 917632, '\P{common}', "");
Expect(0, 917632, '\P{^common}', "");
Expect(1, 917631, '\p{	_Common}', "");
Expect(0, 917631, '\p{^	_Common}', "");
Expect(0, 917631, '\P{	_Common}', "");
Expect(1, 917631, '\P{^	_Common}', "");
Expect(0, 917632, '\p{	_Common}', "");
Expect(1, 917632, '\p{^	_Common}', "");
Expect(1, 917632, '\P{	_Common}', "");
Expect(0, 917632, '\P{^	_Common}', "");
Error('\p{:= is_Common}');
Error('\P{:= is_Common}');
Expect(1, 917631, '\p{iscommon}', "");
Expect(0, 917631, '\p{^iscommon}', "");
Expect(0, 917631, '\P{iscommon}', "");
Expect(1, 917631, '\P{^iscommon}', "");
Expect(0, 917632, '\p{iscommon}', "");
Expect(1, 917632, '\p{^iscommon}', "");
Expect(1, 917632, '\P{iscommon}', "");
Expect(0, 917632, '\P{^iscommon}', "");
Expect(1, 917631, '\p{_Is_Common}', "");
Expect(0, 917631, '\p{^_Is_Common}', "");
Expect(0, 917631, '\P{_Is_Common}', "");
Expect(1, 917631, '\P{^_Is_Common}', "");
Expect(0, 917632, '\p{_Is_Common}', "");
Expect(1, 917632, '\p{^_Is_Common}', "");
Expect(1, 917632, '\P{_Is_Common}', "");
Expect(0, 917632, '\P{^_Is_Common}', "");
Error('\p{-:=Zyyy}');
Error('\P{-:=Zyyy}');
Expect(1, 917631, '\p{zyyy}', "");
Expect(0, 917631, '\p{^zyyy}', "");
Expect(0, 917631, '\P{zyyy}', "");
Expect(1, 917631, '\P{^zyyy}', "");
Expect(0, 917632, '\p{zyyy}', "");
Expect(1, 917632, '\p{^zyyy}', "");
Expect(1, 917632, '\P{zyyy}', "");
Expect(0, 917632, '\P{^zyyy}', "");
Expect(1, 917631, '\p{	-zyyy}', "");
Expect(0, 917631, '\p{^	-zyyy}', "");
Expect(0, 917631, '\P{	-zyyy}', "");
Expect(1, 917631, '\P{^	-zyyy}', "");
Expect(0, 917632, '\p{	-zyyy}', "");
Expect(1, 917632, '\p{^	-zyyy}', "");
Expect(1, 917632, '\P{	-zyyy}', "");
Expect(0, 917632, '\P{^	-zyyy}', "");
Error('\p{_:=IS_zyyy}');
Error('\P{_:=IS_zyyy}');
Expect(1, 917631, '\p{iszyyy}', "");
Expect(0, 917631, '\p{^iszyyy}', "");
Expect(0, 917631, '\P{iszyyy}', "");
Expect(1, 917631, '\P{^iszyyy}', "");
Expect(0, 917632, '\p{iszyyy}', "");
Expect(1, 917632, '\p{^iszyyy}', "");
Expect(1, 917632, '\P{iszyyy}', "");
Expect(0, 917632, '\P{^iszyyy}', "");
Expect(1, 917631, '\p{is_zyyy}', "");
Expect(0, 917631, '\p{^is_zyyy}', "");
Expect(0, 917631, '\P{is_zyyy}', "");
Expect(1, 917631, '\P{^is_zyyy}', "");
Expect(0, 917632, '\p{is_zyyy}', "");
Expect(1, 917632, '\p{^is_zyyy}', "");
Expect(1, 917632, '\P{is_zyyy}', "");
Expect(0, 917632, '\P{^is_zyyy}', "");
Error('\p{ :=common_Indic_NUMBER_Forms}');
Error('\P{ :=common_Indic_NUMBER_Forms}');
Expect(1, 43071, '\p{commonindicnumberforms}', "");
Expect(0, 43071, '\p{^commonindicnumberforms}', "");
Expect(0, 43071, '\P{commonindicnumberforms}', "");
Expect(1, 43071, '\P{^commonindicnumberforms}', "");
Expect(0, 43072, '\p{commonindicnumberforms}', "");
Expect(1, 43072, '\p{^commonindicnumberforms}', "");
Expect(1, 43072, '\P{commonindicnumberforms}', "");
Expect(0, 43072, '\P{^commonindicnumberforms}', "");
Expect(1, 43071, '\p{-_Common_indic_number_Forms}', "");
Expect(0, 43071, '\p{^-_Common_indic_number_Forms}', "");
Expect(0, 43071, '\P{-_Common_indic_number_Forms}', "");
Expect(1, 43071, '\P{^-_Common_indic_number_Forms}', "");
Expect(0, 43072, '\p{-_Common_indic_number_Forms}', "");
Expect(1, 43072, '\p{^-_Common_indic_number_Forms}', "");
Expect(1, 43072, '\P{-_Common_indic_number_Forms}', "");
Expect(0, 43072, '\P{^-_Common_indic_number_Forms}', "");
Error('\p{_/a/is_common_indic_NUMBER_forms}');
Error('\P{_/a/is_common_indic_NUMBER_forms}');
Expect(1, 43071, '\p{iscommonindicnumberforms}', "");
Expect(0, 43071, '\p{^iscommonindicnumberforms}', "");
Expect(0, 43071, '\P{iscommonindicnumberforms}', "");
Expect(1, 43071, '\P{^iscommonindicnumberforms}', "");
Expect(0, 43072, '\p{iscommonindicnumberforms}', "");
Expect(1, 43072, '\p{^iscommonindicnumberforms}', "");
Expect(1, 43072, '\P{iscommonindicnumberforms}', "");
Expect(0, 43072, '\P{^iscommonindicnumberforms}', "");
Expect(1, 43071, '\p{	Is_common_INDIC_Number_FORMS}', "");
Expect(0, 43071, '\p{^	Is_common_INDIC_Number_FORMS}', "");
Expect(0, 43071, '\P{	Is_common_INDIC_Number_FORMS}', "");
Expect(1, 43071, '\P{^	Is_common_INDIC_Number_FORMS}', "");
Expect(0, 43072, '\p{	Is_common_INDIC_Number_FORMS}', "");
Expect(1, 43072, '\p{^	Is_common_INDIC_Number_FORMS}', "");
Expect(1, 43072, '\P{	Is_common_INDIC_Number_FORMS}', "");
Expect(0, 43072, '\P{^	Is_common_INDIC_Number_FORMS}', "");
Error('\p{ :=In_common_Indic_Number_forms}');
Error('\P{ :=In_common_Indic_Number_forms}');
Expect(1, 43071, '\p{incommonindicnumberforms}', "");
Expect(0, 43071, '\p{^incommonindicnumberforms}', "");
Expect(0, 43071, '\P{incommonindicnumberforms}', "");
Expect(1, 43071, '\P{^incommonindicnumberforms}', "");
Expect(0, 43072, '\p{incommonindicnumberforms}', "");
Expect(1, 43072, '\p{^incommonindicnumberforms}', "");
Expect(1, 43072, '\P{incommonindicnumberforms}', "");
Expect(0, 43072, '\P{^incommonindicnumberforms}', "");
Expect(1, 43071, '\p{ 	In_common_INDIC_NUMBER_Forms}', "");
Expect(0, 43071, '\p{^ 	In_common_INDIC_NUMBER_Forms}', "");
Expect(0, 43071, '\P{ 	In_common_INDIC_NUMBER_Forms}', "");
Expect(1, 43071, '\P{^ 	In_common_INDIC_NUMBER_Forms}', "");
Expect(0, 43072, '\p{ 	In_common_INDIC_NUMBER_Forms}', "");
Expect(1, 43072, '\p{^ 	In_common_INDIC_NUMBER_Forms}', "");
Expect(1, 43072, '\P{ 	In_common_INDIC_NUMBER_Forms}', "");
Expect(0, 43072, '\P{^ 	In_common_INDIC_NUMBER_Forms}', "");
Error('\p{ INDIC_Number_forms/a/}');
Error('\P{ INDIC_Number_forms/a/}');
Expect(1, 43071, '\p{indicnumberforms}', "");
Expect(0, 43071, '\p{^indicnumberforms}', "");
Expect(0, 43071, '\P{indicnumberforms}', "");
Expect(1, 43071, '\P{^indicnumberforms}', "");
Expect(0, 43072, '\p{indicnumberforms}', "");
Expect(1, 43072, '\p{^indicnumberforms}', "");
Expect(1, 43072, '\P{indicnumberforms}', "");
Expect(0, 43072, '\P{^indicnumberforms}', "");
Expect(1, 43071, '\p{--Indic_Number_forms}', "");
Expect(0, 43071, '\p{^--Indic_Number_forms}', "");
Expect(0, 43071, '\P{--Indic_Number_forms}', "");
Expect(1, 43071, '\P{^--Indic_Number_forms}', "");
Expect(0, 43072, '\p{--Indic_Number_forms}', "");
Expect(1, 43072, '\p{^--Indic_Number_forms}', "");
Expect(1, 43072, '\P{--Indic_Number_forms}', "");
Expect(0, 43072, '\P{^--Indic_Number_forms}', "");
Error('\p{:= IS_Indic_NUMBER_FORMS}');
Error('\P{:= IS_Indic_NUMBER_FORMS}');
Expect(1, 43071, '\p{isindicnumberforms}', "");
Expect(0, 43071, '\p{^isindicnumberforms}', "");
Expect(0, 43071, '\P{isindicnumberforms}', "");
Expect(1, 43071, '\P{^isindicnumberforms}', "");
Expect(0, 43072, '\p{isindicnumberforms}', "");
Expect(1, 43072, '\p{^isindicnumberforms}', "");
Expect(1, 43072, '\P{isindicnumberforms}', "");
Expect(0, 43072, '\P{^isindicnumberforms}', "");
Expect(1, 43071, '\p{IS_Indic_Number_Forms}', "");
Expect(0, 43071, '\p{^IS_Indic_Number_Forms}', "");
Expect(0, 43071, '\P{IS_Indic_Number_Forms}', "");
Expect(1, 43071, '\P{^IS_Indic_Number_Forms}', "");
Expect(0, 43072, '\p{IS_Indic_Number_Forms}', "");
Expect(1, 43072, '\p{^IS_Indic_Number_Forms}', "");
Expect(1, 43072, '\P{IS_Indic_Number_Forms}', "");
Expect(0, 43072, '\P{^IS_Indic_Number_Forms}', "");
Error('\p{-_In_indic_Number_Forms/a/}');
Error('\P{-_In_indic_Number_Forms/a/}');
Expect(1, 43071, '\p{inindicnumberforms}', "");
Expect(0, 43071, '\p{^inindicnumberforms}', "");
Expect(0, 43071, '\P{inindicnumberforms}', "");
Expect(1, 43071, '\P{^inindicnumberforms}', "");
Expect(0, 43072, '\p{inindicnumberforms}', "");
Expect(1, 43072, '\p{^inindicnumberforms}', "");
Expect(1, 43072, '\P{inindicnumberforms}', "");
Expect(0, 43072, '\P{^inindicnumberforms}', "");
Expect(1, 43071, '\p{  In_indic_NUMBER_forms}', "");
Expect(0, 43071, '\p{^  In_indic_NUMBER_forms}', "");
Expect(0, 43071, '\P{  In_indic_NUMBER_forms}', "");
Expect(1, 43071, '\P{^  In_indic_NUMBER_forms}', "");
Expect(0, 43072, '\p{  In_indic_NUMBER_forms}', "");
Expect(1, 43072, '\p{^  In_indic_NUMBER_forms}', "");
Expect(1, 43072, '\P{  In_indic_NUMBER_forms}', "");
Expect(0, 43072, '\P{^  In_indic_NUMBER_forms}', "");
Error('\p{:= -Composition_EXCLUSION}');
Error('\P{:= -Composition_EXCLUSION}');
Expect(1, 119232, '\p{compositionexclusion}', "");
Expect(0, 119232, '\p{^compositionexclusion}', "");
Expect(0, 119232, '\P{compositionexclusion}', "");
Expect(1, 119232, '\P{^compositionexclusion}', "");
Expect(0, 119233, '\p{compositionexclusion}', "");
Expect(1, 119233, '\p{^compositionexclusion}', "");
Expect(1, 119233, '\P{compositionexclusion}', "");
Expect(0, 119233, '\P{^compositionexclusion}', "");
Expect(1, 119232, '\p{ -Composition_Exclusion}', "");
Expect(0, 119232, '\p{^ -Composition_Exclusion}', "");
Expect(0, 119232, '\P{ -Composition_Exclusion}', "");
Expect(1, 119232, '\P{^ -Composition_Exclusion}', "");
Expect(0, 119233, '\p{ -Composition_Exclusion}', "");
Expect(1, 119233, '\p{^ -Composition_Exclusion}', "");
Expect(1, 119233, '\P{ -Composition_Exclusion}', "");
Expect(0, 119233, '\P{^ -Composition_Exclusion}', "");
Error('\p{/a/ Is_composition_Exclusion}');
Error('\P{/a/ Is_composition_Exclusion}');
Expect(1, 119232, '\p{iscompositionexclusion}', "");
Expect(0, 119232, '\p{^iscompositionexclusion}', "");
Expect(0, 119232, '\P{iscompositionexclusion}', "");
Expect(1, 119232, '\P{^iscompositionexclusion}', "");
Expect(0, 119233, '\p{iscompositionexclusion}', "");
Expect(1, 119233, '\p{^iscompositionexclusion}', "");
Expect(1, 119233, '\P{iscompositionexclusion}', "");
Expect(0, 119233, '\P{^iscompositionexclusion}', "");
Expect(1, 119232, '\p{-_Is_composition_Exclusion}', "");
Expect(0, 119232, '\p{^-_Is_composition_Exclusion}', "");
Expect(0, 119232, '\P{-_Is_composition_Exclusion}', "");
Expect(1, 119232, '\P{^-_Is_composition_Exclusion}', "");
Expect(0, 119233, '\p{-_Is_composition_Exclusion}', "");
Expect(1, 119233, '\p{^-_Is_composition_Exclusion}', "");
Expect(1, 119233, '\P{-_Is_composition_Exclusion}', "");
Expect(0, 119233, '\P{^-_Is_composition_Exclusion}', "");
Error('\p{__CE:=}');
Error('\P{__CE:=}');
Expect(1, 119232, '\p{ce}', "");
Expect(0, 119232, '\p{^ce}', "");
Expect(0, 119232, '\P{ce}', "");
Expect(1, 119232, '\P{^ce}', "");
Expect(0, 119233, '\p{ce}', "");
Expect(1, 119233, '\p{^ce}', "");
Expect(1, 119233, '\P{ce}', "");
Expect(0, 119233, '\P{^ce}', "");
Expect(1, 119232, '\p{--CE}', "");
Expect(0, 119232, '\p{^--CE}', "");
Expect(0, 119232, '\P{--CE}', "");
Expect(1, 119232, '\P{^--CE}', "");
Expect(0, 119233, '\p{--CE}', "");
Expect(1, 119233, '\p{^--CE}', "");
Expect(1, 119233, '\P{--CE}', "");
Expect(0, 119233, '\P{^--CE}', "");
Error('\p{/a/_Is_CE}');
Error('\P{/a/_Is_CE}');
Expect(1, 119232, '\p{isce}', "");
Expect(0, 119232, '\p{^isce}', "");
Expect(0, 119232, '\P{isce}', "");
Expect(1, 119232, '\P{^isce}', "");
Expect(0, 119233, '\p{isce}', "");
Expect(1, 119233, '\p{^isce}', "");
Expect(1, 119233, '\P{isce}', "");
Expect(0, 119233, '\P{^isce}', "");
Expect(1, 119232, '\p{--Is_CE}', "");
Expect(0, 119232, '\p{^--Is_CE}', "");
Expect(0, 119232, '\P{--Is_CE}', "");
Expect(1, 119232, '\P{^--Is_CE}', "");
Expect(0, 119233, '\p{--Is_CE}', "");
Expect(1, 119233, '\p{^--Is_CE}', "");
Expect(1, 119233, '\P{--Is_CE}', "");
Expect(0, 119233, '\P{^--Is_CE}', "");
Error('\p{:=-	Connector_Punctuation}');
Error('\P{:=-	Connector_Punctuation}');
Expect(1, 65343, '\p{connectorpunctuation}', "");
Expect(0, 65343, '\p{^connectorpunctuation}', "");
Expect(0, 65343, '\P{connectorpunctuation}', "");
Expect(1, 65343, '\P{^connectorpunctuation}', "");
Expect(0, 65344, '\p{connectorpunctuation}', "");
Expect(1, 65344, '\p{^connectorpunctuation}', "");
Expect(1, 65344, '\P{connectorpunctuation}', "");
Expect(0, 65344, '\P{^connectorpunctuation}', "");
Expect(1, 65343, '\p{-	CONNECTOR_punctuation}', "");
Expect(0, 65343, '\p{^-	CONNECTOR_punctuation}', "");
Expect(0, 65343, '\P{-	CONNECTOR_punctuation}', "");
Expect(1, 65343, '\P{^-	CONNECTOR_punctuation}', "");
Expect(0, 65344, '\p{-	CONNECTOR_punctuation}', "");
Expect(1, 65344, '\p{^-	CONNECTOR_punctuation}', "");
Expect(1, 65344, '\P{-	CONNECTOR_punctuation}', "");
Expect(0, 65344, '\P{^-	CONNECTOR_punctuation}', "");
Error('\p{:= 	Is_Connector_PUNCTUATION}');
Error('\P{:= 	Is_Connector_PUNCTUATION}');
Expect(1, 65343, '\p{isconnectorpunctuation}', "");
Expect(0, 65343, '\p{^isconnectorpunctuation}', "");
Expect(0, 65343, '\P{isconnectorpunctuation}', "");
Expect(1, 65343, '\P{^isconnectorpunctuation}', "");
Expect(0, 65344, '\p{isconnectorpunctuation}', "");
Expect(1, 65344, '\p{^isconnectorpunctuation}', "");
Expect(1, 65344, '\P{isconnectorpunctuation}', "");
Expect(0, 65344, '\P{^isconnectorpunctuation}', "");
Expect(1, 65343, '\p{-	Is_CONNECTOR_punctuation}', "");
Expect(0, 65343, '\p{^-	Is_CONNECTOR_punctuation}', "");
Expect(0, 65343, '\P{-	Is_CONNECTOR_punctuation}', "");
Expect(1, 65343, '\P{^-	Is_CONNECTOR_punctuation}', "");
Expect(0, 65344, '\p{-	Is_CONNECTOR_punctuation}', "");
Expect(1, 65344, '\p{^-	Is_CONNECTOR_punctuation}', "");
Expect(1, 65344, '\P{-	Is_CONNECTOR_punctuation}', "");
Expect(0, 65344, '\P{^-	Is_CONNECTOR_punctuation}', "");
Error('\p{- Pc/a/}');
Error('\P{- Pc/a/}');
Expect(1, 65343, '\p{pc}', "");
Expect(0, 65343, '\p{^pc}', "");
Expect(0, 65343, '\P{pc}', "");
Expect(1, 65343, '\P{^pc}', "");
Expect(0, 65344, '\p{pc}', "");
Expect(1, 65344, '\p{^pc}', "");
Expect(1, 65344, '\P{pc}', "");
Expect(0, 65344, '\P{^pc}', "");
Expect(1, 65343, '\p{ 	PC}', "");
Expect(0, 65343, '\p{^ 	PC}', "");
Expect(0, 65343, '\P{ 	PC}', "");
Expect(1, 65343, '\P{^ 	PC}', "");
Expect(0, 65344, '\p{ 	PC}', "");
Expect(1, 65344, '\p{^ 	PC}', "");
Expect(1, 65344, '\P{ 	PC}', "");
Expect(0, 65344, '\P{^ 	PC}', "");
Error('\p{:=  Is_Pc}');
Error('\P{:=  Is_Pc}');
Expect(1, 65343, '\p{ispc}', "");
Expect(0, 65343, '\p{^ispc}', "");
Expect(0, 65343, '\P{ispc}', "");
Expect(1, 65343, '\P{^ispc}', "");
Expect(0, 65344, '\p{ispc}', "");
Expect(1, 65344, '\p{^ispc}', "");
Expect(1, 65344, '\P{ispc}', "");
Expect(0, 65344, '\P{^ispc}', "");
Expect(1, 65343, '\p{ -IS_Pc}', "");
Expect(0, 65343, '\p{^ -IS_Pc}', "");
Expect(0, 65343, '\P{ -IS_Pc}', "");
Expect(1, 65343, '\P{^ -IS_Pc}', "");
Expect(0, 65344, '\p{ -IS_Pc}', "");
Expect(1, 65344, '\p{^ -IS_Pc}', "");
Expect(1, 65344, '\P{ -IS_Pc}', "");
Expect(0, 65344, '\P{^ -IS_Pc}', "");
Error('\p{ /a/CONTROL_Pictures}');
Error('\P{ /a/CONTROL_Pictures}');
Expect(1, 9279, '\p{controlpictures}', "");
Expect(0, 9279, '\p{^controlpictures}', "");
Expect(0, 9279, '\P{controlpictures}', "");
Expect(1, 9279, '\P{^controlpictures}', "");
Expect(0, 9280, '\p{controlpictures}', "");
Expect(1, 9280, '\p{^controlpictures}', "");
Expect(1, 9280, '\P{controlpictures}', "");
Expect(0, 9280, '\P{^controlpictures}', "");
Expect(1, 9279, '\p{-_Control_Pictures}', "");
Expect(0, 9279, '\p{^-_Control_Pictures}', "");
Expect(0, 9279, '\P{-_Control_Pictures}', "");
Expect(1, 9279, '\P{^-_Control_Pictures}', "");
Expect(0, 9280, '\p{-_Control_Pictures}', "");
Expect(1, 9280, '\p{^-_Control_Pictures}', "");
Expect(1, 9280, '\P{-_Control_Pictures}', "");
Expect(0, 9280, '\P{^-_Control_Pictures}', "");
Error('\p{-:=IS_Control_pictures}');
Error('\P{-:=IS_Control_pictures}');
Expect(1, 9279, '\p{iscontrolpictures}', "");
Expect(0, 9279, '\p{^iscontrolpictures}', "");
Expect(0, 9279, '\P{iscontrolpictures}', "");
Expect(1, 9279, '\P{^iscontrolpictures}', "");
Expect(0, 9280, '\p{iscontrolpictures}', "");
Expect(1, 9280, '\p{^iscontrolpictures}', "");
Expect(1, 9280, '\P{iscontrolpictures}', "");
Expect(0, 9280, '\P{^iscontrolpictures}', "");
Expect(1, 9279, '\p{-	is_Control_pictures}', "");
Expect(0, 9279, '\p{^-	is_Control_pictures}', "");
Expect(0, 9279, '\P{-	is_Control_pictures}', "");
Expect(1, 9279, '\P{^-	is_Control_pictures}', "");
Expect(0, 9280, '\p{-	is_Control_pictures}', "");
Expect(1, 9280, '\p{^-	is_Control_pictures}', "");
Expect(1, 9280, '\P{-	is_Control_pictures}', "");
Expect(0, 9280, '\P{^-	is_Control_pictures}', "");
Error('\p{__IN_CONTROL_Pictures/a/}');
Error('\P{__IN_CONTROL_Pictures/a/}');
Expect(1, 9279, '\p{incontrolpictures}', "");
Expect(0, 9279, '\p{^incontrolpictures}', "");
Expect(0, 9279, '\P{incontrolpictures}', "");
Expect(1, 9279, '\P{^incontrolpictures}', "");
Expect(0, 9280, '\p{incontrolpictures}', "");
Expect(1, 9280, '\p{^incontrolpictures}', "");
Expect(1, 9280, '\P{incontrolpictures}', "");
Expect(0, 9280, '\P{^incontrolpictures}', "");
Expect(1, 9279, '\p{	In_Control_Pictures}', "");
Expect(0, 9279, '\p{^	In_Control_Pictures}', "");
Expect(0, 9279, '\P{	In_Control_Pictures}', "");
Expect(1, 9279, '\P{^	In_Control_Pictures}', "");
Expect(0, 9280, '\p{	In_Control_Pictures}', "");
Expect(1, 9280, '\p{^	In_Control_Pictures}', "");
Expect(1, 9280, '\P{	In_Control_Pictures}', "");
Expect(0, 9280, '\P{^	In_Control_Pictures}', "");
Error('\p{-coptic:=}');
Error('\P{-coptic:=}');
Expect(1, 11519, '\p{coptic}', "");
Expect(0, 11519, '\p{^coptic}', "");
Expect(0, 11519, '\P{coptic}', "");
Expect(1, 11519, '\P{^coptic}', "");
Expect(0, 11520, '\p{coptic}', "");
Expect(1, 11520, '\p{^coptic}', "");
Expect(1, 11520, '\P{coptic}', "");
Expect(0, 11520, '\P{^coptic}', "");
Expect(1, 11519, '\p{-COPTIC}', "");
Expect(0, 11519, '\p{^-COPTIC}', "");
Expect(0, 11519, '\P{-COPTIC}', "");
Expect(1, 11519, '\P{^-COPTIC}', "");
Expect(0, 11520, '\p{-COPTIC}', "");
Expect(1, 11520, '\p{^-COPTIC}', "");
Expect(1, 11520, '\P{-COPTIC}', "");
Expect(0, 11520, '\P{^-COPTIC}', "");
Error('\p{ :=Is_Coptic}');
Error('\P{ :=Is_Coptic}');
Expect(1, 11519, '\p{iscoptic}', "");
Expect(0, 11519, '\p{^iscoptic}', "");
Expect(0, 11519, '\P{iscoptic}', "");
Expect(1, 11519, '\P{^iscoptic}', "");
Expect(0, 11520, '\p{iscoptic}', "");
Expect(1, 11520, '\p{^iscoptic}', "");
Expect(1, 11520, '\P{iscoptic}', "");
Expect(0, 11520, '\P{^iscoptic}', "");
Expect(1, 11519, '\p{	-Is_coptic}', "");
Expect(0, 11519, '\p{^	-Is_coptic}', "");
Expect(0, 11519, '\P{	-Is_coptic}', "");
Expect(1, 11519, '\P{^	-Is_coptic}', "");
Expect(0, 11520, '\p{	-Is_coptic}', "");
Expect(1, 11520, '\p{^	-Is_coptic}', "");
Expect(1, 11520, '\P{	-Is_coptic}', "");
Expect(0, 11520, '\P{^	-Is_coptic}', "");
Error('\p{--copt:=}');
Error('\P{--copt:=}');
Expect(1, 11519, '\p{copt}', "");
Expect(0, 11519, '\p{^copt}', "");
Expect(0, 11519, '\P{copt}', "");
Expect(1, 11519, '\P{^copt}', "");
Expect(0, 11520, '\p{copt}', "");
Expect(1, 11520, '\p{^copt}', "");
Expect(1, 11520, '\P{copt}', "");
Expect(0, 11520, '\P{^copt}', "");
Expect(1, 11519, '\p{--Copt}', "");
Expect(0, 11519, '\p{^--Copt}', "");
Expect(0, 11519, '\P{--Copt}', "");
Expect(1, 11519, '\P{^--Copt}', "");
Expect(0, 11520, '\p{--Copt}', "");
Expect(1, 11520, '\p{^--Copt}', "");
Expect(1, 11520, '\P{--Copt}', "");
Expect(0, 11520, '\P{^--Copt}', "");
Error('\p{ Is_COPT:=}');
Error('\P{ Is_COPT:=}');
Expect(1, 11519, '\p{iscopt}', "");
Expect(0, 11519, '\p{^iscopt}', "");
Expect(0, 11519, '\P{iscopt}', "");
Expect(1, 11519, '\P{^iscopt}', "");
Expect(0, 11520, '\p{iscopt}', "");
Expect(1, 11520, '\p{^iscopt}', "");
Expect(1, 11520, '\P{iscopt}', "");
Expect(0, 11520, '\P{^iscopt}', "");
Expect(1, 11519, '\p{-_Is_copt}', "");
Expect(0, 11519, '\p{^-_Is_copt}', "");
Expect(0, 11519, '\P{-_Is_copt}', "");
Expect(1, 11519, '\P{^-_Is_copt}', "");
Expect(0, 11520, '\p{-_Is_copt}', "");
Expect(1, 11520, '\p{^-_Is_copt}', "");
Expect(1, 11520, '\P{-_Is_copt}', "");
Expect(0, 11520, '\P{^-_Is_copt}', "");
Error('\p{__QAAC/a/}');
Error('\P{__QAAC/a/}');
Expect(1, 11519, '\p{qaac}', "");
Expect(0, 11519, '\p{^qaac}', "");
Expect(0, 11519, '\P{qaac}', "");
Expect(1, 11519, '\P{^qaac}', "");
Expect(0, 11520, '\p{qaac}', "");
Expect(1, 11520, '\p{^qaac}', "");
Expect(1, 11520, '\P{qaac}', "");
Expect(0, 11520, '\P{^qaac}', "");
Expect(1, 11519, '\p{ qaac}', "");
Expect(0, 11519, '\p{^ qaac}', "");
Expect(0, 11519, '\P{ qaac}', "");
Expect(1, 11519, '\P{^ qaac}', "");
Expect(0, 11520, '\p{ qaac}', "");
Expect(1, 11520, '\p{^ qaac}', "");
Expect(1, 11520, '\P{ qaac}', "");
Expect(0, 11520, '\P{^ qaac}', "");
Error('\p{_is_QAAC/a/}');
Error('\P{_is_QAAC/a/}');
Expect(1, 11519, '\p{isqaac}', "");
Expect(0, 11519, '\p{^isqaac}', "");
Expect(0, 11519, '\P{isqaac}', "");
Expect(1, 11519, '\P{^isqaac}', "");
Expect(0, 11520, '\p{isqaac}', "");
Expect(1, 11520, '\p{^isqaac}', "");
Expect(1, 11520, '\P{isqaac}', "");
Expect(0, 11520, '\P{^isqaac}', "");
Expect(1, 11519, '\p{- Is_qaac}', "");
Expect(0, 11519, '\p{^- Is_qaac}', "");
Expect(0, 11519, '\P{- Is_qaac}', "");
Expect(1, 11519, '\P{^- Is_qaac}', "");
Expect(0, 11520, '\p{- Is_qaac}', "");
Expect(1, 11520, '\p{^- Is_qaac}', "");
Expect(1, 11520, '\P{- Is_qaac}', "");
Expect(0, 11520, '\P{^- Is_qaac}', "");
Error('\p{:=_Coptic_EPACT_NUMBERS}');
Error('\P{:=_Coptic_EPACT_NUMBERS}');
Expect(1, 66303, '\p{copticepactnumbers}', "");
Expect(0, 66303, '\p{^copticepactnumbers}', "");
Expect(0, 66303, '\P{copticepactnumbers}', "");
Expect(1, 66303, '\P{^copticepactnumbers}', "");
Expect(0, 66304, '\p{copticepactnumbers}', "");
Expect(1, 66304, '\p{^copticepactnumbers}', "");
Expect(1, 66304, '\P{copticepactnumbers}', "");
Expect(0, 66304, '\P{^copticepactnumbers}', "");
Expect(1, 66303, '\p{_ Coptic_epact_Numbers}', "");
Expect(0, 66303, '\p{^_ Coptic_epact_Numbers}', "");
Expect(0, 66303, '\P{_ Coptic_epact_Numbers}', "");
Expect(1, 66303, '\P{^_ Coptic_epact_Numbers}', "");
Expect(0, 66304, '\p{_ Coptic_epact_Numbers}', "");
Expect(1, 66304, '\p{^_ Coptic_epact_Numbers}', "");
Expect(1, 66304, '\P{_ Coptic_epact_Numbers}', "");
Expect(0, 66304, '\P{^_ Coptic_epact_Numbers}', "");
Error('\p{/a/ -IS_Coptic_Epact_numbers}');
Error('\P{/a/ -IS_Coptic_Epact_numbers}');
Expect(1, 66303, '\p{iscopticepactnumbers}', "");
Expect(0, 66303, '\p{^iscopticepactnumbers}', "");
Expect(0, 66303, '\P{iscopticepactnumbers}', "");
Expect(1, 66303, '\P{^iscopticepactnumbers}', "");
Expect(0, 66304, '\p{iscopticepactnumbers}', "");
Expect(1, 66304, '\p{^iscopticepactnumbers}', "");
Expect(1, 66304, '\P{iscopticepactnumbers}', "");
Expect(0, 66304, '\P{^iscopticepactnumbers}', "");
Expect(1, 66303, '\p{_ IS_COPTIC_EPACT_NUMBERS}', "");
Expect(0, 66303, '\p{^_ IS_COPTIC_EPACT_NUMBERS}', "");
Expect(0, 66303, '\P{_ IS_COPTIC_EPACT_NUMBERS}', "");
Expect(1, 66303, '\P{^_ IS_COPTIC_EPACT_NUMBERS}', "");
Expect(0, 66304, '\p{_ IS_COPTIC_EPACT_NUMBERS}', "");
Expect(1, 66304, '\p{^_ IS_COPTIC_EPACT_NUMBERS}', "");
Expect(1, 66304, '\P{_ IS_COPTIC_EPACT_NUMBERS}', "");
Expect(0, 66304, '\P{^_ IS_COPTIC_EPACT_NUMBERS}', "");
Error('\p{__In_coptic_epact_Numbers:=}');
Error('\P{__In_coptic_epact_Numbers:=}');
Expect(1, 66303, '\p{incopticepactnumbers}', "");
Expect(0, 66303, '\p{^incopticepactnumbers}', "");
Expect(0, 66303, '\P{incopticepactnumbers}', "");
Expect(1, 66303, '\P{^incopticepactnumbers}', "");
Expect(0, 66304, '\p{incopticepactnumbers}', "");
Expect(1, 66304, '\p{^incopticepactnumbers}', "");
Expect(1, 66304, '\P{incopticepactnumbers}', "");
Expect(0, 66304, '\P{^incopticepactnumbers}', "");
Expect(1, 66303, '\p{-In_Coptic_Epact_Numbers}', "");
Expect(0, 66303, '\p{^-In_Coptic_Epact_Numbers}', "");
Expect(0, 66303, '\P{-In_Coptic_Epact_Numbers}', "");
Expect(1, 66303, '\P{^-In_Coptic_Epact_Numbers}', "");
Expect(0, 66304, '\p{-In_Coptic_Epact_Numbers}', "");
Expect(1, 66304, '\p{^-In_Coptic_Epact_Numbers}', "");
Expect(1, 66304, '\P{-In_Coptic_Epact_Numbers}', "");
Expect(0, 66304, '\P{^-In_Coptic_Epact_Numbers}', "");
Error('\p{:= -COUNTING_Rod_Numerals}');
Error('\P{:= -COUNTING_Rod_Numerals}');
Expect(1, 119679, '\p{countingrodnumerals}', "");
Expect(0, 119679, '\p{^countingrodnumerals}', "");
Expect(0, 119679, '\P{countingrodnumerals}', "");
Expect(1, 119679, '\P{^countingrodnumerals}', "");
Expect(0, 119680, '\p{countingrodnumerals}', "");
Expect(1, 119680, '\p{^countingrodnumerals}', "");
Expect(1, 119680, '\P{countingrodnumerals}', "");
Expect(0, 119680, '\P{^countingrodnumerals}', "");
Expect(1, 119679, '\p{Counting_ROD_numerals}', "");
Expect(0, 119679, '\p{^Counting_ROD_numerals}', "");
Expect(0, 119679, '\P{Counting_ROD_numerals}', "");
Expect(1, 119679, '\P{^Counting_ROD_numerals}', "");
Expect(0, 119680, '\p{Counting_ROD_numerals}', "");
Expect(1, 119680, '\p{^Counting_ROD_numerals}', "");
Expect(1, 119680, '\P{Counting_ROD_numerals}', "");
Expect(0, 119680, '\P{^Counting_ROD_numerals}', "");
Error('\p{	_IS_Counting_Rod_Numerals:=}');
Error('\P{	_IS_Counting_Rod_Numerals:=}');
Expect(1, 119679, '\p{iscountingrodnumerals}', "");
Expect(0, 119679, '\p{^iscountingrodnumerals}', "");
Expect(0, 119679, '\P{iscountingrodnumerals}', "");
Expect(1, 119679, '\P{^iscountingrodnumerals}', "");
Expect(0, 119680, '\p{iscountingrodnumerals}', "");
Expect(1, 119680, '\p{^iscountingrodnumerals}', "");
Expect(1, 119680, '\P{iscountingrodnumerals}', "");
Expect(0, 119680, '\P{^iscountingrodnumerals}', "");
Expect(1, 119679, '\p{  Is_Counting_ROD_numerals}', "");
Expect(0, 119679, '\p{^  Is_Counting_ROD_numerals}', "");
Expect(0, 119679, '\P{  Is_Counting_ROD_numerals}', "");
Expect(1, 119679, '\P{^  Is_Counting_ROD_numerals}', "");
Expect(0, 119680, '\p{  Is_Counting_ROD_numerals}', "");
Expect(1, 119680, '\p{^  Is_Counting_ROD_numerals}', "");
Expect(1, 119680, '\P{  Is_Counting_ROD_numerals}', "");
Expect(0, 119680, '\P{^  Is_Counting_ROD_numerals}', "");
Error('\p{	 In_Counting_ROD_Numerals/a/}');
Error('\P{	 In_Counting_ROD_Numerals/a/}');
Expect(1, 119679, '\p{incountingrodnumerals}', "");
Expect(0, 119679, '\p{^incountingrodnumerals}', "");
Expect(0, 119679, '\P{incountingrodnumerals}', "");
Expect(1, 119679, '\P{^incountingrodnumerals}', "");
Expect(0, 119680, '\p{incountingrodnumerals}', "");
Expect(1, 119680, '\p{^incountingrodnumerals}', "");
Expect(1, 119680, '\P{incountingrodnumerals}', "");
Expect(0, 119680, '\P{^incountingrodnumerals}', "");
Expect(1, 119679, '\p{-	In_Counting_ROD_NUMERALS}', "");
Expect(0, 119679, '\p{^-	In_Counting_ROD_NUMERALS}', "");
Expect(0, 119679, '\P{-	In_Counting_ROD_NUMERALS}', "");
Expect(1, 119679, '\P{^-	In_Counting_ROD_NUMERALS}', "");
Expect(0, 119680, '\p{-	In_Counting_ROD_NUMERALS}', "");
Expect(1, 119680, '\p{^-	In_Counting_ROD_NUMERALS}', "");
Expect(1, 119680, '\P{-	In_Counting_ROD_NUMERALS}', "");
Expect(0, 119680, '\P{^-	In_Counting_ROD_NUMERALS}', "");
Error('\p{_	Counting_ROD/a/}');
Error('\P{_	Counting_ROD/a/}');
Expect(1, 119679, '\p{countingrod}', "");
Expect(0, 119679, '\p{^countingrod}', "");
Expect(0, 119679, '\P{countingrod}', "");
Expect(1, 119679, '\P{^countingrod}', "");
Expect(0, 119680, '\p{countingrod}', "");
Expect(1, 119680, '\p{^countingrod}', "");
Expect(1, 119680, '\P{countingrod}', "");
Expect(0, 119680, '\P{^countingrod}', "");
Expect(1, 119679, '\p{ _Counting_Rod}', "");
Expect(0, 119679, '\p{^ _Counting_Rod}', "");
Expect(0, 119679, '\P{ _Counting_Rod}', "");
Expect(1, 119679, '\P{^ _Counting_Rod}', "");
Expect(0, 119680, '\p{ _Counting_Rod}', "");
Expect(1, 119680, '\p{^ _Counting_Rod}', "");
Expect(1, 119680, '\P{ _Counting_Rod}', "");
Expect(0, 119680, '\P{^ _Counting_Rod}', "");
Error('\p{/a/Is_Counting_ROD}');
Error('\P{/a/Is_Counting_ROD}');
Expect(1, 119679, '\p{iscountingrod}', "");
Expect(0, 119679, '\p{^iscountingrod}', "");
Expect(0, 119679, '\P{iscountingrod}', "");
Expect(1, 119679, '\P{^iscountingrod}', "");
Expect(0, 119680, '\p{iscountingrod}', "");
Expect(1, 119680, '\p{^iscountingrod}', "");
Expect(1, 119680, '\P{iscountingrod}', "");
Expect(0, 119680, '\P{^iscountingrod}', "");
Expect(1, 119679, '\p{		IS_Counting_rod}', "");
Expect(0, 119679, '\p{^		IS_Counting_rod}', "");
Expect(0, 119679, '\P{		IS_Counting_rod}', "");
Expect(1, 119679, '\P{^		IS_Counting_rod}', "");
Expect(0, 119680, '\p{		IS_Counting_rod}', "");
Expect(1, 119680, '\p{^		IS_Counting_rod}', "");
Expect(1, 119680, '\P{		IS_Counting_rod}', "");
Expect(0, 119680, '\P{^		IS_Counting_rod}', "");
Error('\p{/a/_in_COUNTING_Rod}');
Error('\P{/a/_in_COUNTING_Rod}');
Expect(1, 119679, '\p{incountingrod}', "");
Expect(0, 119679, '\p{^incountingrod}', "");
Expect(0, 119679, '\P{incountingrod}', "");
Expect(1, 119679, '\P{^incountingrod}', "");
Expect(0, 119680, '\p{incountingrod}', "");
Expect(1, 119680, '\p{^incountingrod}', "");
Expect(1, 119680, '\P{incountingrod}', "");
Expect(0, 119680, '\P{^incountingrod}', "");
Expect(1, 119679, '\p{-In_Counting_Rod}', "");
Expect(0, 119679, '\p{^-In_Counting_Rod}', "");
Expect(0, 119679, '\P{-In_Counting_Rod}', "");
Expect(1, 119679, '\P{^-In_Counting_Rod}', "");
Expect(0, 119680, '\p{-In_Counting_Rod}', "");
Expect(1, 119680, '\p{^-In_Counting_Rod}', "");
Expect(1, 119680, '\P{-In_Counting_Rod}', "");
Expect(0, 119680, '\P{^-In_Counting_Rod}', "");
Error('\p{-cuneiform:=}');
Error('\P{-cuneiform:=}');
Expect(1, 74868, '\p{cuneiform}', "");
Expect(0, 74868, '\p{^cuneiform}', "");
Expect(0, 74868, '\P{cuneiform}', "");
Expect(1, 74868, '\P{^cuneiform}', "");
Expect(0, 74869, '\p{cuneiform}', "");
Expect(1, 74869, '\p{^cuneiform}', "");
Expect(1, 74869, '\P{cuneiform}', "");
Expect(0, 74869, '\P{^cuneiform}', "");
Expect(1, 74868, '\p{-Cuneiform}', "");
Expect(0, 74868, '\p{^-Cuneiform}', "");
Expect(0, 74868, '\P{-Cuneiform}', "");
Expect(1, 74868, '\P{^-Cuneiform}', "");
Expect(0, 74869, '\p{-Cuneiform}', "");
Expect(1, 74869, '\p{^-Cuneiform}', "");
Expect(1, 74869, '\P{-Cuneiform}', "");
Expect(0, 74869, '\P{^-Cuneiform}', "");
Error('\p{/a/_ is_Cuneiform}');
Error('\P{/a/_ is_Cuneiform}');
Expect(1, 74868, '\p{iscuneiform}', "");
Expect(0, 74868, '\p{^iscuneiform}', "");
Expect(0, 74868, '\P{iscuneiform}', "");
Expect(1, 74868, '\P{^iscuneiform}', "");
Expect(0, 74869, '\p{iscuneiform}', "");
Expect(1, 74869, '\p{^iscuneiform}', "");
Expect(1, 74869, '\P{iscuneiform}', "");
Expect(0, 74869, '\P{^iscuneiform}', "");
Expect(1, 74868, '\p{		Is_CUNEIFORM}', "");
Expect(0, 74868, '\p{^		Is_CUNEIFORM}', "");
Expect(0, 74868, '\P{		Is_CUNEIFORM}', "");
Expect(1, 74868, '\P{^		Is_CUNEIFORM}', "");
Expect(0, 74869, '\p{		Is_CUNEIFORM}', "");
Expect(1, 74869, '\p{^		Is_CUNEIFORM}', "");
Expect(1, 74869, '\P{		Is_CUNEIFORM}', "");
Expect(0, 74869, '\P{^		Is_CUNEIFORM}', "");
Error('\p{ xsux:=}');
Error('\P{ xsux:=}');
Expect(1, 74868, '\p{xsux}', "");
Expect(0, 74868, '\p{^xsux}', "");
Expect(0, 74868, '\P{xsux}', "");
Expect(1, 74868, '\P{^xsux}', "");
Expect(0, 74869, '\p{xsux}', "");
Expect(1, 74869, '\p{^xsux}', "");
Expect(1, 74869, '\P{xsux}', "");
Expect(0, 74869, '\P{^xsux}', "");
Expect(1, 74868, '\p{_xsux}', "");
Expect(0, 74868, '\p{^_xsux}', "");
Expect(0, 74868, '\P{_xsux}', "");
Expect(1, 74868, '\P{^_xsux}', "");
Expect(0, 74869, '\p{_xsux}', "");
Expect(1, 74869, '\p{^_xsux}', "");
Expect(1, 74869, '\P{_xsux}', "");
Expect(0, 74869, '\P{^_xsux}', "");
Error('\p{/a/	 Is_Xsux}');
Error('\P{/a/	 Is_Xsux}');
Expect(1, 74868, '\p{isxsux}', "");
Expect(0, 74868, '\p{^isxsux}', "");
Expect(0, 74868, '\P{isxsux}', "");
Expect(1, 74868, '\P{^isxsux}', "");
Expect(0, 74869, '\p{isxsux}', "");
Expect(1, 74869, '\p{^isxsux}', "");
Expect(1, 74869, '\P{isxsux}', "");
Expect(0, 74869, '\P{^isxsux}', "");
Expect(1, 74868, '\p{ -IS_Xsux}', "");
Expect(0, 74868, '\p{^ -IS_Xsux}', "");
Expect(0, 74868, '\P{ -IS_Xsux}', "");
Expect(1, 74868, '\P{^ -IS_Xsux}', "");
Expect(0, 74869, '\p{ -IS_Xsux}', "");
Expect(1, 74869, '\p{^ -IS_Xsux}', "");
Expect(1, 74869, '\P{ -IS_Xsux}', "");
Expect(0, 74869, '\P{^ -IS_Xsux}', "");
Error('\p{ CUNEIFORM_Numbers_and_Punctuation/a/}');
Error('\P{ CUNEIFORM_Numbers_and_Punctuation/a/}');
Expect(1, 74879, '\p{cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^cuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\p{cuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\p{^cuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\P{cuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\P{^cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{ Cuneiform_Numbers_And_PUNCTUATION}', "");
Expect(0, 74879, '\p{^ Cuneiform_Numbers_And_PUNCTUATION}', "");
Expect(0, 74879, '\P{ Cuneiform_Numbers_And_PUNCTUATION}', "");
Expect(1, 74879, '\P{^ Cuneiform_Numbers_And_PUNCTUATION}', "");
Expect(0, 74880, '\p{ Cuneiform_Numbers_And_PUNCTUATION}', "");
Expect(1, 74880, '\p{^ Cuneiform_Numbers_And_PUNCTUATION}', "");
Expect(1, 74880, '\P{ Cuneiform_Numbers_And_PUNCTUATION}', "");
Expect(0, 74880, '\P{^ Cuneiform_Numbers_And_PUNCTUATION}', "");
Error('\p{_ is_Cuneiform_NUMBERS_And_Punctuation/a/}');
Error('\P{_ is_Cuneiform_NUMBERS_And_Punctuation/a/}');
Expect(1, 74879, '\p{iscuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^iscuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{iscuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^iscuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\p{iscuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\p{^iscuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\P{iscuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\P{^iscuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{ IS_cuneiform_numbers_And_PUNCTUATION}', "");
Expect(0, 74879, '\p{^ IS_cuneiform_numbers_And_PUNCTUATION}', "");
Expect(0, 74879, '\P{ IS_cuneiform_numbers_And_PUNCTUATION}', "");
Expect(1, 74879, '\P{^ IS_cuneiform_numbers_And_PUNCTUATION}', "");
Expect(0, 74880, '\p{ IS_cuneiform_numbers_And_PUNCTUATION}', "");
Expect(1, 74880, '\p{^ IS_cuneiform_numbers_And_PUNCTUATION}', "");
Expect(1, 74880, '\P{ IS_cuneiform_numbers_And_PUNCTUATION}', "");
Expect(0, 74880, '\P{^ IS_cuneiform_numbers_And_PUNCTUATION}', "");
Error('\p{--in_cuneiform_Numbers_AND_Punctuation/a/}');
Error('\P{--in_cuneiform_Numbers_AND_Punctuation/a/}');
Expect(1, 74879, '\p{incuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^incuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{incuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^incuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\p{incuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\p{^incuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\P{incuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\P{^incuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{_	in_CUNEIFORM_Numbers_and_Punctuation}', "");
Expect(0, 74879, '\p{^_	in_CUNEIFORM_Numbers_and_Punctuation}', "");
Expect(0, 74879, '\P{_	in_CUNEIFORM_Numbers_and_Punctuation}', "");
Expect(1, 74879, '\P{^_	in_CUNEIFORM_Numbers_and_Punctuation}', "");
Expect(0, 74880, '\p{_	in_CUNEIFORM_Numbers_and_Punctuation}', "");
Expect(1, 74880, '\p{^_	in_CUNEIFORM_Numbers_and_Punctuation}', "");
Expect(1, 74880, '\P{_	in_CUNEIFORM_Numbers_and_Punctuation}', "");
Expect(0, 74880, '\P{^_	in_CUNEIFORM_Numbers_and_Punctuation}', "");
Error('\p{_:=Cuneiform_numbers}');
Error('\P{_:=Cuneiform_numbers}');
Expect(1, 74879, '\p{cuneiformnumbers}', "");
Expect(0, 74879, '\p{^cuneiformnumbers}', "");
Expect(0, 74879, '\P{cuneiformnumbers}', "");
Expect(1, 74879, '\P{^cuneiformnumbers}', "");
Expect(0, 74880, '\p{cuneiformnumbers}', "");
Expect(1, 74880, '\p{^cuneiformnumbers}', "");
Expect(1, 74880, '\P{cuneiformnumbers}', "");
Expect(0, 74880, '\P{^cuneiformnumbers}', "");
Expect(1, 74879, '\p{ -Cuneiform_NUMBERS}', "");
Expect(0, 74879, '\p{^ -Cuneiform_NUMBERS}', "");
Expect(0, 74879, '\P{ -Cuneiform_NUMBERS}', "");
Expect(1, 74879, '\P{^ -Cuneiform_NUMBERS}', "");
Expect(0, 74880, '\p{ -Cuneiform_NUMBERS}', "");
Expect(1, 74880, '\p{^ -Cuneiform_NUMBERS}', "");
Expect(1, 74880, '\P{ -Cuneiform_NUMBERS}', "");
Expect(0, 74880, '\P{^ -Cuneiform_NUMBERS}', "");
Error('\p{:=_	Is_CUNEIFORM_numbers}');
Error('\P{:=_	Is_CUNEIFORM_numbers}');
Expect(1, 74879, '\p{iscuneiformnumbers}', "");
Expect(0, 74879, '\p{^iscuneiformnumbers}', "");
Expect(0, 74879, '\P{iscuneiformnumbers}', "");
Expect(1, 74879, '\P{^iscuneiformnumbers}', "");
Expect(0, 74880, '\p{iscuneiformnumbers}', "");
Expect(1, 74880, '\p{^iscuneiformnumbers}', "");
Expect(1, 74880, '\P{iscuneiformnumbers}', "");
Expect(0, 74880, '\P{^iscuneiformnumbers}', "");
Expect(1, 74879, '\p{_-Is_CUNEIFORM_numbers}', "");
Expect(0, 74879, '\p{^_-Is_CUNEIFORM_numbers}', "");
Expect(0, 74879, '\P{_-Is_CUNEIFORM_numbers}', "");
Expect(1, 74879, '\P{^_-Is_CUNEIFORM_numbers}', "");
Expect(0, 74880, '\p{_-Is_CUNEIFORM_numbers}', "");
Expect(1, 74880, '\p{^_-Is_CUNEIFORM_numbers}', "");
Expect(1, 74880, '\P{_-Is_CUNEIFORM_numbers}', "");
Expect(0, 74880, '\P{^_-Is_CUNEIFORM_numbers}', "");
Error('\p{/a/	_In_CUNEIFORM_Numbers}');
Error('\P{/a/	_In_CUNEIFORM_Numbers}');
Expect(1, 74879, '\p{incuneiformnumbers}', "");
Expect(0, 74879, '\p{^incuneiformnumbers}', "");
Expect(0, 74879, '\P{incuneiformnumbers}', "");
Expect(1, 74879, '\P{^incuneiformnumbers}', "");
Expect(0, 74880, '\p{incuneiformnumbers}', "");
Expect(1, 74880, '\p{^incuneiformnumbers}', "");
Expect(1, 74880, '\P{incuneiformnumbers}', "");
Expect(0, 74880, '\P{^incuneiformnumbers}', "");
Expect(1, 74879, '\p{	In_Cuneiform_numbers}', "");
Expect(0, 74879, '\p{^	In_Cuneiform_numbers}', "");
Expect(0, 74879, '\P{	In_Cuneiform_numbers}', "");
Expect(1, 74879, '\P{^	In_Cuneiform_numbers}', "");
Expect(0, 74880, '\p{	In_Cuneiform_numbers}', "");
Expect(1, 74880, '\p{^	In_Cuneiform_numbers}', "");
Expect(1, 74880, '\P{	In_Cuneiform_numbers}', "");
Expect(0, 74880, '\P{^	In_Cuneiform_numbers}', "");
Error('\p{-_Currency_Symbol/a/}');
Error('\P{-_Currency_Symbol/a/}');
Expect(1, 65510, '\p{currencysymbol}', "");
Expect(0, 65510, '\p{^currencysymbol}', "");
Expect(0, 65510, '\P{currencysymbol}', "");
Expect(1, 65510, '\P{^currencysymbol}', "");
Expect(0, 65511, '\p{currencysymbol}', "");
Expect(1, 65511, '\p{^currencysymbol}', "");
Expect(1, 65511, '\P{currencysymbol}', "");
Expect(0, 65511, '\P{^currencysymbol}', "");
Expect(1, 65510, '\p{_CURRENCY_Symbol}', "");
Expect(0, 65510, '\p{^_CURRENCY_Symbol}', "");
Expect(0, 65510, '\P{_CURRENCY_Symbol}', "");
Expect(1, 65510, '\P{^_CURRENCY_Symbol}', "");
Expect(0, 65511, '\p{_CURRENCY_Symbol}', "");
Expect(1, 65511, '\p{^_CURRENCY_Symbol}', "");
Expect(1, 65511, '\P{_CURRENCY_Symbol}', "");
Expect(0, 65511, '\P{^_CURRENCY_Symbol}', "");
Error('\p{	:=IS_Currency_symbol}');
Error('\P{	:=IS_Currency_symbol}');
Expect(1, 65510, '\p{iscurrencysymbol}', "");
Expect(0, 65510, '\p{^iscurrencysymbol}', "");
Expect(0, 65510, '\P{iscurrencysymbol}', "");
Expect(1, 65510, '\P{^iscurrencysymbol}', "");
Expect(0, 65511, '\p{iscurrencysymbol}', "");
Expect(1, 65511, '\p{^iscurrencysymbol}', "");
Expect(1, 65511, '\P{iscurrencysymbol}', "");
Expect(0, 65511, '\P{^iscurrencysymbol}', "");
Expect(1, 65510, '\p{-_is_Currency_SYMBOL}', "");
Expect(0, 65510, '\p{^-_is_Currency_SYMBOL}', "");
Expect(0, 65510, '\P{-_is_Currency_SYMBOL}', "");
Expect(1, 65510, '\P{^-_is_Currency_SYMBOL}', "");
Expect(0, 65511, '\p{-_is_Currency_SYMBOL}', "");
Expect(1, 65511, '\p{^-_is_Currency_SYMBOL}', "");
Expect(1, 65511, '\P{-_is_Currency_SYMBOL}', "");
Expect(0, 65511, '\P{^-_is_Currency_SYMBOL}', "");
Error('\p{/a/sc}');
Error('\P{/a/sc}');
Expect(1, 65510, '\p{sc}', "");
Expect(0, 65510, '\p{^sc}', "");
Expect(0, 65510, '\P{sc}', "");
Expect(1, 65510, '\P{^sc}', "");
Expect(0, 65511, '\p{sc}', "");
Expect(1, 65511, '\p{^sc}', "");
Expect(1, 65511, '\P{sc}', "");
Expect(0, 65511, '\P{^sc}', "");
Expect(1, 65510, '\p{-_Sc}', "");
Expect(0, 65510, '\p{^-_Sc}', "");
Expect(0, 65510, '\P{-_Sc}', "");
Expect(1, 65510, '\P{^-_Sc}', "");
Expect(0, 65511, '\p{-_Sc}', "");
Expect(1, 65511, '\p{^-_Sc}', "");
Expect(1, 65511, '\P{-_Sc}', "");
Expect(0, 65511, '\P{^-_Sc}', "");
Error('\p{:=_-IS_sc}');
Error('\P{:=_-IS_sc}');
Expect(1, 65510, '\p{issc}', "");
Expect(0, 65510, '\p{^issc}', "");
Expect(0, 65510, '\P{issc}', "");
Expect(1, 65510, '\P{^issc}', "");
Expect(0, 65511, '\p{issc}', "");
Expect(1, 65511, '\p{^issc}', "");
Expect(1, 65511, '\P{issc}', "");
Expect(0, 65511, '\P{^issc}', "");
Expect(1, 65510, '\p{_Is_Sc}', "");
Expect(0, 65510, '\p{^_Is_Sc}', "");
Expect(0, 65510, '\P{_Is_Sc}', "");
Expect(1, 65510, '\P{^_Is_Sc}', "");
Expect(0, 65511, '\p{_Is_Sc}', "");
Expect(1, 65511, '\p{^_Is_Sc}', "");
Expect(1, 65511, '\P{_Is_Sc}', "");
Expect(0, 65511, '\P{^_Is_Sc}', "");
Error('\p{ /a/Currency_SYMBOLS}');
Error('\P{ /a/Currency_SYMBOLS}');
Expect(1, 8399, '\p{currencysymbols}', "");
Expect(0, 8399, '\p{^currencysymbols}', "");
Expect(0, 8399, '\P{currencysymbols}', "");
Expect(1, 8399, '\P{^currencysymbols}', "");
Expect(0, 8400, '\p{currencysymbols}', "");
Expect(1, 8400, '\p{^currencysymbols}', "");
Expect(1, 8400, '\P{currencysymbols}', "");
Expect(0, 8400, '\P{^currencysymbols}', "");
Expect(1, 8399, '\p{_ CURRENCY_Symbols}', "");
Expect(0, 8399, '\p{^_ CURRENCY_Symbols}', "");
Expect(0, 8399, '\P{_ CURRENCY_Symbols}', "");
Expect(1, 8399, '\P{^_ CURRENCY_Symbols}', "");
Expect(0, 8400, '\p{_ CURRENCY_Symbols}', "");
Expect(1, 8400, '\p{^_ CURRENCY_Symbols}', "");
Expect(1, 8400, '\P{_ CURRENCY_Symbols}', "");
Expect(0, 8400, '\P{^_ CURRENCY_Symbols}', "");
Error('\p{ -Is_CURRENCY_symbols/a/}');
Error('\P{ -Is_CURRENCY_symbols/a/}');
Expect(1, 8399, '\p{iscurrencysymbols}', "");
Expect(0, 8399, '\p{^iscurrencysymbols}', "");
Expect(0, 8399, '\P{iscurrencysymbols}', "");
Expect(1, 8399, '\P{^iscurrencysymbols}', "");
Expect(0, 8400, '\p{iscurrencysymbols}', "");
Expect(1, 8400, '\p{^iscurrencysymbols}', "");
Expect(1, 8400, '\P{iscurrencysymbols}', "");
Expect(0, 8400, '\P{^iscurrencysymbols}', "");
Expect(1, 8399, '\p{_IS_CURRENCY_symbols}', "");
Expect(0, 8399, '\p{^_IS_CURRENCY_symbols}', "");
Expect(0, 8399, '\P{_IS_CURRENCY_symbols}', "");
Expect(1, 8399, '\P{^_IS_CURRENCY_symbols}', "");
Expect(0, 8400, '\p{_IS_CURRENCY_symbols}', "");
Expect(1, 8400, '\p{^_IS_CURRENCY_symbols}', "");
Expect(1, 8400, '\P{_IS_CURRENCY_symbols}', "");
Expect(0, 8400, '\P{^_IS_CURRENCY_symbols}', "");
Error('\p{	/a/In_Currency_symbols}');
Error('\P{	/a/In_Currency_symbols}');
Expect(1, 8399, '\p{incurrencysymbols}', "");
Expect(0, 8399, '\p{^incurrencysymbols}', "");
Expect(0, 8399, '\P{incurrencysymbols}', "");
Expect(1, 8399, '\P{^incurrencysymbols}', "");
Expect(0, 8400, '\p{incurrencysymbols}', "");
Expect(1, 8400, '\p{^incurrencysymbols}', "");
Expect(1, 8400, '\P{incurrencysymbols}', "");
Expect(0, 8400, '\P{^incurrencysymbols}', "");
Expect(1, 8399, '\p{	 In_CURRENCY_Symbols}', "");
Expect(0, 8399, '\p{^	 In_CURRENCY_Symbols}', "");
Expect(0, 8399, '\P{	 In_CURRENCY_Symbols}', "");
Expect(1, 8399, '\P{^	 In_CURRENCY_Symbols}', "");
Expect(0, 8400, '\p{	 In_CURRENCY_Symbols}', "");
Expect(1, 8400, '\p{^	 In_CURRENCY_Symbols}', "");
Expect(1, 8400, '\P{	 In_CURRENCY_Symbols}', "");
Expect(0, 8400, '\P{^	 In_CURRENCY_Symbols}', "");
Error('\p{		Cypriot/a/}');
Error('\P{		Cypriot/a/}');
Expect(1, 67647, '\p{cypriot}', "");
Expect(0, 67647, '\p{^cypriot}', "");
Expect(0, 67647, '\P{cypriot}', "");
Expect(1, 67647, '\P{^cypriot}', "");
Expect(0, 67648, '\p{cypriot}', "");
Expect(1, 67648, '\p{^cypriot}', "");
Expect(1, 67648, '\P{cypriot}', "");
Expect(0, 67648, '\P{^cypriot}', "");
Expect(1, 67647, '\p{Cypriot}', "");
Expect(0, 67647, '\p{^Cypriot}', "");
Expect(0, 67647, '\P{Cypriot}', "");
Expect(1, 67647, '\P{^Cypriot}', "");
Expect(0, 67648, '\p{Cypriot}', "");
Expect(1, 67648, '\p{^Cypriot}', "");
Expect(1, 67648, '\P{Cypriot}', "");
Expect(0, 67648, '\P{^Cypriot}', "");
Error('\p{_	is_Cypriot/a/}');
Error('\P{_	is_Cypriot/a/}');
Expect(1, 67647, '\p{iscypriot}', "");
Expect(0, 67647, '\p{^iscypriot}', "");
Expect(0, 67647, '\P{iscypriot}', "");
Expect(1, 67647, '\P{^iscypriot}', "");
Expect(0, 67648, '\p{iscypriot}', "");
Expect(1, 67648, '\p{^iscypriot}', "");
Expect(1, 67648, '\P{iscypriot}', "");
Expect(0, 67648, '\P{^iscypriot}', "");
Expect(1, 67647, '\p{		Is_CYPRIOT}', "");
Expect(0, 67647, '\p{^		Is_CYPRIOT}', "");
Expect(0, 67647, '\P{		Is_CYPRIOT}', "");
Expect(1, 67647, '\P{^		Is_CYPRIOT}', "");
Expect(0, 67648, '\p{		Is_CYPRIOT}', "");
Expect(1, 67648, '\p{^		Is_CYPRIOT}', "");
Expect(1, 67648, '\P{		Is_CYPRIOT}', "");
Expect(0, 67648, '\P{^		Is_CYPRIOT}', "");
Error('\p{ -Cprt:=}');
Error('\P{ -Cprt:=}');
Expect(1, 67647, '\p{cprt}', "");
Expect(0, 67647, '\p{^cprt}', "");
Expect(0, 67647, '\P{cprt}', "");
Expect(1, 67647, '\P{^cprt}', "");
Expect(0, 67648, '\p{cprt}', "");
Expect(1, 67648, '\p{^cprt}', "");
Expect(1, 67648, '\P{cprt}', "");
Expect(0, 67648, '\P{^cprt}', "");
Expect(1, 67647, '\p{-	Cprt}', "");
Expect(0, 67647, '\p{^-	Cprt}', "");
Expect(0, 67647, '\P{-	Cprt}', "");
Expect(1, 67647, '\P{^-	Cprt}', "");
Expect(0, 67648, '\p{-	Cprt}', "");
Expect(1, 67648, '\p{^-	Cprt}', "");
Expect(1, 67648, '\P{-	Cprt}', "");
Expect(0, 67648, '\P{^-	Cprt}', "");
Error('\p{:=-	Is_CPRT}');
Error('\P{:=-	Is_CPRT}');
Expect(1, 67647, '\p{iscprt}', "");
Expect(0, 67647, '\p{^iscprt}', "");
Expect(0, 67647, '\P{iscprt}', "");
Expect(1, 67647, '\P{^iscprt}', "");
Expect(0, 67648, '\p{iscprt}', "");
Expect(1, 67648, '\p{^iscprt}', "");
Expect(1, 67648, '\P{iscprt}', "");
Expect(0, 67648, '\P{^iscprt}', "");
Expect(1, 67647, '\p{	Is_cprt}', "");
Expect(0, 67647, '\p{^	Is_cprt}', "");
Expect(0, 67647, '\P{	Is_cprt}', "");
Expect(1, 67647, '\P{^	Is_cprt}', "");
Expect(0, 67648, '\p{	Is_cprt}', "");
Expect(1, 67648, '\p{^	Is_cprt}', "");
Expect(1, 67648, '\P{	Is_cprt}', "");
Expect(0, 67648, '\P{^	Is_cprt}', "");
Error('\p{ /a/CYPRIOT_SYLLABARY}');
Error('\P{ /a/CYPRIOT_SYLLABARY}');
Expect(1, 67647, '\p{cypriotsyllabary}', "");
Expect(0, 67647, '\p{^cypriotsyllabary}', "");
Expect(0, 67647, '\P{cypriotsyllabary}', "");
Expect(1, 67647, '\P{^cypriotsyllabary}', "");
Expect(0, 67648, '\p{cypriotsyllabary}', "");
Expect(1, 67648, '\p{^cypriotsyllabary}', "");
Expect(1, 67648, '\P{cypriotsyllabary}', "");
Expect(0, 67648, '\P{^cypriotsyllabary}', "");
Expect(1, 67647, '\p{  CYPRIOT_Syllabary}', "");
Expect(0, 67647, '\p{^  CYPRIOT_Syllabary}', "");
Expect(0, 67647, '\P{  CYPRIOT_Syllabary}', "");
Expect(1, 67647, '\P{^  CYPRIOT_Syllabary}', "");
Expect(0, 67648, '\p{  CYPRIOT_Syllabary}', "");
Expect(1, 67648, '\p{^  CYPRIOT_Syllabary}', "");
Expect(1, 67648, '\P{  CYPRIOT_Syllabary}', "");
Expect(0, 67648, '\P{^  CYPRIOT_Syllabary}', "");
Error('\p{/a/_ is_cypriot_SYLLABARY}');
Error('\P{/a/_ is_cypriot_SYLLABARY}');
Expect(1, 67647, '\p{iscypriotsyllabary}', "");
Expect(0, 67647, '\p{^iscypriotsyllabary}', "");
Expect(0, 67647, '\P{iscypriotsyllabary}', "");
Expect(1, 67647, '\P{^iscypriotsyllabary}', "");
Expect(0, 67648, '\p{iscypriotsyllabary}', "");
Expect(1, 67648, '\p{^iscypriotsyllabary}', "");
Expect(1, 67648, '\P{iscypriotsyllabary}', "");
Expect(0, 67648, '\P{^iscypriotsyllabary}', "");
Expect(1, 67647, '\p{  IS_cypriot_SYLLABARY}', "");
Expect(0, 67647, '\p{^  IS_cypriot_SYLLABARY}', "");
Expect(0, 67647, '\P{  IS_cypriot_SYLLABARY}', "");
Expect(1, 67647, '\P{^  IS_cypriot_SYLLABARY}', "");
Expect(0, 67648, '\p{  IS_cypriot_SYLLABARY}', "");
Expect(1, 67648, '\p{^  IS_cypriot_SYLLABARY}', "");
Expect(1, 67648, '\P{  IS_cypriot_SYLLABARY}', "");
Expect(0, 67648, '\P{^  IS_cypriot_SYLLABARY}', "");
Error('\p{-IN_Cypriot_SYLLABARY/a/}');
Error('\P{-IN_Cypriot_SYLLABARY/a/}');
Expect(1, 67647, '\p{incypriotsyllabary}', "");
Expect(0, 67647, '\p{^incypriotsyllabary}', "");
Expect(0, 67647, '\P{incypriotsyllabary}', "");
Expect(1, 67647, '\P{^incypriotsyllabary}', "");
Expect(0, 67648, '\p{incypriotsyllabary}', "");
Expect(1, 67648, '\p{^incypriotsyllabary}', "");
Expect(1, 67648, '\P{incypriotsyllabary}', "");
Expect(0, 67648, '\P{^incypriotsyllabary}', "");
Expect(1, 67647, '\p{ _In_cypriot_syllabary}', "");
Expect(0, 67647, '\p{^ _In_cypriot_syllabary}', "");
Expect(0, 67647, '\P{ _In_cypriot_syllabary}', "");
Expect(1, 67647, '\P{^ _In_cypriot_syllabary}', "");
Expect(0, 67648, '\p{ _In_cypriot_syllabary}', "");
Expect(1, 67648, '\p{^ _In_cypriot_syllabary}', "");
Expect(1, 67648, '\P{ _In_cypriot_syllabary}', "");
Expect(0, 67648, '\P{^ _In_cypriot_syllabary}', "");
Error('\p{/a/_	cyrillic}');
Error('\P{/a/_	cyrillic}');
Expect(1, 42655, '\p{cyrillic}', "");
Expect(0, 42655, '\p{^cyrillic}', "");
Expect(0, 42655, '\P{cyrillic}', "");
Expect(1, 42655, '\P{^cyrillic}', "");
Expect(0, 42656, '\p{cyrillic}', "");
Expect(1, 42656, '\p{^cyrillic}', "");
Expect(1, 42656, '\P{cyrillic}', "");
Expect(0, 42656, '\P{^cyrillic}', "");
Expect(1, 42655, '\p{  Cyrillic}', "");
Expect(0, 42655, '\p{^  Cyrillic}', "");
Expect(0, 42655, '\P{  Cyrillic}', "");
Expect(1, 42655, '\P{^  Cyrillic}', "");
Expect(0, 42656, '\p{  Cyrillic}', "");
Expect(1, 42656, '\p{^  Cyrillic}', "");
Expect(1, 42656, '\P{  Cyrillic}', "");
Expect(0, 42656, '\P{^  Cyrillic}', "");
Error('\p{ /a/IS_cyrillic}');
Error('\P{ /a/IS_cyrillic}');
Expect(1, 42655, '\p{iscyrillic}', "");
Expect(0, 42655, '\p{^iscyrillic}', "");
Expect(0, 42655, '\P{iscyrillic}', "");
Expect(1, 42655, '\P{^iscyrillic}', "");
Expect(0, 42656, '\p{iscyrillic}', "");
Expect(1, 42656, '\p{^iscyrillic}', "");
Expect(1, 42656, '\P{iscyrillic}', "");
Expect(0, 42656, '\P{^iscyrillic}', "");
Expect(1, 42655, '\p{_IS_CYRILLIC}', "");
Expect(0, 42655, '\p{^_IS_CYRILLIC}', "");
Expect(0, 42655, '\P{_IS_CYRILLIC}', "");
Expect(1, 42655, '\P{^_IS_CYRILLIC}', "");
Expect(0, 42656, '\p{_IS_CYRILLIC}', "");
Expect(1, 42656, '\p{^_IS_CYRILLIC}', "");
Expect(1, 42656, '\P{_IS_CYRILLIC}', "");
Expect(0, 42656, '\P{^_IS_CYRILLIC}', "");
Error('\p{/a/-CYRL}');
Error('\P{/a/-CYRL}');
Expect(1, 42655, '\p{cyrl}', "");
Expect(0, 42655, '\p{^cyrl}', "");
Expect(0, 42655, '\P{cyrl}', "");
Expect(1, 42655, '\P{^cyrl}', "");
Expect(0, 42656, '\p{cyrl}', "");
Expect(1, 42656, '\p{^cyrl}', "");
Expect(1, 42656, '\P{cyrl}', "");
Expect(0, 42656, '\P{^cyrl}', "");
Expect(1, 42655, '\p{  Cyrl}', "");
Expect(0, 42655, '\p{^  Cyrl}', "");
Expect(0, 42655, '\P{  Cyrl}', "");
Expect(1, 42655, '\P{^  Cyrl}', "");
Expect(0, 42656, '\p{  Cyrl}', "");
Expect(1, 42656, '\p{^  Cyrl}', "");
Expect(1, 42656, '\P{  Cyrl}', "");
Expect(0, 42656, '\P{^  Cyrl}', "");
Error('\p{_IS_CYRL/a/}');
Error('\P{_IS_CYRL/a/}');
Expect(1, 42655, '\p{iscyrl}', "");
Expect(0, 42655, '\p{^iscyrl}', "");
Expect(0, 42655, '\P{iscyrl}', "");
Expect(1, 42655, '\P{^iscyrl}', "");
Expect(0, 42656, '\p{iscyrl}', "");
Expect(1, 42656, '\p{^iscyrl}', "");
Expect(1, 42656, '\P{iscyrl}', "");
Expect(0, 42656, '\P{^iscyrl}', "");
Expect(1, 42655, '\p{--is_Cyrl}', "");
Expect(0, 42655, '\p{^--is_Cyrl}', "");
Expect(0, 42655, '\P{--is_Cyrl}', "");
Expect(1, 42655, '\P{^--is_Cyrl}', "");
Expect(0, 42656, '\p{--is_Cyrl}', "");
Expect(1, 42656, '\p{^--is_Cyrl}', "");
Expect(1, 42656, '\P{--is_Cyrl}', "");
Expect(0, 42656, '\P{^--is_Cyrl}', "");
Error('\p{/a/ 	Cyrillic_EXTENDED_A}');
Error('\P{/a/ 	Cyrillic_EXTENDED_A}');
Expect(1, 11775, '\p{cyrillicextendeda}', "");
Expect(0, 11775, '\p{^cyrillicextendeda}', "");
Expect(0, 11775, '\P{cyrillicextendeda}', "");
Expect(1, 11775, '\P{^cyrillicextendeda}', "");
Expect(0, 11776, '\p{cyrillicextendeda}', "");
Expect(1, 11776, '\p{^cyrillicextendeda}', "");
Expect(1, 11776, '\P{cyrillicextendeda}', "");
Expect(0, 11776, '\P{^cyrillicextendeda}', "");
Expect(1, 11775, '\p{ cyrillic_Extended_A}', "");
Expect(0, 11775, '\p{^ cyrillic_Extended_A}', "");
Expect(0, 11775, '\P{ cyrillic_Extended_A}', "");
Expect(1, 11775, '\P{^ cyrillic_Extended_A}', "");
Expect(0, 11776, '\p{ cyrillic_Extended_A}', "");
Expect(1, 11776, '\p{^ cyrillic_Extended_A}', "");
Expect(1, 11776, '\P{ cyrillic_Extended_A}', "");
Expect(0, 11776, '\P{^ cyrillic_Extended_A}', "");
Error('\p{:=-_is_cyrillic_Extended_A}');
Error('\P{:=-_is_cyrillic_Extended_A}');
Expect(1, 11775, '\p{iscyrillicextendeda}', "");
Expect(0, 11775, '\p{^iscyrillicextendeda}', "");
Expect(0, 11775, '\P{iscyrillicextendeda}', "");
Expect(1, 11775, '\P{^iscyrillicextendeda}', "");
Expect(0, 11776, '\p{iscyrillicextendeda}', "");
Expect(1, 11776, '\p{^iscyrillicextendeda}', "");
Expect(1, 11776, '\P{iscyrillicextendeda}', "");
Expect(0, 11776, '\P{^iscyrillicextendeda}', "");
Expect(1, 11775, '\p{ _Is_cyrillic_extended_A}', "");
Expect(0, 11775, '\p{^ _Is_cyrillic_extended_A}', "");
Expect(0, 11775, '\P{ _Is_cyrillic_extended_A}', "");
Expect(1, 11775, '\P{^ _Is_cyrillic_extended_A}', "");
Expect(0, 11776, '\p{ _Is_cyrillic_extended_A}', "");
Expect(1, 11776, '\p{^ _Is_cyrillic_extended_A}', "");
Expect(1, 11776, '\P{ _Is_cyrillic_extended_A}', "");
Expect(0, 11776, '\P{^ _Is_cyrillic_extended_A}', "");
Error('\p{/a/ _In_Cyrillic_EXTENDED_A}');
Error('\P{/a/ _In_Cyrillic_EXTENDED_A}');
Expect(1, 11775, '\p{incyrillicextendeda}', "");
Expect(0, 11775, '\p{^incyrillicextendeda}', "");
Expect(0, 11775, '\P{incyrillicextendeda}', "");
Expect(1, 11775, '\P{^incyrillicextendeda}', "");
Expect(0, 11776, '\p{incyrillicextendeda}', "");
Expect(1, 11776, '\p{^incyrillicextendeda}', "");
Expect(1, 11776, '\P{incyrillicextendeda}', "");
Expect(0, 11776, '\P{^incyrillicextendeda}', "");
Expect(1, 11775, '\p{-_In_CYRILLIC_extended_a}', "");
Expect(0, 11775, '\p{^-_In_CYRILLIC_extended_a}', "");
Expect(0, 11775, '\P{-_In_CYRILLIC_extended_a}', "");
Expect(1, 11775, '\P{^-_In_CYRILLIC_extended_a}', "");
Expect(0, 11776, '\p{-_In_CYRILLIC_extended_a}', "");
Expect(1, 11776, '\p{^-_In_CYRILLIC_extended_a}', "");
Expect(1, 11776, '\P{-_In_CYRILLIC_extended_a}', "");
Expect(0, 11776, '\P{^-_In_CYRILLIC_extended_a}', "");
Error('\p{/a/ cyrillic_Ext_a}');
Error('\P{/a/ cyrillic_Ext_a}');
Expect(1, 11775, '\p{cyrillicexta}', "");
Expect(0, 11775, '\p{^cyrillicexta}', "");
Expect(0, 11775, '\P{cyrillicexta}', "");
Expect(1, 11775, '\P{^cyrillicexta}', "");
Expect(0, 11776, '\p{cyrillicexta}', "");
Expect(1, 11776, '\p{^cyrillicexta}', "");
Expect(1, 11776, '\P{cyrillicexta}', "");
Expect(0, 11776, '\P{^cyrillicexta}', "");
Expect(1, 11775, '\p{	Cyrillic_Ext_a}', "");
Expect(0, 11775, '\p{^	Cyrillic_Ext_a}', "");
Expect(0, 11775, '\P{	Cyrillic_Ext_a}', "");
Expect(1, 11775, '\P{^	Cyrillic_Ext_a}', "");
Expect(0, 11776, '\p{	Cyrillic_Ext_a}', "");
Expect(1, 11776, '\p{^	Cyrillic_Ext_a}', "");
Expect(1, 11776, '\P{	Cyrillic_Ext_a}', "");
Expect(0, 11776, '\P{^	Cyrillic_Ext_a}', "");
Error('\p{:=	-IS_cyrillic_EXT_A}');
Error('\P{:=	-IS_cyrillic_EXT_A}');
Expect(1, 11775, '\p{iscyrillicexta}', "");
Expect(0, 11775, '\p{^iscyrillicexta}', "");
Expect(0, 11775, '\P{iscyrillicexta}', "");
Expect(1, 11775, '\P{^iscyrillicexta}', "");
Expect(0, 11776, '\p{iscyrillicexta}', "");
Expect(1, 11776, '\p{^iscyrillicexta}', "");
Expect(1, 11776, '\P{iscyrillicexta}', "");
Expect(0, 11776, '\P{^iscyrillicexta}', "");
Expect(1, 11775, '\p{-	Is_Cyrillic_Ext_a}', "");
Expect(0, 11775, '\p{^-	Is_Cyrillic_Ext_a}', "");
Expect(0, 11775, '\P{-	Is_Cyrillic_Ext_a}', "");
Expect(1, 11775, '\P{^-	Is_Cyrillic_Ext_a}', "");
Expect(0, 11776, '\p{-	Is_Cyrillic_Ext_a}', "");
Expect(1, 11776, '\p{^-	Is_Cyrillic_Ext_a}', "");
Expect(1, 11776, '\P{-	Is_Cyrillic_Ext_a}', "");
Expect(0, 11776, '\P{^-	Is_Cyrillic_Ext_a}', "");
Error('\p{_in_Cyrillic_EXT_A:=}');
Error('\P{_in_Cyrillic_EXT_A:=}');
Expect(1, 11775, '\p{incyrillicexta}', "");
Expect(0, 11775, '\p{^incyrillicexta}', "");
Expect(0, 11775, '\P{incyrillicexta}', "");
Expect(1, 11775, '\P{^incyrillicexta}', "");
Expect(0, 11776, '\p{incyrillicexta}', "");
Expect(1, 11776, '\p{^incyrillicexta}', "");
Expect(1, 11776, '\P{incyrillicexta}', "");
Expect(0, 11776, '\P{^incyrillicexta}', "");
Expect(1, 11775, '\p{_-in_CYRILLIC_Ext_A}', "");
Expect(0, 11775, '\p{^_-in_CYRILLIC_Ext_A}', "");
Expect(0, 11775, '\P{_-in_CYRILLIC_Ext_A}', "");
Expect(1, 11775, '\P{^_-in_CYRILLIC_Ext_A}', "");
Expect(0, 11776, '\p{_-in_CYRILLIC_Ext_A}', "");
Expect(1, 11776, '\p{^_-in_CYRILLIC_Ext_A}', "");
Expect(1, 11776, '\P{_-in_CYRILLIC_Ext_A}', "");
Expect(0, 11776, '\P{^_-in_CYRILLIC_Ext_A}', "");
Error('\p{	/a/Cyrillic_EXTENDED_b}');
Error('\P{	/a/Cyrillic_EXTENDED_b}');
Expect(1, 42655, '\p{cyrillicextendedb}', "");
Expect(0, 42655, '\p{^cyrillicextendedb}', "");
Expect(0, 42655, '\P{cyrillicextendedb}', "");
Expect(1, 42655, '\P{^cyrillicextendedb}', "");
Expect(0, 42656, '\p{cyrillicextendedb}', "");
Expect(1, 42656, '\p{^cyrillicextendedb}', "");
Expect(1, 42656, '\P{cyrillicextendedb}', "");
Expect(0, 42656, '\P{^cyrillicextendedb}', "");
Expect(1, 42655, '\p{-_Cyrillic_EXTENDED_b}', "");
Expect(0, 42655, '\p{^-_Cyrillic_EXTENDED_b}', "");
Expect(0, 42655, '\P{-_Cyrillic_EXTENDED_b}', "");
Expect(1, 42655, '\P{^-_Cyrillic_EXTENDED_b}', "");
Expect(0, 42656, '\p{-_Cyrillic_EXTENDED_b}', "");
Expect(1, 42656, '\p{^-_Cyrillic_EXTENDED_b}', "");
Expect(1, 42656, '\P{-_Cyrillic_EXTENDED_b}', "");
Expect(0, 42656, '\P{^-_Cyrillic_EXTENDED_b}', "");
Error('\p{:=IS_Cyrillic_extended_b}');
Error('\P{:=IS_Cyrillic_extended_b}');
Expect(1, 42655, '\p{iscyrillicextendedb}', "");
Expect(0, 42655, '\p{^iscyrillicextendedb}', "");
Expect(0, 42655, '\P{iscyrillicextendedb}', "");
Expect(1, 42655, '\P{^iscyrillicextendedb}', "");
Expect(0, 42656, '\p{iscyrillicextendedb}', "");
Expect(1, 42656, '\p{^iscyrillicextendedb}', "");
Expect(1, 42656, '\P{iscyrillicextendedb}', "");
Expect(0, 42656, '\P{^iscyrillicextendedb}', "");
Expect(1, 42655, '\p{__is_Cyrillic_EXTENDED_B}', "");
Expect(0, 42655, '\p{^__is_Cyrillic_EXTENDED_B}', "");
Expect(0, 42655, '\P{__is_Cyrillic_EXTENDED_B}', "");
Expect(1, 42655, '\P{^__is_Cyrillic_EXTENDED_B}', "");
Expect(0, 42656, '\p{__is_Cyrillic_EXTENDED_B}', "");
Expect(1, 42656, '\p{^__is_Cyrillic_EXTENDED_B}', "");
Expect(1, 42656, '\P{__is_Cyrillic_EXTENDED_B}', "");
Expect(0, 42656, '\P{^__is_Cyrillic_EXTENDED_B}', "");
Error('\p{:=__In_CYRILLIC_Extended_B}');
Error('\P{:=__In_CYRILLIC_Extended_B}');
Expect(1, 42655, '\p{incyrillicextendedb}', "");
Expect(0, 42655, '\p{^incyrillicextendedb}', "");
Expect(0, 42655, '\P{incyrillicextendedb}', "");
Expect(1, 42655, '\P{^incyrillicextendedb}', "");
Expect(0, 42656, '\p{incyrillicextendedb}', "");
Expect(1, 42656, '\p{^incyrillicextendedb}', "");
Expect(1, 42656, '\P{incyrillicextendedb}', "");
Expect(0, 42656, '\P{^incyrillicextendedb}', "");
Expect(1, 42655, '\p{		IN_Cyrillic_Extended_b}', "");
Expect(0, 42655, '\p{^		IN_Cyrillic_Extended_b}', "");
Expect(0, 42655, '\P{		IN_Cyrillic_Extended_b}', "");
Expect(1, 42655, '\P{^		IN_Cyrillic_Extended_b}', "");
Expect(0, 42656, '\p{		IN_Cyrillic_Extended_b}', "");
Expect(1, 42656, '\p{^		IN_Cyrillic_Extended_b}', "");
Expect(1, 42656, '\P{		IN_Cyrillic_Extended_b}', "");
Expect(0, 42656, '\P{^		IN_Cyrillic_Extended_b}', "");
Error('\p{:= CYRILLIC_EXT_B}');
Error('\P{:= CYRILLIC_EXT_B}');
Expect(1, 42655, '\p{cyrillicextb}', "");
Expect(0, 42655, '\p{^cyrillicextb}', "");
Expect(0, 42655, '\P{cyrillicextb}', "");
Expect(1, 42655, '\P{^cyrillicextb}', "");
Expect(0, 42656, '\p{cyrillicextb}', "");
Expect(1, 42656, '\p{^cyrillicextb}', "");
Expect(1, 42656, '\P{cyrillicextb}', "");
Expect(0, 42656, '\P{^cyrillicextb}', "");
Expect(1, 42655, '\p{__cyrillic_EXT_b}', "");
Expect(0, 42655, '\p{^__cyrillic_EXT_b}', "");
Expect(0, 42655, '\P{__cyrillic_EXT_b}', "");
Expect(1, 42655, '\P{^__cyrillic_EXT_b}', "");
Expect(0, 42656, '\p{__cyrillic_EXT_b}', "");
Expect(1, 42656, '\p{^__cyrillic_EXT_b}', "");
Expect(1, 42656, '\P{__cyrillic_EXT_b}', "");
Expect(0, 42656, '\P{^__cyrillic_EXT_b}', "");
Error('\p{:=Is_Cyrillic_Ext_B}');
Error('\P{:=Is_Cyrillic_Ext_B}');
Expect(1, 42655, '\p{iscyrillicextb}', "");
Expect(0, 42655, '\p{^iscyrillicextb}', "");
Expect(0, 42655, '\P{iscyrillicextb}', "");
Expect(1, 42655, '\P{^iscyrillicextb}', "");
Expect(0, 42656, '\p{iscyrillicextb}', "");
Expect(1, 42656, '\p{^iscyrillicextb}', "");
Expect(1, 42656, '\P{iscyrillicextb}', "");
Expect(0, 42656, '\P{^iscyrillicextb}', "");
Expect(1, 42655, '\p{ is_CYRILLIC_Ext_B}', "");
Expect(0, 42655, '\p{^ is_CYRILLIC_Ext_B}', "");
Expect(0, 42655, '\P{ is_CYRILLIC_Ext_B}', "");
Expect(1, 42655, '\P{^ is_CYRILLIC_Ext_B}', "");
Expect(0, 42656, '\p{ is_CYRILLIC_Ext_B}', "");
Expect(1, 42656, '\p{^ is_CYRILLIC_Ext_B}', "");
Expect(1, 42656, '\P{ is_CYRILLIC_Ext_B}', "");
Expect(0, 42656, '\P{^ is_CYRILLIC_Ext_B}', "");
Error('\p{:=	IN_CYRILLIC_Ext_b}');
Error('\P{:=	IN_CYRILLIC_Ext_b}');
Expect(1, 42655, '\p{incyrillicextb}', "");
Expect(0, 42655, '\p{^incyrillicextb}', "");
Expect(0, 42655, '\P{incyrillicextb}', "");
Expect(1, 42655, '\P{^incyrillicextb}', "");
Expect(0, 42656, '\p{incyrillicextb}', "");
Expect(1, 42656, '\p{^incyrillicextb}', "");
Expect(1, 42656, '\P{incyrillicextb}', "");
Expect(0, 42656, '\P{^incyrillicextb}', "");
Expect(1, 42655, '\p{ 	In_CYRILLIC_EXT_b}', "");
Expect(0, 42655, '\p{^ 	In_CYRILLIC_EXT_b}', "");
Expect(0, 42655, '\P{ 	In_CYRILLIC_EXT_b}', "");
Expect(1, 42655, '\P{^ 	In_CYRILLIC_EXT_b}', "");
Expect(0, 42656, '\p{ 	In_CYRILLIC_EXT_b}', "");
Expect(1, 42656, '\p{^ 	In_CYRILLIC_EXT_b}', "");
Expect(1, 42656, '\P{ 	In_CYRILLIC_EXT_b}', "");
Expect(0, 42656, '\P{^ 	In_CYRILLIC_EXT_b}', "");
Error('\p{:=		Cyrillic_SUPPLEMENT}');
Error('\P{:=		Cyrillic_SUPPLEMENT}');
Expect(1, 1327, '\p{cyrillicsupplement}', "");
Expect(0, 1327, '\p{^cyrillicsupplement}', "");
Expect(0, 1327, '\P{cyrillicsupplement}', "");
Expect(1, 1327, '\P{^cyrillicsupplement}', "");
Expect(0, 1328, '\p{cyrillicsupplement}', "");
Expect(1, 1328, '\p{^cyrillicsupplement}', "");
Expect(1, 1328, '\P{cyrillicsupplement}', "");
Expect(0, 1328, '\P{^cyrillicsupplement}', "");
Expect(1, 1327, '\p{	Cyrillic_SUPPLEMENT}', "");
Expect(0, 1327, '\p{^	Cyrillic_SUPPLEMENT}', "");
Expect(0, 1327, '\P{	Cyrillic_SUPPLEMENT}', "");
Expect(1, 1327, '\P{^	Cyrillic_SUPPLEMENT}', "");
Expect(0, 1328, '\p{	Cyrillic_SUPPLEMENT}', "");
Expect(1, 1328, '\p{^	Cyrillic_SUPPLEMENT}', "");
Expect(1, 1328, '\P{	Cyrillic_SUPPLEMENT}', "");
Expect(0, 1328, '\P{^	Cyrillic_SUPPLEMENT}', "");
Error('\p{:=- is_CYRILLIC_Supplement}');
Error('\P{:=- is_CYRILLIC_Supplement}');
Expect(1, 1327, '\p{iscyrillicsupplement}', "");
Expect(0, 1327, '\p{^iscyrillicsupplement}', "");
Expect(0, 1327, '\P{iscyrillicsupplement}', "");
Expect(1, 1327, '\P{^iscyrillicsupplement}', "");
Expect(0, 1328, '\p{iscyrillicsupplement}', "");
Expect(1, 1328, '\p{^iscyrillicsupplement}', "");
Expect(1, 1328, '\P{iscyrillicsupplement}', "");
Expect(0, 1328, '\P{^iscyrillicsupplement}', "");
Expect(1, 1327, '\p{	-IS_Cyrillic_supplement}', "");
Expect(0, 1327, '\p{^	-IS_Cyrillic_supplement}', "");
Expect(0, 1327, '\P{	-IS_Cyrillic_supplement}', "");
Expect(1, 1327, '\P{^	-IS_Cyrillic_supplement}', "");
Expect(0, 1328, '\p{	-IS_Cyrillic_supplement}', "");
Expect(1, 1328, '\p{^	-IS_Cyrillic_supplement}', "");
Expect(1, 1328, '\P{	-IS_Cyrillic_supplement}', "");
Expect(0, 1328, '\P{^	-IS_Cyrillic_supplement}', "");
Error('\p{-In_Cyrillic_Supplement:=}');
Error('\P{-In_Cyrillic_Supplement:=}');
Expect(1, 1327, '\p{incyrillicsupplement}', "");
Expect(0, 1327, '\p{^incyrillicsupplement}', "");
Expect(0, 1327, '\P{incyrillicsupplement}', "");
Expect(1, 1327, '\P{^incyrillicsupplement}', "");
Expect(0, 1328, '\p{incyrillicsupplement}', "");
Expect(1, 1328, '\p{^incyrillicsupplement}', "");
Expect(1, 1328, '\P{incyrillicsupplement}', "");
Expect(0, 1328, '\P{^incyrillicsupplement}', "");
Expect(1, 1327, '\p{-	In_Cyrillic_SUPPLEMENT}', "");
Expect(0, 1327, '\p{^-	In_Cyrillic_SUPPLEMENT}', "");
Expect(0, 1327, '\P{-	In_Cyrillic_SUPPLEMENT}', "");
Expect(1, 1327, '\P{^-	In_Cyrillic_SUPPLEMENT}', "");
Expect(0, 1328, '\p{-	In_Cyrillic_SUPPLEMENT}', "");
Expect(1, 1328, '\p{^-	In_Cyrillic_SUPPLEMENT}', "");
Expect(1, 1328, '\P{-	In_Cyrillic_SUPPLEMENT}', "");
Expect(0, 1328, '\P{^-	In_Cyrillic_SUPPLEMENT}', "");
Error('\p{	/a/Cyrillic_sup}');
Error('\P{	/a/Cyrillic_sup}');
Expect(1, 1327, '\p{cyrillicsup}', "");
Expect(0, 1327, '\p{^cyrillicsup}', "");
Expect(0, 1327, '\P{cyrillicsup}', "");
Expect(1, 1327, '\P{^cyrillicsup}', "");
Expect(0, 1328, '\p{cyrillicsup}', "");
Expect(1, 1328, '\p{^cyrillicsup}', "");
Expect(1, 1328, '\P{cyrillicsup}', "");
Expect(0, 1328, '\P{^cyrillicsup}', "");
Expect(1, 1327, '\p{	_CYRILLIC_Sup}', "");
Expect(0, 1327, '\p{^	_CYRILLIC_Sup}', "");
Expect(0, 1327, '\P{	_CYRILLIC_Sup}', "");
Expect(1, 1327, '\P{^	_CYRILLIC_Sup}', "");
Expect(0, 1328, '\p{	_CYRILLIC_Sup}', "");
Expect(1, 1328, '\p{^	_CYRILLIC_Sup}', "");
Expect(1, 1328, '\P{	_CYRILLIC_Sup}', "");
Expect(0, 1328, '\P{^	_CYRILLIC_Sup}', "");
Error('\p{	:=IS_Cyrillic_SUP}');
Error('\P{	:=IS_Cyrillic_SUP}');
Expect(1, 1327, '\p{iscyrillicsup}', "");
Expect(0, 1327, '\p{^iscyrillicsup}', "");
Expect(0, 1327, '\P{iscyrillicsup}', "");
Expect(1, 1327, '\P{^iscyrillicsup}', "");
Expect(0, 1328, '\p{iscyrillicsup}', "");
Expect(1, 1328, '\p{^iscyrillicsup}', "");
Expect(1, 1328, '\P{iscyrillicsup}', "");
Expect(0, 1328, '\P{^iscyrillicsup}', "");
Expect(1, 1327, '\p{  Is_CYRILLIC_sup}', "");
Expect(0, 1327, '\p{^  Is_CYRILLIC_sup}', "");
Expect(0, 1327, '\P{  Is_CYRILLIC_sup}', "");
Expect(1, 1327, '\P{^  Is_CYRILLIC_sup}', "");
Expect(0, 1328, '\p{  Is_CYRILLIC_sup}', "");
Expect(1, 1328, '\p{^  Is_CYRILLIC_sup}', "");
Expect(1, 1328, '\P{  Is_CYRILLIC_sup}', "");
Expect(0, 1328, '\P{^  Is_CYRILLIC_sup}', "");
Error('\p{/a/-_In_Cyrillic_Sup}');
Error('\P{/a/-_In_Cyrillic_Sup}');
Expect(1, 1327, '\p{incyrillicsup}', "");
Expect(0, 1327, '\p{^incyrillicsup}', "");
Expect(0, 1327, '\P{incyrillicsup}', "");
Expect(1, 1327, '\P{^incyrillicsup}', "");
Expect(0, 1328, '\p{incyrillicsup}', "");
Expect(1, 1328, '\p{^incyrillicsup}', "");
Expect(1, 1328, '\P{incyrillicsup}', "");
Expect(0, 1328, '\P{^incyrillicsup}', "");
Expect(1, 1327, '\p{_in_Cyrillic_SUP}', "");
Expect(0, 1327, '\p{^_in_Cyrillic_SUP}', "");
Expect(0, 1327, '\P{_in_Cyrillic_SUP}', "");
Expect(1, 1327, '\P{^_in_Cyrillic_SUP}', "");
Expect(0, 1328, '\p{_in_Cyrillic_SUP}', "");
Expect(1, 1328, '\p{^_in_Cyrillic_SUP}', "");
Expect(1, 1328, '\P{_in_Cyrillic_SUP}', "");
Expect(0, 1328, '\P{^_in_Cyrillic_SUP}', "");
Error('\p{/a/Cyrillic_Supplementary}');
Error('\P{/a/Cyrillic_Supplementary}');
Expect(1, 1327, '\p{cyrillicsupplementary}', "");
Expect(0, 1327, '\p{^cyrillicsupplementary}', "");
Expect(0, 1327, '\P{cyrillicsupplementary}', "");
Expect(1, 1327, '\P{^cyrillicsupplementary}', "");
Expect(0, 1328, '\p{cyrillicsupplementary}', "");
Expect(1, 1328, '\p{^cyrillicsupplementary}', "");
Expect(1, 1328, '\P{cyrillicsupplementary}', "");
Expect(0, 1328, '\P{^cyrillicsupplementary}', "");
Expect(1, 1327, '\p{	_Cyrillic_supplementary}', "");
Expect(0, 1327, '\p{^	_Cyrillic_supplementary}', "");
Expect(0, 1327, '\P{	_Cyrillic_supplementary}', "");
Expect(1, 1327, '\P{^	_Cyrillic_supplementary}', "");
Expect(0, 1328, '\p{	_Cyrillic_supplementary}', "");
Expect(1, 1328, '\p{^	_Cyrillic_supplementary}', "");
Expect(1, 1328, '\P{	_Cyrillic_supplementary}', "");
Expect(0, 1328, '\P{^	_Cyrillic_supplementary}', "");
Error('\p{/a/	_is_CYRILLIC_Supplementary}');
Error('\P{/a/	_is_CYRILLIC_Supplementary}');
Expect(1, 1327, '\p{iscyrillicsupplementary}', "");
Expect(0, 1327, '\p{^iscyrillicsupplementary}', "");
Expect(0, 1327, '\P{iscyrillicsupplementary}', "");
Expect(1, 1327, '\P{^iscyrillicsupplementary}', "");
Expect(0, 1328, '\p{iscyrillicsupplementary}', "");
Expect(1, 1328, '\p{^iscyrillicsupplementary}', "");
Expect(1, 1328, '\P{iscyrillicsupplementary}', "");
Expect(0, 1328, '\P{^iscyrillicsupplementary}', "");
Expect(1, 1327, '\p{_is_Cyrillic_Supplementary}', "");
Expect(0, 1327, '\p{^_is_Cyrillic_Supplementary}', "");
Expect(0, 1327, '\P{_is_Cyrillic_Supplementary}', "");
Expect(1, 1327, '\P{^_is_Cyrillic_Supplementary}', "");
Expect(0, 1328, '\p{_is_Cyrillic_Supplementary}', "");
Expect(1, 1328, '\p{^_is_Cyrillic_Supplementary}', "");
Expect(1, 1328, '\P{_is_Cyrillic_Supplementary}', "");
Expect(0, 1328, '\P{^_is_Cyrillic_Supplementary}', "");
Error('\p{ /a/In_cyrillic_supplementary}');
Error('\P{ /a/In_cyrillic_supplementary}');
Expect(1, 1327, '\p{incyrillicsupplementary}', "");
Expect(0, 1327, '\p{^incyrillicsupplementary}', "");
Expect(0, 1327, '\P{incyrillicsupplementary}', "");
Expect(1, 1327, '\P{^incyrillicsupplementary}', "");
Expect(0, 1328, '\p{incyrillicsupplementary}', "");
Expect(1, 1328, '\p{^incyrillicsupplementary}', "");
Expect(1, 1328, '\P{incyrillicsupplementary}', "");
Expect(0, 1328, '\P{^incyrillicsupplementary}', "");
Expect(1, 1327, '\p{--in_Cyrillic_Supplementary}', "");
Expect(0, 1327, '\p{^--in_Cyrillic_Supplementary}', "");
Expect(0, 1327, '\P{--in_Cyrillic_Supplementary}', "");
Expect(1, 1327, '\P{^--in_Cyrillic_Supplementary}', "");
Expect(0, 1328, '\p{--in_Cyrillic_Supplementary}', "");
Expect(1, 1328, '\p{^--in_Cyrillic_Supplementary}', "");
Expect(1, 1328, '\P{--in_Cyrillic_Supplementary}', "");
Expect(0, 1328, '\P{^--in_Cyrillic_Supplementary}', "");
Error('\p{-_dash:=}');
Error('\P{-_dash:=}');
Expect(1, 65293, '\p{dash}', "");
Expect(0, 65293, '\p{^dash}', "");
Expect(0, 65293, '\P{dash}', "");
Expect(1, 65293, '\P{^dash}', "");
Expect(0, 65294, '\p{dash}', "");
Expect(1, 65294, '\p{^dash}', "");
Expect(1, 65294, '\P{dash}', "");
Expect(0, 65294, '\P{^dash}', "");
Expect(1, 65293, '\p{ DASH}', "");
Expect(0, 65293, '\p{^ DASH}', "");
Expect(0, 65293, '\P{ DASH}', "");
Expect(1, 65293, '\P{^ DASH}', "");
Expect(0, 65294, '\p{ DASH}', "");
Expect(1, 65294, '\p{^ DASH}', "");
Expect(1, 65294, '\P{ DASH}', "");
Expect(0, 65294, '\P{^ DASH}', "");
Error('\p{:= IS_Dash}');
Error('\P{:= IS_Dash}');
Expect(1, 65293, '\p{isdash}', "");
Expect(0, 65293, '\p{^isdash}', "");
Expect(0, 65293, '\P{isdash}', "");
Expect(1, 65293, '\P{^isdash}', "");
Expect(0, 65294, '\p{isdash}', "");
Expect(1, 65294, '\p{^isdash}', "");
Expect(1, 65294, '\P{isdash}', "");
Expect(0, 65294, '\P{^isdash}', "");
Expect(1, 65293, '\p{ -IS_Dash}', "");
Expect(0, 65293, '\p{^ -IS_Dash}', "");
Expect(0, 65293, '\P{ -IS_Dash}', "");
Expect(1, 65293, '\P{^ -IS_Dash}', "");
Expect(0, 65294, '\p{ -IS_Dash}', "");
Expect(1, 65294, '\p{^ -IS_Dash}', "");
Expect(1, 65294, '\P{ -IS_Dash}', "");
Expect(0, 65294, '\P{^ -IS_Dash}', "");
Error('\p{	DASH_Punctuation:=}');
Error('\P{	DASH_Punctuation:=}');
Expect(1, 65293, '\p{dashpunctuation}', "");
Expect(0, 65293, '\p{^dashpunctuation}', "");
Expect(0, 65293, '\P{dashpunctuation}', "");
Expect(1, 65293, '\P{^dashpunctuation}', "");
Expect(0, 65294, '\p{dashpunctuation}', "");
Expect(1, 65294, '\p{^dashpunctuation}', "");
Expect(1, 65294, '\P{dashpunctuation}', "");
Expect(0, 65294, '\P{^dashpunctuation}', "");
Expect(1, 65293, '\p{ 	DASH_PUNCTUATION}', "");
Expect(0, 65293, '\p{^ 	DASH_PUNCTUATION}', "");
Expect(0, 65293, '\P{ 	DASH_PUNCTUATION}', "");
Expect(1, 65293, '\P{^ 	DASH_PUNCTUATION}', "");
Expect(0, 65294, '\p{ 	DASH_PUNCTUATION}', "");
Expect(1, 65294, '\p{^ 	DASH_PUNCTUATION}', "");
Expect(1, 65294, '\P{ 	DASH_PUNCTUATION}', "");
Expect(0, 65294, '\P{^ 	DASH_PUNCTUATION}', "");
Error('\p{ is_DASH_punctuation:=}');
Error('\P{ is_DASH_punctuation:=}');
Expect(1, 65293, '\p{isdashpunctuation}', "");
Expect(0, 65293, '\p{^isdashpunctuation}', "");
Expect(0, 65293, '\P{isdashpunctuation}', "");
Expect(1, 65293, '\P{^isdashpunctuation}', "");
Expect(0, 65294, '\p{isdashpunctuation}', "");
Expect(1, 65294, '\p{^isdashpunctuation}', "");
Expect(1, 65294, '\P{isdashpunctuation}', "");
Expect(0, 65294, '\P{^isdashpunctuation}', "");
Expect(1, 65293, '\p{- Is_DASH_Punctuation}', "");
Expect(0, 65293, '\p{^- Is_DASH_Punctuation}', "");
Expect(0, 65293, '\P{- Is_DASH_Punctuation}', "");
Expect(1, 65293, '\P{^- Is_DASH_Punctuation}', "");
Expect(0, 65294, '\p{- Is_DASH_Punctuation}', "");
Expect(1, 65294, '\p{^- Is_DASH_Punctuation}', "");
Expect(1, 65294, '\P{- Is_DASH_Punctuation}', "");
Expect(0, 65294, '\P{^- Is_DASH_Punctuation}', "");
Error('\p{	 PD/a/}');
Error('\P{	 PD/a/}');
Expect(1, 65293, '\p{pd}', "");
Expect(0, 65293, '\p{^pd}', "");
Expect(0, 65293, '\P{pd}', "");
Expect(1, 65293, '\P{^pd}', "");
Expect(0, 65294, '\p{pd}', "");
Expect(1, 65294, '\p{^pd}', "");
Expect(1, 65294, '\P{pd}', "");
Expect(0, 65294, '\P{^pd}', "");
Expect(1, 65293, '\p{	PD}', "");
Expect(0, 65293, '\p{^	PD}', "");
Expect(0, 65293, '\P{	PD}', "");
Expect(1, 65293, '\P{^	PD}', "");
Expect(0, 65294, '\p{	PD}', "");
Expect(1, 65294, '\p{^	PD}', "");
Expect(1, 65294, '\P{	PD}', "");
Expect(0, 65294, '\P{^	PD}', "");
Error('\p{_	Is_Pd/a/}');
Error('\P{_	Is_Pd/a/}');
Expect(1, 65293, '\p{ispd}', "");
Expect(0, 65293, '\p{^ispd}', "");
Expect(0, 65293, '\P{ispd}', "");
Expect(1, 65293, '\P{^ispd}', "");
Expect(0, 65294, '\p{ispd}', "");
Expect(1, 65294, '\p{^ispd}', "");
Expect(1, 65294, '\P{ispd}', "");
Expect(0, 65294, '\P{^ispd}', "");
Expect(1, 65293, '\p{ -Is_Pd}', "");
Expect(0, 65293, '\p{^ -Is_Pd}', "");
Expect(0, 65293, '\P{ -Is_Pd}', "");
Expect(1, 65293, '\P{^ -Is_Pd}', "");
Expect(0, 65294, '\p{ -Is_Pd}', "");
Expect(1, 65294, '\p{^ -Is_Pd}', "");
Expect(1, 65294, '\P{ -Is_Pd}', "");
Expect(0, 65294, '\P{^ -Is_Pd}', "");
Error('\p{:= 	DEFAULT_Ignorable_Code_Point}');
Error('\P{:= 	DEFAULT_Ignorable_Code_Point}');
Expect(1, 921599, '\p{defaultignorablecodepoint}', "");
Expect(0, 921599, '\p{^defaultignorablecodepoint}', "");
Expect(0, 921599, '\P{defaultignorablecodepoint}', "");
Expect(1, 921599, '\P{^defaultignorablecodepoint}', "");
Expect(0, 921600, '\p{defaultignorablecodepoint}', "");
Expect(1, 921600, '\p{^defaultignorablecodepoint}', "");
Expect(1, 921600, '\P{defaultignorablecodepoint}', "");
Expect(0, 921600, '\P{^defaultignorablecodepoint}', "");
Expect(1, 921599, '\p{default_IGNORABLE_code_Point}', "");
Expect(0, 921599, '\p{^default_IGNORABLE_code_Point}', "");
Expect(0, 921599, '\P{default_IGNORABLE_code_Point}', "");
Expect(1, 921599, '\P{^default_IGNORABLE_code_Point}', "");
Expect(0, 921600, '\p{default_IGNORABLE_code_Point}', "");
Expect(1, 921600, '\p{^default_IGNORABLE_code_Point}', "");
Expect(1, 921600, '\P{default_IGNORABLE_code_Point}', "");
Expect(0, 921600, '\P{^default_IGNORABLE_code_Point}', "");
Error('\p{:=- Is_DEFAULT_IGNORABLE_CODE_Point}');
Error('\P{:=- Is_DEFAULT_IGNORABLE_CODE_Point}');
Expect(1, 921599, '\p{isdefaultignorablecodepoint}', "");
Expect(0, 921599, '\p{^isdefaultignorablecodepoint}', "");
Expect(0, 921599, '\P{isdefaultignorablecodepoint}', "");
Expect(1, 921599, '\P{^isdefaultignorablecodepoint}', "");
Expect(0, 921600, '\p{isdefaultignorablecodepoint}', "");
Expect(1, 921600, '\p{^isdefaultignorablecodepoint}', "");
Expect(1, 921600, '\P{isdefaultignorablecodepoint}', "");
Expect(0, 921600, '\P{^isdefaultignorablecodepoint}', "");
Expect(1, 921599, '\p{  Is_Default_ignorable_Code_POINT}', "");
Expect(0, 921599, '\p{^  Is_Default_ignorable_Code_POINT}', "");
Expect(0, 921599, '\P{  Is_Default_ignorable_Code_POINT}', "");
Expect(1, 921599, '\P{^  Is_Default_ignorable_Code_POINT}', "");
Expect(0, 921600, '\p{  Is_Default_ignorable_Code_POINT}', "");
Expect(1, 921600, '\p{^  Is_Default_ignorable_Code_POINT}', "");
Expect(1, 921600, '\P{  Is_Default_ignorable_Code_POINT}', "");
Expect(0, 921600, '\P{^  Is_Default_ignorable_Code_POINT}', "");
Error('\p{:=-_DI}');
Error('\P{:=-_DI}');
Expect(1, 921599, '\p{di}', "");
Expect(0, 921599, '\p{^di}', "");
Expect(0, 921599, '\P{di}', "");
Expect(1, 921599, '\P{^di}', "");
Expect(0, 921600, '\p{di}', "");
Expect(1, 921600, '\p{^di}', "");
Expect(1, 921600, '\P{di}', "");
Expect(0, 921600, '\P{^di}', "");
Expect(1, 921599, '\p{-_DI}', "");
Expect(0, 921599, '\p{^-_DI}', "");
Expect(0, 921599, '\P{-_DI}', "");
Expect(1, 921599, '\P{^-_DI}', "");
Expect(0, 921600, '\p{-_DI}', "");
Expect(1, 921600, '\p{^-_DI}', "");
Expect(1, 921600, '\P{-_DI}', "");
Expect(0, 921600, '\P{^-_DI}', "");
Error('\p{/a/-_is_di}');
Error('\P{/a/-_is_di}');
Expect(1, 921599, '\p{isdi}', "");
Expect(0, 921599, '\p{^isdi}', "");
Expect(0, 921599, '\P{isdi}', "");
Expect(1, 921599, '\P{^isdi}', "");
Expect(0, 921600, '\p{isdi}', "");
Expect(1, 921600, '\p{^isdi}', "");
Expect(1, 921600, '\P{isdi}', "");
Expect(0, 921600, '\P{^isdi}', "");
Expect(1, 921599, '\p{ is_DI}', "");
Expect(0, 921599, '\p{^ is_DI}', "");
Expect(0, 921599, '\P{ is_DI}', "");
Expect(1, 921599, '\P{^ is_DI}', "");
Expect(0, 921600, '\p{ is_DI}', "");
Expect(1, 921600, '\p{^ is_DI}', "");
Expect(1, 921600, '\P{ is_DI}', "");
Expect(0, 921600, '\P{^ is_DI}', "");
Error('\p{/a/	Deprecated}');
Error('\P{/a/	Deprecated}');
Expect(1, 917631, '\p{deprecated}', "");
Expect(0, 917631, '\p{^deprecated}', "");
Expect(0, 917631, '\P{deprecated}', "");
Expect(1, 917631, '\P{^deprecated}', "");
Expect(0, 917632, '\p{deprecated}', "");
Expect(1, 917632, '\p{^deprecated}', "");
Expect(1, 917632, '\P{deprecated}', "");
Expect(0, 917632, '\P{^deprecated}', "");
Expect(1, 917631, '\p{	Deprecated}', "");
Expect(0, 917631, '\p{^	Deprecated}', "");
Expect(0, 917631, '\P{	Deprecated}', "");
Expect(1, 917631, '\P{^	Deprecated}', "");
Expect(0, 917632, '\p{	Deprecated}', "");
Expect(1, 917632, '\p{^	Deprecated}', "");
Expect(1, 917632, '\P{	Deprecated}', "");
Expect(0, 917632, '\P{^	Deprecated}', "");
Error('\p{:=_	Is_Deprecated}');
Error('\P{:=_	Is_Deprecated}');
Expect(1, 917631, '\p{isdeprecated}', "");
Expect(0, 917631, '\p{^isdeprecated}', "");
Expect(0, 917631, '\P{isdeprecated}', "");
Expect(1, 917631, '\P{^isdeprecated}', "");
Expect(0, 917632, '\p{isdeprecated}', "");
Expect(1, 917632, '\p{^isdeprecated}', "");
Expect(1, 917632, '\P{isdeprecated}', "");
Expect(0, 917632, '\P{^isdeprecated}', "");
Expect(1, 917631, '\p{_ Is_Deprecated}', "");
Expect(0, 917631, '\p{^_ Is_Deprecated}', "");
Expect(0, 917631, '\P{_ Is_Deprecated}', "");
Expect(1, 917631, '\P{^_ Is_Deprecated}', "");
Expect(0, 917632, '\p{_ Is_Deprecated}', "");
Expect(1, 917632, '\p{^_ Is_Deprecated}', "");
Expect(1, 917632, '\P{_ Is_Deprecated}', "");
Expect(0, 917632, '\P{^_ Is_Deprecated}', "");
Error('\p{/a/	-dep}');
Error('\P{/a/	-dep}');
Expect(1, 917631, '\p{dep}', "");
Expect(0, 917631, '\p{^dep}', "");
Expect(0, 917631, '\P{dep}', "");
Expect(1, 917631, '\P{^dep}', "");
Expect(0, 917632, '\p{dep}', "");
Expect(1, 917632, '\p{^dep}', "");
Expect(1, 917632, '\P{dep}', "");
Expect(0, 917632, '\P{^dep}', "");
Expect(1, 917631, '\p{  DEP}', "");
Expect(0, 917631, '\p{^  DEP}', "");
Expect(0, 917631, '\P{  DEP}', "");
Expect(1, 917631, '\P{^  DEP}', "");
Expect(0, 917632, '\p{  DEP}', "");
Expect(1, 917632, '\p{^  DEP}', "");
Expect(1, 917632, '\P{  DEP}', "");
Expect(0, 917632, '\P{^  DEP}', "");
Error('\p{/a/ _is_Dep}');
Error('\P{/a/ _is_Dep}');
Expect(1, 917631, '\p{isdep}', "");
Expect(0, 917631, '\p{^isdep}', "");
Expect(0, 917631, '\P{isdep}', "");
Expect(1, 917631, '\P{^isdep}', "");
Expect(0, 917632, '\p{isdep}', "");
Expect(1, 917632, '\p{^isdep}', "");
Expect(1, 917632, '\P{isdep}', "");
Expect(0, 917632, '\P{^isdep}', "");
Expect(1, 917631, '\p{_	IS_Dep}', "");
Expect(0, 917631, '\p{^_	IS_Dep}', "");
Expect(0, 917631, '\P{_	IS_Dep}', "");
Expect(1, 917631, '\P{^_	IS_Dep}', "");
Expect(0, 917632, '\p{_	IS_Dep}', "");
Expect(1, 917632, '\p{^_	IS_Dep}', "");
Expect(1, 917632, '\P{_	IS_Dep}', "");
Expect(0, 917632, '\P{^_	IS_Dep}', "");
Error('\p{-:=Deseret}');
Error('\P{-:=Deseret}');
Expect(1, 66639, '\p{deseret}', "");
Expect(0, 66639, '\p{^deseret}', "");
Expect(0, 66639, '\P{deseret}', "");
Expect(1, 66639, '\P{^deseret}', "");
Expect(0, 66640, '\p{deseret}', "");
Expect(1, 66640, '\p{^deseret}', "");
Expect(1, 66640, '\P{deseret}', "");
Expect(0, 66640, '\P{^deseret}', "");
Expect(1, 66639, '\p{_-deseret}', "");
Expect(0, 66639, '\p{^_-deseret}', "");
Expect(0, 66639, '\P{_-deseret}', "");
Expect(1, 66639, '\P{^_-deseret}', "");
Expect(0, 66640, '\p{_-deseret}', "");
Expect(1, 66640, '\p{^_-deseret}', "");
Expect(1, 66640, '\P{_-deseret}', "");
Expect(0, 66640, '\P{^_-deseret}', "");
Error('\p{ /a/is_deseret}');
Error('\P{ /a/is_deseret}');
Expect(1, 66639, '\p{isdeseret}', "");
Expect(0, 66639, '\p{^isdeseret}', "");
Expect(0, 66639, '\P{isdeseret}', "");
Expect(1, 66639, '\P{^isdeseret}', "");
Expect(0, 66640, '\p{isdeseret}', "");
Expect(1, 66640, '\p{^isdeseret}', "");
Expect(1, 66640, '\P{isdeseret}', "");
Expect(0, 66640, '\P{^isdeseret}', "");
Expect(1, 66639, '\p{	Is_deseret}', "");
Expect(0, 66639, '\p{^	Is_deseret}', "");
Expect(0, 66639, '\P{	Is_deseret}', "");
Expect(1, 66639, '\P{^	Is_deseret}', "");
Expect(0, 66640, '\p{	Is_deseret}', "");
Expect(1, 66640, '\p{^	Is_deseret}', "");
Expect(1, 66640, '\P{	Is_deseret}', "");
Expect(0, 66640, '\P{^	Is_deseret}', "");
Error('\p{:=Dsrt}');
Error('\P{:=Dsrt}');
Expect(1, 66639, '\p{dsrt}', "");
Expect(0, 66639, '\p{^dsrt}', "");
Expect(0, 66639, '\P{dsrt}', "");
Expect(1, 66639, '\P{^dsrt}', "");
Expect(0, 66640, '\p{dsrt}', "");
Expect(1, 66640, '\p{^dsrt}', "");
Expect(1, 66640, '\P{dsrt}', "");
Expect(0, 66640, '\P{^dsrt}', "");
Expect(1, 66639, '\p{_	Dsrt}', "");
Expect(0, 66639, '\p{^_	Dsrt}', "");
Expect(0, 66639, '\P{_	Dsrt}', "");
Expect(1, 66639, '\P{^_	Dsrt}', "");
Expect(0, 66640, '\p{_	Dsrt}', "");
Expect(1, 66640, '\p{^_	Dsrt}', "");
Expect(1, 66640, '\P{_	Dsrt}', "");
Expect(0, 66640, '\P{^_	Dsrt}', "");
Error('\p{-:=IS_dsrt}');
Error('\P{-:=IS_dsrt}');
Expect(1, 66639, '\p{isdsrt}', "");
Expect(0, 66639, '\p{^isdsrt}', "");
Expect(0, 66639, '\P{isdsrt}', "");
Expect(1, 66639, '\P{^isdsrt}', "");
Expect(0, 66640, '\p{isdsrt}', "");
Expect(1, 66640, '\p{^isdsrt}', "");
Expect(1, 66640, '\P{isdsrt}', "");
Expect(0, 66640, '\P{^isdsrt}', "");
Expect(1, 66639, '\p{-	IS_Dsrt}', "");
Expect(0, 66639, '\p{^-	IS_Dsrt}', "");
Expect(0, 66639, '\P{-	IS_Dsrt}', "");
Expect(1, 66639, '\P{^-	IS_Dsrt}', "");
Expect(0, 66640, '\p{-	IS_Dsrt}', "");
Expect(1, 66640, '\p{^-	IS_Dsrt}', "");
Expect(1, 66640, '\P{-	IS_Dsrt}', "");
Expect(0, 66640, '\P{^-	IS_Dsrt}', "");
Error('\p{:=	Devanagari}');
Error('\P{:=	Devanagari}');
Expect(1, 43259, '\p{devanagari}', "");
Expect(0, 43259, '\p{^devanagari}', "");
Expect(0, 43259, '\P{devanagari}', "");
Expect(1, 43259, '\P{^devanagari}', "");
Expect(0, 43260, '\p{devanagari}', "");
Expect(1, 43260, '\p{^devanagari}', "");
Expect(1, 43260, '\P{devanagari}', "");
Expect(0, 43260, '\P{^devanagari}', "");
Expect(1, 43259, '\p{__DEVANAGARI}', "");
Expect(0, 43259, '\p{^__DEVANAGARI}', "");
Expect(0, 43259, '\P{__DEVANAGARI}', "");
Expect(1, 43259, '\P{^__DEVANAGARI}', "");
Expect(0, 43260, '\p{__DEVANAGARI}', "");
Expect(1, 43260, '\p{^__DEVANAGARI}', "");
Expect(1, 43260, '\P{__DEVANAGARI}', "");
Expect(0, 43260, '\P{^__DEVANAGARI}', "");
Error('\p{:=_Is_Devanagari}');
Error('\P{:=_Is_Devanagari}');
Expect(1, 43259, '\p{isdevanagari}', "");
Expect(0, 43259, '\p{^isdevanagari}', "");
Expect(0, 43259, '\P{isdevanagari}', "");
Expect(1, 43259, '\P{^isdevanagari}', "");
Expect(0, 43260, '\p{isdevanagari}', "");
Expect(1, 43260, '\p{^isdevanagari}', "");
Expect(1, 43260, '\P{isdevanagari}', "");
Expect(0, 43260, '\P{^isdevanagari}', "");
Expect(1, 43259, '\p{	 IS_Devanagari}', "");
Expect(0, 43259, '\p{^	 IS_Devanagari}', "");
Expect(0, 43259, '\P{	 IS_Devanagari}', "");
Expect(1, 43259, '\P{^	 IS_Devanagari}', "");
Expect(0, 43260, '\p{	 IS_Devanagari}', "");
Expect(1, 43260, '\p{^	 IS_Devanagari}', "");
Expect(1, 43260, '\P{	 IS_Devanagari}', "");
Expect(0, 43260, '\P{^	 IS_Devanagari}', "");
Error('\p{ /a/Deva}');
Error('\P{ /a/Deva}');
Expect(1, 43259, '\p{deva}', "");
Expect(0, 43259, '\p{^deva}', "");
Expect(0, 43259, '\P{deva}', "");
Expect(1, 43259, '\P{^deva}', "");
Expect(0, 43260, '\p{deva}', "");
Expect(1, 43260, '\p{^deva}', "");
Expect(1, 43260, '\P{deva}', "");
Expect(0, 43260, '\P{^deva}', "");
Expect(1, 43259, '\p{Deva}', "");
Expect(0, 43259, '\p{^Deva}', "");
Expect(0, 43259, '\P{Deva}', "");
Expect(1, 43259, '\P{^Deva}', "");
Expect(0, 43260, '\p{Deva}', "");
Expect(1, 43260, '\p{^Deva}', "");
Expect(1, 43260, '\P{Deva}', "");
Expect(0, 43260, '\P{^Deva}', "");
Error('\p{_:=IS_Deva}');
Error('\P{_:=IS_Deva}');
Expect(1, 43259, '\p{isdeva}', "");
Expect(0, 43259, '\p{^isdeva}', "");
Expect(0, 43259, '\P{isdeva}', "");
Expect(1, 43259, '\P{^isdeva}', "");
Expect(0, 43260, '\p{isdeva}', "");
Expect(1, 43260, '\p{^isdeva}', "");
Expect(1, 43260, '\P{isdeva}', "");
Expect(0, 43260, '\P{^isdeva}', "");
Expect(1, 43259, '\p{ IS_Deva}', "");
Expect(0, 43259, '\p{^ IS_Deva}', "");
Expect(0, 43259, '\P{ IS_Deva}', "");
Expect(1, 43259, '\P{^ IS_Deva}', "");
Expect(0, 43260, '\p{ IS_Deva}', "");
Expect(1, 43260, '\p{^ IS_Deva}', "");
Expect(1, 43260, '\P{ IS_Deva}', "");
Expect(0, 43260, '\P{^ IS_Deva}', "");
Error('\p{:=	DEVANAGARI_Extended}');
Error('\P{:=	DEVANAGARI_Extended}');
Expect(1, 43263, '\p{devanagariextended}', "");
Expect(0, 43263, '\p{^devanagariextended}', "");
Expect(0, 43263, '\P{devanagariextended}', "");
Expect(1, 43263, '\P{^devanagariextended}', "");
Expect(0, 43264, '\p{devanagariextended}', "");
Expect(1, 43264, '\p{^devanagariextended}', "");
Expect(1, 43264, '\P{devanagariextended}', "");
Expect(0, 43264, '\P{^devanagariextended}', "");
Expect(1, 43263, '\p{	DEVANAGARI_EXTENDED}', "");
Expect(0, 43263, '\p{^	DEVANAGARI_EXTENDED}', "");
Expect(0, 43263, '\P{	DEVANAGARI_EXTENDED}', "");
Expect(1, 43263, '\P{^	DEVANAGARI_EXTENDED}', "");
Expect(0, 43264, '\p{	DEVANAGARI_EXTENDED}', "");
Expect(1, 43264, '\p{^	DEVANAGARI_EXTENDED}', "");
Expect(1, 43264, '\P{	DEVANAGARI_EXTENDED}', "");
Expect(0, 43264, '\P{^	DEVANAGARI_EXTENDED}', "");
Error('\p{ Is_Devanagari_Extended:=}');
Error('\P{ Is_Devanagari_Extended:=}');
Expect(1, 43263, '\p{isdevanagariextended}', "");
Expect(0, 43263, '\p{^isdevanagariextended}', "");
Expect(0, 43263, '\P{isdevanagariextended}', "");
Expect(1, 43263, '\P{^isdevanagariextended}', "");
Expect(0, 43264, '\p{isdevanagariextended}', "");
Expect(1, 43264, '\p{^isdevanagariextended}', "");
Expect(1, 43264, '\P{isdevanagariextended}', "");
Expect(0, 43264, '\P{^isdevanagariextended}', "");
Expect(1, 43263, '\p{	-Is_DEVANAGARI_Extended}', "");
Expect(0, 43263, '\p{^	-Is_DEVANAGARI_Extended}', "");
Expect(0, 43263, '\P{	-Is_DEVANAGARI_Extended}', "");
Expect(1, 43263, '\P{^	-Is_DEVANAGARI_Extended}', "");
Expect(0, 43264, '\p{	-Is_DEVANAGARI_Extended}', "");
Expect(1, 43264, '\p{^	-Is_DEVANAGARI_Extended}', "");
Expect(1, 43264, '\P{	-Is_DEVANAGARI_Extended}', "");
Expect(0, 43264, '\P{^	-Is_DEVANAGARI_Extended}', "");
Error('\p{:=In_DEVANAGARI_Extended}');
Error('\P{:=In_DEVANAGARI_Extended}');
Expect(1, 43263, '\p{indevanagariextended}', "");
Expect(0, 43263, '\p{^indevanagariextended}', "");
Expect(0, 43263, '\P{indevanagariextended}', "");
Expect(1, 43263, '\P{^indevanagariextended}', "");
Expect(0, 43264, '\p{indevanagariextended}', "");
Expect(1, 43264, '\p{^indevanagariextended}', "");
Expect(1, 43264, '\P{indevanagariextended}', "");
Expect(0, 43264, '\P{^indevanagariextended}', "");
Expect(1, 43263, '\p{_	In_Devanagari_extended}', "");
Expect(0, 43263, '\p{^_	In_Devanagari_extended}', "");
Expect(0, 43263, '\P{_	In_Devanagari_extended}', "");
Expect(1, 43263, '\P{^_	In_Devanagari_extended}', "");
Expect(0, 43264, '\p{_	In_Devanagari_extended}', "");
Expect(1, 43264, '\p{^_	In_Devanagari_extended}', "");
Expect(1, 43264, '\P{_	In_Devanagari_extended}', "");
Expect(0, 43264, '\P{^_	In_Devanagari_extended}', "");
Error('\p{_ devanagari_ext/a/}');
Error('\P{_ devanagari_ext/a/}');
Expect(1, 43263, '\p{devanagariext}', "");
Expect(0, 43263, '\p{^devanagariext}', "");
Expect(0, 43263, '\P{devanagariext}', "");
Expect(1, 43263, '\P{^devanagariext}', "");
Expect(0, 43264, '\p{devanagariext}', "");
Expect(1, 43264, '\p{^devanagariext}', "");
Expect(1, 43264, '\P{devanagariext}', "");
Expect(0, 43264, '\P{^devanagariext}', "");
Expect(1, 43263, '\p{	_devanagari_Ext}', "");
Expect(0, 43263, '\p{^	_devanagari_Ext}', "");
Expect(0, 43263, '\P{	_devanagari_Ext}', "");
Expect(1, 43263, '\P{^	_devanagari_Ext}', "");
Expect(0, 43264, '\p{	_devanagari_Ext}', "");
Expect(1, 43264, '\p{^	_devanagari_Ext}', "");
Expect(1, 43264, '\P{	_devanagari_Ext}', "");
Expect(0, 43264, '\P{^	_devanagari_Ext}', "");
Error('\p{:=Is_Devanagari_Ext}');
Error('\P{:=Is_Devanagari_Ext}');
Expect(1, 43263, '\p{isdevanagariext}', "");
Expect(0, 43263, '\p{^isdevanagariext}', "");
Expect(0, 43263, '\P{isdevanagariext}', "");
Expect(1, 43263, '\P{^isdevanagariext}', "");
Expect(0, 43264, '\p{isdevanagariext}', "");
Expect(1, 43264, '\p{^isdevanagariext}', "");
Expect(1, 43264, '\P{isdevanagariext}', "");
Expect(0, 43264, '\P{^isdevanagariext}', "");
Expect(1, 43263, '\p{ 	Is_Devanagari_EXT}', "");
Expect(0, 43263, '\p{^ 	Is_Devanagari_EXT}', "");
Expect(0, 43263, '\P{ 	Is_Devanagari_EXT}', "");
Expect(1, 43263, '\P{^ 	Is_Devanagari_EXT}', "");
Expect(0, 43264, '\p{ 	Is_Devanagari_EXT}', "");
Expect(1, 43264, '\p{^ 	Is_Devanagari_EXT}', "");
Expect(1, 43264, '\P{ 	Is_Devanagari_EXT}', "");
Expect(0, 43264, '\P{^ 	Is_Devanagari_EXT}', "");
Error('\p{	/a/In_Devanagari_ext}');
Error('\P{	/a/In_Devanagari_ext}');
Expect(1, 43263, '\p{indevanagariext}', "");
Expect(0, 43263, '\p{^indevanagariext}', "");
Expect(0, 43263, '\P{indevanagariext}', "");
Expect(1, 43263, '\P{^indevanagariext}', "");
Expect(0, 43264, '\p{indevanagariext}', "");
Expect(1, 43264, '\p{^indevanagariext}', "");
Expect(1, 43264, '\P{indevanagariext}', "");
Expect(0, 43264, '\P{^indevanagariext}', "");
Expect(1, 43263, '\p{ IN_DEVANAGARI_ext}', "");
Expect(0, 43263, '\p{^ IN_DEVANAGARI_ext}', "");
Expect(0, 43263, '\P{ IN_DEVANAGARI_ext}', "");
Expect(1, 43263, '\P{^ IN_DEVANAGARI_ext}', "");
Expect(0, 43264, '\p{ IN_DEVANAGARI_ext}', "");
Expect(1, 43264, '\p{^ IN_DEVANAGARI_ext}', "");
Expect(1, 43264, '\P{ IN_DEVANAGARI_ext}', "");
Expect(0, 43264, '\P{^ IN_DEVANAGARI_ext}', "");
Error('\p{ Diacritic/a/}');
Error('\P{ Diacritic/a/}');
Expect(1, 125142, '\p{diacritic}', "");
Expect(0, 125142, '\p{^diacritic}', "");
Expect(0, 125142, '\P{diacritic}', "");
Expect(1, 125142, '\P{^diacritic}', "");
Expect(0, 125143, '\p{diacritic}', "");
Expect(1, 125143, '\p{^diacritic}', "");
Expect(1, 125143, '\P{diacritic}', "");
Expect(0, 125143, '\P{^diacritic}', "");
Expect(1, 125142, '\p{- DIACRITIC}', "");
Expect(0, 125142, '\p{^- DIACRITIC}', "");
Expect(0, 125142, '\P{- DIACRITIC}', "");
Expect(1, 125142, '\P{^- DIACRITIC}', "");
Expect(0, 125143, '\p{- DIACRITIC}', "");
Expect(1, 125143, '\p{^- DIACRITIC}', "");
Expect(1, 125143, '\P{- DIACRITIC}', "");
Expect(0, 125143, '\P{^- DIACRITIC}', "");
Error('\p{:=IS_Diacritic}');
Error('\P{:=IS_Diacritic}');
Expect(1, 125142, '\p{isdiacritic}', "");
Expect(0, 125142, '\p{^isdiacritic}', "");
Expect(0, 125142, '\P{isdiacritic}', "");
Expect(1, 125142, '\P{^isdiacritic}', "");
Expect(0, 125143, '\p{isdiacritic}', "");
Expect(1, 125143, '\p{^isdiacritic}', "");
Expect(1, 125143, '\P{isdiacritic}', "");
Expect(0, 125143, '\P{^isdiacritic}', "");
Expect(1, 125142, '\p{_	is_Diacritic}', "");
Expect(0, 125142, '\p{^_	is_Diacritic}', "");
Expect(0, 125142, '\P{_	is_Diacritic}', "");
Expect(1, 125142, '\P{^_	is_Diacritic}', "");
Expect(0, 125143, '\p{_	is_Diacritic}', "");
Expect(1, 125143, '\p{^_	is_Diacritic}', "");
Expect(1, 125143, '\P{_	is_Diacritic}', "");
Expect(0, 125143, '\P{^_	is_Diacritic}', "");
Error('\p{  Dia/a/}');
Error('\P{  Dia/a/}');
Expect(1, 125142, '\p{dia}', "");
Expect(0, 125142, '\p{^dia}', "");
Expect(0, 125142, '\P{dia}', "");
Expect(1, 125142, '\P{^dia}', "");
Expect(0, 125143, '\p{dia}', "");
Expect(1, 125143, '\p{^dia}', "");
Expect(1, 125143, '\P{dia}', "");
Expect(0, 125143, '\P{^dia}', "");
Expect(1, 125142, '\p{__Dia}', "");
Expect(0, 125142, '\p{^__Dia}', "");
Expect(0, 125142, '\P{__Dia}', "");
Expect(1, 125142, '\P{^__Dia}', "");
Expect(0, 125143, '\p{__Dia}', "");
Expect(1, 125143, '\p{^__Dia}', "");
Expect(1, 125143, '\P{__Dia}', "");
Expect(0, 125143, '\P{^__Dia}', "");
Error('\p{ -is_dia/a/}');
Error('\P{ -is_dia/a/}');
Expect(1, 125142, '\p{isdia}', "");
Expect(0, 125142, '\p{^isdia}', "");
Expect(0, 125142, '\P{isdia}', "");
Expect(1, 125142, '\P{^isdia}', "");
Expect(0, 125143, '\p{isdia}', "");
Expect(1, 125143, '\p{^isdia}', "");
Expect(1, 125143, '\P{isdia}', "");
Expect(0, 125143, '\P{^isdia}', "");
Expect(1, 125142, '\p{Is_Dia}', "");
Expect(0, 125142, '\p{^Is_Dia}', "");
Expect(0, 125142, '\P{Is_Dia}', "");
Expect(1, 125142, '\P{^Is_Dia}', "");
Expect(0, 125143, '\p{Is_Dia}', "");
Expect(1, 125143, '\p{^Is_Dia}', "");
Expect(1, 125143, '\P{Is_Dia}', "");
Expect(0, 125143, '\P{^Is_Dia}', "");
Error('\p{	_XPosixDigit:=}');
Error('\P{	_XPosixDigit:=}');
Expect(1, 120831, '\p{xposixdigit}', "");
Expect(0, 120831, '\p{^xposixdigit}', "");
Expect(0, 120831, '\P{xposixdigit}', "");
Expect(1, 120831, '\P{^xposixdigit}', "");
Expect(0, 120832, '\p{xposixdigit}', "");
Expect(1, 120832, '\p{^xposixdigit}', "");
Expect(1, 120832, '\P{xposixdigit}', "");
Expect(0, 120832, '\P{^xposixdigit}', "");
Expect(1, 120831, '\p{	 xposixdigit}', "");
Expect(0, 120831, '\p{^	 xposixdigit}', "");
Expect(0, 120831, '\P{	 xposixdigit}', "");
Expect(1, 120831, '\P{^	 xposixdigit}', "");
Expect(0, 120832, '\p{	 xposixdigit}', "");
Expect(1, 120832, '\p{^	 xposixdigit}', "");
Expect(1, 120832, '\P{	 xposixdigit}', "");
Expect(0, 120832, '\P{^	 xposixdigit}', "");
Error('\p{digit/a/}');
Error('\P{digit/a/}');
Expect(1, 120831, '\p{digit}', "");
Expect(0, 120831, '\p{^digit}', "");
Expect(0, 120831, '\P{digit}', "");
Expect(1, 120831, '\P{^digit}', "");
Expect(0, 120832, '\p{digit}', "");
Expect(1, 120832, '\p{^digit}', "");
Expect(1, 120832, '\P{digit}', "");
Expect(0, 120832, '\P{^digit}', "");
Expect(1, 120831, '\p{__Digit}', "");
Expect(0, 120831, '\p{^__Digit}', "");
Expect(0, 120831, '\P{__Digit}', "");
Expect(1, 120831, '\P{^__Digit}', "");
Expect(0, 120832, '\p{__Digit}', "");
Expect(1, 120832, '\p{^__Digit}', "");
Expect(1, 120832, '\P{__Digit}', "");
Expect(0, 120832, '\P{^__Digit}', "");
Error('\p{:=_ Is_XPosixDigit}');
Error('\P{:=_ Is_XPosixDigit}');
Expect(1, 120831, '\p{isxposixdigit}', "");
Expect(0, 120831, '\p{^isxposixdigit}', "");
Expect(0, 120831, '\P{isxposixdigit}', "");
Expect(1, 120831, '\P{^isxposixdigit}', "");
Expect(0, 120832, '\p{isxposixdigit}', "");
Expect(1, 120832, '\p{^isxposixdigit}', "");
Expect(1, 120832, '\P{isxposixdigit}', "");
Expect(0, 120832, '\P{^isxposixdigit}', "");
Expect(1, 120831, '\p{  Is_xposixdigit}', "");
Expect(0, 120831, '\p{^  Is_xposixdigit}', "");
Expect(0, 120831, '\P{  Is_xposixdigit}', "");
Expect(1, 120831, '\P{^  Is_xposixdigit}', "");
Expect(0, 120832, '\p{  Is_xposixdigit}', "");
Expect(1, 120832, '\p{^  Is_xposixdigit}', "");
Expect(1, 120832, '\P{  Is_xposixdigit}', "");
Expect(0, 120832, '\P{^  Is_xposixdigit}', "");
Error('\p{-/a/Is_digit}');
Error('\P{-/a/Is_digit}');
Expect(1, 120831, '\p{isdigit}', "");
Expect(0, 120831, '\p{^isdigit}', "");
Expect(0, 120831, '\P{isdigit}', "");
Expect(1, 120831, '\P{^isdigit}', "");
Expect(0, 120832, '\p{isdigit}', "");
Expect(1, 120832, '\p{^isdigit}', "");
Expect(1, 120832, '\P{isdigit}', "");
Expect(0, 120832, '\P{^isdigit}', "");
Expect(1, 120831, '\p{ _is_Digit}', "");
Expect(0, 120831, '\p{^ _is_Digit}', "");
Expect(0, 120831, '\P{ _is_Digit}', "");
Expect(1, 120831, '\P{^ _is_Digit}', "");
Expect(0, 120832, '\p{ _is_Digit}', "");
Expect(1, 120832, '\p{^ _is_Digit}', "");
Expect(1, 120832, '\P{ _is_Digit}', "");
Expect(0, 120832, '\P{^ _is_Digit}', "");
Error('\p{ /a/Decimal_Number}');
Error('\P{ /a/Decimal_Number}');
Expect(1, 120831, '\p{decimalnumber}', "");
Expect(0, 120831, '\p{^decimalnumber}', "");
Expect(0, 120831, '\P{decimalnumber}', "");
Expect(1, 120831, '\P{^decimalnumber}', "");
Expect(0, 120832, '\p{decimalnumber}', "");
Expect(1, 120832, '\p{^decimalnumber}', "");
Expect(1, 120832, '\P{decimalnumber}', "");
Expect(0, 120832, '\P{^decimalnumber}', "");
Expect(1, 120831, '\p{	_DECIMAL_Number}', "");
Expect(0, 120831, '\p{^	_DECIMAL_Number}', "");
Expect(0, 120831, '\P{	_DECIMAL_Number}', "");
Expect(1, 120831, '\P{^	_DECIMAL_Number}', "");
Expect(0, 120832, '\p{	_DECIMAL_Number}', "");
Expect(1, 120832, '\p{^	_DECIMAL_Number}', "");
Expect(1, 120832, '\P{	_DECIMAL_Number}', "");
Expect(0, 120832, '\P{^	_DECIMAL_Number}', "");
Error('\p{	 Is_Decimal_number/a/}');
Error('\P{	 Is_Decimal_number/a/}');
Expect(1, 120831, '\p{isdecimalnumber}', "");
Expect(0, 120831, '\p{^isdecimalnumber}', "");
Expect(0, 120831, '\P{isdecimalnumber}', "");
Expect(1, 120831, '\P{^isdecimalnumber}', "");
Expect(0, 120832, '\p{isdecimalnumber}', "");
Expect(1, 120832, '\p{^isdecimalnumber}', "");
Expect(1, 120832, '\P{isdecimalnumber}', "");
Expect(0, 120832, '\P{^isdecimalnumber}', "");
Expect(1, 120831, '\p{--Is_decimal_Number}', "");
Expect(0, 120831, '\p{^--Is_decimal_Number}', "");
Expect(0, 120831, '\P{--Is_decimal_Number}', "");
Expect(1, 120831, '\P{^--Is_decimal_Number}', "");
Expect(0, 120832, '\p{--Is_decimal_Number}', "");
Expect(1, 120832, '\p{^--Is_decimal_Number}', "");
Expect(1, 120832, '\P{--Is_decimal_Number}', "");
Expect(0, 120832, '\P{^--Is_decimal_Number}', "");
Error('\p{		Nd:=}');
Error('\P{		Nd:=}');
Expect(1, 120831, '\p{nd}', "");
Expect(0, 120831, '\p{^nd}', "");
Expect(0, 120831, '\P{nd}', "");
Expect(1, 120831, '\P{^nd}', "");
Expect(0, 120832, '\p{nd}', "");
Expect(1, 120832, '\p{^nd}', "");
Expect(1, 120832, '\P{nd}', "");
Expect(0, 120832, '\P{^nd}', "");
Expect(1, 120831, '\p{	ND}', "");
Expect(0, 120831, '\p{^	ND}', "");
Expect(0, 120831, '\P{	ND}', "");
Expect(1, 120831, '\P{^	ND}', "");
Expect(0, 120832, '\p{	ND}', "");
Expect(1, 120832, '\p{^	ND}', "");
Expect(1, 120832, '\P{	ND}', "");
Expect(0, 120832, '\P{^	ND}', "");
Error('\p{is_Nd:=}');
Error('\P{is_Nd:=}');
Expect(1, 120831, '\p{isnd}', "");
Expect(0, 120831, '\p{^isnd}', "");
Expect(0, 120831, '\P{isnd}', "");
Expect(1, 120831, '\P{^isnd}', "");
Expect(0, 120832, '\p{isnd}', "");
Expect(1, 120832, '\p{^isnd}', "");
Expect(1, 120832, '\P{isnd}', "");
Expect(0, 120832, '\P{^isnd}', "");
Expect(1, 120831, '\p{	 Is_Nd}', "");
Expect(0, 120831, '\p{^	 Is_Nd}', "");
Expect(0, 120831, '\P{	 Is_Nd}', "");
Expect(1, 120831, '\P{^	 Is_Nd}', "");
Expect(0, 120832, '\p{	 Is_Nd}', "");
Expect(1, 120832, '\p{^	 Is_Nd}', "");
Expect(1, 120832, '\P{	 Is_Nd}', "");
Expect(0, 120832, '\P{^	 Is_Nd}', "");
Error('\p{-/a/dingbats}');
Error('\P{-/a/dingbats}');
Expect(1, 10175, '\p{dingbats}', "");
Expect(0, 10175, '\p{^dingbats}', "");
Expect(0, 10175, '\P{dingbats}', "");
Expect(1, 10175, '\P{^dingbats}', "");
Expect(0, 10176, '\p{dingbats}', "");
Expect(1, 10176, '\p{^dingbats}', "");
Expect(1, 10176, '\P{dingbats}', "");
Expect(0, 10176, '\P{^dingbats}', "");
Expect(1, 10175, '\p{-Dingbats}', "");
Expect(0, 10175, '\p{^-Dingbats}', "");
Expect(0, 10175, '\P{-Dingbats}', "");
Expect(1, 10175, '\P{^-Dingbats}', "");
Expect(0, 10176, '\p{-Dingbats}', "");
Expect(1, 10176, '\p{^-Dingbats}', "");
Expect(1, 10176, '\P{-Dingbats}', "");
Expect(0, 10176, '\P{^-Dingbats}', "");
Error('\p{_IS_Dingbats:=}');
Error('\P{_IS_Dingbats:=}');
Expect(1, 10175, '\p{isdingbats}', "");
Expect(0, 10175, '\p{^isdingbats}', "");
Expect(0, 10175, '\P{isdingbats}', "");
Expect(1, 10175, '\P{^isdingbats}', "");
Expect(0, 10176, '\p{isdingbats}', "");
Expect(1, 10176, '\p{^isdingbats}', "");
Expect(1, 10176, '\P{isdingbats}', "");
Expect(0, 10176, '\P{^isdingbats}', "");
Expect(1, 10175, '\p{	 IS_DINGBATS}', "");
Expect(0, 10175, '\p{^	 IS_DINGBATS}', "");
Expect(0, 10175, '\P{	 IS_DINGBATS}', "");
Expect(1, 10175, '\P{^	 IS_DINGBATS}', "");
Expect(0, 10176, '\p{	 IS_DINGBATS}', "");
Expect(1, 10176, '\p{^	 IS_DINGBATS}', "");
Expect(1, 10176, '\P{	 IS_DINGBATS}', "");
Expect(0, 10176, '\P{^	 IS_DINGBATS}', "");
Error('\p{_/a/In_Dingbats}');
Error('\P{_/a/In_Dingbats}');
Expect(1, 10175, '\p{indingbats}', "");
Expect(0, 10175, '\p{^indingbats}', "");
Expect(0, 10175, '\P{indingbats}', "");
Expect(1, 10175, '\P{^indingbats}', "");
Expect(0, 10176, '\p{indingbats}', "");
Expect(1, 10176, '\p{^indingbats}', "");
Expect(1, 10176, '\P{indingbats}', "");
Expect(0, 10176, '\P{^indingbats}', "");
Expect(1, 10175, '\p{-	in_dingbats}', "");
Expect(0, 10175, '\p{^-	in_dingbats}', "");
Expect(0, 10175, '\P{-	in_dingbats}', "");
Expect(1, 10175, '\P{^-	in_dingbats}', "");
Expect(0, 10176, '\p{-	in_dingbats}', "");
Expect(1, 10176, '\p{^-	in_dingbats}', "");
Expect(1, 10176, '\P{-	in_dingbats}', "");
Expect(0, 10176, '\P{^-	in_dingbats}', "");
Error('\p{-_Domino_Tiles:=}');
Error('\P{-_Domino_Tiles:=}');
Expect(1, 127135, '\p{dominotiles}', "");
Expect(0, 127135, '\p{^dominotiles}', "");
Expect(0, 127135, '\P{dominotiles}', "");
Expect(1, 127135, '\P{^dominotiles}', "");
Expect(0, 127136, '\p{dominotiles}', "");
Expect(1, 127136, '\p{^dominotiles}', "");
Expect(1, 127136, '\P{dominotiles}', "");
Expect(0, 127136, '\P{^dominotiles}', "");
Expect(1, 127135, '\p{Domino_TILES}', "");
Expect(0, 127135, '\p{^Domino_TILES}', "");
Expect(0, 127135, '\P{Domino_TILES}', "");
Expect(1, 127135, '\P{^Domino_TILES}', "");
Expect(0, 127136, '\p{Domino_TILES}', "");
Expect(1, 127136, '\p{^Domino_TILES}', "");
Expect(1, 127136, '\P{Domino_TILES}', "");
Expect(0, 127136, '\P{^Domino_TILES}', "");
Error('\p{/a/is_DOMINO_TILES}');
Error('\P{/a/is_DOMINO_TILES}');
Expect(1, 127135, '\p{isdominotiles}', "");
Expect(0, 127135, '\p{^isdominotiles}', "");
Expect(0, 127135, '\P{isdominotiles}', "");
Expect(1, 127135, '\P{^isdominotiles}', "");
Expect(0, 127136, '\p{isdominotiles}', "");
Expect(1, 127136, '\p{^isdominotiles}', "");
Expect(1, 127136, '\P{isdominotiles}', "");
Expect(0, 127136, '\P{^isdominotiles}', "");
Expect(1, 127135, '\p{- IS_Domino_tiles}', "");
Expect(0, 127135, '\p{^- IS_Domino_tiles}', "");
Expect(0, 127135, '\P{- IS_Domino_tiles}', "");
Expect(1, 127135, '\P{^- IS_Domino_tiles}', "");
Expect(0, 127136, '\p{- IS_Domino_tiles}', "");
Expect(1, 127136, '\p{^- IS_Domino_tiles}', "");
Expect(1, 127136, '\P{- IS_Domino_tiles}', "");
Expect(0, 127136, '\P{^- IS_Domino_tiles}', "");
Error('\p{	:=in_domino_Tiles}');
Error('\P{	:=in_domino_Tiles}');
Expect(1, 127135, '\p{indominotiles}', "");
Expect(0, 127135, '\p{^indominotiles}', "");
Expect(0, 127135, '\P{indominotiles}', "");
Expect(1, 127135, '\P{^indominotiles}', "");
Expect(0, 127136, '\p{indominotiles}', "");
Expect(1, 127136, '\p{^indominotiles}', "");
Expect(1, 127136, '\P{indominotiles}', "");
Expect(0, 127136, '\P{^indominotiles}', "");
Expect(1, 127135, '\p{	 in_domino_Tiles}', "");
Expect(0, 127135, '\p{^	 in_domino_Tiles}', "");
Expect(0, 127135, '\P{	 in_domino_Tiles}', "");
Expect(1, 127135, '\P{^	 in_domino_Tiles}', "");
Expect(0, 127136, '\p{	 in_domino_Tiles}', "");
Expect(1, 127136, '\p{^	 in_domino_Tiles}', "");
Expect(1, 127136, '\P{	 in_domino_Tiles}', "");
Expect(0, 127136, '\P{^	 in_domino_Tiles}', "");
Error('\p{/a/domino}');
Error('\P{/a/domino}');
Expect(1, 127135, '\p{domino}', "");
Expect(0, 127135, '\p{^domino}', "");
Expect(0, 127135, '\P{domino}', "");
Expect(1, 127135, '\P{^domino}', "");
Expect(0, 127136, '\p{domino}', "");
Expect(1, 127136, '\p{^domino}', "");
Expect(1, 127136, '\P{domino}', "");
Expect(0, 127136, '\P{^domino}', "");
Expect(1, 127135, '\p{  Domino}', "");
Expect(0, 127135, '\p{^  Domino}', "");
Expect(0, 127135, '\P{  Domino}', "");
Expect(1, 127135, '\P{^  Domino}', "");
Expect(0, 127136, '\p{  Domino}', "");
Expect(1, 127136, '\p{^  Domino}', "");
Expect(1, 127136, '\P{  Domino}', "");
Expect(0, 127136, '\P{^  Domino}', "");
Error('\p{:=_	Is_Domino}');
Error('\P{:=_	Is_Domino}');
Expect(1, 127135, '\p{isdomino}', "");
Expect(0, 127135, '\p{^isdomino}', "");
Expect(0, 127135, '\P{isdomino}', "");
Expect(1, 127135, '\P{^isdomino}', "");
Expect(0, 127136, '\p{isdomino}', "");
Expect(1, 127136, '\p{^isdomino}', "");
Expect(1, 127136, '\P{isdomino}', "");
Expect(0, 127136, '\P{^isdomino}', "");
Expect(1, 127135, '\p{ -IS_Domino}', "");
Expect(0, 127135, '\p{^ -IS_Domino}', "");
Expect(0, 127135, '\P{ -IS_Domino}', "");
Expect(1, 127135, '\P{^ -IS_Domino}', "");
Expect(0, 127136, '\p{ -IS_Domino}', "");
Expect(1, 127136, '\p{^ -IS_Domino}', "");
Expect(1, 127136, '\P{ -IS_Domino}', "");
Expect(0, 127136, '\P{^ -IS_Domino}', "");
Error('\p{_in_Domino:=}');
Error('\P{_in_Domino:=}');
Expect(1, 127135, '\p{indomino}', "");
Expect(0, 127135, '\p{^indomino}', "");
Expect(0, 127135, '\P{indomino}', "");
Expect(1, 127135, '\P{^indomino}', "");
Expect(0, 127136, '\p{indomino}', "");
Expect(1, 127136, '\p{^indomino}', "");
Expect(1, 127136, '\P{indomino}', "");
Expect(0, 127136, '\P{^indomino}', "");
Expect(1, 127135, '\p{--IN_Domino}', "");
Expect(0, 127135, '\p{^--IN_Domino}', "");
Expect(0, 127135, '\P{--IN_Domino}', "");
Expect(1, 127135, '\P{^--IN_Domino}', "");
Expect(0, 127136, '\p{--IN_Domino}', "");
Expect(1, 127136, '\p{^--IN_Domino}', "");
Expect(1, 127136, '\P{--IN_Domino}', "");
Expect(0, 127136, '\P{^--IN_Domino}', "");
Error('\p{-	Duployan:=}');
Error('\P{-	Duployan:=}');
Expect(1, 113823, '\p{duployan}', "");
Expect(0, 113823, '\p{^duployan}', "");
Expect(0, 113823, '\P{duployan}', "");
Expect(1, 113823, '\P{^duployan}', "");
Expect(0, 113824, '\p{duployan}', "");
Expect(1, 113824, '\p{^duployan}', "");
Expect(1, 113824, '\P{duployan}', "");
Expect(0, 113824, '\P{^duployan}', "");
Expect(1, 113823, '\p{ -duployan}', "");
Expect(0, 113823, '\p{^ -duployan}', "");
Expect(0, 113823, '\P{ -duployan}', "");
Expect(1, 113823, '\P{^ -duployan}', "");
Expect(0, 113824, '\p{ -duployan}', "");
Expect(1, 113824, '\p{^ -duployan}', "");
Expect(1, 113824, '\P{ -duployan}', "");
Expect(0, 113824, '\P{^ -duployan}', "");
Error('\p{/a/-Is_Duployan}');
Error('\P{/a/-Is_Duployan}');
Expect(1, 113823, '\p{isduployan}', "");
Expect(0, 113823, '\p{^isduployan}', "");
Expect(0, 113823, '\P{isduployan}', "");
Expect(1, 113823, '\P{^isduployan}', "");
Expect(0, 113824, '\p{isduployan}', "");
Expect(1, 113824, '\p{^isduployan}', "");
Expect(1, 113824, '\P{isduployan}', "");
Expect(0, 113824, '\P{^isduployan}', "");
Expect(1, 113823, '\p{--is_Duployan}', "");
Expect(0, 113823, '\p{^--is_Duployan}', "");
Expect(0, 113823, '\P{--is_Duployan}', "");
Expect(1, 113823, '\P{^--is_Duployan}', "");
Expect(0, 113824, '\p{--is_Duployan}', "");
Expect(1, 113824, '\p{^--is_Duployan}', "");
Expect(1, 113824, '\P{--is_Duployan}', "");
Expect(0, 113824, '\P{^--is_Duployan}', "");
Error('\p{ Dupl:=}');
Error('\P{ Dupl:=}');
Expect(1, 113823, '\p{dupl}', "");
Expect(0, 113823, '\p{^dupl}', "");
Expect(0, 113823, '\P{dupl}', "");
Expect(1, 113823, '\P{^dupl}', "");
Expect(0, 113824, '\p{dupl}', "");
Expect(1, 113824, '\p{^dupl}', "");
Expect(1, 113824, '\P{dupl}', "");
Expect(0, 113824, '\P{^dupl}', "");
Expect(1, 113823, '\p{ 	Dupl}', "");
Expect(0, 113823, '\p{^ 	Dupl}', "");
Expect(0, 113823, '\P{ 	Dupl}', "");
Expect(1, 113823, '\P{^ 	Dupl}', "");
Expect(0, 113824, '\p{ 	Dupl}', "");
Expect(1, 113824, '\p{^ 	Dupl}', "");
Expect(1, 113824, '\P{ 	Dupl}', "");
Expect(0, 113824, '\P{^ 	Dupl}', "");
Error('\p{/a/_Is_Dupl}');
Error('\P{/a/_Is_Dupl}');
Expect(1, 113823, '\p{isdupl}', "");
Expect(0, 113823, '\p{^isdupl}', "");
Expect(0, 113823, '\P{isdupl}', "");
Expect(1, 113823, '\P{^isdupl}', "");
Expect(0, 113824, '\p{isdupl}', "");
Expect(1, 113824, '\p{^isdupl}', "");
Expect(1, 113824, '\P{isdupl}', "");
Expect(0, 113824, '\P{^isdupl}', "");
Expect(1, 113823, '\p{ Is_Dupl}', "");
Expect(0, 113823, '\p{^ Is_Dupl}', "");
Expect(0, 113823, '\P{ Is_Dupl}', "");
Expect(1, 113823, '\P{^ Is_Dupl}', "");
Expect(0, 113824, '\p{ Is_Dupl}', "");
Expect(1, 113824, '\p{^ Is_Dupl}', "");
Expect(1, 113824, '\P{ Is_Dupl}', "");
Expect(0, 113824, '\P{^ Is_Dupl}', "");
Error('\p{	/a/EGYPTIAN_HIEROGLYPHS}');
Error('\P{	/a/EGYPTIAN_HIEROGLYPHS}');
Expect(1, 78894, '\p{egyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^egyptianhieroglyphs}', "");
Expect(0, 78894, '\P{egyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{^egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{^egyptianhieroglyphs}', "");
Expect(1, 78894, '\p{_Egyptian_Hieroglyphs}', "");
Expect(0, 78894, '\p{^_Egyptian_Hieroglyphs}', "");
Expect(0, 78894, '\P{_Egyptian_Hieroglyphs}', "");
Expect(1, 78894, '\P{^_Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\p{_Egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\p{^_Egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\P{_Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\P{^_Egyptian_Hieroglyphs}', "");
Error('\p{-_Is_Egyptian_Hieroglyphs/a/}');
Error('\P{-_Is_Egyptian_Hieroglyphs/a/}');
Expect(1, 78894, '\p{isegyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^isegyptianhieroglyphs}', "");
Expect(0, 78894, '\P{isegyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^isegyptianhieroglyphs}', "");
Expect(0, 78895, '\p{isegyptianhieroglyphs}', "");
Expect(1, 78895, '\p{^isegyptianhieroglyphs}', "");
Expect(1, 78895, '\P{isegyptianhieroglyphs}', "");
Expect(0, 78895, '\P{^isegyptianhieroglyphs}', "");
Expect(1, 78894, '\p{		Is_Egyptian_hieroglyphs}', "");
Expect(0, 78894, '\p{^		Is_Egyptian_hieroglyphs}', "");
Expect(0, 78894, '\P{		Is_Egyptian_hieroglyphs}', "");
Expect(1, 78894, '\P{^		Is_Egyptian_hieroglyphs}', "");
Expect(0, 78895, '\p{		Is_Egyptian_hieroglyphs}', "");
Expect(1, 78895, '\p{^		Is_Egyptian_hieroglyphs}', "");
Expect(1, 78895, '\P{		Is_Egyptian_hieroglyphs}', "");
Expect(0, 78895, '\P{^		Is_Egyptian_hieroglyphs}', "");
Error('\p{-:=Egyp}');
Error('\P{-:=Egyp}');
Expect(1, 78894, '\p{egyp}', "");
Expect(0, 78894, '\p{^egyp}', "");
Expect(0, 78894, '\P{egyp}', "");
Expect(1, 78894, '\P{^egyp}', "");
Expect(0, 78895, '\p{egyp}', "");
Expect(1, 78895, '\p{^egyp}', "");
Expect(1, 78895, '\P{egyp}', "");
Expect(0, 78895, '\P{^egyp}', "");
Expect(1, 78894, '\p{	egyp}', "");
Expect(0, 78894, '\p{^	egyp}', "");
Expect(0, 78894, '\P{	egyp}', "");
Expect(1, 78894, '\P{^	egyp}', "");
Expect(0, 78895, '\p{	egyp}', "");
Expect(1, 78895, '\p{^	egyp}', "");
Expect(1, 78895, '\P{	egyp}', "");
Expect(0, 78895, '\P{^	egyp}', "");
Error('\p{_/a/Is_EGYP}');
Error('\P{_/a/Is_EGYP}');
Expect(1, 78894, '\p{isegyp}', "");
Expect(0, 78894, '\p{^isegyp}', "");
Expect(0, 78894, '\P{isegyp}', "");
Expect(1, 78894, '\P{^isegyp}', "");
Expect(0, 78895, '\p{isegyp}', "");
Expect(1, 78895, '\p{^isegyp}', "");
Expect(1, 78895, '\P{isegyp}', "");
Expect(0, 78895, '\P{^isegyp}', "");
Expect(1, 78894, '\p{_ Is_EGYP}', "");
Expect(0, 78894, '\p{^_ Is_EGYP}', "");
Expect(0, 78894, '\P{_ Is_EGYP}', "");
Expect(1, 78894, '\P{^_ Is_EGYP}', "");
Expect(0, 78895, '\p{_ Is_EGYP}', "");
Expect(1, 78895, '\p{^_ Is_EGYP}', "");
Expect(1, 78895, '\P{_ Is_EGYP}', "");
Expect(0, 78895, '\P{^_ Is_EGYP}', "");
Error('\p{ _Elbasan:=}');
Error('\P{ _Elbasan:=}');
Expect(1, 66855, '\p{elbasan}', "");
Expect(0, 66855, '\p{^elbasan}', "");
Expect(0, 66855, '\P{elbasan}', "");
Expect(1, 66855, '\P{^elbasan}', "");
Expect(0, 66856, '\p{elbasan}', "");
Expect(1, 66856, '\p{^elbasan}', "");
Expect(1, 66856, '\P{elbasan}', "");
Expect(0, 66856, '\P{^elbasan}', "");
Expect(1, 66855, '\p{		Elbasan}', "");
Expect(0, 66855, '\p{^		Elbasan}', "");
Expect(0, 66855, '\P{		Elbasan}', "");
Expect(1, 66855, '\P{^		Elbasan}', "");
Expect(0, 66856, '\p{		Elbasan}', "");
Expect(1, 66856, '\p{^		Elbasan}', "");
Expect(1, 66856, '\P{		Elbasan}', "");
Expect(0, 66856, '\P{^		Elbasan}', "");
Error('\p{-_Is_Elbasan/a/}');
Error('\P{-_Is_Elbasan/a/}');
Expect(1, 66855, '\p{iselbasan}', "");
Expect(0, 66855, '\p{^iselbasan}', "");
Expect(0, 66855, '\P{iselbasan}', "");
Expect(1, 66855, '\P{^iselbasan}', "");
Expect(0, 66856, '\p{iselbasan}', "");
Expect(1, 66856, '\p{^iselbasan}', "");
Expect(1, 66856, '\P{iselbasan}', "");
Expect(0, 66856, '\P{^iselbasan}', "");
Expect(1, 66855, '\p{	is_Elbasan}', "");
Expect(0, 66855, '\p{^	is_Elbasan}', "");
Expect(0, 66855, '\P{	is_Elbasan}', "");
Expect(1, 66855, '\P{^	is_Elbasan}', "");
Expect(0, 66856, '\p{	is_Elbasan}', "");
Expect(1, 66856, '\p{^	is_Elbasan}', "");
Expect(1, 66856, '\P{	is_Elbasan}', "");
Expect(0, 66856, '\P{^	is_Elbasan}', "");
Error('\p{:=_	Elba}');
Error('\P{:=_	Elba}');
Expect(1, 66855, '\p{elba}', "");
Expect(0, 66855, '\p{^elba}', "");
Expect(0, 66855, '\P{elba}', "");
Expect(1, 66855, '\P{^elba}', "");
Expect(0, 66856, '\p{elba}', "");
Expect(1, 66856, '\p{^elba}', "");
Expect(1, 66856, '\P{elba}', "");
Expect(0, 66856, '\P{^elba}', "");
Expect(1, 66855, '\p{ elba}', "");
Expect(0, 66855, '\p{^ elba}', "");
Expect(0, 66855, '\P{ elba}', "");
Expect(1, 66855, '\P{^ elba}', "");
Expect(0, 66856, '\p{ elba}', "");
Expect(1, 66856, '\p{^ elba}', "");
Expect(1, 66856, '\P{ elba}', "");
Expect(0, 66856, '\P{^ elba}', "");
Error('\p{ -Is_Elba:=}');
Error('\P{ -Is_Elba:=}');
Expect(1, 66855, '\p{iselba}', "");
Expect(0, 66855, '\p{^iselba}', "");
Expect(0, 66855, '\P{iselba}', "");
Expect(1, 66855, '\P{^iselba}', "");
Expect(0, 66856, '\p{iselba}', "");
Expect(1, 66856, '\p{^iselba}', "");
Expect(1, 66856, '\P{iselba}', "");
Expect(0, 66856, '\P{^iselba}', "");
Expect(1, 66855, '\p{__is_Elba}', "");
Expect(0, 66855, '\p{^__is_Elba}', "");
Expect(0, 66855, '\P{__is_Elba}', "");
Expect(1, 66855, '\P{^__is_Elba}', "");
Expect(0, 66856, '\p{__is_Elba}', "");
Expect(1, 66856, '\p{^__is_Elba}', "");
Expect(1, 66856, '\P{__is_Elba}', "");
Expect(0, 66856, '\P{^__is_Elba}', "");
Error('\p{:=_ emoticons}');
Error('\P{:=_ emoticons}');
Expect(1, 128591, '\p{emoticons}', "");
Expect(0, 128591, '\p{^emoticons}', "");
Expect(0, 128591, '\P{emoticons}', "");
Expect(1, 128591, '\P{^emoticons}', "");
Expect(0, 128592, '\p{emoticons}', "");
Expect(1, 128592, '\p{^emoticons}', "");
Expect(1, 128592, '\P{emoticons}', "");
Expect(0, 128592, '\P{^emoticons}', "");
Expect(1, 128591, '\p{	_emoticons}', "");
Expect(0, 128591, '\p{^	_emoticons}', "");
Expect(0, 128591, '\P{	_emoticons}', "");
Expect(1, 128591, '\P{^	_emoticons}', "");
Expect(0, 128592, '\p{	_emoticons}', "");
Expect(1, 128592, '\p{^	_emoticons}', "");
Expect(1, 128592, '\P{	_emoticons}', "");
Expect(0, 128592, '\P{^	_emoticons}', "");
Error('\p{:= _is_Emoticons}');
Error('\P{:= _is_Emoticons}');
Expect(1, 128591, '\p{isemoticons}', "");
Expect(0, 128591, '\p{^isemoticons}', "");
Expect(0, 128591, '\P{isemoticons}', "");
Expect(1, 128591, '\P{^isemoticons}', "");
Expect(0, 128592, '\p{isemoticons}', "");
Expect(1, 128592, '\p{^isemoticons}', "");
Expect(1, 128592, '\P{isemoticons}', "");
Expect(0, 128592, '\P{^isemoticons}', "");
Expect(1, 128591, '\p{_IS_EMOTICONS}', "");
Expect(0, 128591, '\p{^_IS_EMOTICONS}', "");
Expect(0, 128591, '\P{_IS_EMOTICONS}', "");
Expect(1, 128591, '\P{^_IS_EMOTICONS}', "");
Expect(0, 128592, '\p{_IS_EMOTICONS}', "");
Expect(1, 128592, '\p{^_IS_EMOTICONS}', "");
Expect(1, 128592, '\P{_IS_EMOTICONS}', "");
Expect(0, 128592, '\P{^_IS_EMOTICONS}', "");
Error('\p{-	in_Emoticons:=}');
Error('\P{-	in_Emoticons:=}');
Expect(1, 128591, '\p{inemoticons}', "");
Expect(0, 128591, '\p{^inemoticons}', "");
Expect(0, 128591, '\P{inemoticons}', "");
Expect(1, 128591, '\P{^inemoticons}', "");
Expect(0, 128592, '\p{inemoticons}', "");
Expect(1, 128592, '\p{^inemoticons}', "");
Expect(1, 128592, '\P{inemoticons}', "");
Expect(0, 128592, '\P{^inemoticons}', "");
Expect(1, 128591, '\p{	In_Emoticons}', "");
Expect(0, 128591, '\p{^	In_Emoticons}', "");
Expect(0, 128591, '\P{	In_Emoticons}', "");
Expect(1, 128591, '\P{^	In_Emoticons}', "");
Expect(0, 128592, '\p{	In_Emoticons}', "");
Expect(1, 128592, '\p{^	In_Emoticons}', "");
Expect(1, 128592, '\P{	In_Emoticons}', "");
Expect(0, 128592, '\P{^	In_Emoticons}', "");
Error('\p{/a/ 	enclosed_Alphanumeric_Supplement}');
Error('\P{/a/ 	enclosed_Alphanumeric_Supplement}');
Expect(1, 127487, '\p{enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^enclosedalphanumericsupplement}', "");
Expect(0, 127488, '\p{enclosedalphanumericsupplement}', "");
Expect(1, 127488, '\p{^enclosedalphanumericsupplement}', "");
Expect(1, 127488, '\P{enclosedalphanumericsupplement}', "");
Expect(0, 127488, '\P{^enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{-ENCLOSED_alphanumeric_supplement}', "");
Expect(0, 127487, '\p{^-ENCLOSED_alphanumeric_supplement}', "");
Expect(0, 127487, '\P{-ENCLOSED_alphanumeric_supplement}', "");
Expect(1, 127487, '\P{^-ENCLOSED_alphanumeric_supplement}', "");
Expect(0, 127488, '\p{-ENCLOSED_alphanumeric_supplement}', "");
Expect(1, 127488, '\p{^-ENCLOSED_alphanumeric_supplement}', "");
Expect(1, 127488, '\P{-ENCLOSED_alphanumeric_supplement}', "");
Expect(0, 127488, '\P{^-ENCLOSED_alphanumeric_supplement}', "");
Error('\p{-is_enclosed_Alphanumeric_Supplement:=}');
Error('\P{-is_enclosed_Alphanumeric_Supplement:=}');
Expect(1, 127487, '\p{isenclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^isenclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{isenclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^isenclosedalphanumericsupplement}', "");
Expect(0, 127488, '\p{isenclosedalphanumericsupplement}', "");
Expect(1, 127488, '\p{^isenclosedalphanumericsupplement}', "");
Expect(1, 127488, '\P{isenclosedalphanumericsupplement}', "");
Expect(0, 127488, '\P{^isenclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{_Is_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(0, 127487, '\p{^_Is_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(0, 127487, '\P{_Is_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(1, 127487, '\P{^_Is_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(0, 127488, '\p{_Is_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(1, 127488, '\p{^_Is_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(1, 127488, '\P{_Is_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(0, 127488, '\P{^_Is_Enclosed_ALPHANUMERIC_Supplement}', "");
Error('\p{:=	-In_Enclosed_alphanumeric_Supplement}');
Error('\P{:=	-In_Enclosed_alphanumeric_Supplement}');
Expect(1, 127487, '\p{inenclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^inenclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{inenclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^inenclosedalphanumericsupplement}', "");
Expect(0, 127488, '\p{inenclosedalphanumericsupplement}', "");
Expect(1, 127488, '\p{^inenclosedalphanumericsupplement}', "");
Expect(1, 127488, '\P{inenclosedalphanumericsupplement}', "");
Expect(0, 127488, '\P{^inenclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{_	in_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(0, 127487, '\p{^_	in_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(0, 127487, '\P{_	in_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(1, 127487, '\P{^_	in_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(0, 127488, '\p{_	in_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(1, 127488, '\p{^_	in_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(1, 127488, '\P{_	in_Enclosed_ALPHANUMERIC_Supplement}', "");
Expect(0, 127488, '\P{^_	in_Enclosed_ALPHANUMERIC_Supplement}', "");
Error('\p{	/a/Enclosed_Alphanum_Sup}');
Error('\P{	/a/Enclosed_Alphanum_Sup}');
Expect(1, 127487, '\p{enclosedalphanumsup}', "");
Expect(0, 127487, '\p{^enclosedalphanumsup}', "");
Expect(0, 127487, '\P{enclosedalphanumsup}', "");
Expect(1, 127487, '\P{^enclosedalphanumsup}', "");
Expect(0, 127488, '\p{enclosedalphanumsup}', "");
Expect(1, 127488, '\p{^enclosedalphanumsup}', "");
Expect(1, 127488, '\P{enclosedalphanumsup}', "");
Expect(0, 127488, '\P{^enclosedalphanumsup}', "");
Expect(1, 127487, '\p{ -ENCLOSED_alphanum_sup}', "");
Expect(0, 127487, '\p{^ -ENCLOSED_alphanum_sup}', "");
Expect(0, 127487, '\P{ -ENCLOSED_alphanum_sup}', "");
Expect(1, 127487, '\P{^ -ENCLOSED_alphanum_sup}', "");
Expect(0, 127488, '\p{ -ENCLOSED_alphanum_sup}', "");
Expect(1, 127488, '\p{^ -ENCLOSED_alphanum_sup}', "");
Expect(1, 127488, '\P{ -ENCLOSED_alphanum_sup}', "");
Expect(0, 127488, '\P{^ -ENCLOSED_alphanum_sup}', "");
Error('\p{  Is_ENCLOSED_Alphanum_Sup/a/}');
Error('\P{  Is_ENCLOSED_Alphanum_Sup/a/}');
Expect(1, 127487, '\p{isenclosedalphanumsup}', "");
Expect(0, 127487, '\p{^isenclosedalphanumsup}', "");
Expect(0, 127487, '\P{isenclosedalphanumsup}', "");
Expect(1, 127487, '\P{^isenclosedalphanumsup}', "");
Expect(0, 127488, '\p{isenclosedalphanumsup}', "");
Expect(1, 127488, '\p{^isenclosedalphanumsup}', "");
Expect(1, 127488, '\P{isenclosedalphanumsup}', "");
Expect(0, 127488, '\P{^isenclosedalphanumsup}', "");
Expect(1, 127487, '\p{ 	Is_Enclosed_Alphanum_Sup}', "");
Expect(0, 127487, '\p{^ 	Is_Enclosed_Alphanum_Sup}', "");
Expect(0, 127487, '\P{ 	Is_Enclosed_Alphanum_Sup}', "");
Expect(1, 127487, '\P{^ 	Is_Enclosed_Alphanum_Sup}', "");
Expect(0, 127488, '\p{ 	Is_Enclosed_Alphanum_Sup}', "");
Expect(1, 127488, '\p{^ 	Is_Enclosed_Alphanum_Sup}', "");
Expect(1, 127488, '\P{ 	Is_Enclosed_Alphanum_Sup}', "");
Expect(0, 127488, '\P{^ 	Is_Enclosed_Alphanum_Sup}', "");
Error('\p{:=In_ENCLOSED_Alphanum_sup}');
Error('\P{:=In_ENCLOSED_Alphanum_sup}');
Expect(1, 127487, '\p{inenclosedalphanumsup}', "");
Expect(0, 127487, '\p{^inenclosedalphanumsup}', "");
Expect(0, 127487, '\P{inenclosedalphanumsup}', "");
Expect(1, 127487, '\P{^inenclosedalphanumsup}', "");
Expect(0, 127488, '\p{inenclosedalphanumsup}', "");
Expect(1, 127488, '\p{^inenclosedalphanumsup}', "");
Expect(1, 127488, '\P{inenclosedalphanumsup}', "");
Expect(0, 127488, '\P{^inenclosedalphanumsup}', "");
Expect(1, 127487, '\p{  in_Enclosed_Alphanum_SUP}', "");
Expect(0, 127487, '\p{^  in_Enclosed_Alphanum_SUP}', "");
Expect(0, 127487, '\P{  in_Enclosed_Alphanum_SUP}', "");
Expect(1, 127487, '\P{^  in_Enclosed_Alphanum_SUP}', "");
Expect(0, 127488, '\p{  in_Enclosed_Alphanum_SUP}', "");
Expect(1, 127488, '\p{^  in_Enclosed_Alphanum_SUP}', "");
Expect(1, 127488, '\P{  in_Enclosed_Alphanum_SUP}', "");
Expect(0, 127488, '\P{^  in_Enclosed_Alphanum_SUP}', "");
Error('\p{	 Enclosed_ALPHANUMERICS/a/}');
Error('\P{	 Enclosed_ALPHANUMERICS/a/}');
Expect(1, 9471, '\p{enclosedalphanumerics}', "");
Expect(0, 9471, '\p{^enclosedalphanumerics}', "");
Expect(0, 9471, '\P{enclosedalphanumerics}', "");
Expect(1, 9471, '\P{^enclosedalphanumerics}', "");
Expect(0, 9472, '\p{enclosedalphanumerics}', "");
Expect(1, 9472, '\p{^enclosedalphanumerics}', "");
Expect(1, 9472, '\P{enclosedalphanumerics}', "");
Expect(0, 9472, '\P{^enclosedalphanumerics}', "");
Expect(1, 9471, '\p{		Enclosed_ALPHANUMERICS}', "");
Expect(0, 9471, '\p{^		Enclosed_ALPHANUMERICS}', "");
Expect(0, 9471, '\P{		Enclosed_ALPHANUMERICS}', "");
Expect(1, 9471, '\P{^		Enclosed_ALPHANUMERICS}', "");
Expect(0, 9472, '\p{		Enclosed_ALPHANUMERICS}', "");
Expect(1, 9472, '\p{^		Enclosed_ALPHANUMERICS}', "");
Expect(1, 9472, '\P{		Enclosed_ALPHANUMERICS}', "");
Expect(0, 9472, '\P{^		Enclosed_ALPHANUMERICS}', "");
Error('\p{:=-	is_ENCLOSED_Alphanumerics}');
Error('\P{:=-	is_ENCLOSED_Alphanumerics}');
Expect(1, 9471, '\p{isenclosedalphanumerics}', "");
Expect(0, 9471, '\p{^isenclosedalphanumerics}', "");
Expect(0, 9471, '\P{isenclosedalphanumerics}', "");
Expect(1, 9471, '\P{^isenclosedalphanumerics}', "");
Expect(0, 9472, '\p{isenclosedalphanumerics}', "");
Expect(1, 9472, '\p{^isenclosedalphanumerics}', "");
Expect(1, 9472, '\P{isenclosedalphanumerics}', "");
Expect(0, 9472, '\P{^isenclosedalphanumerics}', "");
Expect(1, 9471, '\p{ Is_ENCLOSED_ALPHANUMERICS}', "");
Expect(0, 9471, '\p{^ Is_ENCLOSED_ALPHANUMERICS}', "");
Expect(0, 9471, '\P{ Is_ENCLOSED_ALPHANUMERICS}', "");
Expect(1, 9471, '\P{^ Is_ENCLOSED_ALPHANUMERICS}', "");
Expect(0, 9472, '\p{ Is_ENCLOSED_ALPHANUMERICS}', "");
Expect(1, 9472, '\p{^ Is_ENCLOSED_ALPHANUMERICS}', "");
Expect(1, 9472, '\P{ Is_ENCLOSED_ALPHANUMERICS}', "");
Expect(0, 9472, '\P{^ Is_ENCLOSED_ALPHANUMERICS}', "");
Error('\p{_In_Enclosed_Alphanumerics/a/}');
Error('\P{_In_Enclosed_Alphanumerics/a/}');
Expect(1, 9471, '\p{inenclosedalphanumerics}', "");
Expect(0, 9471, '\p{^inenclosedalphanumerics}', "");
Expect(0, 9471, '\P{inenclosedalphanumerics}', "");
Expect(1, 9471, '\P{^inenclosedalphanumerics}', "");
Expect(0, 9472, '\p{inenclosedalphanumerics}', "");
Expect(1, 9472, '\p{^inenclosedalphanumerics}', "");
Expect(1, 9472, '\P{inenclosedalphanumerics}', "");
Expect(0, 9472, '\P{^inenclosedalphanumerics}', "");
Expect(1, 9471, '\p{ 	In_ENCLOSED_Alphanumerics}', "");
Expect(0, 9471, '\p{^ 	In_ENCLOSED_Alphanumerics}', "");
Expect(0, 9471, '\P{ 	In_ENCLOSED_Alphanumerics}', "");
Expect(1, 9471, '\P{^ 	In_ENCLOSED_Alphanumerics}', "");
Expect(0, 9472, '\p{ 	In_ENCLOSED_Alphanumerics}', "");
Expect(1, 9472, '\p{^ 	In_ENCLOSED_Alphanumerics}', "");
Expect(1, 9472, '\P{ 	In_ENCLOSED_Alphanumerics}', "");
Expect(0, 9472, '\P{^ 	In_ENCLOSED_Alphanumerics}', "");
Error('\p{	ENCLOSED_ALPHANUM/a/}');
Error('\P{	ENCLOSED_ALPHANUM/a/}');
Expect(1, 9471, '\p{enclosedalphanum}', "");
Expect(0, 9471, '\p{^enclosedalphanum}', "");
Expect(0, 9471, '\P{enclosedalphanum}', "");
Expect(1, 9471, '\P{^enclosedalphanum}', "");
Expect(0, 9472, '\p{enclosedalphanum}', "");
Expect(1, 9472, '\p{^enclosedalphanum}', "");
Expect(1, 9472, '\P{enclosedalphanum}', "");
Expect(0, 9472, '\P{^enclosedalphanum}', "");
Expect(1, 9471, '\p{-	enclosed_Alphanum}', "");
Expect(0, 9471, '\p{^-	enclosed_Alphanum}', "");
Expect(0, 9471, '\P{-	enclosed_Alphanum}', "");
Expect(1, 9471, '\P{^-	enclosed_Alphanum}', "");
Expect(0, 9472, '\p{-	enclosed_Alphanum}', "");
Expect(1, 9472, '\p{^-	enclosed_Alphanum}', "");
Expect(1, 9472, '\P{-	enclosed_Alphanum}', "");
Expect(0, 9472, '\P{^-	enclosed_Alphanum}', "");
Error('\p{_Is_Enclosed_Alphanum:=}');
Error('\P{_Is_Enclosed_Alphanum:=}');
Expect(1, 9471, '\p{isenclosedalphanum}', "");
Expect(0, 9471, '\p{^isenclosedalphanum}', "");
Expect(0, 9471, '\P{isenclosedalphanum}', "");
Expect(1, 9471, '\P{^isenclosedalphanum}', "");
Expect(0, 9472, '\p{isenclosedalphanum}', "");
Expect(1, 9472, '\p{^isenclosedalphanum}', "");
Expect(1, 9472, '\P{isenclosedalphanum}', "");
Expect(0, 9472, '\P{^isenclosedalphanum}', "");
Expect(1, 9471, '\p{	_IS_ENCLOSED_ALPHANUM}', "");
Expect(0, 9471, '\p{^	_IS_ENCLOSED_ALPHANUM}', "");
Expect(0, 9471, '\P{	_IS_ENCLOSED_ALPHANUM}', "");
Expect(1, 9471, '\P{^	_IS_ENCLOSED_ALPHANUM}', "");
Expect(0, 9472, '\p{	_IS_ENCLOSED_ALPHANUM}', "");
Expect(1, 9472, '\p{^	_IS_ENCLOSED_ALPHANUM}', "");
Expect(1, 9472, '\P{	_IS_ENCLOSED_ALPHANUM}', "");
Expect(0, 9472, '\P{^	_IS_ENCLOSED_ALPHANUM}', "");
Error('\p{_In_Enclosed_alphanum/a/}');
Error('\P{_In_Enclosed_alphanum/a/}');
Expect(1, 9471, '\p{inenclosedalphanum}', "");
Expect(0, 9471, '\p{^inenclosedalphanum}', "");
Expect(0, 9471, '\P{inenclosedalphanum}', "");
Expect(1, 9471, '\P{^inenclosedalphanum}', "");
Expect(0, 9472, '\p{inenclosedalphanum}', "");
Expect(1, 9472, '\p{^inenclosedalphanum}', "");
Expect(1, 9472, '\P{inenclosedalphanum}', "");
Expect(0, 9472, '\P{^inenclosedalphanum}', "");
Expect(1, 9471, '\p{-_In_enclosed_Alphanum}', "");
Expect(0, 9471, '\p{^-_In_enclosed_Alphanum}', "");
Expect(0, 9471, '\P{-_In_enclosed_Alphanum}', "");
Expect(1, 9471, '\P{^-_In_enclosed_Alphanum}', "");
Expect(0, 9472, '\p{-_In_enclosed_Alphanum}', "");
Expect(1, 9472, '\p{^-_In_enclosed_Alphanum}', "");
Expect(1, 9472, '\P{-_In_enclosed_Alphanum}', "");
Expect(0, 9472, '\P{^-_In_enclosed_Alphanum}', "");
Error('\p{:=		enclosed_CJK_Letters_And_MONTHS}');
Error('\P{:=		enclosed_CJK_Letters_And_MONTHS}');
Expect(1, 13055, '\p{enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^enclosedcjklettersandmonths}', "");
Expect(0, 13056, '\p{enclosedcjklettersandmonths}', "");
Expect(1, 13056, '\p{^enclosedcjklettersandmonths}', "");
Expect(1, 13056, '\P{enclosedcjklettersandmonths}', "");
Expect(0, 13056, '\P{^enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{	Enclosed_CJK_Letters_AND_Months}', "");
Expect(0, 13055, '\p{^	Enclosed_CJK_Letters_AND_Months}', "");
Expect(0, 13055, '\P{	Enclosed_CJK_Letters_AND_Months}', "");
Expect(1, 13055, '\P{^	Enclosed_CJK_Letters_AND_Months}', "");
Expect(0, 13056, '\p{	Enclosed_CJK_Letters_AND_Months}', "");
Expect(1, 13056, '\p{^	Enclosed_CJK_Letters_AND_Months}', "");
Expect(1, 13056, '\P{	Enclosed_CJK_Letters_AND_Months}', "");
Expect(0, 13056, '\P{^	Enclosed_CJK_Letters_AND_Months}', "");
Error('\p{_Is_Enclosed_CJK_letters_AND_Months/a/}');
Error('\P{_Is_Enclosed_CJK_letters_AND_Months/a/}');
Expect(1, 13055, '\p{isenclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^isenclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{isenclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^isenclosedcjklettersandmonths}', "");
Expect(0, 13056, '\p{isenclosedcjklettersandmonths}', "");
Expect(1, 13056, '\p{^isenclosedcjklettersandmonths}', "");
Expect(1, 13056, '\P{isenclosedcjklettersandmonths}', "");
Expect(0, 13056, '\P{^isenclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{ -Is_enclosed_CJK_LETTERS_and_Months}', "");
Expect(0, 13055, '\p{^ -Is_enclosed_CJK_LETTERS_and_Months}', "");
Expect(0, 13055, '\P{ -Is_enclosed_CJK_LETTERS_and_Months}', "");
Expect(1, 13055, '\P{^ -Is_enclosed_CJK_LETTERS_and_Months}', "");
Expect(0, 13056, '\p{ -Is_enclosed_CJK_LETTERS_and_Months}', "");
Expect(1, 13056, '\p{^ -Is_enclosed_CJK_LETTERS_and_Months}', "");
Expect(1, 13056, '\P{ -Is_enclosed_CJK_LETTERS_and_Months}', "");
Expect(0, 13056, '\P{^ -Is_enclosed_CJK_LETTERS_and_Months}', "");
Error('\p{:=  In_Enclosed_CJK_Letters_AND_MONTHS}');
Error('\P{:=  In_Enclosed_CJK_Letters_AND_MONTHS}');
Expect(1, 13055, '\p{inenclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^inenclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{inenclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^inenclosedcjklettersandmonths}', "");
Expect(0, 13056, '\p{inenclosedcjklettersandmonths}', "");
Expect(1, 13056, '\p{^inenclosedcjklettersandmonths}', "");
Expect(1, 13056, '\P{inenclosedcjklettersandmonths}', "");
Expect(0, 13056, '\P{^inenclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{-In_ENCLOSED_CJK_Letters_and_months}', "");
Expect(0, 13055, '\p{^-In_ENCLOSED_CJK_Letters_and_months}', "");
Expect(0, 13055, '\P{-In_ENCLOSED_CJK_Letters_and_months}', "");
Expect(1, 13055, '\P{^-In_ENCLOSED_CJK_Letters_and_months}', "");
Expect(0, 13056, '\p{-In_ENCLOSED_CJK_Letters_and_months}', "");
Expect(1, 13056, '\p{^-In_ENCLOSED_CJK_Letters_and_months}', "");
Expect(1, 13056, '\P{-In_ENCLOSED_CJK_Letters_and_months}', "");
Expect(0, 13056, '\P{^-In_ENCLOSED_CJK_Letters_and_months}', "");
Error('\p{-ENCLOSED_cjk:=}');
Error('\P{-ENCLOSED_cjk:=}');
Expect(1, 13055, '\p{enclosedcjk}', "");
Expect(0, 13055, '\p{^enclosedcjk}', "");
Expect(0, 13055, '\P{enclosedcjk}', "");
Expect(1, 13055, '\P{^enclosedcjk}', "");
Expect(0, 13056, '\p{enclosedcjk}', "");
Expect(1, 13056, '\p{^enclosedcjk}', "");
Expect(1, 13056, '\P{enclosedcjk}', "");
Expect(0, 13056, '\P{^enclosedcjk}', "");
Expect(1, 13055, '\p{	ENCLOSED_CJK}', "");
Expect(0, 13055, '\p{^	ENCLOSED_CJK}', "");
Expect(0, 13055, '\P{	ENCLOSED_CJK}', "");
Expect(1, 13055, '\P{^	ENCLOSED_CJK}', "");
Expect(0, 13056, '\p{	ENCLOSED_CJK}', "");
Expect(1, 13056, '\p{^	ENCLOSED_CJK}', "");
Expect(1, 13056, '\P{	ENCLOSED_CJK}', "");
Expect(0, 13056, '\P{^	ENCLOSED_CJK}', "");
Error('\p{_-is_enclosed_CJK/a/}');
Error('\P{_-is_enclosed_CJK/a/}');
Expect(1, 13055, '\p{isenclosedcjk}', "");
Expect(0, 13055, '\p{^isenclosedcjk}', "");
Expect(0, 13055, '\P{isenclosedcjk}', "");
Expect(1, 13055, '\P{^isenclosedcjk}', "");
Expect(0, 13056, '\p{isenclosedcjk}', "");
Expect(1, 13056, '\p{^isenclosedcjk}', "");
Expect(1, 13056, '\P{isenclosedcjk}', "");
Expect(0, 13056, '\P{^isenclosedcjk}', "");
Expect(1, 13055, '\p{_-is_Enclosed_CJK}', "");
Expect(0, 13055, '\p{^_-is_Enclosed_CJK}', "");
Expect(0, 13055, '\P{_-is_Enclosed_CJK}', "");
Expect(1, 13055, '\P{^_-is_Enclosed_CJK}', "");
Expect(0, 13056, '\p{_-is_Enclosed_CJK}', "");
Expect(1, 13056, '\p{^_-is_Enclosed_CJK}', "");
Expect(1, 13056, '\P{_-is_Enclosed_CJK}', "");
Expect(0, 13056, '\P{^_-is_Enclosed_CJK}', "");
Error('\p{:=In_ENCLOSED_CJK}');
Error('\P{:=In_ENCLOSED_CJK}');
Expect(1, 13055, '\p{inenclosedcjk}', "");
Expect(0, 13055, '\p{^inenclosedcjk}', "");
Expect(0, 13055, '\P{inenclosedcjk}', "");
Expect(1, 13055, '\P{^inenclosedcjk}', "");
Expect(0, 13056, '\p{inenclosedcjk}', "");
Expect(1, 13056, '\p{^inenclosedcjk}', "");
Expect(1, 13056, '\P{inenclosedcjk}', "");
Expect(0, 13056, '\P{^inenclosedcjk}', "");
Expect(1, 13055, '\p{ -In_enclosed_cjk}', "");
Expect(0, 13055, '\p{^ -In_enclosed_cjk}', "");
Expect(0, 13055, '\P{ -In_enclosed_cjk}', "");
Expect(1, 13055, '\P{^ -In_enclosed_cjk}', "");
Expect(0, 13056, '\p{ -In_enclosed_cjk}', "");
Expect(1, 13056, '\p{^ -In_enclosed_cjk}', "");
Expect(1, 13056, '\P{ -In_enclosed_cjk}', "");
Expect(0, 13056, '\P{^ -In_enclosed_cjk}', "");
Error('\p{/a/_Enclosed_ideographic_supplement}');
Error('\P{/a/_Enclosed_ideographic_supplement}');
Expect(1, 127743, '\p{enclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^enclosedideographicsupplement}', "");
Expect(0, 127743, '\P{enclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^enclosedideographicsupplement}', "");
Expect(0, 127744, '\p{enclosedideographicsupplement}', "");
Expect(1, 127744, '\p{^enclosedideographicsupplement}', "");
Expect(1, 127744, '\P{enclosedideographicsupplement}', "");
Expect(0, 127744, '\P{^enclosedideographicsupplement}', "");
Expect(1, 127743, '\p{_	ENCLOSED_Ideographic_SUPPLEMENT}', "");
Expect(0, 127743, '\p{^_	ENCLOSED_Ideographic_SUPPLEMENT}', "");
Expect(0, 127743, '\P{_	ENCLOSED_Ideographic_SUPPLEMENT}', "");
Expect(1, 127743, '\P{^_	ENCLOSED_Ideographic_SUPPLEMENT}', "");
Expect(0, 127744, '\p{_	ENCLOSED_Ideographic_SUPPLEMENT}', "");
Expect(1, 127744, '\p{^_	ENCLOSED_Ideographic_SUPPLEMENT}', "");
Expect(1, 127744, '\P{_	ENCLOSED_Ideographic_SUPPLEMENT}', "");
Expect(0, 127744, '\P{^_	ENCLOSED_Ideographic_SUPPLEMENT}', "");
Error('\p{_/a/IS_ENCLOSED_Ideographic_supplement}');
Error('\P{_/a/IS_ENCLOSED_Ideographic_supplement}');
Expect(1, 127743, '\p{isenclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^isenclosedideographicsupplement}', "");
Expect(0, 127743, '\P{isenclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^isenclosedideographicsupplement}', "");
Expect(0, 127744, '\p{isenclosedideographicsupplement}', "");
Expect(1, 127744, '\p{^isenclosedideographicsupplement}', "");
Expect(1, 127744, '\P{isenclosedideographicsupplement}', "");
Expect(0, 127744, '\P{^isenclosedideographicsupplement}', "");
Expect(1, 127743, '\p{  Is_ENCLOSED_ideographic_Supplement}', "");
Expect(0, 127743, '\p{^  Is_ENCLOSED_ideographic_Supplement}', "");
Expect(0, 127743, '\P{  Is_ENCLOSED_ideographic_Supplement}', "");
Expect(1, 127743, '\P{^  Is_ENCLOSED_ideographic_Supplement}', "");
Expect(0, 127744, '\p{  Is_ENCLOSED_ideographic_Supplement}', "");
Expect(1, 127744, '\p{^  Is_ENCLOSED_ideographic_Supplement}', "");
Expect(1, 127744, '\P{  Is_ENCLOSED_ideographic_Supplement}', "");
Expect(0, 127744, '\P{^  Is_ENCLOSED_ideographic_Supplement}', "");
Error('\p{_-IN_Enclosed_ideographic_Supplement/a/}');
Error('\P{_-IN_Enclosed_ideographic_Supplement/a/}');
Expect(1, 127743, '\p{inenclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^inenclosedideographicsupplement}', "");
Expect(0, 127743, '\P{inenclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^inenclosedideographicsupplement}', "");
Expect(0, 127744, '\p{inenclosedideographicsupplement}', "");
Expect(1, 127744, '\p{^inenclosedideographicsupplement}', "");
Expect(1, 127744, '\P{inenclosedideographicsupplement}', "");
Expect(0, 127744, '\P{^inenclosedideographicsupplement}', "");
Expect(1, 127743, '\p{-	In_Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(0, 127743, '\p{^-	In_Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(0, 127743, '\P{-	In_Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(1, 127743, '\P{^-	In_Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(0, 127744, '\p{-	In_Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(1, 127744, '\p{^-	In_Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(1, 127744, '\P{-	In_Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(0, 127744, '\P{^-	In_Enclosed_Ideographic_SUPPLEMENT}', "");
Error('\p{:=-enclosed_Ideographic_sup}');
Error('\P{:=-enclosed_Ideographic_sup}');
Expect(1, 127743, '\p{enclosedideographicsup}', "");
Expect(0, 127743, '\p{^enclosedideographicsup}', "");
Expect(0, 127743, '\P{enclosedideographicsup}', "");
Expect(1, 127743, '\P{^enclosedideographicsup}', "");
Expect(0, 127744, '\p{enclosedideographicsup}', "");
Expect(1, 127744, '\p{^enclosedideographicsup}', "");
Expect(1, 127744, '\P{enclosedideographicsup}', "");
Expect(0, 127744, '\P{^enclosedideographicsup}', "");
Expect(1, 127743, '\p{	Enclosed_ideographic_Sup}', "");
Expect(0, 127743, '\p{^	Enclosed_ideographic_Sup}', "");
Expect(0, 127743, '\P{	Enclosed_ideographic_Sup}', "");
Expect(1, 127743, '\P{^	Enclosed_ideographic_Sup}', "");
Expect(0, 127744, '\p{	Enclosed_ideographic_Sup}', "");
Expect(1, 127744, '\p{^	Enclosed_ideographic_Sup}', "");
Expect(1, 127744, '\P{	Enclosed_ideographic_Sup}', "");
Expect(0, 127744, '\P{^	Enclosed_ideographic_Sup}', "");
Error('\p{_/a/Is_Enclosed_Ideographic_sup}');
Error('\P{_/a/Is_Enclosed_Ideographic_sup}');
Expect(1, 127743, '\p{isenclosedideographicsup}', "");
Expect(0, 127743, '\p{^isenclosedideographicsup}', "");
Expect(0, 127743, '\P{isenclosedideographicsup}', "");
Expect(1, 127743, '\P{^isenclosedideographicsup}', "");
Expect(0, 127744, '\p{isenclosedideographicsup}', "");
Expect(1, 127744, '\p{^isenclosedideographicsup}', "");
Expect(1, 127744, '\P{isenclosedideographicsup}', "");
Expect(0, 127744, '\P{^isenclosedideographicsup}', "");
Expect(1, 127743, '\p{_ Is_enclosed_ideographic_Sup}', "");
Expect(0, 127743, '\p{^_ Is_enclosed_ideographic_Sup}', "");
Expect(0, 127743, '\P{_ Is_enclosed_ideographic_Sup}', "");
Expect(1, 127743, '\P{^_ Is_enclosed_ideographic_Sup}', "");
Expect(0, 127744, '\p{_ Is_enclosed_ideographic_Sup}', "");
Expect(1, 127744, '\p{^_ Is_enclosed_ideographic_Sup}', "");
Expect(1, 127744, '\P{_ Is_enclosed_ideographic_Sup}', "");
Expect(0, 127744, '\P{^_ Is_enclosed_ideographic_Sup}', "");
Error('\p{-/a/In_Enclosed_Ideographic_sup}');
Error('\P{-/a/In_Enclosed_Ideographic_sup}');
Expect(1, 127743, '\p{inenclosedideographicsup}', "");
Expect(0, 127743, '\p{^inenclosedideographicsup}', "");
Expect(0, 127743, '\P{inenclosedideographicsup}', "");
Expect(1, 127743, '\P{^inenclosedideographicsup}', "");
Expect(0, 127744, '\p{inenclosedideographicsup}', "");
Expect(1, 127744, '\p{^inenclosedideographicsup}', "");
Expect(1, 127744, '\P{inenclosedideographicsup}', "");
Expect(0, 127744, '\P{^inenclosedideographicsup}', "");
Expect(1, 127743, '\p{-IN_Enclosed_IDEOGRAPHIC_sup}', "");
Expect(0, 127743, '\p{^-IN_Enclosed_IDEOGRAPHIC_sup}', "");
Expect(0, 127743, '\P{-IN_Enclosed_IDEOGRAPHIC_sup}', "");
Expect(1, 127743, '\P{^-IN_Enclosed_IDEOGRAPHIC_sup}', "");
Expect(0, 127744, '\p{-IN_Enclosed_IDEOGRAPHIC_sup}', "");
Expect(1, 127744, '\p{^-IN_Enclosed_IDEOGRAPHIC_sup}', "");
Expect(1, 127744, '\P{-IN_Enclosed_IDEOGRAPHIC_sup}', "");
Expect(0, 127744, '\P{^-IN_Enclosed_IDEOGRAPHIC_sup}', "");
Error('\p{	/a/enclosing_Mark}');
Error('\P{	/a/enclosing_Mark}');
Expect(1, 42610, '\p{enclosingmark}', "");
Expect(0, 42610, '\p{^enclosingmark}', "");
Expect(0, 42610, '\P{enclosingmark}', "");
Expect(1, 42610, '\P{^enclosingmark}', "");
Expect(0, 42611, '\p{enclosingmark}', "");
Expect(1, 42611, '\p{^enclosingmark}', "");
Expect(1, 42611, '\P{enclosingmark}', "");
Expect(0, 42611, '\P{^enclosingmark}', "");
Expect(1, 42610, '\p{- Enclosing_Mark}', "");
Expect(0, 42610, '\p{^- Enclosing_Mark}', "");
Expect(0, 42610, '\P{- Enclosing_Mark}', "");
Expect(1, 42610, '\P{^- Enclosing_Mark}', "");
Expect(0, 42611, '\p{- Enclosing_Mark}', "");
Expect(1, 42611, '\p{^- Enclosing_Mark}', "");
Expect(1, 42611, '\P{- Enclosing_Mark}', "");
Expect(0, 42611, '\P{^- Enclosing_Mark}', "");
Error('\p{ Is_enclosing_MARK:=}');
Error('\P{ Is_enclosing_MARK:=}');
Expect(1, 42610, '\p{isenclosingmark}', "");
Expect(0, 42610, '\p{^isenclosingmark}', "");
Expect(0, 42610, '\P{isenclosingmark}', "");
Expect(1, 42610, '\P{^isenclosingmark}', "");
Expect(0, 42611, '\p{isenclosingmark}', "");
Expect(1, 42611, '\p{^isenclosingmark}', "");
Expect(1, 42611, '\P{isenclosingmark}', "");
Expect(0, 42611, '\P{^isenclosingmark}', "");
Expect(1, 42610, '\p{Is_ENCLOSING_Mark}', "");
Expect(0, 42610, '\p{^Is_ENCLOSING_Mark}', "");
Expect(0, 42610, '\P{Is_ENCLOSING_Mark}', "");
Expect(1, 42610, '\P{^Is_ENCLOSING_Mark}', "");
Expect(0, 42611, '\p{Is_ENCLOSING_Mark}', "");
Expect(1, 42611, '\p{^Is_ENCLOSING_Mark}', "");
Expect(1, 42611, '\P{Is_ENCLOSING_Mark}', "");
Expect(0, 42611, '\P{^Is_ENCLOSING_Mark}', "");
Error('\p{_-Me:=}');
Error('\P{_-Me:=}');
Expect(1, 42610, '\p{me}', "");
Expect(0, 42610, '\p{^me}', "");
Expect(0, 42610, '\P{me}', "");
Expect(1, 42610, '\P{^me}', "");
Expect(0, 42611, '\p{me}', "");
Expect(1, 42611, '\p{^me}', "");
Expect(1, 42611, '\P{me}', "");
Expect(0, 42611, '\P{^me}', "");
Expect(1, 42610, '\p{	ME}', "");
Expect(0, 42610, '\p{^	ME}', "");
Expect(0, 42610, '\P{	ME}', "");
Expect(1, 42610, '\P{^	ME}', "");
Expect(0, 42611, '\p{	ME}', "");
Expect(1, 42611, '\p{^	ME}', "");
Expect(1, 42611, '\P{	ME}', "");
Expect(0, 42611, '\P{^	ME}', "");
Error('\p{_:=is_me}');
Error('\P{_:=is_me}');
Expect(1, 42610, '\p{isme}', "");
Expect(0, 42610, '\p{^isme}', "");
Expect(0, 42610, '\P{isme}', "");
Expect(1, 42610, '\P{^isme}', "");
Expect(0, 42611, '\p{isme}', "");
Expect(1, 42611, '\p{^isme}', "");
Expect(1, 42611, '\P{isme}', "");
Expect(0, 42611, '\P{^isme}', "");
Expect(1, 42610, '\p{  Is_ME}', "");
Expect(0, 42610, '\p{^  Is_ME}', "");
Expect(0, 42610, '\P{  Is_ME}', "");
Expect(1, 42610, '\P{^  Is_ME}', "");
Expect(0, 42611, '\p{  Is_ME}', "");
Expect(1, 42611, '\p{^  Is_ME}', "");
Expect(1, 42611, '\P{  Is_ME}', "");
Expect(0, 42611, '\P{^  Is_ME}', "");
Error('\p{:= 	ETHIOPIC}');
Error('\P{:= 	ETHIOPIC}');
Expect(1, 43822, '\p{ethiopic}', "");
Expect(0, 43822, '\p{^ethiopic}', "");
Expect(0, 43822, '\P{ethiopic}', "");
Expect(1, 43822, '\P{^ethiopic}', "");
Expect(0, 43823, '\p{ethiopic}', "");
Expect(1, 43823, '\p{^ethiopic}', "");
Expect(1, 43823, '\P{ethiopic}', "");
Expect(0, 43823, '\P{^ethiopic}', "");
Expect(1, 43822, '\p{  ethiopic}', "");
Expect(0, 43822, '\p{^  ethiopic}', "");
Expect(0, 43822, '\P{  ethiopic}', "");
Expect(1, 43822, '\P{^  ethiopic}', "");
Expect(0, 43823, '\p{  ethiopic}', "");
Expect(1, 43823, '\p{^  ethiopic}', "");
Expect(1, 43823, '\P{  ethiopic}', "");
Expect(0, 43823, '\P{^  ethiopic}', "");
Error('\p{	 is_Ethiopic/a/}');
Error('\P{	 is_Ethiopic/a/}');
Expect(1, 43822, '\p{isethiopic}', "");
Expect(0, 43822, '\p{^isethiopic}', "");
Expect(0, 43822, '\P{isethiopic}', "");
Expect(1, 43822, '\P{^isethiopic}', "");
Expect(0, 43823, '\p{isethiopic}', "");
Expect(1, 43823, '\p{^isethiopic}', "");
Expect(1, 43823, '\P{isethiopic}', "");
Expect(0, 43823, '\P{^isethiopic}', "");
Expect(1, 43822, '\p{ IS_ethiopic}', "");
Expect(0, 43822, '\p{^ IS_ethiopic}', "");
Expect(0, 43822, '\P{ IS_ethiopic}', "");
Expect(1, 43822, '\P{^ IS_ethiopic}', "");
Expect(0, 43823, '\p{ IS_ethiopic}', "");
Expect(1, 43823, '\p{^ IS_ethiopic}', "");
Expect(1, 43823, '\P{ IS_ethiopic}', "");
Expect(0, 43823, '\P{^ IS_ethiopic}', "");
Error('\p{:=ETHI}');
Error('\P{:=ETHI}');
Expect(1, 43822, '\p{ethi}', "");
Expect(0, 43822, '\p{^ethi}', "");
Expect(0, 43822, '\P{ethi}', "");
Expect(1, 43822, '\P{^ethi}', "");
Expect(0, 43823, '\p{ethi}', "");
Expect(1, 43823, '\p{^ethi}', "");
Expect(1, 43823, '\P{ethi}', "");
Expect(0, 43823, '\P{^ethi}', "");
Expect(1, 43822, '\p{_-Ethi}', "");
Expect(0, 43822, '\p{^_-Ethi}', "");
Expect(0, 43822, '\P{_-Ethi}', "");
Expect(1, 43822, '\P{^_-Ethi}', "");
Expect(0, 43823, '\p{_-Ethi}', "");
Expect(1, 43823, '\p{^_-Ethi}', "");
Expect(1, 43823, '\P{_-Ethi}', "");
Expect(0, 43823, '\P{^_-Ethi}', "");
Error('\p{:=_ Is_Ethi}');
Error('\P{:=_ Is_Ethi}');
Expect(1, 43822, '\p{isethi}', "");
Expect(0, 43822, '\p{^isethi}', "");
Expect(0, 43822, '\P{isethi}', "");
Expect(1, 43822, '\P{^isethi}', "");
Expect(0, 43823, '\p{isethi}', "");
Expect(1, 43823, '\p{^isethi}', "");
Expect(1, 43823, '\P{isethi}', "");
Expect(0, 43823, '\P{^isethi}', "");
Expect(1, 43822, '\p{_Is_Ethi}', "");
Expect(0, 43822, '\p{^_Is_Ethi}', "");
Expect(0, 43822, '\P{_Is_Ethi}', "");
Expect(1, 43822, '\P{^_Is_Ethi}', "");
Expect(0, 43823, '\p{_Is_Ethi}', "");
Expect(1, 43823, '\p{^_Is_Ethi}', "");
Expect(1, 43823, '\P{_Is_Ethi}', "");
Expect(0, 43823, '\P{^_Is_Ethi}', "");
Error('\p{_-ETHIOPIC_extended/a/}');
Error('\P{_-ETHIOPIC_extended/a/}');
Expect(1, 11743, '\p{ethiopicextended}', "");
Expect(0, 11743, '\p{^ethiopicextended}', "");
Expect(0, 11743, '\P{ethiopicextended}', "");
Expect(1, 11743, '\P{^ethiopicextended}', "");
Expect(0, 11744, '\p{ethiopicextended}', "");
Expect(1, 11744, '\p{^ethiopicextended}', "");
Expect(1, 11744, '\P{ethiopicextended}', "");
Expect(0, 11744, '\P{^ethiopicextended}', "");
Expect(1, 11743, '\p{ -ETHIOPIC_Extended}', "");
Expect(0, 11743, '\p{^ -ETHIOPIC_Extended}', "");
Expect(0, 11743, '\P{ -ETHIOPIC_Extended}', "");
Expect(1, 11743, '\P{^ -ETHIOPIC_Extended}', "");
Expect(0, 11744, '\p{ -ETHIOPIC_Extended}', "");
Expect(1, 11744, '\p{^ -ETHIOPIC_Extended}', "");
Expect(1, 11744, '\P{ -ETHIOPIC_Extended}', "");
Expect(0, 11744, '\P{^ -ETHIOPIC_Extended}', "");
Error('\p{  Is_Ethiopic_Extended:=}');
Error('\P{  Is_Ethiopic_Extended:=}');
Expect(1, 11743, '\p{isethiopicextended}', "");
Expect(0, 11743, '\p{^isethiopicextended}', "");
Expect(0, 11743, '\P{isethiopicextended}', "");
Expect(1, 11743, '\P{^isethiopicextended}', "");
Expect(0, 11744, '\p{isethiopicextended}', "");
Expect(1, 11744, '\p{^isethiopicextended}', "");
Expect(1, 11744, '\P{isethiopicextended}', "");
Expect(0, 11744, '\P{^isethiopicextended}', "");
Expect(1, 11743, '\p{-_is_Ethiopic_extended}', "");
Expect(0, 11743, '\p{^-_is_Ethiopic_extended}', "");
Expect(0, 11743, '\P{-_is_Ethiopic_extended}', "");
Expect(1, 11743, '\P{^-_is_Ethiopic_extended}', "");
Expect(0, 11744, '\p{-_is_Ethiopic_extended}', "");
Expect(1, 11744, '\p{^-_is_Ethiopic_extended}', "");
Expect(1, 11744, '\P{-_is_Ethiopic_extended}', "");
Expect(0, 11744, '\P{^-_is_Ethiopic_extended}', "");
Error('\p{:=	-In_ETHIOPIC_Extended}');
Error('\P{:=	-In_ETHIOPIC_Extended}');
Expect(1, 11743, '\p{inethiopicextended}', "");
Expect(0, 11743, '\p{^inethiopicextended}', "");
Expect(0, 11743, '\P{inethiopicextended}', "");
Expect(1, 11743, '\P{^inethiopicextended}', "");
Expect(0, 11744, '\p{inethiopicextended}', "");
Expect(1, 11744, '\p{^inethiopicextended}', "");
Expect(1, 11744, '\P{inethiopicextended}', "");
Expect(0, 11744, '\P{^inethiopicextended}', "");
Expect(1, 11743, '\p{ In_ethiopic_Extended}', "");
Expect(0, 11743, '\p{^ In_ethiopic_Extended}', "");
Expect(0, 11743, '\P{ In_ethiopic_Extended}', "");
Expect(1, 11743, '\P{^ In_ethiopic_Extended}', "");
Expect(0, 11744, '\p{ In_ethiopic_Extended}', "");
Expect(1, 11744, '\p{^ In_ethiopic_Extended}', "");
Expect(1, 11744, '\P{ In_ethiopic_Extended}', "");
Expect(0, 11744, '\P{^ In_ethiopic_Extended}', "");
Error('\p{_/a/Ethiopic_ext}');
Error('\P{_/a/Ethiopic_ext}');
Expect(1, 11743, '\p{ethiopicext}', "");
Expect(0, 11743, '\p{^ethiopicext}', "");
Expect(0, 11743, '\P{ethiopicext}', "");
Expect(1, 11743, '\P{^ethiopicext}', "");
Expect(0, 11744, '\p{ethiopicext}', "");
Expect(1, 11744, '\p{^ethiopicext}', "");
Expect(1, 11744, '\P{ethiopicext}', "");
Expect(0, 11744, '\P{^ethiopicext}', "");
Expect(1, 11743, '\p{ ethiopic_EXT}', "");
Expect(0, 11743, '\p{^ ethiopic_EXT}', "");
Expect(0, 11743, '\P{ ethiopic_EXT}', "");
Expect(1, 11743, '\P{^ ethiopic_EXT}', "");
Expect(0, 11744, '\p{ ethiopic_EXT}', "");
Expect(1, 11744, '\p{^ ethiopic_EXT}', "");
Expect(1, 11744, '\P{ ethiopic_EXT}', "");
Expect(0, 11744, '\P{^ ethiopic_EXT}', "");
Error('\p{__Is_Ethiopic_EXT/a/}');
Error('\P{__Is_Ethiopic_EXT/a/}');
Expect(1, 11743, '\p{isethiopicext}', "");
Expect(0, 11743, '\p{^isethiopicext}', "");
Expect(0, 11743, '\P{isethiopicext}', "");
Expect(1, 11743, '\P{^isethiopicext}', "");
Expect(0, 11744, '\p{isethiopicext}', "");
Expect(1, 11744, '\p{^isethiopicext}', "");
Expect(1, 11744, '\P{isethiopicext}', "");
Expect(0, 11744, '\P{^isethiopicext}', "");
Expect(1, 11743, '\p{-	is_Ethiopic_Ext}', "");
Expect(0, 11743, '\p{^-	is_Ethiopic_Ext}', "");
Expect(0, 11743, '\P{-	is_Ethiopic_Ext}', "");
Expect(1, 11743, '\P{^-	is_Ethiopic_Ext}', "");
Expect(0, 11744, '\p{-	is_Ethiopic_Ext}', "");
Expect(1, 11744, '\p{^-	is_Ethiopic_Ext}', "");
Expect(1, 11744, '\P{-	is_Ethiopic_Ext}', "");
Expect(0, 11744, '\P{^-	is_Ethiopic_Ext}', "");
Error('\p{	_IN_Ethiopic_Ext/a/}');
Error('\P{	_IN_Ethiopic_Ext/a/}');
Expect(1, 11743, '\p{inethiopicext}', "");
Expect(0, 11743, '\p{^inethiopicext}', "");
Expect(0, 11743, '\P{inethiopicext}', "");
Expect(1, 11743, '\P{^inethiopicext}', "");
Expect(0, 11744, '\p{inethiopicext}', "");
Expect(1, 11744, '\p{^inethiopicext}', "");
Expect(1, 11744, '\P{inethiopicext}', "");
Expect(0, 11744, '\P{^inethiopicext}', "");
Expect(1, 11743, '\p{	_in_ETHIOPIC_Ext}', "");
Expect(0, 11743, '\p{^	_in_ETHIOPIC_Ext}', "");
Expect(0, 11743, '\P{	_in_ETHIOPIC_Ext}', "");
Expect(1, 11743, '\P{^	_in_ETHIOPIC_Ext}', "");
Expect(0, 11744, '\p{	_in_ETHIOPIC_Ext}', "");
Expect(1, 11744, '\p{^	_in_ETHIOPIC_Ext}', "");
Expect(1, 11744, '\P{	_in_ETHIOPIC_Ext}', "");
Expect(0, 11744, '\P{^	_in_ETHIOPIC_Ext}', "");
Error('\p{-/a/Ethiopic_EXTENDED_A}');
Error('\P{-/a/Ethiopic_EXTENDED_A}');
Expect(1, 43823, '\p{ethiopicextendeda}', "");
Expect(0, 43823, '\p{^ethiopicextendeda}', "");
Expect(0, 43823, '\P{ethiopicextendeda}', "");
Expect(1, 43823, '\P{^ethiopicextendeda}', "");
Expect(0, 43824, '\p{ethiopicextendeda}', "");
Expect(1, 43824, '\p{^ethiopicextendeda}', "");
Expect(1, 43824, '\P{ethiopicextendeda}', "");
Expect(0, 43824, '\P{^ethiopicextendeda}', "");
Expect(1, 43823, '\p{	Ethiopic_EXTENDED_a}', "");
Expect(0, 43823, '\p{^	Ethiopic_EXTENDED_a}', "");
Expect(0, 43823, '\P{	Ethiopic_EXTENDED_a}', "");
Expect(1, 43823, '\P{^	Ethiopic_EXTENDED_a}', "");
Expect(0, 43824, '\p{	Ethiopic_EXTENDED_a}', "");
Expect(1, 43824, '\p{^	Ethiopic_EXTENDED_a}', "");
Expect(1, 43824, '\P{	Ethiopic_EXTENDED_a}', "");
Expect(0, 43824, '\P{^	Ethiopic_EXTENDED_a}', "");
Error('\p{ _Is_Ethiopic_extended_A/a/}');
Error('\P{ _Is_Ethiopic_extended_A/a/}');
Expect(1, 43823, '\p{isethiopicextendeda}', "");
Expect(0, 43823, '\p{^isethiopicextendeda}', "");
Expect(0, 43823, '\P{isethiopicextendeda}', "");
Expect(1, 43823, '\P{^isethiopicextendeda}', "");
Expect(0, 43824, '\p{isethiopicextendeda}', "");
Expect(1, 43824, '\p{^isethiopicextendeda}', "");
Expect(1, 43824, '\P{isethiopicextendeda}', "");
Expect(0, 43824, '\P{^isethiopicextendeda}', "");
Expect(1, 43823, '\p{_is_ethiopic_Extended_A}', "");
Expect(0, 43823, '\p{^_is_ethiopic_Extended_A}', "");
Expect(0, 43823, '\P{_is_ethiopic_Extended_A}', "");
Expect(1, 43823, '\P{^_is_ethiopic_Extended_A}', "");
Expect(0, 43824, '\p{_is_ethiopic_Extended_A}', "");
Expect(1, 43824, '\p{^_is_ethiopic_Extended_A}', "");
Expect(1, 43824, '\P{_is_ethiopic_Extended_A}', "");
Expect(0, 43824, '\P{^_is_ethiopic_Extended_A}', "");
Error('\p{:=IN_ETHIOPIC_Extended_a}');
Error('\P{:=IN_ETHIOPIC_Extended_a}');
Expect(1, 43823, '\p{inethiopicextendeda}', "");
Expect(0, 43823, '\p{^inethiopicextendeda}', "");
Expect(0, 43823, '\P{inethiopicextendeda}', "");
Expect(1, 43823, '\P{^inethiopicextendeda}', "");
Expect(0, 43824, '\p{inethiopicextendeda}', "");
Expect(1, 43824, '\p{^inethiopicextendeda}', "");
Expect(1, 43824, '\P{inethiopicextendeda}', "");
Expect(0, 43824, '\P{^inethiopicextendeda}', "");
Expect(1, 43823, '\p{		In_Ethiopic_Extended_A}', "");
Expect(0, 43823, '\p{^		In_Ethiopic_Extended_A}', "");
Expect(0, 43823, '\P{		In_Ethiopic_Extended_A}', "");
Expect(1, 43823, '\P{^		In_Ethiopic_Extended_A}', "");
Expect(0, 43824, '\p{		In_Ethiopic_Extended_A}', "");
Expect(1, 43824, '\p{^		In_Ethiopic_Extended_A}', "");
Expect(1, 43824, '\P{		In_Ethiopic_Extended_A}', "");
Expect(0, 43824, '\P{^		In_Ethiopic_Extended_A}', "");
Error('\p{-Ethiopic_ext_a/a/}');
Error('\P{-Ethiopic_ext_a/a/}');
Expect(1, 43823, '\p{ethiopicexta}', "");
Expect(0, 43823, '\p{^ethiopicexta}', "");
Expect(0, 43823, '\P{ethiopicexta}', "");
Expect(1, 43823, '\P{^ethiopicexta}', "");
Expect(0, 43824, '\p{ethiopicexta}', "");
Expect(1, 43824, '\p{^ethiopicexta}', "");
Expect(1, 43824, '\P{ethiopicexta}', "");
Expect(0, 43824, '\P{^ethiopicexta}', "");
Expect(1, 43823, '\p{_	Ethiopic_EXT_A}', "");
Expect(0, 43823, '\p{^_	Ethiopic_EXT_A}', "");
Expect(0, 43823, '\P{_	Ethiopic_EXT_A}', "");
Expect(1, 43823, '\P{^_	Ethiopic_EXT_A}', "");
Expect(0, 43824, '\p{_	Ethiopic_EXT_A}', "");
Expect(1, 43824, '\p{^_	Ethiopic_EXT_A}', "");
Expect(1, 43824, '\P{_	Ethiopic_EXT_A}', "");
Expect(0, 43824, '\P{^_	Ethiopic_EXT_A}', "");
Error('\p{/a/Is_Ethiopic_ext_A}');
Error('\P{/a/Is_Ethiopic_ext_A}');
Expect(1, 43823, '\p{isethiopicexta}', "");
Expect(0, 43823, '\p{^isethiopicexta}', "");
Expect(0, 43823, '\P{isethiopicexta}', "");
Expect(1, 43823, '\P{^isethiopicexta}', "");
Expect(0, 43824, '\p{isethiopicexta}', "");
Expect(1, 43824, '\p{^isethiopicexta}', "");
Expect(1, 43824, '\P{isethiopicexta}', "");
Expect(0, 43824, '\P{^isethiopicexta}', "");
Expect(1, 43823, '\p{	_is_Ethiopic_Ext_a}', "");
Expect(0, 43823, '\p{^	_is_Ethiopic_Ext_a}', "");
Expect(0, 43823, '\P{	_is_Ethiopic_Ext_a}', "");
Expect(1, 43823, '\P{^	_is_Ethiopic_Ext_a}', "");
Expect(0, 43824, '\p{	_is_Ethiopic_Ext_a}', "");
Expect(1, 43824, '\p{^	_is_Ethiopic_Ext_a}', "");
Expect(1, 43824, '\P{	_is_Ethiopic_Ext_a}', "");
Expect(0, 43824, '\P{^	_is_Ethiopic_Ext_a}', "");
Error('\p{ :=in_ETHIOPIC_Ext_A}');
Error('\P{ :=in_ETHIOPIC_Ext_A}');
Expect(1, 43823, '\p{inethiopicexta}', "");
Expect(0, 43823, '\p{^inethiopicexta}', "");
Expect(0, 43823, '\P{inethiopicexta}', "");
Expect(1, 43823, '\P{^inethiopicexta}', "");
Expect(0, 43824, '\p{inethiopicexta}', "");
Expect(1, 43824, '\p{^inethiopicexta}', "");
Expect(1, 43824, '\P{inethiopicexta}', "");
Expect(0, 43824, '\P{^inethiopicexta}', "");
Expect(1, 43823, '\p{_in_Ethiopic_ext_A}', "");
Expect(0, 43823, '\p{^_in_Ethiopic_ext_A}', "");
Expect(0, 43823, '\P{_in_Ethiopic_ext_A}', "");
Expect(1, 43823, '\P{^_in_Ethiopic_ext_A}', "");
Expect(0, 43824, '\p{_in_Ethiopic_ext_A}', "");
Expect(1, 43824, '\p{^_in_Ethiopic_ext_A}', "");
Expect(1, 43824, '\P{_in_Ethiopic_ext_A}', "");
Expect(0, 43824, '\P{^_in_Ethiopic_ext_A}', "");
Error('\p{/a/ETHIOPIC_supplement}');
Error('\P{/a/ETHIOPIC_supplement}');
Expect(1, 5023, '\p{ethiopicsupplement}', "");
Expect(0, 5023, '\p{^ethiopicsupplement}', "");
Expect(0, 5023, '\P{ethiopicsupplement}', "");
Expect(1, 5023, '\P{^ethiopicsupplement}', "");
Expect(0, 5024, '\p{ethiopicsupplement}', "");
Expect(1, 5024, '\p{^ethiopicsupplement}', "");
Expect(1, 5024, '\P{ethiopicsupplement}', "");
Expect(0, 5024, '\P{^ethiopicsupplement}', "");
Expect(1, 5023, '\p{ 	Ethiopic_Supplement}', "");
Expect(0, 5023, '\p{^ 	Ethiopic_Supplement}', "");
Expect(0, 5023, '\P{ 	Ethiopic_Supplement}', "");
Expect(1, 5023, '\P{^ 	Ethiopic_Supplement}', "");
Expect(0, 5024, '\p{ 	Ethiopic_Supplement}', "");
Expect(1, 5024, '\p{^ 	Ethiopic_Supplement}', "");
Expect(1, 5024, '\P{ 	Ethiopic_Supplement}', "");
Expect(0, 5024, '\P{^ 	Ethiopic_Supplement}', "");
Error('\p{-/a/IS_ethiopic_Supplement}');
Error('\P{-/a/IS_ethiopic_Supplement}');
Expect(1, 5023, '\p{isethiopicsupplement}', "");
Expect(0, 5023, '\p{^isethiopicsupplement}', "");
Expect(0, 5023, '\P{isethiopicsupplement}', "");
Expect(1, 5023, '\P{^isethiopicsupplement}', "");
Expect(0, 5024, '\p{isethiopicsupplement}', "");
Expect(1, 5024, '\p{^isethiopicsupplement}', "");
Expect(1, 5024, '\P{isethiopicsupplement}', "");
Expect(0, 5024, '\P{^isethiopicsupplement}', "");
Expect(1, 5023, '\p{ _Is_ETHIOPIC_Supplement}', "");
Expect(0, 5023, '\p{^ _Is_ETHIOPIC_Supplement}', "");
Expect(0, 5023, '\P{ _Is_ETHIOPIC_Supplement}', "");
Expect(1, 5023, '\P{^ _Is_ETHIOPIC_Supplement}', "");
Expect(0, 5024, '\p{ _Is_ETHIOPIC_Supplement}', "");
Expect(1, 5024, '\p{^ _Is_ETHIOPIC_Supplement}', "");
Expect(1, 5024, '\P{ _Is_ETHIOPIC_Supplement}', "");
Expect(0, 5024, '\P{^ _Is_ETHIOPIC_Supplement}', "");
Error('\p{:=-_in_ethiopic_Supplement}');
Error('\P{:=-_in_ethiopic_Supplement}');
Expect(1, 5023, '\p{inethiopicsupplement}', "");
Expect(0, 5023, '\p{^inethiopicsupplement}', "");
Expect(0, 5023, '\P{inethiopicsupplement}', "");
Expect(1, 5023, '\P{^inethiopicsupplement}', "");
Expect(0, 5024, '\p{inethiopicsupplement}', "");
Expect(1, 5024, '\p{^inethiopicsupplement}', "");
Expect(1, 5024, '\P{inethiopicsupplement}', "");
Expect(0, 5024, '\P{^inethiopicsupplement}', "");
Expect(1, 5023, '\p{_In_ETHIOPIC_Supplement}', "");
Expect(0, 5023, '\p{^_In_ETHIOPIC_Supplement}', "");
Expect(0, 5023, '\P{_In_ETHIOPIC_Supplement}', "");
Expect(1, 5023, '\P{^_In_ETHIOPIC_Supplement}', "");
Expect(0, 5024, '\p{_In_ETHIOPIC_Supplement}', "");
Expect(1, 5024, '\p{^_In_ETHIOPIC_Supplement}', "");
Expect(1, 5024, '\P{_In_ETHIOPIC_Supplement}', "");
Expect(0, 5024, '\P{^_In_ETHIOPIC_Supplement}', "");
Error('\p{/a/Ethiopic_Sup}');
Error('\P{/a/Ethiopic_Sup}');
Expect(1, 5023, '\p{ethiopicsup}', "");
Expect(0, 5023, '\p{^ethiopicsup}', "");
Expect(0, 5023, '\P{ethiopicsup}', "");
Expect(1, 5023, '\P{^ethiopicsup}', "");
Expect(0, 5024, '\p{ethiopicsup}', "");
Expect(1, 5024, '\p{^ethiopicsup}', "");
Expect(1, 5024, '\P{ethiopicsup}', "");
Expect(0, 5024, '\P{^ethiopicsup}', "");
Expect(1, 5023, '\p{ETHIOPIC_sup}', "");
Expect(0, 5023, '\p{^ETHIOPIC_sup}', "");
Expect(0, 5023, '\P{ETHIOPIC_sup}', "");
Expect(1, 5023, '\P{^ETHIOPIC_sup}', "");
Expect(0, 5024, '\p{ETHIOPIC_sup}', "");
Expect(1, 5024, '\p{^ETHIOPIC_sup}', "");
Expect(1, 5024, '\P{ETHIOPIC_sup}', "");
Expect(0, 5024, '\P{^ETHIOPIC_sup}', "");
Error('\p{/a/_ is_Ethiopic_Sup}');
Error('\P{/a/_ is_Ethiopic_Sup}');
Expect(1, 5023, '\p{isethiopicsup}', "");
Expect(0, 5023, '\p{^isethiopicsup}', "");
Expect(0, 5023, '\P{isethiopicsup}', "");
Expect(1, 5023, '\P{^isethiopicsup}', "");
Expect(0, 5024, '\p{isethiopicsup}', "");
Expect(1, 5024, '\p{^isethiopicsup}', "");
Expect(1, 5024, '\P{isethiopicsup}', "");
Expect(0, 5024, '\P{^isethiopicsup}', "");
Expect(1, 5023, '\p{__IS_Ethiopic_SUP}', "");
Expect(0, 5023, '\p{^__IS_Ethiopic_SUP}', "");
Expect(0, 5023, '\P{__IS_Ethiopic_SUP}', "");
Expect(1, 5023, '\P{^__IS_Ethiopic_SUP}', "");
Expect(0, 5024, '\p{__IS_Ethiopic_SUP}', "");
Expect(1, 5024, '\p{^__IS_Ethiopic_SUP}', "");
Expect(1, 5024, '\P{__IS_Ethiopic_SUP}', "");
Expect(0, 5024, '\P{^__IS_Ethiopic_SUP}', "");
Error('\p{:=In_ethiopic_SUP}');
Error('\P{:=In_ethiopic_SUP}');
Expect(1, 5023, '\p{inethiopicsup}', "");
Expect(0, 5023, '\p{^inethiopicsup}', "");
Expect(0, 5023, '\P{inethiopicsup}', "");
Expect(1, 5023, '\P{^inethiopicsup}', "");
Expect(0, 5024, '\p{inethiopicsup}', "");
Expect(1, 5024, '\p{^inethiopicsup}', "");
Expect(1, 5024, '\P{inethiopicsup}', "");
Expect(0, 5024, '\P{^inethiopicsup}', "");
Expect(1, 5023, '\p{  IN_Ethiopic_SUP}', "");
Expect(0, 5023, '\p{^  IN_Ethiopic_SUP}', "");
Expect(0, 5023, '\P{  IN_Ethiopic_SUP}', "");
Expect(1, 5023, '\P{^  IN_Ethiopic_SUP}', "");
Expect(0, 5024, '\p{  IN_Ethiopic_SUP}', "");
Expect(1, 5024, '\p{^  IN_Ethiopic_SUP}', "");
Expect(1, 5024, '\P{  IN_Ethiopic_SUP}', "");
Expect(0, 5024, '\P{^  IN_Ethiopic_SUP}', "");
Error('\p{Expands_On_NFC}');
Error('\P{Expands_On_NFC}');
Error('\p{Is_Expands_On_NFC}');
Error('\P{Is_Expands_On_NFC}');
Error('\p{XO_NFC}');
Error('\P{XO_NFC}');
Error('\p{Is_XO_NFC}');
Error('\P{Is_XO_NFC}');
Error('\p{Expands_On_NFD}');
Error('\P{Expands_On_NFD}');
Error('\p{Is_Expands_On_NFD}');
Error('\P{Is_Expands_On_NFD}');
Error('\p{XO_NFD}');
Error('\P{XO_NFD}');
Error('\p{Is_XO_NFD}');
Error('\P{Is_XO_NFD}');
Error('\p{Expands_On_NFKC}');
Error('\P{Expands_On_NFKC}');
Error('\p{Is_Expands_On_NFKC}');
Error('\P{Is_Expands_On_NFKC}');
Error('\p{XO_NFKC}');
Error('\P{XO_NFKC}');
Error('\p{Is_XO_NFKC}');
Error('\P{Is_XO_NFKC}');
Error('\p{Expands_On_NFKD}');
Error('\P{Expands_On_NFKD}');
Error('\p{Is_Expands_On_NFKD}');
Error('\P{Is_Expands_On_NFKD}');
Error('\p{XO_NFKD}');
Error('\P{XO_NFKD}');
Error('\p{Is_XO_NFKD}');
Error('\P{Is_XO_NFKD}');
Error('\p{  EXTENDER:=}');
Error('\P{  EXTENDER:=}');
Expect(1, 92995, '\p{extender}', "");
Expect(0, 92995, '\p{^extender}', "");
Expect(0, 92995, '\P{extender}', "");
Expect(1, 92995, '\P{^extender}', "");
Expect(0, 92996, '\p{extender}', "");
Expect(1, 92996, '\p{^extender}', "");
Expect(1, 92996, '\P{extender}', "");
Expect(0, 92996, '\P{^extender}', "");
Expect(1, 92995, '\p{	extender}', "");
Expect(0, 92995, '\p{^	extender}', "");
Expect(0, 92995, '\P{	extender}', "");
Expect(1, 92995, '\P{^	extender}', "");
Expect(0, 92996, '\p{	extender}', "");
Expect(1, 92996, '\p{^	extender}', "");
Expect(1, 92996, '\P{	extender}', "");
Expect(0, 92996, '\P{^	extender}', "");
Error('\p{_	Is_EXTENDER/a/}');
Error('\P{_	Is_EXTENDER/a/}');
Expect(1, 92995, '\p{isextender}', "");
Expect(0, 92995, '\p{^isextender}', "");
Expect(0, 92995, '\P{isextender}', "");
Expect(1, 92995, '\P{^isextender}', "");
Expect(0, 92996, '\p{isextender}', "");
Expect(1, 92996, '\p{^isextender}', "");
Expect(1, 92996, '\P{isextender}', "");
Expect(0, 92996, '\P{^isextender}', "");
Expect(1, 92995, '\p{- is_extender}', "");
Expect(0, 92995, '\p{^- is_extender}', "");
Expect(0, 92995, '\P{- is_extender}', "");
Expect(1, 92995, '\P{^- is_extender}', "");
Expect(0, 92996, '\p{- is_extender}', "");
Expect(1, 92996, '\p{^- is_extender}', "");
Expect(1, 92996, '\P{- is_extender}', "");
Expect(0, 92996, '\P{^- is_extender}', "");
Error('\p{_-ext/a/}');
Error('\P{_-ext/a/}');
Expect(1, 92995, '\p{ext}', "");
Expect(0, 92995, '\p{^ext}', "");
Expect(0, 92995, '\P{ext}', "");
Expect(1, 92995, '\P{^ext}', "");
Expect(0, 92996, '\p{ext}', "");
Expect(1, 92996, '\p{^ext}', "");
Expect(1, 92996, '\P{ext}', "");
Expect(0, 92996, '\P{^ext}', "");
Expect(1, 92995, '\p{ Ext}', "");
Expect(0, 92995, '\p{^ Ext}', "");
Expect(0, 92995, '\P{ Ext}', "");
Expect(1, 92995, '\P{^ Ext}', "");
Expect(0, 92996, '\p{ Ext}', "");
Expect(1, 92996, '\p{^ Ext}', "");
Expect(1, 92996, '\P{ Ext}', "");
Expect(0, 92996, '\P{^ Ext}', "");
Error('\p{		is_ext/a/}');
Error('\P{		is_ext/a/}');
Expect(1, 92995, '\p{isext}', "");
Expect(0, 92995, '\p{^isext}', "");
Expect(0, 92995, '\P{isext}', "");
Expect(1, 92995, '\P{^isext}', "");
Expect(0, 92996, '\p{isext}', "");
Expect(1, 92996, '\p{^isext}', "");
Expect(1, 92996, '\P{isext}', "");
Expect(0, 92996, '\P{^isext}', "");
Expect(1, 92995, '\p{-	IS_EXT}', "");
Expect(0, 92995, '\p{^-	IS_EXT}', "");
Expect(0, 92995, '\P{-	IS_EXT}', "");
Expect(1, 92995, '\P{^-	IS_EXT}', "");
Expect(0, 92996, '\p{-	IS_EXT}', "");
Expect(1, 92996, '\p{^-	IS_EXT}', "");
Expect(1, 92996, '\P{-	IS_EXT}', "");
Expect(0, 92996, '\P{^-	IS_EXT}', "");
Error('\p{-	Final_PUNCTUATION/a/}');
Error('\P{-	Final_PUNCTUATION/a/}');
Expect(1, 11809, '\p{finalpunctuation}', "");
Expect(0, 11809, '\p{^finalpunctuation}', "");
Expect(0, 11809, '\P{finalpunctuation}', "");
Expect(1, 11809, '\P{^finalpunctuation}', "");
Expect(0, 11810, '\p{finalpunctuation}', "");
Expect(1, 11810, '\p{^finalpunctuation}', "");
Expect(1, 11810, '\P{finalpunctuation}', "");
Expect(0, 11810, '\P{^finalpunctuation}', "");
Expect(1, 11809, '\p{_final_punctuation}', "");
Expect(0, 11809, '\p{^_final_punctuation}', "");
Expect(0, 11809, '\P{_final_punctuation}', "");
Expect(1, 11809, '\P{^_final_punctuation}', "");
Expect(0, 11810, '\p{_final_punctuation}', "");
Expect(1, 11810, '\p{^_final_punctuation}', "");
Expect(1, 11810, '\P{_final_punctuation}', "");
Expect(0, 11810, '\P{^_final_punctuation}', "");
Error('\p{:= _IS_Final_Punctuation}');
Error('\P{:= _IS_Final_Punctuation}');
Expect(1, 11809, '\p{isfinalpunctuation}', "");
Expect(0, 11809, '\p{^isfinalpunctuation}', "");
Expect(0, 11809, '\P{isfinalpunctuation}', "");
Expect(1, 11809, '\P{^isfinalpunctuation}', "");
Expect(0, 11810, '\p{isfinalpunctuation}', "");
Expect(1, 11810, '\p{^isfinalpunctuation}', "");
Expect(1, 11810, '\P{isfinalpunctuation}', "");
Expect(0, 11810, '\P{^isfinalpunctuation}', "");
Expect(1, 11809, '\p{- is_final_Punctuation}', "");
Expect(0, 11809, '\p{^- is_final_Punctuation}', "");
Expect(0, 11809, '\P{- is_final_Punctuation}', "");
Expect(1, 11809, '\P{^- is_final_Punctuation}', "");
Expect(0, 11810, '\p{- is_final_Punctuation}', "");
Expect(1, 11810, '\p{^- is_final_Punctuation}', "");
Expect(1, 11810, '\P{- is_final_Punctuation}', "");
Expect(0, 11810, '\P{^- is_final_Punctuation}', "");
Error('\p{:= 	Pf}');
Error('\P{:= 	Pf}');
Expect(1, 11809, '\p{pf}', "");
Expect(0, 11809, '\p{^pf}', "");
Expect(0, 11809, '\P{pf}', "");
Expect(1, 11809, '\P{^pf}', "");
Expect(0, 11810, '\p{pf}', "");
Expect(1, 11810, '\p{^pf}', "");
Expect(1, 11810, '\P{pf}', "");
Expect(0, 11810, '\P{^pf}', "");
Expect(1, 11809, '\p{		Pf}', "");
Expect(0, 11809, '\p{^		Pf}', "");
Expect(0, 11809, '\P{		Pf}', "");
Expect(1, 11809, '\P{^		Pf}', "");
Expect(0, 11810, '\p{		Pf}', "");
Expect(1, 11810, '\p{^		Pf}', "");
Expect(1, 11810, '\P{		Pf}', "");
Expect(0, 11810, '\P{^		Pf}', "");
Error('\p{_/a/is_Pf}');
Error('\P{_/a/is_Pf}');
Expect(1, 11809, '\p{ispf}', "");
Expect(0, 11809, '\p{^ispf}', "");
Expect(0, 11809, '\P{ispf}', "");
Expect(1, 11809, '\P{^ispf}', "");
Expect(0, 11810, '\p{ispf}', "");
Expect(1, 11810, '\p{^ispf}', "");
Expect(1, 11810, '\P{ispf}', "");
Expect(0, 11810, '\P{^ispf}', "");
Expect(1, 11809, '\p{_IS_Pf}', "");
Expect(0, 11809, '\p{^_IS_Pf}', "");
Expect(0, 11809, '\P{_IS_Pf}', "");
Expect(1, 11809, '\P{^_IS_Pf}', "");
Expect(0, 11810, '\p{_IS_Pf}', "");
Expect(1, 11810, '\p{^_IS_Pf}', "");
Expect(1, 11810, '\P{_IS_Pf}', "");
Expect(0, 11810, '\P{^_IS_Pf}', "");
Error('\p{_ Format/a/}');
Error('\P{_ Format/a/}');
Expect(1, 917631, '\p{format}', "");
Expect(0, 917631, '\p{^format}', "");
Expect(0, 917631, '\P{format}', "");
Expect(1, 917631, '\P{^format}', "");
Expect(0, 917632, '\p{format}', "");
Expect(1, 917632, '\p{^format}', "");
Expect(1, 917632, '\P{format}', "");
Expect(0, 917632, '\P{^format}', "");
Expect(1, 917631, '\p{_ format}', "");
Expect(0, 917631, '\p{^_ format}', "");
Expect(0, 917631, '\P{_ format}', "");
Expect(1, 917631, '\P{^_ format}', "");
Expect(0, 917632, '\p{_ format}', "");
Expect(1, 917632, '\p{^_ format}', "");
Expect(1, 917632, '\P{_ format}', "");
Expect(0, 917632, '\P{^_ format}', "");
Error('\p{:=	-is_Format}');
Error('\P{:=	-is_Format}');
Expect(1, 917631, '\p{isformat}', "");
Expect(0, 917631, '\p{^isformat}', "");
Expect(0, 917631, '\P{isformat}', "");
Expect(1, 917631, '\P{^isformat}', "");
Expect(0, 917632, '\p{isformat}', "");
Expect(1, 917632, '\p{^isformat}', "");
Expect(1, 917632, '\P{isformat}', "");
Expect(0, 917632, '\P{^isformat}', "");
Expect(1, 917631, '\p{ _Is_format}', "");
Expect(0, 917631, '\p{^ _Is_format}', "");
Expect(0, 917631, '\P{ _Is_format}', "");
Expect(1, 917631, '\P{^ _Is_format}', "");
Expect(0, 917632, '\p{ _Is_format}', "");
Expect(1, 917632, '\p{^ _Is_format}', "");
Expect(1, 917632, '\P{ _Is_format}', "");
Expect(0, 917632, '\P{^ _Is_format}', "");
Error('\p{_ cf/a/}');
Error('\P{_ cf/a/}');
Expect(1, 917631, '\p{cf}', "");
Expect(0, 917631, '\p{^cf}', "");
Expect(0, 917631, '\P{cf}', "");
Expect(1, 917631, '\P{^cf}', "");
Expect(0, 917632, '\p{cf}', "");
Expect(1, 917632, '\p{^cf}', "");
Expect(1, 917632, '\P{cf}', "");
Expect(0, 917632, '\P{^cf}', "");
Expect(1, 917631, '\p{ Cf}', "");
Expect(0, 917631, '\p{^ Cf}', "");
Expect(0, 917631, '\P{ Cf}', "");
Expect(1, 917631, '\P{^ Cf}', "");
Expect(0, 917632, '\p{ Cf}', "");
Expect(1, 917632, '\p{^ Cf}', "");
Expect(1, 917632, '\P{ Cf}', "");
Expect(0, 917632, '\P{^ Cf}', "");
Error('\p{	IS_cf:=}');
Error('\P{	IS_cf:=}');
Expect(1, 917631, '\p{iscf}', "");
Expect(0, 917631, '\p{^iscf}', "");
Expect(0, 917631, '\P{iscf}', "");
Expect(1, 917631, '\P{^iscf}', "");
Expect(0, 917632, '\p{iscf}', "");
Expect(1, 917632, '\p{^iscf}', "");
Expect(1, 917632, '\P{iscf}', "");
Expect(0, 917632, '\P{^iscf}', "");
Expect(1, 917631, '\p{ _IS_CF}', "");
Expect(0, 917631, '\p{^ _IS_CF}', "");
Expect(0, 917631, '\P{ _IS_CF}', "");
Expect(1, 917631, '\P{^ _IS_CF}', "");
Expect(0, 917632, '\p{ _IS_CF}', "");
Expect(1, 917632, '\p{^ _IS_CF}', "");
Expect(1, 917632, '\P{ _IS_CF}', "");
Expect(0, 917632, '\P{^ _IS_CF}', "");
Error('\p{_	Full_COMPOSITION_Exclusion:=}');
Error('\P{_	Full_COMPOSITION_Exclusion:=}');
Expect(1, 195101, '\p{fullcompositionexclusion}', "");
Expect(0, 195101, '\p{^fullcompositionexclusion}', "");
Expect(0, 195101, '\P{fullcompositionexclusion}', "");
Expect(1, 195101, '\P{^fullcompositionexclusion}', "");
Expect(0, 195102, '\p{fullcompositionexclusion}', "");
Expect(1, 195102, '\p{^fullcompositionexclusion}', "");
Expect(1, 195102, '\P{fullcompositionexclusion}', "");
Expect(0, 195102, '\P{^fullcompositionexclusion}', "");
Expect(1, 195101, '\p{--full_Composition_Exclusion}', "");
Expect(0, 195101, '\p{^--full_Composition_Exclusion}', "");
Expect(0, 195101, '\P{--full_Composition_Exclusion}', "");
Expect(1, 195101, '\P{^--full_Composition_Exclusion}', "");
Expect(0, 195102, '\p{--full_Composition_Exclusion}', "");
Expect(1, 195102, '\p{^--full_Composition_Exclusion}', "");
Expect(1, 195102, '\P{--full_Composition_Exclusion}', "");
Expect(0, 195102, '\P{^--full_Composition_Exclusion}', "");
Error('\p{/a/_	IS_FULL_COMPOSITION_EXCLUSION}');
Error('\P{/a/_	IS_FULL_COMPOSITION_EXCLUSION}');
Expect(1, 195101, '\p{isfullcompositionexclusion}', "");
Expect(0, 195101, '\p{^isfullcompositionexclusion}', "");
Expect(0, 195101, '\P{isfullcompositionexclusion}', "");
Expect(1, 195101, '\P{^isfullcompositionexclusion}', "");
Expect(0, 195102, '\p{isfullcompositionexclusion}', "");
Expect(1, 195102, '\p{^isfullcompositionexclusion}', "");
Expect(1, 195102, '\P{isfullcompositionexclusion}', "");
Expect(0, 195102, '\P{^isfullcompositionexclusion}', "");
Expect(1, 195101, '\p{ 	Is_FULL_Composition_Exclusion}', "");
Expect(0, 195101, '\p{^ 	Is_FULL_Composition_Exclusion}', "");
Expect(0, 195101, '\P{ 	Is_FULL_Composition_Exclusion}', "");
Expect(1, 195101, '\P{^ 	Is_FULL_Composition_Exclusion}', "");
Expect(0, 195102, '\p{ 	Is_FULL_Composition_Exclusion}', "");
Expect(1, 195102, '\p{^ 	Is_FULL_Composition_Exclusion}', "");
Expect(1, 195102, '\P{ 	Is_FULL_Composition_Exclusion}', "");
Expect(0, 195102, '\P{^ 	Is_FULL_Composition_Exclusion}', "");
Error('\p{	-COMP_ex:=}');
Error('\P{	-COMP_ex:=}');
Expect(1, 195101, '\p{compex}', "");
Expect(0, 195101, '\p{^compex}', "");
Expect(0, 195101, '\P{compex}', "");
Expect(1, 195101, '\P{^compex}', "");
Expect(0, 195102, '\p{compex}', "");
Expect(1, 195102, '\p{^compex}', "");
Expect(1, 195102, '\P{compex}', "");
Expect(0, 195102, '\P{^compex}', "");
Expect(1, 195101, '\p{_ Comp_Ex}', "");
Expect(0, 195101, '\p{^_ Comp_Ex}', "");
Expect(0, 195101, '\P{_ Comp_Ex}', "");
Expect(1, 195101, '\P{^_ Comp_Ex}', "");
Expect(0, 195102, '\p{_ Comp_Ex}', "");
Expect(1, 195102, '\p{^_ Comp_Ex}', "");
Expect(1, 195102, '\P{_ Comp_Ex}', "");
Expect(0, 195102, '\P{^_ Comp_Ex}', "");
Error('\p{:=__Is_Comp_EX}');
Error('\P{:=__Is_Comp_EX}');
Expect(1, 195101, '\p{iscompex}', "");
Expect(0, 195101, '\p{^iscompex}', "");
Expect(0, 195101, '\P{iscompex}', "");
Expect(1, 195101, '\P{^iscompex}', "");
Expect(0, 195102, '\p{iscompex}', "");
Expect(1, 195102, '\p{^iscompex}', "");
Expect(1, 195102, '\P{iscompex}', "");
Expect(0, 195102, '\P{^iscompex}', "");
Expect(1, 195101, '\p{ -Is_COMP_ex}', "");
Expect(0, 195101, '\p{^ -Is_COMP_ex}', "");
Expect(0, 195101, '\P{ -Is_COMP_ex}', "");
Expect(1, 195101, '\P{^ -Is_COMP_ex}', "");
Expect(0, 195102, '\p{ -Is_COMP_ex}', "");
Expect(1, 195102, '\p{^ -Is_COMP_ex}', "");
Expect(1, 195102, '\P{ -Is_COMP_ex}', "");
Expect(0, 195102, '\P{^ -Is_COMP_ex}', "");
Error('\p{ /a/General_PUNCTUATION}');
Error('\P{ /a/General_PUNCTUATION}');
Expect(1, 8303, '\p{generalpunctuation}', "");
Expect(0, 8303, '\p{^generalpunctuation}', "");
Expect(0, 8303, '\P{generalpunctuation}', "");
Expect(1, 8303, '\P{^generalpunctuation}', "");
Expect(0, 8304, '\p{generalpunctuation}', "");
Expect(1, 8304, '\p{^generalpunctuation}', "");
Expect(1, 8304, '\P{generalpunctuation}', "");
Expect(0, 8304, '\P{^generalpunctuation}', "");
Expect(1, 8303, '\p{_ GENERAL_Punctuation}', "");
Expect(0, 8303, '\p{^_ GENERAL_Punctuation}', "");
Expect(0, 8303, '\P{_ GENERAL_Punctuation}', "");
Expect(1, 8303, '\P{^_ GENERAL_Punctuation}', "");
Expect(0, 8304, '\p{_ GENERAL_Punctuation}', "");
Expect(1, 8304, '\p{^_ GENERAL_Punctuation}', "");
Expect(1, 8304, '\P{_ GENERAL_Punctuation}', "");
Expect(0, 8304, '\P{^_ GENERAL_Punctuation}', "");
Error('\p{:=__Is_GENERAL_Punctuation}');
Error('\P{:=__Is_GENERAL_Punctuation}');
Expect(1, 8303, '\p{isgeneralpunctuation}', "");
Expect(0, 8303, '\p{^isgeneralpunctuation}', "");
Expect(0, 8303, '\P{isgeneralpunctuation}', "");
Expect(1, 8303, '\P{^isgeneralpunctuation}', "");
Expect(0, 8304, '\p{isgeneralpunctuation}', "");
Expect(1, 8304, '\p{^isgeneralpunctuation}', "");
Expect(1, 8304, '\P{isgeneralpunctuation}', "");
Expect(0, 8304, '\P{^isgeneralpunctuation}', "");
Expect(1, 8303, '\p{  Is_General_Punctuation}', "");
Expect(0, 8303, '\p{^  Is_General_Punctuation}', "");
Expect(0, 8303, '\P{  Is_General_Punctuation}', "");
Expect(1, 8303, '\P{^  Is_General_Punctuation}', "");
Expect(0, 8304, '\p{  Is_General_Punctuation}', "");
Expect(1, 8304, '\p{^  Is_General_Punctuation}', "");
Expect(1, 8304, '\P{  Is_General_Punctuation}', "");
Expect(0, 8304, '\P{^  Is_General_Punctuation}', "");
Error('\p{--In_general_Punctuation/a/}');
Error('\P{--In_general_Punctuation/a/}');
Expect(1, 8303, '\p{ingeneralpunctuation}', "");
Expect(0, 8303, '\p{^ingeneralpunctuation}', "");
Expect(0, 8303, '\P{ingeneralpunctuation}', "");
Expect(1, 8303, '\P{^ingeneralpunctuation}', "");
Expect(0, 8304, '\p{ingeneralpunctuation}', "");
Expect(1, 8304, '\p{^ingeneralpunctuation}', "");
Expect(1, 8304, '\P{ingeneralpunctuation}', "");
Expect(0, 8304, '\P{^ingeneralpunctuation}', "");
Expect(1, 8303, '\p{	-in_GENERAL_Punctuation}', "");
Expect(0, 8303, '\p{^	-in_GENERAL_Punctuation}', "");
Expect(0, 8303, '\P{	-in_GENERAL_Punctuation}', "");
Expect(1, 8303, '\P{^	-in_GENERAL_Punctuation}', "");
Expect(0, 8304, '\p{	-in_GENERAL_Punctuation}', "");
Expect(1, 8304, '\p{^	-in_GENERAL_Punctuation}', "");
Expect(1, 8304, '\P{	-in_GENERAL_Punctuation}', "");
Expect(0, 8304, '\P{^	-in_GENERAL_Punctuation}', "");
Error('\p{/a/-	IN_Punctuation}');
Error('\P{/a/-	IN_Punctuation}');
Expect(1, 8303, '\p{inpunctuation}', "");
Expect(0, 8303, '\p{^inpunctuation}', "");
Expect(0, 8303, '\P{inpunctuation}', "");
Expect(1, 8303, '\P{^inpunctuation}', "");
Expect(0, 8304, '\p{inpunctuation}', "");
Expect(1, 8304, '\p{^inpunctuation}', "");
Expect(1, 8304, '\P{inpunctuation}', "");
Expect(0, 8304, '\P{^inpunctuation}', "");
Expect(1, 8303, '\p{In_punctuation}', "");
Expect(0, 8303, '\p{^In_punctuation}', "");
Expect(0, 8303, '\P{In_punctuation}', "");
Expect(1, 8303, '\P{^In_punctuation}', "");
Expect(0, 8304, '\p{In_punctuation}', "");
Expect(1, 8304, '\p{^In_punctuation}', "");
Expect(1, 8304, '\P{In_punctuation}', "");
Expect(0, 8304, '\P{^In_punctuation}', "");
Error('\p{-:=GEOMETRIC_Shapes}');
Error('\P{-:=GEOMETRIC_Shapes}');
Expect(1, 9727, '\p{geometricshapes}', "");
Expect(0, 9727, '\p{^geometricshapes}', "");
Expect(0, 9727, '\P{geometricshapes}', "");
Expect(1, 9727, '\P{^geometricshapes}', "");
Expect(0, 9728, '\p{geometricshapes}', "");
Expect(1, 9728, '\p{^geometricshapes}', "");
Expect(1, 9728, '\P{geometricshapes}', "");
Expect(0, 9728, '\P{^geometricshapes}', "");
Expect(1, 9727, '\p{__geometric_Shapes}', "");
Expect(0, 9727, '\p{^__geometric_Shapes}', "");
Expect(0, 9727, '\P{__geometric_Shapes}', "");
Expect(1, 9727, '\P{^__geometric_Shapes}', "");
Expect(0, 9728, '\p{__geometric_Shapes}', "");
Expect(1, 9728, '\p{^__geometric_Shapes}', "");
Expect(1, 9728, '\P{__geometric_Shapes}', "");
Expect(0, 9728, '\P{^__geometric_Shapes}', "");
Error('\p{ IS_geometric_Shapes:=}');
Error('\P{ IS_geometric_Shapes:=}');
Expect(1, 9727, '\p{isgeometricshapes}', "");
Expect(0, 9727, '\p{^isgeometricshapes}', "");
Expect(0, 9727, '\P{isgeometricshapes}', "");
Expect(1, 9727, '\P{^isgeometricshapes}', "");
Expect(0, 9728, '\p{isgeometricshapes}', "");
Expect(1, 9728, '\p{^isgeometricshapes}', "");
Expect(1, 9728, '\P{isgeometricshapes}', "");
Expect(0, 9728, '\P{^isgeometricshapes}', "");
Expect(1, 9727, '\p{	-Is_Geometric_shapes}', "");
Expect(0, 9727, '\p{^	-Is_Geometric_shapes}', "");
Expect(0, 9727, '\P{	-Is_Geometric_shapes}', "");
Expect(1, 9727, '\P{^	-Is_Geometric_shapes}', "");
Expect(0, 9728, '\p{	-Is_Geometric_shapes}', "");
Expect(1, 9728, '\p{^	-Is_Geometric_shapes}', "");
Expect(1, 9728, '\P{	-Is_Geometric_shapes}', "");
Expect(0, 9728, '\P{^	-Is_Geometric_shapes}', "");
Error('\p{/a/-IN_Geometric_SHAPES}');
Error('\P{/a/-IN_Geometric_SHAPES}');
Expect(1, 9727, '\p{ingeometricshapes}', "");
Expect(0, 9727, '\p{^ingeometricshapes}', "");
Expect(0, 9727, '\P{ingeometricshapes}', "");
Expect(1, 9727, '\P{^ingeometricshapes}', "");
Expect(0, 9728, '\p{ingeometricshapes}', "");
Expect(1, 9728, '\p{^ingeometricshapes}', "");
Expect(1, 9728, '\P{ingeometricshapes}', "");
Expect(0, 9728, '\P{^ingeometricshapes}', "");
Expect(1, 9727, '\p{	in_Geometric_SHAPES}', "");
Expect(0, 9727, '\p{^	in_Geometric_SHAPES}', "");
Expect(0, 9727, '\P{	in_Geometric_SHAPES}', "");
Expect(1, 9727, '\P{^	in_Geometric_SHAPES}', "");
Expect(0, 9728, '\p{	in_Geometric_SHAPES}', "");
Expect(1, 9728, '\p{^	in_Geometric_SHAPES}', "");
Expect(1, 9728, '\P{	in_Geometric_SHAPES}', "");
Expect(0, 9728, '\P{^	in_Geometric_SHAPES}', "");
Error('\p{	/a/geometric_SHAPES_EXTENDED}');
Error('\P{	/a/geometric_SHAPES_EXTENDED}');
Expect(1, 129023, '\p{geometricshapesextended}', "");
Expect(0, 129023, '\p{^geometricshapesextended}', "");
Expect(0, 129023, '\P{geometricshapesextended}', "");
Expect(1, 129023, '\P{^geometricshapesextended}', "");
Expect(0, 129024, '\p{geometricshapesextended}', "");
Expect(1, 129024, '\p{^geometricshapesextended}', "");
Expect(1, 129024, '\P{geometricshapesextended}', "");
Expect(0, 129024, '\P{^geometricshapesextended}', "");
Expect(1, 129023, '\p{-_Geometric_shapes_Extended}', "");
Expect(0, 129023, '\p{^-_Geometric_shapes_Extended}', "");
Expect(0, 129023, '\P{-_Geometric_shapes_Extended}', "");
Expect(1, 129023, '\P{^-_Geometric_shapes_Extended}', "");
Expect(0, 129024, '\p{-_Geometric_shapes_Extended}', "");
Expect(1, 129024, '\p{^-_Geometric_shapes_Extended}', "");
Expect(1, 129024, '\P{-_Geometric_shapes_Extended}', "");
Expect(0, 129024, '\P{^-_Geometric_shapes_Extended}', "");
Error('\p{:=-	Is_geometric_Shapes_EXTENDED}');
Error('\P{:=-	Is_geometric_Shapes_EXTENDED}');
Expect(1, 129023, '\p{isgeometricshapesextended}', "");
Expect(0, 129023, '\p{^isgeometricshapesextended}', "");
Expect(0, 129023, '\P{isgeometricshapesextended}', "");
Expect(1, 129023, '\P{^isgeometricshapesextended}', "");
Expect(0, 129024, '\p{isgeometricshapesextended}', "");
Expect(1, 129024, '\p{^isgeometricshapesextended}', "");
Expect(1, 129024, '\P{isgeometricshapesextended}', "");
Expect(0, 129024, '\P{^isgeometricshapesextended}', "");
Expect(1, 129023, '\p{ Is_Geometric_Shapes_Extended}', "");
Expect(0, 129023, '\p{^ Is_Geometric_Shapes_Extended}', "");
Expect(0, 129023, '\P{ Is_Geometric_Shapes_Extended}', "");
Expect(1, 129023, '\P{^ Is_Geometric_Shapes_Extended}', "");
Expect(0, 129024, '\p{ Is_Geometric_Shapes_Extended}', "");
Expect(1, 129024, '\p{^ Is_Geometric_Shapes_Extended}', "");
Expect(1, 129024, '\P{ Is_Geometric_Shapes_Extended}', "");
Expect(0, 129024, '\P{^ Is_Geometric_Shapes_Extended}', "");
Error('\p{:=	 IN_Geometric_SHAPES_EXTENDED}');
Error('\P{:=	 IN_Geometric_SHAPES_EXTENDED}');
Expect(1, 129023, '\p{ingeometricshapesextended}', "");
Expect(0, 129023, '\p{^ingeometricshapesextended}', "");
Expect(0, 129023, '\P{ingeometricshapesextended}', "");
Expect(1, 129023, '\P{^ingeometricshapesextended}', "");
Expect(0, 129024, '\p{ingeometricshapesextended}', "");
Expect(1, 129024, '\p{^ingeometricshapesextended}', "");
Expect(1, 129024, '\P{ingeometricshapesextended}', "");
Expect(0, 129024, '\P{^ingeometricshapesextended}', "");
Expect(1, 129023, '\p{_	in_GEOMETRIC_shapes_extended}', "");
Expect(0, 129023, '\p{^_	in_GEOMETRIC_shapes_extended}', "");
Expect(0, 129023, '\P{_	in_GEOMETRIC_shapes_extended}', "");
Expect(1, 129023, '\P{^_	in_GEOMETRIC_shapes_extended}', "");
Expect(0, 129024, '\p{_	in_GEOMETRIC_shapes_extended}', "");
Expect(1, 129024, '\p{^_	in_GEOMETRIC_shapes_extended}', "");
Expect(1, 129024, '\P{_	in_GEOMETRIC_shapes_extended}', "");
Expect(0, 129024, '\P{^_	in_GEOMETRIC_shapes_extended}', "");
Error('\p{-Geometric_Shapes_Ext:=}');
Error('\P{-Geometric_Shapes_Ext:=}');
Expect(1, 129023, '\p{geometricshapesext}', "");
Expect(0, 129023, '\p{^geometricshapesext}', "");
Expect(0, 129023, '\P{geometricshapesext}', "");
Expect(1, 129023, '\P{^geometricshapesext}', "");
Expect(0, 129024, '\p{geometricshapesext}', "");
Expect(1, 129024, '\p{^geometricshapesext}', "");
Expect(1, 129024, '\P{geometricshapesext}', "");
Expect(0, 129024, '\P{^geometricshapesext}', "");
Expect(1, 129023, '\p{	_Geometric_Shapes_Ext}', "");
Expect(0, 129023, '\p{^	_Geometric_Shapes_Ext}', "");
Expect(0, 129023, '\P{	_Geometric_Shapes_Ext}', "");
Expect(1, 129023, '\P{^	_Geometric_Shapes_Ext}', "");
Expect(0, 129024, '\p{	_Geometric_Shapes_Ext}', "");
Expect(1, 129024, '\p{^	_Geometric_Shapes_Ext}', "");
Expect(1, 129024, '\P{	_Geometric_Shapes_Ext}', "");
Expect(0, 129024, '\P{^	_Geometric_Shapes_Ext}', "");
Error('\p{	/a/Is_GEOMETRIC_SHAPES_Ext}');
Error('\P{	/a/Is_GEOMETRIC_SHAPES_Ext}');
Expect(1, 129023, '\p{isgeometricshapesext}', "");
Expect(0, 129023, '\p{^isgeometricshapesext}', "");
Expect(0, 129023, '\P{isgeometricshapesext}', "");
Expect(1, 129023, '\P{^isgeometricshapesext}', "");
Expect(0, 129024, '\p{isgeometricshapesext}', "");
Expect(1, 129024, '\p{^isgeometricshapesext}', "");
Expect(1, 129024, '\P{isgeometricshapesext}', "");
Expect(0, 129024, '\P{^isgeometricshapesext}', "");
Expect(1, 129023, '\p{	_Is_GEOMETRIC_Shapes_ext}', "");
Expect(0, 129023, '\p{^	_Is_GEOMETRIC_Shapes_ext}', "");
Expect(0, 129023, '\P{	_Is_GEOMETRIC_Shapes_ext}', "");
Expect(1, 129023, '\P{^	_Is_GEOMETRIC_Shapes_ext}', "");
Expect(0, 129024, '\p{	_Is_GEOMETRIC_Shapes_ext}', "");
Expect(1, 129024, '\p{^	_Is_GEOMETRIC_Shapes_ext}', "");
Expect(1, 129024, '\P{	_Is_GEOMETRIC_Shapes_ext}', "");
Expect(0, 129024, '\P{^	_Is_GEOMETRIC_Shapes_ext}', "");
Error('\p{:=	_In_GEOMETRIC_Shapes_ext}');
Error('\P{:=	_In_GEOMETRIC_Shapes_ext}');
Expect(1, 129023, '\p{ingeometricshapesext}', "");
Expect(0, 129023, '\p{^ingeometricshapesext}', "");
Expect(0, 129023, '\P{ingeometricshapesext}', "");
Expect(1, 129023, '\P{^ingeometricshapesext}', "");
Expect(0, 129024, '\p{ingeometricshapesext}', "");
Expect(1, 129024, '\p{^ingeometricshapesext}', "");
Expect(1, 129024, '\P{ingeometricshapesext}', "");
Expect(0, 129024, '\P{^ingeometricshapesext}', "");
Expect(1, 129023, '\p{ _IN_Geometric_shapes_Ext}', "");
Expect(0, 129023, '\p{^ _IN_Geometric_shapes_Ext}', "");
Expect(0, 129023, '\P{ _IN_Geometric_shapes_Ext}', "");
Expect(1, 129023, '\P{^ _IN_Geometric_shapes_Ext}', "");
Expect(0, 129024, '\p{ _IN_Geometric_shapes_Ext}', "");
Expect(1, 129024, '\p{^ _IN_Geometric_shapes_Ext}', "");
Expect(1, 129024, '\P{ _IN_Geometric_shapes_Ext}', "");
Expect(0, 129024, '\P{^ _IN_Geometric_shapes_Ext}', "");
Error('\p{-GEORGIAN/a/}');
Error('\P{-GEORGIAN/a/}');
Expect(1, 11565, '\p{georgian}', "");
Expect(0, 11565, '\p{^georgian}', "");
Expect(0, 11565, '\P{georgian}', "");
Expect(1, 11565, '\P{^georgian}', "");
Expect(0, 11566, '\p{georgian}', "");
Expect(1, 11566, '\p{^georgian}', "");
Expect(1, 11566, '\P{georgian}', "");
Expect(0, 11566, '\P{^georgian}', "");
Expect(1, 11565, '\p{ 	GEORGIAN}', "");
Expect(0, 11565, '\p{^ 	GEORGIAN}', "");
Expect(0, 11565, '\P{ 	GEORGIAN}', "");
Expect(1, 11565, '\P{^ 	GEORGIAN}', "");
Expect(0, 11566, '\p{ 	GEORGIAN}', "");
Expect(1, 11566, '\p{^ 	GEORGIAN}', "");
Expect(1, 11566, '\P{ 	GEORGIAN}', "");
Expect(0, 11566, '\P{^ 	GEORGIAN}', "");
Error('\p{-/a/Is_GEORGIAN}');
Error('\P{-/a/Is_GEORGIAN}');
Expect(1, 11565, '\p{isgeorgian}', "");
Expect(0, 11565, '\p{^isgeorgian}', "");
Expect(0, 11565, '\P{isgeorgian}', "");
Expect(1, 11565, '\P{^isgeorgian}', "");
Expect(0, 11566, '\p{isgeorgian}', "");
Expect(1, 11566, '\p{^isgeorgian}', "");
Expect(1, 11566, '\P{isgeorgian}', "");
Expect(0, 11566, '\P{^isgeorgian}', "");
Expect(1, 11565, '\p{-IS_GEORGIAN}', "");
Expect(0, 11565, '\p{^-IS_GEORGIAN}', "");
Expect(0, 11565, '\P{-IS_GEORGIAN}', "");
Expect(1, 11565, '\P{^-IS_GEORGIAN}', "");
Expect(0, 11566, '\p{-IS_GEORGIAN}', "");
Expect(1, 11566, '\p{^-IS_GEORGIAN}', "");
Expect(1, 11566, '\P{-IS_GEORGIAN}', "");
Expect(0, 11566, '\P{^-IS_GEORGIAN}', "");
Error('\p{/a/Geor}');
Error('\P{/a/Geor}');
Expect(1, 11565, '\p{geor}', "");
Expect(0, 11565, '\p{^geor}', "");
Expect(0, 11565, '\P{geor}', "");
Expect(1, 11565, '\P{^geor}', "");
Expect(0, 11566, '\p{geor}', "");
Expect(1, 11566, '\p{^geor}', "");
Expect(1, 11566, '\P{geor}', "");
Expect(0, 11566, '\P{^geor}', "");
Expect(1, 11565, '\p{-	geor}', "");
Expect(0, 11565, '\p{^-	geor}', "");
Expect(0, 11565, '\P{-	geor}', "");
Expect(1, 11565, '\P{^-	geor}', "");
Expect(0, 11566, '\p{-	geor}', "");
Expect(1, 11566, '\p{^-	geor}', "");
Expect(1, 11566, '\P{-	geor}', "");
Expect(0, 11566, '\P{^-	geor}', "");
Error('\p{:=__Is_geor}');
Error('\P{:=__Is_geor}');
Expect(1, 11565, '\p{isgeor}', "");
Expect(0, 11565, '\p{^isgeor}', "");
Expect(0, 11565, '\P{isgeor}', "");
Expect(1, 11565, '\P{^isgeor}', "");
Expect(0, 11566, '\p{isgeor}', "");
Expect(1, 11566, '\p{^isgeor}', "");
Expect(1, 11566, '\P{isgeor}', "");
Expect(0, 11566, '\P{^isgeor}', "");
Expect(1, 11565, '\p{ is_GEOR}', "");
Expect(0, 11565, '\p{^ is_GEOR}', "");
Expect(0, 11565, '\P{ is_GEOR}', "");
Expect(1, 11565, '\P{^ is_GEOR}', "");
Expect(0, 11566, '\p{ is_GEOR}', "");
Expect(1, 11566, '\p{^ is_GEOR}', "");
Expect(1, 11566, '\P{ is_GEOR}', "");
Expect(0, 11566, '\P{^ is_GEOR}', "");
Error('\p{ :=Georgian_supplement}');
Error('\P{ :=Georgian_supplement}');
Expect(1, 11567, '\p{georgiansupplement}', "");
Expect(0, 11567, '\p{^georgiansupplement}', "");
Expect(0, 11567, '\P{georgiansupplement}', "");
Expect(1, 11567, '\P{^georgiansupplement}', "");
Expect(0, 11568, '\p{georgiansupplement}', "");
Expect(1, 11568, '\p{^georgiansupplement}', "");
Expect(1, 11568, '\P{georgiansupplement}', "");
Expect(0, 11568, '\P{^georgiansupplement}', "");
Expect(1, 11567, '\p{_	Georgian_SUPPLEMENT}', "");
Expect(0, 11567, '\p{^_	Georgian_SUPPLEMENT}', "");
Expect(0, 11567, '\P{_	Georgian_SUPPLEMENT}', "");
Expect(1, 11567, '\P{^_	Georgian_SUPPLEMENT}', "");
Expect(0, 11568, '\p{_	Georgian_SUPPLEMENT}', "");
Expect(1, 11568, '\p{^_	Georgian_SUPPLEMENT}', "");
Expect(1, 11568, '\P{_	Georgian_SUPPLEMENT}', "");
Expect(0, 11568, '\P{^_	Georgian_SUPPLEMENT}', "");
Error('\p{_-IS_Georgian_SUPPLEMENT:=}');
Error('\P{_-IS_Georgian_SUPPLEMENT:=}');
Expect(1, 11567, '\p{isgeorgiansupplement}', "");
Expect(0, 11567, '\p{^isgeorgiansupplement}', "");
Expect(0, 11567, '\P{isgeorgiansupplement}', "");
Expect(1, 11567, '\P{^isgeorgiansupplement}', "");
Expect(0, 11568, '\p{isgeorgiansupplement}', "");
Expect(1, 11568, '\p{^isgeorgiansupplement}', "");
Expect(1, 11568, '\P{isgeorgiansupplement}', "");
Expect(0, 11568, '\P{^isgeorgiansupplement}', "");
Expect(1, 11567, '\p{	is_GEORGIAN_SUPPLEMENT}', "");
Expect(0, 11567, '\p{^	is_GEORGIAN_SUPPLEMENT}', "");
Expect(0, 11567, '\P{	is_GEORGIAN_SUPPLEMENT}', "");
Expect(1, 11567, '\P{^	is_GEORGIAN_SUPPLEMENT}', "");
Expect(0, 11568, '\p{	is_GEORGIAN_SUPPLEMENT}', "");
Expect(1, 11568, '\p{^	is_GEORGIAN_SUPPLEMENT}', "");
Expect(1, 11568, '\P{	is_GEORGIAN_SUPPLEMENT}', "");
Expect(0, 11568, '\P{^	is_GEORGIAN_SUPPLEMENT}', "");
Error('\p{	-In_GEORGIAN_Supplement/a/}');
Error('\P{	-In_GEORGIAN_Supplement/a/}');
Expect(1, 11567, '\p{ingeorgiansupplement}', "");
Expect(0, 11567, '\p{^ingeorgiansupplement}', "");
Expect(0, 11567, '\P{ingeorgiansupplement}', "");
Expect(1, 11567, '\P{^ingeorgiansupplement}', "");
Expect(0, 11568, '\p{ingeorgiansupplement}', "");
Expect(1, 11568, '\p{^ingeorgiansupplement}', "");
Expect(1, 11568, '\P{ingeorgiansupplement}', "");
Expect(0, 11568, '\P{^ingeorgiansupplement}', "");
Expect(1, 11567, '\p{	In_GEORGIAN_supplement}', "");
Expect(0, 11567, '\p{^	In_GEORGIAN_supplement}', "");
Expect(0, 11567, '\P{	In_GEORGIAN_supplement}', "");
Expect(1, 11567, '\P{^	In_GEORGIAN_supplement}', "");
Expect(0, 11568, '\p{	In_GEORGIAN_supplement}', "");
Expect(1, 11568, '\p{^	In_GEORGIAN_supplement}', "");
Expect(1, 11568, '\P{	In_GEORGIAN_supplement}', "");
Expect(0, 11568, '\P{^	In_GEORGIAN_supplement}', "");
Error('\p{-	GEORGIAN_Sup:=}');
Error('\P{-	GEORGIAN_Sup:=}');
Expect(1, 11567, '\p{georgiansup}', "");
Expect(0, 11567, '\p{^georgiansup}', "");
Expect(0, 11567, '\P{georgiansup}', "");
Expect(1, 11567, '\P{^georgiansup}', "");
Expect(0, 11568, '\p{georgiansup}', "");
Expect(1, 11568, '\p{^georgiansup}', "");
Expect(1, 11568, '\P{georgiansup}', "");
Expect(0, 11568, '\P{^georgiansup}', "");
Expect(1, 11567, '\p{ -georgian_sup}', "");
Expect(0, 11567, '\p{^ -georgian_sup}', "");
Expect(0, 11567, '\P{ -georgian_sup}', "");
Expect(1, 11567, '\P{^ -georgian_sup}', "");
Expect(0, 11568, '\p{ -georgian_sup}', "");
Expect(1, 11568, '\p{^ -georgian_sup}', "");
Expect(1, 11568, '\P{ -georgian_sup}', "");
Expect(0, 11568, '\P{^ -georgian_sup}', "");
Error('\p{	:=Is_GEORGIAN_sup}');
Error('\P{	:=Is_GEORGIAN_sup}');
Expect(1, 11567, '\p{isgeorgiansup}', "");
Expect(0, 11567, '\p{^isgeorgiansup}', "");
Expect(0, 11567, '\P{isgeorgiansup}', "");
Expect(1, 11567, '\P{^isgeorgiansup}', "");
Expect(0, 11568, '\p{isgeorgiansup}', "");
Expect(1, 11568, '\p{^isgeorgiansup}', "");
Expect(1, 11568, '\P{isgeorgiansup}', "");
Expect(0, 11568, '\P{^isgeorgiansup}', "");
Expect(1, 11567, '\p{ 	Is_GEORGIAN_sup}', "");
Expect(0, 11567, '\p{^ 	Is_GEORGIAN_sup}', "");
Expect(0, 11567, '\P{ 	Is_GEORGIAN_sup}', "");
Expect(1, 11567, '\P{^ 	Is_GEORGIAN_sup}', "");
Expect(0, 11568, '\p{ 	Is_GEORGIAN_sup}', "");
Expect(1, 11568, '\p{^ 	Is_GEORGIAN_sup}', "");
Expect(1, 11568, '\P{ 	Is_GEORGIAN_sup}', "");
Expect(0, 11568, '\P{^ 	Is_GEORGIAN_sup}', "");
Error('\p{ :=In_GEORGIAN_Sup}');
Error('\P{ :=In_GEORGIAN_Sup}');
Expect(1, 11567, '\p{ingeorgiansup}', "");
Expect(0, 11567, '\p{^ingeorgiansup}', "");
Expect(0, 11567, '\P{ingeorgiansup}', "");
Expect(1, 11567, '\P{^ingeorgiansup}', "");
Expect(0, 11568, '\p{ingeorgiansup}', "");
Expect(1, 11568, '\p{^ingeorgiansup}', "");
Expect(1, 11568, '\P{ingeorgiansup}', "");
Expect(0, 11568, '\P{^ingeorgiansup}', "");
Expect(1, 11567, '\p{-In_Georgian_SUP}', "");
Expect(0, 11567, '\p{^-In_Georgian_SUP}', "");
Expect(0, 11567, '\P{-In_Georgian_SUP}', "");
Expect(1, 11567, '\P{^-In_Georgian_SUP}', "");
Expect(0, 11568, '\p{-In_Georgian_SUP}', "");
Expect(1, 11568, '\p{^-In_Georgian_SUP}', "");
Expect(1, 11568, '\P{-In_Georgian_SUP}', "");
Expect(0, 11568, '\P{^-In_Georgian_SUP}', "");
Error('\p{__Glagolitic/a/}');
Error('\P{__Glagolitic/a/}');
Expect(1, 11358, '\p{glagolitic}', "");
Expect(0, 11358, '\p{^glagolitic}', "");
Expect(0, 11358, '\P{glagolitic}', "");
Expect(1, 11358, '\P{^glagolitic}', "");
Expect(0, 11359, '\p{glagolitic}', "");
Expect(1, 11359, '\p{^glagolitic}', "");
Expect(1, 11359, '\P{glagolitic}', "");
Expect(0, 11359, '\P{^glagolitic}', "");
Expect(1, 11358, '\p{	GLAGOLITIC}', "");
Expect(0, 11358, '\p{^	GLAGOLITIC}', "");
Expect(0, 11358, '\P{	GLAGOLITIC}', "");
Expect(1, 11358, '\P{^	GLAGOLITIC}', "");
Expect(0, 11359, '\p{	GLAGOLITIC}', "");
Expect(1, 11359, '\p{^	GLAGOLITIC}', "");
Expect(1, 11359, '\P{	GLAGOLITIC}', "");
Expect(0, 11359, '\P{^	GLAGOLITIC}', "");
Error('\p{--is_glagolitic/a/}');
Error('\P{--is_glagolitic/a/}');
Expect(1, 11358, '\p{isglagolitic}', "");
Expect(0, 11358, '\p{^isglagolitic}', "");
Expect(0, 11358, '\P{isglagolitic}', "");
Expect(1, 11358, '\P{^isglagolitic}', "");
Expect(0, 11359, '\p{isglagolitic}', "");
Expect(1, 11359, '\p{^isglagolitic}', "");
Expect(1, 11359, '\P{isglagolitic}', "");
Expect(0, 11359, '\P{^isglagolitic}', "");
Expect(1, 11358, '\p{- IS_Glagolitic}', "");
Expect(0, 11358, '\p{^- IS_Glagolitic}', "");
Expect(0, 11358, '\P{- IS_Glagolitic}', "");
Expect(1, 11358, '\P{^- IS_Glagolitic}', "");
Expect(0, 11359, '\p{- IS_Glagolitic}', "");
Expect(1, 11359, '\p{^- IS_Glagolitic}', "");
Expect(1, 11359, '\P{- IS_Glagolitic}', "");
Expect(0, 11359, '\P{^- IS_Glagolitic}', "");
Error('\p{:=GLAG}');
Error('\P{:=GLAG}');
Expect(1, 11358, '\p{glag}', "");
Expect(0, 11358, '\p{^glag}', "");
Expect(0, 11358, '\P{glag}', "");
Expect(1, 11358, '\P{^glag}', "");
Expect(0, 11359, '\p{glag}', "");
Expect(1, 11359, '\p{^glag}', "");
Expect(1, 11359, '\P{glag}', "");
Expect(0, 11359, '\P{^glag}', "");
Expect(1, 11358, '\p{-_glag}', "");
Expect(0, 11358, '\p{^-_glag}', "");
Expect(0, 11358, '\P{-_glag}', "");
Expect(1, 11358, '\P{^-_glag}', "");
Expect(0, 11359, '\p{-_glag}', "");
Expect(1, 11359, '\p{^-_glag}', "");
Expect(1, 11359, '\P{-_glag}', "");
Expect(0, 11359, '\P{^-_glag}', "");
Error('\p{/a/	-IS_Glag}');
Error('\P{/a/	-IS_Glag}');
Expect(1, 11358, '\p{isglag}', "");
Expect(0, 11358, '\p{^isglag}', "");
Expect(0, 11358, '\P{isglag}', "");
Expect(1, 11358, '\P{^isglag}', "");
Expect(0, 11359, '\p{isglag}', "");
Expect(1, 11359, '\p{^isglag}', "");
Expect(1, 11359, '\P{isglag}', "");
Expect(0, 11359, '\P{^isglag}', "");
Expect(1, 11358, '\p{		Is_Glag}', "");
Expect(0, 11358, '\p{^		Is_Glag}', "");
Expect(0, 11358, '\P{		Is_Glag}', "");
Expect(1, 11358, '\P{^		Is_Glag}', "");
Expect(0, 11359, '\p{		Is_Glag}', "");
Expect(1, 11359, '\p{^		Is_Glag}', "");
Expect(1, 11359, '\P{		Is_Glag}', "");
Expect(0, 11359, '\P{^		Is_Glag}', "");
Error('\p{/a/-Gothic}');
Error('\P{/a/-Gothic}');
Expect(1, 66378, '\p{gothic}', "");
Expect(0, 66378, '\p{^gothic}', "");
Expect(0, 66378, '\P{gothic}', "");
Expect(1, 66378, '\P{^gothic}', "");
Expect(0, 66379, '\p{gothic}', "");
Expect(1, 66379, '\p{^gothic}', "");
Expect(1, 66379, '\P{gothic}', "");
Expect(0, 66379, '\P{^gothic}', "");
Expect(1, 66378, '\p{-gothic}', "");
Expect(0, 66378, '\p{^-gothic}', "");
Expect(0, 66378, '\P{-gothic}', "");
Expect(1, 66378, '\P{^-gothic}', "");
Expect(0, 66379, '\p{-gothic}', "");
Expect(1, 66379, '\p{^-gothic}', "");
Expect(1, 66379, '\P{-gothic}', "");
Expect(0, 66379, '\P{^-gothic}', "");
Error('\p{_/a/Is_Gothic}');
Error('\P{_/a/Is_Gothic}');
Expect(1, 66378, '\p{isgothic}', "");
Expect(0, 66378, '\p{^isgothic}', "");
Expect(0, 66378, '\P{isgothic}', "");
Expect(1, 66378, '\P{^isgothic}', "");
Expect(0, 66379, '\p{isgothic}', "");
Expect(1, 66379, '\p{^isgothic}', "");
Expect(1, 66379, '\P{isgothic}', "");
Expect(0, 66379, '\P{^isgothic}', "");
Expect(1, 66378, '\p{ -IS_gothic}', "");
Expect(0, 66378, '\p{^ -IS_gothic}', "");
Expect(0, 66378, '\P{ -IS_gothic}', "");
Expect(1, 66378, '\P{^ -IS_gothic}', "");
Expect(0, 66379, '\p{ -IS_gothic}', "");
Expect(1, 66379, '\p{^ -IS_gothic}', "");
Expect(1, 66379, '\P{ -IS_gothic}', "");
Expect(0, 66379, '\P{^ -IS_gothic}', "");
Error('\p{:=_	Goth}');
Error('\P{:=_	Goth}');
Expect(1, 66378, '\p{goth}', "");
Expect(0, 66378, '\p{^goth}', "");
Expect(0, 66378, '\P{goth}', "");
Expect(1, 66378, '\P{^goth}', "");
Expect(0, 66379, '\p{goth}', "");
Expect(1, 66379, '\p{^goth}', "");
Expect(1, 66379, '\P{goth}', "");
Expect(0, 66379, '\P{^goth}', "");
Expect(1, 66378, '\p{	 Goth}', "");
Expect(0, 66378, '\p{^	 Goth}', "");
Expect(0, 66378, '\P{	 Goth}', "");
Expect(1, 66378, '\P{^	 Goth}', "");
Expect(0, 66379, '\p{	 Goth}', "");
Expect(1, 66379, '\p{^	 Goth}', "");
Expect(1, 66379, '\P{	 Goth}', "");
Expect(0, 66379, '\P{^	 Goth}', "");
Error('\p{/a/ is_Goth}');
Error('\P{/a/ is_Goth}');
Expect(1, 66378, '\p{isgoth}', "");
Expect(0, 66378, '\p{^isgoth}', "");
Expect(0, 66378, '\P{isgoth}', "");
Expect(1, 66378, '\P{^isgoth}', "");
Expect(0, 66379, '\p{isgoth}', "");
Expect(1, 66379, '\p{^isgoth}', "");
Expect(1, 66379, '\P{isgoth}', "");
Expect(0, 66379, '\P{^isgoth}', "");
Expect(1, 66378, '\p{_is_Goth}', "");
Expect(0, 66378, '\p{^_is_Goth}', "");
Expect(0, 66378, '\P{_is_Goth}', "");
Expect(1, 66378, '\P{^_is_Goth}', "");
Expect(0, 66379, '\p{_is_Goth}', "");
Expect(1, 66379, '\p{^_is_Goth}', "");
Expect(1, 66379, '\P{_is_Goth}', "");
Expect(0, 66379, '\P{^_is_Goth}', "");
Error('\p{-:=grantha}');
Error('\P{-:=grantha}');
Expect(1, 70516, '\p{grantha}', "");
Expect(0, 70516, '\p{^grantha}', "");
Expect(0, 70516, '\P{grantha}', "");
Expect(1, 70516, '\P{^grantha}', "");
Expect(0, 70517, '\p{grantha}', "");
Expect(1, 70517, '\p{^grantha}', "");
Expect(1, 70517, '\P{grantha}', "");
Expect(0, 70517, '\P{^grantha}', "");
Expect(1, 70516, '\p{-GRANTHA}', "");
Expect(0, 70516, '\p{^-GRANTHA}', "");
Expect(0, 70516, '\P{-GRANTHA}', "");
Expect(1, 70516, '\P{^-GRANTHA}', "");
Expect(0, 70517, '\p{-GRANTHA}', "");
Expect(1, 70517, '\p{^-GRANTHA}', "");
Expect(1, 70517, '\P{-GRANTHA}', "");
Expect(0, 70517, '\P{^-GRANTHA}', "");
Error('\p{ :=is_Grantha}');
Error('\P{ :=is_Grantha}');
Expect(1, 70516, '\p{isgrantha}', "");
Expect(0, 70516, '\p{^isgrantha}', "");
Expect(0, 70516, '\P{isgrantha}', "");
Expect(1, 70516, '\P{^isgrantha}', "");
Expect(0, 70517, '\p{isgrantha}', "");
Expect(1, 70517, '\p{^isgrantha}', "");
Expect(1, 70517, '\P{isgrantha}', "");
Expect(0, 70517, '\P{^isgrantha}', "");
Expect(1, 70516, '\p{--Is_Grantha}', "");
Expect(0, 70516, '\p{^--Is_Grantha}', "");
Expect(0, 70516, '\P{--Is_Grantha}', "");
Expect(1, 70516, '\P{^--Is_Grantha}', "");
Expect(0, 70517, '\p{--Is_Grantha}', "");
Expect(1, 70517, '\p{^--Is_Grantha}', "");
Expect(1, 70517, '\P{--Is_Grantha}', "");
Expect(0, 70517, '\P{^--Is_Grantha}', "");
Error('\p{/a/Gran}');
Error('\P{/a/Gran}');
Expect(1, 70516, '\p{gran}', "");
Expect(0, 70516, '\p{^gran}', "");
Expect(0, 70516, '\P{gran}', "");
Expect(1, 70516, '\P{^gran}', "");
Expect(0, 70517, '\p{gran}', "");
Expect(1, 70517, '\p{^gran}', "");
Expect(1, 70517, '\P{gran}', "");
Expect(0, 70517, '\P{^gran}', "");
Expect(1, 70516, '\p{_-GRAN}', "");
Expect(0, 70516, '\p{^_-GRAN}', "");
Expect(0, 70516, '\P{_-GRAN}', "");
Expect(1, 70516, '\P{^_-GRAN}', "");
Expect(0, 70517, '\p{_-GRAN}', "");
Expect(1, 70517, '\p{^_-GRAN}', "");
Expect(1, 70517, '\P{_-GRAN}', "");
Expect(0, 70517, '\P{^_-GRAN}', "");
Error('\p{	 Is_Gran:=}');
Error('\P{	 Is_Gran:=}');
Expect(1, 70516, '\p{isgran}', "");
Expect(0, 70516, '\p{^isgran}', "");
Expect(0, 70516, '\P{isgran}', "");
Expect(1, 70516, '\P{^isgran}', "");
Expect(0, 70517, '\p{isgran}', "");
Expect(1, 70517, '\p{^isgran}', "");
Expect(1, 70517, '\P{isgran}', "");
Expect(0, 70517, '\P{^isgran}', "");
Expect(1, 70516, '\p{	 Is_GRAN}', "");
Expect(0, 70516, '\p{^	 Is_GRAN}', "");
Expect(0, 70516, '\P{	 Is_GRAN}', "");
Expect(1, 70516, '\P{^	 Is_GRAN}', "");
Expect(0, 70517, '\p{	 Is_GRAN}', "");
Expect(1, 70517, '\p{^	 Is_GRAN}', "");
Expect(1, 70517, '\P{	 Is_GRAN}', "");
Expect(0, 70517, '\P{^	 Is_GRAN}', "");
Error('\p{_XPosixGraph:=}');
Error('\P{_XPosixGraph:=}');
Expect(1, 1114109, '\p{xposixgraph}', "");
Expect(0, 1114109, '\p{^xposixgraph}', "");
Expect(0, 1114109, '\P{xposixgraph}', "");
Expect(1, 1114109, '\P{^xposixgraph}', "");
Expect(0, 918000, '\p{xposixgraph}', "");
Expect(1, 918000, '\p{^xposixgraph}', "");
Expect(1, 918000, '\P{xposixgraph}', "");
Expect(0, 918000, '\P{^xposixgraph}', "");
Expect(1, 1114109, '\p{ 	XPOSIXGRAPH}', "");
Expect(0, 1114109, '\p{^ 	XPOSIXGRAPH}', "");
Expect(0, 1114109, '\P{ 	XPOSIXGRAPH}', "");
Expect(1, 1114109, '\P{^ 	XPOSIXGRAPH}', "");
Expect(0, 918000, '\p{ 	XPOSIXGRAPH}', "");
Expect(1, 918000, '\p{^ 	XPOSIXGRAPH}', "");
Expect(1, 918000, '\P{ 	XPOSIXGRAPH}', "");
Expect(0, 918000, '\P{^ 	XPOSIXGRAPH}', "");
Error('\p{- GRAPH:=}');
Error('\P{- GRAPH:=}');
Expect(1, 1114109, '\p{graph}', "");
Expect(0, 1114109, '\p{^graph}', "");
Expect(0, 1114109, '\P{graph}', "");
Expect(1, 1114109, '\P{^graph}', "");
Expect(0, 918000, '\p{graph}', "");
Expect(1, 918000, '\p{^graph}', "");
Expect(1, 918000, '\P{graph}', "");
Expect(0, 918000, '\P{^graph}', "");
Expect(1, 1114109, '\p{_-Graph}', "");
Expect(0, 1114109, '\p{^_-Graph}', "");
Expect(0, 1114109, '\P{_-Graph}', "");
Expect(1, 1114109, '\P{^_-Graph}', "");
Expect(0, 918000, '\p{_-Graph}', "");
Expect(1, 918000, '\p{^_-Graph}', "");
Expect(1, 918000, '\P{_-Graph}', "");
Expect(0, 918000, '\P{^_-Graph}', "");
Error('\p{-:=Is_xposixgraph}');
Error('\P{-:=Is_xposixgraph}');
Expect(1, 1114109, '\p{isxposixgraph}', "");
Expect(0, 1114109, '\p{^isxposixgraph}', "");
Expect(0, 1114109, '\P{isxposixgraph}', "");
Expect(1, 1114109, '\P{^isxposixgraph}', "");
Expect(0, 918000, '\p{isxposixgraph}', "");
Expect(1, 918000, '\p{^isxposixgraph}', "");
Expect(1, 918000, '\P{isxposixgraph}', "");
Expect(0, 918000, '\P{^isxposixgraph}', "");
Expect(1, 1114109, '\p{	Is_xposixgraph}', "");
Expect(0, 1114109, '\p{^	Is_xposixgraph}', "");
Expect(0, 1114109, '\P{	Is_xposixgraph}', "");
Expect(1, 1114109, '\P{^	Is_xposixgraph}', "");
Expect(0, 918000, '\p{	Is_xposixgraph}', "");
Expect(1, 918000, '\p{^	Is_xposixgraph}', "");
Expect(1, 918000, '\P{	Is_xposixgraph}', "");
Expect(0, 918000, '\P{^	Is_xposixgraph}', "");
Error('\p{_Is_GRAPH/a/}');
Error('\P{_Is_GRAPH/a/}');
Expect(1, 1114109, '\p{isgraph}', "");
Expect(0, 1114109, '\p{^isgraph}', "");
Expect(0, 1114109, '\P{isgraph}', "");
Expect(1, 1114109, '\P{^isgraph}', "");
Expect(0, 918000, '\p{isgraph}', "");
Expect(1, 918000, '\p{^isgraph}', "");
Expect(1, 918000, '\P{isgraph}', "");
Expect(0, 918000, '\P{^isgraph}', "");
Expect(1, 1114109, '\p{--IS_Graph}', "");
Expect(0, 1114109, '\p{^--IS_Graph}', "");
Expect(0, 1114109, '\P{--IS_Graph}', "");
Expect(1, 1114109, '\P{^--IS_Graph}', "");
Expect(0, 918000, '\p{--IS_Graph}', "");
Expect(1, 918000, '\p{^--IS_Graph}', "");
Expect(1, 918000, '\P{--IS_Graph}', "");
Expect(0, 918000, '\P{^--IS_Graph}', "");
Error('\p{/a/_Grapheme_Base}');
Error('\P{/a/_Grapheme_Base}');
Expect(1, 195101, '\p{graphemebase}', "");
Expect(0, 195101, '\p{^graphemebase}', "");
Expect(0, 195101, '\P{graphemebase}', "");
Expect(1, 195101, '\P{^graphemebase}', "");
Expect(0, 195102, '\p{graphemebase}', "");
Expect(1, 195102, '\p{^graphemebase}', "");
Expect(1, 195102, '\P{graphemebase}', "");
Expect(0, 195102, '\P{^graphemebase}', "");
Expect(1, 195101, '\p{_ Grapheme_Base}', "");
Expect(0, 195101, '\p{^_ Grapheme_Base}', "");
Expect(0, 195101, '\P{_ Grapheme_Base}', "");
Expect(1, 195101, '\P{^_ Grapheme_Base}', "");
Expect(0, 195102, '\p{_ Grapheme_Base}', "");
Expect(1, 195102, '\p{^_ Grapheme_Base}', "");
Expect(1, 195102, '\P{_ Grapheme_Base}', "");
Expect(0, 195102, '\P{^_ Grapheme_Base}', "");
Error('\p{_	IS_Grapheme_BASE:=}');
Error('\P{_	IS_Grapheme_BASE:=}');
Expect(1, 195101, '\p{isgraphemebase}', "");
Expect(0, 195101, '\p{^isgraphemebase}', "");
Expect(0, 195101, '\P{isgraphemebase}', "");
Expect(1, 195101, '\P{^isgraphemebase}', "");
Expect(0, 195102, '\p{isgraphemebase}', "");
Expect(1, 195102, '\p{^isgraphemebase}', "");
Expect(1, 195102, '\P{isgraphemebase}', "");
Expect(0, 195102, '\P{^isgraphemebase}', "");
Expect(1, 195101, '\p{ IS_Grapheme_Base}', "");
Expect(0, 195101, '\p{^ IS_Grapheme_Base}', "");
Expect(0, 195101, '\P{ IS_Grapheme_Base}', "");
Expect(1, 195101, '\P{^ IS_Grapheme_Base}', "");
Expect(0, 195102, '\p{ IS_Grapheme_Base}', "");
Expect(1, 195102, '\p{^ IS_Grapheme_Base}', "");
Expect(1, 195102, '\P{ IS_Grapheme_Base}', "");
Expect(0, 195102, '\P{^ IS_Grapheme_Base}', "");
Error('\p{-:=Gr_Base}');
Error('\P{-:=Gr_Base}');
Expect(1, 195101, '\p{grbase}', "");
Expect(0, 195101, '\p{^grbase}', "");
Expect(0, 195101, '\P{grbase}', "");
Expect(1, 195101, '\P{^grbase}', "");
Expect(0, 195102, '\p{grbase}', "");
Expect(1, 195102, '\p{^grbase}', "");
Expect(1, 195102, '\P{grbase}', "");
Expect(0, 195102, '\P{^grbase}', "");
Expect(1, 195101, '\p{	 gr_Base}', "");
Expect(0, 195101, '\p{^	 gr_Base}', "");
Expect(0, 195101, '\P{	 gr_Base}', "");
Expect(1, 195101, '\P{^	 gr_Base}', "");
Expect(0, 195102, '\p{	 gr_Base}', "");
Expect(1, 195102, '\p{^	 gr_Base}', "");
Expect(1, 195102, '\P{	 gr_Base}', "");
Expect(0, 195102, '\P{^	 gr_Base}', "");
Error('\p{/a/-_is_gr_base}');
Error('\P{/a/-_is_gr_base}');
Expect(1, 195101, '\p{isgrbase}', "");
Expect(0, 195101, '\p{^isgrbase}', "");
Expect(0, 195101, '\P{isgrbase}', "");
Expect(1, 195101, '\P{^isgrbase}', "");
Expect(0, 195102, '\p{isgrbase}', "");
Expect(1, 195102, '\p{^isgrbase}', "");
Expect(1, 195102, '\P{isgrbase}', "");
Expect(0, 195102, '\P{^isgrbase}', "");
Expect(1, 195101, '\p{ _IS_GR_Base}', "");
Expect(0, 195101, '\p{^ _IS_GR_Base}', "");
Expect(0, 195101, '\P{ _IS_GR_Base}', "");
Expect(1, 195101, '\P{^ _IS_GR_Base}', "");
Expect(0, 195102, '\p{ _IS_GR_Base}', "");
Expect(1, 195102, '\p{^ _IS_GR_Base}', "");
Expect(1, 195102, '\P{ _IS_GR_Base}', "");
Expect(0, 195102, '\P{^ _IS_GR_Base}', "");
Error('\p{/a/Grapheme_EXTEND}');
Error('\P{/a/Grapheme_EXTEND}');
Expect(1, 917999, '\p{graphemeextend}', "");
Expect(0, 917999, '\p{^graphemeextend}', "");
Expect(0, 917999, '\P{graphemeextend}', "");
Expect(1, 917999, '\P{^graphemeextend}', "");
Expect(0, 918000, '\p{graphemeextend}', "");
Expect(1, 918000, '\p{^graphemeextend}', "");
Expect(1, 918000, '\P{graphemeextend}', "");
Expect(0, 918000, '\P{^graphemeextend}', "");
Expect(1, 917999, '\p{- GRAPHEME_Extend}', "");
Expect(0, 917999, '\p{^- GRAPHEME_Extend}', "");
Expect(0, 917999, '\P{- GRAPHEME_Extend}', "");
Expect(1, 917999, '\P{^- GRAPHEME_Extend}', "");
Expect(0, 918000, '\p{- GRAPHEME_Extend}', "");
Expect(1, 918000, '\p{^- GRAPHEME_Extend}', "");
Expect(1, 918000, '\P{- GRAPHEME_Extend}', "");
Expect(0, 918000, '\P{^- GRAPHEME_Extend}', "");
Error('\p{/a/_-IS_Grapheme_extend}');
Error('\P{/a/_-IS_Grapheme_extend}');
Expect(1, 917999, '\p{isgraphemeextend}', "");
Expect(0, 917999, '\p{^isgraphemeextend}', "");
Expect(0, 917999, '\P{isgraphemeextend}', "");
Expect(1, 917999, '\P{^isgraphemeextend}', "");
Expect(0, 918000, '\p{isgraphemeextend}', "");
Expect(1, 918000, '\p{^isgraphemeextend}', "");
Expect(1, 918000, '\P{isgraphemeextend}', "");
Expect(0, 918000, '\P{^isgraphemeextend}', "");
Expect(1, 917999, '\p{-is_Grapheme_extend}', "");
Expect(0, 917999, '\p{^-is_Grapheme_extend}', "");
Expect(0, 917999, '\P{-is_Grapheme_extend}', "");
Expect(1, 917999, '\P{^-is_Grapheme_extend}', "");
Expect(0, 918000, '\p{-is_Grapheme_extend}', "");
Expect(1, 918000, '\p{^-is_Grapheme_extend}', "");
Expect(1, 918000, '\P{-is_Grapheme_extend}', "");
Expect(0, 918000, '\P{^-is_Grapheme_extend}', "");
Error('\p{ :=GR_Ext}');
Error('\P{ :=GR_Ext}');
Expect(1, 917999, '\p{grext}', "");
Expect(0, 917999, '\p{^grext}', "");
Expect(0, 917999, '\P{grext}', "");
Expect(1, 917999, '\P{^grext}', "");
Expect(0, 918000, '\p{grext}', "");
Expect(1, 918000, '\p{^grext}', "");
Expect(1, 918000, '\P{grext}', "");
Expect(0, 918000, '\P{^grext}', "");
Expect(1, 917999, '\p{	_gr_Ext}', "");
Expect(0, 917999, '\p{^	_gr_Ext}', "");
Expect(0, 917999, '\P{	_gr_Ext}', "");
Expect(1, 917999, '\P{^	_gr_Ext}', "");
Expect(0, 918000, '\p{	_gr_Ext}', "");
Expect(1, 918000, '\p{^	_gr_Ext}', "");
Expect(1, 918000, '\P{	_gr_Ext}', "");
Expect(0, 918000, '\P{^	_gr_Ext}', "");
Error('\p{-:=IS_gr_ext}');
Error('\P{-:=IS_gr_ext}');
Expect(1, 917999, '\p{isgrext}', "");
Expect(0, 917999, '\p{^isgrext}', "");
Expect(0, 917999, '\P{isgrext}', "");
Expect(1, 917999, '\P{^isgrext}', "");
Expect(0, 918000, '\p{isgrext}', "");
Expect(1, 918000, '\p{^isgrext}', "");
Expect(1, 918000, '\P{isgrext}', "");
Expect(0, 918000, '\P{^isgrext}', "");
Expect(1, 917999, '\p{  is_GR_ext}', "");
Expect(0, 917999, '\p{^  is_GR_ext}', "");
Expect(0, 917999, '\P{  is_GR_ext}', "");
Expect(1, 917999, '\P{^  is_GR_ext}', "");
Expect(0, 918000, '\p{  is_GR_ext}', "");
Expect(1, 918000, '\p{^  is_GR_ext}', "");
Expect(1, 918000, '\P{  is_GR_ext}', "");
Expect(0, 918000, '\P{^  is_GR_ext}', "");
Error('\p{Grapheme_Link}');
Error('\P{Grapheme_Link}');
Error('\p{Is_Grapheme_Link}');
Error('\P{Is_Grapheme_Link}');
Error('\p{Gr_Link}');
Error('\P{Gr_Link}');
Error('\p{Is_Gr_Link}');
Error('\P{Is_Gr_Link}');
Error('\p{GREEK:=}');
Error('\P{GREEK:=}');
Expect(1, 119365, '\p{greek}', "");
Expect(0, 119365, '\p{^greek}', "");
Expect(0, 119365, '\P{greek}', "");
Expect(1, 119365, '\P{^greek}', "");
Expect(0, 119366, '\p{greek}', "");
Expect(1, 119366, '\p{^greek}', "");
Expect(1, 119366, '\P{greek}', "");
Expect(0, 119366, '\P{^greek}', "");
Expect(1, 119365, '\p{Greek}', "");
Expect(0, 119365, '\p{^Greek}', "");
Expect(0, 119365, '\P{Greek}', "");
Expect(1, 119365, '\P{^Greek}', "");
Expect(0, 119366, '\p{Greek}', "");
Expect(1, 119366, '\p{^Greek}', "");
Expect(1, 119366, '\P{Greek}', "");
Expect(0, 119366, '\P{^Greek}', "");
Error('\p{:=-is_greek}');
Error('\P{:=-is_greek}');
Expect(1, 119365, '\p{isgreek}', "");
Expect(0, 119365, '\p{^isgreek}', "");
Expect(0, 119365, '\P{isgreek}', "");
Expect(1, 119365, '\P{^isgreek}', "");
Expect(0, 119366, '\p{isgreek}', "");
Expect(1, 119366, '\p{^isgreek}', "");
Expect(1, 119366, '\P{isgreek}', "");
Expect(0, 119366, '\P{^isgreek}', "");
Expect(1, 119365, '\p{	_IS_greek}', "");
Expect(0, 119365, '\p{^	_IS_greek}', "");
Expect(0, 119365, '\P{	_IS_greek}', "");
Expect(1, 119365, '\P{^	_IS_greek}', "");
Expect(0, 119366, '\p{	_IS_greek}', "");
Expect(1, 119366, '\p{^	_IS_greek}', "");
Expect(1, 119366, '\P{	_IS_greek}', "");
Expect(0, 119366, '\P{^	_IS_greek}', "");
Error('\p{/a/- Grek}');
Error('\P{/a/- Grek}');
Expect(1, 119365, '\p{grek}', "");
Expect(0, 119365, '\p{^grek}', "");
Expect(0, 119365, '\P{grek}', "");
Expect(1, 119365, '\P{^grek}', "");
Expect(0, 119366, '\p{grek}', "");
Expect(1, 119366, '\p{^grek}', "");
Expect(1, 119366, '\P{grek}', "");
Expect(0, 119366, '\P{^grek}', "");
Expect(1, 119365, '\p{	grek}', "");
Expect(0, 119365, '\p{^	grek}', "");
Expect(0, 119365, '\P{	grek}', "");
Expect(1, 119365, '\P{^	grek}', "");
Expect(0, 119366, '\p{	grek}', "");
Expect(1, 119366, '\p{^	grek}', "");
Expect(1, 119366, '\P{	grek}', "");
Expect(0, 119366, '\P{^	grek}', "");
Error('\p{__Is_GREK:=}');
Error('\P{__Is_GREK:=}');
Expect(1, 119365, '\p{isgrek}', "");
Expect(0, 119365, '\p{^isgrek}', "");
Expect(0, 119365, '\P{isgrek}', "");
Expect(1, 119365, '\P{^isgrek}', "");
Expect(0, 119366, '\p{isgrek}', "");
Expect(1, 119366, '\p{^isgrek}', "");
Expect(1, 119366, '\P{isgrek}', "");
Expect(0, 119366, '\P{^isgrek}', "");
Expect(1, 119365, '\p{_is_grek}', "");
Expect(0, 119365, '\p{^_is_grek}', "");
Expect(0, 119365, '\P{_is_grek}', "");
Expect(1, 119365, '\P{^_is_grek}', "");
Expect(0, 119366, '\p{_is_grek}', "");
Expect(1, 119366, '\p{^_is_grek}', "");
Expect(1, 119366, '\P{_is_grek}', "");
Expect(0, 119366, '\P{^_is_grek}', "");
Error('\p{_Greek_And_coptic:=}');
Error('\P{_Greek_And_coptic:=}');
Expect(1, 1023, '\p{greekandcoptic}', "");
Expect(0, 1023, '\p{^greekandcoptic}', "");
Expect(0, 1023, '\P{greekandcoptic}', "");
Expect(1, 1023, '\P{^greekandcoptic}', "");
Expect(0, 1024, '\p{greekandcoptic}', "");
Expect(1, 1024, '\p{^greekandcoptic}', "");
Expect(1, 1024, '\P{greekandcoptic}', "");
Expect(0, 1024, '\P{^greekandcoptic}', "");
Expect(1, 1023, '\p{-greek_And_COPTIC}', "");
Expect(0, 1023, '\p{^-greek_And_COPTIC}', "");
Expect(0, 1023, '\P{-greek_And_COPTIC}', "");
Expect(1, 1023, '\P{^-greek_And_COPTIC}', "");
Expect(0, 1024, '\p{-greek_And_COPTIC}', "");
Expect(1, 1024, '\p{^-greek_And_COPTIC}', "");
Expect(1, 1024, '\P{-greek_And_COPTIC}', "");
Expect(0, 1024, '\P{^-greek_And_COPTIC}', "");
Error('\p{ :=Is_Greek_And_COPTIC}');
Error('\P{ :=Is_Greek_And_COPTIC}');
Expect(1, 1023, '\p{isgreekandcoptic}', "");
Expect(0, 1023, '\p{^isgreekandcoptic}', "");
Expect(0, 1023, '\P{isgreekandcoptic}', "");
Expect(1, 1023, '\P{^isgreekandcoptic}', "");
Expect(0, 1024, '\p{isgreekandcoptic}', "");
Expect(1, 1024, '\p{^isgreekandcoptic}', "");
Expect(1, 1024, '\P{isgreekandcoptic}', "");
Expect(0, 1024, '\P{^isgreekandcoptic}', "");
Expect(1, 1023, '\p{ IS_greek_AND_COPTIC}', "");
Expect(0, 1023, '\p{^ IS_greek_AND_COPTIC}', "");
Expect(0, 1023, '\P{ IS_greek_AND_COPTIC}', "");
Expect(1, 1023, '\P{^ IS_greek_AND_COPTIC}', "");
Expect(0, 1024, '\p{ IS_greek_AND_COPTIC}', "");
Expect(1, 1024, '\p{^ IS_greek_AND_COPTIC}', "");
Expect(1, 1024, '\P{ IS_greek_AND_COPTIC}', "");
Expect(0, 1024, '\P{^ IS_greek_AND_COPTIC}', "");
Error('\p{	:=In_GREEK_And_COPTIC}');
Error('\P{	:=In_GREEK_And_COPTIC}');
Expect(1, 1023, '\p{ingreekandcoptic}', "");
Expect(0, 1023, '\p{^ingreekandcoptic}', "");
Expect(0, 1023, '\P{ingreekandcoptic}', "");
Expect(1, 1023, '\P{^ingreekandcoptic}', "");
Expect(0, 1024, '\p{ingreekandcoptic}', "");
Expect(1, 1024, '\p{^ingreekandcoptic}', "");
Expect(1, 1024, '\P{ingreekandcoptic}', "");
Expect(0, 1024, '\P{^ingreekandcoptic}', "");
Expect(1, 1023, '\p{		in_Greek_And_Coptic}', "");
Expect(0, 1023, '\p{^		in_Greek_And_Coptic}', "");
Expect(0, 1023, '\P{		in_Greek_And_Coptic}', "");
Expect(1, 1023, '\P{^		in_Greek_And_Coptic}', "");
Expect(0, 1024, '\p{		in_Greek_And_Coptic}', "");
Expect(1, 1024, '\p{^		in_Greek_And_Coptic}', "");
Expect(1, 1024, '\P{		in_Greek_And_Coptic}', "");
Expect(0, 1024, '\P{^		in_Greek_And_Coptic}', "");
Error('\p{/a/__In_Greek}');
Error('\P{/a/__In_Greek}');
Expect(1, 1023, '\p{ingreek}', "");
Expect(0, 1023, '\p{^ingreek}', "");
Expect(0, 1023, '\P{ingreek}', "");
Expect(1, 1023, '\P{^ingreek}', "");
Expect(0, 1024, '\p{ingreek}', "");
Expect(1, 1024, '\p{^ingreek}', "");
Expect(1, 1024, '\P{ingreek}', "");
Expect(0, 1024, '\P{^ingreek}', "");
Expect(1, 1023, '\p{-In_Greek}', "");
Expect(0, 1023, '\p{^-In_Greek}', "");
Expect(0, 1023, '\P{-In_Greek}', "");
Expect(1, 1023, '\P{^-In_Greek}', "");
Expect(0, 1024, '\p{-In_Greek}', "");
Expect(1, 1024, '\p{^-In_Greek}', "");
Expect(1, 1024, '\P{-In_Greek}', "");
Expect(0, 1024, '\P{^-In_Greek}', "");
Error('\p{:=_greek_EXTENDED}');
Error('\P{:=_greek_EXTENDED}');
Expect(1, 8191, '\p{greekextended}', "");
Expect(0, 8191, '\p{^greekextended}', "");
Expect(0, 8191, '\P{greekextended}', "");
Expect(1, 8191, '\P{^greekextended}', "");
Expect(0, 8192, '\p{greekextended}', "");
Expect(1, 8192, '\p{^greekextended}', "");
Expect(1, 8192, '\P{greekextended}', "");
Expect(0, 8192, '\P{^greekextended}', "");
Expect(1, 8191, '\p{Greek_Extended}', "");
Expect(0, 8191, '\p{^Greek_Extended}', "");
Expect(0, 8191, '\P{Greek_Extended}', "");
Expect(1, 8191, '\P{^Greek_Extended}', "");
Expect(0, 8192, '\p{Greek_Extended}', "");
Expect(1, 8192, '\p{^Greek_Extended}', "");
Expect(1, 8192, '\P{Greek_Extended}', "");
Expect(0, 8192, '\P{^Greek_Extended}', "");
Error('\p{:=_Is_GREEK_Extended}');
Error('\P{:=_Is_GREEK_Extended}');
Expect(1, 8191, '\p{isgreekextended}', "");
Expect(0, 8191, '\p{^isgreekextended}', "");
Expect(0, 8191, '\P{isgreekextended}', "");
Expect(1, 8191, '\P{^isgreekextended}', "");
Expect(0, 8192, '\p{isgreekextended}', "");
Expect(1, 8192, '\p{^isgreekextended}', "");
Expect(1, 8192, '\P{isgreekextended}', "");
Expect(0, 8192, '\P{^isgreekextended}', "");
Expect(1, 8191, '\p{ -IS_Greek_extended}', "");
Expect(0, 8191, '\p{^ -IS_Greek_extended}', "");
Expect(0, 8191, '\P{ -IS_Greek_extended}', "");
Expect(1, 8191, '\P{^ -IS_Greek_extended}', "");
Expect(0, 8192, '\p{ -IS_Greek_extended}', "");
Expect(1, 8192, '\p{^ -IS_Greek_extended}', "");
Expect(1, 8192, '\P{ -IS_Greek_extended}', "");
Expect(0, 8192, '\P{^ -IS_Greek_extended}', "");
Error('\p{	:=In_greek_Extended}');
Error('\P{	:=In_greek_Extended}');
Expect(1, 8191, '\p{ingreekextended}', "");
Expect(0, 8191, '\p{^ingreekextended}', "");
Expect(0, 8191, '\P{ingreekextended}', "");
Expect(1, 8191, '\P{^ingreekextended}', "");
Expect(0, 8192, '\p{ingreekextended}', "");
Expect(1, 8192, '\p{^ingreekextended}', "");
Expect(1, 8192, '\P{ingreekextended}', "");
Expect(0, 8192, '\P{^ingreekextended}', "");
Expect(1, 8191, '\p{-In_GREEK_EXTENDED}', "");
Expect(0, 8191, '\p{^-In_GREEK_EXTENDED}', "");
Expect(0, 8191, '\P{-In_GREEK_EXTENDED}', "");
Expect(1, 8191, '\P{^-In_GREEK_EXTENDED}', "");
Expect(0, 8192, '\p{-In_GREEK_EXTENDED}', "");
Expect(1, 8192, '\p{^-In_GREEK_EXTENDED}', "");
Expect(1, 8192, '\P{-In_GREEK_EXTENDED}', "");
Expect(0, 8192, '\P{^-In_GREEK_EXTENDED}', "");
Error('\p{ -GREEK_Ext:=}');
Error('\P{ -GREEK_Ext:=}');
Expect(1, 8191, '\p{greekext}', "");
Expect(0, 8191, '\p{^greekext}', "");
Expect(0, 8191, '\P{greekext}', "");
Expect(1, 8191, '\P{^greekext}', "");
Expect(0, 8192, '\p{greekext}', "");
Expect(1, 8192, '\p{^greekext}', "");
Expect(1, 8192, '\P{greekext}', "");
Expect(0, 8192, '\P{^greekext}', "");
Expect(1, 8191, '\p{_ greek_ext}', "");
Expect(0, 8191, '\p{^_ greek_ext}', "");
Expect(0, 8191, '\P{_ greek_ext}', "");
Expect(1, 8191, '\P{^_ greek_ext}', "");
Expect(0, 8192, '\p{_ greek_ext}', "");
Expect(1, 8192, '\p{^_ greek_ext}', "");
Expect(1, 8192, '\P{_ greek_ext}', "");
Expect(0, 8192, '\P{^_ greek_ext}', "");
Error('\p{ /a/is_GREEK_Ext}');
Error('\P{ /a/is_GREEK_Ext}');
Expect(1, 8191, '\p{isgreekext}', "");
Expect(0, 8191, '\p{^isgreekext}', "");
Expect(0, 8191, '\P{isgreekext}', "");
Expect(1, 8191, '\P{^isgreekext}', "");
Expect(0, 8192, '\p{isgreekext}', "");
Expect(1, 8192, '\p{^isgreekext}', "");
Expect(1, 8192, '\P{isgreekext}', "");
Expect(0, 8192, '\P{^isgreekext}', "");
Expect(1, 8191, '\p{- IS_GREEK_EXT}', "");
Expect(0, 8191, '\p{^- IS_GREEK_EXT}', "");
Expect(0, 8191, '\P{- IS_GREEK_EXT}', "");
Expect(1, 8191, '\P{^- IS_GREEK_EXT}', "");
Expect(0, 8192, '\p{- IS_GREEK_EXT}', "");
Expect(1, 8192, '\p{^- IS_GREEK_EXT}', "");
Expect(1, 8192, '\P{- IS_GREEK_EXT}', "");
Expect(0, 8192, '\P{^- IS_GREEK_EXT}', "");
Error('\p{__IN_Greek_Ext/a/}');
Error('\P{__IN_Greek_Ext/a/}');
Expect(1, 8191, '\p{ingreekext}', "");
Expect(0, 8191, '\p{^ingreekext}', "");
Expect(0, 8191, '\P{ingreekext}', "");
Expect(1, 8191, '\P{^ingreekext}', "");
Expect(0, 8192, '\p{ingreekext}', "");
Expect(1, 8192, '\p{^ingreekext}', "");
Expect(1, 8192, '\P{ingreekext}', "");
Expect(0, 8192, '\P{^ingreekext}', "");
Expect(1, 8191, '\p{		IN_Greek_Ext}', "");
Expect(0, 8191, '\p{^		IN_Greek_Ext}', "");
Expect(0, 8191, '\P{		IN_Greek_Ext}', "");
Expect(1, 8191, '\P{^		IN_Greek_Ext}', "");
Expect(0, 8192, '\p{		IN_Greek_Ext}', "");
Expect(1, 8192, '\p{^		IN_Greek_Ext}', "");
Expect(1, 8192, '\P{		IN_Greek_Ext}', "");
Expect(0, 8192, '\P{^		IN_Greek_Ext}', "");
Error('\p{/a/Gujarati}');
Error('\P{/a/Gujarati}');
Expect(1, 2801, '\p{gujarati}', "");
Expect(0, 2801, '\p{^gujarati}', "");
Expect(0, 2801, '\P{gujarati}', "");
Expect(1, 2801, '\P{^gujarati}', "");
Expect(0, 2802, '\p{gujarati}', "");
Expect(1, 2802, '\p{^gujarati}', "");
Expect(1, 2802, '\P{gujarati}', "");
Expect(0, 2802, '\P{^gujarati}', "");
Expect(1, 2801, '\p{	Gujarati}', "");
Expect(0, 2801, '\p{^	Gujarati}', "");
Expect(0, 2801, '\P{	Gujarati}', "");
Expect(1, 2801, '\P{^	Gujarati}', "");
Expect(0, 2802, '\p{	Gujarati}', "");
Expect(1, 2802, '\p{^	Gujarati}', "");
Expect(1, 2802, '\P{	Gujarati}', "");
Expect(0, 2802, '\P{^	Gujarati}', "");
Error('\p{--Is_Gujarati:=}');
Error('\P{--Is_Gujarati:=}');
Expect(1, 2801, '\p{isgujarati}', "");
Expect(0, 2801, '\p{^isgujarati}', "");
Expect(0, 2801, '\P{isgujarati}', "");
Expect(1, 2801, '\P{^isgujarati}', "");
Expect(0, 2802, '\p{isgujarati}', "");
Expect(1, 2802, '\p{^isgujarati}', "");
Expect(1, 2802, '\P{isgujarati}', "");
Expect(0, 2802, '\P{^isgujarati}', "");
Expect(1, 2801, '\p{_ IS_GUJARATI}', "");
Expect(0, 2801, '\p{^_ IS_GUJARATI}', "");
Expect(0, 2801, '\P{_ IS_GUJARATI}', "");
Expect(1, 2801, '\P{^_ IS_GUJARATI}', "");
Expect(0, 2802, '\p{_ IS_GUJARATI}', "");
Expect(1, 2802, '\p{^_ IS_GUJARATI}', "");
Expect(1, 2802, '\P{_ IS_GUJARATI}', "");
Expect(0, 2802, '\P{^_ IS_GUJARATI}', "");
Error('\p{/a/_ GUJR}');
Error('\P{/a/_ GUJR}');
Expect(1, 2801, '\p{gujr}', "");
Expect(0, 2801, '\p{^gujr}', "");
Expect(0, 2801, '\P{gujr}', "");
Expect(1, 2801, '\P{^gujr}', "");
Expect(0, 2802, '\p{gujr}', "");
Expect(1, 2802, '\p{^gujr}', "");
Expect(1, 2802, '\P{gujr}', "");
Expect(0, 2802, '\P{^gujr}', "");
Expect(1, 2801, '\p{_Gujr}', "");
Expect(0, 2801, '\p{^_Gujr}', "");
Expect(0, 2801, '\P{_Gujr}', "");
Expect(1, 2801, '\P{^_Gujr}', "");
Expect(0, 2802, '\p{_Gujr}', "");
Expect(1, 2802, '\p{^_Gujr}', "");
Expect(1, 2802, '\P{_Gujr}', "");
Expect(0, 2802, '\P{^_Gujr}', "");
Error('\p{:= -IS_gujr}');
Error('\P{:= -IS_gujr}');
Expect(1, 2801, '\p{isgujr}', "");
Expect(0, 2801, '\p{^isgujr}', "");
Expect(0, 2801, '\P{isgujr}', "");
Expect(1, 2801, '\P{^isgujr}', "");
Expect(0, 2802, '\p{isgujr}', "");
Expect(1, 2802, '\p{^isgujr}', "");
Expect(1, 2802, '\P{isgujr}', "");
Expect(0, 2802, '\P{^isgujr}', "");
Expect(1, 2801, '\p{	Is_GUJR}', "");
Expect(0, 2801, '\p{^	Is_GUJR}', "");
Expect(0, 2801, '\P{	Is_GUJR}', "");
Expect(1, 2801, '\P{^	Is_GUJR}', "");
Expect(0, 2802, '\p{	Is_GUJR}', "");
Expect(1, 2802, '\p{^	Is_GUJR}', "");
Expect(1, 2802, '\P{	Is_GUJR}', "");
Expect(0, 2802, '\P{^	Is_GUJR}', "");
Error('\p{:=_	GURMUKHI}');
Error('\P{:=_	GURMUKHI}');
Expect(1, 2677, '\p{gurmukhi}', "");
Expect(0, 2677, '\p{^gurmukhi}', "");
Expect(0, 2677, '\P{gurmukhi}', "");
Expect(1, 2677, '\P{^gurmukhi}', "");
Expect(0, 2678, '\p{gurmukhi}', "");
Expect(1, 2678, '\p{^gurmukhi}', "");
Expect(1, 2678, '\P{gurmukhi}', "");
Expect(0, 2678, '\P{^gurmukhi}', "");
Expect(1, 2677, '\p{_Gurmukhi}', "");
Expect(0, 2677, '\p{^_Gurmukhi}', "");
Expect(0, 2677, '\P{_Gurmukhi}', "");
Expect(1, 2677, '\P{^_Gurmukhi}', "");
Expect(0, 2678, '\p{_Gurmukhi}', "");
Expect(1, 2678, '\p{^_Gurmukhi}', "");
Expect(1, 2678, '\P{_Gurmukhi}', "");
Expect(0, 2678, '\P{^_Gurmukhi}', "");
Error('\p{	/a/Is_Gurmukhi}');
Error('\P{	/a/Is_Gurmukhi}');
Expect(1, 2677, '\p{isgurmukhi}', "");
Expect(0, 2677, '\p{^isgurmukhi}', "");
Expect(0, 2677, '\P{isgurmukhi}', "");
Expect(1, 2677, '\P{^isgurmukhi}', "");
Expect(0, 2678, '\p{isgurmukhi}', "");
Expect(1, 2678, '\p{^isgurmukhi}', "");
Expect(1, 2678, '\P{isgurmukhi}', "");
Expect(0, 2678, '\P{^isgurmukhi}', "");
Expect(1, 2677, '\p{__Is_GURMUKHI}', "");
Expect(0, 2677, '\p{^__Is_GURMUKHI}', "");
Expect(0, 2677, '\P{__Is_GURMUKHI}', "");
Expect(1, 2677, '\P{^__Is_GURMUKHI}', "");
Expect(0, 2678, '\p{__Is_GURMUKHI}', "");
Expect(1, 2678, '\p{^__Is_GURMUKHI}', "");
Expect(1, 2678, '\P{__Is_GURMUKHI}', "");
Expect(0, 2678, '\P{^__Is_GURMUKHI}', "");
Error('\p{/a/	Guru}');
Error('\P{/a/	Guru}');
Expect(1, 2677, '\p{guru}', "");
Expect(0, 2677, '\p{^guru}', "");
Expect(0, 2677, '\P{guru}', "");
Expect(1, 2677, '\P{^guru}', "");
Expect(0, 2678, '\p{guru}', "");
Expect(1, 2678, '\p{^guru}', "");
Expect(1, 2678, '\P{guru}', "");
Expect(0, 2678, '\P{^guru}', "");
Expect(1, 2677, '\p{	Guru}', "");
Expect(0, 2677, '\p{^	Guru}', "");
Expect(0, 2677, '\P{	Guru}', "");
Expect(1, 2677, '\P{^	Guru}', "");
Expect(0, 2678, '\p{	Guru}', "");
Expect(1, 2678, '\p{^	Guru}', "");
Expect(1, 2678, '\P{	Guru}', "");
Expect(0, 2678, '\P{^	Guru}', "");
Error('\p{-:=is_Guru}');
Error('\P{-:=is_Guru}');
Expect(1, 2677, '\p{isguru}', "");
Expect(0, 2677, '\p{^isguru}', "");
Expect(0, 2677, '\P{isguru}', "");
Expect(1, 2677, '\P{^isguru}', "");
Expect(0, 2678, '\p{isguru}', "");
Expect(1, 2678, '\p{^isguru}', "");
Expect(1, 2678, '\P{isguru}', "");
Expect(0, 2678, '\P{^isguru}', "");
Expect(1, 2677, '\p{_ Is_GURU}', "");
Expect(0, 2677, '\p{^_ Is_GURU}', "");
Expect(0, 2677, '\P{_ Is_GURU}', "");
Expect(1, 2677, '\P{^_ Is_GURU}', "");
Expect(0, 2678, '\p{_ Is_GURU}', "");
Expect(1, 2678, '\p{^_ Is_GURU}', "");
Expect(1, 2678, '\P{_ Is_GURU}', "");
Expect(0, 2678, '\P{^_ Is_GURU}', "");
Error('\p{		HALFWIDTH_AND_Fullwidth_FORMS/a/}');
Error('\P{		HALFWIDTH_AND_Fullwidth_FORMS/a/}');
Expect(1, 65519, '\p{halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^halfwidthandfullwidthforms}', "");
Expect(0, 65520, '\p{halfwidthandfullwidthforms}', "");
Expect(1, 65520, '\p{^halfwidthandfullwidthforms}', "");
Expect(1, 65520, '\P{halfwidthandfullwidthforms}', "");
Expect(0, 65520, '\P{^halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{_-Halfwidth_And_FULLWIDTH_Forms}', "");
Expect(0, 65519, '\p{^_-Halfwidth_And_FULLWIDTH_Forms}', "");
Expect(0, 65519, '\P{_-Halfwidth_And_FULLWIDTH_Forms}', "");
Expect(1, 65519, '\P{^_-Halfwidth_And_FULLWIDTH_Forms}', "");
Expect(0, 65520, '\p{_-Halfwidth_And_FULLWIDTH_Forms}', "");
Expect(1, 65520, '\p{^_-Halfwidth_And_FULLWIDTH_Forms}', "");
Expect(1, 65520, '\P{_-Halfwidth_And_FULLWIDTH_Forms}', "");
Expect(0, 65520, '\P{^_-Halfwidth_And_FULLWIDTH_Forms}', "");
Error('\p{:=-_Is_Halfwidth_and_Fullwidth_Forms}');
Error('\P{:=-_Is_Halfwidth_and_Fullwidth_Forms}');
Expect(1, 65519, '\p{ishalfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^ishalfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{ishalfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^ishalfwidthandfullwidthforms}', "");
Expect(0, 65520, '\p{ishalfwidthandfullwidthforms}', "");
Expect(1, 65520, '\p{^ishalfwidthandfullwidthforms}', "");
Expect(1, 65520, '\P{ishalfwidthandfullwidthforms}', "");
Expect(0, 65520, '\P{^ishalfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{	Is_Halfwidth_And_FULLWIDTH_Forms}', "");
Expect(0, 65519, '\p{^	Is_Halfwidth_And_FULLWIDTH_Forms}', "");
Expect(0, 65519, '\P{	Is_Halfwidth_And_FULLWIDTH_Forms}', "");
Expect(1, 65519, '\P{^	Is_Halfwidth_And_FULLWIDTH_Forms}', "");
Expect(0, 65520, '\p{	Is_Halfwidth_And_FULLWIDTH_Forms}', "");
Expect(1, 65520, '\p{^	Is_Halfwidth_And_FULLWIDTH_Forms}', "");
Expect(1, 65520, '\P{	Is_Halfwidth_And_FULLWIDTH_Forms}', "");
Expect(0, 65520, '\P{^	Is_Halfwidth_And_FULLWIDTH_Forms}', "");
Error('\p{:=	In_HALFWIDTH_and_fullwidth_forms}');
Error('\P{:=	In_HALFWIDTH_and_fullwidth_forms}');
Expect(1, 65519, '\p{inhalfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^inhalfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{inhalfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^inhalfwidthandfullwidthforms}', "");
Expect(0, 65520, '\p{inhalfwidthandfullwidthforms}', "");
Expect(1, 65520, '\p{^inhalfwidthandfullwidthforms}', "");
Expect(1, 65520, '\P{inhalfwidthandfullwidthforms}', "");
Expect(0, 65520, '\P{^inhalfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{	_IN_halfwidth_And_fullwidth_Forms}', "");
Expect(0, 65519, '\p{^	_IN_halfwidth_And_fullwidth_Forms}', "");
Expect(0, 65519, '\P{	_IN_halfwidth_And_fullwidth_Forms}', "");
Expect(1, 65519, '\P{^	_IN_halfwidth_And_fullwidth_Forms}', "");
Expect(0, 65520, '\p{	_IN_halfwidth_And_fullwidth_Forms}', "");
Expect(1, 65520, '\p{^	_IN_halfwidth_And_fullwidth_Forms}', "");
Expect(1, 65520, '\P{	_IN_halfwidth_And_fullwidth_Forms}', "");
Expect(0, 65520, '\P{^	_IN_halfwidth_And_fullwidth_Forms}', "");
Error('\p{-Half_And_Full_Forms/a/}');
Error('\P{-Half_And_Full_Forms/a/}');
Expect(1, 65519, '\p{halfandfullforms}', "");
Expect(0, 65519, '\p{^halfandfullforms}', "");
Expect(0, 65519, '\P{halfandfullforms}', "");
Expect(1, 65519, '\P{^halfandfullforms}', "");
Expect(0, 65520, '\p{halfandfullforms}', "");
Expect(1, 65520, '\p{^halfandfullforms}', "");
Expect(1, 65520, '\P{halfandfullforms}', "");
Expect(0, 65520, '\P{^halfandfullforms}', "");
Expect(1, 65519, '\p{	-Half_And_full_forms}', "");
Expect(0, 65519, '\p{^	-Half_And_full_forms}', "");
Expect(0, 65519, '\P{	-Half_And_full_forms}', "");
Expect(1, 65519, '\P{^	-Half_And_full_forms}', "");
Expect(0, 65520, '\p{	-Half_And_full_forms}', "");
Expect(1, 65520, '\p{^	-Half_And_full_forms}', "");
Expect(1, 65520, '\P{	-Half_And_full_forms}', "");
Expect(0, 65520, '\P{^	-Half_And_full_forms}', "");
Error('\p{--IS_half_And_Full_Forms/a/}');
Error('\P{--IS_half_And_Full_Forms/a/}');
Expect(1, 65519, '\p{ishalfandfullforms}', "");
Expect(0, 65519, '\p{^ishalfandfullforms}', "");
Expect(0, 65519, '\P{ishalfandfullforms}', "");
Expect(1, 65519, '\P{^ishalfandfullforms}', "");
Expect(0, 65520, '\p{ishalfandfullforms}', "");
Expect(1, 65520, '\p{^ishalfandfullforms}', "");
Expect(1, 65520, '\P{ishalfandfullforms}', "");
Expect(0, 65520, '\P{^ishalfandfullforms}', "");
Expect(1, 65519, '\p{IS_Half_And_FULL_forms}', "");
Expect(0, 65519, '\p{^IS_Half_And_FULL_forms}', "");
Expect(0, 65519, '\P{IS_Half_And_FULL_forms}', "");
Expect(1, 65519, '\P{^IS_Half_And_FULL_forms}', "");
Expect(0, 65520, '\p{IS_Half_And_FULL_forms}', "");
Expect(1, 65520, '\p{^IS_Half_And_FULL_forms}', "");
Expect(1, 65520, '\P{IS_Half_And_FULL_forms}', "");
Expect(0, 65520, '\P{^IS_Half_And_FULL_forms}', "");
Error('\p{-/a/IN_Half_and_FULL_FORMS}');
Error('\P{-/a/IN_Half_and_FULL_FORMS}');
Expect(1, 65519, '\p{inhalfandfullforms}', "");
Expect(0, 65519, '\p{^inhalfandfullforms}', "");
Expect(0, 65519, '\P{inhalfandfullforms}', "");
Expect(1, 65519, '\P{^inhalfandfullforms}', "");
Expect(0, 65520, '\p{inhalfandfullforms}', "");
Expect(1, 65520, '\p{^inhalfandfullforms}', "");
Expect(1, 65520, '\P{inhalfandfullforms}', "");
Expect(0, 65520, '\P{^inhalfandfullforms}', "");
Expect(1, 65519, '\p{ _In_Half_And_full_FORMS}', "");
Expect(0, 65519, '\p{^ _In_Half_And_full_FORMS}', "");
Expect(0, 65519, '\P{ _In_Half_And_full_FORMS}', "");
Expect(1, 65519, '\P{^ _In_Half_And_full_FORMS}', "");
Expect(0, 65520, '\p{ _In_Half_And_full_FORMS}', "");
Expect(1, 65520, '\p{^ _In_Half_And_full_FORMS}', "");
Expect(1, 65520, '\P{ _In_Half_And_full_FORMS}', "");
Expect(0, 65520, '\P{^ _In_Half_And_full_FORMS}', "");
Error('\p{-:=Han}');
Error('\P{-:=Han}');
Expect(1, 195101, '\p{han}', "");
Expect(0, 195101, '\p{^han}', "");
Expect(0, 195101, '\P{han}', "");
Expect(1, 195101, '\P{^han}', "");
Expect(0, 195102, '\p{han}', "");
Expect(1, 195102, '\p{^han}', "");
Expect(1, 195102, '\P{han}', "");
Expect(0, 195102, '\P{^han}', "");
Expect(1, 195101, '\p{_Han}', "");
Expect(0, 195101, '\p{^_Han}', "");
Expect(0, 195101, '\P{_Han}', "");
Expect(1, 195101, '\P{^_Han}', "");
Expect(0, 195102, '\p{_Han}', "");
Expect(1, 195102, '\p{^_Han}', "");
Expect(1, 195102, '\P{_Han}', "");
Expect(0, 195102, '\P{^_Han}', "");
Error('\p{ /a/IS_Han}');
Error('\P{ /a/IS_Han}');
Expect(1, 195101, '\p{ishan}', "");
Expect(0, 195101, '\p{^ishan}', "");
Expect(0, 195101, '\P{ishan}', "");
Expect(1, 195101, '\P{^ishan}', "");
Expect(0, 195102, '\p{ishan}', "");
Expect(1, 195102, '\p{^ishan}', "");
Expect(1, 195102, '\P{ishan}', "");
Expect(0, 195102, '\P{^ishan}', "");
Expect(1, 195101, '\p{	_Is_Han}', "");
Expect(0, 195101, '\p{^	_Is_Han}', "");
Expect(0, 195101, '\P{	_Is_Han}', "");
Expect(1, 195101, '\P{^	_Is_Han}', "");
Expect(0, 195102, '\p{	_Is_Han}', "");
Expect(1, 195102, '\p{^	_Is_Han}', "");
Expect(1, 195102, '\P{	_Is_Han}', "");
Expect(0, 195102, '\P{^	_Is_Han}', "");
Error('\p{ 	hani:=}');
Error('\P{ 	hani:=}');
Expect(1, 195101, '\p{hani}', "");
Expect(0, 195101, '\p{^hani}', "");
Expect(0, 195101, '\P{hani}', "");
Expect(1, 195101, '\P{^hani}', "");
Expect(0, 195102, '\p{hani}', "");
Expect(1, 195102, '\p{^hani}', "");
Expect(1, 195102, '\P{hani}', "");
Expect(0, 195102, '\P{^hani}', "");
Expect(1, 195101, '\p{-Hani}', "");
Expect(0, 195101, '\p{^-Hani}', "");
Expect(0, 195101, '\P{-Hani}', "");
Expect(1, 195101, '\P{^-Hani}', "");
Expect(0, 195102, '\p{-Hani}', "");
Expect(1, 195102, '\p{^-Hani}', "");
Expect(1, 195102, '\P{-Hani}', "");
Expect(0, 195102, '\P{^-Hani}', "");
Error('\p{:=_IS_Hani}');
Error('\P{:=_IS_Hani}');
Expect(1, 195101, '\p{ishani}', "");
Expect(0, 195101, '\p{^ishani}', "");
Expect(0, 195101, '\P{ishani}', "");
Expect(1, 195101, '\P{^ishani}', "");
Expect(0, 195102, '\p{ishani}', "");
Expect(1, 195102, '\p{^ishani}', "");
Expect(1, 195102, '\P{ishani}', "");
Expect(0, 195102, '\P{^ishani}', "");
Expect(1, 195101, '\p{		is_HANI}', "");
Expect(0, 195101, '\p{^		is_HANI}', "");
Expect(0, 195101, '\P{		is_HANI}', "");
Expect(1, 195101, '\P{^		is_HANI}', "");
Expect(0, 195102, '\p{		is_HANI}', "");
Expect(1, 195102, '\p{^		is_HANI}', "");
Expect(1, 195102, '\P{		is_HANI}', "");
Expect(0, 195102, '\P{^		is_HANI}', "");
Error('\p{:=_-HANGUL}');
Error('\P{:=_-HANGUL}');
Expect(1, 65500, '\p{hangul}', "");
Expect(0, 65500, '\p{^hangul}', "");
Expect(0, 65500, '\P{hangul}', "");
Expect(1, 65500, '\P{^hangul}', "");
Expect(0, 65501, '\p{hangul}', "");
Expect(1, 65501, '\p{^hangul}', "");
Expect(1, 65501, '\P{hangul}', "");
Expect(0, 65501, '\P{^hangul}', "");
Expect(1, 65500, '\p{ 	Hangul}', "");
Expect(0, 65500, '\p{^ 	Hangul}', "");
Expect(0, 65500, '\P{ 	Hangul}', "");
Expect(1, 65500, '\P{^ 	Hangul}', "");
Expect(0, 65501, '\p{ 	Hangul}', "");
Expect(1, 65501, '\p{^ 	Hangul}', "");
Expect(1, 65501, '\P{ 	Hangul}', "");
Expect(0, 65501, '\P{^ 	Hangul}', "");
Error('\p{	Is_HANGUL:=}');
Error('\P{	Is_HANGUL:=}');
Expect(1, 65500, '\p{ishangul}', "");
Expect(0, 65500, '\p{^ishangul}', "");
Expect(0, 65500, '\P{ishangul}', "");
Expect(1, 65500, '\P{^ishangul}', "");
Expect(0, 65501, '\p{ishangul}', "");
Expect(1, 65501, '\p{^ishangul}', "");
Expect(1, 65501, '\P{ishangul}', "");
Expect(0, 65501, '\P{^ishangul}', "");
Expect(1, 65500, '\p{ _is_hangul}', "");
Expect(0, 65500, '\p{^ _is_hangul}', "");
Expect(0, 65500, '\P{ _is_hangul}', "");
Expect(1, 65500, '\P{^ _is_hangul}', "");
Expect(0, 65501, '\p{ _is_hangul}', "");
Expect(1, 65501, '\p{^ _is_hangul}', "");
Expect(1, 65501, '\P{ _is_hangul}', "");
Expect(0, 65501, '\P{^ _is_hangul}', "");
Error('\p{:=		Hang}');
Error('\P{:=		Hang}');
Expect(1, 65500, '\p{hang}', "");
Expect(0, 65500, '\p{^hang}', "");
Expect(0, 65500, '\P{hang}', "");
Expect(1, 65500, '\P{^hang}', "");
Expect(0, 65501, '\p{hang}', "");
Expect(1, 65501, '\p{^hang}', "");
Expect(1, 65501, '\P{hang}', "");
Expect(0, 65501, '\P{^hang}', "");
Expect(1, 65500, '\p{ 	hang}', "");
Expect(0, 65500, '\p{^ 	hang}', "");
Expect(0, 65500, '\P{ 	hang}', "");
Expect(1, 65500, '\P{^ 	hang}', "");
Expect(0, 65501, '\p{ 	hang}', "");
Expect(1, 65501, '\p{^ 	hang}', "");
Expect(1, 65501, '\P{ 	hang}', "");
Expect(0, 65501, '\P{^ 	hang}', "");
Error('\p{:= 	Is_hang}');
Error('\P{:= 	Is_hang}');
Expect(1, 65500, '\p{ishang}', "");
Expect(0, 65500, '\p{^ishang}', "");
Expect(0, 65500, '\P{ishang}', "");
Expect(1, 65500, '\P{^ishang}', "");
Expect(0, 65501, '\p{ishang}', "");
Expect(1, 65501, '\p{^ishang}', "");
Expect(1, 65501, '\P{ishang}', "");
Expect(0, 65501, '\P{^ishang}', "");
Expect(1, 65500, '\p{	_IS_hang}', "");
Expect(0, 65500, '\p{^	_IS_hang}', "");
Expect(0, 65500, '\P{	_IS_hang}', "");
Expect(1, 65500, '\P{^	_IS_hang}', "");
Expect(0, 65501, '\p{	_IS_hang}', "");
Expect(1, 65501, '\p{^	_IS_hang}', "");
Expect(1, 65501, '\P{	_IS_hang}', "");
Expect(0, 65501, '\P{^	_IS_hang}', "");
Error('\p{ _hangul_Compatibility_JAMO/a/}');
Error('\P{ _hangul_Compatibility_JAMO/a/}');
Expect(1, 12687, '\p{hangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^hangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{hangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^hangulcompatibilityjamo}', "");
Expect(0, 12688, '\p{hangulcompatibilityjamo}', "");
Expect(1, 12688, '\p{^hangulcompatibilityjamo}', "");
Expect(1, 12688, '\P{hangulcompatibilityjamo}', "");
Expect(0, 12688, '\P{^hangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{	-HANGUL_COMPATIBILITY_Jamo}', "");
Expect(0, 12687, '\p{^	-HANGUL_COMPATIBILITY_Jamo}', "");
Expect(0, 12687, '\P{	-HANGUL_COMPATIBILITY_Jamo}', "");
Expect(1, 12687, '\P{^	-HANGUL_COMPATIBILITY_Jamo}', "");
Expect(0, 12688, '\p{	-HANGUL_COMPATIBILITY_Jamo}', "");
Expect(1, 12688, '\p{^	-HANGUL_COMPATIBILITY_Jamo}', "");
Expect(1, 12688, '\P{	-HANGUL_COMPATIBILITY_Jamo}', "");
Expect(0, 12688, '\P{^	-HANGUL_COMPATIBILITY_Jamo}', "");
Error('\p{ Is_Hangul_Compatibility_jamo:=}');
Error('\P{ Is_Hangul_Compatibility_jamo:=}');
Expect(1, 12687, '\p{ishangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^ishangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{ishangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^ishangulcompatibilityjamo}', "");
Expect(0, 12688, '\p{ishangulcompatibilityjamo}', "");
Expect(1, 12688, '\p{^ishangulcompatibilityjamo}', "");
Expect(1, 12688, '\P{ishangulcompatibilityjamo}', "");
Expect(0, 12688, '\P{^ishangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{_IS_Hangul_COMPATIBILITY_Jamo}', "");
Expect(0, 12687, '\p{^_IS_Hangul_COMPATIBILITY_Jamo}', "");
Expect(0, 12687, '\P{_IS_Hangul_COMPATIBILITY_Jamo}', "");
Expect(1, 12687, '\P{^_IS_Hangul_COMPATIBILITY_Jamo}', "");
Expect(0, 12688, '\p{_IS_Hangul_COMPATIBILITY_Jamo}', "");
Expect(1, 12688, '\p{^_IS_Hangul_COMPATIBILITY_Jamo}', "");
Expect(1, 12688, '\P{_IS_Hangul_COMPATIBILITY_Jamo}', "");
Expect(0, 12688, '\P{^_IS_Hangul_COMPATIBILITY_Jamo}', "");
Error('\p{	IN_Hangul_Compatibility_Jamo:=}');
Error('\P{	IN_Hangul_Compatibility_Jamo:=}');
Expect(1, 12687, '\p{inhangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^inhangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{inhangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^inhangulcompatibilityjamo}', "");
Expect(0, 12688, '\p{inhangulcompatibilityjamo}', "");
Expect(1, 12688, '\p{^inhangulcompatibilityjamo}', "");
Expect(1, 12688, '\P{inhangulcompatibilityjamo}', "");
Expect(0, 12688, '\P{^inhangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{-	In_Hangul_Compatibility_Jamo}', "");
Expect(0, 12687, '\p{^-	In_Hangul_Compatibility_Jamo}', "");
Expect(0, 12687, '\P{-	In_Hangul_Compatibility_Jamo}', "");
Expect(1, 12687, '\P{^-	In_Hangul_Compatibility_Jamo}', "");
Expect(0, 12688, '\p{-	In_Hangul_Compatibility_Jamo}', "");
Expect(1, 12688, '\p{^-	In_Hangul_Compatibility_Jamo}', "");
Expect(1, 12688, '\P{-	In_Hangul_Compatibility_Jamo}', "");
Expect(0, 12688, '\P{^-	In_Hangul_Compatibility_Jamo}', "");
Error('\p{:=	COMPAT_Jamo}');
Error('\P{:=	COMPAT_Jamo}');
Expect(1, 12687, '\p{compatjamo}', "");
Expect(0, 12687, '\p{^compatjamo}', "");
Expect(0, 12687, '\P{compatjamo}', "");
Expect(1, 12687, '\P{^compatjamo}', "");
Expect(0, 12688, '\p{compatjamo}', "");
Expect(1, 12688, '\p{^compatjamo}', "");
Expect(1, 12688, '\P{compatjamo}', "");
Expect(0, 12688, '\P{^compatjamo}', "");
Expect(1, 12687, '\p{__compat_Jamo}', "");
Expect(0, 12687, '\p{^__compat_Jamo}', "");
Expect(0, 12687, '\P{__compat_Jamo}', "");
Expect(1, 12687, '\P{^__compat_Jamo}', "");
Expect(0, 12688, '\p{__compat_Jamo}', "");
Expect(1, 12688, '\p{^__compat_Jamo}', "");
Expect(1, 12688, '\P{__compat_Jamo}', "");
Expect(0, 12688, '\P{^__compat_Jamo}', "");
Error('\p{:=-	Is_compat_Jamo}');
Error('\P{:=-	Is_compat_Jamo}');
Expect(1, 12687, '\p{iscompatjamo}', "");
Expect(0, 12687, '\p{^iscompatjamo}', "");
Expect(0, 12687, '\P{iscompatjamo}', "");
Expect(1, 12687, '\P{^iscompatjamo}', "");
Expect(0, 12688, '\p{iscompatjamo}', "");
Expect(1, 12688, '\p{^iscompatjamo}', "");
Expect(1, 12688, '\P{iscompatjamo}', "");
Expect(0, 12688, '\P{^iscompatjamo}', "");
Expect(1, 12687, '\p{	 is_compat_Jamo}', "");
Expect(0, 12687, '\p{^	 is_compat_Jamo}', "");
Expect(0, 12687, '\P{	 is_compat_Jamo}', "");
Expect(1, 12687, '\P{^	 is_compat_Jamo}', "");
Expect(0, 12688, '\p{	 is_compat_Jamo}', "");
Expect(1, 12688, '\p{^	 is_compat_Jamo}', "");
Expect(1, 12688, '\P{	 is_compat_Jamo}', "");
Expect(0, 12688, '\P{^	 is_compat_Jamo}', "");
Error('\p{_	In_Compat_jamo/a/}');
Error('\P{_	In_Compat_jamo/a/}');
Expect(1, 12687, '\p{incompatjamo}', "");
Expect(0, 12687, '\p{^incompatjamo}', "");
Expect(0, 12687, '\P{incompatjamo}', "");
Expect(1, 12687, '\P{^incompatjamo}', "");
Expect(0, 12688, '\p{incompatjamo}', "");
Expect(1, 12688, '\p{^incompatjamo}', "");
Expect(1, 12688, '\P{incompatjamo}', "");
Expect(0, 12688, '\P{^incompatjamo}', "");
Expect(1, 12687, '\p{	 IN_COMPAT_jamo}', "");
Expect(0, 12687, '\p{^	 IN_COMPAT_jamo}', "");
Expect(0, 12687, '\P{	 IN_COMPAT_jamo}', "");
Expect(1, 12687, '\P{^	 IN_COMPAT_jamo}', "");
Expect(0, 12688, '\p{	 IN_COMPAT_jamo}', "");
Expect(1, 12688, '\p{^	 IN_COMPAT_jamo}', "");
Expect(1, 12688, '\P{	 IN_COMPAT_jamo}', "");
Expect(0, 12688, '\P{^	 IN_COMPAT_jamo}', "");
Error('\p{ /a/Hangul_jamo}');
Error('\P{ /a/Hangul_jamo}');
Expect(1, 4607, '\p{hanguljamo}', "");
Expect(0, 4607, '\p{^hanguljamo}', "");
Expect(0, 4607, '\P{hanguljamo}', "");
Expect(1, 4607, '\P{^hanguljamo}', "");
Expect(0, 4608, '\p{hanguljamo}', "");
Expect(1, 4608, '\p{^hanguljamo}', "");
Expect(1, 4608, '\P{hanguljamo}', "");
Expect(0, 4608, '\P{^hanguljamo}', "");
Expect(1, 4607, '\p{-Hangul_jamo}', "");
Expect(0, 4607, '\p{^-Hangul_jamo}', "");
Expect(0, 4607, '\P{-Hangul_jamo}', "");
Expect(1, 4607, '\P{^-Hangul_jamo}', "");
Expect(0, 4608, '\p{-Hangul_jamo}', "");
Expect(1, 4608, '\p{^-Hangul_jamo}', "");
Expect(1, 4608, '\P{-Hangul_jamo}', "");
Expect(0, 4608, '\P{^-Hangul_jamo}', "");
Error('\p{	IS_Hangul_JAMO:=}');
Error('\P{	IS_Hangul_JAMO:=}');
Expect(1, 4607, '\p{ishanguljamo}', "");
Expect(0, 4607, '\p{^ishanguljamo}', "");
Expect(0, 4607, '\P{ishanguljamo}', "");
Expect(1, 4607, '\P{^ishanguljamo}', "");
Expect(0, 4608, '\p{ishanguljamo}', "");
Expect(1, 4608, '\p{^ishanguljamo}', "");
Expect(1, 4608, '\P{ishanguljamo}', "");
Expect(0, 4608, '\P{^ishanguljamo}', "");
Expect(1, 4607, '\p{	Is_HANGUL_JAMO}', "");
Expect(0, 4607, '\p{^	Is_HANGUL_JAMO}', "");
Expect(0, 4607, '\P{	Is_HANGUL_JAMO}', "");
Expect(1, 4607, '\P{^	Is_HANGUL_JAMO}', "");
Expect(0, 4608, '\p{	Is_HANGUL_JAMO}', "");
Expect(1, 4608, '\p{^	Is_HANGUL_JAMO}', "");
Expect(1, 4608, '\P{	Is_HANGUL_JAMO}', "");
Expect(0, 4608, '\P{^	Is_HANGUL_JAMO}', "");
Error('\p{__IN_HANGUL_jamo:=}');
Error('\P{__IN_HANGUL_jamo:=}');
Expect(1, 4607, '\p{inhanguljamo}', "");
Expect(0, 4607, '\p{^inhanguljamo}', "");
Expect(0, 4607, '\P{inhanguljamo}', "");
Expect(1, 4607, '\P{^inhanguljamo}', "");
Expect(0, 4608, '\p{inhanguljamo}', "");
Expect(1, 4608, '\p{^inhanguljamo}', "");
Expect(1, 4608, '\P{inhanguljamo}', "");
Expect(0, 4608, '\P{^inhanguljamo}', "");
Expect(1, 4607, '\p{	_IN_HANGUL_JAMO}', "");
Expect(0, 4607, '\p{^	_IN_HANGUL_JAMO}', "");
Expect(0, 4607, '\P{	_IN_HANGUL_JAMO}', "");
Expect(1, 4607, '\P{^	_IN_HANGUL_JAMO}', "");
Expect(0, 4608, '\p{	_IN_HANGUL_JAMO}', "");
Expect(1, 4608, '\p{^	_IN_HANGUL_JAMO}', "");
Expect(1, 4608, '\P{	_IN_HANGUL_JAMO}', "");
Expect(0, 4608, '\P{^	_IN_HANGUL_JAMO}', "");
Error('\p{Jamo/a/}');
Error('\P{Jamo/a/}');
Expect(1, 4607, '\p{jamo}', "");
Expect(0, 4607, '\p{^jamo}', "");
Expect(0, 4607, '\P{jamo}', "");
Expect(1, 4607, '\P{^jamo}', "");
Expect(0, 4608, '\p{jamo}', "");
Expect(1, 4608, '\p{^jamo}', "");
Expect(1, 4608, '\P{jamo}', "");
Expect(0, 4608, '\P{^jamo}', "");
Expect(1, 4607, '\p{	_jamo}', "");
Expect(0, 4607, '\p{^	_jamo}', "");
Expect(0, 4607, '\P{	_jamo}', "");
Expect(1, 4607, '\P{^	_jamo}', "");
Expect(0, 4608, '\p{	_jamo}', "");
Expect(1, 4608, '\p{^	_jamo}', "");
Expect(1, 4608, '\P{	_jamo}', "");
Expect(0, 4608, '\P{^	_jamo}', "");
Error('\p{:=_IS_Jamo}');
Error('\P{:=_IS_Jamo}');
Expect(1, 4607, '\p{isjamo}', "");
Expect(0, 4607, '\p{^isjamo}', "");
Expect(0, 4607, '\P{isjamo}', "");
Expect(1, 4607, '\P{^isjamo}', "");
Expect(0, 4608, '\p{isjamo}', "");
Expect(1, 4608, '\p{^isjamo}', "");
Expect(1, 4608, '\P{isjamo}', "");
Expect(0, 4608, '\P{^isjamo}', "");
Expect(1, 4607, '\p{	-Is_Jamo}', "");
Expect(0, 4607, '\p{^	-Is_Jamo}', "");
Expect(0, 4607, '\P{	-Is_Jamo}', "");
Expect(1, 4607, '\P{^	-Is_Jamo}', "");
Expect(0, 4608, '\p{	-Is_Jamo}', "");
Expect(1, 4608, '\p{^	-Is_Jamo}', "");
Expect(1, 4608, '\P{	-Is_Jamo}', "");
Expect(0, 4608, '\P{^	-Is_Jamo}', "");
Error('\p{/a/	IN_jamo}');
Error('\P{/a/	IN_jamo}');
Expect(1, 4607, '\p{injamo}', "");
Expect(0, 4607, '\p{^injamo}', "");
Expect(0, 4607, '\P{injamo}', "");
Expect(1, 4607, '\P{^injamo}', "");
Expect(0, 4608, '\p{injamo}', "");
Expect(1, 4608, '\p{^injamo}', "");
Expect(1, 4608, '\P{injamo}', "");
Expect(0, 4608, '\P{^injamo}', "");
Expect(1, 4607, '\p{ _IN_JAMO}', "");
Expect(0, 4607, '\p{^ _IN_JAMO}', "");
Expect(0, 4607, '\P{ _IN_JAMO}', "");
Expect(1, 4607, '\P{^ _IN_JAMO}', "");
Expect(0, 4608, '\p{ _IN_JAMO}', "");
Expect(1, 4608, '\p{^ _IN_JAMO}', "");
Expect(1, 4608, '\P{ _IN_JAMO}', "");
Expect(0, 4608, '\P{^ _IN_JAMO}', "");
Error('\p{:=_Hangul_jamo_EXTENDED_a}');
Error('\P{:=_Hangul_jamo_EXTENDED_a}');
Expect(1, 43391, '\p{hanguljamoextendeda}', "");
Expect(0, 43391, '\p{^hanguljamoextendeda}', "");
Expect(0, 43391, '\P{hanguljamoextendeda}', "");
Expect(1, 43391, '\P{^hanguljamoextendeda}', "");
Expect(0, 43392, '\p{hanguljamoextendeda}', "");
Expect(1, 43392, '\p{^hanguljamoextendeda}', "");
Expect(1, 43392, '\P{hanguljamoextendeda}', "");
Expect(0, 43392, '\P{^hanguljamoextendeda}', "");
Expect(1, 43391, '\p{-_Hangul_Jamo_extended_A}', "");
Expect(0, 43391, '\p{^-_Hangul_Jamo_extended_A}', "");
Expect(0, 43391, '\P{-_Hangul_Jamo_extended_A}', "");
Expect(1, 43391, '\P{^-_Hangul_Jamo_extended_A}', "");
Expect(0, 43392, '\p{-_Hangul_Jamo_extended_A}', "");
Expect(1, 43392, '\p{^-_Hangul_Jamo_extended_A}', "");
Expect(1, 43392, '\P{-_Hangul_Jamo_extended_A}', "");
Expect(0, 43392, '\P{^-_Hangul_Jamo_extended_A}', "");
Error('\p{/a/  Is_Hangul_JAMO_extended_A}');
Error('\P{/a/  Is_Hangul_JAMO_extended_A}');
Expect(1, 43391, '\p{ishanguljamoextendeda}', "");
Expect(0, 43391, '\p{^ishanguljamoextendeda}', "");
Expect(0, 43391, '\P{ishanguljamoextendeda}', "");
Expect(1, 43391, '\P{^ishanguljamoextendeda}', "");
Expect(0, 43392, '\p{ishanguljamoextendeda}', "");
Expect(1, 43392, '\p{^ishanguljamoextendeda}', "");
Expect(1, 43392, '\P{ishanguljamoextendeda}', "");
Expect(0, 43392, '\P{^ishanguljamoextendeda}', "");
Expect(1, 43391, '\p{__is_Hangul_JAMO_Extended_A}', "");
Expect(0, 43391, '\p{^__is_Hangul_JAMO_Extended_A}', "");
Expect(0, 43391, '\P{__is_Hangul_JAMO_Extended_A}', "");
Expect(1, 43391, '\P{^__is_Hangul_JAMO_Extended_A}', "");
Expect(0, 43392, '\p{__is_Hangul_JAMO_Extended_A}', "");
Expect(1, 43392, '\p{^__is_Hangul_JAMO_Extended_A}', "");
Expect(1, 43392, '\P{__is_Hangul_JAMO_Extended_A}', "");
Expect(0, 43392, '\P{^__is_Hangul_JAMO_Extended_A}', "");
Error('\p{- in_hangul_jamo_EXTENDED_a:=}');
Error('\P{- in_hangul_jamo_EXTENDED_a:=}');
Expect(1, 43391, '\p{inhanguljamoextendeda}', "");
Expect(0, 43391, '\p{^inhanguljamoextendeda}', "");
Expect(0, 43391, '\P{inhanguljamoextendeda}', "");
Expect(1, 43391, '\P{^inhanguljamoextendeda}', "");
Expect(0, 43392, '\p{inhanguljamoextendeda}', "");
Expect(1, 43392, '\p{^inhanguljamoextendeda}', "");
Expect(1, 43392, '\P{inhanguljamoextendeda}', "");
Expect(0, 43392, '\P{^inhanguljamoextendeda}', "");
Expect(1, 43391, '\p{-IN_HANGUL_Jamo_extended_a}', "");
Expect(0, 43391, '\p{^-IN_HANGUL_Jamo_extended_a}', "");
Expect(0, 43391, '\P{-IN_HANGUL_Jamo_extended_a}', "");
Expect(1, 43391, '\P{^-IN_HANGUL_Jamo_extended_a}', "");
Expect(0, 43392, '\p{-IN_HANGUL_Jamo_extended_a}', "");
Expect(1, 43392, '\p{^-IN_HANGUL_Jamo_extended_a}', "");
Expect(1, 43392, '\P{-IN_HANGUL_Jamo_extended_a}', "");
Expect(0, 43392, '\P{^-IN_HANGUL_Jamo_extended_a}', "");
Error('\p{/a/ 	Jamo_Ext_A}');
Error('\P{/a/ 	Jamo_Ext_A}');
Expect(1, 43391, '\p{jamoexta}', "");
Expect(0, 43391, '\p{^jamoexta}', "");
Expect(0, 43391, '\P{jamoexta}', "");
Expect(1, 43391, '\P{^jamoexta}', "");
Expect(0, 43392, '\p{jamoexta}', "");
Expect(1, 43392, '\p{^jamoexta}', "");
Expect(1, 43392, '\P{jamoexta}', "");
Expect(0, 43392, '\P{^jamoexta}', "");
Expect(1, 43391, '\p{- jamo_EXT_A}', "");
Expect(0, 43391, '\p{^- jamo_EXT_A}', "");
Expect(0, 43391, '\P{- jamo_EXT_A}', "");
Expect(1, 43391, '\P{^- jamo_EXT_A}', "");
Expect(0, 43392, '\p{- jamo_EXT_A}', "");
Expect(1, 43392, '\p{^- jamo_EXT_A}', "");
Expect(1, 43392, '\P{- jamo_EXT_A}', "");
Expect(0, 43392, '\P{^- jamo_EXT_A}', "");
Error('\p{-/a/IS_JAMO_EXT_a}');
Error('\P{-/a/IS_JAMO_EXT_a}');
Expect(1, 43391, '\p{isjamoexta}', "");
Expect(0, 43391, '\p{^isjamoexta}', "");
Expect(0, 43391, '\P{isjamoexta}', "");
Expect(1, 43391, '\P{^isjamoexta}', "");
Expect(0, 43392, '\p{isjamoexta}', "");
Expect(1, 43392, '\p{^isjamoexta}', "");
Expect(1, 43392, '\P{isjamoexta}', "");
Expect(0, 43392, '\P{^isjamoexta}', "");
Expect(1, 43391, '\p{--is_Jamo_Ext_a}', "");
Expect(0, 43391, '\p{^--is_Jamo_Ext_a}', "");
Expect(0, 43391, '\P{--is_Jamo_Ext_a}', "");
Expect(1, 43391, '\P{^--is_Jamo_Ext_a}', "");
Expect(0, 43392, '\p{--is_Jamo_Ext_a}', "");
Expect(1, 43392, '\p{^--is_Jamo_Ext_a}', "");
Expect(1, 43392, '\P{--is_Jamo_Ext_a}', "");
Expect(0, 43392, '\P{^--is_Jamo_Ext_a}', "");
Error('\p{-in_Jamo_Ext_A:=}');
Error('\P{-in_Jamo_Ext_A:=}');
Expect(1, 43391, '\p{injamoexta}', "");
Expect(0, 43391, '\p{^injamoexta}', "");
Expect(0, 43391, '\P{injamoexta}', "");
Expect(1, 43391, '\P{^injamoexta}', "");
Expect(0, 43392, '\p{injamoexta}', "");
Expect(1, 43392, '\p{^injamoexta}', "");
Expect(1, 43392, '\P{injamoexta}', "");
Expect(0, 43392, '\P{^injamoexta}', "");
Expect(1, 43391, '\p{_in_Jamo_ext_A}', "");
Expect(0, 43391, '\p{^_in_Jamo_ext_A}', "");
Expect(0, 43391, '\P{_in_Jamo_ext_A}', "");
Expect(1, 43391, '\P{^_in_Jamo_ext_A}', "");
Expect(0, 43392, '\p{_in_Jamo_ext_A}', "");
Expect(1, 43392, '\p{^_in_Jamo_ext_A}', "");
Expect(1, 43392, '\P{_in_Jamo_ext_A}', "");
Expect(0, 43392, '\P{^_in_Jamo_ext_A}', "");
Error('\p{:= -Hangul_jamo_EXTENDED_B}');
Error('\P{:= -Hangul_jamo_EXTENDED_B}');
Expect(1, 55295, '\p{hanguljamoextendedb}', "");
Expect(0, 55295, '\p{^hanguljamoextendedb}', "");
Expect(0, 55295, '\P{hanguljamoextendedb}', "");
Expect(1, 55295, '\P{^hanguljamoextendedb}', "");
Expect(0, 57344, '\p{hanguljamoextendedb}', "");
Expect(1, 57344, '\p{^hanguljamoextendedb}', "");
Expect(1, 57344, '\P{hanguljamoextendedb}', "");
Expect(0, 57344, '\P{^hanguljamoextendedb}', "");
Expect(1, 55295, '\p{_Hangul_jamo_EXTENDED_B}', "");
Expect(0, 55295, '\p{^_Hangul_jamo_EXTENDED_B}', "");
Expect(0, 55295, '\P{_Hangul_jamo_EXTENDED_B}', "");
Expect(1, 55295, '\P{^_Hangul_jamo_EXTENDED_B}', "");
Expect(0, 57344, '\p{_Hangul_jamo_EXTENDED_B}', "");
Expect(1, 57344, '\p{^_Hangul_jamo_EXTENDED_B}', "");
Expect(1, 57344, '\P{_Hangul_jamo_EXTENDED_B}', "");
Expect(0, 57344, '\P{^_Hangul_jamo_EXTENDED_B}', "");
Error('\p{_/a/IS_Hangul_Jamo_extended_B}');
Error('\P{_/a/IS_Hangul_Jamo_extended_B}');
Expect(1, 55295, '\p{ishanguljamoextendedb}', "");
Expect(0, 55295, '\p{^ishanguljamoextendedb}', "");
Expect(0, 55295, '\P{ishanguljamoextendedb}', "");
Expect(1, 55295, '\P{^ishanguljamoextendedb}', "");
Expect(0, 57344, '\p{ishanguljamoextendedb}', "");
Expect(1, 57344, '\p{^ishanguljamoextendedb}', "");
Expect(1, 57344, '\P{ishanguljamoextendedb}', "");
Expect(0, 57344, '\P{^ishanguljamoextendedb}', "");
Expect(1, 55295, '\p{	Is_Hangul_JAMO_Extended_b}', "");
Expect(0, 55295, '\p{^	Is_Hangul_JAMO_Extended_b}', "");
Expect(0, 55295, '\P{	Is_Hangul_JAMO_Extended_b}', "");
Expect(1, 55295, '\P{^	Is_Hangul_JAMO_Extended_b}', "");
Expect(0, 57344, '\p{	Is_Hangul_JAMO_Extended_b}', "");
Expect(1, 57344, '\p{^	Is_Hangul_JAMO_Extended_b}', "");
Expect(1, 57344, '\P{	Is_Hangul_JAMO_Extended_b}', "");
Expect(0, 57344, '\P{^	Is_Hangul_JAMO_Extended_b}', "");
Error('\p{_:=In_Hangul_Jamo_Extended_B}');
Error('\P{_:=In_Hangul_Jamo_Extended_B}');
Expect(1, 55295, '\p{inhanguljamoextendedb}', "");
Expect(0, 55295, '\p{^inhanguljamoextendedb}', "");
Expect(0, 55295, '\P{inhanguljamoextendedb}', "");
Expect(1, 55295, '\P{^inhanguljamoextendedb}', "");
Expect(0, 57344, '\p{inhanguljamoextendedb}', "");
Expect(1, 57344, '\p{^inhanguljamoextendedb}', "");
Expect(1, 57344, '\P{inhanguljamoextendedb}', "");
Expect(0, 57344, '\P{^inhanguljamoextendedb}', "");
Expect(1, 55295, '\p{ IN_Hangul_Jamo_EXTENDED_B}', "");
Expect(0, 55295, '\p{^ IN_Hangul_Jamo_EXTENDED_B}', "");
Expect(0, 55295, '\P{ IN_Hangul_Jamo_EXTENDED_B}', "");
Expect(1, 55295, '\P{^ IN_Hangul_Jamo_EXTENDED_B}', "");
Expect(0, 57344, '\p{ IN_Hangul_Jamo_EXTENDED_B}', "");
Expect(1, 57344, '\p{^ IN_Hangul_Jamo_EXTENDED_B}', "");
Expect(1, 57344, '\P{ IN_Hangul_Jamo_EXTENDED_B}', "");
Expect(0, 57344, '\P{^ IN_Hangul_Jamo_EXTENDED_B}', "");
Error('\p{	/a/jamo_EXT_B}');
Error('\P{	/a/jamo_EXT_B}');
Expect(1, 55295, '\p{jamoextb}', "");
Expect(0, 55295, '\p{^jamoextb}', "");
Expect(0, 55295, '\P{jamoextb}', "");
Expect(1, 55295, '\P{^jamoextb}', "");
Expect(0, 57344, '\p{jamoextb}', "");
Expect(1, 57344, '\p{^jamoextb}', "");
Expect(1, 57344, '\P{jamoextb}', "");
Expect(0, 57344, '\P{^jamoextb}', "");
Expect(1, 55295, '\p{ 	Jamo_EXT_B}', "");
Expect(0, 55295, '\p{^ 	Jamo_EXT_B}', "");
Expect(0, 55295, '\P{ 	Jamo_EXT_B}', "");
Expect(1, 55295, '\P{^ 	Jamo_EXT_B}', "");
Expect(0, 57344, '\p{ 	Jamo_EXT_B}', "");
Expect(1, 57344, '\p{^ 	Jamo_EXT_B}', "");
Expect(1, 57344, '\P{ 	Jamo_EXT_B}', "");
Expect(0, 57344, '\P{^ 	Jamo_EXT_B}', "");
Error('\p{/a/Is_JAMO_EXT_B}');
Error('\P{/a/Is_JAMO_EXT_B}');
Expect(1, 55295, '\p{isjamoextb}', "");
Expect(0, 55295, '\p{^isjamoextb}', "");
Expect(0, 55295, '\P{isjamoextb}', "");
Expect(1, 55295, '\P{^isjamoextb}', "");
Expect(0, 57344, '\p{isjamoextb}', "");
Expect(1, 57344, '\p{^isjamoextb}', "");
Expect(1, 57344, '\P{isjamoextb}', "");
Expect(0, 57344, '\P{^isjamoextb}', "");
Expect(1, 55295, '\p{- is_Jamo_Ext_B}', "");
Expect(0, 55295, '\p{^- is_Jamo_Ext_B}', "");
Expect(0, 55295, '\P{- is_Jamo_Ext_B}', "");
Expect(1, 55295, '\P{^- is_Jamo_Ext_B}', "");
Expect(0, 57344, '\p{- is_Jamo_Ext_B}', "");
Expect(1, 57344, '\p{^- is_Jamo_Ext_B}', "");
Expect(1, 57344, '\P{- is_Jamo_Ext_B}', "");
Expect(0, 57344, '\P{^- is_Jamo_Ext_B}', "");
Error('\p{/a/		IN_Jamo_EXT_b}');
Error('\P{/a/		IN_Jamo_EXT_b}');
Expect(1, 55295, '\p{injamoextb}', "");
Expect(0, 55295, '\p{^injamoextb}', "");
Expect(0, 55295, '\P{injamoextb}', "");
Expect(1, 55295, '\P{^injamoextb}', "");
Expect(0, 57344, '\p{injamoextb}', "");
Expect(1, 57344, '\p{^injamoextb}', "");
Expect(1, 57344, '\P{injamoextb}', "");
Expect(0, 57344, '\P{^injamoextb}', "");
Expect(1, 55295, '\p{  In_jamo_EXT_B}', "");
Expect(0, 55295, '\p{^  In_jamo_EXT_B}', "");
Expect(0, 55295, '\P{  In_jamo_EXT_B}', "");
Expect(1, 55295, '\P{^  In_jamo_EXT_B}', "");
Expect(0, 57344, '\p{  In_jamo_EXT_B}', "");
Expect(1, 57344, '\p{^  In_jamo_EXT_B}', "");
Expect(1, 57344, '\P{  In_jamo_EXT_B}', "");
Expect(0, 57344, '\P{^  In_jamo_EXT_B}', "");
Error('\p{/a/hangul_SYLLABLES}');
Error('\P{/a/hangul_SYLLABLES}');
Expect(1, 55215, '\p{hangulsyllables}', "");
Expect(0, 55215, '\p{^hangulsyllables}', "");
Expect(0, 55215, '\P{hangulsyllables}', "");
Expect(1, 55215, '\P{^hangulsyllables}', "");
Expect(0, 55216, '\p{hangulsyllables}', "");
Expect(1, 55216, '\p{^hangulsyllables}', "");
Expect(1, 55216, '\P{hangulsyllables}', "");
Expect(0, 55216, '\P{^hangulsyllables}', "");
Expect(1, 55215, '\p{_-Hangul_Syllables}', "");
Expect(0, 55215, '\p{^_-Hangul_Syllables}', "");
Expect(0, 55215, '\P{_-Hangul_Syllables}', "");
Expect(1, 55215, '\P{^_-Hangul_Syllables}', "");
Expect(0, 55216, '\p{_-Hangul_Syllables}', "");
Expect(1, 55216, '\p{^_-Hangul_Syllables}', "");
Expect(1, 55216, '\P{_-Hangul_Syllables}', "");
Expect(0, 55216, '\P{^_-Hangul_Syllables}', "");
Error('\p{/a/_	Is_HANGUL_Syllables}');
Error('\P{/a/_	Is_HANGUL_Syllables}');
Expect(1, 55215, '\p{ishangulsyllables}', "");
Expect(0, 55215, '\p{^ishangulsyllables}', "");
Expect(0, 55215, '\P{ishangulsyllables}', "");
Expect(1, 55215, '\P{^ishangulsyllables}', "");
Expect(0, 55216, '\p{ishangulsyllables}', "");
Expect(1, 55216, '\p{^ishangulsyllables}', "");
Expect(1, 55216, '\P{ishangulsyllables}', "");
Expect(0, 55216, '\P{^ishangulsyllables}', "");
Expect(1, 55215, '\p{--IS_hangul_SYLLABLES}', "");
Expect(0, 55215, '\p{^--IS_hangul_SYLLABLES}', "");
Expect(0, 55215, '\P{--IS_hangul_SYLLABLES}', "");
Expect(1, 55215, '\P{^--IS_hangul_SYLLABLES}', "");
Expect(0, 55216, '\p{--IS_hangul_SYLLABLES}', "");
Expect(1, 55216, '\p{^--IS_hangul_SYLLABLES}', "");
Expect(1, 55216, '\P{--IS_hangul_SYLLABLES}', "");
Expect(0, 55216, '\P{^--IS_hangul_SYLLABLES}', "");
Error('\p{-:=In_Hangul_Syllables}');
Error('\P{-:=In_Hangul_Syllables}');
Expect(1, 55215, '\p{inhangulsyllables}', "");
Expect(0, 55215, '\p{^inhangulsyllables}', "");
Expect(0, 55215, '\P{inhangulsyllables}', "");
Expect(1, 55215, '\P{^inhangulsyllables}', "");
Expect(0, 55216, '\p{inhangulsyllables}', "");
Expect(1, 55216, '\p{^inhangulsyllables}', "");
Expect(1, 55216, '\P{inhangulsyllables}', "");
Expect(0, 55216, '\P{^inhangulsyllables}', "");
Expect(1, 55215, '\p{	-In_hangul_SYLLABLES}', "");
Expect(0, 55215, '\p{^	-In_hangul_SYLLABLES}', "");
Expect(0, 55215, '\P{	-In_hangul_SYLLABLES}', "");
Expect(1, 55215, '\P{^	-In_hangul_SYLLABLES}', "");
Expect(0, 55216, '\p{	-In_hangul_SYLLABLES}', "");
Expect(1, 55216, '\p{^	-In_hangul_SYLLABLES}', "");
Expect(1, 55216, '\P{	-In_hangul_SYLLABLES}', "");
Expect(0, 55216, '\P{^	-In_hangul_SYLLABLES}', "");
Error('\p{-_IN_hangul/a/}');
Error('\P{-_IN_hangul/a/}');
Expect(1, 55215, '\p{inhangul}', "");
Expect(0, 55215, '\p{^inhangul}', "");
Expect(0, 55215, '\P{inhangul}', "");
Expect(1, 55215, '\P{^inhangul}', "");
Expect(0, 55216, '\p{inhangul}', "");
Expect(1, 55216, '\p{^inhangul}', "");
Expect(1, 55216, '\P{inhangul}', "");
Expect(0, 55216, '\P{^inhangul}', "");
Expect(1, 55215, '\p{ -in_hangul}', "");
Expect(0, 55215, '\p{^ -in_hangul}', "");
Expect(0, 55215, '\P{ -in_hangul}', "");
Expect(1, 55215, '\P{^ -in_hangul}', "");
Expect(0, 55216, '\p{ -in_hangul}', "");
Expect(1, 55216, '\p{^ -in_hangul}', "");
Expect(1, 55216, '\P{ -in_hangul}', "");
Expect(0, 55216, '\P{^ -in_hangul}', "");
Error('\p{:=_-Hanunoo}');
Error('\P{:=_-Hanunoo}');
Expect(1, 5940, '\p{hanunoo}', "");
Expect(0, 5940, '\p{^hanunoo}', "");
Expect(0, 5940, '\P{hanunoo}', "");
Expect(1, 5940, '\P{^hanunoo}', "");
Expect(0, 5941, '\p{hanunoo}', "");
Expect(1, 5941, '\p{^hanunoo}', "");
Expect(1, 5941, '\P{hanunoo}', "");
Expect(0, 5941, '\P{^hanunoo}', "");
Expect(1, 5940, '\p{_-Hanunoo}', "");
Expect(0, 5940, '\p{^_-Hanunoo}', "");
Expect(0, 5940, '\P{_-Hanunoo}', "");
Expect(1, 5940, '\P{^_-Hanunoo}', "");
Expect(0, 5941, '\p{_-Hanunoo}', "");
Expect(1, 5941, '\p{^_-Hanunoo}', "");
Expect(1, 5941, '\P{_-Hanunoo}', "");
Expect(0, 5941, '\P{^_-Hanunoo}', "");
Error('\p{	/a/IS_Hanunoo}');
Error('\P{	/a/IS_Hanunoo}');
Expect(1, 5940, '\p{ishanunoo}', "");
Expect(0, 5940, '\p{^ishanunoo}', "");
Expect(0, 5940, '\P{ishanunoo}', "");
Expect(1, 5940, '\P{^ishanunoo}', "");
Expect(0, 5941, '\p{ishanunoo}', "");
Expect(1, 5941, '\p{^ishanunoo}', "");
Expect(1, 5941, '\P{ishanunoo}', "");
Expect(0, 5941, '\P{^ishanunoo}', "");
Expect(1, 5940, '\p{__Is_HANUNOO}', "");
Expect(0, 5940, '\p{^__Is_HANUNOO}', "");
Expect(0, 5940, '\P{__Is_HANUNOO}', "");
Expect(1, 5940, '\P{^__Is_HANUNOO}', "");
Expect(0, 5941, '\p{__Is_HANUNOO}', "");
Expect(1, 5941, '\p{^__Is_HANUNOO}', "");
Expect(1, 5941, '\P{__Is_HANUNOO}', "");
Expect(0, 5941, '\P{^__Is_HANUNOO}', "");
Error('\p{-	hano/a/}');
Error('\P{-	hano/a/}');
Expect(1, 5940, '\p{hano}', "");
Expect(0, 5940, '\p{^hano}', "");
Expect(0, 5940, '\P{hano}', "");
Expect(1, 5940, '\P{^hano}', "");
Expect(0, 5941, '\p{hano}', "");
Expect(1, 5941, '\p{^hano}', "");
Expect(1, 5941, '\P{hano}', "");
Expect(0, 5941, '\P{^hano}', "");
Expect(1, 5940, '\p{_HANO}', "");
Expect(0, 5940, '\p{^_HANO}', "");
Expect(0, 5940, '\P{_HANO}', "");
Expect(1, 5940, '\P{^_HANO}', "");
Expect(0, 5941, '\p{_HANO}', "");
Expect(1, 5941, '\p{^_HANO}', "");
Expect(1, 5941, '\P{_HANO}', "");
Expect(0, 5941, '\P{^_HANO}', "");
Error('\p{ Is_HANO/a/}');
Error('\P{ Is_HANO/a/}');
Expect(1, 5940, '\p{ishano}', "");
Expect(0, 5940, '\p{^ishano}', "");
Expect(0, 5940, '\P{ishano}', "");
Expect(1, 5940, '\P{^ishano}', "");
Expect(0, 5941, '\p{ishano}', "");
Expect(1, 5941, '\p{^ishano}', "");
Expect(1, 5941, '\P{ishano}', "");
Expect(0, 5941, '\P{^ishano}', "");
Expect(1, 5940, '\p{ is_Hano}', "");
Expect(0, 5940, '\p{^ is_Hano}', "");
Expect(0, 5940, '\P{ is_Hano}', "");
Expect(1, 5940, '\P{^ is_Hano}', "");
Expect(0, 5941, '\p{ is_Hano}', "");
Expect(1, 5941, '\p{^ is_Hano}', "");
Expect(1, 5941, '\P{ is_Hano}', "");
Expect(0, 5941, '\P{^ is_Hano}', "");
Error('\p{-/a/hebrew}');
Error('\P{-/a/hebrew}');
Expect(1, 64335, '\p{hebrew}', "");
Expect(0, 64335, '\p{^hebrew}', "");
Expect(0, 64335, '\P{hebrew}', "");
Expect(1, 64335, '\P{^hebrew}', "");
Expect(0, 64336, '\p{hebrew}', "");
Expect(1, 64336, '\p{^hebrew}', "");
Expect(1, 64336, '\P{hebrew}', "");
Expect(0, 64336, '\P{^hebrew}', "");
Expect(1, 64335, '\p{_	Hebrew}', "");
Expect(0, 64335, '\p{^_	Hebrew}', "");
Expect(0, 64335, '\P{_	Hebrew}', "");
Expect(1, 64335, '\P{^_	Hebrew}', "");
Expect(0, 64336, '\p{_	Hebrew}', "");
Expect(1, 64336, '\p{^_	Hebrew}', "");
Expect(1, 64336, '\P{_	Hebrew}', "");
Expect(0, 64336, '\P{^_	Hebrew}', "");
Error('\p{/a/	IS_Hebrew}');
Error('\P{/a/	IS_Hebrew}');
Expect(1, 64335, '\p{ishebrew}', "");
Expect(0, 64335, '\p{^ishebrew}', "");
Expect(0, 64335, '\P{ishebrew}', "");
Expect(1, 64335, '\P{^ishebrew}', "");
Expect(0, 64336, '\p{ishebrew}', "");
Expect(1, 64336, '\p{^ishebrew}', "");
Expect(1, 64336, '\P{ishebrew}', "");
Expect(0, 64336, '\P{^ishebrew}', "");
Expect(1, 64335, '\p{		Is_Hebrew}', "");
Expect(0, 64335, '\p{^		Is_Hebrew}', "");
Expect(0, 64335, '\P{		Is_Hebrew}', "");
Expect(1, 64335, '\P{^		Is_Hebrew}', "");
Expect(0, 64336, '\p{		Is_Hebrew}', "");
Expect(1, 64336, '\p{^		Is_Hebrew}', "");
Expect(1, 64336, '\P{		Is_Hebrew}', "");
Expect(0, 64336, '\P{^		Is_Hebrew}', "");
Error('\p{/a/ _Hebr}');
Error('\P{/a/ _Hebr}');
Expect(1, 64335, '\p{hebr}', "");
Expect(0, 64335, '\p{^hebr}', "");
Expect(0, 64335, '\P{hebr}', "");
Expect(1, 64335, '\P{^hebr}', "");
Expect(0, 64336, '\p{hebr}', "");
Expect(1, 64336, '\p{^hebr}', "");
Expect(1, 64336, '\P{hebr}', "");
Expect(0, 64336, '\P{^hebr}', "");
Expect(1, 64335, '\p{-Hebr}', "");
Expect(0, 64335, '\p{^-Hebr}', "");
Expect(0, 64335, '\P{-Hebr}', "");
Expect(1, 64335, '\P{^-Hebr}', "");
Expect(0, 64336, '\p{-Hebr}', "");
Expect(1, 64336, '\p{^-Hebr}', "");
Expect(1, 64336, '\P{-Hebr}', "");
Expect(0, 64336, '\P{^-Hebr}', "");
Error('\p{ /a/Is_hebr}');
Error('\P{ /a/Is_hebr}');
Expect(1, 64335, '\p{ishebr}', "");
Expect(0, 64335, '\p{^ishebr}', "");
Expect(0, 64335, '\P{ishebr}', "");
Expect(1, 64335, '\P{^ishebr}', "");
Expect(0, 64336, '\p{ishebr}', "");
Expect(1, 64336, '\p{^ishebr}', "");
Expect(1, 64336, '\P{ishebr}', "");
Expect(0, 64336, '\P{^ishebr}', "");
Expect(1, 64335, '\p{_-Is_Hebr}', "");
Expect(0, 64335, '\p{^_-Is_Hebr}', "");
Expect(0, 64335, '\P{_-Is_Hebr}', "");
Expect(1, 64335, '\P{^_-Is_Hebr}', "");
Expect(0, 64336, '\p{_-Is_Hebr}', "");
Expect(1, 64336, '\p{^_-Is_Hebr}', "");
Expect(1, 64336, '\P{_-Is_Hebr}', "");
Expect(0, 64336, '\P{^_-Is_Hebr}', "");
Error('\p{-High_Private_USE_Surrogates/a/}');
Error('\P{-High_Private_USE_Surrogates/a/}');
Expect(1, 56319, '\p{highprivateusesurrogates}', "");
Expect(0, 56319, '\p{^highprivateusesurrogates}', "");
Expect(0, 56319, '\P{highprivateusesurrogates}', "");
Expect(1, 56319, '\P{^highprivateusesurrogates}', "");
Expect(0, 57344, '\p{highprivateusesurrogates}', "");
Expect(1, 57344, '\p{^highprivateusesurrogates}', "");
Expect(1, 57344, '\P{highprivateusesurrogates}', "");
Expect(0, 57344, '\P{^highprivateusesurrogates}', "");
Expect(1, 56319, '\p{_High_PRIVATE_Use_SURROGATES}', "");
Expect(0, 56319, '\p{^_High_PRIVATE_Use_SURROGATES}', "");
Expect(0, 56319, '\P{_High_PRIVATE_Use_SURROGATES}', "");
Expect(1, 56319, '\P{^_High_PRIVATE_Use_SURROGATES}', "");
Expect(0, 57344, '\p{_High_PRIVATE_Use_SURROGATES}', "");
Expect(1, 57344, '\p{^_High_PRIVATE_Use_SURROGATES}', "");
Expect(1, 57344, '\P{_High_PRIVATE_Use_SURROGATES}', "");
Expect(0, 57344, '\P{^_High_PRIVATE_Use_SURROGATES}', "");
Error('\p{	-is_HIGH_private_use_Surrogates:=}');
Error('\P{	-is_HIGH_private_use_Surrogates:=}');
Expect(1, 56319, '\p{ishighprivateusesurrogates}', "");
Expect(0, 56319, '\p{^ishighprivateusesurrogates}', "");
Expect(0, 56319, '\P{ishighprivateusesurrogates}', "");
Expect(1, 56319, '\P{^ishighprivateusesurrogates}', "");
Expect(0, 57344, '\p{ishighprivateusesurrogates}', "");
Expect(1, 57344, '\p{^ishighprivateusesurrogates}', "");
Expect(1, 57344, '\P{ishighprivateusesurrogates}', "");
Expect(0, 57344, '\P{^ishighprivateusesurrogates}', "");
Expect(1, 56319, '\p{ _Is_HIGH_private_Use_surrogates}', "");
Expect(0, 56319, '\p{^ _Is_HIGH_private_Use_surrogates}', "");
Expect(0, 56319, '\P{ _Is_HIGH_private_Use_surrogates}', "");
Expect(1, 56319, '\P{^ _Is_HIGH_private_Use_surrogates}', "");
Expect(0, 57344, '\p{ _Is_HIGH_private_Use_surrogates}', "");
Expect(1, 57344, '\p{^ _Is_HIGH_private_Use_surrogates}', "");
Expect(1, 57344, '\P{ _Is_HIGH_private_Use_surrogates}', "");
Expect(0, 57344, '\P{^ _Is_HIGH_private_Use_surrogates}', "");
Error('\p{:=-In_HIGH_Private_USE_Surrogates}');
Error('\P{:=-In_HIGH_Private_USE_Surrogates}');
Expect(1, 56319, '\p{inhighprivateusesurrogates}', "");
Expect(0, 56319, '\p{^inhighprivateusesurrogates}', "");
Expect(0, 56319, '\P{inhighprivateusesurrogates}', "");
Expect(1, 56319, '\P{^inhighprivateusesurrogates}', "");
Expect(0, 57344, '\p{inhighprivateusesurrogates}', "");
Expect(1, 57344, '\p{^inhighprivateusesurrogates}', "");
Expect(1, 57344, '\P{inhighprivateusesurrogates}', "");
Expect(0, 57344, '\P{^inhighprivateusesurrogates}', "");
Expect(1, 56319, '\p{ -In_high_Private_Use_SURROGATES}', "");
Expect(0, 56319, '\p{^ -In_high_Private_Use_SURROGATES}', "");
Expect(0, 56319, '\P{ -In_high_Private_Use_SURROGATES}', "");
Expect(1, 56319, '\P{^ -In_high_Private_Use_SURROGATES}', "");
Expect(0, 57344, '\p{ -In_high_Private_Use_SURROGATES}', "");
Expect(1, 57344, '\p{^ -In_high_Private_Use_SURROGATES}', "");
Expect(1, 57344, '\P{ -In_high_Private_Use_SURROGATES}', "");
Expect(0, 57344, '\P{^ -In_high_Private_Use_SURROGATES}', "");
Error('\p{	:=High_pu_surrogates}');
Error('\P{	:=High_pu_surrogates}');
Expect(1, 56319, '\p{highpusurrogates}', "");
Expect(0, 56319, '\p{^highpusurrogates}', "");
Expect(0, 56319, '\P{highpusurrogates}', "");
Expect(1, 56319, '\P{^highpusurrogates}', "");
Expect(0, 57344, '\p{highpusurrogates}', "");
Expect(1, 57344, '\p{^highpusurrogates}', "");
Expect(1, 57344, '\P{highpusurrogates}', "");
Expect(0, 57344, '\P{^highpusurrogates}', "");
Expect(1, 56319, '\p{ -High_PU_Surrogates}', "");
Expect(0, 56319, '\p{^ -High_PU_Surrogates}', "");
Expect(0, 56319, '\P{ -High_PU_Surrogates}', "");
Expect(1, 56319, '\P{^ -High_PU_Surrogates}', "");
Expect(0, 57344, '\p{ -High_PU_Surrogates}', "");
Expect(1, 57344, '\p{^ -High_PU_Surrogates}', "");
Expect(1, 57344, '\P{ -High_PU_Surrogates}', "");
Expect(0, 57344, '\P{^ -High_PU_Surrogates}', "");
Error('\p{:=-Is_High_PU_Surrogates}');
Error('\P{:=-Is_High_PU_Surrogates}');
Expect(1, 56319, '\p{ishighpusurrogates}', "");
Expect(0, 56319, '\p{^ishighpusurrogates}', "");
Expect(0, 56319, '\P{ishighpusurrogates}', "");
Expect(1, 56319, '\P{^ishighpusurrogates}', "");
Expect(0, 57344, '\p{ishighpusurrogates}', "");
Expect(1, 57344, '\p{^ishighpusurrogates}', "");
Expect(1, 57344, '\P{ishighpusurrogates}', "");
Expect(0, 57344, '\P{^ishighpusurrogates}', "");
Expect(1, 56319, '\p{  is_High_PU_SURROGATES}', "");
Expect(0, 56319, '\p{^  is_High_PU_SURROGATES}', "");
Expect(0, 56319, '\P{  is_High_PU_SURROGATES}', "");
Expect(1, 56319, '\P{^  is_High_PU_SURROGATES}', "");
Expect(0, 57344, '\p{  is_High_PU_SURROGATES}', "");
Expect(1, 57344, '\p{^  is_High_PU_SURROGATES}', "");
Expect(1, 57344, '\P{  is_High_PU_SURROGATES}', "");
Expect(0, 57344, '\P{^  is_High_PU_SURROGATES}', "");
Error('\p{-In_HIGH_PU_SURROGATES:=}');
Error('\P{-In_HIGH_PU_SURROGATES:=}');
Expect(1, 56319, '\p{inhighpusurrogates}', "");
Expect(0, 56319, '\p{^inhighpusurrogates}', "");
Expect(0, 56319, '\P{inhighpusurrogates}', "");
Expect(1, 56319, '\P{^inhighpusurrogates}', "");
Expect(0, 57344, '\p{inhighpusurrogates}', "");
Expect(1, 57344, '\p{^inhighpusurrogates}', "");
Expect(1, 57344, '\P{inhighpusurrogates}', "");
Expect(0, 57344, '\P{^inhighpusurrogates}', "");
Expect(1, 56319, '\p{ 	In_HIGH_PU_Surrogates}', "");
Expect(0, 56319, '\p{^ 	In_HIGH_PU_Surrogates}', "");
Expect(0, 56319, '\P{ 	In_HIGH_PU_Surrogates}', "");
Expect(1, 56319, '\P{^ 	In_HIGH_PU_Surrogates}', "");
Expect(0, 57344, '\p{ 	In_HIGH_PU_Surrogates}', "");
Expect(1, 57344, '\p{^ 	In_HIGH_PU_Surrogates}', "");
Expect(1, 57344, '\P{ 	In_HIGH_PU_Surrogates}', "");
Expect(0, 57344, '\P{^ 	In_HIGH_PU_Surrogates}', "");
Error('\p{	High_SURROGATES/a/}');
Error('\P{	High_SURROGATES/a/}');
Expect(1, 56191, '\p{highsurrogates}', "");
Expect(0, 56191, '\p{^highsurrogates}', "");
Expect(0, 56191, '\P{highsurrogates}', "");
Expect(1, 56191, '\P{^highsurrogates}', "");
Expect(0, 57344, '\p{highsurrogates}', "");
Expect(1, 57344, '\p{^highsurrogates}', "");
Expect(1, 57344, '\P{highsurrogates}', "");
Expect(0, 57344, '\P{^highsurrogates}', "");
Expect(1, 56191, '\p{ _High_SURROGATES}', "");
Expect(0, 56191, '\p{^ _High_SURROGATES}', "");
Expect(0, 56191, '\P{ _High_SURROGATES}', "");
Expect(1, 56191, '\P{^ _High_SURROGATES}', "");
Expect(0, 57344, '\p{ _High_SURROGATES}', "");
Expect(1, 57344, '\p{^ _High_SURROGATES}', "");
Expect(1, 57344, '\P{ _High_SURROGATES}', "");
Expect(0, 57344, '\P{^ _High_SURROGATES}', "");
Error('\p{ /a/is_HIGH_Surrogates}');
Error('\P{ /a/is_HIGH_Surrogates}');
Expect(1, 56191, '\p{ishighsurrogates}', "");
Expect(0, 56191, '\p{^ishighsurrogates}', "");
Expect(0, 56191, '\P{ishighsurrogates}', "");
Expect(1, 56191, '\P{^ishighsurrogates}', "");
Expect(0, 57344, '\p{ishighsurrogates}', "");
Expect(1, 57344, '\p{^ishighsurrogates}', "");
Expect(1, 57344, '\P{ishighsurrogates}', "");
Expect(0, 57344, '\P{^ishighsurrogates}', "");
Expect(1, 56191, '\p{	Is_High_SURROGATES}', "");
Expect(0, 56191, '\p{^	Is_High_SURROGATES}', "");
Expect(0, 56191, '\P{	Is_High_SURROGATES}', "");
Expect(1, 56191, '\P{^	Is_High_SURROGATES}', "");
Expect(0, 57344, '\p{	Is_High_SURROGATES}', "");
Expect(1, 57344, '\p{^	Is_High_SURROGATES}', "");
Expect(1, 57344, '\P{	Is_High_SURROGATES}', "");
Expect(0, 57344, '\P{^	Is_High_SURROGATES}', "");
Error('\p{-/a/In_HIGH_Surrogates}');
Error('\P{-/a/In_HIGH_Surrogates}');
Expect(1, 56191, '\p{inhighsurrogates}', "");
Expect(0, 56191, '\p{^inhighsurrogates}', "");
Expect(0, 56191, '\P{inhighsurrogates}', "");
Expect(1, 56191, '\P{^inhighsurrogates}', "");
Expect(0, 57344, '\p{inhighsurrogates}', "");
Expect(1, 57344, '\p{^inhighsurrogates}', "");
Expect(1, 57344, '\P{inhighsurrogates}', "");
Expect(0, 57344, '\P{^inhighsurrogates}', "");
Expect(1, 56191, '\p{ _IN_HIGH_surrogates}', "");
Expect(0, 56191, '\p{^ _IN_HIGH_surrogates}', "");
Expect(0, 56191, '\P{ _IN_HIGH_surrogates}', "");
Expect(1, 56191, '\P{^ _IN_HIGH_surrogates}', "");
Expect(0, 57344, '\p{ _IN_HIGH_surrogates}', "");
Expect(1, 57344, '\p{^ _IN_HIGH_surrogates}', "");
Expect(1, 57344, '\P{ _IN_HIGH_surrogates}', "");
Expect(0, 57344, '\P{^ _IN_HIGH_surrogates}', "");
Error('\p{-_HIRAGANA:=}');
Error('\P{-_HIRAGANA:=}');
Expect(1, 127488, '\p{hiragana}', "");
Expect(0, 127488, '\p{^hiragana}', "");
Expect(0, 127488, '\P{hiragana}', "");
Expect(1, 127488, '\P{^hiragana}', "");
Expect(0, 127489, '\p{hiragana}', "");
Expect(1, 127489, '\p{^hiragana}', "");
Expect(1, 127489, '\P{hiragana}', "");
Expect(0, 127489, '\P{^hiragana}', "");
Expect(1, 127488, '\p{	_hiragana}', "");
Expect(0, 127488, '\p{^	_hiragana}', "");
Expect(0, 127488, '\P{	_hiragana}', "");
Expect(1, 127488, '\P{^	_hiragana}', "");
Expect(0, 127489, '\p{	_hiragana}', "");
Expect(1, 127489, '\p{^	_hiragana}', "");
Expect(1, 127489, '\P{	_hiragana}', "");
Expect(0, 127489, '\P{^	_hiragana}', "");
Error('\p{	is_Hiragana:=}');
Error('\P{	is_Hiragana:=}');
Expect(1, 127488, '\p{ishiragana}', "");
Expect(0, 127488, '\p{^ishiragana}', "");
Expect(0, 127488, '\P{ishiragana}', "");
Expect(1, 127488, '\P{^ishiragana}', "");
Expect(0, 127489, '\p{ishiragana}', "");
Expect(1, 127489, '\p{^ishiragana}', "");
Expect(1, 127489, '\P{ishiragana}', "");
Expect(0, 127489, '\P{^ishiragana}', "");
Expect(1, 127488, '\p{__IS_Hiragana}', "");
Expect(0, 127488, '\p{^__IS_Hiragana}', "");
Expect(0, 127488, '\P{__IS_Hiragana}', "");
Expect(1, 127488, '\P{^__IS_Hiragana}', "");
Expect(0, 127489, '\p{__IS_Hiragana}', "");
Expect(1, 127489, '\p{^__IS_Hiragana}', "");
Expect(1, 127489, '\P{__IS_Hiragana}', "");
Expect(0, 127489, '\P{^__IS_Hiragana}', "");
Error('\p{/a/_hira}');
Error('\P{/a/_hira}');
Expect(1, 127488, '\p{hira}', "");
Expect(0, 127488, '\p{^hira}', "");
Expect(0, 127488, '\P{hira}', "");
Expect(1, 127488, '\P{^hira}', "");
Expect(0, 127489, '\p{hira}', "");
Expect(1, 127489, '\p{^hira}', "");
Expect(1, 127489, '\P{hira}', "");
Expect(0, 127489, '\P{^hira}', "");
Expect(1, 127488, '\p{ -Hira}', "");
Expect(0, 127488, '\p{^ -Hira}', "");
Expect(0, 127488, '\P{ -Hira}', "");
Expect(1, 127488, '\P{^ -Hira}', "");
Expect(0, 127489, '\p{ -Hira}', "");
Expect(1, 127489, '\p{^ -Hira}', "");
Expect(1, 127489, '\P{ -Hira}', "");
Expect(0, 127489, '\P{^ -Hira}', "");
Error('\p{_/a/is_Hira}');
Error('\P{_/a/is_Hira}');
Expect(1, 127488, '\p{ishira}', "");
Expect(0, 127488, '\p{^ishira}', "");
Expect(0, 127488, '\P{ishira}', "");
Expect(1, 127488, '\P{^ishira}', "");
Expect(0, 127489, '\p{ishira}', "");
Expect(1, 127489, '\p{^ishira}', "");
Expect(1, 127489, '\P{ishira}', "");
Expect(0, 127489, '\P{^ishira}', "");
Expect(1, 127488, '\p{-_IS_Hira}', "");
Expect(0, 127488, '\p{^-_IS_Hira}', "");
Expect(0, 127488, '\P{-_IS_Hira}', "");
Expect(1, 127488, '\P{^-_IS_Hira}', "");
Expect(0, 127489, '\p{-_IS_Hira}', "");
Expect(1, 127489, '\p{^-_IS_Hira}', "");
Expect(1, 127489, '\P{-_IS_Hira}', "");
Expect(0, 127489, '\P{^-_IS_Hira}', "");
Error('\p{/a/	 Hyphen}');
Error('\P{/a/	 Hyphen}');
Expect(1, 65381, '\p{hyphen}', 'deprecated');
Expect(0, 65381, '\p{^hyphen}', 'deprecated');
Expect(0, 65381, '\P{hyphen}', 'deprecated');
Expect(1, 65381, '\P{^hyphen}', 'deprecated');
Expect(0, 65382, '\p{hyphen}', 'deprecated');
Expect(1, 65382, '\p{^hyphen}', 'deprecated');
Expect(1, 65382, '\P{hyphen}', 'deprecated');
Expect(0, 65382, '\P{^hyphen}', 'deprecated');
Error('\p{:=		Is_hyphen}');
Error('\P{:=		Is_hyphen}');
Expect(1, 65381, '\p{ishyphen}', 'deprecated');
Expect(0, 65381, '\p{^ishyphen}', 'deprecated');
Expect(0, 65381, '\P{ishyphen}', 'deprecated');
Expect(1, 65381, '\P{^ishyphen}', 'deprecated');
Expect(0, 65382, '\p{ishyphen}', 'deprecated');
Expect(1, 65382, '\p{^ishyphen}', 'deprecated');
Expect(1, 65382, '\P{ishyphen}', 'deprecated');
Expect(0, 65382, '\P{^ishyphen}', 'deprecated');
Expect(1, 65381, '\p{ 	IS_HYPHEN}', 'deprecated');
Expect(0, 65381, '\p{^ 	IS_HYPHEN}', 'deprecated');
Expect(0, 65381, '\P{ 	IS_HYPHEN}', 'deprecated');
Expect(1, 65381, '\P{^ 	IS_HYPHEN}', 'deprecated');
Expect(0, 65382, '\p{ 	IS_HYPHEN}', 'deprecated');
Expect(1, 65382, '\p{^ 	IS_HYPHEN}', 'deprecated');
Expect(1, 65382, '\P{ 	IS_HYPHEN}', 'deprecated');
Expect(0, 65382, '\P{^ 	IS_HYPHEN}', 'deprecated');
Error('\p{_:=IDS_Binary_operator}');
Error('\P{_:=IDS_Binary_operator}');
Expect(1, 12283, '\p{idsbinaryoperator}', "");
Expect(0, 12283, '\p{^idsbinaryoperator}', "");
Expect(0, 12283, '\P{idsbinaryoperator}', "");
Expect(1, 12283, '\P{^idsbinaryoperator}', "");
Expect(0, 12284, '\p{idsbinaryoperator}', "");
Expect(1, 12284, '\p{^idsbinaryoperator}', "");
Expect(1, 12284, '\P{idsbinaryoperator}', "");
Expect(0, 12284, '\P{^idsbinaryoperator}', "");
Expect(1, 12283, '\p{--IDS_binary_OPERATOR}', "");
Expect(0, 12283, '\p{^--IDS_binary_OPERATOR}', "");
Expect(0, 12283, '\P{--IDS_binary_OPERATOR}', "");
Expect(1, 12283, '\P{^--IDS_binary_OPERATOR}', "");
Expect(0, 12284, '\p{--IDS_binary_OPERATOR}', "");
Expect(1, 12284, '\p{^--IDS_binary_OPERATOR}', "");
Expect(1, 12284, '\P{--IDS_binary_OPERATOR}', "");
Expect(0, 12284, '\P{^--IDS_binary_OPERATOR}', "");
Error('\p{:=__IS_IDS_BINARY_Operator}');
Error('\P{:=__IS_IDS_BINARY_Operator}');
Expect(1, 12283, '\p{isidsbinaryoperator}', "");
Expect(0, 12283, '\p{^isidsbinaryoperator}', "");
Expect(0, 12283, '\P{isidsbinaryoperator}', "");
Expect(1, 12283, '\P{^isidsbinaryoperator}', "");
Expect(0, 12284, '\p{isidsbinaryoperator}', "");
Expect(1, 12284, '\p{^isidsbinaryoperator}', "");
Expect(1, 12284, '\P{isidsbinaryoperator}', "");
Expect(0, 12284, '\P{^isidsbinaryoperator}', "");
Expect(1, 12283, '\p{__Is_IDS_Binary_operator}', "");
Expect(0, 12283, '\p{^__Is_IDS_Binary_operator}', "");
Expect(0, 12283, '\P{__Is_IDS_Binary_operator}', "");
Expect(1, 12283, '\P{^__Is_IDS_Binary_operator}', "");
Expect(0, 12284, '\p{__Is_IDS_Binary_operator}', "");
Expect(1, 12284, '\p{^__Is_IDS_Binary_operator}', "");
Expect(1, 12284, '\P{__Is_IDS_Binary_operator}', "");
Expect(0, 12284, '\P{^__Is_IDS_Binary_operator}', "");
Error('\p{/a/-_IDSB}');
Error('\P{/a/-_IDSB}');
Expect(1, 12283, '\p{idsb}', "");
Expect(0, 12283, '\p{^idsb}', "");
Expect(0, 12283, '\P{idsb}', "");
Expect(1, 12283, '\P{^idsb}', "");
Expect(0, 12284, '\p{idsb}', "");
Expect(1, 12284, '\p{^idsb}', "");
Expect(1, 12284, '\P{idsb}', "");
Expect(0, 12284, '\P{^idsb}', "");
Expect(1, 12283, '\p{-	IDSB}', "");
Expect(0, 12283, '\p{^-	IDSB}', "");
Expect(0, 12283, '\P{-	IDSB}', "");
Expect(1, 12283, '\P{^-	IDSB}', "");
Expect(0, 12284, '\p{-	IDSB}', "");
Expect(1, 12284, '\p{^-	IDSB}', "");
Expect(1, 12284, '\P{-	IDSB}', "");
Expect(0, 12284, '\P{^-	IDSB}', "");
Error('\p{/a/IS_IDSB}');
Error('\P{/a/IS_IDSB}');
Expect(1, 12283, '\p{isidsb}', "");
Expect(0, 12283, '\p{^isidsb}', "");
Expect(0, 12283, '\P{isidsb}', "");
Expect(1, 12283, '\P{^isidsb}', "");
Expect(0, 12284, '\p{isidsb}', "");
Expect(1, 12284, '\p{^isidsb}', "");
Expect(1, 12284, '\P{isidsb}', "");
Expect(0, 12284, '\P{^isidsb}', "");
Expect(1, 12283, '\p{__Is_IDSB}', "");
Expect(0, 12283, '\p{^__Is_IDSB}', "");
Expect(0, 12283, '\P{__Is_IDSB}', "");
Expect(1, 12283, '\P{^__Is_IDSB}', "");
Expect(0, 12284, '\p{__Is_IDSB}', "");
Expect(1, 12284, '\p{^__Is_IDSB}', "");
Expect(1, 12284, '\P{__Is_IDSB}', "");
Expect(0, 12284, '\P{^__Is_IDSB}', "");
Error('\p{/a/IDS_TRINARY_OPERATOR}');
Error('\P{/a/IDS_TRINARY_OPERATOR}');
Expect(1, 12275, '\p{idstrinaryoperator}', "");
Expect(0, 12275, '\p{^idstrinaryoperator}', "");
Expect(0, 12275, '\P{idstrinaryoperator}', "");
Expect(1, 12275, '\P{^idstrinaryoperator}', "");
Expect(0, 12276, '\p{idstrinaryoperator}', "");
Expect(1, 12276, '\p{^idstrinaryoperator}', "");
Expect(1, 12276, '\P{idstrinaryoperator}', "");
Expect(0, 12276, '\P{^idstrinaryoperator}', "");
Expect(1, 12275, '\p{-ids_TRINARY_Operator}', "");
Expect(0, 12275, '\p{^-ids_TRINARY_Operator}', "");
Expect(0, 12275, '\P{-ids_TRINARY_Operator}', "");
Expect(1, 12275, '\P{^-ids_TRINARY_Operator}', "");
Expect(0, 12276, '\p{-ids_TRINARY_Operator}', "");
Expect(1, 12276, '\p{^-ids_TRINARY_Operator}', "");
Expect(1, 12276, '\P{-ids_TRINARY_Operator}', "");
Expect(0, 12276, '\P{^-ids_TRINARY_Operator}', "");
Error('\p{-/a/is_ids_Trinary_Operator}');
Error('\P{-/a/is_ids_Trinary_Operator}');
Expect(1, 12275, '\p{isidstrinaryoperator}', "");
Expect(0, 12275, '\p{^isidstrinaryoperator}', "");
Expect(0, 12275, '\P{isidstrinaryoperator}', "");
Expect(1, 12275, '\P{^isidstrinaryoperator}', "");
Expect(0, 12276, '\p{isidstrinaryoperator}', "");
Expect(1, 12276, '\p{^isidstrinaryoperator}', "");
Expect(1, 12276, '\P{isidstrinaryoperator}', "");
Expect(0, 12276, '\P{^isidstrinaryoperator}', "");
Expect(1, 12275, '\p{__IS_IDS_trinary_Operator}', "");
Expect(0, 12275, '\p{^__IS_IDS_trinary_Operator}', "");
Expect(0, 12275, '\P{__IS_IDS_trinary_Operator}', "");
Expect(1, 12275, '\P{^__IS_IDS_trinary_Operator}', "");
Expect(0, 12276, '\p{__IS_IDS_trinary_Operator}', "");
Expect(1, 12276, '\p{^__IS_IDS_trinary_Operator}', "");
Expect(1, 12276, '\P{__IS_IDS_trinary_Operator}', "");
Expect(0, 12276, '\P{^__IS_IDS_trinary_Operator}', "");
Error('\p{:=-IDST}');
Error('\P{:=-IDST}');
Expect(1, 12275, '\p{idst}', "");
Expect(0, 12275, '\p{^idst}', "");
Expect(0, 12275, '\P{idst}', "");
Expect(1, 12275, '\P{^idst}', "");
Expect(0, 12276, '\p{idst}', "");
Expect(1, 12276, '\p{^idst}', "");
Expect(1, 12276, '\P{idst}', "");
Expect(0, 12276, '\P{^idst}', "");
Expect(1, 12275, '\p{IDST}', "");
Expect(0, 12275, '\p{^IDST}', "");
Expect(0, 12275, '\P{IDST}', "");
Expect(1, 12275, '\P{^IDST}', "");
Expect(0, 12276, '\p{IDST}', "");
Expect(1, 12276, '\p{^IDST}', "");
Expect(1, 12276, '\P{IDST}', "");
Expect(0, 12276, '\P{^IDST}', "");
Error('\p{/a/-	is_IDST}');
Error('\P{/a/-	is_IDST}');
Expect(1, 12275, '\p{isidst}', "");
Expect(0, 12275, '\p{^isidst}', "");
Expect(0, 12275, '\P{isidst}', "");
Expect(1, 12275, '\P{^isidst}', "");
Expect(0, 12276, '\p{isidst}', "");
Expect(1, 12276, '\p{^isidst}', "");
Expect(1, 12276, '\P{isidst}', "");
Expect(0, 12276, '\P{^isidst}', "");
Expect(1, 12275, '\p{ -IS_IDST}', "");
Expect(0, 12275, '\p{^ -IS_IDST}', "");
Expect(0, 12275, '\P{ -IS_IDST}', "");
Expect(1, 12275, '\P{^ -IS_IDST}', "");
Expect(0, 12276, '\p{ -IS_IDST}', "");
Expect(1, 12276, '\p{^ -IS_IDST}', "");
Expect(1, 12276, '\P{ -IS_IDST}', "");
Expect(0, 12276, '\P{^ -IS_IDST}', "");
Error('\p{/a/--ID_continue}');
Error('\P{/a/--ID_continue}');
Expect(1, 917999, '\p{idcontinue}', "");
Expect(0, 917999, '\p{^idcontinue}', "");
Expect(0, 917999, '\P{idcontinue}', "");
Expect(1, 917999, '\P{^idcontinue}', "");
Expect(0, 918000, '\p{idcontinue}', "");
Expect(1, 918000, '\p{^idcontinue}', "");
Expect(1, 918000, '\P{idcontinue}', "");
Expect(0, 918000, '\P{^idcontinue}', "");
Expect(1, 917999, '\p{	 ID_Continue}', "");
Expect(0, 917999, '\p{^	 ID_Continue}', "");
Expect(0, 917999, '\P{	 ID_Continue}', "");
Expect(1, 917999, '\P{^	 ID_Continue}', "");
Expect(0, 918000, '\p{	 ID_Continue}', "");
Expect(1, 918000, '\p{^	 ID_Continue}', "");
Expect(1, 918000, '\P{	 ID_Continue}', "");
Expect(0, 918000, '\P{^	 ID_Continue}', "");
Error('\p{/a/	is_ID_Continue}');
Error('\P{/a/	is_ID_Continue}');
Expect(1, 917999, '\p{isidcontinue}', "");
Expect(0, 917999, '\p{^isidcontinue}', "");
Expect(0, 917999, '\P{isidcontinue}', "");
Expect(1, 917999, '\P{^isidcontinue}', "");
Expect(0, 918000, '\p{isidcontinue}', "");
Expect(1, 918000, '\p{^isidcontinue}', "");
Expect(1, 918000, '\P{isidcontinue}', "");
Expect(0, 918000, '\P{^isidcontinue}', "");
Expect(1, 917999, '\p{_ Is_ID_Continue}', "");
Expect(0, 917999, '\p{^_ Is_ID_Continue}', "");
Expect(0, 917999, '\P{_ Is_ID_Continue}', "");
Expect(1, 917999, '\P{^_ Is_ID_Continue}', "");
Expect(0, 918000, '\p{_ Is_ID_Continue}', "");
Expect(1, 918000, '\p{^_ Is_ID_Continue}', "");
Expect(1, 918000, '\P{_ Is_ID_Continue}', "");
Expect(0, 918000, '\P{^_ Is_ID_Continue}', "");
Error('\p{/a/IDC}');
Error('\P{/a/IDC}');
Expect(1, 917999, '\p{idc}', "");
Expect(0, 917999, '\p{^idc}', "");
Expect(0, 917999, '\P{idc}', "");
Expect(1, 917999, '\P{^idc}', "");
Expect(0, 918000, '\p{idc}', "");
Expect(1, 918000, '\p{^idc}', "");
Expect(1, 918000, '\P{idc}', "");
Expect(0, 918000, '\P{^idc}', "");
Expect(1, 917999, '\p{		idc}', "");
Expect(0, 917999, '\p{^		idc}', "");
Expect(0, 917999, '\P{		idc}', "");
Expect(1, 917999, '\P{^		idc}', "");
Expect(0, 918000, '\p{		idc}', "");
Expect(1, 918000, '\p{^		idc}', "");
Expect(1, 918000, '\P{		idc}', "");
Expect(0, 918000, '\P{^		idc}', "");
Error('\p{/a/_ Is_idc}');
Error('\P{/a/_ Is_idc}');
Expect(1, 917999, '\p{isidc}', "");
Expect(0, 917999, '\p{^isidc}', "");
Expect(0, 917999, '\P{isidc}', "");
Expect(1, 917999, '\P{^isidc}', "");
Expect(0, 918000, '\p{isidc}', "");
Expect(1, 918000, '\p{^isidc}', "");
Expect(1, 918000, '\P{isidc}', "");
Expect(0, 918000, '\P{^isidc}', "");
Expect(1, 917999, '\p{_	is_IDC}', "");
Expect(0, 917999, '\p{^_	is_IDC}', "");
Expect(0, 917999, '\P{_	is_IDC}', "");
Expect(1, 917999, '\P{^_	is_IDC}', "");
Expect(0, 918000, '\p{_	is_IDC}', "");
Expect(1, 918000, '\p{^_	is_IDC}', "");
Expect(1, 918000, '\P{_	is_IDC}', "");
Expect(0, 918000, '\P{^_	is_IDC}', "");
Error('\p{/a/id_Start}');
Error('\P{/a/id_Start}');
Expect(1, 195101, '\p{idstart}', "");
Expect(0, 195101, '\p{^idstart}', "");
Expect(0, 195101, '\P{idstart}', "");
Expect(1, 195101, '\P{^idstart}', "");
Expect(0, 195102, '\p{idstart}', "");
Expect(1, 195102, '\p{^idstart}', "");
Expect(1, 195102, '\P{idstart}', "");
Expect(0, 195102, '\P{^idstart}', "");
Expect(1, 195101, '\p{__id_Start}', "");
Expect(0, 195101, '\p{^__id_Start}', "");
Expect(0, 195101, '\P{__id_Start}', "");
Expect(1, 195101, '\P{^__id_Start}', "");
Expect(0, 195102, '\p{__id_Start}', "");
Expect(1, 195102, '\p{^__id_Start}', "");
Expect(1, 195102, '\P{__id_Start}', "");
Expect(0, 195102, '\P{^__id_Start}', "");
Error('\p{/a/ Is_ID_START}');
Error('\P{/a/ Is_ID_START}');
Expect(1, 195101, '\p{isidstart}', "");
Expect(0, 195101, '\p{^isidstart}', "");
Expect(0, 195101, '\P{isidstart}', "");
Expect(1, 195101, '\P{^isidstart}', "");
Expect(0, 195102, '\p{isidstart}', "");
Expect(1, 195102, '\p{^isidstart}', "");
Expect(1, 195102, '\P{isidstart}', "");
Expect(0, 195102, '\P{^isidstart}', "");
Expect(1, 195101, '\p{  Is_id_Start}', "");
Expect(0, 195101, '\p{^  Is_id_Start}', "");
Expect(0, 195101, '\P{  Is_id_Start}', "");
Expect(1, 195101, '\P{^  Is_id_Start}', "");
Expect(0, 195102, '\p{  Is_id_Start}', "");
Expect(1, 195102, '\p{^  Is_id_Start}', "");
Expect(1, 195102, '\P{  Is_id_Start}', "");
Expect(0, 195102, '\P{^  Is_id_Start}', "");
Error('\p{_-IDS/a/}');
Error('\P{_-IDS/a/}');
Expect(1, 195101, '\p{ids}', "");
Expect(0, 195101, '\p{^ids}', "");
Expect(0, 195101, '\P{ids}', "");
Expect(1, 195101, '\P{^ids}', "");
Expect(0, 195102, '\p{ids}', "");
Expect(1, 195102, '\p{^ids}', "");
Expect(1, 195102, '\P{ids}', "");
Expect(0, 195102, '\P{^ids}', "");
Expect(1, 195101, '\p{-	ids}', "");
Expect(0, 195101, '\p{^-	ids}', "");
Expect(0, 195101, '\P{-	ids}', "");
Expect(1, 195101, '\P{^-	ids}', "");
Expect(0, 195102, '\p{-	ids}', "");
Expect(1, 195102, '\p{^-	ids}', "");
Expect(1, 195102, '\P{-	ids}', "");
Expect(0, 195102, '\P{^-	ids}', "");
Error('\p{_IS_IDS:=}');
Error('\P{_IS_IDS:=}');
Expect(1, 195101, '\p{isids}', "");
Expect(0, 195101, '\p{^isids}', "");
Expect(0, 195101, '\P{isids}', "");
Expect(1, 195101, '\P{^isids}', "");
Expect(0, 195102, '\p{isids}', "");
Expect(1, 195102, '\p{^isids}', "");
Expect(1, 195102, '\P{isids}', "");
Expect(0, 195102, '\P{^isids}', "");
Expect(1, 195101, '\p{_Is_ids}', "");
Expect(0, 195101, '\p{^_Is_ids}', "");
Expect(0, 195101, '\P{_Is_ids}', "");
Expect(1, 195101, '\P{^_Is_ids}', "");
Expect(0, 195102, '\p{_Is_ids}', "");
Expect(1, 195102, '\p{^_Is_ids}', "");
Expect(1, 195102, '\P{_Is_ids}', "");
Expect(0, 195102, '\P{^_Is_ids}', "");
Error('\p{/a/-	ipa_Extensions}');
Error('\P{/a/-	ipa_Extensions}');
Expect(1, 687, '\p{ipaextensions}', "");
Expect(0, 687, '\p{^ipaextensions}', "");
Expect(0, 687, '\P{ipaextensions}', "");
Expect(1, 687, '\P{^ipaextensions}', "");
Expect(0, 688, '\p{ipaextensions}', "");
Expect(1, 688, '\p{^ipaextensions}', "");
Expect(1, 688, '\P{ipaextensions}', "");
Expect(0, 688, '\P{^ipaextensions}', "");
Expect(1, 687, '\p{	 ipa_EXTENSIONS}', "");
Expect(0, 687, '\p{^	 ipa_EXTENSIONS}', "");
Expect(0, 687, '\P{	 ipa_EXTENSIONS}', "");
Expect(1, 687, '\P{^	 ipa_EXTENSIONS}', "");
Expect(0, 688, '\p{	 ipa_EXTENSIONS}', "");
Expect(1, 688, '\p{^	 ipa_EXTENSIONS}', "");
Expect(1, 688, '\P{	 ipa_EXTENSIONS}', "");
Expect(0, 688, '\P{^	 ipa_EXTENSIONS}', "");
Error('\p{/a/	 is_ipa_Extensions}');
Error('\P{/a/	 is_ipa_Extensions}');
Expect(1, 687, '\p{isipaextensions}', "");
Expect(0, 687, '\p{^isipaextensions}', "");
Expect(0, 687, '\P{isipaextensions}', "");
Expect(1, 687, '\P{^isipaextensions}', "");
Expect(0, 688, '\p{isipaextensions}', "");
Expect(1, 688, '\p{^isipaextensions}', "");
Expect(1, 688, '\P{isipaextensions}', "");
Expect(0, 688, '\P{^isipaextensions}', "");
Expect(1, 687, '\p{		Is_IPA_Extensions}', "");
Expect(0, 687, '\p{^		Is_IPA_Extensions}', "");
Expect(0, 687, '\P{		Is_IPA_Extensions}', "");
Expect(1, 687, '\P{^		Is_IPA_Extensions}', "");
Expect(0, 688, '\p{		Is_IPA_Extensions}', "");
Expect(1, 688, '\p{^		Is_IPA_Extensions}', "");
Expect(1, 688, '\P{		Is_IPA_Extensions}', "");
Expect(0, 688, '\P{^		Is_IPA_Extensions}', "");
Error('\p{-_In_ipa_Extensions/a/}');
Error('\P{-_In_ipa_Extensions/a/}');
Expect(1, 687, '\p{inipaextensions}', "");
Expect(0, 687, '\p{^inipaextensions}', "");
Expect(0, 687, '\P{inipaextensions}', "");
Expect(1, 687, '\P{^inipaextensions}', "");
Expect(0, 688, '\p{inipaextensions}', "");
Expect(1, 688, '\p{^inipaextensions}', "");
Expect(1, 688, '\P{inipaextensions}', "");
Expect(0, 688, '\P{^inipaextensions}', "");
Expect(1, 687, '\p{ In_ipa_extensions}', "");
Expect(0, 687, '\p{^ In_ipa_extensions}', "");
Expect(0, 687, '\P{ In_ipa_extensions}', "");
Expect(1, 687, '\P{^ In_ipa_extensions}', "");
Expect(0, 688, '\p{ In_ipa_extensions}', "");
Expect(1, 688, '\p{^ In_ipa_extensions}', "");
Expect(1, 688, '\P{ In_ipa_extensions}', "");
Expect(0, 688, '\P{^ In_ipa_extensions}', "");
Error('\p{/a/- ipa_ext}');
Error('\P{/a/- ipa_ext}');
Expect(1, 687, '\p{ipaext}', "");
Expect(0, 687, '\p{^ipaext}', "");
Expect(0, 687, '\P{ipaext}', "");
Expect(1, 687, '\P{^ipaext}', "");
Expect(0, 688, '\p{ipaext}', "");
Expect(1, 688, '\p{^ipaext}', "");
Expect(1, 688, '\P{ipaext}', "");
Expect(0, 688, '\P{^ipaext}', "");
Expect(1, 687, '\p{ _ipa_Ext}', "");
Expect(0, 687, '\p{^ _ipa_Ext}', "");
Expect(0, 687, '\P{ _ipa_Ext}', "");
Expect(1, 687, '\P{^ _ipa_Ext}', "");
Expect(0, 688, '\p{ _ipa_Ext}', "");
Expect(1, 688, '\p{^ _ipa_Ext}', "");
Expect(1, 688, '\P{ _ipa_Ext}', "");
Expect(0, 688, '\P{^ _ipa_Ext}', "");
Error('\p{-/a/Is_ipa_EXT}');
Error('\P{-/a/Is_ipa_EXT}');
Expect(1, 687, '\p{isipaext}', "");
Expect(0, 687, '\p{^isipaext}', "");
Expect(0, 687, '\P{isipaext}', "");
Expect(1, 687, '\P{^isipaext}', "");
Expect(0, 688, '\p{isipaext}', "");
Expect(1, 688, '\p{^isipaext}', "");
Expect(1, 688, '\P{isipaext}', "");
Expect(0, 688, '\P{^isipaext}', "");
Expect(1, 687, '\p{-is_IPA_ext}', "");
Expect(0, 687, '\p{^-is_IPA_ext}', "");
Expect(0, 687, '\P{-is_IPA_ext}', "");
Expect(1, 687, '\P{^-is_IPA_ext}', "");
Expect(0, 688, '\p{-is_IPA_ext}', "");
Expect(1, 688, '\p{^-is_IPA_ext}', "");
Expect(1, 688, '\P{-is_IPA_ext}', "");
Expect(0, 688, '\P{^-is_IPA_ext}', "");
Error('\p{-	In_ipa_Ext:=}');
Error('\P{-	In_ipa_Ext:=}');
Expect(1, 687, '\p{inipaext}', "");
Expect(0, 687, '\p{^inipaext}', "");
Expect(0, 687, '\P{inipaext}', "");
Expect(1, 687, '\P{^inipaext}', "");
Expect(0, 688, '\p{inipaext}', "");
Expect(1, 688, '\p{^inipaext}', "");
Expect(1, 688, '\P{inipaext}', "");
Expect(0, 688, '\P{^inipaext}', "");
Expect(1, 687, '\p{-_In_ipa_EXT}', "");
Expect(0, 687, '\p{^-_In_ipa_EXT}', "");
Expect(0, 687, '\P{-_In_ipa_EXT}', "");
Expect(1, 687, '\P{^-_In_ipa_EXT}', "");
Expect(0, 688, '\p{-_In_ipa_EXT}', "");
Expect(1, 688, '\p{^-_In_ipa_EXT}', "");
Expect(1, 688, '\P{-_In_ipa_EXT}', "");
Expect(0, 688, '\P{^-_In_ipa_EXT}', "");
Error('\p{:=_-Ideographic}');
Error('\P{:=_-Ideographic}');
Expect(1, 195101, '\p{ideographic}', "");
Expect(0, 195101, '\p{^ideographic}', "");
Expect(0, 195101, '\P{ideographic}', "");
Expect(1, 195101, '\P{^ideographic}', "");
Expect(0, 195102, '\p{ideographic}', "");
Expect(1, 195102, '\p{^ideographic}', "");
Expect(1, 195102, '\P{ideographic}', "");
Expect(0, 195102, '\P{^ideographic}', "");
Expect(1, 195101, '\p{_IDEOGRAPHIC}', "");
Expect(0, 195101, '\p{^_IDEOGRAPHIC}', "");
Expect(0, 195101, '\P{_IDEOGRAPHIC}', "");
Expect(1, 195101, '\P{^_IDEOGRAPHIC}', "");
Expect(0, 195102, '\p{_IDEOGRAPHIC}', "");
Expect(1, 195102, '\p{^_IDEOGRAPHIC}', "");
Expect(1, 195102, '\P{_IDEOGRAPHIC}', "");
Expect(0, 195102, '\P{^_IDEOGRAPHIC}', "");
Error('\p{_:=Is_Ideographic}');
Error('\P{_:=Is_Ideographic}');
Expect(1, 195101, '\p{isideographic}', "");
Expect(0, 195101, '\p{^isideographic}', "");
Expect(0, 195101, '\P{isideographic}', "");
Expect(1, 195101, '\P{^isideographic}', "");
Expect(0, 195102, '\p{isideographic}', "");
Expect(1, 195102, '\p{^isideographic}', "");
Expect(1, 195102, '\P{isideographic}', "");
Expect(0, 195102, '\P{^isideographic}', "");
Expect(1, 195101, '\p{__IS_Ideographic}', "");
Expect(0, 195101, '\p{^__IS_Ideographic}', "");
Expect(0, 195101, '\P{__IS_Ideographic}', "");
Expect(1, 195101, '\P{^__IS_Ideographic}', "");
Expect(0, 195102, '\p{__IS_Ideographic}', "");
Expect(1, 195102, '\p{^__IS_Ideographic}', "");
Expect(1, 195102, '\P{__IS_Ideographic}', "");
Expect(0, 195102, '\P{^__IS_Ideographic}', "");
Error('\p{ 	Ideo:=}');
Error('\P{ 	Ideo:=}');
Expect(1, 195101, '\p{ideo}', "");
Expect(0, 195101, '\p{^ideo}', "");
Expect(0, 195101, '\P{ideo}', "");
Expect(1, 195101, '\P{^ideo}', "");
Expect(0, 195102, '\p{ideo}', "");
Expect(1, 195102, '\p{^ideo}', "");
Expect(1, 195102, '\P{ideo}', "");
Expect(0, 195102, '\P{^ideo}', "");
Expect(1, 195101, '\p{--Ideo}', "");
Expect(0, 195101, '\p{^--Ideo}', "");
Expect(0, 195101, '\P{--Ideo}', "");
Expect(1, 195101, '\P{^--Ideo}', "");
Expect(0, 195102, '\p{--Ideo}', "");
Expect(1, 195102, '\p{^--Ideo}', "");
Expect(1, 195102, '\P{--Ideo}', "");
Expect(0, 195102, '\P{^--Ideo}', "");
Error('\p{:=is_Ideo}');
Error('\P{:=is_Ideo}');
Expect(1, 195101, '\p{isideo}', "");
Expect(0, 195101, '\p{^isideo}', "");
Expect(0, 195101, '\P{isideo}', "");
Expect(1, 195101, '\P{^isideo}', "");
Expect(0, 195102, '\p{isideo}', "");
Expect(1, 195102, '\p{^isideo}', "");
Expect(1, 195102, '\P{isideo}', "");
Expect(0, 195102, '\P{^isideo}', "");
Expect(1, 195101, '\p{		is_Ideo}', "");
Expect(0, 195101, '\p{^		is_Ideo}', "");
Expect(0, 195101, '\P{		is_Ideo}', "");
Expect(1, 195101, '\P{^		is_Ideo}', "");
Expect(0, 195102, '\p{		is_Ideo}', "");
Expect(1, 195102, '\p{^		is_Ideo}', "");
Expect(1, 195102, '\P{		is_Ideo}', "");
Expect(0, 195102, '\P{^		is_Ideo}', "");
Error('\p{_/a/Ideographic_Description_CHARACTERS}');
Error('\P{_/a/Ideographic_Description_CHARACTERS}');
Expect(1, 12287, '\p{ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^ideographicdescriptioncharacters}', "");
Expect(0, 12288, '\p{ideographicdescriptioncharacters}', "");
Expect(1, 12288, '\p{^ideographicdescriptioncharacters}', "");
Expect(1, 12288, '\P{ideographicdescriptioncharacters}', "");
Expect(0, 12288, '\P{^ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{  Ideographic_description_CHARACTERS}', "");
Expect(0, 12287, '\p{^  Ideographic_description_CHARACTERS}', "");
Expect(0, 12287, '\P{  Ideographic_description_CHARACTERS}', "");
Expect(1, 12287, '\P{^  Ideographic_description_CHARACTERS}', "");
Expect(0, 12288, '\p{  Ideographic_description_CHARACTERS}', "");
Expect(1, 12288, '\p{^  Ideographic_description_CHARACTERS}', "");
Expect(1, 12288, '\P{  Ideographic_description_CHARACTERS}', "");
Expect(0, 12288, '\P{^  Ideographic_description_CHARACTERS}', "");
Error('\p{_	is_Ideographic_Description_Characters:=}');
Error('\P{_	is_Ideographic_Description_Characters:=}');
Expect(1, 12287, '\p{isideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^isideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{isideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^isideographicdescriptioncharacters}', "");
Expect(0, 12288, '\p{isideographicdescriptioncharacters}', "");
Expect(1, 12288, '\p{^isideographicdescriptioncharacters}', "");
Expect(1, 12288, '\P{isideographicdescriptioncharacters}', "");
Expect(0, 12288, '\P{^isideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{ -Is_Ideographic_Description_CHARACTERS}', "");
Expect(0, 12287, '\p{^ -Is_Ideographic_Description_CHARACTERS}', "");
Expect(0, 12287, '\P{ -Is_Ideographic_Description_CHARACTERS}', "");
Expect(1, 12287, '\P{^ -Is_Ideographic_Description_CHARACTERS}', "");
Expect(0, 12288, '\p{ -Is_Ideographic_Description_CHARACTERS}', "");
Expect(1, 12288, '\p{^ -Is_Ideographic_Description_CHARACTERS}', "");
Expect(1, 12288, '\P{ -Is_Ideographic_Description_CHARACTERS}', "");
Expect(0, 12288, '\P{^ -Is_Ideographic_Description_CHARACTERS}', "");
Error('\p{-:=IN_Ideographic_Description_Characters}');
Error('\P{-:=IN_Ideographic_Description_Characters}');
Expect(1, 12287, '\p{inideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^inideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{inideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^inideographicdescriptioncharacters}', "");
Expect(0, 12288, '\p{inideographicdescriptioncharacters}', "");
Expect(1, 12288, '\p{^inideographicdescriptioncharacters}', "");
Expect(1, 12288, '\P{inideographicdescriptioncharacters}', "");
Expect(0, 12288, '\P{^inideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{-In_Ideographic_Description_Characters}', "");
Expect(0, 12287, '\p{^-In_Ideographic_Description_Characters}', "");
Expect(0, 12287, '\P{-In_Ideographic_Description_Characters}', "");
Expect(1, 12287, '\P{^-In_Ideographic_Description_Characters}', "");
Expect(0, 12288, '\p{-In_Ideographic_Description_Characters}', "");
Expect(1, 12288, '\p{^-In_Ideographic_Description_Characters}', "");
Expect(1, 12288, '\P{-In_Ideographic_Description_Characters}', "");
Expect(0, 12288, '\P{^-In_Ideographic_Description_Characters}', "");
Error('\p{/a/IN_IDC}');
Error('\P{/a/IN_IDC}');
Expect(1, 12287, '\p{inidc}', "");
Expect(0, 12287, '\p{^inidc}', "");
Expect(0, 12287, '\P{inidc}', "");
Expect(1, 12287, '\P{^inidc}', "");
Expect(0, 12288, '\p{inidc}', "");
Expect(1, 12288, '\p{^inidc}', "");
Expect(1, 12288, '\P{inidc}', "");
Expect(0, 12288, '\P{^inidc}', "");
Expect(1, 12287, '\p{	IN_IDC}', "");
Expect(0, 12287, '\p{^	IN_IDC}', "");
Expect(0, 12287, '\P{	IN_IDC}', "");
Expect(1, 12287, '\P{^	IN_IDC}', "");
Expect(0, 12288, '\p{	IN_IDC}', "");
Expect(1, 12288, '\p{^	IN_IDC}', "");
Expect(1, 12288, '\P{	IN_IDC}', "");
Expect(0, 12288, '\P{^	IN_IDC}', "");
Error('\p{:=- Imperial_Aramaic}');
Error('\P{:=- Imperial_Aramaic}');
Expect(1, 67679, '\p{imperialaramaic}', "");
Expect(0, 67679, '\p{^imperialaramaic}', "");
Expect(0, 67679, '\P{imperialaramaic}', "");
Expect(1, 67679, '\P{^imperialaramaic}', "");
Expect(0, 67680, '\p{imperialaramaic}', "");
Expect(1, 67680, '\p{^imperialaramaic}', "");
Expect(1, 67680, '\P{imperialaramaic}', "");
Expect(0, 67680, '\P{^imperialaramaic}', "");
Expect(1, 67679, '\p{  IMPERIAL_ARAMAIC}', "");
Expect(0, 67679, '\p{^  IMPERIAL_ARAMAIC}', "");
Expect(0, 67679, '\P{  IMPERIAL_ARAMAIC}', "");
Expect(1, 67679, '\P{^  IMPERIAL_ARAMAIC}', "");
Expect(0, 67680, '\p{  IMPERIAL_ARAMAIC}', "");
Expect(1, 67680, '\p{^  IMPERIAL_ARAMAIC}', "");
Expect(1, 67680, '\P{  IMPERIAL_ARAMAIC}', "");
Expect(0, 67680, '\P{^  IMPERIAL_ARAMAIC}', "");
Error('\p{ :=Is_IMPERIAL_Aramaic}');
Error('\P{ :=Is_IMPERIAL_Aramaic}');
Expect(1, 67679, '\p{isimperialaramaic}', "");
Expect(0, 67679, '\p{^isimperialaramaic}', "");
Expect(0, 67679, '\P{isimperialaramaic}', "");
Expect(1, 67679, '\P{^isimperialaramaic}', "");
Expect(0, 67680, '\p{isimperialaramaic}', "");
Expect(1, 67680, '\p{^isimperialaramaic}', "");
Expect(1, 67680, '\P{isimperialaramaic}', "");
Expect(0, 67680, '\P{^isimperialaramaic}', "");
Expect(1, 67679, '\p{		is_Imperial_ARAMAIC}', "");
Expect(0, 67679, '\p{^		is_Imperial_ARAMAIC}', "");
Expect(0, 67679, '\P{		is_Imperial_ARAMAIC}', "");
Expect(1, 67679, '\P{^		is_Imperial_ARAMAIC}', "");
Expect(0, 67680, '\p{		is_Imperial_ARAMAIC}', "");
Expect(1, 67680, '\p{^		is_Imperial_ARAMAIC}', "");
Expect(1, 67680, '\P{		is_Imperial_ARAMAIC}', "");
Expect(0, 67680, '\P{^		is_Imperial_ARAMAIC}', "");
Error('\p{/a/ _ARMI}');
Error('\P{/a/ _ARMI}');
Expect(1, 67679, '\p{armi}', "");
Expect(0, 67679, '\p{^armi}', "");
Expect(0, 67679, '\P{armi}', "");
Expect(1, 67679, '\P{^armi}', "");
Expect(0, 67680, '\p{armi}', "");
Expect(1, 67680, '\p{^armi}', "");
Expect(1, 67680, '\P{armi}', "");
Expect(0, 67680, '\P{^armi}', "");
Expect(1, 67679, '\p{ _armi}', "");
Expect(0, 67679, '\p{^ _armi}', "");
Expect(0, 67679, '\P{ _armi}', "");
Expect(1, 67679, '\P{^ _armi}', "");
Expect(0, 67680, '\p{ _armi}', "");
Expect(1, 67680, '\p{^ _armi}', "");
Expect(1, 67680, '\P{ _armi}', "");
Expect(0, 67680, '\P{^ _armi}', "");
Error('\p{:=Is_armi}');
Error('\P{:=Is_armi}');
Expect(1, 67679, '\p{isarmi}', "");
Expect(0, 67679, '\p{^isarmi}', "");
Expect(0, 67679, '\P{isarmi}', "");
Expect(1, 67679, '\P{^isarmi}', "");
Expect(0, 67680, '\p{isarmi}', "");
Expect(1, 67680, '\p{^isarmi}', "");
Expect(1, 67680, '\P{isarmi}', "");
Expect(0, 67680, '\P{^isarmi}', "");
Expect(1, 67679, '\p{- is_Armi}', "");
Expect(0, 67679, '\p{^- is_Armi}', "");
Expect(0, 67679, '\P{- is_Armi}', "");
Expect(1, 67679, '\P{^- is_Armi}', "");
Expect(0, 67680, '\p{- is_Armi}', "");
Expect(1, 67680, '\p{^- is_Armi}', "");
Expect(1, 67680, '\P{- is_Armi}', "");
Expect(0, 67680, '\P{^- is_Armi}', "");
Error('\p{_	In_Arabic:=}');
Error('\P{_	In_Arabic:=}');
Expect(1, 1791, '\p{inarabic}', "");
Expect(0, 1791, '\p{^inarabic}', "");
Expect(0, 1791, '\P{inarabic}', "");
Expect(1, 1791, '\P{^inarabic}', "");
Expect(0, 1792, '\p{inarabic}', "");
Expect(1, 1792, '\p{^inarabic}', "");
Expect(1, 1792, '\P{inarabic}', "");
Expect(0, 1792, '\P{^inarabic}', "");
Expect(1, 1791, '\p{-	In_arabic}', "");
Expect(0, 1791, '\p{^-	In_arabic}', "");
Expect(0, 1791, '\P{-	In_arabic}', "");
Expect(1, 1791, '\P{^-	In_arabic}', "");
Expect(0, 1792, '\p{-	In_arabic}', "");
Expect(1, 1792, '\p{^-	In_arabic}', "");
Expect(1, 1792, '\P{-	In_arabic}', "");
Expect(0, 1792, '\P{^-	In_arabic}', "");
Error('\p{	IN_Arabic:=}');
Error('\P{	IN_Arabic:=}');
Expect(1, 1791, '\p{	 In_ARABIC}', "");
Expect(0, 1791, '\p{^	 In_ARABIC}', "");
Expect(0, 1791, '\P{	 In_ARABIC}', "");
Expect(1, 1791, '\P{^	 In_ARABIC}', "");
Expect(0, 1792, '\p{	 In_ARABIC}', "");
Expect(1, 1792, '\p{^	 In_ARABIC}', "");
Expect(1, 1792, '\P{	 In_ARABIC}', "");
Expect(0, 1792, '\P{^	 In_ARABIC}', "");
Error('\p{_In_Armenian:=}');
Error('\P{_In_Armenian:=}');
Expect(1, 1423, '\p{inarmenian}', "");
Expect(0, 1423, '\p{^inarmenian}', "");
Expect(0, 1423, '\P{inarmenian}', "");
Expect(1, 1423, '\P{^inarmenian}', "");
Expect(0, 1424, '\p{inarmenian}', "");
Expect(1, 1424, '\p{^inarmenian}', "");
Expect(1, 1424, '\P{inarmenian}', "");
Expect(0, 1424, '\P{^inarmenian}', "");
Expect(1, 1423, '\p{		IN_Armenian}', "");
Expect(0, 1423, '\p{^		IN_Armenian}', "");
Expect(0, 1423, '\P{		IN_Armenian}', "");
Expect(1, 1423, '\P{^		IN_Armenian}', "");
Expect(0, 1424, '\p{		IN_Armenian}', "");
Expect(1, 1424, '\p{^		IN_Armenian}', "");
Expect(1, 1424, '\P{		IN_Armenian}', "");
Expect(0, 1424, '\P{^		IN_Armenian}', "");
Error('\p{	_in_Armenian/a/}');
Error('\P{	_in_Armenian/a/}');
Expect(1, 1423, '\p{	In_Armenian}', "");
Expect(0, 1423, '\p{^	In_Armenian}', "");
Expect(0, 1423, '\P{	In_Armenian}', "");
Expect(1, 1423, '\P{^	In_Armenian}', "");
Expect(0, 1424, '\p{	In_Armenian}', "");
Expect(1, 1424, '\p{^	In_Armenian}', "");
Expect(1, 1424, '\P{	In_Armenian}', "");
Expect(0, 1424, '\P{^	In_Armenian}', "");
Error('\p{:=In_AVESTAN}');
Error('\P{:=In_AVESTAN}');
Expect(1, 68415, '\p{inavestan}', "");
Expect(0, 68415, '\p{^inavestan}', "");
Expect(0, 68415, '\P{inavestan}', "");
Expect(1, 68415, '\P{^inavestan}', "");
Expect(0, 68416, '\p{inavestan}', "");
Expect(1, 68416, '\p{^inavestan}', "");
Expect(1, 68416, '\P{inavestan}', "");
Expect(0, 68416, '\P{^inavestan}', "");
Expect(1, 68415, '\p{- IN_Avestan}', "");
Expect(0, 68415, '\p{^- IN_Avestan}', "");
Expect(0, 68415, '\P{- IN_Avestan}', "");
Expect(1, 68415, '\P{^- IN_Avestan}', "");
Expect(0, 68416, '\p{- IN_Avestan}', "");
Expect(1, 68416, '\p{^- IN_Avestan}', "");
Expect(1, 68416, '\P{- IN_Avestan}', "");
Expect(0, 68416, '\P{^- IN_Avestan}', "");
Error('\p{	 IN_AVESTAN:=}');
Error('\P{	 IN_AVESTAN:=}');
Expect(1, 68415, '\p{__in_AVESTAN}', "");
Expect(0, 68415, '\p{^__in_AVESTAN}', "");
Expect(0, 68415, '\P{__in_AVESTAN}', "");
Expect(1, 68415, '\P{^__in_AVESTAN}', "");
Expect(0, 68416, '\p{__in_AVESTAN}', "");
Expect(1, 68416, '\p{^__in_AVESTAN}', "");
Expect(1, 68416, '\P{__in_AVESTAN}', "");
Expect(0, 68416, '\P{^__in_AVESTAN}', "");
Error('\p{:=_ In_BALINESE}');
Error('\P{:=_ In_BALINESE}');
Expect(1, 7039, '\p{inbalinese}', "");
Expect(0, 7039, '\p{^inbalinese}', "");
Expect(0, 7039, '\P{inbalinese}', "");
Expect(1, 7039, '\P{^inbalinese}', "");
Expect(0, 7040, '\p{inbalinese}', "");
Expect(1, 7040, '\p{^inbalinese}', "");
Expect(1, 7040, '\P{inbalinese}', "");
Expect(0, 7040, '\P{^inbalinese}', "");
Expect(1, 7039, '\p{In_balinese}', "");
Expect(0, 7039, '\p{^In_balinese}', "");
Expect(0, 7039, '\P{In_balinese}', "");
Expect(1, 7039, '\P{^In_balinese}', "");
Expect(0, 7040, '\p{In_balinese}', "");
Expect(1, 7040, '\p{^In_balinese}', "");
Expect(1, 7040, '\P{In_balinese}', "");
Expect(0, 7040, '\P{^In_balinese}', "");
Error('\p{:= -in_Balinese}');
Error('\P{:= -in_Balinese}');
Expect(1, 7039, '\p{	 In_balinese}', "");
Expect(0, 7039, '\p{^	 In_balinese}', "");
Expect(0, 7039, '\P{	 In_balinese}', "");
Expect(1, 7039, '\P{^	 In_balinese}', "");
Expect(0, 7040, '\p{	 In_balinese}', "");
Expect(1, 7040, '\p{^	 In_balinese}', "");
Expect(1, 7040, '\P{	 In_balinese}', "");
Expect(0, 7040, '\P{^	 In_balinese}', "");
Error('\p{/a/	 In_BAMUM}');
Error('\P{/a/	 In_BAMUM}');
Expect(1, 42751, '\p{inbamum}', "");
Expect(0, 42751, '\p{^inbamum}', "");
Expect(0, 42751, '\P{inbamum}', "");
Expect(1, 42751, '\P{^inbamum}', "");
Expect(0, 42752, '\p{inbamum}', "");
Expect(1, 42752, '\p{^inbamum}', "");
Expect(1, 42752, '\P{inbamum}', "");
Expect(0, 42752, '\P{^inbamum}', "");
Expect(1, 42751, '\p{  In_Bamum}', "");
Expect(0, 42751, '\p{^  In_Bamum}', "");
Expect(0, 42751, '\P{  In_Bamum}', "");
Expect(1, 42751, '\P{^  In_Bamum}', "");
Expect(0, 42752, '\p{  In_Bamum}', "");
Expect(1, 42752, '\p{^  In_Bamum}', "");
Expect(1, 42752, '\P{  In_Bamum}', "");
Expect(0, 42752, '\P{^  In_Bamum}', "");
Error('\p{/a/ In_BAMUM}');
Error('\P{/a/ In_BAMUM}');
Expect(1, 42751, '\p{-In_Bamum}', "");
Expect(0, 42751, '\p{^-In_Bamum}', "");
Expect(0, 42751, '\P{-In_Bamum}', "");
Expect(1, 42751, '\P{^-In_Bamum}', "");
Expect(0, 42752, '\p{-In_Bamum}', "");
Expect(1, 42752, '\p{^-In_Bamum}', "");
Expect(1, 42752, '\P{-In_Bamum}', "");
Expect(0, 42752, '\P{^-In_Bamum}', "");
Error('\p{:= 	in_BASSA_Vah}');
Error('\P{:= 	in_BASSA_Vah}');
Expect(1, 92927, '\p{inbassavah}', "");
Expect(0, 92927, '\p{^inbassavah}', "");
Expect(0, 92927, '\P{inbassavah}', "");
Expect(1, 92927, '\P{^inbassavah}', "");
Expect(0, 92928, '\p{inbassavah}', "");
Expect(1, 92928, '\p{^inbassavah}', "");
Expect(1, 92928, '\P{inbassavah}', "");
Expect(0, 92928, '\P{^inbassavah}', "");
Expect(1, 92927, '\p{__IN_Bassa_VAH}', "");
Expect(0, 92927, '\p{^__IN_Bassa_VAH}', "");
Expect(0, 92927, '\P{__IN_Bassa_VAH}', "");
Expect(1, 92927, '\P{^__IN_Bassa_VAH}', "");
Expect(0, 92928, '\p{__IN_Bassa_VAH}', "");
Expect(1, 92928, '\p{^__IN_Bassa_VAH}', "");
Expect(1, 92928, '\P{__IN_Bassa_VAH}', "");
Expect(0, 92928, '\P{^__IN_Bassa_VAH}', "");
Error('\p{/a/_in_Bassa_VAH}');
Error('\P{/a/_in_Bassa_VAH}');
Expect(1, 92927, '\p{-_In_Bassa_vah}', "");
Expect(0, 92927, '\p{^-_In_Bassa_vah}', "");
Expect(0, 92927, '\P{-_In_Bassa_vah}', "");
Expect(1, 92927, '\P{^-_In_Bassa_vah}', "");
Expect(0, 92928, '\p{-_In_Bassa_vah}', "");
Expect(1, 92928, '\p{^-_In_Bassa_vah}', "");
Expect(1, 92928, '\P{-_In_Bassa_vah}', "");
Expect(0, 92928, '\P{^-_In_Bassa_vah}', "");
Error('\p{:=_ In_BATAK}');
Error('\P{:=_ In_BATAK}');
Expect(1, 7167, '\p{inbatak}', "");
Expect(0, 7167, '\p{^inbatak}', "");
Expect(0, 7167, '\P{inbatak}', "");
Expect(1, 7167, '\P{^inbatak}', "");
Expect(0, 7168, '\p{inbatak}', "");
Expect(1, 7168, '\p{^inbatak}', "");
Expect(1, 7168, '\P{inbatak}', "");
Expect(0, 7168, '\P{^inbatak}', "");
Expect(1, 7167, '\p{ in_batak}', "");
Expect(0, 7167, '\p{^ in_batak}', "");
Expect(0, 7167, '\P{ in_batak}', "");
Expect(1, 7167, '\P{^ in_batak}', "");
Expect(0, 7168, '\p{ in_batak}', "");
Expect(1, 7168, '\p{^ in_batak}', "");
Expect(1, 7168, '\P{ in_batak}', "");
Expect(0, 7168, '\P{^ in_batak}', "");
Error('\p{_:=In_BATAK}');
Error('\P{_:=In_BATAK}');
Expect(1, 7167, '\p{-_IN_batak}', "");
Expect(0, 7167, '\p{^-_IN_batak}', "");
Expect(0, 7167, '\P{-_IN_batak}', "");
Expect(1, 7167, '\P{^-_IN_batak}', "");
Expect(0, 7168, '\p{-_IN_batak}', "");
Expect(1, 7168, '\p{^-_IN_batak}', "");
Expect(1, 7168, '\P{-_IN_batak}', "");
Expect(0, 7168, '\P{^-_IN_batak}', "");
Error('\p{In_bengali/a/}');
Error('\P{In_bengali/a/}');
Expect(1, 2559, '\p{inbengali}', "");
Expect(0, 2559, '\p{^inbengali}', "");
Expect(0, 2559, '\P{inbengali}', "");
Expect(1, 2559, '\P{^inbengali}', "");
Expect(0, 2560, '\p{inbengali}', "");
Expect(1, 2560, '\p{^inbengali}', "");
Expect(1, 2560, '\P{inbengali}', "");
Expect(0, 2560, '\P{^inbengali}', "");
Expect(1, 2559, '\p{ -In_Bengali}', "");
Expect(0, 2559, '\p{^ -In_Bengali}', "");
Expect(0, 2559, '\P{ -In_Bengali}', "");
Expect(1, 2559, '\P{^ -In_Bengali}', "");
Expect(0, 2560, '\p{ -In_Bengali}', "");
Expect(1, 2560, '\p{^ -In_Bengali}', "");
Expect(1, 2560, '\P{ -In_Bengali}', "");
Expect(0, 2560, '\P{^ -In_Bengali}', "");
Error('\p{:=-	In_BENGALI}');
Error('\P{:=-	In_BENGALI}');
Expect(1, 2559, '\p{In_Bengali}', "");
Expect(0, 2559, '\p{^In_Bengali}', "");
Expect(0, 2559, '\P{In_Bengali}', "");
Expect(1, 2559, '\P{^In_Bengali}', "");
Expect(0, 2560, '\p{In_Bengali}', "");
Expect(1, 2560, '\p{^In_Bengali}', "");
Expect(1, 2560, '\P{In_Bengali}', "");
Expect(0, 2560, '\P{^In_Bengali}', "");
Error('\p{ -IN_bopomofo/a/}');
Error('\P{ -IN_bopomofo/a/}');
Expect(1, 12591, '\p{inbopomofo}', "");
Expect(0, 12591, '\p{^inbopomofo}', "");
Expect(0, 12591, '\P{inbopomofo}', "");
Expect(1, 12591, '\P{^inbopomofo}', "");
Expect(0, 12592, '\p{inbopomofo}', "");
Expect(1, 12592, '\p{^inbopomofo}', "");
Expect(1, 12592, '\P{inbopomofo}', "");
Expect(0, 12592, '\P{^inbopomofo}', "");
Expect(1, 12591, '\p{-_In_Bopomofo}', "");
Expect(0, 12591, '\p{^-_In_Bopomofo}', "");
Expect(0, 12591, '\P{-_In_Bopomofo}', "");
Expect(1, 12591, '\P{^-_In_Bopomofo}', "");
Expect(0, 12592, '\p{-_In_Bopomofo}', "");
Expect(1, 12592, '\p{^-_In_Bopomofo}', "");
Expect(1, 12592, '\P{-_In_Bopomofo}', "");
Expect(0, 12592, '\P{^-_In_Bopomofo}', "");
Error('\p{:=  In_Bopomofo}');
Error('\P{:=  In_Bopomofo}');
Expect(1, 12591, '\p{	-In_Bopomofo}', "");
Expect(0, 12591, '\p{^	-In_Bopomofo}', "");
Expect(0, 12591, '\P{	-In_Bopomofo}', "");
Expect(1, 12591, '\P{^	-In_Bopomofo}', "");
Expect(0, 12592, '\p{	-In_Bopomofo}', "");
Expect(1, 12592, '\p{^	-In_Bopomofo}', "");
Expect(1, 12592, '\P{	-In_Bopomofo}', "");
Expect(0, 12592, '\P{^	-In_Bopomofo}', "");
Error('\p{/a/-IN_BRAHMI}');
Error('\P{/a/-IN_BRAHMI}');
Expect(1, 69759, '\p{inbrahmi}', "");
Expect(0, 69759, '\p{^inbrahmi}', "");
Expect(0, 69759, '\P{inbrahmi}', "");
Expect(1, 69759, '\P{^inbrahmi}', "");
Expect(0, 69760, '\p{inbrahmi}', "");
Expect(1, 69760, '\p{^inbrahmi}', "");
Expect(1, 69760, '\P{inbrahmi}', "");
Expect(0, 69760, '\P{^inbrahmi}', "");
Expect(1, 69759, '\p{	In_brahmi}', "");
Expect(0, 69759, '\p{^	In_brahmi}', "");
Expect(0, 69759, '\P{	In_brahmi}', "");
Expect(1, 69759, '\P{^	In_brahmi}', "");
Expect(0, 69760, '\p{	In_brahmi}', "");
Expect(1, 69760, '\p{^	In_brahmi}', "");
Expect(1, 69760, '\P{	In_brahmi}', "");
Expect(0, 69760, '\P{^	In_brahmi}', "");
Error('\p{:=  in_Brahmi}');
Error('\P{:=  in_Brahmi}');
Expect(1, 69759, '\p{_IN_Brahmi}', "");
Expect(0, 69759, '\p{^_IN_Brahmi}', "");
Expect(0, 69759, '\P{_IN_Brahmi}', "");
Expect(1, 69759, '\P{^_IN_Brahmi}', "");
Expect(0, 69760, '\p{_IN_Brahmi}', "");
Expect(1, 69760, '\p{^_IN_Brahmi}', "");
Expect(1, 69760, '\P{_IN_Brahmi}', "");
Expect(0, 69760, '\P{^_IN_Brahmi}', "");
Error('\p{	in_Buginese:=}');
Error('\P{	in_Buginese:=}');
Expect(1, 6687, '\p{inbuginese}', "");
Expect(0, 6687, '\p{^inbuginese}', "");
Expect(0, 6687, '\P{inbuginese}', "");
Expect(1, 6687, '\P{^inbuginese}', "");
Expect(0, 6688, '\p{inbuginese}', "");
Expect(1, 6688, '\p{^inbuginese}', "");
Expect(1, 6688, '\P{inbuginese}', "");
Expect(0, 6688, '\P{^inbuginese}', "");
Expect(1, 6687, '\p{ 	In_Buginese}', "");
Expect(0, 6687, '\p{^ 	In_Buginese}', "");
Expect(0, 6687, '\P{ 	In_Buginese}', "");
Expect(1, 6687, '\P{^ 	In_Buginese}', "");
Expect(0, 6688, '\p{ 	In_Buginese}', "");
Expect(1, 6688, '\p{^ 	In_Buginese}', "");
Expect(1, 6688, '\P{ 	In_Buginese}', "");
Expect(0, 6688, '\P{^ 	In_Buginese}', "");
Error('\p{/a/	-in_BUGINESE}');
Error('\P{/a/	-in_BUGINESE}');
Expect(1, 6687, '\p{__In_buginese}', "");
Expect(0, 6687, '\p{^__In_buginese}', "");
Expect(0, 6687, '\P{__In_buginese}', "");
Expect(1, 6687, '\P{^__In_buginese}', "");
Expect(0, 6688, '\p{__In_buginese}', "");
Expect(1, 6688, '\p{^__In_buginese}', "");
Expect(1, 6688, '\P{__In_buginese}', "");
Expect(0, 6688, '\P{^__In_buginese}', "");
Error('\p{ -IN_Buhid:=}');
Error('\P{ -IN_Buhid:=}');
Expect(1, 5983, '\p{inbuhid}', "");
Expect(0, 5983, '\p{^inbuhid}', "");
Expect(0, 5983, '\P{inbuhid}', "");
Expect(1, 5983, '\P{^inbuhid}', "");
Expect(0, 5984, '\p{inbuhid}', "");
Expect(1, 5984, '\p{^inbuhid}', "");
Expect(1, 5984, '\P{inbuhid}', "");
Expect(0, 5984, '\P{^inbuhid}', "");
Expect(1, 5983, '\p{	In_buhid}', "");
Expect(0, 5983, '\p{^	In_buhid}', "");
Expect(0, 5983, '\P{	In_buhid}', "");
Expect(1, 5983, '\P{^	In_buhid}', "");
Expect(0, 5984, '\p{	In_buhid}', "");
Expect(1, 5984, '\p{^	In_buhid}', "");
Expect(1, 5984, '\P{	In_buhid}', "");
Expect(0, 5984, '\P{^	In_buhid}', "");
Error('\p{ -In_BUHID:=}');
Error('\P{ -In_BUHID:=}');
Expect(1, 5983, '\p{	 in_Buhid}', "");
Expect(0, 5983, '\p{^	 in_Buhid}', "");
Expect(0, 5983, '\P{	 in_Buhid}', "");
Expect(1, 5983, '\P{^	 in_Buhid}', "");
Expect(0, 5984, '\p{	 in_Buhid}', "");
Expect(1, 5984, '\p{^	 in_Buhid}', "");
Expect(1, 5984, '\P{	 in_Buhid}', "");
Expect(0, 5984, '\P{^	 in_Buhid}', "");
Error('\p{:=-In_CARIAN}');
Error('\P{:=-In_CARIAN}');
Expect(1, 66271, '\p{incarian}', "");
Expect(0, 66271, '\p{^incarian}', "");
Expect(0, 66271, '\P{incarian}', "");
Expect(1, 66271, '\P{^incarian}', "");
Expect(0, 66272, '\p{incarian}', "");
Expect(1, 66272, '\p{^incarian}', "");
Expect(1, 66272, '\P{incarian}', "");
Expect(0, 66272, '\P{^incarian}', "");
Expect(1, 66271, '\p{	 IN_Carian}', "");
Expect(0, 66271, '\p{^	 IN_Carian}', "");
Expect(0, 66271, '\P{	 IN_Carian}', "");
Expect(1, 66271, '\P{^	 IN_Carian}', "");
Expect(0, 66272, '\p{	 IN_Carian}', "");
Expect(1, 66272, '\p{^	 IN_Carian}', "");
Expect(1, 66272, '\P{	 IN_Carian}', "");
Expect(0, 66272, '\P{^	 IN_Carian}', "");
Error('\p{	:=IN_CARIAN}');
Error('\P{	:=IN_CARIAN}');
Expect(1, 66271, '\p{	_IN_Carian}', "");
Expect(0, 66271, '\p{^	_IN_Carian}', "");
Expect(0, 66271, '\P{	_IN_Carian}', "");
Expect(1, 66271, '\P{^	_IN_Carian}', "");
Expect(0, 66272, '\p{	_IN_Carian}', "");
Expect(1, 66272, '\p{^	_IN_Carian}', "");
Expect(1, 66272, '\P{	_IN_Carian}', "");
Expect(0, 66272, '\P{^	_IN_Carian}', "");
Error('\p{:=In_Caucasian_Albanian}');
Error('\P{:=In_Caucasian_Albanian}');
Expect(1, 66927, '\p{incaucasianalbanian}', "");
Expect(0, 66927, '\p{^incaucasianalbanian}', "");
Expect(0, 66927, '\P{incaucasianalbanian}', "");
Expect(1, 66927, '\P{^incaucasianalbanian}', "");
Expect(0, 66928, '\p{incaucasianalbanian}', "");
Expect(1, 66928, '\p{^incaucasianalbanian}', "");
Expect(1, 66928, '\P{incaucasianalbanian}', "");
Expect(0, 66928, '\P{^incaucasianalbanian}', "");
Expect(1, 66927, '\p{-	In_Caucasian_albanian}', "");
Expect(0, 66927, '\p{^-	In_Caucasian_albanian}', "");
Expect(0, 66927, '\P{-	In_Caucasian_albanian}', "");
Expect(1, 66927, '\P{^-	In_Caucasian_albanian}', "");
Expect(0, 66928, '\p{-	In_Caucasian_albanian}', "");
Expect(1, 66928, '\p{^-	In_Caucasian_albanian}', "");
Expect(1, 66928, '\P{-	In_Caucasian_albanian}', "");
Expect(0, 66928, '\P{^-	In_Caucasian_albanian}', "");
Error('\p{:=	IN_Caucasian_albanian}');
Error('\P{:=	IN_Caucasian_albanian}');
Expect(1, 66927, '\p{ 	In_caucasian_Albanian}', "");
Expect(0, 66927, '\p{^ 	In_caucasian_Albanian}', "");
Expect(0, 66927, '\P{ 	In_caucasian_Albanian}', "");
Expect(1, 66927, '\P{^ 	In_caucasian_Albanian}', "");
Expect(0, 66928, '\p{ 	In_caucasian_Albanian}', "");
Expect(1, 66928, '\p{^ 	In_caucasian_Albanian}', "");
Expect(1, 66928, '\P{ 	In_caucasian_Albanian}', "");
Expect(0, 66928, '\P{^ 	In_caucasian_Albanian}', "");
Error('\p{_	In_CHAKMA/a/}');
Error('\P{_	In_CHAKMA/a/}');
Expect(1, 69967, '\p{inchakma}', "");
Expect(0, 69967, '\p{^inchakma}', "");
Expect(0, 69967, '\P{inchakma}', "");
Expect(1, 69967, '\P{^inchakma}', "");
Expect(0, 69968, '\p{inchakma}', "");
Expect(1, 69968, '\p{^inchakma}', "");
Expect(1, 69968, '\P{inchakma}', "");
Expect(0, 69968, '\P{^inchakma}', "");
Expect(1, 69967, '\p{		in_Chakma}', "");
Expect(0, 69967, '\p{^		in_Chakma}', "");
Expect(0, 69967, '\P{		in_Chakma}', "");
Expect(1, 69967, '\P{^		in_Chakma}', "");
Expect(0, 69968, '\p{		in_Chakma}', "");
Expect(1, 69968, '\p{^		in_Chakma}', "");
Expect(1, 69968, '\P{		in_Chakma}', "");
Expect(0, 69968, '\P{^		in_Chakma}', "");
Error('\p{-/a/IN_chakma}');
Error('\P{-/a/IN_chakma}');
Expect(1, 69967, '\p{	In_Chakma}', "");
Expect(0, 69967, '\p{^	In_Chakma}', "");
Expect(0, 69967, '\P{	In_Chakma}', "");
Expect(1, 69967, '\P{^	In_Chakma}', "");
Expect(0, 69968, '\p{	In_Chakma}', "");
Expect(1, 69968, '\p{^	In_Chakma}', "");
Expect(1, 69968, '\P{	In_Chakma}', "");
Expect(0, 69968, '\P{^	In_Chakma}', "");
Error('\p{IN_CHAM/a/}');
Error('\P{IN_CHAM/a/}');
Expect(1, 43615, '\p{incham}', "");
Expect(0, 43615, '\p{^incham}', "");
Expect(0, 43615, '\P{incham}', "");
Expect(1, 43615, '\P{^incham}', "");
Expect(0, 43616, '\p{incham}', "");
Expect(1, 43616, '\p{^incham}', "");
Expect(1, 43616, '\P{incham}', "");
Expect(0, 43616, '\P{^incham}', "");
Expect(1, 43615, '\p{	in_CHAM}', "");
Expect(0, 43615, '\p{^	in_CHAM}', "");
Expect(0, 43615, '\P{	in_CHAM}', "");
Expect(1, 43615, '\P{^	in_CHAM}', "");
Expect(0, 43616, '\p{	in_CHAM}', "");
Expect(1, 43616, '\p{^	in_CHAM}', "");
Expect(1, 43616, '\P{	in_CHAM}', "");
Expect(0, 43616, '\P{^	in_CHAM}', "");
Error('\p{/a/  In_Cham}');
Error('\P{/a/  In_Cham}');
Expect(1, 43615, '\p{--IN_Cham}', "");
Expect(0, 43615, '\p{^--IN_Cham}', "");
Expect(0, 43615, '\P{--IN_Cham}', "");
Expect(1, 43615, '\P{^--IN_Cham}', "");
Expect(0, 43616, '\p{--IN_Cham}', "");
Expect(1, 43616, '\p{^--IN_Cham}', "");
Expect(1, 43616, '\P{--IN_Cham}', "");
Expect(0, 43616, '\P{^--IN_Cham}', "");
Error('\p{:=	 In_Cherokee}');
Error('\P{:=	 In_Cherokee}');
Expect(1, 5119, '\p{incherokee}', "");
Expect(0, 5119, '\p{^incherokee}', "");
Expect(0, 5119, '\P{incherokee}', "");
Expect(1, 5119, '\P{^incherokee}', "");
Expect(0, 5120, '\p{incherokee}', "");
Expect(1, 5120, '\p{^incherokee}', "");
Expect(1, 5120, '\P{incherokee}', "");
Expect(0, 5120, '\P{^incherokee}', "");
Expect(1, 5119, '\p{_-in_cherokee}', "");
Expect(0, 5119, '\p{^_-in_cherokee}', "");
Expect(0, 5119, '\P{_-in_cherokee}', "");
Expect(1, 5119, '\P{^_-in_cherokee}', "");
Expect(0, 5120, '\p{_-in_cherokee}', "");
Expect(1, 5120, '\p{^_-in_cherokee}', "");
Expect(1, 5120, '\P{_-in_cherokee}', "");
Expect(0, 5120, '\P{^_-in_cherokee}', "");
Error('\p{/a/  In_cherokee}');
Error('\P{/a/  In_cherokee}');
Expect(1, 5119, '\p{_ In_cherokee}', "");
Expect(0, 5119, '\p{^_ In_cherokee}', "");
Expect(0, 5119, '\P{_ In_cherokee}', "");
Expect(1, 5119, '\P{^_ In_cherokee}', "");
Expect(0, 5120, '\p{_ In_cherokee}', "");
Expect(1, 5120, '\p{^_ In_cherokee}', "");
Expect(1, 5120, '\P{_ In_cherokee}', "");
Expect(0, 5120, '\P{^_ In_cherokee}', "");
Error('\p{_In_Coptic/a/}');
Error('\P{_In_Coptic/a/}');
Expect(1, 11519, '\p{incoptic}', "");
Expect(0, 11519, '\p{^incoptic}', "");
Expect(0, 11519, '\P{incoptic}', "");
Expect(1, 11519, '\P{^incoptic}', "");
Expect(0, 11520, '\p{incoptic}', "");
Expect(1, 11520, '\p{^incoptic}', "");
Expect(1, 11520, '\P{incoptic}', "");
Expect(0, 11520, '\P{^incoptic}', "");
Expect(1, 11519, '\p{ -In_coptic}', "");
Expect(0, 11519, '\p{^ -In_coptic}', "");
Expect(0, 11519, '\P{ -In_coptic}', "");
Expect(1, 11519, '\P{^ -In_coptic}', "");
Expect(0, 11520, '\p{ -In_coptic}', "");
Expect(1, 11520, '\p{^ -In_coptic}', "");
Expect(1, 11520, '\P{ -In_coptic}', "");
Expect(0, 11520, '\P{^ -In_coptic}', "");
Error('\p{:=_-In_Coptic}');
Error('\P{:=_-In_Coptic}');
Expect(1, 11519, '\p{--In_COPTIC}', "");
Expect(0, 11519, '\p{^--In_COPTIC}', "");
Expect(0, 11519, '\P{--In_COPTIC}', "");
Expect(1, 11519, '\P{^--In_COPTIC}', "");
Expect(0, 11520, '\p{--In_COPTIC}', "");
Expect(1, 11520, '\p{^--In_COPTIC}', "");
Expect(1, 11520, '\P{--In_COPTIC}', "");
Expect(0, 11520, '\P{^--In_COPTIC}', "");
Error('\p{:= In_Cuneiform}');
Error('\P{:= In_Cuneiform}');
Expect(1, 74751, '\p{incuneiform}', "");
Expect(0, 74751, '\p{^incuneiform}', "");
Expect(0, 74751, '\P{incuneiform}', "");
Expect(1, 74751, '\P{^incuneiform}', "");
Expect(0, 74752, '\p{incuneiform}', "");
Expect(1, 74752, '\p{^incuneiform}', "");
Expect(1, 74752, '\P{incuneiform}', "");
Expect(0, 74752, '\P{^incuneiform}', "");
Expect(1, 74751, '\p{  in_CUNEIFORM}', "");
Expect(0, 74751, '\p{^  in_CUNEIFORM}', "");
Expect(0, 74751, '\P{  in_CUNEIFORM}', "");
Expect(1, 74751, '\P{^  in_CUNEIFORM}', "");
Expect(0, 74752, '\p{  in_CUNEIFORM}', "");
Expect(1, 74752, '\p{^  in_CUNEIFORM}', "");
Expect(1, 74752, '\P{  in_CUNEIFORM}', "");
Expect(0, 74752, '\P{^  in_CUNEIFORM}', "");
Error('\p{ /a/In_Cuneiform}');
Error('\P{ /a/In_Cuneiform}');
Expect(1, 74751, '\p{		IN_Cuneiform}', "");
Expect(0, 74751, '\p{^		IN_Cuneiform}', "");
Expect(0, 74751, '\P{		IN_Cuneiform}', "");
Expect(1, 74751, '\P{^		IN_Cuneiform}', "");
Expect(0, 74752, '\p{		IN_Cuneiform}', "");
Expect(1, 74752, '\p{^		IN_Cuneiform}', "");
Expect(1, 74752, '\P{		IN_Cuneiform}', "");
Expect(0, 74752, '\P{^		IN_Cuneiform}', "");
Error('\p{:=	in_Cyrillic}');
Error('\P{:=	in_Cyrillic}');
Expect(1, 1279, '\p{incyrillic}', "");
Expect(0, 1279, '\p{^incyrillic}', "");
Expect(0, 1279, '\P{incyrillic}', "");
Expect(1, 1279, '\P{^incyrillic}', "");
Expect(0, 1280, '\p{incyrillic}', "");
Expect(1, 1280, '\p{^incyrillic}', "");
Expect(1, 1280, '\P{incyrillic}', "");
Expect(0, 1280, '\P{^incyrillic}', "");
Expect(1, 1279, '\p{ 	In_cyrillic}', "");
Expect(0, 1279, '\p{^ 	In_cyrillic}', "");
Expect(0, 1279, '\P{ 	In_cyrillic}', "");
Expect(1, 1279, '\P{^ 	In_cyrillic}', "");
Expect(0, 1280, '\p{ 	In_cyrillic}', "");
Expect(1, 1280, '\p{^ 	In_cyrillic}', "");
Expect(1, 1280, '\P{ 	In_cyrillic}', "");
Expect(0, 1280, '\P{^ 	In_cyrillic}', "");
Error('\p{/a/-	In_cyrillic}');
Error('\P{/a/-	In_cyrillic}');
Expect(1, 1279, '\p{	-in_Cyrillic}', "");
Expect(0, 1279, '\p{^	-in_Cyrillic}', "");
Expect(0, 1279, '\P{	-in_Cyrillic}', "");
Expect(1, 1279, '\P{^	-in_Cyrillic}', "");
Expect(0, 1280, '\p{	-in_Cyrillic}', "");
Expect(1, 1280, '\p{^	-in_Cyrillic}', "");
Expect(1, 1280, '\P{	-in_Cyrillic}', "");
Expect(0, 1280, '\P{^	-in_Cyrillic}', "");
Error('\p{	-In_DESERET/a/}');
Error('\P{	-In_DESERET/a/}');
Expect(1, 66639, '\p{indeseret}', "");
Expect(0, 66639, '\p{^indeseret}', "");
Expect(0, 66639, '\P{indeseret}', "");
Expect(1, 66639, '\P{^indeseret}', "");
Expect(0, 66640, '\p{indeseret}', "");
Expect(1, 66640, '\p{^indeseret}', "");
Expect(1, 66640, '\P{indeseret}', "");
Expect(0, 66640, '\P{^indeseret}', "");
Expect(1, 66639, '\p{__In_DESERET}', "");
Expect(0, 66639, '\p{^__In_DESERET}', "");
Expect(0, 66639, '\P{__In_DESERET}', "");
Expect(1, 66639, '\P{^__In_DESERET}', "");
Expect(0, 66640, '\p{__In_DESERET}', "");
Expect(1, 66640, '\p{^__In_DESERET}', "");
Expect(1, 66640, '\P{__In_DESERET}', "");
Expect(0, 66640, '\P{^__In_DESERET}', "");
Error('\p{:=_	In_deseret}');
Error('\P{:=_	In_deseret}');
Expect(1, 66639, '\p{-_in_DESERET}', "");
Expect(0, 66639, '\p{^-_in_DESERET}', "");
Expect(0, 66639, '\P{-_in_DESERET}', "");
Expect(1, 66639, '\P{^-_in_DESERET}', "");
Expect(0, 66640, '\p{-_in_DESERET}', "");
Expect(1, 66640, '\p{^-_in_DESERET}', "");
Expect(1, 66640, '\P{-_in_DESERET}', "");
Expect(0, 66640, '\P{^-_in_DESERET}', "");
Error('\p{	In_devanagari:=}');
Error('\P{	In_devanagari:=}');
Expect(1, 2431, '\p{indevanagari}', "");
Expect(0, 2431, '\p{^indevanagari}', "");
Expect(0, 2431, '\P{indevanagari}', "");
Expect(1, 2431, '\P{^indevanagari}', "");
Expect(0, 2432, '\p{indevanagari}', "");
Expect(1, 2432, '\p{^indevanagari}', "");
Expect(1, 2432, '\P{indevanagari}', "");
Expect(0, 2432, '\P{^indevanagari}', "");
Expect(1, 2431, '\p{- In_devanagari}', "");
Expect(0, 2431, '\p{^- In_devanagari}', "");
Expect(0, 2431, '\P{- In_devanagari}', "");
Expect(1, 2431, '\P{^- In_devanagari}', "");
Expect(0, 2432, '\p{- In_devanagari}', "");
Expect(1, 2432, '\p{^- In_devanagari}', "");
Expect(1, 2432, '\P{- In_devanagari}', "");
Expect(0, 2432, '\P{^- In_devanagari}', "");
Error('\p{In_Devanagari:=}');
Error('\P{In_Devanagari:=}');
Expect(1, 2431, '\p{_in_devanagari}', "");
Expect(0, 2431, '\p{^_in_devanagari}', "");
Expect(0, 2431, '\P{_in_devanagari}', "");
Expect(1, 2431, '\P{^_in_devanagari}', "");
Expect(0, 2432, '\p{_in_devanagari}', "");
Expect(1, 2432, '\p{^_in_devanagari}', "");
Expect(1, 2432, '\P{_in_devanagari}', "");
Expect(0, 2432, '\P{^_in_devanagari}', "");
Error('\p{-_IN_Duployan/a/}');
Error('\P{-_IN_Duployan/a/}');
Expect(1, 113823, '\p{induployan}', "");
Expect(0, 113823, '\p{^induployan}', "");
Expect(0, 113823, '\P{induployan}', "");
Expect(1, 113823, '\P{^induployan}', "");
Expect(0, 113824, '\p{induployan}', "");
Expect(1, 113824, '\p{^induployan}', "");
Expect(1, 113824, '\P{induployan}', "");
Expect(0, 113824, '\P{^induployan}', "");
Expect(1, 113823, '\p{ -In_Duployan}', "");
Expect(0, 113823, '\p{^ -In_Duployan}', "");
Expect(0, 113823, '\P{ -In_Duployan}', "");
Expect(1, 113823, '\P{^ -In_Duployan}', "");
Expect(0, 113824, '\p{ -In_Duployan}', "");
Expect(1, 113824, '\p{^ -In_Duployan}', "");
Expect(1, 113824, '\P{ -In_Duployan}', "");
Expect(0, 113824, '\P{^ -In_Duployan}', "");
Error('\p{:=In_Duployan}');
Error('\P{:=In_Duployan}');
Expect(1, 113823, '\p{ _IN_duployan}', "");
Expect(0, 113823, '\p{^ _IN_duployan}', "");
Expect(0, 113823, '\P{ _IN_duployan}', "");
Expect(1, 113823, '\P{^ _IN_duployan}', "");
Expect(0, 113824, '\p{ _IN_duployan}', "");
Expect(1, 113824, '\p{^ _IN_duployan}', "");
Expect(1, 113824, '\P{ _IN_duployan}', "");
Expect(0, 113824, '\P{^ _IN_duployan}', "");
Error('\p{/a/IN_egyptian_Hieroglyphs}');
Error('\P{/a/IN_egyptian_Hieroglyphs}');
Expect(1, 78895, '\p{inegyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^inegyptianhieroglyphs}', "");
Expect(0, 78895, '\P{inegyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^inegyptianhieroglyphs}', "");
Expect(0, 78896, '\p{inegyptianhieroglyphs}', "");
Expect(1, 78896, '\p{^inegyptianhieroglyphs}', "");
Expect(1, 78896, '\P{inegyptianhieroglyphs}', "");
Expect(0, 78896, '\P{^inegyptianhieroglyphs}', "");
Expect(1, 78895, '\p{	in_Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\p{^	in_Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\P{	in_Egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\P{^	in_Egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\p{	in_Egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\p{^	in_Egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\P{	in_Egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\P{^	in_Egyptian_Hieroglyphs}', "");
Error('\p{ /a/In_EGYPTIAN_hieroglyphs}');
Error('\P{ /a/In_EGYPTIAN_hieroglyphs}');
Expect(1, 78895, '\p{__In_Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\p{^__In_Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\P{__In_Egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\P{^__In_Egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\p{__In_Egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\p{^__In_Egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\P{__In_Egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\P{^__In_Egyptian_Hieroglyphs}', "");
Error('\p{:=-in_Elbasan}');
Error('\P{:=-in_Elbasan}');
Expect(1, 66863, '\p{inelbasan}', "");
Expect(0, 66863, '\p{^inelbasan}', "");
Expect(0, 66863, '\P{inelbasan}', "");
Expect(1, 66863, '\P{^inelbasan}', "");
Expect(0, 66864, '\p{inelbasan}', "");
Expect(1, 66864, '\p{^inelbasan}', "");
Expect(1, 66864, '\P{inelbasan}', "");
Expect(0, 66864, '\P{^inelbasan}', "");
Expect(1, 66863, '\p{--IN_elbasan}', "");
Expect(0, 66863, '\p{^--IN_elbasan}', "");
Expect(0, 66863, '\P{--IN_elbasan}', "");
Expect(1, 66863, '\P{^--IN_elbasan}', "");
Expect(0, 66864, '\p{--IN_elbasan}', "");
Expect(1, 66864, '\p{^--IN_elbasan}', "");
Expect(1, 66864, '\P{--IN_elbasan}', "");
Expect(0, 66864, '\P{^--IN_elbasan}', "");
Error('\p{/a/_ IN_Elbasan}');
Error('\P{/a/_ IN_Elbasan}');
Expect(1, 66863, '\p{	-in_Elbasan}', "");
Expect(0, 66863, '\p{^	-in_Elbasan}', "");
Expect(0, 66863, '\P{	-in_Elbasan}', "");
Expect(1, 66863, '\P{^	-in_Elbasan}', "");
Expect(0, 66864, '\p{	-in_Elbasan}', "");
Expect(1, 66864, '\p{^	-in_Elbasan}', "");
Expect(1, 66864, '\P{	-in_Elbasan}', "");
Expect(0, 66864, '\P{^	-in_Elbasan}', "");
Error('\p{IN_ETHIOPIC:=}');
Error('\P{IN_ETHIOPIC:=}');
Expect(1, 4991, '\p{inethiopic}', "");
Expect(0, 4991, '\p{^inethiopic}', "");
Expect(0, 4991, '\P{inethiopic}', "");
Expect(1, 4991, '\P{^inethiopic}', "");
Expect(0, 4992, '\p{inethiopic}', "");
Expect(1, 4992, '\p{^inethiopic}', "");
Expect(1, 4992, '\P{inethiopic}', "");
Expect(0, 4992, '\P{^inethiopic}', "");
Expect(1, 4991, '\p{  In_ethiopic}', "");
Expect(0, 4991, '\p{^  In_ethiopic}', "");
Expect(0, 4991, '\P{  In_ethiopic}', "");
Expect(1, 4991, '\P{^  In_ethiopic}', "");
Expect(0, 4992, '\p{  In_ethiopic}', "");
Expect(1, 4992, '\p{^  In_ethiopic}', "");
Expect(1, 4992, '\P{  In_ethiopic}', "");
Expect(0, 4992, '\P{^  In_ethiopic}', "");
Error('\p{	:=in_ethiopic}');
Error('\P{	:=in_ethiopic}');
Expect(1, 4991, '\p{	IN_Ethiopic}', "");
Expect(0, 4991, '\p{^	IN_Ethiopic}', "");
Expect(0, 4991, '\P{	IN_Ethiopic}', "");
Expect(1, 4991, '\P{^	IN_Ethiopic}', "");
Expect(0, 4992, '\p{	IN_Ethiopic}', "");
Expect(1, 4992, '\p{^	IN_Ethiopic}', "");
Expect(1, 4992, '\P{	IN_Ethiopic}', "");
Expect(0, 4992, '\P{^	IN_Ethiopic}', "");
Error('\p{-	In_georgian:=}');
Error('\P{-	In_georgian:=}');
Expect(1, 4351, '\p{ingeorgian}', "");
Expect(0, 4351, '\p{^ingeorgian}', "");
Expect(0, 4351, '\P{ingeorgian}', "");
Expect(1, 4351, '\P{^ingeorgian}', "");
Expect(0, 4352, '\p{ingeorgian}', "");
Expect(1, 4352, '\p{^ingeorgian}', "");
Expect(1, 4352, '\P{ingeorgian}', "");
Expect(0, 4352, '\P{^ingeorgian}', "");
Expect(1, 4351, '\p{_In_Georgian}', "");
Expect(0, 4351, '\p{^_In_Georgian}', "");
Expect(0, 4351, '\P{_In_Georgian}', "");
Expect(1, 4351, '\P{^_In_Georgian}', "");
Expect(0, 4352, '\p{_In_Georgian}', "");
Expect(1, 4352, '\p{^_In_Georgian}', "");
Expect(1, 4352, '\P{_In_Georgian}', "");
Expect(0, 4352, '\P{^_In_Georgian}', "");
Error('\p{-In_GEORGIAN/a/}');
Error('\P{-In_GEORGIAN/a/}');
Expect(1, 4351, '\p{- IN_GEORGIAN}', "");
Expect(0, 4351, '\p{^- IN_GEORGIAN}', "");
Expect(0, 4351, '\P{- IN_GEORGIAN}', "");
Expect(1, 4351, '\P{^- IN_GEORGIAN}', "");
Expect(0, 4352, '\p{- IN_GEORGIAN}', "");
Expect(1, 4352, '\p{^- IN_GEORGIAN}', "");
Expect(1, 4352, '\P{- IN_GEORGIAN}', "");
Expect(0, 4352, '\P{^- IN_GEORGIAN}', "");
Error('\p{_:=In_Glagolitic}');
Error('\P{_:=In_Glagolitic}');
Expect(1, 11359, '\p{inglagolitic}', "");
Expect(0, 11359, '\p{^inglagolitic}', "");
Expect(0, 11359, '\P{inglagolitic}', "");
Expect(1, 11359, '\P{^inglagolitic}', "");
Expect(0, 11360, '\p{inglagolitic}', "");
Expect(1, 11360, '\p{^inglagolitic}', "");
Expect(1, 11360, '\P{inglagolitic}', "");
Expect(0, 11360, '\P{^inglagolitic}', "");
Expect(1, 11359, '\p{ _in_glagolitic}', "");
Expect(0, 11359, '\p{^ _in_glagolitic}', "");
Expect(0, 11359, '\P{ _in_glagolitic}', "");
Expect(1, 11359, '\P{^ _in_glagolitic}', "");
Expect(0, 11360, '\p{ _in_glagolitic}', "");
Expect(1, 11360, '\p{^ _in_glagolitic}', "");
Expect(1, 11360, '\P{ _in_glagolitic}', "");
Expect(0, 11360, '\P{^ _in_glagolitic}', "");
Error('\p{- in_Glagolitic:=}');
Error('\P{- in_Glagolitic:=}');
Expect(1, 11359, '\p{__IN_Glagolitic}', "");
Expect(0, 11359, '\p{^__IN_Glagolitic}', "");
Expect(0, 11359, '\P{__IN_Glagolitic}', "");
Expect(1, 11359, '\P{^__IN_Glagolitic}', "");
Expect(0, 11360, '\p{__IN_Glagolitic}', "");
Expect(1, 11360, '\p{^__IN_Glagolitic}', "");
Expect(1, 11360, '\P{__IN_Glagolitic}', "");
Expect(0, 11360, '\P{^__IN_Glagolitic}', "");
Error('\p{:=-	in_Gothic}');
Error('\P{:=-	in_Gothic}');
Expect(1, 66383, '\p{ingothic}', "");
Expect(0, 66383, '\p{^ingothic}', "");
Expect(0, 66383, '\P{ingothic}', "");
Expect(1, 66383, '\P{^ingothic}', "");
Expect(0, 66384, '\p{ingothic}', "");
Expect(1, 66384, '\p{^ingothic}', "");
Expect(1, 66384, '\P{ingothic}', "");
Expect(0, 66384, '\P{^ingothic}', "");
Expect(1, 66383, '\p{	 In_gothic}', "");
Expect(0, 66383, '\p{^	 In_gothic}', "");
Expect(0, 66383, '\P{	 In_gothic}', "");
Expect(1, 66383, '\P{^	 In_gothic}', "");
Expect(0, 66384, '\p{	 In_gothic}', "");
Expect(1, 66384, '\p{^	 In_gothic}', "");
Expect(1, 66384, '\P{	 In_gothic}', "");
Expect(0, 66384, '\P{^	 In_gothic}', "");
Error('\p{:=	In_GOTHIC}');
Error('\P{:=	In_GOTHIC}');
Expect(1, 66383, '\p{ 	in_gothic}', "");
Expect(0, 66383, '\p{^ 	in_gothic}', "");
Expect(0, 66383, '\P{ 	in_gothic}', "");
Expect(1, 66383, '\P{^ 	in_gothic}', "");
Expect(0, 66384, '\p{ 	in_gothic}', "");
Expect(1, 66384, '\p{^ 	in_gothic}', "");
Expect(1, 66384, '\P{ 	in_gothic}', "");
Expect(0, 66384, '\P{^ 	in_gothic}', "");
Error('\p{	 In_Grantha/a/}');
Error('\P{	 In_Grantha/a/}');
Expect(1, 70527, '\p{ingrantha}', "");
Expect(0, 70527, '\p{^ingrantha}', "");
Expect(0, 70527, '\P{ingrantha}', "");
Expect(1, 70527, '\P{^ingrantha}', "");
Expect(0, 70528, '\p{ingrantha}', "");
Expect(1, 70528, '\p{^ingrantha}', "");
Expect(1, 70528, '\P{ingrantha}', "");
Expect(0, 70528, '\P{^ingrantha}', "");
Expect(1, 70527, '\p{-in_Grantha}', "");
Expect(0, 70527, '\p{^-in_Grantha}', "");
Expect(0, 70527, '\P{-in_Grantha}', "");
Expect(1, 70527, '\P{^-in_Grantha}', "");
Expect(0, 70528, '\p{-in_Grantha}', "");
Expect(1, 70528, '\p{^-in_Grantha}', "");
Expect(1, 70528, '\P{-in_Grantha}', "");
Expect(0, 70528, '\P{^-in_Grantha}', "");
Error('\p{- in_Grantha:=}');
Error('\P{- in_Grantha:=}');
Expect(1, 70527, '\p{ In_grantha}', "");
Expect(0, 70527, '\p{^ In_grantha}', "");
Expect(0, 70527, '\P{ In_grantha}', "");
Expect(1, 70527, '\P{^ In_grantha}', "");
Expect(0, 70528, '\p{ In_grantha}', "");
Expect(1, 70528, '\p{^ In_grantha}', "");
Expect(1, 70528, '\P{ In_grantha}', "");
Expect(0, 70528, '\P{^ In_grantha}', "");
Error('\p{-	in_Gujarati/a/}');
Error('\P{-	in_Gujarati/a/}');
Expect(1, 2815, '\p{ingujarati}', "");
Expect(0, 2815, '\p{^ingujarati}', "");
Expect(0, 2815, '\P{ingujarati}', "");
Expect(1, 2815, '\P{^ingujarati}', "");
Expect(0, 2816, '\p{ingujarati}', "");
Expect(1, 2816, '\p{^ingujarati}', "");
Expect(1, 2816, '\P{ingujarati}', "");
Expect(0, 2816, '\P{^ingujarati}', "");
Expect(1, 2815, '\p{ IN_Gujarati}', "");
Expect(0, 2815, '\p{^ IN_Gujarati}', "");
Expect(0, 2815, '\P{ IN_Gujarati}', "");
Expect(1, 2815, '\P{^ IN_Gujarati}', "");
Expect(0, 2816, '\p{ IN_Gujarati}', "");
Expect(1, 2816, '\p{^ IN_Gujarati}', "");
Expect(1, 2816, '\P{ IN_Gujarati}', "");
Expect(0, 2816, '\P{^ IN_Gujarati}', "");
Error('\p{	_In_gujarati/a/}');
Error('\P{	_In_gujarati/a/}');
Error('\p{/a/_IN_gurmukhi}');
Error('\P{/a/_IN_gurmukhi}');
Expect(1, 2687, '\p{ingurmukhi}', "");
Expect(0, 2687, '\p{^ingurmukhi}', "");
Expect(0, 2687, '\P{ingurmukhi}', "");
Expect(1, 2687, '\P{^ingurmukhi}', "");
Expect(0, 2688, '\p{ingurmukhi}', "");
Expect(1, 2688, '\p{^ingurmukhi}', "");
Expect(1, 2688, '\P{ingurmukhi}', "");
Expect(0, 2688, '\P{^ingurmukhi}', "");
Expect(1, 2687, '\p{__in_Gurmukhi}', "");
Expect(0, 2687, '\p{^__in_Gurmukhi}', "");
Expect(0, 2687, '\P{__in_Gurmukhi}', "");
Expect(1, 2687, '\P{^__in_Gurmukhi}', "");
Expect(0, 2688, '\p{__in_Gurmukhi}', "");
Expect(1, 2688, '\p{^__in_Gurmukhi}', "");
Expect(1, 2688, '\P{__in_Gurmukhi}', "");
Expect(0, 2688, '\P{^__in_Gurmukhi}', "");
Error('\p{_:=In_Gurmukhi}');
Error('\P{_:=In_Gurmukhi}');
Expect(1, 2687, '\p{ _In_gurmukhi}', "");
Expect(0, 2687, '\p{^ _In_gurmukhi}', "");
Expect(0, 2687, '\P{ _In_gurmukhi}', "");
Expect(1, 2687, '\P{^ _In_gurmukhi}', "");
Expect(0, 2688, '\p{ _In_gurmukhi}', "");
Expect(1, 2688, '\p{^ _In_gurmukhi}', "");
Expect(1, 2688, '\P{ _In_gurmukhi}', "");
Expect(0, 2688, '\P{^ _In_gurmukhi}', "");
Error('\p{-In_HANUNOO:=}');
Error('\P{-In_HANUNOO:=}');
Expect(1, 5951, '\p{inhanunoo}', "");
Expect(0, 5951, '\p{^inhanunoo}', "");
Expect(0, 5951, '\P{inhanunoo}', "");
Expect(1, 5951, '\P{^inhanunoo}', "");
Expect(0, 5952, '\p{inhanunoo}', "");
Expect(1, 5952, '\p{^inhanunoo}', "");
Expect(1, 5952, '\P{inhanunoo}', "");
Expect(0, 5952, '\P{^inhanunoo}', "");
Expect(1, 5951, '\p{	-in_Hanunoo}', "");
Expect(0, 5951, '\p{^	-in_Hanunoo}', "");
Expect(0, 5951, '\P{	-in_Hanunoo}', "");
Expect(1, 5951, '\P{^	-in_Hanunoo}', "");
Expect(0, 5952, '\p{	-in_Hanunoo}', "");
Expect(1, 5952, '\p{^	-in_Hanunoo}', "");
Expect(1, 5952, '\P{	-in_Hanunoo}', "");
Expect(0, 5952, '\P{^	-in_Hanunoo}', "");
Error('\p{/a/_-in_Hanunoo}');
Error('\P{/a/_-in_Hanunoo}');
Expect(1, 5951, '\p{-IN_HANUNOO}', "");
Expect(0, 5951, '\p{^-IN_HANUNOO}', "");
Expect(0, 5951, '\P{-IN_HANUNOO}', "");
Expect(1, 5951, '\P{^-IN_HANUNOO}', "");
Expect(0, 5952, '\p{-IN_HANUNOO}', "");
Expect(1, 5952, '\p{^-IN_HANUNOO}', "");
Expect(1, 5952, '\P{-IN_HANUNOO}', "");
Expect(0, 5952, '\P{^-IN_HANUNOO}', "");
Error('\p{ /a/IN_HEBREW}');
Error('\P{ /a/IN_HEBREW}');
Expect(1, 1535, '\p{inhebrew}', "");
Expect(0, 1535, '\p{^inhebrew}', "");
Expect(0, 1535, '\P{inhebrew}', "");
Expect(1, 1535, '\P{^inhebrew}', "");
Expect(0, 1536, '\p{inhebrew}', "");
Expect(1, 1536, '\p{^inhebrew}', "");
Expect(1, 1536, '\P{inhebrew}', "");
Expect(0, 1536, '\P{^inhebrew}', "");
Expect(1, 1535, '\p{-In_HEBREW}', "");
Expect(0, 1535, '\p{^-In_HEBREW}', "");
Expect(0, 1535, '\P{-In_HEBREW}', "");
Expect(1, 1535, '\P{^-In_HEBREW}', "");
Expect(0, 1536, '\p{-In_HEBREW}', "");
Expect(1, 1536, '\p{^-In_HEBREW}', "");
Expect(1, 1536, '\P{-In_HEBREW}', "");
Expect(0, 1536, '\P{^-In_HEBREW}', "");
Error('\p{:=-	IN_Hebrew}');
Error('\P{:=-	IN_Hebrew}');
Expect(1, 1535, '\p{-IN_HEBREW}', "");
Expect(0, 1535, '\p{^-IN_HEBREW}', "");
Expect(0, 1535, '\P{-IN_HEBREW}', "");
Expect(1, 1535, '\P{^-IN_HEBREW}', "");
Expect(0, 1536, '\p{-IN_HEBREW}', "");
Expect(1, 1536, '\p{^-IN_HEBREW}', "");
Expect(1, 1536, '\P{-IN_HEBREW}', "");
Expect(0, 1536, '\P{^-IN_HEBREW}', "");
Error('\p{-_in_Hiragana:=}');
Error('\P{-_in_Hiragana:=}');
Expect(1, 12447, '\p{inhiragana}', "");
Expect(0, 12447, '\p{^inhiragana}', "");
Expect(0, 12447, '\P{inhiragana}', "");
Expect(1, 12447, '\P{^inhiragana}', "");
Expect(0, 12448, '\p{inhiragana}', "");
Expect(1, 12448, '\p{^inhiragana}', "");
Expect(1, 12448, '\P{inhiragana}', "");
Expect(0, 12448, '\P{^inhiragana}', "");
Expect(1, 12447, '\p{_IN_HIRAGANA}', "");
Expect(0, 12447, '\p{^_IN_HIRAGANA}', "");
Expect(0, 12447, '\P{_IN_HIRAGANA}', "");
Expect(1, 12447, '\P{^_IN_HIRAGANA}', "");
Expect(0, 12448, '\p{_IN_HIRAGANA}', "");
Expect(1, 12448, '\p{^_IN_HIRAGANA}', "");
Expect(1, 12448, '\P{_IN_HIRAGANA}', "");
Expect(0, 12448, '\P{^_IN_HIRAGANA}', "");
Error('\p{:=--In_Hiragana}');
Error('\P{:=--In_Hiragana}');
Expect(1, 12447, '\p{-IN_hiragana}', "");
Expect(0, 12447, '\p{^-IN_hiragana}', "");
Expect(0, 12447, '\P{-IN_hiragana}', "");
Expect(1, 12447, '\P{^-IN_hiragana}', "");
Expect(0, 12448, '\p{-IN_hiragana}', "");
Expect(1, 12448, '\p{^-IN_hiragana}', "");
Expect(1, 12448, '\P{-IN_hiragana}', "");
Expect(0, 12448, '\P{^-IN_hiragana}', "");
Error('\p{/a/ In_imperial_aramaic}');
Error('\P{/a/ In_imperial_aramaic}');
Expect(1, 67679, '\p{inimperialaramaic}', "");
Expect(0, 67679, '\p{^inimperialaramaic}', "");
Expect(0, 67679, '\P{inimperialaramaic}', "");
Expect(1, 67679, '\P{^inimperialaramaic}', "");
Expect(0, 67680, '\p{inimperialaramaic}', "");
Expect(1, 67680, '\p{^inimperialaramaic}', "");
Expect(1, 67680, '\P{inimperialaramaic}', "");
Expect(0, 67680, '\P{^inimperialaramaic}', "");
Expect(1, 67679, '\p{_-IN_Imperial_ARAMAIC}', "");
Expect(0, 67679, '\p{^_-IN_Imperial_ARAMAIC}', "");
Expect(0, 67679, '\P{_-IN_Imperial_ARAMAIC}', "");
Expect(1, 67679, '\P{^_-IN_Imperial_ARAMAIC}', "");
Expect(0, 67680, '\p{_-IN_Imperial_ARAMAIC}', "");
Expect(1, 67680, '\p{^_-IN_Imperial_ARAMAIC}', "");
Expect(1, 67680, '\P{_-IN_Imperial_ARAMAIC}', "");
Expect(0, 67680, '\P{^_-IN_Imperial_ARAMAIC}', "");
Error('\p{	In_imperial_ARAMAIC/a/}');
Error('\P{	In_imperial_ARAMAIC/a/}');
Expect(1, 67679, '\p{	 IN_Imperial_ARAMAIC}', "");
Expect(0, 67679, '\p{^	 IN_Imperial_ARAMAIC}', "");
Expect(0, 67679, '\P{	 IN_Imperial_ARAMAIC}', "");
Expect(1, 67679, '\P{^	 IN_Imperial_ARAMAIC}', "");
Expect(0, 67680, '\p{	 IN_Imperial_ARAMAIC}', "");
Expect(1, 67680, '\p{^	 IN_Imperial_ARAMAIC}', "");
Expect(1, 67680, '\P{	 IN_Imperial_ARAMAIC}', "");
Expect(0, 67680, '\P{^	 IN_Imperial_ARAMAIC}', "");
Error('\p{_-In_inscriptional_Pahlavi/a/}');
Error('\P{_-In_inscriptional_Pahlavi/a/}');
Expect(1, 68479, '\p{ininscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^ininscriptionalpahlavi}', "");
Expect(0, 68479, '\P{ininscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^ininscriptionalpahlavi}', "");
Expect(0, 68480, '\p{ininscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^ininscriptionalpahlavi}', "");
Expect(1, 68480, '\P{ininscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^ininscriptionalpahlavi}', "");
Expect(1, 68479, '\p{_In_Inscriptional_pahlavi}', "");
Expect(0, 68479, '\p{^_In_Inscriptional_pahlavi}', "");
Expect(0, 68479, '\P{_In_Inscriptional_pahlavi}', "");
Expect(1, 68479, '\P{^_In_Inscriptional_pahlavi}', "");
Expect(0, 68480, '\p{_In_Inscriptional_pahlavi}', "");
Expect(1, 68480, '\p{^_In_Inscriptional_pahlavi}', "");
Expect(1, 68480, '\P{_In_Inscriptional_pahlavi}', "");
Expect(0, 68480, '\P{^_In_Inscriptional_pahlavi}', "");
Error('\p{:= IN_Inscriptional_Pahlavi}');
Error('\P{:= IN_Inscriptional_Pahlavi}');
Expect(1, 68479, '\p{--IN_INSCRIPTIONAL_pahlavi}', "");
Expect(0, 68479, '\p{^--IN_INSCRIPTIONAL_pahlavi}', "");
Expect(0, 68479, '\P{--IN_INSCRIPTIONAL_pahlavi}', "");
Expect(1, 68479, '\P{^--IN_INSCRIPTIONAL_pahlavi}', "");
Expect(0, 68480, '\p{--IN_INSCRIPTIONAL_pahlavi}', "");
Expect(1, 68480, '\p{^--IN_INSCRIPTIONAL_pahlavi}', "");
Expect(1, 68480, '\P{--IN_INSCRIPTIONAL_pahlavi}', "");
Expect(0, 68480, '\P{^--IN_INSCRIPTIONAL_pahlavi}', "");
Error('\p{	in_inscriptional_PARTHIAN:=}');
Error('\P{	in_inscriptional_PARTHIAN:=}');
Expect(1, 68447, '\p{ininscriptionalparthian}', "");
Expect(0, 68447, '\p{^ininscriptionalparthian}', "");
Expect(0, 68447, '\P{ininscriptionalparthian}', "");
Expect(1, 68447, '\P{^ininscriptionalparthian}', "");
Expect(0, 68448, '\p{ininscriptionalparthian}', "");
Expect(1, 68448, '\p{^ininscriptionalparthian}', "");
Expect(1, 68448, '\P{ininscriptionalparthian}', "");
Expect(0, 68448, '\P{^ininscriptionalparthian}', "");
Expect(1, 68447, '\p{-_In_inscriptional_parthian}', "");
Expect(0, 68447, '\p{^-_In_inscriptional_parthian}', "");
Expect(0, 68447, '\P{-_In_inscriptional_parthian}', "");
Expect(1, 68447, '\P{^-_In_inscriptional_parthian}', "");
Expect(0, 68448, '\p{-_In_inscriptional_parthian}', "");
Expect(1, 68448, '\p{^-_In_inscriptional_parthian}', "");
Expect(1, 68448, '\P{-_In_inscriptional_parthian}', "");
Expect(0, 68448, '\P{^-_In_inscriptional_parthian}', "");
Error('\p{:=_	in_INSCRIPTIONAL_Parthian}');
Error('\P{:=_	in_INSCRIPTIONAL_Parthian}');
Expect(1, 68447, '\p{-_IN_inscriptional_PARTHIAN}', "");
Expect(0, 68447, '\p{^-_IN_inscriptional_PARTHIAN}', "");
Expect(0, 68447, '\P{-_IN_inscriptional_PARTHIAN}', "");
Expect(1, 68447, '\P{^-_IN_inscriptional_PARTHIAN}', "");
Expect(0, 68448, '\p{-_IN_inscriptional_PARTHIAN}', "");
Expect(1, 68448, '\p{^-_IN_inscriptional_PARTHIAN}', "");
Expect(1, 68448, '\P{-_IN_inscriptional_PARTHIAN}', "");
Expect(0, 68448, '\P{^-_IN_inscriptional_PARTHIAN}', "");
Error('\p{ -In_Javanese/a/}');
Error('\P{ -In_Javanese/a/}');
Expect(1, 43487, '\p{injavanese}', "");
Expect(0, 43487, '\p{^injavanese}', "");
Expect(0, 43487, '\P{injavanese}', "");
Expect(1, 43487, '\P{^injavanese}', "");
Expect(0, 43488, '\p{injavanese}', "");
Expect(1, 43488, '\p{^injavanese}', "");
Expect(1, 43488, '\P{injavanese}', "");
Expect(0, 43488, '\P{^injavanese}', "");
Expect(1, 43487, '\p{ -In_Javanese}', "");
Expect(0, 43487, '\p{^ -In_Javanese}', "");
Expect(0, 43487, '\P{ -In_Javanese}', "");
Expect(1, 43487, '\P{^ -In_Javanese}', "");
Expect(0, 43488, '\p{ -In_Javanese}', "");
Expect(1, 43488, '\p{^ -In_Javanese}', "");
Expect(1, 43488, '\P{ -In_Javanese}', "");
Expect(0, 43488, '\P{^ -In_Javanese}', "");
Error('\p{  In_javanese:=}');
Error('\P{  In_javanese:=}');
Expect(1, 43487, '\p{--In_Javanese}', "");
Expect(0, 43487, '\p{^--In_Javanese}', "");
Expect(0, 43487, '\P{--In_Javanese}', "");
Expect(1, 43487, '\P{^--In_Javanese}', "");
Expect(0, 43488, '\p{--In_Javanese}', "");
Expect(1, 43488, '\p{^--In_Javanese}', "");
Expect(1, 43488, '\P{--In_Javanese}', "");
Expect(0, 43488, '\P{^--In_Javanese}', "");
Error('\p{:=	 In_Kaithi}');
Error('\P{:=	 In_Kaithi}');
Expect(1, 69839, '\p{inkaithi}', "");
Expect(0, 69839, '\p{^inkaithi}', "");
Expect(0, 69839, '\P{inkaithi}', "");
Expect(1, 69839, '\P{^inkaithi}', "");
Expect(0, 69840, '\p{inkaithi}', "");
Expect(1, 69840, '\p{^inkaithi}', "");
Expect(1, 69840, '\P{inkaithi}', "");
Expect(0, 69840, '\P{^inkaithi}', "");
Expect(1, 69839, '\p{- IN_Kaithi}', "");
Expect(0, 69839, '\p{^- IN_Kaithi}', "");
Expect(0, 69839, '\P{- IN_Kaithi}', "");
Expect(1, 69839, '\P{^- IN_Kaithi}', "");
Expect(0, 69840, '\p{- IN_Kaithi}', "");
Expect(1, 69840, '\p{^- IN_Kaithi}', "");
Expect(1, 69840, '\P{- IN_Kaithi}', "");
Expect(0, 69840, '\P{^- IN_Kaithi}', "");
Error('\p{/a/IN_Kaithi}');
Error('\P{/a/IN_Kaithi}');
Expect(1, 69839, '\p{ 	IN_kaithi}', "");
Expect(0, 69839, '\p{^ 	IN_kaithi}', "");
Expect(0, 69839, '\P{ 	IN_kaithi}', "");
Expect(1, 69839, '\P{^ 	IN_kaithi}', "");
Expect(0, 69840, '\p{ 	IN_kaithi}', "");
Expect(1, 69840, '\p{^ 	IN_kaithi}', "");
Expect(1, 69840, '\P{ 	IN_kaithi}', "");
Expect(0, 69840, '\P{^ 	IN_kaithi}', "");
Error('\p{	In_KANNADA/a/}');
Error('\P{	In_KANNADA/a/}');
Expect(1, 3327, '\p{inkannada}', "");
Expect(0, 3327, '\p{^inkannada}', "");
Expect(0, 3327, '\P{inkannada}', "");
Expect(1, 3327, '\P{^inkannada}', "");
Expect(0, 3328, '\p{inkannada}', "");
Expect(1, 3328, '\p{^inkannada}', "");
Expect(1, 3328, '\P{inkannada}', "");
Expect(0, 3328, '\P{^inkannada}', "");
Expect(1, 3327, '\p{-in_Kannada}', "");
Expect(0, 3327, '\p{^-in_Kannada}', "");
Expect(0, 3327, '\P{-in_Kannada}', "");
Expect(1, 3327, '\P{^-in_Kannada}', "");
Expect(0, 3328, '\p{-in_Kannada}', "");
Expect(1, 3328, '\p{^-in_Kannada}', "");
Expect(1, 3328, '\P{-in_Kannada}', "");
Expect(0, 3328, '\P{^-in_Kannada}', "");
Error('\p{:=-_In_Kannada}');
Error('\P{:=-_In_Kannada}');
Expect(1, 3327, '\p{ in_kannada}', "");
Expect(0, 3327, '\p{^ in_kannada}', "");
Expect(0, 3327, '\P{ in_kannada}', "");
Expect(1, 3327, '\P{^ in_kannada}', "");
Expect(0, 3328, '\p{ in_kannada}', "");
Expect(1, 3328, '\p{^ in_kannada}', "");
Expect(1, 3328, '\P{ in_kannada}', "");
Expect(0, 3328, '\P{^ in_kannada}', "");
Error('\p{/a/in_KATAKANA}');
Error('\P{/a/in_KATAKANA}');
Expect(1, 12543, '\p{inkatakana}', "");
Expect(0, 12543, '\p{^inkatakana}', "");
Expect(0, 12543, '\P{inkatakana}', "");
Expect(1, 12543, '\P{^inkatakana}', "");
Expect(0, 12544, '\p{inkatakana}', "");
Expect(1, 12544, '\p{^inkatakana}', "");
Expect(1, 12544, '\P{inkatakana}', "");
Expect(0, 12544, '\P{^inkatakana}', "");
Expect(1, 12543, '\p{ IN_katakana}', "");
Expect(0, 12543, '\p{^ IN_katakana}', "");
Expect(0, 12543, '\P{ IN_katakana}', "");
Expect(1, 12543, '\P{^ IN_katakana}', "");
Expect(0, 12544, '\p{ IN_katakana}', "");
Expect(1, 12544, '\p{^ IN_katakana}', "");
Expect(1, 12544, '\P{ IN_katakana}', "");
Expect(0, 12544, '\P{^ IN_katakana}', "");
Error('\p{:= -In_katakana}');
Error('\P{:= -In_katakana}');
Expect(1, 12543, '\p{	In_Katakana}', "");
Expect(0, 12543, '\p{^	In_Katakana}', "");
Expect(0, 12543, '\P{	In_Katakana}', "");
Expect(1, 12543, '\P{^	In_Katakana}', "");
Expect(0, 12544, '\p{	In_Katakana}', "");
Expect(1, 12544, '\p{^	In_Katakana}', "");
Expect(1, 12544, '\P{	In_Katakana}', "");
Expect(0, 12544, '\P{^	In_Katakana}', "");
Error('\p{-/a/In_Kayah_Li}');
Error('\P{-/a/In_Kayah_Li}');
Expect(1, 43311, '\p{inkayahli}', "");
Expect(0, 43311, '\p{^inkayahli}', "");
Expect(0, 43311, '\P{inkayahli}', "");
Expect(1, 43311, '\P{^inkayahli}', "");
Expect(0, 43312, '\p{inkayahli}', "");
Expect(1, 43312, '\p{^inkayahli}', "");
Expect(1, 43312, '\P{inkayahli}', "");
Expect(0, 43312, '\P{^inkayahli}', "");
Expect(1, 43311, '\p{-In_KAYAH_Li}', "");
Expect(0, 43311, '\p{^-In_KAYAH_Li}', "");
Expect(0, 43311, '\P{-In_KAYAH_Li}', "");
Expect(1, 43311, '\P{^-In_KAYAH_Li}', "");
Expect(0, 43312, '\p{-In_KAYAH_Li}', "");
Expect(1, 43312, '\p{^-In_KAYAH_Li}', "");
Expect(1, 43312, '\P{-In_KAYAH_Li}', "");
Expect(0, 43312, '\P{^-In_KAYAH_Li}', "");
Error('\p{-/a/in_kayah_li}');
Error('\P{-/a/in_kayah_li}');
Expect(1, 43311, '\p{	_In_Kayah_Li}', "");
Expect(0, 43311, '\p{^	_In_Kayah_Li}', "");
Expect(0, 43311, '\P{	_In_Kayah_Li}', "");
Expect(1, 43311, '\P{^	_In_Kayah_Li}', "");
Expect(0, 43312, '\p{	_In_Kayah_Li}', "");
Expect(1, 43312, '\p{^	_In_Kayah_Li}', "");
Expect(1, 43312, '\P{	_In_Kayah_Li}', "");
Expect(0, 43312, '\P{^	_In_Kayah_Li}', "");
Error('\p{/a/ _IN_KHAROSHTHI}');
Error('\P{/a/ _IN_KHAROSHTHI}');
Expect(1, 68191, '\p{inkharoshthi}', "");
Expect(0, 68191, '\p{^inkharoshthi}', "");
Expect(0, 68191, '\P{inkharoshthi}', "");
Expect(1, 68191, '\P{^inkharoshthi}', "");
Expect(0, 68192, '\p{inkharoshthi}', "");
Expect(1, 68192, '\p{^inkharoshthi}', "");
Expect(1, 68192, '\P{inkharoshthi}', "");
Expect(0, 68192, '\P{^inkharoshthi}', "");
Expect(1, 68191, '\p{in_KHAROSHTHI}', "");
Expect(0, 68191, '\p{^in_KHAROSHTHI}', "");
Expect(0, 68191, '\P{in_KHAROSHTHI}', "");
Expect(1, 68191, '\P{^in_KHAROSHTHI}', "");
Expect(0, 68192, '\p{in_KHAROSHTHI}', "");
Expect(1, 68192, '\p{^in_KHAROSHTHI}', "");
Expect(1, 68192, '\P{in_KHAROSHTHI}', "");
Expect(0, 68192, '\P{^in_KHAROSHTHI}', "");
Error('\p{:=_IN_kharoshthi}');
Error('\P{:=_IN_kharoshthi}');
Expect(1, 68191, '\p{ in_Kharoshthi}', "");
Expect(0, 68191, '\p{^ in_Kharoshthi}', "");
Expect(0, 68191, '\P{ in_Kharoshthi}', "");
Expect(1, 68191, '\P{^ in_Kharoshthi}', "");
Expect(0, 68192, '\p{ in_Kharoshthi}', "");
Expect(1, 68192, '\p{^ in_Kharoshthi}', "");
Expect(1, 68192, '\P{ in_Kharoshthi}', "");
Expect(0, 68192, '\P{^ in_Kharoshthi}', "");
Error('\p{_:=In_KHMER}');
Error('\P{_:=In_KHMER}');
Expect(1, 6143, '\p{inkhmer}', "");
Expect(0, 6143, '\p{^inkhmer}', "");
Expect(0, 6143, '\P{inkhmer}', "");
Expect(1, 6143, '\P{^inkhmer}', "");
Expect(0, 6144, '\p{inkhmer}', "");
Expect(1, 6144, '\p{^inkhmer}', "");
Expect(1, 6144, '\P{inkhmer}', "");
Expect(0, 6144, '\P{^inkhmer}', "");
Expect(1, 6143, '\p{	 in_KHMER}', "");
Expect(0, 6143, '\p{^	 in_KHMER}', "");
Expect(0, 6143, '\P{	 in_KHMER}', "");
Expect(1, 6143, '\P{^	 in_KHMER}', "");
Expect(0, 6144, '\p{	 in_KHMER}', "");
Expect(1, 6144, '\p{^	 in_KHMER}', "");
Expect(1, 6144, '\P{	 in_KHMER}', "");
Expect(0, 6144, '\P{^	 in_KHMER}', "");
Error('\p{:=  IN_Khmer}');
Error('\P{:=  IN_Khmer}');
Expect(1, 6143, '\p{-IN_KHMER}', "");
Expect(0, 6143, '\p{^-IN_KHMER}', "");
Expect(0, 6143, '\P{-IN_KHMER}', "");
Expect(1, 6143, '\P{^-IN_KHMER}', "");
Expect(0, 6144, '\p{-IN_KHMER}', "");
Expect(1, 6144, '\p{^-IN_KHMER}', "");
Expect(1, 6144, '\P{-IN_KHMER}', "");
Expect(0, 6144, '\P{^-IN_KHMER}', "");
Error('\p{ /a/In_khojki}');
Error('\P{ /a/In_khojki}');
Expect(1, 70223, '\p{inkhojki}', "");
Expect(0, 70223, '\p{^inkhojki}', "");
Expect(0, 70223, '\P{inkhojki}', "");
Expect(1, 70223, '\P{^inkhojki}', "");
Expect(0, 70224, '\p{inkhojki}', "");
Expect(1, 70224, '\p{^inkhojki}', "");
Expect(1, 70224, '\P{inkhojki}', "");
Expect(0, 70224, '\P{^inkhojki}', "");
Expect(1, 70223, '\p{In_Khojki}', "");
Expect(0, 70223, '\p{^In_Khojki}', "");
Expect(0, 70223, '\P{In_Khojki}', "");
Expect(1, 70223, '\P{^In_Khojki}', "");
Expect(0, 70224, '\p{In_Khojki}', "");
Expect(1, 70224, '\p{^In_Khojki}', "");
Expect(1, 70224, '\P{In_Khojki}', "");
Expect(0, 70224, '\P{^In_Khojki}', "");
Error('\p{_:=in_Khojki}');
Error('\P{_:=in_Khojki}');
Expect(1, 70223, '\p{- IN_KHOJKI}', "");
Expect(0, 70223, '\p{^- IN_KHOJKI}', "");
Expect(0, 70223, '\P{- IN_KHOJKI}', "");
Expect(1, 70223, '\P{^- IN_KHOJKI}', "");
Expect(0, 70224, '\p{- IN_KHOJKI}', "");
Expect(1, 70224, '\p{^- IN_KHOJKI}', "");
Expect(1, 70224, '\P{- IN_KHOJKI}', "");
Expect(0, 70224, '\P{^- IN_KHOJKI}', "");
Error('\p{-In_Khudawadi:=}');
Error('\P{-In_Khudawadi:=}');
Expect(1, 70399, '\p{inkhudawadi}', "");
Expect(0, 70399, '\p{^inkhudawadi}', "");
Expect(0, 70399, '\P{inkhudawadi}', "");
Expect(1, 70399, '\P{^inkhudawadi}', "");
Expect(0, 70400, '\p{inkhudawadi}', "");
Expect(1, 70400, '\p{^inkhudawadi}', "");
Expect(1, 70400, '\P{inkhudawadi}', "");
Expect(0, 70400, '\P{^inkhudawadi}', "");
Expect(1, 70399, '\p{_ IN_Khudawadi}', "");
Expect(0, 70399, '\p{^_ IN_Khudawadi}', "");
Expect(0, 70399, '\P{_ IN_Khudawadi}', "");
Expect(1, 70399, '\P{^_ IN_Khudawadi}', "");
Expect(0, 70400, '\p{_ IN_Khudawadi}', "");
Expect(1, 70400, '\p{^_ IN_Khudawadi}', "");
Expect(1, 70400, '\P{_ IN_Khudawadi}', "");
Expect(0, 70400, '\P{^_ IN_Khudawadi}', "");
Error('\p{  IN_khudawadi/a/}');
Error('\P{  IN_khudawadi/a/}');
Expect(1, 70399, '\p{--In_Khudawadi}', "");
Expect(0, 70399, '\p{^--In_Khudawadi}', "");
Expect(0, 70399, '\P{--In_Khudawadi}', "");
Expect(1, 70399, '\P{^--In_Khudawadi}', "");
Expect(0, 70400, '\p{--In_Khudawadi}', "");
Expect(1, 70400, '\p{^--In_Khudawadi}', "");
Expect(1, 70400, '\P{--In_Khudawadi}', "");
Expect(0, 70400, '\P{^--In_Khudawadi}', "");
Error('\p{/a/_-in_Lao}');
Error('\P{/a/_-in_Lao}');
Expect(1, 3839, '\p{inlao}', "");
Expect(0, 3839, '\p{^inlao}', "");
Expect(0, 3839, '\P{inlao}', "");
Expect(1, 3839, '\P{^inlao}', "");
Expect(0, 3840, '\p{inlao}', "");
Expect(1, 3840, '\p{^inlao}', "");
Expect(1, 3840, '\P{inlao}', "");
Expect(0, 3840, '\P{^inlao}', "");
Expect(1, 3839, '\p{	-IN_LAO}', "");
Expect(0, 3839, '\p{^	-IN_LAO}', "");
Expect(0, 3839, '\P{	-IN_LAO}', "");
Expect(1, 3839, '\P{^	-IN_LAO}', "");
Expect(0, 3840, '\p{	-IN_LAO}', "");
Expect(1, 3840, '\p{^	-IN_LAO}', "");
Expect(1, 3840, '\P{	-IN_LAO}', "");
Expect(0, 3840, '\P{^	-IN_LAO}', "");
Error('\p{/a/	In_lao}');
Error('\P{/a/	In_lao}');
Expect(1, 3839, '\p{ In_lao}', "");
Expect(0, 3839, '\p{^ In_lao}', "");
Expect(0, 3839, '\P{ In_lao}', "");
Expect(1, 3839, '\P{^ In_lao}', "");
Expect(0, 3840, '\p{ In_lao}', "");
Expect(1, 3840, '\p{^ In_lao}', "");
Expect(1, 3840, '\P{ In_lao}', "");
Expect(0, 3840, '\P{^ In_lao}', "");
Error('\p{:=In_LEPCHA}');
Error('\P{:=In_LEPCHA}');
Expect(1, 7247, '\p{inlepcha}', "");
Expect(0, 7247, '\p{^inlepcha}', "");
Expect(0, 7247, '\P{inlepcha}', "");
Expect(1, 7247, '\P{^inlepcha}', "");
Expect(0, 7248, '\p{inlepcha}', "");
Expect(1, 7248, '\p{^inlepcha}', "");
Expect(1, 7248, '\P{inlepcha}', "");
Expect(0, 7248, '\P{^inlepcha}', "");
Expect(1, 7247, '\p{-In_LEPCHA}', "");
Expect(0, 7247, '\p{^-In_LEPCHA}', "");
Expect(0, 7247, '\P{-In_LEPCHA}', "");
Expect(1, 7247, '\P{^-In_LEPCHA}', "");
Expect(0, 7248, '\p{-In_LEPCHA}', "");
Expect(1, 7248, '\p{^-In_LEPCHA}', "");
Expect(1, 7248, '\P{-In_LEPCHA}', "");
Expect(0, 7248, '\P{^-In_LEPCHA}', "");
Error('\p{	_In_LEPCHA/a/}');
Error('\P{	_In_LEPCHA/a/}');
Expect(1, 7247, '\p{		In_LEPCHA}', "");
Expect(0, 7247, '\p{^		In_LEPCHA}', "");
Expect(0, 7247, '\P{		In_LEPCHA}', "");
Expect(1, 7247, '\P{^		In_LEPCHA}', "");
Expect(0, 7248, '\p{		In_LEPCHA}', "");
Expect(1, 7248, '\p{^		In_LEPCHA}', "");
Expect(1, 7248, '\P{		In_LEPCHA}', "");
Expect(0, 7248, '\P{^		In_LEPCHA}', "");
Error('\p{__IN_Limbu:=}');
Error('\P{__IN_Limbu:=}');
Expect(1, 6479, '\p{inlimbu}', "");
Expect(0, 6479, '\p{^inlimbu}', "");
Expect(0, 6479, '\P{inlimbu}', "");
Expect(1, 6479, '\P{^inlimbu}', "");
Expect(0, 6480, '\p{inlimbu}', "");
Expect(1, 6480, '\p{^inlimbu}', "");
Expect(1, 6480, '\P{inlimbu}', "");
Expect(0, 6480, '\P{^inlimbu}', "");
Expect(1, 6479, '\p{IN_limbu}', "");
Expect(0, 6479, '\p{^IN_limbu}', "");
Expect(0, 6479, '\P{IN_limbu}', "");
Expect(1, 6479, '\P{^IN_limbu}', "");
Expect(0, 6480, '\p{IN_limbu}', "");
Expect(1, 6480, '\p{^IN_limbu}', "");
Expect(1, 6480, '\P{IN_limbu}', "");
Expect(0, 6480, '\P{^IN_limbu}', "");
Error('\p{-_In_LIMBU:=}');
Error('\P{-_In_LIMBU:=}');
Expect(1, 6479, '\p{ In_Limbu}', "");
Expect(0, 6479, '\p{^ In_Limbu}', "");
Expect(0, 6479, '\P{ In_Limbu}', "");
Expect(1, 6479, '\P{^ In_Limbu}', "");
Expect(0, 6480, '\p{ In_Limbu}', "");
Expect(1, 6480, '\p{^ In_Limbu}', "");
Expect(1, 6480, '\P{ In_Limbu}', "");
Expect(0, 6480, '\P{^ In_Limbu}', "");
Error('\p{	-In_LINEAR_A/a/}');
Error('\P{	-In_LINEAR_A/a/}');
Expect(1, 67455, '\p{inlineara}', "");
Expect(0, 67455, '\p{^inlineara}', "");
Expect(0, 67455, '\P{inlineara}', "");
Expect(1, 67455, '\P{^inlineara}', "");
Expect(0, 67456, '\p{inlineara}', "");
Expect(1, 67456, '\p{^inlineara}', "");
Expect(1, 67456, '\P{inlineara}', "");
Expect(0, 67456, '\P{^inlineara}', "");
Expect(1, 67455, '\p{In_LINEAR_A}', "");
Expect(0, 67455, '\p{^In_LINEAR_A}', "");
Expect(0, 67455, '\P{In_LINEAR_A}', "");
Expect(1, 67455, '\P{^In_LINEAR_A}', "");
Expect(0, 67456, '\p{In_LINEAR_A}', "");
Expect(1, 67456, '\p{^In_LINEAR_A}', "");
Expect(1, 67456, '\P{In_LINEAR_A}', "");
Expect(0, 67456, '\P{^In_LINEAR_A}', "");
Error('\p{/a/__in_Linear_a}');
Error('\P{/a/__in_Linear_a}');
Expect(1, 67455, '\p{	 IN_LINEAR_A}', "");
Expect(0, 67455, '\p{^	 IN_LINEAR_A}', "");
Expect(0, 67455, '\P{	 IN_LINEAR_A}', "");
Expect(1, 67455, '\P{^	 IN_LINEAR_A}', "");
Expect(0, 67456, '\p{	 IN_LINEAR_A}', "");
Expect(1, 67456, '\p{^	 IN_LINEAR_A}', "");
Expect(1, 67456, '\P{	 IN_LINEAR_A}', "");
Expect(0, 67456, '\P{^	 IN_LINEAR_A}', "");
Error('\p{ -In_Lisu:=}');
Error('\P{ -In_Lisu:=}');
Expect(1, 42239, '\p{inlisu}', "");
Expect(0, 42239, '\p{^inlisu}', "");
Expect(0, 42239, '\P{inlisu}', "");
Expect(1, 42239, '\P{^inlisu}', "");
Expect(0, 42240, '\p{inlisu}', "");
Expect(1, 42240, '\p{^inlisu}', "");
Expect(1, 42240, '\P{inlisu}', "");
Expect(0, 42240, '\P{^inlisu}', "");
Expect(1, 42239, '\p{	 In_Lisu}', "");
Expect(0, 42239, '\p{^	 In_Lisu}', "");
Expect(0, 42239, '\P{	 In_Lisu}', "");
Expect(1, 42239, '\P{^	 In_Lisu}', "");
Expect(0, 42240, '\p{	 In_Lisu}', "");
Expect(1, 42240, '\p{^	 In_Lisu}', "");
Expect(1, 42240, '\P{	 In_Lisu}', "");
Expect(0, 42240, '\P{^	 In_Lisu}', "");
Error('\p{/a/--In_Lisu}');
Error('\P{/a/--In_Lisu}');
Expect(1, 42239, '\p{	-In_LISU}', "");
Expect(0, 42239, '\p{^	-In_LISU}', "");
Expect(0, 42239, '\P{	-In_LISU}', "");
Expect(1, 42239, '\P{^	-In_LISU}', "");
Expect(0, 42240, '\p{	-In_LISU}', "");
Expect(1, 42240, '\p{^	-In_LISU}', "");
Expect(1, 42240, '\P{	-In_LISU}', "");
Expect(0, 42240, '\P{^	-In_LISU}', "");
Error('\p{-_In_Lycian:=}');
Error('\P{-_In_Lycian:=}');
Expect(1, 66207, '\p{inlycian}', "");
Expect(0, 66207, '\p{^inlycian}', "");
Expect(0, 66207, '\P{inlycian}', "");
Expect(1, 66207, '\P{^inlycian}', "");
Expect(0, 66208, '\p{inlycian}', "");
Expect(1, 66208, '\p{^inlycian}', "");
Expect(1, 66208, '\P{inlycian}', "");
Expect(0, 66208, '\P{^inlycian}', "");
Expect(1, 66207, '\p{ _in_Lycian}', "");
Expect(0, 66207, '\p{^ _in_Lycian}', "");
Expect(0, 66207, '\P{ _in_Lycian}', "");
Expect(1, 66207, '\P{^ _in_Lycian}', "");
Expect(0, 66208, '\p{ _in_Lycian}', "");
Expect(1, 66208, '\p{^ _in_Lycian}', "");
Expect(1, 66208, '\P{ _in_Lycian}', "");
Expect(0, 66208, '\P{^ _in_Lycian}', "");
Error('\p{/a/ -IN_Lycian}');
Error('\P{/a/ -IN_Lycian}');
Expect(1, 66207, '\p{	_in_Lycian}', "");
Expect(0, 66207, '\p{^	_in_Lycian}', "");
Expect(0, 66207, '\P{	_in_Lycian}', "");
Expect(1, 66207, '\P{^	_in_Lycian}', "");
Expect(0, 66208, '\p{	_in_Lycian}', "");
Expect(1, 66208, '\p{^	_in_Lycian}', "");
Expect(1, 66208, '\P{	_in_Lycian}', "");
Expect(0, 66208, '\P{^	_in_Lycian}', "");
Error('\p{:=_IN_Lydian}');
Error('\P{:=_IN_Lydian}');
Expect(1, 67903, '\p{inlydian}', "");
Expect(0, 67903, '\p{^inlydian}', "");
Expect(0, 67903, '\P{inlydian}', "");
Expect(1, 67903, '\P{^inlydian}', "");
Expect(0, 67904, '\p{inlydian}', "");
Expect(1, 67904, '\p{^inlydian}', "");
Expect(1, 67904, '\P{inlydian}', "");
Expect(0, 67904, '\P{^inlydian}', "");
Expect(1, 67903, '\p{--IN_lydian}', "");
Expect(0, 67903, '\p{^--IN_lydian}', "");
Expect(0, 67903, '\P{--IN_lydian}', "");
Expect(1, 67903, '\P{^--IN_lydian}', "");
Expect(0, 67904, '\p{--IN_lydian}', "");
Expect(1, 67904, '\p{^--IN_lydian}', "");
Expect(1, 67904, '\P{--IN_lydian}', "");
Expect(0, 67904, '\P{^--IN_lydian}', "");
Error('\p{_In_LYDIAN/a/}');
Error('\P{_In_LYDIAN/a/}');
Expect(1, 67903, '\p{_In_LYDIAN}', "");
Expect(0, 67903, '\p{^_In_LYDIAN}', "");
Expect(0, 67903, '\P{_In_LYDIAN}', "");
Expect(1, 67903, '\P{^_In_LYDIAN}', "");
Expect(0, 67904, '\p{_In_LYDIAN}', "");
Expect(1, 67904, '\p{^_In_LYDIAN}', "");
Expect(1, 67904, '\P{_In_LYDIAN}', "");
Expect(0, 67904, '\P{^_In_LYDIAN}', "");
Error('\p{-_in_mahajani/a/}');
Error('\P{-_in_mahajani/a/}');
Expect(1, 70015, '\p{inmahajani}', "");
Expect(0, 70015, '\p{^inmahajani}', "");
Expect(0, 70015, '\P{inmahajani}', "");
Expect(1, 70015, '\P{^inmahajani}', "");
Expect(0, 70016, '\p{inmahajani}', "");
Expect(1, 70016, '\p{^inmahajani}', "");
Expect(1, 70016, '\P{inmahajani}', "");
Expect(0, 70016, '\P{^inmahajani}', "");
Expect(1, 70015, '\p{-In_MAHAJANI}', "");
Expect(0, 70015, '\p{^-In_MAHAJANI}', "");
Expect(0, 70015, '\P{-In_MAHAJANI}', "");
Expect(1, 70015, '\P{^-In_MAHAJANI}', "");
Expect(0, 70016, '\p{-In_MAHAJANI}', "");
Expect(1, 70016, '\p{^-In_MAHAJANI}', "");
Expect(1, 70016, '\P{-In_MAHAJANI}', "");
Expect(0, 70016, '\P{^-In_MAHAJANI}', "");
Error('\p{-:=IN_Mahajani}');
Error('\P{-:=IN_Mahajani}');
Expect(1, 70015, '\p{ In_Mahajani}', "");
Expect(0, 70015, '\p{^ In_Mahajani}', "");
Expect(0, 70015, '\P{ In_Mahajani}', "");
Expect(1, 70015, '\P{^ In_Mahajani}', "");
Expect(0, 70016, '\p{ In_Mahajani}', "");
Expect(1, 70016, '\p{^ In_Mahajani}', "");
Expect(1, 70016, '\P{ In_Mahajani}', "");
Expect(0, 70016, '\P{^ In_Mahajani}', "");
Error('\p{/a/in_malayalam}');
Error('\P{/a/in_malayalam}');
Expect(1, 3455, '\p{inmalayalam}', "");
Expect(0, 3455, '\p{^inmalayalam}', "");
Expect(0, 3455, '\P{inmalayalam}', "");
Expect(1, 3455, '\P{^inmalayalam}', "");
Expect(0, 3456, '\p{inmalayalam}', "");
Expect(1, 3456, '\p{^inmalayalam}', "");
Expect(1, 3456, '\P{inmalayalam}', "");
Expect(0, 3456, '\P{^inmalayalam}', "");
Expect(1, 3455, '\p{  In_MALAYALAM}', "");
Expect(0, 3455, '\p{^  In_MALAYALAM}', "");
Expect(0, 3455, '\P{  In_MALAYALAM}', "");
Expect(1, 3455, '\P{^  In_MALAYALAM}', "");
Expect(0, 3456, '\p{  In_MALAYALAM}', "");
Expect(1, 3456, '\p{^  In_MALAYALAM}', "");
Expect(1, 3456, '\P{  In_MALAYALAM}', "");
Expect(0, 3456, '\P{^  In_MALAYALAM}', "");
Error('\p{/a/_-IN_malayalam}');
Error('\P{/a/_-IN_malayalam}');
Expect(1, 3455, '\p{_	In_Malayalam}', "");
Expect(0, 3455, '\p{^_	In_Malayalam}', "");
Expect(0, 3455, '\P{_	In_Malayalam}', "");
Expect(1, 3455, '\P{^_	In_Malayalam}', "");
Expect(0, 3456, '\p{_	In_Malayalam}', "");
Expect(1, 3456, '\p{^_	In_Malayalam}', "");
Expect(1, 3456, '\P{_	In_Malayalam}', "");
Expect(0, 3456, '\P{^_	In_Malayalam}', "");
Error('\p{ /a/In_Mandaic}');
Error('\P{ /a/In_Mandaic}');
Expect(1, 2143, '\p{inmandaic}', "");
Expect(0, 2143, '\p{^inmandaic}', "");
Expect(0, 2143, '\P{inmandaic}', "");
Expect(1, 2143, '\P{^inmandaic}', "");
Expect(0, 2144, '\p{inmandaic}', "");
Expect(1, 2144, '\p{^inmandaic}', "");
Expect(1, 2144, '\P{inmandaic}', "");
Expect(0, 2144, '\P{^inmandaic}', "");
Expect(1, 2143, '\p{	-in_Mandaic}', "");
Expect(0, 2143, '\p{^	-in_Mandaic}', "");
Expect(0, 2143, '\P{	-in_Mandaic}', "");
Expect(1, 2143, '\P{^	-in_Mandaic}', "");
Expect(0, 2144, '\p{	-in_Mandaic}', "");
Expect(1, 2144, '\p{^	-in_Mandaic}', "");
Expect(1, 2144, '\P{	-in_Mandaic}', "");
Expect(0, 2144, '\P{^	-in_Mandaic}', "");
Error('\p{_ in_Mandaic:=}');
Error('\P{_ in_Mandaic:=}');
Expect(1, 2143, '\p{_ In_Mandaic}', "");
Expect(0, 2143, '\p{^_ In_Mandaic}', "");
Expect(0, 2143, '\P{_ In_Mandaic}', "");
Expect(1, 2143, '\P{^_ In_Mandaic}', "");
Expect(0, 2144, '\p{_ In_Mandaic}', "");
Expect(1, 2144, '\p{^_ In_Mandaic}', "");
Expect(1, 2144, '\P{_ In_Mandaic}', "");
Expect(0, 2144, '\P{^_ In_Mandaic}', "");
Error('\p{:= IN_manichaean}');
Error('\P{:= IN_manichaean}');
Expect(1, 68351, '\p{inmanichaean}', "");
Expect(0, 68351, '\p{^inmanichaean}', "");
Expect(0, 68351, '\P{inmanichaean}', "");
Expect(1, 68351, '\P{^inmanichaean}', "");
Expect(0, 68352, '\p{inmanichaean}', "");
Expect(1, 68352, '\p{^inmanichaean}', "");
Expect(1, 68352, '\P{inmanichaean}', "");
Expect(0, 68352, '\P{^inmanichaean}', "");
Expect(1, 68351, '\p{		In_Manichaean}', "");
Expect(0, 68351, '\p{^		In_Manichaean}', "");
Expect(0, 68351, '\P{		In_Manichaean}', "");
Expect(1, 68351, '\P{^		In_Manichaean}', "");
Expect(0, 68352, '\p{		In_Manichaean}', "");
Expect(1, 68352, '\p{^		In_Manichaean}', "");
Expect(1, 68352, '\P{		In_Manichaean}', "");
Expect(0, 68352, '\P{^		In_Manichaean}', "");
Error('\p{:=	in_Manichaean}');
Error('\P{:=	in_Manichaean}');
Expect(1, 68351, '\p{-In_Manichaean}', "");
Expect(0, 68351, '\p{^-In_Manichaean}', "");
Expect(0, 68351, '\P{-In_Manichaean}', "");
Expect(1, 68351, '\P{^-In_Manichaean}', "");
Expect(0, 68352, '\p{-In_Manichaean}', "");
Expect(1, 68352, '\p{^-In_Manichaean}', "");
Expect(1, 68352, '\P{-In_Manichaean}', "");
Expect(0, 68352, '\P{^-In_Manichaean}', "");
Error('\p{/a/	in_MEETEI_Mayek}');
Error('\P{/a/	in_MEETEI_Mayek}');
Expect(1, 44031, '\p{inmeeteimayek}', "");
Expect(0, 44031, '\p{^inmeeteimayek}', "");
Expect(0, 44031, '\P{inmeeteimayek}', "");
Expect(1, 44031, '\P{^inmeeteimayek}', "");
Expect(0, 44032, '\p{inmeeteimayek}', "");
Expect(1, 44032, '\p{^inmeeteimayek}', "");
Expect(1, 44032, '\P{inmeeteimayek}', "");
Expect(0, 44032, '\P{^inmeeteimayek}', "");
Expect(1, 44031, '\p{	-IN_MEETEI_mayek}', "");
Expect(0, 44031, '\p{^	-IN_MEETEI_mayek}', "");
Expect(0, 44031, '\P{	-IN_MEETEI_mayek}', "");
Expect(1, 44031, '\P{^	-IN_MEETEI_mayek}', "");
Expect(0, 44032, '\p{	-IN_MEETEI_mayek}', "");
Expect(1, 44032, '\p{^	-IN_MEETEI_mayek}', "");
Expect(1, 44032, '\P{	-IN_MEETEI_mayek}', "");
Expect(0, 44032, '\P{^	-IN_MEETEI_mayek}', "");
Error('\p{:=_IN_MEETEI_Mayek}');
Error('\P{:=_IN_MEETEI_Mayek}');
Expect(1, 44031, '\p{In_Meetei_MAYEK}', "");
Expect(0, 44031, '\p{^In_Meetei_MAYEK}', "");
Expect(0, 44031, '\P{In_Meetei_MAYEK}', "");
Expect(1, 44031, '\P{^In_Meetei_MAYEK}', "");
Expect(0, 44032, '\p{In_Meetei_MAYEK}', "");
Expect(1, 44032, '\p{^In_Meetei_MAYEK}', "");
Expect(1, 44032, '\P{In_Meetei_MAYEK}', "");
Expect(0, 44032, '\P{^In_Meetei_MAYEK}', "");
Error('\p{:=_-IN_mende_Kikakui}');
Error('\P{:=_-IN_mende_Kikakui}');
Expect(1, 125151, '\p{inmendekikakui}', "");
Expect(0, 125151, '\p{^inmendekikakui}', "");
Expect(0, 125151, '\P{inmendekikakui}', "");
Expect(1, 125151, '\P{^inmendekikakui}', "");
Expect(0, 125152, '\p{inmendekikakui}', "");
Expect(1, 125152, '\p{^inmendekikakui}', "");
Expect(1, 125152, '\P{inmendekikakui}', "");
Expect(0, 125152, '\P{^inmendekikakui}', "");
Expect(1, 125151, '\p{-In_mende_Kikakui}', "");
Expect(0, 125151, '\p{^-In_mende_Kikakui}', "");
Expect(0, 125151, '\P{-In_mende_Kikakui}', "");
Expect(1, 125151, '\P{^-In_mende_Kikakui}', "");
Expect(0, 125152, '\p{-In_mende_Kikakui}', "");
Expect(1, 125152, '\p{^-In_mende_Kikakui}', "");
Expect(1, 125152, '\P{-In_mende_Kikakui}', "");
Expect(0, 125152, '\P{^-In_mende_Kikakui}', "");
Error('\p{ in_Mende_Kikakui:=}');
Error('\P{ in_Mende_Kikakui:=}');
Expect(1, 125151, '\p{-	In_mende_Kikakui}', "");
Expect(0, 125151, '\p{^-	In_mende_Kikakui}', "");
Expect(0, 125151, '\P{-	In_mende_Kikakui}', "");
Expect(1, 125151, '\P{^-	In_mende_Kikakui}', "");
Expect(0, 125152, '\p{-	In_mende_Kikakui}', "");
Expect(1, 125152, '\p{^-	In_mende_Kikakui}', "");
Expect(1, 125152, '\P{-	In_mende_Kikakui}', "");
Expect(0, 125152, '\P{^-	In_mende_Kikakui}', "");
Error('\p{		IN_Meroitic_Cursive/a/}');
Error('\P{		IN_Meroitic_Cursive/a/}');
Expect(1, 68095, '\p{inmeroiticcursive}', "");
Expect(0, 68095, '\p{^inmeroiticcursive}', "");
Expect(0, 68095, '\P{inmeroiticcursive}', "");
Expect(1, 68095, '\P{^inmeroiticcursive}', "");
Expect(0, 68096, '\p{inmeroiticcursive}', "");
Expect(1, 68096, '\p{^inmeroiticcursive}', "");
Expect(1, 68096, '\P{inmeroiticcursive}', "");
Expect(0, 68096, '\P{^inmeroiticcursive}', "");
Expect(1, 68095, '\p{-	in_Meroitic_cursive}', "");
Expect(0, 68095, '\p{^-	in_Meroitic_cursive}', "");
Expect(0, 68095, '\P{-	in_Meroitic_cursive}', "");
Expect(1, 68095, '\P{^-	in_Meroitic_cursive}', "");
Expect(0, 68096, '\p{-	in_Meroitic_cursive}', "");
Expect(1, 68096, '\p{^-	in_Meroitic_cursive}', "");
Expect(1, 68096, '\P{-	in_Meroitic_cursive}', "");
Expect(0, 68096, '\P{^-	in_Meroitic_cursive}', "");
Error('\p{ in_MEROITIC_Cursive/a/}');
Error('\P{ in_MEROITIC_Cursive/a/}');
Expect(1, 68095, '\p{--IN_MEROITIC_CURSIVE}', "");
Expect(0, 68095, '\p{^--IN_MEROITIC_CURSIVE}', "");
Expect(0, 68095, '\P{--IN_MEROITIC_CURSIVE}', "");
Expect(1, 68095, '\P{^--IN_MEROITIC_CURSIVE}', "");
Expect(0, 68096, '\p{--IN_MEROITIC_CURSIVE}', "");
Expect(1, 68096, '\p{^--IN_MEROITIC_CURSIVE}', "");
Expect(1, 68096, '\P{--IN_MEROITIC_CURSIVE}', "");
Expect(0, 68096, '\P{^--IN_MEROITIC_CURSIVE}', "");
Error('\p{/a/ In_Meroitic_hieroglyphs}');
Error('\P{/a/ In_Meroitic_hieroglyphs}');
Expect(1, 67999, '\p{inmeroitichieroglyphs}', "");
Expect(0, 67999, '\p{^inmeroitichieroglyphs}', "");
Expect(0, 67999, '\P{inmeroitichieroglyphs}', "");
Expect(1, 67999, '\P{^inmeroitichieroglyphs}', "");
Expect(0, 68000, '\p{inmeroitichieroglyphs}', "");
Expect(1, 68000, '\p{^inmeroitichieroglyphs}', "");
Expect(1, 68000, '\P{inmeroitichieroglyphs}', "");
Expect(0, 68000, '\P{^inmeroitichieroglyphs}', "");
Expect(1, 67999, '\p{ _in_Meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\p{^ _in_Meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\P{ _in_Meroitic_Hieroglyphs}', "");
Expect(1, 67999, '\P{^ _in_Meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\p{ _in_Meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\p{^ _in_Meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\P{ _in_Meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\P{^ _in_Meroitic_Hieroglyphs}', "");
Error('\p{ :=In_Meroitic_HIEROGLYPHS}');
Error('\P{ :=In_Meroitic_HIEROGLYPHS}');
Expect(1, 67999, '\p{_ IN_Meroitic_hieroglyphs}', "");
Expect(0, 67999, '\p{^_ IN_Meroitic_hieroglyphs}', "");
Expect(0, 67999, '\P{_ IN_Meroitic_hieroglyphs}', "");
Expect(1, 67999, '\P{^_ IN_Meroitic_hieroglyphs}', "");
Expect(0, 68000, '\p{_ IN_Meroitic_hieroglyphs}', "");
Expect(1, 68000, '\p{^_ IN_Meroitic_hieroglyphs}', "");
Expect(1, 68000, '\P{_ IN_Meroitic_hieroglyphs}', "");
Expect(0, 68000, '\P{^_ IN_Meroitic_hieroglyphs}', "");
Error('\p{__In_Miao/a/}');
Error('\P{__In_Miao/a/}');
Expect(1, 94111, '\p{inmiao}', "");
Expect(0, 94111, '\p{^inmiao}', "");
Expect(0, 94111, '\P{inmiao}', "");
Expect(1, 94111, '\P{^inmiao}', "");
Expect(0, 94112, '\p{inmiao}', "");
Expect(1, 94112, '\p{^inmiao}', "");
Expect(1, 94112, '\P{inmiao}', "");
Expect(0, 94112, '\P{^inmiao}', "");
Expect(1, 94111, '\p{	IN_Miao}', "");
Expect(0, 94111, '\p{^	IN_Miao}', "");
Expect(0, 94111, '\P{	IN_Miao}', "");
Expect(1, 94111, '\P{^	IN_Miao}', "");
Expect(0, 94112, '\p{	IN_Miao}', "");
Expect(1, 94112, '\p{^	IN_Miao}', "");
Expect(1, 94112, '\P{	IN_Miao}', "");
Expect(0, 94112, '\P{^	IN_Miao}', "");
Error('\p{:=_-In_Miao}');
Error('\P{:=_-In_Miao}');
Expect(1, 94111, '\p{ in_MIAO}', "");
Expect(0, 94111, '\p{^ in_MIAO}', "");
Expect(0, 94111, '\P{ in_MIAO}', "");
Expect(1, 94111, '\P{^ in_MIAO}', "");
Expect(0, 94112, '\p{ in_MIAO}', "");
Expect(1, 94112, '\p{^ in_MIAO}', "");
Expect(1, 94112, '\P{ in_MIAO}', "");
Expect(0, 94112, '\P{^ in_MIAO}', "");
Error('\p{  in_Modi:=}');
Error('\P{  in_Modi:=}');
Expect(1, 71263, '\p{inmodi}', "");
Expect(0, 71263, '\p{^inmodi}', "");
Expect(0, 71263, '\P{inmodi}', "");
Expect(1, 71263, '\P{^inmodi}', "");
Expect(0, 71264, '\p{inmodi}', "");
Expect(1, 71264, '\p{^inmodi}', "");
Expect(1, 71264, '\P{inmodi}', "");
Expect(0, 71264, '\P{^inmodi}', "");
Expect(1, 71263, '\p{ 	In_MODI}', "");
Expect(0, 71263, '\p{^ 	In_MODI}', "");
Expect(0, 71263, '\P{ 	In_MODI}', "");
Expect(1, 71263, '\P{^ 	In_MODI}', "");
Expect(0, 71264, '\p{ 	In_MODI}', "");
Expect(1, 71264, '\p{^ 	In_MODI}', "");
Expect(1, 71264, '\P{ 	In_MODI}', "");
Expect(0, 71264, '\P{^ 	In_MODI}', "");
Error('\p{_/a/IN_Modi}');
Error('\P{_/a/IN_Modi}');
Expect(1, 71263, '\p{- IN_MODI}', "");
Expect(0, 71263, '\p{^- IN_MODI}', "");
Expect(0, 71263, '\P{- IN_MODI}', "");
Expect(1, 71263, '\P{^- IN_MODI}', "");
Expect(0, 71264, '\p{- IN_MODI}', "");
Expect(1, 71264, '\p{^- IN_MODI}', "");
Expect(1, 71264, '\P{- IN_MODI}', "");
Expect(0, 71264, '\P{^- IN_MODI}', "");
Error('\p{/a/-_in_MONGOLIAN}');
Error('\P{/a/-_in_MONGOLIAN}');
Expect(1, 6319, '\p{inmongolian}', "");
Expect(0, 6319, '\p{^inmongolian}', "");
Expect(0, 6319, '\P{inmongolian}', "");
Expect(1, 6319, '\P{^inmongolian}', "");
Expect(0, 6320, '\p{inmongolian}', "");
Expect(1, 6320, '\p{^inmongolian}', "");
Expect(1, 6320, '\P{inmongolian}', "");
Expect(0, 6320, '\P{^inmongolian}', "");
Expect(1, 6319, '\p{_in_MONGOLIAN}', "");
Expect(0, 6319, '\p{^_in_MONGOLIAN}', "");
Expect(0, 6319, '\P{_in_MONGOLIAN}', "");
Expect(1, 6319, '\P{^_in_MONGOLIAN}', "");
Expect(0, 6320, '\p{_in_MONGOLIAN}', "");
Expect(1, 6320, '\p{^_in_MONGOLIAN}', "");
Expect(1, 6320, '\P{_in_MONGOLIAN}', "");
Expect(0, 6320, '\P{^_in_MONGOLIAN}', "");
Error('\p{_-In_Mongolian:=}');
Error('\P{_-In_Mongolian:=}');
Expect(1, 6319, '\p{_-in_MONGOLIAN}', "");
Expect(0, 6319, '\p{^_-in_MONGOLIAN}', "");
Expect(0, 6319, '\P{_-in_MONGOLIAN}', "");
Expect(1, 6319, '\P{^_-in_MONGOLIAN}', "");
Expect(0, 6320, '\p{_-in_MONGOLIAN}', "");
Expect(1, 6320, '\p{^_-in_MONGOLIAN}', "");
Expect(1, 6320, '\P{_-in_MONGOLIAN}', "");
Expect(0, 6320, '\P{^_-in_MONGOLIAN}', "");
Error('\p{-_In_Mro/a/}');
Error('\P{-_In_Mro/a/}');
Expect(1, 92783, '\p{inmro}', "");
Expect(0, 92783, '\p{^inmro}', "");
Expect(0, 92783, '\P{inmro}', "");
Expect(1, 92783, '\P{^inmro}', "");
Expect(0, 92784, '\p{inmro}', "");
Expect(1, 92784, '\p{^inmro}', "");
Expect(1, 92784, '\P{inmro}', "");
Expect(0, 92784, '\P{^inmro}', "");
Expect(1, 92783, '\p{-_In_Mro}', "");
Expect(0, 92783, '\p{^-_In_Mro}', "");
Expect(0, 92783, '\P{-_In_Mro}', "");
Expect(1, 92783, '\P{^-_In_Mro}', "");
Expect(0, 92784, '\p{-_In_Mro}', "");
Expect(1, 92784, '\p{^-_In_Mro}', "");
Expect(1, 92784, '\P{-_In_Mro}', "");
Expect(0, 92784, '\P{^-_In_Mro}', "");
Error('\p{:=_ IN_Mro}');
Error('\P{:=_ IN_Mro}');
Expect(1, 92783, '\p{__IN_MRO}', "");
Expect(0, 92783, '\p{^__IN_MRO}', "");
Expect(0, 92783, '\P{__IN_MRO}', "");
Expect(1, 92783, '\P{^__IN_MRO}', "");
Expect(0, 92784, '\p{__IN_MRO}', "");
Expect(1, 92784, '\p{^__IN_MRO}', "");
Expect(1, 92784, '\P{__IN_MRO}', "");
Expect(0, 92784, '\P{^__IN_MRO}', "");
Error('\p{--in_Myanmar:=}');
Error('\P{--in_Myanmar:=}');
Expect(1, 4255, '\p{inmyanmar}', "");
Expect(0, 4255, '\p{^inmyanmar}', "");
Expect(0, 4255, '\P{inmyanmar}', "");
Expect(1, 4255, '\P{^inmyanmar}', "");
Expect(0, 4256, '\p{inmyanmar}', "");
Expect(1, 4256, '\p{^inmyanmar}', "");
Expect(1, 4256, '\P{inmyanmar}', "");
Expect(0, 4256, '\P{^inmyanmar}', "");
Expect(1, 4255, '\p{_	in_Myanmar}', "");
Expect(0, 4255, '\p{^_	in_Myanmar}', "");
Expect(0, 4255, '\P{_	in_Myanmar}', "");
Expect(1, 4255, '\P{^_	in_Myanmar}', "");
Expect(0, 4256, '\p{_	in_Myanmar}', "");
Expect(1, 4256, '\p{^_	in_Myanmar}', "");
Expect(1, 4256, '\P{_	in_Myanmar}', "");
Expect(0, 4256, '\P{^_	in_Myanmar}', "");
Error('\p{_IN_Myanmar:=}');
Error('\P{_IN_Myanmar:=}');
Expect(1, 4255, '\p{ 	In_myanmar}', "");
Expect(0, 4255, '\p{^ 	In_myanmar}', "");
Expect(0, 4255, '\P{ 	In_myanmar}', "");
Expect(1, 4255, '\P{^ 	In_myanmar}', "");
Expect(0, 4256, '\p{ 	In_myanmar}', "");
Expect(1, 4256, '\p{^ 	In_myanmar}', "");
Expect(1, 4256, '\P{ 	In_myanmar}', "");
Expect(0, 4256, '\P{^ 	In_myanmar}', "");
Error('\p{:= in_nko}');
Error('\P{:= in_nko}');
Expect(1, 2047, '\p{innko}', "");
Expect(0, 2047, '\p{^innko}', "");
Expect(0, 2047, '\P{innko}', "");
Expect(1, 2047, '\P{^innko}', "");
Expect(0, 2048, '\p{innko}', "");
Expect(1, 2048, '\p{^innko}', "");
Expect(1, 2048, '\P{innko}', "");
Expect(0, 2048, '\P{^innko}', "");
Expect(1, 2047, '\p{_In_nko}', "");
Expect(0, 2047, '\p{^_In_nko}', "");
Expect(0, 2047, '\P{_In_nko}', "");
Expect(1, 2047, '\P{^_In_nko}', "");
Expect(0, 2048, '\p{_In_nko}', "");
Expect(1, 2048, '\p{^_In_nko}', "");
Expect(1, 2048, '\P{_In_nko}', "");
Expect(0, 2048, '\P{^_In_nko}', "");
Error('\p{_/a/In_nko}');
Error('\P{_/a/In_nko}');
Expect(1, 2047, '\p{		In_NKo}', "");
Expect(0, 2047, '\p{^		In_NKo}', "");
Expect(0, 2047, '\P{		In_NKo}', "");
Expect(1, 2047, '\P{^		In_NKo}', "");
Expect(0, 2048, '\p{		In_NKo}', "");
Expect(1, 2048, '\p{^		In_NKo}', "");
Expect(1, 2048, '\P{		In_NKo}', "");
Expect(0, 2048, '\P{^		In_NKo}', "");
Error('\p{_:=In_Nabataean}');
Error('\P{_:=In_Nabataean}');
Expect(1, 67759, '\p{innabataean}', "");
Expect(0, 67759, '\p{^innabataean}', "");
Expect(0, 67759, '\P{innabataean}', "");
Expect(1, 67759, '\P{^innabataean}', "");
Expect(0, 67760, '\p{innabataean}', "");
Expect(1, 67760, '\p{^innabataean}', "");
Expect(1, 67760, '\P{innabataean}', "");
Expect(0, 67760, '\P{^innabataean}', "");
Expect(1, 67759, '\p{	in_Nabataean}', "");
Expect(0, 67759, '\p{^	in_Nabataean}', "");
Expect(0, 67759, '\P{	in_Nabataean}', "");
Expect(1, 67759, '\P{^	in_Nabataean}', "");
Expect(0, 67760, '\p{	in_Nabataean}', "");
Expect(1, 67760, '\p{^	in_Nabataean}', "");
Expect(1, 67760, '\P{	in_Nabataean}', "");
Expect(0, 67760, '\P{^	in_Nabataean}', "");
Error('\p{_ In_NABATAEAN:=}');
Error('\P{_ In_NABATAEAN:=}');
Expect(1, 67759, '\p{-_in_NABATAEAN}', "");
Expect(0, 67759, '\p{^-_in_NABATAEAN}', "");
Expect(0, 67759, '\P{-_in_NABATAEAN}', "");
Expect(1, 67759, '\P{^-_in_NABATAEAN}', "");
Expect(0, 67760, '\p{-_in_NABATAEAN}', "");
Expect(1, 67760, '\p{^-_in_NABATAEAN}', "");
Expect(1, 67760, '\P{-_in_NABATAEAN}', "");
Expect(0, 67760, '\P{^-_in_NABATAEAN}', "");
Error('\p{/a/-	In_New_tai_LUE}');
Error('\P{/a/-	In_New_tai_LUE}');
Expect(1, 6623, '\p{innewtailue}', "");
Expect(0, 6623, '\p{^innewtailue}', "");
Expect(0, 6623, '\P{innewtailue}', "");
Expect(1, 6623, '\P{^innewtailue}', "");
Expect(0, 6624, '\p{innewtailue}', "");
Expect(1, 6624, '\p{^innewtailue}', "");
Expect(1, 6624, '\P{innewtailue}', "");
Expect(0, 6624, '\P{^innewtailue}', "");
Expect(1, 6623, '\p{	In_new_TAI_LUE}', "");
Expect(0, 6623, '\p{^	In_new_TAI_LUE}', "");
Expect(0, 6623, '\P{	In_new_TAI_LUE}', "");
Expect(1, 6623, '\P{^	In_new_TAI_LUE}', "");
Expect(0, 6624, '\p{	In_new_TAI_LUE}', "");
Expect(1, 6624, '\p{^	In_new_TAI_LUE}', "");
Expect(1, 6624, '\P{	In_new_TAI_LUE}', "");
Expect(0, 6624, '\P{^	In_new_TAI_LUE}', "");
Error('\p{IN_New_tai_lue/a/}');
Error('\P{IN_New_tai_lue/a/}');
Expect(1, 6623, '\p{_in_New_Tai_LUE}', "");
Expect(0, 6623, '\p{^_in_New_Tai_LUE}', "");
Expect(0, 6623, '\P{_in_New_Tai_LUE}', "");
Expect(1, 6623, '\P{^_in_New_Tai_LUE}', "");
Expect(0, 6624, '\p{_in_New_Tai_LUE}', "");
Expect(1, 6624, '\p{^_in_New_Tai_LUE}', "");
Expect(1, 6624, '\P{_in_New_Tai_LUE}', "");
Expect(0, 6624, '\P{^_in_New_Tai_LUE}', "");
Error('\p{	 IN_OGHAM:=}');
Error('\P{	 IN_OGHAM:=}');
Expect(1, 5791, '\p{inogham}', "");
Expect(0, 5791, '\p{^inogham}', "");
Expect(0, 5791, '\P{inogham}', "");
Expect(1, 5791, '\P{^inogham}', "");
Expect(0, 5792, '\p{inogham}', "");
Expect(1, 5792, '\p{^inogham}', "");
Expect(1, 5792, '\P{inogham}', "");
Expect(0, 5792, '\P{^inogham}', "");
Expect(1, 5791, '\p{-	IN_Ogham}', "");
Expect(0, 5791, '\p{^-	IN_Ogham}', "");
Expect(0, 5791, '\P{-	IN_Ogham}', "");
Expect(1, 5791, '\P{^-	IN_Ogham}', "");
Expect(0, 5792, '\p{-	IN_Ogham}', "");
Expect(1, 5792, '\p{^-	IN_Ogham}', "");
Expect(1, 5792, '\P{-	IN_Ogham}', "");
Expect(0, 5792, '\P{^-	IN_Ogham}', "");
Error('\p{-IN_ogham:=}');
Error('\P{-IN_ogham:=}');
Expect(1, 5791, '\p{-_in_ogham}', "");
Expect(0, 5791, '\p{^-_in_ogham}', "");
Expect(0, 5791, '\P{-_in_ogham}', "");
Expect(1, 5791, '\P{^-_in_ogham}', "");
Expect(0, 5792, '\p{-_in_ogham}', "");
Expect(1, 5792, '\p{^-_in_ogham}', "");
Expect(1, 5792, '\P{-_in_ogham}', "");
Expect(0, 5792, '\P{^-_in_ogham}', "");
Error('\p{:=-In_OL_chiki}');
Error('\P{:=-In_OL_chiki}');
Expect(1, 7295, '\p{inolchiki}', "");
Expect(0, 7295, '\p{^inolchiki}', "");
Expect(0, 7295, '\P{inolchiki}', "");
Expect(1, 7295, '\P{^inolchiki}', "");
Expect(0, 7296, '\p{inolchiki}', "");
Expect(1, 7296, '\p{^inolchiki}', "");
Expect(1, 7296, '\P{inolchiki}', "");
Expect(0, 7296, '\P{^inolchiki}', "");
Expect(1, 7295, '\p{  In_Ol_CHIKI}', "");
Expect(0, 7295, '\p{^  In_Ol_CHIKI}', "");
Expect(0, 7295, '\P{  In_Ol_CHIKI}', "");
Expect(1, 7295, '\P{^  In_Ol_CHIKI}', "");
Expect(0, 7296, '\p{  In_Ol_CHIKI}', "");
Expect(1, 7296, '\p{^  In_Ol_CHIKI}', "");
Expect(1, 7296, '\P{  In_Ol_CHIKI}', "");
Expect(0, 7296, '\P{^  In_Ol_CHIKI}', "");
Error('\p{ _In_OL_Chiki/a/}');
Error('\P{ _In_OL_Chiki/a/}');
Expect(1, 7295, '\p{_-in_Ol_chiki}', "");
Expect(0, 7295, '\p{^_-in_Ol_chiki}', "");
Expect(0, 7295, '\P{_-in_Ol_chiki}', "");
Expect(1, 7295, '\P{^_-in_Ol_chiki}', "");
Expect(0, 7296, '\p{_-in_Ol_chiki}', "");
Expect(1, 7296, '\p{^_-in_Ol_chiki}', "");
Expect(1, 7296, '\P{_-in_Ol_chiki}', "");
Expect(0, 7296, '\P{^_-in_Ol_chiki}', "");
Error('\p{--in_OLD_Italic/a/}');
Error('\P{--in_OLD_Italic/a/}');
Expect(1, 66351, '\p{inolditalic}', "");
Expect(0, 66351, '\p{^inolditalic}', "");
Expect(0, 66351, '\P{inolditalic}', "");
Expect(1, 66351, '\P{^inolditalic}', "");
Expect(0, 66352, '\p{inolditalic}', "");
Expect(1, 66352, '\p{^inolditalic}', "");
Expect(1, 66352, '\P{inolditalic}', "");
Expect(0, 66352, '\P{^inolditalic}', "");
Expect(1, 66351, '\p{IN_Old_Italic}', "");
Expect(0, 66351, '\p{^IN_Old_Italic}', "");
Expect(0, 66351, '\P{IN_Old_Italic}', "");
Expect(1, 66351, '\P{^IN_Old_Italic}', "");
Expect(0, 66352, '\p{IN_Old_Italic}', "");
Expect(1, 66352, '\p{^IN_Old_Italic}', "");
Expect(1, 66352, '\P{IN_Old_Italic}', "");
Expect(0, 66352, '\P{^IN_Old_Italic}', "");
Error('\p{_/a/in_Old_italic}');
Error('\P{_/a/in_Old_italic}');
Expect(1, 66351, '\p{ _in_Old_Italic}', "");
Expect(0, 66351, '\p{^ _in_Old_Italic}', "");
Expect(0, 66351, '\P{ _in_Old_Italic}', "");
Expect(1, 66351, '\P{^ _in_Old_Italic}', "");
Expect(0, 66352, '\p{ _in_Old_Italic}', "");
Expect(1, 66352, '\p{^ _in_Old_Italic}', "");
Expect(1, 66352, '\P{ _in_Old_Italic}', "");
Expect(0, 66352, '\P{^ _in_Old_Italic}', "");
Error('\p{ :=In_Old_North_ARABIAN}');
Error('\P{ :=In_Old_North_ARABIAN}');
Expect(1, 68255, '\p{inoldnortharabian}', "");
Expect(0, 68255, '\p{^inoldnortharabian}', "");
Expect(0, 68255, '\P{inoldnortharabian}', "");
Expect(1, 68255, '\P{^inoldnortharabian}', "");
Expect(0, 68256, '\p{inoldnortharabian}', "");
Expect(1, 68256, '\p{^inoldnortharabian}', "");
Expect(1, 68256, '\P{inoldnortharabian}', "");
Expect(0, 68256, '\P{^inoldnortharabian}', "");
Expect(1, 68255, '\p{	In_old_North_Arabian}', "");
Expect(0, 68255, '\p{^	In_old_North_Arabian}', "");
Expect(0, 68255, '\P{	In_old_North_Arabian}', "");
Expect(1, 68255, '\P{^	In_old_North_Arabian}', "");
Expect(0, 68256, '\p{	In_old_North_Arabian}', "");
Expect(1, 68256, '\p{^	In_old_North_Arabian}', "");
Expect(1, 68256, '\P{	In_old_North_Arabian}', "");
Expect(0, 68256, '\P{^	In_old_North_Arabian}', "");
Error('\p{_ in_Old_north_arabian/a/}');
Error('\P{_ in_Old_north_arabian/a/}');
Expect(1, 68255, '\p{--In_old_north_Arabian}', "");
Expect(0, 68255, '\p{^--In_old_north_Arabian}', "");
Expect(0, 68255, '\P{--In_old_north_Arabian}', "");
Expect(1, 68255, '\P{^--In_old_north_Arabian}', "");
Expect(0, 68256, '\p{--In_old_north_Arabian}', "");
Expect(1, 68256, '\p{^--In_old_north_Arabian}', "");
Expect(1, 68256, '\P{--In_old_north_Arabian}', "");
Expect(0, 68256, '\P{^--In_old_north_Arabian}', "");
Error('\p{:=_in_OLD_Permic}');
Error('\P{:=_in_OLD_Permic}');
Expect(1, 66431, '\p{inoldpermic}', "");
Expect(0, 66431, '\p{^inoldpermic}', "");
Expect(0, 66431, '\P{inoldpermic}', "");
Expect(1, 66431, '\P{^inoldpermic}', "");
Expect(0, 66432, '\p{inoldpermic}', "");
Expect(1, 66432, '\p{^inoldpermic}', "");
Expect(1, 66432, '\P{inoldpermic}', "");
Expect(0, 66432, '\P{^inoldpermic}', "");
Expect(1, 66431, '\p{	-in_OLD_Permic}', "");
Expect(0, 66431, '\p{^	-in_OLD_Permic}', "");
Expect(0, 66431, '\P{	-in_OLD_Permic}', "");
Expect(1, 66431, '\P{^	-in_OLD_Permic}', "");
Expect(0, 66432, '\p{	-in_OLD_Permic}', "");
Expect(1, 66432, '\p{^	-in_OLD_Permic}', "");
Expect(1, 66432, '\P{	-in_OLD_Permic}', "");
Expect(0, 66432, '\P{^	-in_OLD_Permic}', "");
Error('\p{-	in_old_permic:=}');
Error('\P{-	in_old_permic:=}');
Expect(1, 66431, '\p{in_Old_Permic}', "");
Expect(0, 66431, '\p{^in_Old_Permic}', "");
Expect(0, 66431, '\P{in_Old_Permic}', "");
Expect(1, 66431, '\P{^in_Old_Permic}', "");
Expect(0, 66432, '\p{in_Old_Permic}', "");
Expect(1, 66432, '\p{^in_Old_Permic}', "");
Expect(1, 66432, '\P{in_Old_Permic}', "");
Expect(0, 66432, '\P{^in_Old_Permic}', "");
Error('\p{/a/	-in_Old_Persian}');
Error('\P{/a/	-in_Old_Persian}');
Expect(1, 66527, '\p{inoldpersian}', "");
Expect(0, 66527, '\p{^inoldpersian}', "");
Expect(0, 66527, '\P{inoldpersian}', "");
Expect(1, 66527, '\P{^inoldpersian}', "");
Expect(0, 66528, '\p{inoldpersian}', "");
Expect(1, 66528, '\p{^inoldpersian}', "");
Expect(1, 66528, '\P{inoldpersian}', "");
Expect(0, 66528, '\P{^inoldpersian}', "");
Expect(1, 66527, '\p{ -in_old_Persian}', "");
Expect(0, 66527, '\p{^ -in_old_Persian}', "");
Expect(0, 66527, '\P{ -in_old_Persian}', "");
Expect(1, 66527, '\P{^ -in_old_Persian}', "");
Expect(0, 66528, '\p{ -in_old_Persian}', "");
Expect(1, 66528, '\p{^ -in_old_Persian}', "");
Expect(1, 66528, '\P{ -in_old_Persian}', "");
Expect(0, 66528, '\P{^ -in_old_Persian}', "");
Error('\p{/a/-In_OLD_persian}');
Error('\P{/a/-In_OLD_persian}');
Expect(1, 66527, '\p{__in_old_Persian}', "");
Expect(0, 66527, '\p{^__in_old_Persian}', "");
Expect(0, 66527, '\P{__in_old_Persian}', "");
Expect(1, 66527, '\P{^__in_old_Persian}', "");
Expect(0, 66528, '\p{__in_old_Persian}', "");
Expect(1, 66528, '\p{^__in_old_Persian}', "");
Expect(1, 66528, '\P{__in_old_Persian}', "");
Expect(0, 66528, '\P{^__in_old_Persian}', "");
Error('\p{:=  IN_Old_south_Arabian}');
Error('\P{:=  IN_Old_south_Arabian}');
Expect(1, 68223, '\p{inoldsoutharabian}', "");
Expect(0, 68223, '\p{^inoldsoutharabian}', "");
Expect(0, 68223, '\P{inoldsoutharabian}', "");
Expect(1, 68223, '\P{^inoldsoutharabian}', "");
Expect(0, 68224, '\p{inoldsoutharabian}', "");
Expect(1, 68224, '\p{^inoldsoutharabian}', "");
Expect(1, 68224, '\P{inoldsoutharabian}', "");
Expect(0, 68224, '\P{^inoldsoutharabian}', "");
Expect(1, 68223, '\p{_	in_old_South_Arabian}', "");
Expect(0, 68223, '\p{^_	in_old_South_Arabian}', "");
Expect(0, 68223, '\P{_	in_old_South_Arabian}', "");
Expect(1, 68223, '\P{^_	in_old_South_Arabian}', "");
Expect(0, 68224, '\p{_	in_old_South_Arabian}', "");
Expect(1, 68224, '\p{^_	in_old_South_Arabian}', "");
Expect(1, 68224, '\P{_	in_old_South_Arabian}', "");
Expect(0, 68224, '\P{^_	in_old_South_Arabian}', "");
Error('\p{ 	IN_OLD_South_arabian/a/}');
Error('\P{ 	IN_OLD_South_arabian/a/}');
Expect(1, 68223, '\p{-in_Old_South_Arabian}', "");
Expect(0, 68223, '\p{^-in_Old_South_Arabian}', "");
Expect(0, 68223, '\P{-in_Old_South_Arabian}', "");
Expect(1, 68223, '\P{^-in_Old_South_Arabian}', "");
Expect(0, 68224, '\p{-in_Old_South_Arabian}', "");
Expect(1, 68224, '\p{^-in_Old_South_Arabian}', "");
Expect(1, 68224, '\P{-in_Old_South_Arabian}', "");
Expect(0, 68224, '\P{^-in_Old_South_Arabian}', "");
Error('\p{:= -In_old_Turkic}');
Error('\P{:= -In_old_Turkic}');
Expect(1, 68687, '\p{inoldturkic}', "");
Expect(0, 68687, '\p{^inoldturkic}', "");
Expect(0, 68687, '\P{inoldturkic}', "");
Expect(1, 68687, '\P{^inoldturkic}', "");
Expect(0, 68688, '\p{inoldturkic}', "");
Expect(1, 68688, '\p{^inoldturkic}', "");
Expect(1, 68688, '\P{inoldturkic}', "");
Expect(0, 68688, '\P{^inoldturkic}', "");
Expect(1, 68687, '\p{-In_old_Turkic}', "");
Expect(0, 68687, '\p{^-In_old_Turkic}', "");
Expect(0, 68687, '\P{-In_old_Turkic}', "");
Expect(1, 68687, '\P{^-In_old_Turkic}', "");
Expect(0, 68688, '\p{-In_old_Turkic}', "");
Expect(1, 68688, '\p{^-In_old_Turkic}', "");
Expect(1, 68688, '\P{-In_old_Turkic}', "");
Expect(0, 68688, '\P{^-In_old_Turkic}', "");
Error('\p{	:=In_OLD_Turkic}');
Error('\P{	:=In_OLD_Turkic}');
Expect(1, 68687, '\p{_-IN_Old_TURKIC}', "");
Expect(0, 68687, '\p{^_-IN_Old_TURKIC}', "");
Expect(0, 68687, '\P{_-IN_Old_TURKIC}', "");
Expect(1, 68687, '\P{^_-IN_Old_TURKIC}', "");
Expect(0, 68688, '\p{_-IN_Old_TURKIC}', "");
Expect(1, 68688, '\p{^_-IN_Old_TURKIC}', "");
Expect(1, 68688, '\P{_-IN_Old_TURKIC}', "");
Expect(0, 68688, '\P{^_-IN_Old_TURKIC}', "");
Error('\p{ -IN_oriya/a/}');
Error('\P{ -IN_oriya/a/}');
Expect(1, 2943, '\p{inoriya}', "");
Expect(0, 2943, '\p{^inoriya}', "");
Expect(0, 2943, '\P{inoriya}', "");
Expect(1, 2943, '\P{^inoriya}', "");
Expect(0, 2944, '\p{inoriya}', "");
Expect(1, 2944, '\p{^inoriya}', "");
Expect(1, 2944, '\P{inoriya}', "");
Expect(0, 2944, '\P{^inoriya}', "");
Expect(1, 2943, '\p{_In_Oriya}', "");
Expect(0, 2943, '\p{^_In_Oriya}', "");
Expect(0, 2943, '\P{_In_Oriya}', "");
Expect(1, 2943, '\P{^_In_Oriya}', "");
Expect(0, 2944, '\p{_In_Oriya}', "");
Expect(1, 2944, '\p{^_In_Oriya}', "");
Expect(1, 2944, '\P{_In_Oriya}', "");
Expect(0, 2944, '\P{^_In_Oriya}', "");
Error('\p{		In_ORIYA/a/}');
Error('\P{		In_ORIYA/a/}');
Expect(1, 2943, '\p{	_In_Oriya}', "");
Expect(0, 2943, '\p{^	_In_Oriya}', "");
Expect(0, 2943, '\P{	_In_Oriya}', "");
Expect(1, 2943, '\P{^	_In_Oriya}', "");
Expect(0, 2944, '\p{	_In_Oriya}', "");
Expect(1, 2944, '\p{^	_In_Oriya}', "");
Expect(1, 2944, '\P{	_In_Oriya}', "");
Expect(0, 2944, '\P{^	_In_Oriya}', "");
Error('\p{	:=In_osmanya}');
Error('\P{	:=In_osmanya}');
Expect(1, 66735, '\p{inosmanya}', "");
Expect(0, 66735, '\p{^inosmanya}', "");
Expect(0, 66735, '\P{inosmanya}', "");
Expect(1, 66735, '\P{^inosmanya}', "");
Expect(0, 66736, '\p{inosmanya}', "");
Expect(1, 66736, '\p{^inosmanya}', "");
Expect(1, 66736, '\P{inosmanya}', "");
Expect(0, 66736, '\P{^inosmanya}', "");
Expect(1, 66735, '\p{ _In_OSMANYA}', "");
Expect(0, 66735, '\p{^ _In_OSMANYA}', "");
Expect(0, 66735, '\P{ _In_OSMANYA}', "");
Expect(1, 66735, '\P{^ _In_OSMANYA}', "");
Expect(0, 66736, '\p{ _In_OSMANYA}', "");
Expect(1, 66736, '\p{^ _In_OSMANYA}', "");
Expect(1, 66736, '\P{ _In_OSMANYA}', "");
Expect(0, 66736, '\P{^ _In_OSMANYA}', "");
Error('\p{ /a/In_Osmanya}');
Error('\P{ /a/In_Osmanya}');
Expect(1, 66735, '\p{	-In_osmanya}', "");
Expect(0, 66735, '\p{^	-In_osmanya}', "");
Expect(0, 66735, '\P{	-In_osmanya}', "");
Expect(1, 66735, '\P{^	-In_osmanya}', "");
Expect(0, 66736, '\p{	-In_osmanya}', "");
Expect(1, 66736, '\p{^	-In_osmanya}', "");
Expect(1, 66736, '\P{	-In_osmanya}', "");
Expect(0, 66736, '\P{^	-In_osmanya}', "");
Error('\p{	/a/In_pahawh_Hmong}');
Error('\P{	/a/In_pahawh_Hmong}');
Expect(1, 93071, '\p{inpahawhhmong}', "");
Expect(0, 93071, '\p{^inpahawhhmong}', "");
Expect(0, 93071, '\P{inpahawhhmong}', "");
Expect(1, 93071, '\P{^inpahawhhmong}', "");
Expect(0, 93072, '\p{inpahawhhmong}', "");
Expect(1, 93072, '\p{^inpahawhhmong}', "");
Expect(1, 93072, '\P{inpahawhhmong}', "");
Expect(0, 93072, '\P{^inpahawhhmong}', "");
Expect(1, 93071, '\p{	IN_pahawh_Hmong}', "");
Expect(0, 93071, '\p{^	IN_pahawh_Hmong}', "");
Expect(0, 93071, '\P{	IN_pahawh_Hmong}', "");
Expect(1, 93071, '\P{^	IN_pahawh_Hmong}', "");
Expect(0, 93072, '\p{	IN_pahawh_Hmong}', "");
Expect(1, 93072, '\p{^	IN_pahawh_Hmong}', "");
Expect(1, 93072, '\P{	IN_pahawh_Hmong}', "");
Expect(0, 93072, '\P{^	IN_pahawh_Hmong}', "");
Error('\p{	In_Pahawh_Hmong/a/}');
Error('\P{	In_Pahawh_Hmong/a/}');
Expect(1, 93071, '\p{	In_Pahawh_Hmong}', "");
Expect(0, 93071, '\p{^	In_Pahawh_Hmong}', "");
Expect(0, 93071, '\P{	In_Pahawh_Hmong}', "");
Expect(1, 93071, '\P{^	In_Pahawh_Hmong}', "");
Expect(0, 93072, '\p{	In_Pahawh_Hmong}', "");
Expect(1, 93072, '\p{^	In_Pahawh_Hmong}', "");
Expect(1, 93072, '\P{	In_Pahawh_Hmong}', "");
Expect(0, 93072, '\P{^	In_Pahawh_Hmong}', "");
Error('\p{:=--In_palmyrene}');
Error('\P{:=--In_palmyrene}');
Expect(1, 67711, '\p{inpalmyrene}', "");
Expect(0, 67711, '\p{^inpalmyrene}', "");
Expect(0, 67711, '\P{inpalmyrene}', "");
Expect(1, 67711, '\P{^inpalmyrene}', "");
Expect(0, 67712, '\p{inpalmyrene}', "");
Expect(1, 67712, '\p{^inpalmyrene}', "");
Expect(1, 67712, '\P{inpalmyrene}', "");
Expect(0, 67712, '\P{^inpalmyrene}', "");
Expect(1, 67711, '\p{ _In_palmyrene}', "");
Expect(0, 67711, '\p{^ _In_palmyrene}', "");
Expect(0, 67711, '\P{ _In_palmyrene}', "");
Expect(1, 67711, '\P{^ _In_palmyrene}', "");
Expect(0, 67712, '\p{ _In_palmyrene}', "");
Expect(1, 67712, '\p{^ _In_palmyrene}', "");
Expect(1, 67712, '\P{ _In_palmyrene}', "");
Expect(0, 67712, '\P{^ _In_palmyrene}', "");
Error('\p{-_in_Palmyrene/a/}');
Error('\P{-_in_Palmyrene/a/}');
Expect(1, 67711, '\p{	In_palmyrene}', "");
Expect(0, 67711, '\p{^	In_palmyrene}', "");
Expect(0, 67711, '\P{	In_palmyrene}', "");
Expect(1, 67711, '\P{^	In_palmyrene}', "");
Expect(0, 67712, '\p{	In_palmyrene}', "");
Expect(1, 67712, '\p{^	In_palmyrene}', "");
Expect(1, 67712, '\P{	In_palmyrene}', "");
Expect(0, 67712, '\P{^	In_palmyrene}', "");
Error('\p{-/a/in_Pau_Cin_Hau}');
Error('\P{-/a/in_Pau_Cin_Hau}');
Expect(1, 72447, '\p{inpaucinhau}', "");
Expect(0, 72447, '\p{^inpaucinhau}', "");
Expect(0, 72447, '\P{inpaucinhau}', "");
Expect(1, 72447, '\P{^inpaucinhau}', "");
Expect(0, 72448, '\p{inpaucinhau}', "");
Expect(1, 72448, '\p{^inpaucinhau}', "");
Expect(1, 72448, '\P{inpaucinhau}', "");
Expect(0, 72448, '\P{^inpaucinhau}', "");
Expect(1, 72447, '\p{-In_pau_Cin_HAU}', "");
Expect(0, 72447, '\p{^-In_pau_Cin_HAU}', "");
Expect(0, 72447, '\P{-In_pau_Cin_HAU}', "");
Expect(1, 72447, '\P{^-In_pau_Cin_HAU}', "");
Expect(0, 72448, '\p{-In_pau_Cin_HAU}', "");
Expect(1, 72448, '\p{^-In_pau_Cin_HAU}', "");
Expect(1, 72448, '\P{-In_pau_Cin_HAU}', "");
Expect(0, 72448, '\P{^-In_pau_Cin_HAU}', "");
Error('\p{/a/-_in_Pau_Cin_Hau}');
Error('\P{/a/-_in_Pau_Cin_Hau}');
Expect(1, 72447, '\p{_IN_Pau_CIN_hau}', "");
Expect(0, 72447, '\p{^_IN_Pau_CIN_hau}', "");
Expect(0, 72447, '\P{_IN_Pau_CIN_hau}', "");
Expect(1, 72447, '\P{^_IN_Pau_CIN_hau}', "");
Expect(0, 72448, '\p{_IN_Pau_CIN_hau}', "");
Expect(1, 72448, '\p{^_IN_Pau_CIN_hau}', "");
Expect(1, 72448, '\P{_IN_Pau_CIN_hau}', "");
Expect(0, 72448, '\P{^_IN_Pau_CIN_hau}', "");
Error('\p{:=IN_Phags_pa}');
Error('\P{:=IN_Phags_pa}');
Expect(1, 43135, '\p{inphagspa}', "");
Expect(0, 43135, '\p{^inphagspa}', "");
Expect(0, 43135, '\P{inphagspa}', "");
Expect(1, 43135, '\P{^inphagspa}', "");
Expect(0, 43136, '\p{inphagspa}', "");
Expect(1, 43136, '\p{^inphagspa}', "");
Expect(1, 43136, '\P{inphagspa}', "");
Expect(0, 43136, '\P{^inphagspa}', "");
Expect(1, 43135, '\p{-in_phags_Pa}', "");
Expect(0, 43135, '\p{^-in_phags_Pa}', "");
Expect(0, 43135, '\P{-in_phags_Pa}', "");
Expect(1, 43135, '\P{^-in_phags_Pa}', "");
Expect(0, 43136, '\p{-in_phags_Pa}', "");
Expect(1, 43136, '\p{^-in_phags_Pa}', "");
Expect(1, 43136, '\P{-in_phags_Pa}', "");
Expect(0, 43136, '\P{^-in_phags_Pa}', "");
Error('\p{-:=IN_Phags_Pa}');
Error('\P{-:=IN_Phags_Pa}');
Expect(1, 43135, '\p{		IN_Phags_Pa}', "");
Expect(0, 43135, '\p{^		IN_Phags_Pa}', "");
Expect(0, 43135, '\P{		IN_Phags_Pa}', "");
Expect(1, 43135, '\P{^		IN_Phags_Pa}', "");
Expect(0, 43136, '\p{		IN_Phags_Pa}', "");
Expect(1, 43136, '\p{^		IN_Phags_Pa}', "");
Expect(1, 43136, '\P{		IN_Phags_Pa}', "");
Expect(0, 43136, '\P{^		IN_Phags_Pa}', "");
Error('\p{/a/-In_Phoenician}');
Error('\P{/a/-In_Phoenician}');
Expect(1, 67871, '\p{inphoenician}', "");
Expect(0, 67871, '\p{^inphoenician}', "");
Expect(0, 67871, '\P{inphoenician}', "");
Expect(1, 67871, '\P{^inphoenician}', "");
Expect(0, 67872, '\p{inphoenician}', "");
Expect(1, 67872, '\p{^inphoenician}', "");
Expect(1, 67872, '\P{inphoenician}', "");
Expect(0, 67872, '\P{^inphoenician}', "");
Expect(1, 67871, '\p{-in_Phoenician}', "");
Expect(0, 67871, '\p{^-in_Phoenician}', "");
Expect(0, 67871, '\P{-in_Phoenician}', "");
Expect(1, 67871, '\P{^-in_Phoenician}', "");
Expect(0, 67872, '\p{-in_Phoenician}', "");
Expect(1, 67872, '\p{^-in_Phoenician}', "");
Expect(1, 67872, '\P{-in_Phoenician}', "");
Expect(0, 67872, '\P{^-in_Phoenician}', "");
Error('\p{/a/-	In_Phoenician}');
Error('\P{/a/-	In_Phoenician}');
Expect(1, 67871, '\p{- In_phoenician}', "");
Expect(0, 67871, '\p{^- In_phoenician}', "");
Expect(0, 67871, '\P{- In_phoenician}', "");
Expect(1, 67871, '\P{^- In_phoenician}', "");
Expect(0, 67872, '\p{- In_phoenician}', "");
Expect(1, 67872, '\p{^- In_phoenician}', "");
Expect(1, 67872, '\P{- In_phoenician}', "");
Expect(0, 67872, '\P{^- In_phoenician}', "");
Error('\p{:=		in_psalter_Pahlavi}');
Error('\P{:=		in_psalter_Pahlavi}');
Expect(1, 68527, '\p{inpsalterpahlavi}', "");
Expect(0, 68527, '\p{^inpsalterpahlavi}', "");
Expect(0, 68527, '\P{inpsalterpahlavi}', "");
Expect(1, 68527, '\P{^inpsalterpahlavi}', "");
Expect(0, 68528, '\p{inpsalterpahlavi}', "");
Expect(1, 68528, '\p{^inpsalterpahlavi}', "");
Expect(1, 68528, '\P{inpsalterpahlavi}', "");
Expect(0, 68528, '\P{^inpsalterpahlavi}', "");
Expect(1, 68527, '\p{_-In_psalter_PAHLAVI}', "");
Expect(0, 68527, '\p{^_-In_psalter_PAHLAVI}', "");
Expect(0, 68527, '\P{_-In_psalter_PAHLAVI}', "");
Expect(1, 68527, '\P{^_-In_psalter_PAHLAVI}', "");
Expect(0, 68528, '\p{_-In_psalter_PAHLAVI}', "");
Expect(1, 68528, '\p{^_-In_psalter_PAHLAVI}', "");
Expect(1, 68528, '\P{_-In_psalter_PAHLAVI}', "");
Expect(0, 68528, '\P{^_-In_psalter_PAHLAVI}', "");
Error('\p{:=	 In_psalter_PAHLAVI}');
Error('\P{:=	 In_psalter_PAHLAVI}');
Expect(1, 68527, '\p{_ In_Psalter_Pahlavi}', "");
Expect(0, 68527, '\p{^_ In_Psalter_Pahlavi}', "");
Expect(0, 68527, '\P{_ In_Psalter_Pahlavi}', "");
Expect(1, 68527, '\P{^_ In_Psalter_Pahlavi}', "");
Expect(0, 68528, '\p{_ In_Psalter_Pahlavi}', "");
Expect(1, 68528, '\p{^_ In_Psalter_Pahlavi}', "");
Expect(1, 68528, '\P{_ In_Psalter_Pahlavi}', "");
Expect(0, 68528, '\P{^_ In_Psalter_Pahlavi}', "");
Error('\p{	-IN_Rejang:=}');
Error('\P{	-IN_Rejang:=}');
Expect(1, 43359, '\p{inrejang}', "");
Expect(0, 43359, '\p{^inrejang}', "");
Expect(0, 43359, '\P{inrejang}', "");
Expect(1, 43359, '\P{^inrejang}', "");
Expect(0, 43360, '\p{inrejang}', "");
Expect(1, 43360, '\p{^inrejang}', "");
Expect(1, 43360, '\P{inrejang}', "");
Expect(0, 43360, '\P{^inrejang}', "");
Expect(1, 43359, '\p{In_Rejang}', "");
Expect(0, 43359, '\p{^In_Rejang}', "");
Expect(0, 43359, '\P{In_Rejang}', "");
Expect(1, 43359, '\P{^In_Rejang}', "");
Expect(0, 43360, '\p{In_Rejang}', "");
Expect(1, 43360, '\p{^In_Rejang}', "");
Expect(1, 43360, '\P{In_Rejang}', "");
Expect(0, 43360, '\P{^In_Rejang}', "");
Error('\p{:=In_REJANG}');
Error('\P{:=In_REJANG}');
Expect(1, 43359, '\p{ _In_rejang}', "");
Expect(0, 43359, '\p{^ _In_rejang}', "");
Expect(0, 43359, '\P{ _In_rejang}', "");
Expect(1, 43359, '\P{^ _In_rejang}', "");
Expect(0, 43360, '\p{ _In_rejang}', "");
Expect(1, 43360, '\p{^ _In_rejang}', "");
Expect(1, 43360, '\P{ _In_rejang}', "");
Expect(0, 43360, '\P{^ _In_rejang}', "");
Error('\p{	/a/IN_RUNIC}');
Error('\P{	/a/IN_RUNIC}');
Expect(1, 5887, '\p{inrunic}', "");
Expect(0, 5887, '\p{^inrunic}', "");
Expect(0, 5887, '\P{inrunic}', "");
Expect(1, 5887, '\P{^inrunic}', "");
Expect(0, 5888, '\p{inrunic}', "");
Expect(1, 5888, '\p{^inrunic}', "");
Expect(1, 5888, '\P{inrunic}', "");
Expect(0, 5888, '\P{^inrunic}', "");
Expect(1, 5887, '\p{ _In_RUNIC}', "");
Expect(0, 5887, '\p{^ _In_RUNIC}', "");
Expect(0, 5887, '\P{ _In_RUNIC}', "");
Expect(1, 5887, '\P{^ _In_RUNIC}', "");
Expect(0, 5888, '\p{ _In_RUNIC}', "");
Expect(1, 5888, '\p{^ _In_RUNIC}', "");
Expect(1, 5888, '\P{ _In_RUNIC}', "");
Expect(0, 5888, '\P{^ _In_RUNIC}', "");
Error('\p{/a/	_In_Runic}');
Error('\P{/a/	_In_Runic}');
Expect(1, 5887, '\p{_IN_Runic}', "");
Expect(0, 5887, '\p{^_IN_Runic}', "");
Expect(0, 5887, '\P{_IN_Runic}', "");
Expect(1, 5887, '\P{^_IN_Runic}', "");
Expect(0, 5888, '\p{_IN_Runic}', "");
Expect(1, 5888, '\p{^_IN_Runic}', "");
Expect(1, 5888, '\P{_IN_Runic}', "");
Expect(0, 5888, '\P{^_IN_Runic}', "");
Error('\p{ :=In_SAMARITAN}');
Error('\P{ :=In_SAMARITAN}');
Expect(1, 2111, '\p{insamaritan}', "");
Expect(0, 2111, '\p{^insamaritan}', "");
Expect(0, 2111, '\P{insamaritan}', "");
Expect(1, 2111, '\P{^insamaritan}', "");
Expect(0, 2112, '\p{insamaritan}', "");
Expect(1, 2112, '\p{^insamaritan}', "");
Expect(1, 2112, '\P{insamaritan}', "");
Expect(0, 2112, '\P{^insamaritan}', "");
Expect(1, 2111, '\p{-_IN_Samaritan}', "");
Expect(0, 2111, '\p{^-_IN_Samaritan}', "");
Expect(0, 2111, '\P{-_IN_Samaritan}', "");
Expect(1, 2111, '\P{^-_IN_Samaritan}', "");
Expect(0, 2112, '\p{-_IN_Samaritan}', "");
Expect(1, 2112, '\p{^-_IN_Samaritan}', "");
Expect(1, 2112, '\P{-_IN_Samaritan}', "");
Expect(0, 2112, '\P{^-_IN_Samaritan}', "");
Error('\p{-:=In_Samaritan}');
Error('\P{-:=In_Samaritan}');
Expect(1, 2111, '\p{--In_SAMARITAN}', "");
Expect(0, 2111, '\p{^--In_SAMARITAN}', "");
Expect(0, 2111, '\P{--In_SAMARITAN}', "");
Expect(1, 2111, '\P{^--In_SAMARITAN}', "");
Expect(0, 2112, '\p{--In_SAMARITAN}', "");
Expect(1, 2112, '\p{^--In_SAMARITAN}', "");
Expect(1, 2112, '\P{--In_SAMARITAN}', "");
Expect(0, 2112, '\P{^--In_SAMARITAN}', "");
Error('\p{	-IN_SAURASHTRA:=}');
Error('\P{	-IN_SAURASHTRA:=}');
Expect(1, 43231, '\p{insaurashtra}', "");
Expect(0, 43231, '\p{^insaurashtra}', "");
Expect(0, 43231, '\P{insaurashtra}', "");
Expect(1, 43231, '\P{^insaurashtra}', "");
Expect(0, 43232, '\p{insaurashtra}', "");
Expect(1, 43232, '\p{^insaurashtra}', "");
Expect(1, 43232, '\P{insaurashtra}', "");
Expect(0, 43232, '\P{^insaurashtra}', "");
Expect(1, 43231, '\p{--in_Saurashtra}', "");
Expect(0, 43231, '\p{^--in_Saurashtra}', "");
Expect(0, 43231, '\P{--in_Saurashtra}', "");
Expect(1, 43231, '\P{^--in_Saurashtra}', "");
Expect(0, 43232, '\p{--in_Saurashtra}', "");
Expect(1, 43232, '\p{^--in_Saurashtra}', "");
Expect(1, 43232, '\P{--in_Saurashtra}', "");
Expect(0, 43232, '\P{^--in_Saurashtra}', "");
Error('\p{/a/__in_SAURASHTRA}');
Error('\P{/a/__in_SAURASHTRA}');
Expect(1, 43231, '\p{__in_Saurashtra}', "");
Expect(0, 43231, '\p{^__in_Saurashtra}', "");
Expect(0, 43231, '\P{__in_Saurashtra}', "");
Expect(1, 43231, '\P{^__in_Saurashtra}', "");
Expect(0, 43232, '\p{__in_Saurashtra}', "");
Expect(1, 43232, '\p{^__in_Saurashtra}', "");
Expect(1, 43232, '\P{__in_Saurashtra}', "");
Expect(0, 43232, '\P{^__in_Saurashtra}', "");
Error('\p{:=__In_Sharada}');
Error('\P{:=__In_Sharada}');
Expect(1, 70111, '\p{insharada}', "");
Expect(0, 70111, '\p{^insharada}', "");
Expect(0, 70111, '\P{insharada}', "");
Expect(1, 70111, '\P{^insharada}', "");
Expect(0, 70112, '\p{insharada}', "");
Expect(1, 70112, '\p{^insharada}', "");
Expect(1, 70112, '\P{insharada}', "");
Expect(0, 70112, '\P{^insharada}', "");
Expect(1, 70111, '\p{  In_Sharada}', "");
Expect(0, 70111, '\p{^  In_Sharada}', "");
Expect(0, 70111, '\P{  In_Sharada}', "");
Expect(1, 70111, '\P{^  In_Sharada}', "");
Expect(0, 70112, '\p{  In_Sharada}', "");
Expect(1, 70112, '\p{^  In_Sharada}', "");
Expect(1, 70112, '\P{  In_Sharada}', "");
Expect(0, 70112, '\P{^  In_Sharada}', "");
Error('\p{/a/ 	IN_sharada}');
Error('\P{/a/ 	IN_sharada}');
Expect(1, 70111, '\p{	_IN_SHARADA}', "");
Expect(0, 70111, '\p{^	_IN_SHARADA}', "");
Expect(0, 70111, '\P{	_IN_SHARADA}', "");
Expect(1, 70111, '\P{^	_IN_SHARADA}', "");
Expect(0, 70112, '\p{	_IN_SHARADA}', "");
Expect(1, 70112, '\p{^	_IN_SHARADA}', "");
Expect(1, 70112, '\P{	_IN_SHARADA}', "");
Expect(0, 70112, '\P{^	_IN_SHARADA}', "");
Error('\p{/a/IN_Shavian}');
Error('\P{/a/IN_Shavian}');
Expect(1, 66687, '\p{inshavian}', "");
Expect(0, 66687, '\p{^inshavian}', "");
Expect(0, 66687, '\P{inshavian}', "");
Expect(1, 66687, '\P{^inshavian}', "");
Expect(0, 66688, '\p{inshavian}', "");
Expect(1, 66688, '\p{^inshavian}', "");
Expect(1, 66688, '\P{inshavian}', "");
Expect(0, 66688, '\P{^inshavian}', "");
Expect(1, 66687, '\p{	-IN_shavian}', "");
Expect(0, 66687, '\p{^	-IN_shavian}', "");
Expect(0, 66687, '\P{	-IN_shavian}', "");
Expect(1, 66687, '\P{^	-IN_shavian}', "");
Expect(0, 66688, '\p{	-IN_shavian}', "");
Expect(1, 66688, '\p{^	-IN_shavian}', "");
Expect(1, 66688, '\P{	-IN_shavian}', "");
Expect(0, 66688, '\P{^	-IN_shavian}', "");
Error('\p{	-in_Shavian:=}');
Error('\P{	-in_Shavian:=}');
Expect(1, 66687, '\p{--IN_Shavian}', "");
Expect(0, 66687, '\p{^--IN_Shavian}', "");
Expect(0, 66687, '\P{--IN_Shavian}', "");
Expect(1, 66687, '\P{^--IN_Shavian}', "");
Expect(0, 66688, '\p{--IN_Shavian}', "");
Expect(1, 66688, '\p{^--IN_Shavian}', "");
Expect(1, 66688, '\P{--IN_Shavian}', "");
Expect(0, 66688, '\P{^--IN_Shavian}', "");
Error('\p{:= _in_Siddham}');
Error('\P{:= _in_Siddham}');
Expect(1, 71167, '\p{insiddham}', "");
Expect(0, 71167, '\p{^insiddham}', "");
Expect(0, 71167, '\P{insiddham}', "");
Expect(1, 71167, '\P{^insiddham}', "");
Expect(0, 71168, '\p{insiddham}', "");
Expect(1, 71168, '\p{^insiddham}', "");
Expect(1, 71168, '\P{insiddham}', "");
Expect(0, 71168, '\P{^insiddham}', "");
Expect(1, 71167, '\p{-In_SIDDHAM}', "");
Expect(0, 71167, '\p{^-In_SIDDHAM}', "");
Expect(0, 71167, '\P{-In_SIDDHAM}', "");
Expect(1, 71167, '\P{^-In_SIDDHAM}', "");
Expect(0, 71168, '\p{-In_SIDDHAM}', "");
Expect(1, 71168, '\p{^-In_SIDDHAM}', "");
Expect(1, 71168, '\P{-In_SIDDHAM}', "");
Expect(0, 71168, '\P{^-In_SIDDHAM}', "");
Error('\p{:=_In_Siddham}');
Error('\P{:=_In_Siddham}');
Expect(1, 71167, '\p{ 	in_Siddham}', "");
Expect(0, 71167, '\p{^ 	in_Siddham}', "");
Expect(0, 71167, '\P{ 	in_Siddham}', "");
Expect(1, 71167, '\P{^ 	in_Siddham}', "");
Expect(0, 71168, '\p{ 	in_Siddham}', "");
Expect(1, 71168, '\p{^ 	in_Siddham}', "");
Expect(1, 71168, '\P{ 	in_Siddham}', "");
Expect(0, 71168, '\P{^ 	in_Siddham}', "");
Error('\p{	:=in_sinhala}');
Error('\P{	:=in_sinhala}');
Expect(1, 3583, '\p{insinhala}', "");
Expect(0, 3583, '\p{^insinhala}', "");
Expect(0, 3583, '\P{insinhala}', "");
Expect(1, 3583, '\P{^insinhala}', "");
Expect(0, 3584, '\p{insinhala}', "");
Expect(1, 3584, '\p{^insinhala}', "");
Expect(1, 3584, '\P{insinhala}', "");
Expect(0, 3584, '\P{^insinhala}', "");
Expect(1, 3583, '\p{__In_Sinhala}', "");
Expect(0, 3583, '\p{^__In_Sinhala}', "");
Expect(0, 3583, '\P{__In_Sinhala}', "");
Expect(1, 3583, '\P{^__In_Sinhala}', "");
Expect(0, 3584, '\p{__In_Sinhala}', "");
Expect(1, 3584, '\p{^__In_Sinhala}', "");
Expect(1, 3584, '\P{__In_Sinhala}', "");
Expect(0, 3584, '\P{^__In_Sinhala}', "");
Error('\p{/a/ _in_Sinhala}');
Error('\P{/a/ _in_Sinhala}');
Expect(1, 3583, '\p{ _In_Sinhala}', "");
Expect(0, 3583, '\p{^ _In_Sinhala}', "");
Expect(0, 3583, '\P{ _In_Sinhala}', "");
Expect(1, 3583, '\P{^ _In_Sinhala}', "");
Expect(0, 3584, '\p{ _In_Sinhala}', "");
Expect(1, 3584, '\p{^ _In_Sinhala}', "");
Expect(1, 3584, '\P{ _In_Sinhala}', "");
Expect(0, 3584, '\P{^ _In_Sinhala}', "");
Error('\p{:=_	In_SORA_Sompeng}');
Error('\P{:=_	In_SORA_Sompeng}');
Expect(1, 69887, '\p{insorasompeng}', "");
Expect(0, 69887, '\p{^insorasompeng}', "");
Expect(0, 69887, '\P{insorasompeng}', "");
Expect(1, 69887, '\P{^insorasompeng}', "");
Expect(0, 69888, '\p{insorasompeng}', "");
Expect(1, 69888, '\p{^insorasompeng}', "");
Expect(1, 69888, '\P{insorasompeng}', "");
Expect(0, 69888, '\P{^insorasompeng}', "");
Expect(1, 69887, '\p{- In_Sora_Sompeng}', "");
Expect(0, 69887, '\p{^- In_Sora_Sompeng}', "");
Expect(0, 69887, '\P{- In_Sora_Sompeng}', "");
Expect(1, 69887, '\P{^- In_Sora_Sompeng}', "");
Expect(0, 69888, '\p{- In_Sora_Sompeng}', "");
Expect(1, 69888, '\p{^- In_Sora_Sompeng}', "");
Expect(1, 69888, '\P{- In_Sora_Sompeng}', "");
Expect(0, 69888, '\P{^- In_Sora_Sompeng}', "");
Error('\p{_:=In_sora_Sompeng}');
Error('\P{_:=In_sora_Sompeng}');
Expect(1, 69887, '\p{-in_sora_SOMPENG}', "");
Expect(0, 69887, '\p{^-in_sora_SOMPENG}', "");
Expect(0, 69887, '\P{-in_sora_SOMPENG}', "");
Expect(1, 69887, '\P{^-in_sora_SOMPENG}', "");
Expect(0, 69888, '\p{-in_sora_SOMPENG}', "");
Expect(1, 69888, '\p{^-in_sora_SOMPENG}', "");
Expect(1, 69888, '\P{-in_sora_SOMPENG}', "");
Expect(0, 69888, '\P{^-in_sora_SOMPENG}', "");
Error('\p{-In_Sundanese/a/}');
Error('\P{-In_Sundanese/a/}');
Expect(1, 7103, '\p{insundanese}', "");
Expect(0, 7103, '\p{^insundanese}', "");
Expect(0, 7103, '\P{insundanese}', "");
Expect(1, 7103, '\P{^insundanese}', "");
Expect(0, 7104, '\p{insundanese}', "");
Expect(1, 7104, '\p{^insundanese}', "");
Expect(1, 7104, '\P{insundanese}', "");
Expect(0, 7104, '\P{^insundanese}', "");
Expect(1, 7103, '\p{-	In_SUNDANESE}', "");
Expect(0, 7103, '\p{^-	In_SUNDANESE}', "");
Expect(0, 7103, '\P{-	In_SUNDANESE}', "");
Expect(1, 7103, '\P{^-	In_SUNDANESE}', "");
Expect(0, 7104, '\p{-	In_SUNDANESE}', "");
Expect(1, 7104, '\p{^-	In_SUNDANESE}', "");
Expect(1, 7104, '\P{-	In_SUNDANESE}', "");
Expect(0, 7104, '\P{^-	In_SUNDANESE}', "");
Error('\p{ 	In_Sundanese/a/}');
Error('\P{ 	In_Sundanese/a/}');
Expect(1, 7103, '\p{ in_SUNDANESE}', "");
Expect(0, 7103, '\p{^ in_SUNDANESE}', "");
Expect(0, 7103, '\P{ in_SUNDANESE}', "");
Expect(1, 7103, '\P{^ in_SUNDANESE}', "");
Expect(0, 7104, '\p{ in_SUNDANESE}', "");
Expect(1, 7104, '\p{^ in_SUNDANESE}', "");
Expect(1, 7104, '\P{ in_SUNDANESE}', "");
Expect(0, 7104, '\P{^ in_SUNDANESE}', "");
Error('\p{/a/-_in_SYLOTI_NAGRI}');
Error('\P{/a/-_in_SYLOTI_NAGRI}');
Expect(1, 43055, '\p{insylotinagri}', "");
Expect(0, 43055, '\p{^insylotinagri}', "");
Expect(0, 43055, '\P{insylotinagri}', "");
Expect(1, 43055, '\P{^insylotinagri}', "");
Expect(0, 43056, '\p{insylotinagri}', "");
Expect(1, 43056, '\p{^insylotinagri}', "");
Expect(1, 43056, '\P{insylotinagri}', "");
Expect(0, 43056, '\P{^insylotinagri}', "");
Expect(1, 43055, '\p{- In_Syloti_NAGRI}', "");
Expect(0, 43055, '\p{^- In_Syloti_NAGRI}', "");
Expect(0, 43055, '\P{- In_Syloti_NAGRI}', "");
Expect(1, 43055, '\P{^- In_Syloti_NAGRI}', "");
Expect(0, 43056, '\p{- In_Syloti_NAGRI}', "");
Expect(1, 43056, '\p{^- In_Syloti_NAGRI}', "");
Expect(1, 43056, '\P{- In_Syloti_NAGRI}', "");
Expect(0, 43056, '\P{^- In_Syloti_NAGRI}', "");
Error('\p{:=__in_syloti_Nagri}');
Error('\P{:=__in_syloti_Nagri}');
Expect(1, 43055, '\p{-	IN_SYLOTI_nagri}', "");
Expect(0, 43055, '\p{^-	IN_SYLOTI_nagri}', "");
Expect(0, 43055, '\P{-	IN_SYLOTI_nagri}', "");
Expect(1, 43055, '\P{^-	IN_SYLOTI_nagri}', "");
Expect(0, 43056, '\p{-	IN_SYLOTI_nagri}', "");
Expect(1, 43056, '\p{^-	IN_SYLOTI_nagri}', "");
Expect(1, 43056, '\P{-	IN_SYLOTI_nagri}', "");
Expect(0, 43056, '\P{^-	IN_SYLOTI_nagri}', "");
Error('\p{	:=IN_Syriac}');
Error('\P{	:=IN_Syriac}');
Expect(1, 1871, '\p{insyriac}', "");
Expect(0, 1871, '\p{^insyriac}', "");
Expect(0, 1871, '\P{insyriac}', "");
Expect(1, 1871, '\P{^insyriac}', "");
Expect(0, 1872, '\p{insyriac}', "");
Expect(1, 1872, '\p{^insyriac}', "");
Expect(1, 1872, '\P{insyriac}', "");
Expect(0, 1872, '\P{^insyriac}', "");
Expect(1, 1871, '\p{__In_syriac}', "");
Expect(0, 1871, '\p{^__In_syriac}', "");
Expect(0, 1871, '\P{__In_syriac}', "");
Expect(1, 1871, '\P{^__In_syriac}', "");
Expect(0, 1872, '\p{__In_syriac}', "");
Expect(1, 1872, '\p{^__In_syriac}', "");
Expect(1, 1872, '\P{__In_syriac}', "");
Expect(0, 1872, '\P{^__In_syriac}', "");
Error('\p{-_In_Syriac/a/}');
Error('\P{-_In_Syriac/a/}');
Expect(1, 1871, '\p{In_syriac}', "");
Expect(0, 1871, '\p{^In_syriac}', "");
Expect(0, 1871, '\P{In_syriac}', "");
Expect(1, 1871, '\P{^In_syriac}', "");
Expect(0, 1872, '\p{In_syriac}', "");
Expect(1, 1872, '\p{^In_syriac}', "");
Expect(1, 1872, '\P{In_syriac}', "");
Expect(0, 1872, '\P{^In_syriac}', "");
Error('\p{:=_In_TAGALOG}');
Error('\P{:=_In_TAGALOG}');
Expect(1, 5919, '\p{intagalog}', "");
Expect(0, 5919, '\p{^intagalog}', "");
Expect(0, 5919, '\P{intagalog}', "");
Expect(1, 5919, '\P{^intagalog}', "");
Expect(0, 5920, '\p{intagalog}', "");
Expect(1, 5920, '\p{^intagalog}', "");
Expect(1, 5920, '\P{intagalog}', "");
Expect(0, 5920, '\P{^intagalog}', "");
Expect(1, 5919, '\p{	in_Tagalog}', "");
Expect(0, 5919, '\p{^	in_Tagalog}', "");
Expect(0, 5919, '\P{	in_Tagalog}', "");
Expect(1, 5919, '\P{^	in_Tagalog}', "");
Expect(0, 5920, '\p{	in_Tagalog}', "");
Expect(1, 5920, '\p{^	in_Tagalog}', "");
Expect(1, 5920, '\P{	in_Tagalog}', "");
Expect(0, 5920, '\P{^	in_Tagalog}', "");
Error('\p{:= In_TAGALOG}');
Error('\P{:= In_TAGALOG}');
Expect(1, 5919, '\p{-_In_TAGALOG}', "");
Expect(0, 5919, '\p{^-_In_TAGALOG}', "");
Expect(0, 5919, '\P{-_In_TAGALOG}', "");
Expect(1, 5919, '\P{^-_In_TAGALOG}', "");
Expect(0, 5920, '\p{-_In_TAGALOG}', "");
Expect(1, 5920, '\p{^-_In_TAGALOG}', "");
Expect(1, 5920, '\P{-_In_TAGALOG}', "");
Expect(0, 5920, '\P{^-_In_TAGALOG}', "");
Error('\p{:=- In_Tagbanwa}');
Error('\P{:=- In_Tagbanwa}');
Expect(1, 6015, '\p{intagbanwa}', "");
Expect(0, 6015, '\p{^intagbanwa}', "");
Expect(0, 6015, '\P{intagbanwa}', "");
Expect(1, 6015, '\P{^intagbanwa}', "");
Expect(0, 6016, '\p{intagbanwa}', "");
Expect(1, 6016, '\p{^intagbanwa}', "");
Expect(1, 6016, '\P{intagbanwa}', "");
Expect(0, 6016, '\P{^intagbanwa}', "");
Expect(1, 6015, '\p{- In_Tagbanwa}', "");
Expect(0, 6015, '\p{^- In_Tagbanwa}', "");
Expect(0, 6015, '\P{- In_Tagbanwa}', "");
Expect(1, 6015, '\P{^- In_Tagbanwa}', "");
Expect(0, 6016, '\p{- In_Tagbanwa}', "");
Expect(1, 6016, '\p{^- In_Tagbanwa}', "");
Expect(1, 6016, '\P{- In_Tagbanwa}', "");
Expect(0, 6016, '\P{^- In_Tagbanwa}', "");
Error('\p{/a/ IN_Tagbanwa}');
Error('\P{/a/ IN_Tagbanwa}');
Expect(1, 6015, '\p{ _in_Tagbanwa}', "");
Expect(0, 6015, '\p{^ _in_Tagbanwa}', "");
Expect(0, 6015, '\P{ _in_Tagbanwa}', "");
Expect(1, 6015, '\P{^ _in_Tagbanwa}', "");
Expect(0, 6016, '\p{ _in_Tagbanwa}', "");
Expect(1, 6016, '\p{^ _in_Tagbanwa}', "");
Expect(1, 6016, '\P{ _in_Tagbanwa}', "");
Expect(0, 6016, '\P{^ _in_Tagbanwa}', "");
Error('\p{--In_TAI_Le:=}');
Error('\P{--In_TAI_Le:=}');
Expect(1, 6527, '\p{intaile}', "");
Expect(0, 6527, '\p{^intaile}', "");
Expect(0, 6527, '\P{intaile}', "");
Expect(1, 6527, '\P{^intaile}', "");
Expect(0, 6528, '\p{intaile}', "");
Expect(1, 6528, '\p{^intaile}', "");
Expect(1, 6528, '\P{intaile}', "");
Expect(0, 6528, '\P{^intaile}', "");
Expect(1, 6527, '\p{- In_Tai_le}', "");
Expect(0, 6527, '\p{^- In_Tai_le}', "");
Expect(0, 6527, '\P{- In_Tai_le}', "");
Expect(1, 6527, '\P{^- In_Tai_le}', "");
Expect(0, 6528, '\p{- In_Tai_le}', "");
Expect(1, 6528, '\p{^- In_Tai_le}', "");
Expect(1, 6528, '\P{- In_Tai_le}', "");
Expect(0, 6528, '\P{^- In_Tai_le}', "");
Error('\p{	:=In_Tai_Le}');
Error('\P{	:=In_Tai_Le}');
Expect(1, 6527, '\p{ IN_TAI_le}', "");
Expect(0, 6527, '\p{^ IN_TAI_le}', "");
Expect(0, 6527, '\P{ IN_TAI_le}', "");
Expect(1, 6527, '\P{^ IN_TAI_le}', "");
Expect(0, 6528, '\p{ IN_TAI_le}', "");
Expect(1, 6528, '\p{^ IN_TAI_le}', "");
Expect(1, 6528, '\P{ IN_TAI_le}', "");
Expect(0, 6528, '\P{^ IN_TAI_le}', "");
Error('\p{_:=IN_tai_Tham}');
Error('\P{_:=IN_tai_Tham}');
Expect(1, 6831, '\p{intaitham}', "");
Expect(0, 6831, '\p{^intaitham}', "");
Expect(0, 6831, '\P{intaitham}', "");
Expect(1, 6831, '\P{^intaitham}', "");
Expect(0, 6832, '\p{intaitham}', "");
Expect(1, 6832, '\p{^intaitham}', "");
Expect(1, 6832, '\P{intaitham}', "");
Expect(0, 6832, '\P{^intaitham}', "");
Expect(1, 6831, '\p{__in_Tai_Tham}', "");
Expect(0, 6831, '\p{^__in_Tai_Tham}', "");
Expect(0, 6831, '\P{__in_Tai_Tham}', "");
Expect(1, 6831, '\P{^__in_Tai_Tham}', "");
Expect(0, 6832, '\p{__in_Tai_Tham}', "");
Expect(1, 6832, '\p{^__in_Tai_Tham}', "");
Expect(1, 6832, '\P{__in_Tai_Tham}', "");
Expect(0, 6832, '\P{^__in_Tai_Tham}', "");
Error('\p{_:=in_Tai_Tham}');
Error('\P{_:=in_Tai_Tham}');
Expect(1, 6831, '\p{_	IN_TAI_Tham}', "");
Expect(0, 6831, '\p{^_	IN_TAI_Tham}', "");
Expect(0, 6831, '\P{_	IN_TAI_Tham}', "");
Expect(1, 6831, '\P{^_	IN_TAI_Tham}', "");
Expect(0, 6832, '\p{_	IN_TAI_Tham}', "");
Expect(1, 6832, '\p{^_	IN_TAI_Tham}', "");
Expect(1, 6832, '\P{_	IN_TAI_Tham}', "");
Expect(0, 6832, '\P{^_	IN_TAI_Tham}', "");
Error('\p{ :=in_Tai_VIET}');
Error('\P{ :=in_Tai_VIET}');
Expect(1, 43743, '\p{intaiviet}', "");
Expect(0, 43743, '\p{^intaiviet}', "");
Expect(0, 43743, '\P{intaiviet}', "");
Expect(1, 43743, '\P{^intaiviet}', "");
Expect(0, 43744, '\p{intaiviet}', "");
Expect(1, 43744, '\p{^intaiviet}', "");
Expect(1, 43744, '\P{intaiviet}', "");
Expect(0, 43744, '\P{^intaiviet}', "");
Expect(1, 43743, '\p{		IN_tai_Viet}', "");
Expect(0, 43743, '\p{^		IN_tai_Viet}', "");
Expect(0, 43743, '\P{		IN_tai_Viet}', "");
Expect(1, 43743, '\P{^		IN_tai_Viet}', "");
Expect(0, 43744, '\p{		IN_tai_Viet}', "");
Expect(1, 43744, '\p{^		IN_tai_Viet}', "");
Expect(1, 43744, '\P{		IN_tai_Viet}', "");
Expect(0, 43744, '\P{^		IN_tai_Viet}', "");
Error('\p{:=IN_Tai_VIET}');
Error('\P{:=IN_Tai_VIET}');
Expect(1, 43743, '\p{__in_tai_viet}', "");
Expect(0, 43743, '\p{^__in_tai_viet}', "");
Expect(0, 43743, '\P{__in_tai_viet}', "");
Expect(1, 43743, '\P{^__in_tai_viet}', "");
Expect(0, 43744, '\p{__in_tai_viet}', "");
Expect(1, 43744, '\p{^__in_tai_viet}', "");
Expect(1, 43744, '\P{__in_tai_viet}', "");
Expect(0, 43744, '\P{^__in_tai_viet}', "");
Error('\p{-	in_TAKRI/a/}');
Error('\P{-	in_TAKRI/a/}');
Expect(1, 71375, '\p{intakri}', "");
Expect(0, 71375, '\p{^intakri}', "");
Expect(0, 71375, '\P{intakri}', "");
Expect(1, 71375, '\P{^intakri}', "");
Expect(0, 71376, '\p{intakri}', "");
Expect(1, 71376, '\p{^intakri}', "");
Expect(1, 71376, '\P{intakri}', "");
Expect(0, 71376, '\P{^intakri}', "");
Expect(1, 71375, '\p{__in_Takri}', "");
Expect(0, 71375, '\p{^__in_Takri}', "");
Expect(0, 71375, '\P{__in_Takri}', "");
Expect(1, 71375, '\P{^__in_Takri}', "");
Expect(0, 71376, '\p{__in_Takri}', "");
Expect(1, 71376, '\p{^__in_Takri}', "");
Expect(1, 71376, '\P{__in_Takri}', "");
Expect(0, 71376, '\P{^__in_Takri}', "");
Error('\p{_/a/in_TAKRI}');
Error('\P{_/a/in_TAKRI}');
Expect(1, 71375, '\p{  in_TAKRI}', "");
Expect(0, 71375, '\p{^  in_TAKRI}', "");
Expect(0, 71375, '\P{  in_TAKRI}', "");
Expect(1, 71375, '\P{^  in_TAKRI}', "");
Expect(0, 71376, '\p{  in_TAKRI}', "");
Expect(1, 71376, '\p{^  in_TAKRI}', "");
Expect(1, 71376, '\P{  in_TAKRI}', "");
Expect(0, 71376, '\P{^  in_TAKRI}', "");
Error('\p{-/a/IN_TAMIL}');
Error('\P{-/a/IN_TAMIL}');
Expect(1, 3071, '\p{intamil}', "");
Expect(0, 3071, '\p{^intamil}', "");
Expect(0, 3071, '\P{intamil}', "");
Expect(1, 3071, '\P{^intamil}', "");
Expect(0, 3072, '\p{intamil}', "");
Expect(1, 3072, '\p{^intamil}', "");
Expect(1, 3072, '\P{intamil}', "");
Expect(0, 3072, '\P{^intamil}', "");
Expect(1, 3071, '\p{in_TAMIL}', "");
Expect(0, 3071, '\p{^in_TAMIL}', "");
Expect(0, 3071, '\P{in_TAMIL}', "");
Expect(1, 3071, '\P{^in_TAMIL}', "");
Expect(0, 3072, '\p{in_TAMIL}', "");
Expect(1, 3072, '\p{^in_TAMIL}', "");
Expect(1, 3072, '\P{in_TAMIL}', "");
Expect(0, 3072, '\P{^in_TAMIL}', "");
Error('\p{:=-	In_TAMIL}');
Error('\P{:=-	In_TAMIL}');
Expect(1, 3071, '\p{__In_TAMIL}', "");
Expect(0, 3071, '\p{^__In_TAMIL}', "");
Expect(0, 3071, '\P{__In_TAMIL}', "");
Expect(1, 3071, '\P{^__In_TAMIL}', "");
Expect(0, 3072, '\p{__In_TAMIL}', "");
Expect(1, 3072, '\p{^__In_TAMIL}', "");
Expect(1, 3072, '\P{__In_TAMIL}', "");
Expect(0, 3072, '\P{^__In_TAMIL}', "");
Error('\p{_-In_telugu/a/}');
Error('\P{_-In_telugu/a/}');
Expect(1, 3199, '\p{intelugu}', "");
Expect(0, 3199, '\p{^intelugu}', "");
Expect(0, 3199, '\P{intelugu}', "");
Expect(1, 3199, '\P{^intelugu}', "");
Expect(0, 3200, '\p{intelugu}', "");
Expect(1, 3200, '\p{^intelugu}', "");
Expect(1, 3200, '\P{intelugu}', "");
Expect(0, 3200, '\P{^intelugu}', "");
Expect(1, 3199, '\p{-	IN_Telugu}', "");
Expect(0, 3199, '\p{^-	IN_Telugu}', "");
Expect(0, 3199, '\P{-	IN_Telugu}', "");
Expect(1, 3199, '\P{^-	IN_Telugu}', "");
Expect(0, 3200, '\p{-	IN_Telugu}', "");
Expect(1, 3200, '\p{^-	IN_Telugu}', "");
Expect(1, 3200, '\P{-	IN_Telugu}', "");
Expect(0, 3200, '\P{^-	IN_Telugu}', "");
Error('\p{ /a/in_TELUGU}');
Error('\P{ /a/in_TELUGU}');
Expect(1, 3199, '\p{  In_Telugu}', "");
Expect(0, 3199, '\p{^  In_Telugu}', "");
Expect(0, 3199, '\P{  In_Telugu}', "");
Expect(1, 3199, '\P{^  In_Telugu}', "");
Expect(0, 3200, '\p{  In_Telugu}', "");
Expect(1, 3200, '\p{^  In_Telugu}', "");
Expect(1, 3200, '\P{  In_Telugu}', "");
Expect(0, 3200, '\P{^  In_Telugu}', "");
Error('\p{/a/_-in_Thaana}');
Error('\P{/a/_-in_Thaana}');
Expect(1, 1983, '\p{inthaana}', "");
Expect(0, 1983, '\p{^inthaana}', "");
Expect(0, 1983, '\P{inthaana}', "");
Expect(1, 1983, '\P{^inthaana}', "");
Expect(0, 1984, '\p{inthaana}', "");
Expect(1, 1984, '\p{^inthaana}', "");
Expect(1, 1984, '\P{inthaana}', "");
Expect(0, 1984, '\P{^inthaana}', "");
Expect(1, 1983, '\p{In_THAANA}', "");
Expect(0, 1983, '\p{^In_THAANA}', "");
Expect(0, 1983, '\P{In_THAANA}', "");
Expect(1, 1983, '\P{^In_THAANA}', "");
Expect(0, 1984, '\p{In_THAANA}', "");
Expect(1, 1984, '\p{^In_THAANA}', "");
Expect(1, 1984, '\P{In_THAANA}', "");
Expect(0, 1984, '\P{^In_THAANA}', "");
Error('\p{:=in_Thaana}');
Error('\P{:=in_Thaana}');
Expect(1, 1983, '\p{	 In_Thaana}', "");
Expect(0, 1983, '\p{^	 In_Thaana}', "");
Expect(0, 1983, '\P{	 In_Thaana}', "");
Expect(1, 1983, '\P{^	 In_Thaana}', "");
Expect(0, 1984, '\p{	 In_Thaana}', "");
Expect(1, 1984, '\p{^	 In_Thaana}', "");
Expect(1, 1984, '\P{	 In_Thaana}', "");
Expect(0, 1984, '\P{^	 In_Thaana}', "");
Error('\p{ :=in_THAI}');
Error('\P{ :=in_THAI}');
Expect(1, 3711, '\p{inthai}', "");
Expect(0, 3711, '\p{^inthai}', "");
Expect(0, 3711, '\P{inthai}', "");
Expect(1, 3711, '\P{^inthai}', "");
Expect(0, 3712, '\p{inthai}', "");
Expect(1, 3712, '\p{^inthai}', "");
Expect(1, 3712, '\P{inthai}', "");
Expect(0, 3712, '\P{^inthai}', "");
Expect(1, 3711, '\p{	in_Thai}', "");
Expect(0, 3711, '\p{^	in_Thai}', "");
Expect(0, 3711, '\P{	in_Thai}', "");
Expect(1, 3711, '\P{^	in_Thai}', "");
Expect(0, 3712, '\p{	in_Thai}', "");
Expect(1, 3712, '\p{^	in_Thai}', "");
Expect(1, 3712, '\P{	in_Thai}', "");
Expect(0, 3712, '\P{^	in_Thai}', "");
Error('\p{/a/in_Thai}');
Error('\P{/a/in_Thai}');
Expect(1, 3711, '\p{-In_Thai}', "");
Expect(0, 3711, '\p{^-In_Thai}', "");
Expect(0, 3711, '\P{-In_Thai}', "");
Expect(1, 3711, '\P{^-In_Thai}', "");
Expect(0, 3712, '\p{-In_Thai}', "");
Expect(1, 3712, '\p{^-In_Thai}', "");
Expect(1, 3712, '\P{-In_Thai}', "");
Expect(0, 3712, '\P{^-In_Thai}', "");
Error('\p{ _in_Tibetan:=}');
Error('\P{ _in_Tibetan:=}');
Expect(1, 4095, '\p{intibetan}', "");
Expect(0, 4095, '\p{^intibetan}', "");
Expect(0, 4095, '\P{intibetan}', "");
Expect(1, 4095, '\P{^intibetan}', "");
Expect(0, 4096, '\p{intibetan}', "");
Expect(1, 4096, '\p{^intibetan}', "");
Expect(1, 4096, '\P{intibetan}', "");
Expect(0, 4096, '\P{^intibetan}', "");
Expect(1, 4095, '\p{ 	In_Tibetan}', "");
Expect(0, 4095, '\p{^ 	In_Tibetan}', "");
Expect(0, 4095, '\P{ 	In_Tibetan}', "");
Expect(1, 4095, '\P{^ 	In_Tibetan}', "");
Expect(0, 4096, '\p{ 	In_Tibetan}', "");
Expect(1, 4096, '\p{^ 	In_Tibetan}', "");
Expect(1, 4096, '\P{ 	In_Tibetan}', "");
Expect(0, 4096, '\P{^ 	In_Tibetan}', "");
Error('\p{:=--In_Tibetan}');
Error('\P{:=--In_Tibetan}');
Expect(1, 4095, '\p{_In_Tibetan}', "");
Expect(0, 4095, '\p{^_In_Tibetan}', "");
Expect(0, 4095, '\P{_In_Tibetan}', "");
Expect(1, 4095, '\P{^_In_Tibetan}', "");
Expect(0, 4096, '\p{_In_Tibetan}', "");
Expect(1, 4096, '\p{^_In_Tibetan}', "");
Expect(1, 4096, '\P{_In_Tibetan}', "");
Expect(0, 4096, '\P{^_In_Tibetan}', "");
Error('\p{:=In_TIFINAGH}');
Error('\P{:=In_TIFINAGH}');
Expect(1, 11647, '\p{intifinagh}', "");
Expect(0, 11647, '\p{^intifinagh}', "");
Expect(0, 11647, '\P{intifinagh}', "");
Expect(1, 11647, '\P{^intifinagh}', "");
Expect(0, 11648, '\p{intifinagh}', "");
Expect(1, 11648, '\p{^intifinagh}', "");
Expect(1, 11648, '\P{intifinagh}', "");
Expect(0, 11648, '\P{^intifinagh}', "");
Expect(1, 11647, '\p{--in_Tifinagh}', "");
Expect(0, 11647, '\p{^--in_Tifinagh}', "");
Expect(0, 11647, '\P{--in_Tifinagh}', "");
Expect(1, 11647, '\P{^--in_Tifinagh}', "");
Expect(0, 11648, '\p{--in_Tifinagh}', "");
Expect(1, 11648, '\p{^--in_Tifinagh}', "");
Expect(1, 11648, '\P{--in_Tifinagh}', "");
Expect(0, 11648, '\P{^--in_Tifinagh}', "");
Error('\p{:=	_IN_tifinagh}');
Error('\P{:=	_IN_tifinagh}');
Expect(1, 11647, '\p{-_IN_Tifinagh}', "");
Expect(0, 11647, '\p{^-_IN_Tifinagh}', "");
Expect(0, 11647, '\P{-_IN_Tifinagh}', "");
Expect(1, 11647, '\P{^-_IN_Tifinagh}', "");
Expect(0, 11648, '\p{-_IN_Tifinagh}', "");
Expect(1, 11648, '\p{^-_IN_Tifinagh}', "");
Expect(1, 11648, '\P{-_IN_Tifinagh}', "");
Expect(0, 11648, '\P{^-_IN_Tifinagh}', "");
Error('\p{/a/		In_Tirhuta}');
Error('\P{/a/		In_Tirhuta}');
Expect(1, 70879, '\p{intirhuta}', "");
Expect(0, 70879, '\p{^intirhuta}', "");
Expect(0, 70879, '\P{intirhuta}', "");
Expect(1, 70879, '\P{^intirhuta}', "");
Expect(0, 70880, '\p{intirhuta}', "");
Expect(1, 70880, '\p{^intirhuta}', "");
Expect(1, 70880, '\P{intirhuta}', "");
Expect(0, 70880, '\P{^intirhuta}', "");
Expect(1, 70879, '\p{	-In_Tirhuta}', "");
Expect(0, 70879, '\p{^	-In_Tirhuta}', "");
Expect(0, 70879, '\P{	-In_Tirhuta}', "");
Expect(1, 70879, '\P{^	-In_Tirhuta}', "");
Expect(0, 70880, '\p{	-In_Tirhuta}', "");
Expect(1, 70880, '\p{^	-In_Tirhuta}', "");
Expect(1, 70880, '\P{	-In_Tirhuta}', "");
Expect(0, 70880, '\P{^	-In_Tirhuta}', "");
Error('\p{:=_	in_Tirhuta}');
Error('\P{:=_	in_Tirhuta}');
Expect(1, 70879, '\p{	In_TIRHUTA}', "");
Expect(0, 70879, '\p{^	In_TIRHUTA}', "");
Expect(0, 70879, '\P{	In_TIRHUTA}', "");
Expect(1, 70879, '\P{^	In_TIRHUTA}', "");
Expect(0, 70880, '\p{	In_TIRHUTA}', "");
Expect(1, 70880, '\p{^	In_TIRHUTA}', "");
Expect(1, 70880, '\P{	In_TIRHUTA}', "");
Expect(0, 70880, '\P{^	In_TIRHUTA}', "");
Error('\p{-In_ugaritic/a/}');
Error('\P{-In_ugaritic/a/}');
Expect(1, 66463, '\p{inugaritic}', "");
Expect(0, 66463, '\p{^inugaritic}', "");
Expect(0, 66463, '\P{inugaritic}', "");
Expect(1, 66463, '\P{^inugaritic}', "");
Expect(0, 66464, '\p{inugaritic}', "");
Expect(1, 66464, '\p{^inugaritic}', "");
Expect(1, 66464, '\P{inugaritic}', "");
Expect(0, 66464, '\P{^inugaritic}', "");
Expect(1, 66463, '\p{		in_Ugaritic}', "");
Expect(0, 66463, '\p{^		in_Ugaritic}', "");
Expect(0, 66463, '\P{		in_Ugaritic}', "");
Expect(1, 66463, '\P{^		in_Ugaritic}', "");
Expect(0, 66464, '\p{		in_Ugaritic}', "");
Expect(1, 66464, '\p{^		in_Ugaritic}', "");
Expect(1, 66464, '\P{		in_Ugaritic}', "");
Expect(0, 66464, '\P{^		in_Ugaritic}', "");
Error('\p{/a/__IN_Ugaritic}');
Error('\P{/a/__IN_Ugaritic}');
Expect(1, 66463, '\p{-In_UGARITIC}', "");
Expect(0, 66463, '\p{^-In_UGARITIC}', "");
Expect(0, 66463, '\P{-In_UGARITIC}', "");
Expect(1, 66463, '\P{^-In_UGARITIC}', "");
Expect(0, 66464, '\p{-In_UGARITIC}', "");
Expect(1, 66464, '\p{^-In_UGARITIC}', "");
Expect(1, 66464, '\P{-In_UGARITIC}', "");
Expect(0, 66464, '\P{^-In_UGARITIC}', "");
Error('\p{  In_VAI:=}');
Error('\P{  In_VAI:=}');
Expect(1, 42559, '\p{invai}', "");
Expect(0, 42559, '\p{^invai}', "");
Expect(0, 42559, '\P{invai}', "");
Expect(1, 42559, '\P{^invai}', "");
Expect(0, 42560, '\p{invai}', "");
Expect(1, 42560, '\p{^invai}', "");
Expect(1, 42560, '\P{invai}', "");
Expect(0, 42560, '\P{^invai}', "");
Expect(1, 42559, '\p{-In_Vai}', "");
Expect(0, 42559, '\p{^-In_Vai}', "");
Expect(0, 42559, '\P{-In_Vai}', "");
Expect(1, 42559, '\P{^-In_Vai}', "");
Expect(0, 42560, '\p{-In_Vai}', "");
Expect(1, 42560, '\p{^-In_Vai}', "");
Expect(1, 42560, '\P{-In_Vai}', "");
Expect(0, 42560, '\P{^-In_Vai}', "");
Error('\p{:=	IN_Vai}');
Error('\P{:=	IN_Vai}');
Expect(1, 42559, '\p{-in_Vai}', "");
Expect(0, 42559, '\p{^-in_Vai}', "");
Expect(0, 42559, '\P{-in_Vai}', "");
Expect(1, 42559, '\P{^-in_Vai}', "");
Expect(0, 42560, '\p{-in_Vai}', "");
Expect(1, 42560, '\p{^-in_Vai}', "");
Expect(1, 42560, '\P{-in_Vai}', "");
Expect(0, 42560, '\P{^-in_Vai}', "");
Error('\p{/a/_in_WARANG_CITI}');
Error('\P{/a/_in_WARANG_CITI}');
Expect(1, 71935, '\p{inwarangciti}', "");
Expect(0, 71935, '\p{^inwarangciti}', "");
Expect(0, 71935, '\P{inwarangciti}', "");
Expect(1, 71935, '\P{^inwarangciti}', "");
Expect(0, 71936, '\p{inwarangciti}', "");
Expect(1, 71936, '\p{^inwarangciti}', "");
Expect(1, 71936, '\P{inwarangciti}', "");
Expect(0, 71936, '\P{^inwarangciti}', "");
Expect(1, 71935, '\p{	In_Warang_CITI}', "");
Expect(0, 71935, '\p{^	In_Warang_CITI}', "");
Expect(0, 71935, '\P{	In_Warang_CITI}', "");
Expect(1, 71935, '\P{^	In_Warang_CITI}', "");
Expect(0, 71936, '\p{	In_Warang_CITI}', "");
Expect(1, 71936, '\p{^	In_Warang_CITI}', "");
Expect(1, 71936, '\P{	In_Warang_CITI}', "");
Expect(0, 71936, '\P{^	In_Warang_CITI}', "");
Error('\p{:= in_Warang_citi}');
Error('\P{:= in_Warang_citi}');
Expect(1, 71935, '\p{	In_Warang_citi}', "");
Expect(0, 71935, '\p{^	In_Warang_citi}', "");
Expect(0, 71935, '\P{	In_Warang_citi}', "");
Expect(1, 71935, '\P{^	In_Warang_citi}', "");
Expect(0, 71936, '\p{	In_Warang_citi}', "");
Expect(1, 71936, '\p{^	In_Warang_citi}', "");
Expect(1, 71936, '\P{	In_Warang_citi}', "");
Expect(0, 71936, '\P{^	In_Warang_citi}', "");
Error('\p{--inherited/a/}');
Error('\P{--inherited/a/}');
Expect(1, 917999, '\p{inherited}', "");
Expect(0, 917999, '\p{^inherited}', "");
Expect(0, 917999, '\P{inherited}', "");
Expect(1, 917999, '\P{^inherited}', "");
Expect(0, 918000, '\p{inherited}', "");
Expect(1, 918000, '\p{^inherited}', "");
Expect(1, 918000, '\P{inherited}', "");
Expect(0, 918000, '\P{^inherited}', "");
Expect(1, 917999, '\p{_	Inherited}', "");
Expect(0, 917999, '\p{^_	Inherited}', "");
Expect(0, 917999, '\P{_	Inherited}', "");
Expect(1, 917999, '\P{^_	Inherited}', "");
Expect(0, 918000, '\p{_	Inherited}', "");
Expect(1, 918000, '\p{^_	Inherited}', "");
Expect(1, 918000, '\P{_	Inherited}', "");
Expect(0, 918000, '\P{^_	Inherited}', "");
Error('\p{:=is_inherited}');
Error('\P{:=is_inherited}');
Expect(1, 917999, '\p{isinherited}', "");
Expect(0, 917999, '\p{^isinherited}', "");
Expect(0, 917999, '\P{isinherited}', "");
Expect(1, 917999, '\P{^isinherited}', "");
Expect(0, 918000, '\p{isinherited}', "");
Expect(1, 918000, '\p{^isinherited}', "");
Expect(1, 918000, '\P{isinherited}', "");
Expect(0, 918000, '\P{^isinherited}', "");
Expect(1, 917999, '\p{ is_INHERITED}', "");
Expect(0, 917999, '\p{^ is_INHERITED}', "");
Expect(0, 917999, '\P{ is_INHERITED}', "");
Expect(1, 917999, '\P{^ is_INHERITED}', "");
Expect(0, 918000, '\p{ is_INHERITED}', "");
Expect(1, 918000, '\p{^ is_INHERITED}', "");
Expect(1, 918000, '\P{ is_INHERITED}', "");
Expect(0, 918000, '\P{^ is_INHERITED}', "");
Error('\p{__ZINH:=}');
Error('\P{__ZINH:=}');
Expect(1, 917999, '\p{zinh}', "");
Expect(0, 917999, '\p{^zinh}', "");
Expect(0, 917999, '\P{zinh}', "");
Expect(1, 917999, '\P{^zinh}', "");
Expect(0, 918000, '\p{zinh}', "");
Expect(1, 918000, '\p{^zinh}', "");
Expect(1, 918000, '\P{zinh}', "");
Expect(0, 918000, '\P{^zinh}', "");
Expect(1, 917999, '\p{_	zinh}', "");
Expect(0, 917999, '\p{^_	zinh}', "");
Expect(0, 917999, '\P{_	zinh}', "");
Expect(1, 917999, '\P{^_	zinh}', "");
Expect(0, 918000, '\p{_	zinh}', "");
Expect(1, 918000, '\p{^_	zinh}', "");
Expect(1, 918000, '\P{_	zinh}', "");
Expect(0, 918000, '\P{^_	zinh}', "");
Error('\p{:= IS_Zinh}');
Error('\P{:= IS_Zinh}');
Expect(1, 917999, '\p{iszinh}', "");
Expect(0, 917999, '\p{^iszinh}', "");
Expect(0, 917999, '\P{iszinh}', "");
Expect(1, 917999, '\P{^iszinh}', "");
Expect(0, 918000, '\p{iszinh}', "");
Expect(1, 918000, '\p{^iszinh}', "");
Expect(1, 918000, '\P{iszinh}', "");
Expect(0, 918000, '\P{^iszinh}', "");
Expect(1, 917999, '\p{	Is_Zinh}', "");
Expect(0, 917999, '\p{^	Is_Zinh}', "");
Expect(0, 917999, '\P{	Is_Zinh}', "");
Expect(1, 917999, '\P{^	Is_Zinh}', "");
Expect(0, 918000, '\p{	Is_Zinh}', "");
Expect(1, 918000, '\p{^	Is_Zinh}', "");
Expect(1, 918000, '\P{	Is_Zinh}', "");
Expect(0, 918000, '\P{^	Is_Zinh}', "");
Error('\p{	:=Qaai}');
Error('\P{	:=Qaai}');
Expect(1, 917999, '\p{qaai}', "");
Expect(0, 917999, '\p{^qaai}', "");
Expect(0, 917999, '\P{qaai}', "");
Expect(1, 917999, '\P{^qaai}', "");
Expect(0, 918000, '\p{qaai}', "");
Expect(1, 918000, '\p{^qaai}', "");
Expect(1, 918000, '\P{qaai}', "");
Expect(0, 918000, '\P{^qaai}', "");
Expect(1, 917999, '\p{-	Qaai}', "");
Expect(0, 917999, '\p{^-	Qaai}', "");
Expect(0, 917999, '\P{-	Qaai}', "");
Expect(1, 917999, '\P{^-	Qaai}', "");
Expect(0, 918000, '\p{-	Qaai}', "");
Expect(1, 918000, '\p{^-	Qaai}', "");
Expect(1, 918000, '\P{-	Qaai}', "");
Expect(0, 918000, '\P{^-	Qaai}', "");
Error('\p{_	Is_Qaai/a/}');
Error('\P{_	Is_Qaai/a/}');
Expect(1, 917999, '\p{isqaai}', "");
Expect(0, 917999, '\p{^isqaai}', "");
Expect(0, 917999, '\P{isqaai}', "");
Expect(1, 917999, '\P{^isqaai}', "");
Expect(0, 918000, '\p{isqaai}', "");
Expect(1, 918000, '\p{^isqaai}', "");
Expect(1, 918000, '\P{isqaai}', "");
Expect(0, 918000, '\P{^isqaai}', "");
Expect(1, 917999, '\p{ IS_Qaai}', "");
Expect(0, 917999, '\p{^ IS_Qaai}', "");
Expect(0, 917999, '\P{ IS_Qaai}', "");
Expect(1, 917999, '\P{^ IS_Qaai}', "");
Expect(0, 918000, '\p{ IS_Qaai}', "");
Expect(1, 918000, '\p{^ IS_Qaai}', "");
Expect(1, 918000, '\P{ IS_Qaai}', "");
Expect(0, 918000, '\P{^ IS_Qaai}', "");
Error('\p{-:=Initial_punctuation}');
Error('\P{-:=Initial_punctuation}');
Expect(1, 11808, '\p{initialpunctuation}', "");
Expect(0, 11808, '\p{^initialpunctuation}', "");
Expect(0, 11808, '\P{initialpunctuation}', "");
Expect(1, 11808, '\P{^initialpunctuation}', "");
Expect(0, 11809, '\p{initialpunctuation}', "");
Expect(1, 11809, '\p{^initialpunctuation}', "");
Expect(1, 11809, '\P{initialpunctuation}', "");
Expect(0, 11809, '\P{^initialpunctuation}', "");
Expect(1, 11808, '\p{_ INITIAL_PUNCTUATION}', "");
Expect(0, 11808, '\p{^_ INITIAL_PUNCTUATION}', "");
Expect(0, 11808, '\P{_ INITIAL_PUNCTUATION}', "");
Expect(1, 11808, '\P{^_ INITIAL_PUNCTUATION}', "");
Expect(0, 11809, '\p{_ INITIAL_PUNCTUATION}', "");
Expect(1, 11809, '\p{^_ INITIAL_PUNCTUATION}', "");
Expect(1, 11809, '\P{_ INITIAL_PUNCTUATION}', "");
Expect(0, 11809, '\P{^_ INITIAL_PUNCTUATION}', "");
Error('\p{_:=IS_INITIAL_PUNCTUATION}');
Error('\P{_:=IS_INITIAL_PUNCTUATION}');
Expect(1, 11808, '\p{isinitialpunctuation}', "");
Expect(0, 11808, '\p{^isinitialpunctuation}', "");
Expect(0, 11808, '\P{isinitialpunctuation}', "");
Expect(1, 11808, '\P{^isinitialpunctuation}', "");
Expect(0, 11809, '\p{isinitialpunctuation}', "");
Expect(1, 11809, '\p{^isinitialpunctuation}', "");
Expect(1, 11809, '\P{isinitialpunctuation}', "");
Expect(0, 11809, '\P{^isinitialpunctuation}', "");
Expect(1, 11808, '\p{-_Is_INITIAL_PUNCTUATION}', "");
Expect(0, 11808, '\p{^-_Is_INITIAL_PUNCTUATION}', "");
Expect(0, 11808, '\P{-_Is_INITIAL_PUNCTUATION}', "");
Expect(1, 11808, '\P{^-_Is_INITIAL_PUNCTUATION}', "");
Expect(0, 11809, '\p{-_Is_INITIAL_PUNCTUATION}', "");
Expect(1, 11809, '\p{^-_Is_INITIAL_PUNCTUATION}', "");
Expect(1, 11809, '\P{-_Is_INITIAL_PUNCTUATION}', "");
Expect(0, 11809, '\P{^-_Is_INITIAL_PUNCTUATION}', "");
Error('\p{	_Pi:=}');
Error('\P{	_Pi:=}');
Expect(1, 11808, '\p{pi}', "");
Expect(0, 11808, '\p{^pi}', "");
Expect(0, 11808, '\P{pi}', "");
Expect(1, 11808, '\P{^pi}', "");
Expect(0, 11809, '\p{pi}', "");
Expect(1, 11809, '\p{^pi}', "");
Expect(1, 11809, '\P{pi}', "");
Expect(0, 11809, '\P{^pi}', "");
Expect(1, 11808, '\p{		Pi}', "");
Expect(0, 11808, '\p{^		Pi}', "");
Expect(0, 11808, '\P{		Pi}', "");
Expect(1, 11808, '\P{^		Pi}', "");
Expect(0, 11809, '\p{		Pi}', "");
Expect(1, 11809, '\p{^		Pi}', "");
Expect(1, 11809, '\P{		Pi}', "");
Expect(0, 11809, '\P{^		Pi}', "");
Error('\p{ :=Is_PI}');
Error('\P{ :=Is_PI}');
Expect(1, 11808, '\p{ispi}', "");
Expect(0, 11808, '\p{^ispi}', "");
Expect(0, 11808, '\P{ispi}', "");
Expect(1, 11808, '\P{^ispi}', "");
Expect(0, 11809, '\p{ispi}', "");
Expect(1, 11809, '\p{^ispi}', "");
Expect(1, 11809, '\P{ispi}', "");
Expect(0, 11809, '\P{^ispi}', "");
Expect(1, 11808, '\p{	-Is_Pi}', "");
Expect(0, 11808, '\p{^	-Is_Pi}', "");
Expect(0, 11808, '\P{	-Is_Pi}', "");
Expect(1, 11808, '\P{^	-Is_Pi}', "");
Expect(0, 11809, '\p{	-Is_Pi}', "");
Expect(1, 11809, '\p{^	-Is_Pi}', "");
Expect(1, 11809, '\P{	-Is_Pi}', "");
Expect(0, 11809, '\P{^	-Is_Pi}', "");
Error('\p{:=-_Inscriptional_Pahlavi}');
Error('\P{:=-_Inscriptional_Pahlavi}');
Expect(1, 68479, '\p{inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{-_Inscriptional_pahlavi}', "");
Expect(0, 68479, '\p{^-_Inscriptional_pahlavi}', "");
Expect(0, 68479, '\P{-_Inscriptional_pahlavi}', "");
Expect(1, 68479, '\P{^-_Inscriptional_pahlavi}', "");
Expect(0, 68480, '\p{-_Inscriptional_pahlavi}', "");
Expect(1, 68480, '\p{^-_Inscriptional_pahlavi}', "");
Expect(1, 68480, '\P{-_Inscriptional_pahlavi}', "");
Expect(0, 68480, '\P{^-_Inscriptional_pahlavi}', "");
Error('\p{	Is_Inscriptional_pahlavi:=}');
Error('\P{	Is_Inscriptional_pahlavi:=}');
Expect(1, 68479, '\p{isinscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^isinscriptionalpahlavi}', "");
Expect(0, 68479, '\P{isinscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^isinscriptionalpahlavi}', "");
Expect(0, 68480, '\p{isinscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^isinscriptionalpahlavi}', "");
Expect(1, 68480, '\P{isinscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^isinscriptionalpahlavi}', "");
Expect(1, 68479, '\p{	is_INSCRIPTIONAL_PAHLAVI}', "");
Expect(0, 68479, '\p{^	is_INSCRIPTIONAL_PAHLAVI}', "");
Expect(0, 68479, '\P{	is_INSCRIPTIONAL_PAHLAVI}', "");
Expect(1, 68479, '\P{^	is_INSCRIPTIONAL_PAHLAVI}', "");
Expect(0, 68480, '\p{	is_INSCRIPTIONAL_PAHLAVI}', "");
Expect(1, 68480, '\p{^	is_INSCRIPTIONAL_PAHLAVI}', "");
Expect(1, 68480, '\P{	is_INSCRIPTIONAL_PAHLAVI}', "");
Expect(0, 68480, '\P{^	is_INSCRIPTIONAL_PAHLAVI}', "");
Error('\p{_-PHLI/a/}');
Error('\P{_-PHLI/a/}');
Expect(1, 68479, '\p{phli}', "");
Expect(0, 68479, '\p{^phli}', "");
Expect(0, 68479, '\P{phli}', "");
Expect(1, 68479, '\P{^phli}', "");
Expect(0, 68480, '\p{phli}', "");
Expect(1, 68480, '\p{^phli}', "");
Expect(1, 68480, '\P{phli}', "");
Expect(0, 68480, '\P{^phli}', "");
Expect(1, 68479, '\p{	_Phli}', "");
Expect(0, 68479, '\p{^	_Phli}', "");
Expect(0, 68479, '\P{	_Phli}', "");
Expect(1, 68479, '\P{^	_Phli}', "");
Expect(0, 68480, '\p{	_Phli}', "");
Expect(1, 68480, '\p{^	_Phli}', "");
Expect(1, 68480, '\P{	_Phli}', "");
Expect(0, 68480, '\P{^	_Phli}', "");
Error('\p{	:=Is_Phli}');
Error('\P{	:=Is_Phli}');
Expect(1, 68479, '\p{isphli}', "");
Expect(0, 68479, '\p{^isphli}', "");
Expect(0, 68479, '\P{isphli}', "");
Expect(1, 68479, '\P{^isphli}', "");
Expect(0, 68480, '\p{isphli}', "");
Expect(1, 68480, '\p{^isphli}', "");
Expect(1, 68480, '\P{isphli}', "");
Expect(0, 68480, '\P{^isphli}', "");
Expect(1, 68479, '\p{Is_Phli}', "");
Expect(0, 68479, '\p{^Is_Phli}', "");
Expect(0, 68479, '\P{Is_Phli}', "");
Expect(1, 68479, '\P{^Is_Phli}', "");
Expect(0, 68480, '\p{Is_Phli}', "");
Expect(1, 68480, '\p{^Is_Phli}', "");
Expect(1, 68480, '\P{Is_Phli}', "");
Expect(0, 68480, '\P{^Is_Phli}', "");
Error('\p{  inscriptional_Parthian/a/}');
Error('\P{  inscriptional_Parthian/a/}');
Expect(1, 68447, '\p{inscriptionalparthian}', "");
Expect(0, 68447, '\p{^inscriptionalparthian}', "");
Expect(0, 68447, '\P{inscriptionalparthian}', "");
Expect(1, 68447, '\P{^inscriptionalparthian}', "");
Expect(0, 68448, '\p{inscriptionalparthian}', "");
Expect(1, 68448, '\p{^inscriptionalparthian}', "");
Expect(1, 68448, '\P{inscriptionalparthian}', "");
Expect(0, 68448, '\P{^inscriptionalparthian}', "");
Expect(1, 68447, '\p{_Inscriptional_PARTHIAN}', "");
Expect(0, 68447, '\p{^_Inscriptional_PARTHIAN}', "");
Expect(0, 68447, '\P{_Inscriptional_PARTHIAN}', "");
Expect(1, 68447, '\P{^_Inscriptional_PARTHIAN}', "");
Expect(0, 68448, '\p{_Inscriptional_PARTHIAN}', "");
Expect(1, 68448, '\p{^_Inscriptional_PARTHIAN}', "");
Expect(1, 68448, '\P{_Inscriptional_PARTHIAN}', "");
Expect(0, 68448, '\P{^_Inscriptional_PARTHIAN}', "");
Error('\p{/a/IS_Inscriptional_Parthian}');
Error('\P{/a/IS_Inscriptional_Parthian}');
Expect(1, 68447, '\p{isinscriptionalparthian}', "");
Expect(0, 68447, '\p{^isinscriptionalparthian}', "");
Expect(0, 68447, '\P{isinscriptionalparthian}', "");
Expect(1, 68447, '\P{^isinscriptionalparthian}', "");
Expect(0, 68448, '\p{isinscriptionalparthian}', "");
Expect(1, 68448, '\p{^isinscriptionalparthian}', "");
Expect(1, 68448, '\P{isinscriptionalparthian}', "");
Expect(0, 68448, '\P{^isinscriptionalparthian}', "");
Expect(1, 68447, '\p{	-Is_INSCRIPTIONAL_PARTHIAN}', "");
Expect(0, 68447, '\p{^	-Is_INSCRIPTIONAL_PARTHIAN}', "");
Expect(0, 68447, '\P{	-Is_INSCRIPTIONAL_PARTHIAN}', "");
Expect(1, 68447, '\P{^	-Is_INSCRIPTIONAL_PARTHIAN}', "");
Expect(0, 68448, '\p{	-Is_INSCRIPTIONAL_PARTHIAN}', "");
Expect(1, 68448, '\p{^	-Is_INSCRIPTIONAL_PARTHIAN}', "");
Expect(1, 68448, '\P{	-Is_INSCRIPTIONAL_PARTHIAN}', "");
Expect(0, 68448, '\P{^	-Is_INSCRIPTIONAL_PARTHIAN}', "");
Error('\p{	/a/prti}');
Error('\P{	/a/prti}');
Expect(1, 68447, '\p{prti}', "");
Expect(0, 68447, '\p{^prti}', "");
Expect(0, 68447, '\P{prti}', "");
Expect(1, 68447, '\P{^prti}', "");
Expect(0, 68448, '\p{prti}', "");
Expect(1, 68448, '\p{^prti}', "");
Expect(1, 68448, '\P{prti}', "");
Expect(0, 68448, '\P{^prti}', "");
Expect(1, 68447, '\p{  PRTI}', "");
Expect(0, 68447, '\p{^  PRTI}', "");
Expect(0, 68447, '\P{  PRTI}', "");
Expect(1, 68447, '\P{^  PRTI}', "");
Expect(0, 68448, '\p{  PRTI}', "");
Expect(1, 68448, '\p{^  PRTI}', "");
Expect(1, 68448, '\P{  PRTI}', "");
Expect(0, 68448, '\P{^  PRTI}', "");
Error('\p{ :=Is_Prti}');
Error('\P{ :=Is_Prti}');
Expect(1, 68447, '\p{isprti}', "");
Expect(0, 68447, '\p{^isprti}', "");
Expect(0, 68447, '\P{isprti}', "");
Expect(1, 68447, '\P{^isprti}', "");
Expect(0, 68448, '\p{isprti}', "");
Expect(1, 68448, '\p{^isprti}', "");
Expect(1, 68448, '\P{isprti}', "");
Expect(0, 68448, '\P{^isprti}', "");
Expect(1, 68447, '\p{	 IS_Prti}', "");
Expect(0, 68447, '\p{^	 IS_Prti}', "");
Expect(0, 68447, '\P{	 IS_Prti}', "");
Expect(1, 68447, '\P{^	 IS_Prti}', "");
Expect(0, 68448, '\p{	 IS_Prti}', "");
Expect(1, 68448, '\p{^	 IS_Prti}', "");
Expect(1, 68448, '\P{	 IS_Prti}', "");
Expect(0, 68448, '\P{^	 IS_Prti}', "");
Error('\p{	-JAVANESE:=}');
Error('\P{	-JAVANESE:=}');
Expect(1, 43487, '\p{javanese}', "");
Expect(0, 43487, '\p{^javanese}', "");
Expect(0, 43487, '\P{javanese}', "");
Expect(1, 43487, '\P{^javanese}', "");
Expect(0, 43488, '\p{javanese}', "");
Expect(1, 43488, '\p{^javanese}', "");
Expect(1, 43488, '\P{javanese}', "");
Expect(0, 43488, '\P{^javanese}', "");
Expect(1, 43487, '\p{Javanese}', "");
Expect(0, 43487, '\p{^Javanese}', "");
Expect(0, 43487, '\P{Javanese}', "");
Expect(1, 43487, '\P{^Javanese}', "");
Expect(0, 43488, '\p{Javanese}', "");
Expect(1, 43488, '\p{^Javanese}', "");
Expect(1, 43488, '\P{Javanese}', "");
Expect(0, 43488, '\P{^Javanese}', "");
Error('\p{	IS_JAVANESE/a/}');
Error('\P{	IS_JAVANESE/a/}');
Expect(1, 43487, '\p{isjavanese}', "");
Expect(0, 43487, '\p{^isjavanese}', "");
Expect(0, 43487, '\P{isjavanese}', "");
Expect(1, 43487, '\P{^isjavanese}', "");
Expect(0, 43488, '\p{isjavanese}', "");
Expect(1, 43488, '\p{^isjavanese}', "");
Expect(1, 43488, '\P{isjavanese}', "");
Expect(0, 43488, '\P{^isjavanese}', "");
Expect(1, 43487, '\p{_-is_javanese}', "");
Expect(0, 43487, '\p{^_-is_javanese}', "");
Expect(0, 43487, '\P{_-is_javanese}', "");
Expect(1, 43487, '\P{^_-is_javanese}', "");
Expect(0, 43488, '\p{_-is_javanese}', "");
Expect(1, 43488, '\p{^_-is_javanese}', "");
Expect(1, 43488, '\P{_-is_javanese}', "");
Expect(0, 43488, '\P{^_-is_javanese}', "");
Error('\p{-/a/JAVA}');
Error('\P{-/a/JAVA}');
Expect(1, 43487, '\p{java}', "");
Expect(0, 43487, '\p{^java}', "");
Expect(0, 43487, '\P{java}', "");
Expect(1, 43487, '\P{^java}', "");
Expect(0, 43488, '\p{java}', "");
Expect(1, 43488, '\p{^java}', "");
Expect(1, 43488, '\P{java}', "");
Expect(0, 43488, '\P{^java}', "");
Expect(1, 43487, '\p{	_Java}', "");
Expect(0, 43487, '\p{^	_Java}', "");
Expect(0, 43487, '\P{	_Java}', "");
Expect(1, 43487, '\P{^	_Java}', "");
Expect(0, 43488, '\p{	_Java}', "");
Expect(1, 43488, '\p{^	_Java}', "");
Expect(1, 43488, '\P{	_Java}', "");
Expect(0, 43488, '\P{^	_Java}', "");
Error('\p{	-is_Java/a/}');
Error('\P{	-is_Java/a/}');
Expect(1, 43487, '\p{isjava}', "");
Expect(0, 43487, '\p{^isjava}', "");
Expect(0, 43487, '\P{isjava}', "");
Expect(1, 43487, '\P{^isjava}', "");
Expect(0, 43488, '\p{isjava}', "");
Expect(1, 43488, '\p{^isjava}', "");
Expect(1, 43488, '\P{isjava}', "");
Expect(0, 43488, '\P{^isjava}', "");
Expect(1, 43487, '\p{_	is_Java}', "");
Expect(0, 43487, '\p{^_	is_Java}', "");
Expect(0, 43487, '\P{_	is_Java}', "");
Expect(1, 43487, '\P{^_	is_Java}', "");
Expect(0, 43488, '\p{_	is_Java}', "");
Expect(1, 43488, '\p{^_	is_Java}', "");
Expect(1, 43488, '\P{_	is_Java}', "");
Expect(0, 43488, '\P{^_	is_Java}', "");
Error('\p{:=  Join_Control}');
Error('\P{:=  Join_Control}');
Expect(1, 8205, '\p{joincontrol}', "");
Expect(0, 8205, '\p{^joincontrol}', "");
Expect(0, 8205, '\P{joincontrol}', "");
Expect(1, 8205, '\P{^joincontrol}', "");
Expect(0, 8206, '\p{joincontrol}', "");
Expect(1, 8206, '\p{^joincontrol}', "");
Expect(1, 8206, '\P{joincontrol}', "");
Expect(0, 8206, '\P{^joincontrol}', "");
Expect(1, 8205, '\p{	_JOIN_Control}', "");
Expect(0, 8205, '\p{^	_JOIN_Control}', "");
Expect(0, 8205, '\P{	_JOIN_Control}', "");
Expect(1, 8205, '\P{^	_JOIN_Control}', "");
Expect(0, 8206, '\p{	_JOIN_Control}', "");
Expect(1, 8206, '\p{^	_JOIN_Control}', "");
Expect(1, 8206, '\P{	_JOIN_Control}', "");
Expect(0, 8206, '\P{^	_JOIN_Control}', "");
Error('\p{ -IS_JOIN_Control/a/}');
Error('\P{ -IS_JOIN_Control/a/}');
Expect(1, 8205, '\p{isjoincontrol}', "");
Expect(0, 8205, '\p{^isjoincontrol}', "");
Expect(0, 8205, '\P{isjoincontrol}', "");
Expect(1, 8205, '\P{^isjoincontrol}', "");
Expect(0, 8206, '\p{isjoincontrol}', "");
Expect(1, 8206, '\p{^isjoincontrol}', "");
Expect(1, 8206, '\P{isjoincontrol}', "");
Expect(0, 8206, '\P{^isjoincontrol}', "");
Expect(1, 8205, '\p{_is_Join_control}', "");
Expect(0, 8205, '\p{^_is_Join_control}', "");
Expect(0, 8205, '\P{_is_Join_control}', "");
Expect(1, 8205, '\P{^_is_Join_control}', "");
Expect(0, 8206, '\p{_is_Join_control}', "");
Expect(1, 8206, '\p{^_is_Join_control}', "");
Expect(1, 8206, '\P{_is_Join_control}', "");
Expect(0, 8206, '\P{^_is_Join_control}', "");
Error('\p{/a/_Join_C}');
Error('\P{/a/_Join_C}');
Expect(1, 8205, '\p{joinc}', "");
Expect(0, 8205, '\p{^joinc}', "");
Expect(0, 8205, '\P{joinc}', "");
Expect(1, 8205, '\P{^joinc}', "");
Expect(0, 8206, '\p{joinc}', "");
Expect(1, 8206, '\p{^joinc}', "");
Expect(1, 8206, '\P{joinc}', "");
Expect(0, 8206, '\P{^joinc}', "");
Expect(1, 8205, '\p{ -join_c}', "");
Expect(0, 8205, '\p{^ -join_c}', "");
Expect(0, 8205, '\P{ -join_c}', "");
Expect(1, 8205, '\P{^ -join_c}', "");
Expect(0, 8206, '\p{ -join_c}', "");
Expect(1, 8206, '\p{^ -join_c}', "");
Expect(1, 8206, '\P{ -join_c}', "");
Expect(0, 8206, '\P{^ -join_c}', "");
Error('\p{/a/-is_join_C}');
Error('\P{/a/-is_join_C}');
Expect(1, 8205, '\p{isjoinc}', "");
Expect(0, 8205, '\p{^isjoinc}', "");
Expect(0, 8205, '\P{isjoinc}', "");
Expect(1, 8205, '\P{^isjoinc}', "");
Expect(0, 8206, '\p{isjoinc}', "");
Expect(1, 8206, '\p{^isjoinc}', "");
Expect(1, 8206, '\P{isjoinc}', "");
Expect(0, 8206, '\P{^isjoinc}', "");
Expect(1, 8205, '\p{_	Is_join_c}', "");
Expect(0, 8205, '\p{^_	Is_join_c}', "");
Expect(0, 8205, '\P{_	Is_join_c}', "");
Expect(1, 8205, '\P{^_	Is_join_c}', "");
Expect(0, 8206, '\p{_	Is_join_c}', "");
Expect(1, 8206, '\p{^_	Is_join_c}', "");
Expect(1, 8206, '\P{_	Is_join_c}', "");
Expect(0, 8206, '\P{^_	Is_join_c}', "");
Error('\p{ -kaithi:=}');
Error('\P{ -kaithi:=}');
Expect(1, 69825, '\p{kaithi}', "");
Expect(0, 69825, '\p{^kaithi}', "");
Expect(0, 69825, '\P{kaithi}', "");
Expect(1, 69825, '\P{^kaithi}', "");
Expect(0, 69826, '\p{kaithi}', "");
Expect(1, 69826, '\p{^kaithi}', "");
Expect(1, 69826, '\P{kaithi}', "");
Expect(0, 69826, '\P{^kaithi}', "");
Expect(1, 69825, '\p{ Kaithi}', "");
Expect(0, 69825, '\p{^ Kaithi}', "");
Expect(0, 69825, '\P{ Kaithi}', "");
Expect(1, 69825, '\P{^ Kaithi}', "");
Expect(0, 69826, '\p{ Kaithi}', "");
Expect(1, 69826, '\p{^ Kaithi}', "");
Expect(1, 69826, '\P{ Kaithi}', "");
Expect(0, 69826, '\P{^ Kaithi}', "");
Error('\p{_/a/Is_KAITHI}');
Error('\P{_/a/Is_KAITHI}');
Expect(1, 69825, '\p{iskaithi}', "");
Expect(0, 69825, '\p{^iskaithi}', "");
Expect(0, 69825, '\P{iskaithi}', "");
Expect(1, 69825, '\P{^iskaithi}', "");
Expect(0, 69826, '\p{iskaithi}', "");
Expect(1, 69826, '\p{^iskaithi}', "");
Expect(1, 69826, '\P{iskaithi}', "");
Expect(0, 69826, '\P{^iskaithi}', "");
Expect(1, 69825, '\p{		is_Kaithi}', "");
Expect(0, 69825, '\p{^		is_Kaithi}', "");
Expect(0, 69825, '\P{		is_Kaithi}', "");
Expect(1, 69825, '\P{^		is_Kaithi}', "");
Expect(0, 69826, '\p{		is_Kaithi}', "");
Expect(1, 69826, '\p{^		is_Kaithi}', "");
Expect(1, 69826, '\P{		is_Kaithi}', "");
Expect(0, 69826, '\P{^		is_Kaithi}', "");
Error('\p{_:=kthi}');
Error('\P{_:=kthi}');
Expect(1, 69825, '\p{kthi}', "");
Expect(0, 69825, '\p{^kthi}', "");
Expect(0, 69825, '\P{kthi}', "");
Expect(1, 69825, '\P{^kthi}', "");
Expect(0, 69826, '\p{kthi}', "");
Expect(1, 69826, '\p{^kthi}', "");
Expect(1, 69826, '\P{kthi}', "");
Expect(0, 69826, '\P{^kthi}', "");
Expect(1, 69825, '\p{_Kthi}', "");
Expect(0, 69825, '\p{^_Kthi}', "");
Expect(0, 69825, '\P{_Kthi}', "");
Expect(1, 69825, '\P{^_Kthi}', "");
Expect(0, 69826, '\p{_Kthi}', "");
Expect(1, 69826, '\p{^_Kthi}', "");
Expect(1, 69826, '\P{_Kthi}', "");
Expect(0, 69826, '\P{^_Kthi}', "");
Error('\p{/a/IS_kthi}');
Error('\P{/a/IS_kthi}');
Expect(1, 69825, '\p{iskthi}', "");
Expect(0, 69825, '\p{^iskthi}', "");
Expect(0, 69825, '\P{iskthi}', "");
Expect(1, 69825, '\P{^iskthi}', "");
Expect(0, 69826, '\p{iskthi}', "");
Expect(1, 69826, '\p{^iskthi}', "");
Expect(1, 69826, '\P{iskthi}', "");
Expect(0, 69826, '\P{^iskthi}', "");
Expect(1, 69825, '\p{ 	IS_Kthi}', "");
Expect(0, 69825, '\p{^ 	IS_Kthi}', "");
Expect(0, 69825, '\P{ 	IS_Kthi}', "");
Expect(1, 69825, '\P{^ 	IS_Kthi}', "");
Expect(0, 69826, '\p{ 	IS_Kthi}', "");
Expect(1, 69826, '\p{^ 	IS_Kthi}', "");
Expect(1, 69826, '\P{ 	IS_Kthi}', "");
Expect(0, 69826, '\P{^ 	IS_Kthi}', "");
Error('\p{/a/	_kana_SUPPLEMENT}');
Error('\P{/a/	_kana_SUPPLEMENT}');
Expect(1, 110847, '\p{kanasupplement}', "");
Expect(0, 110847, '\p{^kanasupplement}', "");
Expect(0, 110847, '\P{kanasupplement}', "");
Expect(1, 110847, '\P{^kanasupplement}', "");
Expect(0, 110848, '\p{kanasupplement}', "");
Expect(1, 110848, '\p{^kanasupplement}', "");
Expect(1, 110848, '\P{kanasupplement}', "");
Expect(0, 110848, '\P{^kanasupplement}', "");
Expect(1, 110847, '\p{  Kana_supplement}', "");
Expect(0, 110847, '\p{^  Kana_supplement}', "");
Expect(0, 110847, '\P{  Kana_supplement}', "");
Expect(1, 110847, '\P{^  Kana_supplement}', "");
Expect(0, 110848, '\p{  Kana_supplement}', "");
Expect(1, 110848, '\p{^  Kana_supplement}', "");
Expect(1, 110848, '\P{  Kana_supplement}', "");
Expect(0, 110848, '\P{^  Kana_supplement}', "");
Error('\p{:= IS_Kana_Supplement}');
Error('\P{:= IS_Kana_Supplement}');
Expect(1, 110847, '\p{iskanasupplement}', "");
Expect(0, 110847, '\p{^iskanasupplement}', "");
Expect(0, 110847, '\P{iskanasupplement}', "");
Expect(1, 110847, '\P{^iskanasupplement}', "");
Expect(0, 110848, '\p{iskanasupplement}', "");
Expect(1, 110848, '\p{^iskanasupplement}', "");
Expect(1, 110848, '\P{iskanasupplement}', "");
Expect(0, 110848, '\P{^iskanasupplement}', "");
Expect(1, 110847, '\p{-_IS_Kana_Supplement}', "");
Expect(0, 110847, '\p{^-_IS_Kana_Supplement}', "");
Expect(0, 110847, '\P{-_IS_Kana_Supplement}', "");
Expect(1, 110847, '\P{^-_IS_Kana_Supplement}', "");
Expect(0, 110848, '\p{-_IS_Kana_Supplement}', "");
Expect(1, 110848, '\p{^-_IS_Kana_Supplement}', "");
Expect(1, 110848, '\P{-_IS_Kana_Supplement}', "");
Expect(0, 110848, '\P{^-_IS_Kana_Supplement}', "");
Error('\p{-_in_kana_Supplement/a/}');
Error('\P{-_in_kana_Supplement/a/}');
Expect(1, 110847, '\p{inkanasupplement}', "");
Expect(0, 110847, '\p{^inkanasupplement}', "");
Expect(0, 110847, '\P{inkanasupplement}', "");
Expect(1, 110847, '\P{^inkanasupplement}', "");
Expect(0, 110848, '\p{inkanasupplement}', "");
Expect(1, 110848, '\p{^inkanasupplement}', "");
Expect(1, 110848, '\P{inkanasupplement}', "");
Expect(0, 110848, '\P{^inkanasupplement}', "");
Expect(1, 110847, '\p{	In_KANA_SUPPLEMENT}', "");
Expect(0, 110847, '\p{^	In_KANA_SUPPLEMENT}', "");
Expect(0, 110847, '\P{	In_KANA_SUPPLEMENT}', "");
Expect(1, 110847, '\P{^	In_KANA_SUPPLEMENT}', "");
Expect(0, 110848, '\p{	In_KANA_SUPPLEMENT}', "");
Expect(1, 110848, '\p{^	In_KANA_SUPPLEMENT}', "");
Expect(1, 110848, '\P{	In_KANA_SUPPLEMENT}', "");
Expect(0, 110848, '\P{^	In_KANA_SUPPLEMENT}', "");
Error('\p{ /a/Kana_Sup}');
Error('\P{ /a/Kana_Sup}');
Expect(1, 110847, '\p{kanasup}', "");
Expect(0, 110847, '\p{^kanasup}', "");
Expect(0, 110847, '\P{kanasup}', "");
Expect(1, 110847, '\P{^kanasup}', "");
Expect(0, 110848, '\p{kanasup}', "");
Expect(1, 110848, '\p{^kanasup}', "");
Expect(1, 110848, '\P{kanasup}', "");
Expect(0, 110848, '\P{^kanasup}', "");
Expect(1, 110847, '\p{-Kana_Sup}', "");
Expect(0, 110847, '\p{^-Kana_Sup}', "");
Expect(0, 110847, '\P{-Kana_Sup}', "");
Expect(1, 110847, '\P{^-Kana_Sup}', "");
Expect(0, 110848, '\p{-Kana_Sup}', "");
Expect(1, 110848, '\p{^-Kana_Sup}', "");
Expect(1, 110848, '\P{-Kana_Sup}', "");
Expect(0, 110848, '\P{^-Kana_Sup}', "");
Error('\p{-:=IS_Kana_Sup}');
Error('\P{-:=IS_Kana_Sup}');
Expect(1, 110847, '\p{iskanasup}', "");
Expect(0, 110847, '\p{^iskanasup}', "");
Expect(0, 110847, '\P{iskanasup}', "");
Expect(1, 110847, '\P{^iskanasup}', "");
Expect(0, 110848, '\p{iskanasup}', "");
Expect(1, 110848, '\p{^iskanasup}', "");
Expect(1, 110848, '\P{iskanasup}', "");
Expect(0, 110848, '\P{^iskanasup}', "");
Expect(1, 110847, '\p{-is_Kana_SUP}', "");
Expect(0, 110847, '\p{^-is_Kana_SUP}', "");
Expect(0, 110847, '\P{-is_Kana_SUP}', "");
Expect(1, 110847, '\P{^-is_Kana_SUP}', "");
Expect(0, 110848, '\p{-is_Kana_SUP}', "");
Expect(1, 110848, '\p{^-is_Kana_SUP}', "");
Expect(1, 110848, '\P{-is_Kana_SUP}', "");
Expect(0, 110848, '\P{^-is_Kana_SUP}', "");
Error('\p{/a/	in_Kana_Sup}');
Error('\P{/a/	in_Kana_Sup}');
Expect(1, 110847, '\p{inkanasup}', "");
Expect(0, 110847, '\p{^inkanasup}', "");
Expect(0, 110847, '\P{inkanasup}', "");
Expect(1, 110847, '\P{^inkanasup}', "");
Expect(0, 110848, '\p{inkanasup}', "");
Expect(1, 110848, '\p{^inkanasup}', "");
Expect(1, 110848, '\P{inkanasup}', "");
Expect(0, 110848, '\P{^inkanasup}', "");
Expect(1, 110847, '\p{ _In_kana_sup}', "");
Expect(0, 110847, '\p{^ _In_kana_sup}', "");
Expect(0, 110847, '\P{ _In_kana_sup}', "");
Expect(1, 110847, '\P{^ _In_kana_sup}', "");
Expect(0, 110848, '\p{ _In_kana_sup}', "");
Expect(1, 110848, '\p{^ _In_kana_sup}', "");
Expect(1, 110848, '\P{ _In_kana_sup}', "");
Expect(0, 110848, '\P{^ _In_kana_sup}', "");
Error('\p{ /a/kanbun}');
Error('\P{ /a/kanbun}');
Expect(1, 12703, '\p{kanbun}', "");
Expect(0, 12703, '\p{^kanbun}', "");
Expect(0, 12703, '\P{kanbun}', "");
Expect(1, 12703, '\P{^kanbun}', "");
Expect(0, 12704, '\p{kanbun}', "");
Expect(1, 12704, '\p{^kanbun}', "");
Expect(1, 12704, '\P{kanbun}', "");
Expect(0, 12704, '\P{^kanbun}', "");
Expect(1, 12703, '\p{	-kanbun}', "");
Expect(0, 12703, '\p{^	-kanbun}', "");
Expect(0, 12703, '\P{	-kanbun}', "");
Expect(1, 12703, '\P{^	-kanbun}', "");
Expect(0, 12704, '\p{	-kanbun}', "");
Expect(1, 12704, '\p{^	-kanbun}', "");
Expect(1, 12704, '\P{	-kanbun}', "");
Expect(0, 12704, '\P{^	-kanbun}', "");
Error('\p{-_Is_Kanbun:=}');
Error('\P{-_Is_Kanbun:=}');
Expect(1, 12703, '\p{iskanbun}', "");
Expect(0, 12703, '\p{^iskanbun}', "");
Expect(0, 12703, '\P{iskanbun}', "");
Expect(1, 12703, '\P{^iskanbun}', "");
Expect(0, 12704, '\p{iskanbun}', "");
Expect(1, 12704, '\p{^iskanbun}', "");
Expect(1, 12704, '\P{iskanbun}', "");
Expect(0, 12704, '\P{^iskanbun}', "");
Expect(1, 12703, '\p{-is_Kanbun}', "");
Expect(0, 12703, '\p{^-is_Kanbun}', "");
Expect(0, 12703, '\P{-is_Kanbun}', "");
Expect(1, 12703, '\P{^-is_Kanbun}', "");
Expect(0, 12704, '\p{-is_Kanbun}', "");
Expect(1, 12704, '\p{^-is_Kanbun}', "");
Expect(1, 12704, '\P{-is_Kanbun}', "");
Expect(0, 12704, '\P{^-is_Kanbun}', "");
Error('\p{-/a/In_Kanbun}');
Error('\P{-/a/In_Kanbun}');
Expect(1, 12703, '\p{inkanbun}', "");
Expect(0, 12703, '\p{^inkanbun}', "");
Expect(0, 12703, '\P{inkanbun}', "");
Expect(1, 12703, '\P{^inkanbun}', "");
Expect(0, 12704, '\p{inkanbun}', "");
Expect(1, 12704, '\p{^inkanbun}', "");
Expect(1, 12704, '\P{inkanbun}', "");
Expect(0, 12704, '\P{^inkanbun}', "");
Expect(1, 12703, '\p{-In_Kanbun}', "");
Expect(0, 12703, '\p{^-In_Kanbun}', "");
Expect(0, 12703, '\P{-In_Kanbun}', "");
Expect(1, 12703, '\P{^-In_Kanbun}', "");
Expect(0, 12704, '\p{-In_Kanbun}', "");
Expect(1, 12704, '\p{^-In_Kanbun}', "");
Expect(1, 12704, '\P{-In_Kanbun}', "");
Expect(0, 12704, '\P{^-In_Kanbun}', "");
Error('\p{-Kangxi_RADICALS/a/}');
Error('\P{-Kangxi_RADICALS/a/}');
Expect(1, 12255, '\p{kangxiradicals}', "");
Expect(0, 12255, '\p{^kangxiradicals}', "");
Expect(0, 12255, '\P{kangxiradicals}', "");
Expect(1, 12255, '\P{^kangxiradicals}', "");
Expect(0, 12256, '\p{kangxiradicals}', "");
Expect(1, 12256, '\p{^kangxiradicals}', "");
Expect(1, 12256, '\P{kangxiradicals}', "");
Expect(0, 12256, '\P{^kangxiradicals}', "");
Expect(1, 12255, '\p{	Kangxi_Radicals}', "");
Expect(0, 12255, '\p{^	Kangxi_Radicals}', "");
Expect(0, 12255, '\P{	Kangxi_Radicals}', "");
Expect(1, 12255, '\P{^	Kangxi_Radicals}', "");
Expect(0, 12256, '\p{	Kangxi_Radicals}', "");
Expect(1, 12256, '\p{^	Kangxi_Radicals}', "");
Expect(1, 12256, '\P{	Kangxi_Radicals}', "");
Expect(0, 12256, '\P{^	Kangxi_Radicals}', "");
Error('\p{/a/	IS_Kangxi_RADICALS}');
Error('\P{/a/	IS_Kangxi_RADICALS}');
Expect(1, 12255, '\p{iskangxiradicals}', "");
Expect(0, 12255, '\p{^iskangxiradicals}', "");
Expect(0, 12255, '\P{iskangxiradicals}', "");
Expect(1, 12255, '\P{^iskangxiradicals}', "");
Expect(0, 12256, '\p{iskangxiradicals}', "");
Expect(1, 12256, '\p{^iskangxiradicals}', "");
Expect(1, 12256, '\P{iskangxiradicals}', "");
Expect(0, 12256, '\P{^iskangxiradicals}', "");
Expect(1, 12255, '\p{-_Is_KANGXI_Radicals}', "");
Expect(0, 12255, '\p{^-_Is_KANGXI_Radicals}', "");
Expect(0, 12255, '\P{-_Is_KANGXI_Radicals}', "");
Expect(1, 12255, '\P{^-_Is_KANGXI_Radicals}', "");
Expect(0, 12256, '\p{-_Is_KANGXI_Radicals}', "");
Expect(1, 12256, '\p{^-_Is_KANGXI_Radicals}', "");
Expect(1, 12256, '\P{-_Is_KANGXI_Radicals}', "");
Expect(0, 12256, '\P{^-_Is_KANGXI_Radicals}', "");
Error('\p{ /a/in_Kangxi_RADICALS}');
Error('\P{ /a/in_Kangxi_RADICALS}');
Expect(1, 12255, '\p{inkangxiradicals}', "");
Expect(0, 12255, '\p{^inkangxiradicals}', "");
Expect(0, 12255, '\P{inkangxiradicals}', "");
Expect(1, 12255, '\P{^inkangxiradicals}', "");
Expect(0, 12256, '\p{inkangxiradicals}', "");
Expect(1, 12256, '\p{^inkangxiradicals}', "");
Expect(1, 12256, '\P{inkangxiradicals}', "");
Expect(0, 12256, '\P{^inkangxiradicals}', "");
Expect(1, 12255, '\p{ -In_Kangxi_Radicals}', "");
Expect(0, 12255, '\p{^ -In_Kangxi_Radicals}', "");
Expect(0, 12255, '\P{ -In_Kangxi_Radicals}', "");
Expect(1, 12255, '\P{^ -In_Kangxi_Radicals}', "");
Expect(0, 12256, '\p{ -In_Kangxi_Radicals}', "");
Expect(1, 12256, '\p{^ -In_Kangxi_Radicals}', "");
Expect(1, 12256, '\P{ -In_Kangxi_Radicals}', "");
Expect(0, 12256, '\P{^ -In_Kangxi_Radicals}', "");
Error('\p{/a/_kangxi}');
Error('\P{/a/_kangxi}');
Expect(1, 12255, '\p{kangxi}', "");
Expect(0, 12255, '\p{^kangxi}', "");
Expect(0, 12255, '\P{kangxi}', "");
Expect(1, 12255, '\P{^kangxi}', "");
Expect(0, 12256, '\p{kangxi}', "");
Expect(1, 12256, '\p{^kangxi}', "");
Expect(1, 12256, '\P{kangxi}', "");
Expect(0, 12256, '\P{^kangxi}', "");
Expect(1, 12255, '\p{-KANGXI}', "");
Expect(0, 12255, '\p{^-KANGXI}', "");
Expect(0, 12255, '\P{-KANGXI}', "");
Expect(1, 12255, '\P{^-KANGXI}', "");
Expect(0, 12256, '\p{-KANGXI}', "");
Expect(1, 12256, '\p{^-KANGXI}', "");
Expect(1, 12256, '\P{-KANGXI}', "");
Expect(0, 12256, '\P{^-KANGXI}', "");
Error('\p{:= 	is_Kangxi}');
Error('\P{:= 	is_Kangxi}');
Expect(1, 12255, '\p{iskangxi}', "");
Expect(0, 12255, '\p{^iskangxi}', "");
Expect(0, 12255, '\P{iskangxi}', "");
Expect(1, 12255, '\P{^iskangxi}', "");
Expect(0, 12256, '\p{iskangxi}', "");
Expect(1, 12256, '\p{^iskangxi}', "");
Expect(1, 12256, '\P{iskangxi}', "");
Expect(0, 12256, '\P{^iskangxi}', "");
Expect(1, 12255, '\p{ _Is_KANGXI}', "");
Expect(0, 12255, '\p{^ _Is_KANGXI}', "");
Expect(0, 12255, '\P{ _Is_KANGXI}', "");
Expect(1, 12255, '\P{^ _Is_KANGXI}', "");
Expect(0, 12256, '\p{ _Is_KANGXI}', "");
Expect(1, 12256, '\p{^ _Is_KANGXI}', "");
Expect(1, 12256, '\P{ _Is_KANGXI}', "");
Expect(0, 12256, '\P{^ _Is_KANGXI}', "");
Error('\p{/a/_	In_Kangxi}');
Error('\P{/a/_	In_Kangxi}');
Expect(1, 12255, '\p{inkangxi}', "");
Expect(0, 12255, '\p{^inkangxi}', "");
Expect(0, 12255, '\P{inkangxi}', "");
Expect(1, 12255, '\P{^inkangxi}', "");
Expect(0, 12256, '\p{inkangxi}', "");
Expect(1, 12256, '\p{^inkangxi}', "");
Expect(1, 12256, '\P{inkangxi}', "");
Expect(0, 12256, '\P{^inkangxi}', "");
Expect(1, 12255, '\p{	-IN_KANGXI}', "");
Expect(0, 12255, '\p{^	-IN_KANGXI}', "");
Expect(0, 12255, '\P{	-IN_KANGXI}', "");
Expect(1, 12255, '\P{^	-IN_KANGXI}', "");
Expect(0, 12256, '\p{	-IN_KANGXI}', "");
Expect(1, 12256, '\p{^	-IN_KANGXI}', "");
Expect(1, 12256, '\P{	-IN_KANGXI}', "");
Expect(0, 12256, '\P{^	-IN_KANGXI}', "");
Error('\p{/a/ -kannada}');
Error('\P{/a/ -kannada}');
Expect(1, 3314, '\p{kannada}', "");
Expect(0, 3314, '\p{^kannada}', "");
Expect(0, 3314, '\P{kannada}', "");
Expect(1, 3314, '\P{^kannada}', "");
Expect(0, 3315, '\p{kannada}', "");
Expect(1, 3315, '\p{^kannada}', "");
Expect(1, 3315, '\P{kannada}', "");
Expect(0, 3315, '\P{^kannada}', "");
Expect(1, 3314, '\p{__Kannada}', "");
Expect(0, 3314, '\p{^__Kannada}', "");
Expect(0, 3314, '\P{__Kannada}', "");
Expect(1, 3314, '\P{^__Kannada}', "");
Expect(0, 3315, '\p{__Kannada}', "");
Expect(1, 3315, '\p{^__Kannada}', "");
Expect(1, 3315, '\P{__Kannada}', "");
Expect(0, 3315, '\P{^__Kannada}', "");
Error('\p{:=	is_Kannada}');
Error('\P{:=	is_Kannada}');
Expect(1, 3314, '\p{iskannada}', "");
Expect(0, 3314, '\p{^iskannada}', "");
Expect(0, 3314, '\P{iskannada}', "");
Expect(1, 3314, '\P{^iskannada}', "");
Expect(0, 3315, '\p{iskannada}', "");
Expect(1, 3315, '\p{^iskannada}', "");
Expect(1, 3315, '\P{iskannada}', "");
Expect(0, 3315, '\P{^iskannada}', "");
Expect(1, 3314, '\p{_	Is_Kannada}', "");
Expect(0, 3314, '\p{^_	Is_Kannada}', "");
Expect(0, 3314, '\P{_	Is_Kannada}', "");
Expect(1, 3314, '\P{^_	Is_Kannada}', "");
Expect(0, 3315, '\p{_	Is_Kannada}', "");
Expect(1, 3315, '\p{^_	Is_Kannada}', "");
Expect(1, 3315, '\P{_	Is_Kannada}', "");
Expect(0, 3315, '\P{^_	Is_Kannada}', "");
Error('\p{__KNDA/a/}');
Error('\P{__KNDA/a/}');
Expect(1, 3314, '\p{knda}', "");
Expect(0, 3314, '\p{^knda}', "");
Expect(0, 3314, '\P{knda}', "");
Expect(1, 3314, '\P{^knda}', "");
Expect(0, 3315, '\p{knda}', "");
Expect(1, 3315, '\p{^knda}', "");
Expect(1, 3315, '\P{knda}', "");
Expect(0, 3315, '\P{^knda}', "");
Expect(1, 3314, '\p{-	Knda}', "");
Expect(0, 3314, '\p{^-	Knda}', "");
Expect(0, 3314, '\P{-	Knda}', "");
Expect(1, 3314, '\P{^-	Knda}', "");
Expect(0, 3315, '\p{-	Knda}', "");
Expect(1, 3315, '\p{^-	Knda}', "");
Expect(1, 3315, '\P{-	Knda}', "");
Expect(0, 3315, '\P{^-	Knda}', "");
Error('\p{-Is_Knda/a/}');
Error('\P{-Is_Knda/a/}');
Expect(1, 3314, '\p{isknda}', "");
Expect(0, 3314, '\p{^isknda}', "");
Expect(0, 3314, '\P{isknda}', "");
Expect(1, 3314, '\P{^isknda}', "");
Expect(0, 3315, '\p{isknda}', "");
Expect(1, 3315, '\p{^isknda}', "");
Expect(1, 3315, '\P{isknda}', "");
Expect(0, 3315, '\P{^isknda}', "");
Expect(1, 3314, '\p{-Is_Knda}', "");
Expect(0, 3314, '\p{^-Is_Knda}', "");
Expect(0, 3314, '\P{-Is_Knda}', "");
Expect(1, 3314, '\P{^-Is_Knda}', "");
Expect(0, 3315, '\p{-Is_Knda}', "");
Expect(1, 3315, '\p{^-Is_Knda}', "");
Expect(1, 3315, '\P{-Is_Knda}', "");
Expect(0, 3315, '\P{^-Is_Knda}', "");
Error('\p{_/a/Katakana}');
Error('\P{_/a/Katakana}');
Expect(1, 110592, '\p{katakana}', "");
Expect(0, 110592, '\p{^katakana}', "");
Expect(0, 110592, '\P{katakana}', "");
Expect(1, 110592, '\P{^katakana}', "");
Expect(0, 110593, '\p{katakana}', "");
Expect(1, 110593, '\p{^katakana}', "");
Expect(1, 110593, '\P{katakana}', "");
Expect(0, 110593, '\P{^katakana}', "");
Expect(1, 110592, '\p{ -KATAKANA}', "");
Expect(0, 110592, '\p{^ -KATAKANA}', "");
Expect(0, 110592, '\P{ -KATAKANA}', "");
Expect(1, 110592, '\P{^ -KATAKANA}', "");
Expect(0, 110593, '\p{ -KATAKANA}', "");
Expect(1, 110593, '\p{^ -KATAKANA}', "");
Expect(1, 110593, '\P{ -KATAKANA}', "");
Expect(0, 110593, '\P{^ -KATAKANA}', "");
Error('\p{ /a/is_Katakana}');
Error('\P{ /a/is_Katakana}');
Expect(1, 110592, '\p{iskatakana}', "");
Expect(0, 110592, '\p{^iskatakana}', "");
Expect(0, 110592, '\P{iskatakana}', "");
Expect(1, 110592, '\P{^iskatakana}', "");
Expect(0, 110593, '\p{iskatakana}', "");
Expect(1, 110593, '\p{^iskatakana}', "");
Expect(1, 110593, '\P{iskatakana}', "");
Expect(0, 110593, '\P{^iskatakana}', "");
Expect(1, 110592, '\p{_is_KATAKANA}', "");
Expect(0, 110592, '\p{^_is_KATAKANA}', "");
Expect(0, 110592, '\P{_is_KATAKANA}', "");
Expect(1, 110592, '\P{^_is_KATAKANA}', "");
Expect(0, 110593, '\p{_is_KATAKANA}', "");
Expect(1, 110593, '\p{^_is_KATAKANA}', "");
Expect(1, 110593, '\P{_is_KATAKANA}', "");
Expect(0, 110593, '\P{^_is_KATAKANA}', "");
Error('\p{_ kana:=}');
Error('\P{_ kana:=}');
Expect(1, 110592, '\p{kana}', "");
Expect(0, 110592, '\p{^kana}', "");
Expect(0, 110592, '\P{kana}', "");
Expect(1, 110592, '\P{^kana}', "");
Expect(0, 110593, '\p{kana}', "");
Expect(1, 110593, '\p{^kana}', "");
Expect(1, 110593, '\P{kana}', "");
Expect(0, 110593, '\P{^kana}', "");
Expect(1, 110592, '\p{_ KANA}', "");
Expect(0, 110592, '\p{^_ KANA}', "");
Expect(0, 110592, '\P{_ KANA}', "");
Expect(1, 110592, '\P{^_ KANA}', "");
Expect(0, 110593, '\p{_ KANA}', "");
Expect(1, 110593, '\p{^_ KANA}', "");
Expect(1, 110593, '\P{_ KANA}', "");
Expect(0, 110593, '\P{^_ KANA}', "");
Error('\p{/a/-	is_Kana}');
Error('\P{/a/-	is_Kana}');
Expect(1, 110592, '\p{iskana}', "");
Expect(0, 110592, '\p{^iskana}', "");
Expect(0, 110592, '\P{iskana}', "");
Expect(1, 110592, '\P{^iskana}', "");
Expect(0, 110593, '\p{iskana}', "");
Expect(1, 110593, '\p{^iskana}', "");
Expect(1, 110593, '\P{iskana}', "");
Expect(0, 110593, '\P{^iskana}', "");
Expect(1, 110592, '\p{-IS_Kana}', "");
Expect(0, 110592, '\p{^-IS_Kana}', "");
Expect(0, 110592, '\P{-IS_Kana}', "");
Expect(1, 110592, '\P{^-IS_Kana}', "");
Expect(0, 110593, '\p{-IS_Kana}', "");
Expect(1, 110593, '\p{^-IS_Kana}', "");
Expect(1, 110593, '\P{-IS_Kana}', "");
Expect(0, 110593, '\P{^-IS_Kana}', "");
Error('\p{Katakana_Or_Hiragana}');
Error('\P{Katakana_Or_Hiragana}');
Error('\p{Is_Katakana_Or_Hiragana}');
Error('\P{Is_Katakana_Or_Hiragana}');
Error('\p{Hrkt}');
Error('\P{Hrkt}');
Error('\p{Is_Hrkt}');
Error('\P{Is_Hrkt}');
Error('\p{:=	KATAKANA_phonetic_EXTENSIONS}');
Error('\P{:=	KATAKANA_phonetic_EXTENSIONS}');
Expect(1, 12799, '\p{katakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^katakanaphoneticextensions}', "");
Expect(0, 12799, '\P{katakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^katakanaphoneticextensions}', "");
Expect(0, 12800, '\p{katakanaphoneticextensions}', "");
Expect(1, 12800, '\p{^katakanaphoneticextensions}', "");
Expect(1, 12800, '\P{katakanaphoneticextensions}', "");
Expect(0, 12800, '\P{^katakanaphoneticextensions}', "");
Expect(1, 12799, '\p{_Katakana_Phonetic_EXTENSIONS}', "");
Expect(0, 12799, '\p{^_Katakana_Phonetic_EXTENSIONS}', "");
Expect(0, 12799, '\P{_Katakana_Phonetic_EXTENSIONS}', "");
Expect(1, 12799, '\P{^_Katakana_Phonetic_EXTENSIONS}', "");
Expect(0, 12800, '\p{_Katakana_Phonetic_EXTENSIONS}', "");
Expect(1, 12800, '\p{^_Katakana_Phonetic_EXTENSIONS}', "");
Expect(1, 12800, '\P{_Katakana_Phonetic_EXTENSIONS}', "");
Expect(0, 12800, '\P{^_Katakana_Phonetic_EXTENSIONS}', "");
Error('\p{:=is_KATAKANA_Phonetic_Extensions}');
Error('\P{:=is_KATAKANA_Phonetic_Extensions}');
Expect(1, 12799, '\p{iskatakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^iskatakanaphoneticextensions}', "");
Expect(0, 12799, '\P{iskatakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^iskatakanaphoneticextensions}', "");
Expect(0, 12800, '\p{iskatakanaphoneticextensions}', "");
Expect(1, 12800, '\p{^iskatakanaphoneticextensions}', "");
Expect(1, 12800, '\P{iskatakanaphoneticextensions}', "");
Expect(0, 12800, '\P{^iskatakanaphoneticextensions}', "");
Expect(1, 12799, '\p{-_Is_KATAKANA_PHONETIC_Extensions}', "");
Expect(0, 12799, '\p{^-_Is_KATAKANA_PHONETIC_Extensions}', "");
Expect(0, 12799, '\P{-_Is_KATAKANA_PHONETIC_Extensions}', "");
Expect(1, 12799, '\P{^-_Is_KATAKANA_PHONETIC_Extensions}', "");
Expect(0, 12800, '\p{-_Is_KATAKANA_PHONETIC_Extensions}', "");
Expect(1, 12800, '\p{^-_Is_KATAKANA_PHONETIC_Extensions}', "");
Expect(1, 12800, '\P{-_Is_KATAKANA_PHONETIC_Extensions}', "");
Expect(0, 12800, '\P{^-_Is_KATAKANA_PHONETIC_Extensions}', "");
Error('\p{_/a/in_Katakana_Phonetic_Extensions}');
Error('\P{_/a/in_Katakana_Phonetic_Extensions}');
Expect(1, 12799, '\p{inkatakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^inkatakanaphoneticextensions}', "");
Expect(0, 12799, '\P{inkatakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^inkatakanaphoneticextensions}', "");
Expect(0, 12800, '\p{inkatakanaphoneticextensions}', "");
Expect(1, 12800, '\p{^inkatakanaphoneticextensions}', "");
Expect(1, 12800, '\P{inkatakanaphoneticextensions}', "");
Expect(0, 12800, '\P{^inkatakanaphoneticextensions}', "");
Expect(1, 12799, '\p{- In_Katakana_Phonetic_EXTENSIONS}', "");
Expect(0, 12799, '\p{^- In_Katakana_Phonetic_EXTENSIONS}', "");
Expect(0, 12799, '\P{- In_Katakana_Phonetic_EXTENSIONS}', "");
Expect(1, 12799, '\P{^- In_Katakana_Phonetic_EXTENSIONS}', "");
Expect(0, 12800, '\p{- In_Katakana_Phonetic_EXTENSIONS}', "");
Expect(1, 12800, '\p{^- In_Katakana_Phonetic_EXTENSIONS}', "");
Expect(1, 12800, '\P{- In_Katakana_Phonetic_EXTENSIONS}', "");
Expect(0, 12800, '\P{^- In_Katakana_Phonetic_EXTENSIONS}', "");
Error('\p{_Katakana_EXT/a/}');
Error('\P{_Katakana_EXT/a/}');
Expect(1, 12799, '\p{katakanaext}', "");
Expect(0, 12799, '\p{^katakanaext}', "");
Expect(0, 12799, '\P{katakanaext}', "");
Expect(1, 12799, '\P{^katakanaext}', "");
Expect(0, 12800, '\p{katakanaext}', "");
Expect(1, 12800, '\p{^katakanaext}', "");
Expect(1, 12800, '\P{katakanaext}', "");
Expect(0, 12800, '\P{^katakanaext}', "");
Expect(1, 12799, '\p{	_KATAKANA_Ext}', "");
Expect(0, 12799, '\p{^	_KATAKANA_Ext}', "");
Expect(0, 12799, '\P{	_KATAKANA_Ext}', "");
Expect(1, 12799, '\P{^	_KATAKANA_Ext}', "");
Expect(0, 12800, '\p{	_KATAKANA_Ext}', "");
Expect(1, 12800, '\p{^	_KATAKANA_Ext}', "");
Expect(1, 12800, '\P{	_KATAKANA_Ext}', "");
Expect(0, 12800, '\P{^	_KATAKANA_Ext}', "");
Error('\p{:=_Is_Katakana_EXT}');
Error('\P{:=_Is_Katakana_EXT}');
Expect(1, 12799, '\p{iskatakanaext}', "");
Expect(0, 12799, '\p{^iskatakanaext}', "");
Expect(0, 12799, '\P{iskatakanaext}', "");
Expect(1, 12799, '\P{^iskatakanaext}', "");
Expect(0, 12800, '\p{iskatakanaext}', "");
Expect(1, 12800, '\p{^iskatakanaext}', "");
Expect(1, 12800, '\P{iskatakanaext}', "");
Expect(0, 12800, '\P{^iskatakanaext}', "");
Expect(1, 12799, '\p{		IS_Katakana_Ext}', "");
Expect(0, 12799, '\p{^		IS_Katakana_Ext}', "");
Expect(0, 12799, '\P{		IS_Katakana_Ext}', "");
Expect(1, 12799, '\P{^		IS_Katakana_Ext}', "");
Expect(0, 12800, '\p{		IS_Katakana_Ext}', "");
Expect(1, 12800, '\p{^		IS_Katakana_Ext}', "");
Expect(1, 12800, '\P{		IS_Katakana_Ext}', "");
Expect(0, 12800, '\P{^		IS_Katakana_Ext}', "");
Error('\p{	in_katakana_ext/a/}');
Error('\P{	in_katakana_ext/a/}');
Expect(1, 12799, '\p{inkatakanaext}', "");
Expect(0, 12799, '\p{^inkatakanaext}', "");
Expect(0, 12799, '\P{inkatakanaext}', "");
Expect(1, 12799, '\P{^inkatakanaext}', "");
Expect(0, 12800, '\p{inkatakanaext}', "");
Expect(1, 12800, '\p{^inkatakanaext}', "");
Expect(1, 12800, '\P{inkatakanaext}', "");
Expect(0, 12800, '\P{^inkatakanaext}', "");
Expect(1, 12799, '\p{__IN_Katakana_Ext}', "");
Expect(0, 12799, '\p{^__IN_Katakana_Ext}', "");
Expect(0, 12799, '\P{__IN_Katakana_Ext}', "");
Expect(1, 12799, '\P{^__IN_Katakana_Ext}', "");
Expect(0, 12800, '\p{__IN_Katakana_Ext}', "");
Expect(1, 12800, '\p{^__IN_Katakana_Ext}', "");
Expect(1, 12800, '\P{__IN_Katakana_Ext}', "");
Expect(0, 12800, '\P{^__IN_Katakana_Ext}', "");
Error('\p{	/a/Kayah_Li}');
Error('\P{	/a/Kayah_Li}');
Expect(1, 43311, '\p{kayahli}', "");
Expect(0, 43311, '\p{^kayahli}', "");
Expect(0, 43311, '\P{kayahli}', "");
Expect(1, 43311, '\P{^kayahli}', "");
Expect(0, 43312, '\p{kayahli}', "");
Expect(1, 43312, '\p{^kayahli}', "");
Expect(1, 43312, '\P{kayahli}', "");
Expect(0, 43312, '\P{^kayahli}', "");
Expect(1, 43311, '\p{-kayah_LI}', "");
Expect(0, 43311, '\p{^-kayah_LI}', "");
Expect(0, 43311, '\P{-kayah_LI}', "");
Expect(1, 43311, '\P{^-kayah_LI}', "");
Expect(0, 43312, '\p{-kayah_LI}', "");
Expect(1, 43312, '\p{^-kayah_LI}', "");
Expect(1, 43312, '\P{-kayah_LI}', "");
Expect(0, 43312, '\P{^-kayah_LI}', "");
Error('\p{_-Is_Kayah_LI/a/}');
Error('\P{_-Is_Kayah_LI/a/}');
Expect(1, 43311, '\p{iskayahli}', "");
Expect(0, 43311, '\p{^iskayahli}', "");
Expect(0, 43311, '\P{iskayahli}', "");
Expect(1, 43311, '\P{^iskayahli}', "");
Expect(0, 43312, '\p{iskayahli}', "");
Expect(1, 43312, '\p{^iskayahli}', "");
Expect(1, 43312, '\P{iskayahli}', "");
Expect(0, 43312, '\P{^iskayahli}', "");
Expect(1, 43311, '\p{ Is_kayah_Li}', "");
Expect(0, 43311, '\p{^ Is_kayah_Li}', "");
Expect(0, 43311, '\P{ Is_kayah_Li}', "");
Expect(1, 43311, '\P{^ Is_kayah_Li}', "");
Expect(0, 43312, '\p{ Is_kayah_Li}', "");
Expect(1, 43312, '\p{^ Is_kayah_Li}', "");
Expect(1, 43312, '\P{ Is_kayah_Li}', "");
Expect(0, 43312, '\P{^ Is_kayah_Li}', "");
Error('\p{/a/-	kali}');
Error('\P{/a/-	kali}');
Expect(1, 43311, '\p{kali}', "");
Expect(0, 43311, '\p{^kali}', "");
Expect(0, 43311, '\P{kali}', "");
Expect(1, 43311, '\P{^kali}', "");
Expect(0, 43312, '\p{kali}', "");
Expect(1, 43312, '\p{^kali}', "");
Expect(1, 43312, '\P{kali}', "");
Expect(0, 43312, '\P{^kali}', "");
Expect(1, 43311, '\p{	-KALI}', "");
Expect(0, 43311, '\p{^	-KALI}', "");
Expect(0, 43311, '\P{	-KALI}', "");
Expect(1, 43311, '\P{^	-KALI}', "");
Expect(0, 43312, '\p{	-KALI}', "");
Expect(1, 43312, '\p{^	-KALI}', "");
Expect(1, 43312, '\P{	-KALI}', "");
Expect(0, 43312, '\P{^	-KALI}', "");
Error('\p{/a/-	Is_KALI}');
Error('\P{/a/-	Is_KALI}');
Expect(1, 43311, '\p{iskali}', "");
Expect(0, 43311, '\p{^iskali}', "");
Expect(0, 43311, '\P{iskali}', "");
Expect(1, 43311, '\P{^iskali}', "");
Expect(0, 43312, '\p{iskali}', "");
Expect(1, 43312, '\p{^iskali}', "");
Expect(1, 43312, '\P{iskali}', "");
Expect(0, 43312, '\P{^iskali}', "");
Expect(1, 43311, '\p{	 IS_Kali}', "");
Expect(0, 43311, '\p{^	 IS_Kali}', "");
Expect(0, 43311, '\P{	 IS_Kali}', "");
Expect(1, 43311, '\P{^	 IS_Kali}', "");
Expect(0, 43312, '\p{	 IS_Kali}', "");
Expect(1, 43312, '\p{^	 IS_Kali}', "");
Expect(1, 43312, '\P{	 IS_Kali}', "");
Expect(0, 43312, '\P{^	 IS_Kali}', "");
Error('\p{	:=kharoshthi}');
Error('\P{	:=kharoshthi}');
Expect(1, 68184, '\p{kharoshthi}', "");
Expect(0, 68184, '\p{^kharoshthi}', "");
Expect(0, 68184, '\P{kharoshthi}', "");
Expect(1, 68184, '\P{^kharoshthi}', "");
Expect(0, 68185, '\p{kharoshthi}', "");
Expect(1, 68185, '\p{^kharoshthi}', "");
Expect(1, 68185, '\P{kharoshthi}', "");
Expect(0, 68185, '\P{^kharoshthi}', "");
Expect(1, 68184, '\p{ _Kharoshthi}', "");
Expect(0, 68184, '\p{^ _Kharoshthi}', "");
Expect(0, 68184, '\P{ _Kharoshthi}', "");
Expect(1, 68184, '\P{^ _Kharoshthi}', "");
Expect(0, 68185, '\p{ _Kharoshthi}', "");
Expect(1, 68185, '\p{^ _Kharoshthi}', "");
Expect(1, 68185, '\P{ _Kharoshthi}', "");
Expect(0, 68185, '\P{^ _Kharoshthi}', "");
Error('\p{	IS_Kharoshthi:=}');
Error('\P{	IS_Kharoshthi:=}');
Expect(1, 68184, '\p{iskharoshthi}', "");
Expect(0, 68184, '\p{^iskharoshthi}', "");
Expect(0, 68184, '\P{iskharoshthi}', "");
Expect(1, 68184, '\P{^iskharoshthi}', "");
Expect(0, 68185, '\p{iskharoshthi}', "");
Expect(1, 68185, '\p{^iskharoshthi}', "");
Expect(1, 68185, '\P{iskharoshthi}', "");
Expect(0, 68185, '\P{^iskharoshthi}', "");
Expect(1, 68184, '\p{ -is_KHAROSHTHI}', "");
Expect(0, 68184, '\p{^ -is_KHAROSHTHI}', "");
Expect(0, 68184, '\P{ -is_KHAROSHTHI}', "");
Expect(1, 68184, '\P{^ -is_KHAROSHTHI}', "");
Expect(0, 68185, '\p{ -is_KHAROSHTHI}', "");
Expect(1, 68185, '\p{^ -is_KHAROSHTHI}', "");
Expect(1, 68185, '\P{ -is_KHAROSHTHI}', "");
Expect(0, 68185, '\P{^ -is_KHAROSHTHI}', "");
Error('\p{/a/-Khar}');
Error('\P{/a/-Khar}');
Expect(1, 68184, '\p{khar}', "");
Expect(0, 68184, '\p{^khar}', "");
Expect(0, 68184, '\P{khar}', "");
Expect(1, 68184, '\P{^khar}', "");
Expect(0, 68185, '\p{khar}', "");
Expect(1, 68185, '\p{^khar}', "");
Expect(1, 68185, '\P{khar}', "");
Expect(0, 68185, '\P{^khar}', "");
Expect(1, 68184, '\p{_Khar}', "");
Expect(0, 68184, '\p{^_Khar}', "");
Expect(0, 68184, '\P{_Khar}', "");
Expect(1, 68184, '\P{^_Khar}', "");
Expect(0, 68185, '\p{_Khar}', "");
Expect(1, 68185, '\p{^_Khar}', "");
Expect(1, 68185, '\P{_Khar}', "");
Expect(0, 68185, '\P{^_Khar}', "");
Error('\p{:=_ Is_Khar}');
Error('\P{:=_ Is_Khar}');
Expect(1, 68184, '\p{iskhar}', "");
Expect(0, 68184, '\p{^iskhar}', "");
Expect(0, 68184, '\P{iskhar}', "");
Expect(1, 68184, '\P{^iskhar}', "");
Expect(0, 68185, '\p{iskhar}', "");
Expect(1, 68185, '\p{^iskhar}', "");
Expect(1, 68185, '\P{iskhar}', "");
Expect(0, 68185, '\P{^iskhar}', "");
Expect(1, 68184, '\p{-IS_KHAR}', "");
Expect(0, 68184, '\p{^-IS_KHAR}', "");
Expect(0, 68184, '\P{-IS_KHAR}', "");
Expect(1, 68184, '\P{^-IS_KHAR}', "");
Expect(0, 68185, '\p{-IS_KHAR}', "");
Expect(1, 68185, '\p{^-IS_KHAR}', "");
Expect(1, 68185, '\P{-IS_KHAR}', "");
Expect(0, 68185, '\P{^-IS_KHAR}', "");
Error('\p{__KHMER/a/}');
Error('\P{__KHMER/a/}');
Expect(1, 6655, '\p{khmer}', "");
Expect(0, 6655, '\p{^khmer}', "");
Expect(0, 6655, '\P{khmer}', "");
Expect(1, 6655, '\P{^khmer}', "");
Expect(0, 6656, '\p{khmer}', "");
Expect(1, 6656, '\p{^khmer}', "");
Expect(1, 6656, '\P{khmer}', "");
Expect(0, 6656, '\P{^khmer}', "");
Expect(1, 6655, '\p{_ Khmer}', "");
Expect(0, 6655, '\p{^_ Khmer}', "");
Expect(0, 6655, '\P{_ Khmer}', "");
Expect(1, 6655, '\P{^_ Khmer}', "");
Expect(0, 6656, '\p{_ Khmer}', "");
Expect(1, 6656, '\p{^_ Khmer}', "");
Expect(1, 6656, '\P{_ Khmer}', "");
Expect(0, 6656, '\P{^_ Khmer}', "");
Error('\p{	Is_khmer:=}');
Error('\P{	Is_khmer:=}');
Expect(1, 6655, '\p{iskhmer}', "");
Expect(0, 6655, '\p{^iskhmer}', "");
Expect(0, 6655, '\P{iskhmer}', "");
Expect(1, 6655, '\P{^iskhmer}', "");
Expect(0, 6656, '\p{iskhmer}', "");
Expect(1, 6656, '\p{^iskhmer}', "");
Expect(1, 6656, '\P{iskhmer}', "");
Expect(0, 6656, '\P{^iskhmer}', "");
Expect(1, 6655, '\p{IS_KHMER}', "");
Expect(0, 6655, '\p{^IS_KHMER}', "");
Expect(0, 6655, '\P{IS_KHMER}', "");
Expect(1, 6655, '\P{^IS_KHMER}', "");
Expect(0, 6656, '\p{IS_KHMER}', "");
Expect(1, 6656, '\p{^IS_KHMER}', "");
Expect(1, 6656, '\P{IS_KHMER}', "");
Expect(0, 6656, '\P{^IS_KHMER}', "");
Error('\p{/a/  Khmr}');
Error('\P{/a/  Khmr}');
Expect(1, 6655, '\p{khmr}', "");
Expect(0, 6655, '\p{^khmr}', "");
Expect(0, 6655, '\P{khmr}', "");
Expect(1, 6655, '\P{^khmr}', "");
Expect(0, 6656, '\p{khmr}', "");
Expect(1, 6656, '\p{^khmr}', "");
Expect(1, 6656, '\P{khmr}', "");
Expect(0, 6656, '\P{^khmr}', "");
Expect(1, 6655, '\p{ _KHMR}', "");
Expect(0, 6655, '\p{^ _KHMR}', "");
Expect(0, 6655, '\P{ _KHMR}', "");
Expect(1, 6655, '\P{^ _KHMR}', "");
Expect(0, 6656, '\p{ _KHMR}', "");
Expect(1, 6656, '\p{^ _KHMR}', "");
Expect(1, 6656, '\P{ _KHMR}', "");
Expect(0, 6656, '\P{^ _KHMR}', "");
Error('\p{:=-_is_KHMR}');
Error('\P{:=-_is_KHMR}');
Expect(1, 6655, '\p{iskhmr}', "");
Expect(0, 6655, '\p{^iskhmr}', "");
Expect(0, 6655, '\P{iskhmr}', "");
Expect(1, 6655, '\P{^iskhmr}', "");
Expect(0, 6656, '\p{iskhmr}', "");
Expect(1, 6656, '\p{^iskhmr}', "");
Expect(1, 6656, '\P{iskhmr}', "");
Expect(0, 6656, '\P{^iskhmr}', "");
Expect(1, 6655, '\p{ IS_khmr}', "");
Expect(0, 6655, '\p{^ IS_khmr}', "");
Expect(0, 6655, '\P{ IS_khmr}', "");
Expect(1, 6655, '\P{^ IS_khmr}', "");
Expect(0, 6656, '\p{ IS_khmr}', "");
Expect(1, 6656, '\p{^ IS_khmr}', "");
Expect(1, 6656, '\P{ IS_khmr}', "");
Expect(0, 6656, '\P{^ IS_khmr}', "");
Error('\p{_khmer_Symbols/a/}');
Error('\P{_khmer_Symbols/a/}');
Expect(1, 6655, '\p{khmersymbols}', "");
Expect(0, 6655, '\p{^khmersymbols}', "");
Expect(0, 6655, '\P{khmersymbols}', "");
Expect(1, 6655, '\P{^khmersymbols}', "");
Expect(0, 6656, '\p{khmersymbols}', "");
Expect(1, 6656, '\p{^khmersymbols}', "");
Expect(1, 6656, '\P{khmersymbols}', "");
Expect(0, 6656, '\P{^khmersymbols}', "");
Expect(1, 6655, '\p{	_Khmer_SYMBOLS}', "");
Expect(0, 6655, '\p{^	_Khmer_SYMBOLS}', "");
Expect(0, 6655, '\P{	_Khmer_SYMBOLS}', "");
Expect(1, 6655, '\P{^	_Khmer_SYMBOLS}', "");
Expect(0, 6656, '\p{	_Khmer_SYMBOLS}', "");
Expect(1, 6656, '\p{^	_Khmer_SYMBOLS}', "");
Expect(1, 6656, '\P{	_Khmer_SYMBOLS}', "");
Expect(0, 6656, '\P{^	_Khmer_SYMBOLS}', "");
Error('\p{/a/- Is_khmer_Symbols}');
Error('\P{/a/- Is_khmer_Symbols}');
Expect(1, 6655, '\p{iskhmersymbols}', "");
Expect(0, 6655, '\p{^iskhmersymbols}', "");
Expect(0, 6655, '\P{iskhmersymbols}', "");
Expect(1, 6655, '\P{^iskhmersymbols}', "");
Expect(0, 6656, '\p{iskhmersymbols}', "");
Expect(1, 6656, '\p{^iskhmersymbols}', "");
Expect(1, 6656, '\P{iskhmersymbols}', "");
Expect(0, 6656, '\P{^iskhmersymbols}', "");
Expect(1, 6655, '\p{_ Is_Khmer_Symbols}', "");
Expect(0, 6655, '\p{^_ Is_Khmer_Symbols}', "");
Expect(0, 6655, '\P{_ Is_Khmer_Symbols}', "");
Expect(1, 6655, '\P{^_ Is_Khmer_Symbols}', "");
Expect(0, 6656, '\p{_ Is_Khmer_Symbols}', "");
Expect(1, 6656, '\p{^_ Is_Khmer_Symbols}', "");
Expect(1, 6656, '\P{_ Is_Khmer_Symbols}', "");
Expect(0, 6656, '\P{^_ Is_Khmer_Symbols}', "");
Error('\p{_/a/in_KHMER_Symbols}');
Error('\P{_/a/in_KHMER_Symbols}');
Expect(1, 6655, '\p{inkhmersymbols}', "");
Expect(0, 6655, '\p{^inkhmersymbols}', "");
Expect(0, 6655, '\P{inkhmersymbols}', "");
Expect(1, 6655, '\P{^inkhmersymbols}', "");
Expect(0, 6656, '\p{inkhmersymbols}', "");
Expect(1, 6656, '\p{^inkhmersymbols}', "");
Expect(1, 6656, '\P{inkhmersymbols}', "");
Expect(0, 6656, '\P{^inkhmersymbols}', "");
Expect(1, 6655, '\p{		in_Khmer_Symbols}', "");
Expect(0, 6655, '\p{^		in_Khmer_Symbols}', "");
Expect(0, 6655, '\P{		in_Khmer_Symbols}', "");
Expect(1, 6655, '\P{^		in_Khmer_Symbols}', "");
Expect(0, 6656, '\p{		in_Khmer_Symbols}', "");
Expect(1, 6656, '\p{^		in_Khmer_Symbols}', "");
Expect(1, 6656, '\P{		in_Khmer_Symbols}', "");
Expect(0, 6656, '\P{^		in_Khmer_Symbols}', "");
Error('\p{ Khojki/a/}');
Error('\P{ Khojki/a/}');
Expect(1, 70205, '\p{khojki}', "");
Expect(0, 70205, '\p{^khojki}', "");
Expect(0, 70205, '\P{khojki}', "");
Expect(1, 70205, '\P{^khojki}', "");
Expect(0, 70206, '\p{khojki}', "");
Expect(1, 70206, '\p{^khojki}', "");
Expect(1, 70206, '\P{khojki}', "");
Expect(0, 70206, '\P{^khojki}', "");
Expect(1, 70205, '\p{	_Khojki}', "");
Expect(0, 70205, '\p{^	_Khojki}', "");
Expect(0, 70205, '\P{	_Khojki}', "");
Expect(1, 70205, '\P{^	_Khojki}', "");
Expect(0, 70206, '\p{	_Khojki}', "");
Expect(1, 70206, '\p{^	_Khojki}', "");
Expect(1, 70206, '\P{	_Khojki}', "");
Expect(0, 70206, '\P{^	_Khojki}', "");
Error('\p{ Is_khojki/a/}');
Error('\P{ Is_khojki/a/}');
Expect(1, 70205, '\p{iskhojki}', "");
Expect(0, 70205, '\p{^iskhojki}', "");
Expect(0, 70205, '\P{iskhojki}', "");
Expect(1, 70205, '\P{^iskhojki}', "");
Expect(0, 70206, '\p{iskhojki}', "");
Expect(1, 70206, '\p{^iskhojki}', "");
Expect(1, 70206, '\P{iskhojki}', "");
Expect(0, 70206, '\P{^iskhojki}', "");
Expect(1, 70205, '\p{		is_khojki}', "");
Expect(0, 70205, '\p{^		is_khojki}', "");
Expect(0, 70205, '\P{		is_khojki}', "");
Expect(1, 70205, '\P{^		is_khojki}', "");
Expect(0, 70206, '\p{		is_khojki}', "");
Expect(1, 70206, '\p{^		is_khojki}', "");
Expect(1, 70206, '\P{		is_khojki}', "");
Expect(0, 70206, '\P{^		is_khojki}', "");
Error('\p{	/a/khoj}');
Error('\P{	/a/khoj}');
Expect(1, 70205, '\p{khoj}', "");
Expect(0, 70205, '\p{^khoj}', "");
Expect(0, 70205, '\P{khoj}', "");
Expect(1, 70205, '\P{^khoj}', "");
Expect(0, 70206, '\p{khoj}', "");
Expect(1, 70206, '\p{^khoj}', "");
Expect(1, 70206, '\P{khoj}', "");
Expect(0, 70206, '\P{^khoj}', "");
Expect(1, 70205, '\p{- Khoj}', "");
Expect(0, 70205, '\p{^- Khoj}', "");
Expect(0, 70205, '\P{- Khoj}', "");
Expect(1, 70205, '\P{^- Khoj}', "");
Expect(0, 70206, '\p{- Khoj}', "");
Expect(1, 70206, '\p{^- Khoj}', "");
Expect(1, 70206, '\P{- Khoj}', "");
Expect(0, 70206, '\P{^- Khoj}', "");
Error('\p{ is_KHOJ:=}');
Error('\P{ is_KHOJ:=}');
Expect(1, 70205, '\p{iskhoj}', "");
Expect(0, 70205, '\p{^iskhoj}', "");
Expect(0, 70205, '\P{iskhoj}', "");
Expect(1, 70205, '\P{^iskhoj}', "");
Expect(0, 70206, '\p{iskhoj}', "");
Expect(1, 70206, '\p{^iskhoj}', "");
Expect(1, 70206, '\P{iskhoj}', "");
Expect(0, 70206, '\P{^iskhoj}', "");
Expect(1, 70205, '\p{_-Is_khoj}', "");
Expect(0, 70205, '\p{^_-Is_khoj}', "");
Expect(0, 70205, '\P{_-Is_khoj}', "");
Expect(1, 70205, '\P{^_-Is_khoj}', "");
Expect(0, 70206, '\p{_-Is_khoj}', "");
Expect(1, 70206, '\p{^_-Is_khoj}', "");
Expect(1, 70206, '\P{_-Is_khoj}', "");
Expect(0, 70206, '\P{^_-Is_khoj}', "");
Error('\p{:=Khudawadi}');
Error('\P{:=Khudawadi}');
Expect(1, 70393, '\p{khudawadi}', "");
Expect(0, 70393, '\p{^khudawadi}', "");
Expect(0, 70393, '\P{khudawadi}', "");
Expect(1, 70393, '\P{^khudawadi}', "");
Expect(0, 70394, '\p{khudawadi}', "");
Expect(1, 70394, '\p{^khudawadi}', "");
Expect(1, 70394, '\P{khudawadi}', "");
Expect(0, 70394, '\P{^khudawadi}', "");
Expect(1, 70393, '\p{	_Khudawadi}', "");
Expect(0, 70393, '\p{^	_Khudawadi}', "");
Expect(0, 70393, '\P{	_Khudawadi}', "");
Expect(1, 70393, '\P{^	_Khudawadi}', "");
Expect(0, 70394, '\p{	_Khudawadi}', "");
Expect(1, 70394, '\p{^	_Khudawadi}', "");
Expect(1, 70394, '\P{	_Khudawadi}', "");
Expect(0, 70394, '\P{^	_Khudawadi}', "");
Error('\p{_:=Is_KHUDAWADI}');
Error('\P{_:=Is_KHUDAWADI}');
Expect(1, 70393, '\p{iskhudawadi}', "");
Expect(0, 70393, '\p{^iskhudawadi}', "");
Expect(0, 70393, '\P{iskhudawadi}', "");
Expect(1, 70393, '\P{^iskhudawadi}', "");
Expect(0, 70394, '\p{iskhudawadi}', "");
Expect(1, 70394, '\p{^iskhudawadi}', "");
Expect(1, 70394, '\P{iskhudawadi}', "");
Expect(0, 70394, '\P{^iskhudawadi}', "");
Expect(1, 70393, '\p{_	is_KHUDAWADI}', "");
Expect(0, 70393, '\p{^_	is_KHUDAWADI}', "");
Expect(0, 70393, '\P{_	is_KHUDAWADI}', "");
Expect(1, 70393, '\P{^_	is_KHUDAWADI}', "");
Expect(0, 70394, '\p{_	is_KHUDAWADI}', "");
Expect(1, 70394, '\p{^_	is_KHUDAWADI}', "");
Expect(1, 70394, '\P{_	is_KHUDAWADI}', "");
Expect(0, 70394, '\P{^_	is_KHUDAWADI}', "");
Error('\p{-/a/Sind}');
Error('\P{-/a/Sind}');
Expect(1, 70393, '\p{sind}', "");
Expect(0, 70393, '\p{^sind}', "");
Expect(0, 70393, '\P{sind}', "");
Expect(1, 70393, '\P{^sind}', "");
Expect(0, 70394, '\p{sind}', "");
Expect(1, 70394, '\p{^sind}', "");
Expect(1, 70394, '\P{sind}', "");
Expect(0, 70394, '\P{^sind}', "");
Expect(1, 70393, '\p{ Sind}', "");
Expect(0, 70393, '\p{^ Sind}', "");
Expect(0, 70393, '\P{ Sind}', "");
Expect(1, 70393, '\P{^ Sind}', "");
Expect(0, 70394, '\p{ Sind}', "");
Expect(1, 70394, '\p{^ Sind}', "");
Expect(1, 70394, '\P{ Sind}', "");
Expect(0, 70394, '\P{^ Sind}', "");
Error('\p{	/a/is_Sind}');
Error('\P{	/a/is_Sind}');
Expect(1, 70393, '\p{issind}', "");
Expect(0, 70393, '\p{^issind}', "");
Expect(0, 70393, '\P{issind}', "");
Expect(1, 70393, '\P{^issind}', "");
Expect(0, 70394, '\p{issind}', "");
Expect(1, 70394, '\p{^issind}', "");
Expect(1, 70394, '\P{issind}', "");
Expect(0, 70394, '\P{^issind}', "");
Expect(1, 70393, '\p{_ IS_SIND}', "");
Expect(0, 70393, '\p{^_ IS_SIND}', "");
Expect(0, 70393, '\P{_ IS_SIND}', "");
Expect(1, 70393, '\P{^_ IS_SIND}', "");
Expect(0, 70394, '\p{_ IS_SIND}', "");
Expect(1, 70394, '\p{^_ IS_SIND}', "");
Expect(1, 70394, '\P{_ IS_SIND}', "");
Expect(0, 70394, '\P{^_ IS_SIND}', "");
Error('\p{	Lao/a/}');
Error('\P{	Lao/a/}');
Expect(1, 3807, '\p{lao}', "");
Expect(0, 3807, '\p{^lao}', "");
Expect(0, 3807, '\P{lao}', "");
Expect(1, 3807, '\P{^lao}', "");
Expect(0, 3808, '\p{lao}', "");
Expect(1, 3808, '\p{^lao}', "");
Expect(1, 3808, '\P{lao}', "");
Expect(0, 3808, '\P{^lao}', "");
Expect(1, 3807, '\p{- LAO}', "");
Expect(0, 3807, '\p{^- LAO}', "");
Expect(0, 3807, '\P{- LAO}', "");
Expect(1, 3807, '\P{^- LAO}', "");
Expect(0, 3808, '\p{- LAO}', "");
Expect(1, 3808, '\p{^- LAO}', "");
Expect(1, 3808, '\P{- LAO}', "");
Expect(0, 3808, '\P{^- LAO}', "");
Error('\p{:= 	is_Lao}');
Error('\P{:= 	is_Lao}');
Expect(1, 3807, '\p{islao}', "");
Expect(0, 3807, '\p{^islao}', "");
Expect(0, 3807, '\P{islao}', "");
Expect(1, 3807, '\P{^islao}', "");
Expect(0, 3808, '\p{islao}', "");
Expect(1, 3808, '\p{^islao}', "");
Expect(1, 3808, '\P{islao}', "");
Expect(0, 3808, '\P{^islao}', "");
Expect(1, 3807, '\p{		is_LAO}', "");
Expect(0, 3807, '\p{^		is_LAO}', "");
Expect(0, 3807, '\P{		is_LAO}', "");
Expect(1, 3807, '\P{^		is_LAO}', "");
Expect(0, 3808, '\p{		is_LAO}', "");
Expect(1, 3808, '\p{^		is_LAO}', "");
Expect(1, 3808, '\P{		is_LAO}', "");
Expect(0, 3808, '\P{^		is_LAO}', "");
Error('\p{/a/-laoo}');
Error('\P{/a/-laoo}');
Expect(1, 3807, '\p{laoo}', "");
Expect(0, 3807, '\p{^laoo}', "");
Expect(0, 3807, '\P{laoo}', "");
Expect(1, 3807, '\P{^laoo}', "");
Expect(0, 3808, '\p{laoo}', "");
Expect(1, 3808, '\p{^laoo}', "");
Expect(1, 3808, '\P{laoo}', "");
Expect(0, 3808, '\P{^laoo}', "");
Expect(1, 3807, '\p{ -LAOO}', "");
Expect(0, 3807, '\p{^ -LAOO}', "");
Expect(0, 3807, '\P{ -LAOO}', "");
Expect(1, 3807, '\P{^ -LAOO}', "");
Expect(0, 3808, '\p{ -LAOO}', "");
Expect(1, 3808, '\p{^ -LAOO}', "");
Expect(1, 3808, '\P{ -LAOO}', "");
Expect(0, 3808, '\P{^ -LAOO}', "");
Error('\p{:= _Is_laoo}');
Error('\P{:= _Is_laoo}');
Expect(1, 3807, '\p{islaoo}', "");
Expect(0, 3807, '\p{^islaoo}', "");
Expect(0, 3807, '\P{islaoo}', "");
Expect(1, 3807, '\P{^islaoo}', "");
Expect(0, 3808, '\p{islaoo}', "");
Expect(1, 3808, '\p{^islaoo}', "");
Expect(1, 3808, '\P{islaoo}', "");
Expect(0, 3808, '\P{^islaoo}', "");
Expect(1, 3807, '\p{--IS_Laoo}', "");
Expect(0, 3807, '\p{^--IS_Laoo}', "");
Expect(0, 3807, '\P{--IS_Laoo}', "");
Expect(1, 3807, '\P{^--IS_Laoo}', "");
Expect(0, 3808, '\p{--IS_Laoo}', "");
Expect(1, 3808, '\p{^--IS_Laoo}', "");
Expect(1, 3808, '\P{--IS_Laoo}', "");
Expect(0, 3808, '\P{^--IS_Laoo}', "");
Error('\p{ Latin:=}');
Error('\P{ Latin:=}');
Expect(1, 65370, '\p{latin}', "");
Expect(0, 65370, '\p{^latin}', "");
Expect(0, 65370, '\P{latin}', "");
Expect(1, 65370, '\P{^latin}', "");
Expect(0, 65371, '\p{latin}', "");
Expect(1, 65371, '\p{^latin}', "");
Expect(1, 65371, '\P{latin}', "");
Expect(0, 65371, '\P{^latin}', "");
Expect(1, 65370, '\p{  Latin}', "");
Expect(0, 65370, '\p{^  Latin}', "");
Expect(0, 65370, '\P{  Latin}', "");
Expect(1, 65370, '\P{^  Latin}', "");
Expect(0, 65371, '\p{  Latin}', "");
Expect(1, 65371, '\p{^  Latin}', "");
Expect(1, 65371, '\P{  Latin}', "");
Expect(0, 65371, '\P{^  Latin}', "");
Error('\p{_/a/IS_Latin}');
Error('\P{_/a/IS_Latin}');
Expect(1, 65370, '\p{islatin}', "");
Expect(0, 65370, '\p{^islatin}', "");
Expect(0, 65370, '\P{islatin}', "");
Expect(1, 65370, '\P{^islatin}', "");
Expect(0, 65371, '\p{islatin}', "");
Expect(1, 65371, '\p{^islatin}', "");
Expect(1, 65371, '\P{islatin}', "");
Expect(0, 65371, '\P{^islatin}', "");
Expect(1, 65370, '\p{ Is_latin}', "");
Expect(0, 65370, '\p{^ Is_latin}', "");
Expect(0, 65370, '\P{ Is_latin}', "");
Expect(1, 65370, '\P{^ Is_latin}', "");
Expect(0, 65371, '\p{ Is_latin}', "");
Expect(1, 65371, '\p{^ Is_latin}', "");
Expect(1, 65371, '\P{ Is_latin}', "");
Expect(0, 65371, '\P{^ Is_latin}', "");
Error('\p{-:=LATN}');
Error('\P{-:=LATN}');
Expect(1, 65370, '\p{latn}', "");
Expect(0, 65370, '\p{^latn}', "");
Expect(0, 65370, '\P{latn}', "");
Expect(1, 65370, '\P{^latn}', "");
Expect(0, 65371, '\p{latn}', "");
Expect(1, 65371, '\p{^latn}', "");
Expect(1, 65371, '\P{latn}', "");
Expect(0, 65371, '\P{^latn}', "");
Expect(1, 65370, '\p{	latn}', "");
Expect(0, 65370, '\p{^	latn}', "");
Expect(0, 65370, '\P{	latn}', "");
Expect(1, 65370, '\P{^	latn}', "");
Expect(0, 65371, '\p{	latn}', "");
Expect(1, 65371, '\p{^	latn}', "");
Expect(1, 65371, '\P{	latn}', "");
Expect(0, 65371, '\P{^	latn}', "");
Error('\p{ /a/is_Latn}');
Error('\P{ /a/is_Latn}');
Expect(1, 65370, '\p{islatn}', "");
Expect(0, 65370, '\p{^islatn}', "");
Expect(0, 65370, '\P{islatn}', "");
Expect(1, 65370, '\P{^islatn}', "");
Expect(0, 65371, '\p{islatn}', "");
Expect(1, 65371, '\p{^islatn}', "");
Expect(1, 65371, '\P{islatn}', "");
Expect(0, 65371, '\P{^islatn}', "");
Expect(1, 65370, '\p{_-Is_Latn}', "");
Expect(0, 65370, '\p{^_-Is_Latn}', "");
Expect(0, 65370, '\P{_-Is_Latn}', "");
Expect(1, 65370, '\P{^_-Is_Latn}', "");
Expect(0, 65371, '\p{_-Is_Latn}', "");
Expect(1, 65371, '\p{^_-Is_Latn}', "");
Expect(1, 65371, '\P{_-Is_Latn}', "");
Expect(0, 65371, '\P{^_-Is_Latn}', "");
Error('\p{-:=LATIN_1_Supplement}');
Error('\P{-:=LATIN_1_Supplement}');
Expect(1, 255, '\p{latin1supplement}', "");
Expect(0, 255, '\p{^latin1supplement}', "");
Expect(0, 255, '\P{latin1supplement}', "");
Expect(1, 255, '\P{^latin1supplement}', "");
Expect(0, 256, '\p{latin1supplement}', "");
Expect(1, 256, '\p{^latin1supplement}', "");
Expect(1, 256, '\P{latin1supplement}', "");
Expect(0, 256, '\P{^latin1supplement}', "");
Expect(1, 255, '\p{ _Latin_1_SUPPLEMENT}', "");
Expect(0, 255, '\p{^ _Latin_1_SUPPLEMENT}', "");
Expect(0, 255, '\P{ _Latin_1_SUPPLEMENT}', "");
Expect(1, 255, '\P{^ _Latin_1_SUPPLEMENT}', "");
Expect(0, 256, '\p{ _Latin_1_SUPPLEMENT}', "");
Expect(1, 256, '\p{^ _Latin_1_SUPPLEMENT}', "");
Expect(1, 256, '\P{ _Latin_1_SUPPLEMENT}', "");
Expect(0, 256, '\P{^ _Latin_1_SUPPLEMENT}', "");
Error('\p{/a/ _is_Latin_1_supplement}');
Error('\P{/a/ _is_Latin_1_supplement}');
Expect(1, 255, '\p{islatin1supplement}', "");
Expect(0, 255, '\p{^islatin1supplement}', "");
Expect(0, 255, '\P{islatin1supplement}', "");
Expect(1, 255, '\P{^islatin1supplement}', "");
Expect(0, 256, '\p{islatin1supplement}', "");
Expect(1, 256, '\p{^islatin1supplement}', "");
Expect(1, 256, '\P{islatin1supplement}', "");
Expect(0, 256, '\P{^islatin1supplement}', "");
Expect(1, 255, '\p{ 	Is_LATIN_1_SUPPLEMENT}', "");
Expect(0, 255, '\p{^ 	Is_LATIN_1_SUPPLEMENT}', "");
Expect(0, 255, '\P{ 	Is_LATIN_1_SUPPLEMENT}', "");
Expect(1, 255, '\P{^ 	Is_LATIN_1_SUPPLEMENT}', "");
Expect(0, 256, '\p{ 	Is_LATIN_1_SUPPLEMENT}', "");
Expect(1, 256, '\p{^ 	Is_LATIN_1_SUPPLEMENT}', "");
Expect(1, 256, '\P{ 	Is_LATIN_1_SUPPLEMENT}', "");
Expect(0, 256, '\P{^ 	Is_LATIN_1_SUPPLEMENT}', "");
Error('\p{/a/		In_latin_1_SUPPLEMENT}');
Error('\P{/a/		In_latin_1_SUPPLEMENT}');
Expect(1, 255, '\p{inlatin1supplement}', "");
Expect(0, 255, '\p{^inlatin1supplement}', "");
Expect(0, 255, '\P{inlatin1supplement}', "");
Expect(1, 255, '\P{^inlatin1supplement}', "");
Expect(0, 256, '\p{inlatin1supplement}', "");
Expect(1, 256, '\p{^inlatin1supplement}', "");
Expect(1, 256, '\P{inlatin1supplement}', "");
Expect(0, 256, '\P{^inlatin1supplement}', "");
Expect(1, 255, '\p{--In_Latin_1_SUPPLEMENT}', "");
Expect(0, 255, '\p{^--In_Latin_1_SUPPLEMENT}', "");
Expect(0, 255, '\P{--In_Latin_1_SUPPLEMENT}', "");
Expect(1, 255, '\P{^--In_Latin_1_SUPPLEMENT}', "");
Expect(0, 256, '\p{--In_Latin_1_SUPPLEMENT}', "");
Expect(1, 256, '\p{^--In_Latin_1_SUPPLEMENT}', "");
Expect(1, 256, '\P{--In_Latin_1_SUPPLEMENT}', "");
Expect(0, 256, '\P{^--In_Latin_1_SUPPLEMENT}', "");
Error('\p{-	latin_1_Sup:=}');
Error('\P{-	latin_1_Sup:=}');
Expect(1, 255, '\p{latin1sup}', "");
Expect(0, 255, '\p{^latin1sup}', "");
Expect(0, 255, '\P{latin1sup}', "");
Expect(1, 255, '\P{^latin1sup}', "");
Expect(0, 256, '\p{latin1sup}', "");
Expect(1, 256, '\p{^latin1sup}', "");
Expect(1, 256, '\P{latin1sup}', "");
Expect(0, 256, '\P{^latin1sup}', "");
Expect(1, 255, '\p{	latin_1_sup}', "");
Expect(0, 255, '\p{^	latin_1_sup}', "");
Expect(0, 255, '\P{	latin_1_sup}', "");
Expect(1, 255, '\P{^	latin_1_sup}', "");
Expect(0, 256, '\p{	latin_1_sup}', "");
Expect(1, 256, '\p{^	latin_1_sup}', "");
Expect(1, 256, '\P{	latin_1_sup}', "");
Expect(0, 256, '\P{^	latin_1_sup}', "");
Error('\p{	/a/Is_LATIN_1_SUP}');
Error('\P{	/a/Is_LATIN_1_SUP}');
Expect(1, 255, '\p{islatin1sup}', "");
Expect(0, 255, '\p{^islatin1sup}', "");
Expect(0, 255, '\P{islatin1sup}', "");
Expect(1, 255, '\P{^islatin1sup}', "");
Expect(0, 256, '\p{islatin1sup}', "");
Expect(1, 256, '\p{^islatin1sup}', "");
Expect(1, 256, '\P{islatin1sup}', "");
Expect(0, 256, '\P{^islatin1sup}', "");
Expect(1, 255, '\p{-Is_Latin_1_SUP}', "");
Expect(0, 255, '\p{^-Is_Latin_1_SUP}', "");
Expect(0, 255, '\P{-Is_Latin_1_SUP}', "");
Expect(1, 255, '\P{^-Is_Latin_1_SUP}', "");
Expect(0, 256, '\p{-Is_Latin_1_SUP}', "");
Expect(1, 256, '\p{^-Is_Latin_1_SUP}', "");
Expect(1, 256, '\P{-Is_Latin_1_SUP}', "");
Expect(0, 256, '\P{^-Is_Latin_1_SUP}', "");
Error('\p{:=_In_Latin_1_Sup}');
Error('\P{:=_In_Latin_1_Sup}');
Expect(1, 255, '\p{inlatin1sup}', "");
Expect(0, 255, '\p{^inlatin1sup}', "");
Expect(0, 255, '\P{inlatin1sup}', "");
Expect(1, 255, '\P{^inlatin1sup}', "");
Expect(0, 256, '\p{inlatin1sup}', "");
Expect(1, 256, '\p{^inlatin1sup}', "");
Expect(1, 256, '\P{inlatin1sup}', "");
Expect(0, 256, '\P{^inlatin1sup}', "");
Expect(1, 255, '\p{	 in_LATIN_1_SUP}', "");
Expect(0, 255, '\p{^	 in_LATIN_1_SUP}', "");
Expect(0, 255, '\P{	 in_LATIN_1_SUP}', "");
Expect(1, 255, '\P{^	 in_LATIN_1_SUP}', "");
Expect(0, 256, '\p{	 in_LATIN_1_SUP}', "");
Expect(1, 256, '\p{^	 in_LATIN_1_SUP}', "");
Expect(1, 256, '\P{	 in_LATIN_1_SUP}', "");
Expect(0, 256, '\P{^	 in_LATIN_1_SUP}', "");
Error('\p{-:=latin_1}');
Error('\P{-:=latin_1}');
Expect(1, 255, '\p{latin1}', "");
Expect(0, 255, '\p{^latin1}', "");
Expect(0, 255, '\P{latin1}', "");
Expect(1, 255, '\P{^latin1}', "");
Expect(0, 256, '\p{latin1}', "");
Expect(1, 256, '\p{^latin1}', "");
Expect(1, 256, '\P{latin1}', "");
Expect(0, 256, '\P{^latin1}', "");
Expect(1, 255, '\p{_latin_1}', "");
Expect(0, 255, '\p{^_latin_1}', "");
Expect(0, 255, '\P{_latin_1}', "");
Expect(1, 255, '\P{^_latin_1}', "");
Expect(0, 256, '\p{_latin_1}', "");
Expect(1, 256, '\p{^_latin_1}', "");
Expect(1, 256, '\P{_latin_1}', "");
Expect(0, 256, '\P{^_latin_1}', "");
Error('\p{- Is_Latin_1/a/}');
Error('\P{- Is_Latin_1/a/}');
Expect(1, 255, '\p{islatin1}', "");
Expect(0, 255, '\p{^islatin1}', "");
Expect(0, 255, '\P{islatin1}', "");
Expect(1, 255, '\P{^islatin1}', "");
Expect(0, 256, '\p{islatin1}', "");
Expect(1, 256, '\p{^islatin1}', "");
Expect(1, 256, '\P{islatin1}', "");
Expect(0, 256, '\P{^islatin1}', "");
Expect(1, 255, '\p{- IS_latin_1}', "");
Expect(0, 255, '\p{^- IS_latin_1}', "");
Expect(0, 255, '\P{- IS_latin_1}', "");
Expect(1, 255, '\P{^- IS_latin_1}', "");
Expect(0, 256, '\p{- IS_latin_1}', "");
Expect(1, 256, '\p{^- IS_latin_1}', "");
Expect(1, 256, '\P{- IS_latin_1}', "");
Expect(0, 256, '\P{^- IS_latin_1}', "");
Error('\p{:=	 In_latin_1}');
Error('\P{:=	 In_latin_1}');
Expect(1, 255, '\p{inlatin1}', "");
Expect(0, 255, '\p{^inlatin1}', "");
Expect(0, 255, '\P{inlatin1}', "");
Expect(1, 255, '\P{^inlatin1}', "");
Expect(0, 256, '\p{inlatin1}', "");
Expect(1, 256, '\p{^inlatin1}', "");
Expect(1, 256, '\P{inlatin1}', "");
Expect(0, 256, '\P{^inlatin1}', "");
Expect(1, 255, '\p{__In_Latin_1}', "");
Expect(0, 255, '\p{^__In_Latin_1}', "");
Expect(0, 255, '\P{__In_Latin_1}', "");
Expect(1, 255, '\P{^__In_Latin_1}', "");
Expect(0, 256, '\p{__In_Latin_1}', "");
Expect(1, 256, '\p{^__In_Latin_1}', "");
Expect(1, 256, '\P{__In_Latin_1}', "");
Expect(0, 256, '\P{^__In_Latin_1}', "");
Error('\p{-/a/Latin_Extended_A}');
Error('\P{-/a/Latin_Extended_A}');
Expect(1, 383, '\p{latinextendeda}', "");
Expect(0, 383, '\p{^latinextendeda}', "");
Expect(0, 383, '\P{latinextendeda}', "");
Expect(1, 383, '\P{^latinextendeda}', "");
Expect(0, 384, '\p{latinextendeda}', "");
Expect(1, 384, '\p{^latinextendeda}', "");
Expect(1, 384, '\P{latinextendeda}', "");
Expect(0, 384, '\P{^latinextendeda}', "");
Expect(1, 383, '\p{	_Latin_Extended_a}', "");
Expect(0, 383, '\p{^	_Latin_Extended_a}', "");
Expect(0, 383, '\P{	_Latin_Extended_a}', "");
Expect(1, 383, '\P{^	_Latin_Extended_a}', "");
Expect(0, 384, '\p{	_Latin_Extended_a}', "");
Expect(1, 384, '\p{^	_Latin_Extended_a}', "");
Expect(1, 384, '\P{	_Latin_Extended_a}', "");
Expect(0, 384, '\P{^	_Latin_Extended_a}', "");
Error('\p{	/a/IS_latin_EXTENDED_a}');
Error('\P{	/a/IS_latin_EXTENDED_a}');
Expect(1, 383, '\p{islatinextendeda}', "");
Expect(0, 383, '\p{^islatinextendeda}', "");
Expect(0, 383, '\P{islatinextendeda}', "");
Expect(1, 383, '\P{^islatinextendeda}', "");
Expect(0, 384, '\p{islatinextendeda}', "");
Expect(1, 384, '\p{^islatinextendeda}', "");
Expect(1, 384, '\P{islatinextendeda}', "");
Expect(0, 384, '\P{^islatinextendeda}', "");
Expect(1, 383, '\p{	-IS_LATIN_Extended_A}', "");
Expect(0, 383, '\p{^	-IS_LATIN_Extended_A}', "");
Expect(0, 383, '\P{	-IS_LATIN_Extended_A}', "");
Expect(1, 383, '\P{^	-IS_LATIN_Extended_A}', "");
Expect(0, 384, '\p{	-IS_LATIN_Extended_A}', "");
Expect(1, 384, '\p{^	-IS_LATIN_Extended_A}', "");
Expect(1, 384, '\P{	-IS_LATIN_Extended_A}', "");
Expect(0, 384, '\P{^	-IS_LATIN_Extended_A}', "");
Error('\p{ In_latin_EXTENDED_A/a/}');
Error('\P{ In_latin_EXTENDED_A/a/}');
Expect(1, 383, '\p{inlatinextendeda}', "");
Expect(0, 383, '\p{^inlatinextendeda}', "");
Expect(0, 383, '\P{inlatinextendeda}', "");
Expect(1, 383, '\P{^inlatinextendeda}', "");
Expect(0, 384, '\p{inlatinextendeda}', "");
Expect(1, 384, '\p{^inlatinextendeda}', "");
Expect(1, 384, '\P{inlatinextendeda}', "");
Expect(0, 384, '\P{^inlatinextendeda}', "");
Expect(1, 383, '\p{  IN_latin_extended_A}', "");
Expect(0, 383, '\p{^  IN_latin_extended_A}', "");
Expect(0, 383, '\P{  IN_latin_extended_A}', "");
Expect(1, 383, '\P{^  IN_latin_extended_A}', "");
Expect(0, 384, '\p{  IN_latin_extended_A}', "");
Expect(1, 384, '\p{^  IN_latin_extended_A}', "");
Expect(1, 384, '\P{  IN_latin_extended_A}', "");
Expect(0, 384, '\P{^  IN_latin_extended_A}', "");
Error('\p{-:=Latin_EXT_A}');
Error('\P{-:=Latin_EXT_A}');
Expect(1, 383, '\p{latinexta}', "");
Expect(0, 383, '\p{^latinexta}', "");
Expect(0, 383, '\P{latinexta}', "");
Expect(1, 383, '\P{^latinexta}', "");
Expect(0, 384, '\p{latinexta}', "");
Expect(1, 384, '\p{^latinexta}', "");
Expect(1, 384, '\P{latinexta}', "");
Expect(0, 384, '\P{^latinexta}', "");
Expect(1, 383, '\p{	 Latin_EXT_a}', "");
Expect(0, 383, '\p{^	 Latin_EXT_a}', "");
Expect(0, 383, '\P{	 Latin_EXT_a}', "");
Expect(1, 383, '\P{^	 Latin_EXT_a}', "");
Expect(0, 384, '\p{	 Latin_EXT_a}', "");
Expect(1, 384, '\p{^	 Latin_EXT_a}', "");
Expect(1, 384, '\P{	 Latin_EXT_a}', "");
Expect(0, 384, '\P{^	 Latin_EXT_a}', "");
Error('\p{:=	is_latin_EXT_A}');
Error('\P{:=	is_latin_EXT_A}');
Expect(1, 383, '\p{islatinexta}', "");
Expect(0, 383, '\p{^islatinexta}', "");
Expect(0, 383, '\P{islatinexta}', "");
Expect(1, 383, '\P{^islatinexta}', "");
Expect(0, 384, '\p{islatinexta}', "");
Expect(1, 384, '\p{^islatinexta}', "");
Expect(1, 384, '\P{islatinexta}', "");
Expect(0, 384, '\P{^islatinexta}', "");
Expect(1, 383, '\p{ is_Latin_Ext_A}', "");
Expect(0, 383, '\p{^ is_Latin_Ext_A}', "");
Expect(0, 383, '\P{ is_Latin_Ext_A}', "");
Expect(1, 383, '\P{^ is_Latin_Ext_A}', "");
Expect(0, 384, '\p{ is_Latin_Ext_A}', "");
Expect(1, 384, '\p{^ is_Latin_Ext_A}', "");
Expect(1, 384, '\P{ is_Latin_Ext_A}', "");
Expect(0, 384, '\P{^ is_Latin_Ext_A}', "");
Error('\p{/a/__In_LATIN_ext_A}');
Error('\P{/a/__In_LATIN_ext_A}');
Expect(1, 383, '\p{inlatinexta}', "");
Expect(0, 383, '\p{^inlatinexta}', "");
Expect(0, 383, '\P{inlatinexta}', "");
Expect(1, 383, '\P{^inlatinexta}', "");
Expect(0, 384, '\p{inlatinexta}', "");
Expect(1, 384, '\p{^inlatinexta}', "");
Expect(1, 384, '\P{inlatinexta}', "");
Expect(0, 384, '\P{^inlatinexta}', "");
Expect(1, 383, '\p{-	in_Latin_EXT_A}', "");
Expect(0, 383, '\p{^-	in_Latin_EXT_A}', "");
Expect(0, 383, '\P{-	in_Latin_EXT_A}', "");
Expect(1, 383, '\P{^-	in_Latin_EXT_A}', "");
Expect(0, 384, '\p{-	in_Latin_EXT_A}', "");
Expect(1, 384, '\p{^-	in_Latin_EXT_A}', "");
Expect(1, 384, '\P{-	in_Latin_EXT_A}', "");
Expect(0, 384, '\P{^-	in_Latin_EXT_A}', "");
Error('\p{-LATIN_EXTENDED_additional:=}');
Error('\P{-LATIN_EXTENDED_additional:=}');
Expect(1, 7935, '\p{latinextendedadditional}', "");
Expect(0, 7935, '\p{^latinextendedadditional}', "");
Expect(0, 7935, '\P{latinextendedadditional}', "");
Expect(1, 7935, '\P{^latinextendedadditional}', "");
Expect(0, 7936, '\p{latinextendedadditional}', "");
Expect(1, 7936, '\p{^latinextendedadditional}', "");
Expect(1, 7936, '\P{latinextendedadditional}', "");
Expect(0, 7936, '\P{^latinextendedadditional}', "");
Expect(1, 7935, '\p{ _Latin_extended_additional}', "");
Expect(0, 7935, '\p{^ _Latin_extended_additional}', "");
Expect(0, 7935, '\P{ _Latin_extended_additional}', "");
Expect(1, 7935, '\P{^ _Latin_extended_additional}', "");
Expect(0, 7936, '\p{ _Latin_extended_additional}', "");
Expect(1, 7936, '\p{^ _Latin_extended_additional}', "");
Expect(1, 7936, '\P{ _Latin_extended_additional}', "");
Expect(0, 7936, '\P{^ _Latin_extended_additional}', "");
Error('\p{/a/		Is_Latin_extended_Additional}');
Error('\P{/a/		Is_Latin_extended_Additional}');
Expect(1, 7935, '\p{islatinextendedadditional}', "");
Expect(0, 7935, '\p{^islatinextendedadditional}', "");
Expect(0, 7935, '\P{islatinextendedadditional}', "");
Expect(1, 7935, '\P{^islatinextendedadditional}', "");
Expect(0, 7936, '\p{islatinextendedadditional}', "");
Expect(1, 7936, '\p{^islatinextendedadditional}', "");
Expect(1, 7936, '\P{islatinextendedadditional}', "");
Expect(0, 7936, '\P{^islatinextendedadditional}', "");
Expect(1, 7935, '\p{--Is_Latin_Extended_ADDITIONAL}', "");
Expect(0, 7935, '\p{^--Is_Latin_Extended_ADDITIONAL}', "");
Expect(0, 7935, '\P{--Is_Latin_Extended_ADDITIONAL}', "");
Expect(1, 7935, '\P{^--Is_Latin_Extended_ADDITIONAL}', "");
Expect(0, 7936, '\p{--Is_Latin_Extended_ADDITIONAL}', "");
Expect(1, 7936, '\p{^--Is_Latin_Extended_ADDITIONAL}', "");
Expect(1, 7936, '\P{--Is_Latin_Extended_ADDITIONAL}', "");
Expect(0, 7936, '\P{^--Is_Latin_Extended_ADDITIONAL}', "");
Error('\p{/a/-In_Latin_extended_ADDITIONAL}');
Error('\P{/a/-In_Latin_extended_ADDITIONAL}');
Expect(1, 7935, '\p{inlatinextendedadditional}', "");
Expect(0, 7935, '\p{^inlatinextendedadditional}', "");
Expect(0, 7935, '\P{inlatinextendedadditional}', "");
Expect(1, 7935, '\P{^inlatinextendedadditional}', "");
Expect(0, 7936, '\p{inlatinextendedadditional}', "");
Expect(1, 7936, '\p{^inlatinextendedadditional}', "");
Expect(1, 7936, '\P{inlatinextendedadditional}', "");
Expect(0, 7936, '\P{^inlatinextendedadditional}', "");
Expect(1, 7935, '\p{		IN_LATIN_extended_Additional}', "");
Expect(0, 7935, '\p{^		IN_LATIN_extended_Additional}', "");
Expect(0, 7935, '\P{		IN_LATIN_extended_Additional}', "");
Expect(1, 7935, '\P{^		IN_LATIN_extended_Additional}', "");
Expect(0, 7936, '\p{		IN_LATIN_extended_Additional}', "");
Expect(1, 7936, '\p{^		IN_LATIN_extended_Additional}', "");
Expect(1, 7936, '\P{		IN_LATIN_extended_Additional}', "");
Expect(0, 7936, '\P{^		IN_LATIN_extended_Additional}', "");
Error('\p{/a/-	Latin_Ext_additional}');
Error('\P{/a/-	Latin_Ext_additional}');
Expect(1, 7935, '\p{latinextadditional}', "");
Expect(0, 7935, '\p{^latinextadditional}', "");
Expect(0, 7935, '\P{latinextadditional}', "");
Expect(1, 7935, '\P{^latinextadditional}', "");
Expect(0, 7936, '\p{latinextadditional}', "");
Expect(1, 7936, '\p{^latinextadditional}', "");
Expect(1, 7936, '\P{latinextadditional}', "");
Expect(0, 7936, '\P{^latinextadditional}', "");
Expect(1, 7935, '\p{	Latin_Ext_Additional}', "");
Expect(0, 7935, '\p{^	Latin_Ext_Additional}', "");
Expect(0, 7935, '\P{	Latin_Ext_Additional}', "");
Expect(1, 7935, '\P{^	Latin_Ext_Additional}', "");
Expect(0, 7936, '\p{	Latin_Ext_Additional}', "");
Expect(1, 7936, '\p{^	Latin_Ext_Additional}', "");
Expect(1, 7936, '\P{	Latin_Ext_Additional}', "");
Expect(0, 7936, '\P{^	Latin_Ext_Additional}', "");
Error('\p{:= -is_Latin_EXT_Additional}');
Error('\P{:= -is_Latin_EXT_Additional}');
Expect(1, 7935, '\p{islatinextadditional}', "");
Expect(0, 7935, '\p{^islatinextadditional}', "");
Expect(0, 7935, '\P{islatinextadditional}', "");
Expect(1, 7935, '\P{^islatinextadditional}', "");
Expect(0, 7936, '\p{islatinextadditional}', "");
Expect(1, 7936, '\p{^islatinextadditional}', "");
Expect(1, 7936, '\P{islatinextadditional}', "");
Expect(0, 7936, '\P{^islatinextadditional}', "");
Expect(1, 7935, '\p{ _is_latin_Ext_additional}', "");
Expect(0, 7935, '\p{^ _is_latin_Ext_additional}', "");
Expect(0, 7935, '\P{ _is_latin_Ext_additional}', "");
Expect(1, 7935, '\P{^ _is_latin_Ext_additional}', "");
Expect(0, 7936, '\p{ _is_latin_Ext_additional}', "");
Expect(1, 7936, '\p{^ _is_latin_Ext_additional}', "");
Expect(1, 7936, '\P{ _is_latin_Ext_additional}', "");
Expect(0, 7936, '\P{^ _is_latin_Ext_additional}', "");
Error('\p{/a/ In_Latin_EXT_ADDITIONAL}');
Error('\P{/a/ In_Latin_EXT_ADDITIONAL}');
Expect(1, 7935, '\p{inlatinextadditional}', "");
Expect(0, 7935, '\p{^inlatinextadditional}', "");
Expect(0, 7935, '\P{inlatinextadditional}', "");
Expect(1, 7935, '\P{^inlatinextadditional}', "");
Expect(0, 7936, '\p{inlatinextadditional}', "");
Expect(1, 7936, '\p{^inlatinextadditional}', "");
Expect(1, 7936, '\P{inlatinextadditional}', "");
Expect(0, 7936, '\P{^inlatinextadditional}', "");
Expect(1, 7935, '\p{-_IN_Latin_Ext_Additional}', "");
Expect(0, 7935, '\p{^-_IN_Latin_Ext_Additional}', "");
Expect(0, 7935, '\P{-_IN_Latin_Ext_Additional}', "");
Expect(1, 7935, '\P{^-_IN_Latin_Ext_Additional}', "");
Expect(0, 7936, '\p{-_IN_Latin_Ext_Additional}', "");
Expect(1, 7936, '\p{^-_IN_Latin_Ext_Additional}', "");
Expect(1, 7936, '\P{-_IN_Latin_Ext_Additional}', "");
Expect(0, 7936, '\P{^-_IN_Latin_Ext_Additional}', "");
Error('\p{ :=latin_EXTENDED_B}');
Error('\P{ :=latin_EXTENDED_B}');
Expect(1, 591, '\p{latinextendedb}', "");
Expect(0, 591, '\p{^latinextendedb}', "");
Expect(0, 591, '\P{latinextendedb}', "");
Expect(1, 591, '\P{^latinextendedb}', "");
Expect(0, 592, '\p{latinextendedb}', "");
Expect(1, 592, '\p{^latinextendedb}', "");
Expect(1, 592, '\P{latinextendedb}', "");
Expect(0, 592, '\P{^latinextendedb}', "");
Expect(1, 591, '\p{_Latin_extended_b}', "");
Expect(0, 591, '\p{^_Latin_extended_b}', "");
Expect(0, 591, '\P{_Latin_extended_b}', "");
Expect(1, 591, '\P{^_Latin_extended_b}', "");
Expect(0, 592, '\p{_Latin_extended_b}', "");
Expect(1, 592, '\p{^_Latin_extended_b}', "");
Expect(1, 592, '\P{_Latin_extended_b}', "");
Expect(0, 592, '\P{^_Latin_extended_b}', "");
Error('\p{:=Is_Latin_Extended_B}');
Error('\P{:=Is_Latin_Extended_B}');
Expect(1, 591, '\p{islatinextendedb}', "");
Expect(0, 591, '\p{^islatinextendedb}', "");
Expect(0, 591, '\P{islatinextendedb}', "");
Expect(1, 591, '\P{^islatinextendedb}', "");
Expect(0, 592, '\p{islatinextendedb}', "");
Expect(1, 592, '\p{^islatinextendedb}', "");
Expect(1, 592, '\P{islatinextendedb}', "");
Expect(0, 592, '\P{^islatinextendedb}', "");
Expect(1, 591, '\p{	_IS_Latin_Extended_B}', "");
Expect(0, 591, '\p{^	_IS_Latin_Extended_B}', "");
Expect(0, 591, '\P{	_IS_Latin_Extended_B}', "");
Expect(1, 591, '\P{^	_IS_Latin_Extended_B}', "");
Expect(0, 592, '\p{	_IS_Latin_Extended_B}', "");
Expect(1, 592, '\p{^	_IS_Latin_Extended_B}', "");
Expect(1, 592, '\P{	_IS_Latin_Extended_B}', "");
Expect(0, 592, '\P{^	_IS_Latin_Extended_B}', "");
Error('\p{:=-_In_Latin_extended_B}');
Error('\P{:=-_In_Latin_extended_B}');
Expect(1, 591, '\p{inlatinextendedb}', "");
Expect(0, 591, '\p{^inlatinextendedb}', "");
Expect(0, 591, '\P{inlatinextendedb}', "");
Expect(1, 591, '\P{^inlatinextendedb}', "");
Expect(0, 592, '\p{inlatinextendedb}', "");
Expect(1, 592, '\p{^inlatinextendedb}', "");
Expect(1, 592, '\P{inlatinextendedb}', "");
Expect(0, 592, '\P{^inlatinextendedb}', "");
Expect(1, 591, '\p{_ in_LATIN_Extended_B}', "");
Expect(0, 591, '\p{^_ in_LATIN_Extended_B}', "");
Expect(0, 591, '\P{_ in_LATIN_Extended_B}', "");
Expect(1, 591, '\P{^_ in_LATIN_Extended_B}', "");
Expect(0, 592, '\p{_ in_LATIN_Extended_B}', "");
Expect(1, 592, '\p{^_ in_LATIN_Extended_B}', "");
Expect(1, 592, '\P{_ in_LATIN_Extended_B}', "");
Expect(0, 592, '\P{^_ in_LATIN_Extended_B}', "");
Error('\p{__Latin_Ext_B:=}');
Error('\P{__Latin_Ext_B:=}');
Expect(1, 591, '\p{latinextb}', "");
Expect(0, 591, '\p{^latinextb}', "");
Expect(0, 591, '\P{latinextb}', "");
Expect(1, 591, '\P{^latinextb}', "");
Expect(0, 592, '\p{latinextb}', "");
Expect(1, 592, '\p{^latinextb}', "");
Expect(1, 592, '\P{latinextb}', "");
Expect(0, 592, '\P{^latinextb}', "");
Expect(1, 591, '\p{ latin_Ext_B}', "");
Expect(0, 591, '\p{^ latin_Ext_B}', "");
Expect(0, 591, '\P{ latin_Ext_B}', "");
Expect(1, 591, '\P{^ latin_Ext_B}', "");
Expect(0, 592, '\p{ latin_Ext_B}', "");
Expect(1, 592, '\p{^ latin_Ext_B}', "");
Expect(1, 592, '\P{ latin_Ext_B}', "");
Expect(0, 592, '\P{^ latin_Ext_B}', "");
Error('\p{/a/  Is_Latin_Ext_B}');
Error('\P{/a/  Is_Latin_Ext_B}');
Expect(1, 591, '\p{islatinextb}', "");
Expect(0, 591, '\p{^islatinextb}', "");
Expect(0, 591, '\P{islatinextb}', "");
Expect(1, 591, '\P{^islatinextb}', "");
Expect(0, 592, '\p{islatinextb}', "");
Expect(1, 592, '\p{^islatinextb}', "");
Expect(1, 592, '\P{islatinextb}', "");
Expect(0, 592, '\P{^islatinextb}', "");
Expect(1, 591, '\p{  Is_Latin_EXT_B}', "");
Expect(0, 591, '\p{^  Is_Latin_EXT_B}', "");
Expect(0, 591, '\P{  Is_Latin_EXT_B}', "");
Expect(1, 591, '\P{^  Is_Latin_EXT_B}', "");
Expect(0, 592, '\p{  Is_Latin_EXT_B}', "");
Expect(1, 592, '\p{^  Is_Latin_EXT_B}', "");
Expect(1, 592, '\P{  Is_Latin_EXT_B}', "");
Expect(0, 592, '\P{^  Is_Latin_EXT_B}', "");
Error('\p{:=  In_Latin_ext_B}');
Error('\P{:=  In_Latin_ext_B}');
Expect(1, 591, '\p{inlatinextb}', "");
Expect(0, 591, '\p{^inlatinextb}', "");
Expect(0, 591, '\P{inlatinextb}', "");
Expect(1, 591, '\P{^inlatinextb}', "");
Expect(0, 592, '\p{inlatinextb}', "");
Expect(1, 592, '\p{^inlatinextb}', "");
Expect(1, 592, '\P{inlatinextb}', "");
Expect(0, 592, '\P{^inlatinextb}', "");
Expect(1, 591, '\p{-In_Latin_ext_B}', "");
Expect(0, 591, '\p{^-In_Latin_ext_B}', "");
Expect(0, 591, '\P{-In_Latin_ext_B}', "");
Expect(1, 591, '\P{^-In_Latin_ext_B}', "");
Expect(0, 592, '\p{-In_Latin_ext_B}', "");
Expect(1, 592, '\p{^-In_Latin_ext_B}', "");
Expect(1, 592, '\P{-In_Latin_ext_B}', "");
Expect(0, 592, '\P{^-In_Latin_ext_B}', "");
Error('\p{ _Latin_EXTENDED_C:=}');
Error('\P{ _Latin_EXTENDED_C:=}');
Expect(1, 11391, '\p{latinextendedc}', "");
Expect(0, 11391, '\p{^latinextendedc}', "");
Expect(0, 11391, '\P{latinextendedc}', "");
Expect(1, 11391, '\P{^latinextendedc}', "");
Expect(0, 11392, '\p{latinextendedc}', "");
Expect(1, 11392, '\p{^latinextendedc}', "");
Expect(1, 11392, '\P{latinextendedc}', "");
Expect(0, 11392, '\P{^latinextendedc}', "");
Expect(1, 11391, '\p{_latin_Extended_C}', "");
Expect(0, 11391, '\p{^_latin_Extended_C}', "");
Expect(0, 11391, '\P{_latin_Extended_C}', "");
Expect(1, 11391, '\P{^_latin_Extended_C}', "");
Expect(0, 11392, '\p{_latin_Extended_C}', "");
Expect(1, 11392, '\p{^_latin_Extended_C}', "");
Expect(1, 11392, '\P{_latin_Extended_C}', "");
Expect(0, 11392, '\P{^_latin_Extended_C}', "");
Error('\p{		IS_LATIN_Extended_C:=}');
Error('\P{		IS_LATIN_Extended_C:=}');
Expect(1, 11391, '\p{islatinextendedc}', "");
Expect(0, 11391, '\p{^islatinextendedc}', "");
Expect(0, 11391, '\P{islatinextendedc}', "");
Expect(1, 11391, '\P{^islatinextendedc}', "");
Expect(0, 11392, '\p{islatinextendedc}', "");
Expect(1, 11392, '\p{^islatinextendedc}', "");
Expect(1, 11392, '\P{islatinextendedc}', "");
Expect(0, 11392, '\P{^islatinextendedc}', "");
Expect(1, 11391, '\p{ 	IS_LATIN_Extended_C}', "");
Expect(0, 11391, '\p{^ 	IS_LATIN_Extended_C}', "");
Expect(0, 11391, '\P{ 	IS_LATIN_Extended_C}', "");
Expect(1, 11391, '\P{^ 	IS_LATIN_Extended_C}', "");
Expect(0, 11392, '\p{ 	IS_LATIN_Extended_C}', "");
Expect(1, 11392, '\p{^ 	IS_LATIN_Extended_C}', "");
Expect(1, 11392, '\P{ 	IS_LATIN_Extended_C}', "");
Expect(0, 11392, '\P{^ 	IS_LATIN_Extended_C}', "");
Error('\p{- in_Latin_Extended_C/a/}');
Error('\P{- in_Latin_Extended_C/a/}');
Expect(1, 11391, '\p{inlatinextendedc}', "");
Expect(0, 11391, '\p{^inlatinextendedc}', "");
Expect(0, 11391, '\P{inlatinextendedc}', "");
Expect(1, 11391, '\P{^inlatinextendedc}', "");
Expect(0, 11392, '\p{inlatinextendedc}', "");
Expect(1, 11392, '\p{^inlatinextendedc}', "");
Expect(1, 11392, '\P{inlatinextendedc}', "");
Expect(0, 11392, '\P{^inlatinextendedc}', "");
Expect(1, 11391, '\p{--In_Latin_extended_C}', "");
Expect(0, 11391, '\p{^--In_Latin_extended_C}', "");
Expect(0, 11391, '\P{--In_Latin_extended_C}', "");
Expect(1, 11391, '\P{^--In_Latin_extended_C}', "");
Expect(0, 11392, '\p{--In_Latin_extended_C}', "");
Expect(1, 11392, '\p{^--In_Latin_extended_C}', "");
Expect(1, 11392, '\P{--In_Latin_extended_C}', "");
Expect(0, 11392, '\P{^--In_Latin_extended_C}', "");
Error('\p{- latin_ext_C:=}');
Error('\P{- latin_ext_C:=}');
Expect(1, 11391, '\p{latinextc}', "");
Expect(0, 11391, '\p{^latinextc}', "");
Expect(0, 11391, '\P{latinextc}', "");
Expect(1, 11391, '\P{^latinextc}', "");
Expect(0, 11392, '\p{latinextc}', "");
Expect(1, 11392, '\p{^latinextc}', "");
Expect(1, 11392, '\P{latinextc}', "");
Expect(0, 11392, '\P{^latinextc}', "");
Expect(1, 11391, '\p{-_Latin_ext_C}', "");
Expect(0, 11391, '\p{^-_Latin_ext_C}', "");
Expect(0, 11391, '\P{-_Latin_ext_C}', "");
Expect(1, 11391, '\P{^-_Latin_ext_C}', "");
Expect(0, 11392, '\p{-_Latin_ext_C}', "");
Expect(1, 11392, '\p{^-_Latin_ext_C}', "");
Expect(1, 11392, '\P{-_Latin_ext_C}', "");
Expect(0, 11392, '\P{^-_Latin_ext_C}', "");
Error('\p{:= is_Latin_EXT_C}');
Error('\P{:= is_Latin_EXT_C}');
Expect(1, 11391, '\p{islatinextc}', "");
Expect(0, 11391, '\p{^islatinextc}', "");
Expect(0, 11391, '\P{islatinextc}', "");
Expect(1, 11391, '\P{^islatinextc}', "");
Expect(0, 11392, '\p{islatinextc}', "");
Expect(1, 11392, '\p{^islatinextc}', "");
Expect(1, 11392, '\P{islatinextc}', "");
Expect(0, 11392, '\P{^islatinextc}', "");
Expect(1, 11391, '\p{- IS_Latin_EXT_C}', "");
Expect(0, 11391, '\p{^- IS_Latin_EXT_C}', "");
Expect(0, 11391, '\P{- IS_Latin_EXT_C}', "");
Expect(1, 11391, '\P{^- IS_Latin_EXT_C}', "");
Expect(0, 11392, '\p{- IS_Latin_EXT_C}', "");
Expect(1, 11392, '\p{^- IS_Latin_EXT_C}', "");
Expect(1, 11392, '\P{- IS_Latin_EXT_C}', "");
Expect(0, 11392, '\P{^- IS_Latin_EXT_C}', "");
Error('\p{In_Latin_Ext_C/a/}');
Error('\P{In_Latin_Ext_C/a/}');
Expect(1, 11391, '\p{inlatinextc}', "");
Expect(0, 11391, '\p{^inlatinextc}', "");
Expect(0, 11391, '\P{inlatinextc}', "");
Expect(1, 11391, '\P{^inlatinextc}', "");
Expect(0, 11392, '\p{inlatinextc}', "");
Expect(1, 11392, '\p{^inlatinextc}', "");
Expect(1, 11392, '\P{inlatinextc}', "");
Expect(0, 11392, '\P{^inlatinextc}', "");
Expect(1, 11391, '\p{-	IN_latin_EXT_C}', "");
Expect(0, 11391, '\p{^-	IN_latin_EXT_C}', "");
Expect(0, 11391, '\P{-	IN_latin_EXT_C}', "");
Expect(1, 11391, '\P{^-	IN_latin_EXT_C}', "");
Expect(0, 11392, '\p{-	IN_latin_EXT_C}', "");
Expect(1, 11392, '\p{^-	IN_latin_EXT_C}', "");
Expect(1, 11392, '\P{-	IN_latin_EXT_C}', "");
Expect(0, 11392, '\P{^-	IN_latin_EXT_C}', "");
Error('\p{_latin_Extended_d/a/}');
Error('\P{_latin_Extended_d/a/}');
Expect(1, 43007, '\p{latinextendedd}', "");
Expect(0, 43007, '\p{^latinextendedd}', "");
Expect(0, 43007, '\P{latinextendedd}', "");
Expect(1, 43007, '\P{^latinextendedd}', "");
Expect(0, 43008, '\p{latinextendedd}', "");
Expect(1, 43008, '\p{^latinextendedd}', "");
Expect(1, 43008, '\P{latinextendedd}', "");
Expect(0, 43008, '\P{^latinextendedd}', "");
Expect(1, 43007, '\p{-_LATIN_EXTENDED_D}', "");
Expect(0, 43007, '\p{^-_LATIN_EXTENDED_D}', "");
Expect(0, 43007, '\P{-_LATIN_EXTENDED_D}', "");
Expect(1, 43007, '\P{^-_LATIN_EXTENDED_D}', "");
Expect(0, 43008, '\p{-_LATIN_EXTENDED_D}', "");
Expect(1, 43008, '\p{^-_LATIN_EXTENDED_D}', "");
Expect(1, 43008, '\P{-_LATIN_EXTENDED_D}', "");
Expect(0, 43008, '\P{^-_LATIN_EXTENDED_D}', "");
Error('\p{:=	is_LATIN_extended_D}');
Error('\P{:=	is_LATIN_extended_D}');
Expect(1, 43007, '\p{islatinextendedd}', "");
Expect(0, 43007, '\p{^islatinextendedd}', "");
Expect(0, 43007, '\P{islatinextendedd}', "");
Expect(1, 43007, '\P{^islatinextendedd}', "");
Expect(0, 43008, '\p{islatinextendedd}', "");
Expect(1, 43008, '\p{^islatinextendedd}', "");
Expect(1, 43008, '\P{islatinextendedd}', "");
Expect(0, 43008, '\P{^islatinextendedd}', "");
Expect(1, 43007, '\p{	 is_LATIN_Extended_D}', "");
Expect(0, 43007, '\p{^	 is_LATIN_Extended_D}', "");
Expect(0, 43007, '\P{	 is_LATIN_Extended_D}', "");
Expect(1, 43007, '\P{^	 is_LATIN_Extended_D}', "");
Expect(0, 43008, '\p{	 is_LATIN_Extended_D}', "");
Expect(1, 43008, '\p{^	 is_LATIN_Extended_D}', "");
Expect(1, 43008, '\P{	 is_LATIN_Extended_D}', "");
Expect(0, 43008, '\P{^	 is_LATIN_Extended_D}', "");
Error('\p{/a/-	In_latin_Extended_D}');
Error('\P{/a/-	In_latin_Extended_D}');
Expect(1, 43007, '\p{inlatinextendedd}', "");
Expect(0, 43007, '\p{^inlatinextendedd}', "");
Expect(0, 43007, '\P{inlatinextendedd}', "");
Expect(1, 43007, '\P{^inlatinextendedd}', "");
Expect(0, 43008, '\p{inlatinextendedd}', "");
Expect(1, 43008, '\p{^inlatinextendedd}', "");
Expect(1, 43008, '\P{inlatinextendedd}', "");
Expect(0, 43008, '\P{^inlatinextendedd}', "");
Expect(1, 43007, '\p{IN_Latin_EXTENDED_D}', "");
Expect(0, 43007, '\p{^IN_Latin_EXTENDED_D}', "");
Expect(0, 43007, '\P{IN_Latin_EXTENDED_D}', "");
Expect(1, 43007, '\P{^IN_Latin_EXTENDED_D}', "");
Expect(0, 43008, '\p{IN_Latin_EXTENDED_D}', "");
Expect(1, 43008, '\p{^IN_Latin_EXTENDED_D}', "");
Expect(1, 43008, '\P{IN_Latin_EXTENDED_D}', "");
Expect(0, 43008, '\P{^IN_Latin_EXTENDED_D}', "");
Error('\p{_/a/Latin_ext_d}');
Error('\P{_/a/Latin_ext_d}');
Expect(1, 43007, '\p{latinextd}', "");
Expect(0, 43007, '\p{^latinextd}', "");
Expect(0, 43007, '\P{latinextd}', "");
Expect(1, 43007, '\P{^latinextd}', "");
Expect(0, 43008, '\p{latinextd}', "");
Expect(1, 43008, '\p{^latinextd}', "");
Expect(1, 43008, '\P{latinextd}', "");
Expect(0, 43008, '\P{^latinextd}', "");
Expect(1, 43007, '\p{	Latin_EXT_d}', "");
Expect(0, 43007, '\p{^	Latin_EXT_d}', "");
Expect(0, 43007, '\P{	Latin_EXT_d}', "");
Expect(1, 43007, '\P{^	Latin_EXT_d}', "");
Expect(0, 43008, '\p{	Latin_EXT_d}', "");
Expect(1, 43008, '\p{^	Latin_EXT_d}', "");
Expect(1, 43008, '\P{	Latin_EXT_d}', "");
Expect(0, 43008, '\P{^	Latin_EXT_d}', "");
Error('\p{-IS_latin_Ext_d/a/}');
Error('\P{-IS_latin_Ext_d/a/}');
Expect(1, 43007, '\p{islatinextd}', "");
Expect(0, 43007, '\p{^islatinextd}', "");
Expect(0, 43007, '\P{islatinextd}', "");
Expect(1, 43007, '\P{^islatinextd}', "");
Expect(0, 43008, '\p{islatinextd}', "");
Expect(1, 43008, '\p{^islatinextd}', "");
Expect(1, 43008, '\P{islatinextd}', "");
Expect(0, 43008, '\P{^islatinextd}', "");
Expect(1, 43007, '\p{-is_Latin_EXT_D}', "");
Expect(0, 43007, '\p{^-is_Latin_EXT_D}', "");
Expect(0, 43007, '\P{-is_Latin_EXT_D}', "");
Expect(1, 43007, '\P{^-is_Latin_EXT_D}', "");
Expect(0, 43008, '\p{-is_Latin_EXT_D}', "");
Expect(1, 43008, '\p{^-is_Latin_EXT_D}', "");
Expect(1, 43008, '\P{-is_Latin_EXT_D}', "");
Expect(0, 43008, '\P{^-is_Latin_EXT_D}', "");
Error('\p{_In_latin_EXT_D:=}');
Error('\P{_In_latin_EXT_D:=}');
Expect(1, 43007, '\p{inlatinextd}', "");
Expect(0, 43007, '\p{^inlatinextd}', "");
Expect(0, 43007, '\P{inlatinextd}', "");
Expect(1, 43007, '\P{^inlatinextd}', "");
Expect(0, 43008, '\p{inlatinextd}', "");
Expect(1, 43008, '\p{^inlatinextd}', "");
Expect(1, 43008, '\P{inlatinextd}', "");
Expect(0, 43008, '\P{^inlatinextd}', "");
Expect(1, 43007, '\p{_-In_Latin_Ext_d}', "");
Expect(0, 43007, '\p{^_-In_Latin_Ext_d}', "");
Expect(0, 43007, '\P{_-In_Latin_Ext_d}', "");
Expect(1, 43007, '\P{^_-In_Latin_Ext_d}', "");
Expect(0, 43008, '\p{_-In_Latin_Ext_d}', "");
Expect(1, 43008, '\p{^_-In_Latin_Ext_d}', "");
Expect(1, 43008, '\P{_-In_Latin_Ext_d}', "");
Expect(0, 43008, '\P{^_-In_Latin_Ext_d}', "");
Error('\p{	:=latin_EXTENDED_E}');
Error('\P{	:=latin_EXTENDED_E}');
Expect(1, 43887, '\p{latinextendede}', "");
Expect(0, 43887, '\p{^latinextendede}', "");
Expect(0, 43887, '\P{latinextendede}', "");
Expect(1, 43887, '\P{^latinextendede}', "");
Expect(0, 43888, '\p{latinextendede}', "");
Expect(1, 43888, '\p{^latinextendede}', "");
Expect(1, 43888, '\P{latinextendede}', "");
Expect(0, 43888, '\P{^latinextendede}', "");
Expect(1, 43887, '\p{	_Latin_Extended_E}', "");
Expect(0, 43887, '\p{^	_Latin_Extended_E}', "");
Expect(0, 43887, '\P{	_Latin_Extended_E}', "");
Expect(1, 43887, '\P{^	_Latin_Extended_E}', "");
Expect(0, 43888, '\p{	_Latin_Extended_E}', "");
Expect(1, 43888, '\p{^	_Latin_Extended_E}', "");
Expect(1, 43888, '\P{	_Latin_Extended_E}', "");
Expect(0, 43888, '\P{^	_Latin_Extended_E}', "");
Error('\p{	Is_Latin_extended_E/a/}');
Error('\P{	Is_Latin_extended_E/a/}');
Expect(1, 43887, '\p{islatinextendede}', "");
Expect(0, 43887, '\p{^islatinextendede}', "");
Expect(0, 43887, '\P{islatinextendede}', "");
Expect(1, 43887, '\P{^islatinextendede}', "");
Expect(0, 43888, '\p{islatinextendede}', "");
Expect(1, 43888, '\p{^islatinextendede}', "");
Expect(1, 43888, '\P{islatinextendede}', "");
Expect(0, 43888, '\P{^islatinextendede}', "");
Expect(1, 43887, '\p{	 Is_latin_EXTENDED_E}', "");
Expect(0, 43887, '\p{^	 Is_latin_EXTENDED_E}', "");
Expect(0, 43887, '\P{	 Is_latin_EXTENDED_E}', "");
Expect(1, 43887, '\P{^	 Is_latin_EXTENDED_E}', "");
Expect(0, 43888, '\p{	 Is_latin_EXTENDED_E}', "");
Expect(1, 43888, '\p{^	 Is_latin_EXTENDED_E}', "");
Expect(1, 43888, '\P{	 Is_latin_EXTENDED_E}', "");
Expect(0, 43888, '\P{^	 Is_latin_EXTENDED_E}', "");
Error('\p{/a/- in_latin_Extended_E}');
Error('\P{/a/- in_latin_Extended_E}');
Expect(1, 43887, '\p{inlatinextendede}', "");
Expect(0, 43887, '\p{^inlatinextendede}', "");
Expect(0, 43887, '\P{inlatinextendede}', "");
Expect(1, 43887, '\P{^inlatinextendede}', "");
Expect(0, 43888, '\p{inlatinextendede}', "");
Expect(1, 43888, '\p{^inlatinextendede}', "");
Expect(1, 43888, '\P{inlatinextendede}', "");
Expect(0, 43888, '\P{^inlatinextendede}', "");
Expect(1, 43887, '\p{- IN_Latin_Extended_E}', "");
Expect(0, 43887, '\p{^- IN_Latin_Extended_E}', "");
Expect(0, 43887, '\P{- IN_Latin_Extended_E}', "");
Expect(1, 43887, '\P{^- IN_Latin_Extended_E}', "");
Expect(0, 43888, '\p{- IN_Latin_Extended_E}', "");
Expect(1, 43888, '\p{^- IN_Latin_Extended_E}', "");
Expect(1, 43888, '\P{- IN_Latin_Extended_E}', "");
Expect(0, 43888, '\P{^- IN_Latin_Extended_E}', "");
Error('\p{ /a/latin_Ext_E}');
Error('\P{ /a/latin_Ext_E}');
Expect(1, 43887, '\p{latinexte}', "");
Expect(0, 43887, '\p{^latinexte}', "");
Expect(0, 43887, '\P{latinexte}', "");
Expect(1, 43887, '\P{^latinexte}', "");
Expect(0, 43888, '\p{latinexte}', "");
Expect(1, 43888, '\p{^latinexte}', "");
Expect(1, 43888, '\P{latinexte}', "");
Expect(0, 43888, '\P{^latinexte}', "");
Expect(1, 43887, '\p{--latin_ext_E}', "");
Expect(0, 43887, '\p{^--latin_ext_E}', "");
Expect(0, 43887, '\P{--latin_ext_E}', "");
Expect(1, 43887, '\P{^--latin_ext_E}', "");
Expect(0, 43888, '\p{--latin_ext_E}', "");
Expect(1, 43888, '\p{^--latin_ext_E}', "");
Expect(1, 43888, '\P{--latin_ext_E}', "");
Expect(0, 43888, '\P{^--latin_ext_E}', "");
Error('\p{:=		Is_LATIN_Ext_E}');
Error('\P{:=		Is_LATIN_Ext_E}');
Expect(1, 43887, '\p{islatinexte}', "");
Expect(0, 43887, '\p{^islatinexte}', "");
Expect(0, 43887, '\P{islatinexte}', "");
Expect(1, 43887, '\P{^islatinexte}', "");
Expect(0, 43888, '\p{islatinexte}', "");
Expect(1, 43888, '\p{^islatinexte}', "");
Expect(1, 43888, '\P{islatinexte}', "");
Expect(0, 43888, '\P{^islatinexte}', "");
Expect(1, 43887, '\p{Is_Latin_Ext_E}', "");
Expect(0, 43887, '\p{^Is_Latin_Ext_E}', "");
Expect(0, 43887, '\P{Is_Latin_Ext_E}', "");
Expect(1, 43887, '\P{^Is_Latin_Ext_E}', "");
Expect(0, 43888, '\p{Is_Latin_Ext_E}', "");
Expect(1, 43888, '\p{^Is_Latin_Ext_E}', "");
Expect(1, 43888, '\P{Is_Latin_Ext_E}', "");
Expect(0, 43888, '\P{^Is_Latin_Ext_E}', "");
Error('\p{	/a/in_Latin_ext_e}');
Error('\P{	/a/in_Latin_ext_e}');
Expect(1, 43887, '\p{inlatinexte}', "");
Expect(0, 43887, '\p{^inlatinexte}', "");
Expect(0, 43887, '\P{inlatinexte}', "");
Expect(1, 43887, '\P{^inlatinexte}', "");
Expect(0, 43888, '\p{inlatinexte}', "");
Expect(1, 43888, '\p{^inlatinexte}', "");
Expect(1, 43888, '\P{inlatinexte}', "");
Expect(0, 43888, '\P{^inlatinexte}', "");
Expect(1, 43887, '\p{in_latin_ext_E}', "");
Expect(0, 43887, '\p{^in_latin_ext_E}', "");
Expect(0, 43887, '\P{in_latin_ext_E}', "");
Expect(1, 43887, '\P{^in_latin_ext_E}', "");
Expect(0, 43888, '\p{in_latin_ext_E}', "");
Expect(1, 43888, '\p{^in_latin_ext_E}', "");
Expect(1, 43888, '\P{in_latin_ext_E}', "");
Expect(0, 43888, '\P{^in_latin_ext_E}', "");
Error('\p{/a/ LEPCHA}');
Error('\P{/a/ LEPCHA}');
Expect(1, 7247, '\p{lepcha}', "");
Expect(0, 7247, '\p{^lepcha}', "");
Expect(0, 7247, '\P{lepcha}', "");
Expect(1, 7247, '\P{^lepcha}', "");
Expect(0, 7248, '\p{lepcha}', "");
Expect(1, 7248, '\p{^lepcha}', "");
Expect(1, 7248, '\P{lepcha}', "");
Expect(0, 7248, '\P{^lepcha}', "");
Expect(1, 7247, '\p{_LEPCHA}', "");
Expect(0, 7247, '\p{^_LEPCHA}', "");
Expect(0, 7247, '\P{_LEPCHA}', "");
Expect(1, 7247, '\P{^_LEPCHA}', "");
Expect(0, 7248, '\p{_LEPCHA}', "");
Expect(1, 7248, '\p{^_LEPCHA}', "");
Expect(1, 7248, '\P{_LEPCHA}', "");
Expect(0, 7248, '\P{^_LEPCHA}', "");
Error('\p{	_Is_Lepcha/a/}');
Error('\P{	_Is_Lepcha/a/}');
Expect(1, 7247, '\p{islepcha}', "");
Expect(0, 7247, '\p{^islepcha}', "");
Expect(0, 7247, '\P{islepcha}', "");
Expect(1, 7247, '\P{^islepcha}', "");
Expect(0, 7248, '\p{islepcha}', "");
Expect(1, 7248, '\p{^islepcha}', "");
Expect(1, 7248, '\P{islepcha}', "");
Expect(0, 7248, '\P{^islepcha}', "");
Expect(1, 7247, '\p{	 Is_Lepcha}', "");
Expect(0, 7247, '\p{^	 Is_Lepcha}', "");
Expect(0, 7247, '\P{	 Is_Lepcha}', "");
Expect(1, 7247, '\P{^	 Is_Lepcha}', "");
Expect(0, 7248, '\p{	 Is_Lepcha}', "");
Expect(1, 7248, '\p{^	 Is_Lepcha}', "");
Expect(1, 7248, '\P{	 Is_Lepcha}', "");
Expect(0, 7248, '\P{^	 Is_Lepcha}', "");
Error('\p{-:=Lepc}');
Error('\P{-:=Lepc}');
Expect(1, 7247, '\p{lepc}', "");
Expect(0, 7247, '\p{^lepc}', "");
Expect(0, 7247, '\P{lepc}', "");
Expect(1, 7247, '\P{^lepc}', "");
Expect(0, 7248, '\p{lepc}', "");
Expect(1, 7248, '\p{^lepc}', "");
Expect(1, 7248, '\P{lepc}', "");
Expect(0, 7248, '\P{^lepc}', "");
Expect(1, 7247, '\p{	Lepc}', "");
Expect(0, 7247, '\p{^	Lepc}', "");
Expect(0, 7247, '\P{	Lepc}', "");
Expect(1, 7247, '\P{^	Lepc}', "");
Expect(0, 7248, '\p{	Lepc}', "");
Expect(1, 7248, '\p{^	Lepc}', "");
Expect(1, 7248, '\P{	Lepc}', "");
Expect(0, 7248, '\P{^	Lepc}', "");
Error('\p{:=	IS_LEPC}');
Error('\P{:=	IS_LEPC}');
Expect(1, 7247, '\p{islepc}', "");
Expect(0, 7247, '\p{^islepc}', "");
Expect(0, 7247, '\P{islepc}', "");
Expect(1, 7247, '\P{^islepc}', "");
Expect(0, 7248, '\p{islepc}', "");
Expect(1, 7248, '\p{^islepc}', "");
Expect(1, 7248, '\P{islepc}', "");
Expect(0, 7248, '\P{^islepc}', "");
Expect(1, 7247, '\p{-_IS_LEPC}', "");
Expect(0, 7247, '\p{^-_IS_LEPC}', "");
Expect(0, 7247, '\P{-_IS_LEPC}', "");
Expect(1, 7247, '\P{^-_IS_LEPC}', "");
Expect(0, 7248, '\p{-_IS_LEPC}', "");
Expect(1, 7248, '\p{^-_IS_LEPC}', "");
Expect(1, 7248, '\P{-_IS_LEPC}', "");
Expect(0, 7248, '\P{^-_IS_LEPC}', "");
Error('\p{	/a/letter}');
Error('\P{	/a/letter}');
Expect(1, 195101, '\p{letter}', "");
Expect(0, 195101, '\p{^letter}', "");
Expect(0, 195101, '\P{letter}', "");
Expect(1, 195101, '\P{^letter}', "");
Expect(0, 195102, '\p{letter}', "");
Expect(1, 195102, '\p{^letter}', "");
Expect(1, 195102, '\P{letter}', "");
Expect(0, 195102, '\P{^letter}', "");
Expect(1, 195101, '\p{ LETTER}', "");
Expect(0, 195101, '\p{^ LETTER}', "");
Expect(0, 195101, '\P{ LETTER}', "");
Expect(1, 195101, '\P{^ LETTER}', "");
Expect(0, 195102, '\p{ LETTER}', "");
Expect(1, 195102, '\p{^ LETTER}', "");
Expect(1, 195102, '\P{ LETTER}', "");
Expect(0, 195102, '\P{^ LETTER}', "");
Error('\p{/a/IS_Letter}');
Error('\P{/a/IS_Letter}');
Expect(1, 195101, '\p{isletter}', "");
Expect(0, 195101, '\p{^isletter}', "");
Expect(0, 195101, '\P{isletter}', "");
Expect(1, 195101, '\P{^isletter}', "");
Expect(0, 195102, '\p{isletter}', "");
Expect(1, 195102, '\p{^isletter}', "");
Expect(1, 195102, '\P{isletter}', "");
Expect(0, 195102, '\P{^isletter}', "");
Expect(1, 195101, '\p{-Is_LETTER}', "");
Expect(0, 195101, '\p{^-Is_LETTER}', "");
Expect(0, 195101, '\P{-Is_LETTER}', "");
Expect(1, 195101, '\P{^-Is_LETTER}', "");
Expect(0, 195102, '\p{-Is_LETTER}', "");
Expect(1, 195102, '\p{^-Is_LETTER}', "");
Expect(1, 195102, '\P{-Is_LETTER}', "");
Expect(0, 195102, '\P{^-Is_LETTER}', "");
Error('\p{_-L:=}');
Error('\P{_-L:=}');
Expect(1, 195101, '\p{l}', "");
Expect(0, 195101, '\p{^l}', "");
Expect(0, 195101, '\P{l}', "");
Expect(1, 195101, '\P{^l}', "");
Expect(0, 195102, '\p{l}', "");
Expect(1, 195102, '\p{^l}', "");
Expect(1, 195102, '\P{l}', "");
Expect(0, 195102, '\P{^l}', "");
Expect(1, 195101, '\p{	L}', "");
Expect(0, 195101, '\p{^	L}', "");
Expect(0, 195101, '\P{	L}', "");
Expect(1, 195101, '\P{^	L}', "");
Expect(0, 195102, '\p{	L}', "");
Expect(1, 195102, '\p{^	L}', "");
Expect(1, 195102, '\P{	L}', "");
Expect(0, 195102, '\P{^	L}', "");
Error('\p{-	Is_L:=}');
Error('\P{-	Is_L:=}');
Expect(1, 195101, '\p{isl}', "");
Expect(0, 195101, '\p{^isl}', "");
Expect(0, 195101, '\P{isl}', "");
Expect(1, 195101, '\P{^isl}', "");
Expect(0, 195102, '\p{isl}', "");
Expect(1, 195102, '\p{^isl}', "");
Expect(1, 195102, '\P{isl}', "");
Expect(0, 195102, '\P{^isl}', "");
Expect(1, 195101, '\p{-_is_L}', "");
Expect(0, 195101, '\p{^-_is_L}', "");
Expect(0, 195101, '\P{-_is_L}', "");
Expect(1, 195101, '\P{^-_is_L}', "");
Expect(0, 195102, '\p{-_is_L}', "");
Expect(1, 195102, '\p{^-_is_L}', "");
Expect(1, 195102, '\P{-_is_L}', "");
Expect(0, 195102, '\P{^-_is_L}', "");
Error('\p{	_Letter_number:=}');
Error('\P{	_Letter_number:=}');
Expect(1, 74862, '\p{letternumber}', "");
Expect(0, 74862, '\p{^letternumber}', "");
Expect(0, 74862, '\P{letternumber}', "");
Expect(1, 74862, '\P{^letternumber}', "");
Expect(0, 74863, '\p{letternumber}', "");
Expect(1, 74863, '\p{^letternumber}', "");
Expect(1, 74863, '\P{letternumber}', "");
Expect(0, 74863, '\P{^letternumber}', "");
Expect(1, 74862, '\p{  Letter_NUMBER}', "");
Expect(0, 74862, '\p{^  Letter_NUMBER}', "");
Expect(0, 74862, '\P{  Letter_NUMBER}', "");
Expect(1, 74862, '\P{^  Letter_NUMBER}', "");
Expect(0, 74863, '\p{  Letter_NUMBER}', "");
Expect(1, 74863, '\p{^  Letter_NUMBER}', "");
Expect(1, 74863, '\P{  Letter_NUMBER}', "");
Expect(0, 74863, '\P{^  Letter_NUMBER}', "");
Error('\p{:=	-Is_LETTER_Number}');
Error('\P{:=	-Is_LETTER_Number}');
Expect(1, 74862, '\p{isletternumber}', "");
Expect(0, 74862, '\p{^isletternumber}', "");
Expect(0, 74862, '\P{isletternumber}', "");
Expect(1, 74862, '\P{^isletternumber}', "");
Expect(0, 74863, '\p{isletternumber}', "");
Expect(1, 74863, '\p{^isletternumber}', "");
Expect(1, 74863, '\P{isletternumber}', "");
Expect(0, 74863, '\P{^isletternumber}', "");
Expect(1, 74862, '\p{		IS_LETTER_Number}', "");
Expect(0, 74862, '\p{^		IS_LETTER_Number}', "");
Expect(0, 74862, '\P{		IS_LETTER_Number}', "");
Expect(1, 74862, '\P{^		IS_LETTER_Number}', "");
Expect(0, 74863, '\p{		IS_LETTER_Number}', "");
Expect(1, 74863, '\p{^		IS_LETTER_Number}', "");
Expect(1, 74863, '\P{		IS_LETTER_Number}', "");
Expect(0, 74863, '\P{^		IS_LETTER_Number}', "");
Error('\p{__Nl/a/}');
Error('\P{__Nl/a/}');
Expect(1, 74862, '\p{nl}', "");
Expect(0, 74862, '\p{^nl}', "");
Expect(0, 74862, '\P{nl}', "");
Expect(1, 74862, '\P{^nl}', "");
Expect(0, 74863, '\p{nl}', "");
Expect(1, 74863, '\p{^nl}', "");
Expect(1, 74863, '\P{nl}', "");
Expect(0, 74863, '\P{^nl}', "");
Expect(1, 74862, '\p{	nl}', "");
Expect(0, 74862, '\p{^	nl}', "");
Expect(0, 74862, '\P{	nl}', "");
Expect(1, 74862, '\P{^	nl}', "");
Expect(0, 74863, '\p{	nl}', "");
Expect(1, 74863, '\p{^	nl}', "");
Expect(1, 74863, '\P{	nl}', "");
Expect(0, 74863, '\P{^	nl}', "");
Error('\p{/a/is_NL}');
Error('\P{/a/is_NL}');
Expect(1, 74862, '\p{isnl}', "");
Expect(0, 74862, '\p{^isnl}', "");
Expect(0, 74862, '\P{isnl}', "");
Expect(1, 74862, '\P{^isnl}', "");
Expect(0, 74863, '\p{isnl}', "");
Expect(1, 74863, '\p{^isnl}', "");
Expect(1, 74863, '\P{isnl}', "");
Expect(0, 74863, '\P{^isnl}', "");
Expect(1, 74862, '\p{  is_Nl}', "");
Expect(0, 74862, '\p{^  is_Nl}', "");
Expect(0, 74862, '\P{  is_Nl}', "");
Expect(1, 74862, '\P{^  is_Nl}', "");
Expect(0, 74863, '\p{  is_Nl}', "");
Expect(1, 74863, '\p{^  is_Nl}', "");
Expect(1, 74863, '\P{  is_Nl}', "");
Expect(0, 74863, '\P{^  is_Nl}', "");
Error('\p{/a/-LETTERLIKE_Symbols}');
Error('\P{/a/-LETTERLIKE_Symbols}');
Expect(1, 8527, '\p{letterlikesymbols}', "");
Expect(0, 8527, '\p{^letterlikesymbols}', "");
Expect(0, 8527, '\P{letterlikesymbols}', "");
Expect(1, 8527, '\P{^letterlikesymbols}', "");
Expect(0, 8528, '\p{letterlikesymbols}', "");
Expect(1, 8528, '\p{^letterlikesymbols}', "");
Expect(1, 8528, '\P{letterlikesymbols}', "");
Expect(0, 8528, '\P{^letterlikesymbols}', "");
Expect(1, 8527, '\p{  letterlike_SYMBOLS}', "");
Expect(0, 8527, '\p{^  letterlike_SYMBOLS}', "");
Expect(0, 8527, '\P{  letterlike_SYMBOLS}', "");
Expect(1, 8527, '\P{^  letterlike_SYMBOLS}', "");
Expect(0, 8528, '\p{  letterlike_SYMBOLS}', "");
Expect(1, 8528, '\p{^  letterlike_SYMBOLS}', "");
Expect(1, 8528, '\P{  letterlike_SYMBOLS}', "");
Expect(0, 8528, '\P{^  letterlike_SYMBOLS}', "");
Error('\p{	 Is_LETTERLIKE_Symbols:=}');
Error('\P{	 Is_LETTERLIKE_Symbols:=}');
Expect(1, 8527, '\p{isletterlikesymbols}', "");
Expect(0, 8527, '\p{^isletterlikesymbols}', "");
Expect(0, 8527, '\P{isletterlikesymbols}', "");
Expect(1, 8527, '\P{^isletterlikesymbols}', "");
Expect(0, 8528, '\p{isletterlikesymbols}', "");
Expect(1, 8528, '\p{^isletterlikesymbols}', "");
Expect(1, 8528, '\P{isletterlikesymbols}', "");
Expect(0, 8528, '\P{^isletterlikesymbols}', "");
Expect(1, 8527, '\p{-	Is_Letterlike_Symbols}', "");
Expect(0, 8527, '\p{^-	Is_Letterlike_Symbols}', "");
Expect(0, 8527, '\P{-	Is_Letterlike_Symbols}', "");
Expect(1, 8527, '\P{^-	Is_Letterlike_Symbols}', "");
Expect(0, 8528, '\p{-	Is_Letterlike_Symbols}', "");
Expect(1, 8528, '\p{^-	Is_Letterlike_Symbols}', "");
Expect(1, 8528, '\P{-	Is_Letterlike_Symbols}', "");
Expect(0, 8528, '\P{^-	Is_Letterlike_Symbols}', "");
Error('\p{/a/	In_LETTERLIKE_Symbols}');
Error('\P{/a/	In_LETTERLIKE_Symbols}');
Expect(1, 8527, '\p{inletterlikesymbols}', "");
Expect(0, 8527, '\p{^inletterlikesymbols}', "");
Expect(0, 8527, '\P{inletterlikesymbols}', "");
Expect(1, 8527, '\P{^inletterlikesymbols}', "");
Expect(0, 8528, '\p{inletterlikesymbols}', "");
Expect(1, 8528, '\p{^inletterlikesymbols}', "");
Expect(1, 8528, '\P{inletterlikesymbols}', "");
Expect(0, 8528, '\P{^inletterlikesymbols}', "");
Expect(1, 8527, '\p{  IN_Letterlike_Symbols}', "");
Expect(0, 8527, '\p{^  IN_Letterlike_Symbols}', "");
Expect(0, 8527, '\P{  IN_Letterlike_Symbols}', "");
Expect(1, 8527, '\P{^  IN_Letterlike_Symbols}', "");
Expect(0, 8528, '\p{  IN_Letterlike_Symbols}', "");
Expect(1, 8528, '\p{^  IN_Letterlike_Symbols}', "");
Expect(1, 8528, '\P{  IN_Letterlike_Symbols}', "");
Expect(0, 8528, '\P{^  IN_Letterlike_Symbols}', "");
Error('\p{/a/ -Limbu}');
Error('\P{/a/ -Limbu}');
Expect(1, 6479, '\p{limbu}', "");
Expect(0, 6479, '\p{^limbu}', "");
Expect(0, 6479, '\P{limbu}', "");
Expect(1, 6479, '\P{^limbu}', "");
Expect(0, 6480, '\p{limbu}', "");
Expect(1, 6480, '\p{^limbu}', "");
Expect(1, 6480, '\P{limbu}', "");
Expect(0, 6480, '\P{^limbu}', "");
Expect(1, 6479, '\p{ Limbu}', "");
Expect(0, 6479, '\p{^ Limbu}', "");
Expect(0, 6479, '\P{ Limbu}', "");
Expect(1, 6479, '\P{^ Limbu}', "");
Expect(0, 6480, '\p{ Limbu}', "");
Expect(1, 6480, '\p{^ Limbu}', "");
Expect(1, 6480, '\P{ Limbu}', "");
Expect(0, 6480, '\P{^ Limbu}', "");
Error('\p{/a/__is_Limbu}');
Error('\P{/a/__is_Limbu}');
Expect(1, 6479, '\p{islimbu}', "");
Expect(0, 6479, '\p{^islimbu}', "");
Expect(0, 6479, '\P{islimbu}', "");
Expect(1, 6479, '\P{^islimbu}', "");
Expect(0, 6480, '\p{islimbu}', "");
Expect(1, 6480, '\p{^islimbu}', "");
Expect(1, 6480, '\P{islimbu}', "");
Expect(0, 6480, '\P{^islimbu}', "");
Expect(1, 6479, '\p{	IS_Limbu}', "");
Expect(0, 6479, '\p{^	IS_Limbu}', "");
Expect(0, 6479, '\P{	IS_Limbu}', "");
Expect(1, 6479, '\P{^	IS_Limbu}', "");
Expect(0, 6480, '\p{	IS_Limbu}', "");
Expect(1, 6480, '\p{^	IS_Limbu}', "");
Expect(1, 6480, '\P{	IS_Limbu}', "");
Expect(0, 6480, '\P{^	IS_Limbu}', "");
Error('\p{/a/ 	limb}');
Error('\P{/a/ 	limb}');
Expect(1, 6479, '\p{limb}', "");
Expect(0, 6479, '\p{^limb}', "");
Expect(0, 6479, '\P{limb}', "");
Expect(1, 6479, '\P{^limb}', "");
Expect(0, 6480, '\p{limb}', "");
Expect(1, 6480, '\p{^limb}', "");
Expect(1, 6480, '\P{limb}', "");
Expect(0, 6480, '\P{^limb}', "");
Expect(1, 6479, '\p{ LIMB}', "");
Expect(0, 6479, '\p{^ LIMB}', "");
Expect(0, 6479, '\P{ LIMB}', "");
Expect(1, 6479, '\P{^ LIMB}', "");
Expect(0, 6480, '\p{ LIMB}', "");
Expect(1, 6480, '\p{^ LIMB}', "");
Expect(1, 6480, '\P{ LIMB}', "");
Expect(0, 6480, '\P{^ LIMB}', "");
Error('\p{/a/_IS_limb}');
Error('\P{/a/_IS_limb}');
Expect(1, 6479, '\p{islimb}', "");
Expect(0, 6479, '\p{^islimb}', "");
Expect(0, 6479, '\P{islimb}', "");
Expect(1, 6479, '\P{^islimb}', "");
Expect(0, 6480, '\p{islimb}', "");
Expect(1, 6480, '\p{^islimb}', "");
Expect(1, 6480, '\P{islimb}', "");
Expect(0, 6480, '\P{^islimb}', "");
Expect(1, 6479, '\p{_IS_limb}', "");
Expect(0, 6479, '\p{^_IS_limb}', "");
Expect(0, 6479, '\P{_IS_limb}', "");
Expect(1, 6479, '\P{^_IS_limb}', "");
Expect(0, 6480, '\p{_IS_limb}', "");
Expect(1, 6480, '\p{^_IS_limb}', "");
Expect(1, 6480, '\P{_IS_limb}', "");
Expect(0, 6480, '\P{^_IS_limb}', "");
Error('\p{ LINE_separator/a/}');
Error('\P{ LINE_separator/a/}');
Expect(1, 8232, '\p{lineseparator}', "");
Expect(0, 8232, '\p{^lineseparator}', "");
Expect(0, 8232, '\P{lineseparator}', "");
Expect(1, 8232, '\P{^lineseparator}', "");
Expect(0, 8233, '\p{lineseparator}', "");
Expect(1, 8233, '\p{^lineseparator}', "");
Expect(1, 8233, '\P{lineseparator}', "");
Expect(0, 8233, '\P{^lineseparator}', "");
Expect(1, 8232, '\p{  LINE_SEPARATOR}', "");
Expect(0, 8232, '\p{^  LINE_SEPARATOR}', "");
Expect(0, 8232, '\P{  LINE_SEPARATOR}', "");
Expect(1, 8232, '\P{^  LINE_SEPARATOR}', "");
Expect(0, 8233, '\p{  LINE_SEPARATOR}', "");
Expect(1, 8233, '\p{^  LINE_SEPARATOR}', "");
Expect(1, 8233, '\P{  LINE_SEPARATOR}', "");
Expect(0, 8233, '\P{^  LINE_SEPARATOR}', "");
Error('\p{/a/  Is_LINE_Separator}');
Error('\P{/a/  Is_LINE_Separator}');
Expect(1, 8232, '\p{islineseparator}', "");
Expect(0, 8232, '\p{^islineseparator}', "");
Expect(0, 8232, '\P{islineseparator}', "");
Expect(1, 8232, '\P{^islineseparator}', "");
Expect(0, 8233, '\p{islineseparator}', "");
Expect(1, 8233, '\p{^islineseparator}', "");
Expect(1, 8233, '\P{islineseparator}', "");
Expect(0, 8233, '\P{^islineseparator}', "");
Expect(1, 8232, '\p{	-is_LINE_Separator}', "");
Expect(0, 8232, '\p{^	-is_LINE_Separator}', "");
Expect(0, 8232, '\P{	-is_LINE_Separator}', "");
Expect(1, 8232, '\P{^	-is_LINE_Separator}', "");
Expect(0, 8233, '\p{	-is_LINE_Separator}', "");
Expect(1, 8233, '\p{^	-is_LINE_Separator}', "");
Expect(1, 8233, '\P{	-is_LINE_Separator}', "");
Expect(0, 8233, '\P{^	-is_LINE_Separator}', "");
Error('\p{	Zl/a/}');
Error('\P{	Zl/a/}');
Expect(1, 8232, '\p{zl}', "");
Expect(0, 8232, '\p{^zl}', "");
Expect(0, 8232, '\P{zl}', "");
Expect(1, 8232, '\P{^zl}', "");
Expect(0, 8233, '\p{zl}', "");
Expect(1, 8233, '\p{^zl}', "");
Expect(1, 8233, '\P{zl}', "");
Expect(0, 8233, '\P{^zl}', "");
Expect(1, 8232, '\p{__Zl}', "");
Expect(0, 8232, '\p{^__Zl}', "");
Expect(0, 8232, '\P{__Zl}', "");
Expect(1, 8232, '\P{^__Zl}', "");
Expect(0, 8233, '\p{__Zl}', "");
Expect(1, 8233, '\p{^__Zl}', "");
Expect(1, 8233, '\P{__Zl}', "");
Expect(0, 8233, '\P{^__Zl}', "");
Error('\p{:= is_ZL}');
Error('\P{:= is_ZL}');
Expect(1, 8232, '\p{iszl}', "");
Expect(0, 8232, '\p{^iszl}', "");
Expect(0, 8232, '\P{iszl}', "");
Expect(1, 8232, '\P{^iszl}', "");
Expect(0, 8233, '\p{iszl}', "");
Expect(1, 8233, '\p{^iszl}', "");
Expect(1, 8233, '\P{iszl}', "");
Expect(0, 8233, '\P{^iszl}', "");
Expect(1, 8232, '\p{		IS_Zl}', "");
Expect(0, 8232, '\p{^		IS_Zl}', "");
Expect(0, 8232, '\P{		IS_Zl}', "");
Expect(1, 8232, '\P{^		IS_Zl}', "");
Expect(0, 8233, '\p{		IS_Zl}', "");
Expect(1, 8233, '\p{^		IS_Zl}', "");
Expect(1, 8233, '\P{		IS_Zl}', "");
Expect(0, 8233, '\P{^		IS_Zl}', "");
Error('\p{/a/-linear_A}');
Error('\P{/a/-linear_A}');
Expect(1, 67431, '\p{lineara}', "");
Expect(0, 67431, '\p{^lineara}', "");
Expect(0, 67431, '\P{lineara}', "");
Expect(1, 67431, '\P{^lineara}', "");
Expect(0, 67432, '\p{lineara}', "");
Expect(1, 67432, '\p{^lineara}', "");
Expect(1, 67432, '\P{lineara}', "");
Expect(0, 67432, '\P{^lineara}', "");
Expect(1, 67431, '\p{	Linear_A}', "");
Expect(0, 67431, '\p{^	Linear_A}', "");
Expect(0, 67431, '\P{	Linear_A}', "");
Expect(1, 67431, '\P{^	Linear_A}', "");
Expect(0, 67432, '\p{	Linear_A}', "");
Expect(1, 67432, '\p{^	Linear_A}', "");
Expect(1, 67432, '\P{	Linear_A}', "");
Expect(0, 67432, '\P{^	Linear_A}', "");
Error('\p{_Is_linear_A/a/}');
Error('\P{_Is_linear_A/a/}');
Expect(1, 67431, '\p{islineara}', "");
Expect(0, 67431, '\p{^islineara}', "");
Expect(0, 67431, '\P{islineara}', "");
Expect(1, 67431, '\P{^islineara}', "");
Expect(0, 67432, '\p{islineara}', "");
Expect(1, 67432, '\p{^islineara}', "");
Expect(1, 67432, '\P{islineara}', "");
Expect(0, 67432, '\P{^islineara}', "");
Expect(1, 67431, '\p{Is_Linear_A}', "");
Expect(0, 67431, '\p{^Is_Linear_A}', "");
Expect(0, 67431, '\P{Is_Linear_A}', "");
Expect(1, 67431, '\P{^Is_Linear_A}', "");
Expect(0, 67432, '\p{Is_Linear_A}', "");
Expect(1, 67432, '\p{^Is_Linear_A}', "");
Expect(1, 67432, '\P{Is_Linear_A}', "");
Expect(0, 67432, '\P{^Is_Linear_A}', "");
Error('\p{/a/- lina}');
Error('\P{/a/- lina}');
Expect(1, 67431, '\p{lina}', "");
Expect(0, 67431, '\p{^lina}', "");
Expect(0, 67431, '\P{lina}', "");
Expect(1, 67431, '\P{^lina}', "");
Expect(0, 67432, '\p{lina}', "");
Expect(1, 67432, '\p{^lina}', "");
Expect(1, 67432, '\P{lina}', "");
Expect(0, 67432, '\P{^lina}', "");
Expect(1, 67431, '\p{ lina}', "");
Expect(0, 67431, '\p{^ lina}', "");
Expect(0, 67431, '\P{ lina}', "");
Expect(1, 67431, '\P{^ lina}', "");
Expect(0, 67432, '\p{ lina}', "");
Expect(1, 67432, '\p{^ lina}', "");
Expect(1, 67432, '\P{ lina}', "");
Expect(0, 67432, '\P{^ lina}', "");
Error('\p{_Is_Lina/a/}');
Error('\P{_Is_Lina/a/}');
Expect(1, 67431, '\p{islina}', "");
Expect(0, 67431, '\p{^islina}', "");
Expect(0, 67431, '\P{islina}', "");
Expect(1, 67431, '\P{^islina}', "");
Expect(0, 67432, '\p{islina}', "");
Expect(1, 67432, '\p{^islina}', "");
Expect(1, 67432, '\P{islina}', "");
Expect(0, 67432, '\P{^islina}', "");
Expect(1, 67431, '\p{-_is_lina}', "");
Expect(0, 67431, '\p{^-_is_lina}', "");
Expect(0, 67431, '\P{-_is_lina}', "");
Expect(1, 67431, '\P{^-_is_lina}', "");
Expect(0, 67432, '\p{-_is_lina}', "");
Expect(1, 67432, '\p{^-_is_lina}', "");
Expect(1, 67432, '\P{-_is_lina}', "");
Expect(0, 67432, '\P{^-_is_lina}', "");
Error('\p{:=-LINEAR_b}');
Error('\P{:=-LINEAR_b}');
Expect(1, 65786, '\p{linearb}', "");
Expect(0, 65786, '\p{^linearb}', "");
Expect(0, 65786, '\P{linearb}', "");
Expect(1, 65786, '\P{^linearb}', "");
Expect(0, 65787, '\p{linearb}', "");
Expect(1, 65787, '\p{^linearb}', "");
Expect(1, 65787, '\P{linearb}', "");
Expect(0, 65787, '\P{^linearb}', "");
Expect(1, 65786, '\p{_Linear_b}', "");
Expect(0, 65786, '\p{^_Linear_b}', "");
Expect(0, 65786, '\P{_Linear_b}', "");
Expect(1, 65786, '\P{^_Linear_b}', "");
Expect(0, 65787, '\p{_Linear_b}', "");
Expect(1, 65787, '\p{^_Linear_b}', "");
Expect(1, 65787, '\P{_Linear_b}', "");
Expect(0, 65787, '\P{^_Linear_b}', "");
Error('\p{ _IS_LINEAR_B:=}');
Error('\P{ _IS_LINEAR_B:=}');
Expect(1, 65786, '\p{islinearb}', "");
Expect(0, 65786, '\p{^islinearb}', "");
Expect(0, 65786, '\P{islinearb}', "");
Expect(1, 65786, '\P{^islinearb}', "");
Expect(0, 65787, '\p{islinearb}', "");
Expect(1, 65787, '\p{^islinearb}', "");
Expect(1, 65787, '\P{islinearb}', "");
Expect(0, 65787, '\P{^islinearb}', "");
Expect(1, 65786, '\p{__Is_Linear_B}', "");
Expect(0, 65786, '\p{^__Is_Linear_B}', "");
Expect(0, 65786, '\P{__Is_Linear_B}', "");
Expect(1, 65786, '\P{^__Is_Linear_B}', "");
Expect(0, 65787, '\p{__Is_Linear_B}', "");
Expect(1, 65787, '\p{^__Is_Linear_B}', "");
Expect(1, 65787, '\P{__Is_Linear_B}', "");
Expect(0, 65787, '\P{^__Is_Linear_B}', "");
Error('\p{:=_Linb}');
Error('\P{:=_Linb}');
Expect(1, 65786, '\p{linb}', "");
Expect(0, 65786, '\p{^linb}', "");
Expect(0, 65786, '\P{linb}', "");
Expect(1, 65786, '\P{^linb}', "");
Expect(0, 65787, '\p{linb}', "");
Expect(1, 65787, '\p{^linb}', "");
Expect(1, 65787, '\P{linb}', "");
Expect(0, 65787, '\P{^linb}', "");
Expect(1, 65786, '\p{  linb}', "");
Expect(0, 65786, '\p{^  linb}', "");
Expect(0, 65786, '\P{  linb}', "");
Expect(1, 65786, '\P{^  linb}', "");
Expect(0, 65787, '\p{  linb}', "");
Expect(1, 65787, '\p{^  linb}', "");
Expect(1, 65787, '\P{  linb}', "");
Expect(0, 65787, '\P{^  linb}', "");
Error('\p{_/a/IS_Linb}');
Error('\P{_/a/IS_Linb}');
Expect(1, 65786, '\p{islinb}', "");
Expect(0, 65786, '\p{^islinb}', "");
Expect(0, 65786, '\P{islinb}', "");
Expect(1, 65786, '\P{^islinb}', "");
Expect(0, 65787, '\p{islinb}', "");
Expect(1, 65787, '\p{^islinb}', "");
Expect(1, 65787, '\P{islinb}', "");
Expect(0, 65787, '\P{^islinb}', "");
Expect(1, 65786, '\p{	Is_LINB}', "");
Expect(0, 65786, '\p{^	Is_LINB}', "");
Expect(0, 65786, '\P{	Is_LINB}', "");
Expect(1, 65786, '\P{^	Is_LINB}', "");
Expect(0, 65787, '\p{	Is_LINB}', "");
Expect(1, 65787, '\p{^	Is_LINB}', "");
Expect(1, 65787, '\P{	Is_LINB}', "");
Expect(0, 65787, '\P{^	Is_LINB}', "");
Error('\p{__linear_B_IDEOGRAMS/a/}');
Error('\P{__linear_B_IDEOGRAMS/a/}');
Expect(1, 65791, '\p{linearbideograms}', "");
Expect(0, 65791, '\p{^linearbideograms}', "");
Expect(0, 65791, '\P{linearbideograms}', "");
Expect(1, 65791, '\P{^linearbideograms}', "");
Expect(0, 65792, '\p{linearbideograms}', "");
Expect(1, 65792, '\p{^linearbideograms}', "");
Expect(1, 65792, '\P{linearbideograms}', "");
Expect(0, 65792, '\P{^linearbideograms}', "");
Expect(1, 65791, '\p{	linear_B_IDEOGRAMS}', "");
Expect(0, 65791, '\p{^	linear_B_IDEOGRAMS}', "");
Expect(0, 65791, '\P{	linear_B_IDEOGRAMS}', "");
Expect(1, 65791, '\P{^	linear_B_IDEOGRAMS}', "");
Expect(0, 65792, '\p{	linear_B_IDEOGRAMS}', "");
Expect(1, 65792, '\p{^	linear_B_IDEOGRAMS}', "");
Expect(1, 65792, '\P{	linear_B_IDEOGRAMS}', "");
Expect(0, 65792, '\P{^	linear_B_IDEOGRAMS}', "");
Error('\p{ -Is_linear_B_ideograms:=}');
Error('\P{ -Is_linear_B_ideograms:=}');
Expect(1, 65791, '\p{islinearbideograms}', "");
Expect(0, 65791, '\p{^islinearbideograms}', "");
Expect(0, 65791, '\P{islinearbideograms}', "");
Expect(1, 65791, '\P{^islinearbideograms}', "");
Expect(0, 65792, '\p{islinearbideograms}', "");
Expect(1, 65792, '\p{^islinearbideograms}', "");
Expect(1, 65792, '\P{islinearbideograms}', "");
Expect(0, 65792, '\P{^islinearbideograms}', "");
Expect(1, 65791, '\p{-	Is_Linear_B_ideograms}', "");
Expect(0, 65791, '\p{^-	Is_Linear_B_ideograms}', "");
Expect(0, 65791, '\P{-	Is_Linear_B_ideograms}', "");
Expect(1, 65791, '\P{^-	Is_Linear_B_ideograms}', "");
Expect(0, 65792, '\p{-	Is_Linear_B_ideograms}', "");
Expect(1, 65792, '\p{^-	Is_Linear_B_ideograms}', "");
Expect(1, 65792, '\P{-	Is_Linear_B_ideograms}', "");
Expect(0, 65792, '\P{^-	Is_Linear_B_ideograms}', "");
Error('\p{	_in_Linear_B_ideograms/a/}');
Error('\P{	_in_Linear_B_ideograms/a/}');
Expect(1, 65791, '\p{inlinearbideograms}', "");
Expect(0, 65791, '\p{^inlinearbideograms}', "");
Expect(0, 65791, '\P{inlinearbideograms}', "");
Expect(1, 65791, '\P{^inlinearbideograms}', "");
Expect(0, 65792, '\p{inlinearbideograms}', "");
Expect(1, 65792, '\p{^inlinearbideograms}', "");
Expect(1, 65792, '\P{inlinearbideograms}', "");
Expect(0, 65792, '\P{^inlinearbideograms}', "");
Expect(1, 65791, '\p{-_In_LINEAR_B_Ideograms}', "");
Expect(0, 65791, '\p{^-_In_LINEAR_B_Ideograms}', "");
Expect(0, 65791, '\P{-_In_LINEAR_B_Ideograms}', "");
Expect(1, 65791, '\P{^-_In_LINEAR_B_Ideograms}', "");
Expect(0, 65792, '\p{-_In_LINEAR_B_Ideograms}', "");
Expect(1, 65792, '\p{^-_In_LINEAR_B_Ideograms}', "");
Expect(1, 65792, '\P{-_In_LINEAR_B_Ideograms}', "");
Expect(0, 65792, '\P{^-_In_LINEAR_B_Ideograms}', "");
Error('\p{/a/ linear_B_SYLLABARY}');
Error('\P{/a/ linear_B_SYLLABARY}');
Expect(1, 65663, '\p{linearbsyllabary}', "");
Expect(0, 65663, '\p{^linearbsyllabary}', "");
Expect(0, 65663, '\P{linearbsyllabary}', "");
Expect(1, 65663, '\P{^linearbsyllabary}', "");
Expect(0, 65664, '\p{linearbsyllabary}', "");
Expect(1, 65664, '\p{^linearbsyllabary}', "");
Expect(1, 65664, '\P{linearbsyllabary}', "");
Expect(0, 65664, '\P{^linearbsyllabary}', "");
Expect(1, 65663, '\p{_Linear_b_SYLLABARY}', "");
Expect(0, 65663, '\p{^_Linear_b_SYLLABARY}', "");
Expect(0, 65663, '\P{_Linear_b_SYLLABARY}', "");
Expect(1, 65663, '\P{^_Linear_b_SYLLABARY}', "");
Expect(0, 65664, '\p{_Linear_b_SYLLABARY}', "");
Expect(1, 65664, '\p{^_Linear_b_SYLLABARY}', "");
Expect(1, 65664, '\P{_Linear_b_SYLLABARY}', "");
Expect(0, 65664, '\P{^_Linear_b_SYLLABARY}', "");
Error('\p{/a/	Is_Linear_B_SYLLABARY}');
Error('\P{/a/	Is_Linear_B_SYLLABARY}');
Expect(1, 65663, '\p{islinearbsyllabary}', "");
Expect(0, 65663, '\p{^islinearbsyllabary}', "");
Expect(0, 65663, '\P{islinearbsyllabary}', "");
Expect(1, 65663, '\P{^islinearbsyllabary}', "");
Expect(0, 65664, '\p{islinearbsyllabary}', "");
Expect(1, 65664, '\p{^islinearbsyllabary}', "");
Expect(1, 65664, '\P{islinearbsyllabary}', "");
Expect(0, 65664, '\P{^islinearbsyllabary}', "");
Expect(1, 65663, '\p{--IS_LINEAR_B_Syllabary}', "");
Expect(0, 65663, '\p{^--IS_LINEAR_B_Syllabary}', "");
Expect(0, 65663, '\P{--IS_LINEAR_B_Syllabary}', "");
Expect(1, 65663, '\P{^--IS_LINEAR_B_Syllabary}', "");
Expect(0, 65664, '\p{--IS_LINEAR_B_Syllabary}', "");
Expect(1, 65664, '\p{^--IS_LINEAR_B_Syllabary}', "");
Expect(1, 65664, '\P{--IS_LINEAR_B_Syllabary}', "");
Expect(0, 65664, '\P{^--IS_LINEAR_B_Syllabary}', "");
Error('\p{:= -IN_Linear_B_SYLLABARY}');
Error('\P{:= -IN_Linear_B_SYLLABARY}');
Expect(1, 65663, '\p{inlinearbsyllabary}', "");
Expect(0, 65663, '\p{^inlinearbsyllabary}', "");
Expect(0, 65663, '\P{inlinearbsyllabary}', "");
Expect(1, 65663, '\P{^inlinearbsyllabary}', "");
Expect(0, 65664, '\p{inlinearbsyllabary}', "");
Expect(1, 65664, '\p{^inlinearbsyllabary}', "");
Expect(1, 65664, '\P{inlinearbsyllabary}', "");
Expect(0, 65664, '\P{^inlinearbsyllabary}', "");
Expect(1, 65663, '\p{	In_Linear_B_Syllabary}', "");
Expect(0, 65663, '\p{^	In_Linear_B_Syllabary}', "");
Expect(0, 65663, '\P{	In_Linear_B_Syllabary}', "");
Expect(1, 65663, '\P{^	In_Linear_B_Syllabary}', "");
Expect(0, 65664, '\p{	In_Linear_B_Syllabary}', "");
Expect(1, 65664, '\p{^	In_Linear_B_Syllabary}', "");
Expect(1, 65664, '\P{	In_Linear_B_Syllabary}', "");
Expect(0, 65664, '\P{^	In_Linear_B_Syllabary}', "");
Error('\p{/a/LISU}');
Error('\P{/a/LISU}');
Expect(1, 42239, '\p{lisu}', "");
Expect(0, 42239, '\p{^lisu}', "");
Expect(0, 42239, '\P{lisu}', "");
Expect(1, 42239, '\P{^lisu}', "");
Expect(0, 42240, '\p{lisu}', "");
Expect(1, 42240, '\p{^lisu}', "");
Expect(1, 42240, '\P{lisu}', "");
Expect(0, 42240, '\P{^lisu}', "");
Expect(1, 42239, '\p{- LISU}', "");
Expect(0, 42239, '\p{^- LISU}', "");
Expect(0, 42239, '\P{- LISU}', "");
Expect(1, 42239, '\P{^- LISU}', "");
Expect(0, 42240, '\p{- LISU}', "");
Expect(1, 42240, '\p{^- LISU}', "");
Expect(1, 42240, '\P{- LISU}', "");
Expect(0, 42240, '\P{^- LISU}', "");
Error('\p{	-Is_Lisu:=}');
Error('\P{	-Is_Lisu:=}');
Expect(1, 42239, '\p{islisu}', "");
Expect(0, 42239, '\p{^islisu}', "");
Expect(0, 42239, '\P{islisu}', "");
Expect(1, 42239, '\P{^islisu}', "");
Expect(0, 42240, '\p{islisu}', "");
Expect(1, 42240, '\p{^islisu}', "");
Expect(1, 42240, '\P{islisu}', "");
Expect(0, 42240, '\P{^islisu}', "");
Expect(1, 42239, '\p{-	IS_Lisu}', "");
Expect(0, 42239, '\p{^-	IS_Lisu}', "");
Expect(0, 42239, '\P{-	IS_Lisu}', "");
Expect(1, 42239, '\P{^-	IS_Lisu}', "");
Expect(0, 42240, '\p{-	IS_Lisu}', "");
Expect(1, 42240, '\p{^-	IS_Lisu}', "");
Expect(1, 42240, '\P{-	IS_Lisu}', "");
Expect(0, 42240, '\P{^-	IS_Lisu}', "");
Error('\p{ 	Logical_order_Exception:=}');
Error('\P{ 	Logical_order_Exception:=}');
Expect(1, 43708, '\p{logicalorderexception}', "");
Expect(0, 43708, '\p{^logicalorderexception}', "");
Expect(0, 43708, '\P{logicalorderexception}', "");
Expect(1, 43708, '\P{^logicalorderexception}', "");
Expect(0, 43709, '\p{logicalorderexception}', "");
Expect(1, 43709, '\p{^logicalorderexception}', "");
Expect(1, 43709, '\P{logicalorderexception}', "");
Expect(0, 43709, '\P{^logicalorderexception}', "");
Expect(1, 43708, '\p{_ Logical_Order_EXCEPTION}', "");
Expect(0, 43708, '\p{^_ Logical_Order_EXCEPTION}', "");
Expect(0, 43708, '\P{_ Logical_Order_EXCEPTION}', "");
Expect(1, 43708, '\P{^_ Logical_Order_EXCEPTION}', "");
Expect(0, 43709, '\p{_ Logical_Order_EXCEPTION}', "");
Expect(1, 43709, '\p{^_ Logical_Order_EXCEPTION}', "");
Expect(1, 43709, '\P{_ Logical_Order_EXCEPTION}', "");
Expect(0, 43709, '\P{^_ Logical_Order_EXCEPTION}', "");
Error('\p{_/a/is_Logical_Order_Exception}');
Error('\P{_/a/is_Logical_Order_Exception}');
Expect(1, 43708, '\p{islogicalorderexception}', "");
Expect(0, 43708, '\p{^islogicalorderexception}', "");
Expect(0, 43708, '\P{islogicalorderexception}', "");
Expect(1, 43708, '\P{^islogicalorderexception}', "");
Expect(0, 43709, '\p{islogicalorderexception}', "");
Expect(1, 43709, '\p{^islogicalorderexception}', "");
Expect(1, 43709, '\P{islogicalorderexception}', "");
Expect(0, 43709, '\P{^islogicalorderexception}', "");
Expect(1, 43708, '\p{	_Is_Logical_Order_EXCEPTION}', "");
Expect(0, 43708, '\p{^	_Is_Logical_Order_EXCEPTION}', "");
Expect(0, 43708, '\P{	_Is_Logical_Order_EXCEPTION}', "");
Expect(1, 43708, '\P{^	_Is_Logical_Order_EXCEPTION}', "");
Expect(0, 43709, '\p{	_Is_Logical_Order_EXCEPTION}', "");
Expect(1, 43709, '\p{^	_Is_Logical_Order_EXCEPTION}', "");
Expect(1, 43709, '\P{	_Is_Logical_Order_EXCEPTION}', "");
Expect(0, 43709, '\P{^	_Is_Logical_Order_EXCEPTION}', "");
Error('\p{ LOE:=}');
Error('\P{ LOE:=}');
Expect(1, 43708, '\p{loe}', "");
Expect(0, 43708, '\p{^loe}', "");
Expect(0, 43708, '\P{loe}', "");
Expect(1, 43708, '\P{^loe}', "");
Expect(0, 43709, '\p{loe}', "");
Expect(1, 43709, '\p{^loe}', "");
Expect(1, 43709, '\P{loe}', "");
Expect(0, 43709, '\P{^loe}', "");
Expect(1, 43708, '\p{_-LOE}', "");
Expect(0, 43708, '\p{^_-LOE}', "");
Expect(0, 43708, '\P{_-LOE}', "");
Expect(1, 43708, '\P{^_-LOE}', "");
Expect(0, 43709, '\p{_-LOE}', "");
Expect(1, 43709, '\p{^_-LOE}', "");
Expect(1, 43709, '\P{_-LOE}', "");
Expect(0, 43709, '\P{^_-LOE}', "");
Error('\p{/a/	 is_LOE}');
Error('\P{/a/	 is_LOE}');
Expect(1, 43708, '\p{isloe}', "");
Expect(0, 43708, '\p{^isloe}', "");
Expect(0, 43708, '\P{isloe}', "");
Expect(1, 43708, '\P{^isloe}', "");
Expect(0, 43709, '\p{isloe}', "");
Expect(1, 43709, '\p{^isloe}', "");
Expect(1, 43709, '\P{isloe}', "");
Expect(0, 43709, '\P{^isloe}', "");
Expect(1, 43708, '\p{_ is_LOE}', "");
Expect(0, 43708, '\p{^_ is_LOE}', "");
Expect(0, 43708, '\P{_ is_LOE}', "");
Expect(1, 43708, '\P{^_ is_LOE}', "");
Expect(0, 43709, '\p{_ is_LOE}', "");
Expect(1, 43709, '\p{^_ is_LOE}', "");
Expect(1, 43709, '\P{_ is_LOE}', "");
Expect(0, 43709, '\P{^_ is_LOE}', "");
Error('\p{	-Low_Surrogates:=}');
Error('\P{	-Low_Surrogates:=}');
Expect(1, 57343, '\p{lowsurrogates}', "");
Expect(0, 57343, '\p{^lowsurrogates}', "");
Expect(0, 57343, '\P{lowsurrogates}', "");
Expect(1, 57343, '\P{^lowsurrogates}', "");
Expect(0, 57344, '\p{lowsurrogates}', "");
Expect(1, 57344, '\p{^lowsurrogates}', "");
Expect(1, 57344, '\P{lowsurrogates}', "");
Expect(0, 57344, '\P{^lowsurrogates}', "");
Expect(1, 57343, '\p{	 Low_SURROGATES}', "");
Expect(0, 57343, '\p{^	 Low_SURROGATES}', "");
Expect(0, 57343, '\P{	 Low_SURROGATES}', "");
Expect(1, 57343, '\P{^	 Low_SURROGATES}', "");
Expect(0, 57344, '\p{	 Low_SURROGATES}', "");
Expect(1, 57344, '\p{^	 Low_SURROGATES}', "");
Expect(1, 57344, '\P{	 Low_SURROGATES}', "");
Expect(0, 57344, '\P{^	 Low_SURROGATES}', "");
Error('\p{	:=IS_LOW_SURROGATES}');
Error('\P{	:=IS_LOW_SURROGATES}');
Expect(1, 57343, '\p{islowsurrogates}', "");
Expect(0, 57343, '\p{^islowsurrogates}', "");
Expect(0, 57343, '\P{islowsurrogates}', "");
Expect(1, 57343, '\P{^islowsurrogates}', "");
Expect(0, 57344, '\p{islowsurrogates}', "");
Expect(1, 57344, '\p{^islowsurrogates}', "");
Expect(1, 57344, '\P{islowsurrogates}', "");
Expect(0, 57344, '\P{^islowsurrogates}', "");
Expect(1, 57343, '\p{	 IS_Low_Surrogates}', "");
Expect(0, 57343, '\p{^	 IS_Low_Surrogates}', "");
Expect(0, 57343, '\P{	 IS_Low_Surrogates}', "");
Expect(1, 57343, '\P{^	 IS_Low_Surrogates}', "");
Expect(0, 57344, '\p{	 IS_Low_Surrogates}', "");
Expect(1, 57344, '\p{^	 IS_Low_Surrogates}', "");
Expect(1, 57344, '\P{	 IS_Low_Surrogates}', "");
Expect(0, 57344, '\P{^	 IS_Low_Surrogates}', "");
Error('\p{		IN_Low_Surrogates:=}');
Error('\P{		IN_Low_Surrogates:=}');
Expect(1, 57343, '\p{inlowsurrogates}', "");
Expect(0, 57343, '\p{^inlowsurrogates}', "");
Expect(0, 57343, '\P{inlowsurrogates}', "");
Expect(1, 57343, '\P{^inlowsurrogates}', "");
Expect(0, 57344, '\p{inlowsurrogates}', "");
Expect(1, 57344, '\p{^inlowsurrogates}', "");
Expect(1, 57344, '\P{inlowsurrogates}', "");
Expect(0, 57344, '\P{^inlowsurrogates}', "");
Expect(1, 57343, '\p{-in_LOW_surrogates}', "");
Expect(0, 57343, '\p{^-in_LOW_surrogates}', "");
Expect(0, 57343, '\P{-in_LOW_surrogates}', "");
Expect(1, 57343, '\P{^-in_LOW_surrogates}', "");
Expect(0, 57344, '\p{-in_LOW_surrogates}', "");
Expect(1, 57344, '\p{^-in_LOW_surrogates}', "");
Expect(1, 57344, '\P{-in_LOW_surrogates}', "");
Expect(0, 57344, '\P{^-in_LOW_surrogates}', "");
Error('\p{/a/_	lowercase_letter}');
Error('\P{/a/_	lowercase_letter}');
Expect(1, 120779, '\p{lowercaseletter}', "");
Expect(0, 120779, '\p{^lowercaseletter}', "");
Expect(0, 120779, '\P{lowercaseletter}', "");
Expect(1, 120779, '\P{^lowercaseletter}', "");
Expect(0, 120780, '\p{lowercaseletter}', "");
Expect(1, 120780, '\p{^lowercaseletter}', "");
Expect(1, 120780, '\P{lowercaseletter}', "");
Expect(0, 120780, '\P{^lowercaseletter}', "");
Expect(1, 120779, '\p{ 	Lowercase_Letter}', "");
Expect(0, 120779, '\p{^ 	Lowercase_Letter}', "");
Expect(0, 120779, '\P{ 	Lowercase_Letter}', "");
Expect(1, 120779, '\P{^ 	Lowercase_Letter}', "");
Expect(0, 120780, '\p{ 	Lowercase_Letter}', "");
Expect(1, 120780, '\p{^ 	Lowercase_Letter}', "");
Expect(1, 120780, '\P{ 	Lowercase_Letter}', "");
Expect(0, 120780, '\P{^ 	Lowercase_Letter}', "");
Error('\p{	:=Is_Lowercase_Letter}');
Error('\P{	:=Is_Lowercase_Letter}');
Expect(1, 120779, '\p{islowercaseletter}', "");
Expect(0, 120779, '\p{^islowercaseletter}', "");
Expect(0, 120779, '\P{islowercaseletter}', "");
Expect(1, 120779, '\P{^islowercaseletter}', "");
Expect(0, 120780, '\p{islowercaseletter}', "");
Expect(1, 120780, '\p{^islowercaseletter}', "");
Expect(1, 120780, '\P{islowercaseletter}', "");
Expect(0, 120780, '\P{^islowercaseletter}', "");
Expect(1, 120779, '\p{ -Is_Lowercase_Letter}', "");
Expect(0, 120779, '\p{^ -Is_Lowercase_Letter}', "");
Expect(0, 120779, '\P{ -Is_Lowercase_Letter}', "");
Expect(1, 120779, '\P{^ -Is_Lowercase_Letter}', "");
Expect(0, 120780, '\p{ -Is_Lowercase_Letter}', "");
Expect(1, 120780, '\p{^ -Is_Lowercase_Letter}', "");
Expect(1, 120780, '\P{ -Is_Lowercase_Letter}', "");
Expect(0, 120780, '\P{^ -Is_Lowercase_Letter}', "");
Error('\p{:=Ll}');
Error('\P{:=Ll}');
Expect(1, 120779, '\p{ll}', "");
Expect(0, 120779, '\p{^ll}', "");
Expect(0, 120779, '\P{ll}', "");
Expect(1, 120779, '\P{^ll}', "");
Expect(0, 120780, '\p{ll}', "");
Expect(1, 120780, '\p{^ll}', "");
Expect(1, 120780, '\P{ll}', "");
Expect(0, 120780, '\P{^ll}', "");
Expect(1, 120779, '\p{__LL}', "");
Expect(0, 120779, '\p{^__LL}', "");
Expect(0, 120779, '\P{__LL}', "");
Expect(1, 120779, '\P{^__LL}', "");
Expect(0, 120780, '\p{__LL}', "");
Expect(1, 120780, '\p{^__LL}', "");
Expect(1, 120780, '\P{__LL}', "");
Expect(0, 120780, '\P{^__LL}', "");
Error('\p{	_IS_LL/a/}');
Error('\P{	_IS_LL/a/}');
Expect(1, 120779, '\p{isll}', "");
Expect(0, 120779, '\p{^isll}', "");
Expect(0, 120779, '\P{isll}', "");
Expect(1, 120779, '\P{^isll}', "");
Expect(0, 120780, '\p{isll}', "");
Expect(1, 120780, '\p{^isll}', "");
Expect(1, 120780, '\P{isll}', "");
Expect(0, 120780, '\P{^isll}', "");
Expect(1, 120779, '\p{-_is_Ll}', "");
Expect(0, 120779, '\p{^-_is_Ll}', "");
Expect(0, 120779, '\P{-_is_Ll}', "");
Expect(1, 120779, '\P{^-_is_Ll}', "");
Expect(0, 120780, '\p{-_is_Ll}', "");
Expect(1, 120780, '\p{^-_is_Ll}', "");
Expect(1, 120780, '\P{-_is_Ll}', "");
Expect(0, 120780, '\P{^-_is_Ll}', "");
Error('\p{/a/-	Lycian}');
Error('\P{/a/-	Lycian}');
Expect(1, 66204, '\p{lycian}', "");
Expect(0, 66204, '\p{^lycian}', "");
Expect(0, 66204, '\P{lycian}', "");
Expect(1, 66204, '\P{^lycian}', "");
Expect(0, 66205, '\p{lycian}', "");
Expect(1, 66205, '\p{^lycian}', "");
Expect(1, 66205, '\P{lycian}', "");
Expect(0, 66205, '\P{^lycian}', "");
Expect(1, 66204, '\p{ Lycian}', "");
Expect(0, 66204, '\p{^ Lycian}', "");
Expect(0, 66204, '\P{ Lycian}', "");
Expect(1, 66204, '\P{^ Lycian}', "");
Expect(0, 66205, '\p{ Lycian}', "");
Expect(1, 66205, '\p{^ Lycian}', "");
Expect(1, 66205, '\P{ Lycian}', "");
Expect(0, 66205, '\P{^ Lycian}', "");
Error('\p{_-Is_Lycian:=}');
Error('\P{_-Is_Lycian:=}');
Expect(1, 66204, '\p{islycian}', "");
Expect(0, 66204, '\p{^islycian}', "");
Expect(0, 66204, '\P{islycian}', "");
Expect(1, 66204, '\P{^islycian}', "");
Expect(0, 66205, '\p{islycian}', "");
Expect(1, 66205, '\p{^islycian}', "");
Expect(1, 66205, '\P{islycian}', "");
Expect(0, 66205, '\P{^islycian}', "");
Expect(1, 66204, '\p{ -is_lycian}', "");
Expect(0, 66204, '\p{^ -is_lycian}', "");
Expect(0, 66204, '\P{ -is_lycian}', "");
Expect(1, 66204, '\P{^ -is_lycian}', "");
Expect(0, 66205, '\p{ -is_lycian}', "");
Expect(1, 66205, '\p{^ -is_lycian}', "");
Expect(1, 66205, '\P{ -is_lycian}', "");
Expect(0, 66205, '\P{^ -is_lycian}', "");
Error('\p{/a/_-LYCI}');
Error('\P{/a/_-LYCI}');
Expect(1, 66204, '\p{lyci}', "");
Expect(0, 66204, '\p{^lyci}', "");
Expect(0, 66204, '\P{lyci}', "");
Expect(1, 66204, '\P{^lyci}', "");
Expect(0, 66205, '\p{lyci}', "");
Expect(1, 66205, '\p{^lyci}', "");
Expect(1, 66205, '\P{lyci}', "");
Expect(0, 66205, '\P{^lyci}', "");
Expect(1, 66204, '\p{	 Lyci}', "");
Expect(0, 66204, '\p{^	 Lyci}', "");
Expect(0, 66204, '\P{	 Lyci}', "");
Expect(1, 66204, '\P{^	 Lyci}', "");
Expect(0, 66205, '\p{	 Lyci}', "");
Expect(1, 66205, '\p{^	 Lyci}', "");
Expect(1, 66205, '\P{	 Lyci}', "");
Expect(0, 66205, '\P{^	 Lyci}', "");
Error('\p{	_IS_Lyci/a/}');
Error('\P{	_IS_Lyci/a/}');
Expect(1, 66204, '\p{islyci}', "");
Expect(0, 66204, '\p{^islyci}', "");
Expect(0, 66204, '\P{islyci}', "");
Expect(1, 66204, '\P{^islyci}', "");
Expect(0, 66205, '\p{islyci}', "");
Expect(1, 66205, '\p{^islyci}', "");
Expect(1, 66205, '\P{islyci}', "");
Expect(0, 66205, '\P{^islyci}', "");
Expect(1, 66204, '\p{	-is_Lyci}', "");
Expect(0, 66204, '\p{^	-is_Lyci}', "");
Expect(0, 66204, '\P{	-is_Lyci}', "");
Expect(1, 66204, '\P{^	-is_Lyci}', "");
Expect(0, 66205, '\p{	-is_Lyci}', "");
Expect(1, 66205, '\p{^	-is_Lyci}', "");
Expect(1, 66205, '\P{	-is_Lyci}', "");
Expect(0, 66205, '\P{^	-is_Lyci}', "");
Error('\p{ /a/Lydian}');
Error('\P{ /a/Lydian}');
Expect(1, 67903, '\p{lydian}', "");
Expect(0, 67903, '\p{^lydian}', "");
Expect(0, 67903, '\P{lydian}', "");
Expect(1, 67903, '\P{^lydian}', "");
Expect(0, 67904, '\p{lydian}', "");
Expect(1, 67904, '\p{^lydian}', "");
Expect(1, 67904, '\P{lydian}', "");
Expect(0, 67904, '\P{^lydian}', "");
Expect(1, 67903, '\p{	-Lydian}', "");
Expect(0, 67903, '\p{^	-Lydian}', "");
Expect(0, 67903, '\P{	-Lydian}', "");
Expect(1, 67903, '\P{^	-Lydian}', "");
Expect(0, 67904, '\p{	-Lydian}', "");
Expect(1, 67904, '\p{^	-Lydian}', "");
Expect(1, 67904, '\P{	-Lydian}', "");
Expect(0, 67904, '\P{^	-Lydian}', "");
Error('\p{/a/	-is_Lydian}');
Error('\P{/a/	-is_Lydian}');
Expect(1, 67903, '\p{islydian}', "");
Expect(0, 67903, '\p{^islydian}', "");
Expect(0, 67903, '\P{islydian}', "");
Expect(1, 67903, '\P{^islydian}', "");
Expect(0, 67904, '\p{islydian}', "");
Expect(1, 67904, '\p{^islydian}', "");
Expect(1, 67904, '\P{islydian}', "");
Expect(0, 67904, '\P{^islydian}', "");
Expect(1, 67903, '\p{--Is_Lydian}', "");
Expect(0, 67903, '\p{^--Is_Lydian}', "");
Expect(0, 67903, '\P{--Is_Lydian}', "");
Expect(1, 67903, '\P{^--Is_Lydian}', "");
Expect(0, 67904, '\p{--Is_Lydian}', "");
Expect(1, 67904, '\p{^--Is_Lydian}', "");
Expect(1, 67904, '\P{--Is_Lydian}', "");
Expect(0, 67904, '\P{^--Is_Lydian}', "");
Error('\p{_LYDI/a/}');
Error('\P{_LYDI/a/}');
Expect(1, 67903, '\p{lydi}', "");
Expect(0, 67903, '\p{^lydi}', "");
Expect(0, 67903, '\P{lydi}', "");
Expect(1, 67903, '\P{^lydi}', "");
Expect(0, 67904, '\p{lydi}', "");
Expect(1, 67904, '\p{^lydi}', "");
Expect(1, 67904, '\P{lydi}', "");
Expect(0, 67904, '\P{^lydi}', "");
Expect(1, 67903, '\p{-_Lydi}', "");
Expect(0, 67903, '\p{^-_Lydi}', "");
Expect(0, 67903, '\P{-_Lydi}', "");
Expect(1, 67903, '\P{^-_Lydi}', "");
Expect(0, 67904, '\p{-_Lydi}', "");
Expect(1, 67904, '\p{^-_Lydi}', "");
Expect(1, 67904, '\P{-_Lydi}', "");
Expect(0, 67904, '\P{^-_Lydi}', "");
Error('\p{:=IS_LYDI}');
Error('\P{:=IS_LYDI}');
Expect(1, 67903, '\p{islydi}', "");
Expect(0, 67903, '\p{^islydi}', "");
Expect(0, 67903, '\P{islydi}', "");
Expect(1, 67903, '\P{^islydi}', "");
Expect(0, 67904, '\p{islydi}', "");
Expect(1, 67904, '\p{^islydi}', "");
Expect(1, 67904, '\P{islydi}', "");
Expect(0, 67904, '\P{^islydi}', "");
Expect(1, 67903, '\p{		Is_Lydi}', "");
Expect(0, 67903, '\p{^		Is_Lydi}', "");
Expect(0, 67903, '\P{		Is_Lydi}', "");
Expect(1, 67903, '\P{^		Is_Lydi}', "");
Expect(0, 67904, '\p{		Is_Lydi}', "");
Expect(1, 67904, '\p{^		Is_Lydi}', "");
Expect(1, 67904, '\P{		Is_Lydi}', "");
Expect(0, 67904, '\P{^		Is_Lydi}', "");
Error('\p{ 	mahajani/a/}');
Error('\P{ 	mahajani/a/}');
Expect(1, 70006, '\p{mahajani}', "");
Expect(0, 70006, '\p{^mahajani}', "");
Expect(0, 70006, '\P{mahajani}', "");
Expect(1, 70006, '\P{^mahajani}', "");
Expect(0, 70007, '\p{mahajani}', "");
Expect(1, 70007, '\p{^mahajani}', "");
Expect(1, 70007, '\P{mahajani}', "");
Expect(0, 70007, '\P{^mahajani}', "");
Expect(1, 70006, '\p{	-Mahajani}', "");
Expect(0, 70006, '\p{^	-Mahajani}', "");
Expect(0, 70006, '\P{	-Mahajani}', "");
Expect(1, 70006, '\P{^	-Mahajani}', "");
Expect(0, 70007, '\p{	-Mahajani}', "");
Expect(1, 70007, '\p{^	-Mahajani}', "");
Expect(1, 70007, '\P{	-Mahajani}', "");
Expect(0, 70007, '\P{^	-Mahajani}', "");
Error('\p{:=- Is_mahajani}');
Error('\P{:=- Is_mahajani}');
Expect(1, 70006, '\p{ismahajani}', "");
Expect(0, 70006, '\p{^ismahajani}', "");
Expect(0, 70006, '\P{ismahajani}', "");
Expect(1, 70006, '\P{^ismahajani}', "");
Expect(0, 70007, '\p{ismahajani}', "");
Expect(1, 70007, '\p{^ismahajani}', "");
Expect(1, 70007, '\P{ismahajani}', "");
Expect(0, 70007, '\P{^ismahajani}', "");
Expect(1, 70006, '\p{_	IS_Mahajani}', "");
Expect(0, 70006, '\p{^_	IS_Mahajani}', "");
Expect(0, 70006, '\P{_	IS_Mahajani}', "");
Expect(1, 70006, '\P{^_	IS_Mahajani}', "");
Expect(0, 70007, '\p{_	IS_Mahajani}', "");
Expect(1, 70007, '\p{^_	IS_Mahajani}', "");
Expect(1, 70007, '\P{_	IS_Mahajani}', "");
Expect(0, 70007, '\P{^_	IS_Mahajani}', "");
Error('\p{-Mahj:=}');
Error('\P{-Mahj:=}');
Expect(1, 70006, '\p{mahj}', "");
Expect(0, 70006, '\p{^mahj}', "");
Expect(0, 70006, '\P{mahj}', "");
Expect(1, 70006, '\P{^mahj}', "");
Expect(0, 70007, '\p{mahj}', "");
Expect(1, 70007, '\p{^mahj}', "");
Expect(1, 70007, '\P{mahj}', "");
Expect(0, 70007, '\P{^mahj}', "");
Expect(1, 70006, '\p{_	Mahj}', "");
Expect(0, 70006, '\p{^_	Mahj}', "");
Expect(0, 70006, '\P{_	Mahj}', "");
Expect(1, 70006, '\P{^_	Mahj}', "");
Expect(0, 70007, '\p{_	Mahj}', "");
Expect(1, 70007, '\p{^_	Mahj}', "");
Expect(1, 70007, '\P{_	Mahj}', "");
Expect(0, 70007, '\P{^_	Mahj}', "");
Error('\p{-:=is_Mahj}');
Error('\P{-:=is_Mahj}');
Expect(1, 70006, '\p{ismahj}', "");
Expect(0, 70006, '\p{^ismahj}', "");
Expect(0, 70006, '\P{ismahj}', "");
Expect(1, 70006, '\P{^ismahj}', "");
Expect(0, 70007, '\p{ismahj}', "");
Expect(1, 70007, '\p{^ismahj}', "");
Expect(1, 70007, '\P{ismahj}', "");
Expect(0, 70007, '\P{^ismahj}', "");
Expect(1, 70006, '\p{--Is_mahj}', "");
Expect(0, 70006, '\p{^--Is_mahj}', "");
Expect(0, 70006, '\P{--Is_mahj}', "");
Expect(1, 70006, '\P{^--Is_mahj}', "");
Expect(0, 70007, '\p{--Is_mahj}', "");
Expect(1, 70007, '\p{^--Is_mahj}', "");
Expect(1, 70007, '\P{--Is_mahj}', "");
Expect(0, 70007, '\P{^--Is_mahj}', "");
Error('\p{_ MAHJONG_Tiles/a/}');
Error('\P{_ MAHJONG_Tiles/a/}');
Expect(1, 127023, '\p{mahjongtiles}', "");
Expect(0, 127023, '\p{^mahjongtiles}', "");
Expect(0, 127023, '\P{mahjongtiles}', "");
Expect(1, 127023, '\P{^mahjongtiles}', "");
Expect(0, 127024, '\p{mahjongtiles}', "");
Expect(1, 127024, '\p{^mahjongtiles}', "");
Expect(1, 127024, '\P{mahjongtiles}', "");
Expect(0, 127024, '\P{^mahjongtiles}', "");
Expect(1, 127023, '\p{		MAHJONG_Tiles}', "");
Expect(0, 127023, '\p{^		MAHJONG_Tiles}', "");
Expect(0, 127023, '\P{		MAHJONG_Tiles}', "");
Expect(1, 127023, '\P{^		MAHJONG_Tiles}', "");
Expect(0, 127024, '\p{		MAHJONG_Tiles}', "");
Expect(1, 127024, '\p{^		MAHJONG_Tiles}', "");
Expect(1, 127024, '\P{		MAHJONG_Tiles}', "");
Expect(0, 127024, '\P{^		MAHJONG_Tiles}', "");
Error('\p{_	Is_mahjong_tiles:=}');
Error('\P{_	Is_mahjong_tiles:=}');
Expect(1, 127023, '\p{ismahjongtiles}', "");
Expect(0, 127023, '\p{^ismahjongtiles}', "");
Expect(0, 127023, '\P{ismahjongtiles}', "");
Expect(1, 127023, '\P{^ismahjongtiles}', "");
Expect(0, 127024, '\p{ismahjongtiles}', "");
Expect(1, 127024, '\p{^ismahjongtiles}', "");
Expect(1, 127024, '\P{ismahjongtiles}', "");
Expect(0, 127024, '\P{^ismahjongtiles}', "");
Expect(1, 127023, '\p{	is_Mahjong_Tiles}', "");
Expect(0, 127023, '\p{^	is_Mahjong_Tiles}', "");
Expect(0, 127023, '\P{	is_Mahjong_Tiles}', "");
Expect(1, 127023, '\P{^	is_Mahjong_Tiles}', "");
Expect(0, 127024, '\p{	is_Mahjong_Tiles}', "");
Expect(1, 127024, '\p{^	is_Mahjong_Tiles}', "");
Expect(1, 127024, '\P{	is_Mahjong_Tiles}', "");
Expect(0, 127024, '\P{^	is_Mahjong_Tiles}', "");
Error('\p{:=_-in_Mahjong_Tiles}');
Error('\P{:=_-in_Mahjong_Tiles}');
Expect(1, 127023, '\p{inmahjongtiles}', "");
Expect(0, 127023, '\p{^inmahjongtiles}', "");
Expect(0, 127023, '\P{inmahjongtiles}', "");
Expect(1, 127023, '\P{^inmahjongtiles}', "");
Expect(0, 127024, '\p{inmahjongtiles}', "");
Expect(1, 127024, '\p{^inmahjongtiles}', "");
Expect(1, 127024, '\P{inmahjongtiles}', "");
Expect(0, 127024, '\P{^inmahjongtiles}', "");
Expect(1, 127023, '\p{__In_Mahjong_Tiles}', "");
Expect(0, 127023, '\p{^__In_Mahjong_Tiles}', "");
Expect(0, 127023, '\P{__In_Mahjong_Tiles}', "");
Expect(1, 127023, '\P{^__In_Mahjong_Tiles}', "");
Expect(0, 127024, '\p{__In_Mahjong_Tiles}', "");
Expect(1, 127024, '\p{^__In_Mahjong_Tiles}', "");
Expect(1, 127024, '\P{__In_Mahjong_Tiles}', "");
Expect(0, 127024, '\P{^__In_Mahjong_Tiles}', "");
Error('\p{/a/		MAHJONG}');
Error('\P{/a/		MAHJONG}');
Expect(1, 127023, '\p{mahjong}', "");
Expect(0, 127023, '\p{^mahjong}', "");
Expect(0, 127023, '\P{mahjong}', "");
Expect(1, 127023, '\P{^mahjong}', "");
Expect(0, 127024, '\p{mahjong}', "");
Expect(1, 127024, '\p{^mahjong}', "");
Expect(1, 127024, '\P{mahjong}', "");
Expect(0, 127024, '\P{^mahjong}', "");
Expect(1, 127023, '\p{_	Mahjong}', "");
Expect(0, 127023, '\p{^_	Mahjong}', "");
Expect(0, 127023, '\P{_	Mahjong}', "");
Expect(1, 127023, '\P{^_	Mahjong}', "");
Expect(0, 127024, '\p{_	Mahjong}', "");
Expect(1, 127024, '\p{^_	Mahjong}', "");
Expect(1, 127024, '\P{_	Mahjong}', "");
Expect(0, 127024, '\P{^_	Mahjong}', "");
Error('\p{:= -Is_Mahjong}');
Error('\P{:= -Is_Mahjong}');
Expect(1, 127023, '\p{ismahjong}', "");
Expect(0, 127023, '\p{^ismahjong}', "");
Expect(0, 127023, '\P{ismahjong}', "");
Expect(1, 127023, '\P{^ismahjong}', "");
Expect(0, 127024, '\p{ismahjong}', "");
Expect(1, 127024, '\p{^ismahjong}', "");
Expect(1, 127024, '\P{ismahjong}', "");
Expect(0, 127024, '\P{^ismahjong}', "");
Expect(1, 127023, '\p{is_mahjong}', "");
Expect(0, 127023, '\p{^is_mahjong}', "");
Expect(0, 127023, '\P{is_mahjong}', "");
Expect(1, 127023, '\P{^is_mahjong}', "");
Expect(0, 127024, '\p{is_mahjong}', "");
Expect(1, 127024, '\p{^is_mahjong}', "");
Expect(1, 127024, '\P{is_mahjong}', "");
Expect(0, 127024, '\P{^is_mahjong}', "");
Error('\p{-/a/In_Mahjong}');
Error('\P{-/a/In_Mahjong}');
Expect(1, 127023, '\p{inmahjong}', "");
Expect(0, 127023, '\p{^inmahjong}', "");
Expect(0, 127023, '\P{inmahjong}', "");
Expect(1, 127023, '\P{^inmahjong}', "");
Expect(0, 127024, '\p{inmahjong}', "");
Expect(1, 127024, '\p{^inmahjong}', "");
Expect(1, 127024, '\P{inmahjong}', "");
Expect(0, 127024, '\P{^inmahjong}', "");
Expect(1, 127023, '\p{_In_Mahjong}', "");
Expect(0, 127023, '\p{^_In_Mahjong}', "");
Expect(0, 127023, '\P{_In_Mahjong}', "");
Expect(1, 127023, '\P{^_In_Mahjong}', "");
Expect(0, 127024, '\p{_In_Mahjong}', "");
Expect(1, 127024, '\p{^_In_Mahjong}', "");
Expect(1, 127024, '\P{_In_Mahjong}', "");
Expect(0, 127024, '\P{^_In_Mahjong}', "");
Error('\p{-_malayalam:=}');
Error('\P{-_malayalam:=}');
Expect(1, 3455, '\p{malayalam}', "");
Expect(0, 3455, '\p{^malayalam}', "");
Expect(0, 3455, '\P{malayalam}', "");
Expect(1, 3455, '\P{^malayalam}', "");
Expect(0, 3456, '\p{malayalam}', "");
Expect(1, 3456, '\p{^malayalam}', "");
Expect(1, 3456, '\P{malayalam}', "");
Expect(0, 3456, '\P{^malayalam}', "");
Expect(1, 3455, '\p{	 malayalam}', "");
Expect(0, 3455, '\p{^	 malayalam}', "");
Expect(0, 3455, '\P{	 malayalam}', "");
Expect(1, 3455, '\P{^	 malayalam}', "");
Expect(0, 3456, '\p{	 malayalam}', "");
Expect(1, 3456, '\p{^	 malayalam}', "");
Expect(1, 3456, '\P{	 malayalam}', "");
Expect(0, 3456, '\P{^	 malayalam}', "");
Error('\p{:=_	IS_Malayalam}');
Error('\P{:=_	IS_Malayalam}');
Expect(1, 3455, '\p{ismalayalam}', "");
Expect(0, 3455, '\p{^ismalayalam}', "");
Expect(0, 3455, '\P{ismalayalam}', "");
Expect(1, 3455, '\P{^ismalayalam}', "");
Expect(0, 3456, '\p{ismalayalam}', "");
Expect(1, 3456, '\p{^ismalayalam}', "");
Expect(1, 3456, '\P{ismalayalam}', "");
Expect(0, 3456, '\P{^ismalayalam}', "");
Expect(1, 3455, '\p{-IS_Malayalam}', "");
Expect(0, 3455, '\p{^-IS_Malayalam}', "");
Expect(0, 3455, '\P{-IS_Malayalam}', "");
Expect(1, 3455, '\P{^-IS_Malayalam}', "");
Expect(0, 3456, '\p{-IS_Malayalam}', "");
Expect(1, 3456, '\p{^-IS_Malayalam}', "");
Expect(1, 3456, '\P{-IS_Malayalam}', "");
Expect(0, 3456, '\P{^-IS_Malayalam}', "");
Error('\p{	-Mlym:=}');
Error('\P{	-Mlym:=}');
Expect(1, 3455, '\p{mlym}', "");
Expect(0, 3455, '\p{^mlym}', "");
Expect(0, 3455, '\P{mlym}', "");
Expect(1, 3455, '\P{^mlym}', "");
Expect(0, 3456, '\p{mlym}', "");
Expect(1, 3456, '\p{^mlym}', "");
Expect(1, 3456, '\P{mlym}', "");
Expect(0, 3456, '\P{^mlym}', "");
Expect(1, 3455, '\p{ 	Mlym}', "");
Expect(0, 3455, '\p{^ 	Mlym}', "");
Expect(0, 3455, '\P{ 	Mlym}', "");
Expect(1, 3455, '\P{^ 	Mlym}', "");
Expect(0, 3456, '\p{ 	Mlym}', "");
Expect(1, 3456, '\p{^ 	Mlym}', "");
Expect(1, 3456, '\P{ 	Mlym}', "");
Expect(0, 3456, '\P{^ 	Mlym}', "");
Error('\p{:=-Is_Mlym}');
Error('\P{:=-Is_Mlym}');
Expect(1, 3455, '\p{ismlym}', "");
Expect(0, 3455, '\p{^ismlym}', "");
Expect(0, 3455, '\P{ismlym}', "");
Expect(1, 3455, '\P{^ismlym}', "");
Expect(0, 3456, '\p{ismlym}', "");
Expect(1, 3456, '\p{^ismlym}', "");
Expect(1, 3456, '\P{ismlym}', "");
Expect(0, 3456, '\P{^ismlym}', "");
Expect(1, 3455, '\p{	IS_mlym}', "");
Expect(0, 3455, '\p{^	IS_mlym}', "");
Expect(0, 3455, '\P{	IS_mlym}', "");
Expect(1, 3455, '\P{^	IS_mlym}', "");
Expect(0, 3456, '\p{	IS_mlym}', "");
Expect(1, 3456, '\p{^	IS_mlym}', "");
Expect(1, 3456, '\P{	IS_mlym}', "");
Expect(0, 3456, '\P{^	IS_mlym}', "");
Error('\p{:=_	Mandaic}');
Error('\P{:=_	Mandaic}');
Expect(1, 2142, '\p{mandaic}', "");
Expect(0, 2142, '\p{^mandaic}', "");
Expect(0, 2142, '\P{mandaic}', "");
Expect(1, 2142, '\P{^mandaic}', "");
Expect(0, 2143, '\p{mandaic}', "");
Expect(1, 2143, '\p{^mandaic}', "");
Expect(1, 2143, '\P{mandaic}', "");
Expect(0, 2143, '\P{^mandaic}', "");
Expect(1, 2142, '\p{_Mandaic}', "");
Expect(0, 2142, '\p{^_Mandaic}', "");
Expect(0, 2142, '\P{_Mandaic}', "");
Expect(1, 2142, '\P{^_Mandaic}', "");
Expect(0, 2143, '\p{_Mandaic}', "");
Expect(1, 2143, '\p{^_Mandaic}', "");
Expect(1, 2143, '\P{_Mandaic}', "");
Expect(0, 2143, '\P{^_Mandaic}', "");
Error('\p{-/a/Is_mandaic}');
Error('\P{-/a/Is_mandaic}');
Expect(1, 2142, '\p{ismandaic}', "");
Expect(0, 2142, '\p{^ismandaic}', "");
Expect(0, 2142, '\P{ismandaic}', "");
Expect(1, 2142, '\P{^ismandaic}', "");
Expect(0, 2143, '\p{ismandaic}', "");
Expect(1, 2143, '\p{^ismandaic}', "");
Expect(1, 2143, '\P{ismandaic}', "");
Expect(0, 2143, '\P{^ismandaic}', "");
Expect(1, 2142, '\p{ is_Mandaic}', "");
Expect(0, 2142, '\p{^ is_Mandaic}', "");
Expect(0, 2142, '\P{ is_Mandaic}', "");
Expect(1, 2142, '\P{^ is_Mandaic}', "");
Expect(0, 2143, '\p{ is_Mandaic}', "");
Expect(1, 2143, '\p{^ is_Mandaic}', "");
Expect(1, 2143, '\P{ is_Mandaic}', "");
Expect(0, 2143, '\P{^ is_Mandaic}', "");
Error('\p{_Mand:=}');
Error('\P{_Mand:=}');
Expect(1, 2142, '\p{mand}', "");
Expect(0, 2142, '\p{^mand}', "");
Expect(0, 2142, '\P{mand}', "");
Expect(1, 2142, '\P{^mand}', "");
Expect(0, 2143, '\p{mand}', "");
Expect(1, 2143, '\p{^mand}', "");
Expect(1, 2143, '\P{mand}', "");
Expect(0, 2143, '\P{^mand}', "");
Expect(1, 2142, '\p{		Mand}', "");
Expect(0, 2142, '\p{^		Mand}', "");
Expect(0, 2142, '\P{		Mand}', "");
Expect(1, 2142, '\P{^		Mand}', "");
Expect(0, 2143, '\p{		Mand}', "");
Expect(1, 2143, '\p{^		Mand}', "");
Expect(1, 2143, '\P{		Mand}', "");
Expect(0, 2143, '\P{^		Mand}', "");
Error('\p{/a/__IS_Mand}');
Error('\P{/a/__IS_Mand}');
Expect(1, 2142, '\p{ismand}', "");
Expect(0, 2142, '\p{^ismand}', "");
Expect(0, 2142, '\P{ismand}', "");
Expect(1, 2142, '\P{^ismand}', "");
Expect(0, 2143, '\p{ismand}', "");
Expect(1, 2143, '\p{^ismand}', "");
Expect(1, 2143, '\P{ismand}', "");
Expect(0, 2143, '\P{^ismand}', "");
Expect(1, 2142, '\p{	 IS_MAND}', "");
Expect(0, 2142, '\p{^	 IS_MAND}', "");
Expect(0, 2142, '\P{	 IS_MAND}', "");
Expect(1, 2142, '\P{^	 IS_MAND}', "");
Expect(0, 2143, '\p{	 IS_MAND}', "");
Expect(1, 2143, '\p{^	 IS_MAND}', "");
Expect(1, 2143, '\P{	 IS_MAND}', "");
Expect(0, 2143, '\P{^	 IS_MAND}', "");
Error('\p{:= _manichaean}');
Error('\P{:= _manichaean}');
Expect(1, 68342, '\p{manichaean}', "");
Expect(0, 68342, '\p{^manichaean}', "");
Expect(0, 68342, '\P{manichaean}', "");
Expect(1, 68342, '\P{^manichaean}', "");
Expect(0, 68343, '\p{manichaean}', "");
Expect(1, 68343, '\p{^manichaean}', "");
Expect(1, 68343, '\P{manichaean}', "");
Expect(0, 68343, '\P{^manichaean}', "");
Expect(1, 68342, '\p{_ Manichaean}', "");
Expect(0, 68342, '\p{^_ Manichaean}', "");
Expect(0, 68342, '\P{_ Manichaean}', "");
Expect(1, 68342, '\P{^_ Manichaean}', "");
Expect(0, 68343, '\p{_ Manichaean}', "");
Expect(1, 68343, '\p{^_ Manichaean}', "");
Expect(1, 68343, '\P{_ Manichaean}', "");
Expect(0, 68343, '\P{^_ Manichaean}', "");
Error('\p{	 Is_MANICHAEAN:=}');
Error('\P{	 Is_MANICHAEAN:=}');
Expect(1, 68342, '\p{ismanichaean}', "");
Expect(0, 68342, '\p{^ismanichaean}', "");
Expect(0, 68342, '\P{ismanichaean}', "");
Expect(1, 68342, '\P{^ismanichaean}', "");
Expect(0, 68343, '\p{ismanichaean}', "");
Expect(1, 68343, '\p{^ismanichaean}', "");
Expect(1, 68343, '\P{ismanichaean}', "");
Expect(0, 68343, '\P{^ismanichaean}', "");
Expect(1, 68342, '\p{-	IS_MANICHAEAN}', "");
Expect(0, 68342, '\p{^-	IS_MANICHAEAN}', "");
Expect(0, 68342, '\P{-	IS_MANICHAEAN}', "");
Expect(1, 68342, '\P{^-	IS_MANICHAEAN}', "");
Expect(0, 68343, '\p{-	IS_MANICHAEAN}', "");
Expect(1, 68343, '\p{^-	IS_MANICHAEAN}', "");
Expect(1, 68343, '\P{-	IS_MANICHAEAN}', "");
Expect(0, 68343, '\P{^-	IS_MANICHAEAN}', "");
Error('\p{:=_Mani}');
Error('\P{:=_Mani}');
Expect(1, 68342, '\p{mani}', "");
Expect(0, 68342, '\p{^mani}', "");
Expect(0, 68342, '\P{mani}', "");
Expect(1, 68342, '\P{^mani}', "");
Expect(0, 68343, '\p{mani}', "");
Expect(1, 68343, '\p{^mani}', "");
Expect(1, 68343, '\P{mani}', "");
Expect(0, 68343, '\P{^mani}', "");
Expect(1, 68342, '\p{ mani}', "");
Expect(0, 68342, '\p{^ mani}', "");
Expect(0, 68342, '\P{ mani}', "");
Expect(1, 68342, '\P{^ mani}', "");
Expect(0, 68343, '\p{ mani}', "");
Expect(1, 68343, '\p{^ mani}', "");
Expect(1, 68343, '\P{ mani}', "");
Expect(0, 68343, '\P{^ mani}', "");
Error('\p{_	IS_mani/a/}');
Error('\P{_	IS_mani/a/}');
Expect(1, 68342, '\p{ismani}', "");
Expect(0, 68342, '\p{^ismani}', "");
Expect(0, 68342, '\P{ismani}', "");
Expect(1, 68342, '\P{^ismani}', "");
Expect(0, 68343, '\p{ismani}', "");
Expect(1, 68343, '\p{^ismani}', "");
Expect(1, 68343, '\P{ismani}', "");
Expect(0, 68343, '\P{^ismani}', "");
Expect(1, 68342, '\p{	is_MANI}', "");
Expect(0, 68342, '\p{^	is_MANI}', "");
Expect(0, 68342, '\P{	is_MANI}', "");
Expect(1, 68342, '\P{^	is_MANI}', "");
Expect(0, 68343, '\p{	is_MANI}', "");
Expect(1, 68343, '\p{^	is_MANI}', "");
Expect(1, 68343, '\P{	is_MANI}', "");
Expect(0, 68343, '\P{^	is_MANI}', "");
Error('\p{:=_ Mark}');
Error('\P{:=_ Mark}');
Expect(1, 917999, '\p{mark}', "");
Expect(0, 917999, '\p{^mark}', "");
Expect(0, 917999, '\P{mark}', "");
Expect(1, 917999, '\P{^mark}', "");
Expect(0, 918000, '\p{mark}', "");
Expect(1, 918000, '\p{^mark}', "");
Expect(1, 918000, '\P{mark}', "");
Expect(0, 918000, '\P{^mark}', "");
Expect(1, 917999, '\p{-MARK}', "");
Expect(0, 917999, '\p{^-MARK}', "");
Expect(0, 917999, '\P{-MARK}', "");
Expect(1, 917999, '\P{^-MARK}', "");
Expect(0, 918000, '\p{-MARK}', "");
Expect(1, 918000, '\p{^-MARK}', "");
Expect(1, 918000, '\P{-MARK}', "");
Expect(0, 918000, '\P{^-MARK}', "");
Error('\p{/a/	IS_mark}');
Error('\P{/a/	IS_mark}');
Expect(1, 917999, '\p{ismark}', "");
Expect(0, 917999, '\p{^ismark}', "");
Expect(0, 917999, '\P{ismark}', "");
Expect(1, 917999, '\P{^ismark}', "");
Expect(0, 918000, '\p{ismark}', "");
Expect(1, 918000, '\p{^ismark}', "");
Expect(1, 918000, '\P{ismark}', "");
Expect(0, 918000, '\P{^ismark}', "");
Expect(1, 917999, '\p{  IS_Mark}', "");
Expect(0, 917999, '\p{^  IS_Mark}', "");
Expect(0, 917999, '\P{  IS_Mark}', "");
Expect(1, 917999, '\P{^  IS_Mark}', "");
Expect(0, 918000, '\p{  IS_Mark}', "");
Expect(1, 918000, '\p{^  IS_Mark}', "");
Expect(1, 918000, '\P{  IS_Mark}', "");
Expect(0, 918000, '\P{^  IS_Mark}', "");
Error('\p{:=_ M}');
Error('\P{:=_ M}');
Expect(1, 917999, '\p{m}', "");
Expect(0, 917999, '\p{^m}', "");
Expect(0, 917999, '\P{m}', "");
Expect(1, 917999, '\P{^m}', "");
Expect(0, 918000, '\p{m}', "");
Expect(1, 918000, '\p{^m}', "");
Expect(1, 918000, '\P{m}', "");
Expect(0, 918000, '\P{^m}', "");
Expect(1, 917999, '\p{-_M}', "");
Expect(0, 917999, '\p{^-_M}', "");
Expect(0, 917999, '\P{-_M}', "");
Expect(1, 917999, '\P{^-_M}', "");
Expect(0, 918000, '\p{-_M}', "");
Expect(1, 918000, '\p{^-_M}', "");
Expect(1, 918000, '\P{-_M}', "");
Expect(0, 918000, '\P{^-_M}', "");
Error('\p{- Is_M:=}');
Error('\P{- Is_M:=}');
Expect(1, 917999, '\p{ism}', "");
Expect(0, 917999, '\p{^ism}', "");
Expect(0, 917999, '\P{ism}', "");
Expect(1, 917999, '\P{^ism}', "");
Expect(0, 918000, '\p{ism}', "");
Expect(1, 918000, '\p{^ism}', "");
Expect(1, 918000, '\P{ism}', "");
Expect(0, 918000, '\P{^ism}', "");
Expect(1, 917999, '\p{	-is_M}', "");
Expect(0, 917999, '\p{^	-is_M}', "");
Expect(0, 917999, '\P{	-is_M}', "");
Expect(1, 917999, '\P{^	-is_M}', "");
Expect(0, 918000, '\p{	-is_M}', "");
Expect(1, 918000, '\p{^	-is_M}', "");
Expect(1, 918000, '\P{	-is_M}', "");
Expect(0, 918000, '\P{^	-is_M}', "");
Error('\p{:=_Combining_Mark}');
Error('\P{:=_Combining_Mark}');
Expect(1, 917999, '\p{combiningmark}', "");
Expect(0, 917999, '\p{^combiningmark}', "");
Expect(0, 917999, '\P{combiningmark}', "");
Expect(1, 917999, '\P{^combiningmark}', "");
Expect(0, 918000, '\p{combiningmark}', "");
Expect(1, 918000, '\p{^combiningmark}', "");
Expect(1, 918000, '\P{combiningmark}', "");
Expect(0, 918000, '\P{^combiningmark}', "");
Expect(1, 917999, '\p{- combining_Mark}', "");
Expect(0, 917999, '\p{^- combining_Mark}', "");
Expect(0, 917999, '\P{- combining_Mark}', "");
Expect(1, 917999, '\P{^- combining_Mark}', "");
Expect(0, 918000, '\p{- combining_Mark}', "");
Expect(1, 918000, '\p{^- combining_Mark}', "");
Expect(1, 918000, '\P{- combining_Mark}', "");
Expect(0, 918000, '\P{^- combining_Mark}', "");
Error('\p{_/a/Is_combining_Mark}');
Error('\P{_/a/Is_combining_Mark}');
Expect(1, 917999, '\p{iscombiningmark}', "");
Expect(0, 917999, '\p{^iscombiningmark}', "");
Expect(0, 917999, '\P{iscombiningmark}', "");
Expect(1, 917999, '\P{^iscombiningmark}', "");
Expect(0, 918000, '\p{iscombiningmark}', "");
Expect(1, 918000, '\p{^iscombiningmark}', "");
Expect(1, 918000, '\P{iscombiningmark}', "");
Expect(0, 918000, '\P{^iscombiningmark}', "");
Expect(1, 917999, '\p{_is_combining_mark}', "");
Expect(0, 917999, '\p{^_is_combining_mark}', "");
Expect(0, 917999, '\P{_is_combining_mark}', "");
Expect(1, 917999, '\P{^_is_combining_mark}', "");
Expect(0, 918000, '\p{_is_combining_mark}', "");
Expect(1, 918000, '\p{^_is_combining_mark}', "");
Expect(1, 918000, '\P{_is_combining_mark}', "");
Expect(0, 918000, '\P{^_is_combining_mark}', "");
Error('\p{/a/ -Math}');
Error('\P{/a/ -Math}');
Expect(1, 126705, '\p{math}', "");
Expect(0, 126705, '\p{^math}', "");
Expect(0, 126705, '\P{math}', "");
Expect(1, 126705, '\P{^math}', "");
Expect(0, 126706, '\p{math}', "");
Expect(1, 126706, '\p{^math}', "");
Expect(1, 126706, '\P{math}', "");
Expect(0, 126706, '\P{^math}', "");
Expect(1, 126705, '\p{_MATH}', "");
Expect(0, 126705, '\p{^_MATH}', "");
Expect(0, 126705, '\P{_MATH}', "");
Expect(1, 126705, '\P{^_MATH}', "");
Expect(0, 126706, '\p{_MATH}', "");
Expect(1, 126706, '\p{^_MATH}', "");
Expect(1, 126706, '\P{_MATH}', "");
Expect(0, 126706, '\P{^_MATH}', "");
Error('\p{/a/_-Is_MATH}');
Error('\P{/a/_-Is_MATH}');
Expect(1, 126705, '\p{ismath}', "");
Expect(0, 126705, '\p{^ismath}', "");
Expect(0, 126705, '\P{ismath}', "");
Expect(1, 126705, '\P{^ismath}', "");
Expect(0, 126706, '\p{ismath}', "");
Expect(1, 126706, '\p{^ismath}', "");
Expect(1, 126706, '\P{ismath}', "");
Expect(0, 126706, '\P{^ismath}', "");
Expect(1, 126705, '\p{--Is_math}', "");
Expect(0, 126705, '\p{^--Is_math}', "");
Expect(0, 126705, '\P{--Is_math}', "");
Expect(1, 126705, '\P{^--Is_math}', "");
Expect(0, 126706, '\p{--Is_math}', "");
Expect(1, 126706, '\p{^--Is_math}', "");
Expect(1, 126706, '\P{--Is_math}', "");
Expect(0, 126706, '\P{^--Is_math}', "");
Error('\p{ /a/MATH_symbol}');
Error('\P{ /a/MATH_symbol}');
Expect(1, 126705, '\p{mathsymbol}', "");
Expect(0, 126705, '\p{^mathsymbol}', "");
Expect(0, 126705, '\P{mathsymbol}', "");
Expect(1, 126705, '\P{^mathsymbol}', "");
Expect(0, 126706, '\p{mathsymbol}', "");
Expect(1, 126706, '\p{^mathsymbol}', "");
Expect(1, 126706, '\P{mathsymbol}', "");
Expect(0, 126706, '\P{^mathsymbol}', "");
Expect(1, 126705, '\p{_MATH_Symbol}', "");
Expect(0, 126705, '\p{^_MATH_Symbol}', "");
Expect(0, 126705, '\P{_MATH_Symbol}', "");
Expect(1, 126705, '\P{^_MATH_Symbol}', "");
Expect(0, 126706, '\p{_MATH_Symbol}', "");
Expect(1, 126706, '\p{^_MATH_Symbol}', "");
Expect(1, 126706, '\P{_MATH_Symbol}', "");
Expect(0, 126706, '\P{^_MATH_Symbol}', "");
Error('\p{-/a/IS_MATH_symbol}');
Error('\P{-/a/IS_MATH_symbol}');
Expect(1, 126705, '\p{ismathsymbol}', "");
Expect(0, 126705, '\p{^ismathsymbol}', "");
Expect(0, 126705, '\P{ismathsymbol}', "");
Expect(1, 126705, '\P{^ismathsymbol}', "");
Expect(0, 126706, '\p{ismathsymbol}', "");
Expect(1, 126706, '\p{^ismathsymbol}', "");
Expect(1, 126706, '\P{ismathsymbol}', "");
Expect(0, 126706, '\P{^ismathsymbol}', "");
Expect(1, 126705, '\p{	 IS_MATH_Symbol}', "");
Expect(0, 126705, '\p{^	 IS_MATH_Symbol}', "");
Expect(0, 126705, '\P{	 IS_MATH_Symbol}', "");
Expect(1, 126705, '\P{^	 IS_MATH_Symbol}', "");
Expect(0, 126706, '\p{	 IS_MATH_Symbol}', "");
Expect(1, 126706, '\p{^	 IS_MATH_Symbol}', "");
Expect(1, 126706, '\P{	 IS_MATH_Symbol}', "");
Expect(0, 126706, '\P{^	 IS_MATH_Symbol}', "");
Error('\p{	/a/Sm}');
Error('\P{	/a/Sm}');
Expect(1, 126705, '\p{sm}', "");
Expect(0, 126705, '\p{^sm}', "");
Expect(0, 126705, '\P{sm}', "");
Expect(1, 126705, '\P{^sm}', "");
Expect(0, 126706, '\p{sm}', "");
Expect(1, 126706, '\p{^sm}', "");
Expect(1, 126706, '\P{sm}', "");
Expect(0, 126706, '\P{^sm}', "");
Expect(1, 126705, '\p{--Sm}', "");
Expect(0, 126705, '\p{^--Sm}', "");
Expect(0, 126705, '\P{--Sm}', "");
Expect(1, 126705, '\P{^--Sm}', "");
Expect(0, 126706, '\p{--Sm}', "");
Expect(1, 126706, '\p{^--Sm}', "");
Expect(1, 126706, '\P{--Sm}', "");
Expect(0, 126706, '\P{^--Sm}', "");
Error('\p{ _IS_sm:=}');
Error('\P{ _IS_sm:=}');
Expect(1, 126705, '\p{issm}', "");
Expect(0, 126705, '\p{^issm}', "");
Expect(0, 126705, '\P{issm}', "");
Expect(1, 126705, '\P{^issm}', "");
Expect(0, 126706, '\p{issm}', "");
Expect(1, 126706, '\p{^issm}', "");
Expect(1, 126706, '\P{issm}', "");
Expect(0, 126706, '\P{^issm}', "");
Expect(1, 126705, '\p{  IS_sm}', "");
Expect(0, 126705, '\p{^  IS_sm}', "");
Expect(0, 126705, '\P{  IS_sm}', "");
Expect(1, 126705, '\P{^  IS_sm}', "");
Expect(0, 126706, '\p{  IS_sm}', "");
Expect(1, 126706, '\p{^  IS_sm}', "");
Expect(1, 126706, '\P{  IS_sm}', "");
Expect(0, 126706, '\P{^  IS_sm}', "");
Error('\p{__Mathematical_Alphanumeric_Symbols/a/}');
Error('\P{__Mathematical_Alphanumeric_Symbols/a/}');
Expect(1, 120831, '\p{mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^mathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\p{mathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\p{^mathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\P{mathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\P{^mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{	 MATHEMATICAL_Alphanumeric_symbols}', "");
Expect(0, 120831, '\p{^	 MATHEMATICAL_Alphanumeric_symbols}', "");
Expect(0, 120831, '\P{	 MATHEMATICAL_Alphanumeric_symbols}', "");
Expect(1, 120831, '\P{^	 MATHEMATICAL_Alphanumeric_symbols}', "");
Expect(0, 120832, '\p{	 MATHEMATICAL_Alphanumeric_symbols}', "");
Expect(1, 120832, '\p{^	 MATHEMATICAL_Alphanumeric_symbols}', "");
Expect(1, 120832, '\P{	 MATHEMATICAL_Alphanumeric_symbols}', "");
Expect(0, 120832, '\P{^	 MATHEMATICAL_Alphanumeric_symbols}', "");
Error('\p{:=	Is_Mathematical_ALPHANUMERIC_SYMBOLS}');
Error('\P{:=	Is_Mathematical_ALPHANUMERIC_SYMBOLS}');
Expect(1, 120831, '\p{ismathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^ismathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{ismathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^ismathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\p{ismathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\p{^ismathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\P{ismathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\P{^ismathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{ Is_Mathematical_alphanumeric_SYMBOLS}', "");
Expect(0, 120831, '\p{^ Is_Mathematical_alphanumeric_SYMBOLS}', "");
Expect(0, 120831, '\P{ Is_Mathematical_alphanumeric_SYMBOLS}', "");
Expect(1, 120831, '\P{^ Is_Mathematical_alphanumeric_SYMBOLS}', "");
Expect(0, 120832, '\p{ Is_Mathematical_alphanumeric_SYMBOLS}', "");
Expect(1, 120832, '\p{^ Is_Mathematical_alphanumeric_SYMBOLS}', "");
Expect(1, 120832, '\P{ Is_Mathematical_alphanumeric_SYMBOLS}', "");
Expect(0, 120832, '\P{^ Is_Mathematical_alphanumeric_SYMBOLS}', "");
Error('\p{-IN_Mathematical_ALPHANUMERIC_SYMBOLS/a/}');
Error('\P{-IN_Mathematical_ALPHANUMERIC_SYMBOLS/a/}');
Expect(1, 120831, '\p{inmathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^inmathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{inmathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^inmathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\p{inmathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\p{^inmathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\P{inmathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\P{^inmathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{--in_mathematical_alphanumeric_symbols}', "");
Expect(0, 120831, '\p{^--in_mathematical_alphanumeric_symbols}', "");
Expect(0, 120831, '\P{--in_mathematical_alphanumeric_symbols}', "");
Expect(1, 120831, '\P{^--in_mathematical_alphanumeric_symbols}', "");
Expect(0, 120832, '\p{--in_mathematical_alphanumeric_symbols}', "");
Expect(1, 120832, '\p{^--in_mathematical_alphanumeric_symbols}', "");
Expect(1, 120832, '\P{--in_mathematical_alphanumeric_symbols}', "");
Expect(0, 120832, '\P{^--in_mathematical_alphanumeric_symbols}', "");
Error('\p{	 MATH_alphanum/a/}');
Error('\P{	 MATH_alphanum/a/}');
Expect(1, 120831, '\p{mathalphanum}', "");
Expect(0, 120831, '\p{^mathalphanum}', "");
Expect(0, 120831, '\P{mathalphanum}', "");
Expect(1, 120831, '\P{^mathalphanum}', "");
Expect(0, 120832, '\p{mathalphanum}', "");
Expect(1, 120832, '\p{^mathalphanum}', "");
Expect(1, 120832, '\P{mathalphanum}', "");
Expect(0, 120832, '\P{^mathalphanum}', "");
Expect(1, 120831, '\p{_ Math_alphanum}', "");
Expect(0, 120831, '\p{^_ Math_alphanum}', "");
Expect(0, 120831, '\P{_ Math_alphanum}', "");
Expect(1, 120831, '\P{^_ Math_alphanum}', "");
Expect(0, 120832, '\p{_ Math_alphanum}', "");
Expect(1, 120832, '\p{^_ Math_alphanum}', "");
Expect(1, 120832, '\P{_ Math_alphanum}', "");
Expect(0, 120832, '\P{^_ Math_alphanum}', "");
Error('\p{-_is_MATH_Alphanum/a/}');
Error('\P{-_is_MATH_Alphanum/a/}');
Expect(1, 120831, '\p{ismathalphanum}', "");
Expect(0, 120831, '\p{^ismathalphanum}', "");
Expect(0, 120831, '\P{ismathalphanum}', "");
Expect(1, 120831, '\P{^ismathalphanum}', "");
Expect(0, 120832, '\p{ismathalphanum}', "");
Expect(1, 120832, '\p{^ismathalphanum}', "");
Expect(1, 120832, '\P{ismathalphanum}', "");
Expect(0, 120832, '\P{^ismathalphanum}', "");
Expect(1, 120831, '\p{ _is_math_ALPHANUM}', "");
Expect(0, 120831, '\p{^ _is_math_ALPHANUM}', "");
Expect(0, 120831, '\P{ _is_math_ALPHANUM}', "");
Expect(1, 120831, '\P{^ _is_math_ALPHANUM}', "");
Expect(0, 120832, '\p{ _is_math_ALPHANUM}', "");
Expect(1, 120832, '\p{^ _is_math_ALPHANUM}', "");
Expect(1, 120832, '\P{ _is_math_ALPHANUM}', "");
Expect(0, 120832, '\P{^ _is_math_ALPHANUM}', "");
Error('\p{ :=In_MATH_Alphanum}');
Error('\P{ :=In_MATH_Alphanum}');
Expect(1, 120831, '\p{inmathalphanum}', "");
Expect(0, 120831, '\p{^inmathalphanum}', "");
Expect(0, 120831, '\P{inmathalphanum}', "");
Expect(1, 120831, '\P{^inmathalphanum}', "");
Expect(0, 120832, '\p{inmathalphanum}', "");
Expect(1, 120832, '\p{^inmathalphanum}', "");
Expect(1, 120832, '\P{inmathalphanum}', "");
Expect(0, 120832, '\P{^inmathalphanum}', "");
Expect(1, 120831, '\p{-IN_Math_ALPHANUM}', "");
Expect(0, 120831, '\p{^-IN_Math_ALPHANUM}', "");
Expect(0, 120831, '\P{-IN_Math_ALPHANUM}', "");
Expect(1, 120831, '\P{^-IN_Math_ALPHANUM}', "");
Expect(0, 120832, '\p{-IN_Math_ALPHANUM}', "");
Expect(1, 120832, '\p{^-IN_Math_ALPHANUM}', "");
Expect(1, 120832, '\P{-IN_Math_ALPHANUM}', "");
Expect(0, 120832, '\P{^-IN_Math_ALPHANUM}', "");
Error('\p{/a/	Mathematical_OPERATORS}');
Error('\P{/a/	Mathematical_OPERATORS}');
Expect(1, 8959, '\p{mathematicaloperators}', "");
Expect(0, 8959, '\p{^mathematicaloperators}', "");
Expect(0, 8959, '\P{mathematicaloperators}', "");
Expect(1, 8959, '\P{^mathematicaloperators}', "");
Expect(0, 8960, '\p{mathematicaloperators}', "");
Expect(1, 8960, '\p{^mathematicaloperators}', "");
Expect(1, 8960, '\P{mathematicaloperators}', "");
Expect(0, 8960, '\P{^mathematicaloperators}', "");
Expect(1, 8959, '\p{		MATHEMATICAL_operators}', "");
Expect(0, 8959, '\p{^		MATHEMATICAL_operators}', "");
Expect(0, 8959, '\P{		MATHEMATICAL_operators}', "");
Expect(1, 8959, '\P{^		MATHEMATICAL_operators}', "");
Expect(0, 8960, '\p{		MATHEMATICAL_operators}', "");
Expect(1, 8960, '\p{^		MATHEMATICAL_operators}', "");
Expect(1, 8960, '\P{		MATHEMATICAL_operators}', "");
Expect(0, 8960, '\P{^		MATHEMATICAL_operators}', "");
Error('\p{	 Is_mathematical_Operators/a/}');
Error('\P{	 Is_mathematical_Operators/a/}');
Expect(1, 8959, '\p{ismathematicaloperators}', "");
Expect(0, 8959, '\p{^ismathematicaloperators}', "");
Expect(0, 8959, '\P{ismathematicaloperators}', "");
Expect(1, 8959, '\P{^ismathematicaloperators}', "");
Expect(0, 8960, '\p{ismathematicaloperators}', "");
Expect(1, 8960, '\p{^ismathematicaloperators}', "");
Expect(1, 8960, '\P{ismathematicaloperators}', "");
Expect(0, 8960, '\P{^ismathematicaloperators}', "");
Expect(1, 8959, '\p{_-is_mathematical_operators}', "");
Expect(0, 8959, '\p{^_-is_mathematical_operators}', "");
Expect(0, 8959, '\P{_-is_mathematical_operators}', "");
Expect(1, 8959, '\P{^_-is_mathematical_operators}', "");
Expect(0, 8960, '\p{_-is_mathematical_operators}', "");
Expect(1, 8960, '\p{^_-is_mathematical_operators}', "");
Expect(1, 8960, '\P{_-is_mathematical_operators}', "");
Expect(0, 8960, '\P{^_-is_mathematical_operators}', "");
Error('\p{/a/	 In_mathematical_Operators}');
Error('\P{/a/	 In_mathematical_Operators}');
Expect(1, 8959, '\p{inmathematicaloperators}', "");
Expect(0, 8959, '\p{^inmathematicaloperators}', "");
Expect(0, 8959, '\P{inmathematicaloperators}', "");
Expect(1, 8959, '\P{^inmathematicaloperators}', "");
Expect(0, 8960, '\p{inmathematicaloperators}', "");
Expect(1, 8960, '\p{^inmathematicaloperators}', "");
Expect(1, 8960, '\P{inmathematicaloperators}', "");
Expect(0, 8960, '\P{^inmathematicaloperators}', "");
Expect(1, 8959, '\p{_In_MATHEMATICAL_Operators}', "");
Expect(0, 8959, '\p{^_In_MATHEMATICAL_Operators}', "");
Expect(0, 8959, '\P{_In_MATHEMATICAL_Operators}', "");
Expect(1, 8959, '\P{^_In_MATHEMATICAL_Operators}', "");
Expect(0, 8960, '\p{_In_MATHEMATICAL_Operators}', "");
Expect(1, 8960, '\p{^_In_MATHEMATICAL_Operators}', "");
Expect(1, 8960, '\P{_In_MATHEMATICAL_Operators}', "");
Expect(0, 8960, '\P{^_In_MATHEMATICAL_Operators}', "");
Error('\p{/a/-math_Operators}');
Error('\P{/a/-math_Operators}');
Expect(1, 8959, '\p{mathoperators}', "");
Expect(0, 8959, '\p{^mathoperators}', "");
Expect(0, 8959, '\P{mathoperators}', "");
Expect(1, 8959, '\P{^mathoperators}', "");
Expect(0, 8960, '\p{mathoperators}', "");
Expect(1, 8960, '\p{^mathoperators}', "");
Expect(1, 8960, '\P{mathoperators}', "");
Expect(0, 8960, '\P{^mathoperators}', "");
Expect(1, 8959, '\p{_-Math_OPERATORS}', "");
Expect(0, 8959, '\p{^_-Math_OPERATORS}', "");
Expect(0, 8959, '\P{_-Math_OPERATORS}', "");
Expect(1, 8959, '\P{^_-Math_OPERATORS}', "");
Expect(0, 8960, '\p{_-Math_OPERATORS}', "");
Expect(1, 8960, '\p{^_-Math_OPERATORS}', "");
Expect(1, 8960, '\P{_-Math_OPERATORS}', "");
Expect(0, 8960, '\P{^_-Math_OPERATORS}', "");
Error('\p{ Is_Math_Operators/a/}');
Error('\P{ Is_Math_Operators/a/}');
Expect(1, 8959, '\p{ismathoperators}', "");
Expect(0, 8959, '\p{^ismathoperators}', "");
Expect(0, 8959, '\P{ismathoperators}', "");
Expect(1, 8959, '\P{^ismathoperators}', "");
Expect(0, 8960, '\p{ismathoperators}', "");
Expect(1, 8960, '\p{^ismathoperators}', "");
Expect(1, 8960, '\P{ismathoperators}', "");
Expect(0, 8960, '\P{^ismathoperators}', "");
Expect(1, 8959, '\p{_ Is_Math_operators}', "");
Expect(0, 8959, '\p{^_ Is_Math_operators}', "");
Expect(0, 8959, '\P{_ Is_Math_operators}', "");
Expect(1, 8959, '\P{^_ Is_Math_operators}', "");
Expect(0, 8960, '\p{_ Is_Math_operators}', "");
Expect(1, 8960, '\p{^_ Is_Math_operators}', "");
Expect(1, 8960, '\P{_ Is_Math_operators}', "");
Expect(0, 8960, '\P{^_ Is_Math_operators}', "");
Error('\p{	:=IN_Math_operators}');
Error('\P{	:=IN_Math_operators}');
Expect(1, 8959, '\p{inmathoperators}', "");
Expect(0, 8959, '\p{^inmathoperators}', "");
Expect(0, 8959, '\P{inmathoperators}', "");
Expect(1, 8959, '\P{^inmathoperators}', "");
Expect(0, 8960, '\p{inmathoperators}', "");
Expect(1, 8960, '\p{^inmathoperators}', "");
Expect(1, 8960, '\P{inmathoperators}', "");
Expect(0, 8960, '\P{^inmathoperators}', "");
Expect(1, 8959, '\p{	_in_MATH_Operators}', "");
Expect(0, 8959, '\p{^	_in_MATH_Operators}', "");
Expect(0, 8959, '\P{	_in_MATH_Operators}', "");
Expect(1, 8959, '\P{^	_in_MATH_Operators}', "");
Expect(0, 8960, '\p{	_in_MATH_Operators}', "");
Expect(1, 8960, '\p{^	_in_MATH_Operators}', "");
Expect(1, 8960, '\P{	_in_MATH_Operators}', "");
Expect(0, 8960, '\P{^	_in_MATH_Operators}', "");
Error('\p{_:=MEETEI_mayek}');
Error('\P{_:=MEETEI_mayek}');
Expect(1, 44025, '\p{meeteimayek}', "");
Expect(0, 44025, '\p{^meeteimayek}', "");
Expect(0, 44025, '\P{meeteimayek}', "");
Expect(1, 44025, '\P{^meeteimayek}', "");
Expect(0, 44026, '\p{meeteimayek}', "");
Expect(1, 44026, '\p{^meeteimayek}', "");
Expect(1, 44026, '\P{meeteimayek}', "");
Expect(0, 44026, '\P{^meeteimayek}', "");
Expect(1, 44025, '\p{-meetei_Mayek}', "");
Expect(0, 44025, '\p{^-meetei_Mayek}', "");
Expect(0, 44025, '\P{-meetei_Mayek}', "");
Expect(1, 44025, '\P{^-meetei_Mayek}', "");
Expect(0, 44026, '\p{-meetei_Mayek}', "");
Expect(1, 44026, '\p{^-meetei_Mayek}', "");
Expect(1, 44026, '\P{-meetei_Mayek}', "");
Expect(0, 44026, '\P{^-meetei_Mayek}', "");
Error('\p{/a/	_is_Meetei_Mayek}');
Error('\P{/a/	_is_Meetei_Mayek}');
Expect(1, 44025, '\p{ismeeteimayek}', "");
Expect(0, 44025, '\p{^ismeeteimayek}', "");
Expect(0, 44025, '\P{ismeeteimayek}', "");
Expect(1, 44025, '\P{^ismeeteimayek}', "");
Expect(0, 44026, '\p{ismeeteimayek}', "");
Expect(1, 44026, '\p{^ismeeteimayek}', "");
Expect(1, 44026, '\P{ismeeteimayek}', "");
Expect(0, 44026, '\P{^ismeeteimayek}', "");
Expect(1, 44025, '\p{ 	Is_MEETEI_MAYEK}', "");
Expect(0, 44025, '\p{^ 	Is_MEETEI_MAYEK}', "");
Expect(0, 44025, '\P{ 	Is_MEETEI_MAYEK}', "");
Expect(1, 44025, '\P{^ 	Is_MEETEI_MAYEK}', "");
Expect(0, 44026, '\p{ 	Is_MEETEI_MAYEK}', "");
Expect(1, 44026, '\p{^ 	Is_MEETEI_MAYEK}', "");
Expect(1, 44026, '\P{ 	Is_MEETEI_MAYEK}', "");
Expect(0, 44026, '\P{^ 	Is_MEETEI_MAYEK}', "");
Error('\p{ _Mtei/a/}');
Error('\P{ _Mtei/a/}');
Expect(1, 44025, '\p{mtei}', "");
Expect(0, 44025, '\p{^mtei}', "");
Expect(0, 44025, '\P{mtei}', "");
Expect(1, 44025, '\P{^mtei}', "");
Expect(0, 44026, '\p{mtei}', "");
Expect(1, 44026, '\p{^mtei}', "");
Expect(1, 44026, '\P{mtei}', "");
Expect(0, 44026, '\P{^mtei}', "");
Expect(1, 44025, '\p{	 MTEI}', "");
Expect(0, 44025, '\p{^	 MTEI}', "");
Expect(0, 44025, '\P{	 MTEI}', "");
Expect(1, 44025, '\P{^	 MTEI}', "");
Expect(0, 44026, '\p{	 MTEI}', "");
Expect(1, 44026, '\p{^	 MTEI}', "");
Expect(1, 44026, '\P{	 MTEI}', "");
Expect(0, 44026, '\P{^	 MTEI}', "");
Error('\p{_Is_Mtei/a/}');
Error('\P{_Is_Mtei/a/}');
Expect(1, 44025, '\p{ismtei}', "");
Expect(0, 44025, '\p{^ismtei}', "");
Expect(0, 44025, '\P{ismtei}', "");
Expect(1, 44025, '\P{^ismtei}', "");
Expect(0, 44026, '\p{ismtei}', "");
Expect(1, 44026, '\p{^ismtei}', "");
Expect(1, 44026, '\P{ismtei}', "");
Expect(0, 44026, '\P{^ismtei}', "");
Expect(1, 44025, '\p{-	IS_mtei}', "");
Expect(0, 44025, '\p{^-	IS_mtei}', "");
Expect(0, 44025, '\P{-	IS_mtei}', "");
Expect(1, 44025, '\P{^-	IS_mtei}', "");
Expect(0, 44026, '\p{-	IS_mtei}', "");
Expect(1, 44026, '\p{^-	IS_mtei}', "");
Expect(1, 44026, '\P{-	IS_mtei}', "");
Expect(0, 44026, '\P{^-	IS_mtei}', "");
Error('\p{:=- Meetei_Mayek_Extensions}');
Error('\P{:=- Meetei_Mayek_Extensions}');
Expect(1, 43775, '\p{meeteimayekextensions}', "");
Expect(0, 43775, '\p{^meeteimayekextensions}', "");
Expect(0, 43775, '\P{meeteimayekextensions}', "");
Expect(1, 43775, '\P{^meeteimayekextensions}', "");
Expect(0, 43776, '\p{meeteimayekextensions}', "");
Expect(1, 43776, '\p{^meeteimayekextensions}', "");
Expect(1, 43776, '\P{meeteimayekextensions}', "");
Expect(0, 43776, '\P{^meeteimayekextensions}', "");
Expect(1, 43775, '\p{  Meetei_mayek_EXTENSIONS}', "");
Expect(0, 43775, '\p{^  Meetei_mayek_EXTENSIONS}', "");
Expect(0, 43775, '\P{  Meetei_mayek_EXTENSIONS}', "");
Expect(1, 43775, '\P{^  Meetei_mayek_EXTENSIONS}', "");
Expect(0, 43776, '\p{  Meetei_mayek_EXTENSIONS}', "");
Expect(1, 43776, '\p{^  Meetei_mayek_EXTENSIONS}', "");
Expect(1, 43776, '\P{  Meetei_mayek_EXTENSIONS}', "");
Expect(0, 43776, '\P{^  Meetei_mayek_EXTENSIONS}', "");
Error('\p{:=Is_Meetei_Mayek_Extensions}');
Error('\P{:=Is_Meetei_Mayek_Extensions}');
Expect(1, 43775, '\p{ismeeteimayekextensions}', "");
Expect(0, 43775, '\p{^ismeeteimayekextensions}', "");
Expect(0, 43775, '\P{ismeeteimayekextensions}', "");
Expect(1, 43775, '\P{^ismeeteimayekextensions}', "");
Expect(0, 43776, '\p{ismeeteimayekextensions}', "");
Expect(1, 43776, '\p{^ismeeteimayekextensions}', "");
Expect(1, 43776, '\P{ismeeteimayekextensions}', "");
Expect(0, 43776, '\P{^ismeeteimayekextensions}', "");
Expect(1, 43775, '\p{_ IS_meetei_Mayek_Extensions}', "");
Expect(0, 43775, '\p{^_ IS_meetei_Mayek_Extensions}', "");
Expect(0, 43775, '\P{_ IS_meetei_Mayek_Extensions}', "");
Expect(1, 43775, '\P{^_ IS_meetei_Mayek_Extensions}', "");
Expect(0, 43776, '\p{_ IS_meetei_Mayek_Extensions}', "");
Expect(1, 43776, '\p{^_ IS_meetei_Mayek_Extensions}', "");
Expect(1, 43776, '\P{_ IS_meetei_Mayek_Extensions}', "");
Expect(0, 43776, '\P{^_ IS_meetei_Mayek_Extensions}', "");
Error('\p{/a/ in_Meetei_Mayek_EXTENSIONS}');
Error('\P{/a/ in_Meetei_Mayek_EXTENSIONS}');
Expect(1, 43775, '\p{inmeeteimayekextensions}', "");
Expect(0, 43775, '\p{^inmeeteimayekextensions}', "");
Expect(0, 43775, '\P{inmeeteimayekextensions}', "");
Expect(1, 43775, '\P{^inmeeteimayekextensions}', "");
Expect(0, 43776, '\p{inmeeteimayekextensions}', "");
Expect(1, 43776, '\p{^inmeeteimayekextensions}', "");
Expect(1, 43776, '\P{inmeeteimayekextensions}', "");
Expect(0, 43776, '\P{^inmeeteimayekextensions}', "");
Expect(1, 43775, '\p{_In_MEETEI_MAYEK_Extensions}', "");
Expect(0, 43775, '\p{^_In_MEETEI_MAYEK_Extensions}', "");
Expect(0, 43775, '\P{_In_MEETEI_MAYEK_Extensions}', "");
Expect(1, 43775, '\P{^_In_MEETEI_MAYEK_Extensions}', "");
Expect(0, 43776, '\p{_In_MEETEI_MAYEK_Extensions}', "");
Expect(1, 43776, '\p{^_In_MEETEI_MAYEK_Extensions}', "");
Expect(1, 43776, '\P{_In_MEETEI_MAYEK_Extensions}', "");
Expect(0, 43776, '\P{^_In_MEETEI_MAYEK_Extensions}', "");
Error('\p{/a/-Meetei_Mayek_Ext}');
Error('\P{/a/-Meetei_Mayek_Ext}');
Expect(1, 43775, '\p{meeteimayekext}', "");
Expect(0, 43775, '\p{^meeteimayekext}', "");
Expect(0, 43775, '\P{meeteimayekext}', "");
Expect(1, 43775, '\P{^meeteimayekext}', "");
Expect(0, 43776, '\p{meeteimayekext}', "");
Expect(1, 43776, '\p{^meeteimayekext}', "");
Expect(1, 43776, '\P{meeteimayekext}', "");
Expect(0, 43776, '\P{^meeteimayekext}', "");
Expect(1, 43775, '\p{ MEETEI_MAYEK_ext}', "");
Expect(0, 43775, '\p{^ MEETEI_MAYEK_ext}', "");
Expect(0, 43775, '\P{ MEETEI_MAYEK_ext}', "");
Expect(1, 43775, '\P{^ MEETEI_MAYEK_ext}', "");
Expect(0, 43776, '\p{ MEETEI_MAYEK_ext}', "");
Expect(1, 43776, '\p{^ MEETEI_MAYEK_ext}', "");
Expect(1, 43776, '\P{ MEETEI_MAYEK_ext}', "");
Expect(0, 43776, '\P{^ MEETEI_MAYEK_ext}', "");
Error('\p{:=_Is_meetei_MAYEK_Ext}');
Error('\P{:=_Is_meetei_MAYEK_Ext}');
Expect(1, 43775, '\p{ismeeteimayekext}', "");
Expect(0, 43775, '\p{^ismeeteimayekext}', "");
Expect(0, 43775, '\P{ismeeteimayekext}', "");
Expect(1, 43775, '\P{^ismeeteimayekext}', "");
Expect(0, 43776, '\p{ismeeteimayekext}', "");
Expect(1, 43776, '\p{^ismeeteimayekext}', "");
Expect(1, 43776, '\P{ismeeteimayekext}', "");
Expect(0, 43776, '\P{^ismeeteimayekext}', "");
Expect(1, 43775, '\p{  is_Meetei_Mayek_EXT}', "");
Expect(0, 43775, '\p{^  is_Meetei_Mayek_EXT}', "");
Expect(0, 43775, '\P{  is_Meetei_Mayek_EXT}', "");
Expect(1, 43775, '\P{^  is_Meetei_Mayek_EXT}', "");
Expect(0, 43776, '\p{  is_Meetei_Mayek_EXT}', "");
Expect(1, 43776, '\p{^  is_Meetei_Mayek_EXT}', "");
Expect(1, 43776, '\P{  is_Meetei_Mayek_EXT}', "");
Expect(0, 43776, '\P{^  is_Meetei_Mayek_EXT}', "");
Error('\p{_:=In_meetei_MAYEK_Ext}');
Error('\P{_:=In_meetei_MAYEK_Ext}');
Expect(1, 43775, '\p{inmeeteimayekext}', "");
Expect(0, 43775, '\p{^inmeeteimayekext}', "");
Expect(0, 43775, '\P{inmeeteimayekext}', "");
Expect(1, 43775, '\P{^inmeeteimayekext}', "");
Expect(0, 43776, '\p{inmeeteimayekext}', "");
Expect(1, 43776, '\p{^inmeeteimayekext}', "");
Expect(1, 43776, '\P{inmeeteimayekext}', "");
Expect(0, 43776, '\P{^inmeeteimayekext}', "");
Expect(1, 43775, '\p{IN_Meetei_mayek_ext}', "");
Expect(0, 43775, '\p{^IN_Meetei_mayek_ext}', "");
Expect(0, 43775, '\P{IN_Meetei_mayek_ext}', "");
Expect(1, 43775, '\P{^IN_Meetei_mayek_ext}', "");
Expect(0, 43776, '\p{IN_Meetei_mayek_ext}', "");
Expect(1, 43776, '\p{^IN_Meetei_mayek_ext}', "");
Expect(1, 43776, '\P{IN_Meetei_mayek_ext}', "");
Expect(0, 43776, '\P{^IN_Meetei_mayek_ext}', "");
Error('\p{	-mende_kikakui/a/}');
Error('\P{	-mende_kikakui/a/}');
Expect(1, 125142, '\p{mendekikakui}', "");
Expect(0, 125142, '\p{^mendekikakui}', "");
Expect(0, 125142, '\P{mendekikakui}', "");
Expect(1, 125142, '\P{^mendekikakui}', "");
Expect(0, 125143, '\p{mendekikakui}', "");
Expect(1, 125143, '\p{^mendekikakui}', "");
Expect(1, 125143, '\P{mendekikakui}', "");
Expect(0, 125143, '\P{^mendekikakui}', "");
Expect(1, 125142, '\p{ -Mende_Kikakui}', "");
Expect(0, 125142, '\p{^ -Mende_Kikakui}', "");
Expect(0, 125142, '\P{ -Mende_Kikakui}', "");
Expect(1, 125142, '\P{^ -Mende_Kikakui}', "");
Expect(0, 125143, '\p{ -Mende_Kikakui}', "");
Expect(1, 125143, '\p{^ -Mende_Kikakui}', "");
Expect(1, 125143, '\P{ -Mende_Kikakui}', "");
Expect(0, 125143, '\P{^ -Mende_Kikakui}', "");
Error('\p{/a/is_Mende_kikakui}');
Error('\P{/a/is_Mende_kikakui}');
Expect(1, 125142, '\p{ismendekikakui}', "");
Expect(0, 125142, '\p{^ismendekikakui}', "");
Expect(0, 125142, '\P{ismendekikakui}', "");
Expect(1, 125142, '\P{^ismendekikakui}', "");
Expect(0, 125143, '\p{ismendekikakui}', "");
Expect(1, 125143, '\p{^ismendekikakui}', "");
Expect(1, 125143, '\P{ismendekikakui}', "");
Expect(0, 125143, '\P{^ismendekikakui}', "");
Expect(1, 125142, '\p{_ IS_mende_Kikakui}', "");
Expect(0, 125142, '\p{^_ IS_mende_Kikakui}', "");
Expect(0, 125142, '\P{_ IS_mende_Kikakui}', "");
Expect(1, 125142, '\P{^_ IS_mende_Kikakui}', "");
Expect(0, 125143, '\p{_ IS_mende_Kikakui}', "");
Expect(1, 125143, '\p{^_ IS_mende_Kikakui}', "");
Expect(1, 125143, '\P{_ IS_mende_Kikakui}', "");
Expect(0, 125143, '\P{^_ IS_mende_Kikakui}', "");
Error('\p{-_mend/a/}');
Error('\P{-_mend/a/}');
Expect(1, 125142, '\p{mend}', "");
Expect(0, 125142, '\p{^mend}', "");
Expect(0, 125142, '\P{mend}', "");
Expect(1, 125142, '\P{^mend}', "");
Expect(0, 125143, '\p{mend}', "");
Expect(1, 125143, '\p{^mend}', "");
Expect(1, 125143, '\P{mend}', "");
Expect(0, 125143, '\P{^mend}', "");
Expect(1, 125142, '\p{  Mend}', "");
Expect(0, 125142, '\p{^  Mend}', "");
Expect(0, 125142, '\P{  Mend}', "");
Expect(1, 125142, '\P{^  Mend}', "");
Expect(0, 125143, '\p{  Mend}', "");
Expect(1, 125143, '\p{^  Mend}', "");
Expect(1, 125143, '\P{  Mend}', "");
Expect(0, 125143, '\P{^  Mend}', "");
Error('\p{-:=is_mend}');
Error('\P{-:=is_mend}');
Expect(1, 125142, '\p{ismend}', "");
Expect(0, 125142, '\p{^ismend}', "");
Expect(0, 125142, '\P{ismend}', "");
Expect(1, 125142, '\P{^ismend}', "");
Expect(0, 125143, '\p{ismend}', "");
Expect(1, 125143, '\p{^ismend}', "");
Expect(1, 125143, '\P{ismend}', "");
Expect(0, 125143, '\P{^ismend}', "");
Expect(1, 125142, '\p{		Is_Mend}', "");
Expect(0, 125142, '\p{^		Is_Mend}', "");
Expect(0, 125142, '\P{		Is_Mend}', "");
Expect(1, 125142, '\P{^		Is_Mend}', "");
Expect(0, 125143, '\p{		Is_Mend}', "");
Expect(1, 125143, '\p{^		Is_Mend}', "");
Expect(1, 125143, '\P{		Is_Mend}', "");
Expect(0, 125143, '\P{^		Is_Mend}', "");
Error('\p{/a/_	Meroitic_Cursive}');
Error('\P{/a/_	Meroitic_Cursive}');
Expect(1, 68031, '\p{meroiticcursive}', "");
Expect(0, 68031, '\p{^meroiticcursive}', "");
Expect(0, 68031, '\P{meroiticcursive}', "");
Expect(1, 68031, '\P{^meroiticcursive}', "");
Expect(0, 68032, '\p{meroiticcursive}', "");
Expect(1, 68032, '\p{^meroiticcursive}', "");
Expect(1, 68032, '\P{meroiticcursive}', "");
Expect(0, 68032, '\P{^meroiticcursive}', "");
Expect(1, 68031, '\p{_-MEROITIC_CURSIVE}', "");
Expect(0, 68031, '\p{^_-MEROITIC_CURSIVE}', "");
Expect(0, 68031, '\P{_-MEROITIC_CURSIVE}', "");
Expect(1, 68031, '\P{^_-MEROITIC_CURSIVE}', "");
Expect(0, 68032, '\p{_-MEROITIC_CURSIVE}', "");
Expect(1, 68032, '\p{^_-MEROITIC_CURSIVE}', "");
Expect(1, 68032, '\P{_-MEROITIC_CURSIVE}', "");
Expect(0, 68032, '\P{^_-MEROITIC_CURSIVE}', "");
Error('\p{/a/		Is_Meroitic_Cursive}');
Error('\P{/a/		Is_Meroitic_Cursive}');
Expect(1, 68031, '\p{ismeroiticcursive}', "");
Expect(0, 68031, '\p{^ismeroiticcursive}', "");
Expect(0, 68031, '\P{ismeroiticcursive}', "");
Expect(1, 68031, '\P{^ismeroiticcursive}', "");
Expect(0, 68032, '\p{ismeroiticcursive}', "");
Expect(1, 68032, '\p{^ismeroiticcursive}', "");
Expect(1, 68032, '\P{ismeroiticcursive}', "");
Expect(0, 68032, '\P{^ismeroiticcursive}', "");
Expect(1, 68031, '\p{__IS_Meroitic_CURSIVE}', "");
Expect(0, 68031, '\p{^__IS_Meroitic_CURSIVE}', "");
Expect(0, 68031, '\P{__IS_Meroitic_CURSIVE}', "");
Expect(1, 68031, '\P{^__IS_Meroitic_CURSIVE}', "");
Expect(0, 68032, '\p{__IS_Meroitic_CURSIVE}', "");
Expect(1, 68032, '\p{^__IS_Meroitic_CURSIVE}', "");
Expect(1, 68032, '\P{__IS_Meroitic_CURSIVE}', "");
Expect(0, 68032, '\P{^__IS_Meroitic_CURSIVE}', "");
Error('\p{_/a/Merc}');
Error('\P{_/a/Merc}');
Expect(1, 68031, '\p{merc}', "");
Expect(0, 68031, '\p{^merc}', "");
Expect(0, 68031, '\P{merc}', "");
Expect(1, 68031, '\P{^merc}', "");
Expect(0, 68032, '\p{merc}', "");
Expect(1, 68032, '\p{^merc}', "");
Expect(1, 68032, '\P{merc}', "");
Expect(0, 68032, '\P{^merc}', "");
Expect(1, 68031, '\p{ 	merc}', "");
Expect(0, 68031, '\p{^ 	merc}', "");
Expect(0, 68031, '\P{ 	merc}', "");
Expect(1, 68031, '\P{^ 	merc}', "");
Expect(0, 68032, '\p{ 	merc}', "");
Expect(1, 68032, '\p{^ 	merc}', "");
Expect(1, 68032, '\P{ 	merc}', "");
Expect(0, 68032, '\P{^ 	merc}', "");
Error('\p{:=	-is_MERC}');
Error('\P{:=	-is_MERC}');
Expect(1, 68031, '\p{ismerc}', "");
Expect(0, 68031, '\p{^ismerc}', "");
Expect(0, 68031, '\P{ismerc}', "");
Expect(1, 68031, '\P{^ismerc}', "");
Expect(0, 68032, '\p{ismerc}', "");
Expect(1, 68032, '\p{^ismerc}', "");
Expect(1, 68032, '\P{ismerc}', "");
Expect(0, 68032, '\P{^ismerc}', "");
Expect(1, 68031, '\p{_	IS_merc}', "");
Expect(0, 68031, '\p{^_	IS_merc}', "");
Expect(0, 68031, '\P{_	IS_merc}', "");
Expect(1, 68031, '\P{^_	IS_merc}', "");
Expect(0, 68032, '\p{_	IS_merc}', "");
Expect(1, 68032, '\p{^_	IS_merc}', "");
Expect(1, 68032, '\P{_	IS_merc}', "");
Expect(0, 68032, '\P{^_	IS_merc}', "");
Error('\p{	Meroitic_Hieroglyphs:=}');
Error('\P{	Meroitic_Hieroglyphs:=}');
Expect(1, 67999, '\p{meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^meroitichieroglyphs}', "");
Expect(0, 67999, '\P{meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^meroitichieroglyphs}', "");
Expect(0, 68000, '\p{meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^meroitichieroglyphs}', "");
Expect(1, 68000, '\P{meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^meroitichieroglyphs}', "");
Expect(1, 67999, '\p{ Meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\p{^ Meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\P{ Meroitic_Hieroglyphs}', "");
Expect(1, 67999, '\P{^ Meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\p{ Meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\p{^ Meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\P{ Meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\P{^ Meroitic_Hieroglyphs}', "");
Error('\p{_Is_meroitic_Hieroglyphs/a/}');
Error('\P{_Is_meroitic_Hieroglyphs/a/}');
Expect(1, 67999, '\p{ismeroitichieroglyphs}', "");
Expect(0, 67999, '\p{^ismeroitichieroglyphs}', "");
Expect(0, 67999, '\P{ismeroitichieroglyphs}', "");
Expect(1, 67999, '\P{^ismeroitichieroglyphs}', "");
Expect(0, 68000, '\p{ismeroitichieroglyphs}', "");
Expect(1, 68000, '\p{^ismeroitichieroglyphs}', "");
Expect(1, 68000, '\P{ismeroitichieroglyphs}', "");
Expect(0, 68000, '\P{^ismeroitichieroglyphs}', "");
Expect(1, 67999, '\p{-_Is_Meroitic_hieroglyphs}', "");
Expect(0, 67999, '\p{^-_Is_Meroitic_hieroglyphs}', "");
Expect(0, 67999, '\P{-_Is_Meroitic_hieroglyphs}', "");
Expect(1, 67999, '\P{^-_Is_Meroitic_hieroglyphs}', "");
Expect(0, 68000, '\p{-_Is_Meroitic_hieroglyphs}', "");
Expect(1, 68000, '\p{^-_Is_Meroitic_hieroglyphs}', "");
Expect(1, 68000, '\P{-_Is_Meroitic_hieroglyphs}', "");
Expect(0, 68000, '\P{^-_Is_Meroitic_hieroglyphs}', "");
Error('\p{ :=MERO}');
Error('\P{ :=MERO}');
Expect(1, 67999, '\p{mero}', "");
Expect(0, 67999, '\p{^mero}', "");
Expect(0, 67999, '\P{mero}', "");
Expect(1, 67999, '\P{^mero}', "");
Expect(0, 68000, '\p{mero}', "");
Expect(1, 68000, '\p{^mero}', "");
Expect(1, 68000, '\P{mero}', "");
Expect(0, 68000, '\P{^mero}', "");
Expect(1, 67999, '\p{- Mero}', "");
Expect(0, 67999, '\p{^- Mero}', "");
Expect(0, 67999, '\P{- Mero}', "");
Expect(1, 67999, '\P{^- Mero}', "");
Expect(0, 68000, '\p{- Mero}', "");
Expect(1, 68000, '\p{^- Mero}', "");
Expect(1, 68000, '\P{- Mero}', "");
Expect(0, 68000, '\P{^- Mero}', "");
Error('\p{:= -Is_Mero}');
Error('\P{:= -Is_Mero}');
Expect(1, 67999, '\p{ismero}', "");
Expect(0, 67999, '\p{^ismero}', "");
Expect(0, 67999, '\P{ismero}', "");
Expect(1, 67999, '\P{^ismero}', "");
Expect(0, 68000, '\p{ismero}', "");
Expect(1, 68000, '\p{^ismero}', "");
Expect(1, 68000, '\P{ismero}', "");
Expect(0, 68000, '\P{^ismero}', "");
Expect(1, 67999, '\p{  IS_Mero}', "");
Expect(0, 67999, '\p{^  IS_Mero}', "");
Expect(0, 67999, '\P{  IS_Mero}', "");
Expect(1, 67999, '\P{^  IS_Mero}', "");
Expect(0, 68000, '\p{  IS_Mero}', "");
Expect(1, 68000, '\p{^  IS_Mero}', "");
Expect(1, 68000, '\P{  IS_Mero}', "");
Expect(0, 68000, '\P{^  IS_Mero}', "");
Error('\p{_/a/Miao}');
Error('\P{_/a/Miao}');
Expect(1, 94111, '\p{miao}', "");
Expect(0, 94111, '\p{^miao}', "");
Expect(0, 94111, '\P{miao}', "");
Expect(1, 94111, '\P{^miao}', "");
Expect(0, 94112, '\p{miao}', "");
Expect(1, 94112, '\p{^miao}', "");
Expect(1, 94112, '\P{miao}', "");
Expect(0, 94112, '\P{^miao}', "");
Expect(1, 94111, '\p{-MIAO}', "");
Expect(0, 94111, '\p{^-MIAO}', "");
Expect(0, 94111, '\P{-MIAO}', "");
Expect(1, 94111, '\P{^-MIAO}', "");
Expect(0, 94112, '\p{-MIAO}', "");
Expect(1, 94112, '\p{^-MIAO}', "");
Expect(1, 94112, '\P{-MIAO}', "");
Expect(0, 94112, '\P{^-MIAO}', "");
Error('\p{:=	Is_Miao}');
Error('\P{:=	Is_Miao}');
Expect(1, 94111, '\p{ismiao}', "");
Expect(0, 94111, '\p{^ismiao}', "");
Expect(0, 94111, '\P{ismiao}', "");
Expect(1, 94111, '\P{^ismiao}', "");
Expect(0, 94112, '\p{ismiao}', "");
Expect(1, 94112, '\p{^ismiao}', "");
Expect(1, 94112, '\P{ismiao}', "");
Expect(0, 94112, '\P{^ismiao}', "");
Expect(1, 94111, '\p{_	is_Miao}', "");
Expect(0, 94111, '\p{^_	is_Miao}', "");
Expect(0, 94111, '\P{_	is_Miao}', "");
Expect(1, 94111, '\P{^_	is_Miao}', "");
Expect(0, 94112, '\p{_	is_Miao}', "");
Expect(1, 94112, '\p{^_	is_Miao}', "");
Expect(1, 94112, '\P{_	is_Miao}', "");
Expect(0, 94112, '\P{^_	is_Miao}', "");
Error('\p{_	PLRD/a/}');
Error('\P{_	PLRD/a/}');
Expect(1, 94111, '\p{plrd}', "");
Expect(0, 94111, '\p{^plrd}', "");
Expect(0, 94111, '\P{plrd}', "");
Expect(1, 94111, '\P{^plrd}', "");
Expect(0, 94112, '\p{plrd}', "");
Expect(1, 94112, '\p{^plrd}', "");
Expect(1, 94112, '\P{plrd}', "");
Expect(0, 94112, '\P{^plrd}', "");
Expect(1, 94111, '\p{_ Plrd}', "");
Expect(0, 94111, '\p{^_ Plrd}', "");
Expect(0, 94111, '\P{_ Plrd}', "");
Expect(1, 94111, '\P{^_ Plrd}', "");
Expect(0, 94112, '\p{_ Plrd}', "");
Expect(1, 94112, '\p{^_ Plrd}', "");
Expect(1, 94112, '\P{_ Plrd}', "");
Expect(0, 94112, '\P{^_ Plrd}', "");
Error('\p{:=- IS_plrd}');
Error('\P{:=- IS_plrd}');
Expect(1, 94111, '\p{isplrd}', "");
Expect(0, 94111, '\p{^isplrd}', "");
Expect(0, 94111, '\P{isplrd}', "");
Expect(1, 94111, '\P{^isplrd}', "");
Expect(0, 94112, '\p{isplrd}', "");
Expect(1, 94112, '\p{^isplrd}', "");
Expect(1, 94112, '\P{isplrd}', "");
Expect(0, 94112, '\P{^isplrd}', "");
Expect(1, 94111, '\p{	-IS_PLRD}', "");
Expect(0, 94111, '\p{^	-IS_PLRD}', "");
Expect(0, 94111, '\P{	-IS_PLRD}', "");
Expect(1, 94111, '\P{^	-IS_PLRD}', "");
Expect(0, 94112, '\p{	-IS_PLRD}', "");
Expect(1, 94112, '\p{^	-IS_PLRD}', "");
Expect(1, 94112, '\P{	-IS_PLRD}', "");
Expect(0, 94112, '\P{^	-IS_PLRD}', "");
Error('\p{	:=miscellaneous_MATHEMATICAL_SYMBOLS_A}');
Error('\P{	:=miscellaneous_MATHEMATICAL_SYMBOLS_A}');
Expect(1, 10223, '\p{miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\p{miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\p{^miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\P{miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\P{^miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{_Miscellaneous_MATHEMATICAL_symbols_A}', "");
Expect(0, 10223, '\p{^_Miscellaneous_MATHEMATICAL_symbols_A}', "");
Expect(0, 10223, '\P{_Miscellaneous_MATHEMATICAL_symbols_A}', "");
Expect(1, 10223, '\P{^_Miscellaneous_MATHEMATICAL_symbols_A}', "");
Expect(0, 10224, '\p{_Miscellaneous_MATHEMATICAL_symbols_A}', "");
Expect(1, 10224, '\p{^_Miscellaneous_MATHEMATICAL_symbols_A}', "");
Expect(1, 10224, '\P{_Miscellaneous_MATHEMATICAL_symbols_A}', "");
Expect(0, 10224, '\P{^_Miscellaneous_MATHEMATICAL_symbols_A}', "");
Error('\p{:=_	Is_Miscellaneous_MATHEMATICAL_symbols_a}');
Error('\P{:=_	Is_Miscellaneous_MATHEMATICAL_symbols_a}');
Expect(1, 10223, '\p{ismiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^ismiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{ismiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^ismiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\p{ismiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\p{^ismiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\P{ismiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\P{^ismiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{	-is_MISCELLANEOUS_MATHEMATICAL_Symbols_A}', "");
Expect(0, 10223, '\p{^	-is_MISCELLANEOUS_MATHEMATICAL_Symbols_A}', "");
Expect(0, 10223, '\P{	-is_MISCELLANEOUS_MATHEMATICAL_Symbols_A}', "");
Expect(1, 10223, '\P{^	-is_MISCELLANEOUS_MATHEMATICAL_Symbols_A}', "");
Expect(0, 10224, '\p{	-is_MISCELLANEOUS_MATHEMATICAL_Symbols_A}', "");
Expect(1, 10224, '\p{^	-is_MISCELLANEOUS_MATHEMATICAL_Symbols_A}', "");
Expect(1, 10224, '\P{	-is_MISCELLANEOUS_MATHEMATICAL_Symbols_A}', "");
Expect(0, 10224, '\P{^	-is_MISCELLANEOUS_MATHEMATICAL_Symbols_A}', "");
Error('\p{:=In_miscellaneous_MATHEMATICAL_Symbols_a}');
Error('\P{:=In_miscellaneous_MATHEMATICAL_Symbols_a}');
Expect(1, 10223, '\p{inmiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^inmiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{inmiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^inmiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\p{inmiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\p{^inmiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\P{inmiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\P{^inmiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{_in_MISCELLANEOUS_MATHEMATICAL_Symbols_a}', "");
Expect(0, 10223, '\p{^_in_MISCELLANEOUS_MATHEMATICAL_Symbols_a}', "");
Expect(0, 10223, '\P{_in_MISCELLANEOUS_MATHEMATICAL_Symbols_a}', "");
Expect(1, 10223, '\P{^_in_MISCELLANEOUS_MATHEMATICAL_Symbols_a}', "");
Expect(0, 10224, '\p{_in_MISCELLANEOUS_MATHEMATICAL_Symbols_a}', "");
Expect(1, 10224, '\p{^_in_MISCELLANEOUS_MATHEMATICAL_Symbols_a}', "");
Expect(1, 10224, '\P{_in_MISCELLANEOUS_MATHEMATICAL_Symbols_a}', "");
Expect(0, 10224, '\P{^_in_MISCELLANEOUS_MATHEMATICAL_Symbols_a}', "");
Error('\p{ /a/Misc_MATH_symbols_A}');
Error('\P{ /a/Misc_MATH_symbols_A}');
Expect(1, 10223, '\p{miscmathsymbolsa}', "");
Expect(0, 10223, '\p{^miscmathsymbolsa}', "");
Expect(0, 10223, '\P{miscmathsymbolsa}', "");
Expect(1, 10223, '\P{^miscmathsymbolsa}', "");
Expect(0, 10224, '\p{miscmathsymbolsa}', "");
Expect(1, 10224, '\p{^miscmathsymbolsa}', "");
Expect(1, 10224, '\P{miscmathsymbolsa}', "");
Expect(0, 10224, '\P{^miscmathsymbolsa}', "");
Expect(1, 10223, '\p{-Misc_Math_symbols_A}', "");
Expect(0, 10223, '\p{^-Misc_Math_symbols_A}', "");
Expect(0, 10223, '\P{-Misc_Math_symbols_A}', "");
Expect(1, 10223, '\P{^-Misc_Math_symbols_A}', "");
Expect(0, 10224, '\p{-Misc_Math_symbols_A}', "");
Expect(1, 10224, '\p{^-Misc_Math_symbols_A}', "");
Expect(1, 10224, '\P{-Misc_Math_symbols_A}', "");
Expect(0, 10224, '\P{^-Misc_Math_symbols_A}', "");
Error('\p{ /a/IS_misc_Math_Symbols_A}');
Error('\P{ /a/IS_misc_Math_Symbols_A}');
Expect(1, 10223, '\p{ismiscmathsymbolsa}', "");
Expect(0, 10223, '\p{^ismiscmathsymbolsa}', "");
Expect(0, 10223, '\P{ismiscmathsymbolsa}', "");
Expect(1, 10223, '\P{^ismiscmathsymbolsa}', "");
Expect(0, 10224, '\p{ismiscmathsymbolsa}', "");
Expect(1, 10224, '\p{^ismiscmathsymbolsa}', "");
Expect(1, 10224, '\P{ismiscmathsymbolsa}', "");
Expect(0, 10224, '\P{^ismiscmathsymbolsa}', "");
Expect(1, 10223, '\p{		IS_misc_Math_Symbols_A}', "");
Expect(0, 10223, '\p{^		IS_misc_Math_Symbols_A}', "");
Expect(0, 10223, '\P{		IS_misc_Math_Symbols_A}', "");
Expect(1, 10223, '\P{^		IS_misc_Math_Symbols_A}', "");
Expect(0, 10224, '\p{		IS_misc_Math_Symbols_A}', "");
Expect(1, 10224, '\p{^		IS_misc_Math_Symbols_A}', "");
Expect(1, 10224, '\P{		IS_misc_Math_Symbols_A}', "");
Expect(0, 10224, '\P{^		IS_misc_Math_Symbols_A}', "");
Error('\p{-/a/In_misc_Math_Symbols_A}');
Error('\P{-/a/In_misc_Math_Symbols_A}');
Expect(1, 10223, '\p{inmiscmathsymbolsa}', "");
Expect(0, 10223, '\p{^inmiscmathsymbolsa}', "");
Expect(0, 10223, '\P{inmiscmathsymbolsa}', "");
Expect(1, 10223, '\P{^inmiscmathsymbolsa}', "");
Expect(0, 10224, '\p{inmiscmathsymbolsa}', "");
Expect(1, 10224, '\p{^inmiscmathsymbolsa}', "");
Expect(1, 10224, '\P{inmiscmathsymbolsa}', "");
Expect(0, 10224, '\P{^inmiscmathsymbolsa}', "");
Expect(1, 10223, '\p{ in_Misc_MATH_SYMBOLS_a}', "");
Expect(0, 10223, '\p{^ in_Misc_MATH_SYMBOLS_a}', "");
Expect(0, 10223, '\P{ in_Misc_MATH_SYMBOLS_a}', "");
Expect(1, 10223, '\P{^ in_Misc_MATH_SYMBOLS_a}', "");
Expect(0, 10224, '\p{ in_Misc_MATH_SYMBOLS_a}', "");
Expect(1, 10224, '\p{^ in_Misc_MATH_SYMBOLS_a}', "");
Expect(1, 10224, '\P{ in_Misc_MATH_SYMBOLS_a}', "");
Expect(0, 10224, '\P{^ in_Misc_MATH_SYMBOLS_a}', "");
Error('\p{_:=miscellaneous_Mathematical_Symbols_b}');
Error('\P{_:=miscellaneous_Mathematical_Symbols_b}');
Expect(1, 10751, '\p{miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\p{miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\p{^miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\P{miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\P{^miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{--miscellaneous_MATHEMATICAL_Symbols_B}', "");
Expect(0, 10751, '\p{^--miscellaneous_MATHEMATICAL_Symbols_B}', "");
Expect(0, 10751, '\P{--miscellaneous_MATHEMATICAL_Symbols_B}', "");
Expect(1, 10751, '\P{^--miscellaneous_MATHEMATICAL_Symbols_B}', "");
Expect(0, 10752, '\p{--miscellaneous_MATHEMATICAL_Symbols_B}', "");
Expect(1, 10752, '\p{^--miscellaneous_MATHEMATICAL_Symbols_B}', "");
Expect(1, 10752, '\P{--miscellaneous_MATHEMATICAL_Symbols_B}', "");
Expect(0, 10752, '\P{^--miscellaneous_MATHEMATICAL_Symbols_B}', "");
Error('\p{ Is_Miscellaneous_Mathematical_symbols_B:=}');
Error('\P{ Is_Miscellaneous_Mathematical_symbols_B:=}');
Expect(1, 10751, '\p{ismiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^ismiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{ismiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^ismiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\p{ismiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\p{^ismiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\P{ismiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\P{^ismiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{ _is_MISCELLANEOUS_mathematical_Symbols_b}', "");
Expect(0, 10751, '\p{^ _is_MISCELLANEOUS_mathematical_Symbols_b}', "");
Expect(0, 10751, '\P{ _is_MISCELLANEOUS_mathematical_Symbols_b}', "");
Expect(1, 10751, '\P{^ _is_MISCELLANEOUS_mathematical_Symbols_b}', "");
Expect(0, 10752, '\p{ _is_MISCELLANEOUS_mathematical_Symbols_b}', "");
Expect(1, 10752, '\p{^ _is_MISCELLANEOUS_mathematical_Symbols_b}', "");
Expect(1, 10752, '\P{ _is_MISCELLANEOUS_mathematical_Symbols_b}', "");
Expect(0, 10752, '\P{^ _is_MISCELLANEOUS_mathematical_Symbols_b}', "");
Error('\p{/a/IN_miscellaneous_Mathematical_Symbols_B}');
Error('\P{/a/IN_miscellaneous_Mathematical_Symbols_B}');
Expect(1, 10751, '\p{inmiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^inmiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{inmiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^inmiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\p{inmiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\p{^inmiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\P{inmiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\P{^inmiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{ in_Miscellaneous_Mathematical_SYMBOLS_B}', "");
Expect(0, 10751, '\p{^ in_Miscellaneous_Mathematical_SYMBOLS_B}', "");
Expect(0, 10751, '\P{ in_Miscellaneous_Mathematical_SYMBOLS_B}', "");
Expect(1, 10751, '\P{^ in_Miscellaneous_Mathematical_SYMBOLS_B}', "");
Expect(0, 10752, '\p{ in_Miscellaneous_Mathematical_SYMBOLS_B}', "");
Expect(1, 10752, '\p{^ in_Miscellaneous_Mathematical_SYMBOLS_B}', "");
Expect(1, 10752, '\P{ in_Miscellaneous_Mathematical_SYMBOLS_B}', "");
Expect(0, 10752, '\P{^ in_Miscellaneous_Mathematical_SYMBOLS_B}', "");
Error('\p{ 	misc_Math_Symbols_B:=}');
Error('\P{ 	misc_Math_Symbols_B:=}');
Expect(1, 10751, '\p{miscmathsymbolsb}', "");
Expect(0, 10751, '\p{^miscmathsymbolsb}', "");
Expect(0, 10751, '\P{miscmathsymbolsb}', "");
Expect(1, 10751, '\P{^miscmathsymbolsb}', "");
Expect(0, 10752, '\p{miscmathsymbolsb}', "");
Expect(1, 10752, '\p{^miscmathsymbolsb}', "");
Expect(1, 10752, '\P{miscmathsymbolsb}', "");
Expect(0, 10752, '\P{^miscmathsymbolsb}', "");
Expect(1, 10751, '\p{__Misc_Math_Symbols_B}', "");
Expect(0, 10751, '\p{^__Misc_Math_Symbols_B}', "");
Expect(0, 10751, '\P{__Misc_Math_Symbols_B}', "");
Expect(1, 10751, '\P{^__Misc_Math_Symbols_B}', "");
Expect(0, 10752, '\p{__Misc_Math_Symbols_B}', "");
Expect(1, 10752, '\p{^__Misc_Math_Symbols_B}', "");
Expect(1, 10752, '\P{__Misc_Math_Symbols_B}', "");
Expect(0, 10752, '\P{^__Misc_Math_Symbols_B}', "");
Error('\p{/a/Is_MISC_math_Symbols_B}');
Error('\P{/a/Is_MISC_math_Symbols_B}');
Expect(1, 10751, '\p{ismiscmathsymbolsb}', "");
Expect(0, 10751, '\p{^ismiscmathsymbolsb}', "");
Expect(0, 10751, '\P{ismiscmathsymbolsb}', "");
Expect(1, 10751, '\P{^ismiscmathsymbolsb}', "");
Expect(0, 10752, '\p{ismiscmathsymbolsb}', "");
Expect(1, 10752, '\p{^ismiscmathsymbolsb}', "");
Expect(1, 10752, '\P{ismiscmathsymbolsb}', "");
Expect(0, 10752, '\P{^ismiscmathsymbolsb}', "");
Expect(1, 10751, '\p{-	IS_Misc_Math_Symbols_B}', "");
Expect(0, 10751, '\p{^-	IS_Misc_Math_Symbols_B}', "");
Expect(0, 10751, '\P{-	IS_Misc_Math_Symbols_B}', "");
Expect(1, 10751, '\P{^-	IS_Misc_Math_Symbols_B}', "");
Expect(0, 10752, '\p{-	IS_Misc_Math_Symbols_B}', "");
Expect(1, 10752, '\p{^-	IS_Misc_Math_Symbols_B}', "");
Expect(1, 10752, '\P{-	IS_Misc_Math_Symbols_B}', "");
Expect(0, 10752, '\P{^-	IS_Misc_Math_Symbols_B}', "");
Error('\p{/a/_	in_misc_math_SYMBOLS_b}');
Error('\P{/a/_	in_misc_math_SYMBOLS_b}');
Expect(1, 10751, '\p{inmiscmathsymbolsb}', "");
Expect(0, 10751, '\p{^inmiscmathsymbolsb}', "");
Expect(0, 10751, '\P{inmiscmathsymbolsb}', "");
Expect(1, 10751, '\P{^inmiscmathsymbolsb}', "");
Expect(0, 10752, '\p{inmiscmathsymbolsb}', "");
Expect(1, 10752, '\p{^inmiscmathsymbolsb}', "");
Expect(1, 10752, '\P{inmiscmathsymbolsb}', "");
Expect(0, 10752, '\P{^inmiscmathsymbolsb}', "");
Expect(1, 10751, '\p{_in_Misc_Math_Symbols_B}', "");
Expect(0, 10751, '\p{^_in_Misc_Math_Symbols_B}', "");
Expect(0, 10751, '\P{_in_Misc_Math_Symbols_B}', "");
Expect(1, 10751, '\P{^_in_Misc_Math_Symbols_B}', "");
Expect(0, 10752, '\p{_in_Misc_Math_Symbols_B}', "");
Expect(1, 10752, '\p{^_in_Misc_Math_Symbols_B}', "");
Expect(1, 10752, '\P{_in_Misc_Math_Symbols_B}', "");
Expect(0, 10752, '\P{^_in_Misc_Math_Symbols_B}', "");
Error('\p{__MISCELLANEOUS_Symbols:=}');
Error('\P{__MISCELLANEOUS_Symbols:=}');
Expect(1, 9983, '\p{miscellaneoussymbols}', "");
Expect(0, 9983, '\p{^miscellaneoussymbols}', "");
Expect(0, 9983, '\P{miscellaneoussymbols}', "");
Expect(1, 9983, '\P{^miscellaneoussymbols}', "");
Expect(0, 9984, '\p{miscellaneoussymbols}', "");
Expect(1, 9984, '\p{^miscellaneoussymbols}', "");
Expect(1, 9984, '\P{miscellaneoussymbols}', "");
Expect(0, 9984, '\P{^miscellaneoussymbols}', "");
Expect(1, 9983, '\p{Miscellaneous_Symbols}', "");
Expect(0, 9983, '\p{^Miscellaneous_Symbols}', "");
Expect(0, 9983, '\P{Miscellaneous_Symbols}', "");
Expect(1, 9983, '\P{^Miscellaneous_Symbols}', "");
Expect(0, 9984, '\p{Miscellaneous_Symbols}', "");
Expect(1, 9984, '\p{^Miscellaneous_Symbols}', "");
Expect(1, 9984, '\P{Miscellaneous_Symbols}', "");
Expect(0, 9984, '\P{^Miscellaneous_Symbols}', "");
Error('\p{/a/ _Is_Miscellaneous_symbols}');
Error('\P{/a/ _Is_Miscellaneous_symbols}');
Expect(1, 9983, '\p{ismiscellaneoussymbols}', "");
Expect(0, 9983, '\p{^ismiscellaneoussymbols}', "");
Expect(0, 9983, '\P{ismiscellaneoussymbols}', "");
Expect(1, 9983, '\P{^ismiscellaneoussymbols}', "");
Expect(0, 9984, '\p{ismiscellaneoussymbols}', "");
Expect(1, 9984, '\p{^ismiscellaneoussymbols}', "");
Expect(1, 9984, '\P{ismiscellaneoussymbols}', "");
Expect(0, 9984, '\P{^ismiscellaneoussymbols}', "");
Expect(1, 9983, '\p{	 is_Miscellaneous_symbols}', "");
Expect(0, 9983, '\p{^	 is_Miscellaneous_symbols}', "");
Expect(0, 9983, '\P{	 is_Miscellaneous_symbols}', "");
Expect(1, 9983, '\P{^	 is_Miscellaneous_symbols}', "");
Expect(0, 9984, '\p{	 is_Miscellaneous_symbols}', "");
Expect(1, 9984, '\p{^	 is_Miscellaneous_symbols}', "");
Expect(1, 9984, '\P{	 is_Miscellaneous_symbols}', "");
Expect(0, 9984, '\P{^	 is_Miscellaneous_symbols}', "");
Error('\p{In_Miscellaneous_Symbols/a/}');
Error('\P{In_Miscellaneous_Symbols/a/}');
Expect(1, 9983, '\p{inmiscellaneoussymbols}', "");
Expect(0, 9983, '\p{^inmiscellaneoussymbols}', "");
Expect(0, 9983, '\P{inmiscellaneoussymbols}', "");
Expect(1, 9983, '\P{^inmiscellaneoussymbols}', "");
Expect(0, 9984, '\p{inmiscellaneoussymbols}', "");
Expect(1, 9984, '\p{^inmiscellaneoussymbols}', "");
Expect(1, 9984, '\P{inmiscellaneoussymbols}', "");
Expect(0, 9984, '\P{^inmiscellaneoussymbols}', "");
Expect(1, 9983, '\p{  In_miscellaneous_SYMBOLS}', "");
Expect(0, 9983, '\p{^  In_miscellaneous_SYMBOLS}', "");
Expect(0, 9983, '\P{  In_miscellaneous_SYMBOLS}', "");
Expect(1, 9983, '\P{^  In_miscellaneous_SYMBOLS}', "");
Expect(0, 9984, '\p{  In_miscellaneous_SYMBOLS}', "");
Expect(1, 9984, '\p{^  In_miscellaneous_SYMBOLS}', "");
Expect(1, 9984, '\P{  In_miscellaneous_SYMBOLS}', "");
Expect(0, 9984, '\P{^  In_miscellaneous_SYMBOLS}', "");
Error('\p{ /a/Misc_Symbols}');
Error('\P{ /a/Misc_Symbols}');
Expect(1, 9983, '\p{miscsymbols}', "");
Expect(0, 9983, '\p{^miscsymbols}', "");
Expect(0, 9983, '\P{miscsymbols}', "");
Expect(1, 9983, '\P{^miscsymbols}', "");
Expect(0, 9984, '\p{miscsymbols}', "");
Expect(1, 9984, '\p{^miscsymbols}', "");
Expect(1, 9984, '\P{miscsymbols}', "");
Expect(0, 9984, '\P{^miscsymbols}', "");
Expect(1, 9983, '\p{		Misc_symbols}', "");
Expect(0, 9983, '\p{^		Misc_symbols}', "");
Expect(0, 9983, '\P{		Misc_symbols}', "");
Expect(1, 9983, '\P{^		Misc_symbols}', "");
Expect(0, 9984, '\p{		Misc_symbols}', "");
Expect(1, 9984, '\p{^		Misc_symbols}', "");
Expect(1, 9984, '\P{		Misc_symbols}', "");
Expect(0, 9984, '\P{^		Misc_symbols}', "");
Error('\p{/a/ _Is_misc_Symbols}');
Error('\P{/a/ _Is_misc_Symbols}');
Expect(1, 9983, '\p{ismiscsymbols}', "");
Expect(0, 9983, '\p{^ismiscsymbols}', "");
Expect(0, 9983, '\P{ismiscsymbols}', "");
Expect(1, 9983, '\P{^ismiscsymbols}', "");
Expect(0, 9984, '\p{ismiscsymbols}', "");
Expect(1, 9984, '\p{^ismiscsymbols}', "");
Expect(1, 9984, '\P{ismiscsymbols}', "");
Expect(0, 9984, '\P{^ismiscsymbols}', "");
Expect(1, 9983, '\p{--IS_Misc_Symbols}', "");
Expect(0, 9983, '\p{^--IS_Misc_Symbols}', "");
Expect(0, 9983, '\P{--IS_Misc_Symbols}', "");
Expect(1, 9983, '\P{^--IS_Misc_Symbols}', "");
Expect(0, 9984, '\p{--IS_Misc_Symbols}', "");
Expect(1, 9984, '\p{^--IS_Misc_Symbols}', "");
Expect(1, 9984, '\P{--IS_Misc_Symbols}', "");
Expect(0, 9984, '\P{^--IS_Misc_Symbols}', "");
Error('\p{-_In_MISC_symbols:=}');
Error('\P{-_In_MISC_symbols:=}');
Expect(1, 9983, '\p{inmiscsymbols}', "");
Expect(0, 9983, '\p{^inmiscsymbols}', "");
Expect(0, 9983, '\P{inmiscsymbols}', "");
Expect(1, 9983, '\P{^inmiscsymbols}', "");
Expect(0, 9984, '\p{inmiscsymbols}', "");
Expect(1, 9984, '\p{^inmiscsymbols}', "");
Expect(1, 9984, '\P{inmiscsymbols}', "");
Expect(0, 9984, '\P{^inmiscsymbols}', "");
Expect(1, 9983, '\p{		IN_MISC_Symbols}', "");
Expect(0, 9983, '\p{^		IN_MISC_Symbols}', "");
Expect(0, 9983, '\P{		IN_MISC_Symbols}', "");
Expect(1, 9983, '\P{^		IN_MISC_Symbols}', "");
Expect(0, 9984, '\p{		IN_MISC_Symbols}', "");
Expect(1, 9984, '\p{^		IN_MISC_Symbols}', "");
Expect(1, 9984, '\P{		IN_MISC_Symbols}', "");
Expect(0, 9984, '\P{^		IN_MISC_Symbols}', "");
Error('\p{ /a/Miscellaneous_symbols_And_Arrows}');
Error('\P{ /a/Miscellaneous_symbols_And_Arrows}');
Expect(1, 11263, '\p{miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^miscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\p{miscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\p{^miscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\P{miscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\P{^miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{_miscellaneous_SYMBOLS_and_Arrows}', "");
Expect(0, 11263, '\p{^_miscellaneous_SYMBOLS_and_Arrows}', "");
Expect(0, 11263, '\P{_miscellaneous_SYMBOLS_and_Arrows}', "");
Expect(1, 11263, '\P{^_miscellaneous_SYMBOLS_and_Arrows}', "");
Expect(0, 11264, '\p{_miscellaneous_SYMBOLS_and_Arrows}', "");
Expect(1, 11264, '\p{^_miscellaneous_SYMBOLS_and_Arrows}', "");
Expect(1, 11264, '\P{_miscellaneous_SYMBOLS_and_Arrows}', "");
Expect(0, 11264, '\P{^_miscellaneous_SYMBOLS_and_Arrows}', "");
Error('\p{:=	 is_miscellaneous_symbols_AND_Arrows}');
Error('\P{:=	 is_miscellaneous_symbols_AND_Arrows}');
Expect(1, 11263, '\p{ismiscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^ismiscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{ismiscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^ismiscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\p{ismiscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\p{^ismiscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\P{ismiscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\P{^ismiscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{_is_miscellaneous_Symbols_And_Arrows}', "");
Expect(0, 11263, '\p{^_is_miscellaneous_Symbols_And_Arrows}', "");
Expect(0, 11263, '\P{_is_miscellaneous_Symbols_And_Arrows}', "");
Expect(1, 11263, '\P{^_is_miscellaneous_Symbols_And_Arrows}', "");
Expect(0, 11264, '\p{_is_miscellaneous_Symbols_And_Arrows}', "");
Expect(1, 11264, '\p{^_is_miscellaneous_Symbols_And_Arrows}', "");
Expect(1, 11264, '\P{_is_miscellaneous_Symbols_And_Arrows}', "");
Expect(0, 11264, '\P{^_is_miscellaneous_Symbols_And_Arrows}', "");
Error('\p{ :=in_miscellaneous_Symbols_And_Arrows}');
Error('\P{ :=in_miscellaneous_Symbols_And_Arrows}');
Expect(1, 11263, '\p{inmiscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^inmiscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{inmiscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^inmiscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\p{inmiscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\p{^inmiscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\P{inmiscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\P{^inmiscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{_ IN_Miscellaneous_Symbols_And_Arrows}', "");
Expect(0, 11263, '\p{^_ IN_Miscellaneous_Symbols_And_Arrows}', "");
Expect(0, 11263, '\P{_ IN_Miscellaneous_Symbols_And_Arrows}', "");
Expect(1, 11263, '\P{^_ IN_Miscellaneous_Symbols_And_Arrows}', "");
Expect(0, 11264, '\p{_ IN_Miscellaneous_Symbols_And_Arrows}', "");
Expect(1, 11264, '\p{^_ IN_Miscellaneous_Symbols_And_Arrows}', "");
Expect(1, 11264, '\P{_ IN_Miscellaneous_Symbols_And_Arrows}', "");
Expect(0, 11264, '\P{^_ IN_Miscellaneous_Symbols_And_Arrows}', "");
Error('\p{/a/	_misc_Arrows}');
Error('\P{/a/	_misc_Arrows}');
Expect(1, 11263, '\p{miscarrows}', "");
Expect(0, 11263, '\p{^miscarrows}', "");
Expect(0, 11263, '\P{miscarrows}', "");
Expect(1, 11263, '\P{^miscarrows}', "");
Expect(0, 11264, '\p{miscarrows}', "");
Expect(1, 11264, '\p{^miscarrows}', "");
Expect(1, 11264, '\P{miscarrows}', "");
Expect(0, 11264, '\P{^miscarrows}', "");
Expect(1, 11263, '\p{	 MISC_arrows}', "");
Expect(0, 11263, '\p{^	 MISC_arrows}', "");
Expect(0, 11263, '\P{	 MISC_arrows}', "");
Expect(1, 11263, '\P{^	 MISC_arrows}', "");
Expect(0, 11264, '\p{	 MISC_arrows}', "");
Expect(1, 11264, '\p{^	 MISC_arrows}', "");
Expect(1, 11264, '\P{	 MISC_arrows}', "");
Expect(0, 11264, '\P{^	 MISC_arrows}', "");
Error('\p{-/a/Is_Misc_Arrows}');
Error('\P{-/a/Is_Misc_Arrows}');
Expect(1, 11263, '\p{ismiscarrows}', "");
Expect(0, 11263, '\p{^ismiscarrows}', "");
Expect(0, 11263, '\P{ismiscarrows}', "");
Expect(1, 11263, '\P{^ismiscarrows}', "");
Expect(0, 11264, '\p{ismiscarrows}', "");
Expect(1, 11264, '\p{^ismiscarrows}', "");
Expect(1, 11264, '\P{ismiscarrows}', "");
Expect(0, 11264, '\P{^ismiscarrows}', "");
Expect(1, 11263, '\p{_Is_MISC_arrows}', "");
Expect(0, 11263, '\p{^_Is_MISC_arrows}', "");
Expect(0, 11263, '\P{_Is_MISC_arrows}', "");
Expect(1, 11263, '\P{^_Is_MISC_arrows}', "");
Expect(0, 11264, '\p{_Is_MISC_arrows}', "");
Expect(1, 11264, '\p{^_Is_MISC_arrows}', "");
Expect(1, 11264, '\P{_Is_MISC_arrows}', "");
Expect(0, 11264, '\P{^_Is_MISC_arrows}', "");
Error('\p{/a/ -IN_Misc_Arrows}');
Error('\P{/a/ -IN_Misc_Arrows}');
Expect(1, 11263, '\p{inmiscarrows}', "");
Expect(0, 11263, '\p{^inmiscarrows}', "");
Expect(0, 11263, '\P{inmiscarrows}', "");
Expect(1, 11263, '\P{^inmiscarrows}', "");
Expect(0, 11264, '\p{inmiscarrows}', "");
Expect(1, 11264, '\p{^inmiscarrows}', "");
Expect(1, 11264, '\P{inmiscarrows}', "");
Expect(0, 11264, '\P{^inmiscarrows}', "");
Expect(1, 11263, '\p{		In_misc_Arrows}', "");
Expect(0, 11263, '\p{^		In_misc_Arrows}', "");
Expect(0, 11263, '\P{		In_misc_Arrows}', "");
Expect(1, 11263, '\P{^		In_misc_Arrows}', "");
Expect(0, 11264, '\p{		In_misc_Arrows}', "");
Expect(1, 11264, '\p{^		In_misc_Arrows}', "");
Expect(1, 11264, '\P{		In_misc_Arrows}', "");
Expect(0, 11264, '\P{^		In_misc_Arrows}', "");
Error('\p{_ MISCELLANEOUS_Symbols_AND_Pictographs/a/}');
Error('\P{_ MISCELLANEOUS_Symbols_AND_Pictographs/a/}');
Expect(1, 128511, '\p{miscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\p{^miscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\P{miscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\P{^miscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\p{miscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\p{^miscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\P{miscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\P{^miscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\p{_ MISCELLANEOUS_symbols_AND_pictographs}', "");
Expect(0, 128511, '\p{^_ MISCELLANEOUS_symbols_AND_pictographs}', "");
Expect(0, 128511, '\P{_ MISCELLANEOUS_symbols_AND_pictographs}', "");
Expect(1, 128511, '\P{^_ MISCELLANEOUS_symbols_AND_pictographs}', "");
Expect(0, 128512, '\p{_ MISCELLANEOUS_symbols_AND_pictographs}', "");
Expect(1, 128512, '\p{^_ MISCELLANEOUS_symbols_AND_pictographs}', "");
Expect(1, 128512, '\P{_ MISCELLANEOUS_symbols_AND_pictographs}', "");
Expect(0, 128512, '\P{^_ MISCELLANEOUS_symbols_AND_pictographs}', "");
Error('\p{	/a/Is_MISCELLANEOUS_Symbols_and_Pictographs}');
Error('\P{	/a/Is_MISCELLANEOUS_Symbols_and_Pictographs}');
Expect(1, 128511, '\p{ismiscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\p{^ismiscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\P{ismiscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\P{^ismiscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\p{ismiscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\p{^ismiscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\P{ismiscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\P{^ismiscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\p{	-Is_miscellaneous_Symbols_And_Pictographs}', "");
Expect(0, 128511, '\p{^	-Is_miscellaneous_Symbols_And_Pictographs}', "");
Expect(0, 128511, '\P{	-Is_miscellaneous_Symbols_And_Pictographs}', "");
Expect(1, 128511, '\P{^	-Is_miscellaneous_Symbols_And_Pictographs}', "");
Expect(0, 128512, '\p{	-Is_miscellaneous_Symbols_And_Pictographs}', "");
Expect(1, 128512, '\p{^	-Is_miscellaneous_Symbols_And_Pictographs}', "");
Expect(1, 128512, '\P{	-Is_miscellaneous_Symbols_And_Pictographs}', "");
Expect(0, 128512, '\P{^	-Is_miscellaneous_Symbols_And_Pictographs}', "");
Error('\p{_:=in_miscellaneous_Symbols_AND_Pictographs}');
Error('\P{_:=in_miscellaneous_Symbols_AND_Pictographs}');
Expect(1, 128511, '\p{inmiscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\p{^inmiscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\P{inmiscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\P{^inmiscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\p{inmiscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\p{^inmiscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\P{inmiscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\P{^inmiscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\p{In_miscellaneous_Symbols_And_PICTOGRAPHS}', "");
Expect(0, 128511, '\p{^In_miscellaneous_Symbols_And_PICTOGRAPHS}', "");
Expect(0, 128511, '\P{In_miscellaneous_Symbols_And_PICTOGRAPHS}', "");
Expect(1, 128511, '\P{^In_miscellaneous_Symbols_And_PICTOGRAPHS}', "");
Expect(0, 128512, '\p{In_miscellaneous_Symbols_And_PICTOGRAPHS}', "");
Expect(1, 128512, '\p{^In_miscellaneous_Symbols_And_PICTOGRAPHS}', "");
Expect(1, 128512, '\P{In_miscellaneous_Symbols_And_PICTOGRAPHS}', "");
Expect(0, 128512, '\P{^In_miscellaneous_Symbols_And_PICTOGRAPHS}', "");
Error('\p{/a/  MISC_Pictographs}');
Error('\P{/a/  MISC_Pictographs}');
Expect(1, 128511, '\p{miscpictographs}', "");
Expect(0, 128511, '\p{^miscpictographs}', "");
Expect(0, 128511, '\P{miscpictographs}', "");
Expect(1, 128511, '\P{^miscpictographs}', "");
Expect(0, 128512, '\p{miscpictographs}', "");
Expect(1, 128512, '\p{^miscpictographs}', "");
Expect(1, 128512, '\P{miscpictographs}', "");
Expect(0, 128512, '\P{^miscpictographs}', "");
Expect(1, 128511, '\p{__MISC_pictographs}', "");
Expect(0, 128511, '\p{^__MISC_pictographs}', "");
Expect(0, 128511, '\P{__MISC_pictographs}', "");
Expect(1, 128511, '\P{^__MISC_pictographs}', "");
Expect(0, 128512, '\p{__MISC_pictographs}', "");
Expect(1, 128512, '\p{^__MISC_pictographs}', "");
Expect(1, 128512, '\P{__MISC_pictographs}', "");
Expect(0, 128512, '\P{^__MISC_pictographs}', "");
Error('\p{/a/		is_misc_PICTOGRAPHS}');
Error('\P{/a/		is_misc_PICTOGRAPHS}');
Expect(1, 128511, '\p{ismiscpictographs}', "");
Expect(0, 128511, '\p{^ismiscpictographs}', "");
Expect(0, 128511, '\P{ismiscpictographs}', "");
Expect(1, 128511, '\P{^ismiscpictographs}', "");
Expect(0, 128512, '\p{ismiscpictographs}', "");
Expect(1, 128512, '\p{^ismiscpictographs}', "");
Expect(1, 128512, '\P{ismiscpictographs}', "");
Expect(0, 128512, '\P{^ismiscpictographs}', "");
Expect(1, 128511, '\p{	-is_MISC_PICTOGRAPHS}', "");
Expect(0, 128511, '\p{^	-is_MISC_PICTOGRAPHS}', "");
Expect(0, 128511, '\P{	-is_MISC_PICTOGRAPHS}', "");
Expect(1, 128511, '\P{^	-is_MISC_PICTOGRAPHS}', "");
Expect(0, 128512, '\p{	-is_MISC_PICTOGRAPHS}', "");
Expect(1, 128512, '\p{^	-is_MISC_PICTOGRAPHS}', "");
Expect(1, 128512, '\P{	-is_MISC_PICTOGRAPHS}', "");
Expect(0, 128512, '\P{^	-is_MISC_PICTOGRAPHS}', "");
Error('\p{-:=IN_Misc_PICTOGRAPHS}');
Error('\P{-:=IN_Misc_PICTOGRAPHS}');
Expect(1, 128511, '\p{inmiscpictographs}', "");
Expect(0, 128511, '\p{^inmiscpictographs}', "");
Expect(0, 128511, '\P{inmiscpictographs}', "");
Expect(1, 128511, '\P{^inmiscpictographs}', "");
Expect(0, 128512, '\p{inmiscpictographs}', "");
Expect(1, 128512, '\p{^inmiscpictographs}', "");
Expect(1, 128512, '\P{inmiscpictographs}', "");
Expect(0, 128512, '\P{^inmiscpictographs}', "");
Expect(1, 128511, '\p{ 	in_MISC_Pictographs}', "");
Expect(0, 128511, '\p{^ 	in_MISC_Pictographs}', "");
Expect(0, 128511, '\P{ 	in_MISC_Pictographs}', "");
Expect(1, 128511, '\P{^ 	in_MISC_Pictographs}', "");
Expect(0, 128512, '\p{ 	in_MISC_Pictographs}', "");
Expect(1, 128512, '\p{^ 	in_MISC_Pictographs}', "");
Expect(1, 128512, '\P{ 	in_MISC_Pictographs}', "");
Expect(0, 128512, '\P{^ 	in_MISC_Pictographs}', "");
Error('\p{_	Miscellaneous_Technical:=}');
Error('\P{_	Miscellaneous_Technical:=}');
Expect(1, 9215, '\p{miscellaneoustechnical}', "");
Expect(0, 9215, '\p{^miscellaneoustechnical}', "");
Expect(0, 9215, '\P{miscellaneoustechnical}', "");
Expect(1, 9215, '\P{^miscellaneoustechnical}', "");
Expect(0, 9216, '\p{miscellaneoustechnical}', "");
Expect(1, 9216, '\p{^miscellaneoustechnical}', "");
Expect(1, 9216, '\P{miscellaneoustechnical}', "");
Expect(0, 9216, '\P{^miscellaneoustechnical}', "");
Expect(1, 9215, '\p{ _miscellaneous_Technical}', "");
Expect(0, 9215, '\p{^ _miscellaneous_Technical}', "");
Expect(0, 9215, '\P{ _miscellaneous_Technical}', "");
Expect(1, 9215, '\P{^ _miscellaneous_Technical}', "");
Expect(0, 9216, '\p{ _miscellaneous_Technical}', "");
Expect(1, 9216, '\p{^ _miscellaneous_Technical}', "");
Expect(1, 9216, '\P{ _miscellaneous_Technical}', "");
Expect(0, 9216, '\P{^ _miscellaneous_Technical}', "");
Error('\p{-	Is_MISCELLANEOUS_technical/a/}');
Error('\P{-	Is_MISCELLANEOUS_technical/a/}');
Expect(1, 9215, '\p{ismiscellaneoustechnical}', "");
Expect(0, 9215, '\p{^ismiscellaneoustechnical}', "");
Expect(0, 9215, '\P{ismiscellaneoustechnical}', "");
Expect(1, 9215, '\P{^ismiscellaneoustechnical}', "");
Expect(0, 9216, '\p{ismiscellaneoustechnical}', "");
Expect(1, 9216, '\p{^ismiscellaneoustechnical}', "");
Expect(1, 9216, '\P{ismiscellaneoustechnical}', "");
Expect(0, 9216, '\P{^ismiscellaneoustechnical}', "");
Expect(1, 9215, '\p{- is_Miscellaneous_technical}', "");
Expect(0, 9215, '\p{^- is_Miscellaneous_technical}', "");
Expect(0, 9215, '\P{- is_Miscellaneous_technical}', "");
Expect(1, 9215, '\P{^- is_Miscellaneous_technical}', "");
Expect(0, 9216, '\p{- is_Miscellaneous_technical}', "");
Expect(1, 9216, '\p{^- is_Miscellaneous_technical}', "");
Expect(1, 9216, '\P{- is_Miscellaneous_technical}', "");
Expect(0, 9216, '\P{^- is_Miscellaneous_technical}', "");
Error('\p{:=-	in_MISCELLANEOUS_Technical}');
Error('\P{:=-	in_MISCELLANEOUS_Technical}');
Expect(1, 9215, '\p{inmiscellaneoustechnical}', "");
Expect(0, 9215, '\p{^inmiscellaneoustechnical}', "");
Expect(0, 9215, '\P{inmiscellaneoustechnical}', "");
Expect(1, 9215, '\P{^inmiscellaneoustechnical}', "");
Expect(0, 9216, '\p{inmiscellaneoustechnical}', "");
Expect(1, 9216, '\p{^inmiscellaneoustechnical}', "");
Expect(1, 9216, '\P{inmiscellaneoustechnical}', "");
Expect(0, 9216, '\P{^inmiscellaneoustechnical}', "");
Expect(1, 9215, '\p{	in_Miscellaneous_Technical}', "");
Expect(0, 9215, '\p{^	in_Miscellaneous_Technical}', "");
Expect(0, 9215, '\P{	in_Miscellaneous_Technical}', "");
Expect(1, 9215, '\P{^	in_Miscellaneous_Technical}', "");
Expect(0, 9216, '\p{	in_Miscellaneous_Technical}', "");
Expect(1, 9216, '\p{^	in_Miscellaneous_Technical}', "");
Expect(1, 9216, '\P{	in_Miscellaneous_Technical}', "");
Expect(0, 9216, '\P{^	in_Miscellaneous_Technical}', "");
Error('\p{_:=MISC_TECHNICAL}');
Error('\P{_:=MISC_TECHNICAL}');
Expect(1, 9215, '\p{misctechnical}', "");
Expect(0, 9215, '\p{^misctechnical}', "");
Expect(0, 9215, '\P{misctechnical}', "");
Expect(1, 9215, '\P{^misctechnical}', "");
Expect(0, 9216, '\p{misctechnical}', "");
Expect(1, 9216, '\p{^misctechnical}', "");
Expect(1, 9216, '\P{misctechnical}', "");
Expect(0, 9216, '\P{^misctechnical}', "");
Expect(1, 9215, '\p{-	Misc_technical}', "");
Expect(0, 9215, '\p{^-	Misc_technical}', "");
Expect(0, 9215, '\P{-	Misc_technical}', "");
Expect(1, 9215, '\P{^-	Misc_technical}', "");
Expect(0, 9216, '\p{-	Misc_technical}', "");
Expect(1, 9216, '\p{^-	Misc_technical}', "");
Expect(1, 9216, '\P{-	Misc_technical}', "");
Expect(0, 9216, '\P{^-	Misc_technical}', "");
Error('\p{_	Is_MISC_technical/a/}');
Error('\P{_	Is_MISC_technical/a/}');
Expect(1, 9215, '\p{ismisctechnical}', "");
Expect(0, 9215, '\p{^ismisctechnical}', "");
Expect(0, 9215, '\P{ismisctechnical}', "");
Expect(1, 9215, '\P{^ismisctechnical}', "");
Expect(0, 9216, '\p{ismisctechnical}', "");
Expect(1, 9216, '\p{^ismisctechnical}', "");
Expect(1, 9216, '\P{ismisctechnical}', "");
Expect(0, 9216, '\P{^ismisctechnical}', "");
Expect(1, 9215, '\p{ is_Misc_Technical}', "");
Expect(0, 9215, '\p{^ is_Misc_Technical}', "");
Expect(0, 9215, '\P{ is_Misc_Technical}', "");
Expect(1, 9215, '\P{^ is_Misc_Technical}', "");
Expect(0, 9216, '\p{ is_Misc_Technical}', "");
Expect(1, 9216, '\p{^ is_Misc_Technical}', "");
Expect(1, 9216, '\P{ is_Misc_Technical}', "");
Expect(0, 9216, '\P{^ is_Misc_Technical}', "");
Error('\p{:=-	IN_Misc_TECHNICAL}');
Error('\P{:=-	IN_Misc_TECHNICAL}');
Expect(1, 9215, '\p{inmisctechnical}', "");
Expect(0, 9215, '\p{^inmisctechnical}', "");
Expect(0, 9215, '\P{inmisctechnical}', "");
Expect(1, 9215, '\P{^inmisctechnical}', "");
Expect(0, 9216, '\p{inmisctechnical}', "");
Expect(1, 9216, '\p{^inmisctechnical}', "");
Expect(1, 9216, '\P{inmisctechnical}', "");
Expect(0, 9216, '\P{^inmisctechnical}', "");
Expect(1, 9215, '\p{	in_MISC_TECHNICAL}', "");
Expect(0, 9215, '\p{^	in_MISC_TECHNICAL}', "");
Expect(0, 9215, '\P{	in_MISC_TECHNICAL}', "");
Expect(1, 9215, '\P{^	in_MISC_TECHNICAL}', "");
Expect(0, 9216, '\p{	in_MISC_TECHNICAL}', "");
Expect(1, 9216, '\p{^	in_MISC_TECHNICAL}', "");
Expect(1, 9216, '\P{	in_MISC_TECHNICAL}', "");
Expect(0, 9216, '\P{^	in_MISC_TECHNICAL}', "");
Error('\p{/a/_	Modi}');
Error('\P{/a/_	Modi}');
Expect(1, 71257, '\p{modi}', "");
Expect(0, 71257, '\p{^modi}', "");
Expect(0, 71257, '\P{modi}', "");
Expect(1, 71257, '\P{^modi}', "");
Expect(0, 71258, '\p{modi}', "");
Expect(1, 71258, '\p{^modi}', "");
Expect(1, 71258, '\P{modi}', "");
Expect(0, 71258, '\P{^modi}', "");
Expect(1, 71257, '\p{-	Modi}', "");
Expect(0, 71257, '\p{^-	Modi}', "");
Expect(0, 71257, '\P{-	Modi}', "");
Expect(1, 71257, '\P{^-	Modi}', "");
Expect(0, 71258, '\p{-	Modi}', "");
Expect(1, 71258, '\p{^-	Modi}', "");
Expect(1, 71258, '\P{-	Modi}', "");
Expect(0, 71258, '\P{^-	Modi}', "");
Error('\p{_/a/Is_Modi}');
Error('\P{_/a/Is_Modi}');
Expect(1, 71257, '\p{ismodi}', "");
Expect(0, 71257, '\p{^ismodi}', "");
Expect(0, 71257, '\P{ismodi}', "");
Expect(1, 71257, '\P{^ismodi}', "");
Expect(0, 71258, '\p{ismodi}', "");
Expect(1, 71258, '\p{^ismodi}', "");
Expect(1, 71258, '\P{ismodi}', "");
Expect(0, 71258, '\P{^ismodi}', "");
Expect(1, 71257, '\p{_ IS_modi}', "");
Expect(0, 71257, '\p{^_ IS_modi}', "");
Expect(0, 71257, '\P{_ IS_modi}', "");
Expect(1, 71257, '\P{^_ IS_modi}', "");
Expect(0, 71258, '\p{_ IS_modi}', "");
Expect(1, 71258, '\p{^_ IS_modi}', "");
Expect(1, 71258, '\P{_ IS_modi}', "");
Expect(0, 71258, '\P{^_ IS_modi}', "");
Error('\p{ modifier_letter:=}');
Error('\P{ modifier_letter:=}');
Expect(1, 94111, '\p{modifierletter}', "");
Expect(0, 94111, '\p{^modifierletter}', "");
Expect(0, 94111, '\P{modifierletter}', "");
Expect(1, 94111, '\P{^modifierletter}', "");
Expect(0, 94112, '\p{modifierletter}', "");
Expect(1, 94112, '\p{^modifierletter}', "");
Expect(1, 94112, '\P{modifierletter}', "");
Expect(0, 94112, '\P{^modifierletter}', "");
Expect(1, 94111, '\p{	 modifier_Letter}', "");
Expect(0, 94111, '\p{^	 modifier_Letter}', "");
Expect(0, 94111, '\P{	 modifier_Letter}', "");
Expect(1, 94111, '\P{^	 modifier_Letter}', "");
Expect(0, 94112, '\p{	 modifier_Letter}', "");
Expect(1, 94112, '\p{^	 modifier_Letter}', "");
Expect(1, 94112, '\P{	 modifier_Letter}', "");
Expect(0, 94112, '\P{^	 modifier_Letter}', "");
Error('\p{ :=Is_modifier_letter}');
Error('\P{ :=Is_modifier_letter}');
Expect(1, 94111, '\p{ismodifierletter}', "");
Expect(0, 94111, '\p{^ismodifierletter}', "");
Expect(0, 94111, '\P{ismodifierletter}', "");
Expect(1, 94111, '\P{^ismodifierletter}', "");
Expect(0, 94112, '\p{ismodifierletter}', "");
Expect(1, 94112, '\p{^ismodifierletter}', "");
Expect(1, 94112, '\P{ismodifierletter}', "");
Expect(0, 94112, '\P{^ismodifierletter}', "");
Expect(1, 94111, '\p{--IS_MODIFIER_LETTER}', "");
Expect(0, 94111, '\p{^--IS_MODIFIER_LETTER}', "");
Expect(0, 94111, '\P{--IS_MODIFIER_LETTER}', "");
Expect(1, 94111, '\P{^--IS_MODIFIER_LETTER}', "");
Expect(0, 94112, '\p{--IS_MODIFIER_LETTER}', "");
Expect(1, 94112, '\p{^--IS_MODIFIER_LETTER}', "");
Expect(1, 94112, '\P{--IS_MODIFIER_LETTER}', "");
Expect(0, 94112, '\P{^--IS_MODIFIER_LETTER}', "");
Error('\p{_ Lm/a/}');
Error('\P{_ Lm/a/}');
Expect(1, 94111, '\p{lm}', "");
Expect(0, 94111, '\p{^lm}', "");
Expect(0, 94111, '\P{lm}', "");
Expect(1, 94111, '\P{^lm}', "");
Expect(0, 94112, '\p{lm}', "");
Expect(1, 94112, '\p{^lm}', "");
Expect(1, 94112, '\P{lm}', "");
Expect(0, 94112, '\P{^lm}', "");
Expect(1, 94111, '\p{ Lm}', "");
Expect(0, 94111, '\p{^ Lm}', "");
Expect(0, 94111, '\P{ Lm}', "");
Expect(1, 94111, '\P{^ Lm}', "");
Expect(0, 94112, '\p{ Lm}', "");
Expect(1, 94112, '\p{^ Lm}', "");
Expect(1, 94112, '\P{ Lm}', "");
Expect(0, 94112, '\P{^ Lm}', "");
Error('\p{:=-IS_Lm}');
Error('\P{:=-IS_Lm}');
Expect(1, 94111, '\p{islm}', "");
Expect(0, 94111, '\p{^islm}', "");
Expect(0, 94111, '\P{islm}', "");
Expect(1, 94111, '\P{^islm}', "");
Expect(0, 94112, '\p{islm}', "");
Expect(1, 94112, '\p{^islm}', "");
Expect(1, 94112, '\P{islm}', "");
Expect(0, 94112, '\P{^islm}', "");
Expect(1, 94111, '\p{ -Is_Lm}', "");
Expect(0, 94111, '\p{^ -Is_Lm}', "");
Expect(0, 94111, '\P{ -Is_Lm}', "");
Expect(1, 94111, '\P{^ -Is_Lm}', "");
Expect(0, 94112, '\p{ -Is_Lm}', "");
Expect(1, 94112, '\p{^ -Is_Lm}', "");
Expect(1, 94112, '\P{ -Is_Lm}', "");
Expect(0, 94112, '\P{^ -Is_Lm}', "");
Error('\p{/a/	_MODIFIER_Symbol}');
Error('\P{/a/	_MODIFIER_Symbol}');
Expect(1, 65507, '\p{modifiersymbol}', "");
Expect(0, 65507, '\p{^modifiersymbol}', "");
Expect(0, 65507, '\P{modifiersymbol}', "");
Expect(1, 65507, '\P{^modifiersymbol}', "");
Expect(0, 65508, '\p{modifiersymbol}', "");
Expect(1, 65508, '\p{^modifiersymbol}', "");
Expect(1, 65508, '\P{modifiersymbol}', "");
Expect(0, 65508, '\P{^modifiersymbol}', "");
Expect(1, 65507, '\p{ _MODIFIER_symbol}', "");
Expect(0, 65507, '\p{^ _MODIFIER_symbol}', "");
Expect(0, 65507, '\P{ _MODIFIER_symbol}', "");
Expect(1, 65507, '\P{^ _MODIFIER_symbol}', "");
Expect(0, 65508, '\p{ _MODIFIER_symbol}', "");
Expect(1, 65508, '\p{^ _MODIFIER_symbol}', "");
Expect(1, 65508, '\P{ _MODIFIER_symbol}', "");
Expect(0, 65508, '\P{^ _MODIFIER_symbol}', "");
Error('\p{-/a/is_Modifier_Symbol}');
Error('\P{-/a/is_Modifier_Symbol}');
Expect(1, 65507, '\p{ismodifiersymbol}', "");
Expect(0, 65507, '\p{^ismodifiersymbol}', "");
Expect(0, 65507, '\P{ismodifiersymbol}', "");
Expect(1, 65507, '\P{^ismodifiersymbol}', "");
Expect(0, 65508, '\p{ismodifiersymbol}', "");
Expect(1, 65508, '\p{^ismodifiersymbol}', "");
Expect(1, 65508, '\P{ismodifiersymbol}', "");
Expect(0, 65508, '\P{^ismodifiersymbol}', "");
Expect(1, 65507, '\p{_is_MODIFIER_Symbol}', "");
Expect(0, 65507, '\p{^_is_MODIFIER_Symbol}', "");
Expect(0, 65507, '\P{_is_MODIFIER_Symbol}', "");
Expect(1, 65507, '\P{^_is_MODIFIER_Symbol}', "");
Expect(0, 65508, '\p{_is_MODIFIER_Symbol}', "");
Expect(1, 65508, '\p{^_is_MODIFIER_Symbol}', "");
Expect(1, 65508, '\P{_is_MODIFIER_Symbol}', "");
Expect(0, 65508, '\P{^_is_MODIFIER_Symbol}', "");
Error('\p{	-Sk/a/}');
Error('\P{	-Sk/a/}');
Expect(1, 65507, '\p{sk}', "");
Expect(0, 65507, '\p{^sk}', "");
Expect(0, 65507, '\P{sk}', "");
Expect(1, 65507, '\P{^sk}', "");
Expect(0, 65508, '\p{sk}', "");
Expect(1, 65508, '\p{^sk}', "");
Expect(1, 65508, '\P{sk}', "");
Expect(0, 65508, '\P{^sk}', "");
Expect(1, 65507, '\p{--SK}', "");
Expect(0, 65507, '\p{^--SK}', "");
Expect(0, 65507, '\P{--SK}', "");
Expect(1, 65507, '\P{^--SK}', "");
Expect(0, 65508, '\p{--SK}', "");
Expect(1, 65508, '\p{^--SK}', "");
Expect(1, 65508, '\P{--SK}', "");
Expect(0, 65508, '\P{^--SK}', "");
Error('\p{:=_IS_Sk}');
Error('\P{:=_IS_Sk}');
Expect(1, 65507, '\p{issk}', "");
Expect(0, 65507, '\p{^issk}', "");
Expect(0, 65507, '\P{issk}', "");
Expect(1, 65507, '\P{^issk}', "");
Expect(0, 65508, '\p{issk}', "");
Expect(1, 65508, '\p{^issk}', "");
Expect(1, 65508, '\P{issk}', "");
Expect(0, 65508, '\P{^issk}', "");
Expect(1, 65507, '\p{_Is_Sk}', "");
Expect(0, 65507, '\p{^_Is_Sk}', "");
Expect(0, 65507, '\P{_Is_Sk}', "");
Expect(1, 65507, '\P{^_Is_Sk}', "");
Expect(0, 65508, '\p{_Is_Sk}', "");
Expect(1, 65508, '\p{^_Is_Sk}', "");
Expect(1, 65508, '\P{_Is_Sk}', "");
Expect(0, 65508, '\P{^_Is_Sk}', "");
Error('\p{/a/ _Modifier_TONE_Letters}');
Error('\P{/a/ _Modifier_TONE_Letters}');
Expect(1, 42783, '\p{modifiertoneletters}', "");
Expect(0, 42783, '\p{^modifiertoneletters}', "");
Expect(0, 42783, '\P{modifiertoneletters}', "");
Expect(1, 42783, '\P{^modifiertoneletters}', "");
Expect(0, 42784, '\p{modifiertoneletters}', "");
Expect(1, 42784, '\p{^modifiertoneletters}', "");
Expect(1, 42784, '\P{modifiertoneletters}', "");
Expect(0, 42784, '\P{^modifiertoneletters}', "");
Expect(1, 42783, '\p{__modifier_tone_letters}', "");
Expect(0, 42783, '\p{^__modifier_tone_letters}', "");
Expect(0, 42783, '\P{__modifier_tone_letters}', "");
Expect(1, 42783, '\P{^__modifier_tone_letters}', "");
Expect(0, 42784, '\p{__modifier_tone_letters}', "");
Expect(1, 42784, '\p{^__modifier_tone_letters}', "");
Expect(1, 42784, '\P{__modifier_tone_letters}', "");
Expect(0, 42784, '\P{^__modifier_tone_letters}', "");
Error('\p{- Is_Modifier_TONE_letters:=}');
Error('\P{- Is_Modifier_TONE_letters:=}');
Expect(1, 42783, '\p{ismodifiertoneletters}', "");
Expect(0, 42783, '\p{^ismodifiertoneletters}', "");
Expect(0, 42783, '\P{ismodifiertoneletters}', "");
Expect(1, 42783, '\P{^ismodifiertoneletters}', "");
Expect(0, 42784, '\p{ismodifiertoneletters}', "");
Expect(1, 42784, '\p{^ismodifiertoneletters}', "");
Expect(1, 42784, '\P{ismodifiertoneletters}', "");
Expect(0, 42784, '\P{^ismodifiertoneletters}', "");
Expect(1, 42783, '\p{_IS_MODIFIER_Tone_Letters}', "");
Expect(0, 42783, '\p{^_IS_MODIFIER_Tone_Letters}', "");
Expect(0, 42783, '\P{_IS_MODIFIER_Tone_Letters}', "");
Expect(1, 42783, '\P{^_IS_MODIFIER_Tone_Letters}', "");
Expect(0, 42784, '\p{_IS_MODIFIER_Tone_Letters}', "");
Expect(1, 42784, '\p{^_IS_MODIFIER_Tone_Letters}', "");
Expect(1, 42784, '\P{_IS_MODIFIER_Tone_Letters}', "");
Expect(0, 42784, '\P{^_IS_MODIFIER_Tone_Letters}', "");
Error('\p{	 in_MODIFIER_TONE_LETTERS/a/}');
Error('\P{	 in_MODIFIER_TONE_LETTERS/a/}');
Expect(1, 42783, '\p{inmodifiertoneletters}', "");
Expect(0, 42783, '\p{^inmodifiertoneletters}', "");
Expect(0, 42783, '\P{inmodifiertoneletters}', "");
Expect(1, 42783, '\P{^inmodifiertoneletters}', "");
Expect(0, 42784, '\p{inmodifiertoneletters}', "");
Expect(1, 42784, '\p{^inmodifiertoneletters}', "");
Expect(1, 42784, '\P{inmodifiertoneletters}', "");
Expect(0, 42784, '\P{^inmodifiertoneletters}', "");
Expect(1, 42783, '\p{--IN_Modifier_TONE_Letters}', "");
Expect(0, 42783, '\p{^--IN_Modifier_TONE_Letters}', "");
Expect(0, 42783, '\P{--IN_Modifier_TONE_Letters}', "");
Expect(1, 42783, '\P{^--IN_Modifier_TONE_Letters}', "");
Expect(0, 42784, '\p{--IN_Modifier_TONE_Letters}', "");
Expect(1, 42784, '\p{^--IN_Modifier_TONE_Letters}', "");
Expect(1, 42784, '\P{--IN_Modifier_TONE_Letters}', "");
Expect(0, 42784, '\P{^--IN_Modifier_TONE_Letters}', "");
Error('\p{-:=MONGOLIAN}');
Error('\P{-:=MONGOLIAN}');
Expect(1, 6314, '\p{mongolian}', "");
Expect(0, 6314, '\p{^mongolian}', "");
Expect(0, 6314, '\P{mongolian}', "");
Expect(1, 6314, '\P{^mongolian}', "");
Expect(0, 6315, '\p{mongolian}', "");
Expect(1, 6315, '\p{^mongolian}', "");
Expect(1, 6315, '\P{mongolian}', "");
Expect(0, 6315, '\P{^mongolian}', "");
Expect(1, 6314, '\p{_-MONGOLIAN}', "");
Expect(0, 6314, '\p{^_-MONGOLIAN}', "");
Expect(0, 6314, '\P{_-MONGOLIAN}', "");
Expect(1, 6314, '\P{^_-MONGOLIAN}', "");
Expect(0, 6315, '\p{_-MONGOLIAN}', "");
Expect(1, 6315, '\p{^_-MONGOLIAN}', "");
Expect(1, 6315, '\P{_-MONGOLIAN}', "");
Expect(0, 6315, '\P{^_-MONGOLIAN}', "");
Error('\p{ :=Is_MONGOLIAN}');
Error('\P{ :=Is_MONGOLIAN}');
Expect(1, 6314, '\p{ismongolian}', "");
Expect(0, 6314, '\p{^ismongolian}', "");
Expect(0, 6314, '\P{ismongolian}', "");
Expect(1, 6314, '\P{^ismongolian}', "");
Expect(0, 6315, '\p{ismongolian}', "");
Expect(1, 6315, '\p{^ismongolian}', "");
Expect(1, 6315, '\P{ismongolian}', "");
Expect(0, 6315, '\P{^ismongolian}', "");
Expect(1, 6314, '\p{ _Is_mongolian}', "");
Expect(0, 6314, '\p{^ _Is_mongolian}', "");
Expect(0, 6314, '\P{ _Is_mongolian}', "");
Expect(1, 6314, '\P{^ _Is_mongolian}', "");
Expect(0, 6315, '\p{ _Is_mongolian}', "");
Expect(1, 6315, '\p{^ _Is_mongolian}', "");
Expect(1, 6315, '\P{ _Is_mongolian}', "");
Expect(0, 6315, '\P{^ _Is_mongolian}', "");
Error('\p{_/a/mong}');
Error('\P{_/a/mong}');
Expect(1, 6314, '\p{mong}', "");
Expect(0, 6314, '\p{^mong}', "");
Expect(0, 6314, '\P{mong}', "");
Expect(1, 6314, '\P{^mong}', "");
Expect(0, 6315, '\p{mong}', "");
Expect(1, 6315, '\p{^mong}', "");
Expect(1, 6315, '\P{mong}', "");
Expect(0, 6315, '\P{^mong}', "");
Expect(1, 6314, '\p{ Mong}', "");
Expect(0, 6314, '\p{^ Mong}', "");
Expect(0, 6314, '\P{ Mong}', "");
Expect(1, 6314, '\P{^ Mong}', "");
Expect(0, 6315, '\p{ Mong}', "");
Expect(1, 6315, '\p{^ Mong}', "");
Expect(1, 6315, '\P{ Mong}', "");
Expect(0, 6315, '\P{^ Mong}', "");
Error('\p{is_mong:=}');
Error('\P{is_mong:=}');
Expect(1, 6314, '\p{ismong}', "");
Expect(0, 6314, '\p{^ismong}', "");
Expect(0, 6314, '\P{ismong}', "");
Expect(1, 6314, '\P{^ismong}', "");
Expect(0, 6315, '\p{ismong}', "");
Expect(1, 6315, '\p{^ismong}', "");
Expect(1, 6315, '\P{ismong}', "");
Expect(0, 6315, '\P{^ismong}', "");
Expect(1, 6314, '\p{	-Is_Mong}', "");
Expect(0, 6314, '\p{^	-Is_Mong}', "");
Expect(0, 6314, '\P{	-Is_Mong}', "");
Expect(1, 6314, '\P{^	-Is_Mong}', "");
Expect(0, 6315, '\p{	-Is_Mong}', "");
Expect(1, 6315, '\p{^	-Is_Mong}', "");
Expect(1, 6315, '\P{	-Is_Mong}', "");
Expect(0, 6315, '\P{^	-Is_Mong}', "");
Error('\p{:=Mro}');
Error('\P{:=Mro}');
Expect(1, 92783, '\p{mro}', "");
Expect(0, 92783, '\p{^mro}', "");
Expect(0, 92783, '\P{mro}', "");
Expect(1, 92783, '\P{^mro}', "");
Expect(0, 92784, '\p{mro}', "");
Expect(1, 92784, '\p{^mro}', "");
Expect(1, 92784, '\P{mro}', "");
Expect(0, 92784, '\P{^mro}', "");
Expect(1, 92783, '\p{ Mro}', "");
Expect(0, 92783, '\p{^ Mro}', "");
Expect(0, 92783, '\P{ Mro}', "");
Expect(1, 92783, '\P{^ Mro}', "");
Expect(0, 92784, '\p{ Mro}', "");
Expect(1, 92784, '\p{^ Mro}', "");
Expect(1, 92784, '\P{ Mro}', "");
Expect(0, 92784, '\P{^ Mro}', "");
Error('\p{	Is_MRO:=}');
Error('\P{	Is_MRO:=}');
Expect(1, 92783, '\p{ismro}', "");
Expect(0, 92783, '\p{^ismro}', "");
Expect(0, 92783, '\P{ismro}', "");
Expect(1, 92783, '\P{^ismro}', "");
Expect(0, 92784, '\p{ismro}', "");
Expect(1, 92784, '\p{^ismro}', "");
Expect(1, 92784, '\P{ismro}', "");
Expect(0, 92784, '\P{^ismro}', "");
Expect(1, 92783, '\p{ 	is_mro}', "");
Expect(0, 92783, '\p{^ 	is_mro}', "");
Expect(0, 92783, '\P{ 	is_mro}', "");
Expect(1, 92783, '\P{^ 	is_mro}', "");
Expect(0, 92784, '\p{ 	is_mro}', "");
Expect(1, 92784, '\p{^ 	is_mro}', "");
Expect(1, 92784, '\P{ 	is_mro}', "");
Expect(0, 92784, '\P{^ 	is_mro}', "");
Error('\p{/a/__Mroo}');
Error('\P{/a/__Mroo}');
Expect(1, 92783, '\p{mroo}', "");
Expect(0, 92783, '\p{^mroo}', "");
Expect(0, 92783, '\P{mroo}', "");
Expect(1, 92783, '\P{^mroo}', "");
Expect(0, 92784, '\p{mroo}', "");
Expect(1, 92784, '\p{^mroo}', "");
Expect(1, 92784, '\P{mroo}', "");
Expect(0, 92784, '\P{^mroo}', "");
Expect(1, 92783, '\p{_-MROO}', "");
Expect(0, 92783, '\p{^_-MROO}', "");
Expect(0, 92783, '\P{_-MROO}', "");
Expect(1, 92783, '\P{^_-MROO}', "");
Expect(0, 92784, '\p{_-MROO}', "");
Expect(1, 92784, '\p{^_-MROO}', "");
Expect(1, 92784, '\P{_-MROO}', "");
Expect(0, 92784, '\P{^_-MROO}', "");
Error('\p{- IS_MROO:=}');
Error('\P{- IS_MROO:=}');
Expect(1, 92783, '\p{ismroo}', "");
Expect(0, 92783, '\p{^ismroo}', "");
Expect(0, 92783, '\P{ismroo}', "");
Expect(1, 92783, '\P{^ismroo}', "");
Expect(0, 92784, '\p{ismroo}', "");
Expect(1, 92784, '\p{^ismroo}', "");
Expect(1, 92784, '\P{ismroo}', "");
Expect(0, 92784, '\P{^ismroo}', "");
Expect(1, 92783, '\p{-_Is_MROO}', "");
Expect(0, 92783, '\p{^-_Is_MROO}', "");
Expect(0, 92783, '\P{-_Is_MROO}', "");
Expect(1, 92783, '\P{^-_Is_MROO}', "");
Expect(0, 92784, '\p{-_Is_MROO}', "");
Expect(1, 92784, '\p{^-_Is_MROO}', "");
Expect(1, 92784, '\P{-_Is_MROO}', "");
Expect(0, 92784, '\P{^-_Is_MROO}', "");
Error('\p{/a/-_musical_SYMBOLS}');
Error('\P{/a/-_musical_SYMBOLS}');
Expect(1, 119295, '\p{musicalsymbols}', "");
Expect(0, 119295, '\p{^musicalsymbols}', "");
Expect(0, 119295, '\P{musicalsymbols}', "");
Expect(1, 119295, '\P{^musicalsymbols}', "");
Expect(0, 119296, '\p{musicalsymbols}', "");
Expect(1, 119296, '\p{^musicalsymbols}', "");
Expect(1, 119296, '\P{musicalsymbols}', "");
Expect(0, 119296, '\P{^musicalsymbols}', "");
Expect(1, 119295, '\p{-Musical_Symbols}', "");
Expect(0, 119295, '\p{^-Musical_Symbols}', "");
Expect(0, 119295, '\P{-Musical_Symbols}', "");
Expect(1, 119295, '\P{^-Musical_Symbols}', "");
Expect(0, 119296, '\p{-Musical_Symbols}', "");
Expect(1, 119296, '\p{^-Musical_Symbols}', "");
Expect(1, 119296, '\P{-Musical_Symbols}', "");
Expect(0, 119296, '\P{^-Musical_Symbols}', "");
Error('\p{__Is_MUSICAL_SYMBOLS/a/}');
Error('\P{__Is_MUSICAL_SYMBOLS/a/}');
Expect(1, 119295, '\p{ismusicalsymbols}', "");
Expect(0, 119295, '\p{^ismusicalsymbols}', "");
Expect(0, 119295, '\P{ismusicalsymbols}', "");
Expect(1, 119295, '\P{^ismusicalsymbols}', "");
Expect(0, 119296, '\p{ismusicalsymbols}', "");
Expect(1, 119296, '\p{^ismusicalsymbols}', "");
Expect(1, 119296, '\P{ismusicalsymbols}', "");
Expect(0, 119296, '\P{^ismusicalsymbols}', "");
Expect(1, 119295, '\p{_-IS_Musical_Symbols}', "");
Expect(0, 119295, '\p{^_-IS_Musical_Symbols}', "");
Expect(0, 119295, '\P{_-IS_Musical_Symbols}', "");
Expect(1, 119295, '\P{^_-IS_Musical_Symbols}', "");
Expect(0, 119296, '\p{_-IS_Musical_Symbols}', "");
Expect(1, 119296, '\p{^_-IS_Musical_Symbols}', "");
Expect(1, 119296, '\P{_-IS_Musical_Symbols}', "");
Expect(0, 119296, '\P{^_-IS_Musical_Symbols}', "");
Error('\p{_/a/In_Musical_Symbols}');
Error('\P{_/a/In_Musical_Symbols}');
Expect(1, 119295, '\p{inmusicalsymbols}', "");
Expect(0, 119295, '\p{^inmusicalsymbols}', "");
Expect(0, 119295, '\P{inmusicalsymbols}', "");
Expect(1, 119295, '\P{^inmusicalsymbols}', "");
Expect(0, 119296, '\p{inmusicalsymbols}', "");
Expect(1, 119296, '\p{^inmusicalsymbols}', "");
Expect(1, 119296, '\P{inmusicalsymbols}', "");
Expect(0, 119296, '\P{^inmusicalsymbols}', "");
Expect(1, 119295, '\p{-In_MUSICAL_SYMBOLS}', "");
Expect(0, 119295, '\p{^-In_MUSICAL_SYMBOLS}', "");
Expect(0, 119295, '\P{-In_MUSICAL_SYMBOLS}', "");
Expect(1, 119295, '\P{^-In_MUSICAL_SYMBOLS}', "");
Expect(0, 119296, '\p{-In_MUSICAL_SYMBOLS}', "");
Expect(1, 119296, '\p{^-In_MUSICAL_SYMBOLS}', "");
Expect(1, 119296, '\P{-In_MUSICAL_SYMBOLS}', "");
Expect(0, 119296, '\P{^-In_MUSICAL_SYMBOLS}', "");
Error('\p{		Music/a/}');
Error('\P{		Music/a/}');
Expect(1, 119295, '\p{music}', "");
Expect(0, 119295, '\p{^music}', "");
Expect(0, 119295, '\P{music}', "");
Expect(1, 119295, '\P{^music}', "");
Expect(0, 119296, '\p{music}', "");
Expect(1, 119296, '\p{^music}', "");
Expect(1, 119296, '\P{music}', "");
Expect(0, 119296, '\P{^music}', "");
Expect(1, 119295, '\p{_ Music}', "");
Expect(0, 119295, '\p{^_ Music}', "");
Expect(0, 119295, '\P{_ Music}', "");
Expect(1, 119295, '\P{^_ Music}', "");
Expect(0, 119296, '\p{_ Music}', "");
Expect(1, 119296, '\p{^_ Music}', "");
Expect(1, 119296, '\P{_ Music}', "");
Expect(0, 119296, '\P{^_ Music}', "");
Error('\p{/a/	 Is_Music}');
Error('\P{/a/	 Is_Music}');
Expect(1, 119295, '\p{ismusic}', "");
Expect(0, 119295, '\p{^ismusic}', "");
Expect(0, 119295, '\P{ismusic}', "");
Expect(1, 119295, '\P{^ismusic}', "");
Expect(0, 119296, '\p{ismusic}', "");
Expect(1, 119296, '\p{^ismusic}', "");
Expect(1, 119296, '\P{ismusic}', "");
Expect(0, 119296, '\P{^ismusic}', "");
Expect(1, 119295, '\p{__Is_MUSIC}', "");
Expect(0, 119295, '\p{^__Is_MUSIC}', "");
Expect(0, 119295, '\P{__Is_MUSIC}', "");
Expect(1, 119295, '\P{^__Is_MUSIC}', "");
Expect(0, 119296, '\p{__Is_MUSIC}', "");
Expect(1, 119296, '\p{^__Is_MUSIC}', "");
Expect(1, 119296, '\P{__Is_MUSIC}', "");
Expect(0, 119296, '\P{^__Is_MUSIC}', "");
Error('\p{-_In_Music:=}');
Error('\P{-_In_Music:=}');
Expect(1, 119295, '\p{inmusic}', "");
Expect(0, 119295, '\p{^inmusic}', "");
Expect(0, 119295, '\P{inmusic}', "");
Expect(1, 119295, '\P{^inmusic}', "");
Expect(0, 119296, '\p{inmusic}', "");
Expect(1, 119296, '\p{^inmusic}', "");
Expect(1, 119296, '\P{inmusic}', "");
Expect(0, 119296, '\P{^inmusic}', "");
Expect(1, 119295, '\p{-In_Music}', "");
Expect(0, 119295, '\p{^-In_Music}', "");
Expect(0, 119295, '\P{-In_Music}', "");
Expect(1, 119295, '\P{^-In_Music}', "");
Expect(0, 119296, '\p{-In_Music}', "");
Expect(1, 119296, '\p{^-In_Music}', "");
Expect(1, 119296, '\P{-In_Music}', "");
Expect(0, 119296, '\P{^-In_Music}', "");
Error('\p{_	Myanmar/a/}');
Error('\P{_	Myanmar/a/}');
Expect(1, 43647, '\p{myanmar}', "");
Expect(0, 43647, '\p{^myanmar}', "");
Expect(0, 43647, '\P{myanmar}', "");
Expect(1, 43647, '\P{^myanmar}', "");
Expect(0, 43648, '\p{myanmar}', "");
Expect(1, 43648, '\p{^myanmar}', "");
Expect(1, 43648, '\P{myanmar}', "");
Expect(0, 43648, '\P{^myanmar}', "");
Expect(1, 43647, '\p{	 MYANMAR}', "");
Expect(0, 43647, '\p{^	 MYANMAR}', "");
Expect(0, 43647, '\P{	 MYANMAR}', "");
Expect(1, 43647, '\P{^	 MYANMAR}', "");
Expect(0, 43648, '\p{	 MYANMAR}', "");
Expect(1, 43648, '\p{^	 MYANMAR}', "");
Expect(1, 43648, '\P{	 MYANMAR}', "");
Expect(0, 43648, '\P{^	 MYANMAR}', "");
Error('\p{/a/  IS_MYANMAR}');
Error('\P{/a/  IS_MYANMAR}');
Expect(1, 43647, '\p{ismyanmar}', "");
Expect(0, 43647, '\p{^ismyanmar}', "");
Expect(0, 43647, '\P{ismyanmar}', "");
Expect(1, 43647, '\P{^ismyanmar}', "");
Expect(0, 43648, '\p{ismyanmar}', "");
Expect(1, 43648, '\p{^ismyanmar}', "");
Expect(1, 43648, '\P{ismyanmar}', "");
Expect(0, 43648, '\P{^ismyanmar}', "");
Expect(1, 43647, '\p{  IS_Myanmar}', "");
Expect(0, 43647, '\p{^  IS_Myanmar}', "");
Expect(0, 43647, '\P{  IS_Myanmar}', "");
Expect(1, 43647, '\P{^  IS_Myanmar}', "");
Expect(0, 43648, '\p{  IS_Myanmar}', "");
Expect(1, 43648, '\p{^  IS_Myanmar}', "");
Expect(1, 43648, '\P{  IS_Myanmar}', "");
Expect(0, 43648, '\P{^  IS_Myanmar}', "");
Error('\p{/a/	_Mymr}');
Error('\P{/a/	_Mymr}');
Expect(1, 43647, '\p{mymr}', "");
Expect(0, 43647, '\p{^mymr}', "");
Expect(0, 43647, '\P{mymr}', "");
Expect(1, 43647, '\P{^mymr}', "");
Expect(0, 43648, '\p{mymr}', "");
Expect(1, 43648, '\p{^mymr}', "");
Expect(1, 43648, '\P{mymr}', "");
Expect(0, 43648, '\P{^mymr}', "");
Expect(1, 43647, '\p{	-Mymr}', "");
Expect(0, 43647, '\p{^	-Mymr}', "");
Expect(0, 43647, '\P{	-Mymr}', "");
Expect(1, 43647, '\P{^	-Mymr}', "");
Expect(0, 43648, '\p{	-Mymr}', "");
Expect(1, 43648, '\p{^	-Mymr}', "");
Expect(1, 43648, '\P{	-Mymr}', "");
Expect(0, 43648, '\P{^	-Mymr}', "");
Error('\p{:=_	Is_MYMR}');
Error('\P{:=_	Is_MYMR}');
Expect(1, 43647, '\p{ismymr}', "");
Expect(0, 43647, '\p{^ismymr}', "");
Expect(0, 43647, '\P{ismymr}', "");
Expect(1, 43647, '\P{^ismymr}', "");
Expect(0, 43648, '\p{ismymr}', "");
Expect(1, 43648, '\p{^ismymr}', "");
Expect(1, 43648, '\P{ismymr}', "");
Expect(0, 43648, '\P{^ismymr}', "");
Expect(1, 43647, '\p{-_Is_MYMR}', "");
Expect(0, 43647, '\p{^-_Is_MYMR}', "");
Expect(0, 43647, '\P{-_Is_MYMR}', "");
Expect(1, 43647, '\P{^-_Is_MYMR}', "");
Expect(0, 43648, '\p{-_Is_MYMR}', "");
Expect(1, 43648, '\p{^-_Is_MYMR}', "");
Expect(1, 43648, '\P{-_Is_MYMR}', "");
Expect(0, 43648, '\P{^-_Is_MYMR}', "");
Error('\p{Myanmar_Extended_A/a/}');
Error('\P{Myanmar_Extended_A/a/}');
Expect(1, 43647, '\p{myanmarextendeda}', "");
Expect(0, 43647, '\p{^myanmarextendeda}', "");
Expect(0, 43647, '\P{myanmarextendeda}', "");
Expect(1, 43647, '\P{^myanmarextendeda}', "");
Expect(0, 43648, '\p{myanmarextendeda}', "");
Expect(1, 43648, '\p{^myanmarextendeda}', "");
Expect(1, 43648, '\P{myanmarextendeda}', "");
Expect(0, 43648, '\P{^myanmarextendeda}', "");
Expect(1, 43647, '\p{ 	Myanmar_extended_A}', "");
Expect(0, 43647, '\p{^ 	Myanmar_extended_A}', "");
Expect(0, 43647, '\P{ 	Myanmar_extended_A}', "");
Expect(1, 43647, '\P{^ 	Myanmar_extended_A}', "");
Expect(0, 43648, '\p{ 	Myanmar_extended_A}', "");
Expect(1, 43648, '\p{^ 	Myanmar_extended_A}', "");
Expect(1, 43648, '\P{ 	Myanmar_extended_A}', "");
Expect(0, 43648, '\P{^ 	Myanmar_extended_A}', "");
Error('\p{/a/ _IS_myanmar_Extended_A}');
Error('\P{/a/ _IS_myanmar_Extended_A}');
Expect(1, 43647, '\p{ismyanmarextendeda}', "");
Expect(0, 43647, '\p{^ismyanmarextendeda}', "");
Expect(0, 43647, '\P{ismyanmarextendeda}', "");
Expect(1, 43647, '\P{^ismyanmarextendeda}', "");
Expect(0, 43648, '\p{ismyanmarextendeda}', "");
Expect(1, 43648, '\p{^ismyanmarextendeda}', "");
Expect(1, 43648, '\P{ismyanmarextendeda}', "");
Expect(0, 43648, '\P{^ismyanmarextendeda}', "");
Expect(1, 43647, '\p{_-Is_myanmar_Extended_A}', "");
Expect(0, 43647, '\p{^_-Is_myanmar_Extended_A}', "");
Expect(0, 43647, '\P{_-Is_myanmar_Extended_A}', "");
Expect(1, 43647, '\P{^_-Is_myanmar_Extended_A}', "");
Expect(0, 43648, '\p{_-Is_myanmar_Extended_A}', "");
Expect(1, 43648, '\p{^_-Is_myanmar_Extended_A}', "");
Expect(1, 43648, '\P{_-Is_myanmar_Extended_A}', "");
Expect(0, 43648, '\P{^_-Is_myanmar_Extended_A}', "");
Error('\p{:= -IN_myanmar_Extended_A}');
Error('\P{:= -IN_myanmar_Extended_A}');
Expect(1, 43647, '\p{inmyanmarextendeda}', "");
Expect(0, 43647, '\p{^inmyanmarextendeda}', "");
Expect(0, 43647, '\P{inmyanmarextendeda}', "");
Expect(1, 43647, '\P{^inmyanmarextendeda}', "");
Expect(0, 43648, '\p{inmyanmarextendeda}', "");
Expect(1, 43648, '\p{^inmyanmarextendeda}', "");
Expect(1, 43648, '\P{inmyanmarextendeda}', "");
Expect(0, 43648, '\P{^inmyanmarextendeda}', "");
Expect(1, 43647, '\p{	In_myanmar_Extended_A}', "");
Expect(0, 43647, '\p{^	In_myanmar_Extended_A}', "");
Expect(0, 43647, '\P{	In_myanmar_Extended_A}', "");
Expect(1, 43647, '\P{^	In_myanmar_Extended_A}', "");
Expect(0, 43648, '\p{	In_myanmar_Extended_A}', "");
Expect(1, 43648, '\p{^	In_myanmar_Extended_A}', "");
Expect(1, 43648, '\P{	In_myanmar_Extended_A}', "");
Expect(0, 43648, '\P{^	In_myanmar_Extended_A}', "");
Error('\p{_:=Myanmar_Ext_A}');
Error('\P{_:=Myanmar_Ext_A}');
Expect(1, 43647, '\p{myanmarexta}', "");
Expect(0, 43647, '\p{^myanmarexta}', "");
Expect(0, 43647, '\P{myanmarexta}', "");
Expect(1, 43647, '\P{^myanmarexta}', "");
Expect(0, 43648, '\p{myanmarexta}', "");
Expect(1, 43648, '\p{^myanmarexta}', "");
Expect(1, 43648, '\P{myanmarexta}', "");
Expect(0, 43648, '\P{^myanmarexta}', "");
Expect(1, 43647, '\p{	-MYANMAR_EXT_a}', "");
Expect(0, 43647, '\p{^	-MYANMAR_EXT_a}', "");
Expect(0, 43647, '\P{	-MYANMAR_EXT_a}', "");
Expect(1, 43647, '\P{^	-MYANMAR_EXT_a}', "");
Expect(0, 43648, '\p{	-MYANMAR_EXT_a}', "");
Expect(1, 43648, '\p{^	-MYANMAR_EXT_a}', "");
Expect(1, 43648, '\P{	-MYANMAR_EXT_a}', "");
Expect(0, 43648, '\P{^	-MYANMAR_EXT_a}', "");
Error('\p{	:=Is_Myanmar_EXT_a}');
Error('\P{	:=Is_Myanmar_EXT_a}');
Expect(1, 43647, '\p{ismyanmarexta}', "");
Expect(0, 43647, '\p{^ismyanmarexta}', "");
Expect(0, 43647, '\P{ismyanmarexta}', "");
Expect(1, 43647, '\P{^ismyanmarexta}', "");
Expect(0, 43648, '\p{ismyanmarexta}', "");
Expect(1, 43648, '\p{^ismyanmarexta}', "");
Expect(1, 43648, '\P{ismyanmarexta}', "");
Expect(0, 43648, '\P{^ismyanmarexta}', "");
Expect(1, 43647, '\p{ -is_Myanmar_Ext_A}', "");
Expect(0, 43647, '\p{^ -is_Myanmar_Ext_A}', "");
Expect(0, 43647, '\P{ -is_Myanmar_Ext_A}', "");
Expect(1, 43647, '\P{^ -is_Myanmar_Ext_A}', "");
Expect(0, 43648, '\p{ -is_Myanmar_Ext_A}', "");
Expect(1, 43648, '\p{^ -is_Myanmar_Ext_A}', "");
Expect(1, 43648, '\P{ -is_Myanmar_Ext_A}', "");
Expect(0, 43648, '\P{^ -is_Myanmar_Ext_A}', "");
Error('\p{-In_MYANMAR_ext_A:=}');
Error('\P{-In_MYANMAR_ext_A:=}');
Expect(1, 43647, '\p{inmyanmarexta}', "");
Expect(0, 43647, '\p{^inmyanmarexta}', "");
Expect(0, 43647, '\P{inmyanmarexta}', "");
Expect(1, 43647, '\P{^inmyanmarexta}', "");
Expect(0, 43648, '\p{inmyanmarexta}', "");
Expect(1, 43648, '\p{^inmyanmarexta}', "");
Expect(1, 43648, '\P{inmyanmarexta}', "");
Expect(0, 43648, '\P{^inmyanmarexta}', "");
Expect(1, 43647, '\p{	In_myanmar_EXT_A}', "");
Expect(0, 43647, '\p{^	In_myanmar_EXT_A}', "");
Expect(0, 43647, '\P{	In_myanmar_EXT_A}', "");
Expect(1, 43647, '\P{^	In_myanmar_EXT_A}', "");
Expect(0, 43648, '\p{	In_myanmar_EXT_A}', "");
Expect(1, 43648, '\p{^	In_myanmar_EXT_A}', "");
Expect(1, 43648, '\P{	In_myanmar_EXT_A}', "");
Expect(0, 43648, '\P{^	In_myanmar_EXT_A}', "");
Error('\p{	MYANMAR_Extended_b:=}');
Error('\P{	MYANMAR_Extended_b:=}');
Expect(1, 43519, '\p{myanmarextendedb}', "");
Expect(0, 43519, '\p{^myanmarextendedb}', "");
Expect(0, 43519, '\P{myanmarextendedb}', "");
Expect(1, 43519, '\P{^myanmarextendedb}', "");
Expect(0, 43520, '\p{myanmarextendedb}', "");
Expect(1, 43520, '\p{^myanmarextendedb}', "");
Expect(1, 43520, '\P{myanmarextendedb}', "");
Expect(0, 43520, '\P{^myanmarextendedb}', "");
Expect(1, 43519, '\p{-Myanmar_Extended_B}', "");
Expect(0, 43519, '\p{^-Myanmar_Extended_B}', "");
Expect(0, 43519, '\P{-Myanmar_Extended_B}', "");
Expect(1, 43519, '\P{^-Myanmar_Extended_B}', "");
Expect(0, 43520, '\p{-Myanmar_Extended_B}', "");
Expect(1, 43520, '\p{^-Myanmar_Extended_B}', "");
Expect(1, 43520, '\P{-Myanmar_Extended_B}', "");
Expect(0, 43520, '\P{^-Myanmar_Extended_B}', "");
Error('\p{_-Is_MYANMAR_Extended_b/a/}');
Error('\P{_-Is_MYANMAR_Extended_b/a/}');
Expect(1, 43519, '\p{ismyanmarextendedb}', "");
Expect(0, 43519, '\p{^ismyanmarextendedb}', "");
Expect(0, 43519, '\P{ismyanmarextendedb}', "");
Expect(1, 43519, '\P{^ismyanmarextendedb}', "");
Expect(0, 43520, '\p{ismyanmarextendedb}', "");
Expect(1, 43520, '\p{^ismyanmarextendedb}', "");
Expect(1, 43520, '\P{ismyanmarextendedb}', "");
Expect(0, 43520, '\P{^ismyanmarextendedb}', "");
Expect(1, 43519, '\p{_Is_Myanmar_Extended_B}', "");
Expect(0, 43519, '\p{^_Is_Myanmar_Extended_B}', "");
Expect(0, 43519, '\P{_Is_Myanmar_Extended_B}', "");
Expect(1, 43519, '\P{^_Is_Myanmar_Extended_B}', "");
Expect(0, 43520, '\p{_Is_Myanmar_Extended_B}', "");
Expect(1, 43520, '\p{^_Is_Myanmar_Extended_B}', "");
Expect(1, 43520, '\P{_Is_Myanmar_Extended_B}', "");
Expect(0, 43520, '\P{^_Is_Myanmar_Extended_B}', "");
Error('\p{_/a/In_myanmar_Extended_b}');
Error('\P{_/a/In_myanmar_Extended_b}');
Expect(1, 43519, '\p{inmyanmarextendedb}', "");
Expect(0, 43519, '\p{^inmyanmarextendedb}', "");
Expect(0, 43519, '\P{inmyanmarextendedb}', "");
Expect(1, 43519, '\P{^inmyanmarextendedb}', "");
Expect(0, 43520, '\p{inmyanmarextendedb}', "");
Expect(1, 43520, '\p{^inmyanmarextendedb}', "");
Expect(1, 43520, '\P{inmyanmarextendedb}', "");
Expect(0, 43520, '\P{^inmyanmarextendedb}', "");
Expect(1, 43519, '\p{-	IN_myanmar_Extended_B}', "");
Expect(0, 43519, '\p{^-	IN_myanmar_Extended_B}', "");
Expect(0, 43519, '\P{-	IN_myanmar_Extended_B}', "");
Expect(1, 43519, '\P{^-	IN_myanmar_Extended_B}', "");
Expect(0, 43520, '\p{-	IN_myanmar_Extended_B}', "");
Expect(1, 43520, '\p{^-	IN_myanmar_Extended_B}', "");
Expect(1, 43520, '\P{-	IN_myanmar_Extended_B}', "");
Expect(0, 43520, '\P{^-	IN_myanmar_Extended_B}', "");
Error('\p{	_MYANMAR_EXT_B/a/}');
Error('\P{	_MYANMAR_EXT_B/a/}');
Expect(1, 43519, '\p{myanmarextb}', "");
Expect(0, 43519, '\p{^myanmarextb}', "");
Expect(0, 43519, '\P{myanmarextb}', "");
Expect(1, 43519, '\P{^myanmarextb}', "");
Expect(0, 43520, '\p{myanmarextb}', "");
Expect(1, 43520, '\p{^myanmarextb}', "");
Expect(1, 43520, '\P{myanmarextb}', "");
Expect(0, 43520, '\P{^myanmarextb}', "");
Expect(1, 43519, '\p{ 	MYANMAR_Ext_b}', "");
Expect(0, 43519, '\p{^ 	MYANMAR_Ext_b}', "");
Expect(0, 43519, '\P{ 	MYANMAR_Ext_b}', "");
Expect(1, 43519, '\P{^ 	MYANMAR_Ext_b}', "");
Expect(0, 43520, '\p{ 	MYANMAR_Ext_b}', "");
Expect(1, 43520, '\p{^ 	MYANMAR_Ext_b}', "");
Expect(1, 43520, '\P{ 	MYANMAR_Ext_b}', "");
Expect(0, 43520, '\P{^ 	MYANMAR_Ext_b}', "");
Error('\p{ :=IS_myanmar_EXT_b}');
Error('\P{ :=IS_myanmar_EXT_b}');
Expect(1, 43519, '\p{ismyanmarextb}', "");
Expect(0, 43519, '\p{^ismyanmarextb}', "");
Expect(0, 43519, '\P{ismyanmarextb}', "");
Expect(1, 43519, '\P{^ismyanmarextb}', "");
Expect(0, 43520, '\p{ismyanmarextb}', "");
Expect(1, 43520, '\p{^ismyanmarextb}', "");
Expect(1, 43520, '\P{ismyanmarextb}', "");
Expect(0, 43520, '\P{^ismyanmarextb}', "");
Expect(1, 43519, '\p{ 	Is_myanmar_ext_b}', "");
Expect(0, 43519, '\p{^ 	Is_myanmar_ext_b}', "");
Expect(0, 43519, '\P{ 	Is_myanmar_ext_b}', "");
Expect(1, 43519, '\P{^ 	Is_myanmar_ext_b}', "");
Expect(0, 43520, '\p{ 	Is_myanmar_ext_b}', "");
Expect(1, 43520, '\p{^ 	Is_myanmar_ext_b}', "");
Expect(1, 43520, '\P{ 	Is_myanmar_ext_b}', "");
Expect(0, 43520, '\P{^ 	Is_myanmar_ext_b}', "");
Error('\p{	:=IN_Myanmar_ext_B}');
Error('\P{	:=IN_Myanmar_ext_B}');
Expect(1, 43519, '\p{inmyanmarextb}', "");
Expect(0, 43519, '\p{^inmyanmarextb}', "");
Expect(0, 43519, '\P{inmyanmarextb}', "");
Expect(1, 43519, '\P{^inmyanmarextb}', "");
Expect(0, 43520, '\p{inmyanmarextb}', "");
Expect(1, 43520, '\p{^inmyanmarextb}', "");
Expect(1, 43520, '\P{inmyanmarextb}', "");
Expect(0, 43520, '\P{^inmyanmarextb}', "");
Expect(1, 43519, '\p{	-In_Myanmar_EXT_b}', "");
Expect(0, 43519, '\p{^	-In_Myanmar_EXT_b}', "");
Expect(0, 43519, '\P{	-In_Myanmar_EXT_b}', "");
Expect(1, 43519, '\P{^	-In_Myanmar_EXT_b}', "");
Expect(0, 43520, '\p{	-In_Myanmar_EXT_b}', "");
Expect(1, 43520, '\p{^	-In_Myanmar_EXT_b}', "");
Expect(1, 43520, '\P{	-In_Myanmar_EXT_b}', "");
Expect(0, 43520, '\P{^	-In_Myanmar_EXT_b}', "");
Error('\p{/a/nabataean}');
Error('\P{/a/nabataean}');
Expect(1, 67759, '\p{nabataean}', "");
Expect(0, 67759, '\p{^nabataean}', "");
Expect(0, 67759, '\P{nabataean}', "");
Expect(1, 67759, '\P{^nabataean}', "");
Expect(0, 67760, '\p{nabataean}', "");
Expect(1, 67760, '\p{^nabataean}', "");
Expect(1, 67760, '\P{nabataean}', "");
Expect(0, 67760, '\P{^nabataean}', "");
Expect(1, 67759, '\p{ 	nabataean}', "");
Expect(0, 67759, '\p{^ 	nabataean}', "");
Expect(0, 67759, '\P{ 	nabataean}', "");
Expect(1, 67759, '\P{^ 	nabataean}', "");
Expect(0, 67760, '\p{ 	nabataean}', "");
Expect(1, 67760, '\p{^ 	nabataean}', "");
Expect(1, 67760, '\P{ 	nabataean}', "");
Expect(0, 67760, '\P{^ 	nabataean}', "");
Error('\p{/a/	_IS_Nabataean}');
Error('\P{/a/	_IS_Nabataean}');
Expect(1, 67759, '\p{isnabataean}', "");
Expect(0, 67759, '\p{^isnabataean}', "");
Expect(0, 67759, '\P{isnabataean}', "");
Expect(1, 67759, '\P{^isnabataean}', "");
Expect(0, 67760, '\p{isnabataean}', "");
Expect(1, 67760, '\p{^isnabataean}', "");
Expect(1, 67760, '\P{isnabataean}', "");
Expect(0, 67760, '\P{^isnabataean}', "");
Expect(1, 67759, '\p{-is_nabataean}', "");
Expect(0, 67759, '\p{^-is_nabataean}', "");
Expect(0, 67759, '\P{-is_nabataean}', "");
Expect(1, 67759, '\P{^-is_nabataean}', "");
Expect(0, 67760, '\p{-is_nabataean}', "");
Expect(1, 67760, '\p{^-is_nabataean}', "");
Expect(1, 67760, '\P{-is_nabataean}', "");
Expect(0, 67760, '\P{^-is_nabataean}', "");
Error('\p{-/a/Nbat}');
Error('\P{-/a/Nbat}');
Expect(1, 67759, '\p{nbat}', "");
Expect(0, 67759, '\p{^nbat}', "");
Expect(0, 67759, '\P{nbat}', "");
Expect(1, 67759, '\P{^nbat}', "");
Expect(0, 67760, '\p{nbat}', "");
Expect(1, 67760, '\p{^nbat}', "");
Expect(1, 67760, '\P{nbat}', "");
Expect(0, 67760, '\P{^nbat}', "");
Expect(1, 67759, '\p{-NBAT}', "");
Expect(0, 67759, '\p{^-NBAT}', "");
Expect(0, 67759, '\P{-NBAT}', "");
Expect(1, 67759, '\P{^-NBAT}', "");
Expect(0, 67760, '\p{-NBAT}', "");
Expect(1, 67760, '\p{^-NBAT}', "");
Expect(1, 67760, '\P{-NBAT}', "");
Expect(0, 67760, '\P{^-NBAT}', "");
Error('\p{_:=is_nbat}');
Error('\P{_:=is_nbat}');
Expect(1, 67759, '\p{isnbat}', "");
Expect(0, 67759, '\p{^isnbat}', "");
Expect(0, 67759, '\P{isnbat}', "");
Expect(1, 67759, '\P{^isnbat}', "");
Expect(0, 67760, '\p{isnbat}', "");
Expect(1, 67760, '\p{^isnbat}', "");
Expect(1, 67760, '\P{isnbat}', "");
Expect(0, 67760, '\P{^isnbat}', "");
Expect(1, 67759, '\p{	_IS_Nbat}', "");
Expect(0, 67759, '\p{^	_IS_Nbat}', "");
Expect(0, 67759, '\P{	_IS_Nbat}', "");
Expect(1, 67759, '\P{^	_IS_Nbat}', "");
Expect(0, 67760, '\p{	_IS_Nbat}', "");
Expect(1, 67760, '\p{^	_IS_Nbat}', "");
Expect(1, 67760, '\P{	_IS_Nbat}', "");
Expect(0, 67760, '\P{^	_IS_Nbat}', "");
Error('\p{- new_Tai_Lue:=}');
Error('\P{- new_Tai_Lue:=}');
Expect(1, 6623, '\p{newtailue}', "");
Expect(0, 6623, '\p{^newtailue}', "");
Expect(0, 6623, '\P{newtailue}', "");
Expect(1, 6623, '\P{^newtailue}', "");
Expect(0, 6624, '\p{newtailue}', "");
Expect(1, 6624, '\p{^newtailue}', "");
Expect(1, 6624, '\P{newtailue}', "");
Expect(0, 6624, '\P{^newtailue}', "");
Expect(1, 6623, '\p{ 	new_Tai_lue}', "");
Expect(0, 6623, '\p{^ 	new_Tai_lue}', "");
Expect(0, 6623, '\P{ 	new_Tai_lue}', "");
Expect(1, 6623, '\P{^ 	new_Tai_lue}', "");
Expect(0, 6624, '\p{ 	new_Tai_lue}', "");
Expect(1, 6624, '\p{^ 	new_Tai_lue}', "");
Expect(1, 6624, '\P{ 	new_Tai_lue}', "");
Expect(0, 6624, '\P{^ 	new_Tai_lue}', "");
Error('\p{	/a/is_NEW_Tai_LUE}');
Error('\P{	/a/is_NEW_Tai_LUE}');
Expect(1, 6623, '\p{isnewtailue}', "");
Expect(0, 6623, '\p{^isnewtailue}', "");
Expect(0, 6623, '\P{isnewtailue}', "");
Expect(1, 6623, '\P{^isnewtailue}', "");
Expect(0, 6624, '\p{isnewtailue}', "");
Expect(1, 6624, '\p{^isnewtailue}', "");
Expect(1, 6624, '\P{isnewtailue}', "");
Expect(0, 6624, '\P{^isnewtailue}', "");
Expect(1, 6623, '\p{_	Is_New_Tai_lue}', "");
Expect(0, 6623, '\p{^_	Is_New_Tai_lue}', "");
Expect(0, 6623, '\P{_	Is_New_Tai_lue}', "");
Expect(1, 6623, '\P{^_	Is_New_Tai_lue}', "");
Expect(0, 6624, '\p{_	Is_New_Tai_lue}', "");
Expect(1, 6624, '\p{^_	Is_New_Tai_lue}', "");
Expect(1, 6624, '\P{_	Is_New_Tai_lue}', "");
Expect(0, 6624, '\P{^_	Is_New_Tai_lue}', "");
Error('\p{/a/_Talu}');
Error('\P{/a/_Talu}');
Expect(1, 6623, '\p{talu}', "");
Expect(0, 6623, '\p{^talu}', "");
Expect(0, 6623, '\P{talu}', "");
Expect(1, 6623, '\P{^talu}', "");
Expect(0, 6624, '\p{talu}', "");
Expect(1, 6624, '\p{^talu}', "");
Expect(1, 6624, '\P{talu}', "");
Expect(0, 6624, '\P{^talu}', "");
Expect(1, 6623, '\p{ Talu}', "");
Expect(0, 6623, '\p{^ Talu}', "");
Expect(0, 6623, '\P{ Talu}', "");
Expect(1, 6623, '\P{^ Talu}', "");
Expect(0, 6624, '\p{ Talu}', "");
Expect(1, 6624, '\p{^ Talu}', "");
Expect(1, 6624, '\P{ Talu}', "");
Expect(0, 6624, '\P{^ Talu}', "");
Error('\p{:=-_Is_TALU}');
Error('\P{:=-_Is_TALU}');
Expect(1, 6623, '\p{istalu}', "");
Expect(0, 6623, '\p{^istalu}', "");
Expect(0, 6623, '\P{istalu}', "");
Expect(1, 6623, '\P{^istalu}', "");
Expect(0, 6624, '\p{istalu}', "");
Expect(1, 6624, '\p{^istalu}', "");
Expect(1, 6624, '\P{istalu}', "");
Expect(0, 6624, '\P{^istalu}', "");
Expect(1, 6623, '\p{	_Is_talu}', "");
Expect(0, 6623, '\p{^	_Is_talu}', "");
Expect(0, 6623, '\P{	_Is_talu}', "");
Expect(1, 6623, '\P{^	_Is_talu}', "");
Expect(0, 6624, '\p{	_Is_talu}', "");
Expect(1, 6624, '\p{^	_Is_talu}', "");
Expect(1, 6624, '\P{	_Is_talu}', "");
Expect(0, 6624, '\P{^	_Is_talu}', "");
Error('\p{_:=Nko}');
Error('\P{_:=Nko}');
Expect(1, 2042, '\p{nko}', "");
Expect(0, 2042, '\p{^nko}', "");
Expect(0, 2042, '\P{nko}', "");
Expect(1, 2042, '\P{^nko}', "");
Expect(0, 2043, '\p{nko}', "");
Expect(1, 2043, '\p{^nko}', "");
Expect(1, 2043, '\P{nko}', "");
Expect(0, 2043, '\P{^nko}', "");
Expect(1, 2042, '\p{_Nko}', "");
Expect(0, 2042, '\p{^_Nko}', "");
Expect(0, 2042, '\P{_Nko}', "");
Expect(1, 2042, '\P{^_Nko}', "");
Expect(0, 2043, '\p{_Nko}', "");
Expect(1, 2043, '\p{^_Nko}', "");
Expect(1, 2043, '\P{_Nko}', "");
Expect(0, 2043, '\P{^_Nko}', "");
Error('\p{	-IS_Nko/a/}');
Error('\P{	-IS_Nko/a/}');
Expect(1, 2042, '\p{isnko}', "");
Expect(0, 2042, '\p{^isnko}', "");
Expect(0, 2042, '\P{isnko}', "");
Expect(1, 2042, '\P{^isnko}', "");
Expect(0, 2043, '\p{isnko}', "");
Expect(1, 2043, '\p{^isnko}', "");
Expect(1, 2043, '\P{isnko}', "");
Expect(0, 2043, '\P{^isnko}', "");
Expect(1, 2042, '\p{-	IS_nko}', "");
Expect(0, 2042, '\p{^-	IS_nko}', "");
Expect(0, 2042, '\P{-	IS_nko}', "");
Expect(1, 2042, '\P{^-	IS_nko}', "");
Expect(0, 2043, '\p{-	IS_nko}', "");
Expect(1, 2043, '\p{^-	IS_nko}', "");
Expect(1, 2043, '\P{-	IS_nko}', "");
Expect(0, 2043, '\P{^-	IS_nko}', "");
Error('\p{/a/	 Nkoo}');
Error('\P{/a/	 Nkoo}');
Expect(1, 2042, '\p{nkoo}', "");
Expect(0, 2042, '\p{^nkoo}', "");
Expect(0, 2042, '\P{nkoo}', "");
Expect(1, 2042, '\P{^nkoo}', "");
Expect(0, 2043, '\p{nkoo}', "");
Expect(1, 2043, '\p{^nkoo}', "");
Expect(1, 2043, '\P{nkoo}', "");
Expect(0, 2043, '\P{^nkoo}', "");
Expect(1, 2042, '\p{Nkoo}', "");
Expect(0, 2042, '\p{^Nkoo}', "");
Expect(0, 2042, '\P{Nkoo}', "");
Expect(1, 2042, '\P{^Nkoo}', "");
Expect(0, 2043, '\p{Nkoo}', "");
Expect(1, 2043, '\p{^Nkoo}', "");
Expect(1, 2043, '\P{Nkoo}', "");
Expect(0, 2043, '\P{^Nkoo}', "");
Error('\p{ :=Is_Nkoo}');
Error('\P{ :=Is_Nkoo}');
Expect(1, 2042, '\p{isnkoo}', "");
Expect(0, 2042, '\p{^isnkoo}', "");
Expect(0, 2042, '\P{isnkoo}', "");
Expect(1, 2042, '\P{^isnkoo}', "");
Expect(0, 2043, '\p{isnkoo}', "");
Expect(1, 2043, '\p{^isnkoo}', "");
Expect(1, 2043, '\P{isnkoo}', "");
Expect(0, 2043, '\P{^isnkoo}', "");
Expect(1, 2042, '\p{_-Is_Nkoo}', "");
Expect(0, 2042, '\p{^_-Is_Nkoo}', "");
Expect(0, 2042, '\P{_-Is_Nkoo}', "");
Expect(1, 2042, '\P{^_-Is_Nkoo}', "");
Expect(0, 2043, '\p{_-Is_Nkoo}', "");
Expect(1, 2043, '\p{^_-Is_Nkoo}', "");
Expect(1, 2043, '\P{_-Is_Nkoo}', "");
Expect(0, 2043, '\P{^_-Is_Nkoo}', "");
Error('\p{ No_Block/a/}');
Error('\P{ No_Block/a/}');
Expect(1, 918000, '\p{noblock}', "");
Expect(0, 918000, '\p{^noblock}', "");
Expect(0, 918000, '\P{noblock}', "");
Expect(1, 918000, '\P{^noblock}', "");
Expect(0, 983040, '\p{noblock}', "");
Expect(1, 983040, '\p{^noblock}', "");
Expect(1, 983040, '\P{noblock}', "");
Expect(0, 983040, '\P{^noblock}', "");
Expect(1, 918000, '\p{	No_Block}', "");
Expect(0, 918000, '\p{^	No_Block}', "");
Expect(0, 918000, '\P{	No_Block}', "");
Expect(1, 918000, '\P{^	No_Block}', "");
Expect(0, 983040, '\p{	No_Block}', "");
Expect(1, 983040, '\p{^	No_Block}', "");
Expect(1, 983040, '\P{	No_Block}', "");
Expect(0, 983040, '\P{^	No_Block}', "");
Error('\p{	/a/Is_No_BLOCK}');
Error('\P{	/a/Is_No_BLOCK}');
Expect(1, 918000, '\p{isnoblock}', "");
Expect(0, 918000, '\p{^isnoblock}', "");
Expect(0, 918000, '\P{isnoblock}', "");
Expect(1, 918000, '\P{^isnoblock}', "");
Expect(0, 983040, '\p{isnoblock}', "");
Expect(1, 983040, '\p{^isnoblock}', "");
Expect(1, 983040, '\P{isnoblock}', "");
Expect(0, 983040, '\P{^isnoblock}', "");
Expect(1, 918000, '\p{-_is_No_BLOCK}', "");
Expect(0, 918000, '\p{^-_is_No_BLOCK}', "");
Expect(0, 918000, '\P{-_is_No_BLOCK}', "");
Expect(1, 918000, '\P{^-_is_No_BLOCK}', "");
Expect(0, 983040, '\p{-_is_No_BLOCK}', "");
Expect(1, 983040, '\p{^-_is_No_BLOCK}', "");
Expect(1, 983040, '\P{-_is_No_BLOCK}', "");
Expect(0, 983040, '\P{^-_is_No_BLOCK}', "");
Error('\p{ in_No_Block/a/}');
Error('\P{ in_No_Block/a/}');
Expect(1, 918000, '\p{innoblock}', "");
Expect(0, 918000, '\p{^innoblock}', "");
Expect(0, 918000, '\P{innoblock}', "");
Expect(1, 918000, '\P{^innoblock}', "");
Expect(0, 983040, '\p{innoblock}', "");
Expect(1, 983040, '\p{^innoblock}', "");
Expect(1, 983040, '\P{innoblock}', "");
Expect(0, 983040, '\P{^innoblock}', "");
Expect(1, 918000, '\p{_-IN_No_Block}', "");
Expect(0, 918000, '\p{^_-IN_No_Block}', "");
Expect(0, 918000, '\P{_-IN_No_Block}', "");
Expect(1, 918000, '\P{^_-IN_No_Block}', "");
Expect(0, 983040, '\p{_-IN_No_Block}', "");
Expect(1, 983040, '\p{^_-IN_No_Block}', "");
Expect(1, 983040, '\P{_-IN_No_Block}', "");
Expect(0, 983040, '\P{^_-IN_No_Block}', "");
Error('\p{ nb:=}');
Error('\P{ nb:=}');
Expect(1, 918000, '\p{nb}', "");
Expect(0, 918000, '\p{^nb}', "");
Expect(0, 918000, '\P{nb}', "");
Expect(1, 918000, '\P{^nb}', "");
Expect(0, 983040, '\p{nb}', "");
Expect(1, 983040, '\p{^nb}', "");
Expect(1, 983040, '\P{nb}', "");
Expect(0, 983040, '\P{^nb}', "");
Expect(1, 918000, '\p{	NB}', "");
Expect(0, 918000, '\p{^	NB}', "");
Expect(0, 918000, '\P{	NB}', "");
Expect(1, 918000, '\P{^	NB}', "");
Expect(0, 983040, '\p{	NB}', "");
Expect(1, 983040, '\p{^	NB}', "");
Expect(1, 983040, '\P{	NB}', "");
Expect(0, 983040, '\P{^	NB}', "");
Error('\p{-/a/Is_nb}');
Error('\P{-/a/Is_nb}');
Expect(1, 918000, '\p{isnb}', "");
Expect(0, 918000, '\p{^isnb}', "");
Expect(0, 918000, '\P{isnb}', "");
Expect(1, 918000, '\P{^isnb}', "");
Expect(0, 983040, '\p{isnb}', "");
Expect(1, 983040, '\p{^isnb}', "");
Expect(1, 983040, '\P{isnb}', "");
Expect(0, 983040, '\P{^isnb}', "");
Expect(1, 918000, '\p{_-is_NB}', "");
Expect(0, 918000, '\p{^_-is_NB}', "");
Expect(0, 918000, '\P{_-is_NB}', "");
Expect(1, 918000, '\P{^_-is_NB}', "");
Expect(0, 983040, '\p{_-is_NB}', "");
Expect(1, 983040, '\p{^_-is_NB}', "");
Expect(1, 983040, '\P{_-is_NB}', "");
Expect(0, 983040, '\P{^_-is_NB}', "");
Error('\p{:=In_NB}');
Error('\P{:=In_NB}');
Expect(1, 918000, '\p{innb}', "");
Expect(0, 918000, '\p{^innb}', "");
Expect(0, 918000, '\P{innb}', "");
Expect(1, 918000, '\P{^innb}', "");
Expect(0, 983040, '\p{innb}', "");
Expect(1, 983040, '\p{^innb}', "");
Expect(1, 983040, '\P{innb}', "");
Expect(0, 983040, '\P{^innb}', "");
Expect(1, 918000, '\p{ In_nb}', "");
Expect(0, 918000, '\p{^ In_nb}', "");
Expect(0, 918000, '\P{ In_nb}', "");
Expect(1, 918000, '\P{^ In_nb}', "");
Expect(0, 983040, '\p{ In_nb}', "");
Expect(1, 983040, '\p{^ In_nb}', "");
Expect(1, 983040, '\P{ In_nb}', "");
Expect(0, 983040, '\P{^ In_nb}', "");
Error('\p{/a/ 	Noncharacter_Code_Point}');
Error('\P{/a/ 	Noncharacter_Code_Point}');
Expect(1, 1114111, '\p{noncharactercodepoint}', "");
Expect(0, 1114111, '\p{^noncharactercodepoint}', "");
Expect(0, 1114111, '\P{noncharactercodepoint}', "");
Expect(1, 1114111, '\P{^noncharactercodepoint}', "");
Expect(0, 1114109, '\p{noncharactercodepoint}', "");
Expect(1, 1114109, '\p{^noncharactercodepoint}', "");
Expect(1, 1114109, '\P{noncharactercodepoint}', "");
Expect(0, 1114109, '\P{^noncharactercodepoint}', "");
Expect(1, 1114111, '\p{- NONCHARACTER_Code_POINT}', "");
Expect(0, 1114111, '\p{^- NONCHARACTER_Code_POINT}', "");
Expect(0, 1114111, '\P{- NONCHARACTER_Code_POINT}', "");
Expect(1, 1114111, '\P{^- NONCHARACTER_Code_POINT}', "");
Expect(0, 1114109, '\p{- NONCHARACTER_Code_POINT}', "");
Expect(1, 1114109, '\p{^- NONCHARACTER_Code_POINT}', "");
Expect(1, 1114109, '\P{- NONCHARACTER_Code_POINT}', "");
Expect(0, 1114109, '\P{^- NONCHARACTER_Code_POINT}', "");
Error('\p{_:=IS_NONCHARACTER_CODE_point}');
Error('\P{_:=IS_NONCHARACTER_CODE_point}');
Expect(1, 1114111, '\p{isnoncharactercodepoint}', "");
Expect(0, 1114111, '\p{^isnoncharactercodepoint}', "");
Expect(0, 1114111, '\P{isnoncharactercodepoint}', "");
Expect(1, 1114111, '\P{^isnoncharactercodepoint}', "");
Expect(0, 1114109, '\p{isnoncharactercodepoint}', "");
Expect(1, 1114109, '\p{^isnoncharactercodepoint}', "");
Expect(1, 1114109, '\P{isnoncharactercodepoint}', "");
Expect(0, 1114109, '\P{^isnoncharactercodepoint}', "");
Expect(1, 1114111, '\p{	Is_Noncharacter_code_point}', "");
Expect(0, 1114111, '\p{^	Is_Noncharacter_code_point}', "");
Expect(0, 1114111, '\P{	Is_Noncharacter_code_point}', "");
Expect(1, 1114111, '\P{^	Is_Noncharacter_code_point}', "");
Expect(0, 1114109, '\p{	Is_Noncharacter_code_point}', "");
Expect(1, 1114109, '\p{^	Is_Noncharacter_code_point}', "");
Expect(1, 1114109, '\P{	Is_Noncharacter_code_point}', "");
Expect(0, 1114109, '\P{^	Is_Noncharacter_code_point}', "");
Error('\p{	:=NCHAR}');
Error('\P{	:=NCHAR}');
Expect(1, 1114111, '\p{nchar}', "");
Expect(0, 1114111, '\p{^nchar}', "");
Expect(0, 1114111, '\P{nchar}', "");
Expect(1, 1114111, '\P{^nchar}', "");
Expect(0, 1114109, '\p{nchar}', "");
Expect(1, 1114109, '\p{^nchar}', "");
Expect(1, 1114109, '\P{nchar}', "");
Expect(0, 1114109, '\P{^nchar}', "");
Expect(1, 1114111, '\p{	 NChar}', "");
Expect(0, 1114111, '\p{^	 NChar}', "");
Expect(0, 1114111, '\P{	 NChar}', "");
Expect(1, 1114111, '\P{^	 NChar}', "");
Expect(0, 1114109, '\p{	 NChar}', "");
Expect(1, 1114109, '\p{^	 NChar}', "");
Expect(1, 1114109, '\P{	 NChar}', "");
Expect(0, 1114109, '\P{^	 NChar}', "");
Error('\p{-/a/Is_nchar}');
Error('\P{-/a/Is_nchar}');
Expect(1, 1114111, '\p{isnchar}', "");
Expect(0, 1114111, '\p{^isnchar}', "");
Expect(0, 1114111, '\P{isnchar}', "");
Expect(1, 1114111, '\P{^isnchar}', "");
Expect(0, 1114109, '\p{isnchar}', "");
Expect(1, 1114109, '\p{^isnchar}', "");
Expect(1, 1114109, '\P{isnchar}', "");
Expect(0, 1114109, '\P{^isnchar}', "");
Expect(1, 1114111, '\p{ is_NChar}', "");
Expect(0, 1114111, '\p{^ is_NChar}', "");
Expect(0, 1114111, '\P{ is_NChar}', "");
Expect(1, 1114111, '\P{^ is_NChar}', "");
Expect(0, 1114109, '\p{ is_NChar}', "");
Expect(1, 1114109, '\p{^ is_NChar}', "");
Expect(1, 1114109, '\P{ is_NChar}', "");
Expect(0, 1114109, '\P{^ is_NChar}', "");
Error('\p{:=__Nonspacing_Mark}');
Error('\P{:=__Nonspacing_Mark}');
Expect(1, 917999, '\p{nonspacingmark}', "");
Expect(0, 917999, '\p{^nonspacingmark}', "");
Expect(0, 917999, '\P{nonspacingmark}', "");
Expect(1, 917999, '\P{^nonspacingmark}', "");
Expect(0, 918000, '\p{nonspacingmark}', "");
Expect(1, 918000, '\p{^nonspacingmark}', "");
Expect(1, 918000, '\P{nonspacingmark}', "");
Expect(0, 918000, '\P{^nonspacingmark}', "");
Expect(1, 917999, '\p{	-Nonspacing_Mark}', "");
Expect(0, 917999, '\p{^	-Nonspacing_Mark}', "");
Expect(0, 917999, '\P{	-Nonspacing_Mark}', "");
Expect(1, 917999, '\P{^	-Nonspacing_Mark}', "");
Expect(0, 918000, '\p{	-Nonspacing_Mark}', "");
Expect(1, 918000, '\p{^	-Nonspacing_Mark}', "");
Expect(1, 918000, '\P{	-Nonspacing_Mark}', "");
Expect(0, 918000, '\P{^	-Nonspacing_Mark}', "");
Error('\p{:= Is_Nonspacing_MARK}');
Error('\P{:= Is_Nonspacing_MARK}');
Expect(1, 917999, '\p{isnonspacingmark}', "");
Expect(0, 917999, '\p{^isnonspacingmark}', "");
Expect(0, 917999, '\P{isnonspacingmark}', "");
Expect(1, 917999, '\P{^isnonspacingmark}', "");
Expect(0, 918000, '\p{isnonspacingmark}', "");
Expect(1, 918000, '\p{^isnonspacingmark}', "");
Expect(1, 918000, '\P{isnonspacingmark}', "");
Expect(0, 918000, '\P{^isnonspacingmark}', "");
Expect(1, 917999, '\p{-	is_NONSPACING_Mark}', "");
Expect(0, 917999, '\p{^-	is_NONSPACING_Mark}', "");
Expect(0, 917999, '\P{-	is_NONSPACING_Mark}', "");
Expect(1, 917999, '\P{^-	is_NONSPACING_Mark}', "");
Expect(0, 918000, '\p{-	is_NONSPACING_Mark}', "");
Expect(1, 918000, '\p{^-	is_NONSPACING_Mark}', "");
Expect(1, 918000, '\P{-	is_NONSPACING_Mark}', "");
Expect(0, 918000, '\P{^-	is_NONSPACING_Mark}', "");
Error('\p{	:=Mn}');
Error('\P{	:=Mn}');
Expect(1, 917999, '\p{mn}', "");
Expect(0, 917999, '\p{^mn}', "");
Expect(0, 917999, '\P{mn}', "");
Expect(1, 917999, '\P{^mn}', "");
Expect(0, 918000, '\p{mn}', "");
Expect(1, 918000, '\p{^mn}', "");
Expect(1, 918000, '\P{mn}', "");
Expect(0, 918000, '\P{^mn}', "");
Expect(1, 917999, '\p{	_MN}', "");
Expect(0, 917999, '\p{^	_MN}', "");
Expect(0, 917999, '\P{	_MN}', "");
Expect(1, 917999, '\P{^	_MN}', "");
Expect(0, 918000, '\p{	_MN}', "");
Expect(1, 918000, '\p{^	_MN}', "");
Expect(1, 918000, '\P{	_MN}', "");
Expect(0, 918000, '\P{^	_MN}', "");
Error('\p{/a/_	IS_Mn}');
Error('\P{/a/_	IS_Mn}');
Expect(1, 917999, '\p{ismn}', "");
Expect(0, 917999, '\p{^ismn}', "");
Expect(0, 917999, '\P{ismn}', "");
Expect(1, 917999, '\P{^ismn}', "");
Expect(0, 918000, '\p{ismn}', "");
Expect(1, 918000, '\p{^ismn}', "");
Expect(1, 918000, '\P{ismn}', "");
Expect(0, 918000, '\P{^ismn}', "");
Expect(1, 917999, '\p{- Is_Mn}', "");
Expect(0, 917999, '\p{^- Is_Mn}', "");
Expect(0, 917999, '\P{- Is_Mn}', "");
Expect(1, 917999, '\P{^- Is_Mn}', "");
Expect(0, 918000, '\p{- Is_Mn}', "");
Expect(1, 918000, '\p{^- Is_Mn}', "");
Expect(1, 918000, '\P{- Is_Mn}', "");
Expect(0, 918000, '\P{^- Is_Mn}', "");
Error('\p{:= _Number}');
Error('\P{:= _Number}');
Expect(1, 127244, '\p{number}', "");
Expect(0, 127244, '\p{^number}', "");
Expect(0, 127244, '\P{number}', "");
Expect(1, 127244, '\P{^number}', "");
Expect(0, 127245, '\p{number}', "");
Expect(1, 127245, '\p{^number}', "");
Expect(1, 127245, '\P{number}', "");
Expect(0, 127245, '\P{^number}', "");
Expect(1, 127244, '\p{--NUMBER}', "");
Expect(0, 127244, '\p{^--NUMBER}', "");
Expect(0, 127244, '\P{--NUMBER}', "");
Expect(1, 127244, '\P{^--NUMBER}', "");
Expect(0, 127245, '\p{--NUMBER}', "");
Expect(1, 127245, '\p{^--NUMBER}', "");
Expect(1, 127245, '\P{--NUMBER}', "");
Expect(0, 127245, '\P{^--NUMBER}', "");
Error('\p{:=__Is_Number}');
Error('\P{:=__Is_Number}');
Expect(1, 127244, '\p{isnumber}', "");
Expect(0, 127244, '\p{^isnumber}', "");
Expect(0, 127244, '\P{isnumber}', "");
Expect(1, 127244, '\P{^isnumber}', "");
Expect(0, 127245, '\p{isnumber}', "");
Expect(1, 127245, '\p{^isnumber}', "");
Expect(1, 127245, '\P{isnumber}', "");
Expect(0, 127245, '\P{^isnumber}', "");
Expect(1, 127244, '\p{_	IS_number}', "");
Expect(0, 127244, '\p{^_	IS_number}', "");
Expect(0, 127244, '\P{_	IS_number}', "");
Expect(1, 127244, '\P{^_	IS_number}', "");
Expect(0, 127245, '\p{_	IS_number}', "");
Expect(1, 127245, '\p{^_	IS_number}', "");
Expect(1, 127245, '\P{_	IS_number}', "");
Expect(0, 127245, '\P{^_	IS_number}', "");
Error('\p{:=_-N}');
Error('\P{:=_-N}');
Expect(1, 127244, '\p{n}', "");
Expect(0, 127244, '\p{^n}', "");
Expect(0, 127244, '\P{n}', "");
Expect(1, 127244, '\P{^n}', "");
Expect(0, 127245, '\p{n}', "");
Expect(1, 127245, '\p{^n}', "");
Expect(1, 127245, '\P{n}', "");
Expect(0, 127245, '\P{^n}', "");
Expect(1, 127244, '\p{  n}', "");
Expect(0, 127244, '\p{^  n}', "");
Expect(0, 127244, '\P{  n}', "");
Expect(1, 127244, '\P{^  n}', "");
Expect(0, 127245, '\p{  n}', "");
Expect(1, 127245, '\p{^  n}', "");
Expect(1, 127245, '\P{  n}', "");
Expect(0, 127245, '\P{^  n}', "");
Error('\p{:=- Is_N}');
Error('\P{:=- Is_N}');
Expect(1, 127244, '\p{isn}', "");
Expect(0, 127244, '\p{^isn}', "");
Expect(0, 127244, '\P{isn}', "");
Expect(1, 127244, '\P{^isn}', "");
Expect(0, 127245, '\p{isn}', "");
Expect(1, 127245, '\p{^isn}', "");
Expect(1, 127245, '\P{isn}', "");
Expect(0, 127245, '\P{^isn}', "");
Expect(1, 127244, '\p{-_is_N}', "");
Expect(0, 127244, '\p{^-_is_N}', "");
Expect(0, 127244, '\P{-_is_N}', "");
Expect(1, 127244, '\P{^-_is_N}', "");
Expect(0, 127245, '\p{-_is_N}', "");
Expect(1, 127245, '\p{^-_is_N}', "");
Expect(1, 127245, '\P{-_is_N}', "");
Expect(0, 127245, '\P{^-_is_N}', "");
Error('\p{  number_Forms:=}');
Error('\P{  number_Forms:=}');
Expect(1, 8591, '\p{numberforms}', "");
Expect(0, 8591, '\p{^numberforms}', "");
Expect(0, 8591, '\P{numberforms}', "");
Expect(1, 8591, '\P{^numberforms}', "");
Expect(0, 8592, '\p{numberforms}', "");
Expect(1, 8592, '\p{^numberforms}', "");
Expect(1, 8592, '\P{numberforms}', "");
Expect(0, 8592, '\P{^numberforms}', "");
Expect(1, 8591, '\p{--Number_Forms}', "");
Expect(0, 8591, '\p{^--Number_Forms}', "");
Expect(0, 8591, '\P{--Number_Forms}', "");
Expect(1, 8591, '\P{^--Number_Forms}', "");
Expect(0, 8592, '\p{--Number_Forms}', "");
Expect(1, 8592, '\p{^--Number_Forms}', "");
Expect(1, 8592, '\P{--Number_Forms}', "");
Expect(0, 8592, '\P{^--Number_Forms}', "");
Error('\p{_/a/Is_Number_Forms}');
Error('\P{_/a/Is_Number_Forms}');
Expect(1, 8591, '\p{isnumberforms}', "");
Expect(0, 8591, '\p{^isnumberforms}', "");
Expect(0, 8591, '\P{isnumberforms}', "");
Expect(1, 8591, '\P{^isnumberforms}', "");
Expect(0, 8592, '\p{isnumberforms}', "");
Expect(1, 8592, '\p{^isnumberforms}', "");
Expect(1, 8592, '\P{isnumberforms}', "");
Expect(0, 8592, '\P{^isnumberforms}', "");
Expect(1, 8591, '\p{_Is_Number_Forms}', "");
Expect(0, 8591, '\p{^_Is_Number_Forms}', "");
Expect(0, 8591, '\P{_Is_Number_Forms}', "");
Expect(1, 8591, '\P{^_Is_Number_Forms}', "");
Expect(0, 8592, '\p{_Is_Number_Forms}', "");
Expect(1, 8592, '\p{^_Is_Number_Forms}', "");
Expect(1, 8592, '\P{_Is_Number_Forms}', "");
Expect(0, 8592, '\P{^_Is_Number_Forms}', "");
Error('\p{/a/	In_Number_FORMS}');
Error('\P{/a/	In_Number_FORMS}');
Expect(1, 8591, '\p{innumberforms}', "");
Expect(0, 8591, '\p{^innumberforms}', "");
Expect(0, 8591, '\P{innumberforms}', "");
Expect(1, 8591, '\P{^innumberforms}', "");
Expect(0, 8592, '\p{innumberforms}', "");
Expect(1, 8592, '\p{^innumberforms}', "");
Expect(1, 8592, '\P{innumberforms}', "");
Expect(0, 8592, '\P{^innumberforms}', "");
Expect(1, 8591, '\p{_in_number_FORMS}', "");
Expect(0, 8591, '\p{^_in_number_FORMS}', "");
Expect(0, 8591, '\P{_in_number_FORMS}', "");
Expect(1, 8591, '\P{^_in_number_FORMS}', "");
Expect(0, 8592, '\p{_in_number_FORMS}', "");
Expect(1, 8592, '\p{^_in_number_FORMS}', "");
Expect(1, 8592, '\P{_in_number_FORMS}', "");
Expect(0, 8592, '\P{^_in_number_FORMS}', "");
Error('\p{ /a/Ogham}');
Error('\P{ /a/Ogham}');
Expect(1, 5788, '\p{ogham}', "");
Expect(0, 5788, '\p{^ogham}', "");
Expect(0, 5788, '\P{ogham}', "");
Expect(1, 5788, '\P{^ogham}', "");
Expect(0, 5789, '\p{ogham}', "");
Expect(1, 5789, '\p{^ogham}', "");
Expect(1, 5789, '\P{ogham}', "");
Expect(0, 5789, '\P{^ogham}', "");
Expect(1, 5788, '\p{ _Ogham}', "");
Expect(0, 5788, '\p{^ _Ogham}', "");
Expect(0, 5788, '\P{ _Ogham}', "");
Expect(1, 5788, '\P{^ _Ogham}', "");
Expect(0, 5789, '\p{ _Ogham}', "");
Expect(1, 5789, '\p{^ _Ogham}', "");
Expect(1, 5789, '\P{ _Ogham}', "");
Expect(0, 5789, '\P{^ _Ogham}', "");
Error('\p{-Is_Ogham/a/}');
Error('\P{-Is_Ogham/a/}');
Expect(1, 5788, '\p{isogham}', "");
Expect(0, 5788, '\p{^isogham}', "");
Expect(0, 5788, '\P{isogham}', "");
Expect(1, 5788, '\P{^isogham}', "");
Expect(0, 5789, '\p{isogham}', "");
Expect(1, 5789, '\p{^isogham}', "");
Expect(1, 5789, '\P{isogham}', "");
Expect(0, 5789, '\P{^isogham}', "");
Expect(1, 5788, '\p{_ Is_Ogham}', "");
Expect(0, 5788, '\p{^_ Is_Ogham}', "");
Expect(0, 5788, '\P{_ Is_Ogham}', "");
Expect(1, 5788, '\P{^_ Is_Ogham}', "");
Expect(0, 5789, '\p{_ Is_Ogham}', "");
Expect(1, 5789, '\p{^_ Is_Ogham}', "");
Expect(1, 5789, '\P{_ Is_Ogham}', "");
Expect(0, 5789, '\P{^_ Is_Ogham}', "");
Error('\p{-	Ogam:=}');
Error('\P{-	Ogam:=}');
Expect(1, 5788, '\p{ogam}', "");
Expect(0, 5788, '\p{^ogam}', "");
Expect(0, 5788, '\P{ogam}', "");
Expect(1, 5788, '\P{^ogam}', "");
Expect(0, 5789, '\p{ogam}', "");
Expect(1, 5789, '\p{^ogam}', "");
Expect(1, 5789, '\P{ogam}', "");
Expect(0, 5789, '\P{^ogam}', "");
Expect(1, 5788, '\p{ Ogam}', "");
Expect(0, 5788, '\p{^ Ogam}', "");
Expect(0, 5788, '\P{ Ogam}', "");
Expect(1, 5788, '\P{^ Ogam}', "");
Expect(0, 5789, '\p{ Ogam}', "");
Expect(1, 5789, '\p{^ Ogam}', "");
Expect(1, 5789, '\P{ Ogam}', "");
Expect(0, 5789, '\P{^ Ogam}', "");
Error('\p{	_Is_Ogam:=}');
Error('\P{	_Is_Ogam:=}');
Expect(1, 5788, '\p{isogam}', "");
Expect(0, 5788, '\p{^isogam}', "");
Expect(0, 5788, '\P{isogam}', "");
Expect(1, 5788, '\P{^isogam}', "");
Expect(0, 5789, '\p{isogam}', "");
Expect(1, 5789, '\p{^isogam}', "");
Expect(1, 5789, '\P{isogam}', "");
Expect(0, 5789, '\P{^isogam}', "");
Expect(1, 5788, '\p{ Is_ogam}', "");
Expect(0, 5788, '\p{^ Is_ogam}', "");
Expect(0, 5788, '\P{ Is_ogam}', "");
Expect(1, 5788, '\P{^ Is_ogam}', "");
Expect(0, 5789, '\p{ Is_ogam}', "");
Expect(1, 5789, '\p{^ Is_ogam}', "");
Expect(1, 5789, '\P{ Is_ogam}', "");
Expect(0, 5789, '\P{^ Is_ogam}', "");
Error('\p{	:=Ol_Chiki}');
Error('\P{	:=Ol_Chiki}');
Expect(1, 7295, '\p{olchiki}', "");
Expect(0, 7295, '\p{^olchiki}', "");
Expect(0, 7295, '\P{olchiki}', "");
Expect(1, 7295, '\P{^olchiki}', "");
Expect(0, 7296, '\p{olchiki}', "");
Expect(1, 7296, '\p{^olchiki}', "");
Expect(1, 7296, '\P{olchiki}', "");
Expect(0, 7296, '\P{^olchiki}', "");
Expect(1, 7295, '\p{ 	Ol_Chiki}', "");
Expect(0, 7295, '\p{^ 	Ol_Chiki}', "");
Expect(0, 7295, '\P{ 	Ol_Chiki}', "");
Expect(1, 7295, '\P{^ 	Ol_Chiki}', "");
Expect(0, 7296, '\p{ 	Ol_Chiki}', "");
Expect(1, 7296, '\p{^ 	Ol_Chiki}', "");
Expect(1, 7296, '\P{ 	Ol_Chiki}', "");
Expect(0, 7296, '\P{^ 	Ol_Chiki}', "");
Error('\p{_/a/IS_OL_CHIKI}');
Error('\P{_/a/IS_OL_CHIKI}');
Expect(1, 7295, '\p{isolchiki}', "");
Expect(0, 7295, '\p{^isolchiki}', "");
Expect(0, 7295, '\P{isolchiki}', "");
Expect(1, 7295, '\P{^isolchiki}', "");
Expect(0, 7296, '\p{isolchiki}', "");
Expect(1, 7296, '\p{^isolchiki}', "");
Expect(1, 7296, '\P{isolchiki}', "");
Expect(0, 7296, '\P{^isolchiki}', "");
Expect(1, 7295, '\p{_	Is_Ol_CHIKI}', "");
Expect(0, 7295, '\p{^_	Is_Ol_CHIKI}', "");
Expect(0, 7295, '\P{_	Is_Ol_CHIKI}', "");
Expect(1, 7295, '\P{^_	Is_Ol_CHIKI}', "");
Expect(0, 7296, '\p{_	Is_Ol_CHIKI}', "");
Expect(1, 7296, '\p{^_	Is_Ol_CHIKI}', "");
Expect(1, 7296, '\P{_	Is_Ol_CHIKI}', "");
Expect(0, 7296, '\P{^_	Is_Ol_CHIKI}', "");
Error('\p{	OLCK/a/}');
Error('\P{	OLCK/a/}');
Expect(1, 7295, '\p{olck}', "");
Expect(0, 7295, '\p{^olck}', "");
Expect(0, 7295, '\P{olck}', "");
Expect(1, 7295, '\P{^olck}', "");
Expect(0, 7296, '\p{olck}', "");
Expect(1, 7296, '\p{^olck}', "");
Expect(1, 7296, '\P{olck}', "");
Expect(0, 7296, '\P{^olck}', "");
Expect(1, 7295, '\p{ OLCK}', "");
Expect(0, 7295, '\p{^ OLCK}', "");
Expect(0, 7295, '\P{ OLCK}', "");
Expect(1, 7295, '\P{^ OLCK}', "");
Expect(0, 7296, '\p{ OLCK}', "");
Expect(1, 7296, '\p{^ OLCK}', "");
Expect(1, 7296, '\P{ OLCK}', "");
Expect(0, 7296, '\P{^ OLCK}', "");
Error('\p{/a/__Is_OLCK}');
Error('\P{/a/__Is_OLCK}');
Expect(1, 7295, '\p{isolck}', "");
Expect(0, 7295, '\p{^isolck}', "");
Expect(0, 7295, '\P{isolck}', "");
Expect(1, 7295, '\P{^isolck}', "");
Expect(0, 7296, '\p{isolck}', "");
Expect(1, 7296, '\p{^isolck}', "");
Expect(1, 7296, '\P{isolck}', "");
Expect(0, 7296, '\P{^isolck}', "");
Expect(1, 7295, '\p{-	IS_olck}', "");
Expect(0, 7295, '\p{^-	IS_olck}', "");
Expect(0, 7295, '\P{-	IS_olck}', "");
Expect(1, 7295, '\P{^-	IS_olck}', "");
Expect(0, 7296, '\p{-	IS_olck}', "");
Expect(1, 7296, '\p{^-	IS_olck}', "");
Expect(1, 7296, '\P{-	IS_olck}', "");
Expect(0, 7296, '\P{^-	IS_olck}', "");
Error('\p{:=Old_Italic}');
Error('\P{:=Old_Italic}');
Expect(1, 66339, '\p{olditalic}', "");
Expect(0, 66339, '\p{^olditalic}', "");
Expect(0, 66339, '\P{olditalic}', "");
Expect(1, 66339, '\P{^olditalic}', "");
Expect(0, 66340, '\p{olditalic}', "");
Expect(1, 66340, '\p{^olditalic}', "");
Expect(1, 66340, '\P{olditalic}', "");
Expect(0, 66340, '\P{^olditalic}', "");
Expect(1, 66339, '\p{_-Old_Italic}', "");
Expect(0, 66339, '\p{^_-Old_Italic}', "");
Expect(0, 66339, '\P{_-Old_Italic}', "");
Expect(1, 66339, '\P{^_-Old_Italic}', "");
Expect(0, 66340, '\p{_-Old_Italic}', "");
Expect(1, 66340, '\p{^_-Old_Italic}', "");
Expect(1, 66340, '\P{_-Old_Italic}', "");
Expect(0, 66340, '\P{^_-Old_Italic}', "");
Error('\p{__is_old_Italic:=}');
Error('\P{__is_old_Italic:=}');
Expect(1, 66339, '\p{isolditalic}', "");
Expect(0, 66339, '\p{^isolditalic}', "");
Expect(0, 66339, '\P{isolditalic}', "");
Expect(1, 66339, '\P{^isolditalic}', "");
Expect(0, 66340, '\p{isolditalic}', "");
Expect(1, 66340, '\p{^isolditalic}', "");
Expect(1, 66340, '\P{isolditalic}', "");
Expect(0, 66340, '\P{^isolditalic}', "");
Expect(1, 66339, '\p{-_is_old_ITALIC}', "");
Expect(0, 66339, '\p{^-_is_old_ITALIC}', "");
Expect(0, 66339, '\P{-_is_old_ITALIC}', "");
Expect(1, 66339, '\P{^-_is_old_ITALIC}', "");
Expect(0, 66340, '\p{-_is_old_ITALIC}', "");
Expect(1, 66340, '\p{^-_is_old_ITALIC}', "");
Expect(1, 66340, '\P{-_is_old_ITALIC}', "");
Expect(0, 66340, '\P{^-_is_old_ITALIC}', "");
Error('\p{-:=ITAL}');
Error('\P{-:=ITAL}');
Expect(1, 66339, '\p{ital}', "");
Expect(0, 66339, '\p{^ital}', "");
Expect(0, 66339, '\P{ital}', "");
Expect(1, 66339, '\P{^ital}', "");
Expect(0, 66340, '\p{ital}', "");
Expect(1, 66340, '\p{^ital}', "");
Expect(1, 66340, '\P{ital}', "");
Expect(0, 66340, '\P{^ital}', "");
Expect(1, 66339, '\p{	ITAL}', "");
Expect(0, 66339, '\p{^	ITAL}', "");
Expect(0, 66339, '\P{	ITAL}', "");
Expect(1, 66339, '\P{^	ITAL}', "");
Expect(0, 66340, '\p{	ITAL}', "");
Expect(1, 66340, '\p{^	ITAL}', "");
Expect(1, 66340, '\P{	ITAL}', "");
Expect(0, 66340, '\P{^	ITAL}', "");
Error('\p{:=-	Is_ITAL}');
Error('\P{:=-	Is_ITAL}');
Expect(1, 66339, '\p{isital}', "");
Expect(0, 66339, '\p{^isital}', "");
Expect(0, 66339, '\P{isital}', "");
Expect(1, 66339, '\P{^isital}', "");
Expect(0, 66340, '\p{isital}', "");
Expect(1, 66340, '\p{^isital}', "");
Expect(1, 66340, '\P{isital}', "");
Expect(0, 66340, '\P{^isital}', "");
Expect(1, 66339, '\p{		is_Ital}', "");
Expect(0, 66339, '\p{^		is_Ital}', "");
Expect(0, 66339, '\P{		is_Ital}', "");
Expect(1, 66339, '\P{^		is_Ital}', "");
Expect(0, 66340, '\p{		is_Ital}', "");
Expect(1, 66340, '\p{^		is_Ital}', "");
Expect(1, 66340, '\P{		is_Ital}', "");
Expect(0, 66340, '\P{^		is_Ital}', "");
Error('\p{_-old_north_Arabian:=}');
Error('\P{_-old_north_Arabian:=}');
Expect(1, 68255, '\p{oldnortharabian}', "");
Expect(0, 68255, '\p{^oldnortharabian}', "");
Expect(0, 68255, '\P{oldnortharabian}', "");
Expect(1, 68255, '\P{^oldnortharabian}', "");
Expect(0, 68256, '\p{oldnortharabian}', "");
Expect(1, 68256, '\p{^oldnortharabian}', "");
Expect(1, 68256, '\P{oldnortharabian}', "");
Expect(0, 68256, '\P{^oldnortharabian}', "");
Expect(1, 68255, '\p{ OLD_north_Arabian}', "");
Expect(0, 68255, '\p{^ OLD_north_Arabian}', "");
Expect(0, 68255, '\P{ OLD_north_Arabian}', "");
Expect(1, 68255, '\P{^ OLD_north_Arabian}', "");
Expect(0, 68256, '\p{ OLD_north_Arabian}', "");
Expect(1, 68256, '\p{^ OLD_north_Arabian}', "");
Expect(1, 68256, '\P{ OLD_north_Arabian}', "");
Expect(0, 68256, '\P{^ OLD_north_Arabian}', "");
Error('\p{ 	IS_Old_North_Arabian:=}');
Error('\P{ 	IS_Old_North_Arabian:=}');
Expect(1, 68255, '\p{isoldnortharabian}', "");
Expect(0, 68255, '\p{^isoldnortharabian}', "");
Expect(0, 68255, '\P{isoldnortharabian}', "");
Expect(1, 68255, '\P{^isoldnortharabian}', "");
Expect(0, 68256, '\p{isoldnortharabian}', "");
Expect(1, 68256, '\p{^isoldnortharabian}', "");
Expect(1, 68256, '\P{isoldnortharabian}', "");
Expect(0, 68256, '\P{^isoldnortharabian}', "");
Expect(1, 68255, '\p{_ Is_Old_North_Arabian}', "");
Expect(0, 68255, '\p{^_ Is_Old_North_Arabian}', "");
Expect(0, 68255, '\P{_ Is_Old_North_Arabian}', "");
Expect(1, 68255, '\P{^_ Is_Old_North_Arabian}', "");
Expect(0, 68256, '\p{_ Is_Old_North_Arabian}', "");
Expect(1, 68256, '\p{^_ Is_Old_North_Arabian}', "");
Expect(1, 68256, '\P{_ Is_Old_North_Arabian}', "");
Expect(0, 68256, '\P{^_ Is_Old_North_Arabian}', "");
Error('\p{/a/		Narb}');
Error('\P{/a/		Narb}');
Expect(1, 68255, '\p{narb}', "");
Expect(0, 68255, '\p{^narb}', "");
Expect(0, 68255, '\P{narb}', "");
Expect(1, 68255, '\P{^narb}', "");
Expect(0, 68256, '\p{narb}', "");
Expect(1, 68256, '\p{^narb}', "");
Expect(1, 68256, '\P{narb}', "");
Expect(0, 68256, '\P{^narb}', "");
Expect(1, 68255, '\p{	_Narb}', "");
Expect(0, 68255, '\p{^	_Narb}', "");
Expect(0, 68255, '\P{	_Narb}', "");
Expect(1, 68255, '\P{^	_Narb}', "");
Expect(0, 68256, '\p{	_Narb}', "");
Expect(1, 68256, '\p{^	_Narb}', "");
Expect(1, 68256, '\P{	_Narb}', "");
Expect(0, 68256, '\P{^	_Narb}', "");
Error('\p{/a/ is_NARB}');
Error('\P{/a/ is_NARB}');
Expect(1, 68255, '\p{isnarb}', "");
Expect(0, 68255, '\p{^isnarb}', "");
Expect(0, 68255, '\P{isnarb}', "");
Expect(1, 68255, '\P{^isnarb}', "");
Expect(0, 68256, '\p{isnarb}', "");
Expect(1, 68256, '\p{^isnarb}', "");
Expect(1, 68256, '\P{isnarb}', "");
Expect(0, 68256, '\P{^isnarb}', "");
Expect(1, 68255, '\p{-Is_NARB}', "");
Expect(0, 68255, '\p{^-Is_NARB}', "");
Expect(0, 68255, '\P{-Is_NARB}', "");
Expect(1, 68255, '\P{^-Is_NARB}', "");
Expect(0, 68256, '\p{-Is_NARB}', "");
Expect(1, 68256, '\p{^-Is_NARB}', "");
Expect(1, 68256, '\P{-Is_NARB}', "");
Expect(0, 68256, '\P{^-Is_NARB}', "");
Error('\p{	:=Old_Permic}');
Error('\P{	:=Old_Permic}');
Expect(1, 66426, '\p{oldpermic}', "");
Expect(0, 66426, '\p{^oldpermic}', "");
Expect(0, 66426, '\P{oldpermic}', "");
Expect(1, 66426, '\P{^oldpermic}', "");
Expect(0, 66427, '\p{oldpermic}', "");
Expect(1, 66427, '\p{^oldpermic}', "");
Expect(1, 66427, '\P{oldpermic}', "");
Expect(0, 66427, '\P{^oldpermic}', "");
Expect(1, 66426, '\p{ 	Old_Permic}', "");
Expect(0, 66426, '\p{^ 	Old_Permic}', "");
Expect(0, 66426, '\P{ 	Old_Permic}', "");
Expect(1, 66426, '\P{^ 	Old_Permic}', "");
Expect(0, 66427, '\p{ 	Old_Permic}', "");
Expect(1, 66427, '\p{^ 	Old_Permic}', "");
Expect(1, 66427, '\P{ 	Old_Permic}', "");
Expect(0, 66427, '\P{^ 	Old_Permic}', "");
Error('\p{:=_	is_Old_Permic}');
Error('\P{:=_	is_Old_Permic}');
Expect(1, 66426, '\p{isoldpermic}', "");
Expect(0, 66426, '\p{^isoldpermic}', "");
Expect(0, 66426, '\P{isoldpermic}', "");
Expect(1, 66426, '\P{^isoldpermic}', "");
Expect(0, 66427, '\p{isoldpermic}', "");
Expect(1, 66427, '\p{^isoldpermic}', "");
Expect(1, 66427, '\P{isoldpermic}', "");
Expect(0, 66427, '\P{^isoldpermic}', "");
Expect(1, 66426, '\p{  Is_Old_Permic}', "");
Expect(0, 66426, '\p{^  Is_Old_Permic}', "");
Expect(0, 66426, '\P{  Is_Old_Permic}', "");
Expect(1, 66426, '\P{^  Is_Old_Permic}', "");
Expect(0, 66427, '\p{  Is_Old_Permic}', "");
Expect(1, 66427, '\p{^  Is_Old_Permic}', "");
Expect(1, 66427, '\P{  Is_Old_Permic}', "");
Expect(0, 66427, '\P{^  Is_Old_Permic}', "");
Error('\p{	 perm/a/}');
Error('\P{	 perm/a/}');
Expect(1, 66426, '\p{perm}', "");
Expect(0, 66426, '\p{^perm}', "");
Expect(0, 66426, '\P{perm}', "");
Expect(1, 66426, '\P{^perm}', "");
Expect(0, 66427, '\p{perm}', "");
Expect(1, 66427, '\p{^perm}', "");
Expect(1, 66427, '\P{perm}', "");
Expect(0, 66427, '\P{^perm}', "");
Expect(1, 66426, '\p{	Perm}', "");
Expect(0, 66426, '\p{^	Perm}', "");
Expect(0, 66426, '\P{	Perm}', "");
Expect(1, 66426, '\P{^	Perm}', "");
Expect(0, 66427, '\p{	Perm}', "");
Expect(1, 66427, '\p{^	Perm}', "");
Expect(1, 66427, '\P{	Perm}', "");
Expect(0, 66427, '\P{^	Perm}', "");
Error('\p{/a/IS_Perm}');
Error('\P{/a/IS_Perm}');
Expect(1, 66426, '\p{isperm}', "");
Expect(0, 66426, '\p{^isperm}', "");
Expect(0, 66426, '\P{isperm}', "");
Expect(1, 66426, '\P{^isperm}', "");
Expect(0, 66427, '\p{isperm}', "");
Expect(1, 66427, '\p{^isperm}', "");
Expect(1, 66427, '\P{isperm}', "");
Expect(0, 66427, '\P{^isperm}', "");
Expect(1, 66426, '\p{	is_perm}', "");
Expect(0, 66426, '\p{^	is_perm}', "");
Expect(0, 66426, '\P{	is_perm}', "");
Expect(1, 66426, '\P{^	is_perm}', "");
Expect(0, 66427, '\p{	is_perm}', "");
Expect(1, 66427, '\p{^	is_perm}', "");
Expect(1, 66427, '\P{	is_perm}', "");
Expect(0, 66427, '\P{^	is_perm}', "");
Error('\p{/a/ _OLD_persian}');
Error('\P{/a/ _OLD_persian}');
Expect(1, 66517, '\p{oldpersian}', "");
Expect(0, 66517, '\p{^oldpersian}', "");
Expect(0, 66517, '\P{oldpersian}', "");
Expect(1, 66517, '\P{^oldpersian}', "");
Expect(0, 66518, '\p{oldpersian}', "");
Expect(1, 66518, '\p{^oldpersian}', "");
Expect(1, 66518, '\P{oldpersian}', "");
Expect(0, 66518, '\P{^oldpersian}', "");
Expect(1, 66517, '\p{ old_Persian}', "");
Expect(0, 66517, '\p{^ old_Persian}', "");
Expect(0, 66517, '\P{ old_Persian}', "");
Expect(1, 66517, '\P{^ old_Persian}', "");
Expect(0, 66518, '\p{ old_Persian}', "");
Expect(1, 66518, '\p{^ old_Persian}', "");
Expect(1, 66518, '\P{ old_Persian}', "");
Expect(0, 66518, '\P{^ old_Persian}', "");
Error('\p{	-is_Old_Persian:=}');
Error('\P{	-is_Old_Persian:=}');
Expect(1, 66517, '\p{isoldpersian}', "");
Expect(0, 66517, '\p{^isoldpersian}', "");
Expect(0, 66517, '\P{isoldpersian}', "");
Expect(1, 66517, '\P{^isoldpersian}', "");
Expect(0, 66518, '\p{isoldpersian}', "");
Expect(1, 66518, '\p{^isoldpersian}', "");
Expect(1, 66518, '\P{isoldpersian}', "");
Expect(0, 66518, '\P{^isoldpersian}', "");
Expect(1, 66517, '\p{  Is_OLD_Persian}', "");
Expect(0, 66517, '\p{^  Is_OLD_Persian}', "");
Expect(0, 66517, '\P{  Is_OLD_Persian}', "");
Expect(1, 66517, '\P{^  Is_OLD_Persian}', "");
Expect(0, 66518, '\p{  Is_OLD_Persian}', "");
Expect(1, 66518, '\p{^  Is_OLD_Persian}', "");
Expect(1, 66518, '\P{  Is_OLD_Persian}', "");
Expect(0, 66518, '\P{^  Is_OLD_Persian}', "");
Error('\p{:=_ XPEO}');
Error('\P{:=_ XPEO}');
Expect(1, 66517, '\p{xpeo}', "");
Expect(0, 66517, '\p{^xpeo}', "");
Expect(0, 66517, '\P{xpeo}', "");
Expect(1, 66517, '\P{^xpeo}', "");
Expect(0, 66518, '\p{xpeo}', "");
Expect(1, 66518, '\p{^xpeo}', "");
Expect(1, 66518, '\P{xpeo}', "");
Expect(0, 66518, '\P{^xpeo}', "");
Expect(1, 66517, '\p{	Xpeo}', "");
Expect(0, 66517, '\p{^	Xpeo}', "");
Expect(0, 66517, '\P{	Xpeo}', "");
Expect(1, 66517, '\P{^	Xpeo}', "");
Expect(0, 66518, '\p{	Xpeo}', "");
Expect(1, 66518, '\p{^	Xpeo}', "");
Expect(1, 66518, '\P{	Xpeo}', "");
Expect(0, 66518, '\P{^	Xpeo}', "");
Error('\p{_:=Is_Xpeo}');
Error('\P{_:=Is_Xpeo}');
Expect(1, 66517, '\p{isxpeo}', "");
Expect(0, 66517, '\p{^isxpeo}', "");
Expect(0, 66517, '\P{isxpeo}', "");
Expect(1, 66517, '\P{^isxpeo}', "");
Expect(0, 66518, '\p{isxpeo}', "");
Expect(1, 66518, '\p{^isxpeo}', "");
Expect(1, 66518, '\P{isxpeo}', "");
Expect(0, 66518, '\P{^isxpeo}', "");
Expect(1, 66517, '\p{	 Is_Xpeo}', "");
Expect(0, 66517, '\p{^	 Is_Xpeo}', "");
Expect(0, 66517, '\P{	 Is_Xpeo}', "");
Expect(1, 66517, '\P{^	 Is_Xpeo}', "");
Expect(0, 66518, '\p{	 Is_Xpeo}', "");
Expect(1, 66518, '\p{^	 Is_Xpeo}', "");
Expect(1, 66518, '\P{	 Is_Xpeo}', "");
Expect(0, 66518, '\P{^	 Is_Xpeo}', "");
Error('\p{/a/Old_South_arabian}');
Error('\P{/a/Old_South_arabian}');
Expect(1, 68223, '\p{oldsoutharabian}', "");
Expect(0, 68223, '\p{^oldsoutharabian}', "");
Expect(0, 68223, '\P{oldsoutharabian}', "");
Expect(1, 68223, '\P{^oldsoutharabian}', "");
Expect(0, 68224, '\p{oldsoutharabian}', "");
Expect(1, 68224, '\p{^oldsoutharabian}', "");
Expect(1, 68224, '\P{oldsoutharabian}', "");
Expect(0, 68224, '\P{^oldsoutharabian}', "");
Expect(1, 68223, '\p{_old_South_Arabian}', "");
Expect(0, 68223, '\p{^_old_South_Arabian}', "");
Expect(0, 68223, '\P{_old_South_Arabian}', "");
Expect(1, 68223, '\P{^_old_South_Arabian}', "");
Expect(0, 68224, '\p{_old_South_Arabian}', "");
Expect(1, 68224, '\p{^_old_South_Arabian}', "");
Expect(1, 68224, '\P{_old_South_Arabian}', "");
Expect(0, 68224, '\P{^_old_South_Arabian}', "");
Error('\p{:=--IS_old_South_arabian}');
Error('\P{:=--IS_old_South_arabian}');
Expect(1, 68223, '\p{isoldsoutharabian}', "");
Expect(0, 68223, '\p{^isoldsoutharabian}', "");
Expect(0, 68223, '\P{isoldsoutharabian}', "");
Expect(1, 68223, '\P{^isoldsoutharabian}', "");
Expect(0, 68224, '\p{isoldsoutharabian}', "");
Expect(1, 68224, '\p{^isoldsoutharabian}', "");
Expect(1, 68224, '\P{isoldsoutharabian}', "");
Expect(0, 68224, '\P{^isoldsoutharabian}', "");
Expect(1, 68223, '\p{ _IS_old_South_arabian}', "");
Expect(0, 68223, '\p{^ _IS_old_South_arabian}', "");
Expect(0, 68223, '\P{ _IS_old_South_arabian}', "");
Expect(1, 68223, '\P{^ _IS_old_South_arabian}', "");
Expect(0, 68224, '\p{ _IS_old_South_arabian}', "");
Expect(1, 68224, '\p{^ _IS_old_South_arabian}', "");
Expect(1, 68224, '\P{ _IS_old_South_arabian}', "");
Expect(0, 68224, '\P{^ _IS_old_South_arabian}', "");
Error('\p{_	Sarb:=}');
Error('\P{_	Sarb:=}');
Expect(1, 68223, '\p{sarb}', "");
Expect(0, 68223, '\p{^sarb}', "");
Expect(0, 68223, '\P{sarb}', "");
Expect(1, 68223, '\P{^sarb}', "");
Expect(0, 68224, '\p{sarb}', "");
Expect(1, 68224, '\p{^sarb}', "");
Expect(1, 68224, '\P{sarb}', "");
Expect(0, 68224, '\P{^sarb}', "");
Expect(1, 68223, '\p{	SARB}', "");
Expect(0, 68223, '\p{^	SARB}', "");
Expect(0, 68223, '\P{	SARB}', "");
Expect(1, 68223, '\P{^	SARB}', "");
Expect(0, 68224, '\p{	SARB}', "");
Expect(1, 68224, '\p{^	SARB}', "");
Expect(1, 68224, '\P{	SARB}', "");
Expect(0, 68224, '\P{^	SARB}', "");
Error('\p{-IS_Sarb/a/}');
Error('\P{-IS_Sarb/a/}');
Expect(1, 68223, '\p{issarb}', "");
Expect(0, 68223, '\p{^issarb}', "");
Expect(0, 68223, '\P{issarb}', "");
Expect(1, 68223, '\P{^issarb}', "");
Expect(0, 68224, '\p{issarb}', "");
Expect(1, 68224, '\p{^issarb}', "");
Expect(1, 68224, '\P{issarb}', "");
Expect(0, 68224, '\P{^issarb}', "");
Expect(1, 68223, '\p{	IS_sarb}', "");
Expect(0, 68223, '\p{^	IS_sarb}', "");
Expect(0, 68223, '\P{	IS_sarb}', "");
Expect(1, 68223, '\P{^	IS_sarb}', "");
Expect(0, 68224, '\p{	IS_sarb}', "");
Expect(1, 68224, '\p{^	IS_sarb}', "");
Expect(1, 68224, '\P{	IS_sarb}', "");
Expect(0, 68224, '\P{^	IS_sarb}', "");
Error('\p{	:=Old_Turkic}');
Error('\P{	:=Old_Turkic}');
Expect(1, 68680, '\p{oldturkic}', "");
Expect(0, 68680, '\p{^oldturkic}', "");
Expect(0, 68680, '\P{oldturkic}', "");
Expect(1, 68680, '\P{^oldturkic}', "");
Expect(0, 68681, '\p{oldturkic}', "");
Expect(1, 68681, '\p{^oldturkic}', "");
Expect(1, 68681, '\P{oldturkic}', "");
Expect(0, 68681, '\P{^oldturkic}', "");
Expect(1, 68680, '\p{-	Old_Turkic}', "");
Expect(0, 68680, '\p{^-	Old_Turkic}', "");
Expect(0, 68680, '\P{-	Old_Turkic}', "");
Expect(1, 68680, '\P{^-	Old_Turkic}', "");
Expect(0, 68681, '\p{-	Old_Turkic}', "");
Expect(1, 68681, '\p{^-	Old_Turkic}', "");
Expect(1, 68681, '\P{-	Old_Turkic}', "");
Expect(0, 68681, '\P{^-	Old_Turkic}', "");
Error('\p{:=-is_old_Turkic}');
Error('\P{:=-is_old_Turkic}');
Expect(1, 68680, '\p{isoldturkic}', "");
Expect(0, 68680, '\p{^isoldturkic}', "");
Expect(0, 68680, '\P{isoldturkic}', "");
Expect(1, 68680, '\P{^isoldturkic}', "");
Expect(0, 68681, '\p{isoldturkic}', "");
Expect(1, 68681, '\p{^isoldturkic}', "");
Expect(1, 68681, '\P{isoldturkic}', "");
Expect(0, 68681, '\P{^isoldturkic}', "");
Expect(1, 68680, '\p{-	IS_Old_TURKIC}', "");
Expect(0, 68680, '\p{^-	IS_Old_TURKIC}', "");
Expect(0, 68680, '\P{-	IS_Old_TURKIC}', "");
Expect(1, 68680, '\P{^-	IS_Old_TURKIC}', "");
Expect(0, 68681, '\p{-	IS_Old_TURKIC}', "");
Expect(1, 68681, '\p{^-	IS_Old_TURKIC}', "");
Expect(1, 68681, '\P{-	IS_Old_TURKIC}', "");
Expect(0, 68681, '\P{^-	IS_Old_TURKIC}', "");
Error('\p{-_Orkh:=}');
Error('\P{-_Orkh:=}');
Expect(1, 68680, '\p{orkh}', "");
Expect(0, 68680, '\p{^orkh}', "");
Expect(0, 68680, '\P{orkh}', "");
Expect(1, 68680, '\P{^orkh}', "");
Expect(0, 68681, '\p{orkh}', "");
Expect(1, 68681, '\p{^orkh}', "");
Expect(1, 68681, '\P{orkh}', "");
Expect(0, 68681, '\P{^orkh}', "");
Expect(1, 68680, '\p{-_ORKH}', "");
Expect(0, 68680, '\p{^-_ORKH}', "");
Expect(0, 68680, '\P{-_ORKH}', "");
Expect(1, 68680, '\P{^-_ORKH}', "");
Expect(0, 68681, '\p{-_ORKH}', "");
Expect(1, 68681, '\p{^-_ORKH}', "");
Expect(1, 68681, '\P{-_ORKH}', "");
Expect(0, 68681, '\P{^-_ORKH}', "");
Error('\p{ :=Is_Orkh}');
Error('\P{ :=Is_Orkh}');
Expect(1, 68680, '\p{isorkh}', "");
Expect(0, 68680, '\p{^isorkh}', "");
Expect(0, 68680, '\P{isorkh}', "");
Expect(1, 68680, '\P{^isorkh}', "");
Expect(0, 68681, '\p{isorkh}', "");
Expect(1, 68681, '\p{^isorkh}', "");
Expect(1, 68681, '\P{isorkh}', "");
Expect(0, 68681, '\P{^isorkh}', "");
Expect(1, 68680, '\p{	IS_Orkh}', "");
Expect(0, 68680, '\p{^	IS_Orkh}', "");
Expect(0, 68680, '\P{	IS_Orkh}', "");
Expect(1, 68680, '\P{^	IS_Orkh}', "");
Expect(0, 68681, '\p{	IS_Orkh}', "");
Expect(1, 68681, '\p{^	IS_Orkh}', "");
Expect(1, 68681, '\P{	IS_Orkh}', "");
Expect(0, 68681, '\P{^	IS_Orkh}', "");
Error('\p{:= 	Open_Punctuation}');
Error('\P{:= 	Open_Punctuation}');
Expect(1, 65378, '\p{openpunctuation}', "");
Expect(0, 65378, '\p{^openpunctuation}', "");
Expect(0, 65378, '\P{openpunctuation}', "");
Expect(1, 65378, '\P{^openpunctuation}', "");
Expect(0, 65379, '\p{openpunctuation}', "");
Expect(1, 65379, '\p{^openpunctuation}', "");
Expect(1, 65379, '\P{openpunctuation}', "");
Expect(0, 65379, '\P{^openpunctuation}', "");
Expect(1, 65378, '\p{--OPEN_punctuation}', "");
Expect(0, 65378, '\p{^--OPEN_punctuation}', "");
Expect(0, 65378, '\P{--OPEN_punctuation}', "");
Expect(1, 65378, '\P{^--OPEN_punctuation}', "");
Expect(0, 65379, '\p{--OPEN_punctuation}', "");
Expect(1, 65379, '\p{^--OPEN_punctuation}', "");
Expect(1, 65379, '\P{--OPEN_punctuation}', "");
Expect(0, 65379, '\P{^--OPEN_punctuation}', "");
Error('\p{/a/_-Is_Open_Punctuation}');
Error('\P{/a/_-Is_Open_Punctuation}');
Expect(1, 65378, '\p{isopenpunctuation}', "");
Expect(0, 65378, '\p{^isopenpunctuation}', "");
Expect(0, 65378, '\P{isopenpunctuation}', "");
Expect(1, 65378, '\P{^isopenpunctuation}', "");
Expect(0, 65379, '\p{isopenpunctuation}', "");
Expect(1, 65379, '\p{^isopenpunctuation}', "");
Expect(1, 65379, '\P{isopenpunctuation}', "");
Expect(0, 65379, '\P{^isopenpunctuation}', "");
Expect(1, 65378, '\p{	 Is_OPEN_Punctuation}', "");
Expect(0, 65378, '\p{^	 Is_OPEN_Punctuation}', "");
Expect(0, 65378, '\P{	 Is_OPEN_Punctuation}', "");
Expect(1, 65378, '\P{^	 Is_OPEN_Punctuation}', "");
Expect(0, 65379, '\p{	 Is_OPEN_Punctuation}', "");
Expect(1, 65379, '\p{^	 Is_OPEN_Punctuation}', "");
Expect(1, 65379, '\P{	 Is_OPEN_Punctuation}', "");
Expect(0, 65379, '\P{^	 Is_OPEN_Punctuation}', "");
Error('\p{/a/		PS}');
Error('\P{/a/		PS}');
Expect(1, 65378, '\p{ps}', "");
Expect(0, 65378, '\p{^ps}', "");
Expect(0, 65378, '\P{ps}', "");
Expect(1, 65378, '\P{^ps}', "");
Expect(0, 65379, '\p{ps}', "");
Expect(1, 65379, '\p{^ps}', "");
Expect(1, 65379, '\P{ps}', "");
Expect(0, 65379, '\P{^ps}', "");
Expect(1, 65378, '\p{_	Ps}', "");
Expect(0, 65378, '\p{^_	Ps}', "");
Expect(0, 65378, '\P{_	Ps}', "");
Expect(1, 65378, '\P{^_	Ps}', "");
Expect(0, 65379, '\p{_	Ps}', "");
Expect(1, 65379, '\p{^_	Ps}', "");
Expect(1, 65379, '\P{_	Ps}', "");
Expect(0, 65379, '\P{^_	Ps}', "");
Error('\p{/a/-	Is_Ps}');
Error('\P{/a/-	Is_Ps}');
Expect(1, 65378, '\p{isps}', "");
Expect(0, 65378, '\p{^isps}', "");
Expect(0, 65378, '\P{isps}', "");
Expect(1, 65378, '\P{^isps}', "");
Expect(0, 65379, '\p{isps}', "");
Expect(1, 65379, '\p{^isps}', "");
Expect(1, 65379, '\P{isps}', "");
Expect(0, 65379, '\P{^isps}', "");
Expect(1, 65378, '\p{_	Is_ps}', "");
Expect(0, 65378, '\p{^_	Is_ps}', "");
Expect(0, 65378, '\P{_	Is_ps}', "");
Expect(1, 65378, '\P{^_	Is_ps}', "");
Expect(0, 65379, '\p{_	Is_ps}', "");
Expect(1, 65379, '\p{^_	Is_ps}', "");
Expect(1, 65379, '\P{_	Is_ps}', "");
Expect(0, 65379, '\P{^_	Is_ps}', "");
Error('\p{-/a/Optical_character_Recognition}');
Error('\P{-/a/Optical_character_Recognition}');
Expect(1, 9311, '\p{opticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^opticalcharacterrecognition}', "");
Expect(0, 9311, '\P{opticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^opticalcharacterrecognition}', "");
Expect(0, 9312, '\p{opticalcharacterrecognition}', "");
Expect(1, 9312, '\p{^opticalcharacterrecognition}', "");
Expect(1, 9312, '\P{opticalcharacterrecognition}', "");
Expect(0, 9312, '\P{^opticalcharacterrecognition}', "");
Expect(1, 9311, '\p{ -optical_CHARACTER_Recognition}', "");
Expect(0, 9311, '\p{^ -optical_CHARACTER_Recognition}', "");
Expect(0, 9311, '\P{ -optical_CHARACTER_Recognition}', "");
Expect(1, 9311, '\P{^ -optical_CHARACTER_Recognition}', "");
Expect(0, 9312, '\p{ -optical_CHARACTER_Recognition}', "");
Expect(1, 9312, '\p{^ -optical_CHARACTER_Recognition}', "");
Expect(1, 9312, '\P{ -optical_CHARACTER_Recognition}', "");
Expect(0, 9312, '\P{^ -optical_CHARACTER_Recognition}', "");
Error('\p{/a/-_Is_optical_character_RECOGNITION}');
Error('\P{/a/-_Is_optical_character_RECOGNITION}');
Expect(1, 9311, '\p{isopticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^isopticalcharacterrecognition}', "");
Expect(0, 9311, '\P{isopticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^isopticalcharacterrecognition}', "");
Expect(0, 9312, '\p{isopticalcharacterrecognition}', "");
Expect(1, 9312, '\p{^isopticalcharacterrecognition}', "");
Expect(1, 9312, '\P{isopticalcharacterrecognition}', "");
Expect(0, 9312, '\P{^isopticalcharacterrecognition}', "");
Expect(1, 9311, '\p{-is_OPTICAL_Character_Recognition}', "");
Expect(0, 9311, '\p{^-is_OPTICAL_Character_Recognition}', "");
Expect(0, 9311, '\P{-is_OPTICAL_Character_Recognition}', "");
Expect(1, 9311, '\P{^-is_OPTICAL_Character_Recognition}', "");
Expect(0, 9312, '\p{-is_OPTICAL_Character_Recognition}', "");
Expect(1, 9312, '\p{^-is_OPTICAL_Character_Recognition}', "");
Expect(1, 9312, '\P{-is_OPTICAL_Character_Recognition}', "");
Expect(0, 9312, '\P{^-is_OPTICAL_Character_Recognition}', "");
Error('\p{:=	In_Optical_CHARACTER_Recognition}');
Error('\P{:=	In_Optical_CHARACTER_Recognition}');
Expect(1, 9311, '\p{inopticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^inopticalcharacterrecognition}', "");
Expect(0, 9311, '\P{inopticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^inopticalcharacterrecognition}', "");
Expect(0, 9312, '\p{inopticalcharacterrecognition}', "");
Expect(1, 9312, '\p{^inopticalcharacterrecognition}', "");
Expect(1, 9312, '\P{inopticalcharacterrecognition}', "");
Expect(0, 9312, '\P{^inopticalcharacterrecognition}', "");
Expect(1, 9311, '\p{	 In_Optical_CHARACTER_RECOGNITION}', "");
Expect(0, 9311, '\p{^	 In_Optical_CHARACTER_RECOGNITION}', "");
Expect(0, 9311, '\P{	 In_Optical_CHARACTER_RECOGNITION}', "");
Expect(1, 9311, '\P{^	 In_Optical_CHARACTER_RECOGNITION}', "");
Expect(0, 9312, '\p{	 In_Optical_CHARACTER_RECOGNITION}', "");
Expect(1, 9312, '\p{^	 In_Optical_CHARACTER_RECOGNITION}', "");
Expect(1, 9312, '\P{	 In_Optical_CHARACTER_RECOGNITION}', "");
Expect(0, 9312, '\P{^	 In_Optical_CHARACTER_RECOGNITION}', "");
Error('\p{/a/-ocr}');
Error('\P{/a/-ocr}');
Expect(1, 9311, '\p{ocr}', "");
Expect(0, 9311, '\p{^ocr}', "");
Expect(0, 9311, '\P{ocr}', "");
Expect(1, 9311, '\P{^ocr}', "");
Expect(0, 9312, '\p{ocr}', "");
Expect(1, 9312, '\p{^ocr}', "");
Expect(1, 9312, '\P{ocr}', "");
Expect(0, 9312, '\P{^ocr}', "");
Expect(1, 9311, '\p{-OCR}', "");
Expect(0, 9311, '\p{^-OCR}', "");
Expect(0, 9311, '\P{-OCR}', "");
Expect(1, 9311, '\P{^-OCR}', "");
Expect(0, 9312, '\p{-OCR}', "");
Expect(1, 9312, '\p{^-OCR}', "");
Expect(1, 9312, '\P{-OCR}', "");
Expect(0, 9312, '\P{^-OCR}', "");
Error('\p{  Is_ocr:=}');
Error('\P{  Is_ocr:=}');
Expect(1, 9311, '\p{isocr}', "");
Expect(0, 9311, '\p{^isocr}', "");
Expect(0, 9311, '\P{isocr}', "");
Expect(1, 9311, '\P{^isocr}', "");
Expect(0, 9312, '\p{isocr}', "");
Expect(1, 9312, '\p{^isocr}', "");
Expect(1, 9312, '\P{isocr}', "");
Expect(0, 9312, '\P{^isocr}', "");
Expect(1, 9311, '\p{	 Is_OCR}', "");
Expect(0, 9311, '\p{^	 Is_OCR}', "");
Expect(0, 9311, '\P{	 Is_OCR}', "");
Expect(1, 9311, '\P{^	 Is_OCR}', "");
Expect(0, 9312, '\p{	 Is_OCR}', "");
Expect(1, 9312, '\p{^	 Is_OCR}', "");
Expect(1, 9312, '\P{	 Is_OCR}', "");
Expect(0, 9312, '\P{^	 Is_OCR}', "");
Error('\p{:=- IN_OCR}');
Error('\P{:=- IN_OCR}');
Expect(1, 9311, '\p{inocr}', "");
Expect(0, 9311, '\p{^inocr}', "");
Expect(0, 9311, '\P{inocr}', "");
Expect(1, 9311, '\P{^inocr}', "");
Expect(0, 9312, '\p{inocr}', "");
Expect(1, 9312, '\p{^inocr}', "");
Expect(1, 9312, '\P{inocr}', "");
Expect(0, 9312, '\P{^inocr}', "");
Expect(1, 9311, '\p{_In_OCR}', "");
Expect(0, 9311, '\p{^_In_OCR}', "");
Expect(0, 9311, '\P{_In_OCR}', "");
Expect(1, 9311, '\P{^_In_OCR}', "");
Expect(0, 9312, '\p{_In_OCR}', "");
Expect(1, 9312, '\p{^_In_OCR}', "");
Expect(1, 9312, '\P{_In_OCR}', "");
Expect(0, 9312, '\P{^_In_OCR}', "");
Error('\p{__oriya:=}');
Error('\P{__oriya:=}');
Expect(1, 2935, '\p{oriya}', "");
Expect(0, 2935, '\p{^oriya}', "");
Expect(0, 2935, '\P{oriya}', "");
Expect(1, 2935, '\P{^oriya}', "");
Expect(0, 2936, '\p{oriya}', "");
Expect(1, 2936, '\p{^oriya}', "");
Expect(1, 2936, '\P{oriya}', "");
Expect(0, 2936, '\P{^oriya}', "");
Expect(1, 2935, '\p{_ ORIYA}', "");
Expect(0, 2935, '\p{^_ ORIYA}', "");
Expect(0, 2935, '\P{_ ORIYA}', "");
Expect(1, 2935, '\P{^_ ORIYA}', "");
Expect(0, 2936, '\p{_ ORIYA}', "");
Expect(1, 2936, '\p{^_ ORIYA}', "");
Expect(1, 2936, '\P{_ ORIYA}', "");
Expect(0, 2936, '\P{^_ ORIYA}', "");
Error('\p{:=Is_Oriya}');
Error('\P{:=Is_Oriya}');
Expect(1, 2935, '\p{isoriya}', "");
Expect(0, 2935, '\p{^isoriya}', "");
Expect(0, 2935, '\P{isoriya}', "");
Expect(1, 2935, '\P{^isoriya}', "");
Expect(0, 2936, '\p{isoriya}', "");
Expect(1, 2936, '\p{^isoriya}', "");
Expect(1, 2936, '\P{isoriya}', "");
Expect(0, 2936, '\P{^isoriya}', "");
Expect(1, 2935, '\p{_ IS_Oriya}', "");
Expect(0, 2935, '\p{^_ IS_Oriya}', "");
Expect(0, 2935, '\P{_ IS_Oriya}', "");
Expect(1, 2935, '\P{^_ IS_Oriya}', "");
Expect(0, 2936, '\p{_ IS_Oriya}', "");
Expect(1, 2936, '\p{^_ IS_Oriya}', "");
Expect(1, 2936, '\P{_ IS_Oriya}', "");
Expect(0, 2936, '\P{^_ IS_Oriya}', "");
Error('\p{-Orya:=}');
Error('\P{-Orya:=}');
Expect(1, 2935, '\p{orya}', "");
Expect(0, 2935, '\p{^orya}', "");
Expect(0, 2935, '\P{orya}', "");
Expect(1, 2935, '\P{^orya}', "");
Expect(0, 2936, '\p{orya}', "");
Expect(1, 2936, '\p{^orya}', "");
Expect(1, 2936, '\P{orya}', "");
Expect(0, 2936, '\P{^orya}', "");
Expect(1, 2935, '\p{_-orya}', "");
Expect(0, 2935, '\p{^_-orya}', "");
Expect(0, 2935, '\P{_-orya}', "");
Expect(1, 2935, '\P{^_-orya}', "");
Expect(0, 2936, '\p{_-orya}', "");
Expect(1, 2936, '\p{^_-orya}', "");
Expect(1, 2936, '\P{_-orya}', "");
Expect(0, 2936, '\P{^_-orya}', "");
Error('\p{-	is_ORYA:=}');
Error('\P{-	is_ORYA:=}');
Expect(1, 2935, '\p{isorya}', "");
Expect(0, 2935, '\p{^isorya}', "");
Expect(0, 2935, '\P{isorya}', "");
Expect(1, 2935, '\P{^isorya}', "");
Expect(0, 2936, '\p{isorya}', "");
Expect(1, 2936, '\p{^isorya}', "");
Expect(1, 2936, '\P{isorya}', "");
Expect(0, 2936, '\P{^isorya}', "");
Expect(1, 2935, '\p{-is_Orya}', "");
Expect(0, 2935, '\p{^-is_Orya}', "");
Expect(0, 2935, '\P{-is_Orya}', "");
Expect(1, 2935, '\P{^-is_Orya}', "");
Expect(0, 2936, '\p{-is_Orya}', "");
Expect(1, 2936, '\p{^-is_Orya}', "");
Expect(1, 2936, '\P{-is_Orya}', "");
Expect(0, 2936, '\P{^-is_Orya}', "");
Error('\p{  Ornamental_DINGBATS:=}');
Error('\P{  Ornamental_DINGBATS:=}');
Expect(1, 128639, '\p{ornamentaldingbats}', "");
Expect(0, 128639, '\p{^ornamentaldingbats}', "");
Expect(0, 128639, '\P{ornamentaldingbats}', "");
Expect(1, 128639, '\P{^ornamentaldingbats}', "");
Expect(0, 128640, '\p{ornamentaldingbats}', "");
Expect(1, 128640, '\p{^ornamentaldingbats}', "");
Expect(1, 128640, '\P{ornamentaldingbats}', "");
Expect(0, 128640, '\P{^ornamentaldingbats}', "");
Expect(1, 128639, '\p{	 Ornamental_Dingbats}', "");
Expect(0, 128639, '\p{^	 Ornamental_Dingbats}', "");
Expect(0, 128639, '\P{	 Ornamental_Dingbats}', "");
Expect(1, 128639, '\P{^	 Ornamental_Dingbats}', "");
Expect(0, 128640, '\p{	 Ornamental_Dingbats}', "");
Expect(1, 128640, '\p{^	 Ornamental_Dingbats}', "");
Expect(1, 128640, '\P{	 Ornamental_Dingbats}', "");
Expect(0, 128640, '\P{^	 Ornamental_Dingbats}', "");
Error('\p{/a/is_ornamental_Dingbats}');
Error('\P{/a/is_ornamental_Dingbats}');
Expect(1, 128639, '\p{isornamentaldingbats}', "");
Expect(0, 128639, '\p{^isornamentaldingbats}', "");
Expect(0, 128639, '\P{isornamentaldingbats}', "");
Expect(1, 128639, '\P{^isornamentaldingbats}', "");
Expect(0, 128640, '\p{isornamentaldingbats}', "");
Expect(1, 128640, '\p{^isornamentaldingbats}', "");
Expect(1, 128640, '\P{isornamentaldingbats}', "");
Expect(0, 128640, '\P{^isornamentaldingbats}', "");
Expect(1, 128639, '\p{	 Is_Ornamental_DINGBATS}', "");
Expect(0, 128639, '\p{^	 Is_Ornamental_DINGBATS}', "");
Expect(0, 128639, '\P{	 Is_Ornamental_DINGBATS}', "");
Expect(1, 128639, '\P{^	 Is_Ornamental_DINGBATS}', "");
Expect(0, 128640, '\p{	 Is_Ornamental_DINGBATS}', "");
Expect(1, 128640, '\p{^	 Is_Ornamental_DINGBATS}', "");
Expect(1, 128640, '\P{	 Is_Ornamental_DINGBATS}', "");
Expect(0, 128640, '\P{^	 Is_Ornamental_DINGBATS}', "");
Error('\p{ /a/IN_ornamental_dingbats}');
Error('\P{ /a/IN_ornamental_dingbats}');
Expect(1, 128639, '\p{inornamentaldingbats}', "");
Expect(0, 128639, '\p{^inornamentaldingbats}', "");
Expect(0, 128639, '\P{inornamentaldingbats}', "");
Expect(1, 128639, '\P{^inornamentaldingbats}', "");
Expect(0, 128640, '\p{inornamentaldingbats}', "");
Expect(1, 128640, '\p{^inornamentaldingbats}', "");
Expect(1, 128640, '\P{inornamentaldingbats}', "");
Expect(0, 128640, '\P{^inornamentaldingbats}', "");
Expect(1, 128639, '\p{_In_Ornamental_dingbats}', "");
Expect(0, 128639, '\p{^_In_Ornamental_dingbats}', "");
Expect(0, 128639, '\P{_In_Ornamental_dingbats}', "");
Expect(1, 128639, '\P{^_In_Ornamental_dingbats}', "");
Expect(0, 128640, '\p{_In_Ornamental_dingbats}', "");
Expect(1, 128640, '\p{^_In_Ornamental_dingbats}', "");
Expect(1, 128640, '\P{_In_Ornamental_dingbats}', "");
Expect(0, 128640, '\P{^_In_Ornamental_dingbats}', "");
Error('\p{_ osmanya:=}');
Error('\P{_ osmanya:=}');
Expect(1, 66729, '\p{osmanya}', "");
Expect(0, 66729, '\p{^osmanya}', "");
Expect(0, 66729, '\P{osmanya}', "");
Expect(1, 66729, '\P{^osmanya}', "");
Expect(0, 66730, '\p{osmanya}', "");
Expect(1, 66730, '\p{^osmanya}', "");
Expect(1, 66730, '\P{osmanya}', "");
Expect(0, 66730, '\P{^osmanya}', "");
Expect(1, 66729, '\p{_osmanya}', "");
Expect(0, 66729, '\p{^_osmanya}', "");
Expect(0, 66729, '\P{_osmanya}', "");
Expect(1, 66729, '\P{^_osmanya}', "");
Expect(0, 66730, '\p{_osmanya}', "");
Expect(1, 66730, '\p{^_osmanya}', "");
Expect(1, 66730, '\P{_osmanya}', "");
Expect(0, 66730, '\P{^_osmanya}', "");
Error('\p{/a/-Is_Osmanya}');
Error('\P{/a/-Is_Osmanya}');
Expect(1, 66729, '\p{isosmanya}', "");
Expect(0, 66729, '\p{^isosmanya}', "");
Expect(0, 66729, '\P{isosmanya}', "");
Expect(1, 66729, '\P{^isosmanya}', "");
Expect(0, 66730, '\p{isosmanya}', "");
Expect(1, 66730, '\p{^isosmanya}', "");
Expect(1, 66730, '\P{isosmanya}', "");
Expect(0, 66730, '\P{^isosmanya}', "");
Expect(1, 66729, '\p{ 	IS_Osmanya}', "");
Expect(0, 66729, '\p{^ 	IS_Osmanya}', "");
Expect(0, 66729, '\P{ 	IS_Osmanya}', "");
Expect(1, 66729, '\P{^ 	IS_Osmanya}', "");
Expect(0, 66730, '\p{ 	IS_Osmanya}', "");
Expect(1, 66730, '\p{^ 	IS_Osmanya}', "");
Expect(1, 66730, '\P{ 	IS_Osmanya}', "");
Expect(0, 66730, '\P{^ 	IS_Osmanya}', "");
Error('\p{:=- Osma}');
Error('\P{:=- Osma}');
Expect(1, 66729, '\p{osma}', "");
Expect(0, 66729, '\p{^osma}', "");
Expect(0, 66729, '\P{osma}', "");
Expect(1, 66729, '\P{^osma}', "");
Expect(0, 66730, '\p{osma}', "");
Expect(1, 66730, '\p{^osma}', "");
Expect(1, 66730, '\P{osma}', "");
Expect(0, 66730, '\P{^osma}', "");
Expect(1, 66729, '\p{	Osma}', "");
Expect(0, 66729, '\p{^	Osma}', "");
Expect(0, 66729, '\P{	Osma}', "");
Expect(1, 66729, '\P{^	Osma}', "");
Expect(0, 66730, '\p{	Osma}', "");
Expect(1, 66730, '\p{^	Osma}', "");
Expect(1, 66730, '\P{	Osma}', "");
Expect(0, 66730, '\P{^	Osma}', "");
Error('\p{/a/IS_Osma}');
Error('\P{/a/IS_Osma}');
Expect(1, 66729, '\p{isosma}', "");
Expect(0, 66729, '\p{^isosma}', "");
Expect(0, 66729, '\P{isosma}', "");
Expect(1, 66729, '\P{^isosma}', "");
Expect(0, 66730, '\p{isosma}', "");
Expect(1, 66730, '\p{^isosma}', "");
Expect(1, 66730, '\P{isosma}', "");
Expect(0, 66730, '\P{^isosma}', "");
Expect(1, 66729, '\p{--IS_OSMA}', "");
Expect(0, 66729, '\p{^--IS_OSMA}', "");
Expect(0, 66729, '\P{--IS_OSMA}', "");
Expect(1, 66729, '\P{^--IS_OSMA}', "");
Expect(0, 66730, '\p{--IS_OSMA}', "");
Expect(1, 66730, '\p{^--IS_OSMA}', "");
Expect(1, 66730, '\P{--IS_OSMA}', "");
Expect(0, 66730, '\P{^--IS_OSMA}', "");
Error('\p{ _Other:=}');
Error('\P{ _Other:=}');
Expect(1, 918000, '\p{other}', "");
Expect(0, 918000, '\p{^other}', "");
Expect(0, 918000, '\P{other}', "");
Expect(1, 918000, '\P{^other}', "");
Expect(0, 917999, '\p{other}', "");
Expect(1, 917999, '\p{^other}', "");
Expect(1, 917999, '\P{other}', "");
Expect(0, 917999, '\P{^other}', "");
Expect(1, 918000, '\p{_-Other}', "");
Expect(0, 918000, '\p{^_-Other}', "");
Expect(0, 918000, '\P{_-Other}', "");
Expect(1, 918000, '\P{^_-Other}', "");
Expect(0, 917999, '\p{_-Other}', "");
Expect(1, 917999, '\p{^_-Other}', "");
Expect(1, 917999, '\P{_-Other}', "");
Expect(0, 917999, '\P{^_-Other}', "");
Error('\p{:=  IS_other}');
Error('\P{:=  IS_other}');
Expect(1, 918000, '\p{isother}', "");
Expect(0, 918000, '\p{^isother}', "");
Expect(0, 918000, '\P{isother}', "");
Expect(1, 918000, '\P{^isother}', "");
Expect(0, 917999, '\p{isother}', "");
Expect(1, 917999, '\p{^isother}', "");
Expect(1, 917999, '\P{isother}', "");
Expect(0, 917999, '\P{^isother}', "");
Expect(1, 918000, '\p{		Is_Other}', "");
Expect(0, 918000, '\p{^		Is_Other}', "");
Expect(0, 918000, '\P{		Is_Other}', "");
Expect(1, 918000, '\P{^		Is_Other}', "");
Expect(0, 917999, '\p{		Is_Other}', "");
Expect(1, 917999, '\p{^		Is_Other}', "");
Expect(1, 917999, '\P{		Is_Other}', "");
Expect(0, 917999, '\P{^		Is_Other}', "");
Error('\p{/a/c}');
Error('\P{/a/c}');
Expect(1, 918000, '\p{c}', "");
Expect(0, 918000, '\p{^c}', "");
Expect(0, 918000, '\P{c}', "");
Expect(1, 918000, '\P{^c}', "");
Expect(0, 917999, '\p{c}', "");
Expect(1, 917999, '\p{^c}', "");
Expect(1, 917999, '\P{c}', "");
Expect(0, 917999, '\P{^c}', "");
Expect(1, 918000, '\p{- C}', "");
Expect(0, 918000, '\p{^- C}', "");
Expect(0, 918000, '\P{- C}', "");
Expect(1, 918000, '\P{^- C}', "");
Expect(0, 917999, '\p{- C}', "");
Expect(1, 917999, '\p{^- C}', "");
Expect(1, 917999, '\P{- C}', "");
Expect(0, 917999, '\P{^- C}', "");
Error('\p{ 	is_C/a/}');
Error('\P{ 	is_C/a/}');
Expect(1, 918000, '\p{isc}', "");
Expect(0, 918000, '\p{^isc}', "");
Expect(0, 918000, '\P{isc}', "");
Expect(1, 918000, '\P{^isc}', "");
Expect(0, 917999, '\p{isc}', "");
Expect(1, 917999, '\p{^isc}', "");
Expect(1, 917999, '\P{isc}', "");
Expect(0, 917999, '\P{^isc}', "");
Expect(1, 918000, '\p{ _IS_C}', "");
Expect(0, 918000, '\p{^ _IS_C}', "");
Expect(0, 918000, '\P{ _IS_C}', "");
Expect(1, 918000, '\P{^ _IS_C}', "");
Expect(0, 917999, '\p{ _IS_C}', "");
Expect(1, 917999, '\p{^ _IS_C}', "");
Expect(1, 917999, '\P{ _IS_C}', "");
Expect(0, 917999, '\P{^ _IS_C}', "");
Error('\p{Other_Alphabetic}');
Error('\P{Other_Alphabetic}');
Error('\p{Is_Other_Alphabetic}');
Error('\P{Is_Other_Alphabetic}');
Error('\p{OAlpha}');
Error('\P{OAlpha}');
Error('\p{Is_OAlpha}');
Error('\P{Is_OAlpha}');
Error('\p{Other_Default_Ignorable_Code_Point}');
Error('\P{Other_Default_Ignorable_Code_Point}');
Error('\p{Is_Other_Default_Ignorable_Code_Point}');
Error('\P{Is_Other_Default_Ignorable_Code_Point}');
Error('\p{ODI}');
Error('\P{ODI}');
Error('\p{Is_ODI}');
Error('\P{Is_ODI}');
Error('\p{Other_Grapheme_Extend}');
Error('\P{Other_Grapheme_Extend}');
Error('\p{Is_Other_Grapheme_Extend}');
Error('\P{Is_Other_Grapheme_Extend}');
Error('\p{OGr_Ext}');
Error('\P{OGr_Ext}');
Error('\p{Is_OGr_Ext}');
Error('\P{Is_OGr_Ext}');
Error('\p{Other_ID_Continue}');
Error('\P{Other_ID_Continue}');
Error('\p{Is_Other_ID_Continue}');
Error('\P{Is_Other_ID_Continue}');
Error('\p{OIDC}');
Error('\P{OIDC}');
Error('\p{Is_OIDC}');
Error('\P{Is_OIDC}');
Error('\p{Other_ID_Start}');
Error('\P{Other_ID_Start}');
Error('\p{Is_Other_ID_Start}');
Error('\P{Is_Other_ID_Start}');
Error('\p{OIDS}');
Error('\P{OIDS}');
Error('\p{Is_OIDS}');
Error('\P{Is_OIDS}');
Error('\p{ _OTHER_Letter/a/}');
Error('\P{ _OTHER_Letter/a/}');
Expect(1, 195101, '\p{otherletter}', "");
Expect(0, 195101, '\p{^otherletter}', "");
Expect(0, 195101, '\P{otherletter}', "");
Expect(1, 195101, '\P{^otherletter}', "");
Expect(0, 195102, '\p{otherletter}', "");
Expect(1, 195102, '\p{^otherletter}', "");
Expect(1, 195102, '\P{otherletter}', "");
Expect(0, 195102, '\P{^otherletter}', "");
Expect(1, 195101, '\p{Other_Letter}', "");
Expect(0, 195101, '\p{^Other_Letter}', "");
Expect(0, 195101, '\P{Other_Letter}', "");
Expect(1, 195101, '\P{^Other_Letter}', "");
Expect(0, 195102, '\p{Other_Letter}', "");
Expect(1, 195102, '\p{^Other_Letter}', "");
Expect(1, 195102, '\P{Other_Letter}', "");
Expect(0, 195102, '\P{^Other_Letter}', "");
Error('\p{/a/  IS_OTHER_Letter}');
Error('\P{/a/  IS_OTHER_Letter}');
Expect(1, 195101, '\p{isotherletter}', "");
Expect(0, 195101, '\p{^isotherletter}', "");
Expect(0, 195101, '\P{isotherletter}', "");
Expect(1, 195101, '\P{^isotherletter}', "");
Expect(0, 195102, '\p{isotherletter}', "");
Expect(1, 195102, '\p{^isotherletter}', "");
Expect(1, 195102, '\P{isotherletter}', "");
Expect(0, 195102, '\P{^isotherletter}', "");
Expect(1, 195101, '\p{-is_other_letter}', "");
Expect(0, 195101, '\p{^-is_other_letter}', "");
Expect(0, 195101, '\P{-is_other_letter}', "");
Expect(1, 195101, '\P{^-is_other_letter}', "");
Expect(0, 195102, '\p{-is_other_letter}', "");
Expect(1, 195102, '\p{^-is_other_letter}', "");
Expect(1, 195102, '\P{-is_other_letter}', "");
Expect(0, 195102, '\P{^-is_other_letter}', "");
Error('\p{:= Lo}');
Error('\P{:= Lo}');
Expect(1, 195101, '\p{lo}', "");
Expect(0, 195101, '\p{^lo}', "");
Expect(0, 195101, '\P{lo}', "");
Expect(1, 195101, '\P{^lo}', "");
Expect(0, 195102, '\p{lo}', "");
Expect(1, 195102, '\p{^lo}', "");
Expect(1, 195102, '\P{lo}', "");
Expect(0, 195102, '\P{^lo}', "");
Expect(1, 195101, '\p{-LO}', "");
Expect(0, 195101, '\p{^-LO}', "");
Expect(0, 195101, '\P{-LO}', "");
Expect(1, 195101, '\P{^-LO}', "");
Expect(0, 195102, '\p{-LO}', "");
Expect(1, 195102, '\p{^-LO}', "");
Expect(1, 195102, '\P{-LO}', "");
Expect(0, 195102, '\P{^-LO}', "");
Error('\p{	/a/Is_LO}');
Error('\P{	/a/Is_LO}');
Expect(1, 195101, '\p{islo}', "");
Expect(0, 195101, '\p{^islo}', "");
Expect(0, 195101, '\P{islo}', "");
Expect(1, 195101, '\P{^islo}', "");
Expect(0, 195102, '\p{islo}', "");
Expect(1, 195102, '\p{^islo}', "");
Expect(1, 195102, '\P{islo}', "");
Expect(0, 195102, '\P{^islo}', "");
Expect(1, 195101, '\p{_	is_lo}', "");
Expect(0, 195101, '\p{^_	is_lo}', "");
Expect(0, 195101, '\P{_	is_lo}', "");
Expect(1, 195101, '\P{^_	is_lo}', "");
Expect(0, 195102, '\p{_	is_lo}', "");
Expect(1, 195102, '\p{^_	is_lo}', "");
Expect(1, 195102, '\P{_	is_lo}', "");
Expect(0, 195102, '\P{^_	is_lo}', "");
Error('\p{Other_Lowercase}');
Error('\P{Other_Lowercase}');
Error('\p{Is_Other_Lowercase}');
Error('\P{Is_Other_Lowercase}');
Error('\p{OLower}');
Error('\P{OLower}');
Error('\p{Is_OLower}');
Error('\P{Is_OLower}');
Error('\p{Other_Math}');
Error('\P{Other_Math}');
Error('\p{Is_Other_Math}');
Error('\P{Is_Other_Math}');
Error('\p{OMath}');
Error('\P{OMath}');
Error('\p{Is_OMath}');
Error('\P{Is_OMath}');
Error('\p{:= Other_Number}');
Error('\P{:= Other_Number}');
Expect(1, 127244, '\p{othernumber}', "");
Expect(0, 127244, '\p{^othernumber}', "");
Expect(0, 127244, '\P{othernumber}', "");
Expect(1, 127244, '\P{^othernumber}', "");
Expect(0, 127245, '\p{othernumber}', "");
Expect(1, 127245, '\p{^othernumber}', "");
Expect(1, 127245, '\P{othernumber}', "");
Expect(0, 127245, '\P{^othernumber}', "");
Expect(1, 127244, '\p{-_Other_number}', "");
Expect(0, 127244, '\p{^-_Other_number}', "");
Expect(0, 127244, '\P{-_Other_number}', "");
Expect(1, 127244, '\P{^-_Other_number}', "");
Expect(0, 127245, '\p{-_Other_number}', "");
Expect(1, 127245, '\p{^-_Other_number}', "");
Expect(1, 127245, '\P{-_Other_number}', "");
Expect(0, 127245, '\P{^-_Other_number}', "");
Error('\p{ :=is_other_number}');
Error('\P{ :=is_other_number}');
Expect(1, 127244, '\p{isothernumber}', "");
Expect(0, 127244, '\p{^isothernumber}', "");
Expect(0, 127244, '\P{isothernumber}', "");
Expect(1, 127244, '\P{^isothernumber}', "");
Expect(0, 127245, '\p{isothernumber}', "");
Expect(1, 127245, '\p{^isothernumber}', "");
Expect(1, 127245, '\P{isothernumber}', "");
Expect(0, 127245, '\P{^isothernumber}', "");
Expect(1, 127244, '\p{	 is_OTHER_NUMBER}', "");
Expect(0, 127244, '\p{^	 is_OTHER_NUMBER}', "");
Expect(0, 127244, '\P{	 is_OTHER_NUMBER}', "");
Expect(1, 127244, '\P{^	 is_OTHER_NUMBER}', "");
Expect(0, 127245, '\p{	 is_OTHER_NUMBER}', "");
Expect(1, 127245, '\p{^	 is_OTHER_NUMBER}', "");
Expect(1, 127245, '\P{	 is_OTHER_NUMBER}', "");
Expect(0, 127245, '\P{^	 is_OTHER_NUMBER}', "");
Error('\p{-_NO/a/}');
Error('\P{-_NO/a/}');
Expect(1, 127244, '\p{no}', "");
Expect(0, 127244, '\p{^no}', "");
Expect(0, 127244, '\P{no}', "");
Expect(1, 127244, '\P{^no}', "");
Expect(0, 127245, '\p{no}', "");
Expect(1, 127245, '\p{^no}', "");
Expect(1, 127245, '\P{no}', "");
Expect(0, 127245, '\P{^no}', "");
Expect(1, 127244, '\p{ NO}', "");
Expect(0, 127244, '\p{^ NO}', "");
Expect(0, 127244, '\P{ NO}', "");
Expect(1, 127244, '\P{^ NO}', "");
Expect(0, 127245, '\p{ NO}', "");
Expect(1, 127245, '\p{^ NO}', "");
Expect(1, 127245, '\P{ NO}', "");
Expect(0, 127245, '\P{^ NO}', "");
Error('\p{		Is_NO:=}');
Error('\P{		Is_NO:=}');
Expect(1, 127244, '\p{isno}', "");
Expect(0, 127244, '\p{^isno}', "");
Expect(0, 127244, '\P{isno}', "");
Expect(1, 127244, '\P{^isno}', "");
Expect(0, 127245, '\p{isno}', "");
Expect(1, 127245, '\p{^isno}', "");
Expect(1, 127245, '\P{isno}', "");
Expect(0, 127245, '\P{^isno}', "");
Expect(1, 127244, '\p{ _Is_NO}', "");
Expect(0, 127244, '\p{^ _Is_NO}', "");
Expect(0, 127244, '\P{ _Is_NO}', "");
Expect(1, 127244, '\P{^ _Is_NO}', "");
Expect(0, 127245, '\p{ _Is_NO}', "");
Expect(1, 127245, '\p{^ _Is_NO}', "");
Expect(1, 127245, '\P{ _Is_NO}', "");
Expect(0, 127245, '\P{^ _Is_NO}', "");
Error('\p{	Other_Punctuation/a/}');
Error('\P{	Other_Punctuation/a/}');
Expect(1, 113823, '\p{otherpunctuation}', "");
Expect(0, 113823, '\p{^otherpunctuation}', "");
Expect(0, 113823, '\P{otherpunctuation}', "");
Expect(1, 113823, '\P{^otherpunctuation}', "");
Expect(0, 113824, '\p{otherpunctuation}', "");
Expect(1, 113824, '\p{^otherpunctuation}', "");
Expect(1, 113824, '\P{otherpunctuation}', "");
Expect(0, 113824, '\P{^otherpunctuation}', "");
Expect(1, 113823, '\p{	OTHER_Punctuation}', "");
Expect(0, 113823, '\p{^	OTHER_Punctuation}', "");
Expect(0, 113823, '\P{	OTHER_Punctuation}', "");
Expect(1, 113823, '\P{^	OTHER_Punctuation}', "");
Expect(0, 113824, '\p{	OTHER_Punctuation}', "");
Expect(1, 113824, '\p{^	OTHER_Punctuation}', "");
Expect(1, 113824, '\P{	OTHER_Punctuation}', "");
Expect(0, 113824, '\P{^	OTHER_Punctuation}', "");
Error('\p{/a/ -is_OTHER_punctuation}');
Error('\P{/a/ -is_OTHER_punctuation}');
Expect(1, 113823, '\p{isotherpunctuation}', "");
Expect(0, 113823, '\p{^isotherpunctuation}', "");
Expect(0, 113823, '\P{isotherpunctuation}', "");
Expect(1, 113823, '\P{^isotherpunctuation}', "");
Expect(0, 113824, '\p{isotherpunctuation}', "");
Expect(1, 113824, '\p{^isotherpunctuation}', "");
Expect(1, 113824, '\P{isotherpunctuation}', "");
Expect(0, 113824, '\P{^isotherpunctuation}', "");
Expect(1, 113823, '\p{--is_other_Punctuation}', "");
Expect(0, 113823, '\p{^--is_other_Punctuation}', "");
Expect(0, 113823, '\P{--is_other_Punctuation}', "");
Expect(1, 113823, '\P{^--is_other_Punctuation}', "");
Expect(0, 113824, '\p{--is_other_Punctuation}', "");
Expect(1, 113824, '\p{^--is_other_Punctuation}', "");
Expect(1, 113824, '\P{--is_other_Punctuation}', "");
Expect(0, 113824, '\P{^--is_other_Punctuation}', "");
Error('\p{_	Po/a/}');
Error('\P{_	Po/a/}');
Expect(1, 113823, '\p{po}', "");
Expect(0, 113823, '\p{^po}', "");
Expect(0, 113823, '\P{po}', "");
Expect(1, 113823, '\P{^po}', "");
Expect(0, 113824, '\p{po}', "");
Expect(1, 113824, '\p{^po}', "");
Expect(1, 113824, '\P{po}', "");
Expect(0, 113824, '\P{^po}', "");
Expect(1, 113823, '\p{	_PO}', "");
Expect(0, 113823, '\p{^	_PO}', "");
Expect(0, 113823, '\P{	_PO}', "");
Expect(1, 113823, '\P{^	_PO}', "");
Expect(0, 113824, '\p{	_PO}', "");
Expect(1, 113824, '\p{^	_PO}', "");
Expect(1, 113824, '\P{	_PO}', "");
Expect(0, 113824, '\P{^	_PO}', "");
Error('\p{:=	-IS_Po}');
Error('\P{:=	-IS_Po}');
Expect(1, 113823, '\p{ispo}', "");
Expect(0, 113823, '\p{^ispo}', "");
Expect(0, 113823, '\P{ispo}', "");
Expect(1, 113823, '\P{^ispo}', "");
Expect(0, 113824, '\p{ispo}', "");
Expect(1, 113824, '\p{^ispo}', "");
Expect(1, 113824, '\P{ispo}', "");
Expect(0, 113824, '\P{^ispo}', "");
Expect(1, 113823, '\p{	Is_po}', "");
Expect(0, 113823, '\p{^	Is_po}', "");
Expect(0, 113823, '\P{	Is_po}', "");
Expect(1, 113823, '\P{^	Is_po}', "");
Expect(0, 113824, '\p{	Is_po}', "");
Expect(1, 113824, '\p{^	Is_po}', "");
Expect(1, 113824, '\P{	Is_po}', "");
Expect(0, 113824, '\P{^	Is_po}', "");
Error('\p{:=OTHER_Symbol}');
Error('\P{:=OTHER_Symbol}');
Expect(1, 129197, '\p{othersymbol}', "");
Expect(0, 129197, '\p{^othersymbol}', "");
Expect(0, 129197, '\P{othersymbol}', "");
Expect(1, 129197, '\P{^othersymbol}', "");
Expect(0, 129198, '\p{othersymbol}', "");
Expect(1, 129198, '\p{^othersymbol}', "");
Expect(1, 129198, '\P{othersymbol}', "");
Expect(0, 129198, '\P{^othersymbol}', "");
Expect(1, 129197, '\p{		Other_Symbol}', "");
Expect(0, 129197, '\p{^		Other_Symbol}', "");
Expect(0, 129197, '\P{		Other_Symbol}', "");
Expect(1, 129197, '\P{^		Other_Symbol}', "");
Expect(0, 129198, '\p{		Other_Symbol}', "");
Expect(1, 129198, '\p{^		Other_Symbol}', "");
Expect(1, 129198, '\P{		Other_Symbol}', "");
Expect(0, 129198, '\P{^		Other_Symbol}', "");
Error('\p{	-Is_Other_symbol/a/}');
Error('\P{	-Is_Other_symbol/a/}');
Expect(1, 129197, '\p{isothersymbol}', "");
Expect(0, 129197, '\p{^isothersymbol}', "");
Expect(0, 129197, '\P{isothersymbol}', "");
Expect(1, 129197, '\P{^isothersymbol}', "");
Expect(0, 129198, '\p{isothersymbol}', "");
Expect(1, 129198, '\p{^isothersymbol}', "");
Expect(1, 129198, '\P{isothersymbol}', "");
Expect(0, 129198, '\P{^isothersymbol}', "");
Expect(1, 129197, '\p{Is_other_Symbol}', "");
Expect(0, 129197, '\p{^Is_other_Symbol}', "");
Expect(0, 129197, '\P{Is_other_Symbol}', "");
Expect(1, 129197, '\P{^Is_other_Symbol}', "");
Expect(0, 129198, '\p{Is_other_Symbol}', "");
Expect(1, 129198, '\p{^Is_other_Symbol}', "");
Expect(1, 129198, '\P{Is_other_Symbol}', "");
Expect(0, 129198, '\P{^Is_other_Symbol}', "");
Error('\p{/a/-So}');
Error('\P{/a/-So}');
Expect(1, 129197, '\p{so}', "");
Expect(0, 129197, '\p{^so}', "");
Expect(0, 129197, '\P{so}', "");
Expect(1, 129197, '\P{^so}', "");
Expect(0, 129198, '\p{so}', "");
Expect(1, 129198, '\p{^so}', "");
Expect(1, 129198, '\P{so}', "");
Expect(0, 129198, '\P{^so}', "");
Expect(1, 129197, '\p{__so}', "");
Expect(0, 129197, '\p{^__so}', "");
Expect(0, 129197, '\P{__so}', "");
Expect(1, 129197, '\P{^__so}', "");
Expect(0, 129198, '\p{__so}', "");
Expect(1, 129198, '\p{^__so}', "");
Expect(1, 129198, '\P{__so}', "");
Expect(0, 129198, '\P{^__so}', "");
Error('\p{/a/ -is_So}');
Error('\P{/a/ -is_So}');
Expect(1, 129197, '\p{isso}', "");
Expect(0, 129197, '\p{^isso}', "");
Expect(0, 129197, '\P{isso}', "");
Expect(1, 129197, '\P{^isso}', "");
Expect(0, 129198, '\p{isso}', "");
Expect(1, 129198, '\p{^isso}', "");
Expect(1, 129198, '\P{isso}', "");
Expect(0, 129198, '\P{^isso}', "");
Expect(1, 129197, '\p{	_IS_So}', "");
Expect(0, 129197, '\p{^	_IS_So}', "");
Expect(0, 129197, '\P{	_IS_So}', "");
Expect(1, 129197, '\P{^	_IS_So}', "");
Expect(0, 129198, '\p{	_IS_So}', "");
Expect(1, 129198, '\p{^	_IS_So}', "");
Expect(1, 129198, '\P{	_IS_So}', "");
Expect(0, 129198, '\P{^	_IS_So}', "");
Error('\p{Other_Uppercase}');
Error('\P{Other_Uppercase}');
Error('\p{Is_Other_Uppercase}');
Error('\P{Is_Other_Uppercase}');
Error('\p{OUpper}');
Error('\P{OUpper}');
Error('\p{Is_OUpper}');
Error('\P{Is_OUpper}');
Error('\p{:=-pahawh_hmong}');
Error('\P{:=-pahawh_hmong}');
Expect(1, 93071, '\p{pahawhhmong}', "");
Expect(0, 93071, '\p{^pahawhhmong}', "");
Expect(0, 93071, '\P{pahawhhmong}', "");
Expect(1, 93071, '\P{^pahawhhmong}', "");
Expect(0, 93072, '\p{pahawhhmong}', "");
Expect(1, 93072, '\p{^pahawhhmong}', "");
Expect(1, 93072, '\P{pahawhhmong}', "");
Expect(0, 93072, '\P{^pahawhhmong}', "");
Expect(1, 93071, '\p{-PAHAWH_Hmong}', "");
Expect(0, 93071, '\p{^-PAHAWH_Hmong}', "");
Expect(0, 93071, '\P{-PAHAWH_Hmong}', "");
Expect(1, 93071, '\P{^-PAHAWH_Hmong}', "");
Expect(0, 93072, '\p{-PAHAWH_Hmong}', "");
Expect(1, 93072, '\p{^-PAHAWH_Hmong}', "");
Expect(1, 93072, '\P{-PAHAWH_Hmong}', "");
Expect(0, 93072, '\P{^-PAHAWH_Hmong}', "");
Error('\p{/a/-_Is_pahawh_hmong}');
Error('\P{/a/-_Is_pahawh_hmong}');
Expect(1, 93071, '\p{ispahawhhmong}', "");
Expect(0, 93071, '\p{^ispahawhhmong}', "");
Expect(0, 93071, '\P{ispahawhhmong}', "");
Expect(1, 93071, '\P{^ispahawhhmong}', "");
Expect(0, 93072, '\p{ispahawhhmong}', "");
Expect(1, 93072, '\p{^ispahawhhmong}', "");
Expect(1, 93072, '\P{ispahawhhmong}', "");
Expect(0, 93072, '\P{^ispahawhhmong}', "");
Expect(1, 93071, '\p{ Is_pahawh_Hmong}', "");
Expect(0, 93071, '\p{^ Is_pahawh_Hmong}', "");
Expect(0, 93071, '\P{ Is_pahawh_Hmong}', "");
Expect(1, 93071, '\P{^ Is_pahawh_Hmong}', "");
Expect(0, 93072, '\p{ Is_pahawh_Hmong}', "");
Expect(1, 93072, '\p{^ Is_pahawh_Hmong}', "");
Expect(1, 93072, '\P{ Is_pahawh_Hmong}', "");
Expect(0, 93072, '\P{^ Is_pahawh_Hmong}', "");
Error('\p{_ hmng:=}');
Error('\P{_ hmng:=}');
Expect(1, 93071, '\p{hmng}', "");
Expect(0, 93071, '\p{^hmng}', "");
Expect(0, 93071, '\P{hmng}', "");
Expect(1, 93071, '\P{^hmng}', "");
Expect(0, 93072, '\p{hmng}', "");
Expect(1, 93072, '\p{^hmng}', "");
Expect(1, 93072, '\P{hmng}', "");
Expect(0, 93072, '\P{^hmng}', "");
Expect(1, 93071, '\p{-Hmng}', "");
Expect(0, 93071, '\p{^-Hmng}', "");
Expect(0, 93071, '\P{-Hmng}', "");
Expect(1, 93071, '\P{^-Hmng}', "");
Expect(0, 93072, '\p{-Hmng}', "");
Expect(1, 93072, '\p{^-Hmng}', "");
Expect(1, 93072, '\P{-Hmng}', "");
Expect(0, 93072, '\P{^-Hmng}', "");
Error('\p{	:=Is_hmng}');
Error('\P{	:=Is_hmng}');
Expect(1, 93071, '\p{ishmng}', "");
Expect(0, 93071, '\p{^ishmng}', "");
Expect(0, 93071, '\P{ishmng}', "");
Expect(1, 93071, '\P{^ishmng}', "");
Expect(0, 93072, '\p{ishmng}', "");
Expect(1, 93072, '\p{^ishmng}', "");
Expect(1, 93072, '\P{ishmng}', "");
Expect(0, 93072, '\P{^ishmng}', "");
Expect(1, 93071, '\p{ _is_HMNG}', "");
Expect(0, 93071, '\p{^ _is_HMNG}', "");
Expect(0, 93071, '\P{ _is_HMNG}', "");
Expect(1, 93071, '\P{^ _is_HMNG}', "");
Expect(0, 93072, '\p{ _is_HMNG}', "");
Expect(1, 93072, '\p{^ _is_HMNG}', "");
Expect(1, 93072, '\P{ _is_HMNG}', "");
Expect(0, 93072, '\P{^ _is_HMNG}', "");
Error('\p{ PALMYRENE:=}');
Error('\P{ PALMYRENE:=}');
Expect(1, 67711, '\p{palmyrene}', "");
Expect(0, 67711, '\p{^palmyrene}', "");
Expect(0, 67711, '\P{palmyrene}', "");
Expect(1, 67711, '\P{^palmyrene}', "");
Expect(0, 67712, '\p{palmyrene}', "");
Expect(1, 67712, '\p{^palmyrene}', "");
Expect(1, 67712, '\P{palmyrene}', "");
Expect(0, 67712, '\P{^palmyrene}', "");
Expect(1, 67711, '\p{PALMYRENE}', "");
Expect(0, 67711, '\p{^PALMYRENE}', "");
Expect(0, 67711, '\P{PALMYRENE}', "");
Expect(1, 67711, '\P{^PALMYRENE}', "");
Expect(0, 67712, '\p{PALMYRENE}', "");
Expect(1, 67712, '\p{^PALMYRENE}', "");
Expect(1, 67712, '\P{PALMYRENE}', "");
Expect(0, 67712, '\P{^PALMYRENE}', "");
Error('\p{_:=IS_Palmyrene}');
Error('\P{_:=IS_Palmyrene}');
Expect(1, 67711, '\p{ispalmyrene}', "");
Expect(0, 67711, '\p{^ispalmyrene}', "");
Expect(0, 67711, '\P{ispalmyrene}', "");
Expect(1, 67711, '\P{^ispalmyrene}', "");
Expect(0, 67712, '\p{ispalmyrene}', "");
Expect(1, 67712, '\p{^ispalmyrene}', "");
Expect(1, 67712, '\P{ispalmyrene}', "");
Expect(0, 67712, '\P{^ispalmyrene}', "");
Expect(1, 67711, '\p{-IS_palmyrene}', "");
Expect(0, 67711, '\p{^-IS_palmyrene}', "");
Expect(0, 67711, '\P{-IS_palmyrene}', "");
Expect(1, 67711, '\P{^-IS_palmyrene}', "");
Expect(0, 67712, '\p{-IS_palmyrene}', "");
Expect(1, 67712, '\p{^-IS_palmyrene}', "");
Expect(1, 67712, '\P{-IS_palmyrene}', "");
Expect(0, 67712, '\P{^-IS_palmyrene}', "");
Error('\p{-	Palm:=}');
Error('\P{-	Palm:=}');
Expect(1, 67711, '\p{palm}', "");
Expect(0, 67711, '\p{^palm}', "");
Expect(0, 67711, '\P{palm}', "");
Expect(1, 67711, '\P{^palm}', "");
Expect(0, 67712, '\p{palm}', "");
Expect(1, 67712, '\p{^palm}', "");
Expect(1, 67712, '\P{palm}', "");
Expect(0, 67712, '\P{^palm}', "");
Expect(1, 67711, '\p{_	Palm}', "");
Expect(0, 67711, '\p{^_	Palm}', "");
Expect(0, 67711, '\P{_	Palm}', "");
Expect(1, 67711, '\P{^_	Palm}', "");
Expect(0, 67712, '\p{_	Palm}', "");
Expect(1, 67712, '\p{^_	Palm}', "");
Expect(1, 67712, '\P{_	Palm}', "");
Expect(0, 67712, '\P{^_	Palm}', "");
Error('\p{/a/_is_palm}');
Error('\P{/a/_is_palm}');
Expect(1, 67711, '\p{ispalm}', "");
Expect(0, 67711, '\p{^ispalm}', "");
Expect(0, 67711, '\P{ispalm}', "");
Expect(1, 67711, '\P{^ispalm}', "");
Expect(0, 67712, '\p{ispalm}', "");
Expect(1, 67712, '\p{^ispalm}', "");
Expect(1, 67712, '\P{ispalm}', "");
Expect(0, 67712, '\P{^ispalm}', "");
Expect(1, 67711, '\p{	-is_PALM}', "");
Expect(0, 67711, '\p{^	-is_PALM}', "");
Expect(0, 67711, '\P{	-is_PALM}', "");
Expect(1, 67711, '\P{^	-is_PALM}', "");
Expect(0, 67712, '\p{	-is_PALM}', "");
Expect(1, 67712, '\p{^	-is_PALM}', "");
Expect(1, 67712, '\P{	-is_PALM}', "");
Expect(0, 67712, '\P{^	-is_PALM}', "");
Error('\p{/a/ Paragraph_SEPARATOR}');
Error('\P{/a/ Paragraph_SEPARATOR}');
Expect(1, 8233, '\p{paragraphseparator}', "");
Expect(0, 8233, '\p{^paragraphseparator}', "");
Expect(0, 8233, '\P{paragraphseparator}', "");
Expect(1, 8233, '\P{^paragraphseparator}', "");
Expect(0, 8234, '\p{paragraphseparator}', "");
Expect(1, 8234, '\p{^paragraphseparator}', "");
Expect(1, 8234, '\P{paragraphseparator}', "");
Expect(0, 8234, '\P{^paragraphseparator}', "");
Expect(1, 8233, '\p{	-Paragraph_Separator}', "");
Expect(0, 8233, '\p{^	-Paragraph_Separator}', "");
Expect(0, 8233, '\P{	-Paragraph_Separator}', "");
Expect(1, 8233, '\P{^	-Paragraph_Separator}', "");
Expect(0, 8234, '\p{	-Paragraph_Separator}', "");
Expect(1, 8234, '\p{^	-Paragraph_Separator}', "");
Expect(1, 8234, '\P{	-Paragraph_Separator}', "");
Expect(0, 8234, '\P{^	-Paragraph_Separator}', "");
Error('\p{ _Is_PARAGRAPH_separator:=}');
Error('\P{ _Is_PARAGRAPH_separator:=}');
Expect(1, 8233, '\p{isparagraphseparator}', "");
Expect(0, 8233, '\p{^isparagraphseparator}', "");
Expect(0, 8233, '\P{isparagraphseparator}', "");
Expect(1, 8233, '\P{^isparagraphseparator}', "");
Expect(0, 8234, '\p{isparagraphseparator}', "");
Expect(1, 8234, '\p{^isparagraphseparator}', "");
Expect(1, 8234, '\P{isparagraphseparator}', "");
Expect(0, 8234, '\P{^isparagraphseparator}', "");
Expect(1, 8233, '\p{		Is_Paragraph_Separator}', "");
Expect(0, 8233, '\p{^		Is_Paragraph_Separator}', "");
Expect(0, 8233, '\P{		Is_Paragraph_Separator}', "");
Expect(1, 8233, '\P{^		Is_Paragraph_Separator}', "");
Expect(0, 8234, '\p{		Is_Paragraph_Separator}', "");
Expect(1, 8234, '\p{^		Is_Paragraph_Separator}', "");
Expect(1, 8234, '\P{		Is_Paragraph_Separator}', "");
Expect(0, 8234, '\P{^		Is_Paragraph_Separator}', "");
Error('\p{:=Zp}');
Error('\P{:=Zp}');
Expect(1, 8233, '\p{zp}', "");
Expect(0, 8233, '\p{^zp}', "");
Expect(0, 8233, '\P{zp}', "");
Expect(1, 8233, '\P{^zp}', "");
Expect(0, 8234, '\p{zp}', "");
Expect(1, 8234, '\p{^zp}', "");
Expect(1, 8234, '\P{zp}', "");
Expect(0, 8234, '\P{^zp}', "");
Expect(1, 8233, '\p{ -ZP}', "");
Expect(0, 8233, '\p{^ -ZP}', "");
Expect(0, 8233, '\P{ -ZP}', "");
Expect(1, 8233, '\P{^ -ZP}', "");
Expect(0, 8234, '\p{ -ZP}', "");
Expect(1, 8234, '\p{^ -ZP}', "");
Expect(1, 8234, '\P{ -ZP}', "");
Expect(0, 8234, '\P{^ -ZP}', "");
Error('\p{/a/is_Zp}');
Error('\P{/a/is_Zp}');
Expect(1, 8233, '\p{iszp}', "");
Expect(0, 8233, '\p{^iszp}', "");
Expect(0, 8233, '\P{iszp}', "");
Expect(1, 8233, '\P{^iszp}', "");
Expect(0, 8234, '\p{iszp}', "");
Expect(1, 8234, '\p{^iszp}', "");
Expect(1, 8234, '\P{iszp}', "");
Expect(0, 8234, '\P{^iszp}', "");
Expect(1, 8233, '\p{-Is_Zp}', "");
Expect(0, 8233, '\p{^-Is_Zp}', "");
Expect(0, 8233, '\P{-Is_Zp}', "");
Expect(1, 8233, '\P{^-Is_Zp}', "");
Expect(0, 8234, '\p{-Is_Zp}', "");
Expect(1, 8234, '\p{^-Is_Zp}', "");
Expect(1, 8234, '\P{-Is_Zp}', "");
Expect(0, 8234, '\P{^-Is_Zp}', "");
Error('\p{	Pattern_syntax/a/}');
Error('\P{	Pattern_syntax/a/}');
Expect(1, 65094, '\p{patternsyntax}', "");
Expect(0, 65094, '\p{^patternsyntax}', "");
Expect(0, 65094, '\P{patternsyntax}', "");
Expect(1, 65094, '\P{^patternsyntax}', "");
Expect(0, 65095, '\p{patternsyntax}', "");
Expect(1, 65095, '\p{^patternsyntax}', "");
Expect(1, 65095, '\P{patternsyntax}', "");
Expect(0, 65095, '\P{^patternsyntax}', "");
Expect(1, 65094, '\p{	 Pattern_Syntax}', "");
Expect(0, 65094, '\p{^	 Pattern_Syntax}', "");
Expect(0, 65094, '\P{	 Pattern_Syntax}', "");
Expect(1, 65094, '\P{^	 Pattern_Syntax}', "");
Expect(0, 65095, '\p{	 Pattern_Syntax}', "");
Expect(1, 65095, '\p{^	 Pattern_Syntax}', "");
Expect(1, 65095, '\P{	 Pattern_Syntax}', "");
Expect(0, 65095, '\P{^	 Pattern_Syntax}', "");
Error('\p{ _is_Pattern_syntax/a/}');
Error('\P{ _is_Pattern_syntax/a/}');
Expect(1, 65094, '\p{ispatternsyntax}', "");
Expect(0, 65094, '\p{^ispatternsyntax}', "");
Expect(0, 65094, '\P{ispatternsyntax}', "");
Expect(1, 65094, '\P{^ispatternsyntax}', "");
Expect(0, 65095, '\p{ispatternsyntax}', "");
Expect(1, 65095, '\p{^ispatternsyntax}', "");
Expect(1, 65095, '\P{ispatternsyntax}', "");
Expect(0, 65095, '\P{^ispatternsyntax}', "");
Expect(1, 65094, '\p{ _is_pattern_SYNTAX}', "");
Expect(0, 65094, '\p{^ _is_pattern_SYNTAX}', "");
Expect(0, 65094, '\P{ _is_pattern_SYNTAX}', "");
Expect(1, 65094, '\P{^ _is_pattern_SYNTAX}', "");
Expect(0, 65095, '\p{ _is_pattern_SYNTAX}', "");
Expect(1, 65095, '\p{^ _is_pattern_SYNTAX}', "");
Expect(1, 65095, '\P{ _is_pattern_SYNTAX}', "");
Expect(0, 65095, '\P{^ _is_pattern_SYNTAX}', "");
Error('\p{_	PAT_Syn:=}');
Error('\P{_	PAT_Syn:=}');
Expect(1, 65094, '\p{patsyn}', "");
Expect(0, 65094, '\p{^patsyn}', "");
Expect(0, 65094, '\P{patsyn}', "");
Expect(1, 65094, '\P{^patsyn}', "");
Expect(0, 65095, '\p{patsyn}', "");
Expect(1, 65095, '\p{^patsyn}', "");
Expect(1, 65095, '\P{patsyn}', "");
Expect(0, 65095, '\P{^patsyn}', "");
Expect(1, 65094, '\p{-PAT_Syn}', "");
Expect(0, 65094, '\p{^-PAT_Syn}', "");
Expect(0, 65094, '\P{-PAT_Syn}', "");
Expect(1, 65094, '\P{^-PAT_Syn}', "");
Expect(0, 65095, '\p{-PAT_Syn}', "");
Expect(1, 65095, '\p{^-PAT_Syn}', "");
Expect(1, 65095, '\P{-PAT_Syn}', "");
Expect(0, 65095, '\P{^-PAT_Syn}', "");
Error('\p{		Is_PAT_Syn:=}');
Error('\P{		Is_PAT_Syn:=}');
Expect(1, 65094, '\p{ispatsyn}', "");
Expect(0, 65094, '\p{^ispatsyn}', "");
Expect(0, 65094, '\P{ispatsyn}', "");
Expect(1, 65094, '\P{^ispatsyn}', "");
Expect(0, 65095, '\p{ispatsyn}', "");
Expect(1, 65095, '\p{^ispatsyn}', "");
Expect(1, 65095, '\P{ispatsyn}', "");
Expect(0, 65095, '\P{^ispatsyn}', "");
Expect(1, 65094, '\p{_IS_PAT_Syn}', "");
Expect(0, 65094, '\p{^_IS_PAT_Syn}', "");
Expect(0, 65094, '\P{_IS_PAT_Syn}', "");
Expect(1, 65094, '\P{^_IS_PAT_Syn}', "");
Expect(0, 65095, '\p{_IS_PAT_Syn}', "");
Expect(1, 65095, '\p{^_IS_PAT_Syn}', "");
Expect(1, 65095, '\P{_IS_PAT_Syn}', "");
Expect(0, 65095, '\P{^_IS_PAT_Syn}', "");
Error('\p{:=	_Pattern_White_SPACE}');
Error('\P{:=	_Pattern_White_SPACE}');
Expect(1, 8233, '\p{patternwhitespace}', "");
Expect(0, 8233, '\p{^patternwhitespace}', "");
Expect(0, 8233, '\P{patternwhitespace}', "");
Expect(1, 8233, '\P{^patternwhitespace}', "");
Expect(0, 8234, '\p{patternwhitespace}', "");
Expect(1, 8234, '\p{^patternwhitespace}', "");
Expect(1, 8234, '\P{patternwhitespace}', "");
Expect(0, 8234, '\P{^patternwhitespace}', "");
Expect(1, 8233, '\p{- Pattern_white_SPACE}', "");
Expect(0, 8233, '\p{^- Pattern_white_SPACE}', "");
Expect(0, 8233, '\P{- Pattern_white_SPACE}', "");
Expect(1, 8233, '\P{^- Pattern_white_SPACE}', "");
Expect(0, 8234, '\p{- Pattern_white_SPACE}', "");
Expect(1, 8234, '\p{^- Pattern_white_SPACE}', "");
Expect(1, 8234, '\P{- Pattern_white_SPACE}', "");
Expect(0, 8234, '\P{^- Pattern_white_SPACE}', "");
Error('\p{ /a/IS_pattern_WHITE_Space}');
Error('\P{ /a/IS_pattern_WHITE_Space}');
Expect(1, 8233, '\p{ispatternwhitespace}', "");
Expect(0, 8233, '\p{^ispatternwhitespace}', "");
Expect(0, 8233, '\P{ispatternwhitespace}', "");
Expect(1, 8233, '\P{^ispatternwhitespace}', "");
Expect(0, 8234, '\p{ispatternwhitespace}', "");
Expect(1, 8234, '\p{^ispatternwhitespace}', "");
Expect(1, 8234, '\P{ispatternwhitespace}', "");
Expect(0, 8234, '\P{^ispatternwhitespace}', "");
Expect(1, 8233, '\p{_IS_pattern_WHITE_Space}', "");
Expect(0, 8233, '\p{^_IS_pattern_WHITE_Space}', "");
Expect(0, 8233, '\P{_IS_pattern_WHITE_Space}', "");
Expect(1, 8233, '\P{^_IS_pattern_WHITE_Space}', "");
Expect(0, 8234, '\p{_IS_pattern_WHITE_Space}', "");
Expect(1, 8234, '\p{^_IS_pattern_WHITE_Space}', "");
Expect(1, 8234, '\P{_IS_pattern_WHITE_Space}', "");
Expect(0, 8234, '\P{^_IS_pattern_WHITE_Space}', "");
Error('\p{	-PAT_ws:=}');
Error('\P{	-PAT_ws:=}');
Expect(1, 8233, '\p{patws}', "");
Expect(0, 8233, '\p{^patws}', "");
Expect(0, 8233, '\P{patws}', "");
Expect(1, 8233, '\P{^patws}', "");
Expect(0, 8234, '\p{patws}', "");
Expect(1, 8234, '\p{^patws}', "");
Expect(1, 8234, '\P{patws}', "");
Expect(0, 8234, '\P{^patws}', "");
Expect(1, 8233, '\p{ pat_WS}', "");
Expect(0, 8233, '\p{^ pat_WS}', "");
Expect(0, 8233, '\P{ pat_WS}', "");
Expect(1, 8233, '\P{^ pat_WS}', "");
Expect(0, 8234, '\p{ pat_WS}', "");
Expect(1, 8234, '\p{^ pat_WS}', "");
Expect(1, 8234, '\P{ pat_WS}', "");
Expect(0, 8234, '\P{^ pat_WS}', "");
Error('\p{/a/_	is_Pat_ws}');
Error('\P{/a/_	is_Pat_ws}');
Expect(1, 8233, '\p{ispatws}', "");
Expect(0, 8233, '\p{^ispatws}', "");
Expect(0, 8233, '\P{ispatws}', "");
Expect(1, 8233, '\P{^ispatws}', "");
Expect(0, 8234, '\p{ispatws}', "");
Expect(1, 8234, '\p{^ispatws}', "");
Expect(1, 8234, '\P{ispatws}', "");
Expect(0, 8234, '\P{^ispatws}', "");
Expect(1, 8233, '\p{ IS_Pat_WS}', "");
Expect(0, 8233, '\p{^ IS_Pat_WS}', "");
Expect(0, 8233, '\P{ IS_Pat_WS}', "");
Expect(1, 8233, '\P{^ IS_Pat_WS}', "");
Expect(0, 8234, '\p{ IS_Pat_WS}', "");
Expect(1, 8234, '\p{^ IS_Pat_WS}', "");
Expect(1, 8234, '\P{ IS_Pat_WS}', "");
Expect(0, 8234, '\P{^ IS_Pat_WS}', "");
Error('\p{	-pau_Cin_HAU/a/}');
Error('\P{	-pau_Cin_HAU/a/}');
Expect(1, 72440, '\p{paucinhau}', "");
Expect(0, 72440, '\p{^paucinhau}', "");
Expect(0, 72440, '\P{paucinhau}', "");
Expect(1, 72440, '\P{^paucinhau}', "");
Expect(0, 72441, '\p{paucinhau}', "");
Expect(1, 72441, '\p{^paucinhau}', "");
Expect(1, 72441, '\P{paucinhau}', "");
Expect(0, 72441, '\P{^paucinhau}', "");
Expect(1, 72440, '\p{_ Pau_Cin_HAU}', "");
Expect(0, 72440, '\p{^_ Pau_Cin_HAU}', "");
Expect(0, 72440, '\P{_ Pau_Cin_HAU}', "");
Expect(1, 72440, '\P{^_ Pau_Cin_HAU}', "");
Expect(0, 72441, '\p{_ Pau_Cin_HAU}', "");
Expect(1, 72441, '\p{^_ Pau_Cin_HAU}', "");
Expect(1, 72441, '\P{_ Pau_Cin_HAU}', "");
Expect(0, 72441, '\P{^_ Pau_Cin_HAU}', "");
Error('\p{-:=Is_Pau_Cin_Hau}');
Error('\P{-:=Is_Pau_Cin_Hau}');
Expect(1, 72440, '\p{ispaucinhau}', "");
Expect(0, 72440, '\p{^ispaucinhau}', "");
Expect(0, 72440, '\P{ispaucinhau}', "");
Expect(1, 72440, '\P{^ispaucinhau}', "");
Expect(0, 72441, '\p{ispaucinhau}', "");
Expect(1, 72441, '\p{^ispaucinhau}', "");
Expect(1, 72441, '\P{ispaucinhau}', "");
Expect(0, 72441, '\P{^ispaucinhau}', "");
Expect(1, 72440, '\p{-	Is_pau_CIN_HAU}', "");
Expect(0, 72440, '\p{^-	Is_pau_CIN_HAU}', "");
Expect(0, 72440, '\P{-	Is_pau_CIN_HAU}', "");
Expect(1, 72440, '\P{^-	Is_pau_CIN_HAU}', "");
Expect(0, 72441, '\p{-	Is_pau_CIN_HAU}', "");
Expect(1, 72441, '\p{^-	Is_pau_CIN_HAU}', "");
Expect(1, 72441, '\P{-	Is_pau_CIN_HAU}', "");
Expect(0, 72441, '\P{^-	Is_pau_CIN_HAU}', "");
Error('\p{ 	Pauc:=}');
Error('\P{ 	Pauc:=}');
Expect(1, 72440, '\p{pauc}', "");
Expect(0, 72440, '\p{^pauc}', "");
Expect(0, 72440, '\P{pauc}', "");
Expect(1, 72440, '\P{^pauc}', "");
Expect(0, 72441, '\p{pauc}', "");
Expect(1, 72441, '\p{^pauc}', "");
Expect(1, 72441, '\P{pauc}', "");
Expect(0, 72441, '\P{^pauc}', "");
Expect(1, 72440, '\p{	 PAUC}', "");
Expect(0, 72440, '\p{^	 PAUC}', "");
Expect(0, 72440, '\P{	 PAUC}', "");
Expect(1, 72440, '\P{^	 PAUC}', "");
Expect(0, 72441, '\p{	 PAUC}', "");
Expect(1, 72441, '\p{^	 PAUC}', "");
Expect(1, 72441, '\P{	 PAUC}', "");
Expect(0, 72441, '\P{^	 PAUC}', "");
Error('\p{:=- Is_PAUC}');
Error('\P{:=- Is_PAUC}');
Expect(1, 72440, '\p{ispauc}', "");
Expect(0, 72440, '\p{^ispauc}', "");
Expect(0, 72440, '\P{ispauc}', "");
Expect(1, 72440, '\P{^ispauc}', "");
Expect(0, 72441, '\p{ispauc}', "");
Expect(1, 72441, '\p{^ispauc}', "");
Expect(1, 72441, '\P{ispauc}', "");
Expect(0, 72441, '\P{^ispauc}', "");
Expect(1, 72440, '\p{	 Is_PAUC}', "");
Expect(0, 72440, '\p{^	 Is_PAUC}', "");
Expect(0, 72440, '\P{	 Is_PAUC}', "");
Expect(1, 72440, '\P{^	 Is_PAUC}', "");
Expect(0, 72441, '\p{	 Is_PAUC}', "");
Expect(1, 72441, '\p{^	 Is_PAUC}', "");
Expect(1, 72441, '\P{	 Is_PAUC}', "");
Expect(0, 72441, '\P{^	 Is_PAUC}', "");
Error('\p{:=Phags_Pa}');
Error('\P{:=Phags_Pa}');
Expect(1, 43127, '\p{phagspa}', "");
Expect(0, 43127, '\p{^phagspa}', "");
Expect(0, 43127, '\P{phagspa}', "");
Expect(1, 43127, '\P{^phagspa}', "");
Expect(0, 43128, '\p{phagspa}', "");
Expect(1, 43128, '\p{^phagspa}', "");
Expect(1, 43128, '\P{phagspa}', "");
Expect(0, 43128, '\P{^phagspa}', "");
Expect(1, 43127, '\p{-Phags_pa}', "");
Expect(0, 43127, '\p{^-Phags_pa}', "");
Expect(0, 43127, '\P{-Phags_pa}', "");
Expect(1, 43127, '\P{^-Phags_pa}', "");
Expect(0, 43128, '\p{-Phags_pa}', "");
Expect(1, 43128, '\p{^-Phags_pa}', "");
Expect(1, 43128, '\P{-Phags_pa}', "");
Expect(0, 43128, '\P{^-Phags_pa}', "");
Error('\p{/a/ 	IS_Phags_Pa}');
Error('\P{/a/ 	IS_Phags_Pa}');
Expect(1, 43127, '\p{isphagspa}', "");
Expect(0, 43127, '\p{^isphagspa}', "");
Expect(0, 43127, '\P{isphagspa}', "");
Expect(1, 43127, '\P{^isphagspa}', "");
Expect(0, 43128, '\p{isphagspa}', "");
Expect(1, 43128, '\p{^isphagspa}', "");
Expect(1, 43128, '\P{isphagspa}', "");
Expect(0, 43128, '\P{^isphagspa}', "");
Expect(1, 43127, '\p{_-Is_Phags_Pa}', "");
Expect(0, 43127, '\p{^_-Is_Phags_Pa}', "");
Expect(0, 43127, '\P{_-Is_Phags_Pa}', "");
Expect(1, 43127, '\P{^_-Is_Phags_Pa}', "");
Expect(0, 43128, '\p{_-Is_Phags_Pa}', "");
Expect(1, 43128, '\p{^_-Is_Phags_Pa}', "");
Expect(1, 43128, '\P{_-Is_Phags_Pa}', "");
Expect(0, 43128, '\P{^_-Is_Phags_Pa}', "");
Error('\p{-:=Phag}');
Error('\P{-:=Phag}');
Expect(1, 43127, '\p{phag}', "");
Expect(0, 43127, '\p{^phag}', "");
Expect(0, 43127, '\P{phag}', "");
Expect(1, 43127, '\P{^phag}', "");
Expect(0, 43128, '\p{phag}', "");
Expect(1, 43128, '\p{^phag}', "");
Expect(1, 43128, '\P{phag}', "");
Expect(0, 43128, '\P{^phag}', "");
Expect(1, 43127, '\p{--Phag}', "");
Expect(0, 43127, '\p{^--Phag}', "");
Expect(0, 43127, '\P{--Phag}', "");
Expect(1, 43127, '\P{^--Phag}', "");
Expect(0, 43128, '\p{--Phag}', "");
Expect(1, 43128, '\p{^--Phag}', "");
Expect(1, 43128, '\P{--Phag}', "");
Expect(0, 43128, '\P{^--Phag}', "");
Error('\p{:=Is_PHAG}');
Error('\P{:=Is_PHAG}');
Expect(1, 43127, '\p{isphag}', "");
Expect(0, 43127, '\p{^isphag}', "");
Expect(0, 43127, '\P{isphag}', "");
Expect(1, 43127, '\P{^isphag}', "");
Expect(0, 43128, '\p{isphag}', "");
Expect(1, 43128, '\p{^isphag}', "");
Expect(1, 43128, '\P{isphag}', "");
Expect(0, 43128, '\P{^isphag}', "");
Expect(1, 43127, '\p{ 	Is_phag}', "");
Expect(0, 43127, '\p{^ 	Is_phag}', "");
Expect(0, 43127, '\P{ 	Is_phag}', "");
Expect(1, 43127, '\P{^ 	Is_phag}', "");
Expect(0, 43128, '\p{ 	Is_phag}', "");
Expect(1, 43128, '\p{^ 	Is_phag}', "");
Expect(1, 43128, '\P{ 	Is_phag}', "");
Expect(0, 43128, '\P{^ 	Is_phag}', "");
Error('\p{ -PHAISTOS_DISC:=}');
Error('\P{ -PHAISTOS_DISC:=}');
Expect(1, 66047, '\p{phaistosdisc}', "");
Expect(0, 66047, '\p{^phaistosdisc}', "");
Expect(0, 66047, '\P{phaistosdisc}', "");
Expect(1, 66047, '\P{^phaistosdisc}', "");
Expect(0, 66048, '\p{phaistosdisc}', "");
Expect(1, 66048, '\p{^phaistosdisc}', "");
Expect(1, 66048, '\P{phaistosdisc}', "");
Expect(0, 66048, '\P{^phaistosdisc}', "");
Expect(1, 66047, '\p{	 Phaistos_Disc}', "");
Expect(0, 66047, '\p{^	 Phaistos_Disc}', "");
Expect(0, 66047, '\P{	 Phaistos_Disc}', "");
Expect(1, 66047, '\P{^	 Phaistos_Disc}', "");
Expect(0, 66048, '\p{	 Phaistos_Disc}', "");
Expect(1, 66048, '\p{^	 Phaistos_Disc}', "");
Expect(1, 66048, '\P{	 Phaistos_Disc}', "");
Expect(0, 66048, '\P{^	 Phaistos_Disc}', "");
Error('\p{/a/_-Is_Phaistos_Disc}');
Error('\P{/a/_-Is_Phaistos_Disc}');
Expect(1, 66047, '\p{isphaistosdisc}', "");
Expect(0, 66047, '\p{^isphaistosdisc}', "");
Expect(0, 66047, '\P{isphaistosdisc}', "");
Expect(1, 66047, '\P{^isphaistosdisc}', "");
Expect(0, 66048, '\p{isphaistosdisc}', "");
Expect(1, 66048, '\p{^isphaistosdisc}', "");
Expect(1, 66048, '\P{isphaistosdisc}', "");
Expect(0, 66048, '\P{^isphaistosdisc}', "");
Expect(1, 66047, '\p{-is_phaistos_Disc}', "");
Expect(0, 66047, '\p{^-is_phaistos_Disc}', "");
Expect(0, 66047, '\P{-is_phaistos_Disc}', "");
Expect(1, 66047, '\P{^-is_phaistos_Disc}', "");
Expect(0, 66048, '\p{-is_phaistos_Disc}', "");
Expect(1, 66048, '\p{^-is_phaistos_Disc}', "");
Expect(1, 66048, '\P{-is_phaistos_Disc}', "");
Expect(0, 66048, '\P{^-is_phaistos_Disc}', "");
Error('\p{-/a/in_PHAISTOS_DISC}');
Error('\P{-/a/in_PHAISTOS_DISC}');
Expect(1, 66047, '\p{inphaistosdisc}', "");
Expect(0, 66047, '\p{^inphaistosdisc}', "");
Expect(0, 66047, '\P{inphaistosdisc}', "");
Expect(1, 66047, '\P{^inphaistosdisc}', "");
Expect(0, 66048, '\p{inphaistosdisc}', "");
Expect(1, 66048, '\p{^inphaistosdisc}', "");
Expect(1, 66048, '\P{inphaistosdisc}', "");
Expect(0, 66048, '\P{^inphaistosdisc}', "");
Expect(1, 66047, '\p{-in_PHAISTOS_Disc}', "");
Expect(0, 66047, '\p{^-in_PHAISTOS_Disc}', "");
Expect(0, 66047, '\P{-in_PHAISTOS_Disc}', "");
Expect(1, 66047, '\P{^-in_PHAISTOS_Disc}', "");
Expect(0, 66048, '\p{-in_PHAISTOS_Disc}', "");
Expect(1, 66048, '\p{^-in_PHAISTOS_Disc}', "");
Expect(1, 66048, '\P{-in_PHAISTOS_Disc}', "");
Expect(0, 66048, '\P{^-in_PHAISTOS_Disc}', "");
Error('\p{:=-	phaistos}');
Error('\P{:=-	phaistos}');
Expect(1, 66047, '\p{phaistos}', "");
Expect(0, 66047, '\p{^phaistos}', "");
Expect(0, 66047, '\P{phaistos}', "");
Expect(1, 66047, '\P{^phaistos}', "");
Expect(0, 66048, '\p{phaistos}', "");
Expect(1, 66048, '\p{^phaistos}', "");
Expect(1, 66048, '\P{phaistos}', "");
Expect(0, 66048, '\P{^phaistos}', "");
Expect(1, 66047, '\p{_-Phaistos}', "");
Expect(0, 66047, '\p{^_-Phaistos}', "");
Expect(0, 66047, '\P{_-Phaistos}', "");
Expect(1, 66047, '\P{^_-Phaistos}', "");
Expect(0, 66048, '\p{_-Phaistos}', "");
Expect(1, 66048, '\p{^_-Phaistos}', "");
Expect(1, 66048, '\P{_-Phaistos}', "");
Expect(0, 66048, '\P{^_-Phaistos}', "");
Error('\p{ :=Is_Phaistos}');
Error('\P{ :=Is_Phaistos}');
Expect(1, 66047, '\p{isphaistos}', "");
Expect(0, 66047, '\p{^isphaistos}', "");
Expect(0, 66047, '\P{isphaistos}', "");
Expect(1, 66047, '\P{^isphaistos}', "");
Expect(0, 66048, '\p{isphaistos}', "");
Expect(1, 66048, '\p{^isphaistos}', "");
Expect(1, 66048, '\P{isphaistos}', "");
Expect(0, 66048, '\P{^isphaistos}', "");
Expect(1, 66047, '\p{ -IS_Phaistos}', "");
Expect(0, 66047, '\p{^ -IS_Phaistos}', "");
Expect(0, 66047, '\P{ -IS_Phaistos}', "");
Expect(1, 66047, '\P{^ -IS_Phaistos}', "");
Expect(0, 66048, '\p{ -IS_Phaistos}', "");
Expect(1, 66048, '\p{^ -IS_Phaistos}', "");
Expect(1, 66048, '\P{ -IS_Phaistos}', "");
Expect(0, 66048, '\P{^ -IS_Phaistos}', "");
Error('\p{_in_Phaistos/a/}');
Error('\P{_in_Phaistos/a/}');
Expect(1, 66047, '\p{inphaistos}', "");
Expect(0, 66047, '\p{^inphaistos}', "");
Expect(0, 66047, '\P{inphaistos}', "");
Expect(1, 66047, '\P{^inphaistos}', "");
Expect(0, 66048, '\p{inphaistos}', "");
Expect(1, 66048, '\p{^inphaistos}', "");
Expect(1, 66048, '\P{inphaistos}', "");
Expect(0, 66048, '\P{^inphaistos}', "");
Expect(1, 66047, '\p{	In_phaistos}', "");
Expect(0, 66047, '\p{^	In_phaistos}', "");
Expect(0, 66047, '\P{	In_phaistos}', "");
Expect(1, 66047, '\P{^	In_phaistos}', "");
Expect(0, 66048, '\p{	In_phaistos}', "");
Expect(1, 66048, '\p{^	In_phaistos}', "");
Expect(1, 66048, '\P{	In_phaistos}', "");
Expect(0, 66048, '\P{^	In_phaistos}', "");
Error('\p{-/a/Phoenician}');
Error('\P{-/a/Phoenician}');
Expect(1, 67871, '\p{phoenician}', "");
Expect(0, 67871, '\p{^phoenician}', "");
Expect(0, 67871, '\P{phoenician}', "");
Expect(1, 67871, '\P{^phoenician}', "");
Expect(0, 67872, '\p{phoenician}', "");
Expect(1, 67872, '\p{^phoenician}', "");
Expect(1, 67872, '\P{phoenician}', "");
Expect(0, 67872, '\P{^phoenician}', "");
Expect(1, 67871, '\p{	PHOENICIAN}', "");
Expect(0, 67871, '\p{^	PHOENICIAN}', "");
Expect(0, 67871, '\P{	PHOENICIAN}', "");
Expect(1, 67871, '\P{^	PHOENICIAN}', "");
Expect(0, 67872, '\p{	PHOENICIAN}', "");
Expect(1, 67872, '\p{^	PHOENICIAN}', "");
Expect(1, 67872, '\P{	PHOENICIAN}', "");
Expect(0, 67872, '\P{^	PHOENICIAN}', "");
Error('\p{-	Is_PHOENICIAN/a/}');
Error('\P{-	Is_PHOENICIAN/a/}');
Expect(1, 67871, '\p{isphoenician}', "");
Expect(0, 67871, '\p{^isphoenician}', "");
Expect(0, 67871, '\P{isphoenician}', "");
Expect(1, 67871, '\P{^isphoenician}', "");
Expect(0, 67872, '\p{isphoenician}', "");
Expect(1, 67872, '\p{^isphoenician}', "");
Expect(1, 67872, '\P{isphoenician}', "");
Expect(0, 67872, '\P{^isphoenician}', "");
Expect(1, 67871, '\p{	-Is_PHOENICIAN}', "");
Expect(0, 67871, '\p{^	-Is_PHOENICIAN}', "");
Expect(0, 67871, '\P{	-Is_PHOENICIAN}', "");
Expect(1, 67871, '\P{^	-Is_PHOENICIAN}', "");
Expect(0, 67872, '\p{	-Is_PHOENICIAN}', "");
Expect(1, 67872, '\p{^	-Is_PHOENICIAN}', "");
Expect(1, 67872, '\P{	-Is_PHOENICIAN}', "");
Expect(0, 67872, '\P{^	-Is_PHOENICIAN}', "");
Error('\p{:=	Phnx}');
Error('\P{:=	Phnx}');
Expect(1, 67871, '\p{phnx}', "");
Expect(0, 67871, '\p{^phnx}', "");
Expect(0, 67871, '\P{phnx}', "");
Expect(1, 67871, '\P{^phnx}', "");
Expect(0, 67872, '\p{phnx}', "");
Expect(1, 67872, '\p{^phnx}', "");
Expect(1, 67872, '\P{phnx}', "");
Expect(0, 67872, '\P{^phnx}', "");
Expect(1, 67871, '\p{ -PHNX}', "");
Expect(0, 67871, '\p{^ -PHNX}', "");
Expect(0, 67871, '\P{ -PHNX}', "");
Expect(1, 67871, '\P{^ -PHNX}', "");
Expect(0, 67872, '\p{ -PHNX}', "");
Expect(1, 67872, '\p{^ -PHNX}', "");
Expect(1, 67872, '\P{ -PHNX}', "");
Expect(0, 67872, '\P{^ -PHNX}', "");
Error('\p{:= _is_Phnx}');
Error('\P{:= _is_Phnx}');
Expect(1, 67871, '\p{isphnx}', "");
Expect(0, 67871, '\p{^isphnx}', "");
Expect(0, 67871, '\P{isphnx}', "");
Expect(1, 67871, '\P{^isphnx}', "");
Expect(0, 67872, '\p{isphnx}', "");
Expect(1, 67872, '\p{^isphnx}', "");
Expect(1, 67872, '\P{isphnx}', "");
Expect(0, 67872, '\P{^isphnx}', "");
Expect(1, 67871, '\p{ _IS_PHNX}', "");
Expect(0, 67871, '\p{^ _IS_PHNX}', "");
Expect(0, 67871, '\P{ _IS_PHNX}', "");
Expect(1, 67871, '\P{^ _IS_PHNX}', "");
Expect(0, 67872, '\p{ _IS_PHNX}', "");
Expect(1, 67872, '\p{^ _IS_PHNX}', "");
Expect(1, 67872, '\P{ _IS_PHNX}', "");
Expect(0, 67872, '\P{^ _IS_PHNX}', "");
Error('\p{-	Phonetic_EXTENSIONS:=}');
Error('\P{-	Phonetic_EXTENSIONS:=}');
Expect(1, 7551, '\p{phoneticextensions}', "");
Expect(0, 7551, '\p{^phoneticextensions}', "");
Expect(0, 7551, '\P{phoneticextensions}', "");
Expect(1, 7551, '\P{^phoneticextensions}', "");
Expect(0, 7552, '\p{phoneticextensions}', "");
Expect(1, 7552, '\p{^phoneticextensions}', "");
Expect(1, 7552, '\P{phoneticextensions}', "");
Expect(0, 7552, '\P{^phoneticextensions}', "");
Expect(1, 7551, '\p{-Phonetic_extensions}', "");
Expect(0, 7551, '\p{^-Phonetic_extensions}', "");
Expect(0, 7551, '\P{-Phonetic_extensions}', "");
Expect(1, 7551, '\P{^-Phonetic_extensions}', "");
Expect(0, 7552, '\p{-Phonetic_extensions}', "");
Expect(1, 7552, '\p{^-Phonetic_extensions}', "");
Expect(1, 7552, '\P{-Phonetic_extensions}', "");
Expect(0, 7552, '\P{^-Phonetic_extensions}', "");
Error('\p{- IS_phonetic_Extensions/a/}');
Error('\P{- IS_phonetic_Extensions/a/}');
Expect(1, 7551, '\p{isphoneticextensions}', "");
Expect(0, 7551, '\p{^isphoneticextensions}', "");
Expect(0, 7551, '\P{isphoneticextensions}', "");
Expect(1, 7551, '\P{^isphoneticextensions}', "");
Expect(0, 7552, '\p{isphoneticextensions}', "");
Expect(1, 7552, '\p{^isphoneticextensions}', "");
Expect(1, 7552, '\P{isphoneticextensions}', "");
Expect(0, 7552, '\P{^isphoneticextensions}', "");
Expect(1, 7551, '\p{		IS_phonetic_EXTENSIONS}', "");
Expect(0, 7551, '\p{^		IS_phonetic_EXTENSIONS}', "");
Expect(0, 7551, '\P{		IS_phonetic_EXTENSIONS}', "");
Expect(1, 7551, '\P{^		IS_phonetic_EXTENSIONS}', "");
Expect(0, 7552, '\p{		IS_phonetic_EXTENSIONS}', "");
Expect(1, 7552, '\p{^		IS_phonetic_EXTENSIONS}', "");
Expect(1, 7552, '\P{		IS_phonetic_EXTENSIONS}', "");
Expect(0, 7552, '\P{^		IS_phonetic_EXTENSIONS}', "");
Error('\p{/a/_-IN_phonetic_Extensions}');
Error('\P{/a/_-IN_phonetic_Extensions}');
Expect(1, 7551, '\p{inphoneticextensions}', "");
Expect(0, 7551, '\p{^inphoneticextensions}', "");
Expect(0, 7551, '\P{inphoneticextensions}', "");
Expect(1, 7551, '\P{^inphoneticextensions}', "");
Expect(0, 7552, '\p{inphoneticextensions}', "");
Expect(1, 7552, '\p{^inphoneticextensions}', "");
Expect(1, 7552, '\P{inphoneticextensions}', "");
Expect(0, 7552, '\P{^inphoneticextensions}', "");
Expect(1, 7551, '\p{  In_PHONETIC_Extensions}', "");
Expect(0, 7551, '\p{^  In_PHONETIC_Extensions}', "");
Expect(0, 7551, '\P{  In_PHONETIC_Extensions}', "");
Expect(1, 7551, '\P{^  In_PHONETIC_Extensions}', "");
Expect(0, 7552, '\p{  In_PHONETIC_Extensions}', "");
Expect(1, 7552, '\p{^  In_PHONETIC_Extensions}', "");
Expect(1, 7552, '\P{  In_PHONETIC_Extensions}', "");
Expect(0, 7552, '\P{^  In_PHONETIC_Extensions}', "");
Error('\p{/a/-_Phonetic_Ext}');
Error('\P{/a/-_Phonetic_Ext}');
Expect(1, 7551, '\p{phoneticext}', "");
Expect(0, 7551, '\p{^phoneticext}', "");
Expect(0, 7551, '\P{phoneticext}', "");
Expect(1, 7551, '\P{^phoneticext}', "");
Expect(0, 7552, '\p{phoneticext}', "");
Expect(1, 7552, '\p{^phoneticext}', "");
Expect(1, 7552, '\P{phoneticext}', "");
Expect(0, 7552, '\P{^phoneticext}', "");
Expect(1, 7551, '\p{	PHONETIC_EXT}', "");
Expect(0, 7551, '\p{^	PHONETIC_EXT}', "");
Expect(0, 7551, '\P{	PHONETIC_EXT}', "");
Expect(1, 7551, '\P{^	PHONETIC_EXT}', "");
Expect(0, 7552, '\p{	PHONETIC_EXT}', "");
Expect(1, 7552, '\p{^	PHONETIC_EXT}', "");
Expect(1, 7552, '\P{	PHONETIC_EXT}', "");
Expect(0, 7552, '\P{^	PHONETIC_EXT}', "");
Error('\p{:= IS_Phonetic_Ext}');
Error('\P{:= IS_Phonetic_Ext}');
Expect(1, 7551, '\p{isphoneticext}', "");
Expect(0, 7551, '\p{^isphoneticext}', "");
Expect(0, 7551, '\P{isphoneticext}', "");
Expect(1, 7551, '\P{^isphoneticext}', "");
Expect(0, 7552, '\p{isphoneticext}', "");
Expect(1, 7552, '\p{^isphoneticext}', "");
Expect(1, 7552, '\P{isphoneticext}', "");
Expect(0, 7552, '\P{^isphoneticext}', "");
Expect(1, 7551, '\p{-	Is_phonetic_Ext}', "");
Expect(0, 7551, '\p{^-	Is_phonetic_Ext}', "");
Expect(0, 7551, '\P{-	Is_phonetic_Ext}', "");
Expect(1, 7551, '\P{^-	Is_phonetic_Ext}', "");
Expect(0, 7552, '\p{-	Is_phonetic_Ext}', "");
Expect(1, 7552, '\p{^-	Is_phonetic_Ext}', "");
Expect(1, 7552, '\P{-	Is_phonetic_Ext}', "");
Expect(0, 7552, '\P{^-	Is_phonetic_Ext}', "");
Error('\p{:=  In_Phonetic_Ext}');
Error('\P{:=  In_Phonetic_Ext}');
Expect(1, 7551, '\p{inphoneticext}', "");
Expect(0, 7551, '\p{^inphoneticext}', "");
Expect(0, 7551, '\P{inphoneticext}', "");
Expect(1, 7551, '\P{^inphoneticext}', "");
Expect(0, 7552, '\p{inphoneticext}', "");
Expect(1, 7552, '\p{^inphoneticext}', "");
Expect(1, 7552, '\P{inphoneticext}', "");
Expect(0, 7552, '\P{^inphoneticext}', "");
Expect(1, 7551, '\p{-In_PHONETIC_Ext}', "");
Expect(0, 7551, '\p{^-In_PHONETIC_Ext}', "");
Expect(0, 7551, '\P{-In_PHONETIC_Ext}', "");
Expect(1, 7551, '\P{^-In_PHONETIC_Ext}', "");
Expect(0, 7552, '\p{-In_PHONETIC_Ext}', "");
Expect(1, 7552, '\p{^-In_PHONETIC_Ext}', "");
Expect(1, 7552, '\P{-In_PHONETIC_Ext}', "");
Expect(0, 7552, '\P{^-In_PHONETIC_Ext}', "");
Error('\p{_:=Phonetic_Extensions_Supplement}');
Error('\P{_:=Phonetic_Extensions_Supplement}');
Expect(1, 7615, '\p{phoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^phoneticextensionssupplement}', "");
Expect(0, 7615, '\P{phoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^phoneticextensionssupplement}', "");
Expect(0, 7616, '\p{phoneticextensionssupplement}', "");
Expect(1, 7616, '\p{^phoneticextensionssupplement}', "");
Expect(1, 7616, '\P{phoneticextensionssupplement}', "");
Expect(0, 7616, '\P{^phoneticextensionssupplement}', "");
Expect(1, 7615, '\p{	Phonetic_extensions_SUPPLEMENT}', "");
Expect(0, 7615, '\p{^	Phonetic_extensions_SUPPLEMENT}', "");
Expect(0, 7615, '\P{	Phonetic_extensions_SUPPLEMENT}', "");
Expect(1, 7615, '\P{^	Phonetic_extensions_SUPPLEMENT}', "");
Expect(0, 7616, '\p{	Phonetic_extensions_SUPPLEMENT}', "");
Expect(1, 7616, '\p{^	Phonetic_extensions_SUPPLEMENT}', "");
Expect(1, 7616, '\P{	Phonetic_extensions_SUPPLEMENT}', "");
Expect(0, 7616, '\P{^	Phonetic_extensions_SUPPLEMENT}', "");
Error('\p{/a/- is_Phonetic_extensions_SUPPLEMENT}');
Error('\P{/a/- is_Phonetic_extensions_SUPPLEMENT}');
Expect(1, 7615, '\p{isphoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^isphoneticextensionssupplement}', "");
Expect(0, 7615, '\P{isphoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^isphoneticextensionssupplement}', "");
Expect(0, 7616, '\p{isphoneticextensionssupplement}', "");
Expect(1, 7616, '\p{^isphoneticextensionssupplement}', "");
Expect(1, 7616, '\P{isphoneticextensionssupplement}', "");
Expect(0, 7616, '\P{^isphoneticextensionssupplement}', "");
Expect(1, 7615, '\p{_ IS_PHONETIC_Extensions_supplement}', "");
Expect(0, 7615, '\p{^_ IS_PHONETIC_Extensions_supplement}', "");
Expect(0, 7615, '\P{_ IS_PHONETIC_Extensions_supplement}', "");
Expect(1, 7615, '\P{^_ IS_PHONETIC_Extensions_supplement}', "");
Expect(0, 7616, '\p{_ IS_PHONETIC_Extensions_supplement}', "");
Expect(1, 7616, '\p{^_ IS_PHONETIC_Extensions_supplement}', "");
Expect(1, 7616, '\P{_ IS_PHONETIC_Extensions_supplement}', "");
Expect(0, 7616, '\P{^_ IS_PHONETIC_Extensions_supplement}', "");
Error('\p{--IN_phonetic_Extensions_Supplement/a/}');
Error('\P{--IN_phonetic_Extensions_Supplement/a/}');
Expect(1, 7615, '\p{inphoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^inphoneticextensionssupplement}', "");
Expect(0, 7615, '\P{inphoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^inphoneticextensionssupplement}', "");
Expect(0, 7616, '\p{inphoneticextensionssupplement}', "");
Expect(1, 7616, '\p{^inphoneticextensionssupplement}', "");
Expect(1, 7616, '\P{inphoneticextensionssupplement}', "");
Expect(0, 7616, '\P{^inphoneticextensionssupplement}', "");
Expect(1, 7615, '\p{		in_phonetic_extensions_Supplement}', "");
Expect(0, 7615, '\p{^		in_phonetic_extensions_Supplement}', "");
Expect(0, 7615, '\P{		in_phonetic_extensions_Supplement}', "");
Expect(1, 7615, '\P{^		in_phonetic_extensions_Supplement}', "");
Expect(0, 7616, '\p{		in_phonetic_extensions_Supplement}', "");
Expect(1, 7616, '\p{^		in_phonetic_extensions_Supplement}', "");
Expect(1, 7616, '\P{		in_phonetic_extensions_Supplement}', "");
Expect(0, 7616, '\P{^		in_phonetic_extensions_Supplement}', "");
Error('\p{-_Phonetic_ext_Sup:=}');
Error('\P{-_Phonetic_ext_Sup:=}');
Expect(1, 7615, '\p{phoneticextsup}', "");
Expect(0, 7615, '\p{^phoneticextsup}', "");
Expect(0, 7615, '\P{phoneticextsup}', "");
Expect(1, 7615, '\P{^phoneticextsup}', "");
Expect(0, 7616, '\p{phoneticextsup}', "");
Expect(1, 7616, '\p{^phoneticextsup}', "");
Expect(1, 7616, '\P{phoneticextsup}', "");
Expect(0, 7616, '\P{^phoneticextsup}', "");
Expect(1, 7615, '\p{ _Phonetic_Ext_sup}', "");
Expect(0, 7615, '\p{^ _Phonetic_Ext_sup}', "");
Expect(0, 7615, '\P{ _Phonetic_Ext_sup}', "");
Expect(1, 7615, '\P{^ _Phonetic_Ext_sup}', "");
Expect(0, 7616, '\p{ _Phonetic_Ext_sup}', "");
Expect(1, 7616, '\p{^ _Phonetic_Ext_sup}', "");
Expect(1, 7616, '\P{ _Phonetic_Ext_sup}', "");
Expect(0, 7616, '\P{^ _Phonetic_Ext_sup}', "");
Error('\p{_Is_Phonetic_EXT_Sup/a/}');
Error('\P{_Is_Phonetic_EXT_Sup/a/}');
Expect(1, 7615, '\p{isphoneticextsup}', "");
Expect(0, 7615, '\p{^isphoneticextsup}', "");
Expect(0, 7615, '\P{isphoneticextsup}', "");
Expect(1, 7615, '\P{^isphoneticextsup}', "");
Expect(0, 7616, '\p{isphoneticextsup}', "");
Expect(1, 7616, '\p{^isphoneticextsup}', "");
Expect(1, 7616, '\P{isphoneticextsup}', "");
Expect(0, 7616, '\P{^isphoneticextsup}', "");
Expect(1, 7615, '\p{ _is_phonetic_Ext_Sup}', "");
Expect(0, 7615, '\p{^ _is_phonetic_Ext_Sup}', "");
Expect(0, 7615, '\P{ _is_phonetic_Ext_Sup}', "");
Expect(1, 7615, '\P{^ _is_phonetic_Ext_Sup}', "");
Expect(0, 7616, '\p{ _is_phonetic_Ext_Sup}', "");
Expect(1, 7616, '\p{^ _is_phonetic_Ext_Sup}', "");
Expect(1, 7616, '\P{ _is_phonetic_Ext_Sup}', "");
Expect(0, 7616, '\P{^ _is_phonetic_Ext_Sup}', "");
Error('\p{/a/ 	IN_Phonetic_ext_sup}');
Error('\P{/a/ 	IN_Phonetic_ext_sup}');
Expect(1, 7615, '\p{inphoneticextsup}', "");
Expect(0, 7615, '\p{^inphoneticextsup}', "");
Expect(0, 7615, '\P{inphoneticextsup}', "");
Expect(1, 7615, '\P{^inphoneticextsup}', "");
Expect(0, 7616, '\p{inphoneticextsup}', "");
Expect(1, 7616, '\p{^inphoneticextsup}', "");
Expect(1, 7616, '\P{inphoneticextsup}', "");
Expect(0, 7616, '\P{^inphoneticextsup}', "");
Expect(1, 7615, '\p{	In_Phonetic_EXT_SUP}', "");
Expect(0, 7615, '\p{^	In_Phonetic_EXT_SUP}', "");
Expect(0, 7615, '\P{	In_Phonetic_EXT_SUP}', "");
Expect(1, 7615, '\P{^	In_Phonetic_EXT_SUP}', "");
Expect(0, 7616, '\p{	In_Phonetic_EXT_SUP}', "");
Expect(1, 7616, '\p{^	In_Phonetic_EXT_SUP}', "");
Expect(1, 7616, '\P{	In_Phonetic_EXT_SUP}', "");
Expect(0, 7616, '\P{^	In_Phonetic_EXT_SUP}', "");
Error('\p{/a/ PLAYING_CARDS}');
Error('\P{/a/ PLAYING_CARDS}');
Expect(1, 127231, '\p{playingcards}', "");
Expect(0, 127231, '\p{^playingcards}', "");
Expect(0, 127231, '\P{playingcards}', "");
Expect(1, 127231, '\P{^playingcards}', "");
Expect(0, 127232, '\p{playingcards}', "");
Expect(1, 127232, '\p{^playingcards}', "");
Expect(1, 127232, '\P{playingcards}', "");
Expect(0, 127232, '\P{^playingcards}', "");
Expect(1, 127231, '\p{		playing_Cards}', "");
Expect(0, 127231, '\p{^		playing_Cards}', "");
Expect(0, 127231, '\P{		playing_Cards}', "");
Expect(1, 127231, '\P{^		playing_Cards}', "");
Expect(0, 127232, '\p{		playing_Cards}', "");
Expect(1, 127232, '\p{^		playing_Cards}', "");
Expect(1, 127232, '\P{		playing_Cards}', "");
Expect(0, 127232, '\P{^		playing_Cards}', "");
Error('\p{	-IS_Playing_CARDS/a/}');
Error('\P{	-IS_Playing_CARDS/a/}');
Expect(1, 127231, '\p{isplayingcards}', "");
Expect(0, 127231, '\p{^isplayingcards}', "");
Expect(0, 127231, '\P{isplayingcards}', "");
Expect(1, 127231, '\P{^isplayingcards}', "");
Expect(0, 127232, '\p{isplayingcards}', "");
Expect(1, 127232, '\p{^isplayingcards}', "");
Expect(1, 127232, '\P{isplayingcards}', "");
Expect(0, 127232, '\P{^isplayingcards}', "");
Expect(1, 127231, '\p{_IS_PLAYING_Cards}', "");
Expect(0, 127231, '\p{^_IS_PLAYING_Cards}', "");
Expect(0, 127231, '\P{_IS_PLAYING_Cards}', "");
Expect(1, 127231, '\P{^_IS_PLAYING_Cards}', "");
Expect(0, 127232, '\p{_IS_PLAYING_Cards}', "");
Expect(1, 127232, '\p{^_IS_PLAYING_Cards}', "");
Expect(1, 127232, '\P{_IS_PLAYING_Cards}', "");
Expect(0, 127232, '\P{^_IS_PLAYING_Cards}', "");
Error('\p{/a/ In_playing_Cards}');
Error('\P{/a/ In_playing_Cards}');
Expect(1, 127231, '\p{inplayingcards}', "");
Expect(0, 127231, '\p{^inplayingcards}', "");
Expect(0, 127231, '\P{inplayingcards}', "");
Expect(1, 127231, '\P{^inplayingcards}', "");
Expect(0, 127232, '\p{inplayingcards}', "");
Expect(1, 127232, '\p{^inplayingcards}', "");
Expect(1, 127232, '\P{inplayingcards}', "");
Expect(0, 127232, '\P{^inplayingcards}', "");
Expect(1, 127231, '\p{-In_playing_CARDS}', "");
Expect(0, 127231, '\p{^-In_playing_CARDS}', "");
Expect(0, 127231, '\P{-In_playing_CARDS}', "");
Expect(1, 127231, '\P{^-In_playing_CARDS}', "");
Expect(0, 127232, '\p{-In_playing_CARDS}', "");
Expect(1, 127232, '\p{^-In_playing_CARDS}', "");
Expect(1, 127232, '\P{-In_playing_CARDS}', "");
Expect(0, 127232, '\P{^-In_playing_CARDS}', "");
Error('\p{	_posixalnum/a/}');
Error('\P{	_posixalnum/a/}');
Expect(1, 122, '\p{posixalnum}', "");
Expect(0, 122, '\p{^posixalnum}', "");
Expect(0, 122, '\P{posixalnum}', "");
Expect(1, 122, '\P{^posixalnum}', "");
Expect(0, 123, '\p{posixalnum}', "");
Expect(1, 123, '\p{^posixalnum}', "");
Expect(1, 123, '\P{posixalnum}', "");
Expect(0, 123, '\P{^posixalnum}', "");
Expect(1, 122, '\p{__PosixAlnum}', "");
Expect(0, 122, '\p{^__PosixAlnum}', "");
Expect(0, 122, '\P{__PosixAlnum}', "");
Expect(1, 122, '\P{^__PosixAlnum}', "");
Expect(0, 123, '\p{__PosixAlnum}', "");
Expect(1, 123, '\p{^__PosixAlnum}', "");
Expect(1, 123, '\P{__PosixAlnum}', "");
Expect(0, 123, '\P{^__PosixAlnum}', "");
Error('\p{-/a/IS_PosixAlnum}');
Error('\P{-/a/IS_PosixAlnum}');
Expect(1, 122, '\p{isposixalnum}', "");
Expect(0, 122, '\p{^isposixalnum}', "");
Expect(0, 122, '\P{isposixalnum}', "");
Expect(1, 122, '\P{^isposixalnum}', "");
Expect(0, 123, '\p{isposixalnum}', "");
Expect(1, 123, '\p{^isposixalnum}', "");
Expect(1, 123, '\P{isposixalnum}', "");
Expect(0, 123, '\P{^isposixalnum}', "");
Expect(1, 122, '\p{_	Is_PosixAlnum}', "");
Expect(0, 122, '\p{^_	Is_PosixAlnum}', "");
Expect(0, 122, '\P{_	Is_PosixAlnum}', "");
Expect(1, 122, '\P{^_	Is_PosixAlnum}', "");
Expect(0, 123, '\p{_	Is_PosixAlnum}', "");
Expect(1, 123, '\p{^_	Is_PosixAlnum}', "");
Expect(1, 123, '\P{_	Is_PosixAlnum}', "");
Expect(0, 123, '\P{^_	Is_PosixAlnum}', "");
Error('\p{_ posixalpha:=}');
Error('\P{_ posixalpha:=}');
Expect(1, 122, '\p{posixalpha}', "");
Expect(0, 122, '\p{^posixalpha}', "");
Expect(0, 122, '\P{posixalpha}', "");
Expect(1, 122, '\P{^posixalpha}', "");
Expect(0, 123, '\p{posixalpha}', "");
Expect(1, 123, '\p{^posixalpha}', "");
Expect(1, 123, '\P{posixalpha}', "");
Expect(0, 123, '\P{^posixalpha}', "");
Expect(1, 122, '\p{__POSIXALPHA}', "");
Expect(0, 122, '\p{^__POSIXALPHA}', "");
Expect(0, 122, '\P{__POSIXALPHA}', "");
Expect(1, 122, '\P{^__POSIXALPHA}', "");
Expect(0, 123, '\p{__POSIXALPHA}', "");
Expect(1, 123, '\p{^__POSIXALPHA}', "");
Expect(1, 123, '\P{__POSIXALPHA}', "");
Expect(0, 123, '\P{^__POSIXALPHA}', "");
Error('\p{:=	_Is_posixalpha}');
Error('\P{:=	_Is_posixalpha}');
Expect(1, 122, '\p{isposixalpha}', "");
Expect(0, 122, '\p{^isposixalpha}', "");
Expect(0, 122, '\P{isposixalpha}', "");
Expect(1, 122, '\P{^isposixalpha}', "");
Expect(0, 123, '\p{isposixalpha}', "");
Expect(1, 123, '\p{^isposixalpha}', "");
Expect(1, 123, '\P{isposixalpha}', "");
Expect(0, 123, '\P{^isposixalpha}', "");
Expect(1, 122, '\p{_Is_posixalpha}', "");
Expect(0, 122, '\p{^_Is_posixalpha}', "");
Expect(0, 122, '\P{_Is_posixalpha}', "");
Expect(1, 122, '\P{^_Is_posixalpha}', "");
Expect(0, 123, '\p{_Is_posixalpha}', "");
Expect(1, 123, '\p{^_Is_posixalpha}', "");
Expect(1, 123, '\P{_Is_posixalpha}', "");
Expect(0, 123, '\P{^_Is_posixalpha}', "");
Error('\p{/a/posixblank}');
Error('\P{/a/posixblank}');
Expect(1, 32, '\p{posixblank}', "");
Expect(0, 32, '\p{^posixblank}', "");
Expect(0, 32, '\P{posixblank}', "");
Expect(1, 32, '\P{^posixblank}', "");
Expect(0, 33, '\p{posixblank}', "");
Expect(1, 33, '\p{^posixblank}', "");
Expect(1, 33, '\P{posixblank}', "");
Expect(0, 33, '\P{^posixblank}', "");
Expect(1, 32, '\p{	-PosixBlank}', "");
Expect(0, 32, '\p{^	-PosixBlank}', "");
Expect(0, 32, '\P{	-PosixBlank}', "");
Expect(1, 32, '\P{^	-PosixBlank}', "");
Expect(0, 33, '\p{	-PosixBlank}', "");
Expect(1, 33, '\p{^	-PosixBlank}', "");
Expect(1, 33, '\P{	-PosixBlank}', "");
Expect(0, 33, '\P{^	-PosixBlank}', "");
Error('\p{_IS_POSIXBLANK:=}');
Error('\P{_IS_POSIXBLANK:=}');
Expect(1, 32, '\p{isposixblank}', "");
Expect(0, 32, '\p{^isposixblank}', "");
Expect(0, 32, '\P{isposixblank}', "");
Expect(1, 32, '\P{^isposixblank}', "");
Expect(0, 33, '\p{isposixblank}', "");
Expect(1, 33, '\p{^isposixblank}', "");
Expect(1, 33, '\P{isposixblank}', "");
Expect(0, 33, '\P{^isposixblank}', "");
Expect(1, 32, '\p{	 Is_posixblank}', "");
Expect(0, 32, '\p{^	 Is_posixblank}', "");
Expect(0, 32, '\P{	 Is_posixblank}', "");
Expect(1, 32, '\P{^	 Is_posixblank}', "");
Expect(0, 33, '\p{	 Is_posixblank}', "");
Expect(1, 33, '\p{^	 Is_posixblank}', "");
Expect(1, 33, '\P{	 Is_posixblank}', "");
Expect(0, 33, '\P{^	 Is_posixblank}', "");
Error('\p{/a/ PosixCntrl}');
Error('\P{/a/ PosixCntrl}');
Expect(1, 127, '\p{posixcntrl}', "");
Expect(0, 127, '\p{^posixcntrl}', "");
Expect(0, 127, '\P{posixcntrl}', "");
Expect(1, 127, '\P{^posixcntrl}', "");
Expect(0, 128, '\p{posixcntrl}', "");
Expect(1, 128, '\p{^posixcntrl}', "");
Expect(1, 128, '\P{posixcntrl}', "");
Expect(0, 128, '\P{^posixcntrl}', "");
Expect(1, 127, '\p{_posixcntrl}', "");
Expect(0, 127, '\p{^_posixcntrl}', "");
Expect(0, 127, '\P{_posixcntrl}', "");
Expect(1, 127, '\P{^_posixcntrl}', "");
Expect(0, 128, '\p{_posixcntrl}', "");
Expect(1, 128, '\p{^_posixcntrl}', "");
Expect(1, 128, '\P{_posixcntrl}', "");
Expect(0, 128, '\P{^_posixcntrl}', "");
Error('\p{-/a/is_posixcntrl}');
Error('\P{-/a/is_posixcntrl}');
Expect(1, 127, '\p{isposixcntrl}', "");
Expect(0, 127, '\p{^isposixcntrl}', "");
Expect(0, 127, '\P{isposixcntrl}', "");
Expect(1, 127, '\P{^isposixcntrl}', "");
Expect(0, 128, '\p{isposixcntrl}', "");
Expect(1, 128, '\p{^isposixcntrl}', "");
Expect(1, 128, '\P{isposixcntrl}', "");
Expect(0, 128, '\P{^isposixcntrl}', "");
Expect(1, 127, '\p{	-IS_POSIXCNTRL}', "");
Expect(0, 127, '\p{^	-IS_POSIXCNTRL}', "");
Expect(0, 127, '\P{	-IS_POSIXCNTRL}', "");
Expect(1, 127, '\P{^	-IS_POSIXCNTRL}', "");
Expect(0, 128, '\p{	-IS_POSIXCNTRL}', "");
Expect(1, 128, '\p{^	-IS_POSIXCNTRL}', "");
Expect(1, 128, '\P{	-IS_POSIXCNTRL}', "");
Expect(0, 128, '\P{^	-IS_POSIXCNTRL}', "");
Error('\p{	PosixDigit/a/}');
Error('\P{	PosixDigit/a/}');
Expect(1, 57, '\p{posixdigit}', "");
Expect(0, 57, '\p{^posixdigit}', "");
Expect(0, 57, '\P{posixdigit}', "");
Expect(1, 57, '\P{^posixdigit}', "");
Expect(0, 58, '\p{posixdigit}', "");
Expect(1, 58, '\p{^posixdigit}', "");
Expect(1, 58, '\P{posixdigit}', "");
Expect(0, 58, '\P{^posixdigit}', "");
Expect(1, 57, '\p{--PosixDigit}', "");
Expect(0, 57, '\p{^--PosixDigit}', "");
Expect(0, 57, '\P{--PosixDigit}', "");
Expect(1, 57, '\P{^--PosixDigit}', "");
Expect(0, 58, '\p{--PosixDigit}', "");
Expect(1, 58, '\p{^--PosixDigit}', "");
Expect(1, 58, '\P{--PosixDigit}', "");
Expect(0, 58, '\P{^--PosixDigit}', "");
Error('\p{:=-	is_PosixDigit}');
Error('\P{:=-	is_PosixDigit}');
Expect(1, 57, '\p{isposixdigit}', "");
Expect(0, 57, '\p{^isposixdigit}', "");
Expect(0, 57, '\P{isposixdigit}', "");
Expect(1, 57, '\P{^isposixdigit}', "");
Expect(0, 58, '\p{isposixdigit}', "");
Expect(1, 58, '\p{^isposixdigit}', "");
Expect(1, 58, '\P{isposixdigit}', "");
Expect(0, 58, '\P{^isposixdigit}', "");
Expect(1, 57, '\p{Is_PosixDigit}', "");
Expect(0, 57, '\p{^Is_PosixDigit}', "");
Expect(0, 57, '\P{Is_PosixDigit}', "");
Expect(1, 57, '\P{^Is_PosixDigit}', "");
Expect(0, 58, '\p{Is_PosixDigit}', "");
Expect(1, 58, '\p{^Is_PosixDigit}', "");
Expect(1, 58, '\P{Is_PosixDigit}', "");
Expect(0, 58, '\P{^Is_PosixDigit}', "");
Error('\p{ :=POSIXGRAPH}');
Error('\P{ :=POSIXGRAPH}');
Expect(1, 126, '\p{posixgraph}', "");
Expect(0, 126, '\p{^posixgraph}', "");
Expect(0, 126, '\P{posixgraph}', "");
Expect(1, 126, '\P{^posixgraph}', "");
Expect(0, 127, '\p{posixgraph}', "");
Expect(1, 127, '\p{^posixgraph}', "");
Expect(1, 127, '\P{posixgraph}', "");
Expect(0, 127, '\P{^posixgraph}', "");
Expect(1, 126, '\p{	 PosixGraph}', "");
Expect(0, 126, '\p{^	 PosixGraph}', "");
Expect(0, 126, '\P{	 PosixGraph}', "");
Expect(1, 126, '\P{^	 PosixGraph}', "");
Expect(0, 127, '\p{	 PosixGraph}', "");
Expect(1, 127, '\p{^	 PosixGraph}', "");
Expect(1, 127, '\P{	 PosixGraph}', "");
Expect(0, 127, '\P{^	 PosixGraph}', "");
Error('\p{:=	_Is_PosixGraph}');
Error('\P{:=	_Is_PosixGraph}');
Expect(1, 126, '\p{isposixgraph}', "");
Expect(0, 126, '\p{^isposixgraph}', "");
Expect(0, 126, '\P{isposixgraph}', "");
Expect(1, 126, '\P{^isposixgraph}', "");
Expect(0, 127, '\p{isposixgraph}', "");
Expect(1, 127, '\p{^isposixgraph}', "");
Expect(1, 127, '\P{isposixgraph}', "");
Expect(0, 127, '\P{^isposixgraph}', "");
Expect(1, 126, '\p{	_is_PosixGraph}', "");
Expect(0, 126, '\p{^	_is_PosixGraph}', "");
Expect(0, 126, '\P{	_is_PosixGraph}', "");
Expect(1, 126, '\P{^	_is_PosixGraph}', "");
Expect(0, 127, '\p{	_is_PosixGraph}', "");
Expect(1, 127, '\p{^	_is_PosixGraph}', "");
Expect(1, 127, '\P{	_is_PosixGraph}', "");
Expect(0, 127, '\P{^	_is_PosixGraph}', "");
Error('\p{ POSIXLOWER/a/}');
Error('\P{ POSIXLOWER/a/}');
Expect(1, 122, '\p{posixlower}', "");
Expect(0, 122, '\p{^posixlower}', "");
Expect(0, 122, '\P{posixlower}', "");
Expect(1, 122, '\P{^posixlower}', "");
Expect(0, 123, '\p{posixlower}', "");
Expect(1, 123, '\p{^posixlower}', "");
Expect(1, 123, '\P{posixlower}', "");
Expect(0, 123, '\P{^posixlower}', "");
Expect(1, 122, '\p{--PosixLower}', "");
Expect(0, 122, '\p{^--PosixLower}', "");
Expect(0, 122, '\P{--PosixLower}', "");
Expect(1, 122, '\P{^--PosixLower}', "");
Expect(0, 123, '\p{--PosixLower}', "");
Expect(1, 123, '\p{^--PosixLower}', "");
Expect(1, 123, '\P{--PosixLower}', "");
Expect(0, 123, '\P{^--PosixLower}', "");
Error('\p{:=--IS_PosixLower}');
Error('\P{:=--IS_PosixLower}');
Expect(1, 122, '\p{isposixlower}', "");
Expect(0, 122, '\p{^isposixlower}', "");
Expect(0, 122, '\P{isposixlower}', "");
Expect(1, 122, '\P{^isposixlower}', "");
Expect(0, 123, '\p{isposixlower}', "");
Expect(1, 123, '\p{^isposixlower}', "");
Expect(1, 123, '\P{isposixlower}', "");
Expect(0, 123, '\P{^isposixlower}', "");
Expect(1, 122, '\p{-_Is_PosixLower}', "");
Expect(0, 122, '\p{^-_Is_PosixLower}', "");
Expect(0, 122, '\P{-_Is_PosixLower}', "");
Expect(1, 122, '\P{^-_Is_PosixLower}', "");
Expect(0, 123, '\p{-_Is_PosixLower}', "");
Expect(1, 123, '\p{^-_Is_PosixLower}', "");
Expect(1, 123, '\P{-_Is_PosixLower}', "");
Expect(0, 123, '\P{^-_Is_PosixLower}', "");
Error('\p{:=-PosixPrint}');
Error('\P{:=-PosixPrint}');
Expect(1, 126, '\p{posixprint}', "");
Expect(0, 126, '\p{^posixprint}', "");
Expect(0, 126, '\P{posixprint}', "");
Expect(1, 126, '\P{^posixprint}', "");
Expect(0, 127, '\p{posixprint}', "");
Expect(1, 127, '\p{^posixprint}', "");
Expect(1, 127, '\P{posixprint}', "");
Expect(0, 127, '\P{^posixprint}', "");
Expect(1, 126, '\p{ PosixPrint}', "");
Expect(0, 126, '\p{^ PosixPrint}', "");
Expect(0, 126, '\P{ PosixPrint}', "");
Expect(1, 126, '\P{^ PosixPrint}', "");
Expect(0, 127, '\p{ PosixPrint}', "");
Expect(1, 127, '\p{^ PosixPrint}', "");
Expect(1, 127, '\P{ PosixPrint}', "");
Expect(0, 127, '\P{^ PosixPrint}', "");
Error('\p{_:=Is_PosixPrint}');
Error('\P{_:=Is_PosixPrint}');
Expect(1, 126, '\p{isposixprint}', "");
Expect(0, 126, '\p{^isposixprint}', "");
Expect(0, 126, '\P{isposixprint}', "");
Expect(1, 126, '\P{^isposixprint}', "");
Expect(0, 127, '\p{isposixprint}', "");
Expect(1, 127, '\p{^isposixprint}', "");
Expect(1, 127, '\P{isposixprint}', "");
Expect(0, 127, '\P{^isposixprint}', "");
Expect(1, 126, '\p{	_is_PosixPrint}', "");
Expect(0, 126, '\p{^	_is_PosixPrint}', "");
Expect(0, 126, '\P{	_is_PosixPrint}', "");
Expect(1, 126, '\P{^	_is_PosixPrint}', "");
Expect(0, 127, '\p{	_is_PosixPrint}', "");
Expect(1, 127, '\p{^	_is_PosixPrint}', "");
Expect(1, 127, '\P{	_is_PosixPrint}', "");
Expect(0, 127, '\P{^	_is_PosixPrint}', "");
Error('\p{	:=posixpunct}');
Error('\P{	:=posixpunct}');
Expect(1, 126, '\p{posixpunct}', "");
Expect(0, 126, '\p{^posixpunct}', "");
Expect(0, 126, '\P{posixpunct}', "");
Expect(1, 126, '\P{^posixpunct}', "");
Expect(0, 127, '\p{posixpunct}', "");
Expect(1, 127, '\p{^posixpunct}', "");
Expect(1, 127, '\P{posixpunct}', "");
Expect(0, 127, '\P{^posixpunct}', "");
Expect(1, 126, '\p{PosixPunct}', "");
Expect(0, 126, '\p{^PosixPunct}', "");
Expect(0, 126, '\P{PosixPunct}', "");
Expect(1, 126, '\P{^PosixPunct}', "");
Expect(0, 127, '\p{PosixPunct}', "");
Expect(1, 127, '\p{^PosixPunct}', "");
Expect(1, 127, '\P{PosixPunct}', "");
Expect(0, 127, '\P{^PosixPunct}', "");
Error('\p{/a/--is_PosixPunct}');
Error('\P{/a/--is_PosixPunct}');
Expect(1, 126, '\p{isposixpunct}', "");
Expect(0, 126, '\p{^isposixpunct}', "");
Expect(0, 126, '\P{isposixpunct}', "");
Expect(1, 126, '\P{^isposixpunct}', "");
Expect(0, 127, '\p{isposixpunct}', "");
Expect(1, 127, '\p{^isposixpunct}', "");
Expect(1, 127, '\P{isposixpunct}', "");
Expect(0, 127, '\P{^isposixpunct}', "");
Expect(1, 126, '\p{	 IS_PosixPunct}', "");
Expect(0, 126, '\p{^	 IS_PosixPunct}', "");
Expect(0, 126, '\P{	 IS_PosixPunct}', "");
Expect(1, 126, '\P{^	 IS_PosixPunct}', "");
Expect(0, 127, '\p{	 IS_PosixPunct}', "");
Expect(1, 127, '\p{^	 IS_PosixPunct}', "");
Expect(1, 127, '\P{	 IS_PosixPunct}', "");
Expect(0, 127, '\P{^	 IS_PosixPunct}', "");
Error('\p{ /a/PosixSpace}');
Error('\P{ /a/PosixSpace}');
Expect(1, 32, '\p{posixspace}', "");
Expect(0, 32, '\p{^posixspace}', "");
Expect(0, 32, '\P{posixspace}', "");
Expect(1, 32, '\P{^posixspace}', "");
Expect(0, 33, '\p{posixspace}', "");
Expect(1, 33, '\p{^posixspace}', "");
Expect(1, 33, '\P{posixspace}', "");
Expect(0, 33, '\P{^posixspace}', "");
Expect(1, 32, '\p{	 PosixSpace}', "");
Expect(0, 32, '\p{^	 PosixSpace}', "");
Expect(0, 32, '\P{	 PosixSpace}', "");
Expect(1, 32, '\P{^	 PosixSpace}', "");
Expect(0, 33, '\p{	 PosixSpace}', "");
Expect(1, 33, '\p{^	 PosixSpace}', "");
Expect(1, 33, '\P{	 PosixSpace}', "");
Expect(0, 33, '\P{^	 PosixSpace}', "");
Error('\p{_:=PERLSPACE}');
Error('\P{_:=PERLSPACE}');
Expect(1, 32, '\p{perlspace}', "");
Expect(0, 32, '\p{^perlspace}', "");
Expect(0, 32, '\P{perlspace}', "");
Expect(1, 32, '\P{^perlspace}', "");
Expect(0, 33, '\p{perlspace}', "");
Expect(1, 33, '\p{^perlspace}', "");
Expect(1, 33, '\P{perlspace}', "");
Expect(0, 33, '\P{^perlspace}', "");
Expect(1, 32, '\p{-perlspace}', "");
Expect(0, 32, '\p{^-perlspace}', "");
Expect(0, 32, '\P{-perlspace}', "");
Expect(1, 32, '\P{^-perlspace}', "");
Expect(0, 33, '\p{-perlspace}', "");
Expect(1, 33, '\p{^-perlspace}', "");
Expect(1, 33, '\P{-perlspace}', "");
Expect(0, 33, '\P{^-perlspace}', "");
Error('\p{_Is_PosixSpace/a/}');
Error('\P{_Is_PosixSpace/a/}');
Expect(1, 32, '\p{isposixspace}', "");
Expect(0, 32, '\p{^isposixspace}', "");
Expect(0, 32, '\P{isposixspace}', "");
Expect(1, 32, '\P{^isposixspace}', "");
Expect(0, 33, '\p{isposixspace}', "");
Expect(1, 33, '\p{^isposixspace}', "");
Expect(1, 33, '\P{isposixspace}', "");
Expect(0, 33, '\P{^isposixspace}', "");
Expect(1, 32, '\p{ is_PosixSpace}', "");
Expect(0, 32, '\p{^ is_PosixSpace}', "");
Expect(0, 32, '\P{ is_PosixSpace}', "");
Expect(1, 32, '\P{^ is_PosixSpace}', "");
Expect(0, 33, '\p{ is_PosixSpace}', "");
Expect(1, 33, '\p{^ is_PosixSpace}', "");
Expect(1, 33, '\P{ is_PosixSpace}', "");
Expect(0, 33, '\P{^ is_PosixSpace}', "");
Error('\p{ Is_PerlSpace:=}');
Error('\P{ Is_PerlSpace:=}');
Expect(1, 32, '\p{isperlspace}', "");
Expect(0, 32, '\p{^isperlspace}', "");
Expect(0, 32, '\P{isperlspace}', "");
Expect(1, 32, '\P{^isperlspace}', "");
Expect(0, 33, '\p{isperlspace}', "");
Expect(1, 33, '\p{^isperlspace}', "");
Expect(1, 33, '\P{isperlspace}', "");
Expect(0, 33, '\P{^isperlspace}', "");
Expect(1, 32, '\p{	IS_PERLSPACE}', "");
Expect(0, 32, '\p{^	IS_PERLSPACE}', "");
Expect(0, 32, '\P{	IS_PERLSPACE}', "");
Expect(1, 32, '\P{^	IS_PERLSPACE}', "");
Expect(0, 33, '\p{	IS_PERLSPACE}', "");
Expect(1, 33, '\p{^	IS_PERLSPACE}', "");
Expect(1, 33, '\P{	IS_PERLSPACE}', "");
Expect(0, 33, '\P{^	IS_PERLSPACE}', "");
Error('\p{:=-posixupper}');
Error('\P{:=-posixupper}');
Expect(1, 90, '\p{posixupper}', "");
Expect(0, 90, '\p{^posixupper}', "");
Expect(0, 90, '\P{posixupper}', "");
Expect(1, 90, '\P{^posixupper}', "");
Expect(0, 91, '\p{posixupper}', "");
Expect(1, 91, '\p{^posixupper}', "");
Expect(1, 91, '\P{posixupper}', "");
Expect(0, 91, '\P{^posixupper}', "");
Expect(1, 90, '\p{-PosixUpper}', "");
Expect(0, 90, '\p{^-PosixUpper}', "");
Expect(0, 90, '\P{-PosixUpper}', "");
Expect(1, 90, '\P{^-PosixUpper}', "");
Expect(0, 91, '\p{-PosixUpper}', "");
Expect(1, 91, '\p{^-PosixUpper}', "");
Expect(1, 91, '\P{-PosixUpper}', "");
Expect(0, 91, '\P{^-PosixUpper}', "");
Error('\p{/a/ is_PosixUpper}');
Error('\P{/a/ is_PosixUpper}');
Expect(1, 90, '\p{isposixupper}', "");
Expect(0, 90, '\p{^isposixupper}', "");
Expect(0, 90, '\P{isposixupper}', "");
Expect(1, 90, '\P{^isposixupper}', "");
Expect(0, 91, '\p{isposixupper}', "");
Expect(1, 91, '\p{^isposixupper}', "");
Expect(1, 91, '\P{isposixupper}', "");
Expect(0, 91, '\P{^isposixupper}', "");
Expect(1, 90, '\p{ Is_POSIXUPPER}', "");
Expect(0, 90, '\p{^ Is_POSIXUPPER}', "");
Expect(0, 90, '\P{ Is_POSIXUPPER}', "");
Expect(1, 90, '\P{^ Is_POSIXUPPER}', "");
Expect(0, 91, '\p{ Is_POSIXUPPER}', "");
Expect(1, 91, '\p{^ Is_POSIXUPPER}', "");
Expect(1, 91, '\P{ Is_POSIXUPPER}', "");
Expect(0, 91, '\P{^ Is_POSIXUPPER}', "");
Error('\p{	/a/POSIXWORD}');
Error('\P{	/a/POSIXWORD}');
Expect(1, 122, '\p{posixword}', "");
Expect(0, 122, '\p{^posixword}', "");
Expect(0, 122, '\P{posixword}', "");
Expect(1, 122, '\P{^posixword}', "");
Expect(0, 123, '\p{posixword}', "");
Expect(1, 123, '\p{^posixword}', "");
Expect(1, 123, '\P{posixword}', "");
Expect(0, 123, '\P{^posixword}', "");
Expect(1, 122, '\p{_ posixword}', "");
Expect(0, 122, '\p{^_ posixword}', "");
Expect(0, 122, '\P{_ posixword}', "");
Expect(1, 122, '\P{^_ posixword}', "");
Expect(0, 123, '\p{_ posixword}', "");
Expect(1, 123, '\p{^_ posixword}', "");
Expect(1, 123, '\P{_ posixword}', "");
Expect(0, 123, '\P{^_ posixword}', "");
Error('\p{:=perlword}');
Error('\P{:=perlword}');
Expect(1, 122, '\p{perlword}', "");
Expect(0, 122, '\p{^perlword}', "");
Expect(0, 122, '\P{perlword}', "");
Expect(1, 122, '\P{^perlword}', "");
Expect(0, 123, '\p{perlword}', "");
Expect(1, 123, '\p{^perlword}', "");
Expect(1, 123, '\P{perlword}', "");
Expect(0, 123, '\P{^perlword}', "");
Expect(1, 122, '\p{_-perlword}', "");
Expect(0, 122, '\p{^_-perlword}', "");
Expect(0, 122, '\P{_-perlword}', "");
Expect(1, 122, '\P{^_-perlword}', "");
Expect(0, 123, '\p{_-perlword}', "");
Expect(1, 123, '\p{^_-perlword}', "");
Expect(1, 123, '\P{_-perlword}', "");
Expect(0, 123, '\P{^_-perlword}', "");
Error('\p{	/a/Is_PosixWord}');
Error('\P{	/a/Is_PosixWord}');
Expect(1, 122, '\p{isposixword}', "");
Expect(0, 122, '\p{^isposixword}', "");
Expect(0, 122, '\P{isposixword}', "");
Expect(1, 122, '\P{^isposixword}', "");
Expect(0, 123, '\p{isposixword}', "");
Expect(1, 123, '\p{^isposixword}', "");
Expect(1, 123, '\P{isposixword}', "");
Expect(0, 123, '\P{^isposixword}', "");
Expect(1, 122, '\p{_Is_posixword}', "");
Expect(0, 122, '\p{^_Is_posixword}', "");
Expect(0, 122, '\P{_Is_posixword}', "");
Expect(1, 122, '\P{^_Is_posixword}', "");
Expect(0, 123, '\p{_Is_posixword}', "");
Expect(1, 123, '\p{^_Is_posixword}', "");
Expect(1, 123, '\P{_Is_posixword}', "");
Expect(0, 123, '\P{^_Is_posixword}', "");
Error('\p{/a/-is_PerlWord}');
Error('\P{/a/-is_PerlWord}');
Expect(1, 122, '\p{isperlword}', "");
Expect(0, 122, '\p{^isperlword}', "");
Expect(0, 122, '\P{isperlword}', "");
Expect(1, 122, '\P{^isperlword}', "");
Expect(0, 123, '\p{isperlword}', "");
Expect(1, 123, '\p{^isperlword}', "");
Expect(1, 123, '\P{isperlword}', "");
Expect(0, 123, '\P{^isperlword}', "");
Expect(1, 122, '\p{_	IS_PERLWORD}', "");
Expect(0, 122, '\p{^_	IS_PERLWORD}', "");
Expect(0, 122, '\P{_	IS_PERLWORD}', "");
Expect(1, 122, '\P{^_	IS_PERLWORD}', "");
Expect(0, 123, '\p{_	IS_PERLWORD}', "");
Expect(1, 123, '\p{^_	IS_PERLWORD}', "");
Expect(1, 123, '\P{_	IS_PERLWORD}', "");
Expect(0, 123, '\P{^_	IS_PERLWORD}', "");
Error('\p{:= 	POSIXXDIGIT}');
Error('\P{:= 	POSIXXDIGIT}');
Expect(1, 102, '\p{posixxdigit}', "");
Expect(0, 102, '\p{^posixxdigit}', "");
Expect(0, 102, '\P{posixxdigit}', "");
Expect(1, 102, '\P{^posixxdigit}', "");
Expect(0, 103, '\p{posixxdigit}', "");
Expect(1, 103, '\p{^posixxdigit}', "");
Expect(1, 103, '\P{posixxdigit}', "");
Expect(0, 103, '\P{^posixxdigit}', "");
Expect(1, 102, '\p{  POSIXXDIGIT}', "");
Expect(0, 102, '\p{^  POSIXXDIGIT}', "");
Expect(0, 102, '\P{  POSIXXDIGIT}', "");
Expect(1, 102, '\P{^  POSIXXDIGIT}', "");
Expect(0, 103, '\p{  POSIXXDIGIT}', "");
Expect(1, 103, '\p{^  POSIXXDIGIT}', "");
Expect(1, 103, '\P{  POSIXXDIGIT}', "");
Expect(0, 103, '\P{^  POSIXXDIGIT}', "");
Error('\p{/a/- IS_PosixXDigit}');
Error('\P{/a/- IS_PosixXDigit}');
Expect(1, 102, '\p{isposixxdigit}', "");
Expect(0, 102, '\p{^isposixxdigit}', "");
Expect(0, 102, '\P{isposixxdigit}', "");
Expect(1, 102, '\P{^isposixxdigit}', "");
Expect(0, 103, '\p{isposixxdigit}', "");
Expect(1, 103, '\p{^isposixxdigit}', "");
Expect(1, 103, '\P{isposixxdigit}', "");
Expect(0, 103, '\P{^isposixxdigit}', "");
Expect(1, 102, '\p{ -is_PosixXDigit}', "");
Expect(0, 102, '\p{^ -is_PosixXDigit}', "");
Expect(0, 102, '\P{ -is_PosixXDigit}', "");
Expect(1, 102, '\P{^ -is_PosixXDigit}', "");
Expect(0, 103, '\p{ -is_PosixXDigit}', "");
Expect(1, 103, '\p{^ -is_PosixXDigit}', "");
Expect(1, 103, '\P{ -is_PosixXDigit}', "");
Expect(0, 103, '\P{^ -is_PosixXDigit}', "");
Error('\p{/a/_ ASCII_HEX_digit}');
Error('\P{/a/_ ASCII_HEX_digit}');
Expect(1, 102, '\p{asciihexdigit}', "");
Expect(0, 102, '\p{^asciihexdigit}', "");
Expect(0, 102, '\P{asciihexdigit}', "");
Expect(1, 102, '\P{^asciihexdigit}', "");
Expect(0, 103, '\p{asciihexdigit}', "");
Expect(1, 103, '\p{^asciihexdigit}', "");
Expect(1, 103, '\P{asciihexdigit}', "");
Expect(0, 103, '\P{^asciihexdigit}', "");
Expect(1, 102, '\p{	-ascii_hex_digit}', "");
Expect(0, 102, '\p{^	-ascii_hex_digit}', "");
Expect(0, 102, '\P{	-ascii_hex_digit}', "");
Expect(1, 102, '\P{^	-ascii_hex_digit}', "");
Expect(0, 103, '\p{	-ascii_hex_digit}', "");
Expect(1, 103, '\p{^	-ascii_hex_digit}', "");
Expect(1, 103, '\P{	-ascii_hex_digit}', "");
Expect(0, 103, '\P{^	-ascii_hex_digit}', "");
Error('\p{_/a/Is_ascii_Hex_DIGIT}');
Error('\P{_/a/Is_ascii_Hex_DIGIT}');
Expect(1, 102, '\p{isasciihexdigit}', "");
Expect(0, 102, '\p{^isasciihexdigit}', "");
Expect(0, 102, '\P{isasciihexdigit}', "");
Expect(1, 102, '\P{^isasciihexdigit}', "");
Expect(0, 103, '\p{isasciihexdigit}', "");
Expect(1, 103, '\p{^isasciihexdigit}', "");
Expect(1, 103, '\P{isasciihexdigit}', "");
Expect(0, 103, '\P{^isasciihexdigit}', "");
Expect(1, 102, '\p{ Is_ASCII_hex_DIGIT}', "");
Expect(0, 102, '\p{^ Is_ASCII_hex_DIGIT}', "");
Expect(0, 102, '\P{ Is_ASCII_hex_DIGIT}', "");
Expect(1, 102, '\P{^ Is_ASCII_hex_DIGIT}', "");
Expect(0, 103, '\p{ Is_ASCII_hex_DIGIT}', "");
Expect(1, 103, '\p{^ Is_ASCII_hex_DIGIT}', "");
Expect(1, 103, '\P{ Is_ASCII_hex_DIGIT}', "");
Expect(0, 103, '\P{^ Is_ASCII_hex_DIGIT}', "");
Error('\p{:=	AHEX}');
Error('\P{:=	AHEX}');
Expect(1, 102, '\p{ahex}', "");
Expect(0, 102, '\p{^ahex}', "");
Expect(0, 102, '\P{ahex}', "");
Expect(1, 102, '\P{^ahex}', "");
Expect(0, 103, '\p{ahex}', "");
Expect(1, 103, '\p{^ahex}', "");
Expect(1, 103, '\P{ahex}', "");
Expect(0, 103, '\P{^ahex}', "");
Expect(1, 102, '\p{_-AHex}', "");
Expect(0, 102, '\p{^_-AHex}', "");
Expect(0, 102, '\P{_-AHex}', "");
Expect(1, 102, '\P{^_-AHex}', "");
Expect(0, 103, '\p{_-AHex}', "");
Expect(1, 103, '\p{^_-AHex}', "");
Expect(1, 103, '\P{_-AHex}', "");
Expect(0, 103, '\P{^_-AHex}', "");
Error('\p{-Is_ahex:=}');
Error('\P{-Is_ahex:=}');
Expect(1, 102, '\p{isahex}', "");
Expect(0, 102, '\p{^isahex}', "");
Expect(0, 102, '\P{isahex}', "");
Expect(1, 102, '\P{^isahex}', "");
Expect(0, 103, '\p{isahex}', "");
Expect(1, 103, '\p{^isahex}', "");
Expect(1, 103, '\P{isahex}', "");
Expect(0, 103, '\P{^isahex}', "");
Expect(1, 102, '\p{ is_AHex}', "");
Expect(0, 102, '\p{^ is_AHex}', "");
Expect(0, 102, '\P{ is_AHex}', "");
Expect(1, 102, '\P{^ is_AHex}', "");
Expect(0, 103, '\p{ is_AHex}', "");
Expect(1, 103, '\p{^ is_AHex}', "");
Expect(1, 103, '\P{ is_AHex}', "");
Expect(0, 103, '\P{^ is_AHex}', "");
Error('\p{ /a/XPOSIXPRINT}');
Error('\P{ /a/XPOSIXPRINT}');
Expect(1, 1114109, '\p{xposixprint}', "");
Expect(0, 1114109, '\p{^xposixprint}', "");
Expect(0, 1114109, '\P{xposixprint}', "");
Expect(1, 1114109, '\P{^xposixprint}', "");
Expect(0, 918000, '\p{xposixprint}', "");
Expect(1, 918000, '\p{^xposixprint}', "");
Expect(1, 918000, '\P{xposixprint}', "");
Expect(0, 918000, '\P{^xposixprint}', "");
Expect(1, 1114109, '\p{_ XPosixPrint}', "");
Expect(0, 1114109, '\p{^_ XPosixPrint}', "");
Expect(0, 1114109, '\P{_ XPosixPrint}', "");
Expect(1, 1114109, '\P{^_ XPosixPrint}', "");
Expect(0, 918000, '\p{_ XPosixPrint}', "");
Expect(1, 918000, '\p{^_ XPosixPrint}', "");
Expect(1, 918000, '\P{_ XPosixPrint}', "");
Expect(0, 918000, '\P{^_ XPosixPrint}', "");
Error('\p{-/a/Print}');
Error('\P{-/a/Print}');
Expect(1, 1114109, '\p{print}', "");
Expect(0, 1114109, '\p{^print}', "");
Expect(0, 1114109, '\P{print}', "");
Expect(1, 1114109, '\P{^print}', "");
Expect(0, 918000, '\p{print}', "");
Expect(1, 918000, '\p{^print}', "");
Expect(1, 918000, '\P{print}', "");
Expect(0, 918000, '\P{^print}', "");
Expect(1, 1114109, '\p{-_Print}', "");
Expect(0, 1114109, '\p{^-_Print}', "");
Expect(0, 1114109, '\P{-_Print}', "");
Expect(1, 1114109, '\P{^-_Print}', "");
Expect(0, 918000, '\p{-_Print}', "");
Expect(1, 918000, '\p{^-_Print}', "");
Expect(1, 918000, '\P{-_Print}', "");
Expect(0, 918000, '\P{^-_Print}', "");
Error('\p{- is_xposixprint/a/}');
Error('\P{- is_xposixprint/a/}');
Expect(1, 1114109, '\p{isxposixprint}', "");
Expect(0, 1114109, '\p{^isxposixprint}', "");
Expect(0, 1114109, '\P{isxposixprint}', "");
Expect(1, 1114109, '\P{^isxposixprint}', "");
Expect(0, 918000, '\p{isxposixprint}', "");
Expect(1, 918000, '\p{^isxposixprint}', "");
Expect(1, 918000, '\P{isxposixprint}', "");
Expect(0, 918000, '\P{^isxposixprint}', "");
Expect(1, 1114109, '\p{	-IS_xposixprint}', "");
Expect(0, 1114109, '\p{^	-IS_xposixprint}', "");
Expect(0, 1114109, '\P{	-IS_xposixprint}', "");
Expect(1, 1114109, '\P{^	-IS_xposixprint}', "");
Expect(0, 918000, '\p{	-IS_xposixprint}', "");
Expect(1, 918000, '\p{^	-IS_xposixprint}', "");
Expect(1, 918000, '\P{	-IS_xposixprint}', "");
Expect(0, 918000, '\P{^	-IS_xposixprint}', "");
Error('\p{	:=IS_Print}');
Error('\P{	:=IS_Print}');
Expect(1, 1114109, '\p{isprint}', "");
Expect(0, 1114109, '\p{^isprint}', "");
Expect(0, 1114109, '\P{isprint}', "");
Expect(1, 1114109, '\P{^isprint}', "");
Expect(0, 918000, '\p{isprint}', "");
Expect(1, 918000, '\p{^isprint}', "");
Expect(1, 918000, '\P{isprint}', "");
Expect(0, 918000, '\P{^isprint}', "");
Expect(1, 1114109, '\p{	Is_PRINT}', "");
Expect(0, 1114109, '\p{^	Is_PRINT}', "");
Expect(0, 1114109, '\P{	Is_PRINT}', "");
Expect(1, 1114109, '\P{^	Is_PRINT}', "");
Expect(0, 918000, '\p{	Is_PRINT}', "");
Expect(1, 918000, '\p{^	Is_PRINT}', "");
Expect(1, 918000, '\P{	Is_PRINT}', "");
Expect(0, 918000, '\P{^	Is_PRINT}', "");
Error('\p{_/a/private_Use}');
Error('\P{_/a/private_Use}');
Expect(1, 1114109, '\p{privateuse}', "");
Expect(0, 1114109, '\p{^privateuse}', "");
Expect(0, 1114109, '\P{privateuse}', "");
Expect(1, 1114109, '\P{^privateuse}', "");
Expect(0, 63744, '\p{privateuse}', "");
Expect(1, 63744, '\p{^privateuse}', "");
Expect(1, 63744, '\P{privateuse}', "");
Expect(0, 63744, '\P{^privateuse}', "");
Expect(1, 1114109, '\p{	 Private_Use}', "");
Expect(0, 1114109, '\p{^	 Private_Use}', "");
Expect(0, 1114109, '\P{	 Private_Use}', "");
Expect(1, 1114109, '\P{^	 Private_Use}', "");
Expect(0, 63744, '\p{	 Private_Use}', "");
Expect(1, 63744, '\p{^	 Private_Use}', "");
Expect(1, 63744, '\P{	 Private_Use}', "");
Expect(0, 63744, '\P{^	 Private_Use}', "");
Error('\p{-_is_Private_USE:=}');
Error('\P{-_is_Private_USE:=}');
Expect(1, 1114109, '\p{isprivateuse}', "");
Expect(0, 1114109, '\p{^isprivateuse}', "");
Expect(0, 1114109, '\P{isprivateuse}', "");
Expect(1, 1114109, '\P{^isprivateuse}', "");
Expect(0, 63744, '\p{isprivateuse}', "");
Expect(1, 63744, '\p{^isprivateuse}', "");
Expect(1, 63744, '\P{isprivateuse}', "");
Expect(0, 63744, '\P{^isprivateuse}', "");
Expect(1, 1114109, '\p{ 	IS_Private_use}', "");
Expect(0, 1114109, '\p{^ 	IS_Private_use}', "");
Expect(0, 1114109, '\P{ 	IS_Private_use}', "");
Expect(1, 1114109, '\P{^ 	IS_Private_use}', "");
Expect(0, 63744, '\p{ 	IS_Private_use}', "");
Expect(1, 63744, '\p{^ 	IS_Private_use}', "");
Expect(1, 63744, '\P{ 	IS_Private_use}', "");
Expect(0, 63744, '\P{^ 	IS_Private_use}', "");
Error('\p{_/a/co}');
Error('\P{_/a/co}');
Expect(1, 1114109, '\p{co}', "");
Expect(0, 1114109, '\p{^co}', "");
Expect(0, 1114109, '\P{co}', "");
Expect(1, 1114109, '\P{^co}', "");
Expect(0, 63744, '\p{co}', "");
Expect(1, 63744, '\p{^co}', "");
Expect(1, 63744, '\P{co}', "");
Expect(0, 63744, '\P{^co}', "");
Expect(1, 1114109, '\p{  CO}', "");
Expect(0, 1114109, '\p{^  CO}', "");
Expect(0, 1114109, '\P{  CO}', "");
Expect(1, 1114109, '\P{^  CO}', "");
Expect(0, 63744, '\p{  CO}', "");
Expect(1, 63744, '\p{^  CO}', "");
Expect(1, 63744, '\P{  CO}', "");
Expect(0, 63744, '\P{^  CO}', "");
Error('\p{:= is_CO}');
Error('\P{:= is_CO}');
Expect(1, 1114109, '\p{isco}', "");
Expect(0, 1114109, '\p{^isco}', "");
Expect(0, 1114109, '\P{isco}', "");
Expect(1, 1114109, '\P{^isco}', "");
Expect(0, 63744, '\p{isco}', "");
Expect(1, 63744, '\p{^isco}', "");
Expect(1, 63744, '\P{isco}', "");
Expect(0, 63744, '\P{^isco}', "");
Expect(1, 1114109, '\p{_Is_Co}', "");
Expect(0, 1114109, '\p{^_Is_Co}', "");
Expect(0, 1114109, '\P{_Is_Co}', "");
Expect(1, 1114109, '\P{^_Is_Co}', "");
Expect(0, 63744, '\p{_Is_Co}', "");
Expect(1, 63744, '\p{^_Is_Co}', "");
Expect(1, 63744, '\P{_Is_Co}', "");
Expect(0, 63744, '\P{^_Is_Co}', "");
Error('\p{ :=private_Use_AREA}');
Error('\P{ :=private_Use_AREA}');
Expect(1, 63743, '\p{privateusearea}', "");
Expect(0, 63743, '\p{^privateusearea}', "");
Expect(0, 63743, '\P{privateusearea}', "");
Expect(1, 63743, '\P{^privateusearea}', "");
Expect(0, 63744, '\p{privateusearea}', "");
Expect(1, 63744, '\p{^privateusearea}', "");
Expect(1, 63744, '\P{privateusearea}', "");
Expect(0, 63744, '\P{^privateusearea}', "");
Expect(1, 63743, '\p{ private_use_area}', "");
Expect(0, 63743, '\p{^ private_use_area}', "");
Expect(0, 63743, '\P{ private_use_area}', "");
Expect(1, 63743, '\P{^ private_use_area}', "");
Expect(0, 63744, '\p{ private_use_area}', "");
Expect(1, 63744, '\p{^ private_use_area}', "");
Expect(1, 63744, '\P{ private_use_area}', "");
Expect(0, 63744, '\P{^ private_use_area}', "");
Error('\p{	/a/Is_Private_Use_Area}');
Error('\P{	/a/Is_Private_Use_Area}');
Expect(1, 63743, '\p{isprivateusearea}', "");
Expect(0, 63743, '\p{^isprivateusearea}', "");
Expect(0, 63743, '\P{isprivateusearea}', "");
Expect(1, 63743, '\P{^isprivateusearea}', "");
Expect(0, 63744, '\p{isprivateusearea}', "");
Expect(1, 63744, '\p{^isprivateusearea}', "");
Expect(1, 63744, '\P{isprivateusearea}', "");
Expect(0, 63744, '\P{^isprivateusearea}', "");
Expect(1, 63743, '\p{-_is_Private_Use_Area}', "");
Expect(0, 63743, '\p{^-_is_Private_Use_Area}', "");
Expect(0, 63743, '\P{-_is_Private_Use_Area}', "");
Expect(1, 63743, '\P{^-_is_Private_Use_Area}', "");
Expect(0, 63744, '\p{-_is_Private_Use_Area}', "");
Expect(1, 63744, '\p{^-_is_Private_Use_Area}', "");
Expect(1, 63744, '\P{-_is_Private_Use_Area}', "");
Expect(0, 63744, '\P{^-_is_Private_Use_Area}', "");
Error('\p{--IN_PRIVATE_use_Area:=}');
Error('\P{--IN_PRIVATE_use_Area:=}');
Expect(1, 63743, '\p{inprivateusearea}', "");
Expect(0, 63743, '\p{^inprivateusearea}', "");
Expect(0, 63743, '\P{inprivateusearea}', "");
Expect(1, 63743, '\P{^inprivateusearea}', "");
Expect(0, 63744, '\p{inprivateusearea}', "");
Expect(1, 63744, '\p{^inprivateusearea}', "");
Expect(1, 63744, '\P{inprivateusearea}', "");
Expect(0, 63744, '\P{^inprivateusearea}', "");
Expect(1, 63743, '\p{		In_PRIVATE_use_area}', "");
Expect(0, 63743, '\p{^		In_PRIVATE_use_area}', "");
Expect(0, 63743, '\P{		In_PRIVATE_use_area}', "");
Expect(1, 63743, '\P{^		In_PRIVATE_use_area}', "");
Expect(0, 63744, '\p{		In_PRIVATE_use_area}', "");
Expect(1, 63744, '\p{^		In_PRIVATE_use_area}', "");
Expect(1, 63744, '\P{		In_PRIVATE_use_area}', "");
Expect(0, 63744, '\P{^		In_PRIVATE_use_area}', "");
Error('\p{ :=pua}');
Error('\P{ :=pua}');
Expect(1, 63743, '\p{pua}', "");
Expect(0, 63743, '\p{^pua}', "");
Expect(0, 63743, '\P{pua}', "");
Expect(1, 63743, '\P{^pua}', "");
Expect(0, 63744, '\p{pua}', "");
Expect(1, 63744, '\p{^pua}', "");
Expect(1, 63744, '\P{pua}', "");
Expect(0, 63744, '\P{^pua}', "");
Expect(1, 63743, '\p{	PUA}', "");
Expect(0, 63743, '\p{^	PUA}', "");
Expect(0, 63743, '\P{	PUA}', "");
Expect(1, 63743, '\P{^	PUA}', "");
Expect(0, 63744, '\p{	PUA}', "");
Expect(1, 63744, '\p{^	PUA}', "");
Expect(1, 63744, '\P{	PUA}', "");
Expect(0, 63744, '\P{^	PUA}', "");
Error('\p{ :=Is_PUA}');
Error('\P{ :=Is_PUA}');
Expect(1, 63743, '\p{ispua}', "");
Expect(0, 63743, '\p{^ispua}', "");
Expect(0, 63743, '\P{ispua}', "");
Expect(1, 63743, '\P{^ispua}', "");
Expect(0, 63744, '\p{ispua}', "");
Expect(1, 63744, '\p{^ispua}', "");
Expect(1, 63744, '\P{ispua}', "");
Expect(0, 63744, '\P{^ispua}', "");
Expect(1, 63743, '\p{-Is_PUA}', "");
Expect(0, 63743, '\p{^-Is_PUA}', "");
Expect(0, 63743, '\P{-Is_PUA}', "");
Expect(1, 63743, '\P{^-Is_PUA}', "");
Expect(0, 63744, '\p{-Is_PUA}', "");
Expect(1, 63744, '\p{^-Is_PUA}', "");
Expect(1, 63744, '\P{-Is_PUA}', "");
Expect(0, 63744, '\P{^-Is_PUA}', "");
Error('\p{ :=In_pua}');
Error('\P{ :=In_pua}');
Expect(1, 63743, '\p{inpua}', "");
Expect(0, 63743, '\p{^inpua}', "");
Expect(0, 63743, '\P{inpua}', "");
Expect(1, 63743, '\P{^inpua}', "");
Expect(0, 63744, '\p{inpua}', "");
Expect(1, 63744, '\p{^inpua}', "");
Expect(1, 63744, '\P{inpua}', "");
Expect(0, 63744, '\P{^inpua}', "");
Expect(1, 63743, '\p{	 In_PUA}', "");
Expect(0, 63743, '\p{^	 In_PUA}', "");
Expect(0, 63743, '\P{	 In_PUA}', "");
Expect(1, 63743, '\P{^	 In_PUA}', "");
Expect(0, 63744, '\p{	 In_PUA}', "");
Expect(1, 63744, '\p{^	 In_PUA}', "");
Expect(1, 63744, '\P{	 In_PUA}', "");
Expect(0, 63744, '\P{^	 In_PUA}', "");
Error('\p{/a/In_Private_use}');
Error('\P{/a/In_Private_use}');
Expect(1, 63743, '\p{inprivateuse}', "");
Expect(0, 63743, '\p{^inprivateuse}', "");
Expect(0, 63743, '\P{inprivateuse}', "");
Expect(1, 63743, '\P{^inprivateuse}', "");
Expect(0, 63744, '\p{inprivateuse}', "");
Expect(1, 63744, '\p{^inprivateuse}', "");
Expect(1, 63744, '\P{inprivateuse}', "");
Expect(0, 63744, '\P{^inprivateuse}', "");
Expect(1, 63743, '\p{_	In_private_USE}', "");
Expect(0, 63743, '\p{^_	In_private_USE}', "");
Expect(0, 63743, '\P{_	In_private_USE}', "");
Expect(1, 63743, '\P{^_	In_private_USE}', "");
Expect(0, 63744, '\p{_	In_private_USE}', "");
Expect(1, 63744, '\p{^_	In_private_USE}', "");
Expect(1, 63744, '\P{_	In_private_USE}', "");
Expect(0, 63744, '\P{^_	In_private_USE}', "");
Error('\p{/a/Psalter_pahlavi}');
Error('\P{/a/Psalter_pahlavi}');
Expect(1, 68527, '\p{psalterpahlavi}', "");
Expect(0, 68527, '\p{^psalterpahlavi}', "");
Expect(0, 68527, '\P{psalterpahlavi}', "");
Expect(1, 68527, '\P{^psalterpahlavi}', "");
Expect(0, 68528, '\p{psalterpahlavi}', "");
Expect(1, 68528, '\p{^psalterpahlavi}', "");
Expect(1, 68528, '\P{psalterpahlavi}', "");
Expect(0, 68528, '\P{^psalterpahlavi}', "");
Expect(1, 68527, '\p{		Psalter_Pahlavi}', "");
Expect(0, 68527, '\p{^		Psalter_Pahlavi}', "");
Expect(0, 68527, '\P{		Psalter_Pahlavi}', "");
Expect(1, 68527, '\P{^		Psalter_Pahlavi}', "");
Expect(0, 68528, '\p{		Psalter_Pahlavi}', "");
Expect(1, 68528, '\p{^		Psalter_Pahlavi}', "");
Expect(1, 68528, '\P{		Psalter_Pahlavi}', "");
Expect(0, 68528, '\P{^		Psalter_Pahlavi}', "");
Error('\p{-:=Is_Psalter_PAHLAVI}');
Error('\P{-:=Is_Psalter_PAHLAVI}');
Expect(1, 68527, '\p{ispsalterpahlavi}', "");
Expect(0, 68527, '\p{^ispsalterpahlavi}', "");
Expect(0, 68527, '\P{ispsalterpahlavi}', "");
Expect(1, 68527, '\P{^ispsalterpahlavi}', "");
Expect(0, 68528, '\p{ispsalterpahlavi}', "");
Expect(1, 68528, '\p{^ispsalterpahlavi}', "");
Expect(1, 68528, '\P{ispsalterpahlavi}', "");
Expect(0, 68528, '\P{^ispsalterpahlavi}', "");
Expect(1, 68527, '\p{ Is_PSALTER_Pahlavi}', "");
Expect(0, 68527, '\p{^ Is_PSALTER_Pahlavi}', "");
Expect(0, 68527, '\P{ Is_PSALTER_Pahlavi}', "");
Expect(1, 68527, '\P{^ Is_PSALTER_Pahlavi}', "");
Expect(0, 68528, '\p{ Is_PSALTER_Pahlavi}', "");
Expect(1, 68528, '\p{^ Is_PSALTER_Pahlavi}', "");
Expect(1, 68528, '\P{ Is_PSALTER_Pahlavi}', "");
Expect(0, 68528, '\P{^ Is_PSALTER_Pahlavi}', "");
Error('\p{_:=Phlp}');
Error('\P{_:=Phlp}');
Expect(1, 68527, '\p{phlp}', "");
Expect(0, 68527, '\p{^phlp}', "");
Expect(0, 68527, '\P{phlp}', "");
Expect(1, 68527, '\P{^phlp}', "");
Expect(0, 68528, '\p{phlp}', "");
Expect(1, 68528, '\p{^phlp}', "");
Expect(1, 68528, '\P{phlp}', "");
Expect(0, 68528, '\P{^phlp}', "");
Expect(1, 68527, '\p{		Phlp}', "");
Expect(0, 68527, '\p{^		Phlp}', "");
Expect(0, 68527, '\P{		Phlp}', "");
Expect(1, 68527, '\P{^		Phlp}', "");
Expect(0, 68528, '\p{		Phlp}', "");
Expect(1, 68528, '\p{^		Phlp}', "");
Expect(1, 68528, '\P{		Phlp}', "");
Expect(0, 68528, '\P{^		Phlp}', "");
Error('\p{ _is_Phlp:=}');
Error('\P{ _is_Phlp:=}');
Expect(1, 68527, '\p{isphlp}', "");
Expect(0, 68527, '\p{^isphlp}', "");
Expect(0, 68527, '\P{isphlp}', "");
Expect(1, 68527, '\P{^isphlp}', "");
Expect(0, 68528, '\p{isphlp}', "");
Expect(1, 68528, '\p{^isphlp}', "");
Expect(1, 68528, '\P{isphlp}', "");
Expect(0, 68528, '\P{^isphlp}', "");
Expect(1, 68527, '\p{	-IS_Phlp}', "");
Expect(0, 68527, '\p{^	-IS_Phlp}', "");
Expect(0, 68527, '\P{	-IS_Phlp}', "");
Expect(1, 68527, '\P{^	-IS_Phlp}', "");
Expect(0, 68528, '\p{	-IS_Phlp}', "");
Expect(1, 68528, '\p{^	-IS_Phlp}', "");
Expect(1, 68528, '\P{	-IS_Phlp}', "");
Expect(0, 68528, '\P{^	-IS_Phlp}', "");
Error('\p{/a/_	Punct}');
Error('\P{/a/_	Punct}');
Expect(1, 113823, '\p{punct}', "");
Expect(0, 113823, '\p{^punct}', "");
Expect(0, 113823, '\P{punct}', "");
Expect(1, 113823, '\P{^punct}', "");
Expect(0, 113824, '\p{punct}', "");
Expect(1, 113824, '\p{^punct}', "");
Expect(1, 113824, '\P{punct}', "");
Expect(0, 113824, '\P{^punct}', "");
Expect(1, 113823, '\p{_punct}', "");
Expect(0, 113823, '\p{^_punct}', "");
Expect(0, 113823, '\P{_punct}', "");
Expect(1, 113823, '\P{^_punct}', "");
Expect(0, 113824, '\p{_punct}', "");
Expect(1, 113824, '\p{^_punct}', "");
Expect(1, 113824, '\P{_punct}', "");
Expect(0, 113824, '\P{^_punct}', "");
Error('\p{-IS_Punct:=}');
Error('\P{-IS_Punct:=}');
Expect(1, 113823, '\p{ispunct}', "");
Expect(0, 113823, '\p{^ispunct}', "");
Expect(0, 113823, '\P{ispunct}', "");
Expect(1, 113823, '\P{^ispunct}', "");
Expect(0, 113824, '\p{ispunct}', "");
Expect(1, 113824, '\p{^ispunct}', "");
Expect(1, 113824, '\P{ispunct}', "");
Expect(0, 113824, '\P{^ispunct}', "");
Expect(1, 113823, '\p{	 IS_punct}', "");
Expect(0, 113823, '\p{^	 IS_punct}', "");
Expect(0, 113823, '\P{	 IS_punct}', "");
Expect(1, 113823, '\P{^	 IS_punct}', "");
Expect(0, 113824, '\p{	 IS_punct}', "");
Expect(1, 113824, '\p{^	 IS_punct}', "");
Expect(1, 113824, '\P{	 IS_punct}', "");
Expect(0, 113824, '\P{^	 IS_punct}', "");
Error('\p{	/a/Punctuation}');
Error('\P{	/a/Punctuation}');
Expect(1, 113823, '\p{punctuation}', "");
Expect(0, 113823, '\p{^punctuation}', "");
Expect(0, 113823, '\P{punctuation}', "");
Expect(1, 113823, '\P{^punctuation}', "");
Expect(0, 113824, '\p{punctuation}', "");
Expect(1, 113824, '\p{^punctuation}', "");
Expect(1, 113824, '\P{punctuation}', "");
Expect(0, 113824, '\P{^punctuation}', "");
Expect(1, 113823, '\p{  punctuation}', "");
Expect(0, 113823, '\p{^  punctuation}', "");
Expect(0, 113823, '\P{  punctuation}', "");
Expect(1, 113823, '\P{^  punctuation}', "");
Expect(0, 113824, '\p{  punctuation}', "");
Expect(1, 113824, '\p{^  punctuation}', "");
Expect(1, 113824, '\P{  punctuation}', "");
Expect(0, 113824, '\P{^  punctuation}', "");
Error('\p{	:=Is_PUNCTUATION}');
Error('\P{	:=Is_PUNCTUATION}');
Expect(1, 113823, '\p{ispunctuation}', "");
Expect(0, 113823, '\p{^ispunctuation}', "");
Expect(0, 113823, '\P{ispunctuation}', "");
Expect(1, 113823, '\P{^ispunctuation}', "");
Expect(0, 113824, '\p{ispunctuation}', "");
Expect(1, 113824, '\p{^ispunctuation}', "");
Expect(1, 113824, '\P{ispunctuation}', "");
Expect(0, 113824, '\P{^ispunctuation}', "");
Expect(1, 113823, '\p{ -Is_punctuation}', "");
Expect(0, 113823, '\p{^ -Is_punctuation}', "");
Expect(0, 113823, '\P{ -Is_punctuation}', "");
Expect(1, 113823, '\P{^ -Is_punctuation}', "");
Expect(0, 113824, '\p{ -Is_punctuation}', "");
Expect(1, 113824, '\p{^ -Is_punctuation}', "");
Expect(1, 113824, '\P{ -Is_punctuation}', "");
Expect(0, 113824, '\P{^ -Is_punctuation}', "");
Error('\p{	-p:=}');
Error('\P{	-p:=}');
Expect(1, 113823, '\p{p}', "");
Expect(0, 113823, '\p{^p}', "");
Expect(0, 113823, '\P{p}', "");
Expect(1, 113823, '\P{^p}', "");
Expect(0, 113824, '\p{p}', "");
Expect(1, 113824, '\p{^p}', "");
Expect(1, 113824, '\P{p}', "");
Expect(0, 113824, '\P{^p}', "");
Expect(1, 113823, '\p{	_P}', "");
Expect(0, 113823, '\p{^	_P}', "");
Expect(0, 113823, '\P{	_P}', "");
Expect(1, 113823, '\P{^	_P}', "");
Expect(0, 113824, '\p{	_P}', "");
Expect(1, 113824, '\p{^	_P}', "");
Expect(1, 113824, '\P{	_P}', "");
Expect(0, 113824, '\P{^	_P}', "");
Error('\p{--IS_P:=}');
Error('\P{--IS_P:=}');
Expect(1, 113823, '\p{isp}', "");
Expect(0, 113823, '\p{^isp}', "");
Expect(0, 113823, '\P{isp}', "");
Expect(1, 113823, '\P{^isp}', "");
Expect(0, 113824, '\p{isp}', "");
Expect(1, 113824, '\p{^isp}', "");
Expect(1, 113824, '\P{isp}', "");
Expect(0, 113824, '\P{^isp}', "");
Expect(1, 113823, '\p{  is_P}', "");
Expect(0, 113823, '\p{^  is_P}', "");
Expect(0, 113823, '\P{  is_P}', "");
Expect(1, 113823, '\P{^  is_P}', "");
Expect(0, 113824, '\p{  is_P}', "");
Expect(1, 113824, '\p{^  is_P}', "");
Expect(1, 113824, '\P{  is_P}', "");
Expect(0, 113824, '\P{^  is_P}', "");
Error('\p{__Quotation_Mark/a/}');
Error('\P{__Quotation_Mark/a/}');
Expect(1, 65379, '\p{quotationmark}', "");
Expect(0, 65379, '\p{^quotationmark}', "");
Expect(0, 65379, '\P{quotationmark}', "");
Expect(1, 65379, '\P{^quotationmark}', "");
Expect(0, 65380, '\p{quotationmark}', "");
Expect(1, 65380, '\p{^quotationmark}', "");
Expect(1, 65380, '\P{quotationmark}', "");
Expect(0, 65380, '\P{^quotationmark}', "");
Expect(1, 65379, '\p{-	Quotation_mark}', "");
Expect(0, 65379, '\p{^-	Quotation_mark}', "");
Expect(0, 65379, '\P{-	Quotation_mark}', "");
Expect(1, 65379, '\P{^-	Quotation_mark}', "");
Expect(0, 65380, '\p{-	Quotation_mark}', "");
Expect(1, 65380, '\p{^-	Quotation_mark}', "");
Expect(1, 65380, '\P{-	Quotation_mark}', "");
Expect(0, 65380, '\P{^-	Quotation_mark}', "");
Error('\p{	Is_quotation_Mark:=}');
Error('\P{	Is_quotation_Mark:=}');
Expect(1, 65379, '\p{isquotationmark}', "");
Expect(0, 65379, '\p{^isquotationmark}', "");
Expect(0, 65379, '\P{isquotationmark}', "");
Expect(1, 65379, '\P{^isquotationmark}', "");
Expect(0, 65380, '\p{isquotationmark}', "");
Expect(1, 65380, '\p{^isquotationmark}', "");
Expect(1, 65380, '\P{isquotationmark}', "");
Expect(0, 65380, '\P{^isquotationmark}', "");
Expect(1, 65379, '\p{_-IS_quotation_Mark}', "");
Expect(0, 65379, '\p{^_-IS_quotation_Mark}', "");
Expect(0, 65379, '\P{_-IS_quotation_Mark}', "");
Expect(1, 65379, '\P{^_-IS_quotation_Mark}', "");
Expect(0, 65380, '\p{_-IS_quotation_Mark}', "");
Expect(1, 65380, '\p{^_-IS_quotation_Mark}', "");
Expect(1, 65380, '\P{_-IS_quotation_Mark}', "");
Expect(0, 65380, '\P{^_-IS_quotation_Mark}', "");
Error('\p{:= _QMARK}');
Error('\P{:= _QMARK}');
Expect(1, 65379, '\p{qmark}', "");
Expect(0, 65379, '\p{^qmark}', "");
Expect(0, 65379, '\P{qmark}', "");
Expect(1, 65379, '\P{^qmark}', "");
Expect(0, 65380, '\p{qmark}', "");
Expect(1, 65380, '\p{^qmark}', "");
Expect(1, 65380, '\P{qmark}', "");
Expect(0, 65380, '\P{^qmark}', "");
Expect(1, 65379, '\p{ _qmark}', "");
Expect(0, 65379, '\p{^ _qmark}', "");
Expect(0, 65379, '\P{ _qmark}', "");
Expect(1, 65379, '\P{^ _qmark}', "");
Expect(0, 65380, '\p{ _qmark}', "");
Expect(1, 65380, '\p{^ _qmark}', "");
Expect(1, 65380, '\P{ _qmark}', "");
Expect(0, 65380, '\P{^ _qmark}', "");
Error('\p{- Is_QMARK/a/}');
Error('\P{- Is_QMARK/a/}');
Expect(1, 65379, '\p{isqmark}', "");
Expect(0, 65379, '\p{^isqmark}', "");
Expect(0, 65379, '\P{isqmark}', "");
Expect(1, 65379, '\P{^isqmark}', "");
Expect(0, 65380, '\p{isqmark}', "");
Expect(1, 65380, '\p{^isqmark}', "");
Expect(1, 65380, '\P{isqmark}', "");
Expect(0, 65380, '\P{^isqmark}', "");
Expect(1, 65379, '\p{	-Is_QMark}', "");
Expect(0, 65379, '\p{^	-Is_QMark}', "");
Expect(0, 65379, '\P{	-Is_QMark}', "");
Expect(1, 65379, '\P{^	-Is_QMark}', "");
Expect(0, 65380, '\p{	-Is_QMark}', "");
Expect(1, 65380, '\p{^	-Is_QMark}', "");
Expect(1, 65380, '\P{	-Is_QMark}', "");
Expect(0, 65380, '\P{^	-Is_QMark}', "");
Error('\p{_:=RADICAL}');
Error('\P{_:=RADICAL}');
Expect(1, 12245, '\p{radical}', "");
Expect(0, 12245, '\p{^radical}', "");
Expect(0, 12245, '\P{radical}', "");
Expect(1, 12245, '\P{^radical}', "");
Expect(0, 12246, '\p{radical}', "");
Expect(1, 12246, '\p{^radical}', "");
Expect(1, 12246, '\P{radical}', "");
Expect(0, 12246, '\P{^radical}', "");
Expect(1, 12245, '\p{-	radical}', "");
Expect(0, 12245, '\p{^-	radical}', "");
Expect(0, 12245, '\P{-	radical}', "");
Expect(1, 12245, '\P{^-	radical}', "");
Expect(0, 12246, '\p{-	radical}', "");
Expect(1, 12246, '\p{^-	radical}', "");
Expect(1, 12246, '\P{-	radical}', "");
Expect(0, 12246, '\P{^-	radical}', "");
Error('\p{_	is_RADICAL/a/}');
Error('\P{_	is_RADICAL/a/}');
Expect(1, 12245, '\p{isradical}', "");
Expect(0, 12245, '\p{^isradical}', "");
Expect(0, 12245, '\P{isradical}', "");
Expect(1, 12245, '\P{^isradical}', "");
Expect(0, 12246, '\p{isradical}', "");
Expect(1, 12246, '\p{^isradical}', "");
Expect(1, 12246, '\P{isradical}', "");
Expect(0, 12246, '\P{^isradical}', "");
Expect(1, 12245, '\p{	Is_RADICAL}', "");
Expect(0, 12245, '\p{^	Is_RADICAL}', "");
Expect(0, 12245, '\P{	Is_RADICAL}', "");
Expect(1, 12245, '\P{^	Is_RADICAL}', "");
Expect(0, 12246, '\p{	Is_RADICAL}', "");
Expect(1, 12246, '\p{^	Is_RADICAL}', "");
Expect(1, 12246, '\P{	Is_RADICAL}', "");
Expect(0, 12246, '\P{^	Is_RADICAL}', "");
Error('\p{__rejang:=}');
Error('\P{__rejang:=}');
Expect(1, 43359, '\p{rejang}', "");
Expect(0, 43359, '\p{^rejang}', "");
Expect(0, 43359, '\P{rejang}', "");
Expect(1, 43359, '\P{^rejang}', "");
Expect(0, 43360, '\p{rejang}', "");
Expect(1, 43360, '\p{^rejang}', "");
Expect(1, 43360, '\P{rejang}', "");
Expect(0, 43360, '\P{^rejang}', "");
Expect(1, 43359, '\p{- rejang}', "");
Expect(0, 43359, '\p{^- rejang}', "");
Expect(0, 43359, '\P{- rejang}', "");
Expect(1, 43359, '\P{^- rejang}', "");
Expect(0, 43360, '\p{- rejang}', "");
Expect(1, 43360, '\p{^- rejang}', "");
Expect(1, 43360, '\P{- rejang}', "");
Expect(0, 43360, '\P{^- rejang}', "");
Error('\p{	 IS_Rejang:=}');
Error('\P{	 IS_Rejang:=}');
Expect(1, 43359, '\p{isrejang}', "");
Expect(0, 43359, '\p{^isrejang}', "");
Expect(0, 43359, '\P{isrejang}', "");
Expect(1, 43359, '\P{^isrejang}', "");
Expect(0, 43360, '\p{isrejang}', "");
Expect(1, 43360, '\p{^isrejang}', "");
Expect(1, 43360, '\P{isrejang}', "");
Expect(0, 43360, '\P{^isrejang}', "");
Expect(1, 43359, '\p{	IS_REJANG}', "");
Expect(0, 43359, '\p{^	IS_REJANG}', "");
Expect(0, 43359, '\P{	IS_REJANG}', "");
Expect(1, 43359, '\P{^	IS_REJANG}', "");
Expect(0, 43360, '\p{	IS_REJANG}', "");
Expect(1, 43360, '\p{^	IS_REJANG}', "");
Expect(1, 43360, '\P{	IS_REJANG}', "");
Expect(0, 43360, '\P{^	IS_REJANG}', "");
Error('\p{/a/_RJNG}');
Error('\P{/a/_RJNG}');
Expect(1, 43359, '\p{rjng}', "");
Expect(0, 43359, '\p{^rjng}', "");
Expect(0, 43359, '\P{rjng}', "");
Expect(1, 43359, '\P{^rjng}', "");
Expect(0, 43360, '\p{rjng}', "");
Expect(1, 43360, '\p{^rjng}', "");
Expect(1, 43360, '\P{rjng}', "");
Expect(0, 43360, '\P{^rjng}', "");
Expect(1, 43359, '\p{ 	RJNG}', "");
Expect(0, 43359, '\p{^ 	RJNG}', "");
Expect(0, 43359, '\P{ 	RJNG}', "");
Expect(1, 43359, '\P{^ 	RJNG}', "");
Expect(0, 43360, '\p{ 	RJNG}', "");
Expect(1, 43360, '\p{^ 	RJNG}', "");
Expect(1, 43360, '\P{ 	RJNG}', "");
Expect(0, 43360, '\P{^ 	RJNG}', "");
Error('\p{:= Is_RJNG}');
Error('\P{:= Is_RJNG}');
Expect(1, 43359, '\p{isrjng}', "");
Expect(0, 43359, '\p{^isrjng}', "");
Expect(0, 43359, '\P{isrjng}', "");
Expect(1, 43359, '\P{^isrjng}', "");
Expect(0, 43360, '\p{isrjng}', "");
Expect(1, 43360, '\p{^isrjng}', "");
Expect(1, 43360, '\P{isrjng}', "");
Expect(0, 43360, '\P{^isrjng}', "");
Expect(1, 43359, '\p{__IS_RJNG}', "");
Expect(0, 43359, '\p{^__IS_RJNG}', "");
Expect(0, 43359, '\P{__IS_RJNG}', "");
Expect(1, 43359, '\P{^__IS_RJNG}', "");
Expect(0, 43360, '\p{__IS_RJNG}', "");
Expect(1, 43360, '\p{^__IS_RJNG}', "");
Expect(1, 43360, '\P{__IS_RJNG}', "");
Expect(0, 43360, '\P{^__IS_RJNG}', "");
Error('\p{-/a/Rumi_Numeral_Symbols}');
Error('\P{-/a/Rumi_Numeral_Symbols}');
Expect(1, 69247, '\p{ruminumeralsymbols}', "");
Expect(0, 69247, '\p{^ruminumeralsymbols}', "");
Expect(0, 69247, '\P{ruminumeralsymbols}', "");
Expect(1, 69247, '\P{^ruminumeralsymbols}', "");
Expect(0, 69248, '\p{ruminumeralsymbols}', "");
Expect(1, 69248, '\p{^ruminumeralsymbols}', "");
Expect(1, 69248, '\P{ruminumeralsymbols}', "");
Expect(0, 69248, '\P{^ruminumeralsymbols}', "");
Expect(1, 69247, '\p{		rumi_numeral_Symbols}', "");
Expect(0, 69247, '\p{^		rumi_numeral_Symbols}', "");
Expect(0, 69247, '\P{		rumi_numeral_Symbols}', "");
Expect(1, 69247, '\P{^		rumi_numeral_Symbols}', "");
Expect(0, 69248, '\p{		rumi_numeral_Symbols}', "");
Expect(1, 69248, '\p{^		rumi_numeral_Symbols}', "");
Expect(1, 69248, '\P{		rumi_numeral_Symbols}', "");
Expect(0, 69248, '\P{^		rumi_numeral_Symbols}', "");
Error('\p{--Is_RUMI_NUMERAL_SYMBOLS/a/}');
Error('\P{--Is_RUMI_NUMERAL_SYMBOLS/a/}');
Expect(1, 69247, '\p{isruminumeralsymbols}', "");
Expect(0, 69247, '\p{^isruminumeralsymbols}', "");
Expect(0, 69247, '\P{isruminumeralsymbols}', "");
Expect(1, 69247, '\P{^isruminumeralsymbols}', "");
Expect(0, 69248, '\p{isruminumeralsymbols}', "");
Expect(1, 69248, '\p{^isruminumeralsymbols}', "");
Expect(1, 69248, '\P{isruminumeralsymbols}', "");
Expect(0, 69248, '\P{^isruminumeralsymbols}', "");
Expect(1, 69247, '\p{-	IS_Rumi_numeral_Symbols}', "");
Expect(0, 69247, '\p{^-	IS_Rumi_numeral_Symbols}', "");
Expect(0, 69247, '\P{-	IS_Rumi_numeral_Symbols}', "");
Expect(1, 69247, '\P{^-	IS_Rumi_numeral_Symbols}', "");
Expect(0, 69248, '\p{-	IS_Rumi_numeral_Symbols}', "");
Expect(1, 69248, '\p{^-	IS_Rumi_numeral_Symbols}', "");
Expect(1, 69248, '\P{-	IS_Rumi_numeral_Symbols}', "");
Expect(0, 69248, '\P{^-	IS_Rumi_numeral_Symbols}', "");
Error('\p{/a/_-in_RUMI_Numeral_Symbols}');
Error('\P{/a/_-in_RUMI_Numeral_Symbols}');
Expect(1, 69247, '\p{inruminumeralsymbols}', "");
Expect(0, 69247, '\p{^inruminumeralsymbols}', "");
Expect(0, 69247, '\P{inruminumeralsymbols}', "");
Expect(1, 69247, '\P{^inruminumeralsymbols}', "");
Expect(0, 69248, '\p{inruminumeralsymbols}', "");
Expect(1, 69248, '\p{^inruminumeralsymbols}', "");
Expect(1, 69248, '\P{inruminumeralsymbols}', "");
Expect(0, 69248, '\P{^inruminumeralsymbols}', "");
Expect(1, 69247, '\p{		In_rumi_Numeral_symbols}', "");
Expect(0, 69247, '\p{^		In_rumi_Numeral_symbols}', "");
Expect(0, 69247, '\P{		In_rumi_Numeral_symbols}', "");
Expect(1, 69247, '\P{^		In_rumi_Numeral_symbols}', "");
Expect(0, 69248, '\p{		In_rumi_Numeral_symbols}', "");
Expect(1, 69248, '\p{^		In_rumi_Numeral_symbols}', "");
Expect(1, 69248, '\P{		In_rumi_Numeral_symbols}', "");
Expect(0, 69248, '\P{^		In_rumi_Numeral_symbols}', "");
Error('\p{		Rumi/a/}');
Error('\P{		Rumi/a/}');
Expect(1, 69247, '\p{rumi}', "");
Expect(0, 69247, '\p{^rumi}', "");
Expect(0, 69247, '\P{rumi}', "");
Expect(1, 69247, '\P{^rumi}', "");
Expect(0, 69248, '\p{rumi}', "");
Expect(1, 69248, '\p{^rumi}', "");
Expect(1, 69248, '\P{rumi}', "");
Expect(0, 69248, '\P{^rumi}', "");
Expect(1, 69247, '\p{	 Rumi}', "");
Expect(0, 69247, '\p{^	 Rumi}', "");
Expect(0, 69247, '\P{	 Rumi}', "");
Expect(1, 69247, '\P{^	 Rumi}', "");
Expect(0, 69248, '\p{	 Rumi}', "");
Expect(1, 69248, '\p{^	 Rumi}', "");
Expect(1, 69248, '\P{	 Rumi}', "");
Expect(0, 69248, '\P{^	 Rumi}', "");
Error('\p{:=_Is_RUMI}');
Error('\P{:=_Is_RUMI}');
Expect(1, 69247, '\p{isrumi}', "");
Expect(0, 69247, '\p{^isrumi}', "");
Expect(0, 69247, '\P{isrumi}', "");
Expect(1, 69247, '\P{^isrumi}', "");
Expect(0, 69248, '\p{isrumi}', "");
Expect(1, 69248, '\p{^isrumi}', "");
Expect(1, 69248, '\P{isrumi}', "");
Expect(0, 69248, '\P{^isrumi}', "");
Expect(1, 69247, '\p{_	IS_rumi}', "");
Expect(0, 69247, '\p{^_	IS_rumi}', "");
Expect(0, 69247, '\P{_	IS_rumi}', "");
Expect(1, 69247, '\P{^_	IS_rumi}', "");
Expect(0, 69248, '\p{_	IS_rumi}', "");
Expect(1, 69248, '\p{^_	IS_rumi}', "");
Expect(1, 69248, '\P{_	IS_rumi}', "");
Expect(0, 69248, '\P{^_	IS_rumi}', "");
Error('\p{-/a/in_Rumi}');
Error('\P{-/a/in_Rumi}');
Expect(1, 69247, '\p{inrumi}', "");
Expect(0, 69247, '\p{^inrumi}', "");
Expect(0, 69247, '\P{inrumi}', "");
Expect(1, 69247, '\P{^inrumi}', "");
Expect(0, 69248, '\p{inrumi}', "");
Expect(1, 69248, '\p{^inrumi}', "");
Expect(1, 69248, '\P{inrumi}', "");
Expect(0, 69248, '\P{^inrumi}', "");
Expect(1, 69247, '\p{	In_Rumi}', "");
Expect(0, 69247, '\p{^	In_Rumi}', "");
Expect(0, 69247, '\P{	In_Rumi}', "");
Expect(1, 69247, '\P{^	In_Rumi}', "");
Expect(0, 69248, '\p{	In_Rumi}', "");
Expect(1, 69248, '\p{^	In_Rumi}', "");
Expect(1, 69248, '\P{	In_Rumi}', "");
Expect(0, 69248, '\P{^	In_Rumi}', "");
Error('\p{	/a/RUNIC}');
Error('\P{	/a/RUNIC}');
Expect(1, 5880, '\p{runic}', "");
Expect(0, 5880, '\p{^runic}', "");
Expect(0, 5880, '\P{runic}', "");
Expect(1, 5880, '\P{^runic}', "");
Expect(0, 5881, '\p{runic}', "");
Expect(1, 5881, '\p{^runic}', "");
Expect(1, 5881, '\P{runic}', "");
Expect(0, 5881, '\P{^runic}', "");
Expect(1, 5880, '\p{_Runic}', "");
Expect(0, 5880, '\p{^_Runic}', "");
Expect(0, 5880, '\P{_Runic}', "");
Expect(1, 5880, '\P{^_Runic}', "");
Expect(0, 5881, '\p{_Runic}', "");
Expect(1, 5881, '\p{^_Runic}', "");
Expect(1, 5881, '\P{_Runic}', "");
Expect(0, 5881, '\P{^_Runic}', "");
Error('\p{	/a/is_Runic}');
Error('\P{	/a/is_Runic}');
Expect(1, 5880, '\p{isrunic}', "");
Expect(0, 5880, '\p{^isrunic}', "");
Expect(0, 5880, '\P{isrunic}', "");
Expect(1, 5880, '\P{^isrunic}', "");
Expect(0, 5881, '\p{isrunic}', "");
Expect(1, 5881, '\p{^isrunic}', "");
Expect(1, 5881, '\P{isrunic}', "");
Expect(0, 5881, '\P{^isrunic}', "");
Expect(1, 5880, '\p{ IS_Runic}', "");
Expect(0, 5880, '\p{^ IS_Runic}', "");
Expect(0, 5880, '\P{ IS_Runic}', "");
Expect(1, 5880, '\P{^ IS_Runic}', "");
Expect(0, 5881, '\p{ IS_Runic}', "");
Expect(1, 5881, '\p{^ IS_Runic}', "");
Expect(1, 5881, '\P{ IS_Runic}', "");
Expect(0, 5881, '\P{^ IS_Runic}', "");
Error('\p{/a/__runr}');
Error('\P{/a/__runr}');
Expect(1, 5880, '\p{runr}', "");
Expect(0, 5880, '\p{^runr}', "");
Expect(0, 5880, '\P{runr}', "");
Expect(1, 5880, '\P{^runr}', "");
Expect(0, 5881, '\p{runr}', "");
Expect(1, 5881, '\p{^runr}', "");
Expect(1, 5881, '\P{runr}', "");
Expect(0, 5881, '\P{^runr}', "");
Expect(1, 5880, '\p{_ runr}', "");
Expect(0, 5880, '\p{^_ runr}', "");
Expect(0, 5880, '\P{_ runr}', "");
Expect(1, 5880, '\P{^_ runr}', "");
Expect(0, 5881, '\p{_ runr}', "");
Expect(1, 5881, '\p{^_ runr}', "");
Expect(1, 5881, '\P{_ runr}', "");
Expect(0, 5881, '\P{^_ runr}', "");
Error('\p{_:=Is_Runr}');
Error('\P{_:=Is_Runr}');
Expect(1, 5880, '\p{isrunr}', "");
Expect(0, 5880, '\p{^isrunr}', "");
Expect(0, 5880, '\P{isrunr}', "");
Expect(1, 5880, '\P{^isrunr}', "");
Expect(0, 5881, '\p{isrunr}', "");
Expect(1, 5881, '\p{^isrunr}', "");
Expect(1, 5881, '\P{isrunr}', "");
Expect(0, 5881, '\P{^isrunr}', "");
Expect(1, 5880, '\p{	 Is_RUNR}', "");
Expect(0, 5880, '\p{^	 Is_RUNR}', "");
Expect(0, 5880, '\P{	 Is_RUNR}', "");
Expect(1, 5880, '\P{^	 Is_RUNR}', "");
Expect(0, 5881, '\p{	 Is_RUNR}', "");
Expect(1, 5881, '\p{^	 Is_RUNR}', "");
Expect(1, 5881, '\P{	 Is_RUNR}', "");
Expect(0, 5881, '\P{^	 Is_RUNR}', "");
Error('\p{:=	 sterm}');
Error('\P{:=	 sterm}');
Expect(1, 113823, '\p{sterm}', "");
Expect(0, 113823, '\p{^sterm}', "");
Expect(0, 113823, '\P{sterm}', "");
Expect(1, 113823, '\P{^sterm}', "");
Expect(0, 113824, '\p{sterm}', "");
Expect(1, 113824, '\p{^sterm}', "");
Expect(1, 113824, '\P{sterm}', "");
Expect(0, 113824, '\P{^sterm}', "");
Expect(1, 113823, '\p{-STerm}', "");
Expect(0, 113823, '\p{^-STerm}', "");
Expect(0, 113823, '\P{-STerm}', "");
Expect(1, 113823, '\P{^-STerm}', "");
Expect(0, 113824, '\p{-STerm}', "");
Expect(1, 113824, '\p{^-STerm}', "");
Expect(1, 113824, '\P{-STerm}', "");
Expect(0, 113824, '\P{^-STerm}', "");
Error('\p{/a/_IS_sterm}');
Error('\P{/a/_IS_sterm}');
Expect(1, 113823, '\p{issterm}', "");
Expect(0, 113823, '\p{^issterm}', "");
Expect(0, 113823, '\P{issterm}', "");
Expect(1, 113823, '\P{^issterm}', "");
Expect(0, 113824, '\p{issterm}', "");
Expect(1, 113824, '\p{^issterm}', "");
Expect(1, 113824, '\P{issterm}', "");
Expect(0, 113824, '\P{^issterm}', "");
Expect(1, 113823, '\p{	-Is_STERM}', "");
Expect(0, 113823, '\p{^	-Is_STERM}', "");
Expect(0, 113823, '\P{	-Is_STERM}', "");
Expect(1, 113823, '\P{^	-Is_STERM}', "");
Expect(0, 113824, '\p{	-Is_STERM}', "");
Expect(1, 113824, '\p{^	-Is_STERM}', "");
Expect(1, 113824, '\P{	-Is_STERM}', "");
Expect(0, 113824, '\P{^	-Is_STERM}', "");
Error('\p{:=Samaritan}');
Error('\P{:=Samaritan}');
Expect(1, 2110, '\p{samaritan}', "");
Expect(0, 2110, '\p{^samaritan}', "");
Expect(0, 2110, '\P{samaritan}', "");
Expect(1, 2110, '\P{^samaritan}', "");
Expect(0, 2111, '\p{samaritan}', "");
Expect(1, 2111, '\p{^samaritan}', "");
Expect(1, 2111, '\P{samaritan}', "");
Expect(0, 2111, '\P{^samaritan}', "");
Expect(1, 2110, '\p{_Samaritan}', "");
Expect(0, 2110, '\p{^_Samaritan}', "");
Expect(0, 2110, '\P{_Samaritan}', "");
Expect(1, 2110, '\P{^_Samaritan}', "");
Expect(0, 2111, '\p{_Samaritan}', "");
Expect(1, 2111, '\p{^_Samaritan}', "");
Expect(1, 2111, '\P{_Samaritan}', "");
Expect(0, 2111, '\P{^_Samaritan}', "");
Error('\p{	/a/Is_SAMARITAN}');
Error('\P{	/a/Is_SAMARITAN}');
Expect(1, 2110, '\p{issamaritan}', "");
Expect(0, 2110, '\p{^issamaritan}', "");
Expect(0, 2110, '\P{issamaritan}', "");
Expect(1, 2110, '\P{^issamaritan}', "");
Expect(0, 2111, '\p{issamaritan}', "");
Expect(1, 2111, '\p{^issamaritan}', "");
Expect(1, 2111, '\P{issamaritan}', "");
Expect(0, 2111, '\P{^issamaritan}', "");
Expect(1, 2110, '\p{  is_SAMARITAN}', "");
Expect(0, 2110, '\p{^  is_SAMARITAN}', "");
Expect(0, 2110, '\P{  is_SAMARITAN}', "");
Expect(1, 2110, '\P{^  is_SAMARITAN}', "");
Expect(0, 2111, '\p{  is_SAMARITAN}', "");
Expect(1, 2111, '\p{^  is_SAMARITAN}', "");
Expect(1, 2111, '\P{  is_SAMARITAN}', "");
Expect(0, 2111, '\P{^  is_SAMARITAN}', "");
Error('\p{:=Samr}');
Error('\P{:=Samr}');
Expect(1, 2110, '\p{samr}', "");
Expect(0, 2110, '\p{^samr}', "");
Expect(0, 2110, '\P{samr}', "");
Expect(1, 2110, '\P{^samr}', "");
Expect(0, 2111, '\p{samr}', "");
Expect(1, 2111, '\p{^samr}', "");
Expect(1, 2111, '\P{samr}', "");
Expect(0, 2111, '\P{^samr}', "");
Expect(1, 2110, '\p{Samr}', "");
Expect(0, 2110, '\p{^Samr}', "");
Expect(0, 2110, '\P{Samr}', "");
Expect(1, 2110, '\P{^Samr}', "");
Expect(0, 2111, '\p{Samr}', "");
Expect(1, 2111, '\p{^Samr}', "");
Expect(1, 2111, '\P{Samr}', "");
Expect(0, 2111, '\P{^Samr}', "");
Error('\p{:=_-IS_SAMR}');
Error('\P{:=_-IS_SAMR}');
Expect(1, 2110, '\p{issamr}', "");
Expect(0, 2110, '\p{^issamr}', "");
Expect(0, 2110, '\P{issamr}', "");
Expect(1, 2110, '\P{^issamr}', "");
Expect(0, 2111, '\p{issamr}', "");
Expect(1, 2111, '\p{^issamr}', "");
Expect(1, 2111, '\P{issamr}', "");
Expect(0, 2111, '\P{^issamr}', "");
Expect(1, 2110, '\p{_Is_Samr}', "");
Expect(0, 2110, '\p{^_Is_Samr}', "");
Expect(0, 2110, '\P{_Is_Samr}', "");
Expect(1, 2110, '\P{^_Is_Samr}', "");
Expect(0, 2111, '\p{_Is_Samr}', "");
Expect(1, 2111, '\p{^_Is_Samr}', "");
Expect(1, 2111, '\P{_Is_Samr}', "");
Expect(0, 2111, '\P{^_Is_Samr}', "");
Error('\p{:=Saurashtra}');
Error('\P{:=Saurashtra}');
Expect(1, 43225, '\p{saurashtra}', "");
Expect(0, 43225, '\p{^saurashtra}', "");
Expect(0, 43225, '\P{saurashtra}', "");
Expect(1, 43225, '\P{^saurashtra}', "");
Expect(0, 43226, '\p{saurashtra}', "");
Expect(1, 43226, '\p{^saurashtra}', "");
Expect(1, 43226, '\P{saurashtra}', "");
Expect(0, 43226, '\P{^saurashtra}', "");
Expect(1, 43225, '\p{Saurashtra}', "");
Expect(0, 43225, '\p{^Saurashtra}', "");
Expect(0, 43225, '\P{Saurashtra}', "");
Expect(1, 43225, '\P{^Saurashtra}', "");
Expect(0, 43226, '\p{Saurashtra}', "");
Expect(1, 43226, '\p{^Saurashtra}', "");
Expect(1, 43226, '\P{Saurashtra}', "");
Expect(0, 43226, '\P{^Saurashtra}', "");
Error('\p{	-is_saurashtra/a/}');
Error('\P{	-is_saurashtra/a/}');
Expect(1, 43225, '\p{issaurashtra}', "");
Expect(0, 43225, '\p{^issaurashtra}', "");
Expect(0, 43225, '\P{issaurashtra}', "");
Expect(1, 43225, '\P{^issaurashtra}', "");
Expect(0, 43226, '\p{issaurashtra}', "");
Expect(1, 43226, '\p{^issaurashtra}', "");
Expect(1, 43226, '\P{issaurashtra}', "");
Expect(0, 43226, '\P{^issaurashtra}', "");
Expect(1, 43225, '\p{--is_SAURASHTRA}', "");
Expect(0, 43225, '\p{^--is_SAURASHTRA}', "");
Expect(0, 43225, '\P{--is_SAURASHTRA}', "");
Expect(1, 43225, '\P{^--is_SAURASHTRA}', "");
Expect(0, 43226, '\p{--is_SAURASHTRA}', "");
Expect(1, 43226, '\p{^--is_SAURASHTRA}', "");
Expect(1, 43226, '\P{--is_SAURASHTRA}', "");
Expect(0, 43226, '\P{^--is_SAURASHTRA}', "");
Error('\p{ /a/saur}');
Error('\P{ /a/saur}');
Expect(1, 43225, '\p{saur}', "");
Expect(0, 43225, '\p{^saur}', "");
Expect(0, 43225, '\P{saur}', "");
Expect(1, 43225, '\P{^saur}', "");
Expect(0, 43226, '\p{saur}', "");
Expect(1, 43226, '\p{^saur}', "");
Expect(1, 43226, '\P{saur}', "");
Expect(0, 43226, '\P{^saur}', "");
Expect(1, 43225, '\p{_-saur}', "");
Expect(0, 43225, '\p{^_-saur}', "");
Expect(0, 43225, '\P{_-saur}', "");
Expect(1, 43225, '\P{^_-saur}', "");
Expect(0, 43226, '\p{_-saur}', "");
Expect(1, 43226, '\p{^_-saur}', "");
Expect(1, 43226, '\P{_-saur}', "");
Expect(0, 43226, '\P{^_-saur}', "");
Error('\p{	 is_Saur:=}');
Error('\P{	 is_Saur:=}');
Expect(1, 43225, '\p{issaur}', "");
Expect(0, 43225, '\p{^issaur}', "");
Expect(0, 43225, '\P{issaur}', "");
Expect(1, 43225, '\P{^issaur}', "");
Expect(0, 43226, '\p{issaur}', "");
Expect(1, 43226, '\p{^issaur}', "");
Expect(1, 43226, '\P{issaur}', "");
Expect(0, 43226, '\P{^issaur}', "");
Expect(1, 43225, '\p{	 Is_Saur}', "");
Expect(0, 43225, '\p{^	 Is_Saur}', "");
Expect(0, 43225, '\P{	 Is_Saur}', "");
Expect(1, 43225, '\P{^	 Is_Saur}', "");
Expect(0, 43226, '\p{	 Is_Saur}', "");
Expect(1, 43226, '\p{^	 Is_Saur}', "");
Expect(1, 43226, '\P{	 Is_Saur}', "");
Expect(0, 43226, '\P{^	 Is_Saur}', "");
Error('\p{Separator:=}');
Error('\P{Separator:=}');
Expect(1, 12288, '\p{separator}', "");
Expect(0, 12288, '\p{^separator}', "");
Expect(0, 12288, '\P{separator}', "");
Expect(1, 12288, '\P{^separator}', "");
Expect(0, 12289, '\p{separator}', "");
Expect(1, 12289, '\p{^separator}', "");
Expect(1, 12289, '\P{separator}', "");
Expect(0, 12289, '\P{^separator}', "");
Expect(1, 12288, '\p{- separator}', "");
Expect(0, 12288, '\p{^- separator}', "");
Expect(0, 12288, '\P{- separator}', "");
Expect(1, 12288, '\P{^- separator}', "");
Expect(0, 12289, '\p{- separator}', "");
Expect(1, 12289, '\p{^- separator}', "");
Expect(1, 12289, '\P{- separator}', "");
Expect(0, 12289, '\P{^- separator}', "");
Error('\p{_Is_separator/a/}');
Error('\P{_Is_separator/a/}');
Expect(1, 12288, '\p{isseparator}', "");
Expect(0, 12288, '\p{^isseparator}', "");
Expect(0, 12288, '\P{isseparator}', "");
Expect(1, 12288, '\P{^isseparator}', "");
Expect(0, 12289, '\p{isseparator}', "");
Expect(1, 12289, '\p{^isseparator}', "");
Expect(1, 12289, '\P{isseparator}', "");
Expect(0, 12289, '\P{^isseparator}', "");
Expect(1, 12288, '\p{_ is_SEPARATOR}', "");
Expect(0, 12288, '\p{^_ is_SEPARATOR}', "");
Expect(0, 12288, '\P{_ is_SEPARATOR}', "");
Expect(1, 12288, '\P{^_ is_SEPARATOR}', "");
Expect(0, 12289, '\p{_ is_SEPARATOR}', "");
Expect(1, 12289, '\p{^_ is_SEPARATOR}', "");
Expect(1, 12289, '\P{_ is_SEPARATOR}', "");
Expect(0, 12289, '\P{^_ is_SEPARATOR}', "");
Error('\p{:=_Z}');
Error('\P{:=_Z}');
Expect(1, 12288, '\p{z}', "");
Expect(0, 12288, '\p{^z}', "");
Expect(0, 12288, '\P{z}', "");
Expect(1, 12288, '\P{^z}', "");
Expect(0, 12289, '\p{z}', "");
Expect(1, 12289, '\p{^z}', "");
Expect(1, 12289, '\P{z}', "");
Expect(0, 12289, '\P{^z}', "");
Expect(1, 12288, '\p{ -Z}', "");
Expect(0, 12288, '\p{^ -Z}', "");
Expect(0, 12288, '\P{ -Z}', "");
Expect(1, 12288, '\P{^ -Z}', "");
Expect(0, 12289, '\p{ -Z}', "");
Expect(1, 12289, '\p{^ -Z}', "");
Expect(1, 12289, '\P{ -Z}', "");
Expect(0, 12289, '\P{^ -Z}', "");
Error('\p{ 	Is_Z:=}');
Error('\P{ 	Is_Z:=}');
Expect(1, 12288, '\p{isz}', "");
Expect(0, 12288, '\p{^isz}', "");
Expect(0, 12288, '\P{isz}', "");
Expect(1, 12288, '\P{^isz}', "");
Expect(0, 12289, '\p{isz}', "");
Expect(1, 12289, '\p{^isz}', "");
Expect(1, 12289, '\P{isz}', "");
Expect(0, 12289, '\P{^isz}', "");
Expect(1, 12288, '\p{_IS_Z}', "");
Expect(0, 12288, '\p{^_IS_Z}', "");
Expect(0, 12288, '\P{_IS_Z}', "");
Expect(1, 12288, '\P{^_IS_Z}', "");
Expect(0, 12289, '\p{_IS_Z}', "");
Expect(1, 12289, '\p{^_IS_Z}', "");
Expect(1, 12289, '\P{_IS_Z}', "");
Expect(0, 12289, '\P{^_IS_Z}', "");
Error('\p{_:=Sharada}');
Error('\P{_:=Sharada}');
Expect(1, 70106, '\p{sharada}', "");
Expect(0, 70106, '\p{^sharada}', "");
Expect(0, 70106, '\P{sharada}', "");
Expect(1, 70106, '\P{^sharada}', "");
Expect(0, 70107, '\p{sharada}', "");
Expect(1, 70107, '\p{^sharada}', "");
Expect(1, 70107, '\P{sharada}', "");
Expect(0, 70107, '\P{^sharada}', "");
Expect(1, 70106, '\p{-_sharada}', "");
Expect(0, 70106, '\p{^-_sharada}', "");
Expect(0, 70106, '\P{-_sharada}', "");
Expect(1, 70106, '\P{^-_sharada}', "");
Expect(0, 70107, '\p{-_sharada}', "");
Expect(1, 70107, '\p{^-_sharada}', "");
Expect(1, 70107, '\P{-_sharada}', "");
Expect(0, 70107, '\P{^-_sharada}', "");
Error('\p{		Is_Sharada:=}');
Error('\P{		Is_Sharada:=}');
Expect(1, 70106, '\p{issharada}', "");
Expect(0, 70106, '\p{^issharada}', "");
Expect(0, 70106, '\P{issharada}', "");
Expect(1, 70106, '\P{^issharada}', "");
Expect(0, 70107, '\p{issharada}', "");
Expect(1, 70107, '\p{^issharada}', "");
Expect(1, 70107, '\P{issharada}', "");
Expect(0, 70107, '\P{^issharada}', "");
Expect(1, 70106, '\p{__IS_sharada}', "");
Expect(0, 70106, '\p{^__IS_sharada}', "");
Expect(0, 70106, '\P{__IS_sharada}', "");
Expect(1, 70106, '\P{^__IS_sharada}', "");
Expect(0, 70107, '\p{__IS_sharada}', "");
Expect(1, 70107, '\p{^__IS_sharada}', "");
Expect(1, 70107, '\P{__IS_sharada}', "");
Expect(0, 70107, '\P{^__IS_sharada}', "");
Error('\p{-/a/Shrd}');
Error('\P{-/a/Shrd}');
Expect(1, 70106, '\p{shrd}', "");
Expect(0, 70106, '\p{^shrd}', "");
Expect(0, 70106, '\P{shrd}', "");
Expect(1, 70106, '\P{^shrd}', "");
Expect(0, 70107, '\p{shrd}', "");
Expect(1, 70107, '\p{^shrd}', "");
Expect(1, 70107, '\P{shrd}', "");
Expect(0, 70107, '\P{^shrd}', "");
Expect(1, 70106, '\p{__SHRD}', "");
Expect(0, 70106, '\p{^__SHRD}', "");
Expect(0, 70106, '\P{__SHRD}', "");
Expect(1, 70106, '\P{^__SHRD}', "");
Expect(0, 70107, '\p{__SHRD}', "");
Expect(1, 70107, '\p{^__SHRD}', "");
Expect(1, 70107, '\P{__SHRD}', "");
Expect(0, 70107, '\P{^__SHRD}', "");
Error('\p{:=	Is_Shrd}');
Error('\P{:=	Is_Shrd}');
Expect(1, 70106, '\p{isshrd}', "");
Expect(0, 70106, '\p{^isshrd}', "");
Expect(0, 70106, '\P{isshrd}', "");
Expect(1, 70106, '\P{^isshrd}', "");
Expect(0, 70107, '\p{isshrd}', "");
Expect(1, 70107, '\p{^isshrd}', "");
Expect(1, 70107, '\P{isshrd}', "");
Expect(0, 70107, '\P{^isshrd}', "");
Expect(1, 70106, '\p{_Is_SHRD}', "");
Expect(0, 70106, '\p{^_Is_SHRD}', "");
Expect(0, 70106, '\P{_Is_SHRD}', "");
Expect(1, 70106, '\P{^_Is_SHRD}', "");
Expect(0, 70107, '\p{_Is_SHRD}', "");
Expect(1, 70107, '\p{^_Is_SHRD}', "");
Expect(1, 70107, '\P{_Is_SHRD}', "");
Expect(0, 70107, '\P{^_Is_SHRD}', "");
Error('\p{_:=SHAVIAN}');
Error('\P{_:=SHAVIAN}');
Expect(1, 66687, '\p{shavian}', "");
Expect(0, 66687, '\p{^shavian}', "");
Expect(0, 66687, '\P{shavian}', "");
Expect(1, 66687, '\P{^shavian}', "");
Expect(0, 66688, '\p{shavian}', "");
Expect(1, 66688, '\p{^shavian}', "");
Expect(1, 66688, '\P{shavian}', "");
Expect(0, 66688, '\P{^shavian}', "");
Expect(1, 66687, '\p{-shavian}', "");
Expect(0, 66687, '\p{^-shavian}', "");
Expect(0, 66687, '\P{-shavian}', "");
Expect(1, 66687, '\P{^-shavian}', "");
Expect(0, 66688, '\p{-shavian}', "");
Expect(1, 66688, '\p{^-shavian}', "");
Expect(1, 66688, '\P{-shavian}', "");
Expect(0, 66688, '\P{^-shavian}', "");
Error('\p{-/a/IS_Shavian}');
Error('\P{-/a/IS_Shavian}');
Expect(1, 66687, '\p{isshavian}', "");
Expect(0, 66687, '\p{^isshavian}', "");
Expect(0, 66687, '\P{isshavian}', "");
Expect(1, 66687, '\P{^isshavian}', "");
Expect(0, 66688, '\p{isshavian}', "");
Expect(1, 66688, '\p{^isshavian}', "");
Expect(1, 66688, '\P{isshavian}', "");
Expect(0, 66688, '\P{^isshavian}', "");
Expect(1, 66687, '\p{  Is_SHAVIAN}', "");
Expect(0, 66687, '\p{^  Is_SHAVIAN}', "");
Expect(0, 66687, '\P{  Is_SHAVIAN}', "");
Expect(1, 66687, '\P{^  Is_SHAVIAN}', "");
Expect(0, 66688, '\p{  Is_SHAVIAN}', "");
Expect(1, 66688, '\p{^  Is_SHAVIAN}', "");
Expect(1, 66688, '\P{  Is_SHAVIAN}', "");
Expect(0, 66688, '\P{^  Is_SHAVIAN}', "");
Error('\p{-SHAW/a/}');
Error('\P{-SHAW/a/}');
Expect(1, 66687, '\p{shaw}', "");
Expect(0, 66687, '\p{^shaw}', "");
Expect(0, 66687, '\P{shaw}', "");
Expect(1, 66687, '\P{^shaw}', "");
Expect(0, 66688, '\p{shaw}', "");
Expect(1, 66688, '\p{^shaw}', "");
Expect(1, 66688, '\P{shaw}', "");
Expect(0, 66688, '\P{^shaw}', "");
Expect(1, 66687, '\p{_SHAW}', "");
Expect(0, 66687, '\p{^_SHAW}', "");
Expect(0, 66687, '\P{_SHAW}', "");
Expect(1, 66687, '\P{^_SHAW}', "");
Expect(0, 66688, '\p{_SHAW}', "");
Expect(1, 66688, '\p{^_SHAW}', "");
Expect(1, 66688, '\P{_SHAW}', "");
Expect(0, 66688, '\P{^_SHAW}', "");
Error('\p{:=_-IS_shaw}');
Error('\P{:=_-IS_shaw}');
Expect(1, 66687, '\p{isshaw}', "");
Expect(0, 66687, '\p{^isshaw}', "");
Expect(0, 66687, '\P{isshaw}', "");
Expect(1, 66687, '\P{^isshaw}', "");
Expect(0, 66688, '\p{isshaw}', "");
Expect(1, 66688, '\p{^isshaw}', "");
Expect(1, 66688, '\P{isshaw}', "");
Expect(0, 66688, '\P{^isshaw}', "");
Expect(1, 66687, '\p{_	Is_Shaw}', "");
Expect(0, 66687, '\p{^_	Is_Shaw}', "");
Expect(0, 66687, '\P{_	Is_Shaw}', "");
Expect(1, 66687, '\P{^_	Is_Shaw}', "");
Expect(0, 66688, '\p{_	Is_Shaw}', "");
Expect(1, 66688, '\p{^_	Is_Shaw}', "");
Expect(1, 66688, '\P{_	Is_Shaw}', "");
Expect(0, 66688, '\P{^_	Is_Shaw}', "");
Error('\p{	 Shorthand_Format_Controls:=}');
Error('\P{	 Shorthand_Format_Controls:=}');
Expect(1, 113839, '\p{shorthandformatcontrols}', "");
Expect(0, 113839, '\p{^shorthandformatcontrols}', "");
Expect(0, 113839, '\P{shorthandformatcontrols}', "");
Expect(1, 113839, '\P{^shorthandformatcontrols}', "");
Expect(0, 113840, '\p{shorthandformatcontrols}', "");
Expect(1, 113840, '\p{^shorthandformatcontrols}', "");
Expect(1, 113840, '\P{shorthandformatcontrols}', "");
Expect(0, 113840, '\P{^shorthandformatcontrols}', "");
Expect(1, 113839, '\p{ Shorthand_format_Controls}', "");
Expect(0, 113839, '\p{^ Shorthand_format_Controls}', "");
Expect(0, 113839, '\P{ Shorthand_format_Controls}', "");
Expect(1, 113839, '\P{^ Shorthand_format_Controls}', "");
Expect(0, 113840, '\p{ Shorthand_format_Controls}', "");
Expect(1, 113840, '\p{^ Shorthand_format_Controls}', "");
Expect(1, 113840, '\P{ Shorthand_format_Controls}', "");
Expect(0, 113840, '\P{^ Shorthand_format_Controls}', "");
Error('\p{_Is_Shorthand_format_CONTROLS/a/}');
Error('\P{_Is_Shorthand_format_CONTROLS/a/}');
Expect(1, 113839, '\p{isshorthandformatcontrols}', "");
Expect(0, 113839, '\p{^isshorthandformatcontrols}', "");
Expect(0, 113839, '\P{isshorthandformatcontrols}', "");
Expect(1, 113839, '\P{^isshorthandformatcontrols}', "");
Expect(0, 113840, '\p{isshorthandformatcontrols}', "");
Expect(1, 113840, '\p{^isshorthandformatcontrols}', "");
Expect(1, 113840, '\P{isshorthandformatcontrols}', "");
Expect(0, 113840, '\P{^isshorthandformatcontrols}', "");
Expect(1, 113839, '\p{_Is_Shorthand_Format_Controls}', "");
Expect(0, 113839, '\p{^_Is_Shorthand_Format_Controls}', "");
Expect(0, 113839, '\P{_Is_Shorthand_Format_Controls}', "");
Expect(1, 113839, '\P{^_Is_Shorthand_Format_Controls}', "");
Expect(0, 113840, '\p{_Is_Shorthand_Format_Controls}', "");
Expect(1, 113840, '\p{^_Is_Shorthand_Format_Controls}', "");
Expect(1, 113840, '\P{_Is_Shorthand_Format_Controls}', "");
Expect(0, 113840, '\P{^_Is_Shorthand_Format_Controls}', "");
Error('\p{/a/_In_Shorthand_Format_Controls}');
Error('\P{/a/_In_Shorthand_Format_Controls}');
Expect(1, 113839, '\p{inshorthandformatcontrols}', "");
Expect(0, 113839, '\p{^inshorthandformatcontrols}', "");
Expect(0, 113839, '\P{inshorthandformatcontrols}', "");
Expect(1, 113839, '\P{^inshorthandformatcontrols}', "");
Expect(0, 113840, '\p{inshorthandformatcontrols}', "");
Expect(1, 113840, '\p{^inshorthandformatcontrols}', "");
Expect(1, 113840, '\P{inshorthandformatcontrols}', "");
Expect(0, 113840, '\P{^inshorthandformatcontrols}', "");
Expect(1, 113839, '\p{-In_Shorthand_Format_Controls}', "");
Expect(0, 113839, '\p{^-In_Shorthand_Format_Controls}', "");
Expect(0, 113839, '\P{-In_Shorthand_Format_Controls}', "");
Expect(1, 113839, '\P{^-In_Shorthand_Format_Controls}', "");
Expect(0, 113840, '\p{-In_Shorthand_Format_Controls}', "");
Expect(1, 113840, '\p{^-In_Shorthand_Format_Controls}', "");
Expect(1, 113840, '\P{-In_Shorthand_Format_Controls}', "");
Expect(0, 113840, '\P{^-In_Shorthand_Format_Controls}', "");
Error('\p{/a/	Siddham}');
Error('\P{/a/	Siddham}');
Expect(1, 71113, '\p{siddham}', "");
Expect(0, 71113, '\p{^siddham}', "");
Expect(0, 71113, '\P{siddham}', "");
Expect(1, 71113, '\P{^siddham}', "");
Expect(0, 71114, '\p{siddham}', "");
Expect(1, 71114, '\p{^siddham}', "");
Expect(1, 71114, '\P{siddham}', "");
Expect(0, 71114, '\P{^siddham}', "");
Expect(1, 71113, '\p{- Siddham}', "");
Expect(0, 71113, '\p{^- Siddham}', "");
Expect(0, 71113, '\P{- Siddham}', "");
Expect(1, 71113, '\P{^- Siddham}', "");
Expect(0, 71114, '\p{- Siddham}', "");
Expect(1, 71114, '\p{^- Siddham}', "");
Expect(1, 71114, '\P{- Siddham}', "");
Expect(0, 71114, '\P{^- Siddham}', "");
Error('\p{_:=is_siddham}');
Error('\P{_:=is_siddham}');
Expect(1, 71113, '\p{issiddham}', "");
Expect(0, 71113, '\p{^issiddham}', "");
Expect(0, 71113, '\P{issiddham}', "");
Expect(1, 71113, '\P{^issiddham}', "");
Expect(0, 71114, '\p{issiddham}', "");
Expect(1, 71114, '\p{^issiddham}', "");
Expect(1, 71114, '\P{issiddham}', "");
Expect(0, 71114, '\P{^issiddham}', "");
Expect(1, 71113, '\p{_IS_SIDDHAM}', "");
Expect(0, 71113, '\p{^_IS_SIDDHAM}', "");
Expect(0, 71113, '\P{_IS_SIDDHAM}', "");
Expect(1, 71113, '\P{^_IS_SIDDHAM}', "");
Expect(0, 71114, '\p{_IS_SIDDHAM}', "");
Expect(1, 71114, '\p{^_IS_SIDDHAM}', "");
Expect(1, 71114, '\P{_IS_SIDDHAM}', "");
Expect(0, 71114, '\P{^_IS_SIDDHAM}', "");
Error('\p{	-SIDD:=}');
Error('\P{	-SIDD:=}');
Expect(1, 71113, '\p{sidd}', "");
Expect(0, 71113, '\p{^sidd}', "");
Expect(0, 71113, '\P{sidd}', "");
Expect(1, 71113, '\P{^sidd}', "");
Expect(0, 71114, '\p{sidd}', "");
Expect(1, 71114, '\p{^sidd}', "");
Expect(1, 71114, '\P{sidd}', "");
Expect(0, 71114, '\P{^sidd}', "");
Expect(1, 71113, '\p{-_SIDD}', "");
Expect(0, 71113, '\p{^-_SIDD}', "");
Expect(0, 71113, '\P{-_SIDD}', "");
Expect(1, 71113, '\P{^-_SIDD}', "");
Expect(0, 71114, '\p{-_SIDD}', "");
Expect(1, 71114, '\p{^-_SIDD}', "");
Expect(1, 71114, '\P{-_SIDD}', "");
Expect(0, 71114, '\P{^-_SIDD}', "");
Error('\p{_is_Sidd/a/}');
Error('\P{_is_Sidd/a/}');
Expect(1, 71113, '\p{issidd}', "");
Expect(0, 71113, '\p{^issidd}', "");
Expect(0, 71113, '\P{issidd}', "");
Expect(1, 71113, '\P{^issidd}', "");
Expect(0, 71114, '\p{issidd}', "");
Expect(1, 71114, '\p{^issidd}', "");
Expect(1, 71114, '\P{issidd}', "");
Expect(0, 71114, '\P{^issidd}', "");
Expect(1, 71113, '\p{_-is_Sidd}', "");
Expect(0, 71113, '\p{^_-is_Sidd}', "");
Expect(0, 71113, '\P{_-is_Sidd}', "");
Expect(1, 71113, '\P{^_-is_Sidd}', "");
Expect(0, 71114, '\p{_-is_Sidd}', "");
Expect(1, 71114, '\p{^_-is_Sidd}', "");
Expect(1, 71114, '\P{_-is_Sidd}', "");
Expect(0, 71114, '\P{^_-is_Sidd}', "");
Error('\p{:= Sinhala}');
Error('\P{:= Sinhala}');
Expect(1, 70132, '\p{sinhala}', "");
Expect(0, 70132, '\p{^sinhala}', "");
Expect(0, 70132, '\P{sinhala}', "");
Expect(1, 70132, '\P{^sinhala}', "");
Expect(0, 70133, '\p{sinhala}', "");
Expect(1, 70133, '\p{^sinhala}', "");
Expect(1, 70133, '\P{sinhala}', "");
Expect(0, 70133, '\P{^sinhala}', "");
Expect(1, 70132, '\p{-_sinhala}', "");
Expect(0, 70132, '\p{^-_sinhala}', "");
Expect(0, 70132, '\P{-_sinhala}', "");
Expect(1, 70132, '\P{^-_sinhala}', "");
Expect(0, 70133, '\p{-_sinhala}', "");
Expect(1, 70133, '\p{^-_sinhala}', "");
Expect(1, 70133, '\P{-_sinhala}', "");
Expect(0, 70133, '\P{^-_sinhala}', "");
Error('\p{	Is_sinhala:=}');
Error('\P{	Is_sinhala:=}');
Expect(1, 70132, '\p{issinhala}', "");
Expect(0, 70132, '\p{^issinhala}', "");
Expect(0, 70132, '\P{issinhala}', "");
Expect(1, 70132, '\P{^issinhala}', "");
Expect(0, 70133, '\p{issinhala}', "");
Expect(1, 70133, '\p{^issinhala}', "");
Expect(1, 70133, '\P{issinhala}', "");
Expect(0, 70133, '\P{^issinhala}', "");
Expect(1, 70132, '\p{Is_sinhala}', "");
Expect(0, 70132, '\p{^Is_sinhala}', "");
Expect(0, 70132, '\P{Is_sinhala}', "");
Expect(1, 70132, '\P{^Is_sinhala}', "");
Expect(0, 70133, '\p{Is_sinhala}', "");
Expect(1, 70133, '\p{^Is_sinhala}', "");
Expect(1, 70133, '\P{Is_sinhala}', "");
Expect(0, 70133, '\P{^Is_sinhala}', "");
Error('\p{/a/SINH}');
Error('\P{/a/SINH}');
Expect(1, 70132, '\p{sinh}', "");
Expect(0, 70132, '\p{^sinh}', "");
Expect(0, 70132, '\P{sinh}', "");
Expect(1, 70132, '\P{^sinh}', "");
Expect(0, 70133, '\p{sinh}', "");
Expect(1, 70133, '\p{^sinh}', "");
Expect(1, 70133, '\P{sinh}', "");
Expect(0, 70133, '\P{^sinh}', "");
Expect(1, 70132, '\p{ Sinh}', "");
Expect(0, 70132, '\p{^ Sinh}', "");
Expect(0, 70132, '\P{ Sinh}', "");
Expect(1, 70132, '\P{^ Sinh}', "");
Expect(0, 70133, '\p{ Sinh}', "");
Expect(1, 70133, '\p{^ Sinh}', "");
Expect(1, 70133, '\P{ Sinh}', "");
Expect(0, 70133, '\P{^ Sinh}', "");
Error('\p{	 is_sinh:=}');
Error('\P{	 is_sinh:=}');
Expect(1, 70132, '\p{issinh}', "");
Expect(0, 70132, '\p{^issinh}', "");
Expect(0, 70132, '\P{issinh}', "");
Expect(1, 70132, '\P{^issinh}', "");
Expect(0, 70133, '\p{issinh}', "");
Expect(1, 70133, '\p{^issinh}', "");
Expect(1, 70133, '\P{issinh}', "");
Expect(0, 70133, '\P{^issinh}', "");
Expect(1, 70132, '\p{_ Is_SINH}', "");
Expect(0, 70132, '\p{^_ Is_SINH}', "");
Expect(0, 70132, '\P{_ Is_SINH}', "");
Expect(1, 70132, '\P{^_ Is_SINH}', "");
Expect(0, 70133, '\p{_ Is_SINH}', "");
Expect(1, 70133, '\p{^_ Is_SINH}', "");
Expect(1, 70133, '\P{_ Is_SINH}', "");
Expect(0, 70133, '\P{^_ Is_SINH}', "");
Error('\p{/a/-Sinhala_Archaic_numbers}');
Error('\P{/a/-Sinhala_Archaic_numbers}');
Expect(1, 70143, '\p{sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\p{^sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\P{sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\P{^sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\p{sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\p{^sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\P{sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\P{^sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\p{-sinhala_ARCHAIC_numbers}', "");
Expect(0, 70143, '\p{^-sinhala_ARCHAIC_numbers}', "");
Expect(0, 70143, '\P{-sinhala_ARCHAIC_numbers}', "");
Expect(1, 70143, '\P{^-sinhala_ARCHAIC_numbers}', "");
Expect(0, 70144, '\p{-sinhala_ARCHAIC_numbers}', "");
Expect(1, 70144, '\p{^-sinhala_ARCHAIC_numbers}', "");
Expect(1, 70144, '\P{-sinhala_ARCHAIC_numbers}', "");
Expect(0, 70144, '\P{^-sinhala_ARCHAIC_numbers}', "");
Error('\p{-is_Sinhala_archaic_NUMBERS:=}');
Error('\P{-is_Sinhala_archaic_NUMBERS:=}');
Expect(1, 70143, '\p{issinhalaarchaicnumbers}', "");
Expect(0, 70143, '\p{^issinhalaarchaicnumbers}', "");
Expect(0, 70143, '\P{issinhalaarchaicnumbers}', "");
Expect(1, 70143, '\P{^issinhalaarchaicnumbers}', "");
Expect(0, 70144, '\p{issinhalaarchaicnumbers}', "");
Expect(1, 70144, '\p{^issinhalaarchaicnumbers}', "");
Expect(1, 70144, '\P{issinhalaarchaicnumbers}', "");
Expect(0, 70144, '\P{^issinhalaarchaicnumbers}', "");
Expect(1, 70143, '\p{	-Is_sinhala_archaic_numbers}', "");
Expect(0, 70143, '\p{^	-Is_sinhala_archaic_numbers}', "");
Expect(0, 70143, '\P{	-Is_sinhala_archaic_numbers}', "");
Expect(1, 70143, '\P{^	-Is_sinhala_archaic_numbers}', "");
Expect(0, 70144, '\p{	-Is_sinhala_archaic_numbers}', "");
Expect(1, 70144, '\p{^	-Is_sinhala_archaic_numbers}', "");
Expect(1, 70144, '\P{	-Is_sinhala_archaic_numbers}', "");
Expect(0, 70144, '\P{^	-Is_sinhala_archaic_numbers}', "");
Error('\p{  in_Sinhala_Archaic_NUMBERS/a/}');
Error('\P{  in_Sinhala_Archaic_NUMBERS/a/}');
Expect(1, 70143, '\p{insinhalaarchaicnumbers}', "");
Expect(0, 70143, '\p{^insinhalaarchaicnumbers}', "");
Expect(0, 70143, '\P{insinhalaarchaicnumbers}', "");
Expect(1, 70143, '\P{^insinhalaarchaicnumbers}', "");
Expect(0, 70144, '\p{insinhalaarchaicnumbers}', "");
Expect(1, 70144, '\p{^insinhalaarchaicnumbers}', "");
Expect(1, 70144, '\P{insinhalaarchaicnumbers}', "");
Expect(0, 70144, '\P{^insinhalaarchaicnumbers}', "");
Expect(1, 70143, '\p{ _in_Sinhala_Archaic_NUMBERS}', "");
Expect(0, 70143, '\p{^ _in_Sinhala_Archaic_NUMBERS}', "");
Expect(0, 70143, '\P{ _in_Sinhala_Archaic_NUMBERS}', "");
Expect(1, 70143, '\P{^ _in_Sinhala_Archaic_NUMBERS}', "");
Expect(0, 70144, '\p{ _in_Sinhala_Archaic_NUMBERS}', "");
Expect(1, 70144, '\p{^ _in_Sinhala_Archaic_NUMBERS}', "");
Expect(1, 70144, '\P{ _in_Sinhala_Archaic_NUMBERS}', "");
Expect(0, 70144, '\P{^ _in_Sinhala_Archaic_NUMBERS}', "");
Error('\p{:=--Small_Form_Variants}');
Error('\P{:=--Small_Form_Variants}');
Expect(1, 65135, '\p{smallformvariants}', "");
Expect(0, 65135, '\p{^smallformvariants}', "");
Expect(0, 65135, '\P{smallformvariants}', "");
Expect(1, 65135, '\P{^smallformvariants}', "");
Expect(0, 65136, '\p{smallformvariants}', "");
Expect(1, 65136, '\p{^smallformvariants}', "");
Expect(1, 65136, '\P{smallformvariants}', "");
Expect(0, 65136, '\P{^smallformvariants}', "");
Expect(1, 65135, '\p{_	small_form_VARIANTS}', "");
Expect(0, 65135, '\p{^_	small_form_VARIANTS}', "");
Expect(0, 65135, '\P{_	small_form_VARIANTS}', "");
Expect(1, 65135, '\P{^_	small_form_VARIANTS}', "");
Expect(0, 65136, '\p{_	small_form_VARIANTS}', "");
Expect(1, 65136, '\p{^_	small_form_VARIANTS}', "");
Expect(1, 65136, '\P{_	small_form_VARIANTS}', "");
Expect(0, 65136, '\P{^_	small_form_VARIANTS}', "");
Error('\p{		Is_Small_form_Variants/a/}');
Error('\P{		Is_Small_form_Variants/a/}');
Expect(1, 65135, '\p{issmallformvariants}', "");
Expect(0, 65135, '\p{^issmallformvariants}', "");
Expect(0, 65135, '\P{issmallformvariants}', "");
Expect(1, 65135, '\P{^issmallformvariants}', "");
Expect(0, 65136, '\p{issmallformvariants}', "");
Expect(1, 65136, '\p{^issmallformvariants}', "");
Expect(1, 65136, '\P{issmallformvariants}', "");
Expect(0, 65136, '\P{^issmallformvariants}', "");
Expect(1, 65135, '\p{ Is_Small_Form_variants}', "");
Expect(0, 65135, '\p{^ Is_Small_Form_variants}', "");
Expect(0, 65135, '\P{ Is_Small_Form_variants}', "");
Expect(1, 65135, '\P{^ Is_Small_Form_variants}', "");
Expect(0, 65136, '\p{ Is_Small_Form_variants}', "");
Expect(1, 65136, '\p{^ Is_Small_Form_variants}', "");
Expect(1, 65136, '\P{ Is_Small_Form_variants}', "");
Expect(0, 65136, '\P{^ Is_Small_Form_variants}', "");
Error('\p{:=- IN_SMALL_Form_VARIANTS}');
Error('\P{:=- IN_SMALL_Form_VARIANTS}');
Expect(1, 65135, '\p{insmallformvariants}', "");
Expect(0, 65135, '\p{^insmallformvariants}', "");
Expect(0, 65135, '\P{insmallformvariants}', "");
Expect(1, 65135, '\P{^insmallformvariants}', "");
Expect(0, 65136, '\p{insmallformvariants}', "");
Expect(1, 65136, '\p{^insmallformvariants}', "");
Expect(1, 65136, '\P{insmallformvariants}', "");
Expect(0, 65136, '\P{^insmallformvariants}', "");
Expect(1, 65135, '\p{_in_SMALL_FORM_Variants}', "");
Expect(0, 65135, '\p{^_in_SMALL_FORM_Variants}', "");
Expect(0, 65135, '\P{_in_SMALL_FORM_Variants}', "");
Expect(1, 65135, '\P{^_in_SMALL_FORM_Variants}', "");
Expect(0, 65136, '\p{_in_SMALL_FORM_Variants}', "");
Expect(1, 65136, '\p{^_in_SMALL_FORM_Variants}', "");
Expect(1, 65136, '\P{_in_SMALL_FORM_Variants}', "");
Expect(0, 65136, '\P{^_in_SMALL_FORM_Variants}', "");
Error('\p{:=Small_Forms}');
Error('\P{:=Small_Forms}');
Expect(1, 65135, '\p{smallforms}', "");
Expect(0, 65135, '\p{^smallforms}', "");
Expect(0, 65135, '\P{smallforms}', "");
Expect(1, 65135, '\P{^smallforms}', "");
Expect(0, 65136, '\p{smallforms}', "");
Expect(1, 65136, '\p{^smallforms}', "");
Expect(1, 65136, '\P{smallforms}', "");
Expect(0, 65136, '\P{^smallforms}', "");
Expect(1, 65135, '\p{	Small_Forms}', "");
Expect(0, 65135, '\p{^	Small_Forms}', "");
Expect(0, 65135, '\P{	Small_Forms}', "");
Expect(1, 65135, '\P{^	Small_Forms}', "");
Expect(0, 65136, '\p{	Small_Forms}', "");
Expect(1, 65136, '\p{^	Small_Forms}', "");
Expect(1, 65136, '\P{	Small_Forms}', "");
Expect(0, 65136, '\P{^	Small_Forms}', "");
Error('\p{:=-IS_Small_forms}');
Error('\P{:=-IS_Small_forms}');
Expect(1, 65135, '\p{issmallforms}', "");
Expect(0, 65135, '\p{^issmallforms}', "");
Expect(0, 65135, '\P{issmallforms}', "");
Expect(1, 65135, '\P{^issmallforms}', "");
Expect(0, 65136, '\p{issmallforms}', "");
Expect(1, 65136, '\p{^issmallforms}', "");
Expect(1, 65136, '\P{issmallforms}', "");
Expect(0, 65136, '\P{^issmallforms}', "");
Expect(1, 65135, '\p{-is_Small_Forms}', "");
Expect(0, 65135, '\p{^-is_Small_Forms}', "");
Expect(0, 65135, '\P{-is_Small_Forms}', "");
Expect(1, 65135, '\P{^-is_Small_Forms}', "");
Expect(0, 65136, '\p{-is_Small_Forms}', "");
Expect(1, 65136, '\p{^-is_Small_Forms}', "");
Expect(1, 65136, '\P{-is_Small_Forms}', "");
Expect(0, 65136, '\P{^-is_Small_Forms}', "");
Error('\p{:= 	In_Small_Forms}');
Error('\P{:= 	In_Small_Forms}');
Expect(1, 65135, '\p{insmallforms}', "");
Expect(0, 65135, '\p{^insmallforms}', "");
Expect(0, 65135, '\P{insmallforms}', "");
Expect(1, 65135, '\P{^insmallforms}', "");
Expect(0, 65136, '\p{insmallforms}', "");
Expect(1, 65136, '\p{^insmallforms}', "");
Expect(1, 65136, '\P{insmallforms}', "");
Expect(0, 65136, '\P{^insmallforms}', "");
Expect(1, 65135, '\p{__In_Small_FORMS}', "");
Expect(0, 65135, '\p{^__In_Small_FORMS}', "");
Expect(0, 65135, '\P{__In_Small_FORMS}', "");
Expect(1, 65135, '\P{^__In_Small_FORMS}', "");
Expect(0, 65136, '\p{__In_Small_FORMS}', "");
Expect(1, 65136, '\p{^__In_Small_FORMS}', "");
Expect(1, 65136, '\P{__In_Small_FORMS}', "");
Expect(0, 65136, '\P{^__In_Small_FORMS}', "");
Error('\p{/a/_sora_Sompeng}');
Error('\P{/a/_sora_Sompeng}');
Expect(1, 69881, '\p{sorasompeng}', "");
Expect(0, 69881, '\p{^sorasompeng}', "");
Expect(0, 69881, '\P{sorasompeng}', "");
Expect(1, 69881, '\P{^sorasompeng}', "");
Expect(0, 69882, '\p{sorasompeng}', "");
Expect(1, 69882, '\p{^sorasompeng}', "");
Expect(1, 69882, '\P{sorasompeng}', "");
Expect(0, 69882, '\P{^sorasompeng}', "");
Expect(1, 69881, '\p{-Sora_Sompeng}', "");
Expect(0, 69881, '\p{^-Sora_Sompeng}', "");
Expect(0, 69881, '\P{-Sora_Sompeng}', "");
Expect(1, 69881, '\P{^-Sora_Sompeng}', "");
Expect(0, 69882, '\p{-Sora_Sompeng}', "");
Expect(1, 69882, '\p{^-Sora_Sompeng}', "");
Expect(1, 69882, '\P{-Sora_Sompeng}', "");
Expect(0, 69882, '\P{^-Sora_Sompeng}', "");
Error('\p{-:=IS_Sora_sompeng}');
Error('\P{-:=IS_Sora_sompeng}');
Expect(1, 69881, '\p{issorasompeng}', "");
Expect(0, 69881, '\p{^issorasompeng}', "");
Expect(0, 69881, '\P{issorasompeng}', "");
Expect(1, 69881, '\P{^issorasompeng}', "");
Expect(0, 69882, '\p{issorasompeng}', "");
Expect(1, 69882, '\p{^issorasompeng}', "");
Expect(1, 69882, '\P{issorasompeng}', "");
Expect(0, 69882, '\P{^issorasompeng}', "");
Expect(1, 69881, '\p{	 Is_Sora_sompeng}', "");
Expect(0, 69881, '\p{^	 Is_Sora_sompeng}', "");
Expect(0, 69881, '\P{	 Is_Sora_sompeng}', "");
Expect(1, 69881, '\P{^	 Is_Sora_sompeng}', "");
Expect(0, 69882, '\p{	 Is_Sora_sompeng}', "");
Expect(1, 69882, '\p{^	 Is_Sora_sompeng}', "");
Expect(1, 69882, '\P{	 Is_Sora_sompeng}', "");
Expect(0, 69882, '\P{^	 Is_Sora_sompeng}', "");
Error('\p{	/a/Sora}');
Error('\P{	/a/Sora}');
Expect(1, 69881, '\p{sora}', "");
Expect(0, 69881, '\p{^sora}', "");
Expect(0, 69881, '\P{sora}', "");
Expect(1, 69881, '\P{^sora}', "");
Expect(0, 69882, '\p{sora}', "");
Expect(1, 69882, '\p{^sora}', "");
Expect(1, 69882, '\P{sora}', "");
Expect(0, 69882, '\P{^sora}', "");
Expect(1, 69881, '\p{-SORA}', "");
Expect(0, 69881, '\p{^-SORA}', "");
Expect(0, 69881, '\P{-SORA}', "");
Expect(1, 69881, '\P{^-SORA}', "");
Expect(0, 69882, '\p{-SORA}', "");
Expect(1, 69882, '\p{^-SORA}', "");
Expect(1, 69882, '\P{-SORA}', "");
Expect(0, 69882, '\P{^-SORA}', "");
Error('\p{ /a/is_Sora}');
Error('\P{ /a/is_Sora}');
Expect(1, 69881, '\p{issora}', "");
Expect(0, 69881, '\p{^issora}', "");
Expect(0, 69881, '\P{issora}', "");
Expect(1, 69881, '\P{^issora}', "");
Expect(0, 69882, '\p{issora}', "");
Expect(1, 69882, '\p{^issora}', "");
Expect(1, 69882, '\P{issora}', "");
Expect(0, 69882, '\P{^issora}', "");
Expect(1, 69881, '\p{	 Is_Sora}', "");
Expect(0, 69881, '\p{^	 Is_Sora}', "");
Expect(0, 69881, '\P{	 Is_Sora}', "");
Expect(1, 69881, '\P{^	 Is_Sora}', "");
Expect(0, 69882, '\p{	 Is_Sora}', "");
Expect(1, 69882, '\p{^	 Is_Sora}', "");
Expect(1, 69882, '\P{	 Is_Sora}', "");
Expect(0, 69882, '\P{^	 Is_Sora}', "");
Error('\p{/a/SPACE_SEPARATOR}');
Error('\P{/a/SPACE_SEPARATOR}');
Expect(1, 12288, '\p{spaceseparator}', "");
Expect(0, 12288, '\p{^spaceseparator}', "");
Expect(0, 12288, '\P{spaceseparator}', "");
Expect(1, 12288, '\P{^spaceseparator}', "");
Expect(0, 12289, '\p{spaceseparator}', "");
Expect(1, 12289, '\p{^spaceseparator}', "");
Expect(1, 12289, '\P{spaceseparator}', "");
Expect(0, 12289, '\P{^spaceseparator}', "");
Expect(1, 12288, '\p{-	SPACE_separator}', "");
Expect(0, 12288, '\p{^-	SPACE_separator}', "");
Expect(0, 12288, '\P{-	SPACE_separator}', "");
Expect(1, 12288, '\P{^-	SPACE_separator}', "");
Expect(0, 12289, '\p{-	SPACE_separator}', "");
Expect(1, 12289, '\p{^-	SPACE_separator}', "");
Expect(1, 12289, '\P{-	SPACE_separator}', "");
Expect(0, 12289, '\P{^-	SPACE_separator}', "");
Error('\p{-	is_Space_separator/a/}');
Error('\P{-	is_Space_separator/a/}');
Expect(1, 12288, '\p{isspaceseparator}', "");
Expect(0, 12288, '\p{^isspaceseparator}', "");
Expect(0, 12288, '\P{isspaceseparator}', "");
Expect(1, 12288, '\P{^isspaceseparator}', "");
Expect(0, 12289, '\p{isspaceseparator}', "");
Expect(1, 12289, '\p{^isspaceseparator}', "");
Expect(1, 12289, '\P{isspaceseparator}', "");
Expect(0, 12289, '\P{^isspaceseparator}', "");
Expect(1, 12288, '\p{	_Is_Space_SEPARATOR}', "");
Expect(0, 12288, '\p{^	_Is_Space_SEPARATOR}', "");
Expect(0, 12288, '\P{	_Is_Space_SEPARATOR}', "");
Expect(1, 12288, '\P{^	_Is_Space_SEPARATOR}', "");
Expect(0, 12289, '\p{	_Is_Space_SEPARATOR}', "");
Expect(1, 12289, '\p{^	_Is_Space_SEPARATOR}', "");
Expect(1, 12289, '\P{	_Is_Space_SEPARATOR}', "");
Expect(0, 12289, '\P{^	_Is_Space_SEPARATOR}', "");
Error('\p{-ZS/a/}');
Error('\P{-ZS/a/}');
Expect(1, 12288, '\p{zs}', "");
Expect(0, 12288, '\p{^zs}', "");
Expect(0, 12288, '\P{zs}', "");
Expect(1, 12288, '\P{^zs}', "");
Expect(0, 12289, '\p{zs}', "");
Expect(1, 12289, '\p{^zs}', "");
Expect(1, 12289, '\P{zs}', "");
Expect(0, 12289, '\P{^zs}', "");
Expect(1, 12288, '\p{_ Zs}', "");
Expect(0, 12288, '\p{^_ Zs}', "");
Expect(0, 12288, '\P{_ Zs}', "");
Expect(1, 12288, '\P{^_ Zs}', "");
Expect(0, 12289, '\p{_ Zs}', "");
Expect(1, 12289, '\p{^_ Zs}', "");
Expect(1, 12289, '\P{_ Zs}', "");
Expect(0, 12289, '\P{^_ Zs}', "");
Error('\p{	 is_zs:=}');
Error('\P{	 is_zs:=}');
Expect(1, 12288, '\p{iszs}', "");
Expect(0, 12288, '\p{^iszs}', "");
Expect(0, 12288, '\P{iszs}', "");
Expect(1, 12288, '\P{^iszs}', "");
Expect(0, 12289, '\p{iszs}', "");
Expect(1, 12289, '\p{^iszs}', "");
Expect(1, 12289, '\P{iszs}', "");
Expect(0, 12289, '\P{^iszs}', "");
Expect(1, 12288, '\p{	is_Zs}', "");
Expect(0, 12288, '\p{^	is_Zs}', "");
Expect(0, 12288, '\P{	is_Zs}', "");
Expect(1, 12288, '\P{^	is_Zs}', "");
Expect(0, 12289, '\p{	is_Zs}', "");
Expect(1, 12289, '\p{^	is_Zs}', "");
Expect(1, 12289, '\P{	is_Zs}', "");
Expect(0, 12289, '\P{^	is_Zs}', "");
Error('\p{-:=Spacing_mark}');
Error('\P{-:=Spacing_mark}');
Expect(1, 119154, '\p{spacingmark}', "");
Expect(0, 119154, '\p{^spacingmark}', "");
Expect(0, 119154, '\P{spacingmark}', "");
Expect(1, 119154, '\P{^spacingmark}', "");
Expect(0, 119155, '\p{spacingmark}', "");
Expect(1, 119155, '\p{^spacingmark}', "");
Expect(1, 119155, '\P{spacingmark}', "");
Expect(0, 119155, '\P{^spacingmark}', "");
Expect(1, 119154, '\p{_ Spacing_MARK}', "");
Expect(0, 119154, '\p{^_ Spacing_MARK}', "");
Expect(0, 119154, '\P{_ Spacing_MARK}', "");
Expect(1, 119154, '\P{^_ Spacing_MARK}', "");
Expect(0, 119155, '\p{_ Spacing_MARK}', "");
Expect(1, 119155, '\p{^_ Spacing_MARK}', "");
Expect(1, 119155, '\P{_ Spacing_MARK}', "");
Expect(0, 119155, '\P{^_ Spacing_MARK}', "");
Error('\p{_/a/is_SPACING_mark}');
Error('\P{_/a/is_SPACING_mark}');
Expect(1, 119154, '\p{isspacingmark}', "");
Expect(0, 119154, '\p{^isspacingmark}', "");
Expect(0, 119154, '\P{isspacingmark}', "");
Expect(1, 119154, '\P{^isspacingmark}', "");
Expect(0, 119155, '\p{isspacingmark}', "");
Expect(1, 119155, '\p{^isspacingmark}', "");
Expect(1, 119155, '\P{isspacingmark}', "");
Expect(0, 119155, '\P{^isspacingmark}', "");
Expect(1, 119154, '\p{ -Is_SPACING_MARK}', "");
Expect(0, 119154, '\p{^ -Is_SPACING_MARK}', "");
Expect(0, 119154, '\P{ -Is_SPACING_MARK}', "");
Expect(1, 119154, '\P{^ -Is_SPACING_MARK}', "");
Expect(0, 119155, '\p{ -Is_SPACING_MARK}', "");
Expect(1, 119155, '\p{^ -Is_SPACING_MARK}', "");
Expect(1, 119155, '\P{ -Is_SPACING_MARK}', "");
Expect(0, 119155, '\P{^ -Is_SPACING_MARK}', "");
Error('\p{_	Mc/a/}');
Error('\P{_	Mc/a/}');
Expect(1, 119154, '\p{mc}', "");
Expect(0, 119154, '\p{^mc}', "");
Expect(0, 119154, '\P{mc}', "");
Expect(1, 119154, '\P{^mc}', "");
Expect(0, 119155, '\p{mc}', "");
Expect(1, 119155, '\p{^mc}', "");
Expect(1, 119155, '\P{mc}', "");
Expect(0, 119155, '\P{^mc}', "");
Expect(1, 119154, '\p{	MC}', "");
Expect(0, 119154, '\p{^	MC}', "");
Expect(0, 119154, '\P{	MC}', "");
Expect(1, 119154, '\P{^	MC}', "");
Expect(0, 119155, '\p{	MC}', "");
Expect(1, 119155, '\p{^	MC}', "");
Expect(1, 119155, '\P{	MC}', "");
Expect(0, 119155, '\P{^	MC}', "");
Error('\p{:=_IS_Mc}');
Error('\P{:=_IS_Mc}');
Expect(1, 119154, '\p{ismc}', "");
Expect(0, 119154, '\p{^ismc}', "");
Expect(0, 119154, '\P{ismc}', "");
Expect(1, 119154, '\P{^ismc}', "");
Expect(0, 119155, '\p{ismc}', "");
Expect(1, 119155, '\p{^ismc}', "");
Expect(1, 119155, '\P{ismc}', "");
Expect(0, 119155, '\P{^ismc}', "");
Expect(1, 119154, '\p{_IS_Mc}', "");
Expect(0, 119154, '\p{^_IS_Mc}', "");
Expect(0, 119154, '\P{_IS_Mc}', "");
Expect(1, 119154, '\P{^_IS_Mc}', "");
Expect(0, 119155, '\p{_IS_Mc}', "");
Expect(1, 119155, '\p{^_IS_Mc}', "");
Expect(1, 119155, '\P{_IS_Mc}', "");
Expect(0, 119155, '\P{^_IS_Mc}', "");
Error('\p{/a/--spacing_Modifier_Letters}');
Error('\P{/a/--spacing_Modifier_Letters}');
Expect(1, 767, '\p{spacingmodifierletters}', "");
Expect(0, 767, '\p{^spacingmodifierletters}', "");
Expect(0, 767, '\P{spacingmodifierletters}', "");
Expect(1, 767, '\P{^spacingmodifierletters}', "");
Expect(0, 768, '\p{spacingmodifierletters}', "");
Expect(1, 768, '\p{^spacingmodifierletters}', "");
Expect(1, 768, '\P{spacingmodifierletters}', "");
Expect(0, 768, '\P{^spacingmodifierletters}', "");
Expect(1, 767, '\p{SPACING_modifier_LETTERS}', "");
Expect(0, 767, '\p{^SPACING_modifier_LETTERS}', "");
Expect(0, 767, '\P{SPACING_modifier_LETTERS}', "");
Expect(1, 767, '\P{^SPACING_modifier_LETTERS}', "");
Expect(0, 768, '\p{SPACING_modifier_LETTERS}', "");
Expect(1, 768, '\p{^SPACING_modifier_LETTERS}', "");
Expect(1, 768, '\P{SPACING_modifier_LETTERS}', "");
Expect(0, 768, '\P{^SPACING_modifier_LETTERS}', "");
Error('\p{_-IS_Spacing_Modifier_Letters:=}');
Error('\P{_-IS_Spacing_Modifier_Letters:=}');
Expect(1, 767, '\p{isspacingmodifierletters}', "");
Expect(0, 767, '\p{^isspacingmodifierletters}', "");
Expect(0, 767, '\P{isspacingmodifierletters}', "");
Expect(1, 767, '\P{^isspacingmodifierletters}', "");
Expect(0, 768, '\p{isspacingmodifierletters}', "");
Expect(1, 768, '\p{^isspacingmodifierletters}', "");
Expect(1, 768, '\P{isspacingmodifierletters}', "");
Expect(0, 768, '\P{^isspacingmodifierletters}', "");
Expect(1, 767, '\p{	 Is_Spacing_modifier_Letters}', "");
Expect(0, 767, '\p{^	 Is_Spacing_modifier_Letters}', "");
Expect(0, 767, '\P{	 Is_Spacing_modifier_Letters}', "");
Expect(1, 767, '\P{^	 Is_Spacing_modifier_Letters}', "");
Expect(0, 768, '\p{	 Is_Spacing_modifier_Letters}', "");
Expect(1, 768, '\p{^	 Is_Spacing_modifier_Letters}', "");
Expect(1, 768, '\P{	 Is_Spacing_modifier_Letters}', "");
Expect(0, 768, '\P{^	 Is_Spacing_modifier_Letters}', "");
Error('\p{:=	-In_Spacing_Modifier_letters}');
Error('\P{:=	-In_Spacing_Modifier_letters}');
Expect(1, 767, '\p{inspacingmodifierletters}', "");
Expect(0, 767, '\p{^inspacingmodifierletters}', "");
Expect(0, 767, '\P{inspacingmodifierletters}', "");
Expect(1, 767, '\P{^inspacingmodifierletters}', "");
Expect(0, 768, '\p{inspacingmodifierletters}', "");
Expect(1, 768, '\p{^inspacingmodifierletters}', "");
Expect(1, 768, '\P{inspacingmodifierletters}', "");
Expect(0, 768, '\P{^inspacingmodifierletters}', "");
Expect(1, 767, '\p{-	In_Spacing_MODIFIER_LETTERS}', "");
Expect(0, 767, '\p{^-	In_Spacing_MODIFIER_LETTERS}', "");
Expect(0, 767, '\P{-	In_Spacing_MODIFIER_LETTERS}', "");
Expect(1, 767, '\P{^-	In_Spacing_MODIFIER_LETTERS}', "");
Expect(0, 768, '\p{-	In_Spacing_MODIFIER_LETTERS}', "");
Expect(1, 768, '\p{^-	In_Spacing_MODIFIER_LETTERS}', "");
Expect(1, 768, '\P{-	In_Spacing_MODIFIER_LETTERS}', "");
Expect(0, 768, '\P{^-	In_Spacing_MODIFIER_LETTERS}', "");
Error('\p{_:=Modifier_Letters}');
Error('\P{_:=Modifier_Letters}');
Expect(1, 767, '\p{modifierletters}', "");
Expect(0, 767, '\p{^modifierletters}', "");
Expect(0, 767, '\P{modifierletters}', "");
Expect(1, 767, '\P{^modifierletters}', "");
Expect(0, 768, '\p{modifierletters}', "");
Expect(1, 768, '\p{^modifierletters}', "");
Expect(1, 768, '\P{modifierletters}', "");
Expect(0, 768, '\P{^modifierletters}', "");
Expect(1, 767, '\p{_Modifier_Letters}', "");
Expect(0, 767, '\p{^_Modifier_Letters}', "");
Expect(0, 767, '\P{_Modifier_Letters}', "");
Expect(1, 767, '\P{^_Modifier_Letters}', "");
Expect(0, 768, '\p{_Modifier_Letters}', "");
Expect(1, 768, '\p{^_Modifier_Letters}', "");
Expect(1, 768, '\P{_Modifier_Letters}', "");
Expect(0, 768, '\P{^_Modifier_Letters}', "");
Error('\p{:=	-IS_MODIFIER_Letters}');
Error('\P{:=	-IS_MODIFIER_Letters}');
Expect(1, 767, '\p{ismodifierletters}', "");
Expect(0, 767, '\p{^ismodifierletters}', "");
Expect(0, 767, '\P{ismodifierletters}', "");
Expect(1, 767, '\P{^ismodifierletters}', "");
Expect(0, 768, '\p{ismodifierletters}', "");
Expect(1, 768, '\p{^ismodifierletters}', "");
Expect(1, 768, '\P{ismodifierletters}', "");
Expect(0, 768, '\P{^ismodifierletters}', "");
Expect(1, 767, '\p{ IS_Modifier_Letters}', "");
Expect(0, 767, '\p{^ IS_Modifier_Letters}', "");
Expect(0, 767, '\P{ IS_Modifier_Letters}', "");
Expect(1, 767, '\P{^ IS_Modifier_Letters}', "");
Expect(0, 768, '\p{ IS_Modifier_Letters}', "");
Expect(1, 768, '\p{^ IS_Modifier_Letters}', "");
Expect(1, 768, '\P{ IS_Modifier_Letters}', "");
Expect(0, 768, '\P{^ IS_Modifier_Letters}', "");
Error('\p{:=		In_MODIFIER_letters}');
Error('\P{:=		In_MODIFIER_letters}');
Expect(1, 767, '\p{inmodifierletters}', "");
Expect(0, 767, '\p{^inmodifierletters}', "");
Expect(0, 767, '\P{inmodifierletters}', "");
Expect(1, 767, '\P{^inmodifierletters}', "");
Expect(0, 768, '\p{inmodifierletters}', "");
Expect(1, 768, '\p{^inmodifierletters}', "");
Expect(1, 768, '\P{inmodifierletters}', "");
Expect(0, 768, '\P{^inmodifierletters}', "");
Expect(1, 767, '\p{_IN_Modifier_Letters}', "");
Expect(0, 767, '\p{^_IN_Modifier_Letters}', "");
Expect(0, 767, '\P{_IN_Modifier_Letters}', "");
Expect(1, 767, '\P{^_IN_Modifier_Letters}', "");
Expect(0, 768, '\p{_IN_Modifier_Letters}', "");
Expect(1, 768, '\p{^_IN_Modifier_Letters}', "");
Expect(1, 768, '\P{_IN_Modifier_Letters}', "");
Expect(0, 768, '\P{^_IN_Modifier_Letters}', "");
Error('\p{:=-	SPECIALS}');
Error('\P{:=-	SPECIALS}');
Expect(1, 65520, '\p{specials}', "");
Expect(0, 65520, '\p{^specials}', "");
Expect(0, 65520, '\P{specials}', "");
Expect(1, 65520, '\P{^specials}', "");
Expect(0, 65536, '\p{specials}', "");
Expect(1, 65536, '\p{^specials}', "");
Expect(1, 65536, '\P{specials}', "");
Expect(0, 65536, '\P{^specials}', "");
Expect(1, 65520, '\p{_SPECIALS}', "");
Expect(0, 65520, '\p{^_SPECIALS}', "");
Expect(0, 65520, '\P{_SPECIALS}', "");
Expect(1, 65520, '\P{^_SPECIALS}', "");
Expect(0, 65536, '\p{_SPECIALS}', "");
Expect(1, 65536, '\p{^_SPECIALS}', "");
Expect(1, 65536, '\P{_SPECIALS}', "");
Expect(0, 65536, '\P{^_SPECIALS}', "");
Error('\p{ :=Is_Specials}');
Error('\P{ :=Is_Specials}');
Expect(1, 65520, '\p{isspecials}', "");
Expect(0, 65520, '\p{^isspecials}', "");
Expect(0, 65520, '\P{isspecials}', "");
Expect(1, 65520, '\P{^isspecials}', "");
Expect(0, 65536, '\p{isspecials}', "");
Expect(1, 65536, '\p{^isspecials}', "");
Expect(1, 65536, '\P{isspecials}', "");
Expect(0, 65536, '\P{^isspecials}', "");
Expect(1, 65520, '\p{-	Is_specials}', "");
Expect(0, 65520, '\p{^-	Is_specials}', "");
Expect(0, 65520, '\P{-	Is_specials}', "");
Expect(1, 65520, '\P{^-	Is_specials}', "");
Expect(0, 65536, '\p{-	Is_specials}', "");
Expect(1, 65536, '\p{^-	Is_specials}', "");
Expect(1, 65536, '\P{-	Is_specials}', "");
Expect(0, 65536, '\P{^-	Is_specials}', "");
Error('\p{_In_SPECIALS:=}');
Error('\P{_In_SPECIALS:=}');
Expect(1, 65520, '\p{inspecials}', "");
Expect(0, 65520, '\p{^inspecials}', "");
Expect(0, 65520, '\P{inspecials}', "");
Expect(1, 65520, '\P{^inspecials}', "");
Expect(0, 65536, '\p{inspecials}', "");
Expect(1, 65536, '\p{^inspecials}', "");
Expect(1, 65536, '\P{inspecials}', "");
Expect(0, 65536, '\P{^inspecials}', "");
Expect(1, 65520, '\p{	_in_Specials}', "");
Expect(0, 65520, '\p{^	_in_Specials}', "");
Expect(0, 65520, '\P{	_in_Specials}', "");
Expect(1, 65520, '\P{^	_in_Specials}', "");
Expect(0, 65536, '\p{	_in_Specials}', "");
Expect(1, 65536, '\p{^	_in_Specials}', "");
Expect(1, 65536, '\P{	_in_Specials}', "");
Expect(0, 65536, '\P{^	_in_Specials}', "");
Error('\p{_/a/SUNDANESE}');
Error('\P{_/a/SUNDANESE}');
Expect(1, 7367, '\p{sundanese}', "");
Expect(0, 7367, '\p{^sundanese}', "");
Expect(0, 7367, '\P{sundanese}', "");
Expect(1, 7367, '\P{^sundanese}', "");
Expect(0, 7368, '\p{sundanese}', "");
Expect(1, 7368, '\p{^sundanese}', "");
Expect(1, 7368, '\P{sundanese}', "");
Expect(0, 7368, '\P{^sundanese}', "");
Expect(1, 7367, '\p{-sundanese}', "");
Expect(0, 7367, '\p{^-sundanese}', "");
Expect(0, 7367, '\P{-sundanese}', "");
Expect(1, 7367, '\P{^-sundanese}', "");
Expect(0, 7368, '\p{-sundanese}', "");
Expect(1, 7368, '\p{^-sundanese}', "");
Expect(1, 7368, '\P{-sundanese}', "");
Expect(0, 7368, '\P{^-sundanese}', "");
Error('\p{_ Is_Sundanese/a/}');
Error('\P{_ Is_Sundanese/a/}');
Expect(1, 7367, '\p{issundanese}', "");
Expect(0, 7367, '\p{^issundanese}', "");
Expect(0, 7367, '\P{issundanese}', "");
Expect(1, 7367, '\P{^issundanese}', "");
Expect(0, 7368, '\p{issundanese}', "");
Expect(1, 7368, '\p{^issundanese}', "");
Expect(1, 7368, '\P{issundanese}', "");
Expect(0, 7368, '\P{^issundanese}', "");
Expect(1, 7367, '\p{- is_SUNDANESE}', "");
Expect(0, 7367, '\p{^- is_SUNDANESE}', "");
Expect(0, 7367, '\P{- is_SUNDANESE}', "");
Expect(1, 7367, '\P{^- is_SUNDANESE}', "");
Expect(0, 7368, '\p{- is_SUNDANESE}', "");
Expect(1, 7368, '\p{^- is_SUNDANESE}', "");
Expect(1, 7368, '\P{- is_SUNDANESE}', "");
Expect(0, 7368, '\P{^- is_SUNDANESE}', "");
Error('\p{--Sund/a/}');
Error('\P{--Sund/a/}');
Expect(1, 7367, '\p{sund}', "");
Expect(0, 7367, '\p{^sund}', "");
Expect(0, 7367, '\P{sund}', "");
Expect(1, 7367, '\P{^sund}', "");
Expect(0, 7368, '\p{sund}', "");
Expect(1, 7368, '\p{^sund}', "");
Expect(1, 7368, '\P{sund}', "");
Expect(0, 7368, '\P{^sund}', "");
Expect(1, 7367, '\p{ sund}', "");
Expect(0, 7367, '\p{^ sund}', "");
Expect(0, 7367, '\P{ sund}', "");
Expect(1, 7367, '\P{^ sund}', "");
Expect(0, 7368, '\p{ sund}', "");
Expect(1, 7368, '\p{^ sund}', "");
Expect(1, 7368, '\P{ sund}', "");
Expect(0, 7368, '\P{^ sund}', "");
Error('\p{:=_IS_sund}');
Error('\P{:=_IS_sund}');
Expect(1, 7367, '\p{issund}', "");
Expect(0, 7367, '\p{^issund}', "");
Expect(0, 7367, '\P{issund}', "");
Expect(1, 7367, '\P{^issund}', "");
Expect(0, 7368, '\p{issund}', "");
Expect(1, 7368, '\p{^issund}', "");
Expect(1, 7368, '\P{issund}', "");
Expect(0, 7368, '\P{^issund}', "");
Expect(1, 7367, '\p{-Is_Sund}', "");
Expect(0, 7367, '\p{^-Is_Sund}', "");
Expect(0, 7367, '\P{-Is_Sund}', "");
Expect(1, 7367, '\P{^-Is_Sund}', "");
Expect(0, 7368, '\p{-Is_Sund}', "");
Expect(1, 7368, '\p{^-Is_Sund}', "");
Expect(1, 7368, '\P{-Is_Sund}', "");
Expect(0, 7368, '\P{^-Is_Sund}', "");
Error('\p{_/a/SUNDANESE_supplement}');
Error('\P{_/a/SUNDANESE_supplement}');
Expect(1, 7375, '\p{sundanesesupplement}', "");
Expect(0, 7375, '\p{^sundanesesupplement}', "");
Expect(0, 7375, '\P{sundanesesupplement}', "");
Expect(1, 7375, '\P{^sundanesesupplement}', "");
Expect(0, 7376, '\p{sundanesesupplement}', "");
Expect(1, 7376, '\p{^sundanesesupplement}', "");
Expect(1, 7376, '\P{sundanesesupplement}', "");
Expect(0, 7376, '\P{^sundanesesupplement}', "");
Expect(1, 7375, '\p{_	Sundanese_Supplement}', "");
Expect(0, 7375, '\p{^_	Sundanese_Supplement}', "");
Expect(0, 7375, '\P{_	Sundanese_Supplement}', "");
Expect(1, 7375, '\P{^_	Sundanese_Supplement}', "");
Expect(0, 7376, '\p{_	Sundanese_Supplement}', "");
Expect(1, 7376, '\p{^_	Sundanese_Supplement}', "");
Expect(1, 7376, '\P{_	Sundanese_Supplement}', "");
Expect(0, 7376, '\P{^_	Sundanese_Supplement}', "");
Error('\p{- IS_SUNDANESE_Supplement:=}');
Error('\P{- IS_SUNDANESE_Supplement:=}');
Expect(1, 7375, '\p{issundanesesupplement}', "");
Expect(0, 7375, '\p{^issundanesesupplement}', "");
Expect(0, 7375, '\P{issundanesesupplement}', "");
Expect(1, 7375, '\P{^issundanesesupplement}', "");
Expect(0, 7376, '\p{issundanesesupplement}', "");
Expect(1, 7376, '\p{^issundanesesupplement}', "");
Expect(1, 7376, '\P{issundanesesupplement}', "");
Expect(0, 7376, '\P{^issundanesesupplement}', "");
Expect(1, 7375, '\p{- Is_sundanese_supplement}', "");
Expect(0, 7375, '\p{^- Is_sundanese_supplement}', "");
Expect(0, 7375, '\P{- Is_sundanese_supplement}', "");
Expect(1, 7375, '\P{^- Is_sundanese_supplement}', "");
Expect(0, 7376, '\p{- Is_sundanese_supplement}', "");
Expect(1, 7376, '\p{^- Is_sundanese_supplement}', "");
Expect(1, 7376, '\P{- Is_sundanese_supplement}', "");
Expect(0, 7376, '\P{^- Is_sundanese_supplement}', "");
Error('\p{-/a/In_Sundanese_supplement}');
Error('\P{-/a/In_Sundanese_supplement}');
Expect(1, 7375, '\p{insundanesesupplement}', "");
Expect(0, 7375, '\p{^insundanesesupplement}', "");
Expect(0, 7375, '\P{insundanesesupplement}', "");
Expect(1, 7375, '\P{^insundanesesupplement}', "");
Expect(0, 7376, '\p{insundanesesupplement}', "");
Expect(1, 7376, '\p{^insundanesesupplement}', "");
Expect(1, 7376, '\P{insundanesesupplement}', "");
Expect(0, 7376, '\P{^insundanesesupplement}', "");
Expect(1, 7375, '\p{	 In_SUNDANESE_Supplement}', "");
Expect(0, 7375, '\p{^	 In_SUNDANESE_Supplement}', "");
Expect(0, 7375, '\P{	 In_SUNDANESE_Supplement}', "");
Expect(1, 7375, '\P{^	 In_SUNDANESE_Supplement}', "");
Expect(0, 7376, '\p{	 In_SUNDANESE_Supplement}', "");
Expect(1, 7376, '\p{^	 In_SUNDANESE_Supplement}', "");
Expect(1, 7376, '\P{	 In_SUNDANESE_Supplement}', "");
Expect(0, 7376, '\P{^	 In_SUNDANESE_Supplement}', "");
Error('\p{:=_SUNDANESE_Sup}');
Error('\P{:=_SUNDANESE_Sup}');
Expect(1, 7375, '\p{sundanesesup}', "");
Expect(0, 7375, '\p{^sundanesesup}', "");
Expect(0, 7375, '\P{sundanesesup}', "");
Expect(1, 7375, '\P{^sundanesesup}', "");
Expect(0, 7376, '\p{sundanesesup}', "");
Expect(1, 7376, '\p{^sundanesesup}', "");
Expect(1, 7376, '\P{sundanesesup}', "");
Expect(0, 7376, '\P{^sundanesesup}', "");
Expect(1, 7375, '\p{_SUNDANESE_Sup}', "");
Expect(0, 7375, '\p{^_SUNDANESE_Sup}', "");
Expect(0, 7375, '\P{_SUNDANESE_Sup}', "");
Expect(1, 7375, '\P{^_SUNDANESE_Sup}', "");
Expect(0, 7376, '\p{_SUNDANESE_Sup}', "");
Expect(1, 7376, '\p{^_SUNDANESE_Sup}', "");
Expect(1, 7376, '\P{_SUNDANESE_Sup}', "");
Expect(0, 7376, '\P{^_SUNDANESE_Sup}', "");
Error('\p{		Is_Sundanese_Sup/a/}');
Error('\P{		Is_Sundanese_Sup/a/}');
Expect(1, 7375, '\p{issundanesesup}', "");
Expect(0, 7375, '\p{^issundanesesup}', "");
Expect(0, 7375, '\P{issundanesesup}', "");
Expect(1, 7375, '\P{^issundanesesup}', "");
Expect(0, 7376, '\p{issundanesesup}', "");
Expect(1, 7376, '\p{^issundanesesup}', "");
Expect(1, 7376, '\P{issundanesesup}', "");
Expect(0, 7376, '\P{^issundanesesup}', "");
Expect(1, 7375, '\p{	_Is_Sundanese_SUP}', "");
Expect(0, 7375, '\p{^	_Is_Sundanese_SUP}', "");
Expect(0, 7375, '\P{	_Is_Sundanese_SUP}', "");
Expect(1, 7375, '\P{^	_Is_Sundanese_SUP}', "");
Expect(0, 7376, '\p{	_Is_Sundanese_SUP}', "");
Expect(1, 7376, '\p{^	_Is_Sundanese_SUP}', "");
Expect(1, 7376, '\P{	_Is_Sundanese_SUP}', "");
Expect(0, 7376, '\P{^	_Is_Sundanese_SUP}', "");
Error('\p{	/a/In_sundanese_Sup}');
Error('\P{	/a/In_sundanese_Sup}');
Expect(1, 7375, '\p{insundanesesup}', "");
Expect(0, 7375, '\p{^insundanesesup}', "");
Expect(0, 7375, '\P{insundanesesup}', "");
Expect(1, 7375, '\P{^insundanesesup}', "");
Expect(0, 7376, '\p{insundanesesup}', "");
Expect(1, 7376, '\p{^insundanesesup}', "");
Expect(1, 7376, '\P{insundanesesup}', "");
Expect(0, 7376, '\P{^insundanesesup}', "");
Expect(1, 7375, '\p{	 In_Sundanese_SUP}', "");
Expect(0, 7375, '\p{^	 In_Sundanese_SUP}', "");
Expect(0, 7375, '\P{	 In_Sundanese_SUP}', "");
Expect(1, 7375, '\P{^	 In_Sundanese_SUP}', "");
Expect(0, 7376, '\p{	 In_Sundanese_SUP}', "");
Expect(1, 7376, '\p{^	 In_Sundanese_SUP}', "");
Expect(1, 7376, '\P{	 In_Sundanese_SUP}', "");
Expect(0, 7376, '\P{^	 In_Sundanese_SUP}', "");
Error('\p{:=	 Superscripts_and_SUBSCRIPTS}');
Error('\P{:=	 Superscripts_and_SUBSCRIPTS}');
Expect(1, 8351, '\p{superscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^superscriptsandsubscripts}', "");
Expect(0, 8351, '\P{superscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^superscriptsandsubscripts}', "");
Expect(0, 8352, '\p{superscriptsandsubscripts}', "");
Expect(1, 8352, '\p{^superscriptsandsubscripts}', "");
Expect(1, 8352, '\P{superscriptsandsubscripts}', "");
Expect(0, 8352, '\P{^superscriptsandsubscripts}', "");
Expect(1, 8351, '\p{__Superscripts_and_subscripts}', "");
Expect(0, 8351, '\p{^__Superscripts_and_subscripts}', "");
Expect(0, 8351, '\P{__Superscripts_and_subscripts}', "");
Expect(1, 8351, '\P{^__Superscripts_and_subscripts}', "");
Expect(0, 8352, '\p{__Superscripts_and_subscripts}', "");
Expect(1, 8352, '\p{^__Superscripts_and_subscripts}', "");
Expect(1, 8352, '\P{__Superscripts_and_subscripts}', "");
Expect(0, 8352, '\P{^__Superscripts_and_subscripts}', "");
Error('\p{  is_Superscripts_And_Subscripts/a/}');
Error('\P{  is_Superscripts_And_Subscripts/a/}');
Expect(1, 8351, '\p{issuperscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^issuperscriptsandsubscripts}', "");
Expect(0, 8351, '\P{issuperscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^issuperscriptsandsubscripts}', "");
Expect(0, 8352, '\p{issuperscriptsandsubscripts}', "");
Expect(1, 8352, '\p{^issuperscriptsandsubscripts}', "");
Expect(1, 8352, '\P{issuperscriptsandsubscripts}', "");
Expect(0, 8352, '\P{^issuperscriptsandsubscripts}', "");
Expect(1, 8351, '\p{_ IS_superscripts_And_subscripts}', "");
Expect(0, 8351, '\p{^_ IS_superscripts_And_subscripts}', "");
Expect(0, 8351, '\P{_ IS_superscripts_And_subscripts}', "");
Expect(1, 8351, '\P{^_ IS_superscripts_And_subscripts}', "");
Expect(0, 8352, '\p{_ IS_superscripts_And_subscripts}', "");
Expect(1, 8352, '\p{^_ IS_superscripts_And_subscripts}', "");
Expect(1, 8352, '\P{_ IS_superscripts_And_subscripts}', "");
Expect(0, 8352, '\P{^_ IS_superscripts_And_subscripts}', "");
Error('\p{-:=In_Superscripts_And_subscripts}');
Error('\P{-:=In_Superscripts_And_subscripts}');
Expect(1, 8351, '\p{insuperscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^insuperscriptsandsubscripts}', "");
Expect(0, 8351, '\P{insuperscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^insuperscriptsandsubscripts}', "");
Expect(0, 8352, '\p{insuperscriptsandsubscripts}', "");
Expect(1, 8352, '\p{^insuperscriptsandsubscripts}', "");
Expect(1, 8352, '\P{insuperscriptsandsubscripts}', "");
Expect(0, 8352, '\P{^insuperscriptsandsubscripts}', "");
Expect(1, 8351, '\p{_In_Superscripts_And_subscripts}', "");
Expect(0, 8351, '\p{^_In_Superscripts_And_subscripts}', "");
Expect(0, 8351, '\P{_In_Superscripts_And_subscripts}', "");
Expect(1, 8351, '\P{^_In_Superscripts_And_subscripts}', "");
Expect(0, 8352, '\p{_In_Superscripts_And_subscripts}', "");
Expect(1, 8352, '\p{^_In_Superscripts_And_subscripts}', "");
Expect(1, 8352, '\P{_In_Superscripts_And_subscripts}', "");
Expect(0, 8352, '\P{^_In_Superscripts_And_subscripts}', "");
Error('\p{	 super_and_Sub/a/}');
Error('\P{	 super_and_Sub/a/}');
Expect(1, 8351, '\p{superandsub}', "");
Expect(0, 8351, '\p{^superandsub}', "");
Expect(0, 8351, '\P{superandsub}', "");
Expect(1, 8351, '\P{^superandsub}', "");
Expect(0, 8352, '\p{superandsub}', "");
Expect(1, 8352, '\p{^superandsub}', "");
Expect(1, 8352, '\P{superandsub}', "");
Expect(0, 8352, '\P{^superandsub}', "");
Expect(1, 8351, '\p{	 Super_And_sub}', "");
Expect(0, 8351, '\p{^	 Super_And_sub}', "");
Expect(0, 8351, '\P{	 Super_And_sub}', "");
Expect(1, 8351, '\P{^	 Super_And_sub}', "");
Expect(0, 8352, '\p{	 Super_And_sub}', "");
Expect(1, 8352, '\p{^	 Super_And_sub}', "");
Expect(1, 8352, '\P{	 Super_And_sub}', "");
Expect(0, 8352, '\P{^	 Super_And_sub}', "");
Error('\p{- Is_Super_And_Sub:=}');
Error('\P{- Is_Super_And_Sub:=}');
Expect(1, 8351, '\p{issuperandsub}', "");
Expect(0, 8351, '\p{^issuperandsub}', "");
Expect(0, 8351, '\P{issuperandsub}', "");
Expect(1, 8351, '\P{^issuperandsub}', "");
Expect(0, 8352, '\p{issuperandsub}', "");
Expect(1, 8352, '\p{^issuperandsub}', "");
Expect(1, 8352, '\P{issuperandsub}', "");
Expect(0, 8352, '\P{^issuperandsub}', "");
Expect(1, 8351, '\p{_is_super_AND_SUB}', "");
Expect(0, 8351, '\p{^_is_super_AND_SUB}', "");
Expect(0, 8351, '\P{_is_super_AND_SUB}', "");
Expect(1, 8351, '\P{^_is_super_AND_SUB}', "");
Expect(0, 8352, '\p{_is_super_AND_SUB}', "");
Expect(1, 8352, '\p{^_is_super_AND_SUB}', "");
Expect(1, 8352, '\P{_is_super_AND_SUB}', "");
Expect(0, 8352, '\P{^_is_super_AND_SUB}', "");
Error('\p{-/a/In_Super_and_Sub}');
Error('\P{-/a/In_Super_and_Sub}');
Expect(1, 8351, '\p{insuperandsub}', "");
Expect(0, 8351, '\p{^insuperandsub}', "");
Expect(0, 8351, '\P{insuperandsub}', "");
Expect(1, 8351, '\P{^insuperandsub}', "");
Expect(0, 8352, '\p{insuperandsub}', "");
Expect(1, 8352, '\p{^insuperandsub}', "");
Expect(1, 8352, '\P{insuperandsub}', "");
Expect(0, 8352, '\P{^insuperandsub}', "");
Expect(1, 8351, '\p{In_super_and_sub}', "");
Expect(0, 8351, '\p{^In_super_and_sub}', "");
Expect(0, 8351, '\P{In_super_and_sub}', "");
Expect(1, 8351, '\P{^In_super_and_sub}', "");
Expect(0, 8352, '\p{In_super_and_sub}', "");
Expect(1, 8352, '\p{^In_super_and_sub}', "");
Expect(1, 8352, '\P{In_super_and_sub}', "");
Expect(0, 8352, '\P{^In_super_and_sub}', "");
Error('\p{_	Supplemental_Arrows_A/a/}');
Error('\P{_	Supplemental_Arrows_A/a/}');
Expect(1, 10239, '\p{supplementalarrowsa}', "");
Expect(0, 10239, '\p{^supplementalarrowsa}', "");
Expect(0, 10239, '\P{supplementalarrowsa}', "");
Expect(1, 10239, '\P{^supplementalarrowsa}', "");
Expect(0, 10240, '\p{supplementalarrowsa}', "");
Expect(1, 10240, '\p{^supplementalarrowsa}', "");
Expect(1, 10240, '\P{supplementalarrowsa}', "");
Expect(0, 10240, '\P{^supplementalarrowsa}', "");
Expect(1, 10239, '\p{_supplemental_arrows_A}', "");
Expect(0, 10239, '\p{^_supplemental_arrows_A}', "");
Expect(0, 10239, '\P{_supplemental_arrows_A}', "");
Expect(1, 10239, '\P{^_supplemental_arrows_A}', "");
Expect(0, 10240, '\p{_supplemental_arrows_A}', "");
Expect(1, 10240, '\p{^_supplemental_arrows_A}', "");
Expect(1, 10240, '\P{_supplemental_arrows_A}', "");
Expect(0, 10240, '\P{^_supplemental_arrows_A}', "");
Error('\p{:=	_Is_SUPPLEMENTAL_arrows_A}');
Error('\P{:=	_Is_SUPPLEMENTAL_arrows_A}');
Expect(1, 10239, '\p{issupplementalarrowsa}', "");
Expect(0, 10239, '\p{^issupplementalarrowsa}', "");
Expect(0, 10239, '\P{issupplementalarrowsa}', "");
Expect(1, 10239, '\P{^issupplementalarrowsa}', "");
Expect(0, 10240, '\p{issupplementalarrowsa}', "");
Expect(1, 10240, '\p{^issupplementalarrowsa}', "");
Expect(1, 10240, '\P{issupplementalarrowsa}', "");
Expect(0, 10240, '\P{^issupplementalarrowsa}', "");
Expect(1, 10239, '\p{_ Is_SUPPLEMENTAL_ARROWS_A}', "");
Expect(0, 10239, '\p{^_ Is_SUPPLEMENTAL_ARROWS_A}', "");
Expect(0, 10239, '\P{_ Is_SUPPLEMENTAL_ARROWS_A}', "");
Expect(1, 10239, '\P{^_ Is_SUPPLEMENTAL_ARROWS_A}', "");
Expect(0, 10240, '\p{_ Is_SUPPLEMENTAL_ARROWS_A}', "");
Expect(1, 10240, '\p{^_ Is_SUPPLEMENTAL_ARROWS_A}', "");
Expect(1, 10240, '\P{_ Is_SUPPLEMENTAL_ARROWS_A}', "");
Expect(0, 10240, '\P{^_ Is_SUPPLEMENTAL_ARROWS_A}', "");
Error('\p{/a/	 IN_supplemental_Arrows_A}');
Error('\P{/a/	 IN_supplemental_Arrows_A}');
Expect(1, 10239, '\p{insupplementalarrowsa}', "");
Expect(0, 10239, '\p{^insupplementalarrowsa}', "");
Expect(0, 10239, '\P{insupplementalarrowsa}', "");
Expect(1, 10239, '\P{^insupplementalarrowsa}', "");
Expect(0, 10240, '\p{insupplementalarrowsa}', "");
Expect(1, 10240, '\p{^insupplementalarrowsa}', "");
Expect(1, 10240, '\P{insupplementalarrowsa}', "");
Expect(0, 10240, '\P{^insupplementalarrowsa}', "");
Expect(1, 10239, '\p{ 	In_Supplemental_Arrows_A}', "");
Expect(0, 10239, '\p{^ 	In_Supplemental_Arrows_A}', "");
Expect(0, 10239, '\P{ 	In_Supplemental_Arrows_A}', "");
Expect(1, 10239, '\P{^ 	In_Supplemental_Arrows_A}', "");
Expect(0, 10240, '\p{ 	In_Supplemental_Arrows_A}', "");
Expect(1, 10240, '\p{^ 	In_Supplemental_Arrows_A}', "");
Expect(1, 10240, '\P{ 	In_Supplemental_Arrows_A}', "");
Expect(0, 10240, '\P{^ 	In_Supplemental_Arrows_A}', "");
Error('\p{_ Sup_Arrows_A:=}');
Error('\P{_ Sup_Arrows_A:=}');
Expect(1, 10239, '\p{suparrowsa}', "");
Expect(0, 10239, '\p{^suparrowsa}', "");
Expect(0, 10239, '\P{suparrowsa}', "");
Expect(1, 10239, '\P{^suparrowsa}', "");
Expect(0, 10240, '\p{suparrowsa}', "");
Expect(1, 10240, '\p{^suparrowsa}', "");
Expect(1, 10240, '\P{suparrowsa}', "");
Expect(0, 10240, '\P{^suparrowsa}', "");
Expect(1, 10239, '\p{  SUP_ARROWS_A}', "");
Expect(0, 10239, '\p{^  SUP_ARROWS_A}', "");
Expect(0, 10239, '\P{  SUP_ARROWS_A}', "");
Expect(1, 10239, '\P{^  SUP_ARROWS_A}', "");
Expect(0, 10240, '\p{  SUP_ARROWS_A}', "");
Expect(1, 10240, '\p{^  SUP_ARROWS_A}', "");
Expect(1, 10240, '\P{  SUP_ARROWS_A}', "");
Expect(0, 10240, '\P{^  SUP_ARROWS_A}', "");
Error('\p{	 Is_sup_Arrows_A/a/}');
Error('\P{	 Is_sup_Arrows_A/a/}');
Expect(1, 10239, '\p{issuparrowsa}', "");
Expect(0, 10239, '\p{^issuparrowsa}', "");
Expect(0, 10239, '\P{issuparrowsa}', "");
Expect(1, 10239, '\P{^issuparrowsa}', "");
Expect(0, 10240, '\p{issuparrowsa}', "");
Expect(1, 10240, '\p{^issuparrowsa}', "");
Expect(1, 10240, '\P{issuparrowsa}', "");
Expect(0, 10240, '\P{^issuparrowsa}', "");
Expect(1, 10239, '\p{--is_SUP_ARROWS_a}', "");
Expect(0, 10239, '\p{^--is_SUP_ARROWS_a}', "");
Expect(0, 10239, '\P{--is_SUP_ARROWS_a}', "");
Expect(1, 10239, '\P{^--is_SUP_ARROWS_a}', "");
Expect(0, 10240, '\p{--is_SUP_ARROWS_a}', "");
Expect(1, 10240, '\p{^--is_SUP_ARROWS_a}', "");
Expect(1, 10240, '\P{--is_SUP_ARROWS_a}', "");
Expect(0, 10240, '\P{^--is_SUP_ARROWS_a}', "");
Error('\p{-/a/IN_Sup_arrows_A}');
Error('\P{-/a/IN_Sup_arrows_A}');
Expect(1, 10239, '\p{insuparrowsa}', "");
Expect(0, 10239, '\p{^insuparrowsa}', "");
Expect(0, 10239, '\P{insuparrowsa}', "");
Expect(1, 10239, '\P{^insuparrowsa}', "");
Expect(0, 10240, '\p{insuparrowsa}', "");
Expect(1, 10240, '\p{^insuparrowsa}', "");
Expect(1, 10240, '\P{insuparrowsa}', "");
Expect(0, 10240, '\P{^insuparrowsa}', "");
Expect(1, 10239, '\p{ _In_SUP_Arrows_a}', "");
Expect(0, 10239, '\p{^ _In_SUP_Arrows_a}', "");
Expect(0, 10239, '\P{ _In_SUP_Arrows_a}', "");
Expect(1, 10239, '\P{^ _In_SUP_Arrows_a}', "");
Expect(0, 10240, '\p{ _In_SUP_Arrows_a}', "");
Expect(1, 10240, '\p{^ _In_SUP_Arrows_a}', "");
Expect(1, 10240, '\P{ _In_SUP_Arrows_a}', "");
Expect(0, 10240, '\P{^ _In_SUP_Arrows_a}', "");
Error('\p{:=	 SUPPLEMENTAL_ARROWS_b}');
Error('\P{:=	 SUPPLEMENTAL_ARROWS_b}');
Expect(1, 10623, '\p{supplementalarrowsb}', "");
Expect(0, 10623, '\p{^supplementalarrowsb}', "");
Expect(0, 10623, '\P{supplementalarrowsb}', "");
Expect(1, 10623, '\P{^supplementalarrowsb}', "");
Expect(0, 10624, '\p{supplementalarrowsb}', "");
Expect(1, 10624, '\p{^supplementalarrowsb}', "");
Expect(1, 10624, '\P{supplementalarrowsb}', "");
Expect(0, 10624, '\P{^supplementalarrowsb}', "");
Expect(1, 10623, '\p{		Supplemental_Arrows_b}', "");
Expect(0, 10623, '\p{^		Supplemental_Arrows_b}', "");
Expect(0, 10623, '\P{		Supplemental_Arrows_b}', "");
Expect(1, 10623, '\P{^		Supplemental_Arrows_b}', "");
Expect(0, 10624, '\p{		Supplemental_Arrows_b}', "");
Expect(1, 10624, '\p{^		Supplemental_Arrows_b}', "");
Expect(1, 10624, '\P{		Supplemental_Arrows_b}', "");
Expect(0, 10624, '\P{^		Supplemental_Arrows_b}', "");
Error('\p{_:=is_Supplemental_Arrows_B}');
Error('\P{_:=is_Supplemental_Arrows_B}');
Expect(1, 10623, '\p{issupplementalarrowsb}', "");
Expect(0, 10623, '\p{^issupplementalarrowsb}', "");
Expect(0, 10623, '\P{issupplementalarrowsb}', "");
Expect(1, 10623, '\P{^issupplementalarrowsb}', "");
Expect(0, 10624, '\p{issupplementalarrowsb}', "");
Expect(1, 10624, '\p{^issupplementalarrowsb}', "");
Expect(1, 10624, '\P{issupplementalarrowsb}', "");
Expect(0, 10624, '\P{^issupplementalarrowsb}', "");
Expect(1, 10623, '\p{_Is_SUPPLEMENTAL_Arrows_B}', "");
Expect(0, 10623, '\p{^_Is_SUPPLEMENTAL_Arrows_B}', "");
Expect(0, 10623, '\P{_Is_SUPPLEMENTAL_Arrows_B}', "");
Expect(1, 10623, '\P{^_Is_SUPPLEMENTAL_Arrows_B}', "");
Expect(0, 10624, '\p{_Is_SUPPLEMENTAL_Arrows_B}', "");
Expect(1, 10624, '\p{^_Is_SUPPLEMENTAL_Arrows_B}', "");
Expect(1, 10624, '\P{_Is_SUPPLEMENTAL_Arrows_B}', "");
Expect(0, 10624, '\P{^_Is_SUPPLEMENTAL_Arrows_B}', "");
Error('\p{:=	_in_Supplemental_Arrows_B}');
Error('\P{:=	_in_Supplemental_Arrows_B}');
Expect(1, 10623, '\p{insupplementalarrowsb}', "");
Expect(0, 10623, '\p{^insupplementalarrowsb}', "");
Expect(0, 10623, '\P{insupplementalarrowsb}', "");
Expect(1, 10623, '\P{^insupplementalarrowsb}', "");
Expect(0, 10624, '\p{insupplementalarrowsb}', "");
Expect(1, 10624, '\p{^insupplementalarrowsb}', "");
Expect(1, 10624, '\P{insupplementalarrowsb}', "");
Expect(0, 10624, '\P{^insupplementalarrowsb}', "");
Expect(1, 10623, '\p{	In_SUPPLEMENTAL_ARROWS_B}', "");
Expect(0, 10623, '\p{^	In_SUPPLEMENTAL_ARROWS_B}', "");
Expect(0, 10623, '\P{	In_SUPPLEMENTAL_ARROWS_B}', "");
Expect(1, 10623, '\P{^	In_SUPPLEMENTAL_ARROWS_B}', "");
Expect(0, 10624, '\p{	In_SUPPLEMENTAL_ARROWS_B}', "");
Expect(1, 10624, '\p{^	In_SUPPLEMENTAL_ARROWS_B}', "");
Expect(1, 10624, '\P{	In_SUPPLEMENTAL_ARROWS_B}', "");
Expect(0, 10624, '\P{^	In_SUPPLEMENTAL_ARROWS_B}', "");
Error('\p{/a/_-SUP_arrows_B}');
Error('\P{/a/_-SUP_arrows_B}');
Expect(1, 10623, '\p{suparrowsb}', "");
Expect(0, 10623, '\p{^suparrowsb}', "");
Expect(0, 10623, '\P{suparrowsb}', "");
Expect(1, 10623, '\P{^suparrowsb}', "");
Expect(0, 10624, '\p{suparrowsb}', "");
Expect(1, 10624, '\p{^suparrowsb}', "");
Expect(1, 10624, '\P{suparrowsb}', "");
Expect(0, 10624, '\P{^suparrowsb}', "");
Expect(1, 10623, '\p{-Sup_Arrows_B}', "");
Expect(0, 10623, '\p{^-Sup_Arrows_B}', "");
Expect(0, 10623, '\P{-Sup_Arrows_B}', "");
Expect(1, 10623, '\P{^-Sup_Arrows_B}', "");
Expect(0, 10624, '\p{-Sup_Arrows_B}', "");
Expect(1, 10624, '\p{^-Sup_Arrows_B}', "");
Expect(1, 10624, '\P{-Sup_Arrows_B}', "");
Expect(0, 10624, '\P{^-Sup_Arrows_B}', "");
Error('\p{:= Is_sup_Arrows_B}');
Error('\P{:= Is_sup_Arrows_B}');
Expect(1, 10623, '\p{issuparrowsb}', "");
Expect(0, 10623, '\p{^issuparrowsb}', "");
Expect(0, 10623, '\P{issuparrowsb}', "");
Expect(1, 10623, '\P{^issuparrowsb}', "");
Expect(0, 10624, '\p{issuparrowsb}', "");
Expect(1, 10624, '\p{^issuparrowsb}', "");
Expect(1, 10624, '\P{issuparrowsb}', "");
Expect(0, 10624, '\P{^issuparrowsb}', "");
Expect(1, 10623, '\p{Is_SUP_Arrows_B}', "");
Expect(0, 10623, '\p{^Is_SUP_Arrows_B}', "");
Expect(0, 10623, '\P{Is_SUP_Arrows_B}', "");
Expect(1, 10623, '\P{^Is_SUP_Arrows_B}', "");
Expect(0, 10624, '\p{Is_SUP_Arrows_B}', "");
Expect(1, 10624, '\p{^Is_SUP_Arrows_B}', "");
Expect(1, 10624, '\P{Is_SUP_Arrows_B}', "");
Expect(0, 10624, '\P{^Is_SUP_Arrows_B}', "");
Error('\p{:=in_Sup_Arrows_B}');
Error('\P{:=in_Sup_Arrows_B}');
Expect(1, 10623, '\p{insuparrowsb}', "");
Expect(0, 10623, '\p{^insuparrowsb}', "");
Expect(0, 10623, '\P{insuparrowsb}', "");
Expect(1, 10623, '\P{^insuparrowsb}', "");
Expect(0, 10624, '\p{insuparrowsb}', "");
Expect(1, 10624, '\p{^insuparrowsb}', "");
Expect(1, 10624, '\P{insuparrowsb}', "");
Expect(0, 10624, '\P{^insuparrowsb}', "");
Expect(1, 10623, '\p{	_In_Sup_ARROWS_b}', "");
Expect(0, 10623, '\p{^	_In_Sup_ARROWS_b}', "");
Expect(0, 10623, '\P{	_In_Sup_ARROWS_b}', "");
Expect(1, 10623, '\P{^	_In_Sup_ARROWS_b}', "");
Expect(0, 10624, '\p{	_In_Sup_ARROWS_b}', "");
Expect(1, 10624, '\p{^	_In_Sup_ARROWS_b}', "");
Expect(1, 10624, '\P{	_In_Sup_ARROWS_b}', "");
Expect(0, 10624, '\P{^	_In_Sup_ARROWS_b}', "");
Error('\p{:=	Supplemental_arrows_c}');
Error('\P{:=	Supplemental_arrows_c}');
Expect(1, 129279, '\p{supplementalarrowsc}', "");
Expect(0, 129279, '\p{^supplementalarrowsc}', "");
Expect(0, 129279, '\P{supplementalarrowsc}', "");
Expect(1, 129279, '\P{^supplementalarrowsc}', "");
Expect(0, 129280, '\p{supplementalarrowsc}', "");
Expect(1, 129280, '\p{^supplementalarrowsc}', "");
Expect(1, 129280, '\P{supplementalarrowsc}', "");
Expect(0, 129280, '\P{^supplementalarrowsc}', "");
Expect(1, 129279, '\p{_-Supplemental_Arrows_c}', "");
Expect(0, 129279, '\p{^_-Supplemental_Arrows_c}', "");
Expect(0, 129279, '\P{_-Supplemental_Arrows_c}', "");
Expect(1, 129279, '\P{^_-Supplemental_Arrows_c}', "");
Expect(0, 129280, '\p{_-Supplemental_Arrows_c}', "");
Expect(1, 129280, '\p{^_-Supplemental_Arrows_c}', "");
Expect(1, 129280, '\P{_-Supplemental_Arrows_c}', "");
Expect(0, 129280, '\P{^_-Supplemental_Arrows_c}', "");
Error('\p{:=  is_supplemental_Arrows_c}');
Error('\P{:=  is_supplemental_Arrows_c}');
Expect(1, 129279, '\p{issupplementalarrowsc}', "");
Expect(0, 129279, '\p{^issupplementalarrowsc}', "");
Expect(0, 129279, '\P{issupplementalarrowsc}', "");
Expect(1, 129279, '\P{^issupplementalarrowsc}', "");
Expect(0, 129280, '\p{issupplementalarrowsc}', "");
Expect(1, 129280, '\p{^issupplementalarrowsc}', "");
Expect(1, 129280, '\P{issupplementalarrowsc}', "");
Expect(0, 129280, '\P{^issupplementalarrowsc}', "");
Expect(1, 129279, '\p{-_is_Supplemental_arrows_c}', "");
Expect(0, 129279, '\p{^-_is_Supplemental_arrows_c}', "");
Expect(0, 129279, '\P{-_is_Supplemental_arrows_c}', "");
Expect(1, 129279, '\P{^-_is_Supplemental_arrows_c}', "");
Expect(0, 129280, '\p{-_is_Supplemental_arrows_c}', "");
Expect(1, 129280, '\p{^-_is_Supplemental_arrows_c}', "");
Expect(1, 129280, '\P{-_is_Supplemental_arrows_c}', "");
Expect(0, 129280, '\P{^-_is_Supplemental_arrows_c}', "");
Error('\p{:=  IN_SUPPLEMENTAL_ARROWS_c}');
Error('\P{:=  IN_SUPPLEMENTAL_ARROWS_c}');
Expect(1, 129279, '\p{insupplementalarrowsc}', "");
Expect(0, 129279, '\p{^insupplementalarrowsc}', "");
Expect(0, 129279, '\P{insupplementalarrowsc}', "");
Expect(1, 129279, '\P{^insupplementalarrowsc}', "");
Expect(0, 129280, '\p{insupplementalarrowsc}', "");
Expect(1, 129280, '\p{^insupplementalarrowsc}', "");
Expect(1, 129280, '\P{insupplementalarrowsc}', "");
Expect(0, 129280, '\P{^insupplementalarrowsc}', "");
Expect(1, 129279, '\p{ 	IN_supplemental_ARROWS_c}', "");
Expect(0, 129279, '\p{^ 	IN_supplemental_ARROWS_c}', "");
Expect(0, 129279, '\P{ 	IN_supplemental_ARROWS_c}', "");
Expect(1, 129279, '\P{^ 	IN_supplemental_ARROWS_c}', "");
Expect(0, 129280, '\p{ 	IN_supplemental_ARROWS_c}', "");
Expect(1, 129280, '\p{^ 	IN_supplemental_ARROWS_c}', "");
Expect(1, 129280, '\P{ 	IN_supplemental_ARROWS_c}', "");
Expect(0, 129280, '\P{^ 	IN_supplemental_ARROWS_c}', "");
Error('\p{  Sup_arrows_c/a/}');
Error('\P{  Sup_arrows_c/a/}');
Expect(1, 129279, '\p{suparrowsc}', "");
Expect(0, 129279, '\p{^suparrowsc}', "");
Expect(0, 129279, '\P{suparrowsc}', "");
Expect(1, 129279, '\P{^suparrowsc}', "");
Expect(0, 129280, '\p{suparrowsc}', "");
Expect(1, 129280, '\p{^suparrowsc}', "");
Expect(1, 129280, '\P{suparrowsc}', "");
Expect(0, 129280, '\P{^suparrowsc}', "");
Expect(1, 129279, '\p{_sup_arrows_c}', "");
Expect(0, 129279, '\p{^_sup_arrows_c}', "");
Expect(0, 129279, '\P{_sup_arrows_c}', "");
Expect(1, 129279, '\P{^_sup_arrows_c}', "");
Expect(0, 129280, '\p{_sup_arrows_c}', "");
Expect(1, 129280, '\p{^_sup_arrows_c}', "");
Expect(1, 129280, '\P{_sup_arrows_c}', "");
Expect(0, 129280, '\P{^_sup_arrows_c}', "");
Error('\p{/a/	 Is_sup_arrows_C}');
Error('\P{/a/	 Is_sup_arrows_C}');
Expect(1, 129279, '\p{issuparrowsc}', "");
Expect(0, 129279, '\p{^issuparrowsc}', "");
Expect(0, 129279, '\P{issuparrowsc}', "");
Expect(1, 129279, '\P{^issuparrowsc}', "");
Expect(0, 129280, '\p{issuparrowsc}', "");
Expect(1, 129280, '\p{^issuparrowsc}', "");
Expect(1, 129280, '\P{issuparrowsc}', "");
Expect(0, 129280, '\P{^issuparrowsc}', "");
Expect(1, 129279, '\p{	 IS_sup_Arrows_C}', "");
Expect(0, 129279, '\p{^	 IS_sup_Arrows_C}', "");
Expect(0, 129279, '\P{	 IS_sup_Arrows_C}', "");
Expect(1, 129279, '\P{^	 IS_sup_Arrows_C}', "");
Expect(0, 129280, '\p{	 IS_sup_Arrows_C}', "");
Expect(1, 129280, '\p{^	 IS_sup_Arrows_C}', "");
Expect(1, 129280, '\P{	 IS_sup_Arrows_C}', "");
Expect(0, 129280, '\P{^	 IS_sup_Arrows_C}', "");
Error('\p{/a/ -IN_sup_Arrows_c}');
Error('\P{/a/ -IN_sup_Arrows_c}');
Expect(1, 129279, '\p{insuparrowsc}', "");
Expect(0, 129279, '\p{^insuparrowsc}', "");
Expect(0, 129279, '\P{insuparrowsc}', "");
Expect(1, 129279, '\P{^insuparrowsc}', "");
Expect(0, 129280, '\p{insuparrowsc}', "");
Expect(1, 129280, '\p{^insuparrowsc}', "");
Expect(1, 129280, '\P{insuparrowsc}', "");
Expect(0, 129280, '\P{^insuparrowsc}', "");
Expect(1, 129279, '\p{ In_sup_Arrows_C}', "");
Expect(0, 129279, '\p{^ In_sup_Arrows_C}', "");
Expect(0, 129279, '\P{ In_sup_Arrows_C}', "");
Expect(1, 129279, '\P{^ In_sup_Arrows_C}', "");
Expect(0, 129280, '\p{ In_sup_Arrows_C}', "");
Expect(1, 129280, '\p{^ In_sup_Arrows_C}', "");
Expect(1, 129280, '\P{ In_sup_Arrows_C}', "");
Expect(0, 129280, '\P{^ In_sup_Arrows_C}', "");
Error('\p{ 	Supplemental_Mathematical_Operators/a/}');
Error('\P{ 	Supplemental_Mathematical_Operators/a/}');
Expect(1, 11007, '\p{supplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^supplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{supplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^supplementalmathematicaloperators}', "");
Expect(0, 11008, '\p{supplementalmathematicaloperators}', "");
Expect(1, 11008, '\p{^supplementalmathematicaloperators}', "");
Expect(1, 11008, '\P{supplementalmathematicaloperators}', "");
Expect(0, 11008, '\P{^supplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{_ Supplemental_mathematical_Operators}', "");
Expect(0, 11007, '\p{^_ Supplemental_mathematical_Operators}', "");
Expect(0, 11007, '\P{_ Supplemental_mathematical_Operators}', "");
Expect(1, 11007, '\P{^_ Supplemental_mathematical_Operators}', "");
Expect(0, 11008, '\p{_ Supplemental_mathematical_Operators}', "");
Expect(1, 11008, '\p{^_ Supplemental_mathematical_Operators}', "");
Expect(1, 11008, '\P{_ Supplemental_mathematical_Operators}', "");
Expect(0, 11008, '\P{^_ Supplemental_mathematical_Operators}', "");
Error('\p{/a/  Is_Supplemental_mathematical_Operators}');
Error('\P{/a/  Is_Supplemental_mathematical_Operators}');
Expect(1, 11007, '\p{issupplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^issupplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{issupplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^issupplementalmathematicaloperators}', "");
Expect(0, 11008, '\p{issupplementalmathematicaloperators}', "");
Expect(1, 11008, '\p{^issupplementalmathematicaloperators}', "");
Expect(1, 11008, '\P{issupplementalmathematicaloperators}', "");
Expect(0, 11008, '\P{^issupplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{-Is_Supplemental_Mathematical_Operators}', "");
Expect(0, 11007, '\p{^-Is_Supplemental_Mathematical_Operators}', "");
Expect(0, 11007, '\P{-Is_Supplemental_Mathematical_Operators}', "");
Expect(1, 11007, '\P{^-Is_Supplemental_Mathematical_Operators}', "");
Expect(0, 11008, '\p{-Is_Supplemental_Mathematical_Operators}', "");
Expect(1, 11008, '\p{^-Is_Supplemental_Mathematical_Operators}', "");
Expect(1, 11008, '\P{-Is_Supplemental_Mathematical_Operators}', "");
Expect(0, 11008, '\P{^-Is_Supplemental_Mathematical_Operators}', "");
Error('\p{/a/-IN_Supplemental_mathematical_Operators}');
Error('\P{/a/-IN_Supplemental_mathematical_Operators}');
Expect(1, 11007, '\p{insupplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^insupplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{insupplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^insupplementalmathematicaloperators}', "");
Expect(0, 11008, '\p{insupplementalmathematicaloperators}', "");
Expect(1, 11008, '\p{^insupplementalmathematicaloperators}', "");
Expect(1, 11008, '\P{insupplementalmathematicaloperators}', "");
Expect(0, 11008, '\P{^insupplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{	in_Supplemental_Mathematical_Operators}', "");
Expect(0, 11007, '\p{^	in_Supplemental_Mathematical_Operators}', "");
Expect(0, 11007, '\P{	in_Supplemental_Mathematical_Operators}', "");
Expect(1, 11007, '\P{^	in_Supplemental_Mathematical_Operators}', "");
Expect(0, 11008, '\p{	in_Supplemental_Mathematical_Operators}', "");
Expect(1, 11008, '\p{^	in_Supplemental_Mathematical_Operators}', "");
Expect(1, 11008, '\P{	in_Supplemental_Mathematical_Operators}', "");
Expect(0, 11008, '\P{^	in_Supplemental_Mathematical_Operators}', "");
Error('\p{ Sup_Math_Operators:=}');
Error('\P{ Sup_Math_Operators:=}');
Expect(1, 11007, '\p{supmathoperators}', "");
Expect(0, 11007, '\p{^supmathoperators}', "");
Expect(0, 11007, '\P{supmathoperators}', "");
Expect(1, 11007, '\P{^supmathoperators}', "");
Expect(0, 11008, '\p{supmathoperators}', "");
Expect(1, 11008, '\p{^supmathoperators}', "");
Expect(1, 11008, '\P{supmathoperators}', "");
Expect(0, 11008, '\P{^supmathoperators}', "");
Expect(1, 11007, '\p{-_SUP_math_OPERATORS}', "");
Expect(0, 11007, '\p{^-_SUP_math_OPERATORS}', "");
Expect(0, 11007, '\P{-_SUP_math_OPERATORS}', "");
Expect(1, 11007, '\P{^-_SUP_math_OPERATORS}', "");
Expect(0, 11008, '\p{-_SUP_math_OPERATORS}', "");
Expect(1, 11008, '\p{^-_SUP_math_OPERATORS}', "");
Expect(1, 11008, '\P{-_SUP_math_OPERATORS}', "");
Expect(0, 11008, '\P{^-_SUP_math_OPERATORS}', "");
Error('\p{:=_is_SUP_Math_Operators}');
Error('\P{:=_is_SUP_Math_Operators}');
Expect(1, 11007, '\p{issupmathoperators}', "");
Expect(0, 11007, '\p{^issupmathoperators}', "");
Expect(0, 11007, '\P{issupmathoperators}', "");
Expect(1, 11007, '\P{^issupmathoperators}', "");
Expect(0, 11008, '\p{issupmathoperators}', "");
Expect(1, 11008, '\p{^issupmathoperators}', "");
Expect(1, 11008, '\P{issupmathoperators}', "");
Expect(0, 11008, '\P{^issupmathoperators}', "");
Expect(1, 11007, '\p{ -Is_sup_math_operators}', "");
Expect(0, 11007, '\p{^ -Is_sup_math_operators}', "");
Expect(0, 11007, '\P{ -Is_sup_math_operators}', "");
Expect(1, 11007, '\P{^ -Is_sup_math_operators}', "");
Expect(0, 11008, '\p{ -Is_sup_math_operators}', "");
Expect(1, 11008, '\p{^ -Is_sup_math_operators}', "");
Expect(1, 11008, '\P{ -Is_sup_math_operators}', "");
Expect(0, 11008, '\P{^ -Is_sup_math_operators}', "");
Error('\p{:=	-In_SUP_MATH_OPERATORS}');
Error('\P{:=	-In_SUP_MATH_OPERATORS}');
Expect(1, 11007, '\p{insupmathoperators}', "");
Expect(0, 11007, '\p{^insupmathoperators}', "");
Expect(0, 11007, '\P{insupmathoperators}', "");
Expect(1, 11007, '\P{^insupmathoperators}', "");
Expect(0, 11008, '\p{insupmathoperators}', "");
Expect(1, 11008, '\p{^insupmathoperators}', "");
Expect(1, 11008, '\P{insupmathoperators}', "");
Expect(0, 11008, '\P{^insupmathoperators}', "");
Expect(1, 11007, '\p{_IN_Sup_Math_Operators}', "");
Expect(0, 11007, '\p{^_IN_Sup_Math_Operators}', "");
Expect(0, 11007, '\P{_IN_Sup_Math_Operators}', "");
Expect(1, 11007, '\P{^_IN_Sup_Math_Operators}', "");
Expect(0, 11008, '\p{_IN_Sup_Math_Operators}', "");
Expect(1, 11008, '\p{^_IN_Sup_Math_Operators}', "");
Expect(1, 11008, '\P{_IN_Sup_Math_Operators}', "");
Expect(0, 11008, '\P{^_IN_Sup_Math_Operators}', "");
Error('\p{/a/ 	Supplemental_Punctuation}');
Error('\P{/a/ 	Supplemental_Punctuation}');
Expect(1, 11903, '\p{supplementalpunctuation}', "");
Expect(0, 11903, '\p{^supplementalpunctuation}', "");
Expect(0, 11903, '\P{supplementalpunctuation}', "");
Expect(1, 11903, '\P{^supplementalpunctuation}', "");
Expect(0, 11904, '\p{supplementalpunctuation}', "");
Expect(1, 11904, '\p{^supplementalpunctuation}', "");
Expect(1, 11904, '\P{supplementalpunctuation}', "");
Expect(0, 11904, '\P{^supplementalpunctuation}', "");
Expect(1, 11903, '\p{-_Supplemental_punctuation}', "");
Expect(0, 11903, '\p{^-_Supplemental_punctuation}', "");
Expect(0, 11903, '\P{-_Supplemental_punctuation}', "");
Expect(1, 11903, '\P{^-_Supplemental_punctuation}', "");
Expect(0, 11904, '\p{-_Supplemental_punctuation}', "");
Expect(1, 11904, '\p{^-_Supplemental_punctuation}', "");
Expect(1, 11904, '\P{-_Supplemental_punctuation}', "");
Expect(0, 11904, '\P{^-_Supplemental_punctuation}', "");
Error('\p{	:=IS_Supplemental_Punctuation}');
Error('\P{	:=IS_Supplemental_Punctuation}');
Expect(1, 11903, '\p{issupplementalpunctuation}', "");
Expect(0, 11903, '\p{^issupplementalpunctuation}', "");
Expect(0, 11903, '\P{issupplementalpunctuation}', "");
Expect(1, 11903, '\P{^issupplementalpunctuation}', "");
Expect(0, 11904, '\p{issupplementalpunctuation}', "");
Expect(1, 11904, '\p{^issupplementalpunctuation}', "");
Expect(1, 11904, '\P{issupplementalpunctuation}', "");
Expect(0, 11904, '\P{^issupplementalpunctuation}', "");
Expect(1, 11903, '\p{  is_SUPPLEMENTAL_PUNCTUATION}', "");
Expect(0, 11903, '\p{^  is_SUPPLEMENTAL_PUNCTUATION}', "");
Expect(0, 11903, '\P{  is_SUPPLEMENTAL_PUNCTUATION}', "");
Expect(1, 11903, '\P{^  is_SUPPLEMENTAL_PUNCTUATION}', "");
Expect(0, 11904, '\p{  is_SUPPLEMENTAL_PUNCTUATION}', "");
Expect(1, 11904, '\p{^  is_SUPPLEMENTAL_PUNCTUATION}', "");
Expect(1, 11904, '\P{  is_SUPPLEMENTAL_PUNCTUATION}', "");
Expect(0, 11904, '\P{^  is_SUPPLEMENTAL_PUNCTUATION}', "");
Error('\p{__in_supplemental_PUNCTUATION/a/}');
Error('\P{__in_supplemental_PUNCTUATION/a/}');
Expect(1, 11903, '\p{insupplementalpunctuation}', "");
Expect(0, 11903, '\p{^insupplementalpunctuation}', "");
Expect(0, 11903, '\P{insupplementalpunctuation}', "");
Expect(1, 11903, '\P{^insupplementalpunctuation}', "");
Expect(0, 11904, '\p{insupplementalpunctuation}', "");
Expect(1, 11904, '\p{^insupplementalpunctuation}', "");
Expect(1, 11904, '\P{insupplementalpunctuation}', "");
Expect(0, 11904, '\P{^insupplementalpunctuation}', "");
Expect(1, 11903, '\p{-In_Supplemental_Punctuation}', "");
Expect(0, 11903, '\p{^-In_Supplemental_Punctuation}', "");
Expect(0, 11903, '\P{-In_Supplemental_Punctuation}', "");
Expect(1, 11903, '\P{^-In_Supplemental_Punctuation}', "");
Expect(0, 11904, '\p{-In_Supplemental_Punctuation}', "");
Expect(1, 11904, '\p{^-In_Supplemental_Punctuation}', "");
Expect(1, 11904, '\P{-In_Supplemental_Punctuation}', "");
Expect(0, 11904, '\P{^-In_Supplemental_Punctuation}', "");
Error('\p{:=SUP_Punctuation}');
Error('\P{:=SUP_Punctuation}');
Expect(1, 11903, '\p{suppunctuation}', "");
Expect(0, 11903, '\p{^suppunctuation}', "");
Expect(0, 11903, '\P{suppunctuation}', "");
Expect(1, 11903, '\P{^suppunctuation}', "");
Expect(0, 11904, '\p{suppunctuation}', "");
Expect(1, 11904, '\p{^suppunctuation}', "");
Expect(1, 11904, '\P{suppunctuation}', "");
Expect(0, 11904, '\P{^suppunctuation}', "");
Expect(1, 11903, '\p{_Sup_PUNCTUATION}', "");
Expect(0, 11903, '\p{^_Sup_PUNCTUATION}', "");
Expect(0, 11903, '\P{_Sup_PUNCTUATION}', "");
Expect(1, 11903, '\P{^_Sup_PUNCTUATION}', "");
Expect(0, 11904, '\p{_Sup_PUNCTUATION}', "");
Expect(1, 11904, '\p{^_Sup_PUNCTUATION}', "");
Expect(1, 11904, '\P{_Sup_PUNCTUATION}', "");
Expect(0, 11904, '\P{^_Sup_PUNCTUATION}', "");
Error('\p{-_Is_sup_PUNCTUATION/a/}');
Error('\P{-_Is_sup_PUNCTUATION/a/}');
Expect(1, 11903, '\p{issuppunctuation}', "");
Expect(0, 11903, '\p{^issuppunctuation}', "");
Expect(0, 11903, '\P{issuppunctuation}', "");
Expect(1, 11903, '\P{^issuppunctuation}', "");
Expect(0, 11904, '\p{issuppunctuation}', "");
Expect(1, 11904, '\p{^issuppunctuation}', "");
Expect(1, 11904, '\P{issuppunctuation}', "");
Expect(0, 11904, '\P{^issuppunctuation}', "");
Expect(1, 11903, '\p{ 	Is_Sup_punctuation}', "");
Expect(0, 11903, '\p{^ 	Is_Sup_punctuation}', "");
Expect(0, 11903, '\P{ 	Is_Sup_punctuation}', "");
Expect(1, 11903, '\P{^ 	Is_Sup_punctuation}', "");
Expect(0, 11904, '\p{ 	Is_Sup_punctuation}', "");
Expect(1, 11904, '\p{^ 	Is_Sup_punctuation}', "");
Expect(1, 11904, '\P{ 	Is_Sup_punctuation}', "");
Expect(0, 11904, '\P{^ 	Is_Sup_punctuation}', "");
Error('\p{-:=In_Sup_punctuation}');
Error('\P{-:=In_Sup_punctuation}');
Expect(1, 11903, '\p{insuppunctuation}', "");
Expect(0, 11903, '\p{^insuppunctuation}', "");
Expect(0, 11903, '\P{insuppunctuation}', "");
Expect(1, 11903, '\P{^insuppunctuation}', "");
Expect(0, 11904, '\p{insuppunctuation}', "");
Expect(1, 11904, '\p{^insuppunctuation}', "");
Expect(1, 11904, '\P{insuppunctuation}', "");
Expect(0, 11904, '\P{^insuppunctuation}', "");
Expect(1, 11903, '\p{_-In_SUP_PUNCTUATION}', "");
Expect(0, 11903, '\p{^_-In_SUP_PUNCTUATION}', "");
Expect(0, 11903, '\P{_-In_SUP_PUNCTUATION}', "");
Expect(1, 11903, '\P{^_-In_SUP_PUNCTUATION}', "");
Expect(0, 11904, '\p{_-In_SUP_PUNCTUATION}', "");
Expect(1, 11904, '\p{^_-In_SUP_PUNCTUATION}', "");
Expect(1, 11904, '\P{_-In_SUP_PUNCTUATION}', "");
Expect(0, 11904, '\P{^_-In_SUP_PUNCTUATION}', "");
Error('\p{/a/	Supplementary_Private_use_AREA_A}');
Error('\P{/a/	Supplementary_Private_use_AREA_A}');
Expect(1, 983040, '\p{supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^supplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\p{supplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\p{^supplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\P{supplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\P{^supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{_ SUPPLEMENTARY_Private_Use_Area_A}', "");
Expect(0, 983040, '\p{^_ SUPPLEMENTARY_Private_Use_Area_A}', "");
Expect(0, 983040, '\P{_ SUPPLEMENTARY_Private_Use_Area_A}', "");
Expect(1, 983040, '\P{^_ SUPPLEMENTARY_Private_Use_Area_A}', "");
Expect(0, 1048576, '\p{_ SUPPLEMENTARY_Private_Use_Area_A}', "");
Expect(1, 1048576, '\p{^_ SUPPLEMENTARY_Private_Use_Area_A}', "");
Expect(1, 1048576, '\P{_ SUPPLEMENTARY_Private_Use_Area_A}', "");
Expect(0, 1048576, '\P{^_ SUPPLEMENTARY_Private_Use_Area_A}', "");
Error('\p{	 Is_SUPPLEMENTARY_Private_use_area_A/a/}');
Error('\P{	 Is_SUPPLEMENTARY_Private_use_area_A/a/}');
Expect(1, 983040, '\p{issupplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^issupplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{issupplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^issupplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\p{issupplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\p{^issupplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\P{issupplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\P{^issupplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{Is_SUPPLEMENTARY_PRIVATE_USE_area_A}', "");
Expect(0, 983040, '\p{^Is_SUPPLEMENTARY_PRIVATE_USE_area_A}', "");
Expect(0, 983040, '\P{Is_SUPPLEMENTARY_PRIVATE_USE_area_A}', "");
Expect(1, 983040, '\P{^Is_SUPPLEMENTARY_PRIVATE_USE_area_A}', "");
Expect(0, 1048576, '\p{Is_SUPPLEMENTARY_PRIVATE_USE_area_A}', "");
Expect(1, 1048576, '\p{^Is_SUPPLEMENTARY_PRIVATE_USE_area_A}', "");
Expect(1, 1048576, '\P{Is_SUPPLEMENTARY_PRIVATE_USE_area_A}', "");
Expect(0, 1048576, '\P{^Is_SUPPLEMENTARY_PRIVATE_USE_area_A}', "");
Error('\p{	/a/IN_Supplementary_Private_USE_AREA_A}');
Error('\P{	/a/IN_Supplementary_Private_USE_AREA_A}');
Expect(1, 983040, '\p{insupplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^insupplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{insupplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^insupplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\p{insupplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\p{^insupplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\P{insupplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\P{^insupplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{ _in_SUPPLEMENTARY_PRIVATE_USE_Area_a}', "");
Expect(0, 983040, '\p{^ _in_SUPPLEMENTARY_PRIVATE_USE_Area_a}', "");
Expect(0, 983040, '\P{ _in_SUPPLEMENTARY_PRIVATE_USE_Area_a}', "");
Expect(1, 983040, '\P{^ _in_SUPPLEMENTARY_PRIVATE_USE_Area_a}', "");
Expect(0, 1048576, '\p{ _in_SUPPLEMENTARY_PRIVATE_USE_Area_a}', "");
Expect(1, 1048576, '\p{^ _in_SUPPLEMENTARY_PRIVATE_USE_Area_a}', "");
Expect(1, 1048576, '\P{ _in_SUPPLEMENTARY_PRIVATE_USE_Area_a}', "");
Expect(0, 1048576, '\P{^ _in_SUPPLEMENTARY_PRIVATE_USE_Area_a}', "");
Error('\p{ -Sup_PUA_A:=}');
Error('\P{ -Sup_PUA_A:=}');
Expect(1, 983040, '\p{suppuaa}', "");
Expect(0, 983040, '\p{^suppuaa}', "");
Expect(0, 983040, '\P{suppuaa}', "");
Expect(1, 983040, '\P{^suppuaa}', "");
Expect(0, 1048576, '\p{suppuaa}', "");
Expect(1, 1048576, '\p{^suppuaa}', "");
Expect(1, 1048576, '\P{suppuaa}', "");
Expect(0, 1048576, '\P{^suppuaa}', "");
Expect(1, 983040, '\p{_sup_pua_A}', "");
Expect(0, 983040, '\p{^_sup_pua_A}', "");
Expect(0, 983040, '\P{_sup_pua_A}', "");
Expect(1, 983040, '\P{^_sup_pua_A}', "");
Expect(0, 1048576, '\p{_sup_pua_A}', "");
Expect(1, 1048576, '\p{^_sup_pua_A}', "");
Expect(1, 1048576, '\P{_sup_pua_A}', "");
Expect(0, 1048576, '\P{^_sup_pua_A}', "");
Error('\p{is_SUP_PUA_A:=}');
Error('\P{is_SUP_PUA_A:=}');
Expect(1, 983040, '\p{issuppuaa}', "");
Expect(0, 983040, '\p{^issuppuaa}', "");
Expect(0, 983040, '\P{issuppuaa}', "");
Expect(1, 983040, '\P{^issuppuaa}', "");
Expect(0, 1048576, '\p{issuppuaa}', "");
Expect(1, 1048576, '\p{^issuppuaa}', "");
Expect(1, 1048576, '\P{issuppuaa}', "");
Expect(0, 1048576, '\P{^issuppuaa}', "");
Expect(1, 983040, '\p{_Is_Sup_PUA_a}', "");
Expect(0, 983040, '\p{^_Is_Sup_PUA_a}', "");
Expect(0, 983040, '\P{_Is_Sup_PUA_a}', "");
Expect(1, 983040, '\P{^_Is_Sup_PUA_a}', "");
Expect(0, 1048576, '\p{_Is_Sup_PUA_a}', "");
Expect(1, 1048576, '\p{^_Is_Sup_PUA_a}', "");
Expect(1, 1048576, '\P{_Is_Sup_PUA_a}', "");
Expect(0, 1048576, '\P{^_Is_Sup_PUA_a}', "");
Error('\p{	/a/In_Sup_PUA_A}');
Error('\P{	/a/In_Sup_PUA_A}');
Expect(1, 983040, '\p{insuppuaa}', "");
Expect(0, 983040, '\p{^insuppuaa}', "");
Expect(0, 983040, '\P{insuppuaa}', "");
Expect(1, 983040, '\P{^insuppuaa}', "");
Expect(0, 1048576, '\p{insuppuaa}', "");
Expect(1, 1048576, '\p{^insuppuaa}', "");
Expect(1, 1048576, '\P{insuppuaa}', "");
Expect(0, 1048576, '\P{^insuppuaa}', "");
Expect(1, 983040, '\p{- In_Sup_PUA_A}', "");
Expect(0, 983040, '\p{^- In_Sup_PUA_A}', "");
Expect(0, 983040, '\P{- In_Sup_PUA_A}', "");
Expect(1, 983040, '\P{^- In_Sup_PUA_A}', "");
Expect(0, 1048576, '\p{- In_Sup_PUA_A}', "");
Expect(1, 1048576, '\p{^- In_Sup_PUA_A}', "");
Expect(1, 1048576, '\P{- In_Sup_PUA_A}', "");
Expect(0, 1048576, '\P{^- In_Sup_PUA_A}', "");
Error('\p{	:=Supplementary_Private_Use_area_B}');
Error('\P{	:=Supplementary_Private_Use_area_B}');
Expect(1, 1048576, '\p{supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^supplementaryprivateuseareab}', "");
Expect(0, 1, '\p{supplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^supplementaryprivateuseareab}', "");
Expect(1, 1, '\P{supplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{	_Supplementary_PRIVATE_use_AREA_B}', "");
Expect(0, 1048576, '\p{^	_Supplementary_PRIVATE_use_AREA_B}', "");
Expect(0, 1048576, '\P{	_Supplementary_PRIVATE_use_AREA_B}', "");
Expect(1, 1048576, '\P{^	_Supplementary_PRIVATE_use_AREA_B}', "");
Expect(0, 1, '\p{	_Supplementary_PRIVATE_use_AREA_B}', "");
Expect(1, 1, '\p{^	_Supplementary_PRIVATE_use_AREA_B}', "");
Expect(1, 1, '\P{	_Supplementary_PRIVATE_use_AREA_B}', "");
Expect(0, 1, '\P{^	_Supplementary_PRIVATE_use_AREA_B}', "");
Error('\p{_Is_supplementary_PRIVATE_Use_Area_B/a/}');
Error('\P{_Is_supplementary_PRIVATE_Use_Area_B/a/}');
Expect(1, 1048576, '\p{issupplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^issupplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{issupplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^issupplementaryprivateuseareab}', "");
Expect(0, 1, '\p{issupplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^issupplementaryprivateuseareab}', "");
Expect(1, 1, '\P{issupplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^issupplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{	_Is_Supplementary_private_USE_AREA_b}', "");
Expect(0, 1048576, '\p{^	_Is_Supplementary_private_USE_AREA_b}', "");
Expect(0, 1048576, '\P{	_Is_Supplementary_private_USE_AREA_b}', "");
Expect(1, 1048576, '\P{^	_Is_Supplementary_private_USE_AREA_b}', "");
Expect(0, 1, '\p{	_Is_Supplementary_private_USE_AREA_b}', "");
Expect(1, 1, '\p{^	_Is_Supplementary_private_USE_AREA_b}', "");
Expect(1, 1, '\P{	_Is_Supplementary_private_USE_AREA_b}', "");
Expect(0, 1, '\P{^	_Is_Supplementary_private_USE_AREA_b}', "");
Error('\p{_/a/In_Supplementary_Private_USE_area_B}');
Error('\P{_/a/In_Supplementary_Private_USE_area_B}');
Expect(1, 1048576, '\p{insupplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^insupplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{insupplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^insupplementaryprivateuseareab}', "");
Expect(0, 1, '\p{insupplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^insupplementaryprivateuseareab}', "");
Expect(1, 1, '\P{insupplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^insupplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{ in_Supplementary_PRIVATE_Use_AREA_B}', "");
Expect(0, 1048576, '\p{^ in_Supplementary_PRIVATE_Use_AREA_B}', "");
Expect(0, 1048576, '\P{ in_Supplementary_PRIVATE_Use_AREA_B}', "");
Expect(1, 1048576, '\P{^ in_Supplementary_PRIVATE_Use_AREA_B}', "");
Expect(0, 1, '\p{ in_Supplementary_PRIVATE_Use_AREA_B}', "");
Expect(1, 1, '\p{^ in_Supplementary_PRIVATE_Use_AREA_B}', "");
Expect(1, 1, '\P{ in_Supplementary_PRIVATE_Use_AREA_B}', "");
Expect(0, 1, '\P{^ in_Supplementary_PRIVATE_Use_AREA_B}', "");
Error('\p{/a/ sup_PUA_B}');
Error('\P{/a/ sup_PUA_B}');
Expect(1, 1048576, '\p{suppuab}', "");
Expect(0, 1048576, '\p{^suppuab}', "");
Expect(0, 1048576, '\P{suppuab}', "");
Expect(1, 1048576, '\P{^suppuab}', "");
Expect(0, 1, '\p{suppuab}', "");
Expect(1, 1, '\p{^suppuab}', "");
Expect(1, 1, '\P{suppuab}', "");
Expect(0, 1, '\P{^suppuab}', "");
Expect(1, 1048576, '\p{	Sup_PUA_B}', "");
Expect(0, 1048576, '\p{^	Sup_PUA_B}', "");
Expect(0, 1048576, '\P{	Sup_PUA_B}', "");
Expect(1, 1048576, '\P{^	Sup_PUA_B}', "");
Expect(0, 1, '\p{	Sup_PUA_B}', "");
Expect(1, 1, '\p{^	Sup_PUA_B}', "");
Expect(1, 1, '\P{	Sup_PUA_B}', "");
Expect(0, 1, '\P{^	Sup_PUA_B}', "");
Error('\p{/a/Is_Sup_pua_B}');
Error('\P{/a/Is_Sup_pua_B}');
Expect(1, 1048576, '\p{issuppuab}', "");
Expect(0, 1048576, '\p{^issuppuab}', "");
Expect(0, 1048576, '\P{issuppuab}', "");
Expect(1, 1048576, '\P{^issuppuab}', "");
Expect(0, 1, '\p{issuppuab}', "");
Expect(1, 1, '\p{^issuppuab}', "");
Expect(1, 1, '\P{issuppuab}', "");
Expect(0, 1, '\P{^issuppuab}', "");
Expect(1, 1048576, '\p{	 is_Sup_PUA_b}', "");
Expect(0, 1048576, '\p{^	 is_Sup_PUA_b}', "");
Expect(0, 1048576, '\P{	 is_Sup_PUA_b}', "");
Expect(1, 1048576, '\P{^	 is_Sup_PUA_b}', "");
Expect(0, 1, '\p{	 is_Sup_PUA_b}', "");
Expect(1, 1, '\p{^	 is_Sup_PUA_b}', "");
Expect(1, 1, '\P{	 is_Sup_PUA_b}', "");
Expect(0, 1, '\P{^	 is_Sup_PUA_b}', "");
Error('\p{- IN_Sup_PUA_b/a/}');
Error('\P{- IN_Sup_PUA_b/a/}');
Expect(1, 1048576, '\p{insuppuab}', "");
Expect(0, 1048576, '\p{^insuppuab}', "");
Expect(0, 1048576, '\P{insuppuab}', "");
Expect(1, 1048576, '\P{^insuppuab}', "");
Expect(0, 1, '\p{insuppuab}', "");
Expect(1, 1, '\p{^insuppuab}', "");
Expect(1, 1, '\P{insuppuab}', "");
Expect(0, 1, '\P{^insuppuab}', "");
Expect(1, 1048576, '\p{-_In_Sup_PUA_b}', "");
Expect(0, 1048576, '\p{^-_In_Sup_PUA_b}', "");
Expect(0, 1048576, '\P{-_In_Sup_PUA_b}', "");
Expect(1, 1048576, '\P{^-_In_Sup_PUA_b}', "");
Expect(0, 1, '\p{-_In_Sup_PUA_b}', "");
Expect(1, 1, '\p{^-_In_Sup_PUA_b}', "");
Expect(1, 1, '\P{-_In_Sup_PUA_b}', "");
Expect(0, 1, '\P{^-_In_Sup_PUA_b}', "");
Error('\p{ 	Surrogate/a/}');
Error('\P{ 	Surrogate/a/}');
Expect(1, 57343, '\p{surrogate}', "");
Expect(0, 57343, '\p{^surrogate}', "");
Expect(0, 57343, '\P{surrogate}', "");
Expect(1, 57343, '\P{^surrogate}', "");
Expect(0, 57344, '\p{surrogate}', "");
Expect(1, 57344, '\p{^surrogate}', "");
Expect(1, 57344, '\P{surrogate}', "");
Expect(0, 57344, '\P{^surrogate}', "");
Expect(1, 57343, '\p{		surrogate}', "");
Expect(0, 57343, '\p{^		surrogate}', "");
Expect(0, 57343, '\P{		surrogate}', "");
Expect(1, 57343, '\P{^		surrogate}', "");
Expect(0, 57344, '\p{		surrogate}', "");
Expect(1, 57344, '\p{^		surrogate}', "");
Expect(1, 57344, '\P{		surrogate}', "");
Expect(0, 57344, '\P{^		surrogate}', "");
Error('\p{/a/	 IS_surrogate}');
Error('\P{/a/	 IS_surrogate}');
Expect(1, 57343, '\p{issurrogate}', "");
Expect(0, 57343, '\p{^issurrogate}', "");
Expect(0, 57343, '\P{issurrogate}', "");
Expect(1, 57343, '\P{^issurrogate}', "");
Expect(0, 57344, '\p{issurrogate}', "");
Expect(1, 57344, '\p{^issurrogate}', "");
Expect(1, 57344, '\P{issurrogate}', "");
Expect(0, 57344, '\P{^issurrogate}', "");
Expect(1, 57343, '\p{-Is_Surrogate}', "");
Expect(0, 57343, '\p{^-Is_Surrogate}', "");
Expect(0, 57343, '\P{-Is_Surrogate}', "");
Expect(1, 57343, '\P{^-Is_Surrogate}', "");
Expect(0, 57344, '\p{-Is_Surrogate}', "");
Expect(1, 57344, '\p{^-Is_Surrogate}', "");
Expect(1, 57344, '\P{-Is_Surrogate}', "");
Expect(0, 57344, '\P{^-Is_Surrogate}', "");
Error('\p{:= Cs}');
Error('\P{:= Cs}');
Expect(1, 57343, '\p{cs}', "");
Expect(0, 57343, '\p{^cs}', "");
Expect(0, 57343, '\P{cs}', "");
Expect(1, 57343, '\P{^cs}', "");
Expect(0, 57344, '\p{cs}', "");
Expect(1, 57344, '\p{^cs}', "");
Expect(1, 57344, '\P{cs}', "");
Expect(0, 57344, '\P{^cs}', "");
Expect(1, 57343, '\p{	-cs}', "");
Expect(0, 57343, '\p{^	-cs}', "");
Expect(0, 57343, '\P{	-cs}', "");
Expect(1, 57343, '\P{^	-cs}', "");
Expect(0, 57344, '\p{	-cs}', "");
Expect(1, 57344, '\p{^	-cs}', "");
Expect(1, 57344, '\P{	-cs}', "");
Expect(0, 57344, '\P{^	-cs}', "");
Error('\p{ IS_cs/a/}');
Error('\P{ IS_cs/a/}');
Expect(1, 57343, '\p{iscs}', "");
Expect(0, 57343, '\p{^iscs}', "");
Expect(0, 57343, '\P{iscs}', "");
Expect(1, 57343, '\P{^iscs}', "");
Expect(0, 57344, '\p{iscs}', "");
Expect(1, 57344, '\p{^iscs}', "");
Expect(1, 57344, '\P{iscs}', "");
Expect(0, 57344, '\P{^iscs}', "");
Expect(1, 57343, '\p{__Is_Cs}', "");
Expect(0, 57343, '\p{^__Is_Cs}', "");
Expect(0, 57343, '\P{__Is_Cs}', "");
Expect(1, 57343, '\P{^__Is_Cs}', "");
Expect(0, 57344, '\p{__Is_Cs}', "");
Expect(1, 57344, '\p{^__Is_Cs}', "");
Expect(1, 57344, '\P{__Is_Cs}', "");
Expect(0, 57344, '\P{^__Is_Cs}', "");
Error('\p{_/a/Syloti_Nagri}');
Error('\P{_/a/Syloti_Nagri}');
Expect(1, 43051, '\p{sylotinagri}', "");
Expect(0, 43051, '\p{^sylotinagri}', "");
Expect(0, 43051, '\P{sylotinagri}', "");
Expect(1, 43051, '\P{^sylotinagri}', "");
Expect(0, 43052, '\p{sylotinagri}', "");
Expect(1, 43052, '\p{^sylotinagri}', "");
Expect(1, 43052, '\P{sylotinagri}', "");
Expect(0, 43052, '\P{^sylotinagri}', "");
Expect(1, 43051, '\p{ 	Syloti_NAGRI}', "");
Expect(0, 43051, '\p{^ 	Syloti_NAGRI}', "");
Expect(0, 43051, '\P{ 	Syloti_NAGRI}', "");
Expect(1, 43051, '\P{^ 	Syloti_NAGRI}', "");
Expect(0, 43052, '\p{ 	Syloti_NAGRI}', "");
Expect(1, 43052, '\p{^ 	Syloti_NAGRI}', "");
Expect(1, 43052, '\P{ 	Syloti_NAGRI}', "");
Expect(0, 43052, '\P{^ 	Syloti_NAGRI}', "");
Error('\p{_:=is_syloti_NAGRI}');
Error('\P{_:=is_syloti_NAGRI}');
Expect(1, 43051, '\p{issylotinagri}', "");
Expect(0, 43051, '\p{^issylotinagri}', "");
Expect(0, 43051, '\P{issylotinagri}', "");
Expect(1, 43051, '\P{^issylotinagri}', "");
Expect(0, 43052, '\p{issylotinagri}', "");
Expect(1, 43052, '\p{^issylotinagri}', "");
Expect(1, 43052, '\P{issylotinagri}', "");
Expect(0, 43052, '\P{^issylotinagri}', "");
Expect(1, 43051, '\p{_IS_SYLOTI_Nagri}', "");
Expect(0, 43051, '\p{^_IS_SYLOTI_Nagri}', "");
Expect(0, 43051, '\P{_IS_SYLOTI_Nagri}', "");
Expect(1, 43051, '\P{^_IS_SYLOTI_Nagri}', "");
Expect(0, 43052, '\p{_IS_SYLOTI_Nagri}', "");
Expect(1, 43052, '\p{^_IS_SYLOTI_Nagri}', "");
Expect(1, 43052, '\P{_IS_SYLOTI_Nagri}', "");
Expect(0, 43052, '\P{^_IS_SYLOTI_Nagri}', "");
Error('\p{ /a/SYLO}');
Error('\P{ /a/SYLO}');
Expect(1, 43051, '\p{sylo}', "");
Expect(0, 43051, '\p{^sylo}', "");
Expect(0, 43051, '\P{sylo}', "");
Expect(1, 43051, '\P{^sylo}', "");
Expect(0, 43052, '\p{sylo}', "");
Expect(1, 43052, '\p{^sylo}', "");
Expect(1, 43052, '\P{sylo}', "");
Expect(0, 43052, '\P{^sylo}', "");
Expect(1, 43051, '\p{_	Sylo}', "");
Expect(0, 43051, '\p{^_	Sylo}', "");
Expect(0, 43051, '\P{_	Sylo}', "");
Expect(1, 43051, '\P{^_	Sylo}', "");
Expect(0, 43052, '\p{_	Sylo}', "");
Expect(1, 43052, '\p{^_	Sylo}', "");
Expect(1, 43052, '\P{_	Sylo}', "");
Expect(0, 43052, '\P{^_	Sylo}', "");
Error('\p{/a/_Is_Sylo}');
Error('\P{/a/_Is_Sylo}');
Expect(1, 43051, '\p{issylo}', "");
Expect(0, 43051, '\p{^issylo}', "");
Expect(0, 43051, '\P{issylo}', "");
Expect(1, 43051, '\P{^issylo}', "");
Expect(0, 43052, '\p{issylo}', "");
Expect(1, 43052, '\p{^issylo}', "");
Expect(1, 43052, '\P{issylo}', "");
Expect(0, 43052, '\P{^issylo}', "");
Expect(1, 43051, '\p{_Is_sylo}', "");
Expect(0, 43051, '\p{^_Is_sylo}', "");
Expect(0, 43051, '\P{_Is_sylo}', "");
Expect(1, 43051, '\P{^_Is_sylo}', "");
Expect(0, 43052, '\p{_Is_sylo}', "");
Expect(1, 43052, '\p{^_Is_sylo}', "");
Expect(1, 43052, '\P{_Is_sylo}', "");
Expect(0, 43052, '\P{^_Is_sylo}', "");
Error('\p{ symbol:=}');
Error('\P{ symbol:=}');
Expect(1, 129197, '\p{symbol}', "");
Expect(0, 129197, '\p{^symbol}', "");
Expect(0, 129197, '\P{symbol}', "");
Expect(1, 129197, '\P{^symbol}', "");
Expect(0, 129198, '\p{symbol}', "");
Expect(1, 129198, '\p{^symbol}', "");
Expect(1, 129198, '\P{symbol}', "");
Expect(0, 129198, '\P{^symbol}', "");
Expect(1, 129197, '\p{-Symbol}', "");
Expect(0, 129197, '\p{^-Symbol}', "");
Expect(0, 129197, '\P{-Symbol}', "");
Expect(1, 129197, '\P{^-Symbol}', "");
Expect(0, 129198, '\p{-Symbol}', "");
Expect(1, 129198, '\p{^-Symbol}', "");
Expect(1, 129198, '\P{-Symbol}', "");
Expect(0, 129198, '\P{^-Symbol}', "");
Error('\p{	-Is_Symbol/a/}');
Error('\P{	-Is_Symbol/a/}');
Expect(1, 129197, '\p{issymbol}', "");
Expect(0, 129197, '\p{^issymbol}', "");
Expect(0, 129197, '\P{issymbol}', "");
Expect(1, 129197, '\P{^issymbol}', "");
Expect(0, 129198, '\p{issymbol}', "");
Expect(1, 129198, '\p{^issymbol}', "");
Expect(1, 129198, '\P{issymbol}', "");
Expect(0, 129198, '\P{^issymbol}', "");
Expect(1, 129197, '\p{ _is_SYMBOL}', "");
Expect(0, 129197, '\p{^ _is_SYMBOL}', "");
Expect(0, 129197, '\P{ _is_SYMBOL}', "");
Expect(1, 129197, '\P{^ _is_SYMBOL}', "");
Expect(0, 129198, '\p{ _is_SYMBOL}', "");
Expect(1, 129198, '\p{^ _is_SYMBOL}', "");
Expect(1, 129198, '\P{ _is_SYMBOL}', "");
Expect(0, 129198, '\P{^ _is_SYMBOL}', "");
Error('\p{/a/-S}');
Error('\P{/a/-S}');
Expect(1, 129197, '\p{s}', "");
Expect(0, 129197, '\p{^s}', "");
Expect(0, 129197, '\P{s}', "");
Expect(1, 129197, '\P{^s}', "");
Expect(0, 129198, '\p{s}', "");
Expect(1, 129198, '\p{^s}', "");
Expect(1, 129198, '\P{s}', "");
Expect(0, 129198, '\P{^s}', "");
Expect(1, 129197, '\p{	S}', "");
Expect(0, 129197, '\p{^	S}', "");
Expect(0, 129197, '\P{	S}', "");
Expect(1, 129197, '\P{^	S}', "");
Expect(0, 129198, '\p{	S}', "");
Expect(1, 129198, '\p{^	S}', "");
Expect(1, 129198, '\P{	S}', "");
Expect(0, 129198, '\P{^	S}', "");
Error('\p{/a/IS_S}');
Error('\P{/a/IS_S}');
Expect(1, 129197, '\p{iss}', "");
Expect(0, 129197, '\p{^iss}', "");
Expect(0, 129197, '\P{iss}', "");
Expect(1, 129197, '\P{^iss}', "");
Expect(0, 129198, '\p{iss}', "");
Expect(1, 129198, '\p{^iss}', "");
Expect(1, 129198, '\P{iss}', "");
Expect(0, 129198, '\P{^iss}', "");
Expect(1, 129197, '\p{ -is_S}', "");
Expect(0, 129197, '\p{^ -is_S}', "");
Expect(0, 129197, '\P{ -is_S}', "");
Expect(1, 129197, '\P{^ -is_S}', "");
Expect(0, 129198, '\p{ -is_S}', "");
Expect(1, 129198, '\p{^ -is_S}', "");
Expect(1, 129198, '\P{ -is_S}', "");
Expect(0, 129198, '\P{^ -is_S}', "");
Error('\p{/a/__syriac}');
Error('\P{/a/__syriac}');
Expect(1, 1871, '\p{syriac}', "");
Expect(0, 1871, '\p{^syriac}', "");
Expect(0, 1871, '\P{syriac}', "");
Expect(1, 1871, '\P{^syriac}', "");
Expect(0, 1872, '\p{syriac}', "");
Expect(1, 1872, '\p{^syriac}', "");
Expect(1, 1872, '\P{syriac}', "");
Expect(0, 1872, '\P{^syriac}', "");
Expect(1, 1871, '\p{	Syriac}', "");
Expect(0, 1871, '\p{^	Syriac}', "");
Expect(0, 1871, '\P{	Syriac}', "");
Expect(1, 1871, '\P{^	Syriac}', "");
Expect(0, 1872, '\p{	Syriac}', "");
Expect(1, 1872, '\p{^	Syriac}', "");
Expect(1, 1872, '\P{	Syriac}', "");
Expect(0, 1872, '\P{^	Syriac}', "");
Error('\p{		Is_Syriac/a/}');
Error('\P{		Is_Syriac/a/}');
Expect(1, 1871, '\p{issyriac}', "");
Expect(0, 1871, '\p{^issyriac}', "");
Expect(0, 1871, '\P{issyriac}', "");
Expect(1, 1871, '\P{^issyriac}', "");
Expect(0, 1872, '\p{issyriac}', "");
Expect(1, 1872, '\p{^issyriac}', "");
Expect(1, 1872, '\P{issyriac}', "");
Expect(0, 1872, '\P{^issyriac}', "");
Expect(1, 1871, '\p{	is_Syriac}', "");
Expect(0, 1871, '\p{^	is_Syriac}', "");
Expect(0, 1871, '\P{	is_Syriac}', "");
Expect(1, 1871, '\P{^	is_Syriac}', "");
Expect(0, 1872, '\p{	is_Syriac}', "");
Expect(1, 1872, '\p{^	is_Syriac}', "");
Expect(1, 1872, '\P{	is_Syriac}', "");
Expect(0, 1872, '\P{^	is_Syriac}', "");
Error('\p{/a/ _syrc}');
Error('\P{/a/ _syrc}');
Expect(1, 1871, '\p{syrc}', "");
Expect(0, 1871, '\p{^syrc}', "");
Expect(0, 1871, '\P{syrc}', "");
Expect(1, 1871, '\P{^syrc}', "");
Expect(0, 1872, '\p{syrc}', "");
Expect(1, 1872, '\p{^syrc}', "");
Expect(1, 1872, '\P{syrc}', "");
Expect(0, 1872, '\P{^syrc}', "");
Expect(1, 1871, '\p{Syrc}', "");
Expect(0, 1871, '\p{^Syrc}', "");
Expect(0, 1871, '\P{Syrc}', "");
Expect(1, 1871, '\P{^Syrc}', "");
Expect(0, 1872, '\p{Syrc}', "");
Expect(1, 1872, '\p{^Syrc}', "");
Expect(1, 1872, '\P{Syrc}', "");
Expect(0, 1872, '\P{^Syrc}', "");
Error('\p{	is_SYRC/a/}');
Error('\P{	is_SYRC/a/}');
Expect(1, 1871, '\p{issyrc}', "");
Expect(0, 1871, '\p{^issyrc}', "");
Expect(0, 1871, '\P{issyrc}', "");
Expect(1, 1871, '\P{^issyrc}', "");
Expect(0, 1872, '\p{issyrc}', "");
Expect(1, 1872, '\p{^issyrc}', "");
Expect(1, 1872, '\P{issyrc}', "");
Expect(0, 1872, '\P{^issyrc}', "");
Expect(1, 1871, '\p{ 	is_Syrc}', "");
Expect(0, 1871, '\p{^ 	is_Syrc}', "");
Expect(0, 1871, '\P{ 	is_Syrc}', "");
Expect(1, 1871, '\P{^ 	is_Syrc}', "");
Expect(0, 1872, '\p{ 	is_Syrc}', "");
Expect(1, 1872, '\p{^ 	is_Syrc}', "");
Expect(1, 1872, '\P{ 	is_Syrc}', "");
Expect(0, 1872, '\P{^ 	is_Syrc}', "");
Error('\p{ Tagalog:=}');
Error('\P{ Tagalog:=}');
Expect(1, 5908, '\p{tagalog}', "");
Expect(0, 5908, '\p{^tagalog}', "");
Expect(0, 5908, '\P{tagalog}', "");
Expect(1, 5908, '\P{^tagalog}', "");
Expect(0, 5909, '\p{tagalog}', "");
Expect(1, 5909, '\p{^tagalog}', "");
Expect(1, 5909, '\P{tagalog}', "");
Expect(0, 5909, '\P{^tagalog}', "");
Expect(1, 5908, '\p{		Tagalog}', "");
Expect(0, 5908, '\p{^		Tagalog}', "");
Expect(0, 5908, '\P{		Tagalog}', "");
Expect(1, 5908, '\P{^		Tagalog}', "");
Expect(0, 5909, '\p{		Tagalog}', "");
Expect(1, 5909, '\p{^		Tagalog}', "");
Expect(1, 5909, '\P{		Tagalog}', "");
Expect(0, 5909, '\P{^		Tagalog}', "");
Error('\p{  is_Tagalog/a/}');
Error('\P{  is_Tagalog/a/}');
Expect(1, 5908, '\p{istagalog}', "");
Expect(0, 5908, '\p{^istagalog}', "");
Expect(0, 5908, '\P{istagalog}', "");
Expect(1, 5908, '\P{^istagalog}', "");
Expect(0, 5909, '\p{istagalog}', "");
Expect(1, 5909, '\p{^istagalog}', "");
Expect(1, 5909, '\P{istagalog}', "");
Expect(0, 5909, '\P{^istagalog}', "");
Expect(1, 5908, '\p{ IS_TAGALOG}', "");
Expect(0, 5908, '\p{^ IS_TAGALOG}', "");
Expect(0, 5908, '\P{ IS_TAGALOG}', "");
Expect(1, 5908, '\P{^ IS_TAGALOG}', "");
Expect(0, 5909, '\p{ IS_TAGALOG}', "");
Expect(1, 5909, '\p{^ IS_TAGALOG}', "");
Expect(1, 5909, '\P{ IS_TAGALOG}', "");
Expect(0, 5909, '\P{^ IS_TAGALOG}', "");
Error('\p{/a/__Tglg}');
Error('\P{/a/__Tglg}');
Expect(1, 5908, '\p{tglg}', "");
Expect(0, 5908, '\p{^tglg}', "");
Expect(0, 5908, '\P{tglg}', "");
Expect(1, 5908, '\P{^tglg}', "");
Expect(0, 5909, '\p{tglg}', "");
Expect(1, 5909, '\p{^tglg}', "");
Expect(1, 5909, '\P{tglg}', "");
Expect(0, 5909, '\P{^tglg}', "");
Expect(1, 5908, '\p{ _tglg}', "");
Expect(0, 5908, '\p{^ _tglg}', "");
Expect(0, 5908, '\P{ _tglg}', "");
Expect(1, 5908, '\P{^ _tglg}', "");
Expect(0, 5909, '\p{ _tglg}', "");
Expect(1, 5909, '\p{^ _tglg}', "");
Expect(1, 5909, '\P{ _tglg}', "");
Expect(0, 5909, '\P{^ _tglg}', "");
Error('\p{-:=is_Tglg}');
Error('\P{-:=is_Tglg}');
Expect(1, 5908, '\p{istglg}', "");
Expect(0, 5908, '\p{^istglg}', "");
Expect(0, 5908, '\P{istglg}', "");
Expect(1, 5908, '\P{^istglg}', "");
Expect(0, 5909, '\p{istglg}', "");
Expect(1, 5909, '\p{^istglg}', "");
Expect(1, 5909, '\P{istglg}', "");
Expect(0, 5909, '\P{^istglg}', "");
Expect(1, 5908, '\p{-Is_tglg}', "");
Expect(0, 5908, '\p{^-Is_tglg}', "");
Expect(0, 5908, '\P{-Is_tglg}', "");
Expect(1, 5908, '\P{^-Is_tglg}', "");
Expect(0, 5909, '\p{-Is_tglg}', "");
Expect(1, 5909, '\p{^-Is_tglg}', "");
Expect(1, 5909, '\P{-Is_tglg}', "");
Expect(0, 5909, '\P{^-Is_tglg}', "");
Error('\p{  TAGBANWA/a/}');
Error('\P{  TAGBANWA/a/}');
Expect(1, 6003, '\p{tagbanwa}', "");
Expect(0, 6003, '\p{^tagbanwa}', "");
Expect(0, 6003, '\P{tagbanwa}', "");
Expect(1, 6003, '\P{^tagbanwa}', "");
Expect(0, 6004, '\p{tagbanwa}', "");
Expect(1, 6004, '\p{^tagbanwa}', "");
Expect(1, 6004, '\P{tagbanwa}', "");
Expect(0, 6004, '\P{^tagbanwa}', "");
Expect(1, 6003, '\p{	_tagbanwa}', "");
Expect(0, 6003, '\p{^	_tagbanwa}', "");
Expect(0, 6003, '\P{	_tagbanwa}', "");
Expect(1, 6003, '\P{^	_tagbanwa}', "");
Expect(0, 6004, '\p{	_tagbanwa}', "");
Expect(1, 6004, '\p{^	_tagbanwa}', "");
Expect(1, 6004, '\P{	_tagbanwa}', "");
Expect(0, 6004, '\P{^	_tagbanwa}', "");
Error('\p{/a/ 	IS_TAGBANWA}');
Error('\P{/a/ 	IS_TAGBANWA}');
Expect(1, 6003, '\p{istagbanwa}', "");
Expect(0, 6003, '\p{^istagbanwa}', "");
Expect(0, 6003, '\P{istagbanwa}', "");
Expect(1, 6003, '\P{^istagbanwa}', "");
Expect(0, 6004, '\p{istagbanwa}', "");
Expect(1, 6004, '\p{^istagbanwa}', "");
Expect(1, 6004, '\P{istagbanwa}', "");
Expect(0, 6004, '\P{^istagbanwa}', "");
Expect(1, 6003, '\p{	_Is_Tagbanwa}', "");
Expect(0, 6003, '\p{^	_Is_Tagbanwa}', "");
Expect(0, 6003, '\P{	_Is_Tagbanwa}', "");
Expect(1, 6003, '\P{^	_Is_Tagbanwa}', "");
Expect(0, 6004, '\p{	_Is_Tagbanwa}', "");
Expect(1, 6004, '\p{^	_Is_Tagbanwa}', "");
Expect(1, 6004, '\P{	_Is_Tagbanwa}', "");
Expect(0, 6004, '\P{^	_Is_Tagbanwa}', "");
Error('\p{_tagb/a/}');
Error('\P{_tagb/a/}');
Expect(1, 6003, '\p{tagb}', "");
Expect(0, 6003, '\p{^tagb}', "");
Expect(0, 6003, '\P{tagb}', "");
Expect(1, 6003, '\P{^tagb}', "");
Expect(0, 6004, '\p{tagb}', "");
Expect(1, 6004, '\p{^tagb}', "");
Expect(1, 6004, '\P{tagb}', "");
Expect(0, 6004, '\P{^tagb}', "");
Expect(1, 6003, '\p{ _TAGB}', "");
Expect(0, 6003, '\p{^ _TAGB}', "");
Expect(0, 6003, '\P{ _TAGB}', "");
Expect(1, 6003, '\P{^ _TAGB}', "");
Expect(0, 6004, '\p{ _TAGB}', "");
Expect(1, 6004, '\p{^ _TAGB}', "");
Expect(1, 6004, '\P{ _TAGB}', "");
Expect(0, 6004, '\P{^ _TAGB}', "");
Error('\p{:=_-IS_Tagb}');
Error('\P{:=_-IS_Tagb}');
Expect(1, 6003, '\p{istagb}', "");
Expect(0, 6003, '\p{^istagb}', "");
Expect(0, 6003, '\P{istagb}', "");
Expect(1, 6003, '\P{^istagb}', "");
Expect(0, 6004, '\p{istagb}', "");
Expect(1, 6004, '\p{^istagb}', "");
Expect(1, 6004, '\P{istagb}', "");
Expect(0, 6004, '\P{^istagb}', "");
Expect(1, 6003, '\p{ IS_Tagb}', "");
Expect(0, 6003, '\p{^ IS_Tagb}', "");
Expect(0, 6003, '\P{ IS_Tagb}', "");
Expect(1, 6003, '\P{^ IS_Tagb}', "");
Expect(0, 6004, '\p{ IS_Tagb}', "");
Expect(1, 6004, '\p{^ IS_Tagb}', "");
Expect(1, 6004, '\P{ IS_Tagb}', "");
Expect(0, 6004, '\P{^ IS_Tagb}', "");
Error('\p{-/a/TAGS}');
Error('\P{-/a/TAGS}');
Expect(1, 917631, '\p{tags}', "");
Expect(0, 917631, '\p{^tags}', "");
Expect(0, 917631, '\P{tags}', "");
Expect(1, 917631, '\P{^tags}', "");
Expect(0, 917632, '\p{tags}', "");
Expect(1, 917632, '\p{^tags}', "");
Expect(1, 917632, '\P{tags}', "");
Expect(0, 917632, '\P{^tags}', "");
Expect(1, 917631, '\p{_	Tags}', "");
Expect(0, 917631, '\p{^_	Tags}', "");
Expect(0, 917631, '\P{_	Tags}', "");
Expect(1, 917631, '\P{^_	Tags}', "");
Expect(0, 917632, '\p{_	Tags}', "");
Expect(1, 917632, '\p{^_	Tags}', "");
Expect(1, 917632, '\P{_	Tags}', "");
Expect(0, 917632, '\P{^_	Tags}', "");
Error('\p{ :=Is_TAGS}');
Error('\P{ :=Is_TAGS}');
Expect(1, 917631, '\p{istags}', "");
Expect(0, 917631, '\p{^istags}', "");
Expect(0, 917631, '\P{istags}', "");
Expect(1, 917631, '\P{^istags}', "");
Expect(0, 917632, '\p{istags}', "");
Expect(1, 917632, '\p{^istags}', "");
Expect(1, 917632, '\P{istags}', "");
Expect(0, 917632, '\P{^istags}', "");
Expect(1, 917631, '\p{-_is_Tags}', "");
Expect(0, 917631, '\p{^-_is_Tags}', "");
Expect(0, 917631, '\P{-_is_Tags}', "");
Expect(1, 917631, '\P{^-_is_Tags}', "");
Expect(0, 917632, '\p{-_is_Tags}', "");
Expect(1, 917632, '\p{^-_is_Tags}', "");
Expect(1, 917632, '\P{-_is_Tags}', "");
Expect(0, 917632, '\P{^-_is_Tags}', "");
Error('\p{	-In_TAGS/a/}');
Error('\P{	-In_TAGS/a/}');
Expect(1, 917631, '\p{intags}', "");
Expect(0, 917631, '\p{^intags}', "");
Expect(0, 917631, '\P{intags}', "");
Expect(1, 917631, '\P{^intags}', "");
Expect(0, 917632, '\p{intags}', "");
Expect(1, 917632, '\p{^intags}', "");
Expect(1, 917632, '\P{intags}', "");
Expect(0, 917632, '\P{^intags}', "");
Expect(1, 917631, '\p{ -IN_Tags}', "");
Expect(0, 917631, '\p{^ -IN_Tags}', "");
Expect(0, 917631, '\P{ -IN_Tags}', "");
Expect(1, 917631, '\P{^ -IN_Tags}', "");
Expect(0, 917632, '\p{ -IN_Tags}', "");
Expect(1, 917632, '\p{^ -IN_Tags}', "");
Expect(1, 917632, '\P{ -IN_Tags}', "");
Expect(0, 917632, '\P{^ -IN_Tags}', "");
Error('\p{/a/-tai_Le}');
Error('\P{/a/-tai_Le}');
Expect(1, 6516, '\p{taile}', "");
Expect(0, 6516, '\p{^taile}', "");
Expect(0, 6516, '\P{taile}', "");
Expect(1, 6516, '\P{^taile}', "");
Expect(0, 6517, '\p{taile}', "");
Expect(1, 6517, '\p{^taile}', "");
Expect(1, 6517, '\P{taile}', "");
Expect(0, 6517, '\P{^taile}', "");
Expect(1, 6516, '\p{_-tai_Le}', "");
Expect(0, 6516, '\p{^_-tai_Le}', "");
Expect(0, 6516, '\P{_-tai_Le}', "");
Expect(1, 6516, '\P{^_-tai_Le}', "");
Expect(0, 6517, '\p{_-tai_Le}', "");
Expect(1, 6517, '\p{^_-tai_Le}', "");
Expect(1, 6517, '\P{_-tai_Le}', "");
Expect(0, 6517, '\P{^_-tai_Le}', "");
Error('\p{/a/	 IS_Tai_Le}');
Error('\P{/a/	 IS_Tai_Le}');
Expect(1, 6516, '\p{istaile}', "");
Expect(0, 6516, '\p{^istaile}', "");
Expect(0, 6516, '\P{istaile}', "");
Expect(1, 6516, '\P{^istaile}', "");
Expect(0, 6517, '\p{istaile}', "");
Expect(1, 6517, '\p{^istaile}', "");
Expect(1, 6517, '\P{istaile}', "");
Expect(0, 6517, '\P{^istaile}', "");
Expect(1, 6516, '\p{	_is_tai_Le}', "");
Expect(0, 6516, '\p{^	_is_tai_Le}', "");
Expect(0, 6516, '\P{	_is_tai_Le}', "");
Expect(1, 6516, '\P{^	_is_tai_Le}', "");
Expect(0, 6517, '\p{	_is_tai_Le}', "");
Expect(1, 6517, '\p{^	_is_tai_Le}', "");
Expect(1, 6517, '\P{	_is_tai_Le}', "");
Expect(0, 6517, '\P{^	_is_tai_Le}', "");
Error('\p{ -Tale:=}');
Error('\P{ -Tale:=}');
Expect(1, 6516, '\p{tale}', "");
Expect(0, 6516, '\p{^tale}', "");
Expect(0, 6516, '\P{tale}', "");
Expect(1, 6516, '\P{^tale}', "");
Expect(0, 6517, '\p{tale}', "");
Expect(1, 6517, '\p{^tale}', "");
Expect(1, 6517, '\P{tale}', "");
Expect(0, 6517, '\P{^tale}', "");
Expect(1, 6516, '\p{ _Tale}', "");
Expect(0, 6516, '\p{^ _Tale}', "");
Expect(0, 6516, '\P{ _Tale}', "");
Expect(1, 6516, '\P{^ _Tale}', "");
Expect(0, 6517, '\p{ _Tale}', "");
Expect(1, 6517, '\p{^ _Tale}', "");
Expect(1, 6517, '\P{ _Tale}', "");
Expect(0, 6517, '\P{^ _Tale}', "");
Error('\p{-/a/is_TALE}');
Error('\P{-/a/is_TALE}');
Expect(1, 6516, '\p{istale}', "");
Expect(0, 6516, '\p{^istale}', "");
Expect(0, 6516, '\P{istale}', "");
Expect(1, 6516, '\P{^istale}', "");
Expect(0, 6517, '\p{istale}', "");
Expect(1, 6517, '\p{^istale}', "");
Expect(1, 6517, '\P{istale}', "");
Expect(0, 6517, '\P{^istale}', "");
Expect(1, 6516, '\p{-IS_tale}', "");
Expect(0, 6516, '\p{^-IS_tale}', "");
Expect(0, 6516, '\P{-IS_tale}', "");
Expect(1, 6516, '\P{^-IS_tale}', "");
Expect(0, 6517, '\p{-IS_tale}', "");
Expect(1, 6517, '\p{^-IS_tale}', "");
Expect(1, 6517, '\P{-IS_tale}', "");
Expect(0, 6517, '\P{^-IS_tale}', "");
Error('\p{-Tai_Tham/a/}');
Error('\P{-Tai_Tham/a/}');
Expect(1, 6829, '\p{taitham}', "");
Expect(0, 6829, '\p{^taitham}', "");
Expect(0, 6829, '\P{taitham}', "");
Expect(1, 6829, '\P{^taitham}', "");
Expect(0, 6830, '\p{taitham}', "");
Expect(1, 6830, '\p{^taitham}', "");
Expect(1, 6830, '\P{taitham}', "");
Expect(0, 6830, '\P{^taitham}', "");
Expect(1, 6829, '\p{-Tai_tham}', "");
Expect(0, 6829, '\p{^-Tai_tham}', "");
Expect(0, 6829, '\P{-Tai_tham}', "");
Expect(1, 6829, '\P{^-Tai_tham}', "");
Expect(0, 6830, '\p{-Tai_tham}', "");
Expect(1, 6830, '\p{^-Tai_tham}', "");
Expect(1, 6830, '\P{-Tai_tham}', "");
Expect(0, 6830, '\P{^-Tai_tham}', "");
Error('\p{/a/_ is_Tai_Tham}');
Error('\P{/a/_ is_Tai_Tham}');
Expect(1, 6829, '\p{istaitham}', "");
Expect(0, 6829, '\p{^istaitham}', "");
Expect(0, 6829, '\P{istaitham}', "");
Expect(1, 6829, '\P{^istaitham}', "");
Expect(0, 6830, '\p{istaitham}', "");
Expect(1, 6830, '\p{^istaitham}', "");
Expect(1, 6830, '\P{istaitham}', "");
Expect(0, 6830, '\P{^istaitham}', "");
Expect(1, 6829, '\p{ _IS_tai_Tham}', "");
Expect(0, 6829, '\p{^ _IS_tai_Tham}', "");
Expect(0, 6829, '\P{ _IS_tai_Tham}', "");
Expect(1, 6829, '\P{^ _IS_tai_Tham}', "");
Expect(0, 6830, '\p{ _IS_tai_Tham}', "");
Expect(1, 6830, '\p{^ _IS_tai_Tham}', "");
Expect(1, 6830, '\P{ _IS_tai_Tham}', "");
Expect(0, 6830, '\P{^ _IS_tai_Tham}', "");
Error('\p{-:=Lana}');
Error('\P{-:=Lana}');
Expect(1, 6829, '\p{lana}', "");
Expect(0, 6829, '\p{^lana}', "");
Expect(0, 6829, '\P{lana}', "");
Expect(1, 6829, '\P{^lana}', "");
Expect(0, 6830, '\p{lana}', "");
Expect(1, 6830, '\p{^lana}', "");
Expect(1, 6830, '\P{lana}', "");
Expect(0, 6830, '\P{^lana}', "");
Expect(1, 6829, '\p{ Lana}', "");
Expect(0, 6829, '\p{^ Lana}', "");
Expect(0, 6829, '\P{ Lana}', "");
Expect(1, 6829, '\P{^ Lana}', "");
Expect(0, 6830, '\p{ Lana}', "");
Expect(1, 6830, '\p{^ Lana}', "");
Expect(1, 6830, '\P{ Lana}', "");
Expect(0, 6830, '\P{^ Lana}', "");
Error('\p{--Is_LANA:=}');
Error('\P{--Is_LANA:=}');
Expect(1, 6829, '\p{islana}', "");
Expect(0, 6829, '\p{^islana}', "");
Expect(0, 6829, '\P{islana}', "");
Expect(1, 6829, '\P{^islana}', "");
Expect(0, 6830, '\p{islana}', "");
Expect(1, 6830, '\p{^islana}', "");
Expect(1, 6830, '\P{islana}', "");
Expect(0, 6830, '\P{^islana}', "");
Expect(1, 6829, '\p{	-Is_Lana}', "");
Expect(0, 6829, '\p{^	-Is_Lana}', "");
Expect(0, 6829, '\P{	-Is_Lana}', "");
Expect(1, 6829, '\P{^	-Is_Lana}', "");
Expect(0, 6830, '\p{	-Is_Lana}', "");
Expect(1, 6830, '\p{^	-Is_Lana}', "");
Expect(1, 6830, '\P{	-Is_Lana}', "");
Expect(0, 6830, '\P{^	-Is_Lana}', "");
Error('\p{:=-tai_VIET}');
Error('\P{:=-tai_VIET}');
Expect(1, 43743, '\p{taiviet}', "");
Expect(0, 43743, '\p{^taiviet}', "");
Expect(0, 43743, '\P{taiviet}', "");
Expect(1, 43743, '\P{^taiviet}', "");
Expect(0, 43744, '\p{taiviet}', "");
Expect(1, 43744, '\p{^taiviet}', "");
Expect(1, 43744, '\P{taiviet}', "");
Expect(0, 43744, '\P{^taiviet}', "");
Expect(1, 43743, '\p{-	Tai_Viet}', "");
Expect(0, 43743, '\p{^-	Tai_Viet}', "");
Expect(0, 43743, '\P{-	Tai_Viet}', "");
Expect(1, 43743, '\P{^-	Tai_Viet}', "");
Expect(0, 43744, '\p{-	Tai_Viet}', "");
Expect(1, 43744, '\p{^-	Tai_Viet}', "");
Expect(1, 43744, '\P{-	Tai_Viet}', "");
Expect(0, 43744, '\P{^-	Tai_Viet}', "");
Error('\p{-is_Tai_viet/a/}');
Error('\P{-is_Tai_viet/a/}');
Expect(1, 43743, '\p{istaiviet}', "");
Expect(0, 43743, '\p{^istaiviet}', "");
Expect(0, 43743, '\P{istaiviet}', "");
Expect(1, 43743, '\P{^istaiviet}', "");
Expect(0, 43744, '\p{istaiviet}', "");
Expect(1, 43744, '\p{^istaiviet}', "");
Expect(1, 43744, '\P{istaiviet}', "");
Expect(0, 43744, '\P{^istaiviet}', "");
Expect(1, 43743, '\p{_Is_TAI_Viet}', "");
Expect(0, 43743, '\p{^_Is_TAI_Viet}', "");
Expect(0, 43743, '\P{_Is_TAI_Viet}', "");
Expect(1, 43743, '\P{^_Is_TAI_Viet}', "");
Expect(0, 43744, '\p{_Is_TAI_Viet}', "");
Expect(1, 43744, '\p{^_Is_TAI_Viet}', "");
Expect(1, 43744, '\P{_Is_TAI_Viet}', "");
Expect(0, 43744, '\P{^_Is_TAI_Viet}', "");
Error('\p{/a/ 	tavt}');
Error('\P{/a/ 	tavt}');
Expect(1, 43743, '\p{tavt}', "");
Expect(0, 43743, '\p{^tavt}', "");
Expect(0, 43743, '\P{tavt}', "");
Expect(1, 43743, '\P{^tavt}', "");
Expect(0, 43744, '\p{tavt}', "");
Expect(1, 43744, '\p{^tavt}', "");
Expect(1, 43744, '\P{tavt}', "");
Expect(0, 43744, '\P{^tavt}', "");
Expect(1, 43743, '\p{ tavt}', "");
Expect(0, 43743, '\p{^ tavt}', "");
Expect(0, 43743, '\P{ tavt}', "");
Expect(1, 43743, '\P{^ tavt}', "");
Expect(0, 43744, '\p{ tavt}', "");
Expect(1, 43744, '\p{^ tavt}', "");
Expect(1, 43744, '\P{ tavt}', "");
Expect(0, 43744, '\P{^ tavt}', "");
Error('\p{	:=Is_tavt}');
Error('\P{	:=Is_tavt}');
Expect(1, 43743, '\p{istavt}', "");
Expect(0, 43743, '\p{^istavt}', "");
Expect(0, 43743, '\P{istavt}', "");
Expect(1, 43743, '\P{^istavt}', "");
Expect(0, 43744, '\p{istavt}', "");
Expect(1, 43744, '\p{^istavt}', "");
Expect(1, 43744, '\P{istavt}', "");
Expect(0, 43744, '\P{^istavt}', "");
Expect(1, 43743, '\p{	is_tavt}', "");
Expect(0, 43743, '\p{^	is_tavt}', "");
Expect(0, 43743, '\P{	is_tavt}', "");
Expect(1, 43743, '\P{^	is_tavt}', "");
Expect(0, 43744, '\p{	is_tavt}', "");
Expect(1, 43744, '\p{^	is_tavt}', "");
Expect(1, 43744, '\P{	is_tavt}', "");
Expect(0, 43744, '\P{^	is_tavt}', "");
Error('\p{	/a/Tai_XUAN_Jing_symbols}');
Error('\P{	/a/Tai_XUAN_Jing_symbols}');
Expect(1, 119647, '\p{taixuanjingsymbols}', "");
Expect(0, 119647, '\p{^taixuanjingsymbols}', "");
Expect(0, 119647, '\P{taixuanjingsymbols}', "");
Expect(1, 119647, '\P{^taixuanjingsymbols}', "");
Expect(0, 119648, '\p{taixuanjingsymbols}', "");
Expect(1, 119648, '\p{^taixuanjingsymbols}', "");
Expect(1, 119648, '\P{taixuanjingsymbols}', "");
Expect(0, 119648, '\P{^taixuanjingsymbols}', "");
Expect(1, 119647, '\p{-TAI_XUAN_Jing_Symbols}', "");
Expect(0, 119647, '\p{^-TAI_XUAN_Jing_Symbols}', "");
Expect(0, 119647, '\P{-TAI_XUAN_Jing_Symbols}', "");
Expect(1, 119647, '\P{^-TAI_XUAN_Jing_Symbols}', "");
Expect(0, 119648, '\p{-TAI_XUAN_Jing_Symbols}', "");
Expect(1, 119648, '\p{^-TAI_XUAN_Jing_Symbols}', "");
Expect(1, 119648, '\P{-TAI_XUAN_Jing_Symbols}', "");
Expect(0, 119648, '\P{^-TAI_XUAN_Jing_Symbols}', "");
Error('\p{/a/_Is_Tai_Xuan_jing_Symbols}');
Error('\P{/a/_Is_Tai_Xuan_jing_Symbols}');
Expect(1, 119647, '\p{istaixuanjingsymbols}', "");
Expect(0, 119647, '\p{^istaixuanjingsymbols}', "");
Expect(0, 119647, '\P{istaixuanjingsymbols}', "");
Expect(1, 119647, '\P{^istaixuanjingsymbols}', "");
Expect(0, 119648, '\p{istaixuanjingsymbols}', "");
Expect(1, 119648, '\p{^istaixuanjingsymbols}', "");
Expect(1, 119648, '\P{istaixuanjingsymbols}', "");
Expect(0, 119648, '\P{^istaixuanjingsymbols}', "");
Expect(1, 119647, '\p{ 	is_tai_XUAN_JING_Symbols}', "");
Expect(0, 119647, '\p{^ 	is_tai_XUAN_JING_Symbols}', "");
Expect(0, 119647, '\P{ 	is_tai_XUAN_JING_Symbols}', "");
Expect(1, 119647, '\P{^ 	is_tai_XUAN_JING_Symbols}', "");
Expect(0, 119648, '\p{ 	is_tai_XUAN_JING_Symbols}', "");
Expect(1, 119648, '\p{^ 	is_tai_XUAN_JING_Symbols}', "");
Expect(1, 119648, '\P{ 	is_tai_XUAN_JING_Symbols}', "");
Expect(0, 119648, '\P{^ 	is_tai_XUAN_JING_Symbols}', "");
Error('\p{/a/_	in_Tai_XUAN_JING_Symbols}');
Error('\P{/a/_	in_Tai_XUAN_JING_Symbols}');
Expect(1, 119647, '\p{intaixuanjingsymbols}', "");
Expect(0, 119647, '\p{^intaixuanjingsymbols}', "");
Expect(0, 119647, '\P{intaixuanjingsymbols}', "");
Expect(1, 119647, '\P{^intaixuanjingsymbols}', "");
Expect(0, 119648, '\p{intaixuanjingsymbols}', "");
Expect(1, 119648, '\p{^intaixuanjingsymbols}', "");
Expect(1, 119648, '\P{intaixuanjingsymbols}', "");
Expect(0, 119648, '\P{^intaixuanjingsymbols}', "");
Expect(1, 119647, '\p{-_In_Tai_Xuan_JING_Symbols}', "");
Expect(0, 119647, '\p{^-_In_Tai_Xuan_JING_Symbols}', "");
Expect(0, 119647, '\P{-_In_Tai_Xuan_JING_Symbols}', "");
Expect(1, 119647, '\P{^-_In_Tai_Xuan_JING_Symbols}', "");
Expect(0, 119648, '\p{-_In_Tai_Xuan_JING_Symbols}', "");
Expect(1, 119648, '\p{^-_In_Tai_Xuan_JING_Symbols}', "");
Expect(1, 119648, '\P{-_In_Tai_Xuan_JING_Symbols}', "");
Expect(0, 119648, '\P{^-_In_Tai_Xuan_JING_Symbols}', "");
Error('\p{:=_TAI_xuan_Jing}');
Error('\P{:=_TAI_xuan_Jing}');
Expect(1, 119647, '\p{taixuanjing}', "");
Expect(0, 119647, '\p{^taixuanjing}', "");
Expect(0, 119647, '\P{taixuanjing}', "");
Expect(1, 119647, '\P{^taixuanjing}', "");
Expect(0, 119648, '\p{taixuanjing}', "");
Expect(1, 119648, '\p{^taixuanjing}', "");
Expect(1, 119648, '\P{taixuanjing}', "");
Expect(0, 119648, '\P{^taixuanjing}', "");
Expect(1, 119647, '\p{-tai_Xuan_JING}', "");
Expect(0, 119647, '\p{^-tai_Xuan_JING}', "");
Expect(0, 119647, '\P{-tai_Xuan_JING}', "");
Expect(1, 119647, '\P{^-tai_Xuan_JING}', "");
Expect(0, 119648, '\p{-tai_Xuan_JING}', "");
Expect(1, 119648, '\p{^-tai_Xuan_JING}', "");
Expect(1, 119648, '\P{-tai_Xuan_JING}', "");
Expect(0, 119648, '\P{^-tai_Xuan_JING}', "");
Error('\p{_Is_TAI_Xuan_Jing/a/}');
Error('\P{_Is_TAI_Xuan_Jing/a/}');
Expect(1, 119647, '\p{istaixuanjing}', "");
Expect(0, 119647, '\p{^istaixuanjing}', "");
Expect(0, 119647, '\P{istaixuanjing}', "");
Expect(1, 119647, '\P{^istaixuanjing}', "");
Expect(0, 119648, '\p{istaixuanjing}', "");
Expect(1, 119648, '\p{^istaixuanjing}', "");
Expect(1, 119648, '\P{istaixuanjing}', "");
Expect(0, 119648, '\P{^istaixuanjing}', "");
Expect(1, 119647, '\p{ 	Is_Tai_xuan_JING}', "");
Expect(0, 119647, '\p{^ 	Is_Tai_xuan_JING}', "");
Expect(0, 119647, '\P{ 	Is_Tai_xuan_JING}', "");
Expect(1, 119647, '\P{^ 	Is_Tai_xuan_JING}', "");
Expect(0, 119648, '\p{ 	Is_Tai_xuan_JING}', "");
Expect(1, 119648, '\p{^ 	Is_Tai_xuan_JING}', "");
Expect(1, 119648, '\P{ 	Is_Tai_xuan_JING}', "");
Expect(0, 119648, '\P{^ 	Is_Tai_xuan_JING}', "");
Error('\p{_:=In_TAI_xuan_jing}');
Error('\P{_:=In_TAI_xuan_jing}');
Expect(1, 119647, '\p{intaixuanjing}', "");
Expect(0, 119647, '\p{^intaixuanjing}', "");
Expect(0, 119647, '\P{intaixuanjing}', "");
Expect(1, 119647, '\P{^intaixuanjing}', "");
Expect(0, 119648, '\p{intaixuanjing}', "");
Expect(1, 119648, '\p{^intaixuanjing}', "");
Expect(1, 119648, '\P{intaixuanjing}', "");
Expect(0, 119648, '\P{^intaixuanjing}', "");
Expect(1, 119647, '\p{	In_tai_xuan_Jing}', "");
Expect(0, 119647, '\p{^	In_tai_xuan_Jing}', "");
Expect(0, 119647, '\P{	In_tai_xuan_Jing}', "");
Expect(1, 119647, '\P{^	In_tai_xuan_Jing}', "");
Expect(0, 119648, '\p{	In_tai_xuan_Jing}', "");
Expect(1, 119648, '\p{^	In_tai_xuan_Jing}', "");
Expect(1, 119648, '\P{	In_tai_xuan_Jing}', "");
Expect(0, 119648, '\P{^	In_tai_xuan_Jing}', "");
Error('\p{:=	 Takri}');
Error('\P{:=	 Takri}');
Expect(1, 71369, '\p{takri}', "");
Expect(0, 71369, '\p{^takri}', "");
Expect(0, 71369, '\P{takri}', "");
Expect(1, 71369, '\P{^takri}', "");
Expect(0, 71370, '\p{takri}', "");
Expect(1, 71370, '\p{^takri}', "");
Expect(1, 71370, '\P{takri}', "");
Expect(0, 71370, '\P{^takri}', "");
Expect(1, 71369, '\p{ Takri}', "");
Expect(0, 71369, '\p{^ Takri}', "");
Expect(0, 71369, '\P{ Takri}', "");
Expect(1, 71369, '\P{^ Takri}', "");
Expect(0, 71370, '\p{ Takri}', "");
Expect(1, 71370, '\p{^ Takri}', "");
Expect(1, 71370, '\P{ Takri}', "");
Expect(0, 71370, '\P{^ Takri}', "");
Error('\p{__is_Takri/a/}');
Error('\P{__is_Takri/a/}');
Expect(1, 71369, '\p{istakri}', "");
Expect(0, 71369, '\p{^istakri}', "");
Expect(0, 71369, '\P{istakri}', "");
Expect(1, 71369, '\P{^istakri}', "");
Expect(0, 71370, '\p{istakri}', "");
Expect(1, 71370, '\p{^istakri}', "");
Expect(1, 71370, '\P{istakri}', "");
Expect(0, 71370, '\P{^istakri}', "");
Expect(1, 71369, '\p{ is_TAKRI}', "");
Expect(0, 71369, '\p{^ is_TAKRI}', "");
Expect(0, 71369, '\P{ is_TAKRI}', "");
Expect(1, 71369, '\P{^ is_TAKRI}', "");
Expect(0, 71370, '\p{ is_TAKRI}', "");
Expect(1, 71370, '\p{^ is_TAKRI}', "");
Expect(1, 71370, '\P{ is_TAKRI}', "");
Expect(0, 71370, '\P{^ is_TAKRI}', "");
Error('\p{:=_ Takr}');
Error('\P{:=_ Takr}');
Expect(1, 71369, '\p{takr}', "");
Expect(0, 71369, '\p{^takr}', "");
Expect(0, 71369, '\P{takr}', "");
Expect(1, 71369, '\P{^takr}', "");
Expect(0, 71370, '\p{takr}', "");
Expect(1, 71370, '\p{^takr}', "");
Expect(1, 71370, '\P{takr}', "");
Expect(0, 71370, '\P{^takr}', "");
Expect(1, 71369, '\p{ _TAKR}', "");
Expect(0, 71369, '\p{^ _TAKR}', "");
Expect(0, 71369, '\P{ _TAKR}', "");
Expect(1, 71369, '\P{^ _TAKR}', "");
Expect(0, 71370, '\p{ _TAKR}', "");
Expect(1, 71370, '\p{^ _TAKR}', "");
Expect(1, 71370, '\P{ _TAKR}', "");
Expect(0, 71370, '\P{^ _TAKR}', "");
Error('\p{:= _IS_TAKR}');
Error('\P{:= _IS_TAKR}');
Expect(1, 71369, '\p{istakr}', "");
Expect(0, 71369, '\p{^istakr}', "");
Expect(0, 71369, '\P{istakr}', "");
Expect(1, 71369, '\P{^istakr}', "");
Expect(0, 71370, '\p{istakr}', "");
Expect(1, 71370, '\p{^istakr}', "");
Expect(1, 71370, '\P{istakr}', "");
Expect(0, 71370, '\P{^istakr}', "");
Expect(1, 71369, '\p{	 Is_Takr}', "");
Expect(0, 71369, '\p{^	 Is_Takr}', "");
Expect(0, 71369, '\P{	 Is_Takr}', "");
Expect(1, 71369, '\P{^	 Is_Takr}', "");
Expect(0, 71370, '\p{	 Is_Takr}', "");
Expect(1, 71370, '\p{^	 Is_Takr}', "");
Expect(1, 71370, '\P{	 Is_Takr}', "");
Expect(0, 71370, '\P{^	 Is_Takr}', "");
Error('\p{  Tamil:=}');
Error('\P{  Tamil:=}');
Expect(1, 3066, '\p{tamil}', "");
Expect(0, 3066, '\p{^tamil}', "");
Expect(0, 3066, '\P{tamil}', "");
Expect(1, 3066, '\P{^tamil}', "");
Expect(0, 3067, '\p{tamil}', "");
Expect(1, 3067, '\p{^tamil}', "");
Expect(1, 3067, '\P{tamil}', "");
Expect(0, 3067, '\P{^tamil}', "");
Expect(1, 3066, '\p{_tamil}', "");
Expect(0, 3066, '\p{^_tamil}', "");
Expect(0, 3066, '\P{_tamil}', "");
Expect(1, 3066, '\P{^_tamil}', "");
Expect(0, 3067, '\p{_tamil}', "");
Expect(1, 3067, '\p{^_tamil}', "");
Expect(1, 3067, '\P{_tamil}', "");
Expect(0, 3067, '\P{^_tamil}', "");
Error('\p{/a/ 	Is_Tamil}');
Error('\P{/a/ 	Is_Tamil}');
Expect(1, 3066, '\p{istamil}', "");
Expect(0, 3066, '\p{^istamil}', "");
Expect(0, 3066, '\P{istamil}', "");
Expect(1, 3066, '\P{^istamil}', "");
Expect(0, 3067, '\p{istamil}', "");
Expect(1, 3067, '\p{^istamil}', "");
Expect(1, 3067, '\P{istamil}', "");
Expect(0, 3067, '\P{^istamil}', "");
Expect(1, 3066, '\p{	IS_Tamil}', "");
Expect(0, 3066, '\p{^	IS_Tamil}', "");
Expect(0, 3066, '\P{	IS_Tamil}', "");
Expect(1, 3066, '\P{^	IS_Tamil}', "");
Expect(0, 3067, '\p{	IS_Tamil}', "");
Expect(1, 3067, '\p{^	IS_Tamil}', "");
Expect(1, 3067, '\P{	IS_Tamil}', "");
Expect(0, 3067, '\P{^	IS_Tamil}', "");
Error('\p{/a/	Taml}');
Error('\P{/a/	Taml}');
Expect(1, 3066, '\p{taml}', "");
Expect(0, 3066, '\p{^taml}', "");
Expect(0, 3066, '\P{taml}', "");
Expect(1, 3066, '\P{^taml}', "");
Expect(0, 3067, '\p{taml}', "");
Expect(1, 3067, '\p{^taml}', "");
Expect(1, 3067, '\P{taml}', "");
Expect(0, 3067, '\P{^taml}', "");
Expect(1, 3066, '\p{_-taml}', "");
Expect(0, 3066, '\p{^_-taml}', "");
Expect(0, 3066, '\P{_-taml}', "");
Expect(1, 3066, '\P{^_-taml}', "");
Expect(0, 3067, '\p{_-taml}', "");
Expect(1, 3067, '\p{^_-taml}', "");
Expect(1, 3067, '\P{_-taml}', "");
Expect(0, 3067, '\P{^_-taml}', "");
Error('\p{ /a/Is_Taml}');
Error('\P{ /a/Is_Taml}');
Expect(1, 3066, '\p{istaml}', "");
Expect(0, 3066, '\p{^istaml}', "");
Expect(0, 3066, '\P{istaml}', "");
Expect(1, 3066, '\P{^istaml}', "");
Expect(0, 3067, '\p{istaml}', "");
Expect(1, 3067, '\p{^istaml}', "");
Expect(1, 3067, '\P{istaml}', "");
Expect(0, 3067, '\P{^istaml}', "");
Expect(1, 3066, '\p{  IS_Taml}', "");
Expect(0, 3066, '\p{^  IS_Taml}', "");
Expect(0, 3066, '\P{  IS_Taml}', "");
Expect(1, 3066, '\P{^  IS_Taml}', "");
Expect(0, 3067, '\p{  IS_Taml}', "");
Expect(1, 3067, '\p{^  IS_Taml}', "");
Expect(1, 3067, '\P{  IS_Taml}', "");
Expect(0, 3067, '\P{^  IS_Taml}', "");
Error('\p{-:=Telugu}');
Error('\P{-:=Telugu}');
Expect(1, 3199, '\p{telugu}', "");
Expect(0, 3199, '\p{^telugu}', "");
Expect(0, 3199, '\P{telugu}', "");
Expect(1, 3199, '\P{^telugu}', "");
Expect(0, 3200, '\p{telugu}', "");
Expect(1, 3200, '\p{^telugu}', "");
Expect(1, 3200, '\P{telugu}', "");
Expect(0, 3200, '\P{^telugu}', "");
Expect(1, 3199, '\p{	telugu}', "");
Expect(0, 3199, '\p{^	telugu}', "");
Expect(0, 3199, '\P{	telugu}', "");
Expect(1, 3199, '\P{^	telugu}', "");
Expect(0, 3200, '\p{	telugu}', "");
Expect(1, 3200, '\p{^	telugu}', "");
Expect(1, 3200, '\P{	telugu}', "");
Expect(0, 3200, '\P{^	telugu}', "");
Error('\p{-/a/is_TELUGU}');
Error('\P{-/a/is_TELUGU}');
Expect(1, 3199, '\p{istelugu}', "");
Expect(0, 3199, '\p{^istelugu}', "");
Expect(0, 3199, '\P{istelugu}', "");
Expect(1, 3199, '\P{^istelugu}', "");
Expect(0, 3200, '\p{istelugu}', "");
Expect(1, 3200, '\p{^istelugu}', "");
Expect(1, 3200, '\P{istelugu}', "");
Expect(0, 3200, '\P{^istelugu}', "");
Expect(1, 3199, '\p{-_Is_TELUGU}', "");
Expect(0, 3199, '\p{^-_Is_TELUGU}', "");
Expect(0, 3199, '\P{-_Is_TELUGU}', "");
Expect(1, 3199, '\P{^-_Is_TELUGU}', "");
Expect(0, 3200, '\p{-_Is_TELUGU}', "");
Expect(1, 3200, '\p{^-_Is_TELUGU}', "");
Expect(1, 3200, '\P{-_Is_TELUGU}', "");
Expect(0, 3200, '\P{^-_Is_TELUGU}', "");
Error('\p{_:=telu}');
Error('\P{_:=telu}');
Expect(1, 3199, '\p{telu}', "");
Expect(0, 3199, '\p{^telu}', "");
Expect(0, 3199, '\P{telu}', "");
Expect(1, 3199, '\P{^telu}', "");
Expect(0, 3200, '\p{telu}', "");
Expect(1, 3200, '\p{^telu}', "");
Expect(1, 3200, '\P{telu}', "");
Expect(0, 3200, '\P{^telu}', "");
Expect(1, 3199, '\p{ Telu}', "");
Expect(0, 3199, '\p{^ Telu}', "");
Expect(0, 3199, '\P{ Telu}', "");
Expect(1, 3199, '\P{^ Telu}', "");
Expect(0, 3200, '\p{ Telu}', "");
Expect(1, 3200, '\p{^ Telu}', "");
Expect(1, 3200, '\P{ Telu}', "");
Expect(0, 3200, '\P{^ Telu}', "");
Error('\p{__IS_TELU:=}');
Error('\P{__IS_TELU:=}');
Expect(1, 3199, '\p{istelu}', "");
Expect(0, 3199, '\p{^istelu}', "");
Expect(0, 3199, '\P{istelu}', "");
Expect(1, 3199, '\P{^istelu}', "");
Expect(0, 3200, '\p{istelu}', "");
Expect(1, 3200, '\p{^istelu}', "");
Expect(1, 3200, '\P{istelu}', "");
Expect(0, 3200, '\P{^istelu}', "");
Expect(1, 3199, '\p{_	is_Telu}', "");
Expect(0, 3199, '\p{^_	is_Telu}', "");
Expect(0, 3199, '\P{_	is_Telu}', "");
Expect(1, 3199, '\P{^_	is_Telu}', "");
Expect(0, 3200, '\p{_	is_Telu}', "");
Expect(1, 3200, '\p{^_	is_Telu}', "");
Expect(1, 3200, '\P{_	is_Telu}', "");
Expect(0, 3200, '\P{^_	is_Telu}', "");
Error('\p{	terminal_PUNCTUATION:=}');
Error('\P{	terminal_PUNCTUATION:=}');
Expect(1, 113823, '\p{terminalpunctuation}', "");
Expect(0, 113823, '\p{^terminalpunctuation}', "");
Expect(0, 113823, '\P{terminalpunctuation}', "");
Expect(1, 113823, '\P{^terminalpunctuation}', "");
Expect(0, 113824, '\p{terminalpunctuation}', "");
Expect(1, 113824, '\p{^terminalpunctuation}', "");
Expect(1, 113824, '\P{terminalpunctuation}', "");
Expect(0, 113824, '\P{^terminalpunctuation}', "");
Expect(1, 113823, '\p{_-Terminal_punctuation}', "");
Expect(0, 113823, '\p{^_-Terminal_punctuation}', "");
Expect(0, 113823, '\P{_-Terminal_punctuation}', "");
Expect(1, 113823, '\P{^_-Terminal_punctuation}', "");
Expect(0, 113824, '\p{_-Terminal_punctuation}', "");
Expect(1, 113824, '\p{^_-Terminal_punctuation}', "");
Expect(1, 113824, '\P{_-Terminal_punctuation}', "");
Expect(0, 113824, '\P{^_-Terminal_punctuation}', "");
Error('\p{/a/_Is_terminal_punctuation}');
Error('\P{/a/_Is_terminal_punctuation}');
Expect(1, 113823, '\p{isterminalpunctuation}', "");
Expect(0, 113823, '\p{^isterminalpunctuation}', "");
Expect(0, 113823, '\P{isterminalpunctuation}', "");
Expect(1, 113823, '\P{^isterminalpunctuation}', "");
Expect(0, 113824, '\p{isterminalpunctuation}', "");
Expect(1, 113824, '\p{^isterminalpunctuation}', "");
Expect(1, 113824, '\P{isterminalpunctuation}', "");
Expect(0, 113824, '\P{^isterminalpunctuation}', "");
Expect(1, 113823, '\p{_Is_terminal_Punctuation}', "");
Expect(0, 113823, '\p{^_Is_terminal_Punctuation}', "");
Expect(0, 113823, '\P{_Is_terminal_Punctuation}', "");
Expect(1, 113823, '\P{^_Is_terminal_Punctuation}', "");
Expect(0, 113824, '\p{_Is_terminal_Punctuation}', "");
Expect(1, 113824, '\p{^_Is_terminal_Punctuation}', "");
Expect(1, 113824, '\P{_Is_terminal_Punctuation}', "");
Expect(0, 113824, '\P{^_Is_terminal_Punctuation}', "");
Error('\p{Term/a/}');
Error('\P{Term/a/}');
Expect(1, 113823, '\p{term}', "");
Expect(0, 113823, '\p{^term}', "");
Expect(0, 113823, '\P{term}', "");
Expect(1, 113823, '\P{^term}', "");
Expect(0, 113824, '\p{term}', "");
Expect(1, 113824, '\p{^term}', "");
Expect(1, 113824, '\P{term}', "");
Expect(0, 113824, '\P{^term}', "");
Expect(1, 113823, '\p{	_Term}', "");
Expect(0, 113823, '\p{^	_Term}', "");
Expect(0, 113823, '\P{	_Term}', "");
Expect(1, 113823, '\P{^	_Term}', "");
Expect(0, 113824, '\p{	_Term}', "");
Expect(1, 113824, '\p{^	_Term}', "");
Expect(1, 113824, '\P{	_Term}', "");
Expect(0, 113824, '\P{^	_Term}', "");
Error('\p{ /a/Is_Term}');
Error('\P{ /a/Is_Term}');
Expect(1, 113823, '\p{isterm}', "");
Expect(0, 113823, '\p{^isterm}', "");
Expect(0, 113823, '\P{isterm}', "");
Expect(1, 113823, '\P{^isterm}', "");
Expect(0, 113824, '\p{isterm}', "");
Expect(1, 113824, '\p{^isterm}', "");
Expect(1, 113824, '\P{isterm}', "");
Expect(0, 113824, '\P{^isterm}', "");
Expect(1, 113823, '\p{	_IS_Term}', "");
Expect(0, 113823, '\p{^	_IS_Term}', "");
Expect(0, 113823, '\P{	_IS_Term}', "");
Expect(1, 113823, '\P{^	_IS_Term}', "");
Expect(0, 113824, '\p{	_IS_Term}', "");
Expect(1, 113824, '\p{^	_IS_Term}', "");
Expect(1, 113824, '\P{	_IS_Term}', "");
Expect(0, 113824, '\P{^	_IS_Term}', "");
Error('\p{:=THAANA}');
Error('\P{:=THAANA}');
Expect(1, 1969, '\p{thaana}', "");
Expect(0, 1969, '\p{^thaana}', "");
Expect(0, 1969, '\P{thaana}', "");
Expect(1, 1969, '\P{^thaana}', "");
Expect(0, 1970, '\p{thaana}', "");
Expect(1, 1970, '\p{^thaana}', "");
Expect(1, 1970, '\P{thaana}', "");
Expect(0, 1970, '\P{^thaana}', "");
Expect(1, 1969, '\p{		Thaana}', "");
Expect(0, 1969, '\p{^		Thaana}', "");
Expect(0, 1969, '\P{		Thaana}', "");
Expect(1, 1969, '\P{^		Thaana}', "");
Expect(0, 1970, '\p{		Thaana}', "");
Expect(1, 1970, '\p{^		Thaana}', "");
Expect(1, 1970, '\P{		Thaana}', "");
Expect(0, 1970, '\P{^		Thaana}', "");
Error('\p{ /a/IS_THAANA}');
Error('\P{ /a/IS_THAANA}');
Expect(1, 1969, '\p{isthaana}', "");
Expect(0, 1969, '\p{^isthaana}', "");
Expect(0, 1969, '\P{isthaana}', "");
Expect(1, 1969, '\P{^isthaana}', "");
Expect(0, 1970, '\p{isthaana}', "");
Expect(1, 1970, '\p{^isthaana}', "");
Expect(1, 1970, '\P{isthaana}', "");
Expect(0, 1970, '\P{^isthaana}', "");
Expect(1, 1969, '\p{	is_THAANA}', "");
Expect(0, 1969, '\p{^	is_THAANA}', "");
Expect(0, 1969, '\P{	is_THAANA}', "");
Expect(1, 1969, '\P{^	is_THAANA}', "");
Expect(0, 1970, '\p{	is_THAANA}', "");
Expect(1, 1970, '\p{^	is_THAANA}', "");
Expect(1, 1970, '\P{	is_THAANA}', "");
Expect(0, 1970, '\P{^	is_THAANA}', "");
Error('\p{:=THAA}');
Error('\P{:=THAA}');
Expect(1, 1969, '\p{thaa}', "");
Expect(0, 1969, '\p{^thaa}', "");
Expect(0, 1969, '\P{thaa}', "");
Expect(1, 1969, '\P{^thaa}', "");
Expect(0, 1970, '\p{thaa}', "");
Expect(1, 1970, '\p{^thaa}', "");
Expect(1, 1970, '\P{thaa}', "");
Expect(0, 1970, '\P{^thaa}', "");
Expect(1, 1969, '\p{ 	THAA}', "");
Expect(0, 1969, '\p{^ 	THAA}', "");
Expect(0, 1969, '\P{ 	THAA}', "");
Expect(1, 1969, '\P{^ 	THAA}', "");
Expect(0, 1970, '\p{ 	THAA}', "");
Expect(1, 1970, '\p{^ 	THAA}', "");
Expect(1, 1970, '\P{ 	THAA}', "");
Expect(0, 1970, '\P{^ 	THAA}', "");
Error('\p{/a/ Is_thaa}');
Error('\P{/a/ Is_thaa}');
Expect(1, 1969, '\p{isthaa}', "");
Expect(0, 1969, '\p{^isthaa}', "");
Expect(0, 1969, '\P{isthaa}', "");
Expect(1, 1969, '\P{^isthaa}', "");
Expect(0, 1970, '\p{isthaa}', "");
Expect(1, 1970, '\p{^isthaa}', "");
Expect(1, 1970, '\P{isthaa}', "");
Expect(0, 1970, '\P{^isthaa}', "");
Expect(1, 1969, '\p{ IS_Thaa}', "");
Expect(0, 1969, '\p{^ IS_Thaa}', "");
Expect(0, 1969, '\P{ IS_Thaa}', "");
Expect(1, 1969, '\P{^ IS_Thaa}', "");
Expect(0, 1970, '\p{ IS_Thaa}', "");
Expect(1, 1970, '\p{^ IS_Thaa}', "");
Expect(1, 1970, '\P{ IS_Thaa}', "");
Expect(0, 1970, '\P{^ IS_Thaa}', "");
Error('\p{:=_Thai}');
Error('\P{:=_Thai}');
Expect(1, 3675, '\p{thai}', "");
Expect(0, 3675, '\p{^thai}', "");
Expect(0, 3675, '\P{thai}', "");
Expect(1, 3675, '\P{^thai}', "");
Expect(0, 3676, '\p{thai}', "");
Expect(1, 3676, '\p{^thai}', "");
Expect(1, 3676, '\P{thai}', "");
Expect(0, 3676, '\P{^thai}', "");
Expect(1, 3675, '\p{	thai}', "");
Expect(0, 3675, '\p{^	thai}', "");
Expect(0, 3675, '\P{	thai}', "");
Expect(1, 3675, '\P{^	thai}', "");
Expect(0, 3676, '\p{	thai}', "");
Expect(1, 3676, '\p{^	thai}', "");
Expect(1, 3676, '\P{	thai}', "");
Expect(0, 3676, '\P{^	thai}', "");
Error('\p{/a/ Is_Thai}');
Error('\P{/a/ Is_Thai}');
Expect(1, 3675, '\p{isthai}', "");
Expect(0, 3675, '\p{^isthai}', "");
Expect(0, 3675, '\P{isthai}', "");
Expect(1, 3675, '\P{^isthai}', "");
Expect(0, 3676, '\p{isthai}', "");
Expect(1, 3676, '\p{^isthai}', "");
Expect(1, 3676, '\P{isthai}', "");
Expect(0, 3676, '\P{^isthai}', "");
Expect(1, 3675, '\p{		Is_THAI}', "");
Expect(0, 3675, '\p{^		Is_THAI}', "");
Expect(0, 3675, '\P{		Is_THAI}', "");
Expect(1, 3675, '\P{^		Is_THAI}', "");
Expect(0, 3676, '\p{		Is_THAI}', "");
Expect(1, 3676, '\p{^		Is_THAI}', "");
Expect(1, 3676, '\P{		Is_THAI}', "");
Expect(0, 3676, '\P{^		Is_THAI}', "");
Error('\p{	-tibetan/a/}');
Error('\P{	-tibetan/a/}');
Expect(1, 4058, '\p{tibetan}', "");
Expect(0, 4058, '\p{^tibetan}', "");
Expect(0, 4058, '\P{tibetan}', "");
Expect(1, 4058, '\P{^tibetan}', "");
Expect(0, 4059, '\p{tibetan}', "");
Expect(1, 4059, '\p{^tibetan}', "");
Expect(1, 4059, '\P{tibetan}', "");
Expect(0, 4059, '\P{^tibetan}', "");
Expect(1, 4058, '\p{__tibetan}', "");
Expect(0, 4058, '\p{^__tibetan}', "");
Expect(0, 4058, '\P{__tibetan}', "");
Expect(1, 4058, '\P{^__tibetan}', "");
Expect(0, 4059, '\p{__tibetan}', "");
Expect(1, 4059, '\p{^__tibetan}', "");
Expect(1, 4059, '\P{__tibetan}', "");
Expect(0, 4059, '\P{^__tibetan}', "");
Error('\p{	:=IS_Tibetan}');
Error('\P{	:=IS_Tibetan}');
Expect(1, 4058, '\p{istibetan}', "");
Expect(0, 4058, '\p{^istibetan}', "");
Expect(0, 4058, '\P{istibetan}', "");
Expect(1, 4058, '\P{^istibetan}', "");
Expect(0, 4059, '\p{istibetan}', "");
Expect(1, 4059, '\p{^istibetan}', "");
Expect(1, 4059, '\P{istibetan}', "");
Expect(0, 4059, '\P{^istibetan}', "");
Expect(1, 4058, '\p{		Is_Tibetan}', "");
Expect(0, 4058, '\p{^		Is_Tibetan}', "");
Expect(0, 4058, '\P{		Is_Tibetan}', "");
Expect(1, 4058, '\P{^		Is_Tibetan}', "");
Expect(0, 4059, '\p{		Is_Tibetan}', "");
Expect(1, 4059, '\p{^		Is_Tibetan}', "");
Expect(1, 4059, '\P{		Is_Tibetan}', "");
Expect(0, 4059, '\P{^		Is_Tibetan}', "");
Error('\p{/a/	_tibt}');
Error('\P{/a/	_tibt}');
Expect(1, 4058, '\p{tibt}', "");
Expect(0, 4058, '\p{^tibt}', "");
Expect(0, 4058, '\P{tibt}', "");
Expect(1, 4058, '\P{^tibt}', "");
Expect(0, 4059, '\p{tibt}', "");
Expect(1, 4059, '\p{^tibt}', "");
Expect(1, 4059, '\P{tibt}', "");
Expect(0, 4059, '\P{^tibt}', "");
Expect(1, 4058, '\p{	 Tibt}', "");
Expect(0, 4058, '\p{^	 Tibt}', "");
Expect(0, 4058, '\P{	 Tibt}', "");
Expect(1, 4058, '\P{^	 Tibt}', "");
Expect(0, 4059, '\p{	 Tibt}', "");
Expect(1, 4059, '\p{^	 Tibt}', "");
Expect(1, 4059, '\P{	 Tibt}', "");
Expect(0, 4059, '\P{^	 Tibt}', "");
Error('\p{-	Is_Tibt:=}');
Error('\P{-	Is_Tibt:=}');
Expect(1, 4058, '\p{istibt}', "");
Expect(0, 4058, '\p{^istibt}', "");
Expect(0, 4058, '\P{istibt}', "");
Expect(1, 4058, '\P{^istibt}', "");
Expect(0, 4059, '\p{istibt}', "");
Expect(1, 4059, '\p{^istibt}', "");
Expect(1, 4059, '\P{istibt}', "");
Expect(0, 4059, '\P{^istibt}', "");
Expect(1, 4058, '\p{__is_TIBT}', "");
Expect(0, 4058, '\p{^__is_TIBT}', "");
Expect(0, 4058, '\P{__is_TIBT}', "");
Expect(1, 4058, '\P{^__is_TIBT}', "");
Expect(0, 4059, '\p{__is_TIBT}', "");
Expect(1, 4059, '\p{^__is_TIBT}', "");
Expect(1, 4059, '\P{__is_TIBT}', "");
Expect(0, 4059, '\P{^__is_TIBT}', "");
Error('\p{-tifinagh/a/}');
Error('\P{-tifinagh/a/}');
Expect(1, 11647, '\p{tifinagh}', "");
Expect(0, 11647, '\p{^tifinagh}', "");
Expect(0, 11647, '\P{tifinagh}', "");
Expect(1, 11647, '\P{^tifinagh}', "");
Expect(0, 11648, '\p{tifinagh}', "");
Expect(1, 11648, '\p{^tifinagh}', "");
Expect(1, 11648, '\P{tifinagh}', "");
Expect(0, 11648, '\P{^tifinagh}', "");
Expect(1, 11647, '\p{ 	Tifinagh}', "");
Expect(0, 11647, '\p{^ 	Tifinagh}', "");
Expect(0, 11647, '\P{ 	Tifinagh}', "");
Expect(1, 11647, '\P{^ 	Tifinagh}', "");
Expect(0, 11648, '\p{ 	Tifinagh}', "");
Expect(1, 11648, '\p{^ 	Tifinagh}', "");
Expect(1, 11648, '\P{ 	Tifinagh}', "");
Expect(0, 11648, '\P{^ 	Tifinagh}', "");
Error('\p{ Is_TIFINAGH/a/}');
Error('\P{ Is_TIFINAGH/a/}');
Expect(1, 11647, '\p{istifinagh}', "");
Expect(0, 11647, '\p{^istifinagh}', "");
Expect(0, 11647, '\P{istifinagh}', "");
Expect(1, 11647, '\P{^istifinagh}', "");
Expect(0, 11648, '\p{istifinagh}', "");
Expect(1, 11648, '\p{^istifinagh}', "");
Expect(1, 11648, '\P{istifinagh}', "");
Expect(0, 11648, '\P{^istifinagh}', "");
Expect(1, 11647, '\p{- Is_Tifinagh}', "");
Expect(0, 11647, '\p{^- Is_Tifinagh}', "");
Expect(0, 11647, '\P{- Is_Tifinagh}', "");
Expect(1, 11647, '\P{^- Is_Tifinagh}', "");
Expect(0, 11648, '\p{- Is_Tifinagh}', "");
Expect(1, 11648, '\p{^- Is_Tifinagh}', "");
Expect(1, 11648, '\P{- Is_Tifinagh}', "");
Expect(0, 11648, '\P{^- Is_Tifinagh}', "");
Error('\p{/a/Tfng}');
Error('\P{/a/Tfng}');
Expect(1, 11647, '\p{tfng}', "");
Expect(0, 11647, '\p{^tfng}', "");
Expect(0, 11647, '\P{tfng}', "");
Expect(1, 11647, '\P{^tfng}', "");
Expect(0, 11648, '\p{tfng}', "");
Expect(1, 11648, '\p{^tfng}', "");
Expect(1, 11648, '\P{tfng}', "");
Expect(0, 11648, '\P{^tfng}', "");
Expect(1, 11647, '\p{	_tfng}', "");
Expect(0, 11647, '\p{^	_tfng}', "");
Expect(0, 11647, '\P{	_tfng}', "");
Expect(1, 11647, '\P{^	_tfng}', "");
Expect(0, 11648, '\p{	_tfng}', "");
Expect(1, 11648, '\p{^	_tfng}', "");
Expect(1, 11648, '\P{	_tfng}', "");
Expect(0, 11648, '\P{^	_tfng}', "");
Error('\p{ Is_TFNG/a/}');
Error('\P{ Is_TFNG/a/}');
Expect(1, 11647, '\p{istfng}', "");
Expect(0, 11647, '\p{^istfng}', "");
Expect(0, 11647, '\P{istfng}', "");
Expect(1, 11647, '\P{^istfng}', "");
Expect(0, 11648, '\p{istfng}', "");
Expect(1, 11648, '\p{^istfng}', "");
Expect(1, 11648, '\P{istfng}', "");
Expect(0, 11648, '\P{^istfng}', "");
Expect(1, 11647, '\p{_-Is_Tfng}', "");
Expect(0, 11647, '\p{^_-Is_Tfng}', "");
Expect(0, 11647, '\P{_-Is_Tfng}', "");
Expect(1, 11647, '\P{^_-Is_Tfng}', "");
Expect(0, 11648, '\p{_-Is_Tfng}', "");
Expect(1, 11648, '\p{^_-Is_Tfng}', "");
Expect(1, 11648, '\P{_-Is_Tfng}', "");
Expect(0, 11648, '\P{^_-Is_Tfng}', "");
Error('\p{__Tirhuta/a/}');
Error('\P{__Tirhuta/a/}');
Expect(1, 70873, '\p{tirhuta}', "");
Expect(0, 70873, '\p{^tirhuta}', "");
Expect(0, 70873, '\P{tirhuta}', "");
Expect(1, 70873, '\P{^tirhuta}', "");
Expect(0, 70874, '\p{tirhuta}', "");
Expect(1, 70874, '\p{^tirhuta}', "");
Expect(1, 70874, '\P{tirhuta}', "");
Expect(0, 70874, '\P{^tirhuta}', "");
Expect(1, 70873, '\p{ -TIRHUTA}', "");
Expect(0, 70873, '\p{^ -TIRHUTA}', "");
Expect(0, 70873, '\P{ -TIRHUTA}', "");
Expect(1, 70873, '\P{^ -TIRHUTA}', "");
Expect(0, 70874, '\p{ -TIRHUTA}', "");
Expect(1, 70874, '\p{^ -TIRHUTA}', "");
Expect(1, 70874, '\P{ -TIRHUTA}', "");
Expect(0, 70874, '\P{^ -TIRHUTA}', "");
Error('\p{/a/_-is_TIRHUTA}');
Error('\P{/a/_-is_TIRHUTA}');
Expect(1, 70873, '\p{istirhuta}', "");
Expect(0, 70873, '\p{^istirhuta}', "");
Expect(0, 70873, '\P{istirhuta}', "");
Expect(1, 70873, '\P{^istirhuta}', "");
Expect(0, 70874, '\p{istirhuta}', "");
Expect(1, 70874, '\p{^istirhuta}', "");
Expect(1, 70874, '\P{istirhuta}', "");
Expect(0, 70874, '\P{^istirhuta}', "");
Expect(1, 70873, '\p{	 IS_Tirhuta}', "");
Expect(0, 70873, '\p{^	 IS_Tirhuta}', "");
Expect(0, 70873, '\P{	 IS_Tirhuta}', "");
Expect(1, 70873, '\P{^	 IS_Tirhuta}', "");
Expect(0, 70874, '\p{	 IS_Tirhuta}', "");
Expect(1, 70874, '\p{^	 IS_Tirhuta}', "");
Expect(1, 70874, '\P{	 IS_Tirhuta}', "");
Expect(0, 70874, '\P{^	 IS_Tirhuta}', "");
Error('\p{	 tirh/a/}');
Error('\P{	 tirh/a/}');
Expect(1, 70873, '\p{tirh}', "");
Expect(0, 70873, '\p{^tirh}', "");
Expect(0, 70873, '\P{tirh}', "");
Expect(1, 70873, '\P{^tirh}', "");
Expect(0, 70874, '\p{tirh}', "");
Expect(1, 70874, '\p{^tirh}', "");
Expect(1, 70874, '\P{tirh}', "");
Expect(0, 70874, '\P{^tirh}', "");
Expect(1, 70873, '\p{- tirh}', "");
Expect(0, 70873, '\p{^- tirh}', "");
Expect(0, 70873, '\P{- tirh}', "");
Expect(1, 70873, '\P{^- tirh}', "");
Expect(0, 70874, '\p{- tirh}', "");
Expect(1, 70874, '\p{^- tirh}', "");
Expect(1, 70874, '\P{- tirh}', "");
Expect(0, 70874, '\P{^- tirh}', "");
Error('\p{-:=Is_tirh}');
Error('\P{-:=Is_tirh}');
Expect(1, 70873, '\p{istirh}', "");
Expect(0, 70873, '\p{^istirh}', "");
Expect(0, 70873, '\P{istirh}', "");
Expect(1, 70873, '\P{^istirh}', "");
Expect(0, 70874, '\p{istirh}', "");
Expect(1, 70874, '\p{^istirh}', "");
Expect(1, 70874, '\P{istirh}', "");
Expect(0, 70874, '\P{^istirh}', "");
Expect(1, 70873, '\p{		Is_TIRH}', "");
Expect(0, 70873, '\p{^		Is_TIRH}', "");
Expect(0, 70873, '\P{		Is_TIRH}', "");
Expect(1, 70873, '\P{^		Is_TIRH}', "");
Expect(0, 70874, '\p{		Is_TIRH}', "");
Expect(1, 70874, '\p{^		Is_TIRH}', "");
Expect(1, 70874, '\P{		Is_TIRH}', "");
Expect(0, 70874, '\P{^		Is_TIRH}', "");
Error('\p{-:=Titlecase}');
Error('\P{-:=Titlecase}');
Expect(1, 8188, '\p{titlecase}', "");
Expect(0, 8188, '\p{^titlecase}', "");
Expect(0, 8188, '\P{titlecase}', "");
Expect(1, 8188, '\P{^titlecase}', "");
Expect(0, 8189, '\p{titlecase}', "");
Expect(1, 8189, '\p{^titlecase}', "");
Expect(1, 8189, '\P{titlecase}', "");
Expect(0, 8189, '\P{^titlecase}', "");
Expect(1, 8188, '\p{_titlecase}', "");
Expect(0, 8188, '\p{^_titlecase}', "");
Expect(0, 8188, '\P{_titlecase}', "");
Expect(1, 8188, '\P{^_titlecase}', "");
Expect(0, 8189, '\p{_titlecase}', "");
Expect(1, 8189, '\p{^_titlecase}', "");
Expect(1, 8189, '\P{_titlecase}', "");
Expect(0, 8189, '\P{^_titlecase}', "");
Error('\p{_ Title/a/}');
Error('\P{_ Title/a/}');
Expect(1, 8188, '\p{title}', "");
Expect(0, 8188, '\p{^title}', "");
Expect(0, 8188, '\P{title}', "");
Expect(1, 8188, '\P{^title}', "");
Expect(0, 8189, '\p{title}', "");
Expect(1, 8189, '\p{^title}', "");
Expect(1, 8189, '\P{title}', "");
Expect(0, 8189, '\P{^title}', "");
Expect(1, 8188, '\p{__Title}', "");
Expect(0, 8188, '\p{^__Title}', "");
Expect(0, 8188, '\P{__Title}', "");
Expect(1, 8188, '\P{^__Title}', "");
Expect(0, 8189, '\p{__Title}', "");
Expect(1, 8189, '\p{^__Title}', "");
Expect(1, 8189, '\P{__Title}', "");
Expect(0, 8189, '\P{^__Title}', "");
Error('\p{/a/_	Is_Titlecase}');
Error('\P{/a/_	Is_Titlecase}');
Expect(1, 8188, '\p{istitlecase}', "");
Expect(0, 8188, '\p{^istitlecase}', "");
Expect(0, 8188, '\P{istitlecase}', "");
Expect(1, 8188, '\P{^istitlecase}', "");
Expect(0, 8189, '\p{istitlecase}', "");
Expect(1, 8189, '\p{^istitlecase}', "");
Expect(1, 8189, '\P{istitlecase}', "");
Expect(0, 8189, '\P{^istitlecase}', "");
Expect(1, 8188, '\p{--Is_titlecase}', "");
Expect(0, 8188, '\p{^--Is_titlecase}', "");
Expect(0, 8188, '\P{--Is_titlecase}', "");
Expect(1, 8188, '\P{^--Is_titlecase}', "");
Expect(0, 8189, '\p{--Is_titlecase}', "");
Expect(1, 8189, '\p{^--Is_titlecase}', "");
Expect(1, 8189, '\P{--Is_titlecase}', "");
Expect(0, 8189, '\P{^--Is_titlecase}', "");
Error('\p{ Is_Title/a/}');
Error('\P{ Is_Title/a/}');
Expect(1, 8188, '\p{istitle}', "");
Expect(0, 8188, '\p{^istitle}', "");
Expect(0, 8188, '\P{istitle}', "");
Expect(1, 8188, '\P{^istitle}', "");
Expect(0, 8189, '\p{istitle}', "");
Expect(1, 8189, '\p{^istitle}', "");
Expect(1, 8189, '\P{istitle}', "");
Expect(0, 8189, '\P{^istitle}', "");
Expect(1, 8188, '\p{ -Is_title}', "");
Expect(0, 8188, '\p{^ -Is_title}', "");
Expect(0, 8188, '\P{ -Is_title}', "");
Expect(1, 8188, '\P{^ -Is_title}', "");
Expect(0, 8189, '\p{ -Is_title}', "");
Expect(1, 8189, '\p{^ -Is_title}', "");
Expect(1, 8189, '\P{ -Is_title}', "");
Expect(0, 8189, '\P{^ -Is_title}', "");
Error('\p{_Titlecase_Letter/a/}');
Error('\P{_Titlecase_Letter/a/}');
Expect(1, 8188, '\p{titlecaseletter}', "");
Expect(0, 8188, '\p{^titlecaseletter}', "");
Expect(0, 8188, '\P{titlecaseletter}', "");
Expect(1, 8188, '\P{^titlecaseletter}', "");
Expect(0, 8189, '\p{titlecaseletter}', "");
Expect(1, 8189, '\p{^titlecaseletter}', "");
Expect(1, 8189, '\P{titlecaseletter}', "");
Expect(0, 8189, '\P{^titlecaseletter}', "");
Expect(1, 8188, '\p{ -titlecase_Letter}', "");
Expect(0, 8188, '\p{^ -titlecase_Letter}', "");
Expect(0, 8188, '\P{ -titlecase_Letter}', "");
Expect(1, 8188, '\P{^ -titlecase_Letter}', "");
Expect(0, 8189, '\p{ -titlecase_Letter}', "");
Expect(1, 8189, '\p{^ -titlecase_Letter}', "");
Expect(1, 8189, '\P{ -titlecase_Letter}', "");
Expect(0, 8189, '\P{^ -titlecase_Letter}', "");
Error('\p{/a/ 	Is_Titlecase_Letter}');
Error('\P{/a/ 	Is_Titlecase_Letter}');
Expect(1, 8188, '\p{istitlecaseletter}', "");
Expect(0, 8188, '\p{^istitlecaseletter}', "");
Expect(0, 8188, '\P{istitlecaseletter}', "");
Expect(1, 8188, '\P{^istitlecaseletter}', "");
Expect(0, 8189, '\p{istitlecaseletter}', "");
Expect(1, 8189, '\p{^istitlecaseletter}', "");
Expect(1, 8189, '\P{istitlecaseletter}', "");
Expect(0, 8189, '\P{^istitlecaseletter}', "");
Expect(1, 8188, '\p{ 	IS_Titlecase_LETTER}', "");
Expect(0, 8188, '\p{^ 	IS_Titlecase_LETTER}', "");
Expect(0, 8188, '\P{ 	IS_Titlecase_LETTER}', "");
Expect(1, 8188, '\P{^ 	IS_Titlecase_LETTER}', "");
Expect(0, 8189, '\p{ 	IS_Titlecase_LETTER}', "");
Expect(1, 8189, '\p{^ 	IS_Titlecase_LETTER}', "");
Expect(1, 8189, '\P{ 	IS_Titlecase_LETTER}', "");
Expect(0, 8189, '\P{^ 	IS_Titlecase_LETTER}', "");
Error('\p{_Lt/a/}');
Error('\P{_Lt/a/}');
Expect(1, 8188, '\p{lt}', "");
Expect(0, 8188, '\p{^lt}', "");
Expect(0, 8188, '\P{lt}', "");
Expect(1, 8188, '\P{^lt}', "");
Expect(0, 8189, '\p{lt}', "");
Expect(1, 8189, '\p{^lt}', "");
Expect(1, 8189, '\P{lt}', "");
Expect(0, 8189, '\P{^lt}', "");
Expect(1, 8188, '\p{-	Lt}', "");
Expect(0, 8188, '\p{^-	Lt}', "");
Expect(0, 8188, '\P{-	Lt}', "");
Expect(1, 8188, '\P{^-	Lt}', "");
Expect(0, 8189, '\p{-	Lt}', "");
Expect(1, 8189, '\p{^-	Lt}', "");
Expect(1, 8189, '\P{-	Lt}', "");
Expect(0, 8189, '\P{^-	Lt}', "");
Error('\p{__Is_Lt/a/}');
Error('\P{__Is_Lt/a/}');
Expect(1, 8188, '\p{islt}', "");
Expect(0, 8188, '\p{^islt}', "");
Expect(0, 8188, '\P{islt}', "");
Expect(1, 8188, '\P{^islt}', "");
Expect(0, 8189, '\p{islt}', "");
Expect(1, 8189, '\p{^islt}', "");
Expect(1, 8189, '\P{islt}', "");
Expect(0, 8189, '\P{^islt}', "");
Expect(1, 8188, '\p{_Is_Lt}', "");
Expect(0, 8188, '\p{^_Is_Lt}', "");
Expect(0, 8188, '\P{_Is_Lt}', "");
Expect(1, 8188, '\P{^_Is_Lt}', "");
Expect(0, 8189, '\p{_Is_Lt}', "");
Expect(1, 8189, '\p{^_Is_Lt}', "");
Expect(1, 8189, '\P{_Is_Lt}', "");
Expect(0, 8189, '\P{^_Is_Lt}', "");
Error('\p{:=_Transport_AND_MAP_Symbols}');
Error('\P{:=_Transport_AND_MAP_Symbols}');
Expect(1, 128767, '\p{transportandmapsymbols}', "");
Expect(0, 128767, '\p{^transportandmapsymbols}', "");
Expect(0, 128767, '\P{transportandmapsymbols}', "");
Expect(1, 128767, '\P{^transportandmapsymbols}', "");
Expect(0, 128768, '\p{transportandmapsymbols}', "");
Expect(1, 128768, '\p{^transportandmapsymbols}', "");
Expect(1, 128768, '\P{transportandmapsymbols}', "");
Expect(0, 128768, '\P{^transportandmapsymbols}', "");
Expect(1, 128767, '\p{__transport_And_MAP_Symbols}', "");
Expect(0, 128767, '\p{^__transport_And_MAP_Symbols}', "");
Expect(0, 128767, '\P{__transport_And_MAP_Symbols}', "");
Expect(1, 128767, '\P{^__transport_And_MAP_Symbols}', "");
Expect(0, 128768, '\p{__transport_And_MAP_Symbols}', "");
Expect(1, 128768, '\p{^__transport_And_MAP_Symbols}', "");
Expect(1, 128768, '\P{__transport_And_MAP_Symbols}', "");
Expect(0, 128768, '\P{^__transport_And_MAP_Symbols}', "");
Error('\p{/a/is_TRANSPORT_AND_Map_Symbols}');
Error('\P{/a/is_TRANSPORT_AND_Map_Symbols}');
Expect(1, 128767, '\p{istransportandmapsymbols}', "");
Expect(0, 128767, '\p{^istransportandmapsymbols}', "");
Expect(0, 128767, '\P{istransportandmapsymbols}', "");
Expect(1, 128767, '\P{^istransportandmapsymbols}', "");
Expect(0, 128768, '\p{istransportandmapsymbols}', "");
Expect(1, 128768, '\p{^istransportandmapsymbols}', "");
Expect(1, 128768, '\P{istransportandmapsymbols}', "");
Expect(0, 128768, '\P{^istransportandmapsymbols}', "");
Expect(1, 128767, '\p{	-Is_Transport_AND_Map_SYMBOLS}', "");
Expect(0, 128767, '\p{^	-Is_Transport_AND_Map_SYMBOLS}', "");
Expect(0, 128767, '\P{	-Is_Transport_AND_Map_SYMBOLS}', "");
Expect(1, 128767, '\P{^	-Is_Transport_AND_Map_SYMBOLS}', "");
Expect(0, 128768, '\p{	-Is_Transport_AND_Map_SYMBOLS}', "");
Expect(1, 128768, '\p{^	-Is_Transport_AND_Map_SYMBOLS}', "");
Expect(1, 128768, '\P{	-Is_Transport_AND_Map_SYMBOLS}', "");
Expect(0, 128768, '\P{^	-Is_Transport_AND_Map_SYMBOLS}', "");
Error('\p{ /a/IN_transport_AND_map_Symbols}');
Error('\P{ /a/IN_transport_AND_map_Symbols}');
Expect(1, 128767, '\p{intransportandmapsymbols}', "");
Expect(0, 128767, '\p{^intransportandmapsymbols}', "");
Expect(0, 128767, '\P{intransportandmapsymbols}', "");
Expect(1, 128767, '\P{^intransportandmapsymbols}', "");
Expect(0, 128768, '\p{intransportandmapsymbols}', "");
Expect(1, 128768, '\p{^intransportandmapsymbols}', "");
Expect(1, 128768, '\P{intransportandmapsymbols}', "");
Expect(0, 128768, '\P{^intransportandmapsymbols}', "");
Expect(1, 128767, '\p{ IN_Transport_and_map_Symbols}', "");
Expect(0, 128767, '\p{^ IN_Transport_and_map_Symbols}', "");
Expect(0, 128767, '\P{ IN_Transport_and_map_Symbols}', "");
Expect(1, 128767, '\P{^ IN_Transport_and_map_Symbols}', "");
Expect(0, 128768, '\p{ IN_Transport_and_map_Symbols}', "");
Expect(1, 128768, '\p{^ IN_Transport_and_map_Symbols}', "");
Expect(1, 128768, '\P{ IN_Transport_and_map_Symbols}', "");
Expect(0, 128768, '\P{^ IN_Transport_and_map_Symbols}', "");
Error('\p{:=-transport_And_Map}');
Error('\P{:=-transport_And_Map}');
Expect(1, 128767, '\p{transportandmap}', "");
Expect(0, 128767, '\p{^transportandmap}', "");
Expect(0, 128767, '\P{transportandmap}', "");
Expect(1, 128767, '\P{^transportandmap}', "");
Expect(0, 128768, '\p{transportandmap}', "");
Expect(1, 128768, '\p{^transportandmap}', "");
Expect(1, 128768, '\P{transportandmap}', "");
Expect(0, 128768, '\P{^transportandmap}', "");
Expect(1, 128767, '\p{_TRANSPORT_and_map}', "");
Expect(0, 128767, '\p{^_TRANSPORT_and_map}', "");
Expect(0, 128767, '\P{_TRANSPORT_and_map}', "");
Expect(1, 128767, '\P{^_TRANSPORT_and_map}', "");
Expect(0, 128768, '\p{_TRANSPORT_and_map}', "");
Expect(1, 128768, '\p{^_TRANSPORT_and_map}', "");
Expect(1, 128768, '\P{_TRANSPORT_and_map}', "");
Expect(0, 128768, '\P{^_TRANSPORT_and_map}', "");
Error('\p{:=IS_Transport_and_Map}');
Error('\P{:=IS_Transport_and_Map}');
Expect(1, 128767, '\p{istransportandmap}', "");
Expect(0, 128767, '\p{^istransportandmap}', "");
Expect(0, 128767, '\P{istransportandmap}', "");
Expect(1, 128767, '\P{^istransportandmap}', "");
Expect(0, 128768, '\p{istransportandmap}', "");
Expect(1, 128768, '\p{^istransportandmap}', "");
Expect(1, 128768, '\P{istransportandmap}', "");
Expect(0, 128768, '\P{^istransportandmap}', "");
Expect(1, 128767, '\p{		Is_Transport_and_Map}', "");
Expect(0, 128767, '\p{^		Is_Transport_and_Map}', "");
Expect(0, 128767, '\P{		Is_Transport_and_Map}', "");
Expect(1, 128767, '\P{^		Is_Transport_and_Map}', "");
Expect(0, 128768, '\p{		Is_Transport_and_Map}', "");
Expect(1, 128768, '\p{^		Is_Transport_and_Map}', "");
Expect(1, 128768, '\P{		Is_Transport_and_Map}', "");
Expect(0, 128768, '\P{^		Is_Transport_and_Map}', "");
Error('\p{/a/In_Transport_And_map}');
Error('\P{/a/In_Transport_And_map}');
Expect(1, 128767, '\p{intransportandmap}', "");
Expect(0, 128767, '\p{^intransportandmap}', "");
Expect(0, 128767, '\P{intransportandmap}', "");
Expect(1, 128767, '\P{^intransportandmap}', "");
Expect(0, 128768, '\p{intransportandmap}', "");
Expect(1, 128768, '\p{^intransportandmap}', "");
Expect(1, 128768, '\P{intransportandmap}', "");
Expect(0, 128768, '\P{^intransportandmap}', "");
Expect(1, 128767, '\p{ 	In_TRANSPORT_and_map}', "");
Expect(0, 128767, '\p{^ 	In_TRANSPORT_and_map}', "");
Expect(0, 128767, '\P{ 	In_TRANSPORT_and_map}', "");
Expect(1, 128767, '\P{^ 	In_TRANSPORT_and_map}', "");
Expect(0, 128768, '\p{ 	In_TRANSPORT_and_map}', "");
Expect(1, 128768, '\p{^ 	In_TRANSPORT_and_map}', "");
Expect(1, 128768, '\P{ 	In_TRANSPORT_and_map}', "");
Expect(0, 128768, '\P{^ 	In_TRANSPORT_and_map}', "");
Error('\p{:=_-Ugaritic}');
Error('\P{:=_-Ugaritic}');
Expect(1, 66463, '\p{ugaritic}', "");
Expect(0, 66463, '\p{^ugaritic}', "");
Expect(0, 66463, '\P{ugaritic}', "");
Expect(1, 66463, '\P{^ugaritic}', "");
Expect(0, 66464, '\p{ugaritic}', "");
Expect(1, 66464, '\p{^ugaritic}', "");
Expect(1, 66464, '\P{ugaritic}', "");
Expect(0, 66464, '\P{^ugaritic}', "");
Expect(1, 66463, '\p{  UGARITIC}', "");
Expect(0, 66463, '\p{^  UGARITIC}', "");
Expect(0, 66463, '\P{  UGARITIC}', "");
Expect(1, 66463, '\P{^  UGARITIC}', "");
Expect(0, 66464, '\p{  UGARITIC}', "");
Expect(1, 66464, '\p{^  UGARITIC}', "");
Expect(1, 66464, '\P{  UGARITIC}', "");
Expect(0, 66464, '\P{^  UGARITIC}', "");
Error('\p{_Is_UGARITIC:=}');
Error('\P{_Is_UGARITIC:=}');
Expect(1, 66463, '\p{isugaritic}', "");
Expect(0, 66463, '\p{^isugaritic}', "");
Expect(0, 66463, '\P{isugaritic}', "");
Expect(1, 66463, '\P{^isugaritic}', "");
Expect(0, 66464, '\p{isugaritic}', "");
Expect(1, 66464, '\p{^isugaritic}', "");
Expect(1, 66464, '\P{isugaritic}', "");
Expect(0, 66464, '\P{^isugaritic}', "");
Expect(1, 66463, '\p{	_Is_UGARITIC}', "");
Expect(0, 66463, '\p{^	_Is_UGARITIC}', "");
Expect(0, 66463, '\P{	_Is_UGARITIC}', "");
Expect(1, 66463, '\P{^	_Is_UGARITIC}', "");
Expect(0, 66464, '\p{	_Is_UGARITIC}', "");
Expect(1, 66464, '\p{^	_Is_UGARITIC}', "");
Expect(1, 66464, '\P{	_Is_UGARITIC}', "");
Expect(0, 66464, '\P{^	_Is_UGARITIC}', "");
Error('\p{:=-ugar}');
Error('\P{:=-ugar}');
Expect(1, 66463, '\p{ugar}', "");
Expect(0, 66463, '\p{^ugar}', "");
Expect(0, 66463, '\P{ugar}', "");
Expect(1, 66463, '\P{^ugar}', "");
Expect(0, 66464, '\p{ugar}', "");
Expect(1, 66464, '\p{^ugar}', "");
Expect(1, 66464, '\P{ugar}', "");
Expect(0, 66464, '\P{^ugar}', "");
Expect(1, 66463, '\p{__ugar}', "");
Expect(0, 66463, '\p{^__ugar}', "");
Expect(0, 66463, '\P{__ugar}', "");
Expect(1, 66463, '\P{^__ugar}', "");
Expect(0, 66464, '\p{__ugar}', "");
Expect(1, 66464, '\p{^__ugar}', "");
Expect(1, 66464, '\P{__ugar}', "");
Expect(0, 66464, '\P{^__ugar}', "");
Error('\p{	IS_UGAR/a/}');
Error('\P{	IS_UGAR/a/}');
Expect(1, 66463, '\p{isugar}', "");
Expect(0, 66463, '\p{^isugar}', "");
Expect(0, 66463, '\P{isugar}', "");
Expect(1, 66463, '\P{^isugar}', "");
Expect(0, 66464, '\p{isugar}', "");
Expect(1, 66464, '\p{^isugar}', "");
Expect(1, 66464, '\P{isugar}', "");
Expect(0, 66464, '\P{^isugar}', "");
Expect(1, 66463, '\p{  Is_UGAR}', "");
Expect(0, 66463, '\p{^  Is_UGAR}', "");
Expect(0, 66463, '\P{  Is_UGAR}', "");
Expect(1, 66463, '\P{^  Is_UGAR}', "");
Expect(0, 66464, '\p{  Is_UGAR}', "");
Expect(1, 66464, '\p{^  Is_UGAR}', "");
Expect(1, 66464, '\P{  Is_UGAR}', "");
Expect(0, 66464, '\P{^  Is_UGAR}', "");
Error('\p{- unassigned:=}');
Error('\P{- unassigned:=}');
Expect(1, 918000, '\p{unassigned}', "");
Expect(0, 918000, '\p{^unassigned}', "");
Expect(0, 918000, '\P{unassigned}', "");
Expect(1, 918000, '\P{^unassigned}', "");
Expect(0, 1114109, '\p{unassigned}', "");
Expect(1, 1114109, '\p{^unassigned}', "");
Expect(1, 1114109, '\P{unassigned}', "");
Expect(0, 1114109, '\P{^unassigned}', "");
Expect(1, 918000, '\p{  Unassigned}', "");
Expect(0, 918000, '\p{^  Unassigned}', "");
Expect(0, 918000, '\P{  Unassigned}', "");
Expect(1, 918000, '\P{^  Unassigned}', "");
Expect(0, 1114109, '\p{  Unassigned}', "");
Expect(1, 1114109, '\p{^  Unassigned}', "");
Expect(1, 1114109, '\P{  Unassigned}', "");
Expect(0, 1114109, '\P{^  Unassigned}', "");
Error('\p{/a/_ Is_unassigned}');
Error('\P{/a/_ Is_unassigned}');
Expect(1, 918000, '\p{isunassigned}', "");
Expect(0, 918000, '\p{^isunassigned}', "");
Expect(0, 918000, '\P{isunassigned}', "");
Expect(1, 918000, '\P{^isunassigned}', "");
Expect(0, 1114109, '\p{isunassigned}', "");
Expect(1, 1114109, '\p{^isunassigned}', "");
Expect(1, 1114109, '\P{isunassigned}', "");
Expect(0, 1114109, '\P{^isunassigned}', "");
Expect(1, 918000, '\p{	_Is_unassigned}', "");
Expect(0, 918000, '\p{^	_Is_unassigned}', "");
Expect(0, 918000, '\P{	_Is_unassigned}', "");
Expect(1, 918000, '\P{^	_Is_unassigned}', "");
Expect(0, 1114109, '\p{	_Is_unassigned}', "");
Expect(1, 1114109, '\p{^	_Is_unassigned}', "");
Expect(1, 1114109, '\P{	_Is_unassigned}', "");
Expect(0, 1114109, '\P{^	_Is_unassigned}', "");
Error('\p{:=CN}');
Error('\P{:=CN}');
Expect(1, 918000, '\p{cn}', "");
Expect(0, 918000, '\p{^cn}', "");
Expect(0, 918000, '\P{cn}', "");
Expect(1, 918000, '\P{^cn}', "");
Expect(0, 1114109, '\p{cn}', "");
Expect(1, 1114109, '\p{^cn}', "");
Expect(1, 1114109, '\P{cn}', "");
Expect(0, 1114109, '\P{^cn}', "");
Expect(1, 918000, '\p{-_CN}', "");
Expect(0, 918000, '\p{^-_CN}', "");
Expect(0, 918000, '\P{-_CN}', "");
Expect(1, 918000, '\P{^-_CN}', "");
Expect(0, 1114109, '\p{-_CN}', "");
Expect(1, 1114109, '\p{^-_CN}', "");
Expect(1, 1114109, '\P{-_CN}', "");
Expect(0, 1114109, '\P{^-_CN}', "");
Error('\p{  IS_Cn:=}');
Error('\P{  IS_Cn:=}');
Expect(1, 918000, '\p{iscn}', "");
Expect(0, 918000, '\p{^iscn}', "");
Expect(0, 918000, '\P{iscn}', "");
Expect(1, 918000, '\P{^iscn}', "");
Expect(0, 1114109, '\p{iscn}', "");
Expect(1, 1114109, '\p{^iscn}', "");
Expect(1, 1114109, '\P{iscn}', "");
Expect(0, 1114109, '\P{^iscn}', "");
Expect(1, 918000, '\p{	-is_Cn}', "");
Expect(0, 918000, '\p{^	-is_Cn}', "");
Expect(0, 918000, '\P{	-is_Cn}', "");
Expect(1, 918000, '\P{^	-is_Cn}', "");
Expect(0, 1114109, '\p{	-is_Cn}', "");
Expect(1, 1114109, '\p{^	-is_Cn}', "");
Expect(1, 1114109, '\P{	-is_Cn}', "");
Expect(0, 1114109, '\P{^	-is_Cn}', "");
Error('\p{:=-UNIFIED_canadian_Aboriginal_SYLLABICS}');
Error('\P{:=-UNIFIED_canadian_Aboriginal_SYLLABICS}');
Expect(1, 5759, '\p{unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\p{^unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\P{unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\P{^unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\p{unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\p{^unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\P{unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\P{^unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\p{_	unified_CANADIAN_aboriginal_Syllabics}', "");
Expect(0, 5759, '\p{^_	unified_CANADIAN_aboriginal_Syllabics}', "");
Expect(0, 5759, '\P{_	unified_CANADIAN_aboriginal_Syllabics}', "");
Expect(1, 5759, '\P{^_	unified_CANADIAN_aboriginal_Syllabics}', "");
Expect(0, 5760, '\p{_	unified_CANADIAN_aboriginal_Syllabics}', "");
Expect(1, 5760, '\p{^_	unified_CANADIAN_aboriginal_Syllabics}', "");
Expect(1, 5760, '\P{_	unified_CANADIAN_aboriginal_Syllabics}', "");
Expect(0, 5760, '\P{^_	unified_CANADIAN_aboriginal_Syllabics}', "");
Error('\p{ -IS_Unified_Canadian_Aboriginal_Syllabics/a/}');
Error('\P{ -IS_Unified_Canadian_Aboriginal_Syllabics/a/}');
Expect(1, 5759, '\p{isunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\p{^isunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\P{isunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\P{^isunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\p{isunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\p{^isunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\P{isunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\P{^isunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\p{ -Is_unified_Canadian_ABORIGINAL_SYLLABICS}', "");
Expect(0, 5759, '\p{^ -Is_unified_Canadian_ABORIGINAL_SYLLABICS}', "");
Expect(0, 5759, '\P{ -Is_unified_Canadian_ABORIGINAL_SYLLABICS}', "");
Expect(1, 5759, '\P{^ -Is_unified_Canadian_ABORIGINAL_SYLLABICS}', "");
Expect(0, 5760, '\p{ -Is_unified_Canadian_ABORIGINAL_SYLLABICS}', "");
Expect(1, 5760, '\p{^ -Is_unified_Canadian_ABORIGINAL_SYLLABICS}', "");
Expect(1, 5760, '\P{ -Is_unified_Canadian_ABORIGINAL_SYLLABICS}', "");
Expect(0, 5760, '\P{^ -Is_unified_Canadian_ABORIGINAL_SYLLABICS}', "");
Error('\p{:=-IN_Unified_Canadian_ABORIGINAL_Syllabics}');
Error('\P{:=-IN_Unified_Canadian_ABORIGINAL_Syllabics}');
Expect(1, 5759, '\p{inunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\p{^inunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\P{inunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\P{^inunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\p{inunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\p{^inunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\P{inunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\P{^inunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\p{	-IN_Unified_canadian_ABORIGINAL_SYLLABICS}', "");
Expect(0, 5759, '\p{^	-IN_Unified_canadian_ABORIGINAL_SYLLABICS}', "");
Expect(0, 5759, '\P{	-IN_Unified_canadian_ABORIGINAL_SYLLABICS}', "");
Expect(1, 5759, '\P{^	-IN_Unified_canadian_ABORIGINAL_SYLLABICS}', "");
Expect(0, 5760, '\p{	-IN_Unified_canadian_ABORIGINAL_SYLLABICS}', "");
Expect(1, 5760, '\p{^	-IN_Unified_canadian_ABORIGINAL_SYLLABICS}', "");
Expect(1, 5760, '\P{	-IN_Unified_canadian_ABORIGINAL_SYLLABICS}', "");
Expect(0, 5760, '\P{^	-IN_Unified_canadian_ABORIGINAL_SYLLABICS}', "");
Error('\p{:=	-UCAS}');
Error('\P{:=	-UCAS}');
Expect(1, 5759, '\p{ucas}', "");
Expect(0, 5759, '\p{^ucas}', "");
Expect(0, 5759, '\P{ucas}', "");
Expect(1, 5759, '\P{^ucas}', "");
Expect(0, 5760, '\p{ucas}', "");
Expect(1, 5760, '\p{^ucas}', "");
Expect(1, 5760, '\P{ucas}', "");
Expect(0, 5760, '\P{^ucas}', "");
Expect(1, 5759, '\p{ UCAS}', "");
Expect(0, 5759, '\p{^ UCAS}', "");
Expect(0, 5759, '\P{ UCAS}', "");
Expect(1, 5759, '\P{^ UCAS}', "");
Expect(0, 5760, '\p{ UCAS}', "");
Expect(1, 5760, '\p{^ UCAS}', "");
Expect(1, 5760, '\P{ UCAS}', "");
Expect(0, 5760, '\P{^ UCAS}', "");
Error('\p{Is_UCAS:=}');
Error('\P{Is_UCAS:=}');
Expect(1, 5759, '\p{isucas}', "");
Expect(0, 5759, '\p{^isucas}', "");
Expect(0, 5759, '\P{isucas}', "");
Expect(1, 5759, '\P{^isucas}', "");
Expect(0, 5760, '\p{isucas}', "");
Expect(1, 5760, '\p{^isucas}', "");
Expect(1, 5760, '\P{isucas}', "");
Expect(0, 5760, '\P{^isucas}', "");
Expect(1, 5759, '\p{-IS_UCAS}', "");
Expect(0, 5759, '\p{^-IS_UCAS}', "");
Expect(0, 5759, '\P{-IS_UCAS}', "");
Expect(1, 5759, '\P{^-IS_UCAS}', "");
Expect(0, 5760, '\p{-IS_UCAS}', "");
Expect(1, 5760, '\p{^-IS_UCAS}', "");
Expect(1, 5760, '\P{-IS_UCAS}', "");
Expect(0, 5760, '\P{^-IS_UCAS}', "");
Error('\p{	:=IN_UCAS}');
Error('\P{	:=IN_UCAS}');
Expect(1, 5759, '\p{inucas}', "");
Expect(0, 5759, '\p{^inucas}', "");
Expect(0, 5759, '\P{inucas}', "");
Expect(1, 5759, '\P{^inucas}', "");
Expect(0, 5760, '\p{inucas}', "");
Expect(1, 5760, '\p{^inucas}', "");
Expect(1, 5760, '\P{inucas}', "");
Expect(0, 5760, '\P{^inucas}', "");
Expect(1, 5759, '\p{		In_UCAS}', "");
Expect(0, 5759, '\p{^		In_UCAS}', "");
Expect(0, 5759, '\P{		In_UCAS}', "");
Expect(1, 5759, '\P{^		In_UCAS}', "");
Expect(0, 5760, '\p{		In_UCAS}', "");
Expect(1, 5760, '\p{^		In_UCAS}', "");
Expect(1, 5760, '\P{		In_UCAS}', "");
Expect(0, 5760, '\P{^		In_UCAS}', "");
Error('\p{ :=canadian_SYLLABICS}');
Error('\P{ :=canadian_SYLLABICS}');
Expect(1, 5759, '\p{canadiansyllabics}', "");
Expect(0, 5759, '\p{^canadiansyllabics}', "");
Expect(0, 5759, '\P{canadiansyllabics}', "");
Expect(1, 5759, '\P{^canadiansyllabics}', "");
Expect(0, 5760, '\p{canadiansyllabics}', "");
Expect(1, 5760, '\p{^canadiansyllabics}', "");
Expect(1, 5760, '\P{canadiansyllabics}', "");
Expect(0, 5760, '\P{^canadiansyllabics}', "");
Expect(1, 5759, '\p{ _CANADIAN_syllabics}', "");
Expect(0, 5759, '\p{^ _CANADIAN_syllabics}', "");
Expect(0, 5759, '\P{ _CANADIAN_syllabics}', "");
Expect(1, 5759, '\P{^ _CANADIAN_syllabics}', "");
Expect(0, 5760, '\p{ _CANADIAN_syllabics}', "");
Expect(1, 5760, '\p{^ _CANADIAN_syllabics}', "");
Expect(1, 5760, '\P{ _CANADIAN_syllabics}', "");
Expect(0, 5760, '\P{^ _CANADIAN_syllabics}', "");
Error('\p{_ Is_Canadian_Syllabics/a/}');
Error('\P{_ Is_Canadian_Syllabics/a/}');
Expect(1, 5759, '\p{iscanadiansyllabics}', "");
Expect(0, 5759, '\p{^iscanadiansyllabics}', "");
Expect(0, 5759, '\P{iscanadiansyllabics}', "");
Expect(1, 5759, '\P{^iscanadiansyllabics}', "");
Expect(0, 5760, '\p{iscanadiansyllabics}', "");
Expect(1, 5760, '\p{^iscanadiansyllabics}', "");
Expect(1, 5760, '\P{iscanadiansyllabics}', "");
Expect(0, 5760, '\P{^iscanadiansyllabics}', "");
Expect(1, 5759, '\p{Is_Canadian_Syllabics}', "");
Expect(0, 5759, '\p{^Is_Canadian_Syllabics}', "");
Expect(0, 5759, '\P{Is_Canadian_Syllabics}', "");
Expect(1, 5759, '\P{^Is_Canadian_Syllabics}', "");
Expect(0, 5760, '\p{Is_Canadian_Syllabics}', "");
Expect(1, 5760, '\p{^Is_Canadian_Syllabics}', "");
Expect(1, 5760, '\P{Is_Canadian_Syllabics}', "");
Expect(0, 5760, '\P{^Is_Canadian_Syllabics}', "");
Error('\p{  IN_canadian_Syllabics:=}');
Error('\P{  IN_canadian_Syllabics:=}');
Expect(1, 5759, '\p{incanadiansyllabics}', "");
Expect(0, 5759, '\p{^incanadiansyllabics}', "");
Expect(0, 5759, '\P{incanadiansyllabics}', "");
Expect(1, 5759, '\P{^incanadiansyllabics}', "");
Expect(0, 5760, '\p{incanadiansyllabics}', "");
Expect(1, 5760, '\p{^incanadiansyllabics}', "");
Expect(1, 5760, '\P{incanadiansyllabics}', "");
Expect(0, 5760, '\P{^incanadiansyllabics}', "");
Expect(1, 5759, '\p{ _in_canadian_SYLLABICS}', "");
Expect(0, 5759, '\p{^ _in_canadian_SYLLABICS}', "");
Expect(0, 5759, '\P{ _in_canadian_SYLLABICS}', "");
Expect(1, 5759, '\P{^ _in_canadian_SYLLABICS}', "");
Expect(0, 5760, '\p{ _in_canadian_SYLLABICS}', "");
Expect(1, 5760, '\p{^ _in_canadian_SYLLABICS}', "");
Expect(1, 5760, '\P{ _in_canadian_SYLLABICS}', "");
Expect(0, 5760, '\P{^ _in_canadian_SYLLABICS}', "");
Error('\p{	 Unified_Canadian_ABORIGINAL_syllabics_extended/a/}');
Error('\P{	 Unified_Canadian_ABORIGINAL_syllabics_extended/a/}');
Expect(1, 6399, '\p{unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\p{unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\p{^unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\P{unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\P{^unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{	_UNIFIED_Canadian_Aboriginal_Syllabics_Extended}', "");
Expect(0, 6399, '\p{^	_UNIFIED_Canadian_Aboriginal_Syllabics_Extended}', "");
Expect(0, 6399, '\P{	_UNIFIED_Canadian_Aboriginal_Syllabics_Extended}', "");
Expect(1, 6399, '\P{^	_UNIFIED_Canadian_Aboriginal_Syllabics_Extended}', "");
Expect(0, 6400, '\p{	_UNIFIED_Canadian_Aboriginal_Syllabics_Extended}', "");
Expect(1, 6400, '\p{^	_UNIFIED_Canadian_Aboriginal_Syllabics_Extended}', "");
Expect(1, 6400, '\P{	_UNIFIED_Canadian_Aboriginal_Syllabics_Extended}', "");
Expect(0, 6400, '\P{^	_UNIFIED_Canadian_Aboriginal_Syllabics_Extended}', "");
Error('\p{:=		is_UNIFIED_Canadian_ABORIGINAL_syllabics_extended}');
Error('\P{:=		is_UNIFIED_Canadian_ABORIGINAL_syllabics_extended}');
Expect(1, 6399, '\p{isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\p{isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\p{^isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\P{isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\P{^isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{ -is_Unified_Canadian_Aboriginal_SYLLABICS_Extended}', "");
Expect(0, 6399, '\p{^ -is_Unified_Canadian_Aboriginal_SYLLABICS_Extended}', "");
Expect(0, 6399, '\P{ -is_Unified_Canadian_Aboriginal_SYLLABICS_Extended}', "");
Expect(1, 6399, '\P{^ -is_Unified_Canadian_Aboriginal_SYLLABICS_Extended}', "");
Expect(0, 6400, '\p{ -is_Unified_Canadian_Aboriginal_SYLLABICS_Extended}', "");
Expect(1, 6400, '\p{^ -is_Unified_Canadian_Aboriginal_SYLLABICS_Extended}', "");
Expect(1, 6400, '\P{ -is_Unified_Canadian_Aboriginal_SYLLABICS_Extended}', "");
Expect(0, 6400, '\P{^ -is_Unified_Canadian_Aboriginal_SYLLABICS_Extended}', "");
Error('\p{/a/-	In_UNIFIED_Canadian_Aboriginal_Syllabics_extended}');
Error('\P{/a/-	In_UNIFIED_Canadian_Aboriginal_Syllabics_extended}');
Expect(1, 6399, '\p{inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\p{inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\p{^inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\P{inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\P{^inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{-in_unified_canadian_Aboriginal_Syllabics_Extended}', "");
Expect(0, 6399, '\p{^-in_unified_canadian_Aboriginal_Syllabics_Extended}', "");
Expect(0, 6399, '\P{-in_unified_canadian_Aboriginal_Syllabics_Extended}', "");
Expect(1, 6399, '\P{^-in_unified_canadian_Aboriginal_Syllabics_Extended}', "");
Expect(0, 6400, '\p{-in_unified_canadian_Aboriginal_Syllabics_Extended}', "");
Expect(1, 6400, '\p{^-in_unified_canadian_Aboriginal_Syllabics_Extended}', "");
Expect(1, 6400, '\P{-in_unified_canadian_Aboriginal_Syllabics_Extended}', "");
Expect(0, 6400, '\P{^-in_unified_canadian_Aboriginal_Syllabics_Extended}', "");
Error('\p{	:=ucas_EXT}');
Error('\P{	:=ucas_EXT}');
Expect(1, 6399, '\p{ucasext}', "");
Expect(0, 6399, '\p{^ucasext}', "");
Expect(0, 6399, '\P{ucasext}', "");
Expect(1, 6399, '\P{^ucasext}', "");
Expect(0, 6400, '\p{ucasext}', "");
Expect(1, 6400, '\p{^ucasext}', "");
Expect(1, 6400, '\P{ucasext}', "");
Expect(0, 6400, '\P{^ucasext}', "");
Expect(1, 6399, '\p{ UCAS_Ext}', "");
Expect(0, 6399, '\p{^ UCAS_Ext}', "");
Expect(0, 6399, '\P{ UCAS_Ext}', "");
Expect(1, 6399, '\P{^ UCAS_Ext}', "");
Expect(0, 6400, '\p{ UCAS_Ext}', "");
Expect(1, 6400, '\p{^ UCAS_Ext}', "");
Expect(1, 6400, '\P{ UCAS_Ext}', "");
Expect(0, 6400, '\P{^ UCAS_Ext}', "");
Error('\p{:=- Is_ucas_ext}');
Error('\P{:=- Is_ucas_ext}');
Expect(1, 6399, '\p{isucasext}', "");
Expect(0, 6399, '\p{^isucasext}', "");
Expect(0, 6399, '\P{isucasext}', "");
Expect(1, 6399, '\P{^isucasext}', "");
Expect(0, 6400, '\p{isucasext}', "");
Expect(1, 6400, '\p{^isucasext}', "");
Expect(1, 6400, '\P{isucasext}', "");
Expect(0, 6400, '\P{^isucasext}', "");
Expect(1, 6399, '\p{ -Is_UCAS_Ext}', "");
Expect(0, 6399, '\p{^ -Is_UCAS_Ext}', "");
Expect(0, 6399, '\P{ -Is_UCAS_Ext}', "");
Expect(1, 6399, '\P{^ -Is_UCAS_Ext}', "");
Expect(0, 6400, '\p{ -Is_UCAS_Ext}', "");
Expect(1, 6400, '\p{^ -Is_UCAS_Ext}', "");
Expect(1, 6400, '\P{ -Is_UCAS_Ext}', "");
Expect(0, 6400, '\P{^ -Is_UCAS_Ext}', "");
Error('\p{:=in_UCAS_ext}');
Error('\P{:=in_UCAS_ext}');
Expect(1, 6399, '\p{inucasext}', "");
Expect(0, 6399, '\p{^inucasext}', "");
Expect(0, 6399, '\P{inucasext}', "");
Expect(1, 6399, '\P{^inucasext}', "");
Expect(0, 6400, '\p{inucasext}', "");
Expect(1, 6400, '\p{^inucasext}', "");
Expect(1, 6400, '\P{inucasext}', "");
Expect(0, 6400, '\P{^inucasext}', "");
Expect(1, 6399, '\p{ IN_UCAS_EXT}', "");
Expect(0, 6399, '\p{^ IN_UCAS_EXT}', "");
Expect(0, 6399, '\P{ IN_UCAS_EXT}', "");
Expect(1, 6399, '\P{^ IN_UCAS_EXT}', "");
Expect(0, 6400, '\p{ IN_UCAS_EXT}', "");
Expect(1, 6400, '\p{^ IN_UCAS_EXT}', "");
Expect(1, 6400, '\P{ IN_UCAS_EXT}', "");
Expect(0, 6400, '\P{^ IN_UCAS_EXT}', "");
Error('\p{/a/	-Unified_ideograph}');
Error('\P{/a/	-Unified_ideograph}');
Expect(1, 178205, '\p{unifiedideograph}', "");
Expect(0, 178205, '\p{^unifiedideograph}', "");
Expect(0, 178205, '\P{unifiedideograph}', "");
Expect(1, 178205, '\P{^unifiedideograph}', "");
Expect(0, 178206, '\p{unifiedideograph}', "");
Expect(1, 178206, '\p{^unifiedideograph}', "");
Expect(1, 178206, '\P{unifiedideograph}', "");
Expect(0, 178206, '\P{^unifiedideograph}', "");
Expect(1, 178205, '\p{-	Unified_ideograph}', "");
Expect(0, 178205, '\p{^-	Unified_ideograph}', "");
Expect(0, 178205, '\P{-	Unified_ideograph}', "");
Expect(1, 178205, '\P{^-	Unified_ideograph}', "");
Expect(0, 178206, '\p{-	Unified_ideograph}', "");
Expect(1, 178206, '\p{^-	Unified_ideograph}', "");
Expect(1, 178206, '\P{-	Unified_ideograph}', "");
Expect(0, 178206, '\P{^-	Unified_ideograph}', "");
Error('\p{	is_Unified_Ideograph:=}');
Error('\P{	is_Unified_Ideograph:=}');
Expect(1, 178205, '\p{isunifiedideograph}', "");
Expect(0, 178205, '\p{^isunifiedideograph}', "");
Expect(0, 178205, '\P{isunifiedideograph}', "");
Expect(1, 178205, '\P{^isunifiedideograph}', "");
Expect(0, 178206, '\p{isunifiedideograph}', "");
Expect(1, 178206, '\p{^isunifiedideograph}', "");
Expect(1, 178206, '\P{isunifiedideograph}', "");
Expect(0, 178206, '\P{^isunifiedideograph}', "");
Expect(1, 178205, '\p{ 	Is_Unified_ideograph}', "");
Expect(0, 178205, '\p{^ 	Is_Unified_ideograph}', "");
Expect(0, 178205, '\P{ 	Is_Unified_ideograph}', "");
Expect(1, 178205, '\P{^ 	Is_Unified_ideograph}', "");
Expect(0, 178206, '\p{ 	Is_Unified_ideograph}', "");
Expect(1, 178206, '\p{^ 	Is_Unified_ideograph}', "");
Expect(1, 178206, '\P{ 	Is_Unified_ideograph}', "");
Expect(0, 178206, '\P{^ 	Is_Unified_ideograph}', "");
Error('\p{ _UIDEO/a/}');
Error('\P{ _UIDEO/a/}');
Expect(1, 178205, '\p{uideo}', "");
Expect(0, 178205, '\p{^uideo}', "");
Expect(0, 178205, '\P{uideo}', "");
Expect(1, 178205, '\P{^uideo}', "");
Expect(0, 178206, '\p{uideo}', "");
Expect(1, 178206, '\p{^uideo}', "");
Expect(1, 178206, '\P{uideo}', "");
Expect(0, 178206, '\P{^uideo}', "");
Expect(1, 178205, '\p{	uideo}', "");
Expect(0, 178205, '\p{^	uideo}', "");
Expect(0, 178205, '\P{	uideo}', "");
Expect(1, 178205, '\P{^	uideo}', "");
Expect(0, 178206, '\p{	uideo}', "");
Expect(1, 178206, '\p{^	uideo}', "");
Expect(1, 178206, '\P{	uideo}', "");
Expect(0, 178206, '\P{^	uideo}', "");
Error('\p{	/a/Is_UIDEO}');
Error('\P{	/a/Is_UIDEO}');
Expect(1, 178205, '\p{isuideo}', "");
Expect(0, 178205, '\p{^isuideo}', "");
Expect(0, 178205, '\P{isuideo}', "");
Expect(1, 178205, '\P{^isuideo}', "");
Expect(0, 178206, '\p{isuideo}', "");
Expect(1, 178206, '\p{^isuideo}', "");
Expect(1, 178206, '\P{isuideo}', "");
Expect(0, 178206, '\P{^isuideo}', "");
Expect(1, 178205, '\p{ Is_uideo}', "");
Expect(0, 178205, '\p{^ Is_uideo}', "");
Expect(0, 178205, '\P{ Is_uideo}', "");
Expect(1, 178205, '\P{^ Is_uideo}', "");
Expect(0, 178206, '\p{ Is_uideo}', "");
Expect(1, 178206, '\p{^ Is_uideo}', "");
Expect(1, 178206, '\P{ Is_uideo}', "");
Expect(0, 178206, '\P{^ Is_uideo}', "");
Error('\p{:= 	unknown}');
Error('\P{:= 	unknown}');
Expect(1, 918000, '\p{unknown}', "");
Expect(0, 918000, '\p{^unknown}', "");
Expect(0, 918000, '\P{unknown}', "");
Expect(1, 918000, '\P{^unknown}', "");
Expect(0, 917999, '\p{unknown}', "");
Expect(1, 917999, '\p{^unknown}', "");
Expect(1, 917999, '\P{unknown}', "");
Expect(0, 917999, '\P{^unknown}', "");
Expect(1, 918000, '\p{-UNKNOWN}', "");
Expect(0, 918000, '\p{^-UNKNOWN}', "");
Expect(0, 918000, '\P{-UNKNOWN}', "");
Expect(1, 918000, '\P{^-UNKNOWN}', "");
Expect(0, 917999, '\p{-UNKNOWN}', "");
Expect(1, 917999, '\p{^-UNKNOWN}', "");
Expect(1, 917999, '\P{-UNKNOWN}', "");
Expect(0, 917999, '\P{^-UNKNOWN}', "");
Error('\p{_ is_UNKNOWN:=}');
Error('\P{_ is_UNKNOWN:=}');
Expect(1, 918000, '\p{isunknown}', "");
Expect(0, 918000, '\p{^isunknown}', "");
Expect(0, 918000, '\P{isunknown}', "");
Expect(1, 918000, '\P{^isunknown}', "");
Expect(0, 917999, '\p{isunknown}', "");
Expect(1, 917999, '\p{^isunknown}', "");
Expect(1, 917999, '\P{isunknown}', "");
Expect(0, 917999, '\P{^isunknown}', "");
Expect(1, 918000, '\p{_is_UNKNOWN}', "");
Expect(0, 918000, '\p{^_is_UNKNOWN}', "");
Expect(0, 918000, '\P{_is_UNKNOWN}', "");
Expect(1, 918000, '\P{^_is_UNKNOWN}', "");
Expect(0, 917999, '\p{_is_UNKNOWN}', "");
Expect(1, 917999, '\p{^_is_UNKNOWN}', "");
Expect(1, 917999, '\P{_is_UNKNOWN}', "");
Expect(0, 917999, '\P{^_is_UNKNOWN}', "");
Error('\p{_/a/Zzzz}');
Error('\P{_/a/Zzzz}');
Expect(1, 918000, '\p{zzzz}', "");
Expect(0, 918000, '\p{^zzzz}', "");
Expect(0, 918000, '\P{zzzz}', "");
Expect(1, 918000, '\P{^zzzz}', "");
Expect(0, 917999, '\p{zzzz}', "");
Expect(1, 917999, '\p{^zzzz}', "");
Expect(1, 917999, '\P{zzzz}', "");
Expect(0, 917999, '\P{^zzzz}', "");
Expect(1, 918000, '\p{--zzzz}', "");
Expect(0, 918000, '\p{^--zzzz}', "");
Expect(0, 918000, '\P{--zzzz}', "");
Expect(1, 918000, '\P{^--zzzz}', "");
Expect(0, 917999, '\p{--zzzz}', "");
Expect(1, 917999, '\p{^--zzzz}', "");
Expect(1, 917999, '\P{--zzzz}', "");
Expect(0, 917999, '\P{^--zzzz}', "");
Error('\p{_ IS_Zzzz/a/}');
Error('\P{_ IS_Zzzz/a/}');
Expect(1, 918000, '\p{iszzzz}', "");
Expect(0, 918000, '\p{^iszzzz}', "");
Expect(0, 918000, '\P{iszzzz}', "");
Expect(1, 918000, '\P{^iszzzz}', "");
Expect(0, 917999, '\p{iszzzz}', "");
Expect(1, 917999, '\p{^iszzzz}', "");
Expect(1, 917999, '\P{iszzzz}', "");
Expect(0, 917999, '\P{^iszzzz}', "");
Expect(1, 918000, '\p{		IS_zzzz}', "");
Expect(0, 918000, '\p{^		IS_zzzz}', "");
Expect(0, 918000, '\P{		IS_zzzz}', "");
Expect(1, 918000, '\P{^		IS_zzzz}', "");
Expect(0, 917999, '\p{		IS_zzzz}', "");
Expect(1, 917999, '\p{^		IS_zzzz}', "");
Expect(1, 917999, '\P{		IS_zzzz}', "");
Expect(0, 917999, '\P{^		IS_zzzz}', "");
Error('\p{Uppercase_letter:=}');
Error('\P{Uppercase_letter:=}');
Expect(1, 120778, '\p{uppercaseletter}', "");
Expect(0, 120778, '\p{^uppercaseletter}', "");
Expect(0, 120778, '\P{uppercaseletter}', "");
Expect(1, 120778, '\P{^uppercaseletter}', "");
Expect(0, 120779, '\p{uppercaseletter}', "");
Expect(1, 120779, '\p{^uppercaseletter}', "");
Expect(1, 120779, '\P{uppercaseletter}', "");
Expect(0, 120779, '\P{^uppercaseletter}', "");
Expect(1, 120778, '\p{	 Uppercase_LETTER}', "");
Expect(0, 120778, '\p{^	 Uppercase_LETTER}', "");
Expect(0, 120778, '\P{	 Uppercase_LETTER}', "");
Expect(1, 120778, '\P{^	 Uppercase_LETTER}', "");
Expect(0, 120779, '\p{	 Uppercase_LETTER}', "");
Expect(1, 120779, '\p{^	 Uppercase_LETTER}', "");
Expect(1, 120779, '\P{	 Uppercase_LETTER}', "");
Expect(0, 120779, '\P{^	 Uppercase_LETTER}', "");
Error('\p{	-Is_uppercase_LETTER/a/}');
Error('\P{	-Is_uppercase_LETTER/a/}');
Expect(1, 120778, '\p{isuppercaseletter}', "");
Expect(0, 120778, '\p{^isuppercaseletter}', "");
Expect(0, 120778, '\P{isuppercaseletter}', "");
Expect(1, 120778, '\P{^isuppercaseletter}', "");
Expect(0, 120779, '\p{isuppercaseletter}', "");
Expect(1, 120779, '\p{^isuppercaseletter}', "");
Expect(1, 120779, '\P{isuppercaseletter}', "");
Expect(0, 120779, '\P{^isuppercaseletter}', "");
Expect(1, 120778, '\p{ Is_UPPERCASE_letter}', "");
Expect(0, 120778, '\p{^ Is_UPPERCASE_letter}', "");
Expect(0, 120778, '\P{ Is_UPPERCASE_letter}', "");
Expect(1, 120778, '\P{^ Is_UPPERCASE_letter}', "");
Expect(0, 120779, '\p{ Is_UPPERCASE_letter}', "");
Expect(1, 120779, '\p{^ Is_UPPERCASE_letter}', "");
Expect(1, 120779, '\P{ Is_UPPERCASE_letter}', "");
Expect(0, 120779, '\P{^ Is_UPPERCASE_letter}', "");
Error('\p{	_Lu:=}');
Error('\P{	_Lu:=}');
Expect(1, 120778, '\p{lu}', "");
Expect(0, 120778, '\p{^lu}', "");
Expect(0, 120778, '\P{lu}', "");
Expect(1, 120778, '\P{^lu}', "");
Expect(0, 120779, '\p{lu}', "");
Expect(1, 120779, '\p{^lu}', "");
Expect(1, 120779, '\P{lu}', "");
Expect(0, 120779, '\P{^lu}', "");
Expect(1, 120778, '\p{ -Lu}', "");
Expect(0, 120778, '\p{^ -Lu}', "");
Expect(0, 120778, '\P{ -Lu}', "");
Expect(1, 120778, '\P{^ -Lu}', "");
Expect(0, 120779, '\p{ -Lu}', "");
Expect(1, 120779, '\p{^ -Lu}', "");
Expect(1, 120779, '\P{ -Lu}', "");
Expect(0, 120779, '\P{^ -Lu}', "");
Error('\p{	 IS_LU/a/}');
Error('\P{	 IS_LU/a/}');
Expect(1, 120778, '\p{islu}', "");
Expect(0, 120778, '\p{^islu}', "");
Expect(0, 120778, '\P{islu}', "");
Expect(1, 120778, '\P{^islu}', "");
Expect(0, 120779, '\p{islu}', "");
Expect(1, 120779, '\p{^islu}', "");
Expect(1, 120779, '\P{islu}', "");
Expect(0, 120779, '\P{^islu}', "");
Expect(1, 120778, '\p{	Is_lu}', "");
Expect(0, 120778, '\p{^	Is_lu}', "");
Expect(0, 120778, '\P{	Is_lu}', "");
Expect(1, 120778, '\P{^	Is_lu}', "");
Expect(0, 120779, '\p{	Is_lu}', "");
Expect(1, 120779, '\p{^	Is_lu}', "");
Expect(1, 120779, '\P{	Is_lu}', "");
Expect(0, 120779, '\P{^	Is_lu}', "");
Error('\p{ VAI/a/}');
Error('\P{ VAI/a/}');
Expect(1, 42539, '\p{vai}', "");
Expect(0, 42539, '\p{^vai}', "");
Expect(0, 42539, '\P{vai}', "");
Expect(1, 42539, '\P{^vai}', "");
Expect(0, 42540, '\p{vai}', "");
Expect(1, 42540, '\p{^vai}', "");
Expect(1, 42540, '\P{vai}', "");
Expect(0, 42540, '\P{^vai}', "");
Expect(1, 42539, '\p{	 vai}', "");
Expect(0, 42539, '\p{^	 vai}', "");
Expect(0, 42539, '\P{	 vai}', "");
Expect(1, 42539, '\P{^	 vai}', "");
Expect(0, 42540, '\p{	 vai}', "");
Expect(1, 42540, '\p{^	 vai}', "");
Expect(1, 42540, '\P{	 vai}', "");
Expect(0, 42540, '\P{^	 vai}', "");
Error('\p{	-Is_Vai/a/}');
Error('\P{	-Is_Vai/a/}');
Expect(1, 42539, '\p{isvai}', "");
Expect(0, 42539, '\p{^isvai}', "");
Expect(0, 42539, '\P{isvai}', "");
Expect(1, 42539, '\P{^isvai}', "");
Expect(0, 42540, '\p{isvai}', "");
Expect(1, 42540, '\p{^isvai}', "");
Expect(1, 42540, '\P{isvai}', "");
Expect(0, 42540, '\P{^isvai}', "");
Expect(1, 42539, '\p{	Is_VAI}', "");
Expect(0, 42539, '\p{^	Is_VAI}', "");
Expect(0, 42539, '\P{	Is_VAI}', "");
Expect(1, 42539, '\P{^	Is_VAI}', "");
Expect(0, 42540, '\p{	Is_VAI}', "");
Expect(1, 42540, '\p{^	Is_VAI}', "");
Expect(1, 42540, '\P{	Is_VAI}', "");
Expect(0, 42540, '\P{^	Is_VAI}', "");
Error('\p{/a/vaii}');
Error('\P{/a/vaii}');
Expect(1, 42539, '\p{vaii}', "");
Expect(0, 42539, '\p{^vaii}', "");
Expect(0, 42539, '\P{vaii}', "");
Expect(1, 42539, '\P{^vaii}', "");
Expect(0, 42540, '\p{vaii}', "");
Expect(1, 42540, '\p{^vaii}', "");
Expect(1, 42540, '\P{vaii}', "");
Expect(0, 42540, '\P{^vaii}', "");
Expect(1, 42539, '\p{	Vaii}', "");
Expect(0, 42539, '\p{^	Vaii}', "");
Expect(0, 42539, '\P{	Vaii}', "");
Expect(1, 42539, '\P{^	Vaii}', "");
Expect(0, 42540, '\p{	Vaii}', "");
Expect(1, 42540, '\p{^	Vaii}', "");
Expect(1, 42540, '\P{	Vaii}', "");
Expect(0, 42540, '\P{^	Vaii}', "");
Error('\p{/a/	_Is_Vaii}');
Error('\P{/a/	_Is_Vaii}');
Expect(1, 42539, '\p{isvaii}', "");
Expect(0, 42539, '\p{^isvaii}', "");
Expect(0, 42539, '\P{isvaii}', "");
Expect(1, 42539, '\P{^isvaii}', "");
Expect(0, 42540, '\p{isvaii}', "");
Expect(1, 42540, '\p{^isvaii}', "");
Expect(1, 42540, '\P{isvaii}', "");
Expect(0, 42540, '\P{^isvaii}', "");
Expect(1, 42539, '\p{-_Is_Vaii}', "");
Expect(0, 42539, '\p{^-_Is_Vaii}', "");
Expect(0, 42539, '\P{-_Is_Vaii}', "");
Expect(1, 42539, '\P{^-_Is_Vaii}', "");
Expect(0, 42540, '\p{-_Is_Vaii}', "");
Expect(1, 42540, '\p{^-_Is_Vaii}', "");
Expect(1, 42540, '\P{-_Is_Vaii}', "");
Expect(0, 42540, '\P{^-_Is_Vaii}', "");
Error('\p{	/a/variation_Selector}');
Error('\P{	/a/variation_Selector}');
Expect(1, 917999, '\p{variationselector}', "");
Expect(0, 917999, '\p{^variationselector}', "");
Expect(0, 917999, '\P{variationselector}', "");
Expect(1, 917999, '\P{^variationselector}', "");
Expect(0, 918000, '\p{variationselector}', "");
Expect(1, 918000, '\p{^variationselector}', "");
Expect(1, 918000, '\P{variationselector}', "");
Expect(0, 918000, '\P{^variationselector}', "");
Expect(1, 917999, '\p{  Variation_SELECTOR}', "");
Expect(0, 917999, '\p{^  Variation_SELECTOR}', "");
Expect(0, 917999, '\P{  Variation_SELECTOR}', "");
Expect(1, 917999, '\P{^  Variation_SELECTOR}', "");
Expect(0, 918000, '\p{  Variation_SELECTOR}', "");
Expect(1, 918000, '\p{^  Variation_SELECTOR}', "");
Expect(1, 918000, '\P{  Variation_SELECTOR}', "");
Expect(0, 918000, '\P{^  Variation_SELECTOR}', "");
Error('\p{_ IS_Variation_Selector/a/}');
Error('\P{_ IS_Variation_Selector/a/}');
Expect(1, 917999, '\p{isvariationselector}', "");
Expect(0, 917999, '\p{^isvariationselector}', "");
Expect(0, 917999, '\P{isvariationselector}', "");
Expect(1, 917999, '\P{^isvariationselector}', "");
Expect(0, 918000, '\p{isvariationselector}', "");
Expect(1, 918000, '\p{^isvariationselector}', "");
Expect(1, 918000, '\P{isvariationselector}', "");
Expect(0, 918000, '\P{^isvariationselector}', "");
Expect(1, 917999, '\p{	Is_Variation_SELECTOR}', "");
Expect(0, 917999, '\p{^	Is_Variation_SELECTOR}', "");
Expect(0, 917999, '\P{	Is_Variation_SELECTOR}', "");
Expect(1, 917999, '\P{^	Is_Variation_SELECTOR}', "");
Expect(0, 918000, '\p{	Is_Variation_SELECTOR}', "");
Expect(1, 918000, '\p{^	Is_Variation_SELECTOR}', "");
Expect(1, 918000, '\P{	Is_Variation_SELECTOR}', "");
Expect(0, 918000, '\P{^	Is_Variation_SELECTOR}', "");
Error('\p{	:=vs}');
Error('\P{	:=vs}');
Expect(1, 917999, '\p{vs}', "");
Expect(0, 917999, '\p{^vs}', "");
Expect(0, 917999, '\P{vs}', "");
Expect(1, 917999, '\P{^vs}', "");
Expect(0, 918000, '\p{vs}', "");
Expect(1, 918000, '\p{^vs}', "");
Expect(1, 918000, '\P{vs}', "");
Expect(0, 918000, '\P{^vs}', "");
Expect(1, 917999, '\p{VS}', "");
Expect(0, 917999, '\p{^VS}', "");
Expect(0, 917999, '\P{VS}', "");
Expect(1, 917999, '\P{^VS}', "");
Expect(0, 918000, '\p{VS}', "");
Expect(1, 918000, '\p{^VS}', "");
Expect(1, 918000, '\P{VS}', "");
Expect(0, 918000, '\P{^VS}', "");
Error('\p{/a/_	Is_VS}');
Error('\P{/a/_	Is_VS}');
Expect(1, 917999, '\p{isvs}', "");
Expect(0, 917999, '\p{^isvs}', "");
Expect(0, 917999, '\P{isvs}', "");
Expect(1, 917999, '\P{^isvs}', "");
Expect(0, 918000, '\p{isvs}', "");
Expect(1, 918000, '\p{^isvs}', "");
Expect(1, 918000, '\P{isvs}', "");
Expect(0, 918000, '\P{^isvs}', "");
Expect(1, 917999, '\p{	_IS_VS}', "");
Expect(0, 917999, '\p{^	_IS_VS}', "");
Expect(0, 917999, '\P{	_IS_VS}', "");
Expect(1, 917999, '\P{^	_IS_VS}', "");
Expect(0, 918000, '\p{	_IS_VS}', "");
Expect(1, 918000, '\p{^	_IS_VS}', "");
Expect(1, 918000, '\P{	_IS_VS}', "");
Expect(0, 918000, '\P{^	_IS_VS}', "");
Error('\p{:=Variation_SELECTORS}');
Error('\P{:=Variation_SELECTORS}');
Expect(1, 65039, '\p{variationselectors}', "");
Expect(0, 65039, '\p{^variationselectors}', "");
Expect(0, 65039, '\P{variationselectors}', "");
Expect(1, 65039, '\P{^variationselectors}', "");
Expect(0, 65040, '\p{variationselectors}', "");
Expect(1, 65040, '\p{^variationselectors}', "");
Expect(1, 65040, '\P{variationselectors}', "");
Expect(0, 65040, '\P{^variationselectors}', "");
Expect(1, 65039, '\p{ variation_SELECTORS}', "");
Expect(0, 65039, '\p{^ variation_SELECTORS}', "");
Expect(0, 65039, '\P{ variation_SELECTORS}', "");
Expect(1, 65039, '\P{^ variation_SELECTORS}', "");
Expect(0, 65040, '\p{ variation_SELECTORS}', "");
Expect(1, 65040, '\p{^ variation_SELECTORS}', "");
Expect(1, 65040, '\P{ variation_SELECTORS}', "");
Expect(0, 65040, '\P{^ variation_SELECTORS}', "");
Error('\p{	 is_Variation_Selectors:=}');
Error('\P{	 is_Variation_Selectors:=}');
Expect(1, 65039, '\p{isvariationselectors}', "");
Expect(0, 65039, '\p{^isvariationselectors}', "");
Expect(0, 65039, '\P{isvariationselectors}', "");
Expect(1, 65039, '\P{^isvariationselectors}', "");
Expect(0, 65040, '\p{isvariationselectors}', "");
Expect(1, 65040, '\p{^isvariationselectors}', "");
Expect(1, 65040, '\P{isvariationselectors}', "");
Expect(0, 65040, '\P{^isvariationselectors}', "");
Expect(1, 65039, '\p{	 is_variation_selectors}', "");
Expect(0, 65039, '\p{^	 is_variation_selectors}', "");
Expect(0, 65039, '\P{	 is_variation_selectors}', "");
Expect(1, 65039, '\P{^	 is_variation_selectors}', "");
Expect(0, 65040, '\p{	 is_variation_selectors}', "");
Expect(1, 65040, '\p{^	 is_variation_selectors}', "");
Expect(1, 65040, '\P{	 is_variation_selectors}', "");
Expect(0, 65040, '\P{^	 is_variation_selectors}', "");
Error('\p{/a/	_IN_Variation_selectors}');
Error('\P{/a/	_IN_Variation_selectors}');
Expect(1, 65039, '\p{invariationselectors}', "");
Expect(0, 65039, '\p{^invariationselectors}', "");
Expect(0, 65039, '\P{invariationselectors}', "");
Expect(1, 65039, '\P{^invariationselectors}', "");
Expect(0, 65040, '\p{invariationselectors}', "");
Expect(1, 65040, '\p{^invariationselectors}', "");
Expect(1, 65040, '\P{invariationselectors}', "");
Expect(0, 65040, '\P{^invariationselectors}', "");
Expect(1, 65039, '\p{_In_Variation_Selectors}', "");
Expect(0, 65039, '\p{^_In_Variation_Selectors}', "");
Expect(0, 65039, '\P{_In_Variation_Selectors}', "");
Expect(1, 65039, '\P{^_In_Variation_Selectors}', "");
Expect(0, 65040, '\p{_In_Variation_Selectors}', "");
Expect(1, 65040, '\p{^_In_Variation_Selectors}', "");
Expect(1, 65040, '\P{_In_Variation_Selectors}', "");
Expect(0, 65040, '\P{^_In_Variation_Selectors}', "");
Error('\p{/a/ 	IN_VS}');
Error('\P{/a/ 	IN_VS}');
Expect(1, 65039, '\p{invs}', "");
Expect(0, 65039, '\p{^invs}', "");
Expect(0, 65039, '\P{invs}', "");
Expect(1, 65039, '\P{^invs}', "");
Expect(0, 65040, '\p{invs}', "");
Expect(1, 65040, '\p{^invs}', "");
Expect(1, 65040, '\P{invs}', "");
Expect(0, 65040, '\P{^invs}', "");
Expect(1, 65039, '\p{ in_VS}', "");
Expect(0, 65039, '\p{^ in_VS}', "");
Expect(0, 65039, '\P{ in_VS}', "");
Expect(1, 65039, '\P{^ in_VS}', "");
Expect(0, 65040, '\p{ in_VS}', "");
Expect(1, 65040, '\p{^ in_VS}', "");
Expect(1, 65040, '\P{ in_VS}', "");
Expect(0, 65040, '\P{^ in_VS}', "");
Error('\p{-/a/VARIATION_Selectors_SUPPLEMENT}');
Error('\P{-/a/VARIATION_Selectors_SUPPLEMENT}');
Expect(1, 917999, '\p{variationselectorssupplement}', "");
Expect(0, 917999, '\p{^variationselectorssupplement}', "");
Expect(0, 917999, '\P{variationselectorssupplement}', "");
Expect(1, 917999, '\P{^variationselectorssupplement}', "");
Expect(0, 918000, '\p{variationselectorssupplement}', "");
Expect(1, 918000, '\p{^variationselectorssupplement}', "");
Expect(1, 918000, '\P{variationselectorssupplement}', "");
Expect(0, 918000, '\P{^variationselectorssupplement}', "");
Expect(1, 917999, '\p{	Variation_Selectors_Supplement}', "");
Expect(0, 917999, '\p{^	Variation_Selectors_Supplement}', "");
Expect(0, 917999, '\P{	Variation_Selectors_Supplement}', "");
Expect(1, 917999, '\P{^	Variation_Selectors_Supplement}', "");
Expect(0, 918000, '\p{	Variation_Selectors_Supplement}', "");
Expect(1, 918000, '\p{^	Variation_Selectors_Supplement}', "");
Expect(1, 918000, '\P{	Variation_Selectors_Supplement}', "");
Expect(0, 918000, '\P{^	Variation_Selectors_Supplement}', "");
Error('\p{/a/_-Is_Variation_Selectors_Supplement}');
Error('\P{/a/_-Is_Variation_Selectors_Supplement}');
Expect(1, 917999, '\p{isvariationselectorssupplement}', "");
Expect(0, 917999, '\p{^isvariationselectorssupplement}', "");
Expect(0, 917999, '\P{isvariationselectorssupplement}', "");
Expect(1, 917999, '\P{^isvariationselectorssupplement}', "");
Expect(0, 918000, '\p{isvariationselectorssupplement}', "");
Expect(1, 918000, '\p{^isvariationselectorssupplement}', "");
Expect(1, 918000, '\P{isvariationselectorssupplement}', "");
Expect(0, 918000, '\P{^isvariationselectorssupplement}', "");
Expect(1, 917999, '\p{_ Is_variation_SELECTORS_Supplement}', "");
Expect(0, 917999, '\p{^_ Is_variation_SELECTORS_Supplement}', "");
Expect(0, 917999, '\P{_ Is_variation_SELECTORS_Supplement}', "");
Expect(1, 917999, '\P{^_ Is_variation_SELECTORS_Supplement}', "");
Expect(0, 918000, '\p{_ Is_variation_SELECTORS_Supplement}', "");
Expect(1, 918000, '\p{^_ Is_variation_SELECTORS_Supplement}', "");
Expect(1, 918000, '\P{_ Is_variation_SELECTORS_Supplement}', "");
Expect(0, 918000, '\P{^_ Is_variation_SELECTORS_Supplement}', "");
Error('\p{	-in_Variation_SELECTORS_Supplement/a/}');
Error('\P{	-in_Variation_SELECTORS_Supplement/a/}');
Expect(1, 917999, '\p{invariationselectorssupplement}', "");
Expect(0, 917999, '\p{^invariationselectorssupplement}', "");
Expect(0, 917999, '\P{invariationselectorssupplement}', "");
Expect(1, 917999, '\P{^invariationselectorssupplement}', "");
Expect(0, 918000, '\p{invariationselectorssupplement}', "");
Expect(1, 918000, '\p{^invariationselectorssupplement}', "");
Expect(1, 918000, '\P{invariationselectorssupplement}', "");
Expect(0, 918000, '\P{^invariationselectorssupplement}', "");
Expect(1, 917999, '\p{	In_VARIATION_SELECTORS_Supplement}', "");
Expect(0, 917999, '\p{^	In_VARIATION_SELECTORS_Supplement}', "");
Expect(0, 917999, '\P{	In_VARIATION_SELECTORS_Supplement}', "");
Expect(1, 917999, '\P{^	In_VARIATION_SELECTORS_Supplement}', "");
Expect(0, 918000, '\p{	In_VARIATION_SELECTORS_Supplement}', "");
Expect(1, 918000, '\p{^	In_VARIATION_SELECTORS_Supplement}', "");
Expect(1, 918000, '\P{	In_VARIATION_SELECTORS_Supplement}', "");
Expect(0, 918000, '\P{^	In_VARIATION_SELECTORS_Supplement}', "");
Error('\p{/a/-_VS_SUP}');
Error('\P{/a/-_VS_SUP}');
Expect(1, 917999, '\p{vssup}', "");
Expect(0, 917999, '\p{^vssup}', "");
Expect(0, 917999, '\P{vssup}', "");
Expect(1, 917999, '\P{^vssup}', "");
Expect(0, 918000, '\p{vssup}', "");
Expect(1, 918000, '\p{^vssup}', "");
Expect(1, 918000, '\P{vssup}', "");
Expect(0, 918000, '\P{^vssup}', "");
Expect(1, 917999, '\p{-VS_Sup}', "");
Expect(0, 917999, '\p{^-VS_Sup}', "");
Expect(0, 917999, '\P{-VS_Sup}', "");
Expect(1, 917999, '\P{^-VS_Sup}', "");
Expect(0, 918000, '\p{-VS_Sup}', "");
Expect(1, 918000, '\p{^-VS_Sup}', "");
Expect(1, 918000, '\P{-VS_Sup}', "");
Expect(0, 918000, '\P{^-VS_Sup}', "");
Error('\p{:=	Is_vs_SUP}');
Error('\P{:=	Is_vs_SUP}');
Expect(1, 917999, '\p{isvssup}', "");
Expect(0, 917999, '\p{^isvssup}', "");
Expect(0, 917999, '\P{isvssup}', "");
Expect(1, 917999, '\P{^isvssup}', "");
Expect(0, 918000, '\p{isvssup}', "");
Expect(1, 918000, '\p{^isvssup}', "");
Expect(1, 918000, '\P{isvssup}', "");
Expect(0, 918000, '\P{^isvssup}', "");
Expect(1, 917999, '\p{-	Is_vs_sup}', "");
Expect(0, 917999, '\p{^-	Is_vs_sup}', "");
Expect(0, 917999, '\P{-	Is_vs_sup}', "");
Expect(1, 917999, '\P{^-	Is_vs_sup}', "");
Expect(0, 918000, '\p{-	Is_vs_sup}', "");
Expect(1, 918000, '\p{^-	Is_vs_sup}', "");
Expect(1, 918000, '\P{-	Is_vs_sup}', "");
Expect(0, 918000, '\P{^-	Is_vs_sup}', "");
Error('\p{_IN_VS_Sup/a/}');
Error('\P{_IN_VS_Sup/a/}');
Expect(1, 917999, '\p{invssup}', "");
Expect(0, 917999, '\p{^invssup}', "");
Expect(0, 917999, '\P{invssup}', "");
Expect(1, 917999, '\P{^invssup}', "");
Expect(0, 918000, '\p{invssup}', "");
Expect(1, 918000, '\p{^invssup}', "");
Expect(1, 918000, '\P{invssup}', "");
Expect(0, 918000, '\P{^invssup}', "");
Expect(1, 917999, '\p{-in_vs_Sup}', "");
Expect(0, 917999, '\p{^-in_vs_Sup}', "");
Expect(0, 917999, '\P{-in_vs_Sup}', "");
Expect(1, 917999, '\P{^-in_vs_Sup}', "");
Expect(0, 918000, '\p{-in_vs_Sup}', "");
Expect(1, 918000, '\p{^-in_vs_Sup}', "");
Expect(1, 918000, '\P{-in_vs_Sup}', "");
Expect(0, 918000, '\P{^-in_vs_Sup}', "");
Error('\p{:= 	VEDIC_Extensions}');
Error('\P{:= 	VEDIC_Extensions}');
Expect(1, 7423, '\p{vedicextensions}', "");
Expect(0, 7423, '\p{^vedicextensions}', "");
Expect(0, 7423, '\P{vedicextensions}', "");
Expect(1, 7423, '\P{^vedicextensions}', "");
Expect(0, 7424, '\p{vedicextensions}', "");
Expect(1, 7424, '\p{^vedicextensions}', "");
Expect(1, 7424, '\P{vedicextensions}', "");
Expect(0, 7424, '\P{^vedicextensions}', "");
Expect(1, 7423, '\p{-Vedic_EXTENSIONS}', "");
Expect(0, 7423, '\p{^-Vedic_EXTENSIONS}', "");
Expect(0, 7423, '\P{-Vedic_EXTENSIONS}', "");
Expect(1, 7423, '\P{^-Vedic_EXTENSIONS}', "");
Expect(0, 7424, '\p{-Vedic_EXTENSIONS}', "");
Expect(1, 7424, '\p{^-Vedic_EXTENSIONS}', "");
Expect(1, 7424, '\P{-Vedic_EXTENSIONS}', "");
Expect(0, 7424, '\P{^-Vedic_EXTENSIONS}', "");
Error('\p{ /a/Is_vedic_extensions}');
Error('\P{ /a/Is_vedic_extensions}');
Expect(1, 7423, '\p{isvedicextensions}', "");
Expect(0, 7423, '\p{^isvedicextensions}', "");
Expect(0, 7423, '\P{isvedicextensions}', "");
Expect(1, 7423, '\P{^isvedicextensions}', "");
Expect(0, 7424, '\p{isvedicextensions}', "");
Expect(1, 7424, '\p{^isvedicextensions}', "");
Expect(1, 7424, '\P{isvedicextensions}', "");
Expect(0, 7424, '\P{^isvedicextensions}', "");
Expect(1, 7423, '\p{		Is_Vedic_Extensions}', "");
Expect(0, 7423, '\p{^		Is_Vedic_Extensions}', "");
Expect(0, 7423, '\P{		Is_Vedic_Extensions}', "");
Expect(1, 7423, '\P{^		Is_Vedic_Extensions}', "");
Expect(0, 7424, '\p{		Is_Vedic_Extensions}', "");
Expect(1, 7424, '\p{^		Is_Vedic_Extensions}', "");
Expect(1, 7424, '\P{		Is_Vedic_Extensions}', "");
Expect(0, 7424, '\P{^		Is_Vedic_Extensions}', "");
Error('\p{-:=In_vedic_Extensions}');
Error('\P{-:=In_vedic_Extensions}');
Expect(1, 7423, '\p{invedicextensions}', "");
Expect(0, 7423, '\p{^invedicextensions}', "");
Expect(0, 7423, '\P{invedicextensions}', "");
Expect(1, 7423, '\P{^invedicextensions}', "");
Expect(0, 7424, '\p{invedicextensions}', "");
Expect(1, 7424, '\p{^invedicextensions}', "");
Expect(1, 7424, '\P{invedicextensions}', "");
Expect(0, 7424, '\P{^invedicextensions}', "");
Expect(1, 7423, '\p{  In_Vedic_Extensions}', "");
Expect(0, 7423, '\p{^  In_Vedic_Extensions}', "");
Expect(0, 7423, '\P{  In_Vedic_Extensions}', "");
Expect(1, 7423, '\P{^  In_Vedic_Extensions}', "");
Expect(0, 7424, '\p{  In_Vedic_Extensions}', "");
Expect(1, 7424, '\p{^  In_Vedic_Extensions}', "");
Expect(1, 7424, '\P{  In_Vedic_Extensions}', "");
Expect(0, 7424, '\P{^  In_Vedic_Extensions}', "");
Error('\p{ Vedic_Ext:=}');
Error('\P{ Vedic_Ext:=}');
Expect(1, 7423, '\p{vedicext}', "");
Expect(0, 7423, '\p{^vedicext}', "");
Expect(0, 7423, '\P{vedicext}', "");
Expect(1, 7423, '\P{^vedicext}', "");
Expect(0, 7424, '\p{vedicext}', "");
Expect(1, 7424, '\p{^vedicext}', "");
Expect(1, 7424, '\P{vedicext}', "");
Expect(0, 7424, '\P{^vedicext}', "");
Expect(1, 7423, '\p{	Vedic_Ext}', "");
Expect(0, 7423, '\p{^	Vedic_Ext}', "");
Expect(0, 7423, '\P{	Vedic_Ext}', "");
Expect(1, 7423, '\P{^	Vedic_Ext}', "");
Expect(0, 7424, '\p{	Vedic_Ext}', "");
Expect(1, 7424, '\p{^	Vedic_Ext}', "");
Expect(1, 7424, '\P{	Vedic_Ext}', "");
Expect(0, 7424, '\P{^	Vedic_Ext}', "");
Error('\p{_-Is_Vedic_EXT/a/}');
Error('\P{_-Is_Vedic_EXT/a/}');
Expect(1, 7423, '\p{isvedicext}', "");
Expect(0, 7423, '\p{^isvedicext}', "");
Expect(0, 7423, '\P{isvedicext}', "");
Expect(1, 7423, '\P{^isvedicext}', "");
Expect(0, 7424, '\p{isvedicext}', "");
Expect(1, 7424, '\p{^isvedicext}', "");
Expect(1, 7424, '\P{isvedicext}', "");
Expect(0, 7424, '\P{^isvedicext}', "");
Expect(1, 7423, '\p{	is_VEDIC_EXT}', "");
Expect(0, 7423, '\p{^	is_VEDIC_EXT}', "");
Expect(0, 7423, '\P{	is_VEDIC_EXT}', "");
Expect(1, 7423, '\P{^	is_VEDIC_EXT}', "");
Expect(0, 7424, '\p{	is_VEDIC_EXT}', "");
Expect(1, 7424, '\p{^	is_VEDIC_EXT}', "");
Expect(1, 7424, '\P{	is_VEDIC_EXT}', "");
Expect(0, 7424, '\P{^	is_VEDIC_EXT}', "");
Error('\p{-:=In_vedic_Ext}');
Error('\P{-:=In_vedic_Ext}');
Expect(1, 7423, '\p{invedicext}', "");
Expect(0, 7423, '\p{^invedicext}', "");
Expect(0, 7423, '\P{invedicext}', "");
Expect(1, 7423, '\P{^invedicext}', "");
Expect(0, 7424, '\p{invedicext}', "");
Expect(1, 7424, '\p{^invedicext}', "");
Expect(1, 7424, '\P{invedicext}', "");
Expect(0, 7424, '\P{^invedicext}', "");
Expect(1, 7423, '\p{	 in_Vedic_ext}', "");
Expect(0, 7423, '\p{^	 in_Vedic_ext}', "");
Expect(0, 7423, '\P{	 in_Vedic_ext}', "");
Expect(1, 7423, '\P{^	 in_Vedic_ext}', "");
Expect(0, 7424, '\p{	 in_Vedic_ext}', "");
Expect(1, 7424, '\p{^	 in_Vedic_ext}', "");
Expect(1, 7424, '\P{	 in_Vedic_ext}', "");
Expect(0, 7424, '\P{^	 in_Vedic_ext}', "");
Error('\p{/a/  VERTSPACE}');
Error('\P{/a/  VERTSPACE}');
Expect(1, 8233, '\p{vertspace}', "");
Expect(0, 8233, '\p{^vertspace}', "");
Expect(0, 8233, '\P{vertspace}', "");
Expect(1, 8233, '\P{^vertspace}', "");
Expect(0, 8234, '\p{vertspace}', "");
Expect(1, 8234, '\p{^vertspace}', "");
Expect(1, 8234, '\P{vertspace}', "");
Expect(0, 8234, '\P{^vertspace}', "");
Expect(1, 8233, '\p{ VertSpace}', "");
Expect(0, 8233, '\p{^ VertSpace}', "");
Expect(0, 8233, '\P{ VertSpace}', "");
Expect(1, 8233, '\P{^ VertSpace}', "");
Expect(0, 8234, '\p{ VertSpace}', "");
Expect(1, 8234, '\p{^ VertSpace}', "");
Expect(1, 8234, '\P{ VertSpace}', "");
Expect(0, 8234, '\P{^ VertSpace}', "");
Error('\p{/a/--Is_VertSpace}');
Error('\P{/a/--Is_VertSpace}');
Expect(1, 8233, '\p{isvertspace}', "");
Expect(0, 8233, '\p{^isvertspace}', "");
Expect(0, 8233, '\P{isvertspace}', "");
Expect(1, 8233, '\P{^isvertspace}', "");
Expect(0, 8234, '\p{isvertspace}', "");
Expect(1, 8234, '\p{^isvertspace}', "");
Expect(1, 8234, '\P{isvertspace}', "");
Expect(0, 8234, '\P{^isvertspace}', "");
Expect(1, 8233, '\p{- IS_vertspace}', "");
Expect(0, 8233, '\p{^- IS_vertspace}', "");
Expect(0, 8233, '\P{- IS_vertspace}', "");
Expect(1, 8233, '\P{^- IS_vertspace}', "");
Expect(0, 8234, '\p{- IS_vertspace}', "");
Expect(1, 8234, '\p{^- IS_vertspace}', "");
Expect(1, 8234, '\P{- IS_vertspace}', "");
Expect(0, 8234, '\P{^- IS_vertspace}', "");
Error('\p{_/a/Vertical_FORMS}');
Error('\P{_/a/Vertical_FORMS}');
Expect(1, 65055, '\p{verticalforms}', "");
Expect(0, 65055, '\p{^verticalforms}', "");
Expect(0, 65055, '\P{verticalforms}', "");
Expect(1, 65055, '\P{^verticalforms}', "");
Expect(0, 65056, '\p{verticalforms}', "");
Expect(1, 65056, '\p{^verticalforms}', "");
Expect(1, 65056, '\P{verticalforms}', "");
Expect(0, 65056, '\P{^verticalforms}', "");
Expect(1, 65055, '\p{ VERTICAL_forms}', "");
Expect(0, 65055, '\p{^ VERTICAL_forms}', "");
Expect(0, 65055, '\P{ VERTICAL_forms}', "");
Expect(1, 65055, '\P{^ VERTICAL_forms}', "");
Expect(0, 65056, '\p{ VERTICAL_forms}', "");
Expect(1, 65056, '\p{^ VERTICAL_forms}', "");
Expect(1, 65056, '\P{ VERTICAL_forms}', "");
Expect(0, 65056, '\P{^ VERTICAL_forms}', "");
Error('\p{ -IS_Vertical_forms/a/}');
Error('\P{ -IS_Vertical_forms/a/}');
Expect(1, 65055, '\p{isverticalforms}', "");
Expect(0, 65055, '\p{^isverticalforms}', "");
Expect(0, 65055, '\P{isverticalforms}', "");
Expect(1, 65055, '\P{^isverticalforms}', "");
Expect(0, 65056, '\p{isverticalforms}', "");
Expect(1, 65056, '\p{^isverticalforms}', "");
Expect(1, 65056, '\P{isverticalforms}', "");
Expect(0, 65056, '\P{^isverticalforms}', "");
Expect(1, 65055, '\p{ is_Vertical_Forms}', "");
Expect(0, 65055, '\p{^ is_Vertical_Forms}', "");
Expect(0, 65055, '\P{ is_Vertical_Forms}', "");
Expect(1, 65055, '\P{^ is_Vertical_Forms}', "");
Expect(0, 65056, '\p{ is_Vertical_Forms}', "");
Expect(1, 65056, '\p{^ is_Vertical_Forms}', "");
Expect(1, 65056, '\P{ is_Vertical_Forms}', "");
Expect(0, 65056, '\P{^ is_Vertical_Forms}', "");
Error('\p{/a/		IN_Vertical_forms}');
Error('\P{/a/		IN_Vertical_forms}');
Expect(1, 65055, '\p{inverticalforms}', "");
Expect(0, 65055, '\p{^inverticalforms}', "");
Expect(0, 65055, '\P{inverticalforms}', "");
Expect(1, 65055, '\P{^inverticalforms}', "");
Expect(0, 65056, '\p{inverticalforms}', "");
Expect(1, 65056, '\p{^inverticalforms}', "");
Expect(1, 65056, '\P{inverticalforms}', "");
Expect(0, 65056, '\P{^inverticalforms}', "");
Expect(1, 65055, '\p{	 In_Vertical_Forms}', "");
Expect(0, 65055, '\p{^	 In_Vertical_Forms}', "");
Expect(0, 65055, '\P{	 In_Vertical_Forms}', "");
Expect(1, 65055, '\P{^	 In_Vertical_Forms}', "");
Expect(0, 65056, '\p{	 In_Vertical_Forms}', "");
Expect(1, 65056, '\p{^	 In_Vertical_Forms}', "");
Expect(1, 65056, '\P{	 In_Vertical_Forms}', "");
Expect(0, 65056, '\P{^	 In_Vertical_Forms}', "");
Error('\p{:=_ Warang_Citi}');
Error('\P{:=_ Warang_Citi}');
Expect(1, 71935, '\p{warangciti}', "");
Expect(0, 71935, '\p{^warangciti}', "");
Expect(0, 71935, '\P{warangciti}', "");
Expect(1, 71935, '\P{^warangciti}', "");
Expect(0, 71936, '\p{warangciti}', "");
Expect(1, 71936, '\p{^warangciti}', "");
Expect(1, 71936, '\P{warangciti}', "");
Expect(0, 71936, '\P{^warangciti}', "");
Expect(1, 71935, '\p{	 Warang_Citi}', "");
Expect(0, 71935, '\p{^	 Warang_Citi}', "");
Expect(0, 71935, '\P{	 Warang_Citi}', "");
Expect(1, 71935, '\P{^	 Warang_Citi}', "");
Expect(0, 71936, '\p{	 Warang_Citi}', "");
Expect(1, 71936, '\p{^	 Warang_Citi}', "");
Expect(1, 71936, '\P{	 Warang_Citi}', "");
Expect(0, 71936, '\P{^	 Warang_Citi}', "");
Error('\p{  is_Warang_Citi:=}');
Error('\P{  is_Warang_Citi:=}');
Expect(1, 71935, '\p{iswarangciti}', "");
Expect(0, 71935, '\p{^iswarangciti}', "");
Expect(0, 71935, '\P{iswarangciti}', "");
Expect(1, 71935, '\P{^iswarangciti}', "");
Expect(0, 71936, '\p{iswarangciti}', "");
Expect(1, 71936, '\p{^iswarangciti}', "");
Expect(1, 71936, '\P{iswarangciti}', "");
Expect(0, 71936, '\P{^iswarangciti}', "");
Expect(1, 71935, '\p{__is_Warang_CITI}', "");
Expect(0, 71935, '\p{^__is_Warang_CITI}', "");
Expect(0, 71935, '\P{__is_Warang_CITI}', "");
Expect(1, 71935, '\P{^__is_Warang_CITI}', "");
Expect(0, 71936, '\p{__is_Warang_CITI}', "");
Expect(1, 71936, '\p{^__is_Warang_CITI}', "");
Expect(1, 71936, '\P{__is_Warang_CITI}', "");
Expect(0, 71936, '\P{^__is_Warang_CITI}', "");
Error('\p{ Wara/a/}');
Error('\P{ Wara/a/}');
Expect(1, 71935, '\p{wara}', "");
Expect(0, 71935, '\p{^wara}', "");
Expect(0, 71935, '\P{wara}', "");
Expect(1, 71935, '\P{^wara}', "");
Expect(0, 71936, '\p{wara}', "");
Expect(1, 71936, '\p{^wara}', "");
Expect(1, 71936, '\P{wara}', "");
Expect(0, 71936, '\P{^wara}', "");
Expect(1, 71935, '\p{	_Wara}', "");
Expect(0, 71935, '\p{^	_Wara}', "");
Expect(0, 71935, '\P{	_Wara}', "");
Expect(1, 71935, '\P{^	_Wara}', "");
Expect(0, 71936, '\p{	_Wara}', "");
Expect(1, 71936, '\p{^	_Wara}', "");
Expect(1, 71936, '\P{	_Wara}', "");
Expect(0, 71936, '\P{^	_Wara}', "");
Error('\p{__is_WARA:=}');
Error('\P{__is_WARA:=}');
Expect(1, 71935, '\p{iswara}', "");
Expect(0, 71935, '\p{^iswara}', "");
Expect(0, 71935, '\P{iswara}', "");
Expect(1, 71935, '\P{^iswara}', "");
Expect(0, 71936, '\p{iswara}', "");
Expect(1, 71936, '\p{^iswara}', "");
Expect(1, 71936, '\P{iswara}', "");
Expect(0, 71936, '\P{^iswara}', "");
Expect(1, 71935, '\p{_IS_WARA}', "");
Expect(0, 71935, '\p{^_IS_WARA}', "");
Expect(0, 71935, '\P{_IS_WARA}', "");
Expect(1, 71935, '\P{^_IS_WARA}', "");
Expect(0, 71936, '\p{_IS_WARA}', "");
Expect(1, 71936, '\p{^_IS_WARA}', "");
Expect(1, 71936, '\P{_IS_WARA}', "");
Expect(0, 71936, '\P{^_IS_WARA}', "");
Error('\p{/a/_-White_Space}');
Error('\P{/a/_-White_Space}');
Expect(1, 12288, '\p{whitespace}', "");
Expect(0, 12288, '\p{^whitespace}', "");
Expect(0, 12288, '\P{whitespace}', "");
Expect(1, 12288, '\P{^whitespace}', "");
Expect(0, 12289, '\p{whitespace}', "");
Expect(1, 12289, '\p{^whitespace}', "");
Expect(1, 12289, '\P{whitespace}', "");
Expect(0, 12289, '\P{^whitespace}', "");
Expect(1, 12288, '\p{  WHITE_space}', "");
Expect(0, 12288, '\p{^  WHITE_space}', "");
Expect(0, 12288, '\P{  WHITE_space}', "");
Expect(1, 12288, '\P{^  WHITE_space}', "");
Expect(0, 12289, '\p{  WHITE_space}', "");
Expect(1, 12289, '\p{^  WHITE_space}', "");
Expect(1, 12289, '\P{  WHITE_space}', "");
Expect(0, 12289, '\P{^  WHITE_space}', "");
Error('\p{_	Is_White_SPACE/a/}');
Error('\P{_	Is_White_SPACE/a/}');
Expect(1, 12288, '\p{iswhitespace}', "");
Expect(0, 12288, '\p{^iswhitespace}', "");
Expect(0, 12288, '\P{iswhitespace}', "");
Expect(1, 12288, '\P{^iswhitespace}', "");
Expect(0, 12289, '\p{iswhitespace}', "");
Expect(1, 12289, '\p{^iswhitespace}', "");
Expect(1, 12289, '\P{iswhitespace}', "");
Expect(0, 12289, '\P{^iswhitespace}', "");
Expect(1, 12288, '\p{	_IS_White_Space}', "");
Expect(0, 12288, '\p{^	_IS_White_Space}', "");
Expect(0, 12288, '\P{	_IS_White_Space}', "");
Expect(1, 12288, '\P{^	_IS_White_Space}', "");
Expect(0, 12289, '\p{	_IS_White_Space}', "");
Expect(1, 12289, '\p{^	_IS_White_Space}', "");
Expect(1, 12289, '\P{	_IS_White_Space}', "");
Expect(0, 12289, '\P{^	_IS_White_Space}', "");
Error('\p{:=WSpace}');
Error('\P{:=WSpace}');
Expect(1, 12288, '\p{wspace}', "");
Expect(0, 12288, '\p{^wspace}', "");
Expect(0, 12288, '\P{wspace}', "");
Expect(1, 12288, '\P{^wspace}', "");
Expect(0, 12289, '\p{wspace}', "");
Expect(1, 12289, '\p{^wspace}', "");
Expect(1, 12289, '\P{wspace}', "");
Expect(0, 12289, '\P{^wspace}', "");
Expect(1, 12288, '\p{ _WSpace}', "");
Expect(0, 12288, '\p{^ _WSpace}', "");
Expect(0, 12288, '\P{ _WSpace}', "");
Expect(1, 12288, '\P{^ _WSpace}', "");
Expect(0, 12289, '\p{ _WSpace}', "");
Expect(1, 12289, '\p{^ _WSpace}', "");
Expect(1, 12289, '\P{ _WSpace}', "");
Expect(0, 12289, '\P{^ _WSpace}', "");
Error('\p{ /a/IS_WSpace}');
Error('\P{ /a/IS_WSpace}');
Expect(1, 12288, '\p{iswspace}', "");
Expect(0, 12288, '\p{^iswspace}', "");
Expect(0, 12288, '\P{iswspace}', "");
Expect(1, 12288, '\P{^iswspace}', "");
Expect(0, 12289, '\p{iswspace}', "");
Expect(1, 12289, '\p{^iswspace}', "");
Expect(1, 12289, '\P{iswspace}', "");
Expect(0, 12289, '\P{^iswspace}', "");
Expect(1, 12288, '\p{  Is_wspace}', "");
Expect(0, 12288, '\p{^  Is_wspace}', "");
Expect(0, 12288, '\P{  Is_wspace}', "");
Expect(1, 12288, '\P{^  Is_wspace}', "");
Expect(0, 12289, '\p{  Is_wspace}', "");
Expect(1, 12289, '\p{^  Is_wspace}', "");
Expect(1, 12289, '\P{  Is_wspace}', "");
Expect(0, 12289, '\P{^  Is_wspace}', "");
Error('\p{--Space/a/}');
Error('\P{--Space/a/}');
Expect(1, 12288, '\p{space}', "");
Expect(0, 12288, '\p{^space}', "");
Expect(0, 12288, '\P{space}', "");
Expect(1, 12288, '\P{^space}', "");
Expect(0, 12289, '\p{space}', "");
Expect(1, 12289, '\p{^space}', "");
Expect(1, 12289, '\P{space}', "");
Expect(0, 12289, '\P{^space}', "");
Expect(1, 12288, '\p{ Space}', "");
Expect(0, 12288, '\p{^ Space}', "");
Expect(0, 12288, '\P{ Space}', "");
Expect(1, 12288, '\P{^ Space}', "");
Expect(0, 12289, '\p{ Space}', "");
Expect(1, 12289, '\p{^ Space}', "");
Expect(1, 12289, '\P{ Space}', "");
Expect(0, 12289, '\P{^ Space}', "");
Error('\p{ Is_Space/a/}');
Error('\P{ Is_Space/a/}');
Expect(1, 12288, '\p{isspace}', "");
Expect(0, 12288, '\p{^isspace}', "");
Expect(0, 12288, '\P{isspace}', "");
Expect(1, 12288, '\P{^isspace}', "");
Expect(0, 12289, '\p{isspace}', "");
Expect(1, 12289, '\p{^isspace}', "");
Expect(1, 12289, '\P{isspace}', "");
Expect(0, 12289, '\P{^isspace}', "");
Expect(1, 12288, '\p{_	Is_SPACE}', "");
Expect(0, 12288, '\p{^_	Is_SPACE}', "");
Expect(0, 12288, '\P{_	Is_SPACE}', "");
Expect(1, 12288, '\P{^_	Is_SPACE}', "");
Expect(0, 12289, '\p{_	Is_SPACE}', "");
Expect(1, 12289, '\p{^_	Is_SPACE}', "");
Expect(1, 12289, '\P{_	Is_SPACE}', "");
Expect(0, 12289, '\P{^_	Is_SPACE}', "");
Error('\p{_-xposixword/a/}');
Error('\P{_-xposixword/a/}');
Expect(1, 917999, '\p{xposixword}', "");
Expect(0, 917999, '\p{^xposixword}', "");
Expect(0, 917999, '\P{xposixword}', "");
Expect(1, 917999, '\P{^xposixword}', "");
Expect(0, 918000, '\p{xposixword}', "");
Expect(1, 918000, '\p{^xposixword}', "");
Expect(1, 918000, '\P{xposixword}', "");
Expect(0, 918000, '\P{^xposixword}', "");
Expect(1, 917999, '\p{	XPOSIXWORD}', "");
Expect(0, 917999, '\p{^	XPOSIXWORD}', "");
Expect(0, 917999, '\P{	XPOSIXWORD}', "");
Expect(1, 917999, '\P{^	XPOSIXWORD}', "");
Expect(0, 918000, '\p{	XPOSIXWORD}', "");
Expect(1, 918000, '\p{^	XPOSIXWORD}', "");
Expect(1, 918000, '\P{	XPOSIXWORD}', "");
Expect(0, 918000, '\P{^	XPOSIXWORD}', "");
Error('\p{/a/Word}');
Error('\P{/a/Word}');
Expect(1, 917999, '\p{word}', "");
Expect(0, 917999, '\p{^word}', "");
Expect(0, 917999, '\P{word}', "");
Expect(1, 917999, '\P{^word}', "");
Expect(0, 918000, '\p{word}', "");
Expect(1, 918000, '\p{^word}', "");
Expect(1, 918000, '\P{word}', "");
Expect(0, 918000, '\P{^word}', "");
Expect(1, 917999, '\p{- Word}', "");
Expect(0, 917999, '\p{^- Word}', "");
Expect(0, 917999, '\P{- Word}', "");
Expect(1, 917999, '\P{^- Word}', "");
Expect(0, 918000, '\p{- Word}', "");
Expect(1, 918000, '\p{^- Word}', "");
Expect(1, 918000, '\P{- Word}', "");
Expect(0, 918000, '\P{^- Word}', "");
Error('\p{_ Is_xposixword:=}');
Error('\P{_ Is_xposixword:=}');
Expect(1, 917999, '\p{isxposixword}', "");
Expect(0, 917999, '\p{^isxposixword}', "");
Expect(0, 917999, '\P{isxposixword}', "");
Expect(1, 917999, '\P{^isxposixword}', "");
Expect(0, 918000, '\p{isxposixword}', "");
Expect(1, 918000, '\p{^isxposixword}', "");
Expect(1, 918000, '\P{isxposixword}', "");
Expect(0, 918000, '\P{^isxposixword}', "");
Expect(1, 917999, '\p{ IS_xposixword}', "");
Expect(0, 917999, '\p{^ IS_xposixword}', "");
Expect(0, 917999, '\P{ IS_xposixword}', "");
Expect(1, 917999, '\P{^ IS_xposixword}', "");
Expect(0, 918000, '\p{ IS_xposixword}', "");
Expect(1, 918000, '\p{^ IS_xposixword}', "");
Expect(1, 918000, '\P{ IS_xposixword}', "");
Expect(0, 918000, '\P{^ IS_xposixword}', "");
Error('\p{:=-is_Word}');
Error('\P{:=-is_Word}');
Expect(1, 917999, '\p{isword}', "");
Expect(0, 917999, '\p{^isword}', "");
Expect(0, 917999, '\P{isword}', "");
Expect(1, 917999, '\P{^isword}', "");
Expect(0, 918000, '\p{isword}', "");
Expect(1, 918000, '\p{^isword}', "");
Expect(1, 918000, '\P{isword}', "");
Expect(0, 918000, '\P{^isword}', "");
Expect(1, 917999, '\p{Is_Word}', "");
Expect(0, 917999, '\p{^Is_Word}', "");
Expect(0, 917999, '\P{Is_Word}', "");
Expect(1, 917999, '\P{^Is_Word}', "");
Expect(0, 918000, '\p{Is_Word}', "");
Expect(1, 918000, '\p{^Is_Word}', "");
Expect(1, 918000, '\P{Is_Word}', "");
Expect(0, 918000, '\P{^Is_Word}', "");
Error('\p{/a/-xposixxdigit}');
Error('\P{/a/-xposixxdigit}');
Expect(1, 65350, '\p{xposixxdigit}', "");
Expect(0, 65350, '\p{^xposixxdigit}', "");
Expect(0, 65350, '\P{xposixxdigit}', "");
Expect(1, 65350, '\P{^xposixxdigit}', "");
Expect(0, 65351, '\p{xposixxdigit}', "");
Expect(1, 65351, '\p{^xposixxdigit}', "");
Expect(1, 65351, '\P{xposixxdigit}', "");
Expect(0, 65351, '\P{^xposixxdigit}', "");
Expect(1, 65350, '\p{-xposixxdigit}', "");
Expect(0, 65350, '\p{^-xposixxdigit}', "");
Expect(0, 65350, '\P{-xposixxdigit}', "");
Expect(1, 65350, '\P{^-xposixxdigit}', "");
Expect(0, 65351, '\p{-xposixxdigit}', "");
Expect(1, 65351, '\p{^-xposixxdigit}', "");
Expect(1, 65351, '\P{-xposixxdigit}', "");
Expect(0, 65351, '\P{^-xposixxdigit}', "");
Error('\p{ /a/xdigit}');
Error('\P{ /a/xdigit}');
Expect(1, 65350, '\p{xdigit}', "");
Expect(0, 65350, '\p{^xdigit}', "");
Expect(0, 65350, '\P{xdigit}', "");
Expect(1, 65350, '\P{^xdigit}', "");
Expect(0, 65351, '\p{xdigit}', "");
Expect(1, 65351, '\p{^xdigit}', "");
Expect(1, 65351, '\P{xdigit}', "");
Expect(0, 65351, '\P{^xdigit}', "");
Expect(1, 65350, '\p{ xdigit}', "");
Expect(0, 65350, '\p{^ xdigit}', "");
Expect(0, 65350, '\P{ xdigit}', "");
Expect(1, 65350, '\P{^ xdigit}', "");
Expect(0, 65351, '\p{ xdigit}', "");
Expect(1, 65351, '\p{^ xdigit}', "");
Expect(1, 65351, '\P{ xdigit}', "");
Expect(0, 65351, '\P{^ xdigit}', "");
Error('\p{ /a/is_XPosixXDigit}');
Error('\P{ /a/is_XPosixXDigit}');
Expect(1, 65350, '\p{isxposixxdigit}', "");
Expect(0, 65350, '\p{^isxposixxdigit}', "");
Expect(0, 65350, '\P{isxposixxdigit}', "");
Expect(1, 65350, '\P{^isxposixxdigit}', "");
Expect(0, 65351, '\p{isxposixxdigit}', "");
Expect(1, 65351, '\p{^isxposixxdigit}', "");
Expect(1, 65351, '\P{isxposixxdigit}', "");
Expect(0, 65351, '\P{^isxposixxdigit}', "");
Expect(1, 65350, '\p{_-Is_XPosixXDigit}', "");
Expect(0, 65350, '\p{^_-Is_XPosixXDigit}', "");
Expect(0, 65350, '\P{_-Is_XPosixXDigit}', "");
Expect(1, 65350, '\P{^_-Is_XPosixXDigit}', "");
Expect(0, 65351, '\p{_-Is_XPosixXDigit}', "");
Expect(1, 65351, '\p{^_-Is_XPosixXDigit}', "");
Expect(1, 65351, '\P{_-Is_XPosixXDigit}', "");
Expect(0, 65351, '\P{^_-Is_XPosixXDigit}', "");
Error('\p{/a/-	Is_xdigit}');
Error('\P{/a/-	Is_xdigit}');
Expect(1, 65350, '\p{isxdigit}', "");
Expect(0, 65350, '\p{^isxdigit}', "");
Expect(0, 65350, '\P{isxdigit}', "");
Expect(1, 65350, '\P{^isxdigit}', "");
Expect(0, 65351, '\p{isxdigit}', "");
Expect(1, 65351, '\p{^isxdigit}', "");
Expect(1, 65351, '\P{isxdigit}', "");
Expect(0, 65351, '\P{^isxdigit}', "");
Expect(1, 65350, '\p{_Is_XDigit}', "");
Expect(0, 65350, '\p{^_Is_XDigit}', "");
Expect(0, 65350, '\P{_Is_XDigit}', "");
Expect(1, 65350, '\P{^_Is_XDigit}', "");
Expect(0, 65351, '\p{_Is_XDigit}', "");
Expect(1, 65351, '\p{^_Is_XDigit}', "");
Expect(1, 65351, '\P{_Is_XDigit}', "");
Expect(0, 65351, '\P{^_Is_XDigit}', "");
Error('\p{ -Hex_Digit/a/}');
Error('\P{ -Hex_Digit/a/}');
Expect(1, 65350, '\p{hexdigit}', "");
Expect(0, 65350, '\p{^hexdigit}', "");
Expect(0, 65350, '\P{hexdigit}', "");
Expect(1, 65350, '\P{^hexdigit}', "");
Expect(0, 65351, '\p{hexdigit}', "");
Expect(1, 65351, '\p{^hexdigit}', "");
Expect(1, 65351, '\P{hexdigit}', "");
Expect(0, 65351, '\P{^hexdigit}', "");
Expect(1, 65350, '\p{ -Hex_Digit}', "");
Expect(0, 65350, '\p{^ -Hex_Digit}', "");
Expect(0, 65350, '\P{ -Hex_Digit}', "");
Expect(1, 65350, '\P{^ -Hex_Digit}', "");
Expect(0, 65351, '\p{ -Hex_Digit}', "");
Expect(1, 65351, '\p{^ -Hex_Digit}', "");
Expect(1, 65351, '\P{ -Hex_Digit}', "");
Expect(0, 65351, '\P{^ -Hex_Digit}', "");
Error('\p{  IS_HEX_digit:=}');
Error('\P{  IS_HEX_digit:=}');
Expect(1, 65350, '\p{ishexdigit}', "");
Expect(0, 65350, '\p{^ishexdigit}', "");
Expect(0, 65350, '\P{ishexdigit}', "");
Expect(1, 65350, '\P{^ishexdigit}', "");
Expect(0, 65351, '\p{ishexdigit}', "");
Expect(1, 65351, '\p{^ishexdigit}', "");
Expect(1, 65351, '\P{ishexdigit}', "");
Expect(0, 65351, '\P{^ishexdigit}', "");
Expect(1, 65350, '\p{ Is_Hex_Digit}', "");
Expect(0, 65350, '\p{^ Is_Hex_Digit}', "");
Expect(0, 65350, '\P{ Is_Hex_Digit}', "");
Expect(1, 65350, '\P{^ Is_Hex_Digit}', "");
Expect(0, 65351, '\p{ Is_Hex_Digit}', "");
Expect(1, 65351, '\p{^ Is_Hex_Digit}', "");
Expect(1, 65351, '\P{ Is_Hex_Digit}', "");
Expect(0, 65351, '\P{^ Is_Hex_Digit}', "");
Error('\p{/a/_	HEX}');
Error('\P{/a/_	HEX}');
Expect(1, 65350, '\p{hex}', "");
Expect(0, 65350, '\p{^hex}', "");
Expect(0, 65350, '\P{hex}', "");
Expect(1, 65350, '\P{^hex}', "");
Expect(0, 65351, '\p{hex}', "");
Expect(1, 65351, '\p{^hex}', "");
Expect(1, 65351, '\P{hex}', "");
Expect(0, 65351, '\P{^hex}', "");
Expect(1, 65350, '\p{_ hex}', "");
Expect(0, 65350, '\p{^_ hex}', "");
Expect(0, 65350, '\P{_ hex}', "");
Expect(1, 65350, '\P{^_ hex}', "");
Expect(0, 65351, '\p{_ hex}', "");
Expect(1, 65351, '\p{^_ hex}', "");
Expect(1, 65351, '\P{_ hex}', "");
Expect(0, 65351, '\P{^_ hex}', "");
Error('\p{-:=is_Hex}');
Error('\P{-:=is_Hex}');
Expect(1, 65350, '\p{ishex}', "");
Expect(0, 65350, '\p{^ishex}', "");
Expect(0, 65350, '\P{ishex}', "");
Expect(1, 65350, '\P{^ishex}', "");
Expect(0, 65351, '\p{ishex}', "");
Expect(1, 65351, '\p{^ishex}', "");
Expect(1, 65351, '\P{ishex}', "");
Expect(0, 65351, '\P{^ishex}', "");
Expect(1, 65350, '\p{	 Is_Hex}', "");
Expect(0, 65350, '\p{^	 Is_Hex}', "");
Expect(0, 65350, '\P{	 Is_Hex}', "");
Expect(1, 65350, '\P{^	 Is_Hex}', "");
Expect(0, 65351, '\p{	 Is_Hex}', "");
Expect(1, 65351, '\p{^	 Is_Hex}', "");
Expect(1, 65351, '\P{	 Is_Hex}', "");
Expect(0, 65351, '\P{^	 Is_Hex}', "");
Error('\p{/a/	XID_Continue}');
Error('\P{/a/	XID_Continue}');
Expect(1, 917999, '\p{xidcontinue}', "");
Expect(0, 917999, '\p{^xidcontinue}', "");
Expect(0, 917999, '\P{xidcontinue}', "");
Expect(1, 917999, '\P{^xidcontinue}', "");
Expect(0, 918000, '\p{xidcontinue}', "");
Expect(1, 918000, '\p{^xidcontinue}', "");
Expect(1, 918000, '\P{xidcontinue}', "");
Expect(0, 918000, '\P{^xidcontinue}', "");
Expect(1, 917999, '\p{ -xid_Continue}', "");
Expect(0, 917999, '\p{^ -xid_Continue}', "");
Expect(0, 917999, '\P{ -xid_Continue}', "");
Expect(1, 917999, '\P{^ -xid_Continue}', "");
Expect(0, 918000, '\p{ -xid_Continue}', "");
Expect(1, 918000, '\p{^ -xid_Continue}', "");
Expect(1, 918000, '\P{ -xid_Continue}', "");
Expect(0, 918000, '\P{^ -xid_Continue}', "");
Error('\p{:=Is_XID_Continue}');
Error('\P{:=Is_XID_Continue}');
Expect(1, 917999, '\p{isxidcontinue}', "");
Expect(0, 917999, '\p{^isxidcontinue}', "");
Expect(0, 917999, '\P{isxidcontinue}', "");
Expect(1, 917999, '\P{^isxidcontinue}', "");
Expect(0, 918000, '\p{isxidcontinue}', "");
Expect(1, 918000, '\p{^isxidcontinue}', "");
Expect(1, 918000, '\P{isxidcontinue}', "");
Expect(0, 918000, '\P{^isxidcontinue}', "");
Expect(1, 917999, '\p{_	IS_XID_continue}', "");
Expect(0, 917999, '\p{^_	IS_XID_continue}', "");
Expect(0, 917999, '\P{_	IS_XID_continue}', "");
Expect(1, 917999, '\P{^_	IS_XID_continue}', "");
Expect(0, 918000, '\p{_	IS_XID_continue}', "");
Expect(1, 918000, '\p{^_	IS_XID_continue}', "");
Expect(1, 918000, '\P{_	IS_XID_continue}', "");
Expect(0, 918000, '\P{^_	IS_XID_continue}', "");
Error('\p{ /a/XIDC}');
Error('\P{ /a/XIDC}');
Expect(1, 917999, '\p{xidc}', "");
Expect(0, 917999, '\p{^xidc}', "");
Expect(0, 917999, '\P{xidc}', "");
Expect(1, 917999, '\P{^xidc}', "");
Expect(0, 918000, '\p{xidc}', "");
Expect(1, 918000, '\p{^xidc}', "");
Expect(1, 918000, '\P{xidc}', "");
Expect(0, 918000, '\P{^xidc}', "");
Expect(1, 917999, '\p{__XIDC}', "");
Expect(0, 917999, '\p{^__XIDC}', "");
Expect(0, 917999, '\P{__XIDC}', "");
Expect(1, 917999, '\P{^__XIDC}', "");
Expect(0, 918000, '\p{__XIDC}', "");
Expect(1, 918000, '\p{^__XIDC}', "");
Expect(1, 918000, '\P{__XIDC}', "");
Expect(0, 918000, '\P{^__XIDC}', "");
Error('\p{/a/__IS_xidc}');
Error('\P{/a/__IS_xidc}');
Expect(1, 917999, '\p{isxidc}', "");
Expect(0, 917999, '\p{^isxidc}', "");
Expect(0, 917999, '\P{isxidc}', "");
Expect(1, 917999, '\P{^isxidc}', "");
Expect(0, 918000, '\p{isxidc}', "");
Expect(1, 918000, '\p{^isxidc}', "");
Expect(1, 918000, '\P{isxidc}', "");
Expect(0, 918000, '\P{^isxidc}', "");
Expect(1, 917999, '\p{ 	IS_xidc}', "");
Expect(0, 917999, '\p{^ 	IS_xidc}', "");
Expect(0, 917999, '\P{ 	IS_xidc}', "");
Expect(1, 917999, '\P{^ 	IS_xidc}', "");
Expect(0, 918000, '\p{ 	IS_xidc}', "");
Expect(1, 918000, '\p{^ 	IS_xidc}', "");
Expect(1, 918000, '\P{ 	IS_xidc}', "");
Expect(0, 918000, '\P{^ 	IS_xidc}', "");
Error('\p{/a/_XID_start}');
Error('\P{/a/_XID_start}');
Expect(1, 195101, '\p{xidstart}', "");
Expect(0, 195101, '\p{^xidstart}', "");
Expect(0, 195101, '\P{xidstart}', "");
Expect(1, 195101, '\P{^xidstart}', "");
Expect(0, 195102, '\p{xidstart}', "");
Expect(1, 195102, '\p{^xidstart}', "");
Expect(1, 195102, '\P{xidstart}', "");
Expect(0, 195102, '\P{^xidstart}', "");
Expect(1, 195101, '\p{--XID_START}', "");
Expect(0, 195101, '\p{^--XID_START}', "");
Expect(0, 195101, '\P{--XID_START}', "");
Expect(1, 195101, '\P{^--XID_START}', "");
Expect(0, 195102, '\p{--XID_START}', "");
Expect(1, 195102, '\p{^--XID_START}', "");
Expect(1, 195102, '\P{--XID_START}', "");
Expect(0, 195102, '\P{^--XID_START}', "");
Error('\p{:=-Is_XID_Start}');
Error('\P{:=-Is_XID_Start}');
Expect(1, 195101, '\p{isxidstart}', "");
Expect(0, 195101, '\p{^isxidstart}', "");
Expect(0, 195101, '\P{isxidstart}', "");
Expect(1, 195101, '\P{^isxidstart}', "");
Expect(0, 195102, '\p{isxidstart}', "");
Expect(1, 195102, '\p{^isxidstart}', "");
Expect(1, 195102, '\P{isxidstart}', "");
Expect(0, 195102, '\P{^isxidstart}', "");
Expect(1, 195101, '\p{_-IS_XID_Start}', "");
Expect(0, 195101, '\p{^_-IS_XID_Start}', "");
Expect(0, 195101, '\P{_-IS_XID_Start}', "");
Expect(1, 195101, '\P{^_-IS_XID_Start}', "");
Expect(0, 195102, '\p{_-IS_XID_Start}', "");
Expect(1, 195102, '\p{^_-IS_XID_Start}', "");
Expect(1, 195102, '\P{_-IS_XID_Start}', "");
Expect(0, 195102, '\P{^_-IS_XID_Start}', "");
Error('\p{/a/ 	xids}');
Error('\P{/a/ 	xids}');
Expect(1, 195101, '\p{xids}', "");
Expect(0, 195101, '\p{^xids}', "");
Expect(0, 195101, '\P{xids}', "");
Expect(1, 195101, '\P{^xids}', "");
Expect(0, 195102, '\p{xids}', "");
Expect(1, 195102, '\p{^xids}', "");
Expect(1, 195102, '\P{xids}', "");
Expect(0, 195102, '\P{^xids}', "");
Expect(1, 195101, '\p{  XIDS}', "");
Expect(0, 195101, '\p{^  XIDS}', "");
Expect(0, 195101, '\P{  XIDS}', "");
Expect(1, 195101, '\P{^  XIDS}', "");
Expect(0, 195102, '\p{  XIDS}', "");
Expect(1, 195102, '\p{^  XIDS}', "");
Expect(1, 195102, '\P{  XIDS}', "");
Expect(0, 195102, '\P{^  XIDS}', "");
Error('\p{:=_-Is_XIDS}');
Error('\P{:=_-Is_XIDS}');
Expect(1, 195101, '\p{isxids}', "");
Expect(0, 195101, '\p{^isxids}', "");
Expect(0, 195101, '\P{isxids}', "");
Expect(1, 195101, '\P{^isxids}', "");
Expect(0, 195102, '\p{isxids}', "");
Expect(1, 195102, '\p{^isxids}', "");
Expect(1, 195102, '\P{isxids}', "");
Expect(0, 195102, '\P{^isxids}', "");
Expect(1, 195101, '\p{_	is_XIDS}', "");
Expect(0, 195101, '\p{^_	is_XIDS}', "");
Expect(0, 195101, '\P{_	is_XIDS}', "");
Expect(1, 195101, '\P{^_	is_XIDS}', "");
Expect(0, 195102, '\p{_	is_XIDS}', "");
Expect(1, 195102, '\p{^_	is_XIDS}', "");
Expect(1, 195102, '\P{_	is_XIDS}', "");
Expect(0, 195102, '\P{^_	is_XIDS}', "");
Error('\p{ :=XPosixAlpha}');
Error('\P{ :=XPosixAlpha}');
Expect(1, 195101, '\p{xposixalpha}', "");
Expect(0, 195101, '\p{^xposixalpha}', "");
Expect(0, 195101, '\P{xposixalpha}', "");
Expect(1, 195101, '\P{^xposixalpha}', "");
Expect(0, 195102, '\p{xposixalpha}', "");
Expect(1, 195102, '\p{^xposixalpha}', "");
Expect(1, 195102, '\P{xposixalpha}', "");
Expect(0, 195102, '\P{^xposixalpha}', "");
Expect(1, 195101, '\p{ xposixalpha}', "");
Expect(0, 195101, '\p{^ xposixalpha}', "");
Expect(0, 195101, '\P{ xposixalpha}', "");
Expect(1, 195101, '\P{^ xposixalpha}', "");
Expect(0, 195102, '\p{ xposixalpha}', "");
Expect(1, 195102, '\p{^ xposixalpha}', "");
Expect(1, 195102, '\P{ xposixalpha}', "");
Expect(0, 195102, '\P{^ xposixalpha}', "");
Error('\p{/a/- is_XPOSIXALPHA}');
Error('\P{/a/- is_XPOSIXALPHA}');
Expect(1, 195101, '\p{isxposixalpha}', "");
Expect(0, 195101, '\p{^isxposixalpha}', "");
Expect(0, 195101, '\P{isxposixalpha}', "");
Expect(1, 195101, '\P{^isxposixalpha}', "");
Expect(0, 195102, '\p{isxposixalpha}', "");
Expect(1, 195102, '\p{^isxposixalpha}', "");
Expect(1, 195102, '\P{isxposixalpha}', "");
Expect(0, 195102, '\P{^isxposixalpha}', "");
Expect(1, 195101, '\p{_	IS_XPosixAlpha}', "");
Expect(0, 195101, '\p{^_	IS_XPosixAlpha}', "");
Expect(0, 195101, '\P{_	IS_XPosixAlpha}', "");
Expect(1, 195101, '\P{^_	IS_XPosixAlpha}', "");
Expect(0, 195102, '\p{_	IS_XPosixAlpha}', "");
Expect(1, 195102, '\p{^_	IS_XPosixAlpha}', "");
Expect(1, 195102, '\P{_	IS_XPosixAlpha}', "");
Expect(0, 195102, '\P{^_	IS_XPosixAlpha}', "");
Error('\p{_/a/Alphabetic}');
Error('\P{_/a/Alphabetic}');
Expect(1, 195101, '\p{alphabetic}', "");
Expect(0, 195101, '\p{^alphabetic}', "");
Expect(0, 195101, '\P{alphabetic}', "");
Expect(1, 195101, '\P{^alphabetic}', "");
Expect(0, 195102, '\p{alphabetic}', "");
Expect(1, 195102, '\p{^alphabetic}', "");
Expect(1, 195102, '\P{alphabetic}', "");
Expect(0, 195102, '\P{^alphabetic}', "");
Expect(1, 195101, '\p{	alphabetic}', "");
Expect(0, 195101, '\p{^	alphabetic}', "");
Expect(0, 195101, '\P{	alphabetic}', "");
Expect(1, 195101, '\P{^	alphabetic}', "");
Expect(0, 195102, '\p{	alphabetic}', "");
Expect(1, 195102, '\p{^	alphabetic}', "");
Expect(1, 195102, '\P{	alphabetic}', "");
Expect(0, 195102, '\P{^	alphabetic}', "");
Error('\p{	-Is_Alphabetic/a/}');
Error('\P{	-Is_Alphabetic/a/}');
Expect(1, 195101, '\p{isalphabetic}', "");
Expect(0, 195101, '\p{^isalphabetic}', "");
Expect(0, 195101, '\P{isalphabetic}', "");
Expect(1, 195101, '\P{^isalphabetic}', "");
Expect(0, 195102, '\p{isalphabetic}', "");
Expect(1, 195102, '\p{^isalphabetic}', "");
Expect(1, 195102, '\P{isalphabetic}', "");
Expect(0, 195102, '\P{^isalphabetic}', "");
Expect(1, 195101, '\p{_ is_Alphabetic}', "");
Expect(0, 195101, '\p{^_ is_Alphabetic}', "");
Expect(0, 195101, '\P{_ is_Alphabetic}', "");
Expect(1, 195101, '\P{^_ is_Alphabetic}', "");
Expect(0, 195102, '\p{_ is_Alphabetic}', "");
Expect(1, 195102, '\p{^_ is_Alphabetic}', "");
Expect(1, 195102, '\P{_ is_Alphabetic}', "");
Expect(0, 195102, '\P{^_ is_Alphabetic}', "");
Error('\p{	/a/Alpha}');
Error('\P{	/a/Alpha}');
Expect(1, 195101, '\p{alpha}', "");
Expect(0, 195101, '\p{^alpha}', "");
Expect(0, 195101, '\P{alpha}', "");
Expect(1, 195101, '\P{^alpha}', "");
Expect(0, 195102, '\p{alpha}', "");
Expect(1, 195102, '\p{^alpha}', "");
Expect(1, 195102, '\P{alpha}', "");
Expect(0, 195102, '\P{^alpha}', "");
Expect(1, 195101, '\p{_ ALPHA}', "");
Expect(0, 195101, '\p{^_ ALPHA}', "");
Expect(0, 195101, '\P{_ ALPHA}', "");
Expect(1, 195101, '\P{^_ ALPHA}', "");
Expect(0, 195102, '\p{_ ALPHA}', "");
Expect(1, 195102, '\p{^_ ALPHA}', "");
Expect(1, 195102, '\P{_ ALPHA}', "");
Expect(0, 195102, '\P{^_ ALPHA}', "");
Error('\p{/a/--Is_Alpha}');
Error('\P{/a/--Is_Alpha}');
Expect(1, 195101, '\p{isalpha}', "");
Expect(0, 195101, '\p{^isalpha}', "");
Expect(0, 195101, '\P{isalpha}', "");
Expect(1, 195101, '\P{^isalpha}', "");
Expect(0, 195102, '\p{isalpha}', "");
Expect(1, 195102, '\p{^isalpha}', "");
Expect(1, 195102, '\P{isalpha}', "");
Expect(0, 195102, '\P{^isalpha}', "");
Expect(1, 195101, '\p{	 is_Alpha}', "");
Expect(0, 195101, '\p{^	 is_Alpha}', "");
Expect(0, 195101, '\P{	 is_Alpha}', "");
Expect(1, 195101, '\P{^	 is_Alpha}', "");
Expect(0, 195102, '\p{	 is_Alpha}', "");
Expect(1, 195102, '\p{^	 is_Alpha}', "");
Expect(1, 195102, '\P{	 is_Alpha}', "");
Expect(0, 195102, '\P{^	 is_Alpha}', "");
Error('\p{:=XPosixLower}');
Error('\P{:=XPosixLower}');
Expect(1, 120779, '\p{xposixlower}', "");
Expect(0, 120779, '\p{^xposixlower}', "");
Expect(0, 120779, '\P{xposixlower}', "");
Expect(1, 120779, '\P{^xposixlower}', "");
Expect(0, 120780, '\p{xposixlower}', "");
Expect(1, 120780, '\p{^xposixlower}', "");
Expect(1, 120780, '\P{xposixlower}', "");
Expect(0, 120780, '\P{^xposixlower}', "");
Expect(1, 120779, '\p{_-xposixlower}', "");
Expect(0, 120779, '\p{^_-xposixlower}', "");
Expect(0, 120779, '\P{_-xposixlower}', "");
Expect(1, 120779, '\P{^_-xposixlower}', "");
Expect(0, 120780, '\p{_-xposixlower}', "");
Expect(1, 120780, '\p{^_-xposixlower}', "");
Expect(1, 120780, '\P{_-xposixlower}', "");
Expect(0, 120780, '\P{^_-xposixlower}', "");
Error('\p{-_Is_XPosixLower/a/}');
Error('\P{-_Is_XPosixLower/a/}');
Expect(1, 120779, '\p{isxposixlower}', "");
Expect(0, 120779, '\p{^isxposixlower}', "");
Expect(0, 120779, '\P{isxposixlower}', "");
Expect(1, 120779, '\P{^isxposixlower}', "");
Expect(0, 120780, '\p{isxposixlower}', "");
Expect(1, 120780, '\p{^isxposixlower}', "");
Expect(1, 120780, '\P{isxposixlower}', "");
Expect(0, 120780, '\P{^isxposixlower}', "");
Expect(1, 120779, '\p{_	Is_XPosixLower}', "");
Expect(0, 120779, '\p{^_	Is_XPosixLower}', "");
Expect(0, 120779, '\P{_	Is_XPosixLower}', "");
Expect(1, 120779, '\P{^_	Is_XPosixLower}', "");
Expect(0, 120780, '\p{_	Is_XPosixLower}', "");
Expect(1, 120780, '\p{^_	Is_XPosixLower}', "");
Expect(1, 120780, '\P{_	Is_XPosixLower}', "");
Expect(0, 120780, '\P{^_	Is_XPosixLower}', "");
Error('\p{ _Lowercase:=}');
Error('\P{ _Lowercase:=}');
Expect(1, 120779, '\p{lowercase}', "");
Expect(0, 120779, '\p{^lowercase}', "");
Expect(0, 120779, '\P{lowercase}', "");
Expect(1, 120779, '\P{^lowercase}', "");
Expect(0, 120780, '\p{lowercase}', "");
Expect(1, 120780, '\p{^lowercase}', "");
Expect(1, 120780, '\P{lowercase}', "");
Expect(0, 120780, '\P{^lowercase}', "");
Expect(1, 120779, '\p{-LOWERCASE}', "");
Expect(0, 120779, '\p{^-LOWERCASE}', "");
Expect(0, 120779, '\P{-LOWERCASE}', "");
Expect(1, 120779, '\P{^-LOWERCASE}', "");
Expect(0, 120780, '\p{-LOWERCASE}', "");
Expect(1, 120780, '\p{^-LOWERCASE}', "");
Expect(1, 120780, '\P{-LOWERCASE}', "");
Expect(0, 120780, '\P{^-LOWERCASE}', "");
Error('\p{/a/ 	Is_lowercase}');
Error('\P{/a/ 	Is_lowercase}');
Expect(1, 120779, '\p{islowercase}', "");
Expect(0, 120779, '\p{^islowercase}', "");
Expect(0, 120779, '\P{islowercase}', "");
Expect(1, 120779, '\P{^islowercase}', "");
Expect(0, 120780, '\p{islowercase}', "");
Expect(1, 120780, '\p{^islowercase}', "");
Expect(1, 120780, '\P{islowercase}', "");
Expect(0, 120780, '\P{^islowercase}', "");
Expect(1, 120779, '\p{	Is_LOWERCASE}', "");
Expect(0, 120779, '\p{^	Is_LOWERCASE}', "");
Expect(0, 120779, '\P{	Is_LOWERCASE}', "");
Expect(1, 120779, '\P{^	Is_LOWERCASE}', "");
Expect(0, 120780, '\p{	Is_LOWERCASE}', "");
Expect(1, 120780, '\p{^	Is_LOWERCASE}', "");
Expect(1, 120780, '\P{	Is_LOWERCASE}', "");
Expect(0, 120780, '\P{^	Is_LOWERCASE}', "");
Error('\p{_-lower/a/}');
Error('\P{_-lower/a/}');
Expect(1, 120779, '\p{lower}', "");
Expect(0, 120779, '\p{^lower}', "");
Expect(0, 120779, '\P{lower}', "");
Expect(1, 120779, '\P{^lower}', "");
Expect(0, 120780, '\p{lower}', "");
Expect(1, 120780, '\p{^lower}', "");
Expect(1, 120780, '\P{lower}', "");
Expect(0, 120780, '\P{^lower}', "");
Expect(1, 120779, '\p{  Lower}', "");
Expect(0, 120779, '\p{^  Lower}', "");
Expect(0, 120779, '\P{  Lower}', "");
Expect(1, 120779, '\P{^  Lower}', "");
Expect(0, 120780, '\p{  Lower}', "");
Expect(1, 120780, '\p{^  Lower}', "");
Expect(1, 120780, '\P{  Lower}', "");
Expect(0, 120780, '\P{^  Lower}', "");
Error('\p{:= _is_Lower}');
Error('\P{:= _is_Lower}');
Expect(1, 120779, '\p{islower}', "");
Expect(0, 120779, '\p{^islower}', "");
Expect(0, 120779, '\P{islower}', "");
Expect(1, 120779, '\P{^islower}', "");
Expect(0, 120780, '\p{islower}', "");
Expect(1, 120780, '\p{^islower}', "");
Expect(1, 120780, '\P{islower}', "");
Expect(0, 120780, '\P{^islower}', "");
Expect(1, 120779, '\p{	Is_Lower}', "");
Expect(0, 120779, '\p{^	Is_Lower}', "");
Expect(0, 120779, '\P{	Is_Lower}', "");
Expect(1, 120779, '\P{^	Is_Lower}', "");
Expect(0, 120780, '\p{	Is_Lower}', "");
Expect(1, 120780, '\p{^	Is_Lower}', "");
Expect(1, 120780, '\P{	Is_Lower}', "");
Expect(0, 120780, '\P{^	Is_Lower}', "");
Error('\p{:= 	xposixpunct}');
Error('\P{:= 	xposixpunct}');
Expect(1, 113823, '\p{xposixpunct}', "");
Expect(0, 113823, '\p{^xposixpunct}', "");
Expect(0, 113823, '\P{xposixpunct}', "");
Expect(1, 113823, '\P{^xposixpunct}', "");
Expect(0, 113824, '\p{xposixpunct}', "");
Expect(1, 113824, '\p{^xposixpunct}', "");
Expect(1, 113824, '\P{xposixpunct}', "");
Expect(0, 113824, '\P{^xposixpunct}', "");
Expect(1, 113823, '\p{  XPOSIXPUNCT}', "");
Expect(0, 113823, '\p{^  XPOSIXPUNCT}', "");
Expect(0, 113823, '\P{  XPOSIXPUNCT}', "");
Expect(1, 113823, '\P{^  XPOSIXPUNCT}', "");
Expect(0, 113824, '\p{  XPOSIXPUNCT}', "");
Expect(1, 113824, '\p{^  XPOSIXPUNCT}', "");
Expect(1, 113824, '\P{  XPOSIXPUNCT}', "");
Expect(0, 113824, '\P{^  XPOSIXPUNCT}', "");
Error('\p{ -Is_XPosixPunct:=}');
Error('\P{ -Is_XPosixPunct:=}');
Expect(1, 113823, '\p{isxposixpunct}', "");
Expect(0, 113823, '\p{^isxposixpunct}', "");
Expect(0, 113823, '\P{isxposixpunct}', "");
Expect(1, 113823, '\P{^isxposixpunct}', "");
Expect(0, 113824, '\p{isxposixpunct}', "");
Expect(1, 113824, '\p{^isxposixpunct}', "");
Expect(1, 113824, '\P{isxposixpunct}', "");
Expect(0, 113824, '\P{^isxposixpunct}', "");
Expect(1, 113823, '\p{Is_XPosixPunct}', "");
Expect(0, 113823, '\p{^Is_XPosixPunct}', "");
Expect(0, 113823, '\P{Is_XPosixPunct}', "");
Expect(1, 113823, '\P{^Is_XPosixPunct}', "");
Expect(0, 113824, '\p{Is_XPosixPunct}', "");
Expect(1, 113824, '\p{^Is_XPosixPunct}', "");
Expect(1, 113824, '\P{Is_XPosixPunct}', "");
Expect(0, 113824, '\P{^Is_XPosixPunct}', "");
Error('\p{:=_XPosixSpace}');
Error('\P{:=_XPosixSpace}');
Expect(1, 12288, '\p{xposixspace}', "");
Expect(0, 12288, '\p{^xposixspace}', "");
Expect(0, 12288, '\P{xposixspace}', "");
Expect(1, 12288, '\P{^xposixspace}', "");
Expect(0, 12289, '\p{xposixspace}', "");
Expect(1, 12289, '\p{^xposixspace}', "");
Expect(1, 12289, '\P{xposixspace}', "");
Expect(0, 12289, '\P{^xposixspace}', "");
Expect(1, 12288, '\p{ 	xposixspace}', "");
Expect(0, 12288, '\p{^ 	xposixspace}', "");
Expect(0, 12288, '\P{ 	xposixspace}', "");
Expect(1, 12288, '\P{^ 	xposixspace}', "");
Expect(0, 12289, '\p{ 	xposixspace}', "");
Expect(1, 12289, '\p{^ 	xposixspace}', "");
Expect(1, 12289, '\P{ 	xposixspace}', "");
Expect(0, 12289, '\P{^ 	xposixspace}', "");
Error('\p{	/a/XPERLSPACE}');
Error('\P{	/a/XPERLSPACE}');
Expect(1, 12288, '\p{xperlspace}', "");
Expect(0, 12288, '\p{^xperlspace}', "");
Expect(0, 12288, '\P{xperlspace}', "");
Expect(1, 12288, '\P{^xperlspace}', "");
Expect(0, 12289, '\p{xperlspace}', "");
Expect(1, 12289, '\p{^xperlspace}', "");
Expect(1, 12289, '\P{xperlspace}', "");
Expect(0, 12289, '\P{^xperlspace}', "");
Expect(1, 12288, '\p{ XPERLSPACE}', "");
Expect(0, 12288, '\p{^ XPERLSPACE}', "");
Expect(0, 12288, '\P{ XPERLSPACE}', "");
Expect(1, 12288, '\P{^ XPERLSPACE}', "");
Expect(0, 12289, '\p{ XPERLSPACE}', "");
Expect(1, 12289, '\p{^ XPERLSPACE}', "");
Expect(1, 12289, '\P{ XPERLSPACE}', "");
Expect(0, 12289, '\P{^ XPERLSPACE}', "");
Error('\p{ 	SpacePerl/a/}');
Error('\P{ 	SpacePerl/a/}');
Expect(1, 12288, '\p{spaceperl}', "");
Expect(0, 12288, '\p{^spaceperl}', "");
Expect(0, 12288, '\P{spaceperl}', "");
Expect(1, 12288, '\P{^spaceperl}', "");
Expect(0, 12289, '\p{spaceperl}', "");
Expect(1, 12289, '\p{^spaceperl}', "");
Expect(1, 12289, '\P{spaceperl}', "");
Expect(0, 12289, '\P{^spaceperl}', "");
Expect(1, 12288, '\p{ -spaceperl}', "");
Expect(0, 12288, '\p{^ -spaceperl}', "");
Expect(0, 12288, '\P{ -spaceperl}', "");
Expect(1, 12288, '\P{^ -spaceperl}', "");
Expect(0, 12289, '\p{ -spaceperl}', "");
Expect(1, 12289, '\p{^ -spaceperl}', "");
Expect(1, 12289, '\P{ -spaceperl}', "");
Expect(0, 12289, '\P{^ -spaceperl}', "");
Error('\p{_/a/is_XPosixSpace}');
Error('\P{_/a/is_XPosixSpace}');
Expect(1, 12288, '\p{isxposixspace}', "");
Expect(0, 12288, '\p{^isxposixspace}', "");
Expect(0, 12288, '\P{isxposixspace}', "");
Expect(1, 12288, '\P{^isxposixspace}', "");
Expect(0, 12289, '\p{isxposixspace}', "");
Expect(1, 12289, '\p{^isxposixspace}', "");
Expect(1, 12289, '\P{isxposixspace}', "");
Expect(0, 12289, '\P{^isxposixspace}', "");
Expect(1, 12288, '\p{- is_XPOSIXSPACE}', "");
Expect(0, 12288, '\p{^- is_XPOSIXSPACE}', "");
Expect(0, 12288, '\P{- is_XPOSIXSPACE}', "");
Expect(1, 12288, '\P{^- is_XPOSIXSPACE}', "");
Expect(0, 12289, '\p{- is_XPOSIXSPACE}', "");
Expect(1, 12289, '\p{^- is_XPOSIXSPACE}', "");
Expect(1, 12289, '\P{- is_XPOSIXSPACE}', "");
Expect(0, 12289, '\P{^- is_XPOSIXSPACE}', "");
Error('\p{:=	is_XPerlSpace}');
Error('\P{:=	is_XPerlSpace}');
Expect(1, 12288, '\p{isxperlspace}', "");
Expect(0, 12288, '\p{^isxperlspace}', "");
Expect(0, 12288, '\P{isxperlspace}', "");
Expect(1, 12288, '\P{^isxperlspace}', "");
Expect(0, 12289, '\p{isxperlspace}', "");
Expect(1, 12289, '\p{^isxperlspace}', "");
Expect(1, 12289, '\P{isxperlspace}', "");
Expect(0, 12289, '\P{^isxperlspace}', "");
Expect(1, 12288, '\p{_Is_xperlspace}', "");
Expect(0, 12288, '\p{^_Is_xperlspace}', "");
Expect(0, 12288, '\P{_Is_xperlspace}', "");
Expect(1, 12288, '\P{^_Is_xperlspace}', "");
Expect(0, 12289, '\p{_Is_xperlspace}', "");
Expect(1, 12289, '\p{^_Is_xperlspace}', "");
Expect(1, 12289, '\P{_Is_xperlspace}', "");
Expect(0, 12289, '\P{^_Is_xperlspace}', "");
Error('\p{	/a/IS_spaceperl}');
Error('\P{	/a/IS_spaceperl}');
Expect(1, 12288, '\p{isspaceperl}', "");
Expect(0, 12288, '\p{^isspaceperl}', "");
Expect(0, 12288, '\P{isspaceperl}', "");
Expect(1, 12288, '\P{^isspaceperl}', "");
Expect(0, 12289, '\p{isspaceperl}', "");
Expect(1, 12289, '\p{^isspaceperl}', "");
Expect(1, 12289, '\P{isspaceperl}', "");
Expect(0, 12289, '\P{^isspaceperl}', "");
Expect(1, 12288, '\p{	 Is_SPACEPERL}', "");
Expect(0, 12288, '\p{^	 Is_SPACEPERL}', "");
Expect(0, 12288, '\P{	 Is_SPACEPERL}', "");
Expect(1, 12288, '\P{^	 Is_SPACEPERL}', "");
Expect(0, 12289, '\p{	 Is_SPACEPERL}', "");
Expect(1, 12289, '\p{^	 Is_SPACEPERL}', "");
Expect(1, 12289, '\P{	 Is_SPACEPERL}', "");
Expect(0, 12289, '\P{^	 Is_SPACEPERL}', "");
Error('\p{ /a/XPosixUpper}');
Error('\P{ /a/XPosixUpper}');
Expect(1, 127369, '\p{xposixupper}', "");
Expect(0, 127369, '\p{^xposixupper}', "");
Expect(0, 127369, '\P{xposixupper}', "");
Expect(1, 127369, '\P{^xposixupper}', "");
Expect(0, 127370, '\p{xposixupper}', "");
Expect(1, 127370, '\p{^xposixupper}', "");
Expect(1, 127370, '\P{xposixupper}', "");
Expect(0, 127370, '\P{^xposixupper}', "");
Expect(1, 127369, '\p{	XPosixUpper}', "");
Expect(0, 127369, '\p{^	XPosixUpper}', "");
Expect(0, 127369, '\P{	XPosixUpper}', "");
Expect(1, 127369, '\P{^	XPosixUpper}', "");
Expect(0, 127370, '\p{	XPosixUpper}', "");
Expect(1, 127370, '\p{^	XPosixUpper}', "");
Expect(1, 127370, '\P{	XPosixUpper}', "");
Expect(0, 127370, '\P{^	XPosixUpper}', "");
Error('\p{/a/Is_XPosixUpper}');
Error('\P{/a/Is_XPosixUpper}');
Expect(1, 127369, '\p{isxposixupper}', "");
Expect(0, 127369, '\p{^isxposixupper}', "");
Expect(0, 127369, '\P{isxposixupper}', "");
Expect(1, 127369, '\P{^isxposixupper}', "");
Expect(0, 127370, '\p{isxposixupper}', "");
Expect(1, 127370, '\p{^isxposixupper}', "");
Expect(1, 127370, '\P{isxposixupper}', "");
Expect(0, 127370, '\P{^isxposixupper}', "");
Expect(1, 127369, '\p{	-is_XPOSIXUPPER}', "");
Expect(0, 127369, '\p{^	-is_XPOSIXUPPER}', "");
Expect(0, 127369, '\P{	-is_XPOSIXUPPER}', "");
Expect(1, 127369, '\P{^	-is_XPOSIXUPPER}', "");
Expect(0, 127370, '\p{	-is_XPOSIXUPPER}', "");
Expect(1, 127370, '\p{^	-is_XPOSIXUPPER}', "");
Expect(1, 127370, '\P{	-is_XPOSIXUPPER}', "");
Expect(0, 127370, '\P{^	-is_XPOSIXUPPER}', "");
Error('\p{:=__Uppercase}');
Error('\P{:=__Uppercase}');
Expect(1, 127369, '\p{uppercase}', "");
Expect(0, 127369, '\p{^uppercase}', "");
Expect(0, 127369, '\P{uppercase}', "");
Expect(1, 127369, '\P{^uppercase}', "");
Expect(0, 127370, '\p{uppercase}', "");
Expect(1, 127370, '\p{^uppercase}', "");
Expect(1, 127370, '\P{uppercase}', "");
Expect(0, 127370, '\P{^uppercase}', "");
Expect(1, 127369, '\p{ _Uppercase}', "");
Expect(0, 127369, '\p{^ _Uppercase}', "");
Expect(0, 127369, '\P{ _Uppercase}', "");
Expect(1, 127369, '\P{^ _Uppercase}', "");
Expect(0, 127370, '\p{ _Uppercase}', "");
Expect(1, 127370, '\p{^ _Uppercase}', "");
Expect(1, 127370, '\P{ _Uppercase}', "");
Expect(0, 127370, '\P{^ _Uppercase}', "");
Error('\p{/a/-Is_Uppercase}');
Error('\P{/a/-Is_Uppercase}');
Expect(1, 127369, '\p{isuppercase}', "");
Expect(0, 127369, '\p{^isuppercase}', "");
Expect(0, 127369, '\P{isuppercase}', "");
Expect(1, 127369, '\P{^isuppercase}', "");
Expect(0, 127370, '\p{isuppercase}', "");
Expect(1, 127370, '\p{^isuppercase}', "");
Expect(1, 127370, '\P{isuppercase}', "");
Expect(0, 127370, '\P{^isuppercase}', "");
Expect(1, 127369, '\p{_IS_Uppercase}', "");
Expect(0, 127369, '\p{^_IS_Uppercase}', "");
Expect(0, 127369, '\P{_IS_Uppercase}', "");
Expect(1, 127369, '\P{^_IS_Uppercase}', "");
Expect(0, 127370, '\p{_IS_Uppercase}', "");
Expect(1, 127370, '\p{^_IS_Uppercase}', "");
Expect(1, 127370, '\P{_IS_Uppercase}', "");
Expect(0, 127370, '\P{^_IS_Uppercase}', "");
Error('\p{/a/ Upper}');
Error('\P{/a/ Upper}');
Expect(1, 127369, '\p{upper}', "");
Expect(0, 127369, '\p{^upper}', "");
Expect(0, 127369, '\P{upper}', "");
Expect(1, 127369, '\P{^upper}', "");
Expect(0, 127370, '\p{upper}', "");
Expect(1, 127370, '\p{^upper}', "");
Expect(1, 127370, '\P{upper}', "");
Expect(0, 127370, '\P{^upper}', "");
Expect(1, 127369, '\p{_upper}', "");
Expect(0, 127369, '\p{^_upper}', "");
Expect(0, 127369, '\P{_upper}', "");
Expect(1, 127369, '\P{^_upper}', "");
Expect(0, 127370, '\p{_upper}', "");
Expect(1, 127370, '\p{^_upper}', "");
Expect(1, 127370, '\P{_upper}', "");
Expect(0, 127370, '\P{^_upper}', "");
Error('\p{-	Is_Upper/a/}');
Error('\P{-	Is_Upper/a/}');
Expect(1, 127369, '\p{isupper}', "");
Expect(0, 127369, '\p{^isupper}', "");
Expect(0, 127369, '\P{isupper}', "");
Expect(1, 127369, '\P{^isupper}', "");
Expect(0, 127370, '\p{isupper}', "");
Expect(1, 127370, '\p{^isupper}', "");
Expect(1, 127370, '\P{isupper}', "");
Expect(0, 127370, '\P{^isupper}', "");
Expect(1, 127369, '\p{	IS_upper}', "");
Expect(0, 127369, '\p{^	IS_upper}', "");
Expect(0, 127369, '\P{	IS_upper}', "");
Expect(1, 127369, '\P{^	IS_upper}', "");
Expect(0, 127370, '\p{	IS_upper}', "");
Expect(1, 127370, '\p{^	IS_upper}', "");
Expect(1, 127370, '\P{	IS_upper}', "");
Expect(0, 127370, '\P{^	IS_upper}', "");
Error('\p{_/a/YI}');
Error('\P{_/a/YI}');
Expect(1, 42182, '\p{yi}', "");
Expect(0, 42182, '\p{^yi}', "");
Expect(0, 42182, '\P{yi}', "");
Expect(1, 42182, '\P{^yi}', "");
Expect(0, 42183, '\p{yi}', "");
Expect(1, 42183, '\p{^yi}', "");
Expect(1, 42183, '\P{yi}', "");
Expect(0, 42183, '\P{^yi}', "");
Expect(1, 42182, '\p{-Yi}', "");
Expect(0, 42182, '\p{^-Yi}', "");
Expect(0, 42182, '\P{-Yi}', "");
Expect(1, 42182, '\P{^-Yi}', "");
Expect(0, 42183, '\p{-Yi}', "");
Expect(1, 42183, '\p{^-Yi}', "");
Expect(1, 42183, '\P{-Yi}', "");
Expect(0, 42183, '\P{^-Yi}', "");
Error('\p{_/a/is_YI}');
Error('\P{_/a/is_YI}');
Expect(1, 42182, '\p{isyi}', "");
Expect(0, 42182, '\p{^isyi}', "");
Expect(0, 42182, '\P{isyi}', "");
Expect(1, 42182, '\P{^isyi}', "");
Expect(0, 42183, '\p{isyi}', "");
Expect(1, 42183, '\p{^isyi}', "");
Expect(1, 42183, '\P{isyi}', "");
Expect(0, 42183, '\P{^isyi}', "");
Expect(1, 42182, '\p{- Is_YI}', "");
Expect(0, 42182, '\p{^- Is_YI}', "");
Expect(0, 42182, '\P{- Is_YI}', "");
Expect(1, 42182, '\P{^- Is_YI}', "");
Expect(0, 42183, '\p{- Is_YI}', "");
Expect(1, 42183, '\p{^- Is_YI}', "");
Expect(1, 42183, '\P{- Is_YI}', "");
Expect(0, 42183, '\P{^- Is_YI}', "");
Error('\p{/a/_ YIII}');
Error('\P{/a/_ YIII}');
Expect(1, 42182, '\p{yiii}', "");
Expect(0, 42182, '\p{^yiii}', "");
Expect(0, 42182, '\P{yiii}', "");
Expect(1, 42182, '\P{^yiii}', "");
Expect(0, 42183, '\p{yiii}', "");
Expect(1, 42183, '\p{^yiii}', "");
Expect(1, 42183, '\P{yiii}', "");
Expect(0, 42183, '\P{^yiii}', "");
Expect(1, 42182, '\p{YIII}', "");
Expect(0, 42182, '\p{^YIII}', "");
Expect(0, 42182, '\P{YIII}', "");
Expect(1, 42182, '\P{^YIII}', "");
Expect(0, 42183, '\p{YIII}', "");
Expect(1, 42183, '\p{^YIII}', "");
Expect(1, 42183, '\P{YIII}', "");
Expect(0, 42183, '\P{^YIII}', "");
Error('\p{_ IS_Yiii/a/}');
Error('\P{_ IS_Yiii/a/}');
Expect(1, 42182, '\p{isyiii}', "");
Expect(0, 42182, '\p{^isyiii}', "");
Expect(0, 42182, '\P{isyiii}', "");
Expect(1, 42182, '\P{^isyiii}', "");
Expect(0, 42183, '\p{isyiii}', "");
Expect(1, 42183, '\p{^isyiii}', "");
Expect(1, 42183, '\P{isyiii}', "");
Expect(0, 42183, '\P{^isyiii}', "");
Expect(1, 42182, '\p{		is_yiii}', "");
Expect(0, 42182, '\p{^		is_yiii}', "");
Expect(0, 42182, '\P{		is_yiii}', "");
Expect(1, 42182, '\P{^		is_yiii}', "");
Expect(0, 42183, '\p{		is_yiii}', "");
Expect(1, 42183, '\p{^		is_yiii}', "");
Expect(1, 42183, '\P{		is_yiii}', "");
Expect(0, 42183, '\P{^		is_yiii}', "");
Error('\p{	-Yi_RADICALS:=}');
Error('\P{	-Yi_RADICALS:=}');
Expect(1, 42191, '\p{yiradicals}', "");
Expect(0, 42191, '\p{^yiradicals}', "");
Expect(0, 42191, '\P{yiradicals}', "");
Expect(1, 42191, '\P{^yiradicals}', "");
Expect(0, 42192, '\p{yiradicals}', "");
Expect(1, 42192, '\p{^yiradicals}', "");
Expect(1, 42192, '\P{yiradicals}', "");
Expect(0, 42192, '\P{^yiradicals}', "");
Expect(1, 42191, '\p{	yi_Radicals}', "");
Expect(0, 42191, '\p{^	yi_Radicals}', "");
Expect(0, 42191, '\P{	yi_Radicals}', "");
Expect(1, 42191, '\P{^	yi_Radicals}', "");
Expect(0, 42192, '\p{	yi_Radicals}', "");
Expect(1, 42192, '\p{^	yi_Radicals}', "");
Expect(1, 42192, '\P{	yi_Radicals}', "");
Expect(0, 42192, '\P{^	yi_Radicals}', "");
Error('\p{:=-	Is_yi_Radicals}');
Error('\P{:=-	Is_yi_Radicals}');
Expect(1, 42191, '\p{isyiradicals}', "");
Expect(0, 42191, '\p{^isyiradicals}', "");
Expect(0, 42191, '\P{isyiradicals}', "");
Expect(1, 42191, '\P{^isyiradicals}', "");
Expect(0, 42192, '\p{isyiradicals}', "");
Expect(1, 42192, '\p{^isyiradicals}', "");
Expect(1, 42192, '\P{isyiradicals}', "");
Expect(0, 42192, '\P{^isyiradicals}', "");
Expect(1, 42191, '\p{_	Is_Yi_radicals}', "");
Expect(0, 42191, '\p{^_	Is_Yi_radicals}', "");
Expect(0, 42191, '\P{_	Is_Yi_radicals}', "");
Expect(1, 42191, '\P{^_	Is_Yi_radicals}', "");
Expect(0, 42192, '\p{_	Is_Yi_radicals}', "");
Expect(1, 42192, '\p{^_	Is_Yi_radicals}', "");
Expect(1, 42192, '\P{_	Is_Yi_radicals}', "");
Expect(0, 42192, '\P{^_	Is_Yi_radicals}', "");
Error('\p{_-In_YI_Radicals:=}');
Error('\P{_-In_YI_Radicals:=}');
Expect(1, 42191, '\p{inyiradicals}', "");
Expect(0, 42191, '\p{^inyiradicals}', "");
Expect(0, 42191, '\P{inyiradicals}', "");
Expect(1, 42191, '\P{^inyiradicals}', "");
Expect(0, 42192, '\p{inyiradicals}', "");
Expect(1, 42192, '\p{^inyiradicals}', "");
Expect(1, 42192, '\P{inyiradicals}', "");
Expect(0, 42192, '\P{^inyiradicals}', "");
Expect(1, 42191, '\p{_	In_Yi_Radicals}', "");
Expect(0, 42191, '\p{^_	In_Yi_Radicals}', "");
Expect(0, 42191, '\P{_	In_Yi_Radicals}', "");
Expect(1, 42191, '\P{^_	In_Yi_Radicals}', "");
Expect(0, 42192, '\p{_	In_Yi_Radicals}', "");
Expect(1, 42192, '\p{^_	In_Yi_Radicals}', "");
Expect(1, 42192, '\P{_	In_Yi_Radicals}', "");
Expect(0, 42192, '\P{^_	In_Yi_Radicals}', "");
Error('\p{/a/		YI_Syllables}');
Error('\P{/a/		YI_Syllables}');
Expect(1, 42127, '\p{yisyllables}', "");
Expect(0, 42127, '\p{^yisyllables}', "");
Expect(0, 42127, '\P{yisyllables}', "");
Expect(1, 42127, '\P{^yisyllables}', "");
Expect(0, 42128, '\p{yisyllables}', "");
Expect(1, 42128, '\p{^yisyllables}', "");
Expect(1, 42128, '\P{yisyllables}', "");
Expect(0, 42128, '\P{^yisyllables}', "");
Expect(1, 42127, '\p{Yi_Syllables}', "");
Expect(0, 42127, '\p{^Yi_Syllables}', "");
Expect(0, 42127, '\P{Yi_Syllables}', "");
Expect(1, 42127, '\P{^Yi_Syllables}', "");
Expect(0, 42128, '\p{Yi_Syllables}', "");
Expect(1, 42128, '\p{^Yi_Syllables}', "");
Expect(1, 42128, '\P{Yi_Syllables}', "");
Expect(0, 42128, '\P{^Yi_Syllables}', "");
Error('\p{	/a/Is_Yi_Syllables}');
Error('\P{	/a/Is_Yi_Syllables}');
Expect(1, 42127, '\p{isyisyllables}', "");
Expect(0, 42127, '\p{^isyisyllables}', "");
Expect(0, 42127, '\P{isyisyllables}', "");
Expect(1, 42127, '\P{^isyisyllables}', "");
Expect(0, 42128, '\p{isyisyllables}', "");
Expect(1, 42128, '\p{^isyisyllables}', "");
Expect(1, 42128, '\P{isyisyllables}', "");
Expect(0, 42128, '\P{^isyisyllables}', "");
Expect(1, 42127, '\p{- Is_Yi_Syllables}', "");
Expect(0, 42127, '\p{^- Is_Yi_Syllables}', "");
Expect(0, 42127, '\P{- Is_Yi_Syllables}', "");
Expect(1, 42127, '\P{^- Is_Yi_Syllables}', "");
Expect(0, 42128, '\p{- Is_Yi_Syllables}', "");
Expect(1, 42128, '\p{^- Is_Yi_Syllables}', "");
Expect(1, 42128, '\P{- Is_Yi_Syllables}', "");
Expect(0, 42128, '\P{^- Is_Yi_Syllables}', "");
Error('\p{_:=IN_Yi_Syllables}');
Error('\P{_:=IN_Yi_Syllables}');
Expect(1, 42127, '\p{inyisyllables}', "");
Expect(0, 42127, '\p{^inyisyllables}', "");
Expect(0, 42127, '\P{inyisyllables}', "");
Expect(1, 42127, '\P{^inyisyllables}', "");
Expect(0, 42128, '\p{inyisyllables}', "");
Expect(1, 42128, '\p{^inyisyllables}', "");
Expect(1, 42128, '\P{inyisyllables}', "");
Expect(0, 42128, '\P{^inyisyllables}', "");
Expect(1, 42127, '\p{--in_yi_Syllables}', "");
Expect(0, 42127, '\p{^--in_yi_Syllables}', "");
Expect(0, 42127, '\P{--in_yi_Syllables}', "");
Expect(1, 42127, '\P{^--in_yi_Syllables}', "");
Expect(0, 42128, '\p{--in_yi_Syllables}', "");
Expect(1, 42128, '\p{^--in_yi_Syllables}', "");
Expect(1, 42128, '\P{--in_yi_Syllables}', "");
Expect(0, 42128, '\P{^--in_yi_Syllables}', "");
Error('\p{-_Yijing_Hexagram_Symbols:=}');
Error('\P{-_Yijing_Hexagram_Symbols:=}');
Expect(1, 19967, '\p{yijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^yijinghexagramsymbols}', "");
Expect(0, 19967, '\P{yijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^yijinghexagramsymbols}', "");
Expect(0, 19968, '\p{yijinghexagramsymbols}', "");
Expect(1, 19968, '\p{^yijinghexagramsymbols}', "");
Expect(1, 19968, '\P{yijinghexagramsymbols}', "");
Expect(0, 19968, '\P{^yijinghexagramsymbols}', "");
Expect(1, 19967, '\p{	Yijing_HEXAGRAM_symbols}', "");
Expect(0, 19967, '\p{^	Yijing_HEXAGRAM_symbols}', "");
Expect(0, 19967, '\P{	Yijing_HEXAGRAM_symbols}', "");
Expect(1, 19967, '\P{^	Yijing_HEXAGRAM_symbols}', "");
Expect(0, 19968, '\p{	Yijing_HEXAGRAM_symbols}', "");
Expect(1, 19968, '\p{^	Yijing_HEXAGRAM_symbols}', "");
Expect(1, 19968, '\P{	Yijing_HEXAGRAM_symbols}', "");
Expect(0, 19968, '\P{^	Yijing_HEXAGRAM_symbols}', "");
Error('\p{_:=Is_yijing_HEXAGRAM_Symbols}');
Error('\P{_:=Is_yijing_HEXAGRAM_Symbols}');
Expect(1, 19967, '\p{isyijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^isyijinghexagramsymbols}', "");
Expect(0, 19967, '\P{isyijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^isyijinghexagramsymbols}', "");
Expect(0, 19968, '\p{isyijinghexagramsymbols}', "");
Expect(1, 19968, '\p{^isyijinghexagramsymbols}', "");
Expect(1, 19968, '\P{isyijinghexagramsymbols}', "");
Expect(0, 19968, '\P{^isyijinghexagramsymbols}', "");
Expect(1, 19967, '\p{--IS_YIJING_Hexagram_symbols}', "");
Expect(0, 19967, '\p{^--IS_YIJING_Hexagram_symbols}', "");
Expect(0, 19967, '\P{--IS_YIJING_Hexagram_symbols}', "");
Expect(1, 19967, '\P{^--IS_YIJING_Hexagram_symbols}', "");
Expect(0, 19968, '\p{--IS_YIJING_Hexagram_symbols}', "");
Expect(1, 19968, '\p{^--IS_YIJING_Hexagram_symbols}', "");
Expect(1, 19968, '\P{--IS_YIJING_Hexagram_symbols}', "");
Expect(0, 19968, '\P{^--IS_YIJING_Hexagram_symbols}', "");
Error('\p{-in_Yijing_HEXAGRAM_Symbols:=}');
Error('\P{-in_Yijing_HEXAGRAM_Symbols:=}');
Expect(1, 19967, '\p{inyijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^inyijinghexagramsymbols}', "");
Expect(0, 19967, '\P{inyijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^inyijinghexagramsymbols}', "");
Expect(0, 19968, '\p{inyijinghexagramsymbols}', "");
Expect(1, 19968, '\p{^inyijinghexagramsymbols}', "");
Expect(1, 19968, '\P{inyijinghexagramsymbols}', "");
Expect(0, 19968, '\P{^inyijinghexagramsymbols}', "");
Expect(1, 19967, '\p{- In_YIJING_Hexagram_SYMBOLS}', "");
Expect(0, 19967, '\p{^- In_YIJING_Hexagram_SYMBOLS}', "");
Expect(0, 19967, '\P{- In_YIJING_Hexagram_SYMBOLS}', "");
Expect(1, 19967, '\P{^- In_YIJING_Hexagram_SYMBOLS}', "");
Expect(0, 19968, '\p{- In_YIJING_Hexagram_SYMBOLS}', "");
Expect(1, 19968, '\p{^- In_YIJING_Hexagram_SYMBOLS}', "");
Expect(1, 19968, '\P{- In_YIJING_Hexagram_SYMBOLS}', "");
Expect(0, 19968, '\P{^- In_YIJING_Hexagram_SYMBOLS}', "");
Error('\p{:=_ YIJING}');
Error('\P{:=_ YIJING}');
Expect(1, 19967, '\p{yijing}', "");
Expect(0, 19967, '\p{^yijing}', "");
Expect(0, 19967, '\P{yijing}', "");
Expect(1, 19967, '\P{^yijing}', "");
Expect(0, 19968, '\p{yijing}', "");
Expect(1, 19968, '\p{^yijing}', "");
Expect(1, 19968, '\P{yijing}', "");
Expect(0, 19968, '\P{^yijing}', "");
Expect(1, 19967, '\p{__YIJING}', "");
Expect(0, 19967, '\p{^__YIJING}', "");
Expect(0, 19967, '\P{__YIJING}', "");
Expect(1, 19967, '\P{^__YIJING}', "");
Expect(0, 19968, '\p{__YIJING}', "");
Expect(1, 19968, '\p{^__YIJING}', "");
Expect(1, 19968, '\P{__YIJING}', "");
Expect(0, 19968, '\P{^__YIJING}', "");
Error('\p{--IS_YIJING:=}');
Error('\P{--IS_YIJING:=}');
Expect(1, 19967, '\p{isyijing}', "");
Expect(0, 19967, '\p{^isyijing}', "");
Expect(0, 19967, '\P{isyijing}', "");
Expect(1, 19967, '\P{^isyijing}', "");
Expect(0, 19968, '\p{isyijing}', "");
Expect(1, 19968, '\p{^isyijing}', "");
Expect(1, 19968, '\P{isyijing}', "");
Expect(0, 19968, '\P{^isyijing}', "");
Expect(1, 19967, '\p{- is_YIJING}', "");
Expect(0, 19967, '\p{^- is_YIJING}', "");
Expect(0, 19967, '\P{- is_YIJING}', "");
Expect(1, 19967, '\P{^- is_YIJING}', "");
Expect(0, 19968, '\p{- is_YIJING}', "");
Expect(1, 19968, '\p{^- is_YIJING}', "");
Expect(1, 19968, '\P{- is_YIJING}', "");
Expect(0, 19968, '\P{^- is_YIJING}', "");
Error('\p{--In_YIJING:=}');
Error('\P{--In_YIJING:=}');
Expect(1, 19967, '\p{inyijing}', "");
Expect(0, 19967, '\p{^inyijing}', "");
Expect(0, 19967, '\P{inyijing}', "");
Expect(1, 19967, '\P{^inyijing}', "");
Expect(0, 19968, '\p{inyijing}', "");
Expect(1, 19968, '\p{^inyijing}', "");
Expect(1, 19968, '\P{inyijing}', "");
Expect(0, 19968, '\P{^inyijing}', "");
Expect(1, 19967, '\p{_	In_YIJING}', "");
Expect(0, 19967, '\p{^_	In_YIJING}', "");
Expect(0, 19967, '\P{_	In_YIJING}', "");
Expect(1, 19967, '\P{^_	In_YIJING}', "");
Expect(0, 19968, '\p{_	In_YIJING}', "");
Expect(1, 19968, '\p{^_	In_YIJING}', "");
Expect(1, 19968, '\P{_	In_YIJING}', "");
Expect(0, 19968, '\P{^_	In_YIJING}', "");
Error('\p{	/a/SOFT_DOTTED}');
Error('\P{	/a/SOFT_DOTTED}');
Expect(1, 120467, '\p{softdotted}', "");
Expect(0, 120467, '\p{^softdotted}', "");
Expect(0, 120467, '\P{softdotted}', "");
Expect(1, 120467, '\P{^softdotted}', "");
Expect(0, 120468, '\p{softdotted}', "");
Expect(1, 120468, '\p{^softdotted}', "");
Expect(1, 120468, '\P{softdotted}', "");
Expect(0, 120468, '\P{^softdotted}', "");
Expect(1, 120467, '\p{	 soft_Dotted}', "");
Expect(0, 120467, '\p{^	 soft_Dotted}', "");
Expect(0, 120467, '\P{	 soft_Dotted}', "");
Expect(1, 120467, '\P{^	 soft_Dotted}', "");
Expect(0, 120468, '\p{	 soft_Dotted}', "");
Expect(1, 120468, '\p{^	 soft_Dotted}', "");
Expect(1, 120468, '\P{	 soft_Dotted}', "");
Expect(0, 120468, '\P{^	 soft_Dotted}', "");
Error('\p{:=Is_SOFT_DOTTED}');
Error('\P{:=Is_SOFT_DOTTED}');
Expect(1, 120467, '\p{issoftdotted}', "");
Expect(0, 120467, '\p{^issoftdotted}', "");
Expect(0, 120467, '\P{issoftdotted}', "");
Expect(1, 120467, '\P{^issoftdotted}', "");
Expect(0, 120468, '\p{issoftdotted}', "");
Expect(1, 120468, '\p{^issoftdotted}', "");
Expect(1, 120468, '\P{issoftdotted}', "");
Expect(0, 120468, '\P{^issoftdotted}', "");
Expect(1, 120467, '\p{ Is_Soft_Dotted}', "");
Expect(0, 120467, '\p{^ Is_Soft_Dotted}', "");
Expect(0, 120467, '\P{ Is_Soft_Dotted}', "");
Expect(1, 120467, '\P{^ Is_Soft_Dotted}', "");
Expect(0, 120468, '\p{ Is_Soft_Dotted}', "");
Expect(1, 120468, '\p{^ Is_Soft_Dotted}', "");
Expect(1, 120468, '\P{ Is_Soft_Dotted}', "");
Expect(0, 120468, '\P{^ Is_Soft_Dotted}', "");
Error('\p{/a/SD}');
Error('\P{/a/SD}');
Expect(1, 120467, '\p{sd}', "");
Expect(0, 120467, '\p{^sd}', "");
Expect(0, 120467, '\P{sd}', "");
Expect(1, 120467, '\P{^sd}', "");
Expect(0, 120468, '\p{sd}', "");
Expect(1, 120468, '\p{^sd}', "");
Expect(1, 120468, '\P{sd}', "");
Expect(0, 120468, '\P{^sd}', "");
Expect(1, 120467, '\p{_	sd}', "");
Expect(0, 120467, '\p{^_	sd}', "");
Expect(0, 120467, '\P{_	sd}', "");
Expect(1, 120467, '\P{^_	sd}', "");
Expect(0, 120468, '\p{_	sd}', "");
Expect(1, 120468, '\p{^_	sd}', "");
Expect(1, 120468, '\P{_	sd}', "");
Expect(0, 120468, '\P{^_	sd}', "");
Error('\p{	-Is_sd/a/}');
Error('\P{	-Is_sd/a/}');
Expect(1, 120467, '\p{issd}', "");
Expect(0, 120467, '\p{^issd}', "");
Expect(0, 120467, '\P{issd}', "");
Expect(1, 120467, '\P{^issd}', "");
Expect(0, 120468, '\p{issd}', "");
Expect(1, 120468, '\p{^issd}', "");
Expect(1, 120468, '\P{issd}', "");
Expect(0, 120468, '\P{^issd}', "");
Expect(1, 120467, '\p{__Is_SD}', "");
Expect(0, 120467, '\p{^__Is_SD}', "");
Expect(0, 120467, '\P{__Is_SD}', "");
Expect(1, 120467, '\P{^__Is_SD}', "");
Expect(0, 120468, '\p{__Is_SD}', "");
Expect(1, 120468, '\p{^__Is_SD}', "");
Expect(1, 120468, '\P{__Is_SD}', "");
Expect(0, 120468, '\P{^__Is_SD}', "");
Error('\p{/a/__CanonDCIJ}');
Error('\P{/a/__CanonDCIJ}');
Expect(1, 120467, '\p{_CANONDCIJ}', "");
Expect(0, 120467, '\p{^_CANONDCIJ}', "");
Expect(0, 120467, '\P{_CANONDCIJ}', "");
Expect(1, 120467, '\P{^_CANONDCIJ}', "");
Expect(0, 120468, '\p{_CANONDCIJ}', "");
Expect(1, 120468, '\p{^_CANONDCIJ}', "");
Expect(1, 120468, '\P{_CANONDCIJ}', "");
Expect(0, 120468, '\P{^_CANONDCIJ}', "");
Error('\p{/a/ -Case_IGNORABLE}');
Error('\P{/a/ -Case_IGNORABLE}');
Expect(1, 917999, '\p{caseignorable}', "");
Expect(0, 917999, '\p{^caseignorable}', "");
Expect(0, 917999, '\P{caseignorable}', "");
Expect(1, 917999, '\P{^caseignorable}', "");
Expect(0, 918000, '\p{caseignorable}', "");
Expect(1, 918000, '\p{^caseignorable}', "");
Expect(1, 918000, '\P{caseignorable}', "");
Expect(0, 918000, '\P{^caseignorable}', "");
Expect(1, 917999, '\p{case_Ignorable}', "");
Expect(0, 917999, '\p{^case_Ignorable}', "");
Expect(0, 917999, '\P{case_Ignorable}', "");
Expect(1, 917999, '\P{^case_Ignorable}', "");
Expect(0, 918000, '\p{case_Ignorable}', "");
Expect(1, 918000, '\p{^case_Ignorable}', "");
Expect(1, 918000, '\P{case_Ignorable}', "");
Expect(0, 918000, '\P{^case_Ignorable}', "");
Error('\p{/a/		is_Case_Ignorable}');
Error('\P{/a/		is_Case_Ignorable}');
Expect(1, 917999, '\p{iscaseignorable}', "");
Expect(0, 917999, '\p{^iscaseignorable}', "");
Expect(0, 917999, '\P{iscaseignorable}', "");
Expect(1, 917999, '\P{^iscaseignorable}', "");
Expect(0, 918000, '\p{iscaseignorable}', "");
Expect(1, 918000, '\p{^iscaseignorable}', "");
Expect(1, 918000, '\P{iscaseignorable}', "");
Expect(0, 918000, '\P{^iscaseignorable}', "");
Expect(1, 917999, '\p{_is_case_Ignorable}', "");
Expect(0, 917999, '\p{^_is_case_Ignorable}', "");
Expect(0, 917999, '\P{_is_case_Ignorable}', "");
Expect(1, 917999, '\P{^_is_case_Ignorable}', "");
Expect(0, 918000, '\p{_is_case_Ignorable}', "");
Expect(1, 918000, '\p{^_is_case_Ignorable}', "");
Expect(1, 918000, '\P{_is_case_Ignorable}', "");
Expect(0, 918000, '\P{^_is_case_Ignorable}', "");
Error('\p{-:=ci}');
Error('\P{-:=ci}');
Expect(1, 917999, '\p{ci}', "");
Expect(0, 917999, '\p{^ci}', "");
Expect(0, 917999, '\P{ci}', "");
Expect(1, 917999, '\P{^ci}', "");
Expect(0, 918000, '\p{ci}', "");
Expect(1, 918000, '\p{^ci}', "");
Expect(1, 918000, '\P{ci}', "");
Expect(0, 918000, '\P{^ci}', "");
Expect(1, 917999, '\p{ CI}', "");
Expect(0, 917999, '\p{^ CI}', "");
Expect(0, 917999, '\P{ CI}', "");
Expect(1, 917999, '\P{^ CI}', "");
Expect(0, 918000, '\p{ CI}', "");
Expect(1, 918000, '\p{^ CI}', "");
Expect(1, 918000, '\P{ CI}', "");
Expect(0, 918000, '\P{^ CI}', "");
Error('\p{:=--Is_CI}');
Error('\P{:=--Is_CI}');
Expect(1, 917999, '\p{isci}', "");
Expect(0, 917999, '\p{^isci}', "");
Expect(0, 917999, '\P{isci}', "");
Expect(1, 917999, '\P{^isci}', "");
Expect(0, 918000, '\p{isci}', "");
Expect(1, 918000, '\p{^isci}', "");
Expect(1, 918000, '\P{isci}', "");
Expect(0, 918000, '\P{^isci}', "");
Expect(1, 917999, '\p{		IS_CI}', "");
Expect(0, 917999, '\p{^		IS_CI}', "");
Expect(0, 917999, '\P{		IS_CI}', "");
Expect(1, 917999, '\P{^		IS_CI}', "");
Expect(0, 918000, '\p{		IS_CI}', "");
Expect(1, 918000, '\p{^		IS_CI}', "");
Expect(1, 918000, '\P{		IS_CI}', "");
Expect(0, 918000, '\P{^		IS_CI}', "");
Error('\p{	_Case_ignorable:=}');
Error('\P{	_Case_ignorable:=}');
Expect(1, 917999, '\p{_CASE_ignorable}', "");
Expect(0, 917999, '\p{^_CASE_ignorable}', "");
Expect(0, 917999, '\P{_CASE_ignorable}', "");
Expect(1, 917999, '\P{^_CASE_ignorable}', "");
Expect(0, 918000, '\p{_CASE_ignorable}', "");
Expect(1, 918000, '\p{^_CASE_ignorable}', "");
Expect(1, 918000, '\P{_CASE_ignorable}', "");
Expect(0, 918000, '\P{^_CASE_ignorable}', "");
Error('\p{ :=_CombAbove}');
Error('\P{ :=_CombAbove}');
Expect(1, 119364, '\p{_CombAbove}', "");
Expect(0, 119364, '\p{^_CombAbove}', "");
Expect(0, 119364, '\P{_CombAbove}', "");
Expect(1, 119364, '\P{^_CombAbove}', "");
Expect(0, 119365, '\p{_CombAbove}', "");
Expect(1, 119365, '\p{^_CombAbove}', "");
Expect(1, 119365, '\P{_CombAbove}', "");
Expect(0, 119365, '\P{^_CombAbove}', "");
Error('\p{_/a/_COMBABOVE}');
Error('\P{_/a/_COMBABOVE}');
Expect(1, 119364, '\p{_combabove}', "");
Expect(0, 119364, '\p{^_combabove}', "");
Expect(0, 119364, '\P{_combabove}', "");
Expect(1, 119364, '\P{^_combabove}', "");
Expect(0, 119365, '\p{_combabove}', "");
Expect(1, 119365, '\p{^_combabove}', "");
Expect(1, 119365, '\P{_combabove}', "");
Expect(0, 119365, '\P{^_combabove}', "");
Error('\p{:= _PERL_ANY_FOLDS}');
Error('\P{:= _PERL_ANY_FOLDS}');
Expect(1, 71903, '\p{_Perl_ANY_Folds}', "");
Expect(0, 71903, '\p{^_Perl_ANY_Folds}', "");
Expect(0, 71903, '\P{_Perl_ANY_Folds}', "");
Expect(1, 71903, '\P{^_Perl_ANY_Folds}', "");
Expect(0, 71904, '\p{_Perl_ANY_Folds}', "");
Expect(1, 71904, '\p{^_Perl_ANY_Folds}', "");
Expect(1, 71904, '\P{_Perl_ANY_Folds}', "");
Expect(0, 71904, '\P{^_Perl_ANY_Folds}', "");
Error('\p{ /a/_Perl_any_Folds}');
Error('\P{ /a/_Perl_any_Folds}');
Expect(1, 71903, '\p{_PERL_Any_Folds}', "");
Expect(0, 71903, '\p{^_PERL_Any_Folds}', "");
Expect(0, 71903, '\P{_PERL_Any_Folds}', "");
Expect(1, 71903, '\P{^_PERL_Any_Folds}', "");
Expect(0, 71904, '\p{_PERL_Any_Folds}', "");
Expect(1, 71904, '\p{^_PERL_Any_Folds}', "");
Expect(1, 71904, '\P{_PERL_Any_Folds}', "");
Expect(0, 71904, '\P{^_PERL_Any_Folds}', "");
Error('\p{-__perl_Charname_Begin:=}');
Error('\P{-__perl_Charname_Begin:=}');
Expect(1, 195101, '\p{_Perl_CHARNAME_begin}', "");
Expect(0, 195101, '\p{^_Perl_CHARNAME_begin}', "");
Expect(0, 195101, '\P{_Perl_CHARNAME_begin}', "");
Expect(1, 195101, '\P{^_Perl_CHARNAME_begin}', "");
Expect(0, 195102, '\p{_Perl_CHARNAME_begin}', "");
Expect(1, 195102, '\p{^_Perl_CHARNAME_begin}', "");
Expect(1, 195102, '\P{_Perl_CHARNAME_begin}', "");
Expect(0, 195102, '\P{^_Perl_CHARNAME_begin}', "");
Error('\p{ /a/_Perl_CHARNAME_Begin}');
Error('\P{ /a/_Perl_CHARNAME_Begin}');
Expect(1, 195101, '\p{_Perl_charname_BEGIN}', "");
Expect(0, 195101, '\p{^_Perl_charname_BEGIN}', "");
Expect(0, 195101, '\P{_Perl_charname_BEGIN}', "");
Expect(1, 195101, '\P{^_Perl_charname_BEGIN}', "");
Expect(0, 195102, '\p{_Perl_charname_BEGIN}', "");
Expect(1, 195102, '\p{^_Perl_charname_BEGIN}', "");
Expect(1, 195102, '\P{_Perl_charname_BEGIN}', "");
Expect(0, 195102, '\P{^_Perl_charname_BEGIN}', "");
Error('\p{:=		_perl_Charname_continue}');
Error('\P{:=		_perl_Charname_continue}');
Expect(1, 917999, '\p{_PERL_Charname_Continue}', "");
Expect(0, 917999, '\p{^_PERL_Charname_Continue}', "");
Expect(0, 917999, '\P{_PERL_Charname_Continue}', "");
Expect(1, 917999, '\P{^_PERL_Charname_Continue}', "");
Expect(0, 918000, '\p{_PERL_Charname_Continue}', "");
Expect(1, 918000, '\p{^_PERL_Charname_Continue}', "");
Expect(1, 918000, '\P{_PERL_Charname_Continue}', "");
Expect(0, 918000, '\P{^_PERL_Charname_Continue}', "");
Error('\p{- _PERL_Charname_Continue:=}');
Error('\P{- _PERL_Charname_Continue:=}');
Expect(1, 917999, '\p{_PERL_CHARNAME_CONTINUE}', "");
Expect(0, 917999, '\p{^_PERL_CHARNAME_CONTINUE}', "");
Expect(0, 917999, '\P{_PERL_CHARNAME_CONTINUE}', "");
Expect(1, 917999, '\P{^_PERL_CHARNAME_CONTINUE}', "");
Expect(0, 918000, '\p{_PERL_CHARNAME_CONTINUE}', "");
Expect(1, 918000, '\p{^_PERL_CHARNAME_CONTINUE}', "");
Expect(1, 918000, '\P{_PERL_CHARNAME_CONTINUE}', "");
Expect(0, 918000, '\P{^_PERL_CHARNAME_CONTINUE}', "");
Error('\p{-	_perl_Folds_To_Multi_CHAR:=}');
Error('\P{-	_perl_Folds_To_Multi_CHAR:=}');
Expect(1, 64279, '\p{_PERL_Folds_TO_multi_CHAR}', "");
Expect(0, 64279, '\p{^_PERL_Folds_TO_multi_CHAR}', "");
Expect(0, 64279, '\P{_PERL_Folds_TO_multi_CHAR}', "");
Expect(1, 64279, '\P{^_PERL_Folds_TO_multi_CHAR}', "");
Expect(0, 64280, '\p{_PERL_Folds_TO_multi_CHAR}', "");
Expect(1, 64280, '\p{^_PERL_Folds_TO_multi_CHAR}', "");
Expect(1, 64280, '\P{_PERL_Folds_TO_multi_CHAR}', "");
Expect(0, 64280, '\P{^_PERL_Folds_TO_multi_CHAR}', "");
Error('\p{	_Perl_FOLDS_To_MULTI_char:=}');
Error('\P{	_Perl_FOLDS_To_MULTI_char:=}');
Expect(1, 64279, '\p{_PERL_FOLDS_TO_multi_CHAR}', "");
Expect(0, 64279, '\p{^_PERL_FOLDS_TO_multi_CHAR}', "");
Expect(0, 64279, '\P{_PERL_FOLDS_TO_multi_CHAR}', "");
Expect(1, 64279, '\P{^_PERL_FOLDS_TO_multi_CHAR}', "");
Expect(0, 64280, '\p{_PERL_FOLDS_TO_multi_CHAR}', "");
Expect(1, 64280, '\p{^_PERL_FOLDS_TO_multi_CHAR}', "");
Expect(1, 64280, '\P{_PERL_FOLDS_TO_multi_CHAR}', "");
Expect(0, 64280, '\P{^_PERL_FOLDS_TO_multi_CHAR}', "");
Error('\p{/a/--_Perl_IDCont}');
Error('\P{/a/--_Perl_IDCont}');
Expect(1, 917999, '\p{_perl_idcont}', "");
Expect(0, 917999, '\p{^_perl_idcont}', "");
Expect(0, 917999, '\P{_perl_idcont}', "");
Expect(1, 917999, '\P{^_perl_idcont}', "");
Expect(0, 918000, '\p{_perl_idcont}', "");
Expect(1, 918000, '\p{^_perl_idcont}', "");
Expect(1, 918000, '\P{_perl_idcont}', "");
Expect(0, 918000, '\P{^_perl_idcont}', "");
Error('\p{_ _Perl_IDCont:=}');
Error('\P{_ _Perl_IDCont:=}');
Expect(1, 917999, '\p{_Perl_idcont}', "");
Expect(0, 917999, '\p{^_Perl_idcont}', "");
Expect(0, 917999, '\P{_Perl_idcont}', "");
Expect(1, 917999, '\P{^_Perl_idcont}', "");
Expect(0, 918000, '\p{_Perl_idcont}', "");
Expect(1, 918000, '\p{^_Perl_idcont}', "");
Expect(1, 918000, '\P{_Perl_idcont}', "");
Expect(0, 918000, '\P{^_Perl_idcont}', "");
Error('\p{/a/ __Perl_idstart}');
Error('\P{/a/ __Perl_idstart}');
Expect(1, 195101, '\p{_Perl_IDSTART}', "");
Expect(0, 195101, '\p{^_Perl_IDSTART}', "");
Expect(0, 195101, '\P{_Perl_IDSTART}', "");
Expect(1, 195101, '\P{^_Perl_IDSTART}', "");
Expect(0, 195102, '\p{_Perl_IDSTART}', "");
Expect(1, 195102, '\p{^_Perl_IDSTART}', "");
Expect(1, 195102, '\P{_Perl_IDSTART}', "");
Expect(0, 195102, '\P{^_Perl_IDSTART}', "");
Error('\p{	_Perl_IDSTART:=}');
Error('\P{	_Perl_IDSTART:=}');
Error('\p{/a/_PERL_Problematic_Locale_Foldeds_Start}');
Error('\P{/a/_PERL_Problematic_Locale_Foldeds_Start}');
Expect(1, 64262, '\p{_perl_Problematic_LOCALE_Foldeds_start}', "");
Expect(0, 64262, '\p{^_perl_Problematic_LOCALE_Foldeds_start}', "");
Expect(0, 64262, '\P{_perl_Problematic_LOCALE_Foldeds_start}', "");
Expect(1, 64262, '\P{^_perl_Problematic_LOCALE_Foldeds_start}', "");
Expect(0, 64263, '\p{_perl_Problematic_LOCALE_Foldeds_start}', "");
Expect(1, 64263, '\p{^_perl_Problematic_LOCALE_Foldeds_start}', "");
Expect(1, 64263, '\P{_perl_Problematic_LOCALE_Foldeds_start}', "");
Expect(0, 64263, '\P{^_perl_Problematic_LOCALE_Foldeds_start}', "");
Error('\p{:=-__Perl_PROBLEMATIC_locale_FOLDEDS_start}');
Error('\P{:=-__Perl_PROBLEMATIC_locale_FOLDEDS_start}');
Expect(1, 64262, '\p{_Perl_problematic_locale_foldeds_start}', "");
Expect(0, 64262, '\p{^_Perl_problematic_locale_foldeds_start}', "");
Expect(0, 64262, '\P{_Perl_problematic_locale_foldeds_start}', "");
Expect(1, 64262, '\P{^_Perl_problematic_locale_foldeds_start}', "");
Expect(0, 64263, '\p{_Perl_problematic_locale_foldeds_start}', "");
Expect(1, 64263, '\p{^_Perl_problematic_locale_foldeds_start}', "");
Expect(1, 64263, '\P{_Perl_problematic_locale_foldeds_start}', "");
Expect(0, 64263, '\P{^_Perl_problematic_locale_foldeds_start}', "");
Error('\p{__Perl_Problematic_Locale_Folds:=}');
Error('\P{__Perl_Problematic_Locale_Folds:=}');
Expect(1, 64262, '\p{_PERL_PROBLEMATIC_locale_Folds}', "");
Expect(0, 64262, '\p{^_PERL_PROBLEMATIC_locale_Folds}', "");
Expect(0, 64262, '\P{_PERL_PROBLEMATIC_locale_Folds}', "");
Expect(1, 64262, '\P{^_PERL_PROBLEMATIC_locale_Folds}', "");
Expect(0, 64263, '\p{_PERL_PROBLEMATIC_locale_Folds}', "");
Expect(1, 64263, '\p{^_PERL_PROBLEMATIC_locale_Folds}', "");
Expect(1, 64263, '\P{_PERL_PROBLEMATIC_locale_Folds}', "");
Expect(0, 64263, '\P{^_PERL_PROBLEMATIC_locale_Folds}', "");
Error('\p{- _Perl_problematic_Locale_folds:=}');
Error('\P{- _Perl_problematic_Locale_folds:=}');
Expect(1, 64262, '\p{_perl_Problematic_Locale_folds}', "");
Expect(0, 64262, '\p{^_perl_Problematic_Locale_folds}', "");
Expect(0, 64262, '\P{_perl_Problematic_Locale_folds}', "");
Expect(1, 64262, '\P{^_perl_Problematic_Locale_folds}', "");
Expect(0, 64263, '\p{_perl_Problematic_Locale_folds}', "");
Expect(1, 64263, '\p{^_perl_Problematic_Locale_folds}', "");
Expect(1, 64263, '\P{_perl_Problematic_Locale_folds}', "");
Expect(0, 64263, '\P{^_perl_Problematic_Locale_folds}', "");
Error('\p{	-_Perl_quotemeta/a/}');
Error('\P{	-_Perl_quotemeta/a/}');
Expect(1, 921599, '\p{_Perl_Quotemeta}', "");
Expect(0, 921599, '\p{^_Perl_Quotemeta}', "");
Expect(0, 921599, '\P{_Perl_Quotemeta}', "");
Expect(1, 921599, '\P{^_Perl_Quotemeta}', "");
Expect(0, 921600, '\p{_Perl_Quotemeta}', "");
Expect(1, 921600, '\p{^_Perl_Quotemeta}', "");
Expect(1, 921600, '\P{_Perl_Quotemeta}', "");
Expect(0, 921600, '\P{^_Perl_Quotemeta}', "");
Error('\p{/a/_perl_quotemeta}');
Error('\P{/a/_perl_quotemeta}');
Expect(1, 921599, '\p{_Perl_quotemeta}', "");
Expect(0, 921599, '\p{^_Perl_quotemeta}', "");
Expect(0, 921599, '\P{_Perl_quotemeta}', "");
Expect(1, 921599, '\P{^_Perl_quotemeta}', "");
Expect(0, 921600, '\p{_Perl_quotemeta}', "");
Expect(1, 921600, '\p{^_Perl_quotemeta}', "");
Expect(1, 921600, '\P{_Perl_quotemeta}', "");
Expect(0, 921600, '\P{^_Perl_quotemeta}', "");
Error('\p{Script= 	CAUCASIAN_Albanian/a/}');
Error('\P{Script= 	CAUCASIAN_Albanian/a/}');
Expect(1, 66927, '\p{Script=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Script=caucasianalbanian}', "");
Expect(0, 66927, '\P{Script=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Script=caucasianalbanian}', "");
Expect(0, 66928, '\p{Script=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Script=caucasianalbanian}', "");
Expect(1, 66928, '\P{Script=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Script=caucasianalbanian}', "");
Expect(1, 66927, '\p{Script=_Caucasian_ALBANIAN}', "");
Expect(0, 66927, '\p{^Script=_Caucasian_ALBANIAN}', "");
Expect(0, 66927, '\P{Script=_Caucasian_ALBANIAN}', "");
Expect(1, 66927, '\P{^Script=_Caucasian_ALBANIAN}', "");
Expect(0, 66928, '\p{Script=_Caucasian_ALBANIAN}', "");
Expect(1, 66928, '\p{^Script=_Caucasian_ALBANIAN}', "");
Expect(1, 66928, '\P{Script=_Caucasian_ALBANIAN}', "");
Expect(0, 66928, '\P{^Script=_Caucasian_ALBANIAN}', "");
Error('\p{Sc=/a/aghb}');
Error('\P{Sc=/a/aghb}');
Expect(1, 66927, '\p{Sc=aghb}', "");
Expect(0, 66927, '\p{^Sc=aghb}', "");
Expect(0, 66927, '\P{Sc=aghb}', "");
Expect(1, 66927, '\P{^Sc=aghb}', "");
Expect(0, 66928, '\p{Sc=aghb}', "");
Expect(1, 66928, '\p{^Sc=aghb}', "");
Expect(1, 66928, '\P{Sc=aghb}', "");
Expect(0, 66928, '\P{^Sc=aghb}', "");
Expect(1, 66927, '\p{Sc=	Aghb}', "");
Expect(0, 66927, '\p{^Sc=	Aghb}', "");
Expect(0, 66927, '\P{Sc=	Aghb}', "");
Expect(1, 66927, '\P{^Sc=	Aghb}', "");
Expect(0, 66928, '\p{Sc=	Aghb}', "");
Expect(1, 66928, '\p{^Sc=	Aghb}', "");
Expect(1, 66928, '\P{Sc=	Aghb}', "");
Expect(0, 66928, '\P{^Sc=	Aghb}', "");
Error('\p{Is_Script: /a/CAUCASIAN_Albanian}');
Error('\P{Is_Script: /a/CAUCASIAN_Albanian}');
Expect(1, 66927, '\p{Is_Script=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Is_Script=caucasianalbanian}', "");
Expect(0, 66927, '\P{Is_Script=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Is_Script=caucasianalbanian}', "");
Expect(0, 66928, '\p{Is_Script=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Is_Script=caucasianalbanian}', "");
Expect(1, 66928, '\P{Is_Script=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Is_Script=caucasianalbanian}', "");
Expect(1, 66927, '\p{Is_Script=		CAUCASIAN_Albanian}', "");
Expect(0, 66927, '\p{^Is_Script=		CAUCASIAN_Albanian}', "");
Expect(0, 66927, '\P{Is_Script=		CAUCASIAN_Albanian}', "");
Expect(1, 66927, '\P{^Is_Script=		CAUCASIAN_Albanian}', "");
Expect(0, 66928, '\p{Is_Script=		CAUCASIAN_Albanian}', "");
Expect(1, 66928, '\p{^Is_Script=		CAUCASIAN_Albanian}', "");
Expect(1, 66928, '\P{Is_Script=		CAUCASIAN_Albanian}', "");
Expect(0, 66928, '\P{^Is_Script=		CAUCASIAN_Albanian}', "");
Error('\p{Is_Sc=AGHB:=}');
Error('\P{Is_Sc=AGHB:=}');
Expect(1, 66927, '\p{Is_Sc=aghb}', "");
Expect(0, 66927, '\p{^Is_Sc=aghb}', "");
Expect(0, 66927, '\P{Is_Sc=aghb}', "");
Expect(1, 66927, '\P{^Is_Sc=aghb}', "");
Expect(0, 66928, '\p{Is_Sc=aghb}', "");
Expect(1, 66928, '\p{^Is_Sc=aghb}', "");
Expect(1, 66928, '\P{Is_Sc=aghb}', "");
Expect(0, 66928, '\P{^Is_Sc=aghb}', "");
Expect(1, 66927, '\p{Is_Sc= AGHB}', "");
Expect(0, 66927, '\p{^Is_Sc= AGHB}', "");
Expect(0, 66927, '\P{Is_Sc= AGHB}', "");
Expect(1, 66927, '\P{^Is_Sc= AGHB}', "");
Expect(0, 66928, '\p{Is_Sc= AGHB}', "");
Expect(1, 66928, '\p{^Is_Sc= AGHB}', "");
Expect(1, 66928, '\P{Is_Sc= AGHB}', "");
Expect(0, 66928, '\P{^Is_Sc= AGHB}', "");
Error('\p{Script=	:=ARABIC}');
Error('\P{Script=	:=ARABIC}');
Expect(1, 126705, '\p{Script=arabic}', "");
Expect(0, 126705, '\p{^Script=arabic}', "");
Expect(0, 126705, '\P{Script=arabic}', "");
Expect(1, 126705, '\P{^Script=arabic}', "");
Expect(0, 126706, '\p{Script=arabic}', "");
Expect(1, 126706, '\p{^Script=arabic}', "");
Expect(1, 126706, '\P{Script=arabic}', "");
Expect(0, 126706, '\P{^Script=arabic}', "");
Expect(1, 126705, '\p{Script=_ Arabic}', "");
Expect(0, 126705, '\p{^Script=_ Arabic}', "");
Expect(0, 126705, '\P{Script=_ Arabic}', "");
Expect(1, 126705, '\P{^Script=_ Arabic}', "");
Expect(0, 126706, '\p{Script=_ Arabic}', "");
Expect(1, 126706, '\p{^Script=_ Arabic}', "");
Expect(1, 126706, '\P{Script=_ Arabic}', "");
Expect(0, 126706, '\P{^Script=_ Arabic}', "");
Error('\p{Sc=:= arab}');
Error('\P{Sc=:= arab}');
Expect(1, 126705, '\p{Sc=arab}', "");
Expect(0, 126705, '\p{^Sc=arab}', "");
Expect(0, 126705, '\P{Sc=arab}', "");
Expect(1, 126705, '\P{^Sc=arab}', "");
Expect(0, 126706, '\p{Sc=arab}', "");
Expect(1, 126706, '\p{^Sc=arab}', "");
Expect(1, 126706, '\P{Sc=arab}', "");
Expect(0, 126706, '\P{^Sc=arab}', "");
Expect(1, 126705, '\p{Sc=	_arab}', "");
Expect(0, 126705, '\p{^Sc=	_arab}', "");
Expect(0, 126705, '\P{Sc=	_arab}', "");
Expect(1, 126705, '\P{^Sc=	_arab}', "");
Expect(0, 126706, '\p{Sc=	_arab}', "");
Expect(1, 126706, '\p{^Sc=	_arab}', "");
Expect(1, 126706, '\P{Sc=	_arab}', "");
Expect(0, 126706, '\P{^Sc=	_arab}', "");
Error('\p{Is_Script=/a/_-Arabic}');
Error('\P{Is_Script=/a/_-Arabic}');
Expect(1, 126705, '\p{Is_Script=arabic}', "");
Expect(0, 126705, '\p{^Is_Script=arabic}', "");
Expect(0, 126705, '\P{Is_Script=arabic}', "");
Expect(1, 126705, '\P{^Is_Script=arabic}', "");
Expect(0, 126706, '\p{Is_Script=arabic}', "");
Expect(1, 126706, '\p{^Is_Script=arabic}', "");
Expect(1, 126706, '\P{Is_Script=arabic}', "");
Expect(0, 126706, '\P{^Is_Script=arabic}', "");
Expect(1, 126705, '\p{Is_Script= _Arabic}', "");
Expect(0, 126705, '\p{^Is_Script= _Arabic}', "");
Expect(0, 126705, '\P{Is_Script= _Arabic}', "");
Expect(1, 126705, '\P{^Is_Script= _Arabic}', "");
Expect(0, 126706, '\p{Is_Script= _Arabic}', "");
Expect(1, 126706, '\p{^Is_Script= _Arabic}', "");
Expect(1, 126706, '\P{Is_Script= _Arabic}', "");
Expect(0, 126706, '\P{^Is_Script= _Arabic}', "");
Error('\p{Is_Sc=  Arab/a/}');
Error('\P{Is_Sc=  Arab/a/}');
Expect(1, 126705, '\p{Is_Sc=arab}', "");
Expect(0, 126705, '\p{^Is_Sc=arab}', "");
Expect(0, 126705, '\P{Is_Sc=arab}', "");
Expect(1, 126705, '\P{^Is_Sc=arab}', "");
Expect(0, 126706, '\p{Is_Sc=arab}', "");
Expect(1, 126706, '\p{^Is_Sc=arab}', "");
Expect(1, 126706, '\P{Is_Sc=arab}', "");
Expect(0, 126706, '\P{^Is_Sc=arab}', "");
Expect(1, 126705, '\p{Is_Sc=_-arab}', "");
Expect(0, 126705, '\p{^Is_Sc=_-arab}', "");
Expect(0, 126705, '\P{Is_Sc=_-arab}', "");
Expect(1, 126705, '\P{^Is_Sc=_-arab}', "");
Expect(0, 126706, '\p{Is_Sc=_-arab}', "");
Expect(1, 126706, '\p{^Is_Sc=_-arab}', "");
Expect(1, 126706, '\P{Is_Sc=_-arab}', "");
Expect(0, 126706, '\P{^Is_Sc=_-arab}', "");
Error('\p{Script=	/a/Imperial_aramaic}');
Error('\P{Script=	/a/Imperial_aramaic}');
Expect(1, 67679, '\p{Script=imperialaramaic}', "");
Expect(0, 67679, '\p{^Script=imperialaramaic}', "");
Expect(0, 67679, '\P{Script=imperialaramaic}', "");
Expect(1, 67679, '\P{^Script=imperialaramaic}', "");
Expect(0, 67680, '\p{Script=imperialaramaic}', "");
Expect(1, 67680, '\p{^Script=imperialaramaic}', "");
Expect(1, 67680, '\P{Script=imperialaramaic}', "");
Expect(0, 67680, '\P{^Script=imperialaramaic}', "");
Expect(1, 67679, '\p{Script=- imperial_Aramaic}', "");
Expect(0, 67679, '\p{^Script=- imperial_Aramaic}', "");
Expect(0, 67679, '\P{Script=- imperial_Aramaic}', "");
Expect(1, 67679, '\P{^Script=- imperial_Aramaic}', "");
Expect(0, 67680, '\p{Script=- imperial_Aramaic}', "");
Expect(1, 67680, '\p{^Script=- imperial_Aramaic}', "");
Expect(1, 67680, '\P{Script=- imperial_Aramaic}', "");
Expect(0, 67680, '\P{^Script=- imperial_Aramaic}', "");
Error('\p{Sc=	_Armi:=}');
Error('\P{Sc=	_Armi:=}');
Expect(1, 67679, '\p{Sc=armi}', "");
Expect(0, 67679, '\p{^Sc=armi}', "");
Expect(0, 67679, '\P{Sc=armi}', "");
Expect(1, 67679, '\P{^Sc=armi}', "");
Expect(0, 67680, '\p{Sc=armi}', "");
Expect(1, 67680, '\p{^Sc=armi}', "");
Expect(1, 67680, '\P{Sc=armi}', "");
Expect(0, 67680, '\P{^Sc=armi}', "");
Expect(1, 67679, '\p{Sc=_-Armi}', "");
Expect(0, 67679, '\p{^Sc=_-Armi}', "");
Expect(0, 67679, '\P{Sc=_-Armi}', "");
Expect(1, 67679, '\P{^Sc=_-Armi}', "");
Expect(0, 67680, '\p{Sc=_-Armi}', "");
Expect(1, 67680, '\p{^Sc=_-Armi}', "");
Expect(1, 67680, '\P{Sc=_-Armi}', "");
Expect(0, 67680, '\P{^Sc=_-Armi}', "");
Error('\p{Is_Script=-:=Imperial_ARAMAIC}');
Error('\P{Is_Script=-:=Imperial_ARAMAIC}');
Expect(1, 67679, '\p{Is_Script=imperialaramaic}', "");
Expect(0, 67679, '\p{^Is_Script=imperialaramaic}', "");
Expect(0, 67679, '\P{Is_Script=imperialaramaic}', "");
Expect(1, 67679, '\P{^Is_Script=imperialaramaic}', "");
Expect(0, 67680, '\p{Is_Script=imperialaramaic}', "");
Expect(1, 67680, '\p{^Is_Script=imperialaramaic}', "");
Expect(1, 67680, '\P{Is_Script=imperialaramaic}', "");
Expect(0, 67680, '\P{^Is_Script=imperialaramaic}', "");
Expect(1, 67679, '\p{Is_Script=	IMPERIAL_ARAMAIC}', "");
Expect(0, 67679, '\p{^Is_Script=	IMPERIAL_ARAMAIC}', "");
Expect(0, 67679, '\P{Is_Script=	IMPERIAL_ARAMAIC}', "");
Expect(1, 67679, '\P{^Is_Script=	IMPERIAL_ARAMAIC}', "");
Expect(0, 67680, '\p{Is_Script=	IMPERIAL_ARAMAIC}', "");
Expect(1, 67680, '\p{^Is_Script=	IMPERIAL_ARAMAIC}', "");
Expect(1, 67680, '\P{Is_Script=	IMPERIAL_ARAMAIC}', "");
Expect(0, 67680, '\P{^Is_Script=	IMPERIAL_ARAMAIC}', "");
Error('\p{Is_Sc= armi:=}');
Error('\P{Is_Sc= armi:=}');
Expect(1, 67679, '\p{Is_Sc=armi}', "");
Expect(0, 67679, '\p{^Is_Sc=armi}', "");
Expect(0, 67679, '\P{Is_Sc=armi}', "");
Expect(1, 67679, '\P{^Is_Sc=armi}', "");
Expect(0, 67680, '\p{Is_Sc=armi}', "");
Expect(1, 67680, '\p{^Is_Sc=armi}', "");
Expect(1, 67680, '\P{Is_Sc=armi}', "");
Expect(0, 67680, '\P{^Is_Sc=armi}', "");
Expect(1, 67679, '\p{Is_Sc=-_ARMI}', "");
Expect(0, 67679, '\p{^Is_Sc=-_ARMI}', "");
Expect(0, 67679, '\P{Is_Sc=-_ARMI}', "");
Expect(1, 67679, '\P{^Is_Sc=-_ARMI}', "");
Expect(0, 67680, '\p{Is_Sc=-_ARMI}', "");
Expect(1, 67680, '\p{^Is_Sc=-_ARMI}', "");
Expect(1, 67680, '\P{Is_Sc=-_ARMI}', "");
Expect(0, 67680, '\P{^Is_Sc=-_ARMI}', "");
Error('\p{Script=-:=ARMENIAN}');
Error('\P{Script=-:=ARMENIAN}');
Expect(1, 64279, '\p{Script:	armenian}', "");
Expect(0, 64279, '\p{^Script:	armenian}', "");
Expect(0, 64279, '\P{Script:	armenian}', "");
Expect(1, 64279, '\P{^Script:	armenian}', "");
Expect(0, 64280, '\p{Script:	armenian}', "");
Expect(1, 64280, '\p{^Script:	armenian}', "");
Expect(1, 64280, '\P{Script:	armenian}', "");
Expect(0, 64280, '\P{^Script:	armenian}', "");
Expect(1, 64279, '\p{Script=  Armenian}', "");
Expect(0, 64279, '\p{^Script=  Armenian}', "");
Expect(0, 64279, '\P{Script=  Armenian}', "");
Expect(1, 64279, '\P{^Script=  Armenian}', "");
Expect(0, 64280, '\p{Script=  Armenian}', "");
Expect(1, 64280, '\p{^Script=  Armenian}', "");
Expect(1, 64280, '\P{Script=  Armenian}', "");
Expect(0, 64280, '\P{^Script=  Armenian}', "");
Error('\p{Sc=/a/-	Armn}');
Error('\P{Sc=/a/-	Armn}');
Expect(1, 64279, '\p{Sc=armn}', "");
Expect(0, 64279, '\p{^Sc=armn}', "");
Expect(0, 64279, '\P{Sc=armn}', "");
Expect(1, 64279, '\P{^Sc=armn}', "");
Expect(0, 64280, '\p{Sc=armn}', "");
Expect(1, 64280, '\p{^Sc=armn}', "");
Expect(1, 64280, '\P{Sc=armn}', "");
Expect(0, 64280, '\P{^Sc=armn}', "");
Expect(1, 64279, '\p{Sc=- Armn}', "");
Expect(0, 64279, '\p{^Sc=- Armn}', "");
Expect(0, 64279, '\P{Sc=- Armn}', "");
Expect(1, 64279, '\P{^Sc=- Armn}', "");
Expect(0, 64280, '\p{Sc=- Armn}', "");
Expect(1, 64280, '\p{^Sc=- Armn}', "");
Expect(1, 64280, '\P{Sc=- Armn}', "");
Expect(0, 64280, '\P{^Sc=- Armn}', "");
Error('\p{Is_Script:   	/a/armenian}');
Error('\P{Is_Script:   	/a/armenian}');
Expect(1, 64279, '\p{Is_Script=armenian}', "");
Expect(0, 64279, '\p{^Is_Script=armenian}', "");
Expect(0, 64279, '\P{Is_Script=armenian}', "");
Expect(1, 64279, '\P{^Is_Script=armenian}', "");
Expect(0, 64280, '\p{Is_Script=armenian}', "");
Expect(1, 64280, '\p{^Is_Script=armenian}', "");
Expect(1, 64280, '\P{Is_Script=armenian}', "");
Expect(0, 64280, '\P{^Is_Script=armenian}', "");
Expect(1, 64279, '\p{Is_Script:	 Armenian}', "");
Expect(0, 64279, '\p{^Is_Script:	 Armenian}', "");
Expect(0, 64279, '\P{Is_Script:	 Armenian}', "");
Expect(1, 64279, '\P{^Is_Script:	 Armenian}', "");
Expect(0, 64280, '\p{Is_Script:	 Armenian}', "");
Expect(1, 64280, '\p{^Is_Script:	 Armenian}', "");
Expect(1, 64280, '\P{Is_Script:	 Armenian}', "");
Expect(0, 64280, '\P{^Is_Script:	 Armenian}', "");
Error('\p{Is_Sc=/a/_-ARMN}');
Error('\P{Is_Sc=/a/_-ARMN}');
Expect(1, 64279, '\p{Is_Sc=armn}', "");
Expect(0, 64279, '\p{^Is_Sc=armn}', "");
Expect(0, 64279, '\P{Is_Sc=armn}', "");
Expect(1, 64279, '\P{^Is_Sc=armn}', "");
Expect(0, 64280, '\p{Is_Sc=armn}', "");
Expect(1, 64280, '\p{^Is_Sc=armn}', "");
Expect(1, 64280, '\P{Is_Sc=armn}', "");
Expect(0, 64280, '\P{^Is_Sc=armn}', "");
Expect(1, 64279, '\p{Is_Sc=- Armn}', "");
Expect(0, 64279, '\p{^Is_Sc=- Armn}', "");
Expect(0, 64279, '\P{Is_Sc=- Armn}', "");
Expect(1, 64279, '\P{^Is_Sc=- Armn}', "");
Expect(0, 64280, '\p{Is_Sc=- Armn}', "");
Expect(1, 64280, '\p{^Is_Sc=- Armn}', "");
Expect(1, 64280, '\P{Is_Sc=- Armn}', "");
Expect(0, 64280, '\P{^Is_Sc=- Armn}', "");
Error('\p{Script=	/a/Avestan}');
Error('\P{Script=	/a/Avestan}');
Expect(1, 68415, '\p{Script=avestan}', "");
Expect(0, 68415, '\p{^Script=avestan}', "");
Expect(0, 68415, '\P{Script=avestan}', "");
Expect(1, 68415, '\P{^Script=avestan}', "");
Expect(0, 68416, '\p{Script=avestan}', "");
Expect(1, 68416, '\p{^Script=avestan}', "");
Expect(1, 68416, '\P{Script=avestan}', "");
Expect(0, 68416, '\P{^Script=avestan}', "");
Expect(1, 68415, '\p{Script=_Avestan}', "");
Expect(0, 68415, '\p{^Script=_Avestan}', "");
Expect(0, 68415, '\P{Script=_Avestan}', "");
Expect(1, 68415, '\P{^Script=_Avestan}', "");
Expect(0, 68416, '\p{Script=_Avestan}', "");
Expect(1, 68416, '\p{^Script=_Avestan}', "");
Expect(1, 68416, '\P{Script=_Avestan}', "");
Expect(0, 68416, '\P{^Script=_Avestan}', "");
Error('\p{Sc=/a/_	Avst}');
Error('\P{Sc=/a/_	Avst}');
Expect(1, 68415, '\p{Sc:avst}', "");
Expect(0, 68415, '\p{^Sc:avst}', "");
Expect(0, 68415, '\P{Sc:avst}', "");
Expect(1, 68415, '\P{^Sc:avst}', "");
Expect(0, 68416, '\p{Sc:avst}', "");
Expect(1, 68416, '\p{^Sc:avst}', "");
Expect(1, 68416, '\P{Sc:avst}', "");
Expect(0, 68416, '\P{^Sc:avst}', "");
Expect(1, 68415, '\p{Sc=AVST}', "");
Expect(0, 68415, '\p{^Sc=AVST}', "");
Expect(0, 68415, '\P{Sc=AVST}', "");
Expect(1, 68415, '\P{^Sc=AVST}', "");
Expect(0, 68416, '\p{Sc=AVST}', "");
Expect(1, 68416, '\p{^Sc=AVST}', "");
Expect(1, 68416, '\P{Sc=AVST}', "");
Expect(0, 68416, '\P{^Sc=AVST}', "");
Error('\p{Is_Script=_avestan/a/}');
Error('\P{Is_Script=_avestan/a/}');
Expect(1, 68415, '\p{Is_Script=avestan}', "");
Expect(0, 68415, '\p{^Is_Script=avestan}', "");
Expect(0, 68415, '\P{Is_Script=avestan}', "");
Expect(1, 68415, '\P{^Is_Script=avestan}', "");
Expect(0, 68416, '\p{Is_Script=avestan}', "");
Expect(1, 68416, '\p{^Is_Script=avestan}', "");
Expect(1, 68416, '\P{Is_Script=avestan}', "");
Expect(0, 68416, '\P{^Is_Script=avestan}', "");
Expect(1, 68415, '\p{Is_Script=  avestan}', "");
Expect(0, 68415, '\p{^Is_Script=  avestan}', "");
Expect(0, 68415, '\P{Is_Script=  avestan}', "");
Expect(1, 68415, '\P{^Is_Script=  avestan}', "");
Expect(0, 68416, '\p{Is_Script=  avestan}', "");
Expect(1, 68416, '\p{^Is_Script=  avestan}', "");
Expect(1, 68416, '\P{Is_Script=  avestan}', "");
Expect(0, 68416, '\P{^Is_Script=  avestan}', "");
Error('\p{Is_Sc=	Avst:=}');
Error('\P{Is_Sc=	Avst:=}');
Expect(1, 68415, '\p{Is_Sc:	avst}', "");
Expect(0, 68415, '\p{^Is_Sc:	avst}', "");
Expect(0, 68415, '\P{Is_Sc:	avst}', "");
Expect(1, 68415, '\P{^Is_Sc:	avst}', "");
Expect(0, 68416, '\p{Is_Sc:	avst}', "");
Expect(1, 68416, '\p{^Is_Sc:	avst}', "");
Expect(1, 68416, '\P{Is_Sc:	avst}', "");
Expect(0, 68416, '\P{^Is_Sc:	avst}', "");
Expect(1, 68415, '\p{Is_Sc=_Avst}', "");
Expect(0, 68415, '\p{^Is_Sc=_Avst}', "");
Expect(0, 68415, '\P{Is_Sc=_Avst}', "");
Expect(1, 68415, '\P{^Is_Sc=_Avst}', "");
Expect(0, 68416, '\p{Is_Sc=_Avst}', "");
Expect(1, 68416, '\p{^Is_Sc=_Avst}', "");
Expect(1, 68416, '\P{Is_Sc=_Avst}', "");
Expect(0, 68416, '\P{^Is_Sc=_Avst}', "");
Error('\p{Script=/a/	_Balinese}');
Error('\P{Script=/a/	_Balinese}');
Expect(1, 7036, '\p{Script=balinese}', "");
Expect(0, 7036, '\p{^Script=balinese}', "");
Expect(0, 7036, '\P{Script=balinese}', "");
Expect(1, 7036, '\P{^Script=balinese}', "");
Expect(0, 7037, '\p{Script=balinese}', "");
Expect(1, 7037, '\p{^Script=balinese}', "");
Expect(1, 7037, '\P{Script=balinese}', "");
Expect(0, 7037, '\P{^Script=balinese}', "");
Expect(1, 7036, '\p{Script=_Balinese}', "");
Expect(0, 7036, '\p{^Script=_Balinese}', "");
Expect(0, 7036, '\P{Script=_Balinese}', "");
Expect(1, 7036, '\P{^Script=_Balinese}', "");
Expect(0, 7037, '\p{Script=_Balinese}', "");
Expect(1, 7037, '\p{^Script=_Balinese}', "");
Expect(1, 7037, '\P{Script=_Balinese}', "");
Expect(0, 7037, '\P{^Script=_Balinese}', "");
Error('\p{Sc:/a/BALI}');
Error('\P{Sc:/a/BALI}');
Expect(1, 7036, '\p{Sc=bali}', "");
Expect(0, 7036, '\p{^Sc=bali}', "");
Expect(0, 7036, '\P{Sc=bali}', "");
Expect(1, 7036, '\P{^Sc=bali}', "");
Expect(0, 7037, '\p{Sc=bali}', "");
Expect(1, 7037, '\p{^Sc=bali}', "");
Expect(1, 7037, '\P{Sc=bali}', "");
Expect(0, 7037, '\P{^Sc=bali}', "");
Expect(1, 7036, '\p{Sc=-	Bali}', "");
Expect(0, 7036, '\p{^Sc=-	Bali}', "");
Expect(0, 7036, '\P{Sc=-	Bali}', "");
Expect(1, 7036, '\P{^Sc=-	Bali}', "");
Expect(0, 7037, '\p{Sc=-	Bali}', "");
Expect(1, 7037, '\p{^Sc=-	Bali}', "");
Expect(1, 7037, '\P{Sc=-	Bali}', "");
Expect(0, 7037, '\P{^Sc=-	Bali}', "");
Error('\p{Is_Script=/a/Balinese}');
Error('\P{Is_Script=/a/Balinese}');
Expect(1, 7036, '\p{Is_Script=balinese}', "");
Expect(0, 7036, '\p{^Is_Script=balinese}', "");
Expect(0, 7036, '\P{Is_Script=balinese}', "");
Expect(1, 7036, '\P{^Is_Script=balinese}', "");
Expect(0, 7037, '\p{Is_Script=balinese}', "");
Expect(1, 7037, '\p{^Is_Script=balinese}', "");
Expect(1, 7037, '\P{Is_Script=balinese}', "");
Expect(0, 7037, '\P{^Is_Script=balinese}', "");
Expect(1, 7036, '\p{Is_Script=- BALINESE}', "");
Expect(0, 7036, '\p{^Is_Script=- BALINESE}', "");
Expect(0, 7036, '\P{Is_Script=- BALINESE}', "");
Expect(1, 7036, '\P{^Is_Script=- BALINESE}', "");
Expect(0, 7037, '\p{Is_Script=- BALINESE}', "");
Expect(1, 7037, '\p{^Is_Script=- BALINESE}', "");
Expect(1, 7037, '\P{Is_Script=- BALINESE}', "");
Expect(0, 7037, '\P{^Is_Script=- BALINESE}', "");
Error('\p{Is_Sc=-:=Bali}');
Error('\P{Is_Sc=-:=Bali}');
Expect(1, 7036, '\p{Is_Sc=bali}', "");
Expect(0, 7036, '\p{^Is_Sc=bali}', "");
Expect(0, 7036, '\P{Is_Sc=bali}', "");
Expect(1, 7036, '\P{^Is_Sc=bali}', "");
Expect(0, 7037, '\p{Is_Sc=bali}', "");
Expect(1, 7037, '\p{^Is_Sc=bali}', "");
Expect(1, 7037, '\P{Is_Sc=bali}', "");
Expect(0, 7037, '\P{^Is_Sc=bali}', "");
Expect(1, 7036, '\p{Is_Sc=	_bali}', "");
Expect(0, 7036, '\p{^Is_Sc=	_bali}', "");
Expect(0, 7036, '\P{Is_Sc=	_bali}', "");
Expect(1, 7036, '\P{^Is_Sc=	_bali}', "");
Expect(0, 7037, '\p{Is_Sc=	_bali}', "");
Expect(1, 7037, '\p{^Is_Sc=	_bali}', "");
Expect(1, 7037, '\P{Is_Sc=	_bali}', "");
Expect(0, 7037, '\P{^Is_Sc=	_bali}', "");
Error('\p{Script:-/a/bamum}');
Error('\P{Script:-/a/bamum}');
Expect(1, 92728, '\p{Script=bamum}', "");
Expect(0, 92728, '\p{^Script=bamum}', "");
Expect(0, 92728, '\P{Script=bamum}', "");
Expect(1, 92728, '\P{^Script=bamum}', "");
Expect(0, 92729, '\p{Script=bamum}', "");
Expect(1, 92729, '\p{^Script=bamum}', "");
Expect(1, 92729, '\P{Script=bamum}', "");
Expect(0, 92729, '\P{^Script=bamum}', "");
Expect(1, 92728, '\p{Script=	Bamum}', "");
Expect(0, 92728, '\p{^Script=	Bamum}', "");
Expect(0, 92728, '\P{Script=	Bamum}', "");
Expect(1, 92728, '\P{^Script=	Bamum}', "");
Expect(0, 92729, '\p{Script=	Bamum}', "");
Expect(1, 92729, '\p{^Script=	Bamum}', "");
Expect(1, 92729, '\P{Script=	Bamum}', "");
Expect(0, 92729, '\P{^Script=	Bamum}', "");
Error('\p{Sc= /a/BAMU}');
Error('\P{Sc= /a/BAMU}');
Expect(1, 92728, '\p{Sc:bamu}', "");
Expect(0, 92728, '\p{^Sc:bamu}', "");
Expect(0, 92728, '\P{Sc:bamu}', "");
Expect(1, 92728, '\P{^Sc:bamu}', "");
Expect(0, 92729, '\p{Sc:bamu}', "");
Expect(1, 92729, '\p{^Sc:bamu}', "");
Expect(1, 92729, '\P{Sc:bamu}', "");
Expect(0, 92729, '\P{^Sc:bamu}', "");
Expect(1, 92728, '\p{Sc=- bamu}', "");
Expect(0, 92728, '\p{^Sc=- bamu}', "");
Expect(0, 92728, '\P{Sc=- bamu}', "");
Expect(1, 92728, '\P{^Sc=- bamu}', "");
Expect(0, 92729, '\p{Sc=- bamu}', "");
Expect(1, 92729, '\p{^Sc=- bamu}', "");
Expect(1, 92729, '\P{Sc=- bamu}', "");
Expect(0, 92729, '\P{^Sc=- bamu}', "");
Error('\p{Is_Script=- Bamum:=}');
Error('\P{Is_Script=- Bamum:=}');
Expect(1, 92728, '\p{Is_Script=bamum}', "");
Expect(0, 92728, '\p{^Is_Script=bamum}', "");
Expect(0, 92728, '\P{Is_Script=bamum}', "");
Expect(1, 92728, '\P{^Is_Script=bamum}', "");
Expect(0, 92729, '\p{Is_Script=bamum}', "");
Expect(1, 92729, '\p{^Is_Script=bamum}', "");
Expect(1, 92729, '\P{Is_Script=bamum}', "");
Expect(0, 92729, '\P{^Is_Script=bamum}', "");
Expect(1, 92728, '\p{Is_Script= 	Bamum}', "");
Expect(0, 92728, '\p{^Is_Script= 	Bamum}', "");
Expect(0, 92728, '\P{Is_Script= 	Bamum}', "");
Expect(1, 92728, '\P{^Is_Script= 	Bamum}', "");
Expect(0, 92729, '\p{Is_Script= 	Bamum}', "");
Expect(1, 92729, '\p{^Is_Script= 	Bamum}', "");
Expect(1, 92729, '\P{Is_Script= 	Bamum}', "");
Expect(0, 92729, '\P{^Is_Script= 	Bamum}', "");
Error('\p{Is_Sc=:=-bamu}');
Error('\P{Is_Sc=:=-bamu}');
Expect(1, 92728, '\p{Is_Sc=bamu}', "");
Expect(0, 92728, '\p{^Is_Sc=bamu}', "");
Expect(0, 92728, '\P{Is_Sc=bamu}', "");
Expect(1, 92728, '\P{^Is_Sc=bamu}', "");
Expect(0, 92729, '\p{Is_Sc=bamu}', "");
Expect(1, 92729, '\p{^Is_Sc=bamu}', "");
Expect(1, 92729, '\P{Is_Sc=bamu}', "");
Expect(0, 92729, '\P{^Is_Sc=bamu}', "");
Expect(1, 92728, '\p{Is_Sc=--Bamu}', "");
Expect(0, 92728, '\p{^Is_Sc=--Bamu}', "");
Expect(0, 92728, '\P{Is_Sc=--Bamu}', "");
Expect(1, 92728, '\P{^Is_Sc=--Bamu}', "");
Expect(0, 92729, '\p{Is_Sc=--Bamu}', "");
Expect(1, 92729, '\p{^Is_Sc=--Bamu}', "");
Expect(1, 92729, '\P{Is_Sc=--Bamu}', "");
Expect(0, 92729, '\P{^Is_Sc=--Bamu}', "");
Error('\p{Script=/a/_	Bassa_Vah}');
Error('\P{Script=/a/_	Bassa_Vah}');
Expect(1, 92917, '\p{Script=bassavah}', "");
Expect(0, 92917, '\p{^Script=bassavah}', "");
Expect(0, 92917, '\P{Script=bassavah}', "");
Expect(1, 92917, '\P{^Script=bassavah}', "");
Expect(0, 92918, '\p{Script=bassavah}', "");
Expect(1, 92918, '\p{^Script=bassavah}', "");
Expect(1, 92918, '\P{Script=bassavah}', "");
Expect(0, 92918, '\P{^Script=bassavah}', "");
Expect(1, 92917, '\p{Script= -Bassa_Vah}', "");
Expect(0, 92917, '\p{^Script= -Bassa_Vah}', "");
Expect(0, 92917, '\P{Script= -Bassa_Vah}', "");
Expect(1, 92917, '\P{^Script= -Bassa_Vah}', "");
Expect(0, 92918, '\p{Script= -Bassa_Vah}', "");
Expect(1, 92918, '\p{^Script= -Bassa_Vah}', "");
Expect(1, 92918, '\P{Script= -Bassa_Vah}', "");
Expect(0, 92918, '\P{^Script= -Bassa_Vah}', "");
Error('\p{Sc: -:=Bass}');
Error('\P{Sc: -:=Bass}');
Expect(1, 92917, '\p{Sc:bass}', "");
Expect(0, 92917, '\p{^Sc:bass}', "");
Expect(0, 92917, '\P{Sc:bass}', "");
Expect(1, 92917, '\P{^Sc:bass}', "");
Expect(0, 92918, '\p{Sc:bass}', "");
Expect(1, 92918, '\p{^Sc:bass}', "");
Expect(1, 92918, '\P{Sc:bass}', "");
Expect(0, 92918, '\P{^Sc:bass}', "");
Expect(1, 92917, '\p{Sc=	 Bass}', "");
Expect(0, 92917, '\p{^Sc=	 Bass}', "");
Expect(0, 92917, '\P{Sc=	 Bass}', "");
Expect(1, 92917, '\P{^Sc=	 Bass}', "");
Expect(0, 92918, '\p{Sc=	 Bass}', "");
Expect(1, 92918, '\p{^Sc=	 Bass}', "");
Expect(1, 92918, '\P{Sc=	 Bass}', "");
Expect(0, 92918, '\P{^Sc=	 Bass}', "");
Error('\p{Is_Script=_Bassa_Vah/a/}');
Error('\P{Is_Script=_Bassa_Vah/a/}');
Expect(1, 92917, '\p{Is_Script=bassavah}', "");
Expect(0, 92917, '\p{^Is_Script=bassavah}', "");
Expect(0, 92917, '\P{Is_Script=bassavah}', "");
Expect(1, 92917, '\P{^Is_Script=bassavah}', "");
Expect(0, 92918, '\p{Is_Script=bassavah}', "");
Expect(1, 92918, '\p{^Is_Script=bassavah}', "");
Expect(1, 92918, '\P{Is_Script=bassavah}', "");
Expect(0, 92918, '\P{^Is_Script=bassavah}', "");
Expect(1, 92917, '\p{Is_Script=_-Bassa_Vah}', "");
Expect(0, 92917, '\p{^Is_Script=_-Bassa_Vah}', "");
Expect(0, 92917, '\P{Is_Script=_-Bassa_Vah}', "");
Expect(1, 92917, '\P{^Is_Script=_-Bassa_Vah}', "");
Expect(0, 92918, '\p{Is_Script=_-Bassa_Vah}', "");
Expect(1, 92918, '\p{^Is_Script=_-Bassa_Vah}', "");
Expect(1, 92918, '\P{Is_Script=_-Bassa_Vah}', "");
Expect(0, 92918, '\P{^Is_Script=_-Bassa_Vah}', "");
Error('\p{Is_Sc= bass/a/}');
Error('\P{Is_Sc= bass/a/}');
Expect(1, 92917, '\p{Is_Sc=bass}', "");
Expect(0, 92917, '\p{^Is_Sc=bass}', "");
Expect(0, 92917, '\P{Is_Sc=bass}', "");
Expect(1, 92917, '\P{^Is_Sc=bass}', "");
Expect(0, 92918, '\p{Is_Sc=bass}', "");
Expect(1, 92918, '\p{^Is_Sc=bass}', "");
Expect(1, 92918, '\P{Is_Sc=bass}', "");
Expect(0, 92918, '\P{^Is_Sc=bass}', "");
Expect(1, 92917, '\p{Is_Sc=	Bass}', "");
Expect(0, 92917, '\p{^Is_Sc=	Bass}', "");
Expect(0, 92917, '\P{Is_Sc=	Bass}', "");
Expect(1, 92917, '\P{^Is_Sc=	Bass}', "");
Expect(0, 92918, '\p{Is_Sc=	Bass}', "");
Expect(1, 92918, '\p{^Is_Sc=	Bass}', "");
Expect(1, 92918, '\P{Is_Sc=	Bass}', "");
Expect(0, 92918, '\P{^Is_Sc=	Bass}', "");
Error('\p{Script=_	Batak/a/}');
Error('\P{Script=_	Batak/a/}');
Expect(1, 7167, '\p{Script=batak}', "");
Expect(0, 7167, '\p{^Script=batak}', "");
Expect(0, 7167, '\P{Script=batak}', "");
Expect(1, 7167, '\P{^Script=batak}', "");
Expect(0, 7168, '\p{Script=batak}', "");
Expect(1, 7168, '\p{^Script=batak}', "");
Expect(1, 7168, '\P{Script=batak}', "");
Expect(0, 7168, '\P{^Script=batak}', "");
Expect(1, 7167, '\p{Script:-Batak}', "");
Expect(0, 7167, '\p{^Script:-Batak}', "");
Expect(0, 7167, '\P{Script:-Batak}', "");
Expect(1, 7167, '\P{^Script:-Batak}', "");
Expect(0, 7168, '\p{Script:-Batak}', "");
Expect(1, 7168, '\p{^Script:-Batak}', "");
Expect(1, 7168, '\P{Script:-Batak}', "");
Expect(0, 7168, '\P{^Script:-Batak}', "");
Error('\p{Sc:	/a/_-Batk}');
Error('\P{Sc:	/a/_-Batk}');
Expect(1, 7167, '\p{Sc=batk}', "");
Expect(0, 7167, '\p{^Sc=batk}', "");
Expect(0, 7167, '\P{Sc=batk}', "");
Expect(1, 7167, '\P{^Sc=batk}', "");
Expect(0, 7168, '\p{Sc=batk}', "");
Expect(1, 7168, '\p{^Sc=batk}', "");
Expect(1, 7168, '\P{Sc=batk}', "");
Expect(0, 7168, '\P{^Sc=batk}', "");
Expect(1, 7167, '\p{Sc=	_batk}', "");
Expect(0, 7167, '\p{^Sc=	_batk}', "");
Expect(0, 7167, '\P{Sc=	_batk}', "");
Expect(1, 7167, '\P{^Sc=	_batk}', "");
Expect(0, 7168, '\p{Sc=	_batk}', "");
Expect(1, 7168, '\p{^Sc=	_batk}', "");
Expect(1, 7168, '\P{Sc=	_batk}', "");
Expect(0, 7168, '\P{^Sc=	_batk}', "");
Error('\p{Is_Script=/a/_Batak}');
Error('\P{Is_Script=/a/_Batak}');
Expect(1, 7167, '\p{Is_Script=batak}', "");
Expect(0, 7167, '\p{^Is_Script=batak}', "");
Expect(0, 7167, '\P{Is_Script=batak}', "");
Expect(1, 7167, '\P{^Is_Script=batak}', "");
Expect(0, 7168, '\p{Is_Script=batak}', "");
Expect(1, 7168, '\p{^Is_Script=batak}', "");
Expect(1, 7168, '\P{Is_Script=batak}', "");
Expect(0, 7168, '\P{^Is_Script=batak}', "");
Expect(1, 7167, '\p{Is_Script: 	 BATAK}', "");
Expect(0, 7167, '\p{^Is_Script: 	 BATAK}', "");
Expect(0, 7167, '\P{Is_Script: 	 BATAK}', "");
Expect(1, 7167, '\P{^Is_Script: 	 BATAK}', "");
Expect(0, 7168, '\p{Is_Script: 	 BATAK}', "");
Expect(1, 7168, '\p{^Is_Script: 	 BATAK}', "");
Expect(1, 7168, '\P{Is_Script: 	 BATAK}', "");
Expect(0, 7168, '\P{^Is_Script: 	 BATAK}', "");
Error('\p{Is_Sc= :=Batk}');
Error('\P{Is_Sc= :=Batk}');
Expect(1, 7167, '\p{Is_Sc: batk}', "");
Expect(0, 7167, '\p{^Is_Sc: batk}', "");
Expect(0, 7167, '\P{Is_Sc: batk}', "");
Expect(1, 7167, '\P{^Is_Sc: batk}', "");
Expect(0, 7168, '\p{Is_Sc: batk}', "");
Expect(1, 7168, '\p{^Is_Sc: batk}', "");
Expect(1, 7168, '\P{Is_Sc: batk}', "");
Expect(0, 7168, '\P{^Is_Sc: batk}', "");
Expect(1, 7167, '\p{Is_Sc=	batk}', "");
Expect(0, 7167, '\p{^Is_Sc=	batk}', "");
Expect(0, 7167, '\P{Is_Sc=	batk}', "");
Expect(1, 7167, '\P{^Is_Sc=	batk}', "");
Expect(0, 7168, '\p{Is_Sc=	batk}', "");
Expect(1, 7168, '\p{^Is_Sc=	batk}', "");
Expect(1, 7168, '\P{Is_Sc=	batk}', "");
Expect(0, 7168, '\P{^Is_Sc=	batk}', "");
Error('\p{Script=:=bengali}');
Error('\P{Script=:=bengali}');
Expect(1, 2555, '\p{Script=bengali}', "");
Expect(0, 2555, '\p{^Script=bengali}', "");
Expect(0, 2555, '\P{Script=bengali}', "");
Expect(1, 2555, '\P{^Script=bengali}', "");
Expect(0, 2556, '\p{Script=bengali}', "");
Expect(1, 2556, '\p{^Script=bengali}', "");
Expect(1, 2556, '\P{Script=bengali}', "");
Expect(0, 2556, '\P{^Script=bengali}', "");
Expect(1, 2555, '\p{Script= _BENGALI}', "");
Expect(0, 2555, '\p{^Script= _BENGALI}', "");
Expect(0, 2555, '\P{Script= _BENGALI}', "");
Expect(1, 2555, '\P{^Script= _BENGALI}', "");
Expect(0, 2556, '\p{Script= _BENGALI}', "");
Expect(1, 2556, '\p{^Script= _BENGALI}', "");
Expect(1, 2556, '\P{Script= _BENGALI}', "");
Expect(0, 2556, '\P{^Script= _BENGALI}', "");
Error('\p{Sc=	Beng:=}');
Error('\P{Sc=	Beng:=}');
Expect(1, 2555, '\p{Sc=beng}', "");
Expect(0, 2555, '\p{^Sc=beng}', "");
Expect(0, 2555, '\P{Sc=beng}', "");
Expect(1, 2555, '\P{^Sc=beng}', "");
Expect(0, 2556, '\p{Sc=beng}', "");
Expect(1, 2556, '\p{^Sc=beng}', "");
Expect(1, 2556, '\P{Sc=beng}', "");
Expect(0, 2556, '\P{^Sc=beng}', "");
Expect(1, 2555, '\p{Sc=  Beng}', "");
Expect(0, 2555, '\p{^Sc=  Beng}', "");
Expect(0, 2555, '\P{Sc=  Beng}', "");
Expect(1, 2555, '\P{^Sc=  Beng}', "");
Expect(0, 2556, '\p{Sc=  Beng}', "");
Expect(1, 2556, '\p{^Sc=  Beng}', "");
Expect(1, 2556, '\P{Sc=  Beng}', "");
Expect(0, 2556, '\P{^Sc=  Beng}', "");
Error('\p{Is_Script=/a/_Bengali}');
Error('\P{Is_Script=/a/_Bengali}');
Expect(1, 2555, '\p{Is_Script=bengali}', "");
Expect(0, 2555, '\p{^Is_Script=bengali}', "");
Expect(0, 2555, '\P{Is_Script=bengali}', "");
Expect(1, 2555, '\P{^Is_Script=bengali}', "");
Expect(0, 2556, '\p{Is_Script=bengali}', "");
Expect(1, 2556, '\p{^Is_Script=bengali}', "");
Expect(1, 2556, '\P{Is_Script=bengali}', "");
Expect(0, 2556, '\P{^Is_Script=bengali}', "");
Expect(1, 2555, '\p{Is_Script=  Bengali}', "");
Expect(0, 2555, '\p{^Is_Script=  Bengali}', "");
Expect(0, 2555, '\P{Is_Script=  Bengali}', "");
Expect(1, 2555, '\P{^Is_Script=  Bengali}', "");
Expect(0, 2556, '\p{Is_Script=  Bengali}', "");
Expect(1, 2556, '\p{^Is_Script=  Bengali}', "");
Expect(1, 2556, '\P{Is_Script=  Bengali}', "");
Expect(0, 2556, '\P{^Is_Script=  Bengali}', "");
Error('\p{Is_Sc:   	beng/a/}');
Error('\P{Is_Sc:   	beng/a/}');
Expect(1, 2555, '\p{Is_Sc=beng}', "");
Expect(0, 2555, '\p{^Is_Sc=beng}', "");
Expect(0, 2555, '\P{Is_Sc=beng}', "");
Expect(1, 2555, '\P{^Is_Sc=beng}', "");
Expect(0, 2556, '\p{Is_Sc=beng}', "");
Expect(1, 2556, '\p{^Is_Sc=beng}', "");
Expect(1, 2556, '\P{Is_Sc=beng}', "");
Expect(0, 2556, '\P{^Is_Sc=beng}', "");
Expect(1, 2555, '\p{Is_Sc=- beng}', "");
Expect(0, 2555, '\p{^Is_Sc=- beng}', "");
Expect(0, 2555, '\P{Is_Sc=- beng}', "");
Expect(1, 2555, '\P{^Is_Sc=- beng}', "");
Expect(0, 2556, '\p{Is_Sc=- beng}', "");
Expect(1, 2556, '\p{^Is_Sc=- beng}', "");
Expect(1, 2556, '\P{Is_Sc=- beng}', "");
Expect(0, 2556, '\P{^Is_Sc=- beng}', "");
Error('\p{Script=_:=Bopomofo}');
Error('\P{Script=_:=Bopomofo}');
Expect(1, 12730, '\p{Script=bopomofo}', "");
Expect(0, 12730, '\p{^Script=bopomofo}', "");
Expect(0, 12730, '\P{Script=bopomofo}', "");
Expect(1, 12730, '\P{^Script=bopomofo}', "");
Expect(0, 12731, '\p{Script=bopomofo}', "");
Expect(1, 12731, '\p{^Script=bopomofo}', "");
Expect(1, 12731, '\P{Script=bopomofo}', "");
Expect(0, 12731, '\P{^Script=bopomofo}', "");
Expect(1, 12730, '\p{Script=	_BOPOMOFO}', "");
Expect(0, 12730, '\p{^Script=	_BOPOMOFO}', "");
Expect(0, 12730, '\P{Script=	_BOPOMOFO}', "");
Expect(1, 12730, '\P{^Script=	_BOPOMOFO}', "");
Expect(0, 12731, '\p{Script=	_BOPOMOFO}', "");
Expect(1, 12731, '\p{^Script=	_BOPOMOFO}', "");
Expect(1, 12731, '\P{Script=	_BOPOMOFO}', "");
Expect(0, 12731, '\P{^Script=	_BOPOMOFO}', "");
Error('\p{Sc=- Bopo/a/}');
Error('\P{Sc=- Bopo/a/}');
Expect(1, 12730, '\p{Sc=bopo}', "");
Expect(0, 12730, '\p{^Sc=bopo}', "");
Expect(0, 12730, '\P{Sc=bopo}', "");
Expect(1, 12730, '\P{^Sc=bopo}', "");
Expect(0, 12731, '\p{Sc=bopo}', "");
Expect(1, 12731, '\p{^Sc=bopo}', "");
Expect(1, 12731, '\P{Sc=bopo}', "");
Expect(0, 12731, '\P{^Sc=bopo}', "");
Expect(1, 12730, '\p{Sc=_bopo}', "");
Expect(0, 12730, '\p{^Sc=_bopo}', "");
Expect(0, 12730, '\P{Sc=_bopo}', "");
Expect(1, 12730, '\P{^Sc=_bopo}', "");
Expect(0, 12731, '\p{Sc=_bopo}', "");
Expect(1, 12731, '\p{^Sc=_bopo}', "");
Expect(1, 12731, '\P{Sc=_bopo}', "");
Expect(0, 12731, '\P{^Sc=_bopo}', "");
Error('\p{Is_Script=/a/	_BOPOMOFO}');
Error('\P{Is_Script=/a/	_BOPOMOFO}');
Expect(1, 12730, '\p{Is_Script=bopomofo}', "");
Expect(0, 12730, '\p{^Is_Script=bopomofo}', "");
Expect(0, 12730, '\P{Is_Script=bopomofo}', "");
Expect(1, 12730, '\P{^Is_Script=bopomofo}', "");
Expect(0, 12731, '\p{Is_Script=bopomofo}', "");
Expect(1, 12731, '\p{^Is_Script=bopomofo}', "");
Expect(1, 12731, '\P{Is_Script=bopomofo}', "");
Expect(0, 12731, '\P{^Is_Script=bopomofo}', "");
Expect(1, 12730, '\p{Is_Script=	_BOPOMOFO}', "");
Expect(0, 12730, '\p{^Is_Script=	_BOPOMOFO}', "");
Expect(0, 12730, '\P{Is_Script=	_BOPOMOFO}', "");
Expect(1, 12730, '\P{^Is_Script=	_BOPOMOFO}', "");
Expect(0, 12731, '\p{Is_Script=	_BOPOMOFO}', "");
Expect(1, 12731, '\p{^Is_Script=	_BOPOMOFO}', "");
Expect(1, 12731, '\P{Is_Script=	_BOPOMOFO}', "");
Expect(0, 12731, '\P{^Is_Script=	_BOPOMOFO}', "");
Error('\p{Is_Sc=_/a/BOPO}');
Error('\P{Is_Sc=_/a/BOPO}');
Expect(1, 12730, '\p{Is_Sc=bopo}', "");
Expect(0, 12730, '\p{^Is_Sc=bopo}', "");
Expect(0, 12730, '\P{Is_Sc=bopo}', "");
Expect(1, 12730, '\P{^Is_Sc=bopo}', "");
Expect(0, 12731, '\p{Is_Sc=bopo}', "");
Expect(1, 12731, '\p{^Is_Sc=bopo}', "");
Expect(1, 12731, '\P{Is_Sc=bopo}', "");
Expect(0, 12731, '\P{^Is_Sc=bopo}', "");
Expect(1, 12730, '\p{Is_Sc:	Bopo}', "");
Expect(0, 12730, '\p{^Is_Sc:	Bopo}', "");
Expect(0, 12730, '\P{Is_Sc:	Bopo}', "");
Expect(1, 12730, '\P{^Is_Sc:	Bopo}', "");
Expect(0, 12731, '\p{Is_Sc:	Bopo}', "");
Expect(1, 12731, '\p{^Is_Sc:	Bopo}', "");
Expect(1, 12731, '\P{Is_Sc:	Bopo}', "");
Expect(0, 12731, '\P{^Is_Sc:	Bopo}', "");
Error('\p{Script=_-BRAHMI/a/}');
Error('\P{Script=_-BRAHMI/a/}');
Expect(1, 69759, '\p{Script=brahmi}', "");
Expect(0, 69759, '\p{^Script=brahmi}', "");
Expect(0, 69759, '\P{Script=brahmi}', "");
Expect(1, 69759, '\P{^Script=brahmi}', "");
Expect(0, 69760, '\p{Script=brahmi}', "");
Expect(1, 69760, '\p{^Script=brahmi}', "");
Expect(1, 69760, '\P{Script=brahmi}', "");
Expect(0, 69760, '\P{^Script=brahmi}', "");
Expect(1, 69759, '\p{Script= BRAHMI}', "");
Expect(0, 69759, '\p{^Script= BRAHMI}', "");
Expect(0, 69759, '\P{Script= BRAHMI}', "");
Expect(1, 69759, '\P{^Script= BRAHMI}', "");
Expect(0, 69760, '\p{Script= BRAHMI}', "");
Expect(1, 69760, '\p{^Script= BRAHMI}', "");
Expect(1, 69760, '\P{Script= BRAHMI}', "");
Expect(0, 69760, '\P{^Script= BRAHMI}', "");
Error('\p{Sc=	:=BRAH}');
Error('\P{Sc=	:=BRAH}');
Expect(1, 69759, '\p{Sc=brah}', "");
Expect(0, 69759, '\p{^Sc=brah}', "");
Expect(0, 69759, '\P{Sc=brah}', "");
Expect(1, 69759, '\P{^Sc=brah}', "");
Expect(0, 69760, '\p{Sc=brah}', "");
Expect(1, 69760, '\p{^Sc=brah}', "");
Expect(1, 69760, '\P{Sc=brah}', "");
Expect(0, 69760, '\P{^Sc=brah}', "");
Expect(1, 69759, '\p{Sc=	BRAH}', "");
Expect(0, 69759, '\p{^Sc=	BRAH}', "");
Expect(0, 69759, '\P{Sc=	BRAH}', "");
Expect(1, 69759, '\P{^Sc=	BRAH}', "");
Expect(0, 69760, '\p{Sc=	BRAH}', "");
Expect(1, 69760, '\p{^Sc=	BRAH}', "");
Expect(1, 69760, '\P{Sc=	BRAH}', "");
Expect(0, 69760, '\P{^Sc=	BRAH}', "");
Error('\p{Is_Script=__Brahmi/a/}');
Error('\P{Is_Script=__Brahmi/a/}');
Expect(1, 69759, '\p{Is_Script=brahmi}', "");
Expect(0, 69759, '\p{^Is_Script=brahmi}', "");
Expect(0, 69759, '\P{Is_Script=brahmi}', "");
Expect(1, 69759, '\P{^Is_Script=brahmi}', "");
Expect(0, 69760, '\p{Is_Script=brahmi}', "");
Expect(1, 69760, '\p{^Is_Script=brahmi}', "");
Expect(1, 69760, '\P{Is_Script=brahmi}', "");
Expect(0, 69760, '\P{^Is_Script=brahmi}', "");
Expect(1, 69759, '\p{Is_Script= brahmi}', "");
Expect(0, 69759, '\p{^Is_Script= brahmi}', "");
Expect(0, 69759, '\P{Is_Script= brahmi}', "");
Expect(1, 69759, '\P{^Is_Script= brahmi}', "");
Expect(0, 69760, '\p{Is_Script= brahmi}', "");
Expect(1, 69760, '\p{^Is_Script= brahmi}', "");
Expect(1, 69760, '\P{Is_Script= brahmi}', "");
Expect(0, 69760, '\P{^Is_Script= brahmi}', "");
Error('\p{Is_Sc:    /a/BRAH}');
Error('\P{Is_Sc:    /a/BRAH}');
Expect(1, 69759, '\p{Is_Sc:   brah}', "");
Expect(0, 69759, '\p{^Is_Sc:   brah}', "");
Expect(0, 69759, '\P{Is_Sc:   brah}', "");
Expect(1, 69759, '\P{^Is_Sc:   brah}', "");
Expect(0, 69760, '\p{Is_Sc:   brah}', "");
Expect(1, 69760, '\p{^Is_Sc:   brah}', "");
Expect(1, 69760, '\P{Is_Sc:   brah}', "");
Expect(0, 69760, '\P{^Is_Sc:   brah}', "");
Expect(1, 69759, '\p{Is_Sc= brah}', "");
Expect(0, 69759, '\p{^Is_Sc= brah}', "");
Expect(0, 69759, '\P{Is_Sc= brah}', "");
Expect(1, 69759, '\P{^Is_Sc= brah}', "");
Expect(0, 69760, '\p{Is_Sc= brah}', "");
Expect(1, 69760, '\p{^Is_Sc= brah}', "");
Expect(1, 69760, '\P{Is_Sc= brah}', "");
Expect(0, 69760, '\P{^Is_Sc= brah}', "");
Error('\p{Script=/a/_Braille}');
Error('\P{Script=/a/_Braille}');
Expect(1, 10495, '\p{Script=braille}', "");
Expect(0, 10495, '\p{^Script=braille}', "");
Expect(0, 10495, '\P{Script=braille}', "");
Expect(1, 10495, '\P{^Script=braille}', "");
Expect(0, 10496, '\p{Script=braille}', "");
Expect(1, 10496, '\p{^Script=braille}', "");
Expect(1, 10496, '\P{Script=braille}', "");
Expect(0, 10496, '\P{^Script=braille}', "");
Expect(1, 10495, '\p{Script=-_braille}', "");
Expect(0, 10495, '\p{^Script=-_braille}', "");
Expect(0, 10495, '\P{Script=-_braille}', "");
Expect(1, 10495, '\P{^Script=-_braille}', "");
Expect(0, 10496, '\p{Script=-_braille}', "");
Expect(1, 10496, '\p{^Script=-_braille}', "");
Expect(1, 10496, '\P{Script=-_braille}', "");
Expect(0, 10496, '\P{^Script=-_braille}', "");
Error('\p{Sc:  Brai/a/}');
Error('\P{Sc:  Brai/a/}');
Expect(1, 10495, '\p{Sc=brai}', "");
Expect(0, 10495, '\p{^Sc=brai}', "");
Expect(0, 10495, '\P{Sc=brai}', "");
Expect(1, 10495, '\P{^Sc=brai}', "");
Expect(0, 10496, '\p{Sc=brai}', "");
Expect(1, 10496, '\p{^Sc=brai}', "");
Expect(1, 10496, '\P{Sc=brai}', "");
Expect(0, 10496, '\P{^Sc=brai}', "");
Expect(1, 10495, '\p{Sc= 	brai}', "");
Expect(0, 10495, '\p{^Sc= 	brai}', "");
Expect(0, 10495, '\P{Sc= 	brai}', "");
Expect(1, 10495, '\P{^Sc= 	brai}', "");
Expect(0, 10496, '\p{Sc= 	brai}', "");
Expect(1, 10496, '\p{^Sc= 	brai}', "");
Expect(1, 10496, '\P{Sc= 	brai}', "");
Expect(0, 10496, '\P{^Sc= 	brai}', "");
Error('\p{Is_Script=/a/	_Braille}');
Error('\P{Is_Script=/a/	_Braille}');
Expect(1, 10495, '\p{Is_Script=braille}', "");
Expect(0, 10495, '\p{^Is_Script=braille}', "");
Expect(0, 10495, '\P{Is_Script=braille}', "");
Expect(1, 10495, '\P{^Is_Script=braille}', "");
Expect(0, 10496, '\p{Is_Script=braille}', "");
Expect(1, 10496, '\p{^Is_Script=braille}', "");
Expect(1, 10496, '\P{Is_Script=braille}', "");
Expect(0, 10496, '\P{^Is_Script=braille}', "");
Expect(1, 10495, '\p{Is_Script=--Braille}', "");
Expect(0, 10495, '\p{^Is_Script=--Braille}', "");
Expect(0, 10495, '\P{Is_Script=--Braille}', "");
Expect(1, 10495, '\P{^Is_Script=--Braille}', "");
Expect(0, 10496, '\p{Is_Script=--Braille}', "");
Expect(1, 10496, '\p{^Is_Script=--Braille}', "");
Expect(1, 10496, '\P{Is_Script=--Braille}', "");
Expect(0, 10496, '\P{^Is_Script=--Braille}', "");
Error('\p{Is_Sc=-	Brai:=}');
Error('\P{Is_Sc=-	Brai:=}');
Expect(1, 10495, '\p{Is_Sc=brai}', "");
Expect(0, 10495, '\p{^Is_Sc=brai}', "");
Expect(0, 10495, '\P{Is_Sc=brai}', "");
Expect(1, 10495, '\P{^Is_Sc=brai}', "");
Expect(0, 10496, '\p{Is_Sc=brai}', "");
Expect(1, 10496, '\p{^Is_Sc=brai}', "");
Expect(1, 10496, '\P{Is_Sc=brai}', "");
Expect(0, 10496, '\P{^Is_Sc=brai}', "");
Expect(1, 10495, '\p{Is_Sc=	brai}', "");
Expect(0, 10495, '\p{^Is_Sc=	brai}', "");
Expect(0, 10495, '\P{Is_Sc=	brai}', "");
Expect(1, 10495, '\P{^Is_Sc=	brai}', "");
Expect(0, 10496, '\p{Is_Sc=	brai}', "");
Expect(1, 10496, '\p{^Is_Sc=	brai}', "");
Expect(1, 10496, '\P{Is_Sc=	brai}', "");
Expect(0, 10496, '\P{^Is_Sc=	brai}', "");
Error('\p{Script=-/a/buginese}');
Error('\P{Script=-/a/buginese}');
Expect(1, 6687, '\p{Script=buginese}', "");
Expect(0, 6687, '\p{^Script=buginese}', "");
Expect(0, 6687, '\P{Script=buginese}', "");
Expect(1, 6687, '\P{^Script=buginese}', "");
Expect(0, 6688, '\p{Script=buginese}', "");
Expect(1, 6688, '\p{^Script=buginese}', "");
Expect(1, 6688, '\P{Script=buginese}', "");
Expect(0, 6688, '\P{^Script=buginese}', "");
Expect(1, 6687, '\p{Script=- Buginese}', "");
Expect(0, 6687, '\p{^Script=- Buginese}', "");
Expect(0, 6687, '\P{Script=- Buginese}', "");
Expect(1, 6687, '\P{^Script=- Buginese}', "");
Expect(0, 6688, '\p{Script=- Buginese}', "");
Expect(1, 6688, '\p{^Script=- Buginese}', "");
Expect(1, 6688, '\P{Script=- Buginese}', "");
Expect(0, 6688, '\P{^Script=- Buginese}', "");
Error('\p{Sc=:=	_bugi}');
Error('\P{Sc=:=	_bugi}');
Expect(1, 6687, '\p{Sc=bugi}', "");
Expect(0, 6687, '\p{^Sc=bugi}', "");
Expect(0, 6687, '\P{Sc=bugi}', "");
Expect(1, 6687, '\P{^Sc=bugi}', "");
Expect(0, 6688, '\p{Sc=bugi}', "");
Expect(1, 6688, '\p{^Sc=bugi}', "");
Expect(1, 6688, '\P{Sc=bugi}', "");
Expect(0, 6688, '\P{^Sc=bugi}', "");
Expect(1, 6687, '\p{Sc=--Bugi}', "");
Expect(0, 6687, '\p{^Sc=--Bugi}', "");
Expect(0, 6687, '\P{Sc=--Bugi}', "");
Expect(1, 6687, '\P{^Sc=--Bugi}', "");
Expect(0, 6688, '\p{Sc=--Bugi}', "");
Expect(1, 6688, '\p{^Sc=--Bugi}', "");
Expect(1, 6688, '\P{Sc=--Bugi}', "");
Expect(0, 6688, '\P{^Sc=--Bugi}', "");
Error('\p{Is_Script=:= 	buginese}');
Error('\P{Is_Script=:= 	buginese}');
Expect(1, 6687, '\p{Is_Script: buginese}', "");
Expect(0, 6687, '\p{^Is_Script: buginese}', "");
Expect(0, 6687, '\P{Is_Script: buginese}', "");
Expect(1, 6687, '\P{^Is_Script: buginese}', "");
Expect(0, 6688, '\p{Is_Script: buginese}', "");
Expect(1, 6688, '\p{^Is_Script: buginese}', "");
Expect(1, 6688, '\P{Is_Script: buginese}', "");
Expect(0, 6688, '\P{^Is_Script: buginese}', "");
Expect(1, 6687, '\p{Is_Script=	-buginese}', "");
Expect(0, 6687, '\p{^Is_Script=	-buginese}', "");
Expect(0, 6687, '\P{Is_Script=	-buginese}', "");
Expect(1, 6687, '\P{^Is_Script=	-buginese}', "");
Expect(0, 6688, '\p{Is_Script=	-buginese}', "");
Expect(1, 6688, '\p{^Is_Script=	-buginese}', "");
Expect(1, 6688, '\P{Is_Script=	-buginese}', "");
Expect(0, 6688, '\P{^Is_Script=	-buginese}', "");
Error('\p{Is_Sc=_/a/Bugi}');
Error('\P{Is_Sc=_/a/Bugi}');
Expect(1, 6687, '\p{Is_Sc=bugi}', "");
Expect(0, 6687, '\p{^Is_Sc=bugi}', "");
Expect(0, 6687, '\P{Is_Sc=bugi}', "");
Expect(1, 6687, '\P{^Is_Sc=bugi}', "");
Expect(0, 6688, '\p{Is_Sc=bugi}', "");
Expect(1, 6688, '\p{^Is_Sc=bugi}', "");
Expect(1, 6688, '\P{Is_Sc=bugi}', "");
Expect(0, 6688, '\P{^Is_Sc=bugi}', "");
Expect(1, 6687, '\p{Is_Sc:	_BUGI}', "");
Expect(0, 6687, '\p{^Is_Sc:	_BUGI}', "");
Expect(0, 6687, '\P{Is_Sc:	_BUGI}', "");
Expect(1, 6687, '\P{^Is_Sc:	_BUGI}', "");
Expect(0, 6688, '\p{Is_Sc:	_BUGI}', "");
Expect(1, 6688, '\p{^Is_Sc:	_BUGI}', "");
Expect(1, 6688, '\P{Is_Sc:	_BUGI}', "");
Expect(0, 6688, '\P{^Is_Sc:	_BUGI}', "");
Error('\p{Script= :=Buhid}');
Error('\P{Script= :=Buhid}');
Expect(1, 5971, '\p{Script=buhid}', "");
Expect(0, 5971, '\p{^Script=buhid}', "");
Expect(0, 5971, '\P{Script=buhid}', "");
Expect(1, 5971, '\P{^Script=buhid}', "");
Expect(0, 5972, '\p{Script=buhid}', "");
Expect(1, 5972, '\p{^Script=buhid}', "");
Expect(1, 5972, '\P{Script=buhid}', "");
Expect(0, 5972, '\P{^Script=buhid}', "");
Expect(1, 5971, '\p{Script:		Buhid}', "");
Expect(0, 5971, '\p{^Script:		Buhid}', "");
Expect(0, 5971, '\P{Script:		Buhid}', "");
Expect(1, 5971, '\P{^Script:		Buhid}', "");
Expect(0, 5972, '\p{Script:		Buhid}', "");
Expect(1, 5972, '\p{^Script:		Buhid}', "");
Expect(1, 5972, '\P{Script:		Buhid}', "");
Expect(0, 5972, '\P{^Script:		Buhid}', "");
Error('\p{Sc=_:=Buhd}');
Error('\P{Sc=_:=Buhd}');
Expect(1, 5971, '\p{Sc=buhd}', "");
Expect(0, 5971, '\p{^Sc=buhd}', "");
Expect(0, 5971, '\P{Sc=buhd}', "");
Expect(1, 5971, '\P{^Sc=buhd}', "");
Expect(0, 5972, '\p{Sc=buhd}', "");
Expect(1, 5972, '\p{^Sc=buhd}', "");
Expect(1, 5972, '\P{Sc=buhd}', "");
Expect(0, 5972, '\P{^Sc=buhd}', "");
Expect(1, 5971, '\p{Sc=  Buhd}', "");
Expect(0, 5971, '\p{^Sc=  Buhd}', "");
Expect(0, 5971, '\P{Sc=  Buhd}', "");
Expect(1, 5971, '\P{^Sc=  Buhd}', "");
Expect(0, 5972, '\p{Sc=  Buhd}', "");
Expect(1, 5972, '\p{^Sc=  Buhd}', "");
Expect(1, 5972, '\P{Sc=  Buhd}', "");
Expect(0, 5972, '\P{^Sc=  Buhd}', "");
Error('\p{Is_Script=/a/	-buhid}');
Error('\P{Is_Script=/a/	-buhid}');
Expect(1, 5971, '\p{Is_Script=buhid}', "");
Expect(0, 5971, '\p{^Is_Script=buhid}', "");
Expect(0, 5971, '\P{Is_Script=buhid}', "");
Expect(1, 5971, '\P{^Is_Script=buhid}', "");
Expect(0, 5972, '\p{Is_Script=buhid}', "");
Expect(1, 5972, '\p{^Is_Script=buhid}', "");
Expect(1, 5972, '\P{Is_Script=buhid}', "");
Expect(0, 5972, '\P{^Is_Script=buhid}', "");
Expect(1, 5971, '\p{Is_Script= 	buhid}', "");
Expect(0, 5971, '\p{^Is_Script= 	buhid}', "");
Expect(0, 5971, '\P{Is_Script= 	buhid}', "");
Expect(1, 5971, '\P{^Is_Script= 	buhid}', "");
Expect(0, 5972, '\p{Is_Script= 	buhid}', "");
Expect(1, 5972, '\p{^Is_Script= 	buhid}', "");
Expect(1, 5972, '\P{Is_Script= 	buhid}', "");
Expect(0, 5972, '\P{^Is_Script= 	buhid}', "");
Error('\p{Is_Sc=:=	BUHD}');
Error('\P{Is_Sc=:=	BUHD}');
Expect(1, 5971, '\p{Is_Sc:buhd}', "");
Expect(0, 5971, '\p{^Is_Sc:buhd}', "");
Expect(0, 5971, '\P{Is_Sc:buhd}', "");
Expect(1, 5971, '\P{^Is_Sc:buhd}', "");
Expect(0, 5972, '\p{Is_Sc:buhd}', "");
Expect(1, 5972, '\p{^Is_Sc:buhd}', "");
Expect(1, 5972, '\P{Is_Sc:buhd}', "");
Expect(0, 5972, '\P{^Is_Sc:buhd}', "");
Expect(1, 5971, '\p{Is_Sc=	-Buhd}', "");
Expect(0, 5971, '\p{^Is_Sc=	-Buhd}', "");
Expect(0, 5971, '\P{Is_Sc=	-Buhd}', "");
Expect(1, 5971, '\P{^Is_Sc=	-Buhd}', "");
Expect(0, 5972, '\p{Is_Sc=	-Buhd}', "");
Expect(1, 5972, '\p{^Is_Sc=	-Buhd}', "");
Expect(1, 5972, '\P{Is_Sc=	-Buhd}', "");
Expect(0, 5972, '\P{^Is_Sc=	-Buhd}', "");
Error('\p{Script=/a/_ chakma}');
Error('\P{Script=/a/_ chakma}');
Expect(1, 69955, '\p{Script=chakma}', "");
Expect(0, 69955, '\p{^Script=chakma}', "");
Expect(0, 69955, '\P{Script=chakma}', "");
Expect(1, 69955, '\P{^Script=chakma}', "");
Expect(0, 69956, '\p{Script=chakma}', "");
Expect(1, 69956, '\p{^Script=chakma}', "");
Expect(1, 69956, '\P{Script=chakma}', "");
Expect(0, 69956, '\P{^Script=chakma}', "");
Expect(1, 69955, '\p{Script=-chakma}', "");
Expect(0, 69955, '\p{^Script=-chakma}', "");
Expect(0, 69955, '\P{Script=-chakma}', "");
Expect(1, 69955, '\P{^Script=-chakma}', "");
Expect(0, 69956, '\p{Script=-chakma}', "");
Expect(1, 69956, '\p{^Script=-chakma}', "");
Expect(1, 69956, '\P{Script=-chakma}', "");
Expect(0, 69956, '\P{^Script=-chakma}', "");
Error('\p{Sc:   /a/CAKM}');
Error('\P{Sc:   /a/CAKM}');
Expect(1, 69955, '\p{Sc:   cakm}', "");
Expect(0, 69955, '\p{^Sc:   cakm}', "");
Expect(0, 69955, '\P{Sc:   cakm}', "");
Expect(1, 69955, '\P{^Sc:   cakm}', "");
Expect(0, 69956, '\p{Sc:   cakm}', "");
Expect(1, 69956, '\p{^Sc:   cakm}', "");
Expect(1, 69956, '\P{Sc:   cakm}', "");
Expect(0, 69956, '\P{^Sc:   cakm}', "");
Expect(1, 69955, '\p{Sc=	 Cakm}', "");
Expect(0, 69955, '\p{^Sc=	 Cakm}', "");
Expect(0, 69955, '\P{Sc=	 Cakm}', "");
Expect(1, 69955, '\P{^Sc=	 Cakm}', "");
Expect(0, 69956, '\p{Sc=	 Cakm}', "");
Expect(1, 69956, '\p{^Sc=	 Cakm}', "");
Expect(1, 69956, '\P{Sc=	 Cakm}', "");
Expect(0, 69956, '\P{^Sc=	 Cakm}', "");
Error('\p{Is_Script=_/a/Chakma}');
Error('\P{Is_Script=_/a/Chakma}');
Expect(1, 69955, '\p{Is_Script:   chakma}', "");
Expect(0, 69955, '\p{^Is_Script:   chakma}', "");
Expect(0, 69955, '\P{Is_Script:   chakma}', "");
Expect(1, 69955, '\P{^Is_Script:   chakma}', "");
Expect(0, 69956, '\p{Is_Script:   chakma}', "");
Expect(1, 69956, '\p{^Is_Script:   chakma}', "");
Expect(1, 69956, '\P{Is_Script:   chakma}', "");
Expect(0, 69956, '\P{^Is_Script:   chakma}', "");
Expect(1, 69955, '\p{Is_Script=__CHAKMA}', "");
Expect(0, 69955, '\p{^Is_Script=__CHAKMA}', "");
Expect(0, 69955, '\P{Is_Script=__CHAKMA}', "");
Expect(1, 69955, '\P{^Is_Script=__CHAKMA}', "");
Expect(0, 69956, '\p{Is_Script=__CHAKMA}', "");
Expect(1, 69956, '\p{^Is_Script=__CHAKMA}', "");
Expect(1, 69956, '\P{Is_Script=__CHAKMA}', "");
Expect(0, 69956, '\P{^Is_Script=__CHAKMA}', "");
Error('\p{Is_Sc=-Cakm:=}');
Error('\P{Is_Sc=-Cakm:=}');
Expect(1, 69955, '\p{Is_Sc=cakm}', "");
Expect(0, 69955, '\p{^Is_Sc=cakm}', "");
Expect(0, 69955, '\P{Is_Sc=cakm}', "");
Expect(1, 69955, '\P{^Is_Sc=cakm}', "");
Expect(0, 69956, '\p{Is_Sc=cakm}', "");
Expect(1, 69956, '\p{^Is_Sc=cakm}', "");
Expect(1, 69956, '\P{Is_Sc=cakm}', "");
Expect(0, 69956, '\P{^Is_Sc=cakm}', "");
Expect(1, 69955, '\p{Is_Sc= Cakm}', "");
Expect(0, 69955, '\p{^Is_Sc= Cakm}', "");
Expect(0, 69955, '\P{Is_Sc= Cakm}', "");
Expect(1, 69955, '\P{^Is_Sc= Cakm}', "");
Expect(0, 69956, '\p{Is_Sc= Cakm}', "");
Expect(1, 69956, '\p{^Is_Sc= Cakm}', "");
Expect(1, 69956, '\P{Is_Sc= Cakm}', "");
Expect(0, 69956, '\P{^Is_Sc= Cakm}', "");
Error('\p{Script=:=_-Canadian_Aboriginal}');
Error('\P{Script=:=_-Canadian_Aboriginal}');
Expect(1, 6389, '\p{Script=canadianaboriginal}', "");
Expect(0, 6389, '\p{^Script=canadianaboriginal}', "");
Expect(0, 6389, '\P{Script=canadianaboriginal}', "");
Expect(1, 6389, '\P{^Script=canadianaboriginal}', "");
Expect(0, 6390, '\p{Script=canadianaboriginal}', "");
Expect(1, 6390, '\p{^Script=canadianaboriginal}', "");
Expect(1, 6390, '\P{Script=canadianaboriginal}', "");
Expect(0, 6390, '\P{^Script=canadianaboriginal}', "");
Expect(1, 6389, '\p{Script=_ CANADIAN_Aboriginal}', "");
Expect(0, 6389, '\p{^Script=_ CANADIAN_Aboriginal}', "");
Expect(0, 6389, '\P{Script=_ CANADIAN_Aboriginal}', "");
Expect(1, 6389, '\P{^Script=_ CANADIAN_Aboriginal}', "");
Expect(0, 6390, '\p{Script=_ CANADIAN_Aboriginal}', "");
Expect(1, 6390, '\p{^Script=_ CANADIAN_Aboriginal}', "");
Expect(1, 6390, '\P{Script=_ CANADIAN_Aboriginal}', "");
Expect(0, 6390, '\P{^Script=_ CANADIAN_Aboriginal}', "");
Error('\p{Sc=:=CANS}');
Error('\P{Sc=:=CANS}');
Expect(1, 6389, '\p{Sc=cans}', "");
Expect(0, 6389, '\p{^Sc=cans}', "");
Expect(0, 6389, '\P{Sc=cans}', "");
Expect(1, 6389, '\P{^Sc=cans}', "");
Expect(0, 6390, '\p{Sc=cans}', "");
Expect(1, 6390, '\p{^Sc=cans}', "");
Expect(1, 6390, '\P{Sc=cans}', "");
Expect(0, 6390, '\P{^Sc=cans}', "");
Expect(1, 6389, '\p{Sc=	Cans}', "");
Expect(0, 6389, '\p{^Sc=	Cans}', "");
Expect(0, 6389, '\P{Sc=	Cans}', "");
Expect(1, 6389, '\P{^Sc=	Cans}', "");
Expect(0, 6390, '\p{Sc=	Cans}', "");
Expect(1, 6390, '\p{^Sc=	Cans}', "");
Expect(1, 6390, '\P{Sc=	Cans}', "");
Expect(0, 6390, '\P{^Sc=	Cans}', "");
Error('\p{Is_Script=__Canadian_Aboriginal:=}');
Error('\P{Is_Script=__Canadian_Aboriginal:=}');
Expect(1, 6389, '\p{Is_Script=canadianaboriginal}', "");
Expect(0, 6389, '\p{^Is_Script=canadianaboriginal}', "");
Expect(0, 6389, '\P{Is_Script=canadianaboriginal}', "");
Expect(1, 6389, '\P{^Is_Script=canadianaboriginal}', "");
Expect(0, 6390, '\p{Is_Script=canadianaboriginal}', "");
Expect(1, 6390, '\p{^Is_Script=canadianaboriginal}', "");
Expect(1, 6390, '\P{Is_Script=canadianaboriginal}', "");
Expect(0, 6390, '\P{^Is_Script=canadianaboriginal}', "");
Expect(1, 6389, '\p{Is_Script= Canadian_Aboriginal}', "");
Expect(0, 6389, '\p{^Is_Script= Canadian_Aboriginal}', "");
Expect(0, 6389, '\P{Is_Script= Canadian_Aboriginal}', "");
Expect(1, 6389, '\P{^Is_Script= Canadian_Aboriginal}', "");
Expect(0, 6390, '\p{Is_Script= Canadian_Aboriginal}', "");
Expect(1, 6390, '\p{^Is_Script= Canadian_Aboriginal}', "");
Expect(1, 6390, '\P{Is_Script= Canadian_Aboriginal}', "");
Expect(0, 6390, '\P{^Is_Script= Canadian_Aboriginal}', "");
Error('\p{Is_Sc=	-CANS/a/}');
Error('\P{Is_Sc=	-CANS/a/}');
Expect(1, 6389, '\p{Is_Sc=cans}', "");
Expect(0, 6389, '\p{^Is_Sc=cans}', "");
Expect(0, 6389, '\P{Is_Sc=cans}', "");
Expect(1, 6389, '\P{^Is_Sc=cans}', "");
Expect(0, 6390, '\p{Is_Sc=cans}', "");
Expect(1, 6390, '\p{^Is_Sc=cans}', "");
Expect(1, 6390, '\P{Is_Sc=cans}', "");
Expect(0, 6390, '\P{^Is_Sc=cans}', "");
Expect(1, 6389, '\p{Is_Sc:   -	Cans}', "");
Expect(0, 6389, '\p{^Is_Sc:   -	Cans}', "");
Expect(0, 6389, '\P{Is_Sc:   -	Cans}', "");
Expect(1, 6389, '\P{^Is_Sc:   -	Cans}', "");
Expect(0, 6390, '\p{Is_Sc:   -	Cans}', "");
Expect(1, 6390, '\p{^Is_Sc:   -	Cans}', "");
Expect(1, 6390, '\P{Is_Sc:   -	Cans}', "");
Expect(0, 6390, '\P{^Is_Sc:   -	Cans}', "");
Error('\p{Script=:=__carian}');
Error('\P{Script=:=__carian}');
Expect(1, 66256, '\p{Script=carian}', "");
Expect(0, 66256, '\p{^Script=carian}', "");
Expect(0, 66256, '\P{Script=carian}', "");
Expect(1, 66256, '\P{^Script=carian}', "");
Expect(0, 66257, '\p{Script=carian}', "");
Expect(1, 66257, '\p{^Script=carian}', "");
Expect(1, 66257, '\P{Script=carian}', "");
Expect(0, 66257, '\P{^Script=carian}', "");
Expect(1, 66256, '\p{Script=-Carian}', "");
Expect(0, 66256, '\p{^Script=-Carian}', "");
Expect(0, 66256, '\P{Script=-Carian}', "");
Expect(1, 66256, '\P{^Script=-Carian}', "");
Expect(0, 66257, '\p{Script=-Carian}', "");
Expect(1, 66257, '\p{^Script=-Carian}', "");
Expect(1, 66257, '\P{Script=-Carian}', "");
Expect(0, 66257, '\P{^Script=-Carian}', "");
Error('\p{Sc=-Cari:=}');
Error('\P{Sc=-Cari:=}');
Expect(1, 66256, '\p{Sc=cari}', "");
Expect(0, 66256, '\p{^Sc=cari}', "");
Expect(0, 66256, '\P{Sc=cari}', "");
Expect(1, 66256, '\P{^Sc=cari}', "");
Expect(0, 66257, '\p{Sc=cari}', "");
Expect(1, 66257, '\p{^Sc=cari}', "");
Expect(1, 66257, '\P{Sc=cari}', "");
Expect(0, 66257, '\P{^Sc=cari}', "");
Expect(1, 66256, '\p{Sc=	Cari}', "");
Expect(0, 66256, '\p{^Sc=	Cari}', "");
Expect(0, 66256, '\P{Sc=	Cari}', "");
Expect(1, 66256, '\P{^Sc=	Cari}', "");
Expect(0, 66257, '\p{Sc=	Cari}', "");
Expect(1, 66257, '\p{^Sc=	Cari}', "");
Expect(1, 66257, '\P{Sc=	Cari}', "");
Expect(0, 66257, '\P{^Sc=	Cari}', "");
Error('\p{Is_Script:/a/--carian}');
Error('\P{Is_Script:/a/--carian}');
Expect(1, 66256, '\p{Is_Script: carian}', "");
Expect(0, 66256, '\p{^Is_Script: carian}', "");
Expect(0, 66256, '\P{Is_Script: carian}', "");
Expect(1, 66256, '\P{^Is_Script: carian}', "");
Expect(0, 66257, '\p{Is_Script: carian}', "");
Expect(1, 66257, '\p{^Is_Script: carian}', "");
Expect(1, 66257, '\P{Is_Script: carian}', "");
Expect(0, 66257, '\P{^Is_Script: carian}', "");
Expect(1, 66256, '\p{Is_Script=__Carian}', "");
Expect(0, 66256, '\p{^Is_Script=__Carian}', "");
Expect(0, 66256, '\P{Is_Script=__Carian}', "");
Expect(1, 66256, '\P{^Is_Script=__Carian}', "");
Expect(0, 66257, '\p{Is_Script=__Carian}', "");
Expect(1, 66257, '\p{^Is_Script=__Carian}', "");
Expect(1, 66257, '\P{Is_Script=__Carian}', "");
Expect(0, 66257, '\P{^Is_Script=__Carian}', "");
Error('\p{Is_Sc= Cari:=}');
Error('\P{Is_Sc= Cari:=}');
Expect(1, 66256, '\p{Is_Sc=cari}', "");
Expect(0, 66256, '\p{^Is_Sc=cari}', "");
Expect(0, 66256, '\P{Is_Sc=cari}', "");
Expect(1, 66256, '\P{^Is_Sc=cari}', "");
Expect(0, 66257, '\p{Is_Sc=cari}', "");
Expect(1, 66257, '\p{^Is_Sc=cari}', "");
Expect(1, 66257, '\P{Is_Sc=cari}', "");
Expect(0, 66257, '\P{^Is_Sc=cari}', "");
Expect(1, 66256, '\p{Is_Sc:   _ Cari}', "");
Expect(0, 66256, '\p{^Is_Sc:   _ Cari}', "");
Expect(0, 66256, '\P{Is_Sc:   _ Cari}', "");
Expect(1, 66256, '\P{^Is_Sc:   _ Cari}', "");
Expect(0, 66257, '\p{Is_Sc:   _ Cari}', "");
Expect(1, 66257, '\p{^Is_Sc:   _ Cari}', "");
Expect(1, 66257, '\P{Is_Sc:   _ Cari}', "");
Expect(0, 66257, '\P{^Is_Sc:   _ Cari}', "");
Error('\p{Script:  -cham:=}');
Error('\P{Script:  -cham:=}');
Expect(1, 43615, '\p{Script=cham}', "");
Expect(0, 43615, '\p{^Script=cham}', "");
Expect(0, 43615, '\P{Script=cham}', "");
Expect(1, 43615, '\P{^Script=cham}', "");
Expect(0, 43616, '\p{Script=cham}', "");
Expect(1, 43616, '\p{^Script=cham}', "");
Expect(1, 43616, '\P{Script=cham}', "");
Expect(0, 43616, '\P{^Script=cham}', "");
Expect(1, 43615, '\p{Script=Cham}', "");
Expect(0, 43615, '\p{^Script=Cham}', "");
Expect(0, 43615, '\P{Script=Cham}', "");
Expect(1, 43615, '\P{^Script=Cham}', "");
Expect(0, 43616, '\p{Script=Cham}', "");
Expect(1, 43616, '\p{^Script=Cham}', "");
Expect(1, 43616, '\P{Script=Cham}', "");
Expect(0, 43616, '\P{^Script=Cham}', "");
Error('\p{Sc=:=-	Cham}');
Error('\P{Sc=:=-	Cham}');
Expect(1, 43615, '\p{Sc:   cham}', "");
Expect(0, 43615, '\p{^Sc:   cham}', "");
Expect(0, 43615, '\P{Sc:   cham}', "");
Expect(1, 43615, '\P{^Sc:   cham}', "");
Expect(0, 43616, '\p{Sc:   cham}', "");
Expect(1, 43616, '\p{^Sc:   cham}', "");
Expect(1, 43616, '\P{Sc:   cham}', "");
Expect(0, 43616, '\P{^Sc:   cham}', "");
Expect(1, 43615, '\p{Sc=	 cham}', "");
Expect(0, 43615, '\p{^Sc=	 cham}', "");
Expect(0, 43615, '\P{Sc=	 cham}', "");
Expect(1, 43615, '\P{^Sc=	 cham}', "");
Expect(0, 43616, '\p{Sc=	 cham}', "");
Expect(1, 43616, '\p{^Sc=	 cham}', "");
Expect(1, 43616, '\P{Sc=	 cham}', "");
Expect(0, 43616, '\P{^Sc=	 cham}', "");
Error('\p{Is_Script:	/a/cham}');
Error('\P{Is_Script:	/a/cham}');
Expect(1, 43615, '\p{Is_Script=cham}', "");
Expect(0, 43615, '\p{^Is_Script=cham}', "");
Expect(0, 43615, '\P{Is_Script=cham}', "");
Expect(1, 43615, '\P{^Is_Script=cham}', "");
Expect(0, 43616, '\p{Is_Script=cham}', "");
Expect(1, 43616, '\p{^Is_Script=cham}', "");
Expect(1, 43616, '\P{Is_Script=cham}', "");
Expect(0, 43616, '\P{^Is_Script=cham}', "");
Expect(1, 43615, '\p{Is_Script=	 cham}', "");
Expect(0, 43615, '\p{^Is_Script=	 cham}', "");
Expect(0, 43615, '\P{Is_Script=	 cham}', "");
Expect(1, 43615, '\P{^Is_Script=	 cham}', "");
Expect(0, 43616, '\p{Is_Script=	 cham}', "");
Expect(1, 43616, '\p{^Is_Script=	 cham}', "");
Expect(1, 43616, '\P{Is_Script=	 cham}', "");
Expect(0, 43616, '\P{^Is_Script=	 cham}', "");
Error('\p{Is_Sc= :=Cham}');
Error('\P{Is_Sc= :=Cham}');
Expect(1, 43615, '\p{Is_Sc=cham}', "");
Expect(0, 43615, '\p{^Is_Sc=cham}', "");
Expect(0, 43615, '\P{Is_Sc=cham}', "");
Expect(1, 43615, '\P{^Is_Sc=cham}', "");
Expect(0, 43616, '\p{Is_Sc=cham}', "");
Expect(1, 43616, '\p{^Is_Sc=cham}', "");
Expect(1, 43616, '\P{Is_Sc=cham}', "");
Expect(0, 43616, '\P{^Is_Sc=cham}', "");
Expect(1, 43615, '\p{Is_Sc=_ cham}', "");
Expect(0, 43615, '\p{^Is_Sc=_ cham}', "");
Expect(0, 43615, '\P{Is_Sc=_ cham}', "");
Expect(1, 43615, '\P{^Is_Sc=_ cham}', "");
Expect(0, 43616, '\p{Is_Sc=_ cham}', "");
Expect(1, 43616, '\p{^Is_Sc=_ cham}', "");
Expect(1, 43616, '\P{Is_Sc=_ cham}', "");
Expect(0, 43616, '\P{^Is_Sc=_ cham}', "");
Error('\p{Script=:=		Cherokee}');
Error('\P{Script=:=		Cherokee}');
Expect(1, 5108, '\p{Script=cherokee}', "");
Expect(0, 5108, '\p{^Script=cherokee}', "");
Expect(0, 5108, '\P{Script=cherokee}', "");
Expect(1, 5108, '\P{^Script=cherokee}', "");
Expect(0, 5109, '\p{Script=cherokee}', "");
Expect(1, 5109, '\p{^Script=cherokee}', "");
Expect(1, 5109, '\P{Script=cherokee}', "");
Expect(0, 5109, '\P{^Script=cherokee}', "");
Expect(1, 5108, '\p{Script=__cherokee}', "");
Expect(0, 5108, '\p{^Script=__cherokee}', "");
Expect(0, 5108, '\P{Script=__cherokee}', "");
Expect(1, 5108, '\P{^Script=__cherokee}', "");
Expect(0, 5109, '\p{Script=__cherokee}', "");
Expect(1, 5109, '\p{^Script=__cherokee}', "");
Expect(1, 5109, '\P{Script=__cherokee}', "");
Expect(0, 5109, '\P{^Script=__cherokee}', "");
Error('\p{Sc=	 CHER/a/}');
Error('\P{Sc=	 CHER/a/}');
Expect(1, 5108, '\p{Sc=cher}', "");
Expect(0, 5108, '\p{^Sc=cher}', "");
Expect(0, 5108, '\P{Sc=cher}', "");
Expect(1, 5108, '\P{^Sc=cher}', "");
Expect(0, 5109, '\p{Sc=cher}', "");
Expect(1, 5109, '\p{^Sc=cher}', "");
Expect(1, 5109, '\P{Sc=cher}', "");
Expect(0, 5109, '\P{^Sc=cher}', "");
Expect(1, 5108, '\p{Sc=- cher}', "");
Expect(0, 5108, '\p{^Sc=- cher}', "");
Expect(0, 5108, '\P{Sc=- cher}', "");
Expect(1, 5108, '\P{^Sc=- cher}', "");
Expect(0, 5109, '\p{Sc=- cher}', "");
Expect(1, 5109, '\p{^Sc=- cher}', "");
Expect(1, 5109, '\P{Sc=- cher}', "");
Expect(0, 5109, '\P{^Sc=- cher}', "");
Error('\p{Is_Script=:=	 Cherokee}');
Error('\P{Is_Script=:=	 Cherokee}');
Expect(1, 5108, '\p{Is_Script=cherokee}', "");
Expect(0, 5108, '\p{^Is_Script=cherokee}', "");
Expect(0, 5108, '\P{Is_Script=cherokee}', "");
Expect(1, 5108, '\P{^Is_Script=cherokee}', "");
Expect(0, 5109, '\p{Is_Script=cherokee}', "");
Expect(1, 5109, '\p{^Is_Script=cherokee}', "");
Expect(1, 5109, '\P{Is_Script=cherokee}', "");
Expect(0, 5109, '\P{^Is_Script=cherokee}', "");
Expect(1, 5108, '\p{Is_Script= CHEROKEE}', "");
Expect(0, 5108, '\p{^Is_Script= CHEROKEE}', "");
Expect(0, 5108, '\P{Is_Script= CHEROKEE}', "");
Expect(1, 5108, '\P{^Is_Script= CHEROKEE}', "");
Expect(0, 5109, '\p{Is_Script= CHEROKEE}', "");
Expect(1, 5109, '\p{^Is_Script= CHEROKEE}', "");
Expect(1, 5109, '\P{Is_Script= CHEROKEE}', "");
Expect(0, 5109, '\P{^Is_Script= CHEROKEE}', "");
Error('\p{Is_Sc:  -Cher/a/}');
Error('\P{Is_Sc:  -Cher/a/}');
Expect(1, 5108, '\p{Is_Sc=cher}', "");
Expect(0, 5108, '\p{^Is_Sc=cher}', "");
Expect(0, 5108, '\P{Is_Sc=cher}', "");
Expect(1, 5108, '\P{^Is_Sc=cher}', "");
Expect(0, 5109, '\p{Is_Sc=cher}', "");
Expect(1, 5109, '\p{^Is_Sc=cher}', "");
Expect(1, 5109, '\P{Is_Sc=cher}', "");
Expect(0, 5109, '\P{^Is_Sc=cher}', "");
Expect(1, 5108, '\p{Is_Sc=	cher}', "");
Expect(0, 5108, '\p{^Is_Sc=	cher}', "");
Expect(0, 5108, '\P{Is_Sc=	cher}', "");
Expect(1, 5108, '\P{^Is_Sc=	cher}', "");
Expect(0, 5109, '\p{Is_Sc=	cher}', "");
Expect(1, 5109, '\p{^Is_Sc=	cher}', "");
Expect(1, 5109, '\P{Is_Sc=	cher}', "");
Expect(0, 5109, '\P{^Is_Sc=	cher}', "");
Error('\p{Script=/a/	-coptic}');
Error('\P{Script=/a/	-coptic}');
Expect(1, 11519, '\p{Script=coptic}', "");
Expect(0, 11519, '\p{^Script=coptic}', "");
Expect(0, 11519, '\P{Script=coptic}', "");
Expect(1, 11519, '\P{^Script=coptic}', "");
Expect(0, 11520, '\p{Script=coptic}', "");
Expect(1, 11520, '\p{^Script=coptic}', "");
Expect(1, 11520, '\P{Script=coptic}', "");
Expect(0, 11520, '\P{^Script=coptic}', "");
Expect(1, 11519, '\p{Script=		COPTIC}', "");
Expect(0, 11519, '\p{^Script=		COPTIC}', "");
Expect(0, 11519, '\P{Script=		COPTIC}', "");
Expect(1, 11519, '\P{^Script=		COPTIC}', "");
Expect(0, 11520, '\p{Script=		COPTIC}', "");
Expect(1, 11520, '\p{^Script=		COPTIC}', "");
Expect(1, 11520, '\P{Script=		COPTIC}', "");
Expect(0, 11520, '\P{^Script=		COPTIC}', "");
Error('\p{Sc= Copt/a/}');
Error('\P{Sc= Copt/a/}');
Expect(1, 11519, '\p{Sc=copt}', "");
Expect(0, 11519, '\p{^Sc=copt}', "");
Expect(0, 11519, '\P{Sc=copt}', "");
Expect(1, 11519, '\P{^Sc=copt}', "");
Expect(0, 11520, '\p{Sc=copt}', "");
Expect(1, 11520, '\p{^Sc=copt}', "");
Expect(1, 11520, '\P{Sc=copt}', "");
Expect(0, 11520, '\P{^Sc=copt}', "");
Expect(1, 11519, '\p{Sc=-_copt}', "");
Expect(0, 11519, '\p{^Sc=-_copt}', "");
Expect(0, 11519, '\P{Sc=-_copt}', "");
Expect(1, 11519, '\P{^Sc=-_copt}', "");
Expect(0, 11520, '\p{Sc=-_copt}', "");
Expect(1, 11520, '\p{^Sc=-_copt}', "");
Expect(1, 11520, '\P{Sc=-_copt}', "");
Expect(0, 11520, '\P{^Sc=-_copt}', "");
Error('\p{Is_Script=-Qaac/a/}');
Error('\P{Is_Script=-Qaac/a/}');
Expect(1, 11519, '\p{Is_Script=qaac}', "");
Expect(0, 11519, '\p{^Is_Script=qaac}', "");
Expect(0, 11519, '\P{Is_Script=qaac}', "");
Expect(1, 11519, '\P{^Is_Script=qaac}', "");
Expect(0, 11520, '\p{Is_Script=qaac}', "");
Expect(1, 11520, '\p{^Is_Script=qaac}', "");
Expect(1, 11520, '\P{Is_Script=qaac}', "");
Expect(0, 11520, '\P{^Is_Script=qaac}', "");
Expect(1, 11519, '\p{Is_Script=_-QAAC}', "");
Expect(0, 11519, '\p{^Is_Script=_-QAAC}', "");
Expect(0, 11519, '\P{Is_Script=_-QAAC}', "");
Expect(1, 11519, '\P{^Is_Script=_-QAAC}', "");
Expect(0, 11520, '\p{Is_Script=_-QAAC}', "");
Expect(1, 11520, '\p{^Is_Script=_-QAAC}', "");
Expect(1, 11520, '\P{Is_Script=_-QAAC}', "");
Expect(0, 11520, '\P{^Is_Script=_-QAAC}', "");
Error('\p{Is_Sc=-:=Coptic}');
Error('\P{Is_Sc=-:=Coptic}');
Expect(1, 11519, '\p{Is_Sc=coptic}', "");
Expect(0, 11519, '\p{^Is_Sc=coptic}', "");
Expect(0, 11519, '\P{Is_Sc=coptic}', "");
Expect(1, 11519, '\P{^Is_Sc=coptic}', "");
Expect(0, 11520, '\p{Is_Sc=coptic}', "");
Expect(1, 11520, '\p{^Is_Sc=coptic}', "");
Expect(1, 11520, '\P{Is_Sc=coptic}', "");
Expect(0, 11520, '\P{^Is_Sc=coptic}', "");
Expect(1, 11519, '\p{Is_Sc=  coptic}', "");
Expect(0, 11519, '\p{^Is_Sc=  coptic}', "");
Expect(0, 11519, '\P{Is_Sc=  coptic}', "");
Expect(1, 11519, '\P{^Is_Sc=  coptic}', "");
Expect(0, 11520, '\p{Is_Sc=  coptic}', "");
Expect(1, 11520, '\p{^Is_Sc=  coptic}', "");
Expect(1, 11520, '\P{Is_Sc=  coptic}', "");
Expect(0, 11520, '\P{^Is_Sc=  coptic}', "");
Error('\p{Script=	:=Cypriot}');
Error('\P{Script=	:=Cypriot}');
Expect(1, 67647, '\p{Script:	cypriot}', "");
Expect(0, 67647, '\p{^Script:	cypriot}', "");
Expect(0, 67647, '\P{Script:	cypriot}', "");
Expect(1, 67647, '\P{^Script:	cypriot}', "");
Expect(0, 67648, '\p{Script:	cypriot}', "");
Expect(1, 67648, '\p{^Script:	cypriot}', "");
Expect(1, 67648, '\P{Script:	cypriot}', "");
Expect(0, 67648, '\P{^Script:	cypriot}', "");
Expect(1, 67647, '\p{Script=	cypriot}', "");
Expect(0, 67647, '\p{^Script=	cypriot}', "");
Expect(0, 67647, '\P{Script=	cypriot}', "");
Expect(1, 67647, '\P{^Script=	cypriot}', "");
Expect(0, 67648, '\p{Script=	cypriot}', "");
Expect(1, 67648, '\p{^Script=	cypriot}', "");
Expect(1, 67648, '\P{Script=	cypriot}', "");
Expect(0, 67648, '\P{^Script=	cypriot}', "");
Error('\p{Sc:    :=CPRT}');
Error('\P{Sc:    :=CPRT}');
Expect(1, 67647, '\p{Sc=cprt}', "");
Expect(0, 67647, '\p{^Sc=cprt}', "");
Expect(0, 67647, '\P{Sc=cprt}', "");
Expect(1, 67647, '\P{^Sc=cprt}', "");
Expect(0, 67648, '\p{Sc=cprt}', "");
Expect(1, 67648, '\p{^Sc=cprt}', "");
Expect(1, 67648, '\P{Sc=cprt}', "");
Expect(0, 67648, '\P{^Sc=cprt}', "");
Expect(1, 67647, '\p{Sc=_CPRT}', "");
Expect(0, 67647, '\p{^Sc=_CPRT}', "");
Expect(0, 67647, '\P{Sc=_CPRT}', "");
Expect(1, 67647, '\P{^Sc=_CPRT}', "");
Expect(0, 67648, '\p{Sc=_CPRT}', "");
Expect(1, 67648, '\p{^Sc=_CPRT}', "");
Expect(1, 67648, '\P{Sc=_CPRT}', "");
Expect(0, 67648, '\P{^Sc=_CPRT}', "");
Error('\p{Is_Script=	/a/CYPRIOT}');
Error('\P{Is_Script=	/a/CYPRIOT}');
Expect(1, 67647, '\p{Is_Script=cypriot}', "");
Expect(0, 67647, '\p{^Is_Script=cypriot}', "");
Expect(0, 67647, '\P{Is_Script=cypriot}', "");
Expect(1, 67647, '\P{^Is_Script=cypriot}', "");
Expect(0, 67648, '\p{Is_Script=cypriot}', "");
Expect(1, 67648, '\p{^Is_Script=cypriot}', "");
Expect(1, 67648, '\P{Is_Script=cypriot}', "");
Expect(0, 67648, '\P{^Is_Script=cypriot}', "");
Expect(1, 67647, '\p{Is_Script=-	Cypriot}', "");
Expect(0, 67647, '\p{^Is_Script=-	Cypriot}', "");
Expect(0, 67647, '\P{Is_Script=-	Cypriot}', "");
Expect(1, 67647, '\P{^Is_Script=-	Cypriot}', "");
Expect(0, 67648, '\p{Is_Script=-	Cypriot}', "");
Expect(1, 67648, '\p{^Is_Script=-	Cypriot}', "");
Expect(1, 67648, '\P{Is_Script=-	Cypriot}', "");
Expect(0, 67648, '\P{^Is_Script=-	Cypriot}', "");
Error('\p{Is_Sc=_Cprt/a/}');
Error('\P{Is_Sc=_Cprt/a/}');
Expect(1, 67647, '\p{Is_Sc=cprt}', "");
Expect(0, 67647, '\p{^Is_Sc=cprt}', "");
Expect(0, 67647, '\P{Is_Sc=cprt}', "");
Expect(1, 67647, '\P{^Is_Sc=cprt}', "");
Expect(0, 67648, '\p{Is_Sc=cprt}', "");
Expect(1, 67648, '\p{^Is_Sc=cprt}', "");
Expect(1, 67648, '\P{Is_Sc=cprt}', "");
Expect(0, 67648, '\P{^Is_Sc=cprt}', "");
Expect(1, 67647, '\p{Is_Sc=__Cprt}', "");
Expect(0, 67647, '\p{^Is_Sc=__Cprt}', "");
Expect(0, 67647, '\P{Is_Sc=__Cprt}', "");
Expect(1, 67647, '\P{^Is_Sc=__Cprt}', "");
Expect(0, 67648, '\p{Is_Sc=__Cprt}', "");
Expect(1, 67648, '\p{^Is_Sc=__Cprt}', "");
Expect(1, 67648, '\P{Is_Sc=__Cprt}', "");
Expect(0, 67648, '\P{^Is_Sc=__Cprt}', "");
Error('\p{Script= _Cyrillic:=}');
Error('\P{Script= _Cyrillic:=}');
Expect(1, 42655, '\p{Script=cyrillic}', "");
Expect(0, 42655, '\p{^Script=cyrillic}', "");
Expect(0, 42655, '\P{Script=cyrillic}', "");
Expect(1, 42655, '\P{^Script=cyrillic}', "");
Expect(0, 42656, '\p{Script=cyrillic}', "");
Expect(1, 42656, '\p{^Script=cyrillic}', "");
Expect(1, 42656, '\P{Script=cyrillic}', "");
Expect(0, 42656, '\P{^Script=cyrillic}', "");
Expect(1, 42655, '\p{Script=	 CYRILLIC}', "");
Expect(0, 42655, '\p{^Script=	 CYRILLIC}', "");
Expect(0, 42655, '\P{Script=	 CYRILLIC}', "");
Expect(1, 42655, '\P{^Script=	 CYRILLIC}', "");
Expect(0, 42656, '\p{Script=	 CYRILLIC}', "");
Expect(1, 42656, '\p{^Script=	 CYRILLIC}', "");
Expect(1, 42656, '\P{Script=	 CYRILLIC}', "");
Expect(0, 42656, '\P{^Script=	 CYRILLIC}', "");
Error('\p{Sc= _CYRL/a/}');
Error('\P{Sc= _CYRL/a/}');
Expect(1, 42655, '\p{Sc=cyrl}', "");
Expect(0, 42655, '\p{^Sc=cyrl}', "");
Expect(0, 42655, '\P{Sc=cyrl}', "");
Expect(1, 42655, '\P{^Sc=cyrl}', "");
Expect(0, 42656, '\p{Sc=cyrl}', "");
Expect(1, 42656, '\p{^Sc=cyrl}', "");
Expect(1, 42656, '\P{Sc=cyrl}', "");
Expect(0, 42656, '\P{^Sc=cyrl}', "");
Expect(1, 42655, '\p{Sc:	- CYRL}', "");
Expect(0, 42655, '\p{^Sc:	- CYRL}', "");
Expect(0, 42655, '\P{Sc:	- CYRL}', "");
Expect(1, 42655, '\P{^Sc:	- CYRL}', "");
Expect(0, 42656, '\p{Sc:	- CYRL}', "");
Expect(1, 42656, '\p{^Sc:	- CYRL}', "");
Expect(1, 42656, '\P{Sc:	- CYRL}', "");
Expect(0, 42656, '\P{^Sc:	- CYRL}', "");
Error('\p{Is_Script=:=--Cyrillic}');
Error('\P{Is_Script=:=--Cyrillic}');
Expect(1, 42655, '\p{Is_Script=cyrillic}', "");
Expect(0, 42655, '\p{^Is_Script=cyrillic}', "");
Expect(0, 42655, '\P{Is_Script=cyrillic}', "");
Expect(1, 42655, '\P{^Is_Script=cyrillic}', "");
Expect(0, 42656, '\p{Is_Script=cyrillic}', "");
Expect(1, 42656, '\p{^Is_Script=cyrillic}', "");
Expect(1, 42656, '\P{Is_Script=cyrillic}', "");
Expect(0, 42656, '\P{^Is_Script=cyrillic}', "");
Expect(1, 42655, '\p{Is_Script:-Cyrillic}', "");
Expect(0, 42655, '\p{^Is_Script:-Cyrillic}', "");
Expect(0, 42655, '\P{Is_Script:-Cyrillic}', "");
Expect(1, 42655, '\P{^Is_Script:-Cyrillic}', "");
Expect(0, 42656, '\p{Is_Script:-Cyrillic}', "");
Expect(1, 42656, '\p{^Is_Script:-Cyrillic}', "");
Expect(1, 42656, '\P{Is_Script:-Cyrillic}', "");
Expect(0, 42656, '\P{^Is_Script:-Cyrillic}', "");
Error('\p{Is_Sc=:= 	Cyrl}');
Error('\P{Is_Sc=:= 	Cyrl}');
Expect(1, 42655, '\p{Is_Sc=cyrl}', "");
Expect(0, 42655, '\p{^Is_Sc=cyrl}', "");
Expect(0, 42655, '\P{Is_Sc=cyrl}', "");
Expect(1, 42655, '\P{^Is_Sc=cyrl}', "");
Expect(0, 42656, '\p{Is_Sc=cyrl}', "");
Expect(1, 42656, '\p{^Is_Sc=cyrl}', "");
Expect(1, 42656, '\P{Is_Sc=cyrl}', "");
Expect(0, 42656, '\P{^Is_Sc=cyrl}', "");
Expect(1, 42655, '\p{Is_Sc=-cyrl}', "");
Expect(0, 42655, '\p{^Is_Sc=-cyrl}', "");
Expect(0, 42655, '\P{Is_Sc=-cyrl}', "");
Expect(1, 42655, '\P{^Is_Sc=-cyrl}', "");
Expect(0, 42656, '\p{Is_Sc=-cyrl}', "");
Expect(1, 42656, '\p{^Is_Sc=-cyrl}', "");
Expect(1, 42656, '\P{Is_Sc=-cyrl}', "");
Expect(0, 42656, '\P{^Is_Sc=-cyrl}', "");
Error('\p{Script=_:=DEVANAGARI}');
Error('\P{Script=_:=DEVANAGARI}');
Expect(1, 43259, '\p{Script=devanagari}', "");
Expect(0, 43259, '\p{^Script=devanagari}', "");
Expect(0, 43259, '\P{Script=devanagari}', "");
Expect(1, 43259, '\P{^Script=devanagari}', "");
Expect(0, 43260, '\p{Script=devanagari}', "");
Expect(1, 43260, '\p{^Script=devanagari}', "");
Expect(1, 43260, '\P{Script=devanagari}', "");
Expect(0, 43260, '\P{^Script=devanagari}', "");
Expect(1, 43259, '\p{Script=  Devanagari}', "");
Expect(0, 43259, '\p{^Script=  Devanagari}', "");
Expect(0, 43259, '\P{Script=  Devanagari}', "");
Expect(1, 43259, '\P{^Script=  Devanagari}', "");
Expect(0, 43260, '\p{Script=  Devanagari}', "");
Expect(1, 43260, '\p{^Script=  Devanagari}', "");
Expect(1, 43260, '\P{Script=  Devanagari}', "");
Expect(0, 43260, '\P{^Script=  Devanagari}', "");
Error('\p{Sc: :=DEVA}');
Error('\P{Sc: :=DEVA}');
Expect(1, 43259, '\p{Sc=deva}', "");
Expect(0, 43259, '\p{^Sc=deva}', "");
Expect(0, 43259, '\P{Sc=deva}', "");
Expect(1, 43259, '\P{^Sc=deva}', "");
Expect(0, 43260, '\p{Sc=deva}', "");
Expect(1, 43260, '\p{^Sc=deva}', "");
Expect(1, 43260, '\P{Sc=deva}', "");
Expect(0, 43260, '\P{^Sc=deva}', "");
Expect(1, 43259, '\p{Sc=Deva}', "");
Expect(0, 43259, '\p{^Sc=Deva}', "");
Expect(0, 43259, '\P{Sc=Deva}', "");
Expect(1, 43259, '\P{^Sc=Deva}', "");
Expect(0, 43260, '\p{Sc=Deva}', "");
Expect(1, 43260, '\p{^Sc=Deva}', "");
Expect(1, 43260, '\P{Sc=Deva}', "");
Expect(0, 43260, '\P{^Sc=Deva}', "");
Error('\p{Is_Script:     devanagari/a/}');
Error('\P{Is_Script:     devanagari/a/}');
Expect(1, 43259, '\p{Is_Script=devanagari}', "");
Expect(0, 43259, '\p{^Is_Script=devanagari}', "");
Expect(0, 43259, '\P{Is_Script=devanagari}', "");
Expect(1, 43259, '\P{^Is_Script=devanagari}', "");
Expect(0, 43260, '\p{Is_Script=devanagari}', "");
Expect(1, 43260, '\p{^Is_Script=devanagari}', "");
Expect(1, 43260, '\P{Is_Script=devanagari}', "");
Expect(0, 43260, '\P{^Is_Script=devanagari}', "");
Expect(1, 43259, '\p{Is_Script=	 devanagari}', "");
Expect(0, 43259, '\p{^Is_Script=	 devanagari}', "");
Expect(0, 43259, '\P{Is_Script=	 devanagari}', "");
Expect(1, 43259, '\P{^Is_Script=	 devanagari}', "");
Expect(0, 43260, '\p{Is_Script=	 devanagari}', "");
Expect(1, 43260, '\p{^Is_Script=	 devanagari}', "");
Expect(1, 43260, '\P{Is_Script=	 devanagari}', "");
Expect(0, 43260, '\P{^Is_Script=	 devanagari}', "");
Error('\p{Is_Sc=/a/		Deva}');
Error('\P{Is_Sc=/a/		Deva}');
Expect(1, 43259, '\p{Is_Sc:deva}', "");
Expect(0, 43259, '\p{^Is_Sc:deva}', "");
Expect(0, 43259, '\P{Is_Sc:deva}', "");
Expect(1, 43259, '\P{^Is_Sc:deva}', "");
Expect(0, 43260, '\p{Is_Sc:deva}', "");
Expect(1, 43260, '\p{^Is_Sc:deva}', "");
Expect(1, 43260, '\P{Is_Sc:deva}', "");
Expect(0, 43260, '\P{^Is_Sc:deva}', "");
Expect(1, 43259, '\p{Is_Sc=_	Deva}', "");
Expect(0, 43259, '\p{^Is_Sc=_	Deva}', "");
Expect(0, 43259, '\P{Is_Sc=_	Deva}', "");
Expect(1, 43259, '\P{^Is_Sc=_	Deva}', "");
Expect(0, 43260, '\p{Is_Sc=_	Deva}', "");
Expect(1, 43260, '\p{^Is_Sc=_	Deva}', "");
Expect(1, 43260, '\P{Is_Sc=_	Deva}', "");
Expect(0, 43260, '\P{^Is_Sc=_	Deva}', "");
Error('\p{Script=_/a/Deseret}');
Error('\P{Script=_/a/Deseret}');
Expect(1, 66639, '\p{Script=deseret}', "");
Expect(0, 66639, '\p{^Script=deseret}', "");
Expect(0, 66639, '\P{Script=deseret}', "");
Expect(1, 66639, '\P{^Script=deseret}', "");
Expect(0, 66640, '\p{Script=deseret}', "");
Expect(1, 66640, '\p{^Script=deseret}', "");
Expect(1, 66640, '\P{Script=deseret}', "");
Expect(0, 66640, '\P{^Script=deseret}', "");
Expect(1, 66639, '\p{Script= -deseret}', "");
Expect(0, 66639, '\p{^Script= -deseret}', "");
Expect(0, 66639, '\P{Script= -deseret}', "");
Expect(1, 66639, '\P{^Script= -deseret}', "");
Expect(0, 66640, '\p{Script= -deseret}', "");
Expect(1, 66640, '\p{^Script= -deseret}', "");
Expect(1, 66640, '\P{Script= -deseret}', "");
Expect(0, 66640, '\P{^Script= -deseret}', "");
Error('\p{Sc=/a/	_Dsrt}');
Error('\P{Sc=/a/	_Dsrt}');
Expect(1, 66639, '\p{Sc=dsrt}', "");
Expect(0, 66639, '\p{^Sc=dsrt}', "");
Expect(0, 66639, '\P{Sc=dsrt}', "");
Expect(1, 66639, '\P{^Sc=dsrt}', "");
Expect(0, 66640, '\p{Sc=dsrt}', "");
Expect(1, 66640, '\p{^Sc=dsrt}', "");
Expect(1, 66640, '\P{Sc=dsrt}', "");
Expect(0, 66640, '\P{^Sc=dsrt}', "");
Expect(1, 66639, '\p{Sc:  Dsrt}', "");
Expect(0, 66639, '\p{^Sc:  Dsrt}', "");
Expect(0, 66639, '\P{Sc:  Dsrt}', "");
Expect(1, 66639, '\P{^Sc:  Dsrt}', "");
Expect(0, 66640, '\p{Sc:  Dsrt}', "");
Expect(1, 66640, '\p{^Sc:  Dsrt}', "");
Expect(1, 66640, '\P{Sc:  Dsrt}', "");
Expect(0, 66640, '\P{^Sc:  Dsrt}', "");
Error('\p{Is_Script=-:=DESERET}');
Error('\P{Is_Script=-:=DESERET}');
Expect(1, 66639, '\p{Is_Script=deseret}', "");
Expect(0, 66639, '\p{^Is_Script=deseret}', "");
Expect(0, 66639, '\P{Is_Script=deseret}', "");
Expect(1, 66639, '\P{^Is_Script=deseret}', "");
Expect(0, 66640, '\p{Is_Script=deseret}', "");
Expect(1, 66640, '\p{^Is_Script=deseret}', "");
Expect(1, 66640, '\P{Is_Script=deseret}', "");
Expect(0, 66640, '\P{^Is_Script=deseret}', "");
Expect(1, 66639, '\p{Is_Script=__Deseret}', "");
Expect(0, 66639, '\p{^Is_Script=__Deseret}', "");
Expect(0, 66639, '\P{Is_Script=__Deseret}', "");
Expect(1, 66639, '\P{^Is_Script=__Deseret}', "");
Expect(0, 66640, '\p{Is_Script=__Deseret}', "");
Expect(1, 66640, '\p{^Is_Script=__Deseret}', "");
Expect(1, 66640, '\P{Is_Script=__Deseret}', "");
Expect(0, 66640, '\P{^Is_Script=__Deseret}', "");
Error('\p{Is_Sc=_ Dsrt/a/}');
Error('\P{Is_Sc=_ Dsrt/a/}');
Expect(1, 66639, '\p{Is_Sc=dsrt}', "");
Expect(0, 66639, '\p{^Is_Sc=dsrt}', "");
Expect(0, 66639, '\P{Is_Sc=dsrt}', "");
Expect(1, 66639, '\P{^Is_Sc=dsrt}', "");
Expect(0, 66640, '\p{Is_Sc=dsrt}', "");
Expect(1, 66640, '\p{^Is_Sc=dsrt}', "");
Expect(1, 66640, '\P{Is_Sc=dsrt}', "");
Expect(0, 66640, '\P{^Is_Sc=dsrt}', "");
Expect(1, 66639, '\p{Is_Sc=  dsrt}', "");
Expect(0, 66639, '\p{^Is_Sc=  dsrt}', "");
Expect(0, 66639, '\P{Is_Sc=  dsrt}', "");
Expect(1, 66639, '\P{^Is_Sc=  dsrt}', "");
Expect(0, 66640, '\p{Is_Sc=  dsrt}', "");
Expect(1, 66640, '\p{^Is_Sc=  dsrt}', "");
Expect(1, 66640, '\P{Is_Sc=  dsrt}', "");
Expect(0, 66640, '\P{^Is_Sc=  dsrt}', "");
Error('\p{Script:	:=-	DUPLOYAN}');
Error('\P{Script:	:=-	DUPLOYAN}');
Expect(1, 113823, '\p{Script=duployan}', "");
Expect(0, 113823, '\p{^Script=duployan}', "");
Expect(0, 113823, '\P{Script=duployan}', "");
Expect(1, 113823, '\P{^Script=duployan}', "");
Expect(0, 113824, '\p{Script=duployan}', "");
Expect(1, 113824, '\p{^Script=duployan}', "");
Expect(1, 113824, '\P{Script=duployan}', "");
Expect(0, 113824, '\P{^Script=duployan}', "");
Expect(1, 113823, '\p{Script=-_Duployan}', "");
Expect(0, 113823, '\p{^Script=-_Duployan}', "");
Expect(0, 113823, '\P{Script=-_Duployan}', "");
Expect(1, 113823, '\P{^Script=-_Duployan}', "");
Expect(0, 113824, '\p{Script=-_Duployan}', "");
Expect(1, 113824, '\p{^Script=-_Duployan}', "");
Expect(1, 113824, '\P{Script=-_Duployan}', "");
Expect(0, 113824, '\P{^Script=-_Duployan}', "");
Error('\p{Sc:    /a/dupl}');
Error('\P{Sc:    /a/dupl}');
Expect(1, 113823, '\p{Sc=dupl}', "");
Expect(0, 113823, '\p{^Sc=dupl}', "");
Expect(0, 113823, '\P{Sc=dupl}', "");
Expect(1, 113823, '\P{^Sc=dupl}', "");
Expect(0, 113824, '\p{Sc=dupl}', "");
Expect(1, 113824, '\p{^Sc=dupl}', "");
Expect(1, 113824, '\P{Sc=dupl}', "");
Expect(0, 113824, '\P{^Sc=dupl}', "");
Expect(1, 113823, '\p{Sc= -Dupl}', "");
Expect(0, 113823, '\p{^Sc= -Dupl}', "");
Expect(0, 113823, '\P{Sc= -Dupl}', "");
Expect(1, 113823, '\P{^Sc= -Dupl}', "");
Expect(0, 113824, '\p{Sc= -Dupl}', "");
Expect(1, 113824, '\p{^Sc= -Dupl}', "");
Expect(1, 113824, '\P{Sc= -Dupl}', "");
Expect(0, 113824, '\P{^Sc= -Dupl}', "");
Error('\p{Is_Script=/a/		DUPLOYAN}');
Error('\P{Is_Script=/a/		DUPLOYAN}');
Expect(1, 113823, '\p{Is_Script=duployan}', "");
Expect(0, 113823, '\p{^Is_Script=duployan}', "");
Expect(0, 113823, '\P{Is_Script=duployan}', "");
Expect(1, 113823, '\P{^Is_Script=duployan}', "");
Expect(0, 113824, '\p{Is_Script=duployan}', "");
Expect(1, 113824, '\p{^Is_Script=duployan}', "");
Expect(1, 113824, '\P{Is_Script=duployan}', "");
Expect(0, 113824, '\P{^Is_Script=duployan}', "");
Expect(1, 113823, '\p{Is_Script=	_Duployan}', "");
Expect(0, 113823, '\p{^Is_Script=	_Duployan}', "");
Expect(0, 113823, '\P{Is_Script=	_Duployan}', "");
Expect(1, 113823, '\P{^Is_Script=	_Duployan}', "");
Expect(0, 113824, '\p{Is_Script=	_Duployan}', "");
Expect(1, 113824, '\p{^Is_Script=	_Duployan}', "");
Expect(1, 113824, '\P{Is_Script=	_Duployan}', "");
Expect(0, 113824, '\P{^Is_Script=	_Duployan}', "");
Error('\p{Is_Sc=	dupl/a/}');
Error('\P{Is_Sc=	dupl/a/}');
Expect(1, 113823, '\p{Is_Sc=dupl}', "");
Expect(0, 113823, '\p{^Is_Sc=dupl}', "");
Expect(0, 113823, '\P{Is_Sc=dupl}', "");
Expect(1, 113823, '\P{^Is_Sc=dupl}', "");
Expect(0, 113824, '\p{Is_Sc=dupl}', "");
Expect(1, 113824, '\p{^Is_Sc=dupl}', "");
Expect(1, 113824, '\P{Is_Sc=dupl}', "");
Expect(0, 113824, '\P{^Is_Sc=dupl}', "");
Expect(1, 113823, '\p{Is_Sc= dupl}', "");
Expect(0, 113823, '\p{^Is_Sc= dupl}', "");
Expect(0, 113823, '\P{Is_Sc= dupl}', "");
Expect(1, 113823, '\P{^Is_Sc= dupl}', "");
Expect(0, 113824, '\p{Is_Sc= dupl}', "");
Expect(1, 113824, '\p{^Is_Sc= dupl}', "");
Expect(1, 113824, '\P{Is_Sc= dupl}', "");
Expect(0, 113824, '\P{^Is_Sc= dupl}', "");
Error('\p{Script=:= _Egyptian_Hieroglyphs}');
Error('\P{Script=:= _Egyptian_Hieroglyphs}');
Expect(1, 78894, '\p{Script=egyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^Script=egyptianhieroglyphs}', "");
Expect(0, 78894, '\P{Script=egyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^Script=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{Script=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{^Script=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{Script=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{^Script=egyptianhieroglyphs}', "");
Expect(1, 78894, '\p{Script=__Egyptian_Hieroglyphs}', "");
Expect(0, 78894, '\p{^Script=__Egyptian_Hieroglyphs}', "");
Expect(0, 78894, '\P{Script=__Egyptian_Hieroglyphs}', "");
Expect(1, 78894, '\P{^Script=__Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\p{Script=__Egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\p{^Script=__Egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\P{Script=__Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\P{^Script=__Egyptian_Hieroglyphs}', "");
Error('\p{Sc=	:=EGYP}');
Error('\P{Sc=	:=EGYP}');
Expect(1, 78894, '\p{Sc=egyp}', "");
Expect(0, 78894, '\p{^Sc=egyp}', "");
Expect(0, 78894, '\P{Sc=egyp}', "");
Expect(1, 78894, '\P{^Sc=egyp}', "");
Expect(0, 78895, '\p{Sc=egyp}', "");
Expect(1, 78895, '\p{^Sc=egyp}', "");
Expect(1, 78895, '\P{Sc=egyp}', "");
Expect(0, 78895, '\P{^Sc=egyp}', "");
Expect(1, 78894, '\p{Sc= -Egyp}', "");
Expect(0, 78894, '\p{^Sc= -Egyp}', "");
Expect(0, 78894, '\P{Sc= -Egyp}', "");
Expect(1, 78894, '\P{^Sc= -Egyp}', "");
Expect(0, 78895, '\p{Sc= -Egyp}', "");
Expect(1, 78895, '\p{^Sc= -Egyp}', "");
Expect(1, 78895, '\P{Sc= -Egyp}', "");
Expect(0, 78895, '\P{^Sc= -Egyp}', "");
Error('\p{Is_Script=:=_ egyptian_HIEROGLYPHS}');
Error('\P{Is_Script=:=_ egyptian_HIEROGLYPHS}');
Expect(1, 78894, '\p{Is_Script=egyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^Is_Script=egyptianhieroglyphs}', "");
Expect(0, 78894, '\P{Is_Script=egyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^Is_Script=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{Is_Script=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{^Is_Script=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{Is_Script=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{^Is_Script=egyptianhieroglyphs}', "");
Expect(1, 78894, '\p{Is_Script: -Egyptian_hieroglyphs}', "");
Expect(0, 78894, '\p{^Is_Script: -Egyptian_hieroglyphs}', "");
Expect(0, 78894, '\P{Is_Script: -Egyptian_hieroglyphs}', "");
Expect(1, 78894, '\P{^Is_Script: -Egyptian_hieroglyphs}', "");
Expect(0, 78895, '\p{Is_Script: -Egyptian_hieroglyphs}', "");
Expect(1, 78895, '\p{^Is_Script: -Egyptian_hieroglyphs}', "");
Expect(1, 78895, '\P{Is_Script: -Egyptian_hieroglyphs}', "");
Expect(0, 78895, '\P{^Is_Script: -Egyptian_hieroglyphs}', "");
Error('\p{Is_Sc:-:=EGYP}');
Error('\P{Is_Sc:-:=EGYP}');
Expect(1, 78894, '\p{Is_Sc=egyp}', "");
Expect(0, 78894, '\p{^Is_Sc=egyp}', "");
Expect(0, 78894, '\P{Is_Sc=egyp}', "");
Expect(1, 78894, '\P{^Is_Sc=egyp}', "");
Expect(0, 78895, '\p{Is_Sc=egyp}', "");
Expect(1, 78895, '\p{^Is_Sc=egyp}', "");
Expect(1, 78895, '\P{Is_Sc=egyp}', "");
Expect(0, 78895, '\P{^Is_Sc=egyp}', "");
Expect(1, 78894, '\p{Is_Sc=--Egyp}', "");
Expect(0, 78894, '\p{^Is_Sc=--Egyp}', "");
Expect(0, 78894, '\P{Is_Sc=--Egyp}', "");
Expect(1, 78894, '\P{^Is_Sc=--Egyp}', "");
Expect(0, 78895, '\p{Is_Sc=--Egyp}', "");
Expect(1, 78895, '\p{^Is_Sc=--Egyp}', "");
Expect(1, 78895, '\P{Is_Sc=--Egyp}', "");
Expect(0, 78895, '\P{^Is_Sc=--Egyp}', "");
Error('\p{Script=:=_-Elbasan}');
Error('\P{Script=:=_-Elbasan}');
Expect(1, 66855, '\p{Script:elbasan}', "");
Expect(0, 66855, '\p{^Script:elbasan}', "");
Expect(0, 66855, '\P{Script:elbasan}', "");
Expect(1, 66855, '\P{^Script:elbasan}', "");
Expect(0, 66856, '\p{Script:elbasan}', "");
Expect(1, 66856, '\p{^Script:elbasan}', "");
Expect(1, 66856, '\P{Script:elbasan}', "");
Expect(0, 66856, '\P{^Script:elbasan}', "");
Expect(1, 66855, '\p{Script=		ELBASAN}', "");
Expect(0, 66855, '\p{^Script=		ELBASAN}', "");
Expect(0, 66855, '\P{Script=		ELBASAN}', "");
Expect(1, 66855, '\P{^Script=		ELBASAN}', "");
Expect(0, 66856, '\p{Script=		ELBASAN}', "");
Expect(1, 66856, '\p{^Script=		ELBASAN}', "");
Expect(1, 66856, '\P{Script=		ELBASAN}', "");
Expect(0, 66856, '\P{^Script=		ELBASAN}', "");
Error('\p{Sc= _ELBA:=}');
Error('\P{Sc= _ELBA:=}');
Expect(1, 66855, '\p{Sc=elba}', "");
Expect(0, 66855, '\p{^Sc=elba}', "");
Expect(0, 66855, '\P{Sc=elba}', "");
Expect(1, 66855, '\P{^Sc=elba}', "");
Expect(0, 66856, '\p{Sc=elba}', "");
Expect(1, 66856, '\p{^Sc=elba}', "");
Expect(1, 66856, '\P{Sc=elba}', "");
Expect(0, 66856, '\P{^Sc=elba}', "");
Error('\p{Is_Script=/a/ 	ELBASAN}');
Error('\P{Is_Script=/a/ 	ELBASAN}');
Expect(1, 66855, '\p{Is_Script=elbasan}', "");
Expect(0, 66855, '\p{^Is_Script=elbasan}', "");
Expect(0, 66855, '\P{Is_Script=elbasan}', "");
Expect(1, 66855, '\P{^Is_Script=elbasan}', "");
Expect(0, 66856, '\p{Is_Script=elbasan}', "");
Expect(1, 66856, '\p{^Is_Script=elbasan}', "");
Expect(1, 66856, '\P{Is_Script=elbasan}', "");
Expect(0, 66856, '\P{^Is_Script=elbasan}', "");
Error('\p{Is_Sc=-/a/Elba}');
Error('\P{Is_Sc=-/a/Elba}');
Expect(1, 66855, '\p{Is_Sc=elba}', "");
Expect(0, 66855, '\p{^Is_Sc=elba}', "");
Expect(0, 66855, '\P{Is_Sc=elba}', "");
Expect(1, 66855, '\P{^Is_Sc=elba}', "");
Expect(0, 66856, '\p{Is_Sc=elba}', "");
Expect(1, 66856, '\p{^Is_Sc=elba}', "");
Expect(1, 66856, '\P{Is_Sc=elba}', "");
Expect(0, 66856, '\P{^Is_Sc=elba}', "");
Expect(1, 66855, '\p{Is_Sc=-	elba}', "");
Expect(0, 66855, '\p{^Is_Sc=-	elba}', "");
Expect(0, 66855, '\P{Is_Sc=-	elba}', "");
Expect(1, 66855, '\P{^Is_Sc=-	elba}', "");
Expect(0, 66856, '\p{Is_Sc=-	elba}', "");
Expect(1, 66856, '\p{^Is_Sc=-	elba}', "");
Expect(1, 66856, '\P{Is_Sc=-	elba}', "");
Expect(0, 66856, '\P{^Is_Sc=-	elba}', "");
Error('\p{Script=/a/	_Ethiopic}');
Error('\P{Script=/a/	_Ethiopic}');
Expect(1, 43822, '\p{Script=ethiopic}', "");
Expect(0, 43822, '\p{^Script=ethiopic}', "");
Expect(0, 43822, '\P{Script=ethiopic}', "");
Expect(1, 43822, '\P{^Script=ethiopic}', "");
Expect(0, 43823, '\p{Script=ethiopic}', "");
Expect(1, 43823, '\p{^Script=ethiopic}', "");
Expect(1, 43823, '\P{Script=ethiopic}', "");
Expect(0, 43823, '\P{^Script=ethiopic}', "");
Expect(1, 43822, '\p{Script=	 ethiopic}', "");
Expect(0, 43822, '\p{^Script=	 ethiopic}', "");
Expect(0, 43822, '\P{Script=	 ethiopic}', "");
Expect(1, 43822, '\P{^Script=	 ethiopic}', "");
Expect(0, 43823, '\p{Script=	 ethiopic}', "");
Expect(1, 43823, '\p{^Script=	 ethiopic}', "");
Expect(1, 43823, '\P{Script=	 ethiopic}', "");
Expect(0, 43823, '\P{^Script=	 ethiopic}', "");
Error('\p{Sc=	/a/Ethi}');
Error('\P{Sc=	/a/Ethi}');
Expect(1, 43822, '\p{Sc:   ethi}', "");
Expect(0, 43822, '\p{^Sc:   ethi}', "");
Expect(0, 43822, '\P{Sc:   ethi}', "");
Expect(1, 43822, '\P{^Sc:   ethi}', "");
Expect(0, 43823, '\p{Sc:   ethi}', "");
Expect(1, 43823, '\p{^Sc:   ethi}', "");
Expect(1, 43823, '\P{Sc:   ethi}', "");
Expect(0, 43823, '\P{^Sc:   ethi}', "");
Expect(1, 43822, '\p{Sc=-Ethi}', "");
Expect(0, 43822, '\p{^Sc=-Ethi}', "");
Expect(0, 43822, '\P{Sc=-Ethi}', "");
Expect(1, 43822, '\P{^Sc=-Ethi}', "");
Expect(0, 43823, '\p{Sc=-Ethi}', "");
Expect(1, 43823, '\p{^Sc=-Ethi}', "");
Expect(1, 43823, '\P{Sc=-Ethi}', "");
Expect(0, 43823, '\P{^Sc=-Ethi}', "");
Error('\p{Is_Script=/a/ETHIOPIC}');
Error('\P{Is_Script=/a/ETHIOPIC}');
Expect(1, 43822, '\p{Is_Script=ethiopic}', "");
Expect(0, 43822, '\p{^Is_Script=ethiopic}', "");
Expect(0, 43822, '\P{Is_Script=ethiopic}', "");
Expect(1, 43822, '\P{^Is_Script=ethiopic}', "");
Expect(0, 43823, '\p{Is_Script=ethiopic}', "");
Expect(1, 43823, '\p{^Is_Script=ethiopic}', "");
Expect(1, 43823, '\P{Is_Script=ethiopic}', "");
Expect(0, 43823, '\P{^Is_Script=ethiopic}', "");
Expect(1, 43822, '\p{Is_Script=_ETHIOPIC}', "");
Expect(0, 43822, '\p{^Is_Script=_ETHIOPIC}', "");
Expect(0, 43822, '\P{Is_Script=_ETHIOPIC}', "");
Expect(1, 43822, '\P{^Is_Script=_ETHIOPIC}', "");
Expect(0, 43823, '\p{Is_Script=_ETHIOPIC}', "");
Expect(1, 43823, '\p{^Is_Script=_ETHIOPIC}', "");
Expect(1, 43823, '\P{Is_Script=_ETHIOPIC}', "");
Expect(0, 43823, '\P{^Is_Script=_ETHIOPIC}', "");
Error('\p{Is_Sc=-:=Ethi}');
Error('\P{Is_Sc=-:=Ethi}');
Expect(1, 43822, '\p{Is_Sc=ethi}', "");
Expect(0, 43822, '\p{^Is_Sc=ethi}', "");
Expect(0, 43822, '\P{Is_Sc=ethi}', "");
Expect(1, 43822, '\P{^Is_Sc=ethi}', "");
Expect(0, 43823, '\p{Is_Sc=ethi}', "");
Expect(1, 43823, '\p{^Is_Sc=ethi}', "");
Expect(1, 43823, '\P{Is_Sc=ethi}', "");
Expect(0, 43823, '\P{^Is_Sc=ethi}', "");
Expect(1, 43822, '\p{Is_Sc= ethi}', "");
Expect(0, 43822, '\p{^Is_Sc= ethi}', "");
Expect(0, 43822, '\P{Is_Sc= ethi}', "");
Expect(1, 43822, '\P{^Is_Sc= ethi}', "");
Expect(0, 43823, '\p{Is_Sc= ethi}', "");
Expect(1, 43823, '\p{^Is_Sc= ethi}', "");
Expect(1, 43823, '\P{Is_Sc= ethi}', "");
Expect(0, 43823, '\P{^Is_Sc= ethi}', "");
Error('\p{Script:	_:=Georgian}');
Error('\P{Script:	_:=Georgian}');
Expect(1, 11565, '\p{Script=georgian}', "");
Expect(0, 11565, '\p{^Script=georgian}', "");
Expect(0, 11565, '\P{Script=georgian}', "");
Expect(1, 11565, '\P{^Script=georgian}', "");
Expect(0, 11566, '\p{Script=georgian}', "");
Expect(1, 11566, '\p{^Script=georgian}', "");
Expect(1, 11566, '\P{Script=georgian}', "");
Expect(0, 11566, '\P{^Script=georgian}', "");
Expect(1, 11565, '\p{Script:   -Georgian}', "");
Expect(0, 11565, '\p{^Script:   -Georgian}', "");
Expect(0, 11565, '\P{Script:   -Georgian}', "");
Expect(1, 11565, '\P{^Script:   -Georgian}', "");
Expect(0, 11566, '\p{Script:   -Georgian}', "");
Expect(1, 11566, '\p{^Script:   -Georgian}', "");
Expect(1, 11566, '\P{Script:   -Georgian}', "");
Expect(0, 11566, '\P{^Script:   -Georgian}', "");
Error('\p{Sc=/a/_geor}');
Error('\P{Sc=/a/_geor}');
Expect(1, 11565, '\p{Sc=geor}', "");
Expect(0, 11565, '\p{^Sc=geor}', "");
Expect(0, 11565, '\P{Sc=geor}', "");
Expect(1, 11565, '\P{^Sc=geor}', "");
Expect(0, 11566, '\p{Sc=geor}', "");
Expect(1, 11566, '\p{^Sc=geor}', "");
Expect(1, 11566, '\P{Sc=geor}', "");
Expect(0, 11566, '\P{^Sc=geor}', "");
Expect(1, 11565, '\p{Sc=-geor}', "");
Expect(0, 11565, '\p{^Sc=-geor}', "");
Expect(0, 11565, '\P{Sc=-geor}', "");
Expect(1, 11565, '\P{^Sc=-geor}', "");
Expect(0, 11566, '\p{Sc=-geor}', "");
Expect(1, 11566, '\p{^Sc=-geor}', "");
Expect(1, 11566, '\P{Sc=-geor}', "");
Expect(0, 11566, '\P{^Sc=-geor}', "");
Error('\p{Is_Script= _GEORGIAN:=}');
Error('\P{Is_Script= _GEORGIAN:=}');
Expect(1, 11565, '\p{Is_Script=georgian}', "");
Expect(0, 11565, '\p{^Is_Script=georgian}', "");
Expect(0, 11565, '\P{Is_Script=georgian}', "");
Expect(1, 11565, '\P{^Is_Script=georgian}', "");
Expect(0, 11566, '\p{Is_Script=georgian}', "");
Expect(1, 11566, '\p{^Is_Script=georgian}', "");
Expect(1, 11566, '\P{Is_Script=georgian}', "");
Expect(0, 11566, '\P{^Is_Script=georgian}', "");
Expect(1, 11565, '\p{Is_Script=		GEORGIAN}', "");
Expect(0, 11565, '\p{^Is_Script=		GEORGIAN}', "");
Expect(0, 11565, '\P{Is_Script=		GEORGIAN}', "");
Expect(1, 11565, '\P{^Is_Script=		GEORGIAN}', "");
Expect(0, 11566, '\p{Is_Script=		GEORGIAN}', "");
Expect(1, 11566, '\p{^Is_Script=		GEORGIAN}', "");
Expect(1, 11566, '\P{Is_Script=		GEORGIAN}', "");
Expect(0, 11566, '\P{^Is_Script=		GEORGIAN}', "");
Error('\p{Is_Sc=/a/	 Geor}');
Error('\P{Is_Sc=/a/	 Geor}');
Expect(1, 11565, '\p{Is_Sc=geor}', "");
Expect(0, 11565, '\p{^Is_Sc=geor}', "");
Expect(0, 11565, '\P{Is_Sc=geor}', "");
Expect(1, 11565, '\P{^Is_Sc=geor}', "");
Expect(0, 11566, '\p{Is_Sc=geor}', "");
Expect(1, 11566, '\p{^Is_Sc=geor}', "");
Expect(1, 11566, '\P{Is_Sc=geor}', "");
Expect(0, 11566, '\P{^Is_Sc=geor}', "");
Expect(1, 11565, '\p{Is_Sc=-_geor}', "");
Expect(0, 11565, '\p{^Is_Sc=-_geor}', "");
Expect(0, 11565, '\P{Is_Sc=-_geor}', "");
Expect(1, 11565, '\P{^Is_Sc=-_geor}', "");
Expect(0, 11566, '\p{Is_Sc=-_geor}', "");
Expect(1, 11566, '\p{^Is_Sc=-_geor}', "");
Expect(1, 11566, '\P{Is_Sc=-_geor}', "");
Expect(0, 11566, '\P{^Is_Sc=-_geor}', "");
Error('\p{Script=-:=GLAGOLITIC}');
Error('\P{Script=-:=GLAGOLITIC}');
Expect(1, 11358, '\p{Script=glagolitic}', "");
Expect(0, 11358, '\p{^Script=glagolitic}', "");
Expect(0, 11358, '\P{Script=glagolitic}', "");
Expect(1, 11358, '\P{^Script=glagolitic}', "");
Expect(0, 11359, '\p{Script=glagolitic}', "");
Expect(1, 11359, '\p{^Script=glagolitic}', "");
Expect(1, 11359, '\P{Script=glagolitic}', "");
Expect(0, 11359, '\P{^Script=glagolitic}', "");
Expect(1, 11358, '\p{Script=_	glagolitic}', "");
Expect(0, 11358, '\p{^Script=_	glagolitic}', "");
Expect(0, 11358, '\P{Script=_	glagolitic}', "");
Expect(1, 11358, '\P{^Script=_	glagolitic}', "");
Expect(0, 11359, '\p{Script=_	glagolitic}', "");
Expect(1, 11359, '\p{^Script=_	glagolitic}', "");
Expect(1, 11359, '\P{Script=_	glagolitic}', "");
Expect(0, 11359, '\P{^Script=_	glagolitic}', "");
Error('\p{Sc=:=Glag}');
Error('\P{Sc=:=Glag}');
Expect(1, 11358, '\p{Sc=glag}', "");
Expect(0, 11358, '\p{^Sc=glag}', "");
Expect(0, 11358, '\P{Sc=glag}', "");
Expect(1, 11358, '\P{^Sc=glag}', "");
Expect(0, 11359, '\p{Sc=glag}', "");
Expect(1, 11359, '\p{^Sc=glag}', "");
Expect(1, 11359, '\P{Sc=glag}', "");
Expect(0, 11359, '\P{^Sc=glag}', "");
Expect(1, 11358, '\p{Sc= GLAG}', "");
Expect(0, 11358, '\p{^Sc= GLAG}', "");
Expect(0, 11358, '\P{Sc= GLAG}', "");
Expect(1, 11358, '\P{^Sc= GLAG}', "");
Expect(0, 11359, '\p{Sc= GLAG}', "");
Expect(1, 11359, '\p{^Sc= GLAG}', "");
Expect(1, 11359, '\P{Sc= GLAG}', "");
Expect(0, 11359, '\P{^Sc= GLAG}', "");
Error('\p{Is_Script=-/a/glagolitic}');
Error('\P{Is_Script=-/a/glagolitic}');
Expect(1, 11358, '\p{Is_Script=glagolitic}', "");
Expect(0, 11358, '\p{^Is_Script=glagolitic}', "");
Expect(0, 11358, '\P{Is_Script=glagolitic}', "");
Expect(1, 11358, '\P{^Is_Script=glagolitic}', "");
Expect(0, 11359, '\p{Is_Script=glagolitic}', "");
Expect(1, 11359, '\p{^Is_Script=glagolitic}', "");
Expect(1, 11359, '\P{Is_Script=glagolitic}', "");
Expect(0, 11359, '\P{^Is_Script=glagolitic}', "");
Expect(1, 11358, '\p{Is_Script=--Glagolitic}', "");
Expect(0, 11358, '\p{^Is_Script=--Glagolitic}', "");
Expect(0, 11358, '\P{Is_Script=--Glagolitic}', "");
Expect(1, 11358, '\P{^Is_Script=--Glagolitic}', "");
Expect(0, 11359, '\p{Is_Script=--Glagolitic}', "");
Expect(1, 11359, '\p{^Is_Script=--Glagolitic}', "");
Expect(1, 11359, '\P{Is_Script=--Glagolitic}', "");
Expect(0, 11359, '\P{^Is_Script=--Glagolitic}', "");
Error('\p{Is_Sc=:=glag}');
Error('\P{Is_Sc=:=glag}');
Expect(1, 11358, '\p{Is_Sc=glag}', "");
Expect(0, 11358, '\p{^Is_Sc=glag}', "");
Expect(0, 11358, '\P{Is_Sc=glag}', "");
Expect(1, 11358, '\P{^Is_Sc=glag}', "");
Expect(0, 11359, '\p{Is_Sc=glag}', "");
Expect(1, 11359, '\p{^Is_Sc=glag}', "");
Expect(1, 11359, '\P{Is_Sc=glag}', "");
Expect(0, 11359, '\P{^Is_Sc=glag}', "");
Expect(1, 11358, '\p{Is_Sc=_glag}', "");
Expect(0, 11358, '\p{^Is_Sc=_glag}', "");
Expect(0, 11358, '\P{Is_Sc=_glag}', "");
Expect(1, 11358, '\P{^Is_Sc=_glag}', "");
Expect(0, 11359, '\p{Is_Sc=_glag}', "");
Expect(1, 11359, '\p{^Is_Sc=_glag}', "");
Expect(1, 11359, '\P{Is_Sc=_glag}', "");
Expect(0, 11359, '\P{^Is_Sc=_glag}', "");
Error('\p{Script=_gothic/a/}');
Error('\P{Script=_gothic/a/}');
Expect(1, 66378, '\p{Script=gothic}', "");
Expect(0, 66378, '\p{^Script=gothic}', "");
Expect(0, 66378, '\P{Script=gothic}', "");
Expect(1, 66378, '\P{^Script=gothic}', "");
Expect(0, 66379, '\p{Script=gothic}', "");
Expect(1, 66379, '\p{^Script=gothic}', "");
Expect(1, 66379, '\P{Script=gothic}', "");
Expect(0, 66379, '\P{^Script=gothic}', "");
Expect(1, 66378, '\p{Script=_-Gothic}', "");
Expect(0, 66378, '\p{^Script=_-Gothic}', "");
Expect(0, 66378, '\P{Script=_-Gothic}', "");
Expect(1, 66378, '\P{^Script=_-Gothic}', "");
Expect(0, 66379, '\p{Script=_-Gothic}', "");
Expect(1, 66379, '\p{^Script=_-Gothic}', "");
Expect(1, 66379, '\P{Script=_-Gothic}', "");
Expect(0, 66379, '\P{^Script=_-Gothic}', "");
Error('\p{Sc=/a/  Goth}');
Error('\P{Sc=/a/  Goth}');
Expect(1, 66378, '\p{Sc=goth}', "");
Expect(0, 66378, '\p{^Sc=goth}', "");
Expect(0, 66378, '\P{Sc=goth}', "");
Expect(1, 66378, '\P{^Sc=goth}', "");
Expect(0, 66379, '\p{Sc=goth}', "");
Expect(1, 66379, '\p{^Sc=goth}', "");
Expect(1, 66379, '\P{Sc=goth}', "");
Expect(0, 66379, '\P{^Sc=goth}', "");
Expect(1, 66378, '\p{Sc=	 GOTH}', "");
Expect(0, 66378, '\p{^Sc=	 GOTH}', "");
Expect(0, 66378, '\P{Sc=	 GOTH}', "");
Expect(1, 66378, '\P{^Sc=	 GOTH}', "");
Expect(0, 66379, '\p{Sc=	 GOTH}', "");
Expect(1, 66379, '\p{^Sc=	 GOTH}', "");
Expect(1, 66379, '\P{Sc=	 GOTH}', "");
Expect(0, 66379, '\P{^Sc=	 GOTH}', "");
Error('\p{Is_Script=-GOTHIC:=}');
Error('\P{Is_Script=-GOTHIC:=}');
Expect(1, 66378, '\p{Is_Script=gothic}', "");
Expect(0, 66378, '\p{^Is_Script=gothic}', "");
Expect(0, 66378, '\P{Is_Script=gothic}', "");
Expect(1, 66378, '\P{^Is_Script=gothic}', "");
Expect(0, 66379, '\p{Is_Script=gothic}', "");
Expect(1, 66379, '\p{^Is_Script=gothic}', "");
Expect(1, 66379, '\P{Is_Script=gothic}', "");
Expect(0, 66379, '\P{^Is_Script=gothic}', "");
Expect(1, 66378, '\p{Is_Script=_-Gothic}', "");
Expect(0, 66378, '\p{^Is_Script=_-Gothic}', "");
Expect(0, 66378, '\P{Is_Script=_-Gothic}', "");
Expect(1, 66378, '\P{^Is_Script=_-Gothic}', "");
Expect(0, 66379, '\p{Is_Script=_-Gothic}', "");
Expect(1, 66379, '\p{^Is_Script=_-Gothic}', "");
Expect(1, 66379, '\P{Is_Script=_-Gothic}', "");
Expect(0, 66379, '\P{^Is_Script=_-Gothic}', "");
Error('\p{Is_Sc=/a/	 GOTH}');
Error('\P{Is_Sc=/a/	 GOTH}');
Expect(1, 66378, '\p{Is_Sc=goth}', "");
Expect(0, 66378, '\p{^Is_Sc=goth}', "");
Expect(0, 66378, '\P{Is_Sc=goth}', "");
Expect(1, 66378, '\P{^Is_Sc=goth}', "");
Expect(0, 66379, '\p{Is_Sc=goth}', "");
Expect(1, 66379, '\p{^Is_Sc=goth}', "");
Expect(1, 66379, '\P{Is_Sc=goth}', "");
Expect(0, 66379, '\P{^Is_Sc=goth}', "");
Expect(1, 66378, '\p{Is_Sc=--Goth}', "");
Expect(0, 66378, '\p{^Is_Sc=--Goth}', "");
Expect(0, 66378, '\P{Is_Sc=--Goth}', "");
Expect(1, 66378, '\P{^Is_Sc=--Goth}', "");
Expect(0, 66379, '\p{Is_Sc=--Goth}', "");
Expect(1, 66379, '\p{^Is_Sc=--Goth}', "");
Expect(1, 66379, '\P{Is_Sc=--Goth}', "");
Expect(0, 66379, '\P{^Is_Sc=--Goth}', "");
Error('\p{Script=:=_	grantha}');
Error('\P{Script=:=_	grantha}');
Expect(1, 70516, '\p{Script=grantha}', "");
Expect(0, 70516, '\p{^Script=grantha}', "");
Expect(0, 70516, '\P{Script=grantha}', "");
Expect(1, 70516, '\P{^Script=grantha}', "");
Expect(0, 70517, '\p{Script=grantha}', "");
Expect(1, 70517, '\p{^Script=grantha}', "");
Expect(1, 70517, '\P{Script=grantha}', "");
Expect(0, 70517, '\P{^Script=grantha}', "");
Expect(1, 70516, '\p{Script=_ Grantha}', "");
Expect(0, 70516, '\p{^Script=_ Grantha}', "");
Expect(0, 70516, '\P{Script=_ Grantha}', "");
Expect(1, 70516, '\P{^Script=_ Grantha}', "");
Expect(0, 70517, '\p{Script=_ Grantha}', "");
Expect(1, 70517, '\p{^Script=_ Grantha}', "");
Expect(1, 70517, '\P{Script=_ Grantha}', "");
Expect(0, 70517, '\P{^Script=_ Grantha}', "");
Error('\p{Sc=/a/_Gran}');
Error('\P{Sc=/a/_Gran}');
Expect(1, 70516, '\p{Sc=gran}', "");
Expect(0, 70516, '\p{^Sc=gran}', "");
Expect(0, 70516, '\P{Sc=gran}', "");
Expect(1, 70516, '\P{^Sc=gran}', "");
Expect(0, 70517, '\p{Sc=gran}', "");
Expect(1, 70517, '\p{^Sc=gran}', "");
Expect(1, 70517, '\P{Sc=gran}', "");
Expect(0, 70517, '\P{^Sc=gran}', "");
Expect(1, 70516, '\p{Sc:		 Gran}', "");
Expect(0, 70516, '\p{^Sc:		 Gran}', "");
Expect(0, 70516, '\P{Sc:		 Gran}', "");
Expect(1, 70516, '\P{^Sc:		 Gran}', "");
Expect(0, 70517, '\p{Sc:		 Gran}', "");
Expect(1, 70517, '\p{^Sc:		 Gran}', "");
Expect(1, 70517, '\P{Sc:		 Gran}', "");
Expect(0, 70517, '\P{^Sc:		 Gran}', "");
Error('\p{Is_Script=_	Grantha/a/}');
Error('\P{Is_Script=_	Grantha/a/}');
Expect(1, 70516, '\p{Is_Script=grantha}', "");
Expect(0, 70516, '\p{^Is_Script=grantha}', "");
Expect(0, 70516, '\P{Is_Script=grantha}', "");
Expect(1, 70516, '\P{^Is_Script=grantha}', "");
Expect(0, 70517, '\p{Is_Script=grantha}', "");
Expect(1, 70517, '\p{^Is_Script=grantha}', "");
Expect(1, 70517, '\P{Is_Script=grantha}', "");
Expect(0, 70517, '\P{^Is_Script=grantha}', "");
Expect(1, 70516, '\p{Is_Script= GRANTHA}', "");
Expect(0, 70516, '\p{^Is_Script= GRANTHA}', "");
Expect(0, 70516, '\P{Is_Script= GRANTHA}', "");
Expect(1, 70516, '\P{^Is_Script= GRANTHA}', "");
Expect(0, 70517, '\p{Is_Script= GRANTHA}', "");
Expect(1, 70517, '\p{^Is_Script= GRANTHA}', "");
Expect(1, 70517, '\P{Is_Script= GRANTHA}', "");
Expect(0, 70517, '\P{^Is_Script= GRANTHA}', "");
Error('\p{Is_Sc=-:=GRAN}');
Error('\P{Is_Sc=-:=GRAN}');
Expect(1, 70516, '\p{Is_Sc=gran}', "");
Expect(0, 70516, '\p{^Is_Sc=gran}', "");
Expect(0, 70516, '\P{Is_Sc=gran}', "");
Expect(1, 70516, '\P{^Is_Sc=gran}', "");
Expect(0, 70517, '\p{Is_Sc=gran}', "");
Expect(1, 70517, '\p{^Is_Sc=gran}', "");
Expect(1, 70517, '\P{Is_Sc=gran}', "");
Expect(0, 70517, '\P{^Is_Sc=gran}', "");
Expect(1, 70516, '\p{Is_Sc=-Gran}', "");
Expect(0, 70516, '\p{^Is_Sc=-Gran}', "");
Expect(0, 70516, '\P{Is_Sc=-Gran}', "");
Expect(1, 70516, '\P{^Is_Sc=-Gran}', "");
Expect(0, 70517, '\p{Is_Sc=-Gran}', "");
Expect(1, 70517, '\p{^Is_Sc=-Gran}', "");
Expect(1, 70517, '\P{Is_Sc=-Gran}', "");
Expect(0, 70517, '\P{^Is_Sc=-Gran}', "");
Error('\p{Script=_GREEK:=}');
Error('\P{Script=_GREEK:=}');
Expect(1, 119365, '\p{Script=greek}', "");
Expect(0, 119365, '\p{^Script=greek}', "");
Expect(0, 119365, '\P{Script=greek}', "");
Expect(1, 119365, '\P{^Script=greek}', "");
Expect(0, 119366, '\p{Script=greek}', "");
Expect(1, 119366, '\p{^Script=greek}', "");
Expect(1, 119366, '\P{Script=greek}', "");
Expect(0, 119366, '\P{^Script=greek}', "");
Expect(1, 119365, '\p{Script=	GREEK}', "");
Expect(0, 119365, '\p{^Script=	GREEK}', "");
Expect(0, 119365, '\P{Script=	GREEK}', "");
Expect(1, 119365, '\P{^Script=	GREEK}', "");
Expect(0, 119366, '\p{Script=	GREEK}', "");
Expect(1, 119366, '\p{^Script=	GREEK}', "");
Expect(1, 119366, '\P{Script=	GREEK}', "");
Expect(0, 119366, '\P{^Script=	GREEK}', "");
Error('\p{Sc:/a/_Grek}');
Error('\P{Sc:/a/_Grek}');
Expect(1, 119365, '\p{Sc=grek}', "");
Expect(0, 119365, '\p{^Sc=grek}', "");
Expect(0, 119365, '\P{Sc=grek}', "");
Expect(1, 119365, '\P{^Sc=grek}', "");
Expect(0, 119366, '\p{Sc=grek}', "");
Expect(1, 119366, '\p{^Sc=grek}', "");
Expect(1, 119366, '\P{Sc=grek}', "");
Expect(0, 119366, '\P{^Sc=grek}', "");
Expect(1, 119365, '\p{Sc=_-Grek}', "");
Expect(0, 119365, '\p{^Sc=_-Grek}', "");
Expect(0, 119365, '\P{Sc=_-Grek}', "");
Expect(1, 119365, '\P{^Sc=_-Grek}', "");
Expect(0, 119366, '\p{Sc=_-Grek}', "");
Expect(1, 119366, '\p{^Sc=_-Grek}', "");
Expect(1, 119366, '\P{Sc=_-Grek}', "");
Expect(0, 119366, '\P{^Sc=_-Grek}', "");
Error('\p{Is_Script=	:=Greek}');
Error('\P{Is_Script=	:=Greek}');
Expect(1, 119365, '\p{Is_Script=greek}', "");
Expect(0, 119365, '\p{^Is_Script=greek}', "");
Expect(0, 119365, '\P{Is_Script=greek}', "");
Expect(1, 119365, '\P{^Is_Script=greek}', "");
Expect(0, 119366, '\p{Is_Script=greek}', "");
Expect(1, 119366, '\p{^Is_Script=greek}', "");
Expect(1, 119366, '\P{Is_Script=greek}', "");
Expect(0, 119366, '\P{^Is_Script=greek}', "");
Expect(1, 119365, '\p{Is_Script=	_GREEK}', "");
Expect(0, 119365, '\p{^Is_Script=	_GREEK}', "");
Expect(0, 119365, '\P{Is_Script=	_GREEK}', "");
Expect(1, 119365, '\P{^Is_Script=	_GREEK}', "");
Expect(0, 119366, '\p{Is_Script=	_GREEK}', "");
Expect(1, 119366, '\p{^Is_Script=	_GREEK}', "");
Expect(1, 119366, '\P{Is_Script=	_GREEK}', "");
Expect(0, 119366, '\P{^Is_Script=	_GREEK}', "");
Error('\p{Is_Sc=/a/_Grek}');
Error('\P{Is_Sc=/a/_Grek}');
Expect(1, 119365, '\p{Is_Sc=grek}', "");
Expect(0, 119365, '\p{^Is_Sc=grek}', "");
Expect(0, 119365, '\P{Is_Sc=grek}', "");
Expect(1, 119365, '\P{^Is_Sc=grek}', "");
Expect(0, 119366, '\p{Is_Sc=grek}', "");
Expect(1, 119366, '\p{^Is_Sc=grek}', "");
Expect(1, 119366, '\P{Is_Sc=grek}', "");
Expect(0, 119366, '\P{^Is_Sc=grek}', "");
Expect(1, 119365, '\p{Is_Sc=	 GREK}', "");
Expect(0, 119365, '\p{^Is_Sc=	 GREK}', "");
Expect(0, 119365, '\P{Is_Sc=	 GREK}', "");
Expect(1, 119365, '\P{^Is_Sc=	 GREK}', "");
Expect(0, 119366, '\p{Is_Sc=	 GREK}', "");
Expect(1, 119366, '\p{^Is_Sc=	 GREK}', "");
Expect(1, 119366, '\P{Is_Sc=	 GREK}', "");
Expect(0, 119366, '\P{^Is_Sc=	 GREK}', "");
Error('\p{Script=/a/gujarati}');
Error('\P{Script=/a/gujarati}');
Expect(1, 2801, '\p{Script=gujarati}', "");
Expect(0, 2801, '\p{^Script=gujarati}', "");
Expect(0, 2801, '\P{Script=gujarati}', "");
Expect(1, 2801, '\P{^Script=gujarati}', "");
Expect(0, 2802, '\p{Script=gujarati}', "");
Expect(1, 2802, '\p{^Script=gujarati}', "");
Expect(1, 2802, '\P{Script=gujarati}', "");
Expect(0, 2802, '\P{^Script=gujarati}', "");
Expect(1, 2801, '\p{Script=_Gujarati}', "");
Expect(0, 2801, '\p{^Script=_Gujarati}', "");
Expect(0, 2801, '\P{Script=_Gujarati}', "");
Expect(1, 2801, '\P{^Script=_Gujarati}', "");
Expect(0, 2802, '\p{Script=_Gujarati}', "");
Expect(1, 2802, '\p{^Script=_Gujarati}', "");
Expect(1, 2802, '\P{Script=_Gujarati}', "");
Expect(0, 2802, '\P{^Script=_Gujarati}', "");
Error('\p{Sc:		_GUJR:=}');
Error('\P{Sc:		_GUJR:=}');
Expect(1, 2801, '\p{Sc=gujr}', "");
Expect(0, 2801, '\p{^Sc=gujr}', "");
Expect(0, 2801, '\P{Sc=gujr}', "");
Expect(1, 2801, '\P{^Sc=gujr}', "");
Expect(0, 2802, '\p{Sc=gujr}', "");
Expect(1, 2802, '\p{^Sc=gujr}', "");
Expect(1, 2802, '\P{Sc=gujr}', "");
Expect(0, 2802, '\P{^Sc=gujr}', "");
Expect(1, 2801, '\p{Sc=-_gujr}', "");
Expect(0, 2801, '\p{^Sc=-_gujr}', "");
Expect(0, 2801, '\P{Sc=-_gujr}', "");
Expect(1, 2801, '\P{^Sc=-_gujr}', "");
Expect(0, 2802, '\p{Sc=-_gujr}', "");
Expect(1, 2802, '\p{^Sc=-_gujr}', "");
Expect(1, 2802, '\P{Sc=-_gujr}', "");
Expect(0, 2802, '\P{^Sc=-_gujr}', "");
Error('\p{Is_Script:	_Gujarati/a/}');
Error('\P{Is_Script:	_Gujarati/a/}');
Expect(1, 2801, '\p{Is_Script=gujarati}', "");
Expect(0, 2801, '\p{^Is_Script=gujarati}', "");
Expect(0, 2801, '\P{Is_Script=gujarati}', "");
Expect(1, 2801, '\P{^Is_Script=gujarati}', "");
Expect(0, 2802, '\p{Is_Script=gujarati}', "");
Expect(1, 2802, '\p{^Is_Script=gujarati}', "");
Expect(1, 2802, '\P{Is_Script=gujarati}', "");
Expect(0, 2802, '\P{^Is_Script=gujarati}', "");
Expect(1, 2801, '\p{Is_Script=	_gujarati}', "");
Expect(0, 2801, '\p{^Is_Script=	_gujarati}', "");
Expect(0, 2801, '\P{Is_Script=	_gujarati}', "");
Expect(1, 2801, '\P{^Is_Script=	_gujarati}', "");
Expect(0, 2802, '\p{Is_Script=	_gujarati}', "");
Expect(1, 2802, '\p{^Is_Script=	_gujarati}', "");
Expect(1, 2802, '\P{Is_Script=	_gujarati}', "");
Expect(0, 2802, '\P{^Is_Script=	_gujarati}', "");
Error('\p{Is_Sc=	/a/Gujr}');
Error('\P{Is_Sc=	/a/Gujr}');
Expect(1, 2801, '\p{Is_Sc=gujr}', "");
Expect(0, 2801, '\p{^Is_Sc=gujr}', "");
Expect(0, 2801, '\P{Is_Sc=gujr}', "");
Expect(1, 2801, '\P{^Is_Sc=gujr}', "");
Expect(0, 2802, '\p{Is_Sc=gujr}', "");
Expect(1, 2802, '\p{^Is_Sc=gujr}', "");
Expect(1, 2802, '\P{Is_Sc=gujr}', "");
Expect(0, 2802, '\P{^Is_Sc=gujr}', "");
Expect(1, 2801, '\p{Is_Sc=	-Gujr}', "");
Expect(0, 2801, '\p{^Is_Sc=	-Gujr}', "");
Expect(0, 2801, '\P{Is_Sc=	-Gujr}', "");
Expect(1, 2801, '\P{^Is_Sc=	-Gujr}', "");
Expect(0, 2802, '\p{Is_Sc=	-Gujr}', "");
Expect(1, 2802, '\p{^Is_Sc=	-Gujr}', "");
Expect(1, 2802, '\P{Is_Sc=	-Gujr}', "");
Expect(0, 2802, '\P{^Is_Sc=	-Gujr}', "");
Error('\p{Script=	/a/gurmukhi}');
Error('\P{Script=	/a/gurmukhi}');
Expect(1, 2677, '\p{Script=gurmukhi}', "");
Expect(0, 2677, '\p{^Script=gurmukhi}', "");
Expect(0, 2677, '\P{Script=gurmukhi}', "");
Expect(1, 2677, '\P{^Script=gurmukhi}', "");
Expect(0, 2678, '\p{Script=gurmukhi}', "");
Expect(1, 2678, '\p{^Script=gurmukhi}', "");
Expect(1, 2678, '\P{Script=gurmukhi}', "");
Expect(0, 2678, '\P{^Script=gurmukhi}', "");
Expect(1, 2677, '\p{Script= Gurmukhi}', "");
Expect(0, 2677, '\p{^Script= Gurmukhi}', "");
Expect(0, 2677, '\P{Script= Gurmukhi}', "");
Expect(1, 2677, '\P{^Script= Gurmukhi}', "");
Expect(0, 2678, '\p{Script= Gurmukhi}', "");
Expect(1, 2678, '\p{^Script= Gurmukhi}', "");
Expect(1, 2678, '\P{Script= Gurmukhi}', "");
Expect(0, 2678, '\P{^Script= Gurmukhi}', "");
Error('\p{Sc=_:=GURU}');
Error('\P{Sc=_:=GURU}');
Expect(1, 2677, '\p{Sc=guru}', "");
Expect(0, 2677, '\p{^Sc=guru}', "");
Expect(0, 2677, '\P{Sc=guru}', "");
Expect(1, 2677, '\P{^Sc=guru}', "");
Expect(0, 2678, '\p{Sc=guru}', "");
Expect(1, 2678, '\p{^Sc=guru}', "");
Expect(1, 2678, '\P{Sc=guru}', "");
Expect(0, 2678, '\P{^Sc=guru}', "");
Expect(1, 2677, '\p{Sc=		Guru}', "");
Expect(0, 2677, '\p{^Sc=		Guru}', "");
Expect(0, 2677, '\P{Sc=		Guru}', "");
Expect(1, 2677, '\P{^Sc=		Guru}', "");
Expect(0, 2678, '\p{Sc=		Guru}', "");
Expect(1, 2678, '\p{^Sc=		Guru}', "");
Expect(1, 2678, '\P{Sc=		Guru}', "");
Expect(0, 2678, '\P{^Sc=		Guru}', "");
Error('\p{Is_Script= /a/Gurmukhi}');
Error('\P{Is_Script= /a/Gurmukhi}');
Expect(1, 2677, '\p{Is_Script=gurmukhi}', "");
Expect(0, 2677, '\p{^Is_Script=gurmukhi}', "");
Expect(0, 2677, '\P{Is_Script=gurmukhi}', "");
Expect(1, 2677, '\P{^Is_Script=gurmukhi}', "");
Expect(0, 2678, '\p{Is_Script=gurmukhi}', "");
Expect(1, 2678, '\p{^Is_Script=gurmukhi}', "");
Expect(1, 2678, '\P{Is_Script=gurmukhi}', "");
Expect(0, 2678, '\P{^Is_Script=gurmukhi}', "");
Expect(1, 2677, '\p{Is_Script:	  Gurmukhi}', "");
Expect(0, 2677, '\p{^Is_Script:	  Gurmukhi}', "");
Expect(0, 2677, '\P{Is_Script:	  Gurmukhi}', "");
Expect(1, 2677, '\P{^Is_Script:	  Gurmukhi}', "");
Expect(0, 2678, '\p{Is_Script:	  Gurmukhi}', "");
Expect(1, 2678, '\p{^Is_Script:	  Gurmukhi}', "");
Expect(1, 2678, '\P{Is_Script:	  Gurmukhi}', "");
Expect(0, 2678, '\P{^Is_Script:	  Gurmukhi}', "");
Error('\p{Is_Sc=:=Guru}');
Error('\P{Is_Sc=:=Guru}');
Expect(1, 2677, '\p{Is_Sc=guru}', "");
Expect(0, 2677, '\p{^Is_Sc=guru}', "");
Expect(0, 2677, '\P{Is_Sc=guru}', "");
Expect(1, 2677, '\P{^Is_Sc=guru}', "");
Expect(0, 2678, '\p{Is_Sc=guru}', "");
Expect(1, 2678, '\p{^Is_Sc=guru}', "");
Expect(1, 2678, '\P{Is_Sc=guru}', "");
Expect(0, 2678, '\P{^Is_Sc=guru}', "");
Expect(1, 2677, '\p{Is_Sc=_Guru}', "");
Expect(0, 2677, '\p{^Is_Sc=_Guru}', "");
Expect(0, 2677, '\P{Is_Sc=_Guru}', "");
Expect(1, 2677, '\P{^Is_Sc=_Guru}', "");
Expect(0, 2678, '\p{Is_Sc=_Guru}', "");
Expect(1, 2678, '\p{^Is_Sc=_Guru}', "");
Expect(1, 2678, '\P{Is_Sc=_Guru}', "");
Expect(0, 2678, '\P{^Is_Sc=_Guru}', "");
Error('\p{Script=	HANGUL/a/}');
Error('\P{Script=	HANGUL/a/}');
Expect(1, 65500, '\p{Script=hangul}', "");
Expect(0, 65500, '\p{^Script=hangul}', "");
Expect(0, 65500, '\P{Script=hangul}', "");
Expect(1, 65500, '\P{^Script=hangul}', "");
Expect(0, 65501, '\p{Script=hangul}', "");
Expect(1, 65501, '\p{^Script=hangul}', "");
Expect(1, 65501, '\P{Script=hangul}', "");
Expect(0, 65501, '\P{^Script=hangul}', "");
Expect(1, 65500, '\p{Script=_hangul}', "");
Expect(0, 65500, '\p{^Script=_hangul}', "");
Expect(0, 65500, '\P{Script=_hangul}', "");
Expect(1, 65500, '\P{^Script=_hangul}', "");
Expect(0, 65501, '\p{Script=_hangul}', "");
Expect(1, 65501, '\p{^Script=_hangul}', "");
Expect(1, 65501, '\P{Script=_hangul}', "");
Expect(0, 65501, '\P{^Script=_hangul}', "");
Error('\p{Sc=/a/_Hang}');
Error('\P{Sc=/a/_Hang}');
Expect(1, 65500, '\p{Sc=hang}', "");
Expect(0, 65500, '\p{^Sc=hang}', "");
Expect(0, 65500, '\P{Sc=hang}', "");
Expect(1, 65500, '\P{^Sc=hang}', "");
Expect(0, 65501, '\p{Sc=hang}', "");
Expect(1, 65501, '\p{^Sc=hang}', "");
Expect(1, 65501, '\P{Sc=hang}', "");
Expect(0, 65501, '\P{^Sc=hang}', "");
Expect(1, 65500, '\p{Sc=	Hang}', "");
Expect(0, 65500, '\p{^Sc=	Hang}', "");
Expect(0, 65500, '\P{Sc=	Hang}', "");
Expect(1, 65500, '\P{^Sc=	Hang}', "");
Expect(0, 65501, '\p{Sc=	Hang}', "");
Expect(1, 65501, '\p{^Sc=	Hang}', "");
Expect(1, 65501, '\P{Sc=	Hang}', "");
Expect(0, 65501, '\P{^Sc=	Hang}', "");
Error('\p{Is_Script=:=_	hangul}');
Error('\P{Is_Script=:=_	hangul}');
Expect(1, 65500, '\p{Is_Script=hangul}', "");
Expect(0, 65500, '\p{^Is_Script=hangul}', "");
Expect(0, 65500, '\P{Is_Script=hangul}', "");
Expect(1, 65500, '\P{^Is_Script=hangul}', "");
Expect(0, 65501, '\p{Is_Script=hangul}', "");
Expect(1, 65501, '\p{^Is_Script=hangul}', "");
Expect(1, 65501, '\P{Is_Script=hangul}', "");
Expect(0, 65501, '\P{^Is_Script=hangul}', "");
Expect(1, 65500, '\p{Is_Script=		Hangul}', "");
Expect(0, 65500, '\p{^Is_Script=		Hangul}', "");
Expect(0, 65500, '\P{Is_Script=		Hangul}', "");
Expect(1, 65500, '\P{^Is_Script=		Hangul}', "");
Expect(0, 65501, '\p{Is_Script=		Hangul}', "");
Expect(1, 65501, '\p{^Is_Script=		Hangul}', "");
Expect(1, 65501, '\P{Is_Script=		Hangul}', "");
Expect(0, 65501, '\P{^Is_Script=		Hangul}', "");
Error('\p{Is_Sc=	Hang/a/}');
Error('\P{Is_Sc=	Hang/a/}');
Expect(1, 65500, '\p{Is_Sc=hang}', "");
Expect(0, 65500, '\p{^Is_Sc=hang}', "");
Expect(0, 65500, '\P{Is_Sc=hang}', "");
Expect(1, 65500, '\P{^Is_Sc=hang}', "");
Expect(0, 65501, '\p{Is_Sc=hang}', "");
Expect(1, 65501, '\p{^Is_Sc=hang}', "");
Expect(1, 65501, '\P{Is_Sc=hang}', "");
Expect(0, 65501, '\P{^Is_Sc=hang}', "");
Expect(1, 65500, '\p{Is_Sc=-Hang}', "");
Expect(0, 65500, '\p{^Is_Sc=-Hang}', "");
Expect(0, 65500, '\P{Is_Sc=-Hang}', "");
Expect(1, 65500, '\P{^Is_Sc=-Hang}', "");
Expect(0, 65501, '\p{Is_Sc=-Hang}', "");
Expect(1, 65501, '\p{^Is_Sc=-Hang}', "");
Expect(1, 65501, '\P{Is_Sc=-Hang}', "");
Expect(0, 65501, '\P{^Is_Sc=-Hang}', "");
Error('\p{Script=	HAN:=}');
Error('\P{Script=	HAN:=}');
Expect(1, 195101, '\p{Script:   han}', "");
Expect(0, 195101, '\p{^Script:   han}', "");
Expect(0, 195101, '\P{Script:   han}', "");
Expect(1, 195101, '\P{^Script:   han}', "");
Expect(0, 195102, '\p{Script:   han}', "");
Expect(1, 195102, '\p{^Script:   han}', "");
Expect(1, 195102, '\P{Script:   han}', "");
Expect(0, 195102, '\P{^Script:   han}', "");
Expect(1, 195101, '\p{Script:	-Han}', "");
Expect(0, 195101, '\p{^Script:	-Han}', "");
Expect(0, 195101, '\P{Script:	-Han}', "");
Expect(1, 195101, '\P{^Script:	-Han}', "");
Expect(0, 195102, '\p{Script:	-Han}', "");
Expect(1, 195102, '\p{^Script:	-Han}', "");
Expect(1, 195102, '\P{Script:	-Han}', "");
Expect(0, 195102, '\P{^Script:	-Han}', "");
Error('\p{Sc=-:=Hani}');
Error('\P{Sc=-:=Hani}');
Expect(1, 195101, '\p{Sc=hani}', "");
Expect(0, 195101, '\p{^Sc=hani}', "");
Expect(0, 195101, '\P{Sc=hani}', "");
Expect(1, 195101, '\P{^Sc=hani}', "");
Expect(0, 195102, '\p{Sc=hani}', "");
Expect(1, 195102, '\p{^Sc=hani}', "");
Expect(1, 195102, '\P{Sc=hani}', "");
Expect(0, 195102, '\P{^Sc=hani}', "");
Expect(1, 195101, '\p{Sc=- HANI}', "");
Expect(0, 195101, '\p{^Sc=- HANI}', "");
Expect(0, 195101, '\P{Sc=- HANI}', "");
Expect(1, 195101, '\P{^Sc=- HANI}', "");
Expect(0, 195102, '\p{Sc=- HANI}', "");
Expect(1, 195102, '\p{^Sc=- HANI}', "");
Expect(1, 195102, '\P{Sc=- HANI}', "");
Expect(0, 195102, '\P{^Sc=- HANI}', "");
Error('\p{Is_Script=	HAN:=}');
Error('\P{Is_Script=	HAN:=}');
Expect(1, 195101, '\p{Is_Script=han}', "");
Expect(0, 195101, '\p{^Is_Script=han}', "");
Expect(0, 195101, '\P{Is_Script=han}', "");
Expect(1, 195101, '\P{^Is_Script=han}', "");
Expect(0, 195102, '\p{Is_Script=han}', "");
Expect(1, 195102, '\p{^Is_Script=han}', "");
Expect(1, 195102, '\P{Is_Script=han}', "");
Expect(0, 195102, '\P{^Is_Script=han}', "");
Expect(1, 195101, '\p{Is_Script=_Han}', "");
Expect(0, 195101, '\p{^Is_Script=_Han}', "");
Expect(0, 195101, '\P{Is_Script=_Han}', "");
Expect(1, 195101, '\P{^Is_Script=_Han}', "");
Expect(0, 195102, '\p{Is_Script=_Han}', "");
Expect(1, 195102, '\p{^Is_Script=_Han}', "");
Expect(1, 195102, '\P{Is_Script=_Han}', "");
Expect(0, 195102, '\P{^Is_Script=_Han}', "");
Error('\p{Is_Sc=/a/_	hani}');
Error('\P{Is_Sc=/a/_	hani}');
Expect(1, 195101, '\p{Is_Sc=hani}', "");
Expect(0, 195101, '\p{^Is_Sc=hani}', "");
Expect(0, 195101, '\P{Is_Sc=hani}', "");
Expect(1, 195101, '\P{^Is_Sc=hani}', "");
Expect(0, 195102, '\p{Is_Sc=hani}', "");
Expect(1, 195102, '\p{^Is_Sc=hani}', "");
Expect(1, 195102, '\P{Is_Sc=hani}', "");
Expect(0, 195102, '\P{^Is_Sc=hani}', "");
Expect(1, 195101, '\p{Is_Sc= hani}', "");
Expect(0, 195101, '\p{^Is_Sc= hani}', "");
Expect(0, 195101, '\P{Is_Sc= hani}', "");
Expect(1, 195101, '\P{^Is_Sc= hani}', "");
Expect(0, 195102, '\p{Is_Sc= hani}', "");
Expect(1, 195102, '\p{^Is_Sc= hani}', "");
Expect(1, 195102, '\P{Is_Sc= hani}', "");
Expect(0, 195102, '\P{^Is_Sc= hani}', "");
Error('\p{Script= /a/hanunoo}');
Error('\P{Script= /a/hanunoo}');
Expect(1, 5940, '\p{Script=hanunoo}', "");
Expect(0, 5940, '\p{^Script=hanunoo}', "");
Expect(0, 5940, '\P{Script=hanunoo}', "");
Expect(1, 5940, '\P{^Script=hanunoo}', "");
Expect(0, 5941, '\p{Script=hanunoo}', "");
Expect(1, 5941, '\p{^Script=hanunoo}', "");
Expect(1, 5941, '\P{Script=hanunoo}', "");
Expect(0, 5941, '\P{^Script=hanunoo}', "");
Expect(1, 5940, '\p{Script= 	Hanunoo}', "");
Expect(0, 5940, '\p{^Script= 	Hanunoo}', "");
Expect(0, 5940, '\P{Script= 	Hanunoo}', "");
Expect(1, 5940, '\P{^Script= 	Hanunoo}', "");
Expect(0, 5941, '\p{Script= 	Hanunoo}', "");
Expect(1, 5941, '\p{^Script= 	Hanunoo}', "");
Expect(1, 5941, '\P{Script= 	Hanunoo}', "");
Expect(0, 5941, '\P{^Script= 	Hanunoo}', "");
Error('\p{Sc:	/a/ -hano}');
Error('\P{Sc:	/a/ -hano}');
Expect(1, 5940, '\p{Sc=hano}', "");
Expect(0, 5940, '\p{^Sc=hano}', "");
Expect(0, 5940, '\P{Sc=hano}', "");
Expect(1, 5940, '\P{^Sc=hano}', "");
Expect(0, 5941, '\p{Sc=hano}', "");
Expect(1, 5941, '\p{^Sc=hano}', "");
Expect(1, 5941, '\P{Sc=hano}', "");
Expect(0, 5941, '\P{^Sc=hano}', "");
Expect(1, 5940, '\p{Sc=	-Hano}', "");
Expect(0, 5940, '\p{^Sc=	-Hano}', "");
Expect(0, 5940, '\P{Sc=	-Hano}', "");
Expect(1, 5940, '\P{^Sc=	-Hano}', "");
Expect(0, 5941, '\p{Sc=	-Hano}', "");
Expect(1, 5941, '\p{^Sc=	-Hano}', "");
Expect(1, 5941, '\P{Sc=	-Hano}', "");
Expect(0, 5941, '\P{^Sc=	-Hano}', "");
Error('\p{Is_Script=_	HANUNOO:=}');
Error('\P{Is_Script=_	HANUNOO:=}');
Expect(1, 5940, '\p{Is_Script=hanunoo}', "");
Expect(0, 5940, '\p{^Is_Script=hanunoo}', "");
Expect(0, 5940, '\P{Is_Script=hanunoo}', "");
Expect(1, 5940, '\P{^Is_Script=hanunoo}', "");
Expect(0, 5941, '\p{Is_Script=hanunoo}', "");
Expect(1, 5941, '\p{^Is_Script=hanunoo}', "");
Expect(1, 5941, '\P{Is_Script=hanunoo}', "");
Expect(0, 5941, '\P{^Is_Script=hanunoo}', "");
Expect(1, 5940, '\p{Is_Script=	Hanunoo}', "");
Expect(0, 5940, '\p{^Is_Script=	Hanunoo}', "");
Expect(0, 5940, '\P{Is_Script=	Hanunoo}', "");
Expect(1, 5940, '\P{^Is_Script=	Hanunoo}', "");
Expect(0, 5941, '\p{Is_Script=	Hanunoo}', "");
Expect(1, 5941, '\p{^Is_Script=	Hanunoo}', "");
Expect(1, 5941, '\P{Is_Script=	Hanunoo}', "");
Expect(0, 5941, '\P{^Is_Script=	Hanunoo}', "");
Error('\p{Is_Sc=:=_Hano}');
Error('\P{Is_Sc=:=_Hano}');
Expect(1, 5940, '\p{Is_Sc:   hano}', "");
Expect(0, 5940, '\p{^Is_Sc:   hano}', "");
Expect(0, 5940, '\P{Is_Sc:   hano}', "");
Expect(1, 5940, '\P{^Is_Sc:   hano}', "");
Expect(0, 5941, '\p{Is_Sc:   hano}', "");
Expect(1, 5941, '\p{^Is_Sc:   hano}', "");
Expect(1, 5941, '\P{Is_Sc:   hano}', "");
Expect(0, 5941, '\P{^Is_Sc:   hano}', "");
Expect(1, 5940, '\p{Is_Sc=-HANO}', "");
Expect(0, 5940, '\p{^Is_Sc=-HANO}', "");
Expect(0, 5940, '\P{Is_Sc=-HANO}', "");
Expect(1, 5940, '\P{^Is_Sc=-HANO}', "");
Expect(0, 5941, '\p{Is_Sc=-HANO}', "");
Expect(1, 5941, '\p{^Is_Sc=-HANO}', "");
Expect(1, 5941, '\P{Is_Sc=-HANO}', "");
Expect(0, 5941, '\P{^Is_Sc=-HANO}', "");
Error('\p{Script=_/a/Hebrew}');
Error('\P{Script=_/a/Hebrew}');
Expect(1, 64335, '\p{Script=hebrew}', "");
Expect(0, 64335, '\p{^Script=hebrew}', "");
Expect(0, 64335, '\P{Script=hebrew}', "");
Expect(1, 64335, '\P{^Script=hebrew}', "");
Expect(0, 64336, '\p{Script=hebrew}', "");
Expect(1, 64336, '\p{^Script=hebrew}', "");
Expect(1, 64336, '\P{Script=hebrew}', "");
Expect(0, 64336, '\P{^Script=hebrew}', "");
Expect(1, 64335, '\p{Script=_hebrew}', "");
Expect(0, 64335, '\p{^Script=_hebrew}', "");
Expect(0, 64335, '\P{Script=_hebrew}', "");
Expect(1, 64335, '\P{^Script=_hebrew}', "");
Expect(0, 64336, '\p{Script=_hebrew}', "");
Expect(1, 64336, '\p{^Script=_hebrew}', "");
Expect(1, 64336, '\P{Script=_hebrew}', "");
Expect(0, 64336, '\P{^Script=_hebrew}', "");
Error('\p{Sc=  hebr/a/}');
Error('\P{Sc=  hebr/a/}');
Expect(1, 64335, '\p{Sc=hebr}', "");
Expect(0, 64335, '\p{^Sc=hebr}', "");
Expect(0, 64335, '\P{Sc=hebr}', "");
Expect(1, 64335, '\P{^Sc=hebr}', "");
Expect(0, 64336, '\p{Sc=hebr}', "");
Expect(1, 64336, '\p{^Sc=hebr}', "");
Expect(1, 64336, '\P{Sc=hebr}', "");
Expect(0, 64336, '\P{^Sc=hebr}', "");
Expect(1, 64335, '\p{Sc= _HEBR}', "");
Expect(0, 64335, '\p{^Sc= _HEBR}', "");
Expect(0, 64335, '\P{Sc= _HEBR}', "");
Expect(1, 64335, '\P{^Sc= _HEBR}', "");
Expect(0, 64336, '\p{Sc= _HEBR}', "");
Expect(1, 64336, '\p{^Sc= _HEBR}', "");
Expect(1, 64336, '\P{Sc= _HEBR}', "");
Expect(0, 64336, '\P{^Sc= _HEBR}', "");
Error('\p{Is_Script=	:=Hebrew}');
Error('\P{Is_Script=	:=Hebrew}');
Expect(1, 64335, '\p{Is_Script=hebrew}', "");
Expect(0, 64335, '\p{^Is_Script=hebrew}', "");
Expect(0, 64335, '\P{Is_Script=hebrew}', "");
Expect(1, 64335, '\P{^Is_Script=hebrew}', "");
Expect(0, 64336, '\p{Is_Script=hebrew}', "");
Expect(1, 64336, '\p{^Is_Script=hebrew}', "");
Expect(1, 64336, '\P{Is_Script=hebrew}', "");
Expect(0, 64336, '\P{^Is_Script=hebrew}', "");
Expect(1, 64335, '\p{Is_Script=__hebrew}', "");
Expect(0, 64335, '\p{^Is_Script=__hebrew}', "");
Expect(0, 64335, '\P{Is_Script=__hebrew}', "");
Expect(1, 64335, '\P{^Is_Script=__hebrew}', "");
Expect(0, 64336, '\p{Is_Script=__hebrew}', "");
Expect(1, 64336, '\p{^Is_Script=__hebrew}', "");
Expect(1, 64336, '\P{Is_Script=__hebrew}', "");
Expect(0, 64336, '\P{^Is_Script=__hebrew}', "");
Error('\p{Is_Sc= _HEBR:=}');
Error('\P{Is_Sc= _HEBR:=}');
Expect(1, 64335, '\p{Is_Sc=hebr}', "");
Expect(0, 64335, '\p{^Is_Sc=hebr}', "");
Expect(0, 64335, '\P{Is_Sc=hebr}', "");
Expect(1, 64335, '\P{^Is_Sc=hebr}', "");
Expect(0, 64336, '\p{Is_Sc=hebr}', "");
Expect(1, 64336, '\p{^Is_Sc=hebr}', "");
Expect(1, 64336, '\P{Is_Sc=hebr}', "");
Expect(0, 64336, '\P{^Is_Sc=hebr}', "");
Expect(1, 64335, '\p{Is_Sc=--Hebr}', "");
Expect(0, 64335, '\p{^Is_Sc=--Hebr}', "");
Expect(0, 64335, '\P{Is_Sc=--Hebr}', "");
Expect(1, 64335, '\P{^Is_Sc=--Hebr}', "");
Expect(0, 64336, '\p{Is_Sc=--Hebr}', "");
Expect(1, 64336, '\p{^Is_Sc=--Hebr}', "");
Expect(1, 64336, '\P{Is_Sc=--Hebr}', "");
Expect(0, 64336, '\P{^Is_Sc=--Hebr}', "");
Error('\p{Script=_:=Hiragana}');
Error('\P{Script=_:=Hiragana}');
Expect(1, 127488, '\p{Script:   hiragana}', "");
Expect(0, 127488, '\p{^Script:   hiragana}', "");
Expect(0, 127488, '\P{Script:   hiragana}', "");
Expect(1, 127488, '\P{^Script:   hiragana}', "");
Expect(0, 127489, '\p{Script:   hiragana}', "");
Expect(1, 127489, '\p{^Script:   hiragana}', "");
Expect(1, 127489, '\P{Script:   hiragana}', "");
Expect(0, 127489, '\P{^Script:   hiragana}', "");
Expect(1, 127488, '\p{Script=	-HIRAGANA}', "");
Expect(0, 127488, '\p{^Script=	-HIRAGANA}', "");
Expect(0, 127488, '\P{Script=	-HIRAGANA}', "");
Expect(1, 127488, '\P{^Script=	-HIRAGANA}', "");
Expect(0, 127489, '\p{Script=	-HIRAGANA}', "");
Expect(1, 127489, '\p{^Script=	-HIRAGANA}', "");
Expect(1, 127489, '\P{Script=	-HIRAGANA}', "");
Expect(0, 127489, '\P{^Script=	-HIRAGANA}', "");
Error('\p{Sc::=_hira}');
Error('\P{Sc::=_hira}');
Expect(1, 127488, '\p{Sc:hira}', "");
Expect(0, 127488, '\p{^Sc:hira}', "");
Expect(0, 127488, '\P{Sc:hira}', "");
Expect(1, 127488, '\P{^Sc:hira}', "");
Expect(0, 127489, '\p{Sc:hira}', "");
Expect(1, 127489, '\p{^Sc:hira}', "");
Expect(1, 127489, '\P{Sc:hira}', "");
Expect(0, 127489, '\P{^Sc:hira}', "");
Expect(1, 127488, '\p{Sc= HIRA}', "");
Expect(0, 127488, '\p{^Sc= HIRA}', "");
Expect(0, 127488, '\P{Sc= HIRA}', "");
Expect(1, 127488, '\P{^Sc= HIRA}', "");
Expect(0, 127489, '\p{Sc= HIRA}', "");
Expect(1, 127489, '\p{^Sc= HIRA}', "");
Expect(1, 127489, '\P{Sc= HIRA}', "");
Expect(0, 127489, '\P{^Sc= HIRA}', "");
Error('\p{Is_Script=:=-HIRAGANA}');
Error('\P{Is_Script=:=-HIRAGANA}');
Expect(1, 127488, '\p{Is_Script:hiragana}', "");
Expect(0, 127488, '\p{^Is_Script:hiragana}', "");
Expect(0, 127488, '\P{Is_Script:hiragana}', "");
Expect(1, 127488, '\P{^Is_Script:hiragana}', "");
Expect(0, 127489, '\p{Is_Script:hiragana}', "");
Expect(1, 127489, '\p{^Is_Script:hiragana}', "");
Expect(1, 127489, '\P{Is_Script:hiragana}', "");
Expect(0, 127489, '\P{^Is_Script:hiragana}', "");
Expect(1, 127488, '\p{Is_Script:-HIRAGANA}', "");
Expect(0, 127488, '\p{^Is_Script:-HIRAGANA}', "");
Expect(0, 127488, '\P{Is_Script:-HIRAGANA}', "");
Expect(1, 127488, '\P{^Is_Script:-HIRAGANA}', "");
Expect(0, 127489, '\p{Is_Script:-HIRAGANA}', "");
Expect(1, 127489, '\p{^Is_Script:-HIRAGANA}', "");
Expect(1, 127489, '\P{Is_Script:-HIRAGANA}', "");
Expect(0, 127489, '\P{^Is_Script:-HIRAGANA}', "");
Error('\p{Is_Sc=_hira/a/}');
Error('\P{Is_Sc=_hira/a/}');
Expect(1, 127488, '\p{Is_Sc=hira}', "");
Expect(0, 127488, '\p{^Is_Sc=hira}', "");
Expect(0, 127488, '\P{Is_Sc=hira}', "");
Expect(1, 127488, '\P{^Is_Sc=hira}', "");
Expect(0, 127489, '\p{Is_Sc=hira}', "");
Expect(1, 127489, '\p{^Is_Sc=hira}', "");
Expect(1, 127489, '\P{Is_Sc=hira}', "");
Expect(0, 127489, '\P{^Is_Sc=hira}', "");
Expect(1, 127488, '\p{Is_Sc:	HIRA}', "");
Expect(0, 127488, '\p{^Is_Sc:	HIRA}', "");
Expect(0, 127488, '\P{Is_Sc:	HIRA}', "");
Expect(1, 127488, '\P{^Is_Sc:	HIRA}', "");
Expect(0, 127489, '\p{Is_Sc:	HIRA}', "");
Expect(1, 127489, '\p{^Is_Sc:	HIRA}', "");
Expect(1, 127489, '\P{Is_Sc:	HIRA}', "");
Expect(0, 127489, '\P{^Is_Sc:	HIRA}', "");
Error('\p{Script: 	:=Pahawh_Hmong}');
Error('\P{Script: 	:=Pahawh_Hmong}');
Expect(1, 93071, '\p{Script=pahawhhmong}', "");
Expect(0, 93071, '\p{^Script=pahawhhmong}', "");
Expect(0, 93071, '\P{Script=pahawhhmong}', "");
Expect(1, 93071, '\P{^Script=pahawhhmong}', "");
Expect(0, 93072, '\p{Script=pahawhhmong}', "");
Expect(1, 93072, '\p{^Script=pahawhhmong}', "");
Expect(1, 93072, '\P{Script=pahawhhmong}', "");
Expect(0, 93072, '\P{^Script=pahawhhmong}', "");
Expect(1, 93071, '\p{Script=	 Pahawh_hmong}', "");
Expect(0, 93071, '\p{^Script=	 Pahawh_hmong}', "");
Expect(0, 93071, '\P{Script=	 Pahawh_hmong}', "");
Expect(1, 93071, '\P{^Script=	 Pahawh_hmong}', "");
Expect(0, 93072, '\p{Script=	 Pahawh_hmong}', "");
Expect(1, 93072, '\p{^Script=	 Pahawh_hmong}', "");
Expect(1, 93072, '\P{Script=	 Pahawh_hmong}', "");
Expect(0, 93072, '\P{^Script=	 Pahawh_hmong}', "");
Error('\p{Sc=-/a/hmng}');
Error('\P{Sc=-/a/hmng}');
Expect(1, 93071, '\p{Sc=hmng}', "");
Expect(0, 93071, '\p{^Sc=hmng}', "");
Expect(0, 93071, '\P{Sc=hmng}', "");
Expect(1, 93071, '\P{^Sc=hmng}', "");
Expect(0, 93072, '\p{Sc=hmng}', "");
Expect(1, 93072, '\p{^Sc=hmng}', "");
Expect(1, 93072, '\P{Sc=hmng}', "");
Expect(0, 93072, '\P{^Sc=hmng}', "");
Expect(1, 93071, '\p{Sc=  hmng}', "");
Expect(0, 93071, '\p{^Sc=  hmng}', "");
Expect(0, 93071, '\P{Sc=  hmng}', "");
Expect(1, 93071, '\P{^Sc=  hmng}', "");
Expect(0, 93072, '\p{Sc=  hmng}', "");
Expect(1, 93072, '\p{^Sc=  hmng}', "");
Expect(1, 93072, '\P{Sc=  hmng}', "");
Expect(0, 93072, '\P{^Sc=  hmng}', "");
Error('\p{Is_Script=_/a/Pahawh_Hmong}');
Error('\P{Is_Script=_/a/Pahawh_Hmong}');
Expect(1, 93071, '\p{Is_Script=pahawhhmong}', "");
Expect(0, 93071, '\p{^Is_Script=pahawhhmong}', "");
Expect(0, 93071, '\P{Is_Script=pahawhhmong}', "");
Expect(1, 93071, '\P{^Is_Script=pahawhhmong}', "");
Expect(0, 93072, '\p{Is_Script=pahawhhmong}', "");
Expect(1, 93072, '\p{^Is_Script=pahawhhmong}', "");
Expect(1, 93072, '\P{Is_Script=pahawhhmong}', "");
Expect(0, 93072, '\P{^Is_Script=pahawhhmong}', "");
Expect(1, 93071, '\p{Is_Script=-	PAHAWH_Hmong}', "");
Expect(0, 93071, '\p{^Is_Script=-	PAHAWH_Hmong}', "");
Expect(0, 93071, '\P{Is_Script=-	PAHAWH_Hmong}', "");
Expect(1, 93071, '\P{^Is_Script=-	PAHAWH_Hmong}', "");
Expect(0, 93072, '\p{Is_Script=-	PAHAWH_Hmong}', "");
Expect(1, 93072, '\p{^Is_Script=-	PAHAWH_Hmong}', "");
Expect(1, 93072, '\P{Is_Script=-	PAHAWH_Hmong}', "");
Expect(0, 93072, '\P{^Is_Script=-	PAHAWH_Hmong}', "");
Error('\p{Is_Sc=		Hmng/a/}');
Error('\P{Is_Sc=		Hmng/a/}');
Expect(1, 93071, '\p{Is_Sc=hmng}', "");
Expect(0, 93071, '\p{^Is_Sc=hmng}', "");
Expect(0, 93071, '\P{Is_Sc=hmng}', "");
Expect(1, 93071, '\P{^Is_Sc=hmng}', "");
Expect(0, 93072, '\p{Is_Sc=hmng}', "");
Expect(1, 93072, '\p{^Is_Sc=hmng}', "");
Expect(1, 93072, '\P{Is_Sc=hmng}', "");
Expect(0, 93072, '\P{^Is_Sc=hmng}', "");
Expect(1, 93071, '\p{Is_Sc=_Hmng}', "");
Expect(0, 93071, '\p{^Is_Sc=_Hmng}', "");
Expect(0, 93071, '\P{Is_Sc=_Hmng}', "");
Expect(1, 93071, '\P{^Is_Sc=_Hmng}', "");
Expect(0, 93072, '\p{Is_Sc=_Hmng}', "");
Expect(1, 93072, '\p{^Is_Sc=_Hmng}', "");
Expect(1, 93072, '\P{Is_Sc=_Hmng}', "");
Expect(0, 93072, '\P{^Is_Sc=_Hmng}', "");
Error('\p{Script=Katakana_Or_Hiragana}');
Error('\P{Script=Katakana_Or_Hiragana}');
Error('\p{Sc=Hrkt}');
Error('\P{Sc=Hrkt}');
Error('\p{Is_Script=Katakana_Or_Hiragana}');
Error('\P{Is_Script=Katakana_Or_Hiragana}');
Error('\p{Is_Sc=Hrkt}');
Error('\P{Is_Sc=Hrkt}');
Error('\p{Script=_ OLD_Italic:=}');
Error('\P{Script=_ OLD_Italic:=}');
Expect(1, 66339, '\p{Script=olditalic}', "");
Expect(0, 66339, '\p{^Script=olditalic}', "");
Expect(0, 66339, '\P{Script=olditalic}', "");
Expect(1, 66339, '\P{^Script=olditalic}', "");
Expect(0, 66340, '\p{Script=olditalic}', "");
Expect(1, 66340, '\p{^Script=olditalic}', "");
Expect(1, 66340, '\P{Script=olditalic}', "");
Expect(0, 66340, '\P{^Script=olditalic}', "");
Expect(1, 66339, '\p{Script= -OLD_italic}', "");
Expect(0, 66339, '\p{^Script= -OLD_italic}', "");
Expect(0, 66339, '\P{Script= -OLD_italic}', "");
Expect(1, 66339, '\P{^Script= -OLD_italic}', "");
Expect(0, 66340, '\p{Script= -OLD_italic}', "");
Expect(1, 66340, '\p{^Script= -OLD_italic}', "");
Expect(1, 66340, '\P{Script= -OLD_italic}', "");
Expect(0, 66340, '\P{^Script= -OLD_italic}', "");
Error('\p{Sc=	 ITAL:=}');
Error('\P{Sc=	 ITAL:=}');
Expect(1, 66339, '\p{Sc=ital}', "");
Expect(0, 66339, '\p{^Sc=ital}', "");
Expect(0, 66339, '\P{Sc=ital}', "");
Expect(1, 66339, '\P{^Sc=ital}', "");
Expect(0, 66340, '\p{Sc=ital}', "");
Expect(1, 66340, '\p{^Sc=ital}', "");
Expect(1, 66340, '\P{Sc=ital}', "");
Expect(0, 66340, '\P{^Sc=ital}', "");
Expect(1, 66339, '\p{Sc=-ITAL}', "");
Expect(0, 66339, '\p{^Sc=-ITAL}', "");
Expect(0, 66339, '\P{Sc=-ITAL}', "");
Expect(1, 66339, '\P{^Sc=-ITAL}', "");
Expect(0, 66340, '\p{Sc=-ITAL}', "");
Expect(1, 66340, '\p{^Sc=-ITAL}', "");
Expect(1, 66340, '\P{Sc=-ITAL}', "");
Expect(0, 66340, '\P{^Sc=-ITAL}', "");
Error('\p{Is_Script= :=Old_Italic}');
Error('\P{Is_Script= :=Old_Italic}');
Expect(1, 66339, '\p{Is_Script=olditalic}', "");
Expect(0, 66339, '\p{^Is_Script=olditalic}', "");
Expect(0, 66339, '\P{Is_Script=olditalic}', "");
Expect(1, 66339, '\P{^Is_Script=olditalic}', "");
Expect(0, 66340, '\p{Is_Script=olditalic}', "");
Expect(1, 66340, '\p{^Is_Script=olditalic}', "");
Expect(1, 66340, '\P{Is_Script=olditalic}', "");
Expect(0, 66340, '\P{^Is_Script=olditalic}', "");
Expect(1, 66339, '\p{Is_Script=- Old_Italic}', "");
Expect(0, 66339, '\p{^Is_Script=- Old_Italic}', "");
Expect(0, 66339, '\P{Is_Script=- Old_Italic}', "");
Expect(1, 66339, '\P{^Is_Script=- Old_Italic}', "");
Expect(0, 66340, '\p{Is_Script=- Old_Italic}', "");
Expect(1, 66340, '\p{^Is_Script=- Old_Italic}', "");
Expect(1, 66340, '\P{Is_Script=- Old_Italic}', "");
Expect(0, 66340, '\P{^Is_Script=- Old_Italic}', "");
Error('\p{Is_Sc=--Ital:=}');
Error('\P{Is_Sc=--Ital:=}');
Expect(1, 66339, '\p{Is_Sc=ital}', "");
Expect(0, 66339, '\p{^Is_Sc=ital}', "");
Expect(0, 66339, '\P{Is_Sc=ital}', "");
Expect(1, 66339, '\P{^Is_Sc=ital}', "");
Expect(0, 66340, '\p{Is_Sc=ital}', "");
Expect(1, 66340, '\p{^Is_Sc=ital}', "");
Expect(1, 66340, '\P{Is_Sc=ital}', "");
Expect(0, 66340, '\P{^Is_Sc=ital}', "");
Expect(1, 66339, '\p{Is_Sc= _ITAL}', "");
Expect(0, 66339, '\p{^Is_Sc= _ITAL}', "");
Expect(0, 66339, '\P{Is_Sc= _ITAL}', "");
Expect(1, 66339, '\P{^Is_Sc= _ITAL}', "");
Expect(0, 66340, '\p{Is_Sc= _ITAL}', "");
Expect(1, 66340, '\p{^Is_Sc= _ITAL}', "");
Expect(1, 66340, '\P{Is_Sc= _ITAL}', "");
Expect(0, 66340, '\P{^Is_Sc= _ITAL}', "");
Error('\p{Script=--javanese/a/}');
Error('\P{Script=--javanese/a/}');
Expect(1, 43487, '\p{Script=javanese}', "");
Expect(0, 43487, '\p{^Script=javanese}', "");
Expect(0, 43487, '\P{Script=javanese}', "");
Expect(1, 43487, '\P{^Script=javanese}', "");
Expect(0, 43488, '\p{Script=javanese}', "");
Expect(1, 43488, '\p{^Script=javanese}', "");
Expect(1, 43488, '\P{Script=javanese}', "");
Expect(0, 43488, '\P{^Script=javanese}', "");
Expect(1, 43487, '\p{Script=	-JAVANESE}', "");
Expect(0, 43487, '\p{^Script=	-JAVANESE}', "");
Expect(0, 43487, '\P{Script=	-JAVANESE}', "");
Expect(1, 43487, '\P{^Script=	-JAVANESE}', "");
Expect(0, 43488, '\p{Script=	-JAVANESE}', "");
Expect(1, 43488, '\p{^Script=	-JAVANESE}', "");
Expect(1, 43488, '\P{Script=	-JAVANESE}', "");
Expect(0, 43488, '\P{^Script=	-JAVANESE}', "");
Error('\p{Sc= 	java/a/}');
Error('\P{Sc= 	java/a/}');
Expect(1, 43487, '\p{Sc=java}', "");
Expect(0, 43487, '\p{^Sc=java}', "");
Expect(0, 43487, '\P{Sc=java}', "");
Expect(1, 43487, '\P{^Sc=java}', "");
Expect(0, 43488, '\p{Sc=java}', "");
Expect(1, 43488, '\p{^Sc=java}', "");
Expect(1, 43488, '\P{Sc=java}', "");
Expect(0, 43488, '\P{^Sc=java}', "");
Expect(1, 43487, '\p{Sc=	_Java}', "");
Expect(0, 43487, '\p{^Sc=	_Java}', "");
Expect(0, 43487, '\P{Sc=	_Java}', "");
Expect(1, 43487, '\P{^Sc=	_Java}', "");
Expect(0, 43488, '\p{Sc=	_Java}', "");
Expect(1, 43488, '\p{^Sc=	_Java}', "");
Expect(1, 43488, '\P{Sc=	_Java}', "");
Expect(0, 43488, '\P{^Sc=	_Java}', "");
Error('\p{Is_Script=:=-javanese}');
Error('\P{Is_Script=:=-javanese}');
Expect(1, 43487, '\p{Is_Script=javanese}', "");
Expect(0, 43487, '\p{^Is_Script=javanese}', "");
Expect(0, 43487, '\P{Is_Script=javanese}', "");
Expect(1, 43487, '\P{^Is_Script=javanese}', "");
Expect(0, 43488, '\p{Is_Script=javanese}', "");
Expect(1, 43488, '\p{^Is_Script=javanese}', "");
Expect(1, 43488, '\P{Is_Script=javanese}', "");
Expect(0, 43488, '\P{^Is_Script=javanese}', "");
Expect(1, 43487, '\p{Is_Script=__Javanese}', "");
Expect(0, 43487, '\p{^Is_Script=__Javanese}', "");
Expect(0, 43487, '\P{Is_Script=__Javanese}', "");
Expect(1, 43487, '\P{^Is_Script=__Javanese}', "");
Expect(0, 43488, '\p{Is_Script=__Javanese}', "");
Expect(1, 43488, '\p{^Is_Script=__Javanese}', "");
Expect(1, 43488, '\P{Is_Script=__Javanese}', "");
Expect(0, 43488, '\P{^Is_Script=__Javanese}', "");
Error('\p{Is_Sc=_	JAVA/a/}');
Error('\P{Is_Sc=_	JAVA/a/}');
Expect(1, 43487, '\p{Is_Sc=java}', "");
Expect(0, 43487, '\p{^Is_Sc=java}', "");
Expect(0, 43487, '\P{Is_Sc=java}', "");
Expect(1, 43487, '\P{^Is_Sc=java}', "");
Expect(0, 43488, '\p{Is_Sc=java}', "");
Expect(1, 43488, '\p{^Is_Sc=java}', "");
Expect(1, 43488, '\P{Is_Sc=java}', "");
Expect(0, 43488, '\P{^Is_Sc=java}', "");
Expect(1, 43487, '\p{Is_Sc=-_Java}', "");
Expect(0, 43487, '\p{^Is_Sc=-_Java}', "");
Expect(0, 43487, '\P{Is_Sc=-_Java}', "");
Expect(1, 43487, '\P{^Is_Sc=-_Java}', "");
Expect(0, 43488, '\p{Is_Sc=-_Java}', "");
Expect(1, 43488, '\p{^Is_Sc=-_Java}', "");
Expect(1, 43488, '\P{Is_Sc=-_Java}', "");
Expect(0, 43488, '\P{^Is_Sc=-_Java}', "");
Error('\p{Script=/a/--kayah_Li}');
Error('\P{Script=/a/--kayah_Li}');
Expect(1, 43311, '\p{Script=kayahli}', "");
Expect(0, 43311, '\p{^Script=kayahli}', "");
Expect(0, 43311, '\P{Script=kayahli}', "");
Expect(1, 43311, '\P{^Script=kayahli}', "");
Expect(0, 43312, '\p{Script=kayahli}', "");
Expect(1, 43312, '\p{^Script=kayahli}', "");
Expect(1, 43312, '\P{Script=kayahli}', "");
Expect(0, 43312, '\P{^Script=kayahli}', "");
Expect(1, 43311, '\p{Script= -kayah_Li}', "");
Expect(0, 43311, '\p{^Script= -kayah_Li}', "");
Expect(0, 43311, '\P{Script= -kayah_Li}', "");
Expect(1, 43311, '\P{^Script= -kayah_Li}', "");
Expect(0, 43312, '\p{Script= -kayah_Li}', "");
Expect(1, 43312, '\p{^Script= -kayah_Li}', "");
Expect(1, 43312, '\P{Script= -kayah_Li}', "");
Expect(0, 43312, '\P{^Script= -kayah_Li}', "");
Error('\p{Sc=	/a/kali}');
Error('\P{Sc=	/a/kali}');
Expect(1, 43311, '\p{Sc:kali}', "");
Expect(0, 43311, '\p{^Sc:kali}', "");
Expect(0, 43311, '\P{Sc:kali}', "");
Expect(1, 43311, '\P{^Sc:kali}', "");
Expect(0, 43312, '\p{Sc:kali}', "");
Expect(1, 43312, '\p{^Sc:kali}', "");
Expect(1, 43312, '\P{Sc:kali}', "");
Expect(0, 43312, '\P{^Sc:kali}', "");
Expect(1, 43311, '\p{Sc=_kali}', "");
Expect(0, 43311, '\p{^Sc=_kali}', "");
Expect(0, 43311, '\P{Sc=_kali}', "");
Expect(1, 43311, '\P{^Sc=_kali}', "");
Expect(0, 43312, '\p{Sc=_kali}', "");
Expect(1, 43312, '\p{^Sc=_kali}', "");
Expect(1, 43312, '\P{Sc=_kali}', "");
Expect(0, 43312, '\P{^Sc=_kali}', "");
Error('\p{Is_Script= -KAYAH_li:=}');
Error('\P{Is_Script= -KAYAH_li:=}');
Expect(1, 43311, '\p{Is_Script=kayahli}', "");
Expect(0, 43311, '\p{^Is_Script=kayahli}', "");
Expect(0, 43311, '\P{Is_Script=kayahli}', "");
Expect(1, 43311, '\P{^Is_Script=kayahli}', "");
Expect(0, 43312, '\p{Is_Script=kayahli}', "");
Expect(1, 43312, '\p{^Is_Script=kayahli}', "");
Expect(1, 43312, '\P{Is_Script=kayahli}', "");
Expect(0, 43312, '\P{^Is_Script=kayahli}', "");
Expect(1, 43311, '\p{Is_Script=	Kayah_Li}', "");
Expect(0, 43311, '\p{^Is_Script=	Kayah_Li}', "");
Expect(0, 43311, '\P{Is_Script=	Kayah_Li}', "");
Expect(1, 43311, '\P{^Is_Script=	Kayah_Li}', "");
Expect(0, 43312, '\p{Is_Script=	Kayah_Li}', "");
Expect(1, 43312, '\p{^Is_Script=	Kayah_Li}', "");
Expect(1, 43312, '\P{Is_Script=	Kayah_Li}', "");
Expect(0, 43312, '\P{^Is_Script=	Kayah_Li}', "");
Error('\p{Is_Sc=:=-_Kali}');
Error('\P{Is_Sc=:=-_Kali}');
Expect(1, 43311, '\p{Is_Sc: kali}', "");
Expect(0, 43311, '\p{^Is_Sc: kali}', "");
Expect(0, 43311, '\P{Is_Sc: kali}', "");
Expect(1, 43311, '\P{^Is_Sc: kali}', "");
Expect(0, 43312, '\p{Is_Sc: kali}', "");
Expect(1, 43312, '\p{^Is_Sc: kali}', "");
Expect(1, 43312, '\P{Is_Sc: kali}', "");
Expect(0, 43312, '\P{^Is_Sc: kali}', "");
Expect(1, 43311, '\p{Is_Sc=	 kali}', "");
Expect(0, 43311, '\p{^Is_Sc=	 kali}', "");
Expect(0, 43311, '\P{Is_Sc=	 kali}', "");
Expect(1, 43311, '\P{^Is_Sc=	 kali}', "");
Expect(0, 43312, '\p{Is_Sc=	 kali}', "");
Expect(1, 43312, '\p{^Is_Sc=	 kali}', "");
Expect(1, 43312, '\P{Is_Sc=	 kali}', "");
Expect(0, 43312, '\P{^Is_Sc=	 kali}', "");
Error('\p{Script=/a/ Katakana}');
Error('\P{Script=/a/ Katakana}');
Expect(1, 110592, '\p{Script=katakana}', "");
Expect(0, 110592, '\p{^Script=katakana}', "");
Expect(0, 110592, '\P{Script=katakana}', "");
Expect(1, 110592, '\P{^Script=katakana}', "");
Expect(0, 110593, '\p{Script=katakana}', "");
Expect(1, 110593, '\p{^Script=katakana}', "");
Expect(1, 110593, '\P{Script=katakana}', "");
Expect(0, 110593, '\P{^Script=katakana}', "");
Expect(1, 110592, '\p{Script= Katakana}', "");
Expect(0, 110592, '\p{^Script= Katakana}', "");
Expect(0, 110592, '\P{Script= Katakana}', "");
Expect(1, 110592, '\P{^Script= Katakana}', "");
Expect(0, 110593, '\p{Script= Katakana}', "");
Expect(1, 110593, '\p{^Script= Katakana}', "");
Expect(1, 110593, '\P{Script= Katakana}', "");
Expect(0, 110593, '\P{^Script= Katakana}', "");
Error('\p{Sc=:= kana}');
Error('\P{Sc=:= kana}');
Expect(1, 110592, '\p{Sc=kana}', "");
Expect(0, 110592, '\p{^Sc=kana}', "");
Expect(0, 110592, '\P{Sc=kana}', "");
Expect(1, 110592, '\P{^Sc=kana}', "");
Expect(0, 110593, '\p{Sc=kana}', "");
Expect(1, 110593, '\p{^Sc=kana}', "");
Expect(1, 110593, '\P{Sc=kana}', "");
Expect(0, 110593, '\P{^Sc=kana}', "");
Expect(1, 110592, '\p{Sc=_	KANA}', "");
Expect(0, 110592, '\p{^Sc=_	KANA}', "");
Expect(0, 110592, '\P{Sc=_	KANA}', "");
Expect(1, 110592, '\P{^Sc=_	KANA}', "");
Expect(0, 110593, '\p{Sc=_	KANA}', "");
Expect(1, 110593, '\p{^Sc=_	KANA}', "");
Expect(1, 110593, '\P{Sc=_	KANA}', "");
Expect(0, 110593, '\P{^Sc=_	KANA}', "");
Error('\p{Is_Script= :=KATAKANA}');
Error('\P{Is_Script= :=KATAKANA}');
Expect(1, 110592, '\p{Is_Script=katakana}', "");
Expect(0, 110592, '\p{^Is_Script=katakana}', "");
Expect(0, 110592, '\P{Is_Script=katakana}', "");
Expect(1, 110592, '\P{^Is_Script=katakana}', "");
Expect(0, 110593, '\p{Is_Script=katakana}', "");
Expect(1, 110593, '\p{^Is_Script=katakana}', "");
Expect(1, 110593, '\P{Is_Script=katakana}', "");
Expect(0, 110593, '\P{^Is_Script=katakana}', "");
Expect(1, 110592, '\p{Is_Script:_ Katakana}', "");
Expect(0, 110592, '\p{^Is_Script:_ Katakana}', "");
Expect(0, 110592, '\P{Is_Script:_ Katakana}', "");
Expect(1, 110592, '\P{^Is_Script:_ Katakana}', "");
Expect(0, 110593, '\p{Is_Script:_ Katakana}', "");
Expect(1, 110593, '\p{^Is_Script:_ Katakana}', "");
Expect(1, 110593, '\P{Is_Script:_ Katakana}', "");
Expect(0, 110593, '\P{^Is_Script:_ Katakana}', "");
Error('\p{Is_Sc=:=Kana}');
Error('\P{Is_Sc=:=Kana}');
Expect(1, 110592, '\p{Is_Sc=kana}', "");
Expect(0, 110592, '\p{^Is_Sc=kana}', "");
Expect(0, 110592, '\P{Is_Sc=kana}', "");
Expect(1, 110592, '\P{^Is_Sc=kana}', "");
Expect(0, 110593, '\p{Is_Sc=kana}', "");
Expect(1, 110593, '\p{^Is_Sc=kana}', "");
Expect(1, 110593, '\P{Is_Sc=kana}', "");
Expect(0, 110593, '\P{^Is_Sc=kana}', "");
Expect(1, 110592, '\p{Is_Sc=__KANA}', "");
Expect(0, 110592, '\p{^Is_Sc=__KANA}', "");
Expect(0, 110592, '\P{Is_Sc=__KANA}', "");
Expect(1, 110592, '\P{^Is_Sc=__KANA}', "");
Expect(0, 110593, '\p{Is_Sc=__KANA}', "");
Expect(1, 110593, '\p{^Is_Sc=__KANA}', "");
Expect(1, 110593, '\P{Is_Sc=__KANA}', "");
Expect(0, 110593, '\P{^Is_Sc=__KANA}', "");
Error('\p{Script:   /a/ -Kharoshthi}');
Error('\P{Script:   /a/ -Kharoshthi}');
Expect(1, 68184, '\p{Script:kharoshthi}', "");
Expect(0, 68184, '\p{^Script:kharoshthi}', "");
Expect(0, 68184, '\P{Script:kharoshthi}', "");
Expect(1, 68184, '\P{^Script:kharoshthi}', "");
Expect(0, 68185, '\p{Script:kharoshthi}', "");
Expect(1, 68185, '\p{^Script:kharoshthi}', "");
Expect(1, 68185, '\P{Script:kharoshthi}', "");
Expect(0, 68185, '\P{^Script:kharoshthi}', "");
Expect(1, 68184, '\p{Script=__Kharoshthi}', "");
Expect(0, 68184, '\p{^Script=__Kharoshthi}', "");
Expect(0, 68184, '\P{Script=__Kharoshthi}', "");
Expect(1, 68184, '\P{^Script=__Kharoshthi}', "");
Expect(0, 68185, '\p{Script=__Kharoshthi}', "");
Expect(1, 68185, '\p{^Script=__Kharoshthi}', "");
Expect(1, 68185, '\P{Script=__Kharoshthi}', "");
Expect(0, 68185, '\P{^Script=__Kharoshthi}', "");
Error('\p{Sc=/a/-	KHAR}');
Error('\P{Sc=/a/-	KHAR}');
Expect(1, 68184, '\p{Sc:   khar}', "");
Expect(0, 68184, '\p{^Sc:   khar}', "");
Expect(0, 68184, '\P{Sc:   khar}', "");
Expect(1, 68184, '\P{^Sc:   khar}', "");
Expect(0, 68185, '\p{Sc:   khar}', "");
Expect(1, 68185, '\p{^Sc:   khar}', "");
Expect(1, 68185, '\P{Sc:   khar}', "");
Expect(0, 68185, '\P{^Sc:   khar}', "");
Expect(1, 68184, '\p{Sc=_Khar}', "");
Expect(0, 68184, '\p{^Sc=_Khar}', "");
Expect(0, 68184, '\P{Sc=_Khar}', "");
Expect(1, 68184, '\P{^Sc=_Khar}', "");
Expect(0, 68185, '\p{Sc=_Khar}', "");
Expect(1, 68185, '\p{^Sc=_Khar}', "");
Expect(1, 68185, '\P{Sc=_Khar}', "");
Expect(0, 68185, '\P{^Sc=_Khar}', "");
Error('\p{Is_Script=_	KHAROSHTHI:=}');
Error('\P{Is_Script=_	KHAROSHTHI:=}');
Expect(1, 68184, '\p{Is_Script=kharoshthi}', "");
Expect(0, 68184, '\p{^Is_Script=kharoshthi}', "");
Expect(0, 68184, '\P{Is_Script=kharoshthi}', "");
Expect(1, 68184, '\P{^Is_Script=kharoshthi}', "");
Expect(0, 68185, '\p{Is_Script=kharoshthi}', "");
Expect(1, 68185, '\p{^Is_Script=kharoshthi}', "");
Expect(1, 68185, '\P{Is_Script=kharoshthi}', "");
Expect(0, 68185, '\P{^Is_Script=kharoshthi}', "");
Expect(1, 68184, '\p{Is_Script=Kharoshthi}', "");
Expect(0, 68184, '\p{^Is_Script=Kharoshthi}', "");
Expect(0, 68184, '\P{Is_Script=Kharoshthi}', "");
Expect(1, 68184, '\P{^Is_Script=Kharoshthi}', "");
Expect(0, 68185, '\p{Is_Script=Kharoshthi}', "");
Expect(1, 68185, '\p{^Is_Script=Kharoshthi}', "");
Expect(1, 68185, '\P{Is_Script=Kharoshthi}', "");
Expect(0, 68185, '\P{^Is_Script=Kharoshthi}', "");
Error('\p{Is_Sc= /a/khar}');
Error('\P{Is_Sc= /a/khar}');
Expect(1, 68184, '\p{Is_Sc=khar}', "");
Expect(0, 68184, '\p{^Is_Sc=khar}', "");
Expect(0, 68184, '\P{Is_Sc=khar}', "");
Expect(1, 68184, '\P{^Is_Sc=khar}', "");
Expect(0, 68185, '\p{Is_Sc=khar}', "");
Expect(1, 68185, '\p{^Is_Sc=khar}', "");
Expect(1, 68185, '\P{Is_Sc=khar}', "");
Expect(0, 68185, '\P{^Is_Sc=khar}', "");
Expect(1, 68184, '\p{Is_Sc:   _-khar}', "");
Expect(0, 68184, '\p{^Is_Sc:   _-khar}', "");
Expect(0, 68184, '\P{Is_Sc:   _-khar}', "");
Expect(1, 68184, '\P{^Is_Sc:   _-khar}', "");
Expect(0, 68185, '\p{Is_Sc:   _-khar}', "");
Expect(1, 68185, '\p{^Is_Sc:   _-khar}', "");
Expect(1, 68185, '\P{Is_Sc:   _-khar}', "");
Expect(0, 68185, '\P{^Is_Sc:   _-khar}', "");
Error('\p{Script= :=Khmer}');
Error('\P{Script= :=Khmer}');
Expect(1, 6655, '\p{Script=khmer}', "");
Expect(0, 6655, '\p{^Script=khmer}', "");
Expect(0, 6655, '\P{Script=khmer}', "");
Expect(1, 6655, '\P{^Script=khmer}', "");
Expect(0, 6656, '\p{Script=khmer}', "");
Expect(1, 6656, '\p{^Script=khmer}', "");
Expect(1, 6656, '\P{Script=khmer}', "");
Expect(0, 6656, '\P{^Script=khmer}', "");
Expect(1, 6655, '\p{Script=_ khmer}', "");
Expect(0, 6655, '\p{^Script=_ khmer}', "");
Expect(0, 6655, '\P{Script=_ khmer}', "");
Expect(1, 6655, '\P{^Script=_ khmer}', "");
Expect(0, 6656, '\p{Script=_ khmer}', "");
Expect(1, 6656, '\p{^Script=_ khmer}', "");
Expect(1, 6656, '\P{Script=_ khmer}', "");
Expect(0, 6656, '\P{^Script=_ khmer}', "");
Error('\p{Sc=_Khmr/a/}');
Error('\P{Sc=_Khmr/a/}');
Expect(1, 6655, '\p{Sc=khmr}', "");
Expect(0, 6655, '\p{^Sc=khmr}', "");
Expect(0, 6655, '\P{Sc=khmr}', "");
Expect(1, 6655, '\P{^Sc=khmr}', "");
Expect(0, 6656, '\p{Sc=khmr}', "");
Expect(1, 6656, '\p{^Sc=khmr}', "");
Expect(1, 6656, '\P{Sc=khmr}', "");
Expect(0, 6656, '\P{^Sc=khmr}', "");
Expect(1, 6655, '\p{Sc:	KHMR}', "");
Expect(0, 6655, '\p{^Sc:	KHMR}', "");
Expect(0, 6655, '\P{Sc:	KHMR}', "");
Expect(1, 6655, '\P{^Sc:	KHMR}', "");
Expect(0, 6656, '\p{Sc:	KHMR}', "");
Expect(1, 6656, '\p{^Sc:	KHMR}', "");
Expect(1, 6656, '\P{Sc:	KHMR}', "");
Expect(0, 6656, '\P{^Sc:	KHMR}', "");
Error('\p{Is_Script=-/a/khmer}');
Error('\P{Is_Script=-/a/khmer}');
Expect(1, 6655, '\p{Is_Script=khmer}', "");
Expect(0, 6655, '\p{^Is_Script=khmer}', "");
Expect(0, 6655, '\P{Is_Script=khmer}', "");
Expect(1, 6655, '\P{^Is_Script=khmer}', "");
Expect(0, 6656, '\p{Is_Script=khmer}', "");
Expect(1, 6656, '\p{^Is_Script=khmer}', "");
Expect(1, 6656, '\P{Is_Script=khmer}', "");
Expect(0, 6656, '\P{^Is_Script=khmer}', "");
Expect(1, 6655, '\p{Is_Script= 	khmer}', "");
Expect(0, 6655, '\p{^Is_Script= 	khmer}', "");
Expect(0, 6655, '\P{Is_Script= 	khmer}', "");
Expect(1, 6655, '\P{^Is_Script= 	khmer}', "");
Expect(0, 6656, '\p{Is_Script= 	khmer}', "");
Expect(1, 6656, '\p{^Is_Script= 	khmer}', "");
Expect(1, 6656, '\P{Is_Script= 	khmer}', "");
Expect(0, 6656, '\P{^Is_Script= 	khmer}', "");
Error('\p{Is_Sc:    /a/KHMR}');
Error('\P{Is_Sc:    /a/KHMR}');
Expect(1, 6655, '\p{Is_Sc=khmr}', "");
Expect(0, 6655, '\p{^Is_Sc=khmr}', "");
Expect(0, 6655, '\P{Is_Sc=khmr}', "");
Expect(1, 6655, '\P{^Is_Sc=khmr}', "");
Expect(0, 6656, '\p{Is_Sc=khmr}', "");
Expect(1, 6656, '\p{^Is_Sc=khmr}', "");
Expect(1, 6656, '\P{Is_Sc=khmr}', "");
Expect(0, 6656, '\P{^Is_Sc=khmr}', "");
Expect(1, 6655, '\p{Is_Sc=_Khmr}', "");
Expect(0, 6655, '\p{^Is_Sc=_Khmr}', "");
Expect(0, 6655, '\P{Is_Sc=_Khmr}', "");
Expect(1, 6655, '\P{^Is_Sc=_Khmr}', "");
Expect(0, 6656, '\p{Is_Sc=_Khmr}', "");
Expect(1, 6656, '\p{^Is_Sc=_Khmr}', "");
Expect(1, 6656, '\P{Is_Sc=_Khmr}', "");
Expect(0, 6656, '\P{^Is_Sc=_Khmr}', "");
Error('\p{Script=--Khojki/a/}');
Error('\P{Script=--Khojki/a/}');
Expect(1, 70205, '\p{Script=khojki}', "");
Expect(0, 70205, '\p{^Script=khojki}', "");
Expect(0, 70205, '\P{Script=khojki}', "");
Expect(1, 70205, '\P{^Script=khojki}', "");
Expect(0, 70206, '\p{Script=khojki}', "");
Expect(1, 70206, '\p{^Script=khojki}', "");
Expect(1, 70206, '\P{Script=khojki}', "");
Expect(0, 70206, '\P{^Script=khojki}', "");
Expect(1, 70205, '\p{Script=_-Khojki}', "");
Expect(0, 70205, '\p{^Script=_-Khojki}', "");
Expect(0, 70205, '\P{Script=_-Khojki}', "");
Expect(1, 70205, '\P{^Script=_-Khojki}', "");
Expect(0, 70206, '\p{Script=_-Khojki}', "");
Expect(1, 70206, '\p{^Script=_-Khojki}', "");
Expect(1, 70206, '\P{Script=_-Khojki}', "");
Expect(0, 70206, '\P{^Script=_-Khojki}', "");
Error('\p{Sc=/a/	Khoj}');
Error('\P{Sc=/a/	Khoj}');
Expect(1, 70205, '\p{Sc:	khoj}', "");
Expect(0, 70205, '\p{^Sc:	khoj}', "");
Expect(0, 70205, '\P{Sc:	khoj}', "");
Expect(1, 70205, '\P{^Sc:	khoj}', "");
Expect(0, 70206, '\p{Sc:	khoj}', "");
Expect(1, 70206, '\p{^Sc:	khoj}', "");
Expect(1, 70206, '\P{Sc:	khoj}', "");
Expect(0, 70206, '\P{^Sc:	khoj}', "");
Expect(1, 70205, '\p{Sc=-KHOJ}', "");
Expect(0, 70205, '\p{^Sc=-KHOJ}', "");
Expect(0, 70205, '\P{Sc=-KHOJ}', "");
Expect(1, 70205, '\P{^Sc=-KHOJ}', "");
Expect(0, 70206, '\p{Sc=-KHOJ}', "");
Expect(1, 70206, '\p{^Sc=-KHOJ}', "");
Expect(1, 70206, '\P{Sc=-KHOJ}', "");
Expect(0, 70206, '\P{^Sc=-KHOJ}', "");
Error('\p{Is_Script=:=Khojki}');
Error('\P{Is_Script=:=Khojki}');
Expect(1, 70205, '\p{Is_Script=khojki}', "");
Expect(0, 70205, '\p{^Is_Script=khojki}', "");
Expect(0, 70205, '\P{Is_Script=khojki}', "");
Expect(1, 70205, '\P{^Is_Script=khojki}', "");
Expect(0, 70206, '\p{Is_Script=khojki}', "");
Expect(1, 70206, '\p{^Is_Script=khojki}', "");
Expect(1, 70206, '\P{Is_Script=khojki}', "");
Expect(0, 70206, '\P{^Is_Script=khojki}', "");
Expect(1, 70205, '\p{Is_Script=_ Khojki}', "");
Expect(0, 70205, '\p{^Is_Script=_ Khojki}', "");
Expect(0, 70205, '\P{Is_Script=_ Khojki}', "");
Expect(1, 70205, '\P{^Is_Script=_ Khojki}', "");
Expect(0, 70206, '\p{Is_Script=_ Khojki}', "");
Expect(1, 70206, '\p{^Is_Script=_ Khojki}', "");
Expect(1, 70206, '\P{Is_Script=_ Khojki}', "");
Expect(0, 70206, '\P{^Is_Script=_ Khojki}', "");
Error('\p{Is_Sc=	_Khoj:=}');
Error('\P{Is_Sc=	_Khoj:=}');
Expect(1, 70205, '\p{Is_Sc:   khoj}', "");
Expect(0, 70205, '\p{^Is_Sc:   khoj}', "");
Expect(0, 70205, '\P{Is_Sc:   khoj}', "");
Expect(1, 70205, '\P{^Is_Sc:   khoj}', "");
Expect(0, 70206, '\p{Is_Sc:   khoj}', "");
Expect(1, 70206, '\p{^Is_Sc:   khoj}', "");
Expect(1, 70206, '\P{Is_Sc:   khoj}', "");
Expect(0, 70206, '\P{^Is_Sc:   khoj}', "");
Expect(1, 70205, '\p{Is_Sc:    Khoj}', "");
Expect(0, 70205, '\p{^Is_Sc:    Khoj}', "");
Expect(0, 70205, '\P{Is_Sc:    Khoj}', "");
Expect(1, 70205, '\P{^Is_Sc:    Khoj}', "");
Expect(0, 70206, '\p{Is_Sc:    Khoj}', "");
Expect(1, 70206, '\p{^Is_Sc:    Khoj}', "");
Expect(1, 70206, '\P{Is_Sc:    Khoj}', "");
Expect(0, 70206, '\P{^Is_Sc:    Khoj}', "");
Error('\p{Script=-:=Kannada}');
Error('\P{Script=-:=Kannada}');
Expect(1, 3314, '\p{Script=kannada}', "");
Expect(0, 3314, '\p{^Script=kannada}', "");
Expect(0, 3314, '\P{Script=kannada}', "");
Expect(1, 3314, '\P{^Script=kannada}', "");
Expect(0, 3315, '\p{Script=kannada}', "");
Expect(1, 3315, '\p{^Script=kannada}', "");
Expect(1, 3315, '\P{Script=kannada}', "");
Expect(0, 3315, '\P{^Script=kannada}', "");
Expect(1, 3314, '\p{Script=	_Kannada}', "");
Expect(0, 3314, '\p{^Script=	_Kannada}', "");
Expect(0, 3314, '\P{Script=	_Kannada}', "");
Expect(1, 3314, '\P{^Script=	_Kannada}', "");
Expect(0, 3315, '\p{Script=	_Kannada}', "");
Expect(1, 3315, '\p{^Script=	_Kannada}', "");
Expect(1, 3315, '\P{Script=	_Kannada}', "");
Expect(0, 3315, '\P{^Script=	_Kannada}', "");
Error('\p{Sc: :=_knda}');
Error('\P{Sc: :=_knda}');
Expect(1, 3314, '\p{Sc:   knda}', "");
Expect(0, 3314, '\p{^Sc:   knda}', "");
Expect(0, 3314, '\P{Sc:   knda}', "");
Expect(1, 3314, '\P{^Sc:   knda}', "");
Expect(0, 3315, '\p{Sc:   knda}', "");
Expect(1, 3315, '\p{^Sc:   knda}', "");
Expect(1, 3315, '\P{Sc:   knda}', "");
Expect(0, 3315, '\P{^Sc:   knda}', "");
Expect(1, 3314, '\p{Sc= -Knda}', "");
Expect(0, 3314, '\p{^Sc= -Knda}', "");
Expect(0, 3314, '\P{Sc= -Knda}', "");
Expect(1, 3314, '\P{^Sc= -Knda}', "");
Expect(0, 3315, '\p{Sc= -Knda}', "");
Expect(1, 3315, '\p{^Sc= -Knda}', "");
Expect(1, 3315, '\P{Sc= -Knda}', "");
Expect(0, 3315, '\P{^Sc= -Knda}', "");
Error('\p{Is_Script=/a/	_KANNADA}');
Error('\P{Is_Script=/a/	_KANNADA}');
Expect(1, 3314, '\p{Is_Script:	kannada}', "");
Expect(0, 3314, '\p{^Is_Script:	kannada}', "");
Expect(0, 3314, '\P{Is_Script:	kannada}', "");
Expect(1, 3314, '\P{^Is_Script:	kannada}', "");
Expect(0, 3315, '\p{Is_Script:	kannada}', "");
Expect(1, 3315, '\p{^Is_Script:	kannada}', "");
Expect(1, 3315, '\P{Is_Script:	kannada}', "");
Expect(0, 3315, '\P{^Is_Script:	kannada}', "");
Expect(1, 3314, '\p{Is_Script= Kannada}', "");
Expect(0, 3314, '\p{^Is_Script= Kannada}', "");
Expect(0, 3314, '\P{Is_Script= Kannada}', "");
Expect(1, 3314, '\P{^Is_Script= Kannada}', "");
Expect(0, 3315, '\p{Is_Script= Kannada}', "");
Expect(1, 3315, '\p{^Is_Script= Kannada}', "");
Expect(1, 3315, '\P{Is_Script= Kannada}', "");
Expect(0, 3315, '\P{^Is_Script= Kannada}', "");
Error('\p{Is_Sc=/a/	Knda}');
Error('\P{Is_Sc=/a/	Knda}');
Expect(1, 3314, '\p{Is_Sc=knda}', "");
Expect(0, 3314, '\p{^Is_Sc=knda}', "");
Expect(0, 3314, '\P{Is_Sc=knda}', "");
Expect(1, 3314, '\P{^Is_Sc=knda}', "");
Expect(0, 3315, '\p{Is_Sc=knda}', "");
Expect(1, 3315, '\p{^Is_Sc=knda}', "");
Expect(1, 3315, '\P{Is_Sc=knda}', "");
Expect(0, 3315, '\P{^Is_Sc=knda}', "");
Expect(1, 3314, '\p{Is_Sc=-	KNDA}', "");
Expect(0, 3314, '\p{^Is_Sc=-	KNDA}', "");
Expect(0, 3314, '\P{Is_Sc=-	KNDA}', "");
Expect(1, 3314, '\P{^Is_Sc=-	KNDA}', "");
Expect(0, 3315, '\p{Is_Sc=-	KNDA}', "");
Expect(1, 3315, '\p{^Is_Sc=-	KNDA}', "");
Expect(1, 3315, '\P{Is_Sc=-	KNDA}', "");
Expect(0, 3315, '\P{^Is_Sc=-	KNDA}', "");
Error('\p{Script=-:=Kaithi}');
Error('\P{Script=-:=Kaithi}');
Expect(1, 69825, '\p{Script=kaithi}', "");
Expect(0, 69825, '\p{^Script=kaithi}', "");
Expect(0, 69825, '\P{Script=kaithi}', "");
Expect(1, 69825, '\P{^Script=kaithi}', "");
Expect(0, 69826, '\p{Script=kaithi}', "");
Expect(1, 69826, '\p{^Script=kaithi}', "");
Expect(1, 69826, '\P{Script=kaithi}', "");
Expect(0, 69826, '\P{^Script=kaithi}', "");
Expect(1, 69825, '\p{Script=-kaithi}', "");
Expect(0, 69825, '\p{^Script=-kaithi}', "");
Expect(0, 69825, '\P{Script=-kaithi}', "");
Expect(1, 69825, '\P{^Script=-kaithi}', "");
Expect(0, 69826, '\p{Script=-kaithi}', "");
Expect(1, 69826, '\p{^Script=-kaithi}', "");
Expect(1, 69826, '\P{Script=-kaithi}', "");
Expect(0, 69826, '\P{^Script=-kaithi}', "");
Error('\p{Sc=_	Kthi:=}');
Error('\P{Sc=_	Kthi:=}');
Expect(1, 69825, '\p{Sc: kthi}', "");
Expect(0, 69825, '\p{^Sc: kthi}', "");
Expect(0, 69825, '\P{Sc: kthi}', "");
Expect(1, 69825, '\P{^Sc: kthi}', "");
Expect(0, 69826, '\p{Sc: kthi}', "");
Expect(1, 69826, '\p{^Sc: kthi}', "");
Expect(1, 69826, '\P{Sc: kthi}', "");
Expect(0, 69826, '\P{^Sc: kthi}', "");
Expect(1, 69825, '\p{Sc:	__Kthi}', "");
Expect(0, 69825, '\p{^Sc:	__Kthi}', "");
Expect(0, 69825, '\P{Sc:	__Kthi}', "");
Expect(1, 69825, '\P{^Sc:	__Kthi}', "");
Expect(0, 69826, '\p{Sc:	__Kthi}', "");
Expect(1, 69826, '\p{^Sc:	__Kthi}', "");
Expect(1, 69826, '\P{Sc:	__Kthi}', "");
Expect(0, 69826, '\P{^Sc:	__Kthi}', "");
Error('\p{Is_Script=:=-	kaithi}');
Error('\P{Is_Script=:=-	kaithi}');
Expect(1, 69825, '\p{Is_Script=kaithi}', "");
Expect(0, 69825, '\p{^Is_Script=kaithi}', "");
Expect(0, 69825, '\P{Is_Script=kaithi}', "");
Expect(1, 69825, '\P{^Is_Script=kaithi}', "");
Expect(0, 69826, '\p{Is_Script=kaithi}', "");
Expect(1, 69826, '\p{^Is_Script=kaithi}', "");
Expect(1, 69826, '\P{Is_Script=kaithi}', "");
Expect(0, 69826, '\P{^Is_Script=kaithi}', "");
Expect(1, 69825, '\p{Is_Script=_kaithi}', "");
Expect(0, 69825, '\p{^Is_Script=_kaithi}', "");
Expect(0, 69825, '\P{Is_Script=_kaithi}', "");
Expect(1, 69825, '\P{^Is_Script=_kaithi}', "");
Expect(0, 69826, '\p{Is_Script=_kaithi}', "");
Expect(1, 69826, '\p{^Is_Script=_kaithi}', "");
Expect(1, 69826, '\P{Is_Script=_kaithi}', "");
Expect(0, 69826, '\P{^Is_Script=_kaithi}', "");
Error('\p{Is_Sc=:=  Kthi}');
Error('\P{Is_Sc=:=  Kthi}');
Expect(1, 69825, '\p{Is_Sc=kthi}', "");
Expect(0, 69825, '\p{^Is_Sc=kthi}', "");
Expect(0, 69825, '\P{Is_Sc=kthi}', "");
Expect(1, 69825, '\P{^Is_Sc=kthi}', "");
Expect(0, 69826, '\p{Is_Sc=kthi}', "");
Expect(1, 69826, '\p{^Is_Sc=kthi}', "");
Expect(1, 69826, '\P{Is_Sc=kthi}', "");
Expect(0, 69826, '\P{^Is_Sc=kthi}', "");
Expect(1, 69825, '\p{Is_Sc=_ Kthi}', "");
Expect(0, 69825, '\p{^Is_Sc=_ Kthi}', "");
Expect(0, 69825, '\P{Is_Sc=_ Kthi}', "");
Expect(1, 69825, '\P{^Is_Sc=_ Kthi}', "");
Expect(0, 69826, '\p{Is_Sc=_ Kthi}', "");
Expect(1, 69826, '\p{^Is_Sc=_ Kthi}', "");
Expect(1, 69826, '\P{Is_Sc=_ Kthi}', "");
Expect(0, 69826, '\P{^Is_Sc=_ Kthi}', "");
Error('\p{Script:	/a/__Tai_Tham}');
Error('\P{Script:	/a/__Tai_Tham}');
Expect(1, 6829, '\p{Script=taitham}', "");
Expect(0, 6829, '\p{^Script=taitham}', "");
Expect(0, 6829, '\P{Script=taitham}', "");
Expect(1, 6829, '\P{^Script=taitham}', "");
Expect(0, 6830, '\p{Script=taitham}', "");
Expect(1, 6830, '\p{^Script=taitham}', "");
Expect(1, 6830, '\P{Script=taitham}', "");
Expect(0, 6830, '\P{^Script=taitham}', "");
Expect(1, 6829, '\p{Script:	_ TAI_Tham}', "");
Expect(0, 6829, '\p{^Script:	_ TAI_Tham}', "");
Expect(0, 6829, '\P{Script:	_ TAI_Tham}', "");
Expect(1, 6829, '\P{^Script:	_ TAI_Tham}', "");
Expect(0, 6830, '\p{Script:	_ TAI_Tham}', "");
Expect(1, 6830, '\p{^Script:	_ TAI_Tham}', "");
Expect(1, 6830, '\P{Script:	_ TAI_Tham}', "");
Expect(0, 6830, '\P{^Script:	_ TAI_Tham}', "");
Error('\p{Sc=	-LANA/a/}');
Error('\P{Sc=	-LANA/a/}');
Expect(1, 6829, '\p{Sc:	lana}', "");
Expect(0, 6829, '\p{^Sc:	lana}', "");
Expect(0, 6829, '\P{Sc:	lana}', "");
Expect(1, 6829, '\P{^Sc:	lana}', "");
Expect(0, 6830, '\p{Sc:	lana}', "");
Expect(1, 6830, '\p{^Sc:	lana}', "");
Expect(1, 6830, '\P{Sc:	lana}', "");
Expect(0, 6830, '\P{^Sc:	lana}', "");
Expect(1, 6829, '\p{Sc:		lana}', "");
Expect(0, 6829, '\p{^Sc:		lana}', "");
Expect(0, 6829, '\P{Sc:		lana}', "");
Expect(1, 6829, '\P{^Sc:		lana}', "");
Expect(0, 6830, '\p{Sc:		lana}', "");
Expect(1, 6830, '\p{^Sc:		lana}', "");
Expect(1, 6830, '\P{Sc:		lana}', "");
Expect(0, 6830, '\P{^Sc:		lana}', "");
Error('\p{Is_Script=Tai_Tham:=}');
Error('\P{Is_Script=Tai_Tham:=}');
Expect(1, 6829, '\p{Is_Script=taitham}', "");
Expect(0, 6829, '\p{^Is_Script=taitham}', "");
Expect(0, 6829, '\P{Is_Script=taitham}', "");
Expect(1, 6829, '\P{^Is_Script=taitham}', "");
Expect(0, 6830, '\p{Is_Script=taitham}', "");
Expect(1, 6830, '\p{^Is_Script=taitham}', "");
Expect(1, 6830, '\P{Is_Script=taitham}', "");
Expect(0, 6830, '\P{^Is_Script=taitham}', "");
Expect(1, 6829, '\p{Is_Script= Tai_Tham}', "");
Expect(0, 6829, '\p{^Is_Script= Tai_Tham}', "");
Expect(0, 6829, '\P{Is_Script= Tai_Tham}', "");
Expect(1, 6829, '\P{^Is_Script= Tai_Tham}', "");
Expect(0, 6830, '\p{Is_Script= Tai_Tham}', "");
Expect(1, 6830, '\p{^Is_Script= Tai_Tham}', "");
Expect(1, 6830, '\P{Is_Script= Tai_Tham}', "");
Expect(0, 6830, '\P{^Is_Script= Tai_Tham}', "");
Error('\p{Is_Sc=	Lana:=}');
Error('\P{Is_Sc=	Lana:=}');
Expect(1, 6829, '\p{Is_Sc=lana}', "");
Expect(0, 6829, '\p{^Is_Sc=lana}', "");
Expect(0, 6829, '\P{Is_Sc=lana}', "");
Expect(1, 6829, '\P{^Is_Sc=lana}', "");
Expect(0, 6830, '\p{Is_Sc=lana}', "");
Expect(1, 6830, '\p{^Is_Sc=lana}', "");
Expect(1, 6830, '\P{Is_Sc=lana}', "");
Expect(0, 6830, '\P{^Is_Sc=lana}', "");
Expect(1, 6829, '\p{Is_Sc=_-LANA}', "");
Expect(0, 6829, '\p{^Is_Sc=_-LANA}', "");
Expect(0, 6829, '\P{Is_Sc=_-LANA}', "");
Expect(1, 6829, '\P{^Is_Sc=_-LANA}', "");
Expect(0, 6830, '\p{Is_Sc=_-LANA}', "");
Expect(1, 6830, '\p{^Is_Sc=_-LANA}', "");
Expect(1, 6830, '\P{Is_Sc=_-LANA}', "");
Expect(0, 6830, '\P{^Is_Sc=_-LANA}', "");
Error('\p{Script=--LAO/a/}');
Error('\P{Script=--LAO/a/}');
Expect(1, 3807, '\p{Script=lao}', "");
Expect(0, 3807, '\p{^Script=lao}', "");
Expect(0, 3807, '\P{Script=lao}', "");
Expect(1, 3807, '\P{^Script=lao}', "");
Expect(0, 3808, '\p{Script=lao}', "");
Expect(1, 3808, '\p{^Script=lao}', "");
Expect(1, 3808, '\P{Script=lao}', "");
Expect(0, 3808, '\P{^Script=lao}', "");
Expect(1, 3807, '\p{Script:   --LAO}', "");
Expect(0, 3807, '\p{^Script:   --LAO}', "");
Expect(0, 3807, '\P{Script:   --LAO}', "");
Expect(1, 3807, '\P{^Script:   --LAO}', "");
Expect(0, 3808, '\p{Script:   --LAO}', "");
Expect(1, 3808, '\p{^Script:   --LAO}', "");
Expect(1, 3808, '\P{Script:   --LAO}', "");
Expect(0, 3808, '\P{^Script:   --LAO}', "");
Error('\p{Sc=:=_laoo}');
Error('\P{Sc=:=_laoo}');
Expect(1, 3807, '\p{Sc=laoo}', "");
Expect(0, 3807, '\p{^Sc=laoo}', "");
Expect(0, 3807, '\P{Sc=laoo}', "");
Expect(1, 3807, '\P{^Sc=laoo}', "");
Expect(0, 3808, '\p{Sc=laoo}', "");
Expect(1, 3808, '\p{^Sc=laoo}', "");
Expect(1, 3808, '\P{Sc=laoo}', "");
Expect(0, 3808, '\P{^Sc=laoo}', "");
Expect(1, 3807, '\p{Sc=-	Laoo}', "");
Expect(0, 3807, '\p{^Sc=-	Laoo}', "");
Expect(0, 3807, '\P{Sc=-	Laoo}', "");
Expect(1, 3807, '\P{^Sc=-	Laoo}', "");
Expect(0, 3808, '\p{Sc=-	Laoo}', "");
Expect(1, 3808, '\p{^Sc=-	Laoo}', "");
Expect(1, 3808, '\P{Sc=-	Laoo}', "");
Expect(0, 3808, '\P{^Sc=-	Laoo}', "");
Error('\p{Is_Script=_	lao:=}');
Error('\P{Is_Script=_	lao:=}');
Expect(1, 3807, '\p{Is_Script=lao}', "");
Expect(0, 3807, '\p{^Is_Script=lao}', "");
Expect(0, 3807, '\P{Is_Script=lao}', "");
Expect(1, 3807, '\P{^Is_Script=lao}', "");
Expect(0, 3808, '\p{Is_Script=lao}', "");
Expect(1, 3808, '\p{^Is_Script=lao}', "");
Expect(1, 3808, '\P{Is_Script=lao}', "");
Expect(0, 3808, '\P{^Is_Script=lao}', "");
Expect(1, 3807, '\p{Is_Script=- lao}', "");
Expect(0, 3807, '\p{^Is_Script=- lao}', "");
Expect(0, 3807, '\P{Is_Script=- lao}', "");
Expect(1, 3807, '\P{^Is_Script=- lao}', "");
Expect(0, 3808, '\p{Is_Script=- lao}', "");
Expect(1, 3808, '\p{^Is_Script=- lao}', "");
Expect(1, 3808, '\P{Is_Script=- lao}', "");
Expect(0, 3808, '\P{^Is_Script=- lao}', "");
Error('\p{Is_Sc=	/a/LAOO}');
Error('\P{Is_Sc=	/a/LAOO}');
Expect(1, 3807, '\p{Is_Sc=laoo}', "");
Expect(0, 3807, '\p{^Is_Sc=laoo}', "");
Expect(0, 3807, '\P{Is_Sc=laoo}', "");
Expect(1, 3807, '\P{^Is_Sc=laoo}', "");
Expect(0, 3808, '\p{Is_Sc=laoo}', "");
Expect(1, 3808, '\p{^Is_Sc=laoo}', "");
Expect(1, 3808, '\P{Is_Sc=laoo}', "");
Expect(0, 3808, '\P{^Is_Sc=laoo}', "");
Expect(1, 3807, '\p{Is_Sc: _-Laoo}', "");
Expect(0, 3807, '\p{^Is_Sc: _-Laoo}', "");
Expect(0, 3807, '\P{Is_Sc: _-Laoo}', "");
Expect(1, 3807, '\P{^Is_Sc: _-Laoo}', "");
Expect(0, 3808, '\p{Is_Sc: _-Laoo}', "");
Expect(1, 3808, '\p{^Is_Sc: _-Laoo}', "");
Expect(1, 3808, '\P{Is_Sc: _-Laoo}', "");
Expect(0, 3808, '\P{^Is_Sc: _-Laoo}', "");
Error('\p{Script=:=Latin}');
Error('\P{Script=:=Latin}');
Expect(1, 65370, '\p{Script=latin}', "");
Expect(0, 65370, '\p{^Script=latin}', "");
Expect(0, 65370, '\P{Script=latin}', "");
Expect(1, 65370, '\P{^Script=latin}', "");
Expect(0, 65371, '\p{Script=latin}', "");
Expect(1, 65371, '\p{^Script=latin}', "");
Expect(1, 65371, '\P{Script=latin}', "");
Expect(0, 65371, '\P{^Script=latin}', "");
Expect(1, 65370, '\p{Script:    _Latin}', "");
Expect(0, 65370, '\p{^Script:    _Latin}', "");
Expect(0, 65370, '\P{Script:    _Latin}', "");
Expect(1, 65370, '\P{^Script:    _Latin}', "");
Expect(0, 65371, '\p{Script:    _Latin}', "");
Expect(1, 65371, '\p{^Script:    _Latin}', "");
Expect(1, 65371, '\P{Script:    _Latin}', "");
Expect(0, 65371, '\P{^Script:    _Latin}', "");
Error('\p{Sc=	:=latn}');
Error('\P{Sc=	:=latn}');
Expect(1, 65370, '\p{Sc=latn}', "");
Expect(0, 65370, '\p{^Sc=latn}', "");
Expect(0, 65370, '\P{Sc=latn}', "");
Expect(1, 65370, '\P{^Sc=latn}', "");
Expect(0, 65371, '\p{Sc=latn}', "");
Expect(1, 65371, '\p{^Sc=latn}', "");
Expect(1, 65371, '\P{Sc=latn}', "");
Expect(0, 65371, '\P{^Sc=latn}', "");
Expect(1, 65370, '\p{Sc=--Latn}', "");
Expect(0, 65370, '\p{^Sc=--Latn}', "");
Expect(0, 65370, '\P{Sc=--Latn}', "");
Expect(1, 65370, '\P{^Sc=--Latn}', "");
Expect(0, 65371, '\p{Sc=--Latn}', "");
Expect(1, 65371, '\p{^Sc=--Latn}', "");
Expect(1, 65371, '\P{Sc=--Latn}', "");
Expect(0, 65371, '\P{^Sc=--Latn}', "");
Error('\p{Is_Script=:=	Latin}');
Error('\P{Is_Script=:=	Latin}');
Expect(1, 65370, '\p{Is_Script=latin}', "");
Expect(0, 65370, '\p{^Is_Script=latin}', "");
Expect(0, 65370, '\P{Is_Script=latin}', "");
Expect(1, 65370, '\P{^Is_Script=latin}', "");
Expect(0, 65371, '\p{Is_Script=latin}', "");
Expect(1, 65371, '\p{^Is_Script=latin}', "");
Expect(1, 65371, '\P{Is_Script=latin}', "");
Expect(0, 65371, '\P{^Is_Script=latin}', "");
Expect(1, 65370, '\p{Is_Script= _Latin}', "");
Expect(0, 65370, '\p{^Is_Script= _Latin}', "");
Expect(0, 65370, '\P{Is_Script= _Latin}', "");
Expect(1, 65370, '\P{^Is_Script= _Latin}', "");
Expect(0, 65371, '\p{Is_Script= _Latin}', "");
Expect(1, 65371, '\p{^Is_Script= _Latin}', "");
Expect(1, 65371, '\P{Is_Script= _Latin}', "");
Expect(0, 65371, '\P{^Is_Script= _Latin}', "");
Error('\p{Is_Sc= /a/latn}');
Error('\P{Is_Sc= /a/latn}');
Expect(1, 65370, '\p{Is_Sc=latn}', "");
Expect(0, 65370, '\p{^Is_Sc=latn}', "");
Expect(0, 65370, '\P{Is_Sc=latn}', "");
Expect(1, 65370, '\P{^Is_Sc=latn}', "");
Expect(0, 65371, '\p{Is_Sc=latn}', "");
Expect(1, 65371, '\p{^Is_Sc=latn}', "");
Expect(1, 65371, '\P{Is_Sc=latn}', "");
Expect(0, 65371, '\P{^Is_Sc=latn}', "");
Expect(1, 65370, '\p{Is_Sc= Latn}', "");
Expect(0, 65370, '\p{^Is_Sc= Latn}', "");
Expect(0, 65370, '\P{Is_Sc= Latn}', "");
Expect(1, 65370, '\P{^Is_Sc= Latn}', "");
Expect(0, 65371, '\p{Is_Sc= Latn}', "");
Expect(1, 65371, '\p{^Is_Sc= Latn}', "");
Expect(1, 65371, '\P{Is_Sc= Latn}', "");
Expect(0, 65371, '\P{^Is_Sc= Latn}', "");
Error('\p{Script=_/a/lepcha}');
Error('\P{Script=_/a/lepcha}');
Expect(1, 7247, '\p{Script=lepcha}', "");
Expect(0, 7247, '\p{^Script=lepcha}', "");
Expect(0, 7247, '\P{Script=lepcha}', "");
Expect(1, 7247, '\P{^Script=lepcha}', "");
Expect(0, 7248, '\p{Script=lepcha}', "");
Expect(1, 7248, '\p{^Script=lepcha}', "");
Expect(1, 7248, '\P{Script=lepcha}', "");
Expect(0, 7248, '\P{^Script=lepcha}', "");
Expect(1, 7247, '\p{Script:   - Lepcha}', "");
Expect(0, 7247, '\p{^Script:   - Lepcha}', "");
Expect(0, 7247, '\P{Script:   - Lepcha}', "");
Expect(1, 7247, '\P{^Script:   - Lepcha}', "");
Expect(0, 7248, '\p{Script:   - Lepcha}', "");
Expect(1, 7248, '\p{^Script:   - Lepcha}', "");
Expect(1, 7248, '\P{Script:   - Lepcha}', "");
Expect(0, 7248, '\P{^Script:   - Lepcha}', "");
Error('\p{Sc=/a/  lepc}');
Error('\P{Sc=/a/  lepc}');
Expect(1, 7247, '\p{Sc=lepc}', "");
Expect(0, 7247, '\p{^Sc=lepc}', "");
Expect(0, 7247, '\P{Sc=lepc}', "");
Expect(1, 7247, '\P{^Sc=lepc}', "");
Expect(0, 7248, '\p{Sc=lepc}', "");
Expect(1, 7248, '\p{^Sc=lepc}', "");
Expect(1, 7248, '\P{Sc=lepc}', "");
Expect(0, 7248, '\P{^Sc=lepc}', "");
Expect(1, 7247, '\p{Sc=_-Lepc}', "");
Expect(0, 7247, '\p{^Sc=_-Lepc}', "");
Expect(0, 7247, '\P{Sc=_-Lepc}', "");
Expect(1, 7247, '\P{^Sc=_-Lepc}', "");
Expect(0, 7248, '\p{Sc=_-Lepc}', "");
Expect(1, 7248, '\p{^Sc=_-Lepc}', "");
Expect(1, 7248, '\P{Sc=_-Lepc}', "");
Expect(0, 7248, '\P{^Sc=_-Lepc}', "");
Error('\p{Is_Script:  	Lepcha/a/}');
Error('\P{Is_Script:  	Lepcha/a/}');
Expect(1, 7247, '\p{Is_Script=lepcha}', "");
Expect(0, 7247, '\p{^Is_Script=lepcha}', "");
Expect(0, 7247, '\P{Is_Script=lepcha}', "");
Expect(1, 7247, '\P{^Is_Script=lepcha}', "");
Expect(0, 7248, '\p{Is_Script=lepcha}', "");
Expect(1, 7248, '\p{^Is_Script=lepcha}', "");
Expect(1, 7248, '\P{Is_Script=lepcha}', "");
Expect(0, 7248, '\P{^Is_Script=lepcha}', "");
Expect(1, 7247, '\p{Is_Script= Lepcha}', "");
Expect(0, 7247, '\p{^Is_Script= Lepcha}', "");
Expect(0, 7247, '\P{Is_Script= Lepcha}', "");
Expect(1, 7247, '\P{^Is_Script= Lepcha}', "");
Expect(0, 7248, '\p{Is_Script= Lepcha}', "");
Expect(1, 7248, '\p{^Is_Script= Lepcha}', "");
Expect(1, 7248, '\P{Is_Script= Lepcha}', "");
Expect(0, 7248, '\P{^Is_Script= Lepcha}', "");
Error('\p{Is_Sc=-_Lepc/a/}');
Error('\P{Is_Sc=-_Lepc/a/}');
Expect(1, 7247, '\p{Is_Sc=lepc}', "");
Expect(0, 7247, '\p{^Is_Sc=lepc}', "");
Expect(0, 7247, '\P{Is_Sc=lepc}', "");
Expect(1, 7247, '\P{^Is_Sc=lepc}', "");
Expect(0, 7248, '\p{Is_Sc=lepc}', "");
Expect(1, 7248, '\p{^Is_Sc=lepc}', "");
Expect(1, 7248, '\P{Is_Sc=lepc}', "");
Expect(0, 7248, '\P{^Is_Sc=lepc}', "");
Expect(1, 7247, '\p{Is_Sc=		lepc}', "");
Expect(0, 7247, '\p{^Is_Sc=		lepc}', "");
Expect(0, 7247, '\P{Is_Sc=		lepc}', "");
Expect(1, 7247, '\P{^Is_Sc=		lepc}', "");
Expect(0, 7248, '\p{Is_Sc=		lepc}', "");
Expect(1, 7248, '\p{^Is_Sc=		lepc}', "");
Expect(1, 7248, '\P{Is_Sc=		lepc}', "");
Expect(0, 7248, '\P{^Is_Sc=		lepc}', "");
Error('\p{Script=:= Limbu}');
Error('\P{Script=:= Limbu}');
Expect(1, 6479, '\p{Script=limbu}', "");
Expect(0, 6479, '\p{^Script=limbu}', "");
Expect(0, 6479, '\P{Script=limbu}', "");
Expect(1, 6479, '\P{^Script=limbu}', "");
Expect(0, 6480, '\p{Script=limbu}', "");
Expect(1, 6480, '\p{^Script=limbu}', "");
Expect(1, 6480, '\P{Script=limbu}', "");
Expect(0, 6480, '\P{^Script=limbu}', "");
Expect(1, 6479, '\p{Script=-LIMBU}', "");
Expect(0, 6479, '\p{^Script=-LIMBU}', "");
Expect(0, 6479, '\P{Script=-LIMBU}', "");
Expect(1, 6479, '\P{^Script=-LIMBU}', "");
Expect(0, 6480, '\p{Script=-LIMBU}', "");
Expect(1, 6480, '\p{^Script=-LIMBU}', "");
Expect(1, 6480, '\P{Script=-LIMBU}', "");
Expect(0, 6480, '\P{^Script=-LIMBU}', "");
Error('\p{Sc=/a/ 	limb}');
Error('\P{Sc=/a/ 	limb}');
Expect(1, 6479, '\p{Sc=limb}', "");
Expect(0, 6479, '\p{^Sc=limb}', "");
Expect(0, 6479, '\P{Sc=limb}', "");
Expect(1, 6479, '\P{^Sc=limb}', "");
Expect(0, 6480, '\p{Sc=limb}', "");
Expect(1, 6480, '\p{^Sc=limb}', "");
Expect(1, 6480, '\P{Sc=limb}', "");
Expect(0, 6480, '\P{^Sc=limb}', "");
Expect(1, 6479, '\p{Sc= 	Limb}', "");
Expect(0, 6479, '\p{^Sc= 	Limb}', "");
Expect(0, 6479, '\P{Sc= 	Limb}', "");
Expect(1, 6479, '\P{^Sc= 	Limb}', "");
Expect(0, 6480, '\p{Sc= 	Limb}', "");
Expect(1, 6480, '\p{^Sc= 	Limb}', "");
Expect(1, 6480, '\P{Sc= 	Limb}', "");
Expect(0, 6480, '\P{^Sc= 	Limb}', "");
Error('\p{Is_Script=	-limbu/a/}');
Error('\P{Is_Script=	-limbu/a/}');
Expect(1, 6479, '\p{Is_Script=limbu}', "");
Expect(0, 6479, '\p{^Is_Script=limbu}', "");
Expect(0, 6479, '\P{Is_Script=limbu}', "");
Expect(1, 6479, '\P{^Is_Script=limbu}', "");
Expect(0, 6480, '\p{Is_Script=limbu}', "");
Expect(1, 6480, '\p{^Is_Script=limbu}', "");
Expect(1, 6480, '\P{Is_Script=limbu}', "");
Expect(0, 6480, '\P{^Is_Script=limbu}', "");
Expect(1, 6479, '\p{Is_Script= LIMBU}', "");
Expect(0, 6479, '\p{^Is_Script= LIMBU}', "");
Expect(0, 6479, '\P{Is_Script= LIMBU}', "");
Expect(1, 6479, '\P{^Is_Script= LIMBU}', "");
Expect(0, 6480, '\p{Is_Script= LIMBU}', "");
Expect(1, 6480, '\p{^Is_Script= LIMBU}', "");
Expect(1, 6480, '\P{Is_Script= LIMBU}', "");
Expect(0, 6480, '\P{^Is_Script= LIMBU}', "");
Error('\p{Is_Sc=_:=Limb}');
Error('\P{Is_Sc=_:=Limb}');
Expect(1, 6479, '\p{Is_Sc=limb}', "");
Expect(0, 6479, '\p{^Is_Sc=limb}', "");
Expect(0, 6479, '\P{Is_Sc=limb}', "");
Expect(1, 6479, '\P{^Is_Sc=limb}', "");
Expect(0, 6480, '\p{Is_Sc=limb}', "");
Expect(1, 6480, '\p{^Is_Sc=limb}', "");
Expect(1, 6480, '\P{Is_Sc=limb}', "");
Expect(0, 6480, '\P{^Is_Sc=limb}', "");
Expect(1, 6479, '\p{Is_Sc=_	LIMB}', "");
Expect(0, 6479, '\p{^Is_Sc=_	LIMB}', "");
Expect(0, 6479, '\P{Is_Sc=_	LIMB}', "");
Expect(1, 6479, '\P{^Is_Sc=_	LIMB}', "");
Expect(0, 6480, '\p{Is_Sc=_	LIMB}', "");
Expect(1, 6480, '\p{^Is_Sc=_	LIMB}', "");
Expect(1, 6480, '\P{Is_Sc=_	LIMB}', "");
Expect(0, 6480, '\P{^Is_Sc=_	LIMB}', "");
Error('\p{Script=	_LINEAR_A:=}');
Error('\P{Script=	_LINEAR_A:=}');
Expect(1, 67431, '\p{Script=lineara}', "");
Expect(0, 67431, '\p{^Script=lineara}', "");
Expect(0, 67431, '\P{Script=lineara}', "");
Expect(1, 67431, '\P{^Script=lineara}', "");
Expect(0, 67432, '\p{Script=lineara}', "");
Expect(1, 67432, '\p{^Script=lineara}', "");
Expect(1, 67432, '\P{Script=lineara}', "");
Expect(0, 67432, '\P{^Script=lineara}', "");
Expect(1, 67431, '\p{Script=_linear_A}', "");
Expect(0, 67431, '\p{^Script=_linear_A}', "");
Expect(0, 67431, '\P{Script=_linear_A}', "");
Expect(1, 67431, '\P{^Script=_linear_A}', "");
Expect(0, 67432, '\p{Script=_linear_A}', "");
Expect(1, 67432, '\p{^Script=_linear_A}', "");
Expect(1, 67432, '\P{Script=_linear_A}', "");
Expect(0, 67432, '\P{^Script=_linear_A}', "");
Error('\p{Sc=:=LINA}');
Error('\P{Sc=:=LINA}');
Expect(1, 67431, '\p{Sc=lina}', "");
Expect(0, 67431, '\p{^Sc=lina}', "");
Expect(0, 67431, '\P{Sc=lina}', "");
Expect(1, 67431, '\P{^Sc=lina}', "");
Expect(0, 67432, '\p{Sc=lina}', "");
Expect(1, 67432, '\p{^Sc=lina}', "");
Expect(1, 67432, '\P{Sc=lina}', "");
Expect(0, 67432, '\P{^Sc=lina}', "");
Expect(1, 67431, '\p{Sc=- Lina}', "");
Expect(0, 67431, '\p{^Sc=- Lina}', "");
Expect(0, 67431, '\P{Sc=- Lina}', "");
Expect(1, 67431, '\P{^Sc=- Lina}', "");
Expect(0, 67432, '\p{Sc=- Lina}', "");
Expect(1, 67432, '\p{^Sc=- Lina}', "");
Expect(1, 67432, '\P{Sc=- Lina}', "");
Expect(0, 67432, '\P{^Sc=- Lina}', "");
Error('\p{Is_Script=:=- Linear_A}');
Error('\P{Is_Script=:=- Linear_A}');
Expect(1, 67431, '\p{Is_Script=lineara}', "");
Expect(0, 67431, '\p{^Is_Script=lineara}', "");
Expect(0, 67431, '\P{Is_Script=lineara}', "");
Expect(1, 67431, '\P{^Is_Script=lineara}', "");
Expect(0, 67432, '\p{Is_Script=lineara}', "");
Expect(1, 67432, '\p{^Is_Script=lineara}', "");
Expect(1, 67432, '\P{Is_Script=lineara}', "");
Expect(0, 67432, '\P{^Is_Script=lineara}', "");
Expect(1, 67431, '\p{Is_Script=-_Linear_a}', "");
Expect(0, 67431, '\p{^Is_Script=-_Linear_a}', "");
Expect(0, 67431, '\P{Is_Script=-_Linear_a}', "");
Expect(1, 67431, '\P{^Is_Script=-_Linear_a}', "");
Expect(0, 67432, '\p{Is_Script=-_Linear_a}', "");
Expect(1, 67432, '\p{^Is_Script=-_Linear_a}', "");
Expect(1, 67432, '\P{Is_Script=-_Linear_a}', "");
Expect(0, 67432, '\P{^Is_Script=-_Linear_a}', "");
Error('\p{Is_Sc=/a/Lina}');
Error('\P{Is_Sc=/a/Lina}');
Expect(1, 67431, '\p{Is_Sc:   lina}', "");
Expect(0, 67431, '\p{^Is_Sc:   lina}', "");
Expect(0, 67431, '\P{Is_Sc:   lina}', "");
Expect(1, 67431, '\P{^Is_Sc:   lina}', "");
Expect(0, 67432, '\p{Is_Sc:   lina}', "");
Expect(1, 67432, '\p{^Is_Sc:   lina}', "");
Expect(1, 67432, '\P{Is_Sc:   lina}', "");
Expect(0, 67432, '\P{^Is_Sc:   lina}', "");
Expect(1, 67431, '\p{Is_Sc=__Lina}', "");
Expect(0, 67431, '\p{^Is_Sc=__Lina}', "");
Expect(0, 67431, '\P{Is_Sc=__Lina}', "");
Expect(1, 67431, '\P{^Is_Sc=__Lina}', "");
Expect(0, 67432, '\p{Is_Sc=__Lina}', "");
Expect(1, 67432, '\p{^Is_Sc=__Lina}', "");
Expect(1, 67432, '\P{Is_Sc=__Lina}', "");
Expect(0, 67432, '\P{^Is_Sc=__Lina}', "");
Error('\p{Script:   /a/linear_B}');
Error('\P{Script:   /a/linear_B}');
Expect(1, 65786, '\p{Script=linearb}', "");
Expect(0, 65786, '\p{^Script=linearb}', "");
Expect(0, 65786, '\P{Script=linearb}', "");
Expect(1, 65786, '\P{^Script=linearb}', "");
Expect(0, 65787, '\p{Script=linearb}', "");
Expect(1, 65787, '\p{^Script=linearb}', "");
Expect(1, 65787, '\P{Script=linearb}', "");
Expect(0, 65787, '\P{^Script=linearb}', "");
Expect(1, 65786, '\p{Script=_linear_b}', "");
Expect(0, 65786, '\p{^Script=_linear_b}', "");
Expect(0, 65786, '\P{Script=_linear_b}', "");
Expect(1, 65786, '\P{^Script=_linear_b}', "");
Expect(0, 65787, '\p{Script=_linear_b}', "");
Expect(1, 65787, '\p{^Script=_linear_b}', "");
Expect(1, 65787, '\P{Script=_linear_b}', "");
Expect(0, 65787, '\P{^Script=_linear_b}', "");
Error('\p{Sc=	_LINB:=}');
Error('\P{Sc=	_LINB:=}');
Expect(1, 65786, '\p{Sc=linb}', "");
Expect(0, 65786, '\p{^Sc=linb}', "");
Expect(0, 65786, '\P{Sc=linb}', "");
Expect(1, 65786, '\P{^Sc=linb}', "");
Expect(0, 65787, '\p{Sc=linb}', "");
Expect(1, 65787, '\p{^Sc=linb}', "");
Expect(1, 65787, '\P{Sc=linb}', "");
Expect(0, 65787, '\P{^Sc=linb}', "");
Expect(1, 65786, '\p{Sc=-Linb}', "");
Expect(0, 65786, '\p{^Sc=-Linb}', "");
Expect(0, 65786, '\P{Sc=-Linb}', "");
Expect(1, 65786, '\P{^Sc=-Linb}', "");
Expect(0, 65787, '\p{Sc=-Linb}', "");
Expect(1, 65787, '\p{^Sc=-Linb}', "");
Expect(1, 65787, '\P{Sc=-Linb}', "");
Expect(0, 65787, '\P{^Sc=-Linb}', "");
Error('\p{Is_Script= :=linear_B}');
Error('\P{Is_Script= :=linear_B}');
Expect(1, 65786, '\p{Is_Script=linearb}', "");
Expect(0, 65786, '\p{^Is_Script=linearb}', "");
Expect(0, 65786, '\P{Is_Script=linearb}', "");
Expect(1, 65786, '\P{^Is_Script=linearb}', "");
Expect(0, 65787, '\p{Is_Script=linearb}', "");
Expect(1, 65787, '\p{^Is_Script=linearb}', "");
Expect(1, 65787, '\P{Is_Script=linearb}', "");
Expect(0, 65787, '\P{^Is_Script=linearb}', "");
Expect(1, 65786, '\p{Is_Script=	Linear_B}', "");
Expect(0, 65786, '\p{^Is_Script=	Linear_B}', "");
Expect(0, 65786, '\P{Is_Script=	Linear_B}', "");
Expect(1, 65786, '\P{^Is_Script=	Linear_B}', "");
Expect(0, 65787, '\p{Is_Script=	Linear_B}', "");
Expect(1, 65787, '\p{^Is_Script=	Linear_B}', "");
Expect(1, 65787, '\P{Is_Script=	Linear_B}', "");
Expect(0, 65787, '\P{^Is_Script=	Linear_B}', "");
Error('\p{Is_Sc=-:=linb}');
Error('\P{Is_Sc=-:=linb}');
Expect(1, 65786, '\p{Is_Sc:   linb}', "");
Expect(0, 65786, '\p{^Is_Sc:   linb}', "");
Expect(0, 65786, '\P{Is_Sc:   linb}', "");
Expect(1, 65786, '\P{^Is_Sc:   linb}', "");
Expect(0, 65787, '\p{Is_Sc:   linb}', "");
Expect(1, 65787, '\p{^Is_Sc:   linb}', "");
Expect(1, 65787, '\P{Is_Sc:   linb}', "");
Expect(0, 65787, '\P{^Is_Sc:   linb}', "");
Expect(1, 65786, '\p{Is_Sc:   -linb}', "");
Expect(0, 65786, '\p{^Is_Sc:   -linb}', "");
Expect(0, 65786, '\P{Is_Sc:   -linb}', "");
Expect(1, 65786, '\P{^Is_Sc:   -linb}', "");
Expect(0, 65787, '\p{Is_Sc:   -linb}', "");
Expect(1, 65787, '\p{^Is_Sc:   -linb}', "");
Expect(1, 65787, '\P{Is_Sc:   -linb}', "");
Expect(0, 65787, '\P{^Is_Sc:   -linb}', "");
Error('\p{Script=_:=Lisu}');
Error('\P{Script=_:=Lisu}');
Expect(1, 42239, '\p{Script=lisu}', "");
Expect(0, 42239, '\p{^Script=lisu}', "");
Expect(0, 42239, '\P{Script=lisu}', "");
Expect(1, 42239, '\P{^Script=lisu}', "");
Expect(0, 42240, '\p{Script=lisu}', "");
Expect(1, 42240, '\p{^Script=lisu}', "");
Expect(1, 42240, '\P{Script=lisu}', "");
Expect(0, 42240, '\P{^Script=lisu}', "");
Expect(1, 42239, '\p{Script=_	Lisu}', "");
Expect(0, 42239, '\p{^Script=_	Lisu}', "");
Expect(0, 42239, '\P{Script=_	Lisu}', "");
Expect(1, 42239, '\P{^Script=_	Lisu}', "");
Expect(0, 42240, '\p{Script=_	Lisu}', "");
Expect(1, 42240, '\p{^Script=_	Lisu}', "");
Expect(1, 42240, '\P{Script=_	Lisu}', "");
Expect(0, 42240, '\P{^Script=_	Lisu}', "");
Error('\p{Sc=	:=Lisu}');
Error('\P{Sc=	:=Lisu}');
Expect(1, 42239, '\p{Sc=lisu}', "");
Expect(0, 42239, '\p{^Sc=lisu}', "");
Expect(0, 42239, '\P{Sc=lisu}', "");
Expect(1, 42239, '\P{^Sc=lisu}', "");
Expect(0, 42240, '\p{Sc=lisu}', "");
Expect(1, 42240, '\p{^Sc=lisu}', "");
Expect(1, 42240, '\P{Sc=lisu}', "");
Expect(0, 42240, '\P{^Sc=lisu}', "");
Expect(1, 42239, '\p{Sc=		Lisu}', "");
Expect(0, 42239, '\p{^Sc=		Lisu}', "");
Expect(0, 42239, '\P{Sc=		Lisu}', "");
Expect(1, 42239, '\P{^Sc=		Lisu}', "");
Expect(0, 42240, '\p{Sc=		Lisu}', "");
Expect(1, 42240, '\p{^Sc=		Lisu}', "");
Expect(1, 42240, '\P{Sc=		Lisu}', "");
Expect(0, 42240, '\P{^Sc=		Lisu}', "");
Error('\p{Is_Script=/a/Lisu}');
Error('\P{Is_Script=/a/Lisu}');
Expect(1, 42239, '\p{Is_Script=lisu}', "");
Expect(0, 42239, '\p{^Is_Script=lisu}', "");
Expect(0, 42239, '\P{Is_Script=lisu}', "");
Expect(1, 42239, '\P{^Is_Script=lisu}', "");
Expect(0, 42240, '\p{Is_Script=lisu}', "");
Expect(1, 42240, '\p{^Is_Script=lisu}', "");
Expect(1, 42240, '\P{Is_Script=lisu}', "");
Expect(0, 42240, '\P{^Is_Script=lisu}', "");
Expect(1, 42239, '\p{Is_Script=	 lisu}', "");
Expect(0, 42239, '\p{^Is_Script=	 lisu}', "");
Expect(0, 42239, '\P{Is_Script=	 lisu}', "");
Expect(1, 42239, '\P{^Is_Script=	 lisu}', "");
Expect(0, 42240, '\p{Is_Script=	 lisu}', "");
Expect(1, 42240, '\p{^Is_Script=	 lisu}', "");
Expect(1, 42240, '\P{Is_Script=	 lisu}', "");
Expect(0, 42240, '\P{^Is_Script=	 lisu}', "");
Error('\p{Is_Sc=Lisu/a/}');
Error('\P{Is_Sc=Lisu/a/}');
Expect(1, 42239, '\p{Is_Sc=lisu}', "");
Expect(0, 42239, '\p{^Is_Sc=lisu}', "");
Expect(0, 42239, '\P{Is_Sc=lisu}', "");
Expect(1, 42239, '\P{^Is_Sc=lisu}', "");
Expect(0, 42240, '\p{Is_Sc=lisu}', "");
Expect(1, 42240, '\p{^Is_Sc=lisu}', "");
Expect(1, 42240, '\P{Is_Sc=lisu}', "");
Expect(0, 42240, '\P{^Is_Sc=lisu}', "");
Expect(1, 42239, '\p{Is_Sc=	-Lisu}', "");
Expect(0, 42239, '\p{^Is_Sc=	-Lisu}', "");
Expect(0, 42239, '\P{Is_Sc=	-Lisu}', "");
Expect(1, 42239, '\P{^Is_Sc=	-Lisu}', "");
Expect(0, 42240, '\p{Is_Sc=	-Lisu}', "");
Expect(1, 42240, '\p{^Is_Sc=	-Lisu}', "");
Expect(1, 42240, '\P{Is_Sc=	-Lisu}', "");
Expect(0, 42240, '\P{^Is_Sc=	-Lisu}', "");
Error('\p{Script: 	-Lycian/a/}');
Error('\P{Script: 	-Lycian/a/}');
Expect(1, 66204, '\p{Script: lycian}', "");
Expect(0, 66204, '\p{^Script: lycian}', "");
Expect(0, 66204, '\P{Script: lycian}', "");
Expect(1, 66204, '\P{^Script: lycian}', "");
Expect(0, 66205, '\p{Script: lycian}', "");
Expect(1, 66205, '\p{^Script: lycian}', "");
Expect(1, 66205, '\P{Script: lycian}', "");
Expect(0, 66205, '\P{^Script: lycian}', "");
Expect(1, 66204, '\p{Script=	 LYCIAN}', "");
Expect(0, 66204, '\p{^Script=	 LYCIAN}', "");
Expect(0, 66204, '\P{Script=	 LYCIAN}', "");
Expect(1, 66204, '\P{^Script=	 LYCIAN}', "");
Expect(0, 66205, '\p{Script=	 LYCIAN}', "");
Expect(1, 66205, '\p{^Script=	 LYCIAN}', "");
Expect(1, 66205, '\P{Script=	 LYCIAN}', "");
Expect(0, 66205, '\P{^Script=	 LYCIAN}', "");
Error('\p{Sc=:=  lyci}');
Error('\P{Sc=:=  lyci}');
Expect(1, 66204, '\p{Sc: lyci}', "");
Expect(0, 66204, '\p{^Sc: lyci}', "");
Expect(0, 66204, '\P{Sc: lyci}', "");
Expect(1, 66204, '\P{^Sc: lyci}', "");
Expect(0, 66205, '\p{Sc: lyci}', "");
Expect(1, 66205, '\p{^Sc: lyci}', "");
Expect(1, 66205, '\P{Sc: lyci}', "");
Expect(0, 66205, '\P{^Sc: lyci}', "");
Expect(1, 66204, '\p{Sc=__lyci}', "");
Expect(0, 66204, '\p{^Sc=__lyci}', "");
Expect(0, 66204, '\P{Sc=__lyci}', "");
Expect(1, 66204, '\P{^Sc=__lyci}', "");
Expect(0, 66205, '\p{Sc=__lyci}', "");
Expect(1, 66205, '\p{^Sc=__lyci}', "");
Expect(1, 66205, '\P{Sc=__lyci}', "");
Expect(0, 66205, '\P{^Sc=__lyci}', "");
Error('\p{Is_Script= /a/Lycian}');
Error('\P{Is_Script= /a/Lycian}');
Expect(1, 66204, '\p{Is_Script=lycian}', "");
Expect(0, 66204, '\p{^Is_Script=lycian}', "");
Expect(0, 66204, '\P{Is_Script=lycian}', "");
Expect(1, 66204, '\P{^Is_Script=lycian}', "");
Expect(0, 66205, '\p{Is_Script=lycian}', "");
Expect(1, 66205, '\p{^Is_Script=lycian}', "");
Expect(1, 66205, '\P{Is_Script=lycian}', "");
Expect(0, 66205, '\P{^Is_Script=lycian}', "");
Expect(1, 66204, '\p{Is_Script=Lycian}', "");
Expect(0, 66204, '\p{^Is_Script=Lycian}', "");
Expect(0, 66204, '\P{Is_Script=Lycian}', "");
Expect(1, 66204, '\P{^Is_Script=Lycian}', "");
Expect(0, 66205, '\p{Is_Script=Lycian}', "");
Expect(1, 66205, '\p{^Is_Script=Lycian}', "");
Expect(1, 66205, '\P{Is_Script=Lycian}', "");
Expect(0, 66205, '\P{^Is_Script=Lycian}', "");
Error('\p{Is_Sc=  Lyci:=}');
Error('\P{Is_Sc=  Lyci:=}');
Expect(1, 66204, '\p{Is_Sc:lyci}', "");
Expect(0, 66204, '\p{^Is_Sc:lyci}', "");
Expect(0, 66204, '\P{Is_Sc:lyci}', "");
Expect(1, 66204, '\P{^Is_Sc:lyci}', "");
Expect(0, 66205, '\p{Is_Sc:lyci}', "");
Expect(1, 66205, '\p{^Is_Sc:lyci}', "");
Expect(1, 66205, '\P{Is_Sc:lyci}', "");
Expect(0, 66205, '\P{^Is_Sc:lyci}', "");
Expect(1, 66204, '\p{Is_Sc=__lyci}', "");
Expect(0, 66204, '\p{^Is_Sc=__lyci}', "");
Expect(0, 66204, '\P{Is_Sc=__lyci}', "");
Expect(1, 66204, '\P{^Is_Sc=__lyci}', "");
Expect(0, 66205, '\p{Is_Sc=__lyci}', "");
Expect(1, 66205, '\p{^Is_Sc=__lyci}', "");
Expect(1, 66205, '\P{Is_Sc=__lyci}', "");
Expect(0, 66205, '\P{^Is_Sc=__lyci}', "");
Error('\p{Script=:=_	Lydian}');
Error('\P{Script=:=_	Lydian}');
Expect(1, 67903, '\p{Script=lydian}', "");
Expect(0, 67903, '\p{^Script=lydian}', "");
Expect(0, 67903, '\P{Script=lydian}', "");
Expect(1, 67903, '\P{^Script=lydian}', "");
Expect(0, 67904, '\p{Script=lydian}', "");
Expect(1, 67904, '\p{^Script=lydian}', "");
Expect(1, 67904, '\P{Script=lydian}', "");
Expect(0, 67904, '\P{^Script=lydian}', "");
Expect(1, 67903, '\p{Script=-Lydian}', "");
Expect(0, 67903, '\p{^Script=-Lydian}', "");
Expect(0, 67903, '\P{Script=-Lydian}', "");
Expect(1, 67903, '\P{^Script=-Lydian}', "");
Expect(0, 67904, '\p{Script=-Lydian}', "");
Expect(1, 67904, '\p{^Script=-Lydian}', "");
Expect(1, 67904, '\P{Script=-Lydian}', "");
Expect(0, 67904, '\P{^Script=-Lydian}', "");
Error('\p{Sc=	:=LYDI}');
Error('\P{Sc=	:=LYDI}');
Expect(1, 67903, '\p{Sc=lydi}', "");
Expect(0, 67903, '\p{^Sc=lydi}', "");
Expect(0, 67903, '\P{Sc=lydi}', "");
Expect(1, 67903, '\P{^Sc=lydi}', "");
Expect(0, 67904, '\p{Sc=lydi}', "");
Expect(1, 67904, '\p{^Sc=lydi}', "");
Expect(1, 67904, '\P{Sc=lydi}', "");
Expect(0, 67904, '\P{^Sc=lydi}', "");
Expect(1, 67903, '\p{Sc=-_Lydi}', "");
Expect(0, 67903, '\p{^Sc=-_Lydi}', "");
Expect(0, 67903, '\P{Sc=-_Lydi}', "");
Expect(1, 67903, '\P{^Sc=-_Lydi}', "");
Expect(0, 67904, '\p{Sc=-_Lydi}', "");
Expect(1, 67904, '\p{^Sc=-_Lydi}', "");
Expect(1, 67904, '\P{Sc=-_Lydi}', "");
Expect(0, 67904, '\P{^Sc=-_Lydi}', "");
Error('\p{Is_Script=-/a/Lydian}');
Error('\P{Is_Script=-/a/Lydian}');
Expect(1, 67903, '\p{Is_Script=lydian}', "");
Expect(0, 67903, '\p{^Is_Script=lydian}', "");
Expect(0, 67903, '\P{Is_Script=lydian}', "");
Expect(1, 67903, '\P{^Is_Script=lydian}', "");
Expect(0, 67904, '\p{Is_Script=lydian}', "");
Expect(1, 67904, '\p{^Is_Script=lydian}', "");
Expect(1, 67904, '\P{Is_Script=lydian}', "");
Expect(0, 67904, '\P{^Is_Script=lydian}', "");
Expect(1, 67903, '\p{Is_Script=_	Lydian}', "");
Expect(0, 67903, '\p{^Is_Script=_	Lydian}', "");
Expect(0, 67903, '\P{Is_Script=_	Lydian}', "");
Expect(1, 67903, '\P{^Is_Script=_	Lydian}', "");
Expect(0, 67904, '\p{Is_Script=_	Lydian}', "");
Expect(1, 67904, '\p{^Is_Script=_	Lydian}', "");
Expect(1, 67904, '\P{Is_Script=_	Lydian}', "");
Expect(0, 67904, '\P{^Is_Script=_	Lydian}', "");
Error('\p{Is_Sc=/a/	 LYDI}');
Error('\P{Is_Sc=/a/	 LYDI}');
Expect(1, 67903, '\p{Is_Sc=lydi}', "");
Expect(0, 67903, '\p{^Is_Sc=lydi}', "");
Expect(0, 67903, '\P{Is_Sc=lydi}', "");
Expect(1, 67903, '\P{^Is_Sc=lydi}', "");
Expect(0, 67904, '\p{Is_Sc=lydi}', "");
Expect(1, 67904, '\p{^Is_Sc=lydi}', "");
Expect(1, 67904, '\P{Is_Sc=lydi}', "");
Expect(0, 67904, '\P{^Is_Sc=lydi}', "");
Expect(1, 67903, '\p{Is_Sc=__Lydi}', "");
Expect(0, 67903, '\p{^Is_Sc=__Lydi}', "");
Expect(0, 67903, '\P{Is_Sc=__Lydi}', "");
Expect(1, 67903, '\P{^Is_Sc=__Lydi}', "");
Expect(0, 67904, '\p{Is_Sc=__Lydi}', "");
Expect(1, 67904, '\p{^Is_Sc=__Lydi}', "");
Expect(1, 67904, '\P{Is_Sc=__Lydi}', "");
Expect(0, 67904, '\P{^Is_Sc=__Lydi}', "");
Error('\p{Script:    :=mahajani}');
Error('\P{Script:    :=mahajani}');
Expect(1, 70006, '\p{Script=mahajani}', "");
Expect(0, 70006, '\p{^Script=mahajani}', "");
Expect(0, 70006, '\P{Script=mahajani}', "");
Expect(1, 70006, '\P{^Script=mahajani}', "");
Expect(0, 70007, '\p{Script=mahajani}', "");
Expect(1, 70007, '\p{^Script=mahajani}', "");
Expect(1, 70007, '\P{Script=mahajani}', "");
Expect(0, 70007, '\P{^Script=mahajani}', "");
Expect(1, 70006, '\p{Script= 	Mahajani}', "");
Expect(0, 70006, '\p{^Script= 	Mahajani}', "");
Expect(0, 70006, '\P{Script= 	Mahajani}', "");
Expect(1, 70006, '\P{^Script= 	Mahajani}', "");
Expect(0, 70007, '\p{Script= 	Mahajani}', "");
Expect(1, 70007, '\p{^Script= 	Mahajani}', "");
Expect(1, 70007, '\P{Script= 	Mahajani}', "");
Expect(0, 70007, '\P{^Script= 	Mahajani}', "");
Error('\p{Sc=mahj:=}');
Error('\P{Sc=mahj:=}');
Expect(1, 70006, '\p{Sc=mahj}', "");
Expect(0, 70006, '\p{^Sc=mahj}', "");
Expect(0, 70006, '\P{Sc=mahj}', "");
Expect(1, 70006, '\P{^Sc=mahj}', "");
Expect(0, 70007, '\p{Sc=mahj}', "");
Expect(1, 70007, '\p{^Sc=mahj}', "");
Expect(1, 70007, '\P{Sc=mahj}', "");
Expect(0, 70007, '\P{^Sc=mahj}', "");
Expect(1, 70006, '\p{Sc: _mahj}', "");
Expect(0, 70006, '\p{^Sc: _mahj}', "");
Expect(0, 70006, '\P{Sc: _mahj}', "");
Expect(1, 70006, '\P{^Sc: _mahj}', "");
Expect(0, 70007, '\p{Sc: _mahj}', "");
Expect(1, 70007, '\p{^Sc: _mahj}', "");
Expect(1, 70007, '\P{Sc: _mahj}', "");
Expect(0, 70007, '\P{^Sc: _mahj}', "");
Error('\p{Is_Script=:=_-Mahajani}');
Error('\P{Is_Script=:=_-Mahajani}');
Expect(1, 70006, '\p{Is_Script=mahajani}', "");
Expect(0, 70006, '\p{^Is_Script=mahajani}', "");
Expect(0, 70006, '\P{Is_Script=mahajani}', "");
Expect(1, 70006, '\P{^Is_Script=mahajani}', "");
Expect(0, 70007, '\p{Is_Script=mahajani}', "");
Expect(1, 70007, '\p{^Is_Script=mahajani}', "");
Expect(1, 70007, '\P{Is_Script=mahajani}', "");
Expect(0, 70007, '\P{^Is_Script=mahajani}', "");
Expect(1, 70006, '\p{Is_Script=-_Mahajani}', "");
Expect(0, 70006, '\p{^Is_Script=-_Mahajani}', "");
Expect(0, 70006, '\P{Is_Script=-_Mahajani}', "");
Expect(1, 70006, '\P{^Is_Script=-_Mahajani}', "");
Expect(0, 70007, '\p{Is_Script=-_Mahajani}', "");
Expect(1, 70007, '\p{^Is_Script=-_Mahajani}', "");
Expect(1, 70007, '\P{Is_Script=-_Mahajani}', "");
Expect(0, 70007, '\P{^Is_Script=-_Mahajani}', "");
Error('\p{Is_Sc=_ Mahj/a/}');
Error('\P{Is_Sc=_ Mahj/a/}');
Expect(1, 70006, '\p{Is_Sc: mahj}', "");
Expect(0, 70006, '\p{^Is_Sc: mahj}', "");
Expect(0, 70006, '\P{Is_Sc: mahj}', "");
Expect(1, 70006, '\P{^Is_Sc: mahj}', "");
Expect(0, 70007, '\p{Is_Sc: mahj}', "");
Expect(1, 70007, '\p{^Is_Sc: mahj}', "");
Expect(1, 70007, '\P{Is_Sc: mahj}', "");
Expect(0, 70007, '\P{^Is_Sc: mahj}', "");
Expect(1, 70006, '\p{Is_Sc:  Mahj}', "");
Expect(0, 70006, '\p{^Is_Sc:  Mahj}', "");
Expect(0, 70006, '\P{Is_Sc:  Mahj}', "");
Expect(1, 70006, '\P{^Is_Sc:  Mahj}', "");
Expect(0, 70007, '\p{Is_Sc:  Mahj}', "");
Expect(1, 70007, '\p{^Is_Sc:  Mahj}', "");
Expect(1, 70007, '\P{Is_Sc:  Mahj}', "");
Expect(0, 70007, '\P{^Is_Sc:  Mahj}', "");
Error('\p{Script=:=_ Mandaic}');
Error('\P{Script=:=_ Mandaic}');
Expect(1, 2142, '\p{Script=mandaic}', "");
Expect(0, 2142, '\p{^Script=mandaic}', "");
Expect(0, 2142, '\P{Script=mandaic}', "");
Expect(1, 2142, '\P{^Script=mandaic}', "");
Expect(0, 2143, '\p{Script=mandaic}', "");
Expect(1, 2143, '\p{^Script=mandaic}', "");
Expect(1, 2143, '\P{Script=mandaic}', "");
Expect(0, 2143, '\P{^Script=mandaic}', "");
Expect(1, 2142, '\p{Script=_	MANDAIC}', "");
Expect(0, 2142, '\p{^Script=_	MANDAIC}', "");
Expect(0, 2142, '\P{Script=_	MANDAIC}', "");
Expect(1, 2142, '\P{^Script=_	MANDAIC}', "");
Expect(0, 2143, '\p{Script=_	MANDAIC}', "");
Expect(1, 2143, '\p{^Script=_	MANDAIC}', "");
Expect(1, 2143, '\P{Script=_	MANDAIC}', "");
Expect(0, 2143, '\P{^Script=_	MANDAIC}', "");
Error('\p{Sc=_/a/mand}');
Error('\P{Sc=_/a/mand}');
Expect(1, 2142, '\p{Sc=mand}', "");
Expect(0, 2142, '\p{^Sc=mand}', "");
Expect(0, 2142, '\P{Sc=mand}', "");
Expect(1, 2142, '\P{^Sc=mand}', "");
Expect(0, 2143, '\p{Sc=mand}', "");
Expect(1, 2143, '\p{^Sc=mand}', "");
Expect(1, 2143, '\P{Sc=mand}', "");
Expect(0, 2143, '\P{^Sc=mand}', "");
Expect(1, 2142, '\p{Sc=_ mand}', "");
Expect(0, 2142, '\p{^Sc=_ mand}', "");
Expect(0, 2142, '\P{Sc=_ mand}', "");
Expect(1, 2142, '\P{^Sc=_ mand}', "");
Expect(0, 2143, '\p{Sc=_ mand}', "");
Expect(1, 2143, '\p{^Sc=_ mand}', "");
Expect(1, 2143, '\P{Sc=_ mand}', "");
Expect(0, 2143, '\P{^Sc=_ mand}', "");
Error('\p{Is_Script::=__Mandaic}');
Error('\P{Is_Script::=__Mandaic}');
Expect(1, 2142, '\p{Is_Script=mandaic}', "");
Expect(0, 2142, '\p{^Is_Script=mandaic}', "");
Expect(0, 2142, '\P{Is_Script=mandaic}', "");
Expect(1, 2142, '\P{^Is_Script=mandaic}', "");
Expect(0, 2143, '\p{Is_Script=mandaic}', "");
Expect(1, 2143, '\p{^Is_Script=mandaic}', "");
Expect(1, 2143, '\P{Is_Script=mandaic}', "");
Expect(0, 2143, '\P{^Is_Script=mandaic}', "");
Expect(1, 2142, '\p{Is_Script=-_mandaic}', "");
Expect(0, 2142, '\p{^Is_Script=-_mandaic}', "");
Expect(0, 2142, '\P{Is_Script=-_mandaic}', "");
Expect(1, 2142, '\P{^Is_Script=-_mandaic}', "");
Expect(0, 2143, '\p{Is_Script=-_mandaic}', "");
Expect(1, 2143, '\p{^Is_Script=-_mandaic}', "");
Expect(1, 2143, '\P{Is_Script=-_mandaic}', "");
Expect(0, 2143, '\P{^Is_Script=-_mandaic}', "");
Error('\p{Is_Sc=/a/_-MAND}');
Error('\P{Is_Sc=/a/_-MAND}');
Expect(1, 2142, '\p{Is_Sc=mand}', "");
Expect(0, 2142, '\p{^Is_Sc=mand}', "");
Expect(0, 2142, '\P{Is_Sc=mand}', "");
Expect(1, 2142, '\P{^Is_Sc=mand}', "");
Expect(0, 2143, '\p{Is_Sc=mand}', "");
Expect(1, 2143, '\p{^Is_Sc=mand}', "");
Expect(1, 2143, '\P{Is_Sc=mand}', "");
Expect(0, 2143, '\P{^Is_Sc=mand}', "");
Expect(1, 2142, '\p{Is_Sc:	_ Mand}', "");
Expect(0, 2142, '\p{^Is_Sc:	_ Mand}', "");
Expect(0, 2142, '\P{Is_Sc:	_ Mand}', "");
Expect(1, 2142, '\P{^Is_Sc:	_ Mand}', "");
Expect(0, 2143, '\p{Is_Sc:	_ Mand}', "");
Expect(1, 2143, '\p{^Is_Sc:	_ Mand}', "");
Expect(1, 2143, '\P{Is_Sc:	_ Mand}', "");
Expect(0, 2143, '\P{^Is_Sc:	_ Mand}', "");
Error('\p{Script=-:=Manichaean}');
Error('\P{Script=-:=Manichaean}');
Expect(1, 68342, '\p{Script=manichaean}', "");
Expect(0, 68342, '\p{^Script=manichaean}', "");
Expect(0, 68342, '\P{Script=manichaean}', "");
Expect(1, 68342, '\P{^Script=manichaean}', "");
Expect(0, 68343, '\p{Script=manichaean}', "");
Expect(1, 68343, '\p{^Script=manichaean}', "");
Expect(1, 68343, '\P{Script=manichaean}', "");
Expect(0, 68343, '\P{^Script=manichaean}', "");
Expect(1, 68342, '\p{Script=	_Manichaean}', "");
Expect(0, 68342, '\p{^Script=	_Manichaean}', "");
Expect(0, 68342, '\P{Script=	_Manichaean}', "");
Expect(1, 68342, '\P{^Script=	_Manichaean}', "");
Expect(0, 68343, '\p{Script=	_Manichaean}', "");
Expect(1, 68343, '\p{^Script=	_Manichaean}', "");
Expect(1, 68343, '\P{Script=	_Manichaean}', "");
Expect(0, 68343, '\P{^Script=	_Manichaean}', "");
Error('\p{Sc=_Mani/a/}');
Error('\P{Sc=_Mani/a/}');
Expect(1, 68342, '\p{Sc=mani}', "");
Expect(0, 68342, '\p{^Sc=mani}', "");
Expect(0, 68342, '\P{Sc=mani}', "");
Expect(1, 68342, '\P{^Sc=mani}', "");
Expect(0, 68343, '\p{Sc=mani}', "");
Expect(1, 68343, '\p{^Sc=mani}', "");
Expect(1, 68343, '\P{Sc=mani}', "");
Expect(0, 68343, '\P{^Sc=mani}', "");
Expect(1, 68342, '\p{Sc=-mani}', "");
Expect(0, 68342, '\p{^Sc=-mani}', "");
Expect(0, 68342, '\P{Sc=-mani}', "");
Expect(1, 68342, '\P{^Sc=-mani}', "");
Expect(0, 68343, '\p{Sc=-mani}', "");
Expect(1, 68343, '\p{^Sc=-mani}', "");
Expect(1, 68343, '\P{Sc=-mani}', "");
Expect(0, 68343, '\P{^Sc=-mani}', "");
Error('\p{Is_Script=- MANICHAEAN:=}');
Error('\P{Is_Script=- MANICHAEAN:=}');
Expect(1, 68342, '\p{Is_Script=manichaean}', "");
Expect(0, 68342, '\p{^Is_Script=manichaean}', "");
Expect(0, 68342, '\P{Is_Script=manichaean}', "");
Expect(1, 68342, '\P{^Is_Script=manichaean}', "");
Expect(0, 68343, '\p{Is_Script=manichaean}', "");
Expect(1, 68343, '\p{^Is_Script=manichaean}', "");
Expect(1, 68343, '\P{Is_Script=manichaean}', "");
Expect(0, 68343, '\P{^Is_Script=manichaean}', "");
Expect(1, 68342, '\p{Is_Script=_-Manichaean}', "");
Expect(0, 68342, '\p{^Is_Script=_-Manichaean}', "");
Expect(0, 68342, '\P{Is_Script=_-Manichaean}', "");
Expect(1, 68342, '\P{^Is_Script=_-Manichaean}', "");
Expect(0, 68343, '\p{Is_Script=_-Manichaean}', "");
Expect(1, 68343, '\p{^Is_Script=_-Manichaean}', "");
Expect(1, 68343, '\P{Is_Script=_-Manichaean}', "");
Expect(0, 68343, '\P{^Is_Script=_-Manichaean}', "");
Error('\p{Is_Sc=	:=mani}');
Error('\P{Is_Sc=	:=mani}');
Expect(1, 68342, '\p{Is_Sc=mani}', "");
Expect(0, 68342, '\p{^Is_Sc=mani}', "");
Expect(0, 68342, '\P{Is_Sc=mani}', "");
Expect(1, 68342, '\P{^Is_Sc=mani}', "");
Expect(0, 68343, '\p{Is_Sc=mani}', "");
Expect(1, 68343, '\p{^Is_Sc=mani}', "");
Expect(1, 68343, '\P{Is_Sc=mani}', "");
Expect(0, 68343, '\P{^Is_Sc=mani}', "");
Expect(1, 68342, '\p{Is_Sc= mani}', "");
Expect(0, 68342, '\p{^Is_Sc= mani}', "");
Expect(0, 68342, '\P{Is_Sc= mani}', "");
Expect(1, 68342, '\P{^Is_Sc= mani}', "");
Expect(0, 68343, '\p{Is_Sc= mani}', "");
Expect(1, 68343, '\p{^Is_Sc= mani}', "");
Expect(1, 68343, '\P{Is_Sc= mani}', "");
Expect(0, 68343, '\P{^Is_Sc= mani}', "");
Error('\p{Script=_/a/MENDE_Kikakui}');
Error('\P{Script=_/a/MENDE_Kikakui}');
Expect(1, 125142, '\p{Script=mendekikakui}', "");
Expect(0, 125142, '\p{^Script=mendekikakui}', "");
Expect(0, 125142, '\P{Script=mendekikakui}', "");
Expect(1, 125142, '\P{^Script=mendekikakui}', "");
Expect(0, 125143, '\p{Script=mendekikakui}', "");
Expect(1, 125143, '\p{^Script=mendekikakui}', "");
Expect(1, 125143, '\P{Script=mendekikakui}', "");
Expect(0, 125143, '\P{^Script=mendekikakui}', "");
Expect(1, 125142, '\p{Script=_Mende_Kikakui}', "");
Expect(0, 125142, '\p{^Script=_Mende_Kikakui}', "");
Expect(0, 125142, '\P{Script=_Mende_Kikakui}', "");
Expect(1, 125142, '\P{^Script=_Mende_Kikakui}', "");
Expect(0, 125143, '\p{Script=_Mende_Kikakui}', "");
Expect(1, 125143, '\p{^Script=_Mende_Kikakui}', "");
Expect(1, 125143, '\P{Script=_Mende_Kikakui}', "");
Expect(0, 125143, '\P{^Script=_Mende_Kikakui}', "");
Error('\p{Sc=- Mend:=}');
Error('\P{Sc=- Mend:=}');
Expect(1, 125142, '\p{Sc=mend}', "");
Expect(0, 125142, '\p{^Sc=mend}', "");
Expect(0, 125142, '\P{Sc=mend}', "");
Expect(1, 125142, '\P{^Sc=mend}', "");
Expect(0, 125143, '\p{Sc=mend}', "");
Expect(1, 125143, '\p{^Sc=mend}', "");
Expect(1, 125143, '\P{Sc=mend}', "");
Expect(0, 125143, '\P{^Sc=mend}', "");
Expect(1, 125142, '\p{Sc=-Mend}', "");
Expect(0, 125142, '\p{^Sc=-Mend}', "");
Expect(0, 125142, '\P{Sc=-Mend}', "");
Expect(1, 125142, '\P{^Sc=-Mend}', "");
Expect(0, 125143, '\p{Sc=-Mend}', "");
Expect(1, 125143, '\p{^Sc=-Mend}', "");
Expect(1, 125143, '\P{Sc=-Mend}', "");
Expect(0, 125143, '\P{^Sc=-Mend}', "");
Error('\p{Is_Script=	mende_kikakui:=}');
Error('\P{Is_Script=	mende_kikakui:=}');
Expect(1, 125142, '\p{Is_Script=mendekikakui}', "");
Expect(0, 125142, '\p{^Is_Script=mendekikakui}', "");
Expect(0, 125142, '\P{Is_Script=mendekikakui}', "");
Expect(1, 125142, '\P{^Is_Script=mendekikakui}', "");
Expect(0, 125143, '\p{Is_Script=mendekikakui}', "");
Expect(1, 125143, '\p{^Is_Script=mendekikakui}', "");
Expect(1, 125143, '\P{Is_Script=mendekikakui}', "");
Expect(0, 125143, '\P{^Is_Script=mendekikakui}', "");
Expect(1, 125142, '\p{Is_Script=_Mende_kikakui}', "");
Expect(0, 125142, '\p{^Is_Script=_Mende_kikakui}', "");
Expect(0, 125142, '\P{Is_Script=_Mende_kikakui}', "");
Expect(1, 125142, '\P{^Is_Script=_Mende_kikakui}', "");
Expect(0, 125143, '\p{Is_Script=_Mende_kikakui}', "");
Expect(1, 125143, '\p{^Is_Script=_Mende_kikakui}', "");
Expect(1, 125143, '\P{Is_Script=_Mende_kikakui}', "");
Expect(0, 125143, '\P{^Is_Script=_Mende_kikakui}', "");
Error('\p{Is_Sc:	:=_-Mend}');
Error('\P{Is_Sc:	:=_-Mend}');
Expect(1, 125142, '\p{Is_Sc: mend}', "");
Expect(0, 125142, '\p{^Is_Sc: mend}', "");
Expect(0, 125142, '\P{Is_Sc: mend}', "");
Expect(1, 125142, '\P{^Is_Sc: mend}', "");
Expect(0, 125143, '\p{Is_Sc: mend}', "");
Expect(1, 125143, '\p{^Is_Sc: mend}', "");
Expect(1, 125143, '\P{Is_Sc: mend}', "");
Expect(0, 125143, '\P{^Is_Sc: mend}', "");
Expect(1, 125142, '\p{Is_Sc=_Mend}', "");
Expect(0, 125142, '\p{^Is_Sc=_Mend}', "");
Expect(0, 125142, '\P{Is_Sc=_Mend}', "");
Expect(1, 125142, '\P{^Is_Sc=_Mend}', "");
Expect(0, 125143, '\p{Is_Sc=_Mend}', "");
Expect(1, 125143, '\p{^Is_Sc=_Mend}', "");
Expect(1, 125143, '\P{Is_Sc=_Mend}', "");
Expect(0, 125143, '\P{^Is_Sc=_Mend}', "");
Error('\p{Script:   := 	meroitic_CURSIVE}');
Error('\P{Script:   := 	meroitic_CURSIVE}');
Expect(1, 68031, '\p{Script=meroiticcursive}', "");
Expect(0, 68031, '\p{^Script=meroiticcursive}', "");
Expect(0, 68031, '\P{Script=meroiticcursive}', "");
Expect(1, 68031, '\P{^Script=meroiticcursive}', "");
Expect(0, 68032, '\p{Script=meroiticcursive}', "");
Expect(1, 68032, '\p{^Script=meroiticcursive}', "");
Expect(1, 68032, '\P{Script=meroiticcursive}', "");
Expect(0, 68032, '\P{^Script=meroiticcursive}', "");
Expect(1, 68031, '\p{Script=__Meroitic_Cursive}', "");
Expect(0, 68031, '\p{^Script=__Meroitic_Cursive}', "");
Expect(0, 68031, '\P{Script=__Meroitic_Cursive}', "");
Expect(1, 68031, '\P{^Script=__Meroitic_Cursive}', "");
Expect(0, 68032, '\p{Script=__Meroitic_Cursive}', "");
Expect(1, 68032, '\p{^Script=__Meroitic_Cursive}', "");
Expect(1, 68032, '\P{Script=__Meroitic_Cursive}', "");
Expect(0, 68032, '\P{^Script=__Meroitic_Cursive}', "");
Error('\p{Sc=	:=MERC}');
Error('\P{Sc=	:=MERC}');
Expect(1, 68031, '\p{Sc=merc}', "");
Expect(0, 68031, '\p{^Sc=merc}', "");
Expect(0, 68031, '\P{Sc=merc}', "");
Expect(1, 68031, '\P{^Sc=merc}', "");
Expect(0, 68032, '\p{Sc=merc}', "");
Expect(1, 68032, '\p{^Sc=merc}', "");
Expect(1, 68032, '\P{Sc=merc}', "");
Expect(0, 68032, '\P{^Sc=merc}', "");
Expect(1, 68031, '\p{Sc:	Merc}', "");
Expect(0, 68031, '\p{^Sc:	Merc}', "");
Expect(0, 68031, '\P{Sc:	Merc}', "");
Expect(1, 68031, '\P{^Sc:	Merc}', "");
Expect(0, 68032, '\p{Sc:	Merc}', "");
Expect(1, 68032, '\p{^Sc:	Merc}', "");
Expect(1, 68032, '\P{Sc:	Merc}', "");
Expect(0, 68032, '\P{^Sc:	Merc}', "");
Error('\p{Is_Script=_meroitic_Cursive:=}');
Error('\P{Is_Script=_meroitic_Cursive:=}');
Expect(1, 68031, '\p{Is_Script=meroiticcursive}', "");
Expect(0, 68031, '\p{^Is_Script=meroiticcursive}', "");
Expect(0, 68031, '\P{Is_Script=meroiticcursive}', "");
Expect(1, 68031, '\P{^Is_Script=meroiticcursive}', "");
Expect(0, 68032, '\p{Is_Script=meroiticcursive}', "");
Expect(1, 68032, '\p{^Is_Script=meroiticcursive}', "");
Expect(1, 68032, '\P{Is_Script=meroiticcursive}', "");
Expect(0, 68032, '\P{^Is_Script=meroiticcursive}', "");
Expect(1, 68031, '\p{Is_Script=_-Meroitic_Cursive}', "");
Expect(0, 68031, '\p{^Is_Script=_-Meroitic_Cursive}', "");
Expect(0, 68031, '\P{Is_Script=_-Meroitic_Cursive}', "");
Expect(1, 68031, '\P{^Is_Script=_-Meroitic_Cursive}', "");
Expect(0, 68032, '\p{Is_Script=_-Meroitic_Cursive}', "");
Expect(1, 68032, '\p{^Is_Script=_-Meroitic_Cursive}', "");
Expect(1, 68032, '\P{Is_Script=_-Meroitic_Cursive}', "");
Expect(0, 68032, '\P{^Is_Script=_-Meroitic_Cursive}', "");
Error('\p{Is_Sc= :=MERC}');
Error('\P{Is_Sc= :=MERC}');
Expect(1, 68031, '\p{Is_Sc=merc}', "");
Expect(0, 68031, '\p{^Is_Sc=merc}', "");
Expect(0, 68031, '\P{Is_Sc=merc}', "");
Expect(1, 68031, '\P{^Is_Sc=merc}', "");
Expect(0, 68032, '\p{Is_Sc=merc}', "");
Expect(1, 68032, '\p{^Is_Sc=merc}', "");
Expect(1, 68032, '\P{Is_Sc=merc}', "");
Expect(0, 68032, '\P{^Is_Sc=merc}', "");
Expect(1, 68031, '\p{Is_Sc=-merc}', "");
Expect(0, 68031, '\p{^Is_Sc=-merc}', "");
Expect(0, 68031, '\P{Is_Sc=-merc}', "");
Expect(1, 68031, '\P{^Is_Sc=-merc}', "");
Expect(0, 68032, '\p{Is_Sc=-merc}', "");
Expect(1, 68032, '\p{^Is_Sc=-merc}', "");
Expect(1, 68032, '\P{Is_Sc=-merc}', "");
Expect(0, 68032, '\P{^Is_Sc=-merc}', "");
Error('\p{Script= :=Meroitic_Hieroglyphs}');
Error('\P{Script= :=Meroitic_Hieroglyphs}');
Expect(1, 67999, '\p{Script=meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Script=meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Script=meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Script=meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Script=meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Script=meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Script=meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Script=meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Script= -meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\p{^Script= -meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\P{Script= -meroitic_Hieroglyphs}', "");
Expect(1, 67999, '\P{^Script= -meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\p{Script= -meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\p{^Script= -meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\P{Script= -meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\P{^Script= -meroitic_Hieroglyphs}', "");
Error('\p{Sc=_ Mero/a/}');
Error('\P{Sc=_ Mero/a/}');
Expect(1, 67999, '\p{Sc=mero}', "");
Expect(0, 67999, '\p{^Sc=mero}', "");
Expect(0, 67999, '\P{Sc=mero}', "");
Expect(1, 67999, '\P{^Sc=mero}', "");
Expect(0, 68000, '\p{Sc=mero}', "");
Expect(1, 68000, '\p{^Sc=mero}', "");
Expect(1, 68000, '\P{Sc=mero}', "");
Expect(0, 68000, '\P{^Sc=mero}', "");
Expect(1, 67999, '\p{Sc=_Mero}', "");
Expect(0, 67999, '\p{^Sc=_Mero}', "");
Expect(0, 67999, '\P{Sc=_Mero}', "");
Expect(1, 67999, '\P{^Sc=_Mero}', "");
Expect(0, 68000, '\p{Sc=_Mero}', "");
Expect(1, 68000, '\p{^Sc=_Mero}', "");
Expect(1, 68000, '\P{Sc=_Mero}', "");
Expect(0, 68000, '\P{^Sc=_Mero}', "");
Error('\p{Is_Script=	 Meroitic_hieroglyphs/a/}');
Error('\P{Is_Script=	 Meroitic_hieroglyphs/a/}');
Expect(1, 67999, '\p{Is_Script=meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Is_Script=meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Is_Script=meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Is_Script=meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Is_Script=meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Is_Script=meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Is_Script=meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Is_Script=meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Is_Script=-meroitic_hieroglyphs}', "");
Expect(0, 67999, '\p{^Is_Script=-meroitic_hieroglyphs}', "");
Expect(0, 67999, '\P{Is_Script=-meroitic_hieroglyphs}', "");
Expect(1, 67999, '\P{^Is_Script=-meroitic_hieroglyphs}', "");
Expect(0, 68000, '\p{Is_Script=-meroitic_hieroglyphs}', "");
Expect(1, 68000, '\p{^Is_Script=-meroitic_hieroglyphs}', "");
Expect(1, 68000, '\P{Is_Script=-meroitic_hieroglyphs}', "");
Expect(0, 68000, '\P{^Is_Script=-meroitic_hieroglyphs}', "");
Error('\p{Is_Sc=	:=Mero}');
Error('\P{Is_Sc=	:=Mero}');
Expect(1, 67999, '\p{Is_Sc=mero}', "");
Expect(0, 67999, '\p{^Is_Sc=mero}', "");
Expect(0, 67999, '\P{Is_Sc=mero}', "");
Expect(1, 67999, '\P{^Is_Sc=mero}', "");
Expect(0, 68000, '\p{Is_Sc=mero}', "");
Expect(1, 68000, '\p{^Is_Sc=mero}', "");
Expect(1, 68000, '\P{Is_Sc=mero}', "");
Expect(0, 68000, '\P{^Is_Sc=mero}', "");
Expect(1, 67999, '\p{Is_Sc=- MERO}', "");
Expect(0, 67999, '\p{^Is_Sc=- MERO}', "");
Expect(0, 67999, '\P{Is_Sc=- MERO}', "");
Expect(1, 67999, '\P{^Is_Sc=- MERO}', "");
Expect(0, 68000, '\p{Is_Sc=- MERO}', "");
Expect(1, 68000, '\p{^Is_Sc=- MERO}', "");
Expect(1, 68000, '\P{Is_Sc=- MERO}', "");
Expect(0, 68000, '\P{^Is_Sc=- MERO}', "");
Error('\p{Script=:= 	MALAYALAM}');
Error('\P{Script=:= 	MALAYALAM}');
Expect(1, 3455, '\p{Script=malayalam}', "");
Expect(0, 3455, '\p{^Script=malayalam}', "");
Expect(0, 3455, '\P{Script=malayalam}', "");
Expect(1, 3455, '\P{^Script=malayalam}', "");
Expect(0, 3456, '\p{Script=malayalam}', "");
Expect(1, 3456, '\p{^Script=malayalam}', "");
Expect(1, 3456, '\P{Script=malayalam}', "");
Expect(0, 3456, '\P{^Script=malayalam}', "");
Expect(1, 3455, '\p{Script=-_Malayalam}', "");
Expect(0, 3455, '\p{^Script=-_Malayalam}', "");
Expect(0, 3455, '\P{Script=-_Malayalam}', "");
Expect(1, 3455, '\P{^Script=-_Malayalam}', "");
Expect(0, 3456, '\p{Script=-_Malayalam}', "");
Expect(1, 3456, '\p{^Script=-_Malayalam}', "");
Expect(1, 3456, '\P{Script=-_Malayalam}', "");
Expect(0, 3456, '\P{^Script=-_Malayalam}', "");
Error('\p{Sc:	Mlym:=}');
Error('\P{Sc:	Mlym:=}');
Expect(1, 3455, '\p{Sc=mlym}', "");
Expect(0, 3455, '\p{^Sc=mlym}', "");
Expect(0, 3455, '\P{Sc=mlym}', "");
Expect(1, 3455, '\P{^Sc=mlym}', "");
Expect(0, 3456, '\p{Sc=mlym}', "");
Expect(1, 3456, '\p{^Sc=mlym}', "");
Expect(1, 3456, '\P{Sc=mlym}', "");
Expect(0, 3456, '\P{^Sc=mlym}', "");
Expect(1, 3455, '\p{Sc=	mlym}', "");
Expect(0, 3455, '\p{^Sc=	mlym}', "");
Expect(0, 3455, '\P{Sc=	mlym}', "");
Expect(1, 3455, '\P{^Sc=	mlym}', "");
Expect(0, 3456, '\p{Sc=	mlym}', "");
Expect(1, 3456, '\p{^Sc=	mlym}', "");
Expect(1, 3456, '\P{Sc=	mlym}', "");
Expect(0, 3456, '\P{^Sc=	mlym}', "");
Error('\p{Is_Script=/a/-	malayalam}');
Error('\P{Is_Script=/a/-	malayalam}');
Expect(1, 3455, '\p{Is_Script=malayalam}', "");
Expect(0, 3455, '\p{^Is_Script=malayalam}', "");
Expect(0, 3455, '\P{Is_Script=malayalam}', "");
Expect(1, 3455, '\P{^Is_Script=malayalam}', "");
Expect(0, 3456, '\p{Is_Script=malayalam}', "");
Expect(1, 3456, '\p{^Is_Script=malayalam}', "");
Expect(1, 3456, '\P{Is_Script=malayalam}', "");
Expect(0, 3456, '\P{^Is_Script=malayalam}', "");
Expect(1, 3455, '\p{Is_Script=_Malayalam}', "");
Expect(0, 3455, '\p{^Is_Script=_Malayalam}', "");
Expect(0, 3455, '\P{Is_Script=_Malayalam}', "");
Expect(1, 3455, '\P{^Is_Script=_Malayalam}', "");
Expect(0, 3456, '\p{Is_Script=_Malayalam}', "");
Expect(1, 3456, '\p{^Is_Script=_Malayalam}', "");
Expect(1, 3456, '\P{Is_Script=_Malayalam}', "");
Expect(0, 3456, '\P{^Is_Script=_Malayalam}', "");
Error('\p{Is_Sc= /a/Mlym}');
Error('\P{Is_Sc= /a/Mlym}');
Expect(1, 3455, '\p{Is_Sc=mlym}', "");
Expect(0, 3455, '\p{^Is_Sc=mlym}', "");
Expect(0, 3455, '\P{Is_Sc=mlym}', "");
Expect(1, 3455, '\P{^Is_Sc=mlym}', "");
Expect(0, 3456, '\p{Is_Sc=mlym}', "");
Expect(1, 3456, '\p{^Is_Sc=mlym}', "");
Expect(1, 3456, '\P{Is_Sc=mlym}', "");
Expect(0, 3456, '\P{^Is_Sc=mlym}', "");
Expect(1, 3455, '\p{Is_Sc=	_mlym}', "");
Expect(0, 3455, '\p{^Is_Sc=	_mlym}', "");
Expect(0, 3455, '\P{Is_Sc=	_mlym}', "");
Expect(1, 3455, '\P{^Is_Sc=	_mlym}', "");
Expect(0, 3456, '\p{Is_Sc=	_mlym}', "");
Expect(1, 3456, '\p{^Is_Sc=	_mlym}', "");
Expect(1, 3456, '\P{Is_Sc=	_mlym}', "");
Expect(0, 3456, '\P{^Is_Sc=	_mlym}', "");
Error('\p{Script= MODI:=}');
Error('\P{Script= MODI:=}');
Expect(1, 71257, '\p{Script=modi}', "");
Expect(0, 71257, '\p{^Script=modi}', "");
Expect(0, 71257, '\P{Script=modi}', "");
Expect(1, 71257, '\P{^Script=modi}', "");
Expect(0, 71258, '\p{Script=modi}', "");
Expect(1, 71258, '\p{^Script=modi}', "");
Expect(1, 71258, '\P{Script=modi}', "");
Expect(0, 71258, '\P{^Script=modi}', "");
Expect(1, 71257, '\p{Script= -modi}', "");
Expect(0, 71257, '\p{^Script= -modi}', "");
Expect(0, 71257, '\P{Script= -modi}', "");
Expect(1, 71257, '\P{^Script= -modi}', "");
Expect(0, 71258, '\p{Script= -modi}', "");
Expect(1, 71258, '\p{^Script= -modi}', "");
Expect(1, 71258, '\P{Script= -modi}', "");
Expect(0, 71258, '\P{^Script= -modi}', "");
Error('\p{Sc:	/a/ MODI}');
Error('\P{Sc:	/a/ MODI}');
Expect(1, 71257, '\p{Sc=modi}', "");
Expect(0, 71257, '\p{^Sc=modi}', "");
Expect(0, 71257, '\P{Sc=modi}', "");
Expect(1, 71257, '\P{^Sc=modi}', "");
Expect(0, 71258, '\p{Sc=modi}', "");
Expect(1, 71258, '\p{^Sc=modi}', "");
Expect(1, 71258, '\P{Sc=modi}', "");
Expect(0, 71258, '\P{^Sc=modi}', "");
Expect(1, 71257, '\p{Sc=Modi}', "");
Expect(0, 71257, '\p{^Sc=Modi}', "");
Expect(0, 71257, '\P{Sc=Modi}', "");
Expect(1, 71257, '\P{^Sc=Modi}', "");
Expect(0, 71258, '\p{Sc=Modi}', "");
Expect(1, 71258, '\p{^Sc=Modi}', "");
Expect(1, 71258, '\P{Sc=Modi}', "");
Expect(0, 71258, '\P{^Sc=Modi}', "");
Error('\p{Is_Script=:=_Modi}');
Error('\P{Is_Script=:=_Modi}');
Expect(1, 71257, '\p{Is_Script=modi}', "");
Expect(0, 71257, '\p{^Is_Script=modi}', "");
Expect(0, 71257, '\P{Is_Script=modi}', "");
Expect(1, 71257, '\P{^Is_Script=modi}', "");
Expect(0, 71258, '\p{Is_Script=modi}', "");
Expect(1, 71258, '\p{^Is_Script=modi}', "");
Expect(1, 71258, '\P{Is_Script=modi}', "");
Expect(0, 71258, '\P{^Is_Script=modi}', "");
Expect(1, 71257, '\p{Is_Script=	-modi}', "");
Expect(0, 71257, '\p{^Is_Script=	-modi}', "");
Expect(0, 71257, '\P{Is_Script=	-modi}', "");
Expect(1, 71257, '\P{^Is_Script=	-modi}', "");
Expect(0, 71258, '\p{Is_Script=	-modi}', "");
Expect(1, 71258, '\p{^Is_Script=	-modi}', "");
Expect(1, 71258, '\P{Is_Script=	-modi}', "");
Expect(0, 71258, '\P{^Is_Script=	-modi}', "");
Error('\p{Is_Sc=__MODI:=}');
Error('\P{Is_Sc=__MODI:=}');
Expect(1, 71257, '\p{Is_Sc=modi}', "");
Expect(0, 71257, '\p{^Is_Sc=modi}', "");
Expect(0, 71257, '\P{Is_Sc=modi}', "");
Expect(1, 71257, '\P{^Is_Sc=modi}', "");
Expect(0, 71258, '\p{Is_Sc=modi}', "");
Expect(1, 71258, '\p{^Is_Sc=modi}', "");
Expect(1, 71258, '\P{Is_Sc=modi}', "");
Expect(0, 71258, '\P{^Is_Sc=modi}', "");
Expect(1, 71257, '\p{Is_Sc=_ Modi}', "");
Expect(0, 71257, '\p{^Is_Sc=_ Modi}', "");
Expect(0, 71257, '\P{Is_Sc=_ Modi}', "");
Expect(1, 71257, '\P{^Is_Sc=_ Modi}', "");
Expect(0, 71258, '\p{Is_Sc=_ Modi}', "");
Expect(1, 71258, '\p{^Is_Sc=_ Modi}', "");
Expect(1, 71258, '\P{Is_Sc=_ Modi}', "");
Expect(0, 71258, '\P{^Is_Sc=_ Modi}', "");
Error('\p{Script=:=	mongolian}');
Error('\P{Script=:=	mongolian}');
Expect(1, 6314, '\p{Script=mongolian}', "");
Expect(0, 6314, '\p{^Script=mongolian}', "");
Expect(0, 6314, '\P{Script=mongolian}', "");
Expect(1, 6314, '\P{^Script=mongolian}', "");
Expect(0, 6315, '\p{Script=mongolian}', "");
Expect(1, 6315, '\p{^Script=mongolian}', "");
Expect(1, 6315, '\P{Script=mongolian}', "");
Expect(0, 6315, '\P{^Script=mongolian}', "");
Expect(1, 6314, '\p{Script=--Mongolian}', "");
Expect(0, 6314, '\p{^Script=--Mongolian}', "");
Expect(0, 6314, '\P{Script=--Mongolian}', "");
Expect(1, 6314, '\P{^Script=--Mongolian}', "");
Expect(0, 6315, '\p{Script=--Mongolian}', "");
Expect(1, 6315, '\p{^Script=--Mongolian}', "");
Expect(1, 6315, '\P{Script=--Mongolian}', "");
Expect(0, 6315, '\P{^Script=--Mongolian}', "");
Error('\p{Sc= /a/mong}');
Error('\P{Sc= /a/mong}');
Expect(1, 6314, '\p{Sc=mong}', "");
Expect(0, 6314, '\p{^Sc=mong}', "");
Expect(0, 6314, '\P{Sc=mong}', "");
Expect(1, 6314, '\P{^Sc=mong}', "");
Expect(0, 6315, '\p{Sc=mong}', "");
Expect(1, 6315, '\p{^Sc=mong}', "");
Expect(1, 6315, '\P{Sc=mong}', "");
Expect(0, 6315, '\P{^Sc=mong}', "");
Expect(1, 6314, '\p{Sc=	-Mong}', "");
Expect(0, 6314, '\p{^Sc=	-Mong}', "");
Expect(0, 6314, '\P{Sc=	-Mong}', "");
Expect(1, 6314, '\P{^Sc=	-Mong}', "");
Expect(0, 6315, '\p{Sc=	-Mong}', "");
Expect(1, 6315, '\p{^Sc=	-Mong}', "");
Expect(1, 6315, '\P{Sc=	-Mong}', "");
Expect(0, 6315, '\P{^Sc=	-Mong}', "");
Error('\p{Is_Script=/a/_	mongolian}');
Error('\P{Is_Script=/a/_	mongolian}');
Expect(1, 6314, '\p{Is_Script:	mongolian}', "");
Expect(0, 6314, '\p{^Is_Script:	mongolian}', "");
Expect(0, 6314, '\P{Is_Script:	mongolian}', "");
Expect(1, 6314, '\P{^Is_Script:	mongolian}', "");
Expect(0, 6315, '\p{Is_Script:	mongolian}', "");
Expect(1, 6315, '\p{^Is_Script:	mongolian}', "");
Expect(1, 6315, '\P{Is_Script:	mongolian}', "");
Expect(0, 6315, '\P{^Is_Script:	mongolian}', "");
Expect(1, 6314, '\p{Is_Script=-	MONGOLIAN}', "");
Expect(0, 6314, '\p{^Is_Script=-	MONGOLIAN}', "");
Expect(0, 6314, '\P{Is_Script=-	MONGOLIAN}', "");
Expect(1, 6314, '\P{^Is_Script=-	MONGOLIAN}', "");
Expect(0, 6315, '\p{Is_Script=-	MONGOLIAN}', "");
Expect(1, 6315, '\p{^Is_Script=-	MONGOLIAN}', "");
Expect(1, 6315, '\P{Is_Script=-	MONGOLIAN}', "");
Expect(0, 6315, '\P{^Is_Script=-	MONGOLIAN}', "");
Error('\p{Is_Sc=- Mong:=}');
Error('\P{Is_Sc=- Mong:=}');
Expect(1, 6314, '\p{Is_Sc=mong}', "");
Expect(0, 6314, '\p{^Is_Sc=mong}', "");
Expect(0, 6314, '\P{Is_Sc=mong}', "");
Expect(1, 6314, '\P{^Is_Sc=mong}', "");
Expect(0, 6315, '\p{Is_Sc=mong}', "");
Expect(1, 6315, '\p{^Is_Sc=mong}', "");
Expect(1, 6315, '\P{Is_Sc=mong}', "");
Expect(0, 6315, '\P{^Is_Sc=mong}', "");
Expect(1, 6314, '\p{Is_Sc=_-Mong}', "");
Expect(0, 6314, '\p{^Is_Sc=_-Mong}', "");
Expect(0, 6314, '\P{Is_Sc=_-Mong}', "");
Expect(1, 6314, '\P{^Is_Sc=_-Mong}', "");
Expect(0, 6315, '\p{Is_Sc=_-Mong}', "");
Expect(1, 6315, '\p{^Is_Sc=_-Mong}', "");
Expect(1, 6315, '\P{Is_Sc=_-Mong}', "");
Expect(0, 6315, '\P{^Is_Sc=_-Mong}', "");
Error('\p{Script=:=-Mro}');
Error('\P{Script=:=-Mro}');
Expect(1, 92783, '\p{Script=mro}', "");
Expect(0, 92783, '\p{^Script=mro}', "");
Expect(0, 92783, '\P{Script=mro}', "");
Expect(1, 92783, '\P{^Script=mro}', "");
Expect(0, 92784, '\p{Script=mro}', "");
Expect(1, 92784, '\p{^Script=mro}', "");
Expect(1, 92784, '\P{Script=mro}', "");
Expect(0, 92784, '\P{^Script=mro}', "");
Expect(1, 92783, '\p{Script=-_mro}', "");
Expect(0, 92783, '\p{^Script=-_mro}', "");
Expect(0, 92783, '\P{Script=-_mro}', "");
Expect(1, 92783, '\P{^Script=-_mro}', "");
Expect(0, 92784, '\p{Script=-_mro}', "");
Expect(1, 92784, '\p{^Script=-_mro}', "");
Expect(1, 92784, '\P{Script=-_mro}', "");
Expect(0, 92784, '\P{^Script=-_mro}', "");
Error('\p{Sc=/a/mroo}');
Error('\P{Sc=/a/mroo}');
Expect(1, 92783, '\p{Sc=mroo}', "");
Expect(0, 92783, '\p{^Sc=mroo}', "");
Expect(0, 92783, '\P{Sc=mroo}', "");
Expect(1, 92783, '\P{^Sc=mroo}', "");
Expect(0, 92784, '\p{Sc=mroo}', "");
Expect(1, 92784, '\p{^Sc=mroo}', "");
Expect(1, 92784, '\P{Sc=mroo}', "");
Expect(0, 92784, '\P{^Sc=mroo}', "");
Expect(1, 92783, '\p{Sc=-mroo}', "");
Expect(0, 92783, '\p{^Sc=-mroo}', "");
Expect(0, 92783, '\P{Sc=-mroo}', "");
Expect(1, 92783, '\P{^Sc=-mroo}', "");
Expect(0, 92784, '\p{Sc=-mroo}', "");
Expect(1, 92784, '\p{^Sc=-mroo}', "");
Expect(1, 92784, '\P{Sc=-mroo}', "");
Expect(0, 92784, '\P{^Sc=-mroo}', "");
Error('\p{Is_Script=:=-MRO}');
Error('\P{Is_Script=:=-MRO}');
Expect(1, 92783, '\p{Is_Script=mro}', "");
Expect(0, 92783, '\p{^Is_Script=mro}', "");
Expect(0, 92783, '\P{Is_Script=mro}', "");
Expect(1, 92783, '\P{^Is_Script=mro}', "");
Expect(0, 92784, '\p{Is_Script=mro}', "");
Expect(1, 92784, '\p{^Is_Script=mro}', "");
Expect(1, 92784, '\P{Is_Script=mro}', "");
Expect(0, 92784, '\P{^Is_Script=mro}', "");
Expect(1, 92783, '\p{Is_Script=	-MRO}', "");
Expect(0, 92783, '\p{^Is_Script=	-MRO}', "");
Expect(0, 92783, '\P{Is_Script=	-MRO}', "");
Expect(1, 92783, '\P{^Is_Script=	-MRO}', "");
Expect(0, 92784, '\p{Is_Script=	-MRO}', "");
Expect(1, 92784, '\p{^Is_Script=	-MRO}', "");
Expect(1, 92784, '\P{Is_Script=	-MRO}', "");
Expect(0, 92784, '\P{^Is_Script=	-MRO}', "");
Error('\p{Is_Sc=-MROO:=}');
Error('\P{Is_Sc=-MROO:=}');
Expect(1, 92783, '\p{Is_Sc=mroo}', "");
Expect(0, 92783, '\p{^Is_Sc=mroo}', "");
Expect(0, 92783, '\P{Is_Sc=mroo}', "");
Expect(1, 92783, '\P{^Is_Sc=mroo}', "");
Expect(0, 92784, '\p{Is_Sc=mroo}', "");
Expect(1, 92784, '\p{^Is_Sc=mroo}', "");
Expect(1, 92784, '\P{Is_Sc=mroo}', "");
Expect(0, 92784, '\P{^Is_Sc=mroo}', "");
Expect(1, 92783, '\p{Is_Sc=_-Mroo}', "");
Expect(0, 92783, '\p{^Is_Sc=_-Mroo}', "");
Expect(0, 92783, '\P{Is_Sc=_-Mroo}', "");
Expect(1, 92783, '\P{^Is_Sc=_-Mroo}', "");
Expect(0, 92784, '\p{Is_Sc=_-Mroo}', "");
Expect(1, 92784, '\p{^Is_Sc=_-Mroo}', "");
Expect(1, 92784, '\P{Is_Sc=_-Mroo}', "");
Expect(0, 92784, '\P{^Is_Sc=_-Mroo}', "");
Error('\p{Script=_:=meetei_Mayek}');
Error('\P{Script=_:=meetei_Mayek}');
Expect(1, 44025, '\p{Script=meeteimayek}', "");
Expect(0, 44025, '\p{^Script=meeteimayek}', "");
Expect(0, 44025, '\P{Script=meeteimayek}', "");
Expect(1, 44025, '\P{^Script=meeteimayek}', "");
Expect(0, 44026, '\p{Script=meeteimayek}', "");
Expect(1, 44026, '\p{^Script=meeteimayek}', "");
Expect(1, 44026, '\P{Script=meeteimayek}', "");
Expect(0, 44026, '\P{^Script=meeteimayek}', "");
Expect(1, 44025, '\p{Script:   	Meetei_Mayek}', "");
Expect(0, 44025, '\p{^Script:   	Meetei_Mayek}', "");
Expect(0, 44025, '\P{Script:   	Meetei_Mayek}', "");
Expect(1, 44025, '\P{^Script:   	Meetei_Mayek}', "");
Expect(0, 44026, '\p{Script:   	Meetei_Mayek}', "");
Expect(1, 44026, '\p{^Script:   	Meetei_Mayek}', "");
Expect(1, 44026, '\P{Script:   	Meetei_Mayek}', "");
Expect(0, 44026, '\P{^Script:   	Meetei_Mayek}', "");
Error('\p{Sc=/a/	_Mtei}');
Error('\P{Sc=/a/	_Mtei}');
Expect(1, 44025, '\p{Sc=mtei}', "");
Expect(0, 44025, '\p{^Sc=mtei}', "");
Expect(0, 44025, '\P{Sc=mtei}', "");
Expect(1, 44025, '\P{^Sc=mtei}', "");
Expect(0, 44026, '\p{Sc=mtei}', "");
Expect(1, 44026, '\p{^Sc=mtei}', "");
Expect(1, 44026, '\P{Sc=mtei}', "");
Expect(0, 44026, '\P{^Sc=mtei}', "");
Expect(1, 44025, '\p{Sc=	Mtei}', "");
Expect(0, 44025, '\p{^Sc=	Mtei}', "");
Expect(0, 44025, '\P{Sc=	Mtei}', "");
Expect(1, 44025, '\P{^Sc=	Mtei}', "");
Expect(0, 44026, '\p{Sc=	Mtei}', "");
Expect(1, 44026, '\p{^Sc=	Mtei}', "");
Expect(1, 44026, '\P{Sc=	Mtei}', "");
Expect(0, 44026, '\P{^Sc=	Mtei}', "");
Error('\p{Is_Script=:=_MEETEI_MAYEK}');
Error('\P{Is_Script=:=_MEETEI_MAYEK}');
Expect(1, 44025, '\p{Is_Script=meeteimayek}', "");
Expect(0, 44025, '\p{^Is_Script=meeteimayek}', "");
Expect(0, 44025, '\P{Is_Script=meeteimayek}', "");
Expect(1, 44025, '\P{^Is_Script=meeteimayek}', "");
Expect(0, 44026, '\p{Is_Script=meeteimayek}', "");
Expect(1, 44026, '\p{^Is_Script=meeteimayek}', "");
Expect(1, 44026, '\P{Is_Script=meeteimayek}', "");
Expect(0, 44026, '\P{^Is_Script=meeteimayek}', "");
Expect(1, 44025, '\p{Is_Script=  meetei_Mayek}', "");
Expect(0, 44025, '\p{^Is_Script=  meetei_Mayek}', "");
Expect(0, 44025, '\P{Is_Script=  meetei_Mayek}', "");
Expect(1, 44025, '\P{^Is_Script=  meetei_Mayek}', "");
Expect(0, 44026, '\p{Is_Script=  meetei_Mayek}', "");
Expect(1, 44026, '\p{^Is_Script=  meetei_Mayek}', "");
Expect(1, 44026, '\P{Is_Script=  meetei_Mayek}', "");
Expect(0, 44026, '\P{^Is_Script=  meetei_Mayek}', "");
Error('\p{Is_Sc=:= _Mtei}');
Error('\P{Is_Sc=:= _Mtei}');
Expect(1, 44025, '\p{Is_Sc=mtei}', "");
Expect(0, 44025, '\p{^Is_Sc=mtei}', "");
Expect(0, 44025, '\P{Is_Sc=mtei}', "");
Expect(1, 44025, '\P{^Is_Sc=mtei}', "");
Expect(0, 44026, '\p{Is_Sc=mtei}', "");
Expect(1, 44026, '\p{^Is_Sc=mtei}', "");
Expect(1, 44026, '\P{Is_Sc=mtei}', "");
Expect(0, 44026, '\P{^Is_Sc=mtei}', "");
Expect(1, 44025, '\p{Is_Sc=	_Mtei}', "");
Expect(0, 44025, '\p{^Is_Sc=	_Mtei}', "");
Expect(0, 44025, '\P{Is_Sc=	_Mtei}', "");
Expect(1, 44025, '\P{^Is_Sc=	_Mtei}', "");
Expect(0, 44026, '\p{Is_Sc=	_Mtei}', "");
Expect(1, 44026, '\p{^Is_Sc=	_Mtei}', "");
Expect(1, 44026, '\P{Is_Sc=	_Mtei}', "");
Expect(0, 44026, '\P{^Is_Sc=	_Mtei}', "");
Error('\p{Script:   		myanmar:=}');
Error('\P{Script:   		myanmar:=}');
Expect(1, 43647, '\p{Script=myanmar}', "");
Expect(0, 43647, '\p{^Script=myanmar}', "");
Expect(0, 43647, '\P{Script=myanmar}', "");
Expect(1, 43647, '\P{^Script=myanmar}', "");
Expect(0, 43648, '\p{Script=myanmar}', "");
Expect(1, 43648, '\p{^Script=myanmar}', "");
Expect(1, 43648, '\P{Script=myanmar}', "");
Expect(0, 43648, '\P{^Script=myanmar}', "");
Expect(1, 43647, '\p{Script=-	Myanmar}', "");
Expect(0, 43647, '\p{^Script=-	Myanmar}', "");
Expect(0, 43647, '\P{Script=-	Myanmar}', "");
Expect(1, 43647, '\P{^Script=-	Myanmar}', "");
Expect(0, 43648, '\p{Script=-	Myanmar}', "");
Expect(1, 43648, '\p{^Script=-	Myanmar}', "");
Expect(1, 43648, '\P{Script=-	Myanmar}', "");
Expect(0, 43648, '\P{^Script=-	Myanmar}', "");
Error('\p{Sc:   --Mymr/a/}');
Error('\P{Sc:   --Mymr/a/}');
Expect(1, 43647, '\p{Sc=mymr}', "");
Expect(0, 43647, '\p{^Sc=mymr}', "");
Expect(0, 43647, '\P{Sc=mymr}', "");
Expect(1, 43647, '\P{^Sc=mymr}', "");
Expect(0, 43648, '\p{Sc=mymr}', "");
Expect(1, 43648, '\p{^Sc=mymr}', "");
Expect(1, 43648, '\P{Sc=mymr}', "");
Expect(0, 43648, '\P{^Sc=mymr}', "");
Expect(1, 43647, '\p{Sc=	 Mymr}', "");
Expect(0, 43647, '\p{^Sc=	 Mymr}', "");
Expect(0, 43647, '\P{Sc=	 Mymr}', "");
Expect(1, 43647, '\P{^Sc=	 Mymr}', "");
Expect(0, 43648, '\p{Sc=	 Mymr}', "");
Expect(1, 43648, '\p{^Sc=	 Mymr}', "");
Expect(1, 43648, '\P{Sc=	 Mymr}', "");
Expect(0, 43648, '\P{^Sc=	 Mymr}', "");
Error('\p{Is_Script=:= MYANMAR}');
Error('\P{Is_Script=:= MYANMAR}');
Expect(1, 43647, '\p{Is_Script=myanmar}', "");
Expect(0, 43647, '\p{^Is_Script=myanmar}', "");
Expect(0, 43647, '\P{Is_Script=myanmar}', "");
Expect(1, 43647, '\P{^Is_Script=myanmar}', "");
Expect(0, 43648, '\p{Is_Script=myanmar}', "");
Expect(1, 43648, '\p{^Is_Script=myanmar}', "");
Expect(1, 43648, '\P{Is_Script=myanmar}', "");
Expect(0, 43648, '\P{^Is_Script=myanmar}', "");
Expect(1, 43647, '\p{Is_Script=_	MYANMAR}', "");
Expect(0, 43647, '\p{^Is_Script=_	MYANMAR}', "");
Expect(0, 43647, '\P{Is_Script=_	MYANMAR}', "");
Expect(1, 43647, '\P{^Is_Script=_	MYANMAR}', "");
Expect(0, 43648, '\p{Is_Script=_	MYANMAR}', "");
Expect(1, 43648, '\p{^Is_Script=_	MYANMAR}', "");
Expect(1, 43648, '\P{Is_Script=_	MYANMAR}', "");
Expect(0, 43648, '\P{^Is_Script=_	MYANMAR}', "");
Error('\p{Is_Sc= /a/mymr}');
Error('\P{Is_Sc= /a/mymr}');
Expect(1, 43647, '\p{Is_Sc=mymr}', "");
Expect(0, 43647, '\p{^Is_Sc=mymr}', "");
Expect(0, 43647, '\P{Is_Sc=mymr}', "");
Expect(1, 43647, '\P{^Is_Sc=mymr}', "");
Expect(0, 43648, '\p{Is_Sc=mymr}', "");
Expect(1, 43648, '\p{^Is_Sc=mymr}', "");
Expect(1, 43648, '\P{Is_Sc=mymr}', "");
Expect(0, 43648, '\P{^Is_Sc=mymr}', "");
Expect(1, 43647, '\p{Is_Sc= MYMR}', "");
Expect(0, 43647, '\p{^Is_Sc= MYMR}', "");
Expect(0, 43647, '\P{Is_Sc= MYMR}', "");
Expect(1, 43647, '\P{^Is_Sc= MYMR}', "");
Expect(0, 43648, '\p{Is_Sc= MYMR}', "");
Expect(1, 43648, '\p{^Is_Sc= MYMR}', "");
Expect(1, 43648, '\P{Is_Sc= MYMR}', "");
Expect(0, 43648, '\P{^Is_Sc= MYMR}', "");
Error('\p{Script=/a/OLD_North_Arabian}');
Error('\P{Script=/a/OLD_North_Arabian}');
Expect(1, 68255, '\p{Script: oldnortharabian}', "");
Expect(0, 68255, '\p{^Script: oldnortharabian}', "");
Expect(0, 68255, '\P{Script: oldnortharabian}', "");
Expect(1, 68255, '\P{^Script: oldnortharabian}', "");
Expect(0, 68256, '\p{Script: oldnortharabian}', "");
Expect(1, 68256, '\p{^Script: oldnortharabian}', "");
Expect(1, 68256, '\P{Script: oldnortharabian}', "");
Expect(0, 68256, '\P{^Script: oldnortharabian}', "");
Expect(1, 68255, '\p{Script=		OLD_North_Arabian}', "");
Expect(0, 68255, '\p{^Script=		OLD_North_Arabian}', "");
Expect(0, 68255, '\P{Script=		OLD_North_Arabian}', "");
Expect(1, 68255, '\P{^Script=		OLD_North_Arabian}', "");
Expect(0, 68256, '\p{Script=		OLD_North_Arabian}', "");
Expect(1, 68256, '\p{^Script=		OLD_North_Arabian}', "");
Expect(1, 68256, '\P{Script=		OLD_North_Arabian}', "");
Expect(0, 68256, '\P{^Script=		OLD_North_Arabian}', "");
Error('\p{Sc=-:=narb}');
Error('\P{Sc=-:=narb}');
Expect(1, 68255, '\p{Sc=narb}', "");
Expect(0, 68255, '\p{^Sc=narb}', "");
Expect(0, 68255, '\P{Sc=narb}', "");
Expect(1, 68255, '\P{^Sc=narb}', "");
Expect(0, 68256, '\p{Sc=narb}', "");
Expect(1, 68256, '\p{^Sc=narb}', "");
Expect(1, 68256, '\P{Sc=narb}', "");
Expect(0, 68256, '\P{^Sc=narb}', "");
Expect(1, 68255, '\p{Sc:		NARB}', "");
Expect(0, 68255, '\p{^Sc:		NARB}', "");
Expect(0, 68255, '\P{Sc:		NARB}', "");
Expect(1, 68255, '\P{^Sc:		NARB}', "");
Expect(0, 68256, '\p{Sc:		NARB}', "");
Expect(1, 68256, '\p{^Sc:		NARB}', "");
Expect(1, 68256, '\P{Sc:		NARB}', "");
Expect(0, 68256, '\P{^Sc:		NARB}', "");
Error('\p{Is_Script=/a/	-Old_NORTH_ARABIAN}');
Error('\P{Is_Script=/a/	-Old_NORTH_ARABIAN}');
Expect(1, 68255, '\p{Is_Script=oldnortharabian}', "");
Expect(0, 68255, '\p{^Is_Script=oldnortharabian}', "");
Expect(0, 68255, '\P{Is_Script=oldnortharabian}', "");
Expect(1, 68255, '\P{^Is_Script=oldnortharabian}', "");
Expect(0, 68256, '\p{Is_Script=oldnortharabian}', "");
Expect(1, 68256, '\p{^Is_Script=oldnortharabian}', "");
Expect(1, 68256, '\P{Is_Script=oldnortharabian}', "");
Expect(0, 68256, '\P{^Is_Script=oldnortharabian}', "");
Expect(1, 68255, '\p{Is_Script=_	Old_north_ARABIAN}', "");
Expect(0, 68255, '\p{^Is_Script=_	Old_north_ARABIAN}', "");
Expect(0, 68255, '\P{Is_Script=_	Old_north_ARABIAN}', "");
Expect(1, 68255, '\P{^Is_Script=_	Old_north_ARABIAN}', "");
Expect(0, 68256, '\p{Is_Script=_	Old_north_ARABIAN}', "");
Expect(1, 68256, '\p{^Is_Script=_	Old_north_ARABIAN}', "");
Expect(1, 68256, '\P{Is_Script=_	Old_north_ARABIAN}', "");
Expect(0, 68256, '\P{^Is_Script=_	Old_north_ARABIAN}', "");
Error('\p{Is_Sc= 	narb:=}');
Error('\P{Is_Sc= 	narb:=}');
Expect(1, 68255, '\p{Is_Sc:   narb}', "");
Expect(0, 68255, '\p{^Is_Sc:   narb}', "");
Expect(0, 68255, '\P{Is_Sc:   narb}', "");
Expect(1, 68255, '\P{^Is_Sc:   narb}', "");
Expect(0, 68256, '\p{Is_Sc:   narb}', "");
Expect(1, 68256, '\p{^Is_Sc:   narb}', "");
Expect(1, 68256, '\P{Is_Sc:   narb}', "");
Expect(0, 68256, '\P{^Is_Sc:   narb}', "");
Expect(1, 68255, '\p{Is_Sc=-_Narb}', "");
Expect(0, 68255, '\p{^Is_Sc=-_Narb}', "");
Expect(0, 68255, '\P{Is_Sc=-_Narb}', "");
Expect(1, 68255, '\P{^Is_Sc=-_Narb}', "");
Expect(0, 68256, '\p{Is_Sc=-_Narb}', "");
Expect(1, 68256, '\p{^Is_Sc=-_Narb}', "");
Expect(1, 68256, '\P{Is_Sc=-_Narb}', "");
Expect(0, 68256, '\P{^Is_Sc=-_Narb}', "");
Error('\p{Script=:=-_nabataean}');
Error('\P{Script=:=-_nabataean}');
Expect(1, 67759, '\p{Script=nabataean}', "");
Expect(0, 67759, '\p{^Script=nabataean}', "");
Expect(0, 67759, '\P{Script=nabataean}', "");
Expect(1, 67759, '\P{^Script=nabataean}', "");
Expect(0, 67760, '\p{Script=nabataean}', "");
Expect(1, 67760, '\p{^Script=nabataean}', "");
Expect(1, 67760, '\P{Script=nabataean}', "");
Expect(0, 67760, '\P{^Script=nabataean}', "");
Expect(1, 67759, '\p{Script=-Nabataean}', "");
Expect(0, 67759, '\p{^Script=-Nabataean}', "");
Expect(0, 67759, '\P{Script=-Nabataean}', "");
Expect(1, 67759, '\P{^Script=-Nabataean}', "");
Expect(0, 67760, '\p{Script=-Nabataean}', "");
Expect(1, 67760, '\p{^Script=-Nabataean}', "");
Expect(1, 67760, '\P{Script=-Nabataean}', "");
Expect(0, 67760, '\P{^Script=-Nabataean}', "");
Error('\p{Sc:/a/	nbat}');
Error('\P{Sc:/a/	nbat}');
Expect(1, 67759, '\p{Sc=nbat}', "");
Expect(0, 67759, '\p{^Sc=nbat}', "");
Expect(0, 67759, '\P{Sc=nbat}', "");
Expect(1, 67759, '\P{^Sc=nbat}', "");
Expect(0, 67760, '\p{Sc=nbat}', "");
Expect(1, 67760, '\p{^Sc=nbat}', "");
Expect(1, 67760, '\P{Sc=nbat}', "");
Expect(0, 67760, '\P{^Sc=nbat}', "");
Expect(1, 67759, '\p{Sc:-nbat}', "");
Expect(0, 67759, '\p{^Sc:-nbat}', "");
Expect(0, 67759, '\P{Sc:-nbat}', "");
Expect(1, 67759, '\P{^Sc:-nbat}', "");
Expect(0, 67760, '\p{Sc:-nbat}', "");
Expect(1, 67760, '\p{^Sc:-nbat}', "");
Expect(1, 67760, '\P{Sc:-nbat}', "");
Expect(0, 67760, '\P{^Sc:-nbat}', "");
Error('\p{Is_Script:   __NABATAEAN/a/}');
Error('\P{Is_Script:   __NABATAEAN/a/}');
Expect(1, 67759, '\p{Is_Script=nabataean}', "");
Expect(0, 67759, '\p{^Is_Script=nabataean}', "");
Expect(0, 67759, '\P{Is_Script=nabataean}', "");
Expect(1, 67759, '\P{^Is_Script=nabataean}', "");
Expect(0, 67760, '\p{Is_Script=nabataean}', "");
Expect(1, 67760, '\p{^Is_Script=nabataean}', "");
Expect(1, 67760, '\P{Is_Script=nabataean}', "");
Expect(0, 67760, '\P{^Is_Script=nabataean}', "");
Expect(1, 67759, '\p{Is_Script=  Nabataean}', "");
Expect(0, 67759, '\p{^Is_Script=  Nabataean}', "");
Expect(0, 67759, '\P{Is_Script=  Nabataean}', "");
Expect(1, 67759, '\P{^Is_Script=  Nabataean}', "");
Expect(0, 67760, '\p{Is_Script=  Nabataean}', "");
Expect(1, 67760, '\p{^Is_Script=  Nabataean}', "");
Expect(1, 67760, '\P{Is_Script=  Nabataean}', "");
Expect(0, 67760, '\P{^Is_Script=  Nabataean}', "");
Error('\p{Is_Sc=/a/		Nbat}');
Error('\P{Is_Sc=/a/		Nbat}');
Expect(1, 67759, '\p{Is_Sc=nbat}', "");
Expect(0, 67759, '\p{^Is_Sc=nbat}', "");
Expect(0, 67759, '\P{Is_Sc=nbat}', "");
Expect(1, 67759, '\P{^Is_Sc=nbat}', "");
Expect(0, 67760, '\p{Is_Sc=nbat}', "");
Expect(1, 67760, '\p{^Is_Sc=nbat}', "");
Expect(1, 67760, '\P{Is_Sc=nbat}', "");
Expect(0, 67760, '\P{^Is_Sc=nbat}', "");
Expect(1, 67759, '\p{Is_Sc=	 Nbat}', "");
Expect(0, 67759, '\p{^Is_Sc=	 Nbat}', "");
Expect(0, 67759, '\P{Is_Sc=	 Nbat}', "");
Expect(1, 67759, '\P{^Is_Sc=	 Nbat}', "");
Expect(0, 67760, '\p{Is_Sc=	 Nbat}', "");
Expect(1, 67760, '\p{^Is_Sc=	 Nbat}', "");
Expect(1, 67760, '\P{Is_Sc=	 Nbat}', "");
Expect(0, 67760, '\P{^Is_Sc=	 Nbat}', "");
Error('\p{Script=:=_	nko}');
Error('\P{Script=:=_	nko}');
Expect(1, 2042, '\p{Script=nko}', "");
Expect(0, 2042, '\p{^Script=nko}', "");
Expect(0, 2042, '\P{Script=nko}', "");
Expect(1, 2042, '\P{^Script=nko}', "");
Expect(0, 2043, '\p{Script=nko}', "");
Expect(1, 2043, '\p{^Script=nko}', "");
Expect(1, 2043, '\P{Script=nko}', "");
Expect(0, 2043, '\P{^Script=nko}', "");
Expect(1, 2042, '\p{Script=	Nko}', "");
Expect(0, 2042, '\p{^Script=	Nko}', "");
Expect(0, 2042, '\P{Script=	Nko}', "");
Expect(1, 2042, '\P{^Script=	Nko}', "");
Expect(0, 2043, '\p{Script=	Nko}', "");
Expect(1, 2043, '\p{^Script=	Nko}', "");
Expect(1, 2043, '\P{Script=	Nko}', "");
Expect(0, 2043, '\P{^Script=	Nko}', "");
Error('\p{Sc=:=	 NKOO}');
Error('\P{Sc=:=	 NKOO}');
Expect(1, 2042, '\p{Sc=nkoo}', "");
Expect(0, 2042, '\p{^Sc=nkoo}', "");
Expect(0, 2042, '\P{Sc=nkoo}', "");
Expect(1, 2042, '\P{^Sc=nkoo}', "");
Expect(0, 2043, '\p{Sc=nkoo}', "");
Expect(1, 2043, '\p{^Sc=nkoo}', "");
Expect(1, 2043, '\P{Sc=nkoo}', "");
Expect(0, 2043, '\P{^Sc=nkoo}', "");
Expect(1, 2042, '\p{Sc=__Nkoo}', "");
Expect(0, 2042, '\p{^Sc=__Nkoo}', "");
Expect(0, 2042, '\P{Sc=__Nkoo}', "");
Expect(1, 2042, '\P{^Sc=__Nkoo}', "");
Expect(0, 2043, '\p{Sc=__Nkoo}', "");
Expect(1, 2043, '\p{^Sc=__Nkoo}', "");
Expect(1, 2043, '\P{Sc=__Nkoo}', "");
Expect(0, 2043, '\P{^Sc=__Nkoo}', "");
Error('\p{Is_Script=/a/	nko}');
Error('\P{Is_Script=/a/	nko}');
Expect(1, 2042, '\p{Is_Script=nko}', "");
Expect(0, 2042, '\p{^Is_Script=nko}', "");
Expect(0, 2042, '\P{Is_Script=nko}', "");
Expect(1, 2042, '\P{^Is_Script=nko}', "");
Expect(0, 2043, '\p{Is_Script=nko}', "");
Expect(1, 2043, '\p{^Is_Script=nko}', "");
Expect(1, 2043, '\P{Is_Script=nko}', "");
Expect(0, 2043, '\P{^Is_Script=nko}', "");
Expect(1, 2042, '\p{Is_Script=  nko}', "");
Expect(0, 2042, '\p{^Is_Script=  nko}', "");
Expect(0, 2042, '\P{Is_Script=  nko}', "");
Expect(1, 2042, '\P{^Is_Script=  nko}', "");
Expect(0, 2043, '\p{Is_Script=  nko}', "");
Expect(1, 2043, '\p{^Is_Script=  nko}', "");
Expect(1, 2043, '\P{Is_Script=  nko}', "");
Expect(0, 2043, '\P{^Is_Script=  nko}', "");
Error('\p{Is_Sc=	:=nkoo}');
Error('\P{Is_Sc=	:=nkoo}');
Expect(1, 2042, '\p{Is_Sc=nkoo}', "");
Expect(0, 2042, '\p{^Is_Sc=nkoo}', "");
Expect(0, 2042, '\P{Is_Sc=nkoo}', "");
Expect(1, 2042, '\P{^Is_Sc=nkoo}', "");
Expect(0, 2043, '\p{Is_Sc=nkoo}', "");
Expect(1, 2043, '\p{^Is_Sc=nkoo}', "");
Expect(1, 2043, '\P{Is_Sc=nkoo}', "");
Expect(0, 2043, '\P{^Is_Sc=nkoo}', "");
Expect(1, 2042, '\p{Is_Sc=-nkoo}', "");
Expect(0, 2042, '\p{^Is_Sc=-nkoo}', "");
Expect(0, 2042, '\P{Is_Sc=-nkoo}', "");
Expect(1, 2042, '\P{^Is_Sc=-nkoo}', "");
Expect(0, 2043, '\p{Is_Sc=-nkoo}', "");
Expect(1, 2043, '\p{^Is_Sc=-nkoo}', "");
Expect(1, 2043, '\P{Is_Sc=-nkoo}', "");
Expect(0, 2043, '\P{^Is_Sc=-nkoo}', "");
Error('\p{Script=/a/ogham}');
Error('\P{Script=/a/ogham}');
Expect(1, 5788, '\p{Script=ogham}', "");
Expect(0, 5788, '\p{^Script=ogham}', "");
Expect(0, 5788, '\P{Script=ogham}', "");
Expect(1, 5788, '\P{^Script=ogham}', "");
Expect(0, 5789, '\p{Script=ogham}', "");
Expect(1, 5789, '\p{^Script=ogham}', "");
Expect(1, 5789, '\P{Script=ogham}', "");
Expect(0, 5789, '\P{^Script=ogham}', "");
Expect(1, 5788, '\p{Script=_Ogham}', "");
Expect(0, 5788, '\p{^Script=_Ogham}', "");
Expect(0, 5788, '\P{Script=_Ogham}', "");
Expect(1, 5788, '\P{^Script=_Ogham}', "");
Expect(0, 5789, '\p{Script=_Ogham}', "");
Expect(1, 5789, '\p{^Script=_Ogham}', "");
Expect(1, 5789, '\P{Script=_Ogham}', "");
Expect(0, 5789, '\P{^Script=_Ogham}', "");
Error('\p{Sc:	_ OGAM/a/}');
Error('\P{Sc:	_ OGAM/a/}');
Expect(1, 5788, '\p{Sc=ogam}', "");
Expect(0, 5788, '\p{^Sc=ogam}', "");
Expect(0, 5788, '\P{Sc=ogam}', "");
Expect(1, 5788, '\P{^Sc=ogam}', "");
Expect(0, 5789, '\p{Sc=ogam}', "");
Expect(1, 5789, '\p{^Sc=ogam}', "");
Expect(1, 5789, '\P{Sc=ogam}', "");
Expect(0, 5789, '\P{^Sc=ogam}', "");
Expect(1, 5788, '\p{Sc=Ogam}', "");
Expect(0, 5788, '\p{^Sc=Ogam}', "");
Expect(0, 5788, '\P{Sc=Ogam}', "");
Expect(1, 5788, '\P{^Sc=Ogam}', "");
Expect(0, 5789, '\p{Sc=Ogam}', "");
Expect(1, 5789, '\p{^Sc=Ogam}', "");
Expect(1, 5789, '\P{Sc=Ogam}', "");
Expect(0, 5789, '\P{^Sc=Ogam}', "");
Error('\p{Is_Script=:=-Ogham}');
Error('\P{Is_Script=:=-Ogham}');
Expect(1, 5788, '\p{Is_Script=ogham}', "");
Expect(0, 5788, '\p{^Is_Script=ogham}', "");
Expect(0, 5788, '\P{Is_Script=ogham}', "");
Expect(1, 5788, '\P{^Is_Script=ogham}', "");
Expect(0, 5789, '\p{Is_Script=ogham}', "");
Expect(1, 5789, '\p{^Is_Script=ogham}', "");
Expect(1, 5789, '\P{Is_Script=ogham}', "");
Expect(0, 5789, '\P{^Is_Script=ogham}', "");
Expect(1, 5788, '\p{Is_Script=-Ogham}', "");
Expect(0, 5788, '\p{^Is_Script=-Ogham}', "");
Expect(0, 5788, '\P{Is_Script=-Ogham}', "");
Expect(1, 5788, '\P{^Is_Script=-Ogham}', "");
Expect(0, 5789, '\p{Is_Script=-Ogham}', "");
Expect(1, 5789, '\p{^Is_Script=-Ogham}', "");
Expect(1, 5789, '\P{Is_Script=-Ogham}', "");
Expect(0, 5789, '\P{^Is_Script=-Ogham}', "");
Error('\p{Is_Sc=:=	Ogam}');
Error('\P{Is_Sc=:=	Ogam}');
Expect(1, 5788, '\p{Is_Sc=ogam}', "");
Expect(0, 5788, '\p{^Is_Sc=ogam}', "");
Expect(0, 5788, '\P{Is_Sc=ogam}', "");
Expect(1, 5788, '\P{^Is_Sc=ogam}', "");
Expect(0, 5789, '\p{Is_Sc=ogam}', "");
Expect(1, 5789, '\p{^Is_Sc=ogam}', "");
Expect(1, 5789, '\P{Is_Sc=ogam}', "");
Expect(0, 5789, '\P{^Is_Sc=ogam}', "");
Expect(1, 5788, '\p{Is_Sc=_OGAM}', "");
Expect(0, 5788, '\p{^Is_Sc=_OGAM}', "");
Expect(0, 5788, '\P{Is_Sc=_OGAM}', "");
Expect(1, 5788, '\P{^Is_Sc=_OGAM}', "");
Expect(0, 5789, '\p{Is_Sc=_OGAM}', "");
Expect(1, 5789, '\p{^Is_Sc=_OGAM}', "");
Expect(1, 5789, '\P{Is_Sc=_OGAM}', "");
Expect(0, 5789, '\P{^Is_Sc=_OGAM}', "");
Error('\p{Script= :=ol_chiki}');
Error('\P{Script= :=ol_chiki}');
Expect(1, 7295, '\p{Script=olchiki}', "");
Expect(0, 7295, '\p{^Script=olchiki}', "");
Expect(0, 7295, '\P{Script=olchiki}', "");
Expect(1, 7295, '\P{^Script=olchiki}', "");
Expect(0, 7296, '\p{Script=olchiki}', "");
Expect(1, 7296, '\p{^Script=olchiki}', "");
Expect(1, 7296, '\P{Script=olchiki}', "");
Expect(0, 7296, '\P{^Script=olchiki}', "");
Expect(1, 7295, '\p{Script=	_ol_Chiki}', "");
Expect(0, 7295, '\p{^Script=	_ol_Chiki}', "");
Expect(0, 7295, '\P{Script=	_ol_Chiki}', "");
Expect(1, 7295, '\P{^Script=	_ol_Chiki}', "");
Expect(0, 7296, '\p{Script=	_ol_Chiki}', "");
Expect(1, 7296, '\p{^Script=	_ol_Chiki}', "");
Expect(1, 7296, '\P{Script=	_ol_Chiki}', "");
Expect(0, 7296, '\P{^Script=	_ol_Chiki}', "");
Error('\p{Sc::=__OLCK}');
Error('\P{Sc::=__OLCK}');
Expect(1, 7295, '\p{Sc=olck}', "");
Expect(0, 7295, '\p{^Sc=olck}', "");
Expect(0, 7295, '\P{Sc=olck}', "");
Expect(1, 7295, '\P{^Sc=olck}', "");
Expect(0, 7296, '\p{Sc=olck}', "");
Expect(1, 7296, '\p{^Sc=olck}', "");
Expect(1, 7296, '\P{Sc=olck}', "");
Expect(0, 7296, '\P{^Sc=olck}', "");
Expect(1, 7295, '\p{Sc= olck}', "");
Expect(0, 7295, '\p{^Sc= olck}', "");
Expect(0, 7295, '\P{Sc= olck}', "");
Expect(1, 7295, '\P{^Sc= olck}', "");
Expect(0, 7296, '\p{Sc= olck}', "");
Expect(1, 7296, '\p{^Sc= olck}', "");
Expect(1, 7296, '\P{Sc= olck}', "");
Expect(0, 7296, '\P{^Sc= olck}', "");
Error('\p{Is_Script:	/a/Ol_Chiki}');
Error('\P{Is_Script:	/a/Ol_Chiki}');
Expect(1, 7295, '\p{Is_Script=olchiki}', "");
Expect(0, 7295, '\p{^Is_Script=olchiki}', "");
Expect(0, 7295, '\P{Is_Script=olchiki}', "");
Expect(1, 7295, '\P{^Is_Script=olchiki}', "");
Expect(0, 7296, '\p{Is_Script=olchiki}', "");
Expect(1, 7296, '\p{^Is_Script=olchiki}', "");
Expect(1, 7296, '\P{Is_Script=olchiki}', "");
Expect(0, 7296, '\P{^Is_Script=olchiki}', "");
Expect(1, 7295, '\p{Is_Script=_	ol_CHIKI}', "");
Expect(0, 7295, '\p{^Is_Script=_	ol_CHIKI}', "");
Expect(0, 7295, '\P{Is_Script=_	ol_CHIKI}', "");
Expect(1, 7295, '\P{^Is_Script=_	ol_CHIKI}', "");
Expect(0, 7296, '\p{Is_Script=_	ol_CHIKI}', "");
Expect(1, 7296, '\p{^Is_Script=_	ol_CHIKI}', "");
Expect(1, 7296, '\P{Is_Script=_	ol_CHIKI}', "");
Expect(0, 7296, '\P{^Is_Script=_	ol_CHIKI}', "");
Error('\p{Is_Sc=- Olck:=}');
Error('\P{Is_Sc=- Olck:=}');
Expect(1, 7295, '\p{Is_Sc=olck}', "");
Expect(0, 7295, '\p{^Is_Sc=olck}', "");
Expect(0, 7295, '\P{Is_Sc=olck}', "");
Expect(1, 7295, '\P{^Is_Sc=olck}', "");
Expect(0, 7296, '\p{Is_Sc=olck}', "");
Expect(1, 7296, '\p{^Is_Sc=olck}', "");
Expect(1, 7296, '\P{Is_Sc=olck}', "");
Expect(0, 7296, '\P{^Is_Sc=olck}', "");
Expect(1, 7295, '\p{Is_Sc=Olck}', "");
Expect(0, 7295, '\p{^Is_Sc=Olck}', "");
Expect(0, 7295, '\P{Is_Sc=Olck}', "");
Expect(1, 7295, '\P{^Is_Sc=Olck}', "");
Expect(0, 7296, '\p{Is_Sc=Olck}', "");
Expect(1, 7296, '\p{^Is_Sc=Olck}', "");
Expect(1, 7296, '\P{Is_Sc=Olck}', "");
Expect(0, 7296, '\P{^Is_Sc=Olck}', "");
Error('\p{Script=/a/ -OLD_TURKIC}');
Error('\P{Script=/a/ -OLD_TURKIC}');
Expect(1, 68680, '\p{Script=oldturkic}', "");
Expect(0, 68680, '\p{^Script=oldturkic}', "");
Expect(0, 68680, '\P{Script=oldturkic}', "");
Expect(1, 68680, '\P{^Script=oldturkic}', "");
Expect(0, 68681, '\p{Script=oldturkic}', "");
Expect(1, 68681, '\p{^Script=oldturkic}', "");
Expect(1, 68681, '\P{Script=oldturkic}', "");
Expect(0, 68681, '\P{^Script=oldturkic}', "");
Expect(1, 68680, '\p{Script=  OLD_Turkic}', "");
Expect(0, 68680, '\p{^Script=  OLD_Turkic}', "");
Expect(0, 68680, '\P{Script=  OLD_Turkic}', "");
Expect(1, 68680, '\P{^Script=  OLD_Turkic}', "");
Expect(0, 68681, '\p{Script=  OLD_Turkic}', "");
Expect(1, 68681, '\p{^Script=  OLD_Turkic}', "");
Expect(1, 68681, '\P{Script=  OLD_Turkic}', "");
Expect(0, 68681, '\P{^Script=  OLD_Turkic}', "");
Error('\p{Sc=:=ORKH}');
Error('\P{Sc=:=ORKH}');
Expect(1, 68680, '\p{Sc=orkh}', "");
Expect(0, 68680, '\p{^Sc=orkh}', "");
Expect(0, 68680, '\P{Sc=orkh}', "");
Expect(1, 68680, '\P{^Sc=orkh}', "");
Expect(0, 68681, '\p{Sc=orkh}', "");
Expect(1, 68681, '\p{^Sc=orkh}', "");
Expect(1, 68681, '\P{Sc=orkh}', "");
Expect(0, 68681, '\P{^Sc=orkh}', "");
Expect(1, 68680, '\p{Sc=  Orkh}', "");
Expect(0, 68680, '\p{^Sc=  Orkh}', "");
Expect(0, 68680, '\P{Sc=  Orkh}', "");
Expect(1, 68680, '\P{^Sc=  Orkh}', "");
Expect(0, 68681, '\p{Sc=  Orkh}', "");
Expect(1, 68681, '\p{^Sc=  Orkh}', "");
Expect(1, 68681, '\P{Sc=  Orkh}', "");
Expect(0, 68681, '\P{^Sc=  Orkh}', "");
Error('\p{Is_Script=:= 	Old_turkic}');
Error('\P{Is_Script=:= 	Old_turkic}');
Expect(1, 68680, '\p{Is_Script: oldturkic}', "");
Expect(0, 68680, '\p{^Is_Script: oldturkic}', "");
Expect(0, 68680, '\P{Is_Script: oldturkic}', "");
Expect(1, 68680, '\P{^Is_Script: oldturkic}', "");
Expect(0, 68681, '\p{Is_Script: oldturkic}', "");
Expect(1, 68681, '\p{^Is_Script: oldturkic}', "");
Expect(1, 68681, '\P{Is_Script: oldturkic}', "");
Expect(0, 68681, '\P{^Is_Script: oldturkic}', "");
Expect(1, 68680, '\p{Is_Script:Old_Turkic}', "");
Expect(0, 68680, '\p{^Is_Script:Old_Turkic}', "");
Expect(0, 68680, '\P{Is_Script:Old_Turkic}', "");
Expect(1, 68680, '\P{^Is_Script:Old_Turkic}', "");
Expect(0, 68681, '\p{Is_Script:Old_Turkic}', "");
Expect(1, 68681, '\p{^Is_Script:Old_Turkic}', "");
Expect(1, 68681, '\P{Is_Script:Old_Turkic}', "");
Expect(0, 68681, '\P{^Is_Script:Old_Turkic}', "");
Error('\p{Is_Sc: /a/Orkh}');
Error('\P{Is_Sc: /a/Orkh}');
Expect(1, 68680, '\p{Is_Sc=orkh}', "");
Expect(0, 68680, '\p{^Is_Sc=orkh}', "");
Expect(0, 68680, '\P{Is_Sc=orkh}', "");
Expect(1, 68680, '\P{^Is_Sc=orkh}', "");
Expect(0, 68681, '\p{Is_Sc=orkh}', "");
Expect(1, 68681, '\p{^Is_Sc=orkh}', "");
Expect(1, 68681, '\P{Is_Sc=orkh}', "");
Expect(0, 68681, '\P{^Is_Sc=orkh}', "");
Expect(1, 68680, '\p{Is_Sc=-_Orkh}', "");
Expect(0, 68680, '\p{^Is_Sc=-_Orkh}', "");
Expect(0, 68680, '\P{Is_Sc=-_Orkh}', "");
Expect(1, 68680, '\P{^Is_Sc=-_Orkh}', "");
Expect(0, 68681, '\p{Is_Sc=-_Orkh}', "");
Expect(1, 68681, '\p{^Is_Sc=-_Orkh}', "");
Expect(1, 68681, '\P{Is_Sc=-_Orkh}', "");
Expect(0, 68681, '\P{^Is_Sc=-_Orkh}', "");
Error('\p{Script=_/a/oriya}');
Error('\P{Script=_/a/oriya}');
Expect(1, 2935, '\p{Script=oriya}', "");
Expect(0, 2935, '\p{^Script=oriya}', "");
Expect(0, 2935, '\P{Script=oriya}', "");
Expect(1, 2935, '\P{^Script=oriya}', "");
Expect(0, 2936, '\p{Script=oriya}', "");
Expect(1, 2936, '\p{^Script=oriya}', "");
Expect(1, 2936, '\P{Script=oriya}', "");
Expect(0, 2936, '\P{^Script=oriya}', "");
Expect(1, 2935, '\p{Script=_-Oriya}', "");
Expect(0, 2935, '\p{^Script=_-Oriya}', "");
Expect(0, 2935, '\P{Script=_-Oriya}', "");
Expect(1, 2935, '\P{^Script=_-Oriya}', "");
Expect(0, 2936, '\p{Script=_-Oriya}', "");
Expect(1, 2936, '\p{^Script=_-Oriya}', "");
Expect(1, 2936, '\P{Script=_-Oriya}', "");
Expect(0, 2936, '\P{^Script=_-Oriya}', "");
Error('\p{Sc=	:=Orya}');
Error('\P{Sc=	:=Orya}');
Expect(1, 2935, '\p{Sc=orya}', "");
Expect(0, 2935, '\p{^Sc=orya}', "");
Expect(0, 2935, '\P{Sc=orya}', "");
Expect(1, 2935, '\P{^Sc=orya}', "");
Expect(0, 2936, '\p{Sc=orya}', "");
Expect(1, 2936, '\p{^Sc=orya}', "");
Expect(1, 2936, '\P{Sc=orya}', "");
Expect(0, 2936, '\P{^Sc=orya}', "");
Expect(1, 2935, '\p{Sc=	Orya}', "");
Expect(0, 2935, '\p{^Sc=	Orya}', "");
Expect(0, 2935, '\P{Sc=	Orya}', "");
Expect(1, 2935, '\P{^Sc=	Orya}', "");
Expect(0, 2936, '\p{Sc=	Orya}', "");
Expect(1, 2936, '\p{^Sc=	Orya}', "");
Expect(1, 2936, '\P{Sc=	Orya}', "");
Expect(0, 2936, '\P{^Sc=	Orya}', "");
Error('\p{Is_Script=/a/__ORIYA}');
Error('\P{Is_Script=/a/__ORIYA}');
Expect(1, 2935, '\p{Is_Script=oriya}', "");
Expect(0, 2935, '\p{^Is_Script=oriya}', "");
Expect(0, 2935, '\P{Is_Script=oriya}', "");
Expect(1, 2935, '\P{^Is_Script=oriya}', "");
Expect(0, 2936, '\p{Is_Script=oriya}', "");
Expect(1, 2936, '\p{^Is_Script=oriya}', "");
Expect(1, 2936, '\P{Is_Script=oriya}', "");
Expect(0, 2936, '\P{^Is_Script=oriya}', "");
Expect(1, 2935, '\p{Is_Script:   _ Oriya}', "");
Expect(0, 2935, '\p{^Is_Script:   _ Oriya}', "");
Expect(0, 2935, '\P{Is_Script:   _ Oriya}', "");
Expect(1, 2935, '\P{^Is_Script:   _ Oriya}', "");
Expect(0, 2936, '\p{Is_Script:   _ Oriya}', "");
Expect(1, 2936, '\p{^Is_Script:   _ Oriya}', "");
Expect(1, 2936, '\P{Is_Script:   _ Oriya}', "");
Expect(0, 2936, '\P{^Is_Script:   _ Oriya}', "");
Error('\p{Is_Sc=	:=orya}');
Error('\P{Is_Sc=	:=orya}');
Expect(1, 2935, '\p{Is_Sc=orya}', "");
Expect(0, 2935, '\p{^Is_Sc=orya}', "");
Expect(0, 2935, '\P{Is_Sc=orya}', "");
Expect(1, 2935, '\P{^Is_Sc=orya}', "");
Expect(0, 2936, '\p{Is_Sc=orya}', "");
Expect(1, 2936, '\p{^Is_Sc=orya}', "");
Expect(1, 2936, '\P{Is_Sc=orya}', "");
Expect(0, 2936, '\P{^Is_Sc=orya}', "");
Expect(1, 2935, '\p{Is_Sc=_Orya}', "");
Expect(0, 2935, '\p{^Is_Sc=_Orya}', "");
Expect(0, 2935, '\P{Is_Sc=_Orya}', "");
Expect(1, 2935, '\P{^Is_Sc=_Orya}', "");
Expect(0, 2936, '\p{Is_Sc=_Orya}', "");
Expect(1, 2936, '\p{^Is_Sc=_Orya}', "");
Expect(1, 2936, '\P{Is_Sc=_Orya}', "");
Expect(0, 2936, '\P{^Is_Sc=_Orya}', "");
Error('\p{Script=	/a/osmanya}');
Error('\P{Script=	/a/osmanya}');
Expect(1, 66729, '\p{Script:   osmanya}', "");
Expect(0, 66729, '\p{^Script:   osmanya}', "");
Expect(0, 66729, '\P{Script:   osmanya}', "");
Expect(1, 66729, '\P{^Script:   osmanya}', "");
Expect(0, 66730, '\p{Script:   osmanya}', "");
Expect(1, 66730, '\p{^Script:   osmanya}', "");
Expect(1, 66730, '\P{Script:   osmanya}', "");
Expect(0, 66730, '\P{^Script:   osmanya}', "");
Expect(1, 66729, '\p{Script= 	OSMANYA}', "");
Expect(0, 66729, '\p{^Script= 	OSMANYA}', "");
Expect(0, 66729, '\P{Script= 	OSMANYA}', "");
Expect(1, 66729, '\P{^Script= 	OSMANYA}', "");
Expect(0, 66730, '\p{Script= 	OSMANYA}', "");
Expect(1, 66730, '\p{^Script= 	OSMANYA}', "");
Expect(1, 66730, '\P{Script= 	OSMANYA}', "");
Expect(0, 66730, '\P{^Script= 	OSMANYA}', "");
Error('\p{Sc=	/a/OSMA}');
Error('\P{Sc=	/a/OSMA}');
Expect(1, 66729, '\p{Sc=osma}', "");
Expect(0, 66729, '\p{^Sc=osma}', "");
Expect(0, 66729, '\P{Sc=osma}', "");
Expect(1, 66729, '\P{^Sc=osma}', "");
Expect(0, 66730, '\p{Sc=osma}', "");
Expect(1, 66730, '\p{^Sc=osma}', "");
Expect(1, 66730, '\P{Sc=osma}', "");
Expect(0, 66730, '\P{^Sc=osma}', "");
Expect(1, 66729, '\p{Sc= OSMA}', "");
Expect(0, 66729, '\p{^Sc= OSMA}', "");
Expect(0, 66729, '\P{Sc= OSMA}', "");
Expect(1, 66729, '\P{^Sc= OSMA}', "");
Expect(0, 66730, '\p{Sc= OSMA}', "");
Expect(1, 66730, '\p{^Sc= OSMA}', "");
Expect(1, 66730, '\P{Sc= OSMA}', "");
Expect(0, 66730, '\P{^Sc= OSMA}', "");
Error('\p{Is_Script=-OSMANYA:=}');
Error('\P{Is_Script=-OSMANYA:=}');
Expect(1, 66729, '\p{Is_Script=osmanya}', "");
Expect(0, 66729, '\p{^Is_Script=osmanya}', "");
Expect(0, 66729, '\P{Is_Script=osmanya}', "");
Expect(1, 66729, '\P{^Is_Script=osmanya}', "");
Expect(0, 66730, '\p{Is_Script=osmanya}', "");
Expect(1, 66730, '\p{^Is_Script=osmanya}', "");
Expect(1, 66730, '\P{Is_Script=osmanya}', "");
Expect(0, 66730, '\P{^Is_Script=osmanya}', "");
Expect(1, 66729, '\p{Is_Script:   - OSMANYA}', "");
Expect(0, 66729, '\p{^Is_Script:   - OSMANYA}', "");
Expect(0, 66729, '\P{Is_Script:   - OSMANYA}', "");
Expect(1, 66729, '\P{^Is_Script:   - OSMANYA}', "");
Expect(0, 66730, '\p{Is_Script:   - OSMANYA}', "");
Expect(1, 66730, '\p{^Is_Script:   - OSMANYA}', "");
Expect(1, 66730, '\P{Is_Script:   - OSMANYA}', "");
Expect(0, 66730, '\P{^Is_Script:   - OSMANYA}', "");
Error('\p{Is_Sc=	OSMA:=}');
Error('\P{Is_Sc=	OSMA:=}');
Expect(1, 66729, '\p{Is_Sc:	osma}', "");
Expect(0, 66729, '\p{^Is_Sc:	osma}', "");
Expect(0, 66729, '\P{Is_Sc:	osma}', "");
Expect(1, 66729, '\P{^Is_Sc:	osma}', "");
Expect(0, 66730, '\p{Is_Sc:	osma}', "");
Expect(1, 66730, '\p{^Is_Sc:	osma}', "");
Expect(1, 66730, '\P{Is_Sc:	osma}', "");
Expect(0, 66730, '\P{^Is_Sc:	osma}', "");
Expect(1, 66729, '\p{Is_Sc=	_Osma}', "");
Expect(0, 66729, '\p{^Is_Sc=	_Osma}', "");
Expect(0, 66729, '\P{Is_Sc=	_Osma}', "");
Expect(1, 66729, '\P{^Is_Sc=	_Osma}', "");
Expect(0, 66730, '\p{Is_Sc=	_Osma}', "");
Expect(1, 66730, '\p{^Is_Sc=	_Osma}', "");
Expect(1, 66730, '\P{Is_Sc=	_Osma}', "");
Expect(0, 66730, '\P{^Is_Sc=	_Osma}', "");
Error('\p{Script= 	palmyrene:=}');
Error('\P{Script= 	palmyrene:=}');
Expect(1, 67711, '\p{Script=palmyrene}', "");
Expect(0, 67711, '\p{^Script=palmyrene}', "");
Expect(0, 67711, '\P{Script=palmyrene}', "");
Expect(1, 67711, '\P{^Script=palmyrene}', "");
Expect(0, 67712, '\p{Script=palmyrene}', "");
Expect(1, 67712, '\p{^Script=palmyrene}', "");
Expect(1, 67712, '\P{Script=palmyrene}', "");
Expect(0, 67712, '\P{^Script=palmyrene}', "");
Expect(1, 67711, '\p{Script= 	Palmyrene}', "");
Expect(0, 67711, '\p{^Script= 	Palmyrene}', "");
Expect(0, 67711, '\P{Script= 	Palmyrene}', "");
Expect(1, 67711, '\P{^Script= 	Palmyrene}', "");
Expect(0, 67712, '\p{Script= 	Palmyrene}', "");
Expect(1, 67712, '\p{^Script= 	Palmyrene}', "");
Expect(1, 67712, '\P{Script= 	Palmyrene}', "");
Expect(0, 67712, '\P{^Script= 	Palmyrene}', "");
Error('\p{Sc=/a/	-Palm}');
Error('\P{Sc=/a/	-Palm}');
Expect(1, 67711, '\p{Sc=palm}', "");
Expect(0, 67711, '\p{^Sc=palm}', "");
Expect(0, 67711, '\P{Sc=palm}', "");
Expect(1, 67711, '\P{^Sc=palm}', "");
Expect(0, 67712, '\p{Sc=palm}', "");
Expect(1, 67712, '\p{^Sc=palm}', "");
Expect(1, 67712, '\P{Sc=palm}', "");
Expect(0, 67712, '\P{^Sc=palm}', "");
Expect(1, 67711, '\p{Sc=	 Palm}', "");
Expect(0, 67711, '\p{^Sc=	 Palm}', "");
Expect(0, 67711, '\P{Sc=	 Palm}', "");
Expect(1, 67711, '\P{^Sc=	 Palm}', "");
Expect(0, 67712, '\p{Sc=	 Palm}', "");
Expect(1, 67712, '\p{^Sc=	 Palm}', "");
Expect(1, 67712, '\P{Sc=	 Palm}', "");
Expect(0, 67712, '\P{^Sc=	 Palm}', "");
Error('\p{Is_Script=:= Palmyrene}');
Error('\P{Is_Script=:= Palmyrene}');
Expect(1, 67711, '\p{Is_Script=palmyrene}', "");
Expect(0, 67711, '\p{^Is_Script=palmyrene}', "");
Expect(0, 67711, '\P{Is_Script=palmyrene}', "");
Expect(1, 67711, '\P{^Is_Script=palmyrene}', "");
Expect(0, 67712, '\p{Is_Script=palmyrene}', "");
Expect(1, 67712, '\p{^Is_Script=palmyrene}', "");
Expect(1, 67712, '\P{Is_Script=palmyrene}', "");
Expect(0, 67712, '\P{^Is_Script=palmyrene}', "");
Expect(1, 67711, '\p{Is_Script=	Palmyrene}', "");
Expect(0, 67711, '\p{^Is_Script=	Palmyrene}', "");
Expect(0, 67711, '\P{Is_Script=	Palmyrene}', "");
Expect(1, 67711, '\P{^Is_Script=	Palmyrene}', "");
Expect(0, 67712, '\p{Is_Script=	Palmyrene}', "");
Expect(1, 67712, '\p{^Is_Script=	Palmyrene}', "");
Expect(1, 67712, '\P{Is_Script=	Palmyrene}', "");
Expect(0, 67712, '\P{^Is_Script=	Palmyrene}', "");
Error('\p{Is_Sc= /a/palm}');
Error('\P{Is_Sc= /a/palm}');
Expect(1, 67711, '\p{Is_Sc=palm}', "");
Expect(0, 67711, '\p{^Is_Sc=palm}', "");
Expect(0, 67711, '\P{Is_Sc=palm}', "");
Expect(1, 67711, '\P{^Is_Sc=palm}', "");
Expect(0, 67712, '\p{Is_Sc=palm}', "");
Expect(1, 67712, '\p{^Is_Sc=palm}', "");
Expect(1, 67712, '\P{Is_Sc=palm}', "");
Expect(0, 67712, '\P{^Is_Sc=palm}', "");
Expect(1, 67711, '\p{Is_Sc=  Palm}', "");
Expect(0, 67711, '\p{^Is_Sc=  Palm}', "");
Expect(0, 67711, '\P{Is_Sc=  Palm}', "");
Expect(1, 67711, '\P{^Is_Sc=  Palm}', "");
Expect(0, 67712, '\p{Is_Sc=  Palm}', "");
Expect(1, 67712, '\p{^Is_Sc=  Palm}', "");
Expect(1, 67712, '\P{Is_Sc=  Palm}', "");
Expect(0, 67712, '\P{^Is_Sc=  Palm}', "");
Error('\p{Script:   -/a/PAU_CIN_HAU}');
Error('\P{Script:   -/a/PAU_CIN_HAU}');
Expect(1, 72440, '\p{Script=paucinhau}', "");
Expect(0, 72440, '\p{^Script=paucinhau}', "");
Expect(0, 72440, '\P{Script=paucinhau}', "");
Expect(1, 72440, '\P{^Script=paucinhau}', "");
Expect(0, 72441, '\p{Script=paucinhau}', "");
Expect(1, 72441, '\p{^Script=paucinhau}', "");
Expect(1, 72441, '\P{Script=paucinhau}', "");
Expect(0, 72441, '\P{^Script=paucinhau}', "");
Expect(1, 72440, '\p{Script=PAU_Cin_HAU}', "");
Expect(0, 72440, '\p{^Script=PAU_Cin_HAU}', "");
Expect(0, 72440, '\P{Script=PAU_Cin_HAU}', "");
Expect(1, 72440, '\P{^Script=PAU_Cin_HAU}', "");
Expect(0, 72441, '\p{Script=PAU_Cin_HAU}', "");
Expect(1, 72441, '\p{^Script=PAU_Cin_HAU}', "");
Expect(1, 72441, '\P{Script=PAU_Cin_HAU}', "");
Expect(0, 72441, '\P{^Script=PAU_Cin_HAU}', "");
Error('\p{Sc=/a/--Pauc}');
Error('\P{Sc=/a/--Pauc}');
Expect(1, 72440, '\p{Sc=pauc}', "");
Expect(0, 72440, '\p{^Sc=pauc}', "");
Expect(0, 72440, '\P{Sc=pauc}', "");
Expect(1, 72440, '\P{^Sc=pauc}', "");
Expect(0, 72441, '\p{Sc=pauc}', "");
Expect(1, 72441, '\p{^Sc=pauc}', "");
Expect(1, 72441, '\P{Sc=pauc}', "");
Expect(0, 72441, '\P{^Sc=pauc}', "");
Expect(1, 72440, '\p{Sc= 	Pauc}', "");
Expect(0, 72440, '\p{^Sc= 	Pauc}', "");
Expect(0, 72440, '\P{Sc= 	Pauc}', "");
Expect(1, 72440, '\P{^Sc= 	Pauc}', "");
Expect(0, 72441, '\p{Sc= 	Pauc}', "");
Expect(1, 72441, '\p{^Sc= 	Pauc}', "");
Expect(1, 72441, '\P{Sc= 	Pauc}', "");
Expect(0, 72441, '\P{^Sc= 	Pauc}', "");
Error('\p{Is_Script=:=	pau_CIN_HAU}');
Error('\P{Is_Script=:=	pau_CIN_HAU}');
Expect(1, 72440, '\p{Is_Script=paucinhau}', "");
Expect(0, 72440, '\p{^Is_Script=paucinhau}', "");
Expect(0, 72440, '\P{Is_Script=paucinhau}', "");
Expect(1, 72440, '\P{^Is_Script=paucinhau}', "");
Expect(0, 72441, '\p{Is_Script=paucinhau}', "");
Expect(1, 72441, '\p{^Is_Script=paucinhau}', "");
Expect(1, 72441, '\P{Is_Script=paucinhau}', "");
Expect(0, 72441, '\P{^Is_Script=paucinhau}', "");
Expect(1, 72440, '\p{Is_Script=_Pau_cin_Hau}', "");
Expect(0, 72440, '\p{^Is_Script=_Pau_cin_Hau}', "");
Expect(0, 72440, '\P{Is_Script=_Pau_cin_Hau}', "");
Expect(1, 72440, '\P{^Is_Script=_Pau_cin_Hau}', "");
Expect(0, 72441, '\p{Is_Script=_Pau_cin_Hau}', "");
Expect(1, 72441, '\p{^Is_Script=_Pau_cin_Hau}', "");
Expect(1, 72441, '\P{Is_Script=_Pau_cin_Hau}', "");
Expect(0, 72441, '\P{^Is_Script=_Pau_cin_Hau}', "");
Error('\p{Is_Sc= 	Pauc:=}');
Error('\P{Is_Sc= 	Pauc:=}');
Expect(1, 72440, '\p{Is_Sc=pauc}', "");
Expect(0, 72440, '\p{^Is_Sc=pauc}', "");
Expect(0, 72440, '\P{Is_Sc=pauc}', "");
Expect(1, 72440, '\P{^Is_Sc=pauc}', "");
Expect(0, 72441, '\p{Is_Sc=pauc}', "");
Expect(1, 72441, '\p{^Is_Sc=pauc}', "");
Expect(1, 72441, '\P{Is_Sc=pauc}', "");
Expect(0, 72441, '\P{^Is_Sc=pauc}', "");
Expect(1, 72440, '\p{Is_Sc=_	Pauc}', "");
Expect(0, 72440, '\p{^Is_Sc=_	Pauc}', "");
Expect(0, 72440, '\P{Is_Sc=_	Pauc}', "");
Expect(1, 72440, '\P{^Is_Sc=_	Pauc}', "");
Expect(0, 72441, '\p{Is_Sc=_	Pauc}', "");
Expect(1, 72441, '\p{^Is_Sc=_	Pauc}', "");
Expect(1, 72441, '\P{Is_Sc=_	Pauc}', "");
Expect(0, 72441, '\P{^Is_Sc=_	Pauc}', "");
Error('\p{Script=/a/  Old_Permic}');
Error('\P{Script=/a/  Old_Permic}');
Expect(1, 66426, '\p{Script=oldpermic}', "");
Expect(0, 66426, '\p{^Script=oldpermic}', "");
Expect(0, 66426, '\P{Script=oldpermic}', "");
Expect(1, 66426, '\P{^Script=oldpermic}', "");
Expect(0, 66427, '\p{Script=oldpermic}', "");
Expect(1, 66427, '\p{^Script=oldpermic}', "");
Expect(1, 66427, '\P{Script=oldpermic}', "");
Expect(0, 66427, '\P{^Script=oldpermic}', "");
Expect(1, 66426, '\p{Script=_	OLD_Permic}', "");
Expect(0, 66426, '\p{^Script=_	OLD_Permic}', "");
Expect(0, 66426, '\P{Script=_	OLD_Permic}', "");
Expect(1, 66426, '\P{^Script=_	OLD_Permic}', "");
Expect(0, 66427, '\p{Script=_	OLD_Permic}', "");
Expect(1, 66427, '\p{^Script=_	OLD_Permic}', "");
Expect(1, 66427, '\P{Script=_	OLD_Permic}', "");
Expect(0, 66427, '\P{^Script=_	OLD_Permic}', "");
Error('\p{Sc=:=	Perm}');
Error('\P{Sc=:=	Perm}');
Expect(1, 66426, '\p{Sc=perm}', "");
Expect(0, 66426, '\p{^Sc=perm}', "");
Expect(0, 66426, '\P{Sc=perm}', "");
Expect(1, 66426, '\P{^Sc=perm}', "");
Expect(0, 66427, '\p{Sc=perm}', "");
Expect(1, 66427, '\p{^Sc=perm}', "");
Expect(1, 66427, '\P{Sc=perm}', "");
Expect(0, 66427, '\P{^Sc=perm}', "");
Expect(1, 66426, '\p{Sc= _Perm}', "");
Expect(0, 66426, '\p{^Sc= _Perm}', "");
Expect(0, 66426, '\P{Sc= _Perm}', "");
Expect(1, 66426, '\P{^Sc= _Perm}', "");
Expect(0, 66427, '\p{Sc= _Perm}', "");
Expect(1, 66427, '\p{^Sc= _Perm}', "");
Expect(1, 66427, '\P{Sc= _Perm}', "");
Expect(0, 66427, '\P{^Sc= _Perm}', "");
Error('\p{Is_Script=-	old_Permic/a/}');
Error('\P{Is_Script=-	old_Permic/a/}');
Expect(1, 66426, '\p{Is_Script:oldpermic}', "");
Expect(0, 66426, '\p{^Is_Script:oldpermic}', "");
Expect(0, 66426, '\P{Is_Script:oldpermic}', "");
Expect(1, 66426, '\P{^Is_Script:oldpermic}', "");
Expect(0, 66427, '\p{Is_Script:oldpermic}', "");
Expect(1, 66427, '\p{^Is_Script:oldpermic}', "");
Expect(1, 66427, '\P{Is_Script:oldpermic}', "");
Expect(0, 66427, '\P{^Is_Script:oldpermic}', "");
Expect(1, 66426, '\p{Is_Script=--Old_permic}', "");
Expect(0, 66426, '\p{^Is_Script=--Old_permic}', "");
Expect(0, 66426, '\P{Is_Script=--Old_permic}', "");
Expect(1, 66426, '\P{^Is_Script=--Old_permic}', "");
Expect(0, 66427, '\p{Is_Script=--Old_permic}', "");
Expect(1, 66427, '\p{^Is_Script=--Old_permic}', "");
Expect(1, 66427, '\P{Is_Script=--Old_permic}', "");
Expect(0, 66427, '\P{^Is_Script=--Old_permic}', "");
Error('\p{Is_Sc=/a/ PERM}');
Error('\P{Is_Sc=/a/ PERM}');
Expect(1, 66426, '\p{Is_Sc=perm}', "");
Expect(0, 66426, '\p{^Is_Sc=perm}', "");
Expect(0, 66426, '\P{Is_Sc=perm}', "");
Expect(1, 66426, '\P{^Is_Sc=perm}', "");
Expect(0, 66427, '\p{Is_Sc=perm}', "");
Expect(1, 66427, '\p{^Is_Sc=perm}', "");
Expect(1, 66427, '\P{Is_Sc=perm}', "");
Expect(0, 66427, '\P{^Is_Sc=perm}', "");
Expect(1, 66426, '\p{Is_Sc=  Perm}', "");
Expect(0, 66426, '\p{^Is_Sc=  Perm}', "");
Expect(0, 66426, '\P{Is_Sc=  Perm}', "");
Expect(1, 66426, '\P{^Is_Sc=  Perm}', "");
Expect(0, 66427, '\p{Is_Sc=  Perm}', "");
Expect(1, 66427, '\p{^Is_Sc=  Perm}', "");
Expect(1, 66427, '\P{Is_Sc=  Perm}', "");
Expect(0, 66427, '\P{^Is_Sc=  Perm}', "");
Error('\p{Script=/a/phags_pa}');
Error('\P{Script=/a/phags_pa}');
Expect(1, 43127, '\p{Script=phagspa}', "");
Expect(0, 43127, '\p{^Script=phagspa}', "");
Expect(0, 43127, '\P{Script=phagspa}', "");
Expect(1, 43127, '\P{^Script=phagspa}', "");
Expect(0, 43128, '\p{Script=phagspa}', "");
Expect(1, 43128, '\p{^Script=phagspa}', "");
Expect(1, 43128, '\P{Script=phagspa}', "");
Expect(0, 43128, '\P{^Script=phagspa}', "");
Expect(1, 43127, '\p{Script: Phags_Pa}', "");
Expect(0, 43127, '\p{^Script: Phags_Pa}', "");
Expect(0, 43127, '\P{Script: Phags_Pa}', "");
Expect(1, 43127, '\P{^Script: Phags_Pa}', "");
Expect(0, 43128, '\p{Script: Phags_Pa}', "");
Expect(1, 43128, '\p{^Script: Phags_Pa}', "");
Expect(1, 43128, '\P{Script: Phags_Pa}', "");
Expect(0, 43128, '\P{^Script: Phags_Pa}', "");
Error('\p{Sc=/a/ _Phag}');
Error('\P{Sc=/a/ _Phag}');
Expect(1, 43127, '\p{Sc=phag}', "");
Expect(0, 43127, '\p{^Sc=phag}', "");
Expect(0, 43127, '\P{Sc=phag}', "");
Expect(1, 43127, '\P{^Sc=phag}', "");
Expect(0, 43128, '\p{Sc=phag}', "");
Expect(1, 43128, '\p{^Sc=phag}', "");
Expect(1, 43128, '\P{Sc=phag}', "");
Expect(0, 43128, '\P{^Sc=phag}', "");
Expect(1, 43127, '\p{Sc=--PHAG}', "");
Expect(0, 43127, '\p{^Sc=--PHAG}', "");
Expect(0, 43127, '\P{Sc=--PHAG}', "");
Expect(1, 43127, '\P{^Sc=--PHAG}', "");
Expect(0, 43128, '\p{Sc=--PHAG}', "");
Expect(1, 43128, '\p{^Sc=--PHAG}', "");
Expect(1, 43128, '\P{Sc=--PHAG}', "");
Expect(0, 43128, '\P{^Sc=--PHAG}', "");
Error('\p{Is_Script=:=_Phags_pa}');
Error('\P{Is_Script=:=_Phags_pa}');
Expect(1, 43127, '\p{Is_Script=phagspa}', "");
Expect(0, 43127, '\p{^Is_Script=phagspa}', "");
Expect(0, 43127, '\P{Is_Script=phagspa}', "");
Expect(1, 43127, '\P{^Is_Script=phagspa}', "");
Expect(0, 43128, '\p{Is_Script=phagspa}', "");
Expect(1, 43128, '\p{^Is_Script=phagspa}', "");
Expect(1, 43128, '\P{Is_Script=phagspa}', "");
Expect(0, 43128, '\P{^Is_Script=phagspa}', "");
Expect(1, 43127, '\p{Is_Script= _Phags_Pa}', "");
Expect(0, 43127, '\p{^Is_Script= _Phags_Pa}', "");
Expect(0, 43127, '\P{Is_Script= _Phags_Pa}', "");
Expect(1, 43127, '\P{^Is_Script= _Phags_Pa}', "");
Expect(0, 43128, '\p{Is_Script= _Phags_Pa}', "");
Expect(1, 43128, '\p{^Is_Script= _Phags_Pa}', "");
Expect(1, 43128, '\P{Is_Script= _Phags_Pa}', "");
Expect(0, 43128, '\P{^Is_Script= _Phags_Pa}', "");
Error('\p{Is_Sc:   	_Phag:=}');
Error('\P{Is_Sc:   	_Phag:=}');
Expect(1, 43127, '\p{Is_Sc=phag}', "");
Expect(0, 43127, '\p{^Is_Sc=phag}', "");
Expect(0, 43127, '\P{Is_Sc=phag}', "");
Expect(1, 43127, '\P{^Is_Sc=phag}', "");
Expect(0, 43128, '\p{Is_Sc=phag}', "");
Expect(1, 43128, '\p{^Is_Sc=phag}', "");
Expect(1, 43128, '\P{Is_Sc=phag}', "");
Expect(0, 43128, '\P{^Is_Sc=phag}', "");
Expect(1, 43127, '\p{Is_Sc=--PHAG}', "");
Expect(0, 43127, '\p{^Is_Sc=--PHAG}', "");
Expect(0, 43127, '\P{Is_Sc=--PHAG}', "");
Expect(1, 43127, '\P{^Is_Sc=--PHAG}', "");
Expect(0, 43128, '\p{Is_Sc=--PHAG}', "");
Expect(1, 43128, '\p{^Is_Sc=--PHAG}', "");
Expect(1, 43128, '\P{Is_Sc=--PHAG}', "");
Expect(0, 43128, '\P{^Is_Sc=--PHAG}', "");
Error('\p{Script=:=_INSCRIPTIONAL_PAHLAVI}');
Error('\P{Script=:=_INSCRIPTIONAL_PAHLAVI}');
Expect(1, 68479, '\p{Script=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Script=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Script=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Script=inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Script=inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Script=inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Script=inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Script=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Script= _inscriptional_Pahlavi}', "");
Expect(0, 68479, '\p{^Script= _inscriptional_Pahlavi}', "");
Expect(0, 68479, '\P{Script= _inscriptional_Pahlavi}', "");
Expect(1, 68479, '\P{^Script= _inscriptional_Pahlavi}', "");
Expect(0, 68480, '\p{Script= _inscriptional_Pahlavi}', "");
Expect(1, 68480, '\p{^Script= _inscriptional_Pahlavi}', "");
Expect(1, 68480, '\P{Script= _inscriptional_Pahlavi}', "");
Expect(0, 68480, '\P{^Script= _inscriptional_Pahlavi}', "");
Error('\p{Sc=_	PHLI:=}');
Error('\P{Sc=_	PHLI:=}');
Expect(1, 68479, '\p{Sc=phli}', "");
Expect(0, 68479, '\p{^Sc=phli}', "");
Expect(0, 68479, '\P{Sc=phli}', "");
Expect(1, 68479, '\P{^Sc=phli}', "");
Expect(0, 68480, '\p{Sc=phli}', "");
Expect(1, 68480, '\p{^Sc=phli}', "");
Expect(1, 68480, '\P{Sc=phli}', "");
Expect(0, 68480, '\P{^Sc=phli}', "");
Expect(1, 68479, '\p{Sc=PHLI}', "");
Expect(0, 68479, '\p{^Sc=PHLI}', "");
Expect(0, 68479, '\P{Sc=PHLI}', "");
Expect(1, 68479, '\P{^Sc=PHLI}', "");
Expect(0, 68480, '\p{Sc=PHLI}', "");
Expect(1, 68480, '\p{^Sc=PHLI}', "");
Expect(1, 68480, '\P{Sc=PHLI}', "");
Expect(0, 68480, '\P{^Sc=PHLI}', "");
Error('\p{Is_Script=	Inscriptional_pahlavi:=}');
Error('\P{Is_Script=	Inscriptional_pahlavi:=}');
Expect(1, 68479, '\p{Is_Script=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Is_Script=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Is_Script=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Is_Script=inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Is_Script=inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Is_Script=inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Is_Script=inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Is_Script=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Is_Script=-Inscriptional_pahlavi}', "");
Expect(0, 68479, '\p{^Is_Script=-Inscriptional_pahlavi}', "");
Expect(0, 68479, '\P{Is_Script=-Inscriptional_pahlavi}', "");
Expect(1, 68479, '\P{^Is_Script=-Inscriptional_pahlavi}', "");
Expect(0, 68480, '\p{Is_Script=-Inscriptional_pahlavi}', "");
Expect(1, 68480, '\p{^Is_Script=-Inscriptional_pahlavi}', "");
Expect(1, 68480, '\P{Is_Script=-Inscriptional_pahlavi}', "");
Expect(0, 68480, '\P{^Is_Script=-Inscriptional_pahlavi}', "");
Error('\p{Is_Sc= Phli:=}');
Error('\P{Is_Sc= Phli:=}');
Expect(1, 68479, '\p{Is_Sc=phli}', "");
Expect(0, 68479, '\p{^Is_Sc=phli}', "");
Expect(0, 68479, '\P{Is_Sc=phli}', "");
Expect(1, 68479, '\P{^Is_Sc=phli}', "");
Expect(0, 68480, '\p{Is_Sc=phli}', "");
Expect(1, 68480, '\p{^Is_Sc=phli}', "");
Expect(1, 68480, '\P{Is_Sc=phli}', "");
Expect(0, 68480, '\P{^Is_Sc=phli}', "");
Expect(1, 68479, '\p{Is_Sc=	 Phli}', "");
Expect(0, 68479, '\p{^Is_Sc=	 Phli}', "");
Expect(0, 68479, '\P{Is_Sc=	 Phli}', "");
Expect(1, 68479, '\P{^Is_Sc=	 Phli}', "");
Expect(0, 68480, '\p{Is_Sc=	 Phli}', "");
Expect(1, 68480, '\p{^Is_Sc=	 Phli}', "");
Expect(1, 68480, '\P{Is_Sc=	 Phli}', "");
Expect(0, 68480, '\P{^Is_Sc=	 Phli}', "");
Error('\p{Script=/a/-_Psalter_PAHLAVI}');
Error('\P{Script=/a/-_Psalter_PAHLAVI}');
Expect(1, 68527, '\p{Script=psalterpahlavi}', "");
Expect(0, 68527, '\p{^Script=psalterpahlavi}', "");
Expect(0, 68527, '\P{Script=psalterpahlavi}', "");
Expect(1, 68527, '\P{^Script=psalterpahlavi}', "");
Expect(0, 68528, '\p{Script=psalterpahlavi}', "");
Expect(1, 68528, '\p{^Script=psalterpahlavi}', "");
Expect(1, 68528, '\P{Script=psalterpahlavi}', "");
Expect(0, 68528, '\P{^Script=psalterpahlavi}', "");
Expect(1, 68527, '\p{Script= psalter_pahlavi}', "");
Expect(0, 68527, '\p{^Script= psalter_pahlavi}', "");
Expect(0, 68527, '\P{Script= psalter_pahlavi}', "");
Expect(1, 68527, '\P{^Script= psalter_pahlavi}', "");
Expect(0, 68528, '\p{Script= psalter_pahlavi}', "");
Expect(1, 68528, '\p{^Script= psalter_pahlavi}', "");
Expect(1, 68528, '\P{Script= psalter_pahlavi}', "");
Expect(0, 68528, '\P{^Script= psalter_pahlavi}', "");
Error('\p{Sc=  phlp/a/}');
Error('\P{Sc=  phlp/a/}');
Expect(1, 68527, '\p{Sc=phlp}', "");
Expect(0, 68527, '\p{^Sc=phlp}', "");
Expect(0, 68527, '\P{Sc=phlp}', "");
Expect(1, 68527, '\P{^Sc=phlp}', "");
Expect(0, 68528, '\p{Sc=phlp}', "");
Expect(1, 68528, '\p{^Sc=phlp}', "");
Expect(1, 68528, '\P{Sc=phlp}', "");
Expect(0, 68528, '\P{^Sc=phlp}', "");
Expect(1, 68527, '\p{Sc=-Phlp}', "");
Expect(0, 68527, '\p{^Sc=-Phlp}', "");
Expect(0, 68527, '\P{Sc=-Phlp}', "");
Expect(1, 68527, '\P{^Sc=-Phlp}', "");
Expect(0, 68528, '\p{Sc=-Phlp}', "");
Expect(1, 68528, '\p{^Sc=-Phlp}', "");
Expect(1, 68528, '\P{Sc=-Phlp}', "");
Expect(0, 68528, '\P{^Sc=-Phlp}', "");
Error('\p{Is_Script=:=-PSALTER_Pahlavi}');
Error('\P{Is_Script=:=-PSALTER_Pahlavi}');
Expect(1, 68527, '\p{Is_Script=psalterpahlavi}', "");
Expect(0, 68527, '\p{^Is_Script=psalterpahlavi}', "");
Expect(0, 68527, '\P{Is_Script=psalterpahlavi}', "");
Expect(1, 68527, '\P{^Is_Script=psalterpahlavi}', "");
Expect(0, 68528, '\p{Is_Script=psalterpahlavi}', "");
Expect(1, 68528, '\p{^Is_Script=psalterpahlavi}', "");
Expect(1, 68528, '\P{Is_Script=psalterpahlavi}', "");
Expect(0, 68528, '\P{^Is_Script=psalterpahlavi}', "");
Expect(1, 68527, '\p{Is_Script= 	Psalter_Pahlavi}', "");
Expect(0, 68527, '\p{^Is_Script= 	Psalter_Pahlavi}', "");
Expect(0, 68527, '\P{Is_Script= 	Psalter_Pahlavi}', "");
Expect(1, 68527, '\P{^Is_Script= 	Psalter_Pahlavi}', "");
Expect(0, 68528, '\p{Is_Script= 	Psalter_Pahlavi}', "");
Expect(1, 68528, '\p{^Is_Script= 	Psalter_Pahlavi}', "");
Expect(1, 68528, '\P{Is_Script= 	Psalter_Pahlavi}', "");
Expect(0, 68528, '\P{^Is_Script= 	Psalter_Pahlavi}', "");
Error('\p{Is_Sc=-/a/phlp}');
Error('\P{Is_Sc=-/a/phlp}');
Expect(1, 68527, '\p{Is_Sc=phlp}', "");
Expect(0, 68527, '\p{^Is_Sc=phlp}', "");
Expect(0, 68527, '\P{Is_Sc=phlp}', "");
Expect(1, 68527, '\P{^Is_Sc=phlp}', "");
Expect(0, 68528, '\p{Is_Sc=phlp}', "");
Expect(1, 68528, '\p{^Is_Sc=phlp}', "");
Expect(1, 68528, '\P{Is_Sc=phlp}', "");
Expect(0, 68528, '\P{^Is_Sc=phlp}', "");
Expect(1, 68527, '\p{Is_Sc= Phlp}', "");
Expect(0, 68527, '\p{^Is_Sc= Phlp}', "");
Expect(0, 68527, '\P{Is_Sc= Phlp}', "");
Expect(1, 68527, '\P{^Is_Sc= Phlp}', "");
Expect(0, 68528, '\p{Is_Sc= Phlp}', "");
Expect(1, 68528, '\p{^Is_Sc= Phlp}', "");
Expect(1, 68528, '\P{Is_Sc= Phlp}', "");
Expect(0, 68528, '\P{^Is_Sc= Phlp}', "");
Error('\p{Script=:=phoenician}');
Error('\P{Script=:=phoenician}');
Expect(1, 67871, '\p{Script=phoenician}', "");
Expect(0, 67871, '\p{^Script=phoenician}', "");
Expect(0, 67871, '\P{Script=phoenician}', "");
Expect(1, 67871, '\P{^Script=phoenician}', "");
Expect(0, 67872, '\p{Script=phoenician}', "");
Expect(1, 67872, '\p{^Script=phoenician}', "");
Expect(1, 67872, '\P{Script=phoenician}', "");
Expect(0, 67872, '\P{^Script=phoenician}', "");
Error('\p{Sc=	-PHNX:=}');
Error('\P{Sc=	-PHNX:=}');
Expect(1, 67871, '\p{Sc=phnx}', "");
Expect(0, 67871, '\p{^Sc=phnx}', "");
Expect(0, 67871, '\P{Sc=phnx}', "");
Expect(1, 67871, '\P{^Sc=phnx}', "");
Expect(0, 67872, '\p{Sc=phnx}', "");
Expect(1, 67872, '\p{^Sc=phnx}', "");
Expect(1, 67872, '\P{Sc=phnx}', "");
Expect(0, 67872, '\P{^Sc=phnx}', "");
Expect(1, 67871, '\p{Sc=--phnx}', "");
Expect(0, 67871, '\p{^Sc=--phnx}', "");
Expect(0, 67871, '\P{Sc=--phnx}', "");
Expect(1, 67871, '\P{^Sc=--phnx}', "");
Expect(0, 67872, '\p{Sc=--phnx}', "");
Expect(1, 67872, '\p{^Sc=--phnx}', "");
Expect(1, 67872, '\P{Sc=--phnx}', "");
Expect(0, 67872, '\P{^Sc=--phnx}', "");
Error('\p{Is_Script=-:=Phoenician}');
Error('\P{Is_Script=-:=Phoenician}');
Expect(1, 67871, '\p{Is_Script=phoenician}', "");
Expect(0, 67871, '\p{^Is_Script=phoenician}', "");
Expect(0, 67871, '\P{Is_Script=phoenician}', "");
Expect(1, 67871, '\P{^Is_Script=phoenician}', "");
Expect(0, 67872, '\p{Is_Script=phoenician}', "");
Expect(1, 67872, '\p{^Is_Script=phoenician}', "");
Expect(1, 67872, '\P{Is_Script=phoenician}', "");
Expect(0, 67872, '\P{^Is_Script=phoenician}', "");
Expect(1, 67871, '\p{Is_Script:	-	phoenician}', "");
Expect(0, 67871, '\p{^Is_Script:	-	phoenician}', "");
Expect(0, 67871, '\P{Is_Script:	-	phoenician}', "");
Expect(1, 67871, '\P{^Is_Script:	-	phoenician}', "");
Expect(0, 67872, '\p{Is_Script:	-	phoenician}', "");
Expect(1, 67872, '\p{^Is_Script:	-	phoenician}', "");
Expect(1, 67872, '\P{Is_Script:	-	phoenician}', "");
Expect(0, 67872, '\P{^Is_Script:	-	phoenician}', "");
Error('\p{Is_Sc=/a/--phnx}');
Error('\P{Is_Sc=/a/--phnx}');
Expect(1, 67871, '\p{Is_Sc=phnx}', "");
Expect(0, 67871, '\p{^Is_Sc=phnx}', "");
Expect(0, 67871, '\P{Is_Sc=phnx}', "");
Expect(1, 67871, '\P{^Is_Sc=phnx}', "");
Expect(0, 67872, '\p{Is_Sc=phnx}', "");
Expect(1, 67872, '\p{^Is_Sc=phnx}', "");
Expect(1, 67872, '\P{Is_Sc=phnx}', "");
Expect(0, 67872, '\P{^Is_Sc=phnx}', "");
Expect(1, 67871, '\p{Is_Sc=_Phnx}', "");
Expect(0, 67871, '\p{^Is_Sc=_Phnx}', "");
Expect(0, 67871, '\P{Is_Sc=_Phnx}', "");
Expect(1, 67871, '\P{^Is_Sc=_Phnx}', "");
Expect(0, 67872, '\p{Is_Sc=_Phnx}', "");
Expect(1, 67872, '\p{^Is_Sc=_Phnx}', "");
Expect(1, 67872, '\P{Is_Sc=_Phnx}', "");
Expect(0, 67872, '\P{^Is_Sc=_Phnx}', "");
Error('\p{Script=:=	_Miao}');
Error('\P{Script=:=	_Miao}');
Expect(1, 94111, '\p{Script:   miao}', "");
Expect(0, 94111, '\p{^Script:   miao}', "");
Expect(0, 94111, '\P{Script:   miao}', "");
Expect(1, 94111, '\P{^Script:   miao}', "");
Expect(0, 94112, '\p{Script:   miao}', "");
Expect(1, 94112, '\p{^Script:   miao}', "");
Expect(1, 94112, '\P{Script:   miao}', "");
Expect(0, 94112, '\P{^Script:   miao}', "");
Expect(1, 94111, '\p{Script=- Miao}', "");
Expect(0, 94111, '\p{^Script=- Miao}', "");
Expect(0, 94111, '\P{Script=- Miao}', "");
Expect(1, 94111, '\P{^Script=- Miao}', "");
Expect(0, 94112, '\p{Script=- Miao}', "");
Expect(1, 94112, '\p{^Script=- Miao}', "");
Expect(1, 94112, '\P{Script=- Miao}', "");
Expect(0, 94112, '\P{^Script=- Miao}', "");
Error('\p{Sc=	Plrd/a/}');
Error('\P{Sc=	Plrd/a/}');
Expect(1, 94111, '\p{Sc=plrd}', "");
Expect(0, 94111, '\p{^Sc=plrd}', "");
Expect(0, 94111, '\P{Sc=plrd}', "");
Expect(1, 94111, '\P{^Sc=plrd}', "");
Expect(0, 94112, '\p{Sc=plrd}', "");
Expect(1, 94112, '\p{^Sc=plrd}', "");
Expect(1, 94112, '\P{Sc=plrd}', "");
Expect(0, 94112, '\P{^Sc=plrd}', "");
Expect(1, 94111, '\p{Sc=-	PLRD}', "");
Expect(0, 94111, '\p{^Sc=-	PLRD}', "");
Expect(0, 94111, '\P{Sc=-	PLRD}', "");
Expect(1, 94111, '\P{^Sc=-	PLRD}', "");
Expect(0, 94112, '\p{Sc=-	PLRD}', "");
Expect(1, 94112, '\p{^Sc=-	PLRD}', "");
Expect(1, 94112, '\P{Sc=-	PLRD}', "");
Expect(0, 94112, '\P{^Sc=-	PLRD}', "");
Error('\p{Is_Script=_:=Miao}');
Error('\P{Is_Script=_:=Miao}');
Expect(1, 94111, '\p{Is_Script=miao}', "");
Expect(0, 94111, '\p{^Is_Script=miao}', "");
Expect(0, 94111, '\P{Is_Script=miao}', "");
Expect(1, 94111, '\P{^Is_Script=miao}', "");
Expect(0, 94112, '\p{Is_Script=miao}', "");
Expect(1, 94112, '\p{^Is_Script=miao}', "");
Expect(1, 94112, '\P{Is_Script=miao}', "");
Expect(0, 94112, '\P{^Is_Script=miao}', "");
Expect(1, 94111, '\p{Is_Script=-MIAO}', "");
Expect(0, 94111, '\p{^Is_Script=-MIAO}', "");
Expect(0, 94111, '\P{Is_Script=-MIAO}', "");
Expect(1, 94111, '\P{^Is_Script=-MIAO}', "");
Expect(0, 94112, '\p{Is_Script=-MIAO}', "");
Expect(1, 94112, '\p{^Is_Script=-MIAO}', "");
Expect(1, 94112, '\P{Is_Script=-MIAO}', "");
Expect(0, 94112, '\P{^Is_Script=-MIAO}', "");
Error('\p{Is_Sc=_/a/PLRD}');
Error('\P{Is_Sc=_/a/PLRD}');
Expect(1, 94111, '\p{Is_Sc=plrd}', "");
Expect(0, 94111, '\p{^Is_Sc=plrd}', "");
Expect(0, 94111, '\P{Is_Sc=plrd}', "");
Expect(1, 94111, '\P{^Is_Sc=plrd}', "");
Expect(0, 94112, '\p{Is_Sc=plrd}', "");
Expect(1, 94112, '\p{^Is_Sc=plrd}', "");
Expect(1, 94112, '\P{Is_Sc=plrd}', "");
Expect(0, 94112, '\P{^Is_Sc=plrd}', "");
Expect(1, 94111, '\p{Is_Sc= Plrd}', "");
Expect(0, 94111, '\p{^Is_Sc= Plrd}', "");
Expect(0, 94111, '\P{Is_Sc= Plrd}', "");
Expect(1, 94111, '\P{^Is_Sc= Plrd}', "");
Expect(0, 94112, '\p{Is_Sc= Plrd}', "");
Expect(1, 94112, '\p{^Is_Sc= Plrd}', "");
Expect(1, 94112, '\P{Is_Sc= Plrd}', "");
Expect(0, 94112, '\P{^Is_Sc= Plrd}', "");
Error('\p{Script=	:=Inscriptional_Parthian}');
Error('\P{Script=	:=Inscriptional_Parthian}');
Expect(1, 68447, '\p{Script=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Script=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Script=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Script=inscriptionalparthian}', "");
Expect(0, 68448, '\p{Script=inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Script=inscriptionalparthian}', "");
Expect(1, 68448, '\P{Script=inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Script=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Script=-INSCRIPTIONAL_parthian}', "");
Expect(0, 68447, '\p{^Script=-INSCRIPTIONAL_parthian}', "");
Expect(0, 68447, '\P{Script=-INSCRIPTIONAL_parthian}', "");
Expect(1, 68447, '\P{^Script=-INSCRIPTIONAL_parthian}', "");
Expect(0, 68448, '\p{Script=-INSCRIPTIONAL_parthian}', "");
Expect(1, 68448, '\p{^Script=-INSCRIPTIONAL_parthian}', "");
Expect(1, 68448, '\P{Script=-INSCRIPTIONAL_parthian}', "");
Expect(0, 68448, '\P{^Script=-INSCRIPTIONAL_parthian}', "");
Error('\p{Sc=:=-prti}');
Error('\P{Sc=:=-prti}');
Expect(1, 68447, '\p{Sc=prti}', "");
Expect(0, 68447, '\p{^Sc=prti}', "");
Expect(0, 68447, '\P{Sc=prti}', "");
Expect(1, 68447, '\P{^Sc=prti}', "");
Expect(0, 68448, '\p{Sc=prti}', "");
Expect(1, 68448, '\p{^Sc=prti}', "");
Expect(1, 68448, '\P{Sc=prti}', "");
Expect(0, 68448, '\P{^Sc=prti}', "");
Expect(1, 68447, '\p{Sc= 	prti}', "");
Expect(0, 68447, '\p{^Sc= 	prti}', "");
Expect(0, 68447, '\P{Sc= 	prti}', "");
Expect(1, 68447, '\P{^Sc= 	prti}', "");
Expect(0, 68448, '\p{Sc= 	prti}', "");
Expect(1, 68448, '\p{^Sc= 	prti}', "");
Expect(1, 68448, '\P{Sc= 	prti}', "");
Expect(0, 68448, '\P{^Sc= 	prti}', "");
Error('\p{Is_Script= Inscriptional_Parthian:=}');
Error('\P{Is_Script= Inscriptional_Parthian:=}');
Expect(1, 68447, '\p{Is_Script=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Is_Script=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Is_Script=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Is_Script=inscriptionalparthian}', "");
Expect(0, 68448, '\p{Is_Script=inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Is_Script=inscriptionalparthian}', "");
Expect(1, 68448, '\P{Is_Script=inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Is_Script=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Is_Script=-INSCRIPTIONAL_Parthian}', "");
Expect(0, 68447, '\p{^Is_Script=-INSCRIPTIONAL_Parthian}', "");
Expect(0, 68447, '\P{Is_Script=-INSCRIPTIONAL_Parthian}', "");
Expect(1, 68447, '\P{^Is_Script=-INSCRIPTIONAL_Parthian}', "");
Expect(0, 68448, '\p{Is_Script=-INSCRIPTIONAL_Parthian}', "");
Expect(1, 68448, '\p{^Is_Script=-INSCRIPTIONAL_Parthian}', "");
Expect(1, 68448, '\P{Is_Script=-INSCRIPTIONAL_Parthian}', "");
Expect(0, 68448, '\P{^Is_Script=-INSCRIPTIONAL_Parthian}', "");
Error('\p{Is_Sc:-PRTI/a/}');
Error('\P{Is_Sc:-PRTI/a/}');
Expect(1, 68447, '\p{Is_Sc=prti}', "");
Expect(0, 68447, '\p{^Is_Sc=prti}', "");
Expect(0, 68447, '\P{Is_Sc=prti}', "");
Expect(1, 68447, '\P{^Is_Sc=prti}', "");
Expect(0, 68448, '\p{Is_Sc=prti}', "");
Expect(1, 68448, '\p{^Is_Sc=prti}', "");
Expect(1, 68448, '\P{Is_Sc=prti}', "");
Expect(0, 68448, '\P{^Is_Sc=prti}', "");
Expect(1, 68447, '\p{Is_Sc=	 Prti}', "");
Expect(0, 68447, '\p{^Is_Sc=	 Prti}', "");
Expect(0, 68447, '\P{Is_Sc=	 Prti}', "");
Expect(1, 68447, '\P{^Is_Sc=	 Prti}', "");
Expect(0, 68448, '\p{Is_Sc=	 Prti}', "");
Expect(1, 68448, '\p{^Is_Sc=	 Prti}', "");
Expect(1, 68448, '\P{Is_Sc=	 Prti}', "");
Expect(0, 68448, '\P{^Is_Sc=	 Prti}', "");
Error('\p{Script= :=REJANG}');
Error('\P{Script= :=REJANG}');
Expect(1, 43359, '\p{Script=rejang}', "");
Expect(0, 43359, '\p{^Script=rejang}', "");
Expect(0, 43359, '\P{Script=rejang}', "");
Expect(1, 43359, '\P{^Script=rejang}', "");
Expect(0, 43360, '\p{Script=rejang}', "");
Expect(1, 43360, '\p{^Script=rejang}', "");
Expect(1, 43360, '\P{Script=rejang}', "");
Expect(0, 43360, '\P{^Script=rejang}', "");
Expect(1, 43359, '\p{Script=-rejang}', "");
Expect(0, 43359, '\p{^Script=-rejang}', "");
Expect(0, 43359, '\P{Script=-rejang}', "");
Expect(1, 43359, '\P{^Script=-rejang}', "");
Expect(0, 43360, '\p{Script=-rejang}', "");
Expect(1, 43360, '\p{^Script=-rejang}', "");
Expect(1, 43360, '\P{Script=-rejang}', "");
Expect(0, 43360, '\P{^Script=-rejang}', "");
Error('\p{Sc=:=--RJNG}');
Error('\P{Sc=:=--RJNG}');
Expect(1, 43359, '\p{Sc=rjng}', "");
Expect(0, 43359, '\p{^Sc=rjng}', "");
Expect(0, 43359, '\P{Sc=rjng}', "");
Expect(1, 43359, '\P{^Sc=rjng}', "");
Expect(0, 43360, '\p{Sc=rjng}', "");
Expect(1, 43360, '\p{^Sc=rjng}', "");
Expect(1, 43360, '\P{Sc=rjng}', "");
Expect(0, 43360, '\P{^Sc=rjng}', "");
Expect(1, 43359, '\p{Sc=_ rjng}', "");
Expect(0, 43359, '\p{^Sc=_ rjng}', "");
Expect(0, 43359, '\P{Sc=_ rjng}', "");
Expect(1, 43359, '\P{^Sc=_ rjng}', "");
Expect(0, 43360, '\p{Sc=_ rjng}', "");
Expect(1, 43360, '\p{^Sc=_ rjng}', "");
Expect(1, 43360, '\P{Sc=_ rjng}', "");
Expect(0, 43360, '\P{^Sc=_ rjng}', "");
Error('\p{Is_Script:	 :=Rejang}');
Error('\P{Is_Script:	 :=Rejang}');
Expect(1, 43359, '\p{Is_Script=rejang}', "");
Expect(0, 43359, '\p{^Is_Script=rejang}', "");
Expect(0, 43359, '\P{Is_Script=rejang}', "");
Expect(1, 43359, '\P{^Is_Script=rejang}', "");
Expect(0, 43360, '\p{Is_Script=rejang}', "");
Expect(1, 43360, '\p{^Is_Script=rejang}', "");
Expect(1, 43360, '\P{Is_Script=rejang}', "");
Expect(0, 43360, '\P{^Is_Script=rejang}', "");
Expect(1, 43359, '\p{Is_Script=	rejang}', "");
Expect(0, 43359, '\p{^Is_Script=	rejang}', "");
Expect(0, 43359, '\P{Is_Script=	rejang}', "");
Expect(1, 43359, '\P{^Is_Script=	rejang}', "");
Expect(0, 43360, '\p{Is_Script=	rejang}', "");
Expect(1, 43360, '\p{^Is_Script=	rejang}', "");
Expect(1, 43360, '\P{Is_Script=	rejang}', "");
Expect(0, 43360, '\P{^Is_Script=	rejang}', "");
Error('\p{Is_Sc=RJNG/a/}');
Error('\P{Is_Sc=RJNG/a/}');
Expect(1, 43359, '\p{Is_Sc=rjng}', "");
Expect(0, 43359, '\p{^Is_Sc=rjng}', "");
Expect(0, 43359, '\P{Is_Sc=rjng}', "");
Expect(1, 43359, '\P{^Is_Sc=rjng}', "");
Expect(0, 43360, '\p{Is_Sc=rjng}', "");
Expect(1, 43360, '\p{^Is_Sc=rjng}', "");
Expect(1, 43360, '\P{Is_Sc=rjng}', "");
Expect(0, 43360, '\P{^Is_Sc=rjng}', "");
Expect(1, 43359, '\p{Is_Sc:	 rjng}', "");
Expect(0, 43359, '\p{^Is_Sc:	 rjng}', "");
Expect(0, 43359, '\P{Is_Sc:	 rjng}', "");
Expect(1, 43359, '\P{^Is_Sc:	 rjng}', "");
Expect(0, 43360, '\p{Is_Sc:	 rjng}', "");
Expect(1, 43360, '\p{^Is_Sc:	 rjng}', "");
Expect(1, 43360, '\P{Is_Sc:	 rjng}', "");
Expect(0, 43360, '\P{^Is_Sc:	 rjng}', "");
Error('\p{Script=/a/ -Runic}');
Error('\P{Script=/a/ -Runic}');
Expect(1, 5880, '\p{Script=runic}', "");
Expect(0, 5880, '\p{^Script=runic}', "");
Expect(0, 5880, '\P{Script=runic}', "");
Expect(1, 5880, '\P{^Script=runic}', "");
Expect(0, 5881, '\p{Script=runic}', "");
Expect(1, 5881, '\p{^Script=runic}', "");
Expect(1, 5881, '\P{Script=runic}', "");
Expect(0, 5881, '\P{^Script=runic}', "");
Expect(1, 5880, '\p{Script:   	 Runic}', "");
Expect(0, 5880, '\p{^Script:   	 Runic}', "");
Expect(0, 5880, '\P{Script:   	 Runic}', "");
Expect(1, 5880, '\P{^Script:   	 Runic}', "");
Expect(0, 5881, '\p{Script:   	 Runic}', "");
Expect(1, 5881, '\p{^Script:   	 Runic}', "");
Expect(1, 5881, '\P{Script:   	 Runic}', "");
Expect(0, 5881, '\P{^Script:   	 Runic}', "");
Error('\p{Sc=/a/		runr}');
Error('\P{Sc=/a/		runr}');
Expect(1, 5880, '\p{Sc=runr}', "");
Expect(0, 5880, '\p{^Sc=runr}', "");
Expect(0, 5880, '\P{Sc=runr}', "");
Expect(1, 5880, '\P{^Sc=runr}', "");
Expect(0, 5881, '\p{Sc=runr}', "");
Expect(1, 5881, '\p{^Sc=runr}', "");
Expect(1, 5881, '\P{Sc=runr}', "");
Expect(0, 5881, '\P{^Sc=runr}', "");
Expect(1, 5880, '\p{Sc=	runr}', "");
Expect(0, 5880, '\p{^Sc=	runr}', "");
Expect(0, 5880, '\P{Sc=	runr}', "");
Expect(1, 5880, '\P{^Sc=	runr}', "");
Expect(0, 5881, '\p{Sc=	runr}', "");
Expect(1, 5881, '\p{^Sc=	runr}', "");
Expect(1, 5881, '\P{Sc=	runr}', "");
Expect(0, 5881, '\P{^Sc=	runr}', "");
Error('\p{Is_Script=/a/ _runic}');
Error('\P{Is_Script=/a/ _runic}');
Expect(1, 5880, '\p{Is_Script=runic}', "");
Expect(0, 5880, '\p{^Is_Script=runic}', "");
Expect(0, 5880, '\P{Is_Script=runic}', "");
Expect(1, 5880, '\P{^Is_Script=runic}', "");
Expect(0, 5881, '\p{Is_Script=runic}', "");
Expect(1, 5881, '\p{^Is_Script=runic}', "");
Expect(1, 5881, '\P{Is_Script=runic}', "");
Expect(0, 5881, '\P{^Is_Script=runic}', "");
Expect(1, 5880, '\p{Is_Script=--runic}', "");
Expect(0, 5880, '\p{^Is_Script=--runic}', "");
Expect(0, 5880, '\P{Is_Script=--runic}', "");
Expect(1, 5880, '\P{^Is_Script=--runic}', "");
Expect(0, 5881, '\p{Is_Script=--runic}', "");
Expect(1, 5881, '\p{^Is_Script=--runic}', "");
Expect(1, 5881, '\P{Is_Script=--runic}', "");
Expect(0, 5881, '\P{^Is_Script=--runic}', "");
Error('\p{Is_Sc= /a/RUNR}');
Error('\P{Is_Sc= /a/RUNR}');
Expect(1, 5880, '\p{Is_Sc=runr}', "");
Expect(0, 5880, '\p{^Is_Sc=runr}', "");
Expect(0, 5880, '\P{Is_Sc=runr}', "");
Expect(1, 5880, '\P{^Is_Sc=runr}', "");
Expect(0, 5881, '\p{Is_Sc=runr}', "");
Expect(1, 5881, '\p{^Is_Sc=runr}', "");
Expect(1, 5881, '\P{Is_Sc=runr}', "");
Expect(0, 5881, '\P{^Is_Sc=runr}', "");
Expect(1, 5880, '\p{Is_Sc:_	runr}', "");
Expect(0, 5880, '\p{^Is_Sc:_	runr}', "");
Expect(0, 5880, '\P{Is_Sc:_	runr}', "");
Expect(1, 5880, '\P{^Is_Sc:_	runr}', "");
Expect(0, 5881, '\p{Is_Sc:_	runr}', "");
Expect(1, 5881, '\p{^Is_Sc:_	runr}', "");
Expect(1, 5881, '\P{Is_Sc:_	runr}', "");
Expect(0, 5881, '\P{^Is_Sc:_	runr}', "");
Error('\p{Script=-	Samaritan:=}');
Error('\P{Script=-	Samaritan:=}');
Expect(1, 2110, '\p{Script=samaritan}', "");
Expect(0, 2110, '\p{^Script=samaritan}', "");
Expect(0, 2110, '\P{Script=samaritan}', "");
Expect(1, 2110, '\P{^Script=samaritan}', "");
Expect(0, 2111, '\p{Script=samaritan}', "");
Expect(1, 2111, '\p{^Script=samaritan}', "");
Expect(1, 2111, '\P{Script=samaritan}', "");
Expect(0, 2111, '\P{^Script=samaritan}', "");
Expect(1, 2110, '\p{Script=--Samaritan}', "");
Expect(0, 2110, '\p{^Script=--Samaritan}', "");
Expect(0, 2110, '\P{Script=--Samaritan}', "");
Expect(1, 2110, '\P{^Script=--Samaritan}', "");
Expect(0, 2111, '\p{Script=--Samaritan}', "");
Expect(1, 2111, '\p{^Script=--Samaritan}', "");
Expect(1, 2111, '\P{Script=--Samaritan}', "");
Expect(0, 2111, '\P{^Script=--Samaritan}', "");
Error('\p{Sc=_SAMR:=}');
Error('\P{Sc=_SAMR:=}');
Expect(1, 2110, '\p{Sc=samr}', "");
Expect(0, 2110, '\p{^Sc=samr}', "");
Expect(0, 2110, '\P{Sc=samr}', "");
Expect(1, 2110, '\P{^Sc=samr}', "");
Expect(0, 2111, '\p{Sc=samr}', "");
Expect(1, 2111, '\p{^Sc=samr}', "");
Expect(1, 2111, '\P{Sc=samr}', "");
Expect(0, 2111, '\P{^Sc=samr}', "");
Expect(1, 2110, '\p{Sc= _SAMR}', "");
Expect(0, 2110, '\p{^Sc= _SAMR}', "");
Expect(0, 2110, '\P{Sc= _SAMR}', "");
Expect(1, 2110, '\P{^Sc= _SAMR}', "");
Expect(0, 2111, '\p{Sc= _SAMR}', "");
Expect(1, 2111, '\p{^Sc= _SAMR}', "");
Expect(1, 2111, '\P{Sc= _SAMR}', "");
Expect(0, 2111, '\P{^Sc= _SAMR}', "");
Error('\p{Is_Script=	:=SAMARITAN}');
Error('\P{Is_Script=	:=SAMARITAN}');
Expect(1, 2110, '\p{Is_Script=samaritan}', "");
Expect(0, 2110, '\p{^Is_Script=samaritan}', "");
Expect(0, 2110, '\P{Is_Script=samaritan}', "");
Expect(1, 2110, '\P{^Is_Script=samaritan}', "");
Expect(0, 2111, '\p{Is_Script=samaritan}', "");
Expect(1, 2111, '\p{^Is_Script=samaritan}', "");
Expect(1, 2111, '\P{Is_Script=samaritan}', "");
Expect(0, 2111, '\P{^Is_Script=samaritan}', "");
Expect(1, 2110, '\p{Is_Script=-Samaritan}', "");
Expect(0, 2110, '\p{^Is_Script=-Samaritan}', "");
Expect(0, 2110, '\P{Is_Script=-Samaritan}', "");
Expect(1, 2110, '\P{^Is_Script=-Samaritan}', "");
Expect(0, 2111, '\p{Is_Script=-Samaritan}', "");
Expect(1, 2111, '\p{^Is_Script=-Samaritan}', "");
Expect(1, 2111, '\P{Is_Script=-Samaritan}', "");
Expect(0, 2111, '\P{^Is_Script=-Samaritan}', "");
Error('\p{Is_Sc=	/a/SAMR}');
Error('\P{Is_Sc=	/a/SAMR}');
Expect(1, 2110, '\p{Is_Sc=samr}', "");
Expect(0, 2110, '\p{^Is_Sc=samr}', "");
Expect(0, 2110, '\P{Is_Sc=samr}', "");
Expect(1, 2110, '\P{^Is_Sc=samr}', "");
Expect(0, 2111, '\p{Is_Sc=samr}', "");
Expect(1, 2111, '\p{^Is_Sc=samr}', "");
Expect(1, 2111, '\P{Is_Sc=samr}', "");
Expect(0, 2111, '\P{^Is_Sc=samr}', "");
Expect(1, 2110, '\p{Is_Sc=-SAMR}', "");
Expect(0, 2110, '\p{^Is_Sc=-SAMR}', "");
Expect(0, 2110, '\P{Is_Sc=-SAMR}', "");
Expect(1, 2110, '\P{^Is_Sc=-SAMR}', "");
Expect(0, 2111, '\p{Is_Sc=-SAMR}', "");
Expect(1, 2111, '\p{^Is_Sc=-SAMR}', "");
Expect(1, 2111, '\P{Is_Sc=-SAMR}', "");
Expect(0, 2111, '\P{^Is_Sc=-SAMR}', "");
Error('\p{Script=/a/- old_SOUTH_ARABIAN}');
Error('\P{Script=/a/- old_SOUTH_ARABIAN}');
Expect(1, 68223, '\p{Script=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Script=oldsoutharabian}', "");
Expect(0, 68223, '\P{Script=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Script=oldsoutharabian}', "");
Expect(0, 68224, '\p{Script=oldsoutharabian}', "");
Expect(1, 68224, '\p{^Script=oldsoutharabian}', "");
Expect(1, 68224, '\P{Script=oldsoutharabian}', "");
Expect(0, 68224, '\P{^Script=oldsoutharabian}', "");
Expect(1, 68223, '\p{Script=	-OLD_South_Arabian}', "");
Expect(0, 68223, '\p{^Script=	-OLD_South_Arabian}', "");
Expect(0, 68223, '\P{Script=	-OLD_South_Arabian}', "");
Expect(1, 68223, '\P{^Script=	-OLD_South_Arabian}', "");
Expect(0, 68224, '\p{Script=	-OLD_South_Arabian}', "");
Expect(1, 68224, '\p{^Script=	-OLD_South_Arabian}', "");
Expect(1, 68224, '\P{Script=	-OLD_South_Arabian}', "");
Expect(0, 68224, '\P{^Script=	-OLD_South_Arabian}', "");
Error('\p{Sc=:=Sarb}');
Error('\P{Sc=:=Sarb}');
Expect(1, 68223, '\p{Sc=sarb}', "");
Expect(0, 68223, '\p{^Sc=sarb}', "");
Expect(0, 68223, '\P{Sc=sarb}', "");
Expect(1, 68223, '\P{^Sc=sarb}', "");
Expect(0, 68224, '\p{Sc=sarb}', "");
Expect(1, 68224, '\p{^Sc=sarb}', "");
Expect(1, 68224, '\P{Sc=sarb}', "");
Expect(0, 68224, '\P{^Sc=sarb}', "");
Expect(1, 68223, '\p{Sc:	 _Sarb}', "");
Expect(0, 68223, '\p{^Sc:	 _Sarb}', "");
Expect(0, 68223, '\P{Sc:	 _Sarb}', "");
Expect(1, 68223, '\P{^Sc:	 _Sarb}', "");
Expect(0, 68224, '\p{Sc:	 _Sarb}', "");
Expect(1, 68224, '\p{^Sc:	 _Sarb}', "");
Expect(1, 68224, '\P{Sc:	 _Sarb}', "");
Expect(0, 68224, '\P{^Sc:	 _Sarb}', "");
Error('\p{Is_Script=/a/Old_south_Arabian}');
Error('\P{Is_Script=/a/Old_south_Arabian}');
Expect(1, 68223, '\p{Is_Script=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Is_Script=oldsoutharabian}', "");
Expect(0, 68223, '\P{Is_Script=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Is_Script=oldsoutharabian}', "");
Expect(0, 68224, '\p{Is_Script=oldsoutharabian}', "");
Expect(1, 68224, '\p{^Is_Script=oldsoutharabian}', "");
Expect(1, 68224, '\P{Is_Script=oldsoutharabian}', "");
Expect(0, 68224, '\P{^Is_Script=oldsoutharabian}', "");
Expect(1, 68223, '\p{Is_Script=	Old_South_Arabian}', "");
Expect(0, 68223, '\p{^Is_Script=	Old_South_Arabian}', "");
Expect(0, 68223, '\P{Is_Script=	Old_South_Arabian}', "");
Expect(1, 68223, '\P{^Is_Script=	Old_South_Arabian}', "");
Expect(0, 68224, '\p{Is_Script=	Old_South_Arabian}', "");
Expect(1, 68224, '\p{^Is_Script=	Old_South_Arabian}', "");
Expect(1, 68224, '\P{Is_Script=	Old_South_Arabian}', "");
Expect(0, 68224, '\P{^Is_Script=	Old_South_Arabian}', "");
Error('\p{Is_Sc=/a/_-SARB}');
Error('\P{Is_Sc=/a/_-SARB}');
Expect(1, 68223, '\p{Is_Sc=sarb}', "");
Expect(0, 68223, '\p{^Is_Sc=sarb}', "");
Expect(0, 68223, '\P{Is_Sc=sarb}', "");
Expect(1, 68223, '\P{^Is_Sc=sarb}', "");
Expect(0, 68224, '\p{Is_Sc=sarb}', "");
Expect(1, 68224, '\p{^Is_Sc=sarb}', "");
Expect(1, 68224, '\P{Is_Sc=sarb}', "");
Expect(0, 68224, '\P{^Is_Sc=sarb}', "");
Expect(1, 68223, '\p{Is_Sc=	 Sarb}', "");
Expect(0, 68223, '\p{^Is_Sc=	 Sarb}', "");
Expect(0, 68223, '\P{Is_Sc=	 Sarb}', "");
Expect(1, 68223, '\P{^Is_Sc=	 Sarb}', "");
Expect(0, 68224, '\p{Is_Sc=	 Sarb}', "");
Expect(1, 68224, '\p{^Is_Sc=	 Sarb}', "");
Expect(1, 68224, '\P{Is_Sc=	 Sarb}', "");
Expect(0, 68224, '\P{^Is_Sc=	 Sarb}', "");
Error('\p{Script=:=SAURASHTRA}');
Error('\P{Script=:=SAURASHTRA}');
Expect(1, 43225, '\p{Script=saurashtra}', "");
Expect(0, 43225, '\p{^Script=saurashtra}', "");
Expect(0, 43225, '\P{Script=saurashtra}', "");
Expect(1, 43225, '\P{^Script=saurashtra}', "");
Expect(0, 43226, '\p{Script=saurashtra}', "");
Expect(1, 43226, '\p{^Script=saurashtra}', "");
Expect(1, 43226, '\P{Script=saurashtra}', "");
Expect(0, 43226, '\P{^Script=saurashtra}', "");
Expect(1, 43225, '\p{Script=		SAURASHTRA}', "");
Expect(0, 43225, '\p{^Script=		SAURASHTRA}', "");
Expect(0, 43225, '\P{Script=		SAURASHTRA}', "");
Expect(1, 43225, '\P{^Script=		SAURASHTRA}', "");
Expect(0, 43226, '\p{Script=		SAURASHTRA}', "");
Expect(1, 43226, '\p{^Script=		SAURASHTRA}', "");
Expect(1, 43226, '\P{Script=		SAURASHTRA}', "");
Expect(0, 43226, '\P{^Script=		SAURASHTRA}', "");
Error('\p{Sc=/a/--SAUR}');
Error('\P{Sc=/a/--SAUR}');
Expect(1, 43225, '\p{Sc=saur}', "");
Expect(0, 43225, '\p{^Sc=saur}', "");
Expect(0, 43225, '\P{Sc=saur}', "");
Expect(1, 43225, '\P{^Sc=saur}', "");
Expect(0, 43226, '\p{Sc=saur}', "");
Expect(1, 43226, '\p{^Sc=saur}', "");
Expect(1, 43226, '\P{Sc=saur}', "");
Expect(0, 43226, '\P{^Sc=saur}', "");
Expect(1, 43225, '\p{Sc=		SAUR}', "");
Expect(0, 43225, '\p{^Sc=		SAUR}', "");
Expect(0, 43225, '\P{Sc=		SAUR}', "");
Expect(1, 43225, '\P{^Sc=		SAUR}', "");
Expect(0, 43226, '\p{Sc=		SAUR}', "");
Expect(1, 43226, '\p{^Sc=		SAUR}', "");
Expect(1, 43226, '\P{Sc=		SAUR}', "");
Expect(0, 43226, '\P{^Sc=		SAUR}', "");
Error('\p{Is_Script=-_Saurashtra:=}');
Error('\P{Is_Script=-_Saurashtra:=}');
Expect(1, 43225, '\p{Is_Script=saurashtra}', "");
Expect(0, 43225, '\p{^Is_Script=saurashtra}', "");
Expect(0, 43225, '\P{Is_Script=saurashtra}', "");
Expect(1, 43225, '\P{^Is_Script=saurashtra}', "");
Expect(0, 43226, '\p{Is_Script=saurashtra}', "");
Expect(1, 43226, '\p{^Is_Script=saurashtra}', "");
Expect(1, 43226, '\P{Is_Script=saurashtra}', "");
Expect(0, 43226, '\P{^Is_Script=saurashtra}', "");
Expect(1, 43225, '\p{Is_Script=	_Saurashtra}', "");
Expect(0, 43225, '\p{^Is_Script=	_Saurashtra}', "");
Expect(0, 43225, '\P{Is_Script=	_Saurashtra}', "");
Expect(1, 43225, '\P{^Is_Script=	_Saurashtra}', "");
Expect(0, 43226, '\p{Is_Script=	_Saurashtra}', "");
Expect(1, 43226, '\p{^Is_Script=	_Saurashtra}', "");
Expect(1, 43226, '\P{Is_Script=	_Saurashtra}', "");
Expect(0, 43226, '\P{^Is_Script=	_Saurashtra}', "");
Error('\p{Is_Sc=	-Saur/a/}');
Error('\P{Is_Sc=	-Saur/a/}');
Expect(1, 43225, '\p{Is_Sc=saur}', "");
Expect(0, 43225, '\p{^Is_Sc=saur}', "");
Expect(0, 43225, '\P{Is_Sc=saur}', "");
Expect(1, 43225, '\P{^Is_Sc=saur}', "");
Expect(0, 43226, '\p{Is_Sc=saur}', "");
Expect(1, 43226, '\p{^Is_Sc=saur}', "");
Expect(1, 43226, '\P{Is_Sc=saur}', "");
Expect(0, 43226, '\P{^Is_Sc=saur}', "");
Expect(1, 43225, '\p{Is_Sc=	_Saur}', "");
Expect(0, 43225, '\p{^Is_Sc=	_Saur}', "");
Expect(0, 43225, '\P{Is_Sc=	_Saur}', "");
Expect(1, 43225, '\P{^Is_Sc=	_Saur}', "");
Expect(0, 43226, '\p{Is_Sc=	_Saur}', "");
Expect(1, 43226, '\p{^Is_Sc=	_Saur}', "");
Expect(1, 43226, '\P{Is_Sc=	_Saur}', "");
Expect(0, 43226, '\P{^Is_Sc=	_Saur}', "");
Error('\p{Script=:=- SHAVIAN}');
Error('\P{Script=:=- SHAVIAN}');
Expect(1, 66687, '\p{Script=shavian}', "");
Expect(0, 66687, '\p{^Script=shavian}', "");
Expect(0, 66687, '\P{Script=shavian}', "");
Expect(1, 66687, '\P{^Script=shavian}', "");
Expect(0, 66688, '\p{Script=shavian}', "");
Expect(1, 66688, '\p{^Script=shavian}', "");
Expect(1, 66688, '\P{Script=shavian}', "");
Expect(0, 66688, '\P{^Script=shavian}', "");
Expect(1, 66687, '\p{Script=-Shavian}', "");
Expect(0, 66687, '\p{^Script=-Shavian}', "");
Expect(0, 66687, '\P{Script=-Shavian}', "");
Expect(1, 66687, '\P{^Script=-Shavian}', "");
Expect(0, 66688, '\p{Script=-Shavian}', "");
Expect(1, 66688, '\p{^Script=-Shavian}', "");
Expect(1, 66688, '\P{Script=-Shavian}', "");
Expect(0, 66688, '\P{^Script=-Shavian}', "");
Error('\p{Sc=/a/_Shaw}');
Error('\P{Sc=/a/_Shaw}');
Expect(1, 66687, '\p{Sc=shaw}', "");
Expect(0, 66687, '\p{^Sc=shaw}', "");
Expect(0, 66687, '\P{Sc=shaw}', "");
Expect(1, 66687, '\P{^Sc=shaw}', "");
Expect(0, 66688, '\p{Sc=shaw}', "");
Expect(1, 66688, '\p{^Sc=shaw}', "");
Expect(1, 66688, '\P{Sc=shaw}', "");
Expect(0, 66688, '\P{^Sc=shaw}', "");
Expect(1, 66687, '\p{Sc=	Shaw}', "");
Expect(0, 66687, '\p{^Sc=	Shaw}', "");
Expect(0, 66687, '\P{Sc=	Shaw}', "");
Expect(1, 66687, '\P{^Sc=	Shaw}', "");
Expect(0, 66688, '\p{Sc=	Shaw}', "");
Expect(1, 66688, '\p{^Sc=	Shaw}', "");
Expect(1, 66688, '\P{Sc=	Shaw}', "");
Expect(0, 66688, '\P{^Sc=	Shaw}', "");
Error('\p{Is_Script=/a/	_Shavian}');
Error('\P{Is_Script=/a/	_Shavian}');
Expect(1, 66687, '\p{Is_Script=shavian}', "");
Expect(0, 66687, '\p{^Is_Script=shavian}', "");
Expect(0, 66687, '\P{Is_Script=shavian}', "");
Expect(1, 66687, '\P{^Is_Script=shavian}', "");
Expect(0, 66688, '\p{Is_Script=shavian}', "");
Expect(1, 66688, '\p{^Is_Script=shavian}', "");
Expect(1, 66688, '\P{Is_Script=shavian}', "");
Expect(0, 66688, '\P{^Is_Script=shavian}', "");
Expect(1, 66687, '\p{Is_Script=-_SHAVIAN}', "");
Expect(0, 66687, '\p{^Is_Script=-_SHAVIAN}', "");
Expect(0, 66687, '\P{Is_Script=-_SHAVIAN}', "");
Expect(1, 66687, '\P{^Is_Script=-_SHAVIAN}', "");
Expect(0, 66688, '\p{Is_Script=-_SHAVIAN}', "");
Expect(1, 66688, '\p{^Is_Script=-_SHAVIAN}', "");
Expect(1, 66688, '\P{Is_Script=-_SHAVIAN}', "");
Expect(0, 66688, '\P{^Is_Script=-_SHAVIAN}', "");
Error('\p{Is_Sc=:=-	Shaw}');
Error('\P{Is_Sc=:=-	Shaw}');
Expect(1, 66687, '\p{Is_Sc=shaw}', "");
Expect(0, 66687, '\p{^Is_Sc=shaw}', "");
Expect(0, 66687, '\P{Is_Sc=shaw}', "");
Expect(1, 66687, '\P{^Is_Sc=shaw}', "");
Expect(0, 66688, '\p{Is_Sc=shaw}', "");
Expect(1, 66688, '\p{^Is_Sc=shaw}', "");
Expect(1, 66688, '\P{Is_Sc=shaw}', "");
Expect(0, 66688, '\P{^Is_Sc=shaw}', "");
Expect(1, 66687, '\p{Is_Sc= SHAW}', "");
Expect(0, 66687, '\p{^Is_Sc= SHAW}', "");
Expect(0, 66687, '\P{Is_Sc= SHAW}', "");
Expect(1, 66687, '\P{^Is_Sc= SHAW}', "");
Expect(0, 66688, '\p{Is_Sc= SHAW}', "");
Expect(1, 66688, '\p{^Is_Sc= SHAW}', "");
Expect(1, 66688, '\P{Is_Sc= SHAW}', "");
Expect(0, 66688, '\P{^Is_Sc= SHAW}', "");
Error('\p{Script=_:=Sharada}');
Error('\P{Script=_:=Sharada}');
Expect(1, 70106, '\p{Script=sharada}', "");
Expect(0, 70106, '\p{^Script=sharada}', "");
Expect(0, 70106, '\P{Script=sharada}', "");
Expect(1, 70106, '\P{^Script=sharada}', "");
Expect(0, 70107, '\p{Script=sharada}', "");
Expect(1, 70107, '\p{^Script=sharada}', "");
Expect(1, 70107, '\P{Script=sharada}', "");
Expect(0, 70107, '\P{^Script=sharada}', "");
Expect(1, 70106, '\p{Script=_ SHARADA}', "");
Expect(0, 70106, '\p{^Script=_ SHARADA}', "");
Expect(0, 70106, '\P{Script=_ SHARADA}', "");
Expect(1, 70106, '\P{^Script=_ SHARADA}', "");
Expect(0, 70107, '\p{Script=_ SHARADA}', "");
Expect(1, 70107, '\p{^Script=_ SHARADA}', "");
Expect(1, 70107, '\P{Script=_ SHARADA}', "");
Expect(0, 70107, '\P{^Script=_ SHARADA}', "");
Error('\p{Sc:   Shrd:=}');
Error('\P{Sc:   Shrd:=}');
Expect(1, 70106, '\p{Sc=shrd}', "");
Expect(0, 70106, '\p{^Sc=shrd}', "");
Expect(0, 70106, '\P{Sc=shrd}', "");
Expect(1, 70106, '\P{^Sc=shrd}', "");
Expect(0, 70107, '\p{Sc=shrd}', "");
Expect(1, 70107, '\p{^Sc=shrd}', "");
Expect(1, 70107, '\P{Sc=shrd}', "");
Expect(0, 70107, '\P{^Sc=shrd}', "");
Expect(1, 70106, '\p{Sc= _SHRD}', "");
Expect(0, 70106, '\p{^Sc= _SHRD}', "");
Expect(0, 70106, '\P{Sc= _SHRD}', "");
Expect(1, 70106, '\P{^Sc= _SHRD}', "");
Expect(0, 70107, '\p{Sc= _SHRD}', "");
Expect(1, 70107, '\p{^Sc= _SHRD}', "");
Expect(1, 70107, '\P{Sc= _SHRD}', "");
Expect(0, 70107, '\P{^Sc= _SHRD}', "");
Error('\p{Is_Script=:=_Sharada}');
Error('\P{Is_Script=:=_Sharada}');
Expect(1, 70106, '\p{Is_Script=sharada}', "");
Expect(0, 70106, '\p{^Is_Script=sharada}', "");
Expect(0, 70106, '\P{Is_Script=sharada}', "");
Expect(1, 70106, '\P{^Is_Script=sharada}', "");
Expect(0, 70107, '\p{Is_Script=sharada}', "");
Expect(1, 70107, '\p{^Is_Script=sharada}', "");
Expect(1, 70107, '\P{Is_Script=sharada}', "");
Expect(0, 70107, '\P{^Is_Script=sharada}', "");
Expect(1, 70106, '\p{Is_Script=_ Sharada}', "");
Expect(0, 70106, '\p{^Is_Script=_ Sharada}', "");
Expect(0, 70106, '\P{Is_Script=_ Sharada}', "");
Expect(1, 70106, '\P{^Is_Script=_ Sharada}', "");
Expect(0, 70107, '\p{Is_Script=_ Sharada}', "");
Expect(1, 70107, '\p{^Is_Script=_ Sharada}', "");
Expect(1, 70107, '\P{Is_Script=_ Sharada}', "");
Expect(0, 70107, '\P{^Is_Script=_ Sharada}', "");
Error('\p{Is_Sc=/a/-	Shrd}');
Error('\P{Is_Sc=/a/-	Shrd}');
Expect(1, 70106, '\p{Is_Sc=shrd}', "");
Expect(0, 70106, '\p{^Is_Sc=shrd}', "");
Expect(0, 70106, '\P{Is_Sc=shrd}', "");
Expect(1, 70106, '\P{^Is_Sc=shrd}', "");
Expect(0, 70107, '\p{Is_Sc=shrd}', "");
Expect(1, 70107, '\p{^Is_Sc=shrd}', "");
Expect(1, 70107, '\P{Is_Sc=shrd}', "");
Expect(0, 70107, '\P{^Is_Sc=shrd}', "");
Expect(1, 70106, '\p{Is_Sc=	-Shrd}', "");
Expect(0, 70106, '\p{^Is_Sc=	-Shrd}', "");
Expect(0, 70106, '\P{Is_Sc=	-Shrd}', "");
Expect(1, 70106, '\P{^Is_Sc=	-Shrd}', "");
Expect(0, 70107, '\p{Is_Sc=	-Shrd}', "");
Expect(1, 70107, '\p{^Is_Sc=	-Shrd}', "");
Expect(1, 70107, '\P{Is_Sc=	-Shrd}', "");
Expect(0, 70107, '\P{^Is_Sc=	-Shrd}', "");
Error('\p{Script=/a/_SIDDHAM}');
Error('\P{Script=/a/_SIDDHAM}');
Expect(1, 71113, '\p{Script:siddham}', "");
Expect(0, 71113, '\p{^Script:siddham}', "");
Expect(0, 71113, '\P{Script:siddham}', "");
Expect(1, 71113, '\P{^Script:siddham}', "");
Expect(0, 71114, '\p{Script:siddham}', "");
Expect(1, 71114, '\p{^Script:siddham}', "");
Expect(1, 71114, '\P{Script:siddham}', "");
Expect(0, 71114, '\P{^Script:siddham}', "");
Expect(1, 71113, '\p{Script=- SIDDHAM}', "");
Expect(0, 71113, '\p{^Script=- SIDDHAM}', "");
Expect(0, 71113, '\P{Script=- SIDDHAM}', "");
Expect(1, 71113, '\P{^Script=- SIDDHAM}', "");
Expect(0, 71114, '\p{Script=- SIDDHAM}', "");
Expect(1, 71114, '\p{^Script=- SIDDHAM}', "");
Expect(1, 71114, '\P{Script=- SIDDHAM}', "");
Expect(0, 71114, '\P{^Script=- SIDDHAM}', "");
Error('\p{Sc=:= Sidd}');
Error('\P{Sc=:= Sidd}');
Expect(1, 71113, '\p{Sc=sidd}', "");
Expect(0, 71113, '\p{^Sc=sidd}', "");
Expect(0, 71113, '\P{Sc=sidd}', "");
Expect(1, 71113, '\P{^Sc=sidd}', "");
Expect(0, 71114, '\p{Sc=sidd}', "");
Expect(1, 71114, '\p{^Sc=sidd}', "");
Expect(1, 71114, '\P{Sc=sidd}', "");
Expect(0, 71114, '\P{^Sc=sidd}', "");
Expect(1, 71113, '\p{Sc=	 SIDD}', "");
Expect(0, 71113, '\p{^Sc=	 SIDD}', "");
Expect(0, 71113, '\P{Sc=	 SIDD}', "");
Expect(1, 71113, '\P{^Sc=	 SIDD}', "");
Expect(0, 71114, '\p{Sc=	 SIDD}', "");
Expect(1, 71114, '\p{^Sc=	 SIDD}', "");
Expect(1, 71114, '\P{Sc=	 SIDD}', "");
Expect(0, 71114, '\P{^Sc=	 SIDD}', "");
Error('\p{Is_Script=	SIDDHAM/a/}');
Error('\P{Is_Script=	SIDDHAM/a/}');
Expect(1, 71113, '\p{Is_Script=siddham}', "");
Expect(0, 71113, '\p{^Is_Script=siddham}', "");
Expect(0, 71113, '\P{Is_Script=siddham}', "");
Expect(1, 71113, '\P{^Is_Script=siddham}', "");
Expect(0, 71114, '\p{Is_Script=siddham}', "");
Expect(1, 71114, '\p{^Is_Script=siddham}', "");
Expect(1, 71114, '\P{Is_Script=siddham}', "");
Expect(0, 71114, '\P{^Is_Script=siddham}', "");
Expect(1, 71113, '\p{Is_Script=-_Siddham}', "");
Expect(0, 71113, '\p{^Is_Script=-_Siddham}', "");
Expect(0, 71113, '\P{Is_Script=-_Siddham}', "");
Expect(1, 71113, '\P{^Is_Script=-_Siddham}', "");
Expect(0, 71114, '\p{Is_Script=-_Siddham}', "");
Expect(1, 71114, '\p{^Is_Script=-_Siddham}', "");
Expect(1, 71114, '\P{Is_Script=-_Siddham}', "");
Expect(0, 71114, '\P{^Is_Script=-_Siddham}', "");
Error('\p{Is_Sc=:=-Sidd}');
Error('\P{Is_Sc=:=-Sidd}');
Expect(1, 71113, '\p{Is_Sc=sidd}', "");
Expect(0, 71113, '\p{^Is_Sc=sidd}', "");
Expect(0, 71113, '\P{Is_Sc=sidd}', "");
Expect(1, 71113, '\P{^Is_Sc=sidd}', "");
Expect(0, 71114, '\p{Is_Sc=sidd}', "");
Expect(1, 71114, '\p{^Is_Sc=sidd}', "");
Expect(1, 71114, '\P{Is_Sc=sidd}', "");
Expect(0, 71114, '\P{^Is_Sc=sidd}', "");
Expect(1, 71113, '\p{Is_Sc=	 Sidd}', "");
Expect(0, 71113, '\p{^Is_Sc=	 Sidd}', "");
Expect(0, 71113, '\P{Is_Sc=	 Sidd}', "");
Expect(1, 71113, '\P{^Is_Sc=	 Sidd}', "");
Expect(0, 71114, '\p{Is_Sc=	 Sidd}', "");
Expect(1, 71114, '\p{^Is_Sc=	 Sidd}', "");
Expect(1, 71114, '\P{Is_Sc=	 Sidd}', "");
Expect(0, 71114, '\P{^Is_Sc=	 Sidd}', "");
Error('\p{Script=-	KHUDAWADI/a/}');
Error('\P{Script=-	KHUDAWADI/a/}');
Expect(1, 70393, '\p{Script:   khudawadi}', "");
Expect(0, 70393, '\p{^Script:   khudawadi}', "");
Expect(0, 70393, '\P{Script:   khudawadi}', "");
Expect(1, 70393, '\P{^Script:   khudawadi}', "");
Expect(0, 70394, '\p{Script:   khudawadi}', "");
Expect(1, 70394, '\p{^Script:   khudawadi}', "");
Expect(1, 70394, '\P{Script:   khudawadi}', "");
Expect(0, 70394, '\P{^Script:   khudawadi}', "");
Expect(1, 70393, '\p{Script=-	Khudawadi}', "");
Expect(0, 70393, '\p{^Script=-	Khudawadi}', "");
Expect(0, 70393, '\P{Script=-	Khudawadi}', "");
Expect(1, 70393, '\P{^Script=-	Khudawadi}', "");
Expect(0, 70394, '\p{Script=-	Khudawadi}', "");
Expect(1, 70394, '\p{^Script=-	Khudawadi}', "");
Expect(1, 70394, '\P{Script=-	Khudawadi}', "");
Expect(0, 70394, '\P{^Script=-	Khudawadi}', "");
Error('\p{Sc=:=  SIND}');
Error('\P{Sc=:=  SIND}');
Expect(1, 70393, '\p{Sc=sind}', "");
Expect(0, 70393, '\p{^Sc=sind}', "");
Expect(0, 70393, '\P{Sc=sind}', "");
Expect(1, 70393, '\P{^Sc=sind}', "");
Expect(0, 70394, '\p{Sc=sind}', "");
Expect(1, 70394, '\p{^Sc=sind}', "");
Expect(1, 70394, '\P{Sc=sind}', "");
Expect(0, 70394, '\P{^Sc=sind}', "");
Expect(1, 70393, '\p{Sc=-Sind}', "");
Expect(0, 70393, '\p{^Sc=-Sind}', "");
Expect(0, 70393, '\P{Sc=-Sind}', "");
Expect(1, 70393, '\P{^Sc=-Sind}', "");
Expect(0, 70394, '\p{Sc=-Sind}', "");
Expect(1, 70394, '\p{^Sc=-Sind}', "");
Expect(1, 70394, '\P{Sc=-Sind}', "");
Expect(0, 70394, '\P{^Sc=-Sind}', "");
Error('\p{Is_Script=:=Khudawadi}');
Error('\P{Is_Script=:=Khudawadi}');
Expect(1, 70393, '\p{Is_Script=khudawadi}', "");
Expect(0, 70393, '\p{^Is_Script=khudawadi}', "");
Expect(0, 70393, '\P{Is_Script=khudawadi}', "");
Expect(1, 70393, '\P{^Is_Script=khudawadi}', "");
Expect(0, 70394, '\p{Is_Script=khudawadi}', "");
Expect(1, 70394, '\p{^Is_Script=khudawadi}', "");
Expect(1, 70394, '\P{Is_Script=khudawadi}', "");
Expect(0, 70394, '\P{^Is_Script=khudawadi}', "");
Expect(1, 70393, '\p{Is_Script=	 khudawadi}', "");
Expect(0, 70393, '\p{^Is_Script=	 khudawadi}', "");
Expect(0, 70393, '\P{Is_Script=	 khudawadi}', "");
Expect(1, 70393, '\P{^Is_Script=	 khudawadi}', "");
Expect(0, 70394, '\p{Is_Script=	 khudawadi}', "");
Expect(1, 70394, '\p{^Is_Script=	 khudawadi}', "");
Expect(1, 70394, '\P{Is_Script=	 khudawadi}', "");
Expect(0, 70394, '\P{^Is_Script=	 khudawadi}', "");
Error('\p{Is_Sc=:=	Sind}');
Error('\P{Is_Sc=:=	Sind}');
Expect(1, 70393, '\p{Is_Sc:   sind}', "");
Expect(0, 70393, '\p{^Is_Sc:   sind}', "");
Expect(0, 70393, '\P{Is_Sc:   sind}', "");
Expect(1, 70393, '\P{^Is_Sc:   sind}', "");
Expect(0, 70394, '\p{Is_Sc:   sind}', "");
Expect(1, 70394, '\p{^Is_Sc:   sind}', "");
Expect(1, 70394, '\P{Is_Sc:   sind}', "");
Expect(0, 70394, '\P{^Is_Sc:   sind}', "");
Expect(1, 70393, '\p{Is_Sc= Sind}', "");
Expect(0, 70393, '\p{^Is_Sc= Sind}', "");
Expect(0, 70393, '\P{Is_Sc= Sind}', "");
Expect(1, 70393, '\P{^Is_Sc= Sind}', "");
Expect(0, 70394, '\p{Is_Sc= Sind}', "");
Expect(1, 70394, '\p{^Is_Sc= Sind}', "");
Expect(1, 70394, '\P{Is_Sc= Sind}', "");
Expect(0, 70394, '\P{^Is_Sc= Sind}', "");
Error('\p{Script:_/a/Sinhala}');
Error('\P{Script:_/a/Sinhala}');
Expect(1, 70132, '\p{Script=sinhala}', "");
Expect(0, 70132, '\p{^Script=sinhala}', "");
Expect(0, 70132, '\P{Script=sinhala}', "");
Expect(1, 70132, '\P{^Script=sinhala}', "");
Expect(0, 70133, '\p{Script=sinhala}', "");
Expect(1, 70133, '\p{^Script=sinhala}', "");
Expect(1, 70133, '\P{Script=sinhala}', "");
Expect(0, 70133, '\P{^Script=sinhala}', "");
Expect(1, 70132, '\p{Script=Sinhala}', "");
Expect(0, 70132, '\p{^Script=Sinhala}', "");
Expect(0, 70132, '\P{Script=Sinhala}', "");
Expect(1, 70132, '\P{^Script=Sinhala}', "");
Expect(0, 70133, '\p{Script=Sinhala}', "");
Expect(1, 70133, '\p{^Script=Sinhala}', "");
Expect(1, 70133, '\P{Script=Sinhala}', "");
Expect(0, 70133, '\P{^Script=Sinhala}', "");
Error('\p{Sc=:=__SINH}');
Error('\P{Sc=:=__SINH}');
Expect(1, 70132, '\p{Sc=sinh}', "");
Expect(0, 70132, '\p{^Sc=sinh}', "");
Expect(0, 70132, '\P{Sc=sinh}', "");
Expect(1, 70132, '\P{^Sc=sinh}', "");
Expect(0, 70133, '\p{Sc=sinh}', "");
Expect(1, 70133, '\p{^Sc=sinh}', "");
Expect(1, 70133, '\P{Sc=sinh}', "");
Expect(0, 70133, '\P{^Sc=sinh}', "");
Expect(1, 70132, '\p{Sc=_ Sinh}', "");
Expect(0, 70132, '\p{^Sc=_ Sinh}', "");
Expect(0, 70132, '\P{Sc=_ Sinh}', "");
Expect(1, 70132, '\P{^Sc=_ Sinh}', "");
Expect(0, 70133, '\p{Sc=_ Sinh}', "");
Expect(1, 70133, '\p{^Sc=_ Sinh}', "");
Expect(1, 70133, '\P{Sc=_ Sinh}', "");
Expect(0, 70133, '\P{^Sc=_ Sinh}', "");
Error('\p{Is_Script=	:=Sinhala}');
Error('\P{Is_Script=	:=Sinhala}');
Expect(1, 70132, '\p{Is_Script:sinhala}', "");
Expect(0, 70132, '\p{^Is_Script:sinhala}', "");
Expect(0, 70132, '\P{Is_Script:sinhala}', "");
Expect(1, 70132, '\P{^Is_Script:sinhala}', "");
Expect(0, 70133, '\p{Is_Script:sinhala}', "");
Expect(1, 70133, '\p{^Is_Script:sinhala}', "");
Expect(1, 70133, '\P{Is_Script:sinhala}', "");
Expect(0, 70133, '\P{^Is_Script:sinhala}', "");
Expect(1, 70132, '\p{Is_Script=-sinhala}', "");
Expect(0, 70132, '\p{^Is_Script=-sinhala}', "");
Expect(0, 70132, '\P{Is_Script=-sinhala}', "");
Expect(1, 70132, '\P{^Is_Script=-sinhala}', "");
Expect(0, 70133, '\p{Is_Script=-sinhala}', "");
Expect(1, 70133, '\p{^Is_Script=-sinhala}', "");
Expect(1, 70133, '\P{Is_Script=-sinhala}', "");
Expect(0, 70133, '\P{^Is_Script=-sinhala}', "");
Error('\p{Is_Sc:   :=-_SINH}');
Error('\P{Is_Sc:   :=-_SINH}');
Expect(1, 70132, '\p{Is_Sc: sinh}', "");
Expect(0, 70132, '\p{^Is_Sc: sinh}', "");
Expect(0, 70132, '\P{Is_Sc: sinh}', "");
Expect(1, 70132, '\P{^Is_Sc: sinh}', "");
Expect(0, 70133, '\p{Is_Sc: sinh}', "");
Expect(1, 70133, '\p{^Is_Sc: sinh}', "");
Expect(1, 70133, '\P{Is_Sc: sinh}', "");
Expect(0, 70133, '\P{^Is_Sc: sinh}', "");
Expect(1, 70132, '\p{Is_Sc=	-SINH}', "");
Expect(0, 70132, '\p{^Is_Sc=	-SINH}', "");
Expect(0, 70132, '\P{Is_Sc=	-SINH}', "");
Expect(1, 70132, '\P{^Is_Sc=	-SINH}', "");
Expect(0, 70133, '\p{Is_Sc=	-SINH}', "");
Expect(1, 70133, '\p{^Is_Sc=	-SINH}', "");
Expect(1, 70133, '\P{Is_Sc=	-SINH}', "");
Expect(0, 70133, '\P{^Is_Sc=	-SINH}', "");
Error('\p{Script=/a/ -sora_Sompeng}');
Error('\P{Script=/a/ -sora_Sompeng}');
Expect(1, 69881, '\p{Script:sorasompeng}', "");
Expect(0, 69881, '\p{^Script:sorasompeng}', "");
Expect(0, 69881, '\P{Script:sorasompeng}', "");
Expect(1, 69881, '\P{^Script:sorasompeng}', "");
Expect(0, 69882, '\p{Script:sorasompeng}', "");
Expect(1, 69882, '\p{^Script:sorasompeng}', "");
Expect(1, 69882, '\P{Script:sorasompeng}', "");
Expect(0, 69882, '\P{^Script:sorasompeng}', "");
Expect(1, 69881, '\p{Script=-sora_Sompeng}', "");
Expect(0, 69881, '\p{^Script=-sora_Sompeng}', "");
Expect(0, 69881, '\P{Script=-sora_Sompeng}', "");
Expect(1, 69881, '\P{^Script=-sora_Sompeng}', "");
Expect(0, 69882, '\p{Script=-sora_Sompeng}', "");
Expect(1, 69882, '\p{^Script=-sora_Sompeng}', "");
Expect(1, 69882, '\P{Script=-sora_Sompeng}', "");
Expect(0, 69882, '\P{^Script=-sora_Sompeng}', "");
Error('\p{Sc=_:=sora}');
Error('\P{Sc=_:=sora}');
Expect(1, 69881, '\p{Sc:   sora}', "");
Expect(0, 69881, '\p{^Sc:   sora}', "");
Expect(0, 69881, '\P{Sc:   sora}', "");
Expect(1, 69881, '\P{^Sc:   sora}', "");
Expect(0, 69882, '\p{Sc:   sora}', "");
Expect(1, 69882, '\p{^Sc:   sora}', "");
Expect(1, 69882, '\P{Sc:   sora}', "");
Expect(0, 69882, '\P{^Sc:   sora}', "");
Expect(1, 69881, '\p{Sc= Sora}', "");
Expect(0, 69881, '\p{^Sc= Sora}', "");
Expect(0, 69881, '\P{Sc= Sora}', "");
Expect(1, 69881, '\P{^Sc= Sora}', "");
Expect(0, 69882, '\p{Sc= Sora}', "");
Expect(1, 69882, '\p{^Sc= Sora}', "");
Expect(1, 69882, '\P{Sc= Sora}', "");
Expect(0, 69882, '\P{^Sc= Sora}', "");
Error('\p{Is_Script:   	Sora_sompeng/a/}');
Error('\P{Is_Script:   	Sora_sompeng/a/}');
Expect(1, 69881, '\p{Is_Script=sorasompeng}', "");
Expect(0, 69881, '\p{^Is_Script=sorasompeng}', "");
Expect(0, 69881, '\P{Is_Script=sorasompeng}', "");
Expect(1, 69881, '\P{^Is_Script=sorasompeng}', "");
Expect(0, 69882, '\p{Is_Script=sorasompeng}', "");
Expect(1, 69882, '\p{^Is_Script=sorasompeng}', "");
Expect(1, 69882, '\P{Is_Script=sorasompeng}', "");
Expect(0, 69882, '\P{^Is_Script=sorasompeng}', "");
Expect(1, 69881, '\p{Is_Script=-	sora_sompeng}', "");
Expect(0, 69881, '\p{^Is_Script=-	sora_sompeng}', "");
Expect(0, 69881, '\P{Is_Script=-	sora_sompeng}', "");
Expect(1, 69881, '\P{^Is_Script=-	sora_sompeng}', "");
Expect(0, 69882, '\p{Is_Script=-	sora_sompeng}', "");
Expect(1, 69882, '\p{^Is_Script=-	sora_sompeng}', "");
Expect(1, 69882, '\P{Is_Script=-	sora_sompeng}', "");
Expect(0, 69882, '\P{^Is_Script=-	sora_sompeng}', "");
Error('\p{Is_Sc=_Sora/a/}');
Error('\P{Is_Sc=_Sora/a/}');
Expect(1, 69881, '\p{Is_Sc:	sora}', "");
Expect(0, 69881, '\p{^Is_Sc:	sora}', "");
Expect(0, 69881, '\P{Is_Sc:	sora}', "");
Expect(1, 69881, '\P{^Is_Sc:	sora}', "");
Expect(0, 69882, '\p{Is_Sc:	sora}', "");
Expect(1, 69882, '\p{^Is_Sc:	sora}', "");
Expect(1, 69882, '\P{Is_Sc:	sora}', "");
Expect(0, 69882, '\P{^Is_Sc:	sora}', "");
Expect(1, 69881, '\p{Is_Sc=	_Sora}', "");
Expect(0, 69881, '\p{^Is_Sc=	_Sora}', "");
Expect(0, 69881, '\P{Is_Sc=	_Sora}', "");
Expect(1, 69881, '\P{^Is_Sc=	_Sora}', "");
Expect(0, 69882, '\p{Is_Sc=	_Sora}', "");
Expect(1, 69882, '\p{^Is_Sc=	_Sora}', "");
Expect(1, 69882, '\P{Is_Sc=	_Sora}', "");
Expect(0, 69882, '\P{^Is_Sc=	_Sora}', "");
Error('\p{Script: /a/- Sundanese}');
Error('\P{Script: /a/- Sundanese}');
Expect(1, 7367, '\p{Script:	sundanese}', "");
Expect(0, 7367, '\p{^Script:	sundanese}', "");
Expect(0, 7367, '\P{Script:	sundanese}', "");
Expect(1, 7367, '\P{^Script:	sundanese}', "");
Expect(0, 7368, '\p{Script:	sundanese}', "");
Expect(1, 7368, '\p{^Script:	sundanese}', "");
Expect(1, 7368, '\P{Script:	sundanese}', "");
Expect(0, 7368, '\P{^Script:	sundanese}', "");
Expect(1, 7367, '\p{Script=-_sundanese}', "");
Expect(0, 7367, '\p{^Script=-_sundanese}', "");
Expect(0, 7367, '\P{Script=-_sundanese}', "");
Expect(1, 7367, '\P{^Script=-_sundanese}', "");
Expect(0, 7368, '\p{Script=-_sundanese}', "");
Expect(1, 7368, '\p{^Script=-_sundanese}', "");
Expect(1, 7368, '\P{Script=-_sundanese}', "");
Expect(0, 7368, '\P{^Script=-_sundanese}', "");
Error('\p{Sc= /a/SUND}');
Error('\P{Sc= /a/SUND}');
Expect(1, 7367, '\p{Sc=sund}', "");
Expect(0, 7367, '\p{^Sc=sund}', "");
Expect(0, 7367, '\P{Sc=sund}', "");
Expect(1, 7367, '\P{^Sc=sund}', "");
Expect(0, 7368, '\p{Sc=sund}', "");
Expect(1, 7368, '\p{^Sc=sund}', "");
Expect(1, 7368, '\P{Sc=sund}', "");
Expect(0, 7368, '\P{^Sc=sund}', "");
Expect(1, 7367, '\p{Sc:   		SUND}', "");
Expect(0, 7367, '\p{^Sc:   		SUND}', "");
Expect(0, 7367, '\P{Sc:   		SUND}', "");
Expect(1, 7367, '\P{^Sc:   		SUND}', "");
Expect(0, 7368, '\p{Sc:   		SUND}', "");
Expect(1, 7368, '\p{^Sc:   		SUND}', "");
Expect(1, 7368, '\P{Sc:   		SUND}', "");
Expect(0, 7368, '\P{^Sc:   		SUND}', "");
Error('\p{Is_Script:	:=Sundanese}');
Error('\P{Is_Script:	:=Sundanese}');
Expect(1, 7367, '\p{Is_Script=sundanese}', "");
Expect(0, 7367, '\p{^Is_Script=sundanese}', "");
Expect(0, 7367, '\P{Is_Script=sundanese}', "");
Expect(1, 7367, '\P{^Is_Script=sundanese}', "");
Expect(0, 7368, '\p{Is_Script=sundanese}', "");
Expect(1, 7368, '\p{^Is_Script=sundanese}', "");
Expect(1, 7368, '\P{Is_Script=sundanese}', "");
Expect(0, 7368, '\P{^Is_Script=sundanese}', "");
Expect(1, 7367, '\p{Is_Script= 	SUNDANESE}', "");
Expect(0, 7367, '\p{^Is_Script= 	SUNDANESE}', "");
Expect(0, 7367, '\P{Is_Script= 	SUNDANESE}', "");
Expect(1, 7367, '\P{^Is_Script= 	SUNDANESE}', "");
Expect(0, 7368, '\p{Is_Script= 	SUNDANESE}', "");
Expect(1, 7368, '\p{^Is_Script= 	SUNDANESE}', "");
Expect(1, 7368, '\P{Is_Script= 	SUNDANESE}', "");
Expect(0, 7368, '\P{^Is_Script= 	SUNDANESE}', "");
Error('\p{Is_Sc=/a/_	Sund}');
Error('\P{Is_Sc=/a/_	Sund}');
Expect(1, 7367, '\p{Is_Sc=sund}', "");
Expect(0, 7367, '\p{^Is_Sc=sund}', "");
Expect(0, 7367, '\P{Is_Sc=sund}', "");
Expect(1, 7367, '\P{^Is_Sc=sund}', "");
Expect(0, 7368, '\p{Is_Sc=sund}', "");
Expect(1, 7368, '\p{^Is_Sc=sund}', "");
Expect(1, 7368, '\P{Is_Sc=sund}', "");
Expect(0, 7368, '\P{^Is_Sc=sund}', "");
Expect(1, 7367, '\p{Is_Sc=	Sund}', "");
Expect(0, 7367, '\p{^Is_Sc=	Sund}', "");
Expect(0, 7367, '\P{Is_Sc=	Sund}', "");
Expect(1, 7367, '\P{^Is_Sc=	Sund}', "");
Expect(0, 7368, '\p{Is_Sc=	Sund}', "");
Expect(1, 7368, '\p{^Is_Sc=	Sund}', "");
Expect(1, 7368, '\P{Is_Sc=	Sund}', "");
Expect(0, 7368, '\P{^Is_Sc=	Sund}', "");
Error('\p{Script=:=__syloti_nagri}');
Error('\P{Script=:=__syloti_nagri}');
Expect(1, 43051, '\p{Script=sylotinagri}', "");
Expect(0, 43051, '\p{^Script=sylotinagri}', "");
Expect(0, 43051, '\P{Script=sylotinagri}', "");
Expect(1, 43051, '\P{^Script=sylotinagri}', "");
Expect(0, 43052, '\p{Script=sylotinagri}', "");
Expect(1, 43052, '\p{^Script=sylotinagri}', "");
Expect(1, 43052, '\P{Script=sylotinagri}', "");
Expect(0, 43052, '\P{^Script=sylotinagri}', "");
Expect(1, 43051, '\p{Script=	Syloti_nagri}', "");
Expect(0, 43051, '\p{^Script=	Syloti_nagri}', "");
Expect(0, 43051, '\P{Script=	Syloti_nagri}', "");
Expect(1, 43051, '\P{^Script=	Syloti_nagri}', "");
Expect(0, 43052, '\p{Script=	Syloti_nagri}', "");
Expect(1, 43052, '\p{^Script=	Syloti_nagri}', "");
Expect(1, 43052, '\P{Script=	Syloti_nagri}', "");
Expect(0, 43052, '\P{^Script=	Syloti_nagri}', "");
Error('\p{Sc=_-Sylo:=}');
Error('\P{Sc=_-Sylo:=}');
Expect(1, 43051, '\p{Sc=sylo}', "");
Expect(0, 43051, '\p{^Sc=sylo}', "");
Expect(0, 43051, '\P{Sc=sylo}', "");
Expect(1, 43051, '\P{^Sc=sylo}', "");
Expect(0, 43052, '\p{Sc=sylo}', "");
Expect(1, 43052, '\p{^Sc=sylo}', "");
Expect(1, 43052, '\P{Sc=sylo}', "");
Expect(0, 43052, '\P{^Sc=sylo}', "");
Expect(1, 43051, '\p{Sc=_	sylo}', "");
Expect(0, 43051, '\p{^Sc=_	sylo}', "");
Expect(0, 43051, '\P{Sc=_	sylo}', "");
Expect(1, 43051, '\P{^Sc=_	sylo}', "");
Expect(0, 43052, '\p{Sc=_	sylo}', "");
Expect(1, 43052, '\p{^Sc=_	sylo}', "");
Expect(1, 43052, '\P{Sc=_	sylo}', "");
Expect(0, 43052, '\P{^Sc=_	sylo}', "");
Error('\p{Is_Script:	 -Syloti_Nagri/a/}');
Error('\P{Is_Script:	 -Syloti_Nagri/a/}');
Expect(1, 43051, '\p{Is_Script=sylotinagri}', "");
Expect(0, 43051, '\p{^Is_Script=sylotinagri}', "");
Expect(0, 43051, '\P{Is_Script=sylotinagri}', "");
Expect(1, 43051, '\P{^Is_Script=sylotinagri}', "");
Expect(0, 43052, '\p{Is_Script=sylotinagri}', "");
Expect(1, 43052, '\p{^Is_Script=sylotinagri}', "");
Expect(1, 43052, '\P{Is_Script=sylotinagri}', "");
Expect(0, 43052, '\P{^Is_Script=sylotinagri}', "");
Expect(1, 43051, '\p{Is_Script:		syloti_Nagri}', "");
Expect(0, 43051, '\p{^Is_Script:		syloti_Nagri}', "");
Expect(0, 43051, '\P{Is_Script:		syloti_Nagri}', "");
Expect(1, 43051, '\P{^Is_Script:		syloti_Nagri}', "");
Expect(0, 43052, '\p{Is_Script:		syloti_Nagri}', "");
Expect(1, 43052, '\p{^Is_Script:		syloti_Nagri}', "");
Expect(1, 43052, '\P{Is_Script:		syloti_Nagri}', "");
Expect(0, 43052, '\P{^Is_Script:		syloti_Nagri}', "");
Error('\p{Is_Sc=	/a/sylo}');
Error('\P{Is_Sc=	/a/sylo}');
Expect(1, 43051, '\p{Is_Sc:sylo}', "");
Expect(0, 43051, '\p{^Is_Sc:sylo}', "");
Expect(0, 43051, '\P{Is_Sc:sylo}', "");
Expect(1, 43051, '\P{^Is_Sc:sylo}', "");
Expect(0, 43052, '\p{Is_Sc:sylo}', "");
Expect(1, 43052, '\p{^Is_Sc:sylo}', "");
Expect(1, 43052, '\P{Is_Sc:sylo}', "");
Expect(0, 43052, '\P{^Is_Sc:sylo}', "");
Expect(1, 43051, '\p{Is_Sc=_ Sylo}', "");
Expect(0, 43051, '\p{^Is_Sc=_ Sylo}', "");
Expect(0, 43051, '\P{Is_Sc=_ Sylo}', "");
Expect(1, 43051, '\P{^Is_Sc=_ Sylo}', "");
Expect(0, 43052, '\p{Is_Sc=_ Sylo}', "");
Expect(1, 43052, '\p{^Is_Sc=_ Sylo}', "");
Expect(1, 43052, '\P{Is_Sc=_ Sylo}', "");
Expect(0, 43052, '\P{^Is_Sc=_ Sylo}', "");
Error('\p{Script= SYRIAC:=}');
Error('\P{Script= SYRIAC:=}');
Expect(1, 1871, '\p{Script=syriac}', "");
Expect(0, 1871, '\p{^Script=syriac}', "");
Expect(0, 1871, '\P{Script=syriac}', "");
Expect(1, 1871, '\P{^Script=syriac}', "");
Expect(0, 1872, '\p{Script=syriac}', "");
Expect(1, 1872, '\p{^Script=syriac}', "");
Expect(1, 1872, '\P{Script=syriac}', "");
Expect(0, 1872, '\P{^Script=syriac}', "");
Expect(1, 1871, '\p{Script=	SYRIAC}', "");
Expect(0, 1871, '\p{^Script=	SYRIAC}', "");
Expect(0, 1871, '\P{Script=	SYRIAC}', "");
Expect(1, 1871, '\P{^Script=	SYRIAC}', "");
Expect(0, 1872, '\p{Script=	SYRIAC}', "");
Expect(1, 1872, '\p{^Script=	SYRIAC}', "");
Expect(1, 1872, '\P{Script=	SYRIAC}', "");
Expect(0, 1872, '\P{^Script=	SYRIAC}', "");
Error('\p{Sc=:=	-syrc}');
Error('\P{Sc=:=	-syrc}');
Expect(1, 1871, '\p{Sc=syrc}', "");
Expect(0, 1871, '\p{^Sc=syrc}', "");
Expect(0, 1871, '\P{Sc=syrc}', "");
Expect(1, 1871, '\P{^Sc=syrc}', "");
Expect(0, 1872, '\p{Sc=syrc}', "");
Expect(1, 1872, '\p{^Sc=syrc}', "");
Expect(1, 1872, '\P{Sc=syrc}', "");
Expect(0, 1872, '\P{^Sc=syrc}', "");
Expect(1, 1871, '\p{Sc=_-Syrc}', "");
Expect(0, 1871, '\p{^Sc=_-Syrc}', "");
Expect(0, 1871, '\P{Sc=_-Syrc}', "");
Expect(1, 1871, '\P{^Sc=_-Syrc}', "");
Expect(0, 1872, '\p{Sc=_-Syrc}', "");
Expect(1, 1872, '\p{^Sc=_-Syrc}', "");
Expect(1, 1872, '\P{Sc=_-Syrc}', "");
Expect(0, 1872, '\P{^Sc=_-Syrc}', "");
Error('\p{Is_Script=	Syriac/a/}');
Error('\P{Is_Script=	Syriac/a/}');
Expect(1, 1871, '\p{Is_Script=syriac}', "");
Expect(0, 1871, '\p{^Is_Script=syriac}', "");
Expect(0, 1871, '\P{Is_Script=syriac}', "");
Expect(1, 1871, '\P{^Is_Script=syriac}', "");
Expect(0, 1872, '\p{Is_Script=syriac}', "");
Expect(1, 1872, '\p{^Is_Script=syriac}', "");
Expect(1, 1872, '\P{Is_Script=syriac}', "");
Expect(0, 1872, '\P{^Is_Script=syriac}', "");
Expect(1, 1871, '\p{Is_Script= Syriac}', "");
Expect(0, 1871, '\p{^Is_Script= Syriac}', "");
Expect(0, 1871, '\P{Is_Script= Syriac}', "");
Expect(1, 1871, '\P{^Is_Script= Syriac}', "");
Expect(0, 1872, '\p{Is_Script= Syriac}', "");
Expect(1, 1872, '\p{^Is_Script= Syriac}', "");
Expect(1, 1872, '\P{Is_Script= Syriac}', "");
Expect(0, 1872, '\P{^Is_Script= Syriac}', "");
Error('\p{Is_Sc:		-syrc/a/}');
Error('\P{Is_Sc:		-syrc/a/}');
Expect(1, 1871, '\p{Is_Sc=syrc}', "");
Expect(0, 1871, '\p{^Is_Sc=syrc}', "");
Expect(0, 1871, '\P{Is_Sc=syrc}', "");
Expect(1, 1871, '\P{^Is_Sc=syrc}', "");
Expect(0, 1872, '\p{Is_Sc=syrc}', "");
Expect(1, 1872, '\p{^Is_Sc=syrc}', "");
Expect(1, 1872, '\P{Is_Sc=syrc}', "");
Expect(0, 1872, '\P{^Is_Sc=syrc}', "");
Expect(1, 1871, '\p{Is_Sc=_	SYRC}', "");
Expect(0, 1871, '\p{^Is_Sc=_	SYRC}', "");
Expect(0, 1871, '\P{Is_Sc=_	SYRC}', "");
Expect(1, 1871, '\P{^Is_Sc=_	SYRC}', "");
Expect(0, 1872, '\p{Is_Sc=_	SYRC}', "");
Expect(1, 1872, '\p{^Is_Sc=_	SYRC}', "");
Expect(1, 1872, '\P{Is_Sc=_	SYRC}', "");
Expect(0, 1872, '\P{^Is_Sc=_	SYRC}', "");
Error('\p{Script= :=Tagbanwa}');
Error('\P{Script= :=Tagbanwa}');
Expect(1, 6003, '\p{Script=tagbanwa}', "");
Expect(0, 6003, '\p{^Script=tagbanwa}', "");
Expect(0, 6003, '\P{Script=tagbanwa}', "");
Expect(1, 6003, '\P{^Script=tagbanwa}', "");
Expect(0, 6004, '\p{Script=tagbanwa}', "");
Expect(1, 6004, '\p{^Script=tagbanwa}', "");
Expect(1, 6004, '\P{Script=tagbanwa}', "");
Expect(0, 6004, '\P{^Script=tagbanwa}', "");
Expect(1, 6003, '\p{Script= tagbanwa}', "");
Expect(0, 6003, '\p{^Script= tagbanwa}', "");
Expect(0, 6003, '\P{Script= tagbanwa}', "");
Expect(1, 6003, '\P{^Script= tagbanwa}', "");
Expect(0, 6004, '\p{Script= tagbanwa}', "");
Expect(1, 6004, '\p{^Script= tagbanwa}', "");
Expect(1, 6004, '\P{Script= tagbanwa}', "");
Expect(0, 6004, '\P{^Script= tagbanwa}', "");
Error('\p{Sc= /a/TAGB}');
Error('\P{Sc= /a/TAGB}');
Expect(1, 6003, '\p{Sc=tagb}', "");
Expect(0, 6003, '\p{^Sc=tagb}', "");
Expect(0, 6003, '\P{Sc=tagb}', "");
Expect(1, 6003, '\P{^Sc=tagb}', "");
Expect(0, 6004, '\p{Sc=tagb}', "");
Expect(1, 6004, '\p{^Sc=tagb}', "");
Expect(1, 6004, '\P{Sc=tagb}', "");
Expect(0, 6004, '\P{^Sc=tagb}', "");
Expect(1, 6003, '\p{Sc=-Tagb}', "");
Expect(0, 6003, '\p{^Sc=-Tagb}', "");
Expect(0, 6003, '\P{Sc=-Tagb}', "");
Expect(1, 6003, '\P{^Sc=-Tagb}', "");
Expect(0, 6004, '\p{Sc=-Tagb}', "");
Expect(1, 6004, '\p{^Sc=-Tagb}', "");
Expect(1, 6004, '\P{Sc=-Tagb}', "");
Expect(0, 6004, '\P{^Sc=-Tagb}', "");
Error('\p{Is_Script=/a/	tagbanwa}');
Error('\P{Is_Script=/a/	tagbanwa}');
Expect(1, 6003, '\p{Is_Script=tagbanwa}', "");
Expect(0, 6003, '\p{^Is_Script=tagbanwa}', "");
Expect(0, 6003, '\P{Is_Script=tagbanwa}', "");
Expect(1, 6003, '\P{^Is_Script=tagbanwa}', "");
Expect(0, 6004, '\p{Is_Script=tagbanwa}', "");
Expect(1, 6004, '\p{^Is_Script=tagbanwa}', "");
Expect(1, 6004, '\P{Is_Script=tagbanwa}', "");
Expect(0, 6004, '\P{^Is_Script=tagbanwa}', "");
Expect(1, 6003, '\p{Is_Script= _tagbanwa}', "");
Expect(0, 6003, '\p{^Is_Script= _tagbanwa}', "");
Expect(0, 6003, '\P{Is_Script= _tagbanwa}', "");
Expect(1, 6003, '\P{^Is_Script= _tagbanwa}', "");
Expect(0, 6004, '\p{Is_Script= _tagbanwa}', "");
Expect(1, 6004, '\p{^Is_Script= _tagbanwa}', "");
Expect(1, 6004, '\P{Is_Script= _tagbanwa}', "");
Expect(0, 6004, '\P{^Is_Script= _tagbanwa}', "");
Error('\p{Is_Sc=-:=Tagb}');
Error('\P{Is_Sc=-:=Tagb}');
Expect(1, 6003, '\p{Is_Sc: tagb}', "");
Expect(0, 6003, '\p{^Is_Sc: tagb}', "");
Expect(0, 6003, '\P{Is_Sc: tagb}', "");
Expect(1, 6003, '\P{^Is_Sc: tagb}', "");
Expect(0, 6004, '\p{Is_Sc: tagb}', "");
Expect(1, 6004, '\p{^Is_Sc: tagb}', "");
Expect(1, 6004, '\P{Is_Sc: tagb}', "");
Expect(0, 6004, '\P{^Is_Sc: tagb}', "");
Expect(1, 6003, '\p{Is_Sc=_TAGB}', "");
Expect(0, 6003, '\p{^Is_Sc=_TAGB}', "");
Expect(0, 6003, '\P{Is_Sc=_TAGB}', "");
Expect(1, 6003, '\P{^Is_Sc=_TAGB}', "");
Expect(0, 6004, '\p{Is_Sc=_TAGB}', "");
Expect(1, 6004, '\p{^Is_Sc=_TAGB}', "");
Expect(1, 6004, '\P{Is_Sc=_TAGB}', "");
Expect(0, 6004, '\P{^Is_Sc=_TAGB}', "");
Error('\p{Script=	:=TAKRI}');
Error('\P{Script=	:=TAKRI}');
Expect(1, 71369, '\p{Script=takri}', "");
Expect(0, 71369, '\p{^Script=takri}', "");
Expect(0, 71369, '\P{Script=takri}', "");
Expect(1, 71369, '\P{^Script=takri}', "");
Expect(0, 71370, '\p{Script=takri}', "");
Expect(1, 71370, '\p{^Script=takri}', "");
Expect(1, 71370, '\P{Script=takri}', "");
Expect(0, 71370, '\P{^Script=takri}', "");
Expect(1, 71369, '\p{Script=_-TAKRI}', "");
Expect(0, 71369, '\p{^Script=_-TAKRI}', "");
Expect(0, 71369, '\P{Script=_-TAKRI}', "");
Expect(1, 71369, '\P{^Script=_-TAKRI}', "");
Expect(0, 71370, '\p{Script=_-TAKRI}', "");
Expect(1, 71370, '\p{^Script=_-TAKRI}', "");
Expect(1, 71370, '\P{Script=_-TAKRI}', "");
Expect(0, 71370, '\P{^Script=_-TAKRI}', "");
Error('\p{Sc=	_Takr/a/}');
Error('\P{Sc=	_Takr/a/}');
Expect(1, 71369, '\p{Sc=takr}', "");
Expect(0, 71369, '\p{^Sc=takr}', "");
Expect(0, 71369, '\P{Sc=takr}', "");
Expect(1, 71369, '\P{^Sc=takr}', "");
Expect(0, 71370, '\p{Sc=takr}', "");
Expect(1, 71370, '\p{^Sc=takr}', "");
Expect(1, 71370, '\P{Sc=takr}', "");
Expect(0, 71370, '\P{^Sc=takr}', "");
Expect(1, 71369, '\p{Sc=  TAKR}', "");
Expect(0, 71369, '\p{^Sc=  TAKR}', "");
Expect(0, 71369, '\P{Sc=  TAKR}', "");
Expect(1, 71369, '\P{^Sc=  TAKR}', "");
Expect(0, 71370, '\p{Sc=  TAKR}', "");
Expect(1, 71370, '\p{^Sc=  TAKR}', "");
Expect(1, 71370, '\P{Sc=  TAKR}', "");
Expect(0, 71370, '\P{^Sc=  TAKR}', "");
Error('\p{Is_Script=-/a/Takri}');
Error('\P{Is_Script=-/a/Takri}');
Expect(1, 71369, '\p{Is_Script=takri}', "");
Expect(0, 71369, '\p{^Is_Script=takri}', "");
Expect(0, 71369, '\P{Is_Script=takri}', "");
Expect(1, 71369, '\P{^Is_Script=takri}', "");
Expect(0, 71370, '\p{Is_Script=takri}', "");
Expect(1, 71370, '\p{^Is_Script=takri}', "");
Expect(1, 71370, '\P{Is_Script=takri}', "");
Expect(0, 71370, '\P{^Is_Script=takri}', "");
Expect(1, 71369, '\p{Is_Script=_TAKRI}', "");
Expect(0, 71369, '\p{^Is_Script=_TAKRI}', "");
Expect(0, 71369, '\P{Is_Script=_TAKRI}', "");
Expect(1, 71369, '\P{^Is_Script=_TAKRI}', "");
Expect(0, 71370, '\p{Is_Script=_TAKRI}', "");
Expect(1, 71370, '\p{^Is_Script=_TAKRI}', "");
Expect(1, 71370, '\P{Is_Script=_TAKRI}', "");
Expect(0, 71370, '\P{^Is_Script=_TAKRI}', "");
Error('\p{Is_Sc=-_Takr/a/}');
Error('\P{Is_Sc=-_Takr/a/}');
Expect(1, 71369, '\p{Is_Sc=takr}', "");
Expect(0, 71369, '\p{^Is_Sc=takr}', "");
Expect(0, 71369, '\P{Is_Sc=takr}', "");
Expect(1, 71369, '\P{^Is_Sc=takr}', "");
Expect(0, 71370, '\p{Is_Sc=takr}', "");
Expect(1, 71370, '\p{^Is_Sc=takr}', "");
Expect(1, 71370, '\P{Is_Sc=takr}', "");
Expect(0, 71370, '\P{^Is_Sc=takr}', "");
Expect(1, 71369, '\p{Is_Sc= 	Takr}', "");
Expect(0, 71369, '\p{^Is_Sc= 	Takr}', "");
Expect(0, 71369, '\P{Is_Sc= 	Takr}', "");
Expect(1, 71369, '\P{^Is_Sc= 	Takr}', "");
Expect(0, 71370, '\p{Is_Sc= 	Takr}', "");
Expect(1, 71370, '\p{^Is_Sc= 	Takr}', "");
Expect(1, 71370, '\P{Is_Sc= 	Takr}', "");
Expect(0, 71370, '\P{^Is_Sc= 	Takr}', "");
Error('\p{Script= -Tai_LE:=}');
Error('\P{Script= -Tai_LE:=}');
Expect(1, 6516, '\p{Script:taile}', "");
Expect(0, 6516, '\p{^Script:taile}', "");
Expect(0, 6516, '\P{Script:taile}', "");
Expect(1, 6516, '\P{^Script:taile}', "");
Expect(0, 6517, '\p{Script:taile}', "");
Expect(1, 6517, '\p{^Script:taile}', "");
Expect(1, 6517, '\P{Script:taile}', "");
Expect(0, 6517, '\P{^Script:taile}', "");
Expect(1, 6516, '\p{Script= _Tai_LE}', "");
Expect(0, 6516, '\p{^Script= _Tai_LE}', "");
Expect(0, 6516, '\P{Script= _Tai_LE}', "");
Expect(1, 6516, '\P{^Script= _Tai_LE}', "");
Expect(0, 6517, '\p{Script= _Tai_LE}', "");
Expect(1, 6517, '\p{^Script= _Tai_LE}', "");
Expect(1, 6517, '\P{Script= _Tai_LE}', "");
Expect(0, 6517, '\P{^Script= _Tai_LE}', "");
Error('\p{Sc=/a/_-Tale}');
Error('\P{Sc=/a/_-Tale}');
Expect(1, 6516, '\p{Sc=tale}', "");
Expect(0, 6516, '\p{^Sc=tale}', "");
Expect(0, 6516, '\P{Sc=tale}', "");
Expect(1, 6516, '\P{^Sc=tale}', "");
Expect(0, 6517, '\p{Sc=tale}', "");
Expect(1, 6517, '\p{^Sc=tale}', "");
Expect(1, 6517, '\P{Sc=tale}', "");
Expect(0, 6517, '\P{^Sc=tale}', "");
Expect(1, 6516, '\p{Sc: _TALE}', "");
Expect(0, 6516, '\p{^Sc: _TALE}', "");
Expect(0, 6516, '\P{Sc: _TALE}', "");
Expect(1, 6516, '\P{^Sc: _TALE}', "");
Expect(0, 6517, '\p{Sc: _TALE}', "");
Expect(1, 6517, '\p{^Sc: _TALE}', "");
Expect(1, 6517, '\P{Sc: _TALE}', "");
Expect(0, 6517, '\P{^Sc: _TALE}', "");
Error('\p{Is_Script=-:=Tai_Le}');
Error('\P{Is_Script=-:=Tai_Le}');
Expect(1, 6516, '\p{Is_Script=taile}', "");
Expect(0, 6516, '\p{^Is_Script=taile}', "");
Expect(0, 6516, '\P{Is_Script=taile}', "");
Expect(1, 6516, '\P{^Is_Script=taile}', "");
Expect(0, 6517, '\p{Is_Script=taile}', "");
Expect(1, 6517, '\p{^Is_Script=taile}', "");
Expect(1, 6517, '\P{Is_Script=taile}', "");
Expect(0, 6517, '\P{^Is_Script=taile}', "");
Expect(1, 6516, '\p{Is_Script:   -_Tai_Le}', "");
Expect(0, 6516, '\p{^Is_Script:   -_Tai_Le}', "");
Expect(0, 6516, '\P{Is_Script:   -_Tai_Le}', "");
Expect(1, 6516, '\P{^Is_Script:   -_Tai_Le}', "");
Expect(0, 6517, '\p{Is_Script:   -_Tai_Le}', "");
Expect(1, 6517, '\p{^Is_Script:   -_Tai_Le}', "");
Expect(1, 6517, '\P{Is_Script:   -_Tai_Le}', "");
Expect(0, 6517, '\P{^Is_Script:   -_Tai_Le}', "");
Error('\p{Is_Sc=:=	tale}');
Error('\P{Is_Sc=:=	tale}');
Expect(1, 6516, '\p{Is_Sc=tale}', "");
Expect(0, 6516, '\p{^Is_Sc=tale}', "");
Expect(0, 6516, '\P{Is_Sc=tale}', "");
Expect(1, 6516, '\P{^Is_Sc=tale}', "");
Expect(0, 6517, '\p{Is_Sc=tale}', "");
Expect(1, 6517, '\p{^Is_Sc=tale}', "");
Expect(1, 6517, '\P{Is_Sc=tale}', "");
Expect(0, 6517, '\P{^Is_Sc=tale}', "");
Error('\p{Script=_/a/New_tai_LUE}');
Error('\P{Script=_/a/New_tai_LUE}');
Expect(1, 6623, '\p{Script=newtailue}', "");
Expect(0, 6623, '\p{^Script=newtailue}', "");
Expect(0, 6623, '\P{Script=newtailue}', "");
Expect(1, 6623, '\P{^Script=newtailue}', "");
Expect(0, 6624, '\p{Script=newtailue}', "");
Expect(1, 6624, '\p{^Script=newtailue}', "");
Expect(1, 6624, '\P{Script=newtailue}', "");
Expect(0, 6624, '\P{^Script=newtailue}', "");
Expect(1, 6623, '\p{Script=_ New_Tai_LUE}', "");
Expect(0, 6623, '\p{^Script=_ New_Tai_LUE}', "");
Expect(0, 6623, '\P{Script=_ New_Tai_LUE}', "");
Expect(1, 6623, '\P{^Script=_ New_Tai_LUE}', "");
Expect(0, 6624, '\p{Script=_ New_Tai_LUE}', "");
Expect(1, 6624, '\p{^Script=_ New_Tai_LUE}', "");
Expect(1, 6624, '\P{Script=_ New_Tai_LUE}', "");
Expect(0, 6624, '\P{^Script=_ New_Tai_LUE}', "");
Error('\p{Sc=	-talu/a/}');
Error('\P{Sc=	-talu/a/}');
Expect(1, 6623, '\p{Sc=talu}', "");
Expect(0, 6623, '\p{^Sc=talu}', "");
Expect(0, 6623, '\P{Sc=talu}', "");
Expect(1, 6623, '\P{^Sc=talu}', "");
Expect(0, 6624, '\p{Sc=talu}', "");
Expect(1, 6624, '\p{^Sc=talu}', "");
Expect(1, 6624, '\P{Sc=talu}', "");
Expect(0, 6624, '\P{^Sc=talu}', "");
Expect(1, 6623, '\p{Sc=-Talu}', "");
Expect(0, 6623, '\p{^Sc=-Talu}', "");
Expect(0, 6623, '\P{Sc=-Talu}', "");
Expect(1, 6623, '\P{^Sc=-Talu}', "");
Expect(0, 6624, '\p{Sc=-Talu}', "");
Expect(1, 6624, '\p{^Sc=-Talu}', "");
Expect(1, 6624, '\P{Sc=-Talu}', "");
Expect(0, 6624, '\P{^Sc=-Talu}', "");
Error('\p{Is_Script=	NEW_TAI_Lue:=}');
Error('\P{Is_Script=	NEW_TAI_Lue:=}');
Expect(1, 6623, '\p{Is_Script=newtailue}', "");
Expect(0, 6623, '\p{^Is_Script=newtailue}', "");
Expect(0, 6623, '\P{Is_Script=newtailue}', "");
Expect(1, 6623, '\P{^Is_Script=newtailue}', "");
Expect(0, 6624, '\p{Is_Script=newtailue}', "");
Expect(1, 6624, '\p{^Is_Script=newtailue}', "");
Expect(1, 6624, '\P{Is_Script=newtailue}', "");
Expect(0, 6624, '\P{^Is_Script=newtailue}', "");
Expect(1, 6623, '\p{Is_Script=- new_Tai_LUE}', "");
Expect(0, 6623, '\p{^Is_Script=- new_Tai_LUE}', "");
Expect(0, 6623, '\P{Is_Script=- new_Tai_LUE}', "");
Expect(1, 6623, '\P{^Is_Script=- new_Tai_LUE}', "");
Expect(0, 6624, '\p{Is_Script=- new_Tai_LUE}', "");
Expect(1, 6624, '\p{^Is_Script=- new_Tai_LUE}', "");
Expect(1, 6624, '\P{Is_Script=- new_Tai_LUE}', "");
Expect(0, 6624, '\P{^Is_Script=- new_Tai_LUE}', "");
Error('\p{Is_Sc=		TALU:=}');
Error('\P{Is_Sc=		TALU:=}');
Expect(1, 6623, '\p{Is_Sc=talu}', "");
Expect(0, 6623, '\p{^Is_Sc=talu}', "");
Expect(0, 6623, '\P{Is_Sc=talu}', "");
Expect(1, 6623, '\P{^Is_Sc=talu}', "");
Expect(0, 6624, '\p{Is_Sc=talu}', "");
Expect(1, 6624, '\p{^Is_Sc=talu}', "");
Expect(1, 6624, '\P{Is_Sc=talu}', "");
Expect(0, 6624, '\P{^Is_Sc=talu}', "");
Expect(1, 6623, '\p{Is_Sc=_-Talu}', "");
Expect(0, 6623, '\p{^Is_Sc=_-Talu}', "");
Expect(0, 6623, '\P{Is_Sc=_-Talu}', "");
Expect(1, 6623, '\P{^Is_Sc=_-Talu}', "");
Expect(0, 6624, '\p{Is_Sc=_-Talu}', "");
Expect(1, 6624, '\p{^Is_Sc=_-Talu}', "");
Expect(1, 6624, '\P{Is_Sc=_-Talu}', "");
Expect(0, 6624, '\P{^Is_Sc=_-Talu}', "");
Error('\p{Script=-:=Tamil}');
Error('\P{Script=-:=Tamil}');
Expect(1, 3066, '\p{Script=tamil}', "");
Expect(0, 3066, '\p{^Script=tamil}', "");
Expect(0, 3066, '\P{Script=tamil}', "");
Expect(1, 3066, '\P{^Script=tamil}', "");
Expect(0, 3067, '\p{Script=tamil}', "");
Expect(1, 3067, '\p{^Script=tamil}', "");
Expect(1, 3067, '\P{Script=tamil}', "");
Expect(0, 3067, '\P{^Script=tamil}', "");
Expect(1, 3066, '\p{Script=_Tamil}', "");
Expect(0, 3066, '\p{^Script=_Tamil}', "");
Expect(0, 3066, '\P{Script=_Tamil}', "");
Expect(1, 3066, '\P{^Script=_Tamil}', "");
Expect(0, 3067, '\p{Script=_Tamil}', "");
Expect(1, 3067, '\p{^Script=_Tamil}', "");
Expect(1, 3067, '\P{Script=_Tamil}', "");
Expect(0, 3067, '\P{^Script=_Tamil}', "");
Error('\p{Sc=-taml/a/}');
Error('\P{Sc=-taml/a/}');
Expect(1, 3066, '\p{Sc=taml}', "");
Expect(0, 3066, '\p{^Sc=taml}', "");
Expect(0, 3066, '\P{Sc=taml}', "");
Expect(1, 3066, '\P{^Sc=taml}', "");
Expect(0, 3067, '\p{Sc=taml}', "");
Expect(1, 3067, '\p{^Sc=taml}', "");
Expect(1, 3067, '\P{Sc=taml}', "");
Expect(0, 3067, '\P{^Sc=taml}', "");
Expect(1, 3066, '\p{Sc=-taml}', "");
Expect(0, 3066, '\p{^Sc=-taml}', "");
Expect(0, 3066, '\P{Sc=-taml}', "");
Expect(1, 3066, '\P{^Sc=-taml}', "");
Expect(0, 3067, '\p{Sc=-taml}', "");
Expect(1, 3067, '\p{^Sc=-taml}', "");
Expect(1, 3067, '\P{Sc=-taml}', "");
Expect(0, 3067, '\P{^Sc=-taml}', "");
Error('\p{Is_Script=:=-	tamil}');
Error('\P{Is_Script=:=-	tamil}');
Expect(1, 3066, '\p{Is_Script=tamil}', "");
Expect(0, 3066, '\p{^Is_Script=tamil}', "");
Expect(0, 3066, '\P{Is_Script=tamil}', "");
Expect(1, 3066, '\P{^Is_Script=tamil}', "");
Expect(0, 3067, '\p{Is_Script=tamil}', "");
Expect(1, 3067, '\p{^Is_Script=tamil}', "");
Expect(1, 3067, '\P{Is_Script=tamil}', "");
Expect(0, 3067, '\P{^Is_Script=tamil}', "");
Expect(1, 3066, '\p{Is_Script=__Tamil}', "");
Expect(0, 3066, '\p{^Is_Script=__Tamil}', "");
Expect(0, 3066, '\P{Is_Script=__Tamil}', "");
Expect(1, 3066, '\P{^Is_Script=__Tamil}', "");
Expect(0, 3067, '\p{Is_Script=__Tamil}', "");
Expect(1, 3067, '\p{^Is_Script=__Tamil}', "");
Expect(1, 3067, '\P{Is_Script=__Tamil}', "");
Expect(0, 3067, '\P{^Is_Script=__Tamil}', "");
Error('\p{Is_Sc= Taml/a/}');
Error('\P{Is_Sc= Taml/a/}');
Expect(1, 3066, '\p{Is_Sc=taml}', "");
Expect(0, 3066, '\p{^Is_Sc=taml}', "");
Expect(0, 3066, '\P{Is_Sc=taml}', "");
Expect(1, 3066, '\P{^Is_Sc=taml}', "");
Expect(0, 3067, '\p{Is_Sc=taml}', "");
Expect(1, 3067, '\p{^Is_Sc=taml}', "");
Expect(1, 3067, '\P{Is_Sc=taml}', "");
Expect(0, 3067, '\P{^Is_Sc=taml}', "");
Expect(1, 3066, '\p{Is_Sc=	_Taml}', "");
Expect(0, 3066, '\p{^Is_Sc=	_Taml}', "");
Expect(0, 3066, '\P{Is_Sc=	_Taml}', "");
Expect(1, 3066, '\P{^Is_Sc=	_Taml}', "");
Expect(0, 3067, '\p{Is_Sc=	_Taml}', "");
Expect(1, 3067, '\p{^Is_Sc=	_Taml}', "");
Expect(1, 3067, '\P{Is_Sc=	_Taml}', "");
Expect(0, 3067, '\P{^Is_Sc=	_Taml}', "");
Error('\p{Script=/a/	Tai_Viet}');
Error('\P{Script=/a/	Tai_Viet}');
Expect(1, 43743, '\p{Script=taiviet}', "");
Expect(0, 43743, '\p{^Script=taiviet}', "");
Expect(0, 43743, '\P{Script=taiviet}', "");
Expect(1, 43743, '\P{^Script=taiviet}', "");
Expect(0, 43744, '\p{Script=taiviet}', "");
Expect(1, 43744, '\p{^Script=taiviet}', "");
Expect(1, 43744, '\P{Script=taiviet}', "");
Expect(0, 43744, '\P{^Script=taiviet}', "");
Expect(1, 43743, '\p{Script=-_Tai_Viet}', "");
Expect(0, 43743, '\p{^Script=-_Tai_Viet}', "");
Expect(0, 43743, '\P{Script=-_Tai_Viet}', "");
Expect(1, 43743, '\P{^Script=-_Tai_Viet}', "");
Expect(0, 43744, '\p{Script=-_Tai_Viet}', "");
Expect(1, 43744, '\p{^Script=-_Tai_Viet}', "");
Expect(1, 43744, '\P{Script=-_Tai_Viet}', "");
Expect(0, 43744, '\P{^Script=-_Tai_Viet}', "");
Error('\p{Sc=	:=tavt}');
Error('\P{Sc=	:=tavt}');
Expect(1, 43743, '\p{Sc=tavt}', "");
Expect(0, 43743, '\p{^Sc=tavt}', "");
Expect(0, 43743, '\P{Sc=tavt}', "");
Expect(1, 43743, '\P{^Sc=tavt}', "");
Expect(0, 43744, '\p{Sc=tavt}', "");
Expect(1, 43744, '\p{^Sc=tavt}', "");
Expect(1, 43744, '\P{Sc=tavt}', "");
Expect(0, 43744, '\P{^Sc=tavt}', "");
Expect(1, 43743, '\p{Sc=-tavt}', "");
Expect(0, 43743, '\p{^Sc=-tavt}', "");
Expect(0, 43743, '\P{Sc=-tavt}', "");
Expect(1, 43743, '\P{^Sc=-tavt}', "");
Expect(0, 43744, '\p{Sc=-tavt}', "");
Expect(1, 43744, '\p{^Sc=-tavt}', "");
Expect(1, 43744, '\P{Sc=-tavt}', "");
Expect(0, 43744, '\P{^Sc=-tavt}', "");
Error('\p{Is_Script=	:=TAI_Viet}');
Error('\P{Is_Script=	:=TAI_Viet}');
Expect(1, 43743, '\p{Is_Script=taiviet}', "");
Expect(0, 43743, '\p{^Is_Script=taiviet}', "");
Expect(0, 43743, '\P{Is_Script=taiviet}', "");
Expect(1, 43743, '\P{^Is_Script=taiviet}', "");
Expect(0, 43744, '\p{Is_Script=taiviet}', "");
Expect(1, 43744, '\p{^Is_Script=taiviet}', "");
Expect(1, 43744, '\P{Is_Script=taiviet}', "");
Expect(0, 43744, '\P{^Is_Script=taiviet}', "");
Expect(1, 43743, '\p{Is_Script=-Tai_Viet}', "");
Expect(0, 43743, '\p{^Is_Script=-Tai_Viet}', "");
Expect(0, 43743, '\P{Is_Script=-Tai_Viet}', "");
Expect(1, 43743, '\P{^Is_Script=-Tai_Viet}', "");
Expect(0, 43744, '\p{Is_Script=-Tai_Viet}', "");
Expect(1, 43744, '\p{^Is_Script=-Tai_Viet}', "");
Expect(1, 43744, '\P{Is_Script=-Tai_Viet}', "");
Expect(0, 43744, '\P{^Is_Script=-Tai_Viet}', "");
Error('\p{Is_Sc=-:=TAVT}');
Error('\P{Is_Sc=-:=TAVT}');
Expect(1, 43743, '\p{Is_Sc=tavt}', "");
Expect(0, 43743, '\p{^Is_Sc=tavt}', "");
Expect(0, 43743, '\P{Is_Sc=tavt}', "");
Expect(1, 43743, '\P{^Is_Sc=tavt}', "");
Expect(0, 43744, '\p{Is_Sc=tavt}', "");
Expect(1, 43744, '\p{^Is_Sc=tavt}', "");
Expect(1, 43744, '\P{Is_Sc=tavt}', "");
Expect(0, 43744, '\P{^Is_Sc=tavt}', "");
Expect(1, 43743, '\p{Is_Sc= -Tavt}', "");
Expect(0, 43743, '\p{^Is_Sc= -Tavt}', "");
Expect(0, 43743, '\P{Is_Sc= -Tavt}', "");
Expect(1, 43743, '\P{^Is_Sc= -Tavt}', "");
Expect(0, 43744, '\p{Is_Sc= -Tavt}', "");
Expect(1, 43744, '\p{^Is_Sc= -Tavt}', "");
Expect(1, 43744, '\P{Is_Sc= -Tavt}', "");
Expect(0, 43744, '\P{^Is_Sc= -Tavt}', "");
Error('\p{Script=/a/_-Telugu}');
Error('\P{Script=/a/_-Telugu}');
Expect(1, 3199, '\p{Script=telugu}', "");
Expect(0, 3199, '\p{^Script=telugu}', "");
Expect(0, 3199, '\P{Script=telugu}', "");
Expect(1, 3199, '\P{^Script=telugu}', "");
Expect(0, 3200, '\p{Script=telugu}', "");
Expect(1, 3200, '\p{^Script=telugu}', "");
Expect(1, 3200, '\P{Script=telugu}', "");
Expect(0, 3200, '\P{^Script=telugu}', "");
Expect(1, 3199, '\p{Script=	-Telugu}', "");
Expect(0, 3199, '\p{^Script=	-Telugu}', "");
Expect(0, 3199, '\P{Script=	-Telugu}', "");
Expect(1, 3199, '\P{^Script=	-Telugu}', "");
Expect(0, 3200, '\p{Script=	-Telugu}', "");
Expect(1, 3200, '\p{^Script=	-Telugu}', "");
Expect(1, 3200, '\P{Script=	-Telugu}', "");
Expect(0, 3200, '\P{^Script=	-Telugu}', "");
Error('\p{Sc=-/a/telu}');
Error('\P{Sc=-/a/telu}');
Expect(1, 3199, '\p{Sc=telu}', "");
Expect(0, 3199, '\p{^Sc=telu}', "");
Expect(0, 3199, '\P{Sc=telu}', "");
Expect(1, 3199, '\P{^Sc=telu}', "");
Expect(0, 3200, '\p{Sc=telu}', "");
Expect(1, 3200, '\p{^Sc=telu}', "");
Expect(1, 3200, '\P{Sc=telu}', "");
Expect(0, 3200, '\P{^Sc=telu}', "");
Expect(1, 3199, '\p{Sc:	Telu}', "");
Expect(0, 3199, '\p{^Sc:	Telu}', "");
Expect(0, 3199, '\P{Sc:	Telu}', "");
Expect(1, 3199, '\P{^Sc:	Telu}', "");
Expect(0, 3200, '\p{Sc:	Telu}', "");
Expect(1, 3200, '\p{^Sc:	Telu}', "");
Expect(1, 3200, '\P{Sc:	Telu}', "");
Expect(0, 3200, '\P{^Sc:	Telu}', "");
Error('\p{Is_Script=	-TELUGU/a/}');
Error('\P{Is_Script=	-TELUGU/a/}');
Expect(1, 3199, '\p{Is_Script=telugu}', "");
Expect(0, 3199, '\p{^Is_Script=telugu}', "");
Expect(0, 3199, '\P{Is_Script=telugu}', "");
Expect(1, 3199, '\P{^Is_Script=telugu}', "");
Expect(0, 3200, '\p{Is_Script=telugu}', "");
Expect(1, 3200, '\p{^Is_Script=telugu}', "");
Expect(1, 3200, '\P{Is_Script=telugu}', "");
Expect(0, 3200, '\P{^Is_Script=telugu}', "");
Expect(1, 3199, '\p{Is_Script= _telugu}', "");
Expect(0, 3199, '\p{^Is_Script= _telugu}', "");
Expect(0, 3199, '\P{Is_Script= _telugu}', "");
Expect(1, 3199, '\P{^Is_Script= _telugu}', "");
Expect(0, 3200, '\p{Is_Script= _telugu}', "");
Expect(1, 3200, '\p{^Is_Script= _telugu}', "");
Expect(1, 3200, '\P{Is_Script= _telugu}', "");
Expect(0, 3200, '\P{^Is_Script= _telugu}', "");
Error('\p{Is_Sc=/a/_telu}');
Error('\P{Is_Sc=/a/_telu}');
Expect(1, 3199, '\p{Is_Sc: telu}', "");
Expect(0, 3199, '\p{^Is_Sc: telu}', "");
Expect(0, 3199, '\P{Is_Sc: telu}', "");
Expect(1, 3199, '\P{^Is_Sc: telu}', "");
Expect(0, 3200, '\p{Is_Sc: telu}', "");
Expect(1, 3200, '\p{^Is_Sc: telu}', "");
Expect(1, 3200, '\P{Is_Sc: telu}', "");
Expect(0, 3200, '\P{^Is_Sc: telu}', "");
Expect(1, 3199, '\p{Is_Sc= _TELU}', "");
Expect(0, 3199, '\p{^Is_Sc= _TELU}', "");
Expect(0, 3199, '\P{Is_Sc= _TELU}', "");
Expect(1, 3199, '\P{^Is_Sc= _TELU}', "");
Expect(0, 3200, '\p{Is_Sc= _TELU}', "");
Expect(1, 3200, '\p{^Is_Sc= _TELU}', "");
Expect(1, 3200, '\P{Is_Sc= _TELU}', "");
Expect(0, 3200, '\P{^Is_Sc= _TELU}', "");
Error('\p{Script=:=_	Tifinagh}');
Error('\P{Script=:=_	Tifinagh}');
Expect(1, 11647, '\p{Script=tifinagh}', "");
Expect(0, 11647, '\p{^Script=tifinagh}', "");
Expect(0, 11647, '\P{Script=tifinagh}', "");
Expect(1, 11647, '\P{^Script=tifinagh}', "");
Expect(0, 11648, '\p{Script=tifinagh}', "");
Expect(1, 11648, '\p{^Script=tifinagh}', "");
Expect(1, 11648, '\P{Script=tifinagh}', "");
Expect(0, 11648, '\P{^Script=tifinagh}', "");
Expect(1, 11647, '\p{Script=-TIFINAGH}', "");
Expect(0, 11647, '\p{^Script=-TIFINAGH}', "");
Expect(0, 11647, '\P{Script=-TIFINAGH}', "");
Expect(1, 11647, '\P{^Script=-TIFINAGH}', "");
Expect(0, 11648, '\p{Script=-TIFINAGH}', "");
Expect(1, 11648, '\p{^Script=-TIFINAGH}', "");
Expect(1, 11648, '\P{Script=-TIFINAGH}', "");
Expect(0, 11648, '\P{^Script=-TIFINAGH}', "");
Error('\p{Sc=--Tfng/a/}');
Error('\P{Sc=--Tfng/a/}');
Expect(1, 11647, '\p{Sc: tfng}', "");
Expect(0, 11647, '\p{^Sc: tfng}', "");
Expect(0, 11647, '\P{Sc: tfng}', "");
Expect(1, 11647, '\P{^Sc: tfng}', "");
Expect(0, 11648, '\p{Sc: tfng}', "");
Expect(1, 11648, '\p{^Sc: tfng}', "");
Expect(1, 11648, '\P{Sc: tfng}', "");
Expect(0, 11648, '\P{^Sc: tfng}', "");
Expect(1, 11647, '\p{Sc=-Tfng}', "");
Expect(0, 11647, '\p{^Sc=-Tfng}', "");
Expect(0, 11647, '\P{Sc=-Tfng}', "");
Expect(1, 11647, '\P{^Sc=-Tfng}', "");
Expect(0, 11648, '\p{Sc=-Tfng}', "");
Expect(1, 11648, '\p{^Sc=-Tfng}', "");
Expect(1, 11648, '\P{Sc=-Tfng}', "");
Expect(0, 11648, '\P{^Sc=-Tfng}', "");
Error('\p{Is_Script= :=tifinagh}');
Error('\P{Is_Script= :=tifinagh}');
Expect(1, 11647, '\p{Is_Script=tifinagh}', "");
Expect(0, 11647, '\p{^Is_Script=tifinagh}', "");
Expect(0, 11647, '\P{Is_Script=tifinagh}', "");
Expect(1, 11647, '\P{^Is_Script=tifinagh}', "");
Expect(0, 11648, '\p{Is_Script=tifinagh}', "");
Expect(1, 11648, '\p{^Is_Script=tifinagh}', "");
Expect(1, 11648, '\P{Is_Script=tifinagh}', "");
Expect(0, 11648, '\P{^Is_Script=tifinagh}', "");
Expect(1, 11647, '\p{Is_Script=__tifinagh}', "");
Expect(0, 11647, '\p{^Is_Script=__tifinagh}', "");
Expect(0, 11647, '\P{Is_Script=__tifinagh}', "");
Expect(1, 11647, '\P{^Is_Script=__tifinagh}', "");
Expect(0, 11648, '\p{Is_Script=__tifinagh}', "");
Expect(1, 11648, '\p{^Is_Script=__tifinagh}', "");
Expect(1, 11648, '\P{Is_Script=__tifinagh}', "");
Expect(0, 11648, '\P{^Is_Script=__tifinagh}', "");
Error('\p{Is_Sc= -Tfng:=}');
Error('\P{Is_Sc= -Tfng:=}');
Expect(1, 11647, '\p{Is_Sc:   tfng}', "");
Expect(0, 11647, '\p{^Is_Sc:   tfng}', "");
Expect(0, 11647, '\P{Is_Sc:   tfng}', "");
Expect(1, 11647, '\P{^Is_Sc:   tfng}', "");
Expect(0, 11648, '\p{Is_Sc:   tfng}', "");
Expect(1, 11648, '\p{^Is_Sc:   tfng}', "");
Expect(1, 11648, '\P{Is_Sc:   tfng}', "");
Expect(0, 11648, '\P{^Is_Sc:   tfng}', "");
Expect(1, 11647, '\p{Is_Sc= TFNG}', "");
Expect(0, 11647, '\p{^Is_Sc= TFNG}', "");
Expect(0, 11647, '\P{Is_Sc= TFNG}', "");
Expect(1, 11647, '\P{^Is_Sc= TFNG}', "");
Expect(0, 11648, '\p{Is_Sc= TFNG}', "");
Expect(1, 11648, '\p{^Is_Sc= TFNG}', "");
Expect(1, 11648, '\P{Is_Sc= TFNG}', "");
Expect(0, 11648, '\P{^Is_Sc= TFNG}', "");
Error('\p{Script=/a/	_Tagalog}');
Error('\P{Script=/a/	_Tagalog}');
Expect(1, 5908, '\p{Script=tagalog}', "");
Expect(0, 5908, '\p{^Script=tagalog}', "");
Expect(0, 5908, '\P{Script=tagalog}', "");
Expect(1, 5908, '\P{^Script=tagalog}', "");
Expect(0, 5909, '\p{Script=tagalog}', "");
Expect(1, 5909, '\p{^Script=tagalog}', "");
Expect(1, 5909, '\P{Script=tagalog}', "");
Expect(0, 5909, '\P{^Script=tagalog}', "");
Expect(1, 5908, '\p{Script= tagalog}', "");
Expect(0, 5908, '\p{^Script= tagalog}', "");
Expect(0, 5908, '\P{Script= tagalog}', "");
Expect(1, 5908, '\P{^Script= tagalog}', "");
Expect(0, 5909, '\p{Script= tagalog}', "");
Expect(1, 5909, '\p{^Script= tagalog}', "");
Expect(1, 5909, '\P{Script= tagalog}', "");
Expect(0, 5909, '\P{^Script= tagalog}', "");
Error('\p{Sc=-Tglg/a/}');
Error('\P{Sc=-Tglg/a/}');
Expect(1, 5908, '\p{Sc=tglg}', "");
Expect(0, 5908, '\p{^Sc=tglg}', "");
Expect(0, 5908, '\P{Sc=tglg}', "");
Expect(1, 5908, '\P{^Sc=tglg}', "");
Expect(0, 5909, '\p{Sc=tglg}', "");
Expect(1, 5909, '\p{^Sc=tglg}', "");
Expect(1, 5909, '\P{Sc=tglg}', "");
Expect(0, 5909, '\P{^Sc=tglg}', "");
Expect(1, 5908, '\p{Sc=	-Tglg}', "");
Expect(0, 5908, '\p{^Sc=	-Tglg}', "");
Expect(0, 5908, '\P{Sc=	-Tglg}', "");
Expect(1, 5908, '\P{^Sc=	-Tglg}', "");
Expect(0, 5909, '\p{Sc=	-Tglg}', "");
Expect(1, 5909, '\p{^Sc=	-Tglg}', "");
Expect(1, 5909, '\P{Sc=	-Tglg}', "");
Expect(0, 5909, '\P{^Sc=	-Tglg}', "");
Error('\p{Is_Script:/a/	tagalog}');
Error('\P{Is_Script:/a/	tagalog}');
Expect(1, 5908, '\p{Is_Script=tagalog}', "");
Expect(0, 5908, '\p{^Is_Script=tagalog}', "");
Expect(0, 5908, '\P{Is_Script=tagalog}', "");
Expect(1, 5908, '\P{^Is_Script=tagalog}', "");
Expect(0, 5909, '\p{Is_Script=tagalog}', "");
Expect(1, 5909, '\p{^Is_Script=tagalog}', "");
Expect(1, 5909, '\P{Is_Script=tagalog}', "");
Expect(0, 5909, '\P{^Is_Script=tagalog}', "");
Expect(1, 5908, '\p{Is_Script:	-Tagalog}', "");
Expect(0, 5908, '\p{^Is_Script:	-Tagalog}', "");
Expect(0, 5908, '\P{Is_Script:	-Tagalog}', "");
Expect(1, 5908, '\P{^Is_Script:	-Tagalog}', "");
Expect(0, 5909, '\p{Is_Script:	-Tagalog}', "");
Expect(1, 5909, '\p{^Is_Script:	-Tagalog}', "");
Expect(1, 5909, '\P{Is_Script:	-Tagalog}', "");
Expect(0, 5909, '\P{^Is_Script:	-Tagalog}', "");
Error('\p{Is_Sc=/a/tglg}');
Error('\P{Is_Sc=/a/tglg}');
Expect(1, 5908, '\p{Is_Sc=tglg}', "");
Expect(0, 5908, '\p{^Is_Sc=tglg}', "");
Expect(0, 5908, '\P{Is_Sc=tglg}', "");
Expect(1, 5908, '\P{^Is_Sc=tglg}', "");
Expect(0, 5909, '\p{Is_Sc=tglg}', "");
Expect(1, 5909, '\p{^Is_Sc=tglg}', "");
Expect(1, 5909, '\P{Is_Sc=tglg}', "");
Expect(0, 5909, '\P{^Is_Sc=tglg}', "");
Expect(1, 5908, '\p{Is_Sc=  Tglg}', "");
Expect(0, 5908, '\p{^Is_Sc=  Tglg}', "");
Expect(0, 5908, '\P{Is_Sc=  Tglg}', "");
Expect(1, 5908, '\P{^Is_Sc=  Tglg}', "");
Expect(0, 5909, '\p{Is_Sc=  Tglg}', "");
Expect(1, 5909, '\p{^Is_Sc=  Tglg}', "");
Expect(1, 5909, '\P{Is_Sc=  Tglg}', "");
Expect(0, 5909, '\P{^Is_Sc=  Tglg}', "");
Error('\p{Script=	:=Thaana}');
Error('\P{Script=	:=Thaana}');
Expect(1, 1969, '\p{Script:	thaana}', "");
Expect(0, 1969, '\p{^Script:	thaana}', "");
Expect(0, 1969, '\P{Script:	thaana}', "");
Expect(1, 1969, '\P{^Script:	thaana}', "");
Expect(0, 1970, '\p{Script:	thaana}', "");
Expect(1, 1970, '\p{^Script:	thaana}', "");
Expect(1, 1970, '\P{Script:	thaana}', "");
Expect(0, 1970, '\P{^Script:	thaana}', "");
Expect(1, 1969, '\p{Script=- THAANA}', "");
Expect(0, 1969, '\p{^Script=- THAANA}', "");
Expect(0, 1969, '\P{Script=- THAANA}', "");
Expect(1, 1969, '\P{^Script=- THAANA}', "");
Expect(0, 1970, '\p{Script=- THAANA}', "");
Expect(1, 1970, '\p{^Script=- THAANA}', "");
Expect(1, 1970, '\P{Script=- THAANA}', "");
Expect(0, 1970, '\P{^Script=- THAANA}', "");
Error('\p{Sc:--thaa/a/}');
Error('\P{Sc:--thaa/a/}');
Expect(1, 1969, '\p{Sc=thaa}', "");
Expect(0, 1969, '\p{^Sc=thaa}', "");
Expect(0, 1969, '\P{Sc=thaa}', "");
Expect(1, 1969, '\P{^Sc=thaa}', "");
Expect(0, 1970, '\p{Sc=thaa}', "");
Expect(1, 1970, '\p{^Sc=thaa}', "");
Expect(1, 1970, '\P{Sc=thaa}', "");
Expect(0, 1970, '\P{^Sc=thaa}', "");
Expect(1, 1969, '\p{Sc=	THAA}', "");
Expect(0, 1969, '\p{^Sc=	THAA}', "");
Expect(0, 1969, '\P{Sc=	THAA}', "");
Expect(1, 1969, '\P{^Sc=	THAA}', "");
Expect(0, 1970, '\p{Sc=	THAA}', "");
Expect(1, 1970, '\p{^Sc=	THAA}', "");
Expect(1, 1970, '\P{Sc=	THAA}', "");
Expect(0, 1970, '\P{^Sc=	THAA}', "");
Error('\p{Is_Script=-thaana/a/}');
Error('\P{Is_Script=-thaana/a/}');
Expect(1, 1969, '\p{Is_Script=thaana}', "");
Expect(0, 1969, '\p{^Is_Script=thaana}', "");
Expect(0, 1969, '\P{Is_Script=thaana}', "");
Expect(1, 1969, '\P{^Is_Script=thaana}', "");
Expect(0, 1970, '\p{Is_Script=thaana}', "");
Expect(1, 1970, '\p{^Is_Script=thaana}', "");
Expect(1, 1970, '\P{Is_Script=thaana}', "");
Expect(0, 1970, '\P{^Is_Script=thaana}', "");
Expect(1, 1969, '\p{Is_Script=	-thaana}', "");
Expect(0, 1969, '\p{^Is_Script=	-thaana}', "");
Expect(0, 1969, '\P{Is_Script=	-thaana}', "");
Expect(1, 1969, '\P{^Is_Script=	-thaana}', "");
Expect(0, 1970, '\p{Is_Script=	-thaana}', "");
Expect(1, 1970, '\p{^Is_Script=	-thaana}', "");
Expect(1, 1970, '\P{Is_Script=	-thaana}', "");
Expect(0, 1970, '\P{^Is_Script=	-thaana}', "");
Error('\p{Is_Sc=_ thaa/a/}');
Error('\P{Is_Sc=_ thaa/a/}');
Expect(1, 1969, '\p{Is_Sc=thaa}', "");
Expect(0, 1969, '\p{^Is_Sc=thaa}', "");
Expect(0, 1969, '\P{Is_Sc=thaa}', "");
Expect(1, 1969, '\P{^Is_Sc=thaa}', "");
Expect(0, 1970, '\p{Is_Sc=thaa}', "");
Expect(1, 1970, '\p{^Is_Sc=thaa}', "");
Expect(1, 1970, '\P{Is_Sc=thaa}', "");
Expect(0, 1970, '\P{^Is_Sc=thaa}', "");
Expect(1, 1969, '\p{Is_Sc=-Thaa}', "");
Expect(0, 1969, '\p{^Is_Sc=-Thaa}', "");
Expect(0, 1969, '\P{Is_Sc=-Thaa}', "");
Expect(1, 1969, '\P{^Is_Sc=-Thaa}', "");
Expect(0, 1970, '\p{Is_Sc=-Thaa}', "");
Expect(1, 1970, '\p{^Is_Sc=-Thaa}', "");
Expect(1, 1970, '\P{Is_Sc=-Thaa}', "");
Expect(0, 1970, '\P{^Is_Sc=-Thaa}', "");
Error('\p{Script=__thai:=}');
Error('\P{Script=__thai:=}');
Expect(1, 3675, '\p{Script=thai}', "");
Expect(0, 3675, '\p{^Script=thai}', "");
Expect(0, 3675, '\P{Script=thai}', "");
Expect(1, 3675, '\P{^Script=thai}', "");
Expect(0, 3676, '\p{Script=thai}', "");
Expect(1, 3676, '\p{^Script=thai}', "");
Expect(1, 3676, '\P{Script=thai}', "");
Expect(0, 3676, '\P{^Script=thai}', "");
Expect(1, 3675, '\p{Script=-	Thai}', "");
Expect(0, 3675, '\p{^Script=-	Thai}', "");
Expect(0, 3675, '\P{Script=-	Thai}', "");
Expect(1, 3675, '\P{^Script=-	Thai}', "");
Expect(0, 3676, '\p{Script=-	Thai}', "");
Expect(1, 3676, '\p{^Script=-	Thai}', "");
Expect(1, 3676, '\P{Script=-	Thai}', "");
Expect(0, 3676, '\P{^Script=-	Thai}', "");
Error('\p{Sc:    -thai:=}');
Error('\P{Sc:    -thai:=}');
Expect(1, 3675, '\p{Sc=thai}', "");
Expect(0, 3675, '\p{^Sc=thai}', "");
Expect(0, 3675, '\P{Sc=thai}', "");
Expect(1, 3675, '\P{^Sc=thai}', "");
Expect(0, 3676, '\p{Sc=thai}', "");
Expect(1, 3676, '\p{^Sc=thai}', "");
Expect(1, 3676, '\P{Sc=thai}', "");
Expect(0, 3676, '\P{^Sc=thai}', "");
Expect(1, 3675, '\p{Sc=		THAI}', "");
Expect(0, 3675, '\p{^Sc=		THAI}', "");
Expect(0, 3675, '\P{Sc=		THAI}', "");
Expect(1, 3675, '\P{^Sc=		THAI}', "");
Expect(0, 3676, '\p{Sc=		THAI}', "");
Expect(1, 3676, '\p{^Sc=		THAI}', "");
Expect(1, 3676, '\P{Sc=		THAI}', "");
Expect(0, 3676, '\P{^Sc=		THAI}', "");
Error('\p{Is_Script:	:=		Thai}');
Error('\P{Is_Script:	:=		Thai}');
Expect(1, 3675, '\p{Is_Script=thai}', "");
Expect(0, 3675, '\p{^Is_Script=thai}', "");
Expect(0, 3675, '\P{Is_Script=thai}', "");
Expect(1, 3675, '\P{^Is_Script=thai}', "");
Expect(0, 3676, '\p{Is_Script=thai}', "");
Expect(1, 3676, '\p{^Is_Script=thai}', "");
Expect(1, 3676, '\P{Is_Script=thai}', "");
Expect(0, 3676, '\P{^Is_Script=thai}', "");
Expect(1, 3675, '\p{Is_Script=-_Thai}', "");
Expect(0, 3675, '\p{^Is_Script=-_Thai}', "");
Expect(0, 3675, '\P{Is_Script=-_Thai}', "");
Expect(1, 3675, '\P{^Is_Script=-_Thai}', "");
Expect(0, 3676, '\p{Is_Script=-_Thai}', "");
Expect(1, 3676, '\p{^Is_Script=-_Thai}', "");
Expect(1, 3676, '\P{Is_Script=-_Thai}', "");
Expect(0, 3676, '\P{^Is_Script=-_Thai}', "");
Error('\p{Is_Sc=	_THAI/a/}');
Error('\P{Is_Sc=	_THAI/a/}');
Expect(1, 3675, '\p{Is_Sc=thai}', "");
Expect(0, 3675, '\p{^Is_Sc=thai}', "");
Expect(0, 3675, '\P{Is_Sc=thai}', "");
Expect(1, 3675, '\P{^Is_Sc=thai}', "");
Expect(0, 3676, '\p{Is_Sc=thai}', "");
Expect(1, 3676, '\p{^Is_Sc=thai}', "");
Expect(1, 3676, '\P{Is_Sc=thai}', "");
Expect(0, 3676, '\P{^Is_Sc=thai}', "");
Expect(1, 3675, '\p{Is_Sc=	 Thai}', "");
Expect(0, 3675, '\p{^Is_Sc=	 Thai}', "");
Expect(0, 3675, '\P{Is_Sc=	 Thai}', "");
Expect(1, 3675, '\P{^Is_Sc=	 Thai}', "");
Expect(0, 3676, '\p{Is_Sc=	 Thai}', "");
Expect(1, 3676, '\p{^Is_Sc=	 Thai}', "");
Expect(1, 3676, '\P{Is_Sc=	 Thai}', "");
Expect(0, 3676, '\P{^Is_Sc=	 Thai}', "");
Error('\p{Script=-:=Tibetan}');
Error('\P{Script=-:=Tibetan}');
Expect(1, 4058, '\p{Script=tibetan}', "");
Expect(0, 4058, '\p{^Script=tibetan}', "");
Expect(0, 4058, '\P{Script=tibetan}', "");
Expect(1, 4058, '\P{^Script=tibetan}', "");
Expect(0, 4059, '\p{Script=tibetan}', "");
Expect(1, 4059, '\p{^Script=tibetan}', "");
Expect(1, 4059, '\P{Script=tibetan}', "");
Expect(0, 4059, '\P{^Script=tibetan}', "");
Expect(1, 4058, '\p{Script=- Tibetan}', "");
Expect(0, 4058, '\p{^Script=- Tibetan}', "");
Expect(0, 4058, '\P{Script=- Tibetan}', "");
Expect(1, 4058, '\P{^Script=- Tibetan}', "");
Expect(0, 4059, '\p{Script=- Tibetan}', "");
Expect(1, 4059, '\p{^Script=- Tibetan}', "");
Expect(1, 4059, '\P{Script=- Tibetan}', "");
Expect(0, 4059, '\P{^Script=- Tibetan}', "");
Error('\p{Sc=-/a/TIBT}');
Error('\P{Sc=-/a/TIBT}');
Expect(1, 4058, '\p{Sc=tibt}', "");
Expect(0, 4058, '\p{^Sc=tibt}', "");
Expect(0, 4058, '\P{Sc=tibt}', "");
Expect(1, 4058, '\P{^Sc=tibt}', "");
Expect(0, 4059, '\p{Sc=tibt}', "");
Expect(1, 4059, '\p{^Sc=tibt}', "");
Expect(1, 4059, '\P{Sc=tibt}', "");
Expect(0, 4059, '\P{^Sc=tibt}', "");
Expect(1, 4058, '\p{Sc=  Tibt}', "");
Expect(0, 4058, '\p{^Sc=  Tibt}', "");
Expect(0, 4058, '\P{Sc=  Tibt}', "");
Expect(1, 4058, '\P{^Sc=  Tibt}', "");
Expect(0, 4059, '\p{Sc=  Tibt}', "");
Expect(1, 4059, '\p{^Sc=  Tibt}', "");
Expect(1, 4059, '\P{Sc=  Tibt}', "");
Expect(0, 4059, '\P{^Sc=  Tibt}', "");
Error('\p{Is_Script:   /a/	_tibetan}');
Error('\P{Is_Script:   /a/	_tibetan}');
Expect(1, 4058, '\p{Is_Script=tibetan}', "");
Expect(0, 4058, '\p{^Is_Script=tibetan}', "");
Expect(0, 4058, '\P{Is_Script=tibetan}', "");
Expect(1, 4058, '\P{^Is_Script=tibetan}', "");
Expect(0, 4059, '\p{Is_Script=tibetan}', "");
Expect(1, 4059, '\p{^Is_Script=tibetan}', "");
Expect(1, 4059, '\P{Is_Script=tibetan}', "");
Expect(0, 4059, '\P{^Is_Script=tibetan}', "");
Expect(1, 4058, '\p{Is_Script= tibetan}', "");
Expect(0, 4058, '\p{^Is_Script= tibetan}', "");
Expect(0, 4058, '\P{Is_Script= tibetan}', "");
Expect(1, 4058, '\P{^Is_Script= tibetan}', "");
Expect(0, 4059, '\p{Is_Script= tibetan}', "");
Expect(1, 4059, '\p{^Is_Script= tibetan}', "");
Expect(1, 4059, '\P{Is_Script= tibetan}', "");
Expect(0, 4059, '\P{^Is_Script= tibetan}', "");
Error('\p{Is_Sc=:= -TIBT}');
Error('\P{Is_Sc=:= -TIBT}');
Expect(1, 4058, '\p{Is_Sc=tibt}', "");
Expect(0, 4058, '\p{^Is_Sc=tibt}', "");
Expect(0, 4058, '\P{Is_Sc=tibt}', "");
Expect(1, 4058, '\P{^Is_Sc=tibt}', "");
Expect(0, 4059, '\p{Is_Sc=tibt}', "");
Expect(1, 4059, '\p{^Is_Sc=tibt}', "");
Expect(1, 4059, '\P{Is_Sc=tibt}', "");
Expect(0, 4059, '\P{^Is_Sc=tibt}', "");
Expect(1, 4058, '\p{Is_Sc= -Tibt}', "");
Expect(0, 4058, '\p{^Is_Sc= -Tibt}', "");
Expect(0, 4058, '\P{Is_Sc= -Tibt}', "");
Expect(1, 4058, '\P{^Is_Sc= -Tibt}', "");
Expect(0, 4059, '\p{Is_Sc= -Tibt}', "");
Expect(1, 4059, '\p{^Is_Sc= -Tibt}', "");
Expect(1, 4059, '\P{Is_Sc= -Tibt}', "");
Expect(0, 4059, '\P{^Is_Sc= -Tibt}', "");
Error('\p{Script= _tirhuta/a/}');
Error('\P{Script= _tirhuta/a/}');
Expect(1, 70873, '\p{Script=tirhuta}', "");
Expect(0, 70873, '\p{^Script=tirhuta}', "");
Expect(0, 70873, '\P{Script=tirhuta}', "");
Expect(1, 70873, '\P{^Script=tirhuta}', "");
Expect(0, 70874, '\p{Script=tirhuta}', "");
Expect(1, 70874, '\p{^Script=tirhuta}', "");
Expect(1, 70874, '\P{Script=tirhuta}', "");
Expect(0, 70874, '\P{^Script=tirhuta}', "");
Expect(1, 70873, '\p{Script=_-TIRHUTA}', "");
Expect(0, 70873, '\p{^Script=_-TIRHUTA}', "");
Expect(0, 70873, '\P{Script=_-TIRHUTA}', "");
Expect(1, 70873, '\P{^Script=_-TIRHUTA}', "");
Expect(0, 70874, '\p{Script=_-TIRHUTA}', "");
Expect(1, 70874, '\p{^Script=_-TIRHUTA}', "");
Expect(1, 70874, '\P{Script=_-TIRHUTA}', "");
Expect(0, 70874, '\P{^Script=_-TIRHUTA}', "");
Error('\p{Sc=:= _Tirh}');
Error('\P{Sc=:= _Tirh}');
Expect(1, 70873, '\p{Sc=tirh}', "");
Expect(0, 70873, '\p{^Sc=tirh}', "");
Expect(0, 70873, '\P{Sc=tirh}', "");
Expect(1, 70873, '\P{^Sc=tirh}', "");
Expect(0, 70874, '\p{Sc=tirh}', "");
Expect(1, 70874, '\p{^Sc=tirh}', "");
Expect(1, 70874, '\P{Sc=tirh}', "");
Expect(0, 70874, '\P{^Sc=tirh}', "");
Expect(1, 70873, '\p{Sc=-Tirh}', "");
Expect(0, 70873, '\p{^Sc=-Tirh}', "");
Expect(0, 70873, '\P{Sc=-Tirh}', "");
Expect(1, 70873, '\P{^Sc=-Tirh}', "");
Expect(0, 70874, '\p{Sc=-Tirh}', "");
Expect(1, 70874, '\p{^Sc=-Tirh}', "");
Expect(1, 70874, '\P{Sc=-Tirh}', "");
Expect(0, 70874, '\P{^Sc=-Tirh}', "");
Error('\p{Is_Script=_-tirhuta:=}');
Error('\P{Is_Script=_-tirhuta:=}');
Expect(1, 70873, '\p{Is_Script=tirhuta}', "");
Expect(0, 70873, '\p{^Is_Script=tirhuta}', "");
Expect(0, 70873, '\P{Is_Script=tirhuta}', "");
Expect(1, 70873, '\P{^Is_Script=tirhuta}', "");
Expect(0, 70874, '\p{Is_Script=tirhuta}', "");
Expect(1, 70874, '\p{^Is_Script=tirhuta}', "");
Expect(1, 70874, '\P{Is_Script=tirhuta}', "");
Expect(0, 70874, '\P{^Is_Script=tirhuta}', "");
Expect(1, 70873, '\p{Is_Script= tirhuta}', "");
Expect(0, 70873, '\p{^Is_Script= tirhuta}', "");
Expect(0, 70873, '\P{Is_Script= tirhuta}', "");
Expect(1, 70873, '\P{^Is_Script= tirhuta}', "");
Expect(0, 70874, '\p{Is_Script= tirhuta}', "");
Expect(1, 70874, '\p{^Is_Script= tirhuta}', "");
Expect(1, 70874, '\P{Is_Script= tirhuta}', "");
Expect(0, 70874, '\P{^Is_Script= tirhuta}', "");
Error('\p{Is_Sc=/a/ tirh}');
Error('\P{Is_Sc=/a/ tirh}');
Expect(1, 70873, '\p{Is_Sc:	tirh}', "");
Expect(0, 70873, '\p{^Is_Sc:	tirh}', "");
Expect(0, 70873, '\P{Is_Sc:	tirh}', "");
Expect(1, 70873, '\P{^Is_Sc:	tirh}', "");
Expect(0, 70874, '\p{Is_Sc:	tirh}', "");
Expect(1, 70874, '\p{^Is_Sc:	tirh}', "");
Expect(1, 70874, '\P{Is_Sc:	tirh}', "");
Expect(0, 70874, '\P{^Is_Sc:	tirh}', "");
Expect(1, 70873, '\p{Is_Sc=_-tirh}', "");
Expect(0, 70873, '\p{^Is_Sc=_-tirh}', "");
Expect(0, 70873, '\P{Is_Sc=_-tirh}', "");
Expect(1, 70873, '\P{^Is_Sc=_-tirh}', "");
Expect(0, 70874, '\p{Is_Sc=_-tirh}', "");
Expect(1, 70874, '\p{^Is_Sc=_-tirh}', "");
Expect(1, 70874, '\P{Is_Sc=_-tirh}', "");
Expect(0, 70874, '\P{^Is_Sc=_-tirh}', "");
Error('\p{Script=/a/ -Ugaritic}');
Error('\P{Script=/a/ -Ugaritic}');
Expect(1, 66463, '\p{Script=ugaritic}', "");
Expect(0, 66463, '\p{^Script=ugaritic}', "");
Expect(0, 66463, '\P{Script=ugaritic}', "");
Expect(1, 66463, '\P{^Script=ugaritic}', "");
Expect(0, 66464, '\p{Script=ugaritic}', "");
Expect(1, 66464, '\p{^Script=ugaritic}', "");
Expect(1, 66464, '\P{Script=ugaritic}', "");
Expect(0, 66464, '\P{^Script=ugaritic}', "");
Expect(1, 66463, '\p{Script= Ugaritic}', "");
Expect(0, 66463, '\p{^Script= Ugaritic}', "");
Expect(0, 66463, '\P{Script= Ugaritic}', "");
Expect(1, 66463, '\P{^Script= Ugaritic}', "");
Expect(0, 66464, '\p{Script= Ugaritic}', "");
Expect(1, 66464, '\p{^Script= Ugaritic}', "");
Expect(1, 66464, '\P{Script= Ugaritic}', "");
Expect(0, 66464, '\P{^Script= Ugaritic}', "");
Error('\p{Sc=:=	_Ugar}');
Error('\P{Sc=:=	_Ugar}');
Expect(1, 66463, '\p{Sc=ugar}', "");
Expect(0, 66463, '\p{^Sc=ugar}', "");
Expect(0, 66463, '\P{Sc=ugar}', "");
Expect(1, 66463, '\P{^Sc=ugar}', "");
Expect(0, 66464, '\p{Sc=ugar}', "");
Expect(1, 66464, '\p{^Sc=ugar}', "");
Expect(1, 66464, '\P{Sc=ugar}', "");
Expect(0, 66464, '\P{^Sc=ugar}', "");
Expect(1, 66463, '\p{Sc:	 UGAR}', "");
Expect(0, 66463, '\p{^Sc:	 UGAR}', "");
Expect(0, 66463, '\P{Sc:	 UGAR}', "");
Expect(1, 66463, '\P{^Sc:	 UGAR}', "");
Expect(0, 66464, '\p{Sc:	 UGAR}', "");
Expect(1, 66464, '\p{^Sc:	 UGAR}', "");
Expect(1, 66464, '\P{Sc:	 UGAR}', "");
Expect(0, 66464, '\P{^Sc:	 UGAR}', "");
Error('\p{Is_Script=_Ugaritic/a/}');
Error('\P{Is_Script=_Ugaritic/a/}');
Expect(1, 66463, '\p{Is_Script: ugaritic}', "");
Expect(0, 66463, '\p{^Is_Script: ugaritic}', "");
Expect(0, 66463, '\P{Is_Script: ugaritic}', "");
Expect(1, 66463, '\P{^Is_Script: ugaritic}', "");
Expect(0, 66464, '\p{Is_Script: ugaritic}', "");
Expect(1, 66464, '\p{^Is_Script: ugaritic}', "");
Expect(1, 66464, '\P{Is_Script: ugaritic}', "");
Expect(0, 66464, '\P{^Is_Script: ugaritic}', "");
Expect(1, 66463, '\p{Is_Script=__UGARITIC}', "");
Expect(0, 66463, '\p{^Is_Script=__UGARITIC}', "");
Expect(0, 66463, '\P{Is_Script=__UGARITIC}', "");
Expect(1, 66463, '\P{^Is_Script=__UGARITIC}', "");
Expect(0, 66464, '\p{Is_Script=__UGARITIC}', "");
Expect(1, 66464, '\p{^Is_Script=__UGARITIC}', "");
Expect(1, 66464, '\P{Is_Script=__UGARITIC}', "");
Expect(0, 66464, '\P{^Is_Script=__UGARITIC}', "");
Error('\p{Is_Sc=/a/ _UGAR}');
Error('\P{Is_Sc=/a/ _UGAR}');
Expect(1, 66463, '\p{Is_Sc=ugar}', "");
Expect(0, 66463, '\p{^Is_Sc=ugar}', "");
Expect(0, 66463, '\P{Is_Sc=ugar}', "");
Expect(1, 66463, '\P{^Is_Sc=ugar}', "");
Expect(0, 66464, '\p{Is_Sc=ugar}', "");
Expect(1, 66464, '\p{^Is_Sc=ugar}', "");
Expect(1, 66464, '\P{Is_Sc=ugar}', "");
Expect(0, 66464, '\P{^Is_Sc=ugar}', "");
Expect(1, 66463, '\p{Is_Sc: 		ugar}', "");
Expect(0, 66463, '\p{^Is_Sc: 		ugar}', "");
Expect(0, 66463, '\P{Is_Sc: 		ugar}', "");
Expect(1, 66463, '\P{^Is_Sc: 		ugar}', "");
Expect(0, 66464, '\p{Is_Sc: 		ugar}', "");
Expect(1, 66464, '\p{^Is_Sc: 		ugar}', "");
Expect(1, 66464, '\P{Is_Sc: 		ugar}', "");
Expect(0, 66464, '\P{^Is_Sc: 		ugar}', "");
Error('\p{Script:/a/	-vai}');
Error('\P{Script:/a/	-vai}');
Expect(1, 42539, '\p{Script=vai}', "");
Expect(0, 42539, '\p{^Script=vai}', "");
Expect(0, 42539, '\P{Script=vai}', "");
Expect(1, 42539, '\P{^Script=vai}', "");
Expect(0, 42540, '\p{Script=vai}', "");
Expect(1, 42540, '\p{^Script=vai}', "");
Expect(1, 42540, '\P{Script=vai}', "");
Expect(0, 42540, '\P{^Script=vai}', "");
Expect(1, 42539, '\p{Script= -VAI}', "");
Expect(0, 42539, '\p{^Script= -VAI}', "");
Expect(0, 42539, '\P{Script= -VAI}', "");
Expect(1, 42539, '\P{^Script= -VAI}', "");
Expect(0, 42540, '\p{Script= -VAI}', "");
Expect(1, 42540, '\p{^Script= -VAI}', "");
Expect(1, 42540, '\P{Script= -VAI}', "");
Expect(0, 42540, '\P{^Script= -VAI}', "");
Error('\p{Sc=	:=Vaii}');
Error('\P{Sc=	:=Vaii}');
Expect(1, 42539, '\p{Sc=vaii}', "");
Expect(0, 42539, '\p{^Sc=vaii}', "");
Expect(0, 42539, '\P{Sc=vaii}', "");
Expect(1, 42539, '\P{^Sc=vaii}', "");
Expect(0, 42540, '\p{Sc=vaii}', "");
Expect(1, 42540, '\p{^Sc=vaii}', "");
Expect(1, 42540, '\P{Sc=vaii}', "");
Expect(0, 42540, '\P{^Sc=vaii}', "");
Expect(1, 42539, '\p{Sc:     VAII}', "");
Expect(0, 42539, '\p{^Sc:     VAII}', "");
Expect(0, 42539, '\P{Sc:     VAII}', "");
Expect(1, 42539, '\P{^Sc:     VAII}', "");
Expect(0, 42540, '\p{Sc:     VAII}', "");
Expect(1, 42540, '\p{^Sc:     VAII}', "");
Expect(1, 42540, '\P{Sc:     VAII}', "");
Expect(0, 42540, '\P{^Sc:     VAII}', "");
Error('\p{Is_Script=	:=Vai}');
Error('\P{Is_Script=	:=Vai}');
Expect(1, 42539, '\p{Is_Script=vai}', "");
Expect(0, 42539, '\p{^Is_Script=vai}', "");
Expect(0, 42539, '\P{Is_Script=vai}', "");
Expect(1, 42539, '\P{^Is_Script=vai}', "");
Expect(0, 42540, '\p{Is_Script=vai}', "");
Expect(1, 42540, '\p{^Is_Script=vai}', "");
Expect(1, 42540, '\P{Is_Script=vai}', "");
Expect(0, 42540, '\P{^Is_Script=vai}', "");
Expect(1, 42539, '\p{Is_Script=-	Vai}', "");
Expect(0, 42539, '\p{^Is_Script=-	Vai}', "");
Expect(0, 42539, '\P{Is_Script=-	Vai}', "");
Expect(1, 42539, '\P{^Is_Script=-	Vai}', "");
Expect(0, 42540, '\p{Is_Script=-	Vai}', "");
Expect(1, 42540, '\p{^Is_Script=-	Vai}', "");
Expect(1, 42540, '\P{Is_Script=-	Vai}', "");
Expect(0, 42540, '\P{^Is_Script=-	Vai}', "");
Error('\p{Is_Sc=/a/	-vaii}');
Error('\P{Is_Sc=/a/	-vaii}');
Expect(1, 42539, '\p{Is_Sc=vaii}', "");
Expect(0, 42539, '\p{^Is_Sc=vaii}', "");
Expect(0, 42539, '\P{Is_Sc=vaii}', "");
Expect(1, 42539, '\P{^Is_Sc=vaii}', "");
Expect(0, 42540, '\p{Is_Sc=vaii}', "");
Expect(1, 42540, '\p{^Is_Sc=vaii}', "");
Expect(1, 42540, '\P{Is_Sc=vaii}', "");
Expect(0, 42540, '\P{^Is_Sc=vaii}', "");
Expect(1, 42539, '\p{Is_Sc=__Vaii}', "");
Expect(0, 42539, '\p{^Is_Sc=__Vaii}', "");
Expect(0, 42539, '\P{Is_Sc=__Vaii}', "");
Expect(1, 42539, '\P{^Is_Sc=__Vaii}', "");
Expect(0, 42540, '\p{Is_Sc=__Vaii}', "");
Expect(1, 42540, '\p{^Is_Sc=__Vaii}', "");
Expect(1, 42540, '\P{Is_Sc=__Vaii}', "");
Expect(0, 42540, '\P{^Is_Sc=__Vaii}', "");
Error('\p{Script=/a/ Warang_Citi}');
Error('\P{Script=/a/ Warang_Citi}');
Expect(1, 71935, '\p{Script=warangciti}', "");
Expect(0, 71935, '\p{^Script=warangciti}', "");
Expect(0, 71935, '\P{Script=warangciti}', "");
Expect(1, 71935, '\P{^Script=warangciti}', "");
Expect(0, 71936, '\p{Script=warangciti}', "");
Expect(1, 71936, '\p{^Script=warangciti}', "");
Expect(1, 71936, '\P{Script=warangciti}', "");
Expect(0, 71936, '\P{^Script=warangciti}', "");
Expect(1, 71935, '\p{Script=__Warang_CITI}', "");
Expect(0, 71935, '\p{^Script=__Warang_CITI}', "");
Expect(0, 71935, '\P{Script=__Warang_CITI}', "");
Expect(1, 71935, '\P{^Script=__Warang_CITI}', "");
Expect(0, 71936, '\p{Script=__Warang_CITI}', "");
Expect(1, 71936, '\p{^Script=__Warang_CITI}', "");
Expect(1, 71936, '\P{Script=__Warang_CITI}', "");
Expect(0, 71936, '\P{^Script=__Warang_CITI}', "");
Error('\p{Sc=	:=WARA}');
Error('\P{Sc=	:=WARA}');
Expect(1, 71935, '\p{Sc=wara}', "");
Expect(0, 71935, '\p{^Sc=wara}', "");
Expect(0, 71935, '\P{Sc=wara}', "");
Expect(1, 71935, '\P{^Sc=wara}', "");
Expect(0, 71936, '\p{Sc=wara}', "");
Expect(1, 71936, '\p{^Sc=wara}', "");
Expect(1, 71936, '\P{Sc=wara}', "");
Expect(0, 71936, '\P{^Sc=wara}', "");
Expect(1, 71935, '\p{Sc=_	Wara}', "");
Expect(0, 71935, '\p{^Sc=_	Wara}', "");
Expect(0, 71935, '\P{Sc=_	Wara}', "");
Expect(1, 71935, '\P{^Sc=_	Wara}', "");
Expect(0, 71936, '\p{Sc=_	Wara}', "");
Expect(1, 71936, '\p{^Sc=_	Wara}', "");
Expect(1, 71936, '\P{Sc=_	Wara}', "");
Expect(0, 71936, '\P{^Sc=_	Wara}', "");
Error('\p{Is_Script=	:=WARANG_Citi}');
Error('\P{Is_Script=	:=WARANG_Citi}');
Expect(1, 71935, '\p{Is_Script=warangciti}', "");
Expect(0, 71935, '\p{^Is_Script=warangciti}', "");
Expect(0, 71935, '\P{Is_Script=warangciti}', "");
Expect(1, 71935, '\P{^Is_Script=warangciti}', "");
Expect(0, 71936, '\p{Is_Script=warangciti}', "");
Expect(1, 71936, '\p{^Is_Script=warangciti}', "");
Expect(1, 71936, '\P{Is_Script=warangciti}', "");
Expect(0, 71936, '\P{^Is_Script=warangciti}', "");
Expect(1, 71935, '\p{Is_Script=__Warang_Citi}', "");
Expect(0, 71935, '\p{^Is_Script=__Warang_Citi}', "");
Expect(0, 71935, '\P{Is_Script=__Warang_Citi}', "");
Expect(1, 71935, '\P{^Is_Script=__Warang_Citi}', "");
Expect(0, 71936, '\p{Is_Script=__Warang_Citi}', "");
Expect(1, 71936, '\p{^Is_Script=__Warang_Citi}', "");
Expect(1, 71936, '\P{Is_Script=__Warang_Citi}', "");
Expect(0, 71936, '\P{^Is_Script=__Warang_Citi}', "");
Error('\p{Is_Sc=/a/__Wara}');
Error('\P{Is_Sc=/a/__Wara}');
Expect(1, 71935, '\p{Is_Sc=wara}', "");
Expect(0, 71935, '\p{^Is_Sc=wara}', "");
Expect(0, 71935, '\P{Is_Sc=wara}', "");
Expect(1, 71935, '\P{^Is_Sc=wara}', "");
Expect(0, 71936, '\p{Is_Sc=wara}', "");
Expect(1, 71936, '\p{^Is_Sc=wara}', "");
Expect(1, 71936, '\P{Is_Sc=wara}', "");
Expect(0, 71936, '\P{^Is_Sc=wara}', "");
Expect(1, 71935, '\p{Is_Sc= -Wara}', "");
Expect(0, 71935, '\p{^Is_Sc= -Wara}', "");
Expect(0, 71935, '\P{Is_Sc= -Wara}', "");
Expect(1, 71935, '\P{^Is_Sc= -Wara}', "");
Expect(0, 71936, '\p{Is_Sc= -Wara}', "");
Expect(1, 71936, '\p{^Is_Sc= -Wara}', "");
Expect(1, 71936, '\P{Is_Sc= -Wara}', "");
Expect(0, 71936, '\P{^Is_Sc= -Wara}', "");
Error('\p{Script= :=Old_Persian}');
Error('\P{Script= :=Old_Persian}');
Expect(1, 66517, '\p{Script=oldpersian}', "");
Expect(0, 66517, '\p{^Script=oldpersian}', "");
Expect(0, 66517, '\P{Script=oldpersian}', "");
Expect(1, 66517, '\P{^Script=oldpersian}', "");
Expect(0, 66518, '\p{Script=oldpersian}', "");
Expect(1, 66518, '\p{^Script=oldpersian}', "");
Expect(1, 66518, '\P{Script=oldpersian}', "");
Expect(0, 66518, '\P{^Script=oldpersian}', "");
Expect(1, 66517, '\p{Script= Old_PERSIAN}', "");
Expect(0, 66517, '\p{^Script= Old_PERSIAN}', "");
Expect(0, 66517, '\P{Script= Old_PERSIAN}', "");
Expect(1, 66517, '\P{^Script= Old_PERSIAN}', "");
Expect(0, 66518, '\p{Script= Old_PERSIAN}', "");
Expect(1, 66518, '\p{^Script= Old_PERSIAN}', "");
Expect(1, 66518, '\P{Script= Old_PERSIAN}', "");
Expect(0, 66518, '\P{^Script= Old_PERSIAN}', "");
Error('\p{Sc=/a/_-XPEO}');
Error('\P{Sc=/a/_-XPEO}');
Expect(1, 66517, '\p{Sc=xpeo}', "");
Expect(0, 66517, '\p{^Sc=xpeo}', "");
Expect(0, 66517, '\P{Sc=xpeo}', "");
Expect(1, 66517, '\P{^Sc=xpeo}', "");
Expect(0, 66518, '\p{Sc=xpeo}', "");
Expect(1, 66518, '\p{^Sc=xpeo}', "");
Expect(1, 66518, '\P{Sc=xpeo}', "");
Expect(0, 66518, '\P{^Sc=xpeo}', "");
Expect(1, 66517, '\p{Sc=_	XPEO}', "");
Expect(0, 66517, '\p{^Sc=_	XPEO}', "");
Expect(0, 66517, '\P{Sc=_	XPEO}', "");
Expect(1, 66517, '\P{^Sc=_	XPEO}', "");
Expect(0, 66518, '\p{Sc=_	XPEO}', "");
Expect(1, 66518, '\p{^Sc=_	XPEO}', "");
Expect(1, 66518, '\P{Sc=_	XPEO}', "");
Expect(0, 66518, '\P{^Sc=_	XPEO}', "");
Error('\p{Is_Script=/a/_	old_Persian}');
Error('\P{Is_Script=/a/_	old_Persian}');
Expect(1, 66517, '\p{Is_Script=oldpersian}', "");
Expect(0, 66517, '\p{^Is_Script=oldpersian}', "");
Expect(0, 66517, '\P{Is_Script=oldpersian}', "");
Expect(1, 66517, '\P{^Is_Script=oldpersian}', "");
Expect(0, 66518, '\p{Is_Script=oldpersian}', "");
Expect(1, 66518, '\p{^Is_Script=oldpersian}', "");
Expect(1, 66518, '\P{Is_Script=oldpersian}', "");
Expect(0, 66518, '\P{^Is_Script=oldpersian}', "");
Expect(1, 66517, '\p{Is_Script=Old_persian}', "");
Expect(0, 66517, '\p{^Is_Script=Old_persian}', "");
Expect(0, 66517, '\P{Is_Script=Old_persian}', "");
Expect(1, 66517, '\P{^Is_Script=Old_persian}', "");
Expect(0, 66518, '\p{Is_Script=Old_persian}', "");
Expect(1, 66518, '\p{^Is_Script=Old_persian}', "");
Expect(1, 66518, '\P{Is_Script=Old_persian}', "");
Expect(0, 66518, '\P{^Is_Script=Old_persian}', "");
Error('\p{Is_Sc=_-xpeo/a/}');
Error('\P{Is_Sc=_-xpeo/a/}');
Expect(1, 66517, '\p{Is_Sc=xpeo}', "");
Expect(0, 66517, '\p{^Is_Sc=xpeo}', "");
Expect(0, 66517, '\P{Is_Sc=xpeo}', "");
Expect(1, 66517, '\P{^Is_Sc=xpeo}', "");
Expect(0, 66518, '\p{Is_Sc=xpeo}', "");
Expect(1, 66518, '\p{^Is_Sc=xpeo}', "");
Expect(1, 66518, '\P{Is_Sc=xpeo}', "");
Expect(0, 66518, '\P{^Is_Sc=xpeo}', "");
Expect(1, 66517, '\p{Is_Sc:   _ Xpeo}', "");
Expect(0, 66517, '\p{^Is_Sc:   _ Xpeo}', "");
Expect(0, 66517, '\P{Is_Sc:   _ Xpeo}', "");
Expect(1, 66517, '\P{^Is_Sc:   _ Xpeo}', "");
Expect(0, 66518, '\p{Is_Sc:   _ Xpeo}', "");
Expect(1, 66518, '\p{^Is_Sc:   _ Xpeo}', "");
Expect(1, 66518, '\P{Is_Sc:   _ Xpeo}', "");
Expect(0, 66518, '\P{^Is_Sc:   _ Xpeo}', "");
Error('\p{Script=:=CUNEIFORM}');
Error('\P{Script=:=CUNEIFORM}');
Expect(1, 74868, '\p{Script=cuneiform}', "");
Expect(0, 74868, '\p{^Script=cuneiform}', "");
Expect(0, 74868, '\P{Script=cuneiform}', "");
Expect(1, 74868, '\P{^Script=cuneiform}', "");
Expect(0, 74869, '\p{Script=cuneiform}', "");
Expect(1, 74869, '\p{^Script=cuneiform}', "");
Expect(1, 74869, '\P{Script=cuneiform}', "");
Expect(0, 74869, '\P{^Script=cuneiform}', "");
Expect(1, 74868, '\p{Script=	cuneiform}', "");
Expect(0, 74868, '\p{^Script=	cuneiform}', "");
Expect(0, 74868, '\P{Script=	cuneiform}', "");
Expect(1, 74868, '\P{^Script=	cuneiform}', "");
Expect(0, 74869, '\p{Script=	cuneiform}', "");
Expect(1, 74869, '\p{^Script=	cuneiform}', "");
Expect(1, 74869, '\P{Script=	cuneiform}', "");
Expect(0, 74869, '\P{^Script=	cuneiform}', "");
Error('\p{Sc=/a/		XSUX}');
Error('\P{Sc=/a/		XSUX}');
Expect(1, 74868, '\p{Sc=xsux}', "");
Expect(0, 74868, '\p{^Sc=xsux}', "");
Expect(0, 74868, '\P{Sc=xsux}', "");
Expect(1, 74868, '\P{^Sc=xsux}', "");
Expect(0, 74869, '\p{Sc=xsux}', "");
Expect(1, 74869, '\p{^Sc=xsux}', "");
Expect(1, 74869, '\P{Sc=xsux}', "");
Expect(0, 74869, '\P{^Sc=xsux}', "");
Expect(1, 74868, '\p{Sc=--xsux}', "");
Expect(0, 74868, '\p{^Sc=--xsux}', "");
Expect(0, 74868, '\P{Sc=--xsux}', "");
Expect(1, 74868, '\P{^Sc=--xsux}', "");
Expect(0, 74869, '\p{Sc=--xsux}', "");
Expect(1, 74869, '\p{^Sc=--xsux}', "");
Expect(1, 74869, '\P{Sc=--xsux}', "");
Expect(0, 74869, '\P{^Sc=--xsux}', "");
Error('\p{Is_Script=:=  Cuneiform}');
Error('\P{Is_Script=:=  Cuneiform}');
Expect(1, 74868, '\p{Is_Script=cuneiform}', "");
Expect(0, 74868, '\p{^Is_Script=cuneiform}', "");
Expect(0, 74868, '\P{Is_Script=cuneiform}', "");
Expect(1, 74868, '\P{^Is_Script=cuneiform}', "");
Expect(0, 74869, '\p{Is_Script=cuneiform}', "");
Expect(1, 74869, '\p{^Is_Script=cuneiform}', "");
Expect(1, 74869, '\P{Is_Script=cuneiform}', "");
Expect(0, 74869, '\P{^Is_Script=cuneiform}', "");
Expect(1, 74868, '\p{Is_Script=-Cuneiform}', "");
Expect(0, 74868, '\p{^Is_Script=-Cuneiform}', "");
Expect(0, 74868, '\P{Is_Script=-Cuneiform}', "");
Expect(1, 74868, '\P{^Is_Script=-Cuneiform}', "");
Expect(0, 74869, '\p{Is_Script=-Cuneiform}', "");
Expect(1, 74869, '\p{^Is_Script=-Cuneiform}', "");
Expect(1, 74869, '\P{Is_Script=-Cuneiform}', "");
Expect(0, 74869, '\P{^Is_Script=-Cuneiform}', "");
Error('\p{Is_Sc=_/a/xsux}');
Error('\P{Is_Sc=_/a/xsux}');
Expect(1, 74868, '\p{Is_Sc=xsux}', "");
Expect(0, 74868, '\p{^Is_Sc=xsux}', "");
Expect(0, 74868, '\P{Is_Sc=xsux}', "");
Expect(1, 74868, '\P{^Is_Sc=xsux}', "");
Expect(0, 74869, '\p{Is_Sc=xsux}', "");
Expect(1, 74869, '\p{^Is_Sc=xsux}', "");
Expect(1, 74869, '\P{Is_Sc=xsux}', "");
Expect(0, 74869, '\P{^Is_Sc=xsux}', "");
Expect(1, 74868, '\p{Is_Sc=_	Xsux}', "");
Expect(0, 74868, '\p{^Is_Sc=_	Xsux}', "");
Expect(0, 74868, '\P{Is_Sc=_	Xsux}', "");
Expect(1, 74868, '\P{^Is_Sc=_	Xsux}', "");
Expect(0, 74869, '\p{Is_Sc=_	Xsux}', "");
Expect(1, 74869, '\p{^Is_Sc=_	Xsux}', "");
Expect(1, 74869, '\P{Is_Sc=_	Xsux}', "");
Expect(0, 74869, '\P{^Is_Sc=_	Xsux}', "");
Error('\p{Script= YI/a/}');
Error('\P{Script= YI/a/}');
Expect(1, 42182, '\p{Script: yi}', "");
Expect(0, 42182, '\p{^Script: yi}', "");
Expect(0, 42182, '\P{Script: yi}', "");
Expect(1, 42182, '\P{^Script: yi}', "");
Expect(0, 42183, '\p{Script: yi}', "");
Expect(1, 42183, '\p{^Script: yi}', "");
Expect(1, 42183, '\P{Script: yi}', "");
Expect(0, 42183, '\P{^Script: yi}', "");
Expect(1, 42182, '\p{Script=		yi}', "");
Expect(0, 42182, '\p{^Script=		yi}', "");
Expect(0, 42182, '\P{Script=		yi}', "");
Expect(1, 42182, '\P{^Script=		yi}', "");
Expect(0, 42183, '\p{Script=		yi}', "");
Expect(1, 42183, '\p{^Script=		yi}', "");
Expect(1, 42183, '\P{Script=		yi}', "");
Expect(0, 42183, '\P{^Script=		yi}', "");
Error('\p{Sc:   -Yiii:=}');
Error('\P{Sc:   -Yiii:=}');
Expect(1, 42182, '\p{Sc=yiii}', "");
Expect(0, 42182, '\p{^Sc=yiii}', "");
Expect(0, 42182, '\P{Sc=yiii}', "");
Expect(1, 42182, '\P{^Sc=yiii}', "");
Expect(0, 42183, '\p{Sc=yiii}', "");
Expect(1, 42183, '\p{^Sc=yiii}', "");
Expect(1, 42183, '\P{Sc=yiii}', "");
Expect(0, 42183, '\P{^Sc=yiii}', "");
Expect(1, 42182, '\p{Sc= _YIII}', "");
Expect(0, 42182, '\p{^Sc= _YIII}', "");
Expect(0, 42182, '\P{Sc= _YIII}', "");
Expect(1, 42182, '\P{^Sc= _YIII}', "");
Expect(0, 42183, '\p{Sc= _YIII}', "");
Expect(1, 42183, '\p{^Sc= _YIII}', "");
Expect(1, 42183, '\P{Sc= _YIII}', "");
Expect(0, 42183, '\P{^Sc= _YIII}', "");
Error('\p{Is_Script= Yi:=}');
Error('\P{Is_Script= Yi:=}');
Expect(1, 42182, '\p{Is_Script: yi}', "");
Expect(0, 42182, '\p{^Is_Script: yi}', "");
Expect(0, 42182, '\P{Is_Script: yi}', "");
Expect(1, 42182, '\P{^Is_Script: yi}', "");
Expect(0, 42183, '\p{Is_Script: yi}', "");
Expect(1, 42183, '\p{^Is_Script: yi}', "");
Expect(1, 42183, '\P{Is_Script: yi}', "");
Expect(0, 42183, '\P{^Is_Script: yi}', "");
Expect(1, 42182, '\p{Is_Script=-Yi}', "");
Expect(0, 42182, '\p{^Is_Script=-Yi}', "");
Expect(0, 42182, '\P{Is_Script=-Yi}', "");
Expect(1, 42182, '\P{^Is_Script=-Yi}', "");
Expect(0, 42183, '\p{Is_Script=-Yi}', "");
Expect(1, 42183, '\p{^Is_Script=-Yi}', "");
Expect(1, 42183, '\P{Is_Script=-Yi}', "");
Expect(0, 42183, '\P{^Is_Script=-Yi}', "");
Error('\p{Is_Sc=:=_	Yiii}');
Error('\P{Is_Sc=:=_	Yiii}');
Expect(1, 42182, '\p{Is_Sc=yiii}', "");
Expect(0, 42182, '\p{^Is_Sc=yiii}', "");
Expect(0, 42182, '\P{Is_Sc=yiii}', "");
Expect(1, 42182, '\P{^Is_Sc=yiii}', "");
Expect(0, 42183, '\p{Is_Sc=yiii}', "");
Expect(1, 42183, '\p{^Is_Sc=yiii}', "");
Expect(1, 42183, '\P{Is_Sc=yiii}', "");
Expect(0, 42183, '\P{^Is_Sc=yiii}', "");
Expect(1, 42182, '\p{Is_Sc= _Yiii}', "");
Expect(0, 42182, '\p{^Is_Sc= _Yiii}', "");
Expect(0, 42182, '\P{Is_Sc= _Yiii}', "");
Expect(1, 42182, '\P{^Is_Sc= _Yiii}', "");
Expect(0, 42183, '\p{Is_Sc= _Yiii}', "");
Expect(1, 42183, '\p{^Is_Sc= _Yiii}', "");
Expect(1, 42183, '\P{Is_Sc= _Yiii}', "");
Expect(0, 42183, '\P{^Is_Sc= _Yiii}', "");
Error('\p{Script=-Inherited:=}');
Error('\P{Script=-Inherited:=}');
Expect(1, 917999, '\p{Script:inherited}', "");
Expect(0, 917999, '\p{^Script:inherited}', "");
Expect(0, 917999, '\P{Script:inherited}', "");
Expect(1, 917999, '\P{^Script:inherited}', "");
Expect(0, 918000, '\p{Script:inherited}', "");
Expect(1, 918000, '\p{^Script:inherited}', "");
Expect(1, 918000, '\P{Script:inherited}', "");
Expect(0, 918000, '\P{^Script:inherited}', "");
Expect(1, 917999, '\p{Script= _Inherited}', "");
Expect(0, 917999, '\p{^Script= _Inherited}', "");
Expect(0, 917999, '\P{Script= _Inherited}', "");
Expect(1, 917999, '\P{^Script= _Inherited}', "");
Expect(0, 918000, '\p{Script= _Inherited}', "");
Expect(1, 918000, '\p{^Script= _Inherited}', "");
Expect(1, 918000, '\P{Script= _Inherited}', "");
Expect(0, 918000, '\P{^Script= _Inherited}', "");
Error('\p{Sc=/a/-zinh}');
Error('\P{Sc=/a/-zinh}');
Expect(1, 917999, '\p{Sc:   zinh}', "");
Expect(0, 917999, '\p{^Sc:   zinh}', "");
Expect(0, 917999, '\P{Sc:   zinh}', "");
Expect(1, 917999, '\P{^Sc:   zinh}', "");
Expect(0, 918000, '\p{Sc:   zinh}', "");
Expect(1, 918000, '\p{^Sc:   zinh}', "");
Expect(1, 918000, '\P{Sc:   zinh}', "");
Expect(0, 918000, '\P{^Sc:   zinh}', "");
Expect(1, 917999, '\p{Sc=	_zinh}', "");
Expect(0, 917999, '\p{^Sc=	_zinh}', "");
Expect(0, 917999, '\P{Sc=	_zinh}', "");
Expect(1, 917999, '\P{^Sc=	_zinh}', "");
Expect(0, 918000, '\p{Sc=	_zinh}', "");
Expect(1, 918000, '\p{^Sc=	_zinh}', "");
Expect(1, 918000, '\P{Sc=	_zinh}', "");
Expect(0, 918000, '\P{^Sc=	_zinh}', "");
Error('\p{Is_Script=_/a/qaai}');
Error('\P{Is_Script=_/a/qaai}');
Expect(1, 917999, '\p{Is_Script=qaai}', "");
Expect(0, 917999, '\p{^Is_Script=qaai}', "");
Expect(0, 917999, '\P{Is_Script=qaai}', "");
Expect(1, 917999, '\P{^Is_Script=qaai}', "");
Expect(0, 918000, '\p{Is_Script=qaai}', "");
Expect(1, 918000, '\p{^Is_Script=qaai}', "");
Expect(1, 918000, '\P{Is_Script=qaai}', "");
Expect(0, 918000, '\P{^Is_Script=qaai}', "");
Expect(1, 917999, '\p{Is_Script=	 Qaai}', "");
Expect(0, 917999, '\p{^Is_Script=	 Qaai}', "");
Expect(0, 917999, '\P{Is_Script=	 Qaai}', "");
Expect(1, 917999, '\P{^Is_Script=	 Qaai}', "");
Expect(0, 918000, '\p{Is_Script=	 Qaai}', "");
Expect(1, 918000, '\p{^Is_Script=	 Qaai}', "");
Expect(1, 918000, '\P{Is_Script=	 Qaai}', "");
Expect(0, 918000, '\P{^Is_Script=	 Qaai}', "");
Error('\p{Is_Sc=	 INHERITED:=}');
Error('\P{Is_Sc=	 INHERITED:=}');
Expect(1, 917999, '\p{Is_Sc=inherited}', "");
Expect(0, 917999, '\p{^Is_Sc=inherited}', "");
Expect(0, 917999, '\P{Is_Sc=inherited}', "");
Expect(1, 917999, '\P{^Is_Sc=inherited}', "");
Expect(0, 918000, '\p{Is_Sc=inherited}', "");
Expect(1, 918000, '\p{^Is_Sc=inherited}', "");
Expect(1, 918000, '\P{Is_Sc=inherited}', "");
Expect(0, 918000, '\P{^Is_Sc=inherited}', "");
Expect(1, 917999, '\p{Is_Sc= _Inherited}', "");
Expect(0, 917999, '\p{^Is_Sc= _Inherited}', "");
Expect(0, 917999, '\P{Is_Sc= _Inherited}', "");
Expect(1, 917999, '\P{^Is_Sc= _Inherited}', "");
Expect(0, 918000, '\p{Is_Sc= _Inherited}', "");
Expect(1, 918000, '\p{^Is_Sc= _Inherited}', "");
Expect(1, 918000, '\P{Is_Sc= _Inherited}', "");
Expect(0, 918000, '\P{^Is_Sc= _Inherited}', "");
Error('\p{Script::=common}');
Error('\P{Script::=common}');
Expect(1, 917631, '\p{Script=common}', "");
Expect(0, 917631, '\p{^Script=common}', "");
Expect(0, 917631, '\P{Script=common}', "");
Expect(1, 917631, '\P{^Script=common}', "");
Expect(0, 917632, '\p{Script=common}', "");
Expect(1, 917632, '\p{^Script=common}', "");
Expect(1, 917632, '\P{Script=common}', "");
Expect(0, 917632, '\P{^Script=common}', "");
Expect(1, 917631, '\p{Script=-	Common}', "");
Expect(0, 917631, '\p{^Script=-	Common}', "");
Expect(0, 917631, '\P{Script=-	Common}', "");
Expect(1, 917631, '\P{^Script=-	Common}', "");
Expect(0, 917632, '\p{Script=-	Common}', "");
Expect(1, 917632, '\p{^Script=-	Common}', "");
Expect(1, 917632, '\P{Script=-	Common}', "");
Expect(0, 917632, '\P{^Script=-	Common}', "");
Error('\p{Sc:/a/		Zyyy}');
Error('\P{Sc:/a/		Zyyy}');
Expect(1, 917631, '\p{Sc:   zyyy}', "");
Expect(0, 917631, '\p{^Sc:   zyyy}', "");
Expect(0, 917631, '\P{Sc:   zyyy}', "");
Expect(1, 917631, '\P{^Sc:   zyyy}', "");
Expect(0, 917632, '\p{Sc:   zyyy}', "");
Expect(1, 917632, '\p{^Sc:   zyyy}', "");
Expect(1, 917632, '\P{Sc:   zyyy}', "");
Expect(0, 917632, '\P{^Sc:   zyyy}', "");
Error('\p{Is_Script=_Common/a/}');
Error('\P{Is_Script=_Common/a/}');
Expect(1, 917631, '\p{Is_Script=common}', "");
Expect(0, 917631, '\p{^Is_Script=common}', "");
Expect(0, 917631, '\P{Is_Script=common}', "");
Expect(1, 917631, '\P{^Is_Script=common}', "");
Expect(0, 917632, '\p{Is_Script=common}', "");
Expect(1, 917632, '\p{^Is_Script=common}', "");
Expect(1, 917632, '\P{Is_Script=common}', "");
Expect(0, 917632, '\P{^Is_Script=common}', "");
Expect(1, 917631, '\p{Is_Script=_Common}', "");
Expect(0, 917631, '\p{^Is_Script=_Common}', "");
Expect(0, 917631, '\P{Is_Script=_Common}', "");
Expect(1, 917631, '\P{^Is_Script=_Common}', "");
Expect(0, 917632, '\p{Is_Script=_Common}', "");
Expect(1, 917632, '\p{^Is_Script=_Common}', "");
Expect(1, 917632, '\P{Is_Script=_Common}', "");
Expect(0, 917632, '\P{^Is_Script=_Common}', "");
Error('\p{Is_Sc:   _/a/Zyyy}');
Error('\P{Is_Sc:   _/a/Zyyy}');
Expect(1, 917631, '\p{Is_Sc=zyyy}', "");
Expect(0, 917631, '\p{^Is_Sc=zyyy}', "");
Expect(0, 917631, '\P{Is_Sc=zyyy}', "");
Expect(1, 917631, '\P{^Is_Sc=zyyy}', "");
Expect(0, 917632, '\p{Is_Sc=zyyy}', "");
Expect(1, 917632, '\p{^Is_Sc=zyyy}', "");
Expect(1, 917632, '\P{Is_Sc=zyyy}', "");
Expect(0, 917632, '\P{^Is_Sc=zyyy}', "");
Error('\p{Script=-unknown/a/}');
Error('\P{Script=-unknown/a/}');
Expect(1, 918000, '\p{Script:unknown}', "");
Expect(0, 918000, '\p{^Script:unknown}', "");
Expect(0, 918000, '\P{Script:unknown}', "");
Expect(1, 918000, '\P{^Script:unknown}', "");
Expect(0, 917999, '\p{Script:unknown}', "");
Expect(1, 917999, '\p{^Script:unknown}', "");
Expect(1, 917999, '\P{Script:unknown}', "");
Expect(0, 917999, '\P{^Script:unknown}', "");
Expect(1, 918000, '\p{Script=_UNKNOWN}', "");
Expect(0, 918000, '\p{^Script=_UNKNOWN}', "");
Expect(0, 918000, '\P{Script=_UNKNOWN}', "");
Expect(1, 918000, '\P{^Script=_UNKNOWN}', "");
Expect(0, 917999, '\p{Script=_UNKNOWN}', "");
Expect(1, 917999, '\p{^Script=_UNKNOWN}', "");
Expect(1, 917999, '\P{Script=_UNKNOWN}', "");
Expect(0, 917999, '\P{^Script=_UNKNOWN}', "");
Error('\p{Sc= Zzzz:=}');
Error('\P{Sc= Zzzz:=}');
Expect(1, 918000, '\p{Sc:	zzzz}', "");
Expect(0, 918000, '\p{^Sc:	zzzz}', "");
Expect(0, 918000, '\P{Sc:	zzzz}', "");
Expect(1, 918000, '\P{^Sc:	zzzz}', "");
Expect(0, 917999, '\p{Sc:	zzzz}', "");
Expect(1, 917999, '\p{^Sc:	zzzz}', "");
Expect(1, 917999, '\P{Sc:	zzzz}', "");
Expect(0, 917999, '\P{^Sc:	zzzz}', "");
Expect(1, 918000, '\p{Sc=-	zzzz}', "");
Expect(0, 918000, '\p{^Sc=-	zzzz}', "");
Expect(0, 918000, '\P{Sc=-	zzzz}', "");
Expect(1, 918000, '\P{^Sc=-	zzzz}', "");
Expect(0, 917999, '\p{Sc=-	zzzz}', "");
Expect(1, 917999, '\p{^Sc=-	zzzz}', "");
Expect(1, 917999, '\P{Sc=-	zzzz}', "");
Expect(0, 917999, '\P{^Sc=-	zzzz}', "");
Error('\p{Is_Script= _Unknown:=}');
Error('\P{Is_Script= _Unknown:=}');
Expect(1, 918000, '\p{Is_Script=unknown}', "");
Expect(0, 918000, '\p{^Is_Script=unknown}', "");
Expect(0, 918000, '\P{Is_Script=unknown}', "");
Expect(1, 918000, '\P{^Is_Script=unknown}', "");
Expect(0, 917999, '\p{Is_Script=unknown}', "");
Expect(1, 917999, '\p{^Is_Script=unknown}', "");
Expect(1, 917999, '\P{Is_Script=unknown}', "");
Expect(0, 917999, '\P{^Is_Script=unknown}', "");
Expect(1, 918000, '\p{Is_Script=--UNKNOWN}', "");
Expect(0, 918000, '\p{^Is_Script=--UNKNOWN}', "");
Expect(0, 918000, '\P{Is_Script=--UNKNOWN}', "");
Expect(1, 918000, '\P{^Is_Script=--UNKNOWN}', "");
Expect(0, 917999, '\p{Is_Script=--UNKNOWN}', "");
Expect(1, 917999, '\p{^Is_Script=--UNKNOWN}', "");
Expect(1, 917999, '\P{Is_Script=--UNKNOWN}', "");
Expect(0, 917999, '\P{^Is_Script=--UNKNOWN}', "");
Error('\p{Is_Sc=:=	Zzzz}');
Error('\P{Is_Sc=:=	Zzzz}');
Expect(1, 918000, '\p{Is_Sc:   zzzz}', "");
Expect(0, 918000, '\p{^Is_Sc:   zzzz}', "");
Expect(0, 918000, '\P{Is_Sc:   zzzz}', "");
Expect(1, 918000, '\P{^Is_Sc:   zzzz}', "");
Expect(0, 917999, '\p{Is_Sc:   zzzz}', "");
Expect(1, 917999, '\p{^Is_Sc:   zzzz}', "");
Expect(1, 917999, '\P{Is_Sc:   zzzz}', "");
Expect(0, 917999, '\P{^Is_Sc:   zzzz}', "");
Expect(1, 918000, '\p{Is_Sc= zzzz}', "");
Expect(0, 918000, '\p{^Is_Sc= zzzz}', "");
Expect(0, 918000, '\P{Is_Sc= zzzz}', "");
Expect(1, 918000, '\P{^Is_Sc= zzzz}', "");
Expect(0, 917999, '\p{Is_Sc= zzzz}', "");
Expect(1, 917999, '\p{^Is_Sc= zzzz}', "");
Expect(1, 917999, '\P{Is_Sc= zzzz}', "");
Expect(0, 917999, '\P{^Is_Sc= zzzz}', "");
Error('\p{Script_Extensions= _caucasian_ALBANIAN/a/}');
Error('\P{Script_Extensions= _caucasian_ALBANIAN/a/}');
Expect(1, 66927, '\p{Script_Extensions=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Script_Extensions=caucasianalbanian}', "");
Expect(0, 66927, '\P{Script_Extensions=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Script_Extensions=caucasianalbanian}', "");
Expect(0, 66928, '\p{Script_Extensions=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Script_Extensions=caucasianalbanian}', "");
Expect(1, 66928, '\P{Script_Extensions=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Script_Extensions=caucasianalbanian}', "");
Expect(1, 66927, '\p{Script_Extensions:	caucasian_albanian}', "");
Expect(0, 66927, '\p{^Script_Extensions:	caucasian_albanian}', "");
Expect(0, 66927, '\P{Script_Extensions:	caucasian_albanian}', "");
Expect(1, 66927, '\P{^Script_Extensions:	caucasian_albanian}', "");
Expect(0, 66928, '\p{Script_Extensions:	caucasian_albanian}', "");
Expect(1, 66928, '\p{^Script_Extensions:	caucasian_albanian}', "");
Expect(1, 66928, '\P{Script_Extensions:	caucasian_albanian}', "");
Expect(0, 66928, '\P{^Script_Extensions:	caucasian_albanian}', "");
Error('\p{Scx=	aghb:=}');
Error('\P{Scx=	aghb:=}');
Expect(1, 66927, '\p{Scx=aghb}', "");
Expect(0, 66927, '\p{^Scx=aghb}', "");
Expect(0, 66927, '\P{Scx=aghb}', "");
Expect(1, 66927, '\P{^Scx=aghb}', "");
Expect(0, 66928, '\p{Scx=aghb}', "");
Expect(1, 66928, '\p{^Scx=aghb}', "");
Expect(1, 66928, '\P{Scx=aghb}', "");
Expect(0, 66928, '\P{^Scx=aghb}', "");
Expect(1, 66927, '\p{Scx:   	aghb}', "");
Expect(0, 66927, '\p{^Scx:   	aghb}', "");
Expect(0, 66927, '\P{Scx:   	aghb}', "");
Expect(1, 66927, '\P{^Scx:   	aghb}', "");
Expect(0, 66928, '\p{Scx:   	aghb}', "");
Expect(1, 66928, '\p{^Scx:   	aghb}', "");
Expect(1, 66928, '\P{Scx:   	aghb}', "");
Expect(0, 66928, '\P{^Scx:   	aghb}', "");
Error('\p{Is_Script_Extensions=/a/ 	Caucasian_Albanian}');
Error('\P{Is_Script_Extensions=/a/ 	Caucasian_Albanian}');
Expect(1, 66927, '\p{Is_Script_Extensions=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Is_Script_Extensions=caucasianalbanian}', "");
Expect(0, 66927, '\P{Is_Script_Extensions=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Is_Script_Extensions=caucasianalbanian}', "");
Expect(0, 66928, '\p{Is_Script_Extensions=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Is_Script_Extensions=caucasianalbanian}', "");
Expect(1, 66928, '\P{Is_Script_Extensions=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Is_Script_Extensions=caucasianalbanian}', "");
Expect(1, 66927, '\p{Is_Script_Extensions=		CAUCASIAN_albanian}', "");
Expect(0, 66927, '\p{^Is_Script_Extensions=		CAUCASIAN_albanian}', "");
Expect(0, 66927, '\P{Is_Script_Extensions=		CAUCASIAN_albanian}', "");
Expect(1, 66927, '\P{^Is_Script_Extensions=		CAUCASIAN_albanian}', "");
Expect(0, 66928, '\p{Is_Script_Extensions=		CAUCASIAN_albanian}', "");
Expect(1, 66928, '\p{^Is_Script_Extensions=		CAUCASIAN_albanian}', "");
Expect(1, 66928, '\P{Is_Script_Extensions=		CAUCASIAN_albanian}', "");
Expect(0, 66928, '\P{^Is_Script_Extensions=		CAUCASIAN_albanian}', "");
Error('\p{Is_Scx=-/a/Aghb}');
Error('\P{Is_Scx=-/a/Aghb}');
Expect(1, 66927, '\p{Is_Scx=aghb}', "");
Expect(0, 66927, '\p{^Is_Scx=aghb}', "");
Expect(0, 66927, '\P{Is_Scx=aghb}', "");
Expect(1, 66927, '\P{^Is_Scx=aghb}', "");
Expect(0, 66928, '\p{Is_Scx=aghb}', "");
Expect(1, 66928, '\p{^Is_Scx=aghb}', "");
Expect(1, 66928, '\P{Is_Scx=aghb}', "");
Expect(0, 66928, '\P{^Is_Scx=aghb}', "");
Expect(1, 66927, '\p{Is_Scx:	  aghb}', "");
Expect(0, 66927, '\p{^Is_Scx:	  aghb}', "");
Expect(0, 66927, '\P{Is_Scx:	  aghb}', "");
Expect(1, 66927, '\P{^Is_Scx:	  aghb}', "");
Expect(0, 66928, '\p{Is_Scx:	  aghb}', "");
Expect(1, 66928, '\p{^Is_Scx:	  aghb}', "");
Expect(1, 66928, '\P{Is_Scx:	  aghb}', "");
Expect(0, 66928, '\P{^Is_Scx:	  aghb}', "");
Error('\p{Script_Extensions=:=  arabic}');
Error('\P{Script_Extensions=:=  arabic}');
Expect(1, 126705, '\p{Script_Extensions=arabic}', "");
Expect(0, 126705, '\p{^Script_Extensions=arabic}', "");
Expect(0, 126705, '\P{Script_Extensions=arabic}', "");
Expect(1, 126705, '\P{^Script_Extensions=arabic}', "");
Expect(0, 126706, '\p{Script_Extensions=arabic}', "");
Expect(1, 126706, '\p{^Script_Extensions=arabic}', "");
Expect(1, 126706, '\P{Script_Extensions=arabic}', "");
Expect(0, 126706, '\P{^Script_Extensions=arabic}', "");
Expect(1, 126705, '\p{Script_Extensions=  arabic}', "");
Expect(0, 126705, '\p{^Script_Extensions=  arabic}', "");
Expect(0, 126705, '\P{Script_Extensions=  arabic}', "");
Expect(1, 126705, '\P{^Script_Extensions=  arabic}', "");
Expect(0, 126706, '\p{Script_Extensions=  arabic}', "");
Expect(1, 126706, '\p{^Script_Extensions=  arabic}', "");
Expect(1, 126706, '\P{Script_Extensions=  arabic}', "");
Expect(0, 126706, '\P{^Script_Extensions=  arabic}', "");
Error('\p{Scx=_ ARAB/a/}');
Error('\P{Scx=_ ARAB/a/}');
Expect(1, 126705, '\p{Scx=arab}', "");
Expect(0, 126705, '\p{^Scx=arab}', "");
Expect(0, 126705, '\P{Scx=arab}', "");
Expect(1, 126705, '\P{^Scx=arab}', "");
Expect(0, 126706, '\p{Scx=arab}', "");
Expect(1, 126706, '\p{^Scx=arab}', "");
Expect(1, 126706, '\P{Scx=arab}', "");
Expect(0, 126706, '\P{^Scx=arab}', "");
Expect(1, 126705, '\p{Scx=		ARAB}', "");
Expect(0, 126705, '\p{^Scx=		ARAB}', "");
Expect(0, 126705, '\P{Scx=		ARAB}', "");
Expect(1, 126705, '\P{^Scx=		ARAB}', "");
Expect(0, 126706, '\p{Scx=		ARAB}', "");
Expect(1, 126706, '\p{^Scx=		ARAB}', "");
Expect(1, 126706, '\P{Scx=		ARAB}', "");
Expect(0, 126706, '\P{^Scx=		ARAB}', "");
Error('\p{Is_Script_Extensions=:=-	ARABIC}');
Error('\P{Is_Script_Extensions=:=-	ARABIC}');
Expect(1, 126705, '\p{Is_Script_Extensions=arabic}', "");
Expect(0, 126705, '\p{^Is_Script_Extensions=arabic}', "");
Expect(0, 126705, '\P{Is_Script_Extensions=arabic}', "");
Expect(1, 126705, '\P{^Is_Script_Extensions=arabic}', "");
Expect(0, 126706, '\p{Is_Script_Extensions=arabic}', "");
Expect(1, 126706, '\p{^Is_Script_Extensions=arabic}', "");
Expect(1, 126706, '\P{Is_Script_Extensions=arabic}', "");
Expect(0, 126706, '\P{^Is_Script_Extensions=arabic}', "");
Expect(1, 126705, '\p{Is_Script_Extensions=  arabic}', "");
Expect(0, 126705, '\p{^Is_Script_Extensions=  arabic}', "");
Expect(0, 126705, '\P{Is_Script_Extensions=  arabic}', "");
Expect(1, 126705, '\P{^Is_Script_Extensions=  arabic}', "");
Expect(0, 126706, '\p{Is_Script_Extensions=  arabic}', "");
Expect(1, 126706, '\p{^Is_Script_Extensions=  arabic}', "");
Expect(1, 126706, '\P{Is_Script_Extensions=  arabic}', "");
Expect(0, 126706, '\P{^Is_Script_Extensions=  arabic}', "");
Error('\p{Is_Scx=:=  Arab}');
Error('\P{Is_Scx=:=  Arab}');
Expect(1, 126705, '\p{Is_Scx=arab}', "");
Expect(0, 126705, '\p{^Is_Scx=arab}', "");
Expect(0, 126705, '\P{Is_Scx=arab}', "");
Expect(1, 126705, '\P{^Is_Scx=arab}', "");
Expect(0, 126706, '\p{Is_Scx=arab}', "");
Expect(1, 126706, '\p{^Is_Scx=arab}', "");
Expect(1, 126706, '\P{Is_Scx=arab}', "");
Expect(0, 126706, '\P{^Is_Scx=arab}', "");
Expect(1, 126705, '\p{Is_Scx=__Arab}', "");
Expect(0, 126705, '\p{^Is_Scx=__Arab}', "");
Expect(0, 126705, '\P{Is_Scx=__Arab}', "");
Expect(1, 126705, '\P{^Is_Scx=__Arab}', "");
Expect(0, 126706, '\p{Is_Scx=__Arab}', "");
Expect(1, 126706, '\p{^Is_Scx=__Arab}', "");
Expect(1, 126706, '\P{Is_Scx=__Arab}', "");
Expect(0, 126706, '\P{^Is_Scx=__Arab}', "");
Error('\p{Script_Extensions=-	Imperial_aramaic/a/}');
Error('\P{Script_Extensions=-	Imperial_aramaic/a/}');
Expect(1, 67679, '\p{Script_Extensions=imperialaramaic}', "");
Expect(0, 67679, '\p{^Script_Extensions=imperialaramaic}', "");
Expect(0, 67679, '\P{Script_Extensions=imperialaramaic}', "");
Expect(1, 67679, '\P{^Script_Extensions=imperialaramaic}', "");
Expect(0, 67680, '\p{Script_Extensions=imperialaramaic}', "");
Expect(1, 67680, '\p{^Script_Extensions=imperialaramaic}', "");
Expect(1, 67680, '\P{Script_Extensions=imperialaramaic}', "");
Expect(0, 67680, '\P{^Script_Extensions=imperialaramaic}', "");
Expect(1, 67679, '\p{Script_Extensions=-_IMPERIAL_Aramaic}', "");
Expect(0, 67679, '\p{^Script_Extensions=-_IMPERIAL_Aramaic}', "");
Expect(0, 67679, '\P{Script_Extensions=-_IMPERIAL_Aramaic}', "");
Expect(1, 67679, '\P{^Script_Extensions=-_IMPERIAL_Aramaic}', "");
Expect(0, 67680, '\p{Script_Extensions=-_IMPERIAL_Aramaic}', "");
Expect(1, 67680, '\p{^Script_Extensions=-_IMPERIAL_Aramaic}', "");
Expect(1, 67680, '\P{Script_Extensions=-_IMPERIAL_Aramaic}', "");
Expect(0, 67680, '\P{^Script_Extensions=-_IMPERIAL_Aramaic}', "");
Error('\p{Scx=	 Armi/a/}');
Error('\P{Scx=	 Armi/a/}');
Expect(1, 67679, '\p{Scx=armi}', "");
Expect(0, 67679, '\p{^Scx=armi}', "");
Expect(0, 67679, '\P{Scx=armi}', "");
Expect(1, 67679, '\P{^Scx=armi}', "");
Expect(0, 67680, '\p{Scx=armi}', "");
Expect(1, 67680, '\p{^Scx=armi}', "");
Expect(1, 67680, '\P{Scx=armi}', "");
Expect(0, 67680, '\P{^Scx=armi}', "");
Expect(1, 67679, '\p{Scx=_armi}', "");
Expect(0, 67679, '\p{^Scx=_armi}', "");
Expect(0, 67679, '\P{Scx=_armi}', "");
Expect(1, 67679, '\P{^Scx=_armi}', "");
Expect(0, 67680, '\p{Scx=_armi}', "");
Expect(1, 67680, '\p{^Scx=_armi}', "");
Expect(1, 67680, '\P{Scx=_armi}', "");
Expect(0, 67680, '\P{^Scx=_armi}', "");
Error('\p{Is_Script_Extensions=		Imperial_ARAMAIC:=}');
Error('\P{Is_Script_Extensions=		Imperial_ARAMAIC:=}');
Expect(1, 67679, '\p{Is_Script_Extensions=imperialaramaic}', "");
Expect(0, 67679, '\p{^Is_Script_Extensions=imperialaramaic}', "");
Expect(0, 67679, '\P{Is_Script_Extensions=imperialaramaic}', "");
Expect(1, 67679, '\P{^Is_Script_Extensions=imperialaramaic}', "");
Expect(0, 67680, '\p{Is_Script_Extensions=imperialaramaic}', "");
Expect(1, 67680, '\p{^Is_Script_Extensions=imperialaramaic}', "");
Expect(1, 67680, '\P{Is_Script_Extensions=imperialaramaic}', "");
Expect(0, 67680, '\P{^Is_Script_Extensions=imperialaramaic}', "");
Expect(1, 67679, '\p{Is_Script_Extensions=	_imperial_Aramaic}', "");
Expect(0, 67679, '\p{^Is_Script_Extensions=	_imperial_Aramaic}', "");
Expect(0, 67679, '\P{Is_Script_Extensions=	_imperial_Aramaic}', "");
Expect(1, 67679, '\P{^Is_Script_Extensions=	_imperial_Aramaic}', "");
Expect(0, 67680, '\p{Is_Script_Extensions=	_imperial_Aramaic}', "");
Expect(1, 67680, '\p{^Is_Script_Extensions=	_imperial_Aramaic}', "");
Expect(1, 67680, '\P{Is_Script_Extensions=	_imperial_Aramaic}', "");
Expect(0, 67680, '\P{^Is_Script_Extensions=	_imperial_Aramaic}', "");
Error('\p{Is_Scx=/a/_Armi}');
Error('\P{Is_Scx=/a/_Armi}');
Expect(1, 67679, '\p{Is_Scx=armi}', "");
Expect(0, 67679, '\p{^Is_Scx=armi}', "");
Expect(0, 67679, '\P{Is_Scx=armi}', "");
Expect(1, 67679, '\P{^Is_Scx=armi}', "");
Expect(0, 67680, '\p{Is_Scx=armi}', "");
Expect(1, 67680, '\p{^Is_Scx=armi}', "");
Expect(1, 67680, '\P{Is_Scx=armi}', "");
Expect(0, 67680, '\P{^Is_Scx=armi}', "");
Expect(1, 67679, '\p{Is_Scx=	Armi}', "");
Expect(0, 67679, '\p{^Is_Scx=	Armi}', "");
Expect(0, 67679, '\P{Is_Scx=	Armi}', "");
Expect(1, 67679, '\P{^Is_Scx=	Armi}', "");
Expect(0, 67680, '\p{Is_Scx=	Armi}', "");
Expect(1, 67680, '\p{^Is_Scx=	Armi}', "");
Expect(1, 67680, '\P{Is_Scx=	Armi}', "");
Expect(0, 67680, '\P{^Is_Scx=	Armi}', "");
Error('\p{Script_Extensions=-ARMENIAN/a/}');
Error('\P{Script_Extensions=-ARMENIAN/a/}');
Expect(1, 64279, '\p{Script_Extensions=armenian}', "");
Expect(0, 64279, '\p{^Script_Extensions=armenian}', "");
Expect(0, 64279, '\P{Script_Extensions=armenian}', "");
Expect(1, 64279, '\P{^Script_Extensions=armenian}', "");
Expect(0, 64280, '\p{Script_Extensions=armenian}', "");
Expect(1, 64280, '\p{^Script_Extensions=armenian}', "");
Expect(1, 64280, '\P{Script_Extensions=armenian}', "");
Expect(0, 64280, '\P{^Script_Extensions=armenian}', "");
Expect(1, 64279, '\p{Script_Extensions:  -ARMENIAN}', "");
Expect(0, 64279, '\p{^Script_Extensions:  -ARMENIAN}', "");
Expect(0, 64279, '\P{Script_Extensions:  -ARMENIAN}', "");
Expect(1, 64279, '\P{^Script_Extensions:  -ARMENIAN}', "");
Expect(0, 64280, '\p{Script_Extensions:  -ARMENIAN}', "");
Expect(1, 64280, '\p{^Script_Extensions:  -ARMENIAN}', "");
Expect(1, 64280, '\P{Script_Extensions:  -ARMENIAN}', "");
Expect(0, 64280, '\P{^Script_Extensions:  -ARMENIAN}', "");
Error('\p{Scx= ARMN:=}');
Error('\P{Scx= ARMN:=}');
Expect(1, 64279, '\p{Scx=armn}', "");
Expect(0, 64279, '\p{^Scx=armn}', "");
Expect(0, 64279, '\P{Scx=armn}', "");
Expect(1, 64279, '\P{^Scx=armn}', "");
Expect(0, 64280, '\p{Scx=armn}', "");
Expect(1, 64280, '\p{^Scx=armn}', "");
Expect(1, 64280, '\P{Scx=armn}', "");
Expect(0, 64280, '\P{^Scx=armn}', "");
Expect(1, 64279, '\p{Scx=-	armn}', "");
Expect(0, 64279, '\p{^Scx=-	armn}', "");
Expect(0, 64279, '\P{Scx=-	armn}', "");
Expect(1, 64279, '\P{^Scx=-	armn}', "");
Expect(0, 64280, '\p{Scx=-	armn}', "");
Expect(1, 64280, '\p{^Scx=-	armn}', "");
Expect(1, 64280, '\P{Scx=-	armn}', "");
Expect(0, 64280, '\P{^Scx=-	armn}', "");
Error('\p{Is_Script_Extensions=	 Armenian/a/}');
Error('\P{Is_Script_Extensions=	 Armenian/a/}');
Expect(1, 64279, '\p{Is_Script_Extensions=armenian}', "");
Expect(0, 64279, '\p{^Is_Script_Extensions=armenian}', "");
Expect(0, 64279, '\P{Is_Script_Extensions=armenian}', "");
Expect(1, 64279, '\P{^Is_Script_Extensions=armenian}', "");
Expect(0, 64280, '\p{Is_Script_Extensions=armenian}', "");
Expect(1, 64280, '\p{^Is_Script_Extensions=armenian}', "");
Expect(1, 64280, '\P{Is_Script_Extensions=armenian}', "");
Expect(0, 64280, '\P{^Is_Script_Extensions=armenian}', "");
Expect(1, 64279, '\p{Is_Script_Extensions=--ARMENIAN}', "");
Expect(0, 64279, '\p{^Is_Script_Extensions=--ARMENIAN}', "");
Expect(0, 64279, '\P{Is_Script_Extensions=--ARMENIAN}', "");
Expect(1, 64279, '\P{^Is_Script_Extensions=--ARMENIAN}', "");
Expect(0, 64280, '\p{Is_Script_Extensions=--ARMENIAN}', "");
Expect(1, 64280, '\p{^Is_Script_Extensions=--ARMENIAN}', "");
Expect(1, 64280, '\P{Is_Script_Extensions=--ARMENIAN}', "");
Expect(0, 64280, '\P{^Is_Script_Extensions=--ARMENIAN}', "");
Error('\p{Is_Scx:	/a/Armn}');
Error('\P{Is_Scx:	/a/Armn}');
Expect(1, 64279, '\p{Is_Scx:	armn}', "");
Expect(0, 64279, '\p{^Is_Scx:	armn}', "");
Expect(0, 64279, '\P{Is_Scx:	armn}', "");
Expect(1, 64279, '\P{^Is_Scx:	armn}', "");
Expect(0, 64280, '\p{Is_Scx:	armn}', "");
Expect(1, 64280, '\p{^Is_Scx:	armn}', "");
Expect(1, 64280, '\P{Is_Scx:	armn}', "");
Expect(0, 64280, '\P{^Is_Scx:	armn}', "");
Expect(1, 64279, '\p{Is_Scx=Armn}', "");
Expect(0, 64279, '\p{^Is_Scx=Armn}', "");
Expect(0, 64279, '\P{Is_Scx=Armn}', "");
Expect(1, 64279, '\P{^Is_Scx=Armn}', "");
Expect(0, 64280, '\p{Is_Scx=Armn}', "");
Expect(1, 64280, '\p{^Is_Scx=Armn}', "");
Expect(1, 64280, '\P{Is_Scx=Armn}', "");
Expect(0, 64280, '\P{^Is_Scx=Armn}', "");
Error('\p{Script_Extensions=:=AVESTAN}');
Error('\P{Script_Extensions=:=AVESTAN}');
Expect(1, 68415, '\p{Script_Extensions=avestan}', "");
Expect(0, 68415, '\p{^Script_Extensions=avestan}', "");
Expect(0, 68415, '\P{Script_Extensions=avestan}', "");
Expect(1, 68415, '\P{^Script_Extensions=avestan}', "");
Expect(0, 68416, '\p{Script_Extensions=avestan}', "");
Expect(1, 68416, '\p{^Script_Extensions=avestan}', "");
Expect(1, 68416, '\P{Script_Extensions=avestan}', "");
Expect(0, 68416, '\P{^Script_Extensions=avestan}', "");
Expect(1, 68415, '\p{Script_Extensions=--Avestan}', "");
Expect(0, 68415, '\p{^Script_Extensions=--Avestan}', "");
Expect(0, 68415, '\P{Script_Extensions=--Avestan}', "");
Expect(1, 68415, '\P{^Script_Extensions=--Avestan}', "");
Expect(0, 68416, '\p{Script_Extensions=--Avestan}', "");
Expect(1, 68416, '\p{^Script_Extensions=--Avestan}', "");
Expect(1, 68416, '\P{Script_Extensions=--Avestan}', "");
Expect(0, 68416, '\P{^Script_Extensions=--Avestan}', "");
Error('\p{Scx=-/a/Avst}');
Error('\P{Scx=-/a/Avst}');
Expect(1, 68415, '\p{Scx=avst}', "");
Expect(0, 68415, '\p{^Scx=avst}', "");
Expect(0, 68415, '\P{Scx=avst}', "");
Expect(1, 68415, '\P{^Scx=avst}', "");
Expect(0, 68416, '\p{Scx=avst}', "");
Expect(1, 68416, '\p{^Scx=avst}', "");
Expect(1, 68416, '\P{Scx=avst}', "");
Expect(0, 68416, '\P{^Scx=avst}', "");
Expect(1, 68415, '\p{Scx= Avst}', "");
Expect(0, 68415, '\p{^Scx= Avst}', "");
Expect(0, 68415, '\P{Scx= Avst}', "");
Expect(1, 68415, '\P{^Scx= Avst}', "");
Expect(0, 68416, '\p{Scx= Avst}', "");
Expect(1, 68416, '\p{^Scx= Avst}', "");
Expect(1, 68416, '\P{Scx= Avst}', "");
Expect(0, 68416, '\P{^Scx= Avst}', "");
Error('\p{Is_Script_Extensions=-	AVESTAN:=}');
Error('\P{Is_Script_Extensions=-	AVESTAN:=}');
Expect(1, 68415, '\p{Is_Script_Extensions=avestan}', "");
Expect(0, 68415, '\p{^Is_Script_Extensions=avestan}', "");
Expect(0, 68415, '\P{Is_Script_Extensions=avestan}', "");
Expect(1, 68415, '\P{^Is_Script_Extensions=avestan}', "");
Expect(0, 68416, '\p{Is_Script_Extensions=avestan}', "");
Expect(1, 68416, '\p{^Is_Script_Extensions=avestan}', "");
Expect(1, 68416, '\P{Is_Script_Extensions=avestan}', "");
Expect(0, 68416, '\P{^Is_Script_Extensions=avestan}', "");
Expect(1, 68415, '\p{Is_Script_Extensions=_	Avestan}', "");
Expect(0, 68415, '\p{^Is_Script_Extensions=_	Avestan}', "");
Expect(0, 68415, '\P{Is_Script_Extensions=_	Avestan}', "");
Expect(1, 68415, '\P{^Is_Script_Extensions=_	Avestan}', "");
Expect(0, 68416, '\p{Is_Script_Extensions=_	Avestan}', "");
Expect(1, 68416, '\p{^Is_Script_Extensions=_	Avestan}', "");
Expect(1, 68416, '\P{Is_Script_Extensions=_	Avestan}', "");
Expect(0, 68416, '\P{^Is_Script_Extensions=_	Avestan}', "");
Error('\p{Is_Scx= :=Avst}');
Error('\P{Is_Scx= :=Avst}');
Expect(1, 68415, '\p{Is_Scx:avst}', "");
Expect(0, 68415, '\p{^Is_Scx:avst}', "");
Expect(0, 68415, '\P{Is_Scx:avst}', "");
Expect(1, 68415, '\P{^Is_Scx:avst}', "");
Expect(0, 68416, '\p{Is_Scx:avst}', "");
Expect(1, 68416, '\p{^Is_Scx:avst}', "");
Expect(1, 68416, '\P{Is_Scx:avst}', "");
Expect(0, 68416, '\P{^Is_Scx:avst}', "");
Expect(1, 68415, '\p{Is_Scx:__avst}', "");
Expect(0, 68415, '\p{^Is_Scx:__avst}', "");
Expect(0, 68415, '\P{Is_Scx:__avst}', "");
Expect(1, 68415, '\P{^Is_Scx:__avst}', "");
Expect(0, 68416, '\p{Is_Scx:__avst}', "");
Expect(1, 68416, '\p{^Is_Scx:__avst}', "");
Expect(1, 68416, '\P{Is_Scx:__avst}', "");
Expect(0, 68416, '\P{^Is_Scx:__avst}', "");
Error('\p{Script_Extensions=/a/_BALINESE}');
Error('\P{Script_Extensions=/a/_BALINESE}');
Expect(1, 7036, '\p{Script_Extensions=balinese}', "");
Expect(0, 7036, '\p{^Script_Extensions=balinese}', "");
Expect(0, 7036, '\P{Script_Extensions=balinese}', "");
Expect(1, 7036, '\P{^Script_Extensions=balinese}', "");
Expect(0, 7037, '\p{Script_Extensions=balinese}', "");
Expect(1, 7037, '\p{^Script_Extensions=balinese}', "");
Expect(1, 7037, '\P{Script_Extensions=balinese}', "");
Expect(0, 7037, '\P{^Script_Extensions=balinese}', "");
Expect(1, 7036, '\p{Script_Extensions=	balinese}', "");
Expect(0, 7036, '\p{^Script_Extensions=	balinese}', "");
Expect(0, 7036, '\P{Script_Extensions=	balinese}', "");
Expect(1, 7036, '\P{^Script_Extensions=	balinese}', "");
Expect(0, 7037, '\p{Script_Extensions=	balinese}', "");
Expect(1, 7037, '\p{^Script_Extensions=	balinese}', "");
Expect(1, 7037, '\P{Script_Extensions=	balinese}', "");
Expect(0, 7037, '\P{^Script_Extensions=	balinese}', "");
Error('\p{Scx=--BALI:=}');
Error('\P{Scx=--BALI:=}');
Expect(1, 7036, '\p{Scx=bali}', "");
Expect(0, 7036, '\p{^Scx=bali}', "");
Expect(0, 7036, '\P{Scx=bali}', "");
Expect(1, 7036, '\P{^Scx=bali}', "");
Expect(0, 7037, '\p{Scx=bali}', "");
Expect(1, 7037, '\p{^Scx=bali}', "");
Expect(1, 7037, '\P{Scx=bali}', "");
Expect(0, 7037, '\P{^Scx=bali}', "");
Expect(1, 7036, '\p{Scx=_-Bali}', "");
Expect(0, 7036, '\p{^Scx=_-Bali}', "");
Expect(0, 7036, '\P{Scx=_-Bali}', "");
Expect(1, 7036, '\P{^Scx=_-Bali}', "");
Expect(0, 7037, '\p{Scx=_-Bali}', "");
Expect(1, 7037, '\p{^Scx=_-Bali}', "");
Expect(1, 7037, '\P{Scx=_-Bali}', "");
Expect(0, 7037, '\P{^Scx=_-Bali}', "");
Error('\p{Is_Script_Extensions=_	balinese:=}');
Error('\P{Is_Script_Extensions=_	balinese:=}');
Expect(1, 7036, '\p{Is_Script_Extensions=balinese}', "");
Expect(0, 7036, '\p{^Is_Script_Extensions=balinese}', "");
Expect(0, 7036, '\P{Is_Script_Extensions=balinese}', "");
Expect(1, 7036, '\P{^Is_Script_Extensions=balinese}', "");
Expect(0, 7037, '\p{Is_Script_Extensions=balinese}', "");
Expect(1, 7037, '\p{^Is_Script_Extensions=balinese}', "");
Expect(1, 7037, '\P{Is_Script_Extensions=balinese}', "");
Expect(0, 7037, '\P{^Is_Script_Extensions=balinese}', "");
Expect(1, 7036, '\p{Is_Script_Extensions=		balinese}', "");
Expect(0, 7036, '\p{^Is_Script_Extensions=		balinese}', "");
Expect(0, 7036, '\P{Is_Script_Extensions=		balinese}', "");
Expect(1, 7036, '\P{^Is_Script_Extensions=		balinese}', "");
Expect(0, 7037, '\p{Is_Script_Extensions=		balinese}', "");
Expect(1, 7037, '\p{^Is_Script_Extensions=		balinese}', "");
Expect(1, 7037, '\P{Is_Script_Extensions=		balinese}', "");
Expect(0, 7037, '\P{^Is_Script_Extensions=		balinese}', "");
Error('\p{Is_Scx=-BALI:=}');
Error('\P{Is_Scx=-BALI:=}');
Expect(1, 7036, '\p{Is_Scx=bali}', "");
Expect(0, 7036, '\p{^Is_Scx=bali}', "");
Expect(0, 7036, '\P{Is_Scx=bali}', "");
Expect(1, 7036, '\P{^Is_Scx=bali}', "");
Expect(0, 7037, '\p{Is_Scx=bali}', "");
Expect(1, 7037, '\p{^Is_Scx=bali}', "");
Expect(1, 7037, '\P{Is_Scx=bali}', "");
Expect(0, 7037, '\P{^Is_Scx=bali}', "");
Expect(1, 7036, '\p{Is_Scx= Bali}', "");
Expect(0, 7036, '\p{^Is_Scx= Bali}', "");
Expect(0, 7036, '\P{Is_Scx= Bali}', "");
Expect(1, 7036, '\P{^Is_Scx= Bali}', "");
Expect(0, 7037, '\p{Is_Scx= Bali}', "");
Expect(1, 7037, '\p{^Is_Scx= Bali}', "");
Expect(1, 7037, '\P{Is_Scx= Bali}', "");
Expect(0, 7037, '\P{^Is_Scx= Bali}', "");
Error('\p{Script_Extensions= /a/bamum}');
Error('\P{Script_Extensions= /a/bamum}');
Expect(1, 92728, '\p{Script_Extensions=bamum}', "");
Expect(0, 92728, '\p{^Script_Extensions=bamum}', "");
Expect(0, 92728, '\P{Script_Extensions=bamum}', "");
Expect(1, 92728, '\P{^Script_Extensions=bamum}', "");
Expect(0, 92729, '\p{Script_Extensions=bamum}', "");
Expect(1, 92729, '\p{^Script_Extensions=bamum}', "");
Expect(1, 92729, '\P{Script_Extensions=bamum}', "");
Expect(0, 92729, '\P{^Script_Extensions=bamum}', "");
Expect(1, 92728, '\p{Script_Extensions= -BAMUM}', "");
Expect(0, 92728, '\p{^Script_Extensions= -BAMUM}', "");
Expect(0, 92728, '\P{Script_Extensions= -BAMUM}', "");
Expect(1, 92728, '\P{^Script_Extensions= -BAMUM}', "");
Expect(0, 92729, '\p{Script_Extensions= -BAMUM}', "");
Expect(1, 92729, '\p{^Script_Extensions= -BAMUM}', "");
Expect(1, 92729, '\P{Script_Extensions= -BAMUM}', "");
Expect(0, 92729, '\P{^Script_Extensions= -BAMUM}', "");
Error('\p{Scx=:= 	Bamu}');
Error('\P{Scx=:= 	Bamu}');
Expect(1, 92728, '\p{Scx=bamu}', "");
Expect(0, 92728, '\p{^Scx=bamu}', "");
Expect(0, 92728, '\P{Scx=bamu}', "");
Expect(1, 92728, '\P{^Scx=bamu}', "");
Expect(0, 92729, '\p{Scx=bamu}', "");
Expect(1, 92729, '\p{^Scx=bamu}', "");
Expect(1, 92729, '\P{Scx=bamu}', "");
Expect(0, 92729, '\P{^Scx=bamu}', "");
Expect(1, 92728, '\p{Scx=_	bamu}', "");
Expect(0, 92728, '\p{^Scx=_	bamu}', "");
Expect(0, 92728, '\P{Scx=_	bamu}', "");
Expect(1, 92728, '\P{^Scx=_	bamu}', "");
Expect(0, 92729, '\p{Scx=_	bamu}', "");
Expect(1, 92729, '\p{^Scx=_	bamu}', "");
Expect(1, 92729, '\P{Scx=_	bamu}', "");
Expect(0, 92729, '\P{^Scx=_	bamu}', "");
Error('\p{Is_Script_Extensions=/a/-_bamum}');
Error('\P{Is_Script_Extensions=/a/-_bamum}');
Expect(1, 92728, '\p{Is_Script_Extensions=bamum}', "");
Expect(0, 92728, '\p{^Is_Script_Extensions=bamum}', "");
Expect(0, 92728, '\P{Is_Script_Extensions=bamum}', "");
Expect(1, 92728, '\P{^Is_Script_Extensions=bamum}', "");
Expect(0, 92729, '\p{Is_Script_Extensions=bamum}', "");
Expect(1, 92729, '\p{^Is_Script_Extensions=bamum}', "");
Expect(1, 92729, '\P{Is_Script_Extensions=bamum}', "");
Expect(0, 92729, '\P{^Is_Script_Extensions=bamum}', "");
Expect(1, 92728, '\p{Is_Script_Extensions=__Bamum}', "");
Expect(0, 92728, '\p{^Is_Script_Extensions=__Bamum}', "");
Expect(0, 92728, '\P{Is_Script_Extensions=__Bamum}', "");
Expect(1, 92728, '\P{^Is_Script_Extensions=__Bamum}', "");
Expect(0, 92729, '\p{Is_Script_Extensions=__Bamum}', "");
Expect(1, 92729, '\p{^Is_Script_Extensions=__Bamum}', "");
Expect(1, 92729, '\P{Is_Script_Extensions=__Bamum}', "");
Expect(0, 92729, '\P{^Is_Script_Extensions=__Bamum}', "");
Error('\p{Is_Scx=:= 	Bamu}');
Error('\P{Is_Scx=:= 	Bamu}');
Expect(1, 92728, '\p{Is_Scx=bamu}', "");
Expect(0, 92728, '\p{^Is_Scx=bamu}', "");
Expect(0, 92728, '\P{Is_Scx=bamu}', "");
Expect(1, 92728, '\P{^Is_Scx=bamu}', "");
Expect(0, 92729, '\p{Is_Scx=bamu}', "");
Expect(1, 92729, '\p{^Is_Scx=bamu}', "");
Expect(1, 92729, '\P{Is_Scx=bamu}', "");
Expect(0, 92729, '\P{^Is_Scx=bamu}', "");
Expect(1, 92728, '\p{Is_Scx=	BAMU}', "");
Expect(0, 92728, '\p{^Is_Scx=	BAMU}', "");
Expect(0, 92728, '\P{Is_Scx=	BAMU}', "");
Expect(1, 92728, '\P{^Is_Scx=	BAMU}', "");
Expect(0, 92729, '\p{Is_Scx=	BAMU}', "");
Expect(1, 92729, '\p{^Is_Scx=	BAMU}', "");
Expect(1, 92729, '\P{Is_Scx=	BAMU}', "");
Expect(0, 92729, '\P{^Is_Scx=	BAMU}', "");
Error('\p{Script_Extensions=/a/ Bassa_Vah}');
Error('\P{Script_Extensions=/a/ Bassa_Vah}');
Expect(1, 92917, '\p{Script_Extensions=bassavah}', "");
Expect(0, 92917, '\p{^Script_Extensions=bassavah}', "");
Expect(0, 92917, '\P{Script_Extensions=bassavah}', "");
Expect(1, 92917, '\P{^Script_Extensions=bassavah}', "");
Expect(0, 92918, '\p{Script_Extensions=bassavah}', "");
Expect(1, 92918, '\p{^Script_Extensions=bassavah}', "");
Expect(1, 92918, '\P{Script_Extensions=bassavah}', "");
Expect(0, 92918, '\P{^Script_Extensions=bassavah}', "");
Expect(1, 92917, '\p{Script_Extensions=- BASSA_Vah}', "");
Expect(0, 92917, '\p{^Script_Extensions=- BASSA_Vah}', "");
Expect(0, 92917, '\P{Script_Extensions=- BASSA_Vah}', "");
Expect(1, 92917, '\P{^Script_Extensions=- BASSA_Vah}', "");
Expect(0, 92918, '\p{Script_Extensions=- BASSA_Vah}', "");
Expect(1, 92918, '\p{^Script_Extensions=- BASSA_Vah}', "");
Expect(1, 92918, '\P{Script_Extensions=- BASSA_Vah}', "");
Expect(0, 92918, '\P{^Script_Extensions=- BASSA_Vah}', "");
Error('\p{Scx=	_BASS/a/}');
Error('\P{Scx=	_BASS/a/}');
Expect(1, 92917, '\p{Scx=bass}', "");
Expect(0, 92917, '\p{^Scx=bass}', "");
Expect(0, 92917, '\P{Scx=bass}', "");
Expect(1, 92917, '\P{^Scx=bass}', "");
Expect(0, 92918, '\p{Scx=bass}', "");
Expect(1, 92918, '\p{^Scx=bass}', "");
Expect(1, 92918, '\P{Scx=bass}', "");
Expect(0, 92918, '\P{^Scx=bass}', "");
Expect(1, 92917, '\p{Scx=__Bass}', "");
Expect(0, 92917, '\p{^Scx=__Bass}', "");
Expect(0, 92917, '\P{Scx=__Bass}', "");
Expect(1, 92917, '\P{^Scx=__Bass}', "");
Expect(0, 92918, '\p{Scx=__Bass}', "");
Expect(1, 92918, '\p{^Scx=__Bass}', "");
Expect(1, 92918, '\P{Scx=__Bass}', "");
Expect(0, 92918, '\P{^Scx=__Bass}', "");
Error('\p{Is_Script_Extensions=-BASSA_vah/a/}');
Error('\P{Is_Script_Extensions=-BASSA_vah/a/}');
Expect(1, 92917, '\p{Is_Script_Extensions=bassavah}', "");
Expect(0, 92917, '\p{^Is_Script_Extensions=bassavah}', "");
Expect(0, 92917, '\P{Is_Script_Extensions=bassavah}', "");
Expect(1, 92917, '\P{^Is_Script_Extensions=bassavah}', "");
Expect(0, 92918, '\p{Is_Script_Extensions=bassavah}', "");
Expect(1, 92918, '\p{^Is_Script_Extensions=bassavah}', "");
Expect(1, 92918, '\P{Is_Script_Extensions=bassavah}', "");
Expect(0, 92918, '\P{^Is_Script_Extensions=bassavah}', "");
Expect(1, 92917, '\p{Is_Script_Extensions=-	BASSA_Vah}', "");
Expect(0, 92917, '\p{^Is_Script_Extensions=-	BASSA_Vah}', "");
Expect(0, 92917, '\P{Is_Script_Extensions=-	BASSA_Vah}', "");
Expect(1, 92917, '\P{^Is_Script_Extensions=-	BASSA_Vah}', "");
Expect(0, 92918, '\p{Is_Script_Extensions=-	BASSA_Vah}', "");
Expect(1, 92918, '\p{^Is_Script_Extensions=-	BASSA_Vah}', "");
Expect(1, 92918, '\P{Is_Script_Extensions=-	BASSA_Vah}', "");
Expect(0, 92918, '\P{^Is_Script_Extensions=-	BASSA_Vah}', "");
Error('\p{Is_Scx=/a/Bass}');
Error('\P{Is_Scx=/a/Bass}');
Expect(1, 92917, '\p{Is_Scx=bass}', "");
Expect(0, 92917, '\p{^Is_Scx=bass}', "");
Expect(0, 92917, '\P{Is_Scx=bass}', "");
Expect(1, 92917, '\P{^Is_Scx=bass}', "");
Expect(0, 92918, '\p{Is_Scx=bass}', "");
Expect(1, 92918, '\p{^Is_Scx=bass}', "");
Expect(1, 92918, '\P{Is_Scx=bass}', "");
Expect(0, 92918, '\P{^Is_Scx=bass}', "");
Expect(1, 92917, '\p{Is_Scx=_bass}', "");
Expect(0, 92917, '\p{^Is_Scx=_bass}', "");
Expect(0, 92917, '\P{Is_Scx=_bass}', "");
Expect(1, 92917, '\P{^Is_Scx=_bass}', "");
Expect(0, 92918, '\p{Is_Scx=_bass}', "");
Expect(1, 92918, '\p{^Is_Scx=_bass}', "");
Expect(1, 92918, '\P{Is_Scx=_bass}', "");
Expect(0, 92918, '\P{^Is_Scx=_bass}', "");
Error('\p{Script_Extensions=	BATAK:=}');
Error('\P{Script_Extensions=	BATAK:=}');
Expect(1, 7167, '\p{Script_Extensions=batak}', "");
Expect(0, 7167, '\p{^Script_Extensions=batak}', "");
Expect(0, 7167, '\P{Script_Extensions=batak}', "");
Expect(1, 7167, '\P{^Script_Extensions=batak}', "");
Expect(0, 7168, '\p{Script_Extensions=batak}', "");
Expect(1, 7168, '\p{^Script_Extensions=batak}', "");
Expect(1, 7168, '\P{Script_Extensions=batak}', "");
Expect(0, 7168, '\P{^Script_Extensions=batak}', "");
Expect(1, 7167, '\p{Script_Extensions=_ Batak}', "");
Expect(0, 7167, '\p{^Script_Extensions=_ Batak}', "");
Expect(0, 7167, '\P{Script_Extensions=_ Batak}', "");
Expect(1, 7167, '\P{^Script_Extensions=_ Batak}', "");
Expect(0, 7168, '\p{Script_Extensions=_ Batak}', "");
Expect(1, 7168, '\p{^Script_Extensions=_ Batak}', "");
Expect(1, 7168, '\P{Script_Extensions=_ Batak}', "");
Expect(0, 7168, '\P{^Script_Extensions=_ Batak}', "");
Error('\p{Scx=:=Batk}');
Error('\P{Scx=:=Batk}');
Expect(1, 7167, '\p{Scx=batk}', "");
Expect(0, 7167, '\p{^Scx=batk}', "");
Expect(0, 7167, '\P{Scx=batk}', "");
Expect(1, 7167, '\P{^Scx=batk}', "");
Expect(0, 7168, '\p{Scx=batk}', "");
Expect(1, 7168, '\p{^Scx=batk}', "");
Expect(1, 7168, '\P{Scx=batk}', "");
Expect(0, 7168, '\P{^Scx=batk}', "");
Expect(1, 7167, '\p{Scx=_-batk}', "");
Expect(0, 7167, '\p{^Scx=_-batk}', "");
Expect(0, 7167, '\P{Scx=_-batk}', "");
Expect(1, 7167, '\P{^Scx=_-batk}', "");
Expect(0, 7168, '\p{Scx=_-batk}', "");
Expect(1, 7168, '\p{^Scx=_-batk}', "");
Expect(1, 7168, '\P{Scx=_-batk}', "");
Expect(0, 7168, '\P{^Scx=_-batk}', "");
Error('\p{Is_Script_Extensions=-/a/Batak}');
Error('\P{Is_Script_Extensions=-/a/Batak}');
Expect(1, 7167, '\p{Is_Script_Extensions=batak}', "");
Expect(0, 7167, '\p{^Is_Script_Extensions=batak}', "");
Expect(0, 7167, '\P{Is_Script_Extensions=batak}', "");
Expect(1, 7167, '\P{^Is_Script_Extensions=batak}', "");
Expect(0, 7168, '\p{Is_Script_Extensions=batak}', "");
Expect(1, 7168, '\p{^Is_Script_Extensions=batak}', "");
Expect(1, 7168, '\P{Is_Script_Extensions=batak}', "");
Expect(0, 7168, '\P{^Is_Script_Extensions=batak}', "");
Expect(1, 7167, '\p{Is_Script_Extensions:   -batak}', "");
Expect(0, 7167, '\p{^Is_Script_Extensions:   -batak}', "");
Expect(0, 7167, '\P{Is_Script_Extensions:   -batak}', "");
Expect(1, 7167, '\P{^Is_Script_Extensions:   -batak}', "");
Expect(0, 7168, '\p{Is_Script_Extensions:   -batak}', "");
Expect(1, 7168, '\p{^Is_Script_Extensions:   -batak}', "");
Expect(1, 7168, '\P{Is_Script_Extensions:   -batak}', "");
Expect(0, 7168, '\P{^Is_Script_Extensions:   -batak}', "");
Error('\p{Is_Scx= BATK/a/}');
Error('\P{Is_Scx= BATK/a/}');
Expect(1, 7167, '\p{Is_Scx=batk}', "");
Expect(0, 7167, '\p{^Is_Scx=batk}', "");
Expect(0, 7167, '\P{Is_Scx=batk}', "");
Expect(1, 7167, '\P{^Is_Scx=batk}', "");
Expect(0, 7168, '\p{Is_Scx=batk}', "");
Expect(1, 7168, '\p{^Is_Scx=batk}', "");
Expect(1, 7168, '\P{Is_Scx=batk}', "");
Expect(0, 7168, '\P{^Is_Scx=batk}', "");
Expect(1, 7167, '\p{Is_Scx=		BATK}', "");
Expect(0, 7167, '\p{^Is_Scx=		BATK}', "");
Expect(0, 7167, '\P{Is_Scx=		BATK}', "");
Expect(1, 7167, '\P{^Is_Scx=		BATK}', "");
Expect(0, 7168, '\p{Is_Scx=		BATK}', "");
Expect(1, 7168, '\p{^Is_Scx=		BATK}', "");
Expect(1, 7168, '\P{Is_Scx=		BATK}', "");
Expect(0, 7168, '\P{^Is_Scx=		BATK}', "");
Error('\p{Script_Extensions=- Bengali:=}');
Error('\P{Script_Extensions=- Bengali:=}');
Expect(1, 2555, '\p{Script_Extensions=bengali}', "");
Expect(0, 2555, '\p{^Script_Extensions=bengali}', "");
Expect(0, 2555, '\P{Script_Extensions=bengali}', "");
Expect(1, 2555, '\P{^Script_Extensions=bengali}', "");
Expect(0, 2556, '\p{Script_Extensions=bengali}', "");
Expect(1, 2556, '\p{^Script_Extensions=bengali}', "");
Expect(1, 2556, '\P{Script_Extensions=bengali}', "");
Expect(0, 2556, '\P{^Script_Extensions=bengali}', "");
Expect(1, 2555, '\p{Script_Extensions=BENGALI}', "");
Expect(0, 2555, '\p{^Script_Extensions=BENGALI}', "");
Expect(0, 2555, '\P{Script_Extensions=BENGALI}', "");
Expect(1, 2555, '\P{^Script_Extensions=BENGALI}', "");
Expect(0, 2556, '\p{Script_Extensions=BENGALI}', "");
Expect(1, 2556, '\p{^Script_Extensions=BENGALI}', "");
Expect(1, 2556, '\P{Script_Extensions=BENGALI}', "");
Expect(0, 2556, '\P{^Script_Extensions=BENGALI}', "");
Error('\p{Scx=/a/	BENG}');
Error('\P{Scx=/a/	BENG}');
Expect(1, 2555, '\p{Scx=beng}', "");
Expect(0, 2555, '\p{^Scx=beng}', "");
Expect(0, 2555, '\P{Scx=beng}', "");
Expect(1, 2555, '\P{^Scx=beng}', "");
Expect(0, 2556, '\p{Scx=beng}', "");
Expect(1, 2556, '\p{^Scx=beng}', "");
Expect(1, 2556, '\P{Scx=beng}', "");
Expect(0, 2556, '\P{^Scx=beng}', "");
Expect(1, 2555, '\p{Scx= -BENG}', "");
Expect(0, 2555, '\p{^Scx= -BENG}', "");
Expect(0, 2555, '\P{Scx= -BENG}', "");
Expect(1, 2555, '\P{^Scx= -BENG}', "");
Expect(0, 2556, '\p{Scx= -BENG}', "");
Expect(1, 2556, '\p{^Scx= -BENG}', "");
Expect(1, 2556, '\P{Scx= -BENG}', "");
Expect(0, 2556, '\P{^Scx= -BENG}', "");
Error('\p{Is_Script_Extensions=:= _Bengali}');
Error('\P{Is_Script_Extensions=:= _Bengali}');
Expect(1, 2555, '\p{Is_Script_Extensions:bengali}', "");
Expect(0, 2555, '\p{^Is_Script_Extensions:bengali}', "");
Expect(0, 2555, '\P{Is_Script_Extensions:bengali}', "");
Expect(1, 2555, '\P{^Is_Script_Extensions:bengali}', "");
Expect(0, 2556, '\p{Is_Script_Extensions:bengali}', "");
Expect(1, 2556, '\p{^Is_Script_Extensions:bengali}', "");
Expect(1, 2556, '\P{Is_Script_Extensions:bengali}', "");
Expect(0, 2556, '\P{^Is_Script_Extensions:bengali}', "");
Error('\p{Is_Scx=--beng:=}');
Error('\P{Is_Scx=--beng:=}');
Expect(1, 2555, '\p{Is_Scx=beng}', "");
Expect(0, 2555, '\p{^Is_Scx=beng}', "");
Expect(0, 2555, '\P{Is_Scx=beng}', "");
Expect(1, 2555, '\P{^Is_Scx=beng}', "");
Expect(0, 2556, '\p{Is_Scx=beng}', "");
Expect(1, 2556, '\p{^Is_Scx=beng}', "");
Expect(1, 2556, '\P{Is_Scx=beng}', "");
Expect(0, 2556, '\P{^Is_Scx=beng}', "");
Expect(1, 2555, '\p{Is_Scx=_ BENG}', "");
Expect(0, 2555, '\p{^Is_Scx=_ BENG}', "");
Expect(0, 2555, '\P{Is_Scx=_ BENG}', "");
Expect(1, 2555, '\P{^Is_Scx=_ BENG}', "");
Expect(0, 2556, '\p{Is_Scx=_ BENG}', "");
Expect(1, 2556, '\p{^Is_Scx=_ BENG}', "");
Expect(1, 2556, '\P{Is_Scx=_ BENG}', "");
Expect(0, 2556, '\P{^Is_Scx=_ BENG}', "");
Error('\p{Script_Extensions=_:=BOPOMOFO}');
Error('\P{Script_Extensions=_:=BOPOMOFO}');
Expect(1, 65381, '\p{Script_Extensions=bopomofo}', "");
Expect(0, 65381, '\p{^Script_Extensions=bopomofo}', "");
Expect(0, 65381, '\P{Script_Extensions=bopomofo}', "");
Expect(1, 65381, '\P{^Script_Extensions=bopomofo}', "");
Expect(0, 65382, '\p{Script_Extensions=bopomofo}', "");
Expect(1, 65382, '\p{^Script_Extensions=bopomofo}', "");
Expect(1, 65382, '\P{Script_Extensions=bopomofo}', "");
Expect(0, 65382, '\P{^Script_Extensions=bopomofo}', "");
Error('\p{Scx=_:=BOPO}');
Error('\P{Scx=_:=BOPO}');
Expect(1, 65381, '\p{Scx=bopo}', "");
Expect(0, 65381, '\p{^Scx=bopo}', "");
Expect(0, 65381, '\P{Scx=bopo}', "");
Expect(1, 65381, '\P{^Scx=bopo}', "");
Expect(0, 65382, '\p{Scx=bopo}', "");
Expect(1, 65382, '\p{^Scx=bopo}', "");
Expect(1, 65382, '\P{Scx=bopo}', "");
Expect(0, 65382, '\P{^Scx=bopo}', "");
Expect(1, 65381, '\p{Scx=-Bopo}', "");
Expect(0, 65381, '\p{^Scx=-Bopo}', "");
Expect(0, 65381, '\P{Scx=-Bopo}', "");
Expect(1, 65381, '\P{^Scx=-Bopo}', "");
Expect(0, 65382, '\p{Scx=-Bopo}', "");
Expect(1, 65382, '\p{^Scx=-Bopo}', "");
Expect(1, 65382, '\P{Scx=-Bopo}', "");
Expect(0, 65382, '\P{^Scx=-Bopo}', "");
Error('\p{Is_Script_Extensions:   /a/_Bopomofo}');
Error('\P{Is_Script_Extensions:   /a/_Bopomofo}');
Expect(1, 65381, '\p{Is_Script_Extensions=bopomofo}', "");
Expect(0, 65381, '\p{^Is_Script_Extensions=bopomofo}', "");
Expect(0, 65381, '\P{Is_Script_Extensions=bopomofo}', "");
Expect(1, 65381, '\P{^Is_Script_Extensions=bopomofo}', "");
Expect(0, 65382, '\p{Is_Script_Extensions=bopomofo}', "");
Expect(1, 65382, '\p{^Is_Script_Extensions=bopomofo}', "");
Expect(1, 65382, '\P{Is_Script_Extensions=bopomofo}', "");
Expect(0, 65382, '\P{^Is_Script_Extensions=bopomofo}', "");
Expect(1, 65381, '\p{Is_Script_Extensions=-BOPOMOFO}', "");
Expect(0, 65381, '\p{^Is_Script_Extensions=-BOPOMOFO}', "");
Expect(0, 65381, '\P{Is_Script_Extensions=-BOPOMOFO}', "");
Expect(1, 65381, '\P{^Is_Script_Extensions=-BOPOMOFO}', "");
Expect(0, 65382, '\p{Is_Script_Extensions=-BOPOMOFO}', "");
Expect(1, 65382, '\p{^Is_Script_Extensions=-BOPOMOFO}', "");
Expect(1, 65382, '\P{Is_Script_Extensions=-BOPOMOFO}', "");
Expect(0, 65382, '\P{^Is_Script_Extensions=-BOPOMOFO}', "");
Error('\p{Is_Scx=_/a/Bopo}');
Error('\P{Is_Scx=_/a/Bopo}');
Expect(1, 65381, '\p{Is_Scx: bopo}', "");
Expect(0, 65381, '\p{^Is_Scx: bopo}', "");
Expect(0, 65381, '\P{Is_Scx: bopo}', "");
Expect(1, 65381, '\P{^Is_Scx: bopo}', "");
Expect(0, 65382, '\p{Is_Scx: bopo}', "");
Expect(1, 65382, '\p{^Is_Scx: bopo}', "");
Expect(1, 65382, '\P{Is_Scx: bopo}', "");
Expect(0, 65382, '\P{^Is_Scx: bopo}', "");
Expect(1, 65381, '\p{Is_Scx=	Bopo}', "");
Expect(0, 65381, '\p{^Is_Scx=	Bopo}', "");
Expect(0, 65381, '\P{Is_Scx=	Bopo}', "");
Expect(1, 65381, '\P{^Is_Scx=	Bopo}', "");
Expect(0, 65382, '\p{Is_Scx=	Bopo}', "");
Expect(1, 65382, '\p{^Is_Scx=	Bopo}', "");
Expect(1, 65382, '\P{Is_Scx=	Bopo}', "");
Expect(0, 65382, '\P{^Is_Scx=	Bopo}', "");
Error('\p{Script_Extensions=/a/brahmi}');
Error('\P{Script_Extensions=/a/brahmi}');
Expect(1, 69759, '\p{Script_Extensions: brahmi}', "");
Expect(0, 69759, '\p{^Script_Extensions: brahmi}', "");
Expect(0, 69759, '\P{Script_Extensions: brahmi}', "");
Expect(1, 69759, '\P{^Script_Extensions: brahmi}', "");
Expect(0, 69760, '\p{Script_Extensions: brahmi}', "");
Expect(1, 69760, '\p{^Script_Extensions: brahmi}', "");
Expect(1, 69760, '\P{Script_Extensions: brahmi}', "");
Expect(0, 69760, '\P{^Script_Extensions: brahmi}', "");
Expect(1, 69759, '\p{Script_Extensions=	BRAHMI}', "");
Expect(0, 69759, '\p{^Script_Extensions=	BRAHMI}', "");
Expect(0, 69759, '\P{Script_Extensions=	BRAHMI}', "");
Expect(1, 69759, '\P{^Script_Extensions=	BRAHMI}', "");
Expect(0, 69760, '\p{Script_Extensions=	BRAHMI}', "");
Expect(1, 69760, '\p{^Script_Extensions=	BRAHMI}', "");
Expect(1, 69760, '\P{Script_Extensions=	BRAHMI}', "");
Expect(0, 69760, '\P{^Script_Extensions=	BRAHMI}', "");
Error('\p{Scx=-:=Brah}');
Error('\P{Scx=-:=Brah}');
Expect(1, 69759, '\p{Scx=brah}', "");
Expect(0, 69759, '\p{^Scx=brah}', "");
Expect(0, 69759, '\P{Scx=brah}', "");
Expect(1, 69759, '\P{^Scx=brah}', "");
Expect(0, 69760, '\p{Scx=brah}', "");
Expect(1, 69760, '\p{^Scx=brah}', "");
Expect(1, 69760, '\P{Scx=brah}', "");
Expect(0, 69760, '\P{^Scx=brah}', "");
Expect(1, 69759, '\p{Scx= -brah}', "");
Expect(0, 69759, '\p{^Scx= -brah}', "");
Expect(0, 69759, '\P{Scx= -brah}', "");
Expect(1, 69759, '\P{^Scx= -brah}', "");
Expect(0, 69760, '\p{Scx= -brah}', "");
Expect(1, 69760, '\p{^Scx= -brah}', "");
Expect(1, 69760, '\P{Scx= -brah}', "");
Expect(0, 69760, '\P{^Scx= -brah}', "");
Error('\p{Is_Script_Extensions=--BRAHMI/a/}');
Error('\P{Is_Script_Extensions=--BRAHMI/a/}');
Expect(1, 69759, '\p{Is_Script_Extensions=brahmi}', "");
Expect(0, 69759, '\p{^Is_Script_Extensions=brahmi}', "");
Expect(0, 69759, '\P{Is_Script_Extensions=brahmi}', "");
Expect(1, 69759, '\P{^Is_Script_Extensions=brahmi}', "");
Expect(0, 69760, '\p{Is_Script_Extensions=brahmi}', "");
Expect(1, 69760, '\p{^Is_Script_Extensions=brahmi}', "");
Expect(1, 69760, '\P{Is_Script_Extensions=brahmi}', "");
Expect(0, 69760, '\P{^Is_Script_Extensions=brahmi}', "");
Expect(1, 69759, '\p{Is_Script_Extensions= Brahmi}', "");
Expect(0, 69759, '\p{^Is_Script_Extensions= Brahmi}', "");
Expect(0, 69759, '\P{Is_Script_Extensions= Brahmi}', "");
Expect(1, 69759, '\P{^Is_Script_Extensions= Brahmi}', "");
Expect(0, 69760, '\p{Is_Script_Extensions= Brahmi}', "");
Expect(1, 69760, '\p{^Is_Script_Extensions= Brahmi}', "");
Expect(1, 69760, '\P{Is_Script_Extensions= Brahmi}', "");
Expect(0, 69760, '\P{^Is_Script_Extensions= Brahmi}', "");
Error('\p{Is_Scx:/a/_Brah}');
Error('\P{Is_Scx:/a/_Brah}');
Expect(1, 69759, '\p{Is_Scx:	brah}', "");
Expect(0, 69759, '\p{^Is_Scx:	brah}', "");
Expect(0, 69759, '\P{Is_Scx:	brah}', "");
Expect(1, 69759, '\P{^Is_Scx:	brah}', "");
Expect(0, 69760, '\p{Is_Scx:	brah}', "");
Expect(1, 69760, '\p{^Is_Scx:	brah}', "");
Expect(1, 69760, '\P{Is_Scx:	brah}', "");
Expect(0, 69760, '\P{^Is_Scx:	brah}', "");
Expect(1, 69759, '\p{Is_Scx=_brah}', "");
Expect(0, 69759, '\p{^Is_Scx=_brah}', "");
Expect(0, 69759, '\P{Is_Scx=_brah}', "");
Expect(1, 69759, '\P{^Is_Scx=_brah}', "");
Expect(0, 69760, '\p{Is_Scx=_brah}', "");
Expect(1, 69760, '\p{^Is_Scx=_brah}', "");
Expect(1, 69760, '\P{Is_Scx=_brah}', "");
Expect(0, 69760, '\P{^Is_Scx=_brah}', "");
Error('\p{Script_Extensions:   	 BRAILLE/a/}');
Error('\P{Script_Extensions:   	 BRAILLE/a/}');
Expect(1, 10495, '\p{Script_Extensions=braille}', "");
Expect(0, 10495, '\p{^Script_Extensions=braille}', "");
Expect(0, 10495, '\P{Script_Extensions=braille}', "");
Expect(1, 10495, '\P{^Script_Extensions=braille}', "");
Expect(0, 10496, '\p{Script_Extensions=braille}', "");
Expect(1, 10496, '\p{^Script_Extensions=braille}', "");
Expect(1, 10496, '\P{Script_Extensions=braille}', "");
Expect(0, 10496, '\P{^Script_Extensions=braille}', "");
Expect(1, 10495, '\p{Script_Extensions=		BRAILLE}', "");
Expect(0, 10495, '\p{^Script_Extensions=		BRAILLE}', "");
Expect(0, 10495, '\P{Script_Extensions=		BRAILLE}', "");
Expect(1, 10495, '\P{^Script_Extensions=		BRAILLE}', "");
Expect(0, 10496, '\p{Script_Extensions=		BRAILLE}', "");
Expect(1, 10496, '\p{^Script_Extensions=		BRAILLE}', "");
Expect(1, 10496, '\P{Script_Extensions=		BRAILLE}', "");
Expect(0, 10496, '\P{^Script_Extensions=		BRAILLE}', "");
Error('\p{Scx=-_brai:=}');
Error('\P{Scx=-_brai:=}');
Expect(1, 10495, '\p{Scx=brai}', "");
Expect(0, 10495, '\p{^Scx=brai}', "");
Expect(0, 10495, '\P{Scx=brai}', "");
Expect(1, 10495, '\P{^Scx=brai}', "");
Expect(0, 10496, '\p{Scx=brai}', "");
Expect(1, 10496, '\p{^Scx=brai}', "");
Expect(1, 10496, '\P{Scx=brai}', "");
Expect(0, 10496, '\P{^Scx=brai}', "");
Expect(1, 10495, '\p{Scx=BRAI}', "");
Expect(0, 10495, '\p{^Scx=BRAI}', "");
Expect(0, 10495, '\P{Scx=BRAI}', "");
Expect(1, 10495, '\P{^Scx=BRAI}', "");
Expect(0, 10496, '\p{Scx=BRAI}', "");
Expect(1, 10496, '\p{^Scx=BRAI}', "");
Expect(1, 10496, '\P{Scx=BRAI}', "");
Expect(0, 10496, '\P{^Scx=BRAI}', "");
Error('\p{Is_Script_Extensions=--Braille/a/}');
Error('\P{Is_Script_Extensions=--Braille/a/}');
Expect(1, 10495, '\p{Is_Script_Extensions=braille}', "");
Expect(0, 10495, '\p{^Is_Script_Extensions=braille}', "");
Expect(0, 10495, '\P{Is_Script_Extensions=braille}', "");
Expect(1, 10495, '\P{^Is_Script_Extensions=braille}', "");
Expect(0, 10496, '\p{Is_Script_Extensions=braille}', "");
Expect(1, 10496, '\p{^Is_Script_Extensions=braille}', "");
Expect(1, 10496, '\P{Is_Script_Extensions=braille}', "");
Expect(0, 10496, '\P{^Is_Script_Extensions=braille}', "");
Expect(1, 10495, '\p{Is_Script_Extensions=__BRAILLE}', "");
Expect(0, 10495, '\p{^Is_Script_Extensions=__BRAILLE}', "");
Expect(0, 10495, '\P{Is_Script_Extensions=__BRAILLE}', "");
Expect(1, 10495, '\P{^Is_Script_Extensions=__BRAILLE}', "");
Expect(0, 10496, '\p{Is_Script_Extensions=__BRAILLE}', "");
Expect(1, 10496, '\p{^Is_Script_Extensions=__BRAILLE}', "");
Expect(1, 10496, '\P{Is_Script_Extensions=__BRAILLE}', "");
Expect(0, 10496, '\P{^Is_Script_Extensions=__BRAILLE}', "");
Error('\p{Is_Scx=/a/-	Brai}');
Error('\P{Is_Scx=/a/-	Brai}');
Expect(1, 10495, '\p{Is_Scx=brai}', "");
Expect(0, 10495, '\p{^Is_Scx=brai}', "");
Expect(0, 10495, '\P{Is_Scx=brai}', "");
Expect(1, 10495, '\P{^Is_Scx=brai}', "");
Expect(0, 10496, '\p{Is_Scx=brai}', "");
Expect(1, 10496, '\p{^Is_Scx=brai}', "");
Expect(1, 10496, '\P{Is_Scx=brai}', "");
Expect(0, 10496, '\P{^Is_Scx=brai}', "");
Expect(1, 10495, '\p{Is_Scx= Brai}', "");
Expect(0, 10495, '\p{^Is_Scx= Brai}', "");
Expect(0, 10495, '\P{Is_Scx= Brai}', "");
Expect(1, 10495, '\P{^Is_Scx= Brai}', "");
Expect(0, 10496, '\p{Is_Scx= Brai}', "");
Expect(1, 10496, '\p{^Is_Scx= Brai}', "");
Expect(1, 10496, '\P{Is_Scx= Brai}', "");
Expect(0, 10496, '\P{^Is_Scx= Brai}', "");
Error('\p{Script_Extensions:	Buginese/a/}');
Error('\P{Script_Extensions:	Buginese/a/}');
Expect(1, 43471, '\p{Script_Extensions: buginese}', "");
Expect(0, 43471, '\p{^Script_Extensions: buginese}', "");
Expect(0, 43471, '\P{Script_Extensions: buginese}', "");
Expect(1, 43471, '\P{^Script_Extensions: buginese}', "");
Expect(0, 43472, '\p{Script_Extensions: buginese}', "");
Expect(1, 43472, '\p{^Script_Extensions: buginese}', "");
Expect(1, 43472, '\P{Script_Extensions: buginese}', "");
Expect(0, 43472, '\P{^Script_Extensions: buginese}', "");
Expect(1, 43471, '\p{Script_Extensions=	Buginese}', "");
Expect(0, 43471, '\p{^Script_Extensions=	Buginese}', "");
Expect(0, 43471, '\P{Script_Extensions=	Buginese}', "");
Expect(1, 43471, '\P{^Script_Extensions=	Buginese}', "");
Expect(0, 43472, '\p{Script_Extensions=	Buginese}', "");
Expect(1, 43472, '\p{^Script_Extensions=	Buginese}', "");
Expect(1, 43472, '\P{Script_Extensions=	Buginese}', "");
Expect(0, 43472, '\P{^Script_Extensions=	Buginese}', "");
Error('\p{Scx= /a/Bugi}');
Error('\P{Scx= /a/Bugi}');
Expect(1, 43471, '\p{Scx=bugi}', "");
Expect(0, 43471, '\p{^Scx=bugi}', "");
Expect(0, 43471, '\P{Scx=bugi}', "");
Expect(1, 43471, '\P{^Scx=bugi}', "");
Expect(0, 43472, '\p{Scx=bugi}', "");
Expect(1, 43472, '\p{^Scx=bugi}', "");
Expect(1, 43472, '\P{Scx=bugi}', "");
Expect(0, 43472, '\P{^Scx=bugi}', "");
Expect(1, 43471, '\p{Scx= _BUGI}', "");
Expect(0, 43471, '\p{^Scx= _BUGI}', "");
Expect(0, 43471, '\P{Scx= _BUGI}', "");
Expect(1, 43471, '\P{^Scx= _BUGI}', "");
Expect(0, 43472, '\p{Scx= _BUGI}', "");
Expect(1, 43472, '\p{^Scx= _BUGI}', "");
Expect(1, 43472, '\P{Scx= _BUGI}', "");
Expect(0, 43472, '\P{^Scx= _BUGI}', "");
Error('\p{Is_Script_Extensions=_-Buginese/a/}');
Error('\P{Is_Script_Extensions=_-Buginese/a/}');
Expect(1, 43471, '\p{Is_Script_Extensions=buginese}', "");
Expect(0, 43471, '\p{^Is_Script_Extensions=buginese}', "");
Expect(0, 43471, '\P{Is_Script_Extensions=buginese}', "");
Expect(1, 43471, '\P{^Is_Script_Extensions=buginese}', "");
Expect(0, 43472, '\p{Is_Script_Extensions=buginese}', "");
Expect(1, 43472, '\p{^Is_Script_Extensions=buginese}', "");
Expect(1, 43472, '\P{Is_Script_Extensions=buginese}', "");
Expect(0, 43472, '\P{^Is_Script_Extensions=buginese}', "");
Expect(1, 43471, '\p{Is_Script_Extensions=_-BUGINESE}', "");
Expect(0, 43471, '\p{^Is_Script_Extensions=_-BUGINESE}', "");
Expect(0, 43471, '\P{Is_Script_Extensions=_-BUGINESE}', "");
Expect(1, 43471, '\P{^Is_Script_Extensions=_-BUGINESE}', "");
Expect(0, 43472, '\p{Is_Script_Extensions=_-BUGINESE}', "");
Expect(1, 43472, '\p{^Is_Script_Extensions=_-BUGINESE}', "");
Expect(1, 43472, '\P{Is_Script_Extensions=_-BUGINESE}', "");
Expect(0, 43472, '\P{^Is_Script_Extensions=_-BUGINESE}', "");
Error('\p{Is_Scx:--BUGI:=}');
Error('\P{Is_Scx:--BUGI:=}');
Expect(1, 43471, '\p{Is_Scx=bugi}', "");
Expect(0, 43471, '\p{^Is_Scx=bugi}', "");
Expect(0, 43471, '\P{Is_Scx=bugi}', "");
Expect(1, 43471, '\P{^Is_Scx=bugi}', "");
Expect(0, 43472, '\p{Is_Scx=bugi}', "");
Expect(1, 43472, '\p{^Is_Scx=bugi}', "");
Expect(1, 43472, '\P{Is_Scx=bugi}', "");
Expect(0, 43472, '\P{^Is_Scx=bugi}', "");
Expect(1, 43471, '\p{Is_Scx=	-bugi}', "");
Expect(0, 43471, '\p{^Is_Scx=	-bugi}', "");
Expect(0, 43471, '\P{Is_Scx=	-bugi}', "");
Expect(1, 43471, '\P{^Is_Scx=	-bugi}', "");
Expect(0, 43472, '\p{Is_Scx=	-bugi}', "");
Expect(1, 43472, '\p{^Is_Scx=	-bugi}', "");
Expect(1, 43472, '\P{Is_Scx=	-bugi}', "");
Expect(0, 43472, '\P{^Is_Scx=	-bugi}', "");
Error('\p{Script_Extensions= Buhid/a/}');
Error('\P{Script_Extensions= Buhid/a/}');
Expect(1, 5971, '\p{Script_Extensions=buhid}', "");
Expect(0, 5971, '\p{^Script_Extensions=buhid}', "");
Expect(0, 5971, '\P{Script_Extensions=buhid}', "");
Expect(1, 5971, '\P{^Script_Extensions=buhid}', "");
Expect(0, 5972, '\p{Script_Extensions=buhid}', "");
Expect(1, 5972, '\p{^Script_Extensions=buhid}', "");
Expect(1, 5972, '\P{Script_Extensions=buhid}', "");
Expect(0, 5972, '\P{^Script_Extensions=buhid}', "");
Expect(1, 5971, '\p{Script_Extensions=-BUHID}', "");
Expect(0, 5971, '\p{^Script_Extensions=-BUHID}', "");
Expect(0, 5971, '\P{Script_Extensions=-BUHID}', "");
Expect(1, 5971, '\P{^Script_Extensions=-BUHID}', "");
Expect(0, 5972, '\p{Script_Extensions=-BUHID}', "");
Expect(1, 5972, '\p{^Script_Extensions=-BUHID}', "");
Expect(1, 5972, '\P{Script_Extensions=-BUHID}', "");
Expect(0, 5972, '\P{^Script_Extensions=-BUHID}', "");
Error('\p{Scx::=--buhd}');
Error('\P{Scx::=--buhd}');
Expect(1, 5971, '\p{Scx=buhd}', "");
Expect(0, 5971, '\p{^Scx=buhd}', "");
Expect(0, 5971, '\P{Scx=buhd}', "");
Expect(1, 5971, '\P{^Scx=buhd}', "");
Expect(0, 5972, '\p{Scx=buhd}', "");
Expect(1, 5972, '\p{^Scx=buhd}', "");
Expect(1, 5972, '\P{Scx=buhd}', "");
Expect(0, 5972, '\P{^Scx=buhd}', "");
Expect(1, 5971, '\p{Scx=Buhd}', "");
Expect(0, 5971, '\p{^Scx=Buhd}', "");
Expect(0, 5971, '\P{Scx=Buhd}', "");
Expect(1, 5971, '\P{^Scx=Buhd}', "");
Expect(0, 5972, '\p{Scx=Buhd}', "");
Expect(1, 5972, '\p{^Scx=Buhd}', "");
Expect(1, 5972, '\P{Scx=Buhd}', "");
Expect(0, 5972, '\P{^Scx=Buhd}', "");
Error('\p{Is_Script_Extensions=-	buhid:=}');
Error('\P{Is_Script_Extensions=-	buhid:=}');
Expect(1, 5971, '\p{Is_Script_Extensions=buhid}', "");
Expect(0, 5971, '\p{^Is_Script_Extensions=buhid}', "");
Expect(0, 5971, '\P{Is_Script_Extensions=buhid}', "");
Expect(1, 5971, '\P{^Is_Script_Extensions=buhid}', "");
Expect(0, 5972, '\p{Is_Script_Extensions=buhid}', "");
Expect(1, 5972, '\p{^Is_Script_Extensions=buhid}', "");
Expect(1, 5972, '\P{Is_Script_Extensions=buhid}', "");
Expect(0, 5972, '\P{^Is_Script_Extensions=buhid}', "");
Expect(1, 5971, '\p{Is_Script_Extensions=	 buhid}', "");
Expect(0, 5971, '\p{^Is_Script_Extensions=	 buhid}', "");
Expect(0, 5971, '\P{Is_Script_Extensions=	 buhid}', "");
Expect(1, 5971, '\P{^Is_Script_Extensions=	 buhid}', "");
Expect(0, 5972, '\p{Is_Script_Extensions=	 buhid}', "");
Expect(1, 5972, '\p{^Is_Script_Extensions=	 buhid}', "");
Expect(1, 5972, '\P{Is_Script_Extensions=	 buhid}', "");
Expect(0, 5972, '\P{^Is_Script_Extensions=	 buhid}', "");
Error('\p{Is_Scx=	:=Buhd}');
Error('\P{Is_Scx=	:=Buhd}');
Expect(1, 5971, '\p{Is_Scx=buhd}', "");
Expect(0, 5971, '\p{^Is_Scx=buhd}', "");
Expect(0, 5971, '\P{Is_Scx=buhd}', "");
Expect(1, 5971, '\P{^Is_Scx=buhd}', "");
Expect(0, 5972, '\p{Is_Scx=buhd}', "");
Expect(1, 5972, '\p{^Is_Scx=buhd}', "");
Expect(1, 5972, '\P{Is_Scx=buhd}', "");
Expect(0, 5972, '\P{^Is_Scx=buhd}', "");
Expect(1, 5971, '\p{Is_Scx= BUHD}', "");
Expect(0, 5971, '\p{^Is_Scx= BUHD}', "");
Expect(0, 5971, '\P{Is_Scx= BUHD}', "");
Expect(1, 5971, '\P{^Is_Scx= BUHD}', "");
Expect(0, 5972, '\p{Is_Scx= BUHD}', "");
Expect(1, 5972, '\p{^Is_Scx= BUHD}', "");
Expect(1, 5972, '\P{Is_Scx= BUHD}', "");
Expect(0, 5972, '\P{^Is_Scx= BUHD}', "");
Error('\p{Script_Extensions=-Chakma:=}');
Error('\P{Script_Extensions=-Chakma:=}');
Expect(1, 69955, '\p{Script_Extensions=chakma}', "");
Expect(0, 69955, '\p{^Script_Extensions=chakma}', "");
Expect(0, 69955, '\P{Script_Extensions=chakma}', "");
Expect(1, 69955, '\P{^Script_Extensions=chakma}', "");
Expect(0, 69956, '\p{Script_Extensions=chakma}', "");
Expect(1, 69956, '\p{^Script_Extensions=chakma}', "");
Expect(1, 69956, '\P{Script_Extensions=chakma}', "");
Expect(0, 69956, '\P{^Script_Extensions=chakma}', "");
Expect(1, 69955, '\p{Script_Extensions=  Chakma}', "");
Expect(0, 69955, '\p{^Script_Extensions=  Chakma}', "");
Expect(0, 69955, '\P{Script_Extensions=  Chakma}', "");
Expect(1, 69955, '\P{^Script_Extensions=  Chakma}', "");
Expect(0, 69956, '\p{Script_Extensions=  Chakma}', "");
Expect(1, 69956, '\p{^Script_Extensions=  Chakma}', "");
Expect(1, 69956, '\P{Script_Extensions=  Chakma}', "");
Expect(0, 69956, '\P{^Script_Extensions=  Chakma}', "");
Error('\p{Scx:	:=-CAKM}');
Error('\P{Scx:	:=-CAKM}');
Expect(1, 69955, '\p{Scx=cakm}', "");
Expect(0, 69955, '\p{^Scx=cakm}', "");
Expect(0, 69955, '\P{Scx=cakm}', "");
Expect(1, 69955, '\P{^Scx=cakm}', "");
Expect(0, 69956, '\p{Scx=cakm}', "");
Expect(1, 69956, '\p{^Scx=cakm}', "");
Expect(1, 69956, '\P{Scx=cakm}', "");
Expect(0, 69956, '\P{^Scx=cakm}', "");
Expect(1, 69955, '\p{Scx=- CAKM}', "");
Expect(0, 69955, '\p{^Scx=- CAKM}', "");
Expect(0, 69955, '\P{Scx=- CAKM}', "");
Expect(1, 69955, '\P{^Scx=- CAKM}', "");
Expect(0, 69956, '\p{Scx=- CAKM}', "");
Expect(1, 69956, '\p{^Scx=- CAKM}', "");
Expect(1, 69956, '\P{Scx=- CAKM}', "");
Expect(0, 69956, '\P{^Scx=- CAKM}', "");
Error('\p{Is_Script_Extensions:	-Chakma:=}');
Error('\P{Is_Script_Extensions:	-Chakma:=}');
Expect(1, 69955, '\p{Is_Script_Extensions:chakma}', "");
Expect(0, 69955, '\p{^Is_Script_Extensions:chakma}', "");
Expect(0, 69955, '\P{Is_Script_Extensions:chakma}', "");
Expect(1, 69955, '\P{^Is_Script_Extensions:chakma}', "");
Expect(0, 69956, '\p{Is_Script_Extensions:chakma}', "");
Expect(1, 69956, '\p{^Is_Script_Extensions:chakma}', "");
Expect(1, 69956, '\P{Is_Script_Extensions:chakma}', "");
Expect(0, 69956, '\P{^Is_Script_Extensions:chakma}', "");
Expect(1, 69955, '\p{Is_Script_Extensions=-_Chakma}', "");
Expect(0, 69955, '\p{^Is_Script_Extensions=-_Chakma}', "");
Expect(0, 69955, '\P{Is_Script_Extensions=-_Chakma}', "");
Expect(1, 69955, '\P{^Is_Script_Extensions=-_Chakma}', "");
Expect(0, 69956, '\p{Is_Script_Extensions=-_Chakma}', "");
Expect(1, 69956, '\p{^Is_Script_Extensions=-_Chakma}', "");
Expect(1, 69956, '\P{Is_Script_Extensions=-_Chakma}', "");
Expect(0, 69956, '\P{^Is_Script_Extensions=-_Chakma}', "");
Error('\p{Is_Scx=:=-CAKM}');
Error('\P{Is_Scx=:=-CAKM}');
Expect(1, 69955, '\p{Is_Scx=cakm}', "");
Expect(0, 69955, '\p{^Is_Scx=cakm}', "");
Expect(0, 69955, '\P{Is_Scx=cakm}', "");
Expect(1, 69955, '\P{^Is_Scx=cakm}', "");
Expect(0, 69956, '\p{Is_Scx=cakm}', "");
Expect(1, 69956, '\p{^Is_Scx=cakm}', "");
Expect(1, 69956, '\P{Is_Scx=cakm}', "");
Expect(0, 69956, '\P{^Is_Scx=cakm}', "");
Expect(1, 69955, '\p{Is_Scx=		cakm}', "");
Expect(0, 69955, '\p{^Is_Scx=		cakm}', "");
Expect(0, 69955, '\P{Is_Scx=		cakm}', "");
Expect(1, 69955, '\P{^Is_Scx=		cakm}', "");
Expect(0, 69956, '\p{Is_Scx=		cakm}', "");
Expect(1, 69956, '\p{^Is_Scx=		cakm}', "");
Expect(1, 69956, '\P{Is_Scx=		cakm}', "");
Expect(0, 69956, '\P{^Is_Scx=		cakm}', "");
Error('\p{Script_Extensions=:= CANADIAN_aboriginal}');
Error('\P{Script_Extensions=:= CANADIAN_aboriginal}');
Expect(1, 6389, '\p{Script_Extensions=canadianaboriginal}', "");
Expect(0, 6389, '\p{^Script_Extensions=canadianaboriginal}', "");
Expect(0, 6389, '\P{Script_Extensions=canadianaboriginal}', "");
Expect(1, 6389, '\P{^Script_Extensions=canadianaboriginal}', "");
Expect(0, 6390, '\p{Script_Extensions=canadianaboriginal}', "");
Expect(1, 6390, '\p{^Script_Extensions=canadianaboriginal}', "");
Expect(1, 6390, '\P{Script_Extensions=canadianaboriginal}', "");
Expect(0, 6390, '\P{^Script_Extensions=canadianaboriginal}', "");
Expect(1, 6389, '\p{Script_Extensions=Canadian_Aboriginal}', "");
Expect(0, 6389, '\p{^Script_Extensions=Canadian_Aboriginal}', "");
Expect(0, 6389, '\P{Script_Extensions=Canadian_Aboriginal}', "");
Expect(1, 6389, '\P{^Script_Extensions=Canadian_Aboriginal}', "");
Expect(0, 6390, '\p{Script_Extensions=Canadian_Aboriginal}', "");
Expect(1, 6390, '\p{^Script_Extensions=Canadian_Aboriginal}', "");
Expect(1, 6390, '\P{Script_Extensions=Canadian_Aboriginal}', "");
Expect(0, 6390, '\P{^Script_Extensions=Canadian_Aboriginal}', "");
Error('\p{Scx=_cans/a/}');
Error('\P{Scx=_cans/a/}');
Expect(1, 6389, '\p{Scx=cans}', "");
Expect(0, 6389, '\p{^Scx=cans}', "");
Expect(0, 6389, '\P{Scx=cans}', "");
Expect(1, 6389, '\P{^Scx=cans}', "");
Expect(0, 6390, '\p{Scx=cans}', "");
Expect(1, 6390, '\p{^Scx=cans}', "");
Expect(1, 6390, '\P{Scx=cans}', "");
Expect(0, 6390, '\P{^Scx=cans}', "");
Expect(1, 6389, '\p{Scx=_ CANS}', "");
Expect(0, 6389, '\p{^Scx=_ CANS}', "");
Expect(0, 6389, '\P{Scx=_ CANS}', "");
Expect(1, 6389, '\P{^Scx=_ CANS}', "");
Expect(0, 6390, '\p{Scx=_ CANS}', "");
Expect(1, 6390, '\p{^Scx=_ CANS}', "");
Expect(1, 6390, '\P{Scx=_ CANS}', "");
Expect(0, 6390, '\P{^Scx=_ CANS}', "");
Error('\p{Is_Script_Extensions= /a/Canadian_Aboriginal}');
Error('\P{Is_Script_Extensions= /a/Canadian_Aboriginal}');
Expect(1, 6389, '\p{Is_Script_Extensions=canadianaboriginal}', "");
Expect(0, 6389, '\p{^Is_Script_Extensions=canadianaboriginal}', "");
Expect(0, 6389, '\P{Is_Script_Extensions=canadianaboriginal}', "");
Expect(1, 6389, '\P{^Is_Script_Extensions=canadianaboriginal}', "");
Expect(0, 6390, '\p{Is_Script_Extensions=canadianaboriginal}', "");
Expect(1, 6390, '\p{^Is_Script_Extensions=canadianaboriginal}', "");
Expect(1, 6390, '\P{Is_Script_Extensions=canadianaboriginal}', "");
Expect(0, 6390, '\P{^Is_Script_Extensions=canadianaboriginal}', "");
Expect(1, 6389, '\p{Is_Script_Extensions:-	CANADIAN_aboriginal}', "");
Expect(0, 6389, '\p{^Is_Script_Extensions:-	CANADIAN_aboriginal}', "");
Expect(0, 6389, '\P{Is_Script_Extensions:-	CANADIAN_aboriginal}', "");
Expect(1, 6389, '\P{^Is_Script_Extensions:-	CANADIAN_aboriginal}', "");
Expect(0, 6390, '\p{Is_Script_Extensions:-	CANADIAN_aboriginal}', "");
Expect(1, 6390, '\p{^Is_Script_Extensions:-	CANADIAN_aboriginal}', "");
Expect(1, 6390, '\P{Is_Script_Extensions:-	CANADIAN_aboriginal}', "");
Expect(0, 6390, '\P{^Is_Script_Extensions:-	CANADIAN_aboriginal}', "");
Error('\p{Is_Scx=_	Cans:=}');
Error('\P{Is_Scx=_	Cans:=}');
Expect(1, 6389, '\p{Is_Scx=cans}', "");
Expect(0, 6389, '\p{^Is_Scx=cans}', "");
Expect(0, 6389, '\P{Is_Scx=cans}', "");
Expect(1, 6389, '\P{^Is_Scx=cans}', "");
Expect(0, 6390, '\p{Is_Scx=cans}', "");
Expect(1, 6390, '\p{^Is_Scx=cans}', "");
Expect(1, 6390, '\P{Is_Scx=cans}', "");
Expect(0, 6390, '\P{^Is_Scx=cans}', "");
Expect(1, 6389, '\p{Is_Scx:  _CANS}', "");
Expect(0, 6389, '\p{^Is_Scx:  _CANS}', "");
Expect(0, 6389, '\P{Is_Scx:  _CANS}', "");
Expect(1, 6389, '\P{^Is_Scx:  _CANS}', "");
Expect(0, 6390, '\p{Is_Scx:  _CANS}', "");
Expect(1, 6390, '\p{^Is_Scx:  _CANS}', "");
Expect(1, 6390, '\P{Is_Scx:  _CANS}', "");
Expect(0, 6390, '\P{^Is_Scx:  _CANS}', "");
Error('\p{Script_Extensions=	-carian:=}');
Error('\P{Script_Extensions=	-carian:=}');
Expect(1, 66256, '\p{Script_Extensions=carian}', "");
Expect(0, 66256, '\p{^Script_Extensions=carian}', "");
Expect(0, 66256, '\P{Script_Extensions=carian}', "");
Expect(1, 66256, '\P{^Script_Extensions=carian}', "");
Expect(0, 66257, '\p{Script_Extensions=carian}', "");
Expect(1, 66257, '\p{^Script_Extensions=carian}', "");
Expect(1, 66257, '\P{Script_Extensions=carian}', "");
Expect(0, 66257, '\P{^Script_Extensions=carian}', "");
Expect(1, 66256, '\p{Script_Extensions= -carian}', "");
Expect(0, 66256, '\p{^Script_Extensions= -carian}', "");
Expect(0, 66256, '\P{Script_Extensions= -carian}', "");
Expect(1, 66256, '\P{^Script_Extensions= -carian}', "");
Expect(0, 66257, '\p{Script_Extensions= -carian}', "");
Expect(1, 66257, '\p{^Script_Extensions= -carian}', "");
Expect(1, 66257, '\P{Script_Extensions= -carian}', "");
Expect(0, 66257, '\P{^Script_Extensions= -carian}', "");
Error('\p{Scx=:=	CARI}');
Error('\P{Scx=:=	CARI}');
Expect(1, 66256, '\p{Scx:   cari}', "");
Expect(0, 66256, '\p{^Scx:   cari}', "");
Expect(0, 66256, '\P{Scx:   cari}', "");
Expect(1, 66256, '\P{^Scx:   cari}', "");
Expect(0, 66257, '\p{Scx:   cari}', "");
Expect(1, 66257, '\p{^Scx:   cari}', "");
Expect(1, 66257, '\P{Scx:   cari}', "");
Expect(0, 66257, '\P{^Scx:   cari}', "");
Expect(1, 66256, '\p{Scx= CARI}', "");
Expect(0, 66256, '\p{^Scx= CARI}', "");
Expect(0, 66256, '\P{Scx= CARI}', "");
Expect(1, 66256, '\P{^Scx= CARI}', "");
Expect(0, 66257, '\p{Scx= CARI}', "");
Expect(1, 66257, '\p{^Scx= CARI}', "");
Expect(1, 66257, '\P{Scx= CARI}', "");
Expect(0, 66257, '\P{^Scx= CARI}', "");
Error('\p{Is_Script_Extensions=_/a/CARIAN}');
Error('\P{Is_Script_Extensions=_/a/CARIAN}');
Expect(1, 66256, '\p{Is_Script_Extensions=carian}', "");
Expect(0, 66256, '\p{^Is_Script_Extensions=carian}', "");
Expect(0, 66256, '\P{Is_Script_Extensions=carian}', "");
Expect(1, 66256, '\P{^Is_Script_Extensions=carian}', "");
Expect(0, 66257, '\p{Is_Script_Extensions=carian}', "");
Expect(1, 66257, '\p{^Is_Script_Extensions=carian}', "");
Expect(1, 66257, '\P{Is_Script_Extensions=carian}', "");
Expect(0, 66257, '\P{^Is_Script_Extensions=carian}', "");
Expect(1, 66256, '\p{Is_Script_Extensions=_	carian}', "");
Expect(0, 66256, '\p{^Is_Script_Extensions=_	carian}', "");
Expect(0, 66256, '\P{Is_Script_Extensions=_	carian}', "");
Expect(1, 66256, '\P{^Is_Script_Extensions=_	carian}', "");
Expect(0, 66257, '\p{Is_Script_Extensions=_	carian}', "");
Expect(1, 66257, '\p{^Is_Script_Extensions=_	carian}', "");
Expect(1, 66257, '\P{Is_Script_Extensions=_	carian}', "");
Expect(0, 66257, '\P{^Is_Script_Extensions=_	carian}', "");
Error('\p{Is_Scx=_ cari:=}');
Error('\P{Is_Scx=_ cari:=}');
Expect(1, 66256, '\p{Is_Scx=cari}', "");
Expect(0, 66256, '\p{^Is_Scx=cari}', "");
Expect(0, 66256, '\P{Is_Scx=cari}', "");
Expect(1, 66256, '\P{^Is_Scx=cari}', "");
Expect(0, 66257, '\p{Is_Scx=cari}', "");
Expect(1, 66257, '\p{^Is_Scx=cari}', "");
Expect(1, 66257, '\P{Is_Scx=cari}', "");
Expect(0, 66257, '\P{^Is_Scx=cari}', "");
Expect(1, 66256, '\p{Is_Scx= _CARI}', "");
Expect(0, 66256, '\p{^Is_Scx= _CARI}', "");
Expect(0, 66256, '\P{Is_Scx= _CARI}', "");
Expect(1, 66256, '\P{^Is_Scx= _CARI}', "");
Expect(0, 66257, '\p{Is_Scx= _CARI}', "");
Expect(1, 66257, '\p{^Is_Scx= _CARI}', "");
Expect(1, 66257, '\P{Is_Scx= _CARI}', "");
Expect(0, 66257, '\P{^Is_Scx= _CARI}', "");
Error('\p{Script_Extensions=:=	 CHAM}');
Error('\P{Script_Extensions=:=	 CHAM}');
Expect(1, 43615, '\p{Script_Extensions=cham}', "");
Expect(0, 43615, '\p{^Script_Extensions=cham}', "");
Expect(0, 43615, '\P{Script_Extensions=cham}', "");
Expect(1, 43615, '\P{^Script_Extensions=cham}', "");
Expect(0, 43616, '\p{Script_Extensions=cham}', "");
Expect(1, 43616, '\p{^Script_Extensions=cham}', "");
Expect(1, 43616, '\P{Script_Extensions=cham}', "");
Expect(0, 43616, '\P{^Script_Extensions=cham}', "");
Expect(1, 43615, '\p{Script_Extensions= 	Cham}', "");
Expect(0, 43615, '\p{^Script_Extensions= 	Cham}', "");
Expect(0, 43615, '\P{Script_Extensions= 	Cham}', "");
Expect(1, 43615, '\P{^Script_Extensions= 	Cham}', "");
Expect(0, 43616, '\p{Script_Extensions= 	Cham}', "");
Expect(1, 43616, '\p{^Script_Extensions= 	Cham}', "");
Expect(1, 43616, '\P{Script_Extensions= 	Cham}', "");
Expect(0, 43616, '\P{^Script_Extensions= 	Cham}', "");
Error('\p{Scx=	/a/cham}');
Error('\P{Scx=	/a/cham}');
Expect(1, 43615, '\p{Scx=cham}', "");
Expect(0, 43615, '\p{^Scx=cham}', "");
Expect(0, 43615, '\P{Scx=cham}', "");
Expect(1, 43615, '\P{^Scx=cham}', "");
Expect(0, 43616, '\p{Scx=cham}', "");
Expect(1, 43616, '\p{^Scx=cham}', "");
Expect(1, 43616, '\P{Scx=cham}', "");
Expect(0, 43616, '\P{^Scx=cham}', "");
Expect(1, 43615, '\p{Scx:  CHAM}', "");
Expect(0, 43615, '\p{^Scx:  CHAM}', "");
Expect(0, 43615, '\P{Scx:  CHAM}', "");
Expect(1, 43615, '\P{^Scx:  CHAM}', "");
Expect(0, 43616, '\p{Scx:  CHAM}', "");
Expect(1, 43616, '\p{^Scx:  CHAM}', "");
Expect(1, 43616, '\P{Scx:  CHAM}', "");
Expect(0, 43616, '\P{^Scx:  CHAM}', "");
Error('\p{Is_Script_Extensions=/a/  Cham}');
Error('\P{Is_Script_Extensions=/a/  Cham}');
Expect(1, 43615, '\p{Is_Script_Extensions=cham}', "");
Expect(0, 43615, '\p{^Is_Script_Extensions=cham}', "");
Expect(0, 43615, '\P{Is_Script_Extensions=cham}', "");
Expect(1, 43615, '\P{^Is_Script_Extensions=cham}', "");
Expect(0, 43616, '\p{Is_Script_Extensions=cham}', "");
Expect(1, 43616, '\p{^Is_Script_Extensions=cham}', "");
Expect(1, 43616, '\P{Is_Script_Extensions=cham}', "");
Expect(0, 43616, '\P{^Is_Script_Extensions=cham}', "");
Expect(1, 43615, '\p{Is_Script_Extensions=-CHAM}', "");
Expect(0, 43615, '\p{^Is_Script_Extensions=-CHAM}', "");
Expect(0, 43615, '\P{Is_Script_Extensions=-CHAM}', "");
Expect(1, 43615, '\P{^Is_Script_Extensions=-CHAM}', "");
Expect(0, 43616, '\p{Is_Script_Extensions=-CHAM}', "");
Expect(1, 43616, '\p{^Is_Script_Extensions=-CHAM}', "");
Expect(1, 43616, '\P{Is_Script_Extensions=-CHAM}', "");
Expect(0, 43616, '\P{^Is_Script_Extensions=-CHAM}', "");
Error('\p{Is_Scx= /a/Cham}');
Error('\P{Is_Scx= /a/Cham}');
Expect(1, 43615, '\p{Is_Scx=cham}', "");
Expect(0, 43615, '\p{^Is_Scx=cham}', "");
Expect(0, 43615, '\P{Is_Scx=cham}', "");
Expect(1, 43615, '\P{^Is_Scx=cham}', "");
Expect(0, 43616, '\p{Is_Scx=cham}', "");
Expect(1, 43616, '\p{^Is_Scx=cham}', "");
Expect(1, 43616, '\P{Is_Scx=cham}', "");
Expect(0, 43616, '\P{^Is_Scx=cham}', "");
Expect(1, 43615, '\p{Is_Scx=_CHAM}', "");
Expect(0, 43615, '\p{^Is_Scx=_CHAM}', "");
Expect(0, 43615, '\P{Is_Scx=_CHAM}', "");
Expect(1, 43615, '\P{^Is_Scx=_CHAM}', "");
Expect(0, 43616, '\p{Is_Scx=_CHAM}', "");
Expect(1, 43616, '\p{^Is_Scx=_CHAM}', "");
Expect(1, 43616, '\P{Is_Scx=_CHAM}', "");
Expect(0, 43616, '\P{^Is_Scx=_CHAM}', "");
Error('\p{Script_Extensions= /a/Cherokee}');
Error('\P{Script_Extensions= /a/Cherokee}');
Expect(1, 5108, '\p{Script_Extensions=cherokee}', "");
Expect(0, 5108, '\p{^Script_Extensions=cherokee}', "");
Expect(0, 5108, '\P{Script_Extensions=cherokee}', "");
Expect(1, 5108, '\P{^Script_Extensions=cherokee}', "");
Expect(0, 5109, '\p{Script_Extensions=cherokee}', "");
Expect(1, 5109, '\p{^Script_Extensions=cherokee}', "");
Expect(1, 5109, '\P{Script_Extensions=cherokee}', "");
Expect(0, 5109, '\P{^Script_Extensions=cherokee}', "");
Expect(1, 5108, '\p{Script_Extensions:		Cherokee}', "");
Expect(0, 5108, '\p{^Script_Extensions:		Cherokee}', "");
Expect(0, 5108, '\P{Script_Extensions:		Cherokee}', "");
Expect(1, 5108, '\P{^Script_Extensions:		Cherokee}', "");
Expect(0, 5109, '\p{Script_Extensions:		Cherokee}', "");
Expect(1, 5109, '\p{^Script_Extensions:		Cherokee}', "");
Expect(1, 5109, '\P{Script_Extensions:		Cherokee}', "");
Expect(0, 5109, '\P{^Script_Extensions:		Cherokee}', "");
Error('\p{Scx=	 CHER/a/}');
Error('\P{Scx=	 CHER/a/}');
Expect(1, 5108, '\p{Scx=cher}', "");
Expect(0, 5108, '\p{^Scx=cher}', "");
Expect(0, 5108, '\P{Scx=cher}', "");
Expect(1, 5108, '\P{^Scx=cher}', "");
Expect(0, 5109, '\p{Scx=cher}', "");
Expect(1, 5109, '\p{^Scx=cher}', "");
Expect(1, 5109, '\P{Scx=cher}', "");
Expect(0, 5109, '\P{^Scx=cher}', "");
Expect(1, 5108, '\p{Scx=	Cher}', "");
Expect(0, 5108, '\p{^Scx=	Cher}', "");
Expect(0, 5108, '\P{Scx=	Cher}', "");
Expect(1, 5108, '\P{^Scx=	Cher}', "");
Expect(0, 5109, '\p{Scx=	Cher}', "");
Expect(1, 5109, '\p{^Scx=	Cher}', "");
Expect(1, 5109, '\P{Scx=	Cher}', "");
Expect(0, 5109, '\P{^Scx=	Cher}', "");
Error('\p{Is_Script_Extensions= 	Cherokee:=}');
Error('\P{Is_Script_Extensions= 	Cherokee:=}');
Expect(1, 5108, '\p{Is_Script_Extensions=cherokee}', "");
Expect(0, 5108, '\p{^Is_Script_Extensions=cherokee}', "");
Expect(0, 5108, '\P{Is_Script_Extensions=cherokee}', "");
Expect(1, 5108, '\P{^Is_Script_Extensions=cherokee}', "");
Expect(0, 5109, '\p{Is_Script_Extensions=cherokee}', "");
Expect(1, 5109, '\p{^Is_Script_Extensions=cherokee}', "");
Expect(1, 5109, '\P{Is_Script_Extensions=cherokee}', "");
Expect(0, 5109, '\P{^Is_Script_Extensions=cherokee}', "");
Expect(1, 5108, '\p{Is_Script_Extensions:			Cherokee}', "");
Expect(0, 5108, '\p{^Is_Script_Extensions:			Cherokee}', "");
Expect(0, 5108, '\P{Is_Script_Extensions:			Cherokee}', "");
Expect(1, 5108, '\P{^Is_Script_Extensions:			Cherokee}', "");
Expect(0, 5109, '\p{Is_Script_Extensions:			Cherokee}', "");
Expect(1, 5109, '\p{^Is_Script_Extensions:			Cherokee}', "");
Expect(1, 5109, '\P{Is_Script_Extensions:			Cherokee}', "");
Expect(0, 5109, '\P{^Is_Script_Extensions:			Cherokee}', "");
Error('\p{Is_Scx=	Cher:=}');
Error('\P{Is_Scx=	Cher:=}');
Expect(1, 5108, '\p{Is_Scx=cher}', "");
Expect(0, 5108, '\p{^Is_Scx=cher}', "");
Expect(0, 5108, '\P{Is_Scx=cher}', "");
Expect(1, 5108, '\P{^Is_Scx=cher}', "");
Expect(0, 5109, '\p{Is_Scx=cher}', "");
Expect(1, 5109, '\p{^Is_Scx=cher}', "");
Expect(1, 5109, '\P{Is_Scx=cher}', "");
Expect(0, 5109, '\P{^Is_Scx=cher}', "");
Expect(1, 5108, '\p{Is_Scx= cher}', "");
Expect(0, 5108, '\p{^Is_Scx= cher}', "");
Expect(0, 5108, '\P{Is_Scx= cher}', "");
Expect(1, 5108, '\P{^Is_Scx= cher}', "");
Expect(0, 5109, '\p{Is_Scx= cher}', "");
Expect(1, 5109, '\p{^Is_Scx= cher}', "");
Expect(1, 5109, '\P{Is_Scx= cher}', "");
Expect(0, 5109, '\P{^Is_Scx= cher}', "");
Error('\p{Script_Extensions=/a/	-coptic}');
Error('\P{Script_Extensions=/a/	-coptic}');
Expect(1, 66299, '\p{Script_Extensions=coptic}', "");
Expect(0, 66299, '\p{^Script_Extensions=coptic}', "");
Expect(0, 66299, '\P{Script_Extensions=coptic}', "");
Expect(1, 66299, '\P{^Script_Extensions=coptic}', "");
Expect(0, 66300, '\p{Script_Extensions=coptic}', "");
Expect(1, 66300, '\p{^Script_Extensions=coptic}', "");
Expect(1, 66300, '\P{Script_Extensions=coptic}', "");
Expect(0, 66300, '\P{^Script_Extensions=coptic}', "");
Expect(1, 66299, '\p{Script_Extensions=  Coptic}', "");
Expect(0, 66299, '\p{^Script_Extensions=  Coptic}', "");
Expect(0, 66299, '\P{Script_Extensions=  Coptic}', "");
Expect(1, 66299, '\P{^Script_Extensions=  Coptic}', "");
Expect(0, 66300, '\p{Script_Extensions=  Coptic}', "");
Expect(1, 66300, '\p{^Script_Extensions=  Coptic}', "");
Expect(1, 66300, '\P{Script_Extensions=  Coptic}', "");
Expect(0, 66300, '\P{^Script_Extensions=  Coptic}', "");
Error('\p{Scx=/a/_copt}');
Error('\P{Scx=/a/_copt}');
Expect(1, 66299, '\p{Scx:	copt}', "");
Expect(0, 66299, '\p{^Scx:	copt}', "");
Expect(0, 66299, '\P{Scx:	copt}', "");
Expect(1, 66299, '\P{^Scx:	copt}', "");
Expect(0, 66300, '\p{Scx:	copt}', "");
Expect(1, 66300, '\p{^Scx:	copt}', "");
Expect(1, 66300, '\P{Scx:	copt}', "");
Expect(0, 66300, '\P{^Scx:	copt}', "");
Expect(1, 66299, '\p{Scx=	_Copt}', "");
Expect(0, 66299, '\p{^Scx=	_Copt}', "");
Expect(0, 66299, '\P{Scx=	_Copt}', "");
Expect(1, 66299, '\P{^Scx=	_Copt}', "");
Expect(0, 66300, '\p{Scx=	_Copt}', "");
Expect(1, 66300, '\p{^Scx=	_Copt}', "");
Expect(1, 66300, '\P{Scx=	_Copt}', "");
Expect(0, 66300, '\P{^Scx=	_Copt}', "");
Error('\p{Is_Script_Extensions=	/a/QAAC}');
Error('\P{Is_Script_Extensions=	/a/QAAC}');
Expect(1, 66299, '\p{Is_Script_Extensions=qaac}', "");
Expect(0, 66299, '\p{^Is_Script_Extensions=qaac}', "");
Expect(0, 66299, '\P{Is_Script_Extensions=qaac}', "");
Expect(1, 66299, '\P{^Is_Script_Extensions=qaac}', "");
Expect(0, 66300, '\p{Is_Script_Extensions=qaac}', "");
Expect(1, 66300, '\p{^Is_Script_Extensions=qaac}', "");
Expect(1, 66300, '\P{Is_Script_Extensions=qaac}', "");
Expect(0, 66300, '\P{^Is_Script_Extensions=qaac}', "");
Expect(1, 66299, '\p{Is_Script_Extensions=	QAAC}', "");
Expect(0, 66299, '\p{^Is_Script_Extensions=	QAAC}', "");
Expect(0, 66299, '\P{Is_Script_Extensions=	QAAC}', "");
Expect(1, 66299, '\P{^Is_Script_Extensions=	QAAC}', "");
Expect(0, 66300, '\p{Is_Script_Extensions=	QAAC}', "");
Expect(1, 66300, '\p{^Is_Script_Extensions=	QAAC}', "");
Expect(1, 66300, '\P{Is_Script_Extensions=	QAAC}', "");
Expect(0, 66300, '\P{^Is_Script_Extensions=	QAAC}', "");
Error('\p{Is_Scx=/a/-coptic}');
Error('\P{Is_Scx=/a/-coptic}');
Expect(1, 66299, '\p{Is_Scx=coptic}', "");
Expect(0, 66299, '\p{^Is_Scx=coptic}', "");
Expect(0, 66299, '\P{Is_Scx=coptic}', "");
Expect(1, 66299, '\P{^Is_Scx=coptic}', "");
Expect(0, 66300, '\p{Is_Scx=coptic}', "");
Expect(1, 66300, '\p{^Is_Scx=coptic}', "");
Expect(1, 66300, '\P{Is_Scx=coptic}', "");
Expect(0, 66300, '\P{^Is_Scx=coptic}', "");
Expect(1, 66299, '\p{Is_Scx=_-Coptic}', "");
Expect(0, 66299, '\p{^Is_Scx=_-Coptic}', "");
Expect(0, 66299, '\P{Is_Scx=_-Coptic}', "");
Expect(1, 66299, '\P{^Is_Scx=_-Coptic}', "");
Expect(0, 66300, '\p{Is_Scx=_-Coptic}', "");
Expect(1, 66300, '\p{^Is_Scx=_-Coptic}', "");
Expect(1, 66300, '\P{Is_Scx=_-Coptic}', "");
Expect(0, 66300, '\P{^Is_Scx=_-Coptic}', "");
Error('\p{Script_Extensions= _Cypriot/a/}');
Error('\P{Script_Extensions= _Cypriot/a/}');
Expect(1, 67647, '\p{Script_Extensions:   cypriot}', "");
Expect(0, 67647, '\p{^Script_Extensions:   cypriot}', "");
Expect(0, 67647, '\P{Script_Extensions:   cypriot}', "");
Expect(1, 67647, '\P{^Script_Extensions:   cypriot}', "");
Expect(0, 67648, '\p{Script_Extensions:   cypriot}', "");
Expect(1, 67648, '\p{^Script_Extensions:   cypriot}', "");
Expect(1, 67648, '\P{Script_Extensions:   cypriot}', "");
Expect(0, 67648, '\P{^Script_Extensions:   cypriot}', "");
Expect(1, 67647, '\p{Script_Extensions=	cypriot}', "");
Expect(0, 67647, '\p{^Script_Extensions=	cypriot}', "");
Expect(0, 67647, '\P{Script_Extensions=	cypriot}', "");
Expect(1, 67647, '\P{^Script_Extensions=	cypriot}', "");
Expect(0, 67648, '\p{Script_Extensions=	cypriot}', "");
Expect(1, 67648, '\p{^Script_Extensions=	cypriot}', "");
Expect(1, 67648, '\P{Script_Extensions=	cypriot}', "");
Expect(0, 67648, '\P{^Script_Extensions=	cypriot}', "");
Error('\p{Scx: _	cprt:=}');
Error('\P{Scx: _	cprt:=}');
Expect(1, 67647, '\p{Scx=cprt}', "");
Expect(0, 67647, '\p{^Scx=cprt}', "");
Expect(0, 67647, '\P{Scx=cprt}', "");
Expect(1, 67647, '\P{^Scx=cprt}', "");
Expect(0, 67648, '\p{Scx=cprt}', "");
Expect(1, 67648, '\p{^Scx=cprt}', "");
Expect(1, 67648, '\P{Scx=cprt}', "");
Expect(0, 67648, '\P{^Scx=cprt}', "");
Expect(1, 67647, '\p{Scx:	_Cprt}', "");
Expect(0, 67647, '\p{^Scx:	_Cprt}', "");
Expect(0, 67647, '\P{Scx:	_Cprt}', "");
Expect(1, 67647, '\P{^Scx:	_Cprt}', "");
Expect(0, 67648, '\p{Scx:	_Cprt}', "");
Expect(1, 67648, '\p{^Scx:	_Cprt}', "");
Expect(1, 67648, '\P{Scx:	_Cprt}', "");
Expect(0, 67648, '\P{^Scx:	_Cprt}', "");
Error('\p{Is_Script_Extensions:/a/CYPRIOT}');
Error('\P{Is_Script_Extensions:/a/CYPRIOT}');
Expect(1, 67647, '\p{Is_Script_Extensions=cypriot}', "");
Expect(0, 67647, '\p{^Is_Script_Extensions=cypriot}', "");
Expect(0, 67647, '\P{Is_Script_Extensions=cypriot}', "");
Expect(1, 67647, '\P{^Is_Script_Extensions=cypriot}', "");
Expect(0, 67648, '\p{Is_Script_Extensions=cypriot}', "");
Expect(1, 67648, '\p{^Is_Script_Extensions=cypriot}', "");
Expect(1, 67648, '\P{Is_Script_Extensions=cypriot}', "");
Expect(0, 67648, '\P{^Is_Script_Extensions=cypriot}', "");
Expect(1, 67647, '\p{Is_Script_Extensions=	-cypriot}', "");
Expect(0, 67647, '\p{^Is_Script_Extensions=	-cypriot}', "");
Expect(0, 67647, '\P{Is_Script_Extensions=	-cypriot}', "");
Expect(1, 67647, '\P{^Is_Script_Extensions=	-cypriot}', "");
Expect(0, 67648, '\p{Is_Script_Extensions=	-cypriot}', "");
Expect(1, 67648, '\p{^Is_Script_Extensions=	-cypriot}', "");
Expect(1, 67648, '\P{Is_Script_Extensions=	-cypriot}', "");
Expect(0, 67648, '\P{^Is_Script_Extensions=	-cypriot}', "");
Error('\p{Is_Scx=/a/_ Cprt}');
Error('\P{Is_Scx=/a/_ Cprt}');
Expect(1, 67647, '\p{Is_Scx=cprt}', "");
Expect(0, 67647, '\p{^Is_Scx=cprt}', "");
Expect(0, 67647, '\P{Is_Scx=cprt}', "");
Expect(1, 67647, '\P{^Is_Scx=cprt}', "");
Expect(0, 67648, '\p{Is_Scx=cprt}', "");
Expect(1, 67648, '\p{^Is_Scx=cprt}', "");
Expect(1, 67648, '\P{Is_Scx=cprt}', "");
Expect(0, 67648, '\P{^Is_Scx=cprt}', "");
Expect(1, 67647, '\p{Is_Scx=	cprt}', "");
Expect(0, 67647, '\p{^Is_Scx=	cprt}', "");
Expect(0, 67647, '\P{Is_Scx=	cprt}', "");
Expect(1, 67647, '\P{^Is_Scx=	cprt}', "");
Expect(0, 67648, '\p{Is_Scx=	cprt}', "");
Expect(1, 67648, '\p{^Is_Scx=	cprt}', "");
Expect(1, 67648, '\P{Is_Scx=	cprt}', "");
Expect(0, 67648, '\P{^Is_Scx=	cprt}', "");
Error('\p{Script_Extensions=/a/	 cyrillic}');
Error('\P{Script_Extensions=/a/	 cyrillic}');
Expect(1, 42655, '\p{Script_Extensions=cyrillic}', "");
Expect(0, 42655, '\p{^Script_Extensions=cyrillic}', "");
Expect(0, 42655, '\P{Script_Extensions=cyrillic}', "");
Expect(1, 42655, '\P{^Script_Extensions=cyrillic}', "");
Expect(0, 42656, '\p{Script_Extensions=cyrillic}', "");
Expect(1, 42656, '\p{^Script_Extensions=cyrillic}', "");
Expect(1, 42656, '\P{Script_Extensions=cyrillic}', "");
Expect(0, 42656, '\P{^Script_Extensions=cyrillic}', "");
Expect(1, 42655, '\p{Script_Extensions=__Cyrillic}', "");
Expect(0, 42655, '\p{^Script_Extensions=__Cyrillic}', "");
Expect(0, 42655, '\P{Script_Extensions=__Cyrillic}', "");
Expect(1, 42655, '\P{^Script_Extensions=__Cyrillic}', "");
Expect(0, 42656, '\p{Script_Extensions=__Cyrillic}', "");
Expect(1, 42656, '\p{^Script_Extensions=__Cyrillic}', "");
Expect(1, 42656, '\P{Script_Extensions=__Cyrillic}', "");
Expect(0, 42656, '\P{^Script_Extensions=__Cyrillic}', "");
Error('\p{Scx=		Cyrl/a/}');
Error('\P{Scx=		Cyrl/a/}');
Expect(1, 42655, '\p{Scx=cyrl}', "");
Expect(0, 42655, '\p{^Scx=cyrl}', "");
Expect(0, 42655, '\P{Scx=cyrl}', "");
Expect(1, 42655, '\P{^Scx=cyrl}', "");
Expect(0, 42656, '\p{Scx=cyrl}', "");
Expect(1, 42656, '\p{^Scx=cyrl}', "");
Expect(1, 42656, '\P{Scx=cyrl}', "");
Expect(0, 42656, '\P{^Scx=cyrl}', "");
Expect(1, 42655, '\p{Scx=	cyrl}', "");
Expect(0, 42655, '\p{^Scx=	cyrl}', "");
Expect(0, 42655, '\P{Scx=	cyrl}', "");
Expect(1, 42655, '\P{^Scx=	cyrl}', "");
Expect(0, 42656, '\p{Scx=	cyrl}', "");
Expect(1, 42656, '\p{^Scx=	cyrl}', "");
Expect(1, 42656, '\P{Scx=	cyrl}', "");
Expect(0, 42656, '\P{^Scx=	cyrl}', "");
Error('\p{Is_Script_Extensions=_Cyrillic/a/}');
Error('\P{Is_Script_Extensions=_Cyrillic/a/}');
Expect(1, 42655, '\p{Is_Script_Extensions=cyrillic}', "");
Expect(0, 42655, '\p{^Is_Script_Extensions=cyrillic}', "");
Expect(0, 42655, '\P{Is_Script_Extensions=cyrillic}', "");
Expect(1, 42655, '\P{^Is_Script_Extensions=cyrillic}', "");
Expect(0, 42656, '\p{Is_Script_Extensions=cyrillic}', "");
Expect(1, 42656, '\p{^Is_Script_Extensions=cyrillic}', "");
Expect(1, 42656, '\P{Is_Script_Extensions=cyrillic}', "");
Expect(0, 42656, '\P{^Is_Script_Extensions=cyrillic}', "");
Expect(1, 42655, '\p{Is_Script_Extensions=  Cyrillic}', "");
Expect(0, 42655, '\p{^Is_Script_Extensions=  Cyrillic}', "");
Expect(0, 42655, '\P{Is_Script_Extensions=  Cyrillic}', "");
Expect(1, 42655, '\P{^Is_Script_Extensions=  Cyrillic}', "");
Expect(0, 42656, '\p{Is_Script_Extensions=  Cyrillic}', "");
Expect(1, 42656, '\p{^Is_Script_Extensions=  Cyrillic}', "");
Expect(1, 42656, '\P{Is_Script_Extensions=  Cyrillic}', "");
Expect(0, 42656, '\P{^Is_Script_Extensions=  Cyrillic}', "");
Error('\p{Is_Scx=/a/-CYRL}');
Error('\P{Is_Scx=/a/-CYRL}');
Expect(1, 42655, '\p{Is_Scx=cyrl}', "");
Expect(0, 42655, '\p{^Is_Scx=cyrl}', "");
Expect(0, 42655, '\P{Is_Scx=cyrl}', "");
Expect(1, 42655, '\P{^Is_Scx=cyrl}', "");
Expect(0, 42656, '\p{Is_Scx=cyrl}', "");
Expect(1, 42656, '\p{^Is_Scx=cyrl}', "");
Expect(1, 42656, '\P{Is_Scx=cyrl}', "");
Expect(0, 42656, '\P{^Is_Scx=cyrl}', "");
Expect(1, 42655, '\p{Is_Scx=	Cyrl}', "");
Expect(0, 42655, '\p{^Is_Scx=	Cyrl}', "");
Expect(0, 42655, '\P{Is_Scx=	Cyrl}', "");
Expect(1, 42655, '\P{^Is_Scx=	Cyrl}', "");
Expect(0, 42656, '\p{Is_Scx=	Cyrl}', "");
Expect(1, 42656, '\p{^Is_Scx=	Cyrl}', "");
Expect(1, 42656, '\P{Is_Scx=	Cyrl}', "");
Expect(0, 42656, '\P{^Is_Scx=	Cyrl}', "");
Error('\p{Script_Extensions=-Devanagari:=}');
Error('\P{Script_Extensions=-Devanagari:=}');
Expect(1, 43259, '\p{Script_Extensions=devanagari}', "");
Expect(0, 43259, '\p{^Script_Extensions=devanagari}', "");
Expect(0, 43259, '\P{Script_Extensions=devanagari}', "");
Expect(1, 43259, '\P{^Script_Extensions=devanagari}', "");
Expect(0, 43260, '\p{Script_Extensions=devanagari}', "");
Expect(1, 43260, '\p{^Script_Extensions=devanagari}', "");
Expect(1, 43260, '\P{Script_Extensions=devanagari}', "");
Expect(0, 43260, '\P{^Script_Extensions=devanagari}', "");
Expect(1, 43259, '\p{Script_Extensions=__Devanagari}', "");
Expect(0, 43259, '\p{^Script_Extensions=__Devanagari}', "");
Expect(0, 43259, '\P{Script_Extensions=__Devanagari}', "");
Expect(1, 43259, '\P{^Script_Extensions=__Devanagari}', "");
Expect(0, 43260, '\p{Script_Extensions=__Devanagari}', "");
Expect(1, 43260, '\p{^Script_Extensions=__Devanagari}', "");
Expect(1, 43260, '\P{Script_Extensions=__Devanagari}', "");
Expect(0, 43260, '\P{^Script_Extensions=__Devanagari}', "");
Error('\p{Scx=/a/	-deva}');
Error('\P{Scx=/a/	-deva}');
Expect(1, 43259, '\p{Scx=deva}', "");
Expect(0, 43259, '\p{^Scx=deva}', "");
Expect(0, 43259, '\P{Scx=deva}', "");
Expect(1, 43259, '\P{^Scx=deva}', "");
Expect(0, 43260, '\p{Scx=deva}', "");
Expect(1, 43260, '\p{^Scx=deva}', "");
Expect(1, 43260, '\P{Scx=deva}', "");
Expect(0, 43260, '\P{^Scx=deva}', "");
Expect(1, 43259, '\p{Scx=-	Deva}', "");
Expect(0, 43259, '\p{^Scx=-	Deva}', "");
Expect(0, 43259, '\P{Scx=-	Deva}', "");
Expect(1, 43259, '\P{^Scx=-	Deva}', "");
Expect(0, 43260, '\p{Scx=-	Deva}', "");
Expect(1, 43260, '\p{^Scx=-	Deva}', "");
Expect(1, 43260, '\P{Scx=-	Deva}', "");
Expect(0, 43260, '\P{^Scx=-	Deva}', "");
Error('\p{Is_Script_Extensions=	-Devanagari:=}');
Error('\P{Is_Script_Extensions=	-Devanagari:=}');
Expect(1, 43259, '\p{Is_Script_Extensions:devanagari}', "");
Expect(0, 43259, '\p{^Is_Script_Extensions:devanagari}', "");
Expect(0, 43259, '\P{Is_Script_Extensions:devanagari}', "");
Expect(1, 43259, '\P{^Is_Script_Extensions:devanagari}', "");
Expect(0, 43260, '\p{Is_Script_Extensions:devanagari}', "");
Expect(1, 43260, '\p{^Is_Script_Extensions:devanagari}', "");
Expect(1, 43260, '\P{Is_Script_Extensions:devanagari}', "");
Expect(0, 43260, '\P{^Is_Script_Extensions:devanagari}', "");
Expect(1, 43259, '\p{Is_Script_Extensions=- Devanagari}', "");
Expect(0, 43259, '\p{^Is_Script_Extensions=- Devanagari}', "");
Expect(0, 43259, '\P{Is_Script_Extensions=- Devanagari}', "");
Expect(1, 43259, '\P{^Is_Script_Extensions=- Devanagari}', "");
Expect(0, 43260, '\p{Is_Script_Extensions=- Devanagari}', "");
Expect(1, 43260, '\p{^Is_Script_Extensions=- Devanagari}', "");
Expect(1, 43260, '\P{Is_Script_Extensions=- Devanagari}', "");
Expect(0, 43260, '\P{^Is_Script_Extensions=- Devanagari}', "");
Error('\p{Is_Scx=	:=Deva}');
Error('\P{Is_Scx=	:=Deva}');
Expect(1, 43259, '\p{Is_Scx=deva}', "");
Expect(0, 43259, '\p{^Is_Scx=deva}', "");
Expect(0, 43259, '\P{Is_Scx=deva}', "");
Expect(1, 43259, '\P{^Is_Scx=deva}', "");
Expect(0, 43260, '\p{Is_Scx=deva}', "");
Expect(1, 43260, '\p{^Is_Scx=deva}', "");
Expect(1, 43260, '\P{Is_Scx=deva}', "");
Expect(0, 43260, '\P{^Is_Scx=deva}', "");
Expect(1, 43259, '\p{Is_Scx=-	Deva}', "");
Expect(0, 43259, '\p{^Is_Scx=-	Deva}', "");
Expect(0, 43259, '\P{Is_Scx=-	Deva}', "");
Expect(1, 43259, '\P{^Is_Scx=-	Deva}', "");
Expect(0, 43260, '\p{Is_Scx=-	Deva}', "");
Expect(1, 43260, '\p{^Is_Scx=-	Deva}', "");
Expect(1, 43260, '\P{Is_Scx=-	Deva}', "");
Expect(0, 43260, '\P{^Is_Scx=-	Deva}', "");
Error('\p{Script_Extensions=/a/_ deseret}');
Error('\P{Script_Extensions=/a/_ deseret}');
Expect(1, 66639, '\p{Script_Extensions=deseret}', "");
Expect(0, 66639, '\p{^Script_Extensions=deseret}', "");
Expect(0, 66639, '\P{Script_Extensions=deseret}', "");
Expect(1, 66639, '\P{^Script_Extensions=deseret}', "");
Expect(0, 66640, '\p{Script_Extensions=deseret}', "");
Expect(1, 66640, '\p{^Script_Extensions=deseret}', "");
Expect(1, 66640, '\P{Script_Extensions=deseret}', "");
Expect(0, 66640, '\P{^Script_Extensions=deseret}', "");
Expect(1, 66639, '\p{Script_Extensions=-Deseret}', "");
Expect(0, 66639, '\p{^Script_Extensions=-Deseret}', "");
Expect(0, 66639, '\P{Script_Extensions=-Deseret}', "");
Expect(1, 66639, '\P{^Script_Extensions=-Deseret}', "");
Expect(0, 66640, '\p{Script_Extensions=-Deseret}', "");
Expect(1, 66640, '\p{^Script_Extensions=-Deseret}', "");
Expect(1, 66640, '\P{Script_Extensions=-Deseret}', "");
Expect(0, 66640, '\P{^Script_Extensions=-Deseret}', "");
Error('\p{Scx=_	dsrt/a/}');
Error('\P{Scx=_	dsrt/a/}');
Expect(1, 66639, '\p{Scx=dsrt}', "");
Expect(0, 66639, '\p{^Scx=dsrt}', "");
Expect(0, 66639, '\P{Scx=dsrt}', "");
Expect(1, 66639, '\P{^Scx=dsrt}', "");
Expect(0, 66640, '\p{Scx=dsrt}', "");
Expect(1, 66640, '\p{^Scx=dsrt}', "");
Expect(1, 66640, '\P{Scx=dsrt}', "");
Expect(0, 66640, '\P{^Scx=dsrt}', "");
Expect(1, 66639, '\p{Scx=		dsrt}', "");
Expect(0, 66639, '\p{^Scx=		dsrt}', "");
Expect(0, 66639, '\P{Scx=		dsrt}', "");
Expect(1, 66639, '\P{^Scx=		dsrt}', "");
Expect(0, 66640, '\p{Scx=		dsrt}', "");
Expect(1, 66640, '\p{^Scx=		dsrt}', "");
Expect(1, 66640, '\P{Scx=		dsrt}', "");
Expect(0, 66640, '\P{^Scx=		dsrt}', "");
Error('\p{Is_Script_Extensions=:= _DESERET}');
Error('\P{Is_Script_Extensions=:= _DESERET}');
Expect(1, 66639, '\p{Is_Script_Extensions=deseret}', "");
Expect(0, 66639, '\p{^Is_Script_Extensions=deseret}', "");
Expect(0, 66639, '\P{Is_Script_Extensions=deseret}', "");
Expect(1, 66639, '\P{^Is_Script_Extensions=deseret}', "");
Expect(0, 66640, '\p{Is_Script_Extensions=deseret}', "");
Expect(1, 66640, '\p{^Is_Script_Extensions=deseret}', "");
Expect(1, 66640, '\P{Is_Script_Extensions=deseret}', "");
Expect(0, 66640, '\P{^Is_Script_Extensions=deseret}', "");
Expect(1, 66639, '\p{Is_Script_Extensions=_deseret}', "");
Expect(0, 66639, '\p{^Is_Script_Extensions=_deseret}', "");
Expect(0, 66639, '\P{Is_Script_Extensions=_deseret}', "");
Expect(1, 66639, '\P{^Is_Script_Extensions=_deseret}', "");
Expect(0, 66640, '\p{Is_Script_Extensions=_deseret}', "");
Expect(1, 66640, '\p{^Is_Script_Extensions=_deseret}', "");
Expect(1, 66640, '\P{Is_Script_Extensions=_deseret}', "");
Expect(0, 66640, '\P{^Is_Script_Extensions=_deseret}', "");
Error('\p{Is_Scx=-_Dsrt/a/}');
Error('\P{Is_Scx=-_Dsrt/a/}');
Expect(1, 66639, '\p{Is_Scx=dsrt}', "");
Expect(0, 66639, '\p{^Is_Scx=dsrt}', "");
Expect(0, 66639, '\P{Is_Scx=dsrt}', "");
Expect(1, 66639, '\P{^Is_Scx=dsrt}', "");
Expect(0, 66640, '\p{Is_Scx=dsrt}', "");
Expect(1, 66640, '\p{^Is_Scx=dsrt}', "");
Expect(1, 66640, '\P{Is_Scx=dsrt}', "");
Expect(0, 66640, '\P{^Is_Scx=dsrt}', "");
Expect(1, 66639, '\p{Is_Scx=	-DSRT}', "");
Expect(0, 66639, '\p{^Is_Scx=	-DSRT}', "");
Expect(0, 66639, '\P{Is_Scx=	-DSRT}', "");
Expect(1, 66639, '\P{^Is_Scx=	-DSRT}', "");
Expect(0, 66640, '\p{Is_Scx=	-DSRT}', "");
Expect(1, 66640, '\p{^Is_Scx=	-DSRT}', "");
Expect(1, 66640, '\P{Is_Scx=	-DSRT}', "");
Expect(0, 66640, '\P{^Is_Scx=	-DSRT}', "");
Error('\p{Script_Extensions=-:=DUPLOYAN}');
Error('\P{Script_Extensions=-:=DUPLOYAN}');
Expect(1, 113827, '\p{Script_Extensions=duployan}', "");
Expect(0, 113827, '\p{^Script_Extensions=duployan}', "");
Expect(0, 113827, '\P{Script_Extensions=duployan}', "");
Expect(1, 113827, '\P{^Script_Extensions=duployan}', "");
Expect(0, 113828, '\p{Script_Extensions=duployan}', "");
Expect(1, 113828, '\p{^Script_Extensions=duployan}', "");
Expect(1, 113828, '\P{Script_Extensions=duployan}', "");
Expect(0, 113828, '\P{^Script_Extensions=duployan}', "");
Expect(1, 113827, '\p{Script_Extensions: duployan}', "");
Expect(0, 113827, '\p{^Script_Extensions: duployan}', "");
Expect(0, 113827, '\P{Script_Extensions: duployan}', "");
Expect(1, 113827, '\P{^Script_Extensions: duployan}', "");
Expect(0, 113828, '\p{Script_Extensions: duployan}', "");
Expect(1, 113828, '\p{^Script_Extensions: duployan}', "");
Expect(1, 113828, '\P{Script_Extensions: duployan}', "");
Expect(0, 113828, '\P{^Script_Extensions: duployan}', "");
Error('\p{Scx=	_dupl/a/}');
Error('\P{Scx=	_dupl/a/}');
Expect(1, 113827, '\p{Scx=dupl}', "");
Expect(0, 113827, '\p{^Scx=dupl}', "");
Expect(0, 113827, '\P{Scx=dupl}', "");
Expect(1, 113827, '\P{^Scx=dupl}', "");
Expect(0, 113828, '\p{Scx=dupl}', "");
Expect(1, 113828, '\p{^Scx=dupl}', "");
Expect(1, 113828, '\P{Scx=dupl}', "");
Expect(0, 113828, '\P{^Scx=dupl}', "");
Expect(1, 113827, '\p{Scx=-	dupl}', "");
Expect(0, 113827, '\p{^Scx=-	dupl}', "");
Expect(0, 113827, '\P{Scx=-	dupl}', "");
Expect(1, 113827, '\P{^Scx=-	dupl}', "");
Expect(0, 113828, '\p{Scx=-	dupl}', "");
Expect(1, 113828, '\p{^Scx=-	dupl}', "");
Expect(1, 113828, '\P{Scx=-	dupl}', "");
Expect(0, 113828, '\P{^Scx=-	dupl}', "");
Error('\p{Is_Script_Extensions=/a/ Duployan}');
Error('\P{Is_Script_Extensions=/a/ Duployan}');
Expect(1, 113827, '\p{Is_Script_Extensions=duployan}', "");
Expect(0, 113827, '\p{^Is_Script_Extensions=duployan}', "");
Expect(0, 113827, '\P{Is_Script_Extensions=duployan}', "");
Expect(1, 113827, '\P{^Is_Script_Extensions=duployan}', "");
Expect(0, 113828, '\p{Is_Script_Extensions=duployan}', "");
Expect(1, 113828, '\p{^Is_Script_Extensions=duployan}', "");
Expect(1, 113828, '\P{Is_Script_Extensions=duployan}', "");
Expect(0, 113828, '\P{^Is_Script_Extensions=duployan}', "");
Expect(1, 113827, '\p{Is_Script_Extensions=-	DUPLOYAN}', "");
Expect(0, 113827, '\p{^Is_Script_Extensions=-	DUPLOYAN}', "");
Expect(0, 113827, '\P{Is_Script_Extensions=-	DUPLOYAN}', "");
Expect(1, 113827, '\P{^Is_Script_Extensions=-	DUPLOYAN}', "");
Expect(0, 113828, '\p{Is_Script_Extensions=-	DUPLOYAN}', "");
Expect(1, 113828, '\p{^Is_Script_Extensions=-	DUPLOYAN}', "");
Expect(1, 113828, '\P{Is_Script_Extensions=-	DUPLOYAN}', "");
Expect(0, 113828, '\P{^Is_Script_Extensions=-	DUPLOYAN}', "");
Error('\p{Is_Scx=:=	 dupl}');
Error('\P{Is_Scx=:=	 dupl}');
Expect(1, 113827, '\p{Is_Scx=dupl}', "");
Expect(0, 113827, '\p{^Is_Scx=dupl}', "");
Expect(0, 113827, '\P{Is_Scx=dupl}', "");
Expect(1, 113827, '\P{^Is_Scx=dupl}', "");
Expect(0, 113828, '\p{Is_Scx=dupl}', "");
Expect(1, 113828, '\p{^Is_Scx=dupl}', "");
Expect(1, 113828, '\P{Is_Scx=dupl}', "");
Expect(0, 113828, '\P{^Is_Scx=dupl}', "");
Expect(1, 113827, '\p{Is_Scx=-Dupl}', "");
Expect(0, 113827, '\p{^Is_Scx=-Dupl}', "");
Expect(0, 113827, '\P{Is_Scx=-Dupl}', "");
Expect(1, 113827, '\P{^Is_Scx=-Dupl}', "");
Expect(0, 113828, '\p{Is_Scx=-Dupl}', "");
Expect(1, 113828, '\p{^Is_Scx=-Dupl}', "");
Expect(1, 113828, '\P{Is_Scx=-Dupl}', "");
Expect(0, 113828, '\P{^Is_Scx=-Dupl}', "");
Error('\p{Script_Extensions=		Egyptian_Hieroglyphs:=}');
Error('\P{Script_Extensions=		Egyptian_Hieroglyphs:=}');
Expect(1, 78894, '\p{Script_Extensions=egyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^Script_Extensions=egyptianhieroglyphs}', "");
Expect(0, 78894, '\P{Script_Extensions=egyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^Script_Extensions=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{Script_Extensions=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{^Script_Extensions=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{Script_Extensions=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{^Script_Extensions=egyptianhieroglyphs}', "");
Expect(1, 78894, '\p{Script_Extensions=--egyptian_Hieroglyphs}', "");
Expect(0, 78894, '\p{^Script_Extensions=--egyptian_Hieroglyphs}', "");
Expect(0, 78894, '\P{Script_Extensions=--egyptian_Hieroglyphs}', "");
Expect(1, 78894, '\P{^Script_Extensions=--egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\p{Script_Extensions=--egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\p{^Script_Extensions=--egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\P{Script_Extensions=--egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\P{^Script_Extensions=--egyptian_Hieroglyphs}', "");
Error('\p{Scx= :=EGYP}');
Error('\P{Scx= :=EGYP}');
Expect(1, 78894, '\p{Scx=egyp}', "");
Expect(0, 78894, '\p{^Scx=egyp}', "");
Expect(0, 78894, '\P{Scx=egyp}', "");
Expect(1, 78894, '\P{^Scx=egyp}', "");
Expect(0, 78895, '\p{Scx=egyp}', "");
Expect(1, 78895, '\p{^Scx=egyp}', "");
Expect(1, 78895, '\P{Scx=egyp}', "");
Expect(0, 78895, '\P{^Scx=egyp}', "");
Error('\p{Is_Script_Extensions=_ egyptian_Hieroglyphs/a/}');
Error('\P{Is_Script_Extensions=_ egyptian_Hieroglyphs/a/}');
Expect(1, 78894, '\p{Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(0, 78894, '\P{Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{^Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{^Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(1, 78894, '\p{Is_Script_Extensions:		EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78894, '\p{^Is_Script_Extensions:		EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78894, '\P{Is_Script_Extensions:		EGYPTIAN_Hieroglyphs}', "");
Expect(1, 78894, '\P{^Is_Script_Extensions:		EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78895, '\p{Is_Script_Extensions:		EGYPTIAN_Hieroglyphs}', "");
Expect(1, 78895, '\p{^Is_Script_Extensions:		EGYPTIAN_Hieroglyphs}', "");
Expect(1, 78895, '\P{Is_Script_Extensions:		EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78895, '\P{^Is_Script_Extensions:		EGYPTIAN_Hieroglyphs}', "");
Error('\p{Is_Scx=_/a/Egyp}');
Error('\P{Is_Scx=_/a/Egyp}');
Expect(1, 78894, '\p{Is_Scx=egyp}', "");
Expect(0, 78894, '\p{^Is_Scx=egyp}', "");
Expect(0, 78894, '\P{Is_Scx=egyp}', "");
Expect(1, 78894, '\P{^Is_Scx=egyp}', "");
Expect(0, 78895, '\p{Is_Scx=egyp}', "");
Expect(1, 78895, '\p{^Is_Scx=egyp}', "");
Expect(1, 78895, '\P{Is_Scx=egyp}', "");
Expect(0, 78895, '\P{^Is_Scx=egyp}', "");
Expect(1, 78894, '\p{Is_Scx=	egyp}', "");
Expect(0, 78894, '\p{^Is_Scx=	egyp}', "");
Expect(0, 78894, '\P{Is_Scx=	egyp}', "");
Expect(1, 78894, '\P{^Is_Scx=	egyp}', "");
Expect(0, 78895, '\p{Is_Scx=	egyp}', "");
Expect(1, 78895, '\p{^Is_Scx=	egyp}', "");
Expect(1, 78895, '\P{Is_Scx=	egyp}', "");
Expect(0, 78895, '\P{^Is_Scx=	egyp}', "");
Error('\p{Script_Extensions=:= _Elbasan}');
Error('\P{Script_Extensions=:= _Elbasan}');
Expect(1, 66855, '\p{Script_Extensions=elbasan}', "");
Expect(0, 66855, '\p{^Script_Extensions=elbasan}', "");
Expect(0, 66855, '\P{Script_Extensions=elbasan}', "");
Expect(1, 66855, '\P{^Script_Extensions=elbasan}', "");
Expect(0, 66856, '\p{Script_Extensions=elbasan}', "");
Expect(1, 66856, '\p{^Script_Extensions=elbasan}', "");
Expect(1, 66856, '\P{Script_Extensions=elbasan}', "");
Expect(0, 66856, '\P{^Script_Extensions=elbasan}', "");
Expect(1, 66855, '\p{Script_Extensions: -_Elbasan}', "");
Expect(0, 66855, '\p{^Script_Extensions: -_Elbasan}', "");
Expect(0, 66855, '\P{Script_Extensions: -_Elbasan}', "");
Expect(1, 66855, '\P{^Script_Extensions: -_Elbasan}', "");
Expect(0, 66856, '\p{Script_Extensions: -_Elbasan}', "");
Expect(1, 66856, '\p{^Script_Extensions: -_Elbasan}', "");
Expect(1, 66856, '\P{Script_Extensions: -_Elbasan}', "");
Expect(0, 66856, '\P{^Script_Extensions: -_Elbasan}', "");
Error('\p{Scx=_-elba/a/}');
Error('\P{Scx=_-elba/a/}');
Expect(1, 66855, '\p{Scx=elba}', "");
Expect(0, 66855, '\p{^Scx=elba}', "");
Expect(0, 66855, '\P{Scx=elba}', "");
Expect(1, 66855, '\P{^Scx=elba}', "");
Expect(0, 66856, '\p{Scx=elba}', "");
Expect(1, 66856, '\p{^Scx=elba}', "");
Expect(1, 66856, '\P{Scx=elba}', "");
Expect(0, 66856, '\P{^Scx=elba}', "");
Expect(1, 66855, '\p{Scx: -Elba}', "");
Expect(0, 66855, '\p{^Scx: -Elba}', "");
Expect(0, 66855, '\P{Scx: -Elba}', "");
Expect(1, 66855, '\P{^Scx: -Elba}', "");
Expect(0, 66856, '\p{Scx: -Elba}', "");
Expect(1, 66856, '\p{^Scx: -Elba}', "");
Expect(1, 66856, '\P{Scx: -Elba}', "");
Expect(0, 66856, '\P{^Scx: -Elba}', "");
Error('\p{Is_Script_Extensions=	_Elbasan:=}');
Error('\P{Is_Script_Extensions=	_Elbasan:=}');
Expect(1, 66855, '\p{Is_Script_Extensions=elbasan}', "");
Expect(0, 66855, '\p{^Is_Script_Extensions=elbasan}', "");
Expect(0, 66855, '\P{Is_Script_Extensions=elbasan}', "");
Expect(1, 66855, '\P{^Is_Script_Extensions=elbasan}', "");
Expect(0, 66856, '\p{Is_Script_Extensions=elbasan}', "");
Expect(1, 66856, '\p{^Is_Script_Extensions=elbasan}', "");
Expect(1, 66856, '\P{Is_Script_Extensions=elbasan}', "");
Expect(0, 66856, '\P{^Is_Script_Extensions=elbasan}', "");
Expect(1, 66855, '\p{Is_Script_Extensions: _elbasan}', "");
Expect(0, 66855, '\p{^Is_Script_Extensions: _elbasan}', "");
Expect(0, 66855, '\P{Is_Script_Extensions: _elbasan}', "");
Expect(1, 66855, '\P{^Is_Script_Extensions: _elbasan}', "");
Expect(0, 66856, '\p{Is_Script_Extensions: _elbasan}', "");
Expect(1, 66856, '\p{^Is_Script_Extensions: _elbasan}', "");
Expect(1, 66856, '\P{Is_Script_Extensions: _elbasan}', "");
Expect(0, 66856, '\P{^Is_Script_Extensions: _elbasan}', "");
Error('\p{Is_Scx=	-elba:=}');
Error('\P{Is_Scx=	-elba:=}');
Expect(1, 66855, '\p{Is_Scx=elba}', "");
Expect(0, 66855, '\p{^Is_Scx=elba}', "");
Expect(0, 66855, '\P{Is_Scx=elba}', "");
Expect(1, 66855, '\P{^Is_Scx=elba}', "");
Expect(0, 66856, '\p{Is_Scx=elba}', "");
Expect(1, 66856, '\p{^Is_Scx=elba}', "");
Expect(1, 66856, '\P{Is_Scx=elba}', "");
Expect(0, 66856, '\P{^Is_Scx=elba}', "");
Expect(1, 66855, '\p{Is_Scx=__ELBA}', "");
Expect(0, 66855, '\p{^Is_Scx=__ELBA}', "");
Expect(0, 66855, '\P{Is_Scx=__ELBA}', "");
Expect(1, 66855, '\P{^Is_Scx=__ELBA}', "");
Expect(0, 66856, '\p{Is_Scx=__ELBA}', "");
Expect(1, 66856, '\p{^Is_Scx=__ELBA}', "");
Expect(1, 66856, '\P{Is_Scx=__ELBA}', "");
Expect(0, 66856, '\P{^Is_Scx=__ELBA}', "");
Error('\p{Script_Extensions= :=ETHIOPIC}');
Error('\P{Script_Extensions= :=ETHIOPIC}');
Expect(1, 43822, '\p{Script_Extensions:ethiopic}', "");
Expect(0, 43822, '\p{^Script_Extensions:ethiopic}', "");
Expect(0, 43822, '\P{Script_Extensions:ethiopic}', "");
Expect(1, 43822, '\P{^Script_Extensions:ethiopic}', "");
Expect(0, 43823, '\p{Script_Extensions:ethiopic}', "");
Expect(1, 43823, '\p{^Script_Extensions:ethiopic}', "");
Expect(1, 43823, '\P{Script_Extensions:ethiopic}', "");
Expect(0, 43823, '\P{^Script_Extensions:ethiopic}', "");
Expect(1, 43822, '\p{Script_Extensions=_ ETHIOPIC}', "");
Expect(0, 43822, '\p{^Script_Extensions=_ ETHIOPIC}', "");
Expect(0, 43822, '\P{Script_Extensions=_ ETHIOPIC}', "");
Expect(1, 43822, '\P{^Script_Extensions=_ ETHIOPIC}', "");
Expect(0, 43823, '\p{Script_Extensions=_ ETHIOPIC}', "");
Expect(1, 43823, '\p{^Script_Extensions=_ ETHIOPIC}', "");
Expect(1, 43823, '\P{Script_Extensions=_ ETHIOPIC}', "");
Expect(0, 43823, '\P{^Script_Extensions=_ ETHIOPIC}', "");
Error('\p{Scx=-Ethi:=}');
Error('\P{Scx=-Ethi:=}');
Expect(1, 43822, '\p{Scx=ethi}', "");
Expect(0, 43822, '\p{^Scx=ethi}', "");
Expect(0, 43822, '\P{Scx=ethi}', "");
Expect(1, 43822, '\P{^Scx=ethi}', "");
Expect(0, 43823, '\p{Scx=ethi}', "");
Expect(1, 43823, '\p{^Scx=ethi}', "");
Expect(1, 43823, '\P{Scx=ethi}', "");
Expect(0, 43823, '\P{^Scx=ethi}', "");
Expect(1, 43822, '\p{Scx:	-ETHI}', "");
Expect(0, 43822, '\p{^Scx:	-ETHI}', "");
Expect(0, 43822, '\P{Scx:	-ETHI}', "");
Expect(1, 43822, '\P{^Scx:	-ETHI}', "");
Expect(0, 43823, '\p{Scx:	-ETHI}', "");
Expect(1, 43823, '\p{^Scx:	-ETHI}', "");
Expect(1, 43823, '\P{Scx:	-ETHI}', "");
Expect(0, 43823, '\P{^Scx:	-ETHI}', "");
Error('\p{Is_Script_Extensions: :=	 Ethiopic}');
Error('\P{Is_Script_Extensions: :=	 Ethiopic}');
Expect(1, 43822, '\p{Is_Script_Extensions=ethiopic}', "");
Expect(0, 43822, '\p{^Is_Script_Extensions=ethiopic}', "");
Expect(0, 43822, '\P{Is_Script_Extensions=ethiopic}', "");
Expect(1, 43822, '\P{^Is_Script_Extensions=ethiopic}', "");
Expect(0, 43823, '\p{Is_Script_Extensions=ethiopic}', "");
Expect(1, 43823, '\p{^Is_Script_Extensions=ethiopic}', "");
Expect(1, 43823, '\P{Is_Script_Extensions=ethiopic}', "");
Expect(0, 43823, '\P{^Is_Script_Extensions=ethiopic}', "");
Expect(1, 43822, '\p{Is_Script_Extensions=_ethiopic}', "");
Expect(0, 43822, '\p{^Is_Script_Extensions=_ethiopic}', "");
Expect(0, 43822, '\P{Is_Script_Extensions=_ethiopic}', "");
Expect(1, 43822, '\P{^Is_Script_Extensions=_ethiopic}', "");
Expect(0, 43823, '\p{Is_Script_Extensions=_ethiopic}', "");
Expect(1, 43823, '\p{^Is_Script_Extensions=_ethiopic}', "");
Expect(1, 43823, '\P{Is_Script_Extensions=_ethiopic}', "");
Expect(0, 43823, '\P{^Is_Script_Extensions=_ethiopic}', "");
Error('\p{Is_Scx= ethi/a/}');
Error('\P{Is_Scx= ethi/a/}');
Expect(1, 43822, '\p{Is_Scx=ethi}', "");
Expect(0, 43822, '\p{^Is_Scx=ethi}', "");
Expect(0, 43822, '\P{Is_Scx=ethi}', "");
Expect(1, 43822, '\P{^Is_Scx=ethi}', "");
Expect(0, 43823, '\p{Is_Scx=ethi}', "");
Expect(1, 43823, '\p{^Is_Scx=ethi}', "");
Expect(1, 43823, '\P{Is_Scx=ethi}', "");
Expect(0, 43823, '\P{^Is_Scx=ethi}', "");
Expect(1, 43822, '\p{Is_Scx=-ETHI}', "");
Expect(0, 43822, '\p{^Is_Scx=-ETHI}', "");
Expect(0, 43822, '\P{Is_Scx=-ETHI}', "");
Expect(1, 43822, '\P{^Is_Scx=-ETHI}', "");
Expect(0, 43823, '\p{Is_Scx=-ETHI}', "");
Expect(1, 43823, '\p{^Is_Scx=-ETHI}', "");
Expect(1, 43823, '\P{Is_Scx=-ETHI}', "");
Expect(0, 43823, '\P{^Is_Scx=-ETHI}', "");
Error('\p{Script_Extensions=	_Georgian:=}');
Error('\P{Script_Extensions=	_Georgian:=}');
Expect(1, 11565, '\p{Script_Extensions:georgian}', "");
Expect(0, 11565, '\p{^Script_Extensions:georgian}', "");
Expect(0, 11565, '\P{Script_Extensions:georgian}', "");
Expect(1, 11565, '\P{^Script_Extensions:georgian}', "");
Expect(0, 11566, '\p{Script_Extensions:georgian}', "");
Expect(1, 11566, '\p{^Script_Extensions:georgian}', "");
Expect(1, 11566, '\P{Script_Extensions:georgian}', "");
Expect(0, 11566, '\P{^Script_Extensions:georgian}', "");
Expect(1, 11565, '\p{Script_Extensions= 	Georgian}', "");
Expect(0, 11565, '\p{^Script_Extensions= 	Georgian}', "");
Expect(0, 11565, '\P{Script_Extensions= 	Georgian}', "");
Expect(1, 11565, '\P{^Script_Extensions= 	Georgian}', "");
Expect(0, 11566, '\p{Script_Extensions= 	Georgian}', "");
Expect(1, 11566, '\p{^Script_Extensions= 	Georgian}', "");
Expect(1, 11566, '\P{Script_Extensions= 	Georgian}', "");
Expect(0, 11566, '\P{^Script_Extensions= 	Georgian}', "");
Error('\p{Scx=/a/-geor}');
Error('\P{Scx=/a/-geor}');
Expect(1, 11565, '\p{Scx=geor}', "");
Expect(0, 11565, '\p{^Scx=geor}', "");
Expect(0, 11565, '\P{Scx=geor}', "");
Expect(1, 11565, '\P{^Scx=geor}', "");
Expect(0, 11566, '\p{Scx=geor}', "");
Expect(1, 11566, '\p{^Scx=geor}', "");
Expect(1, 11566, '\P{Scx=geor}', "");
Expect(0, 11566, '\P{^Scx=geor}', "");
Expect(1, 11565, '\p{Scx= geor}', "");
Expect(0, 11565, '\p{^Scx= geor}', "");
Expect(0, 11565, '\P{Scx= geor}', "");
Expect(1, 11565, '\P{^Scx= geor}', "");
Expect(0, 11566, '\p{Scx= geor}', "");
Expect(1, 11566, '\p{^Scx= geor}', "");
Expect(1, 11566, '\P{Scx= geor}', "");
Expect(0, 11566, '\P{^Scx= geor}', "");
Error('\p{Is_Script_Extensions=/a/_GEORGIAN}');
Error('\P{Is_Script_Extensions=/a/_GEORGIAN}');
Expect(1, 11565, '\p{Is_Script_Extensions=georgian}', "");
Expect(0, 11565, '\p{^Is_Script_Extensions=georgian}', "");
Expect(0, 11565, '\P{Is_Script_Extensions=georgian}', "");
Expect(1, 11565, '\P{^Is_Script_Extensions=georgian}', "");
Expect(0, 11566, '\p{Is_Script_Extensions=georgian}', "");
Expect(1, 11566, '\p{^Is_Script_Extensions=georgian}', "");
Expect(1, 11566, '\P{Is_Script_Extensions=georgian}', "");
Expect(0, 11566, '\P{^Is_Script_Extensions=georgian}', "");
Expect(1, 11565, '\p{Is_Script_Extensions=  Georgian}', "");
Expect(0, 11565, '\p{^Is_Script_Extensions=  Georgian}', "");
Expect(0, 11565, '\P{Is_Script_Extensions=  Georgian}', "");
Expect(1, 11565, '\P{^Is_Script_Extensions=  Georgian}', "");
Expect(0, 11566, '\p{Is_Script_Extensions=  Georgian}', "");
Expect(1, 11566, '\p{^Is_Script_Extensions=  Georgian}', "");
Expect(1, 11566, '\P{Is_Script_Extensions=  Georgian}', "");
Expect(0, 11566, '\P{^Is_Script_Extensions=  Georgian}', "");
Error('\p{Is_Scx= Geor:=}');
Error('\P{Is_Scx= Geor:=}');
Expect(1, 11565, '\p{Is_Scx=geor}', "");
Expect(0, 11565, '\p{^Is_Scx=geor}', "");
Expect(0, 11565, '\P{Is_Scx=geor}', "");
Expect(1, 11565, '\P{^Is_Scx=geor}', "");
Expect(0, 11566, '\p{Is_Scx=geor}', "");
Expect(1, 11566, '\p{^Is_Scx=geor}', "");
Expect(1, 11566, '\P{Is_Scx=geor}', "");
Expect(0, 11566, '\P{^Is_Scx=geor}', "");
Expect(1, 11565, '\p{Is_Scx=	-GEOR}', "");
Expect(0, 11565, '\p{^Is_Scx=	-GEOR}', "");
Expect(0, 11565, '\P{Is_Scx=	-GEOR}', "");
Expect(1, 11565, '\P{^Is_Scx=	-GEOR}', "");
Expect(0, 11566, '\p{Is_Scx=	-GEOR}', "");
Expect(1, 11566, '\p{^Is_Scx=	-GEOR}', "");
Expect(1, 11566, '\P{Is_Scx=	-GEOR}', "");
Expect(0, 11566, '\P{^Is_Scx=	-GEOR}', "");
Error('\p{Script_Extensions=:=-_glagolitic}');
Error('\P{Script_Extensions=:=-_glagolitic}');
Expect(1, 11358, '\p{Script_Extensions=glagolitic}', "");
Expect(0, 11358, '\p{^Script_Extensions=glagolitic}', "");
Expect(0, 11358, '\P{Script_Extensions=glagolitic}', "");
Expect(1, 11358, '\P{^Script_Extensions=glagolitic}', "");
Expect(0, 11359, '\p{Script_Extensions=glagolitic}', "");
Expect(1, 11359, '\p{^Script_Extensions=glagolitic}', "");
Expect(1, 11359, '\P{Script_Extensions=glagolitic}', "");
Expect(0, 11359, '\P{^Script_Extensions=glagolitic}', "");
Expect(1, 11358, '\p{Script_Extensions=__Glagolitic}', "");
Expect(0, 11358, '\p{^Script_Extensions=__Glagolitic}', "");
Expect(0, 11358, '\P{Script_Extensions=__Glagolitic}', "");
Expect(1, 11358, '\P{^Script_Extensions=__Glagolitic}', "");
Expect(0, 11359, '\p{Script_Extensions=__Glagolitic}', "");
Expect(1, 11359, '\p{^Script_Extensions=__Glagolitic}', "");
Expect(1, 11359, '\P{Script_Extensions=__Glagolitic}', "");
Expect(0, 11359, '\P{^Script_Extensions=__Glagolitic}', "");
Error('\p{Scx=-:=Glag}');
Error('\P{Scx=-:=Glag}');
Expect(1, 11358, '\p{Scx:glag}', "");
Expect(0, 11358, '\p{^Scx:glag}', "");
Expect(0, 11358, '\P{Scx:glag}', "");
Expect(1, 11358, '\P{^Scx:glag}', "");
Expect(0, 11359, '\p{Scx:glag}', "");
Expect(1, 11359, '\p{^Scx:glag}', "");
Expect(1, 11359, '\P{Scx:glag}', "");
Expect(0, 11359, '\P{^Scx:glag}', "");
Expect(1, 11358, '\p{Scx=__Glag}', "");
Expect(0, 11358, '\p{^Scx=__Glag}', "");
Expect(0, 11358, '\P{Scx=__Glag}', "");
Expect(1, 11358, '\P{^Scx=__Glag}', "");
Expect(0, 11359, '\p{Scx=__Glag}', "");
Expect(1, 11359, '\p{^Scx=__Glag}', "");
Expect(1, 11359, '\P{Scx=__Glag}', "");
Expect(0, 11359, '\P{^Scx=__Glag}', "");
Error('\p{Is_Script_Extensions=	Glagolitic/a/}');
Error('\P{Is_Script_Extensions=	Glagolitic/a/}');
Expect(1, 11358, '\p{Is_Script_Extensions=glagolitic}', "");
Expect(0, 11358, '\p{^Is_Script_Extensions=glagolitic}', "");
Expect(0, 11358, '\P{Is_Script_Extensions=glagolitic}', "");
Expect(1, 11358, '\P{^Is_Script_Extensions=glagolitic}', "");
Expect(0, 11359, '\p{Is_Script_Extensions=glagolitic}', "");
Expect(1, 11359, '\p{^Is_Script_Extensions=glagolitic}', "");
Expect(1, 11359, '\P{Is_Script_Extensions=glagolitic}', "");
Expect(0, 11359, '\P{^Is_Script_Extensions=glagolitic}', "");
Expect(1, 11358, '\p{Is_Script_Extensions=-Glagolitic}', "");
Expect(0, 11358, '\p{^Is_Script_Extensions=-Glagolitic}', "");
Expect(0, 11358, '\P{Is_Script_Extensions=-Glagolitic}', "");
Expect(1, 11358, '\P{^Is_Script_Extensions=-Glagolitic}', "");
Expect(0, 11359, '\p{Is_Script_Extensions=-Glagolitic}', "");
Expect(1, 11359, '\p{^Is_Script_Extensions=-Glagolitic}', "");
Expect(1, 11359, '\P{Is_Script_Extensions=-Glagolitic}', "");
Expect(0, 11359, '\P{^Is_Script_Extensions=-Glagolitic}', "");
Error('\p{Is_Scx=/a/_glag}');
Error('\P{Is_Scx=/a/_glag}');
Expect(1, 11358, '\p{Is_Scx=glag}', "");
Expect(0, 11358, '\p{^Is_Scx=glag}', "");
Expect(0, 11358, '\P{Is_Scx=glag}', "");
Expect(1, 11358, '\P{^Is_Scx=glag}', "");
Expect(0, 11359, '\p{Is_Scx=glag}', "");
Expect(1, 11359, '\p{^Is_Scx=glag}', "");
Expect(1, 11359, '\P{Is_Scx=glag}', "");
Expect(0, 11359, '\P{^Is_Scx=glag}', "");
Expect(1, 11358, '\p{Is_Scx=- Glag}', "");
Expect(0, 11358, '\p{^Is_Scx=- Glag}', "");
Expect(0, 11358, '\P{Is_Scx=- Glag}', "");
Expect(1, 11358, '\P{^Is_Scx=- Glag}', "");
Expect(0, 11359, '\p{Is_Scx=- Glag}', "");
Expect(1, 11359, '\p{^Is_Scx=- Glag}', "");
Expect(1, 11359, '\P{Is_Scx=- Glag}', "");
Expect(0, 11359, '\P{^Is_Scx=- Glag}', "");
Error('\p{Script_Extensions= /a/gothic}');
Error('\P{Script_Extensions= /a/gothic}');
Expect(1, 66378, '\p{Script_Extensions: gothic}', "");
Expect(0, 66378, '\p{^Script_Extensions: gothic}', "");
Expect(0, 66378, '\P{Script_Extensions: gothic}', "");
Expect(1, 66378, '\P{^Script_Extensions: gothic}', "");
Expect(0, 66379, '\p{Script_Extensions: gothic}', "");
Expect(1, 66379, '\p{^Script_Extensions: gothic}', "");
Expect(1, 66379, '\P{Script_Extensions: gothic}', "");
Expect(0, 66379, '\P{^Script_Extensions: gothic}', "");
Expect(1, 66378, '\p{Script_Extensions=-	Gothic}', "");
Expect(0, 66378, '\p{^Script_Extensions=-	Gothic}', "");
Expect(0, 66378, '\P{Script_Extensions=-	Gothic}', "");
Expect(1, 66378, '\P{^Script_Extensions=-	Gothic}', "");
Expect(0, 66379, '\p{Script_Extensions=-	Gothic}', "");
Expect(1, 66379, '\p{^Script_Extensions=-	Gothic}', "");
Expect(1, 66379, '\P{Script_Extensions=-	Gothic}', "");
Expect(0, 66379, '\P{^Script_Extensions=-	Gothic}', "");
Error('\p{Scx=_GOTH:=}');
Error('\P{Scx=_GOTH:=}');
Expect(1, 66378, '\p{Scx=goth}', "");
Expect(0, 66378, '\p{^Scx=goth}', "");
Expect(0, 66378, '\P{Scx=goth}', "");
Expect(1, 66378, '\P{^Scx=goth}', "");
Expect(0, 66379, '\p{Scx=goth}', "");
Expect(1, 66379, '\p{^Scx=goth}', "");
Expect(1, 66379, '\P{Scx=goth}', "");
Expect(0, 66379, '\P{^Scx=goth}', "");
Expect(1, 66378, '\p{Scx=-	Goth}', "");
Expect(0, 66378, '\p{^Scx=-	Goth}', "");
Expect(0, 66378, '\P{Scx=-	Goth}', "");
Expect(1, 66378, '\P{^Scx=-	Goth}', "");
Expect(0, 66379, '\p{Scx=-	Goth}', "");
Expect(1, 66379, '\p{^Scx=-	Goth}', "");
Expect(1, 66379, '\P{Scx=-	Goth}', "");
Expect(0, 66379, '\P{^Scx=-	Goth}', "");
Error('\p{Is_Script_Extensions= 	Gothic:=}');
Error('\P{Is_Script_Extensions= 	Gothic:=}');
Expect(1, 66378, '\p{Is_Script_Extensions=gothic}', "");
Expect(0, 66378, '\p{^Is_Script_Extensions=gothic}', "");
Expect(0, 66378, '\P{Is_Script_Extensions=gothic}', "");
Expect(1, 66378, '\P{^Is_Script_Extensions=gothic}', "");
Expect(0, 66379, '\p{Is_Script_Extensions=gothic}', "");
Expect(1, 66379, '\p{^Is_Script_Extensions=gothic}', "");
Expect(1, 66379, '\P{Is_Script_Extensions=gothic}', "");
Expect(0, 66379, '\P{^Is_Script_Extensions=gothic}', "");
Expect(1, 66378, '\p{Is_Script_Extensions=	-GOTHIC}', "");
Expect(0, 66378, '\p{^Is_Script_Extensions=	-GOTHIC}', "");
Expect(0, 66378, '\P{Is_Script_Extensions=	-GOTHIC}', "");
Expect(1, 66378, '\P{^Is_Script_Extensions=	-GOTHIC}', "");
Expect(0, 66379, '\p{Is_Script_Extensions=	-GOTHIC}', "");
Expect(1, 66379, '\p{^Is_Script_Extensions=	-GOTHIC}', "");
Expect(1, 66379, '\P{Is_Script_Extensions=	-GOTHIC}', "");
Expect(0, 66379, '\P{^Is_Script_Extensions=	-GOTHIC}', "");
Error('\p{Is_Scx=:=-GOTH}');
Error('\P{Is_Scx=:=-GOTH}');
Expect(1, 66378, '\p{Is_Scx=goth}', "");
Expect(0, 66378, '\p{^Is_Scx=goth}', "");
Expect(0, 66378, '\P{Is_Scx=goth}', "");
Expect(1, 66378, '\P{^Is_Scx=goth}', "");
Expect(0, 66379, '\p{Is_Scx=goth}', "");
Expect(1, 66379, '\p{^Is_Scx=goth}', "");
Expect(1, 66379, '\P{Is_Scx=goth}', "");
Expect(0, 66379, '\P{^Is_Scx=goth}', "");
Expect(1, 66378, '\p{Is_Scx=_-Goth}', "");
Expect(0, 66378, '\p{^Is_Scx=_-Goth}', "");
Expect(0, 66378, '\P{Is_Scx=_-Goth}', "");
Expect(1, 66378, '\P{^Is_Scx=_-Goth}', "");
Expect(0, 66379, '\p{Is_Scx=_-Goth}', "");
Expect(1, 66379, '\p{^Is_Scx=_-Goth}', "");
Expect(1, 66379, '\P{Is_Scx=_-Goth}', "");
Expect(0, 66379, '\P{^Is_Scx=_-Goth}', "");
Error('\p{Script_Extensions=:=	grantha}');
Error('\P{Script_Extensions=:=	grantha}');
Expect(1, 70516, '\p{Script_Extensions=grantha}', "");
Expect(0, 70516, '\p{^Script_Extensions=grantha}', "");
Expect(0, 70516, '\P{Script_Extensions=grantha}', "");
Expect(1, 70516, '\P{^Script_Extensions=grantha}', "");
Expect(0, 70517, '\p{Script_Extensions=grantha}', "");
Expect(1, 70517, '\p{^Script_Extensions=grantha}', "");
Expect(1, 70517, '\P{Script_Extensions=grantha}', "");
Expect(0, 70517, '\P{^Script_Extensions=grantha}', "");
Expect(1, 70516, '\p{Script_Extensions=_Grantha}', "");
Expect(0, 70516, '\p{^Script_Extensions=_Grantha}', "");
Expect(0, 70516, '\P{Script_Extensions=_Grantha}', "");
Expect(1, 70516, '\P{^Script_Extensions=_Grantha}', "");
Expect(0, 70517, '\p{Script_Extensions=_Grantha}', "");
Expect(1, 70517, '\p{^Script_Extensions=_Grantha}', "");
Expect(1, 70517, '\P{Script_Extensions=_Grantha}', "");
Expect(0, 70517, '\P{^Script_Extensions=_Grantha}', "");
Error('\p{Scx=	:=gran}');
Error('\P{Scx=	:=gran}');
Expect(1, 70516, '\p{Scx=gran}', "");
Expect(0, 70516, '\p{^Scx=gran}', "");
Expect(0, 70516, '\P{Scx=gran}', "");
Expect(1, 70516, '\P{^Scx=gran}', "");
Expect(0, 70517, '\p{Scx=gran}', "");
Expect(1, 70517, '\p{^Scx=gran}', "");
Expect(1, 70517, '\P{Scx=gran}', "");
Expect(0, 70517, '\P{^Scx=gran}', "");
Expect(1, 70516, '\p{Scx=_	gran}', "");
Expect(0, 70516, '\p{^Scx=_	gran}', "");
Expect(0, 70516, '\P{Scx=_	gran}', "");
Expect(1, 70516, '\P{^Scx=_	gran}', "");
Expect(0, 70517, '\p{Scx=_	gran}', "");
Expect(1, 70517, '\p{^Scx=_	gran}', "");
Expect(1, 70517, '\P{Scx=_	gran}', "");
Expect(0, 70517, '\P{^Scx=_	gran}', "");
Error('\p{Is_Script_Extensions=_ grantha/a/}');
Error('\P{Is_Script_Extensions=_ grantha/a/}');
Expect(1, 70516, '\p{Is_Script_Extensions=grantha}', "");
Expect(0, 70516, '\p{^Is_Script_Extensions=grantha}', "");
Expect(0, 70516, '\P{Is_Script_Extensions=grantha}', "");
Expect(1, 70516, '\P{^Is_Script_Extensions=grantha}', "");
Expect(0, 70517, '\p{Is_Script_Extensions=grantha}', "");
Expect(1, 70517, '\p{^Is_Script_Extensions=grantha}', "");
Expect(1, 70517, '\P{Is_Script_Extensions=grantha}', "");
Expect(0, 70517, '\P{^Is_Script_Extensions=grantha}', "");
Expect(1, 70516, '\p{Is_Script_Extensions=	grantha}', "");
Expect(0, 70516, '\p{^Is_Script_Extensions=	grantha}', "");
Expect(0, 70516, '\P{Is_Script_Extensions=	grantha}', "");
Expect(1, 70516, '\P{^Is_Script_Extensions=	grantha}', "");
Expect(0, 70517, '\p{Is_Script_Extensions=	grantha}', "");
Expect(1, 70517, '\p{^Is_Script_Extensions=	grantha}', "");
Expect(1, 70517, '\P{Is_Script_Extensions=	grantha}', "");
Expect(0, 70517, '\P{^Is_Script_Extensions=	grantha}', "");
Error('\p{Is_Scx=	-Gran:=}');
Error('\P{Is_Scx=	-Gran:=}');
Expect(1, 70516, '\p{Is_Scx=gran}', "");
Expect(0, 70516, '\p{^Is_Scx=gran}', "");
Expect(0, 70516, '\P{Is_Scx=gran}', "");
Expect(1, 70516, '\P{^Is_Scx=gran}', "");
Expect(0, 70517, '\p{Is_Scx=gran}', "");
Expect(1, 70517, '\p{^Is_Scx=gran}', "");
Expect(1, 70517, '\P{Is_Scx=gran}', "");
Expect(0, 70517, '\P{^Is_Scx=gran}', "");
Expect(1, 70516, '\p{Is_Scx=Gran}', "");
Expect(0, 70516, '\p{^Is_Scx=Gran}', "");
Expect(0, 70516, '\P{Is_Scx=Gran}', "");
Expect(1, 70516, '\P{^Is_Scx=Gran}', "");
Expect(0, 70517, '\p{Is_Scx=Gran}', "");
Expect(1, 70517, '\p{^Is_Scx=Gran}', "");
Expect(1, 70517, '\P{Is_Scx=Gran}', "");
Expect(0, 70517, '\P{^Is_Scx=Gran}', "");
Error('\p{Script_Extensions=/a/-Greek}');
Error('\P{Script_Extensions=/a/-Greek}');
Expect(1, 119365, '\p{Script_Extensions=greek}', "");
Expect(0, 119365, '\p{^Script_Extensions=greek}', "");
Expect(0, 119365, '\P{Script_Extensions=greek}', "");
Expect(1, 119365, '\P{^Script_Extensions=greek}', "");
Expect(0, 119366, '\p{Script_Extensions=greek}', "");
Expect(1, 119366, '\p{^Script_Extensions=greek}', "");
Expect(1, 119366, '\P{Script_Extensions=greek}', "");
Expect(0, 119366, '\P{^Script_Extensions=greek}', "");
Expect(1, 119365, '\p{Script_Extensions=		Greek}', "");
Expect(0, 119365, '\p{^Script_Extensions=		Greek}', "");
Expect(0, 119365, '\P{Script_Extensions=		Greek}', "");
Expect(1, 119365, '\P{^Script_Extensions=		Greek}', "");
Expect(0, 119366, '\p{Script_Extensions=		Greek}', "");
Expect(1, 119366, '\p{^Script_Extensions=		Greek}', "");
Expect(1, 119366, '\P{Script_Extensions=		Greek}', "");
Expect(0, 119366, '\P{^Script_Extensions=		Greek}', "");
Error('\p{Scx= :=grek}');
Error('\P{Scx= :=grek}');
Expect(1, 119365, '\p{Scx=grek}', "");
Expect(0, 119365, '\p{^Scx=grek}', "");
Expect(0, 119365, '\P{Scx=grek}', "");
Expect(1, 119365, '\P{^Scx=grek}', "");
Expect(0, 119366, '\p{Scx=grek}', "");
Expect(1, 119366, '\p{^Scx=grek}', "");
Expect(1, 119366, '\P{Scx=grek}', "");
Expect(0, 119366, '\P{^Scx=grek}', "");
Expect(1, 119365, '\p{Scx=	-Grek}', "");
Expect(0, 119365, '\p{^Scx=	-Grek}', "");
Expect(0, 119365, '\P{Scx=	-Grek}', "");
Expect(1, 119365, '\P{^Scx=	-Grek}', "");
Expect(0, 119366, '\p{Scx=	-Grek}', "");
Expect(1, 119366, '\p{^Scx=	-Grek}', "");
Expect(1, 119366, '\P{Scx=	-Grek}', "");
Expect(0, 119366, '\P{^Scx=	-Grek}', "");
Error('\p{Is_Script_Extensions=-/a/greek}');
Error('\P{Is_Script_Extensions=-/a/greek}');
Expect(1, 119365, '\p{Is_Script_Extensions=greek}', "");
Expect(0, 119365, '\p{^Is_Script_Extensions=greek}', "");
Expect(0, 119365, '\P{Is_Script_Extensions=greek}', "");
Expect(1, 119365, '\P{^Is_Script_Extensions=greek}', "");
Expect(0, 119366, '\p{Is_Script_Extensions=greek}', "");
Expect(1, 119366, '\p{^Is_Script_Extensions=greek}', "");
Expect(1, 119366, '\P{Is_Script_Extensions=greek}', "");
Expect(0, 119366, '\P{^Is_Script_Extensions=greek}', "");
Expect(1, 119365, '\p{Is_Script_Extensions=_-greek}', "");
Expect(0, 119365, '\p{^Is_Script_Extensions=_-greek}', "");
Expect(0, 119365, '\P{Is_Script_Extensions=_-greek}', "");
Expect(1, 119365, '\P{^Is_Script_Extensions=_-greek}', "");
Expect(0, 119366, '\p{Is_Script_Extensions=_-greek}', "");
Expect(1, 119366, '\p{^Is_Script_Extensions=_-greek}', "");
Expect(1, 119366, '\P{Is_Script_Extensions=_-greek}', "");
Expect(0, 119366, '\P{^Is_Script_Extensions=_-greek}', "");
Error('\p{Is_Scx=-:=Grek}');
Error('\P{Is_Scx=-:=Grek}');
Expect(1, 119365, '\p{Is_Scx=grek}', "");
Expect(0, 119365, '\p{^Is_Scx=grek}', "");
Expect(0, 119365, '\P{Is_Scx=grek}', "");
Expect(1, 119365, '\P{^Is_Scx=grek}', "");
Expect(0, 119366, '\p{Is_Scx=grek}', "");
Expect(1, 119366, '\p{^Is_Scx=grek}', "");
Expect(1, 119366, '\P{Is_Scx=grek}', "");
Expect(0, 119366, '\P{^Is_Scx=grek}', "");
Expect(1, 119365, '\p{Is_Scx=-_GREK}', "");
Expect(0, 119365, '\p{^Is_Scx=-_GREK}', "");
Expect(0, 119365, '\P{Is_Scx=-_GREK}', "");
Expect(1, 119365, '\P{^Is_Scx=-_GREK}', "");
Expect(0, 119366, '\p{Is_Scx=-_GREK}', "");
Expect(1, 119366, '\p{^Is_Scx=-_GREK}', "");
Expect(1, 119366, '\P{Is_Scx=-_GREK}', "");
Expect(0, 119366, '\P{^Is_Scx=-_GREK}', "");
Error('\p{Script_Extensions=:=_	gujarati}');
Error('\P{Script_Extensions=:=_	gujarati}');
Expect(1, 43065, '\p{Script_Extensions=gujarati}', "");
Expect(0, 43065, '\p{^Script_Extensions=gujarati}', "");
Expect(0, 43065, '\P{Script_Extensions=gujarati}', "");
Expect(1, 43065, '\P{^Script_Extensions=gujarati}', "");
Expect(0, 43066, '\p{Script_Extensions=gujarati}', "");
Expect(1, 43066, '\p{^Script_Extensions=gujarati}', "");
Expect(1, 43066, '\P{Script_Extensions=gujarati}', "");
Expect(0, 43066, '\P{^Script_Extensions=gujarati}', "");
Expect(1, 43065, '\p{Script_Extensions=- Gujarati}', "");
Expect(0, 43065, '\p{^Script_Extensions=- Gujarati}', "");
Expect(0, 43065, '\P{Script_Extensions=- Gujarati}', "");
Expect(1, 43065, '\P{^Script_Extensions=- Gujarati}', "");
Expect(0, 43066, '\p{Script_Extensions=- Gujarati}', "");
Expect(1, 43066, '\p{^Script_Extensions=- Gujarati}', "");
Expect(1, 43066, '\P{Script_Extensions=- Gujarati}', "");
Expect(0, 43066, '\P{^Script_Extensions=- Gujarati}', "");
Error('\p{Scx= :=Gujr}');
Error('\P{Scx= :=Gujr}');
Expect(1, 43065, '\p{Scx=gujr}', "");
Expect(0, 43065, '\p{^Scx=gujr}', "");
Expect(0, 43065, '\P{Scx=gujr}', "");
Expect(1, 43065, '\P{^Scx=gujr}', "");
Expect(0, 43066, '\p{Scx=gujr}', "");
Expect(1, 43066, '\p{^Scx=gujr}', "");
Expect(1, 43066, '\P{Scx=gujr}', "");
Expect(0, 43066, '\P{^Scx=gujr}', "");
Expect(1, 43065, '\p{Scx=__Gujr}', "");
Expect(0, 43065, '\p{^Scx=__Gujr}', "");
Expect(0, 43065, '\P{Scx=__Gujr}', "");
Expect(1, 43065, '\P{^Scx=__Gujr}', "");
Expect(0, 43066, '\p{Scx=__Gujr}', "");
Expect(1, 43066, '\p{^Scx=__Gujr}', "");
Expect(1, 43066, '\P{Scx=__Gujr}', "");
Expect(0, 43066, '\P{^Scx=__Gujr}', "");
Error('\p{Is_Script_Extensions=-:=gujarati}');
Error('\P{Is_Script_Extensions=-:=gujarati}');
Expect(1, 43065, '\p{Is_Script_Extensions: gujarati}', "");
Expect(0, 43065, '\p{^Is_Script_Extensions: gujarati}', "");
Expect(0, 43065, '\P{Is_Script_Extensions: gujarati}', "");
Expect(1, 43065, '\P{^Is_Script_Extensions: gujarati}', "");
Expect(0, 43066, '\p{Is_Script_Extensions: gujarati}', "");
Expect(1, 43066, '\p{^Is_Script_Extensions: gujarati}', "");
Expect(1, 43066, '\P{Is_Script_Extensions: gujarati}', "");
Expect(0, 43066, '\P{^Is_Script_Extensions: gujarati}', "");
Expect(1, 43065, '\p{Is_Script_Extensions=_ gujarati}', "");
Expect(0, 43065, '\p{^Is_Script_Extensions=_ gujarati}', "");
Expect(0, 43065, '\P{Is_Script_Extensions=_ gujarati}', "");
Expect(1, 43065, '\P{^Is_Script_Extensions=_ gujarati}', "");
Expect(0, 43066, '\p{Is_Script_Extensions=_ gujarati}', "");
Expect(1, 43066, '\p{^Is_Script_Extensions=_ gujarati}', "");
Expect(1, 43066, '\P{Is_Script_Extensions=_ gujarati}', "");
Expect(0, 43066, '\P{^Is_Script_Extensions=_ gujarati}', "");
Error('\p{Is_Scx=	_gujr/a/}');
Error('\P{Is_Scx=	_gujr/a/}');
Expect(1, 43065, '\p{Is_Scx=gujr}', "");
Expect(0, 43065, '\p{^Is_Scx=gujr}', "");
Expect(0, 43065, '\P{Is_Scx=gujr}', "");
Expect(1, 43065, '\P{^Is_Scx=gujr}', "");
Expect(0, 43066, '\p{Is_Scx=gujr}', "");
Expect(1, 43066, '\p{^Is_Scx=gujr}', "");
Expect(1, 43066, '\P{Is_Scx=gujr}', "");
Expect(0, 43066, '\P{^Is_Scx=gujr}', "");
Expect(1, 43065, '\p{Is_Scx:     Gujr}', "");
Expect(0, 43065, '\p{^Is_Scx:     Gujr}', "");
Expect(0, 43065, '\P{Is_Scx:     Gujr}', "");
Expect(1, 43065, '\P{^Is_Scx:     Gujr}', "");
Expect(0, 43066, '\p{Is_Scx:     Gujr}', "");
Expect(1, 43066, '\p{^Is_Scx:     Gujr}', "");
Expect(1, 43066, '\P{Is_Scx:     Gujr}', "");
Expect(0, 43066, '\P{^Is_Scx:     Gujr}', "");
Error('\p{Script_Extensions:   /a/ -gurmukhi}');
Error('\P{Script_Extensions:   /a/ -gurmukhi}');
Expect(1, 43065, '\p{Script_Extensions=gurmukhi}', "");
Expect(0, 43065, '\p{^Script_Extensions=gurmukhi}', "");
Expect(0, 43065, '\P{Script_Extensions=gurmukhi}', "");
Expect(1, 43065, '\P{^Script_Extensions=gurmukhi}', "");
Expect(0, 43066, '\p{Script_Extensions=gurmukhi}', "");
Expect(1, 43066, '\p{^Script_Extensions=gurmukhi}', "");
Expect(1, 43066, '\P{Script_Extensions=gurmukhi}', "");
Expect(0, 43066, '\P{^Script_Extensions=gurmukhi}', "");
Expect(1, 43065, '\p{Script_Extensions:   _ GURMUKHI}', "");
Expect(0, 43065, '\p{^Script_Extensions:   _ GURMUKHI}', "");
Expect(0, 43065, '\P{Script_Extensions:   _ GURMUKHI}', "");
Expect(1, 43065, '\P{^Script_Extensions:   _ GURMUKHI}', "");
Expect(0, 43066, '\p{Script_Extensions:   _ GURMUKHI}', "");
Expect(1, 43066, '\p{^Script_Extensions:   _ GURMUKHI}', "");
Expect(1, 43066, '\P{Script_Extensions:   _ GURMUKHI}', "");
Expect(0, 43066, '\P{^Script_Extensions:   _ GURMUKHI}', "");
Error('\p{Scx= 	guru:=}');
Error('\P{Scx= 	guru:=}');
Expect(1, 43065, '\p{Scx=guru}', "");
Expect(0, 43065, '\p{^Scx=guru}', "");
Expect(0, 43065, '\P{Scx=guru}', "");
Expect(1, 43065, '\P{^Scx=guru}', "");
Expect(0, 43066, '\p{Scx=guru}', "");
Expect(1, 43066, '\p{^Scx=guru}', "");
Expect(1, 43066, '\P{Scx=guru}', "");
Expect(0, 43066, '\P{^Scx=guru}', "");
Expect(1, 43065, '\p{Scx=_guru}', "");
Expect(0, 43065, '\p{^Scx=_guru}', "");
Expect(0, 43065, '\P{Scx=_guru}', "");
Expect(1, 43065, '\P{^Scx=_guru}', "");
Expect(0, 43066, '\p{Scx=_guru}', "");
Expect(1, 43066, '\p{^Scx=_guru}', "");
Expect(1, 43066, '\P{Scx=_guru}', "");
Expect(0, 43066, '\P{^Scx=_guru}', "");
Error('\p{Is_Script_Extensions=	/a/gurmukhi}');
Error('\P{Is_Script_Extensions=	/a/gurmukhi}');
Expect(1, 43065, '\p{Is_Script_Extensions=gurmukhi}', "");
Expect(0, 43065, '\p{^Is_Script_Extensions=gurmukhi}', "");
Expect(0, 43065, '\P{Is_Script_Extensions=gurmukhi}', "");
Expect(1, 43065, '\P{^Is_Script_Extensions=gurmukhi}', "");
Expect(0, 43066, '\p{Is_Script_Extensions=gurmukhi}', "");
Expect(1, 43066, '\p{^Is_Script_Extensions=gurmukhi}', "");
Expect(1, 43066, '\P{Is_Script_Extensions=gurmukhi}', "");
Expect(0, 43066, '\P{^Is_Script_Extensions=gurmukhi}', "");
Expect(1, 43065, '\p{Is_Script_Extensions= Gurmukhi}', "");
Expect(0, 43065, '\p{^Is_Script_Extensions= Gurmukhi}', "");
Expect(0, 43065, '\P{Is_Script_Extensions= Gurmukhi}', "");
Expect(1, 43065, '\P{^Is_Script_Extensions= Gurmukhi}', "");
Expect(0, 43066, '\p{Is_Script_Extensions= Gurmukhi}', "");
Expect(1, 43066, '\p{^Is_Script_Extensions= Gurmukhi}', "");
Expect(1, 43066, '\P{Is_Script_Extensions= Gurmukhi}', "");
Expect(0, 43066, '\P{^Is_Script_Extensions= Gurmukhi}', "");
Error('\p{Is_Scx=/a/	-GURU}');
Error('\P{Is_Scx=/a/	-GURU}');
Expect(1, 43065, '\p{Is_Scx:   guru}', "");
Expect(0, 43065, '\p{^Is_Scx:   guru}', "");
Expect(0, 43065, '\P{Is_Scx:   guru}', "");
Expect(1, 43065, '\P{^Is_Scx:   guru}', "");
Expect(0, 43066, '\p{Is_Scx:   guru}', "");
Expect(1, 43066, '\p{^Is_Scx:   guru}', "");
Expect(1, 43066, '\P{Is_Scx:   guru}', "");
Expect(0, 43066, '\P{^Is_Scx:   guru}', "");
Expect(1, 43065, '\p{Is_Scx=_	Guru}', "");
Expect(0, 43065, '\p{^Is_Scx=_	Guru}', "");
Expect(0, 43065, '\P{Is_Scx=_	Guru}', "");
Expect(1, 43065, '\P{^Is_Scx=_	Guru}', "");
Expect(0, 43066, '\p{Is_Scx=_	Guru}', "");
Expect(1, 43066, '\p{^Is_Scx=_	Guru}', "");
Expect(1, 43066, '\P{Is_Scx=_	Guru}', "");
Expect(0, 43066, '\P{^Is_Scx=_	Guru}', "");
Error('\p{Script_Extensions= _hangul/a/}');
Error('\P{Script_Extensions= _hangul/a/}');
Expect(1, 65500, '\p{Script_Extensions=hangul}', "");
Expect(0, 65500, '\p{^Script_Extensions=hangul}', "");
Expect(0, 65500, '\P{Script_Extensions=hangul}', "");
Expect(1, 65500, '\P{^Script_Extensions=hangul}', "");
Expect(0, 65501, '\p{Script_Extensions=hangul}', "");
Expect(1, 65501, '\p{^Script_Extensions=hangul}', "");
Expect(1, 65501, '\P{Script_Extensions=hangul}', "");
Expect(0, 65501, '\P{^Script_Extensions=hangul}', "");
Expect(1, 65500, '\p{Script_Extensions=	HANGUL}', "");
Expect(0, 65500, '\p{^Script_Extensions=	HANGUL}', "");
Expect(0, 65500, '\P{Script_Extensions=	HANGUL}', "");
Expect(1, 65500, '\P{^Script_Extensions=	HANGUL}', "");
Expect(0, 65501, '\p{Script_Extensions=	HANGUL}', "");
Expect(1, 65501, '\p{^Script_Extensions=	HANGUL}', "");
Expect(1, 65501, '\P{Script_Extensions=	HANGUL}', "");
Expect(0, 65501, '\P{^Script_Extensions=	HANGUL}', "");
Error('\p{Scx=-Hang/a/}');
Error('\P{Scx=-Hang/a/}');
Expect(1, 65500, '\p{Scx=hang}', "");
Expect(0, 65500, '\p{^Scx=hang}', "");
Expect(0, 65500, '\P{Scx=hang}', "");
Expect(1, 65500, '\P{^Scx=hang}', "");
Expect(0, 65501, '\p{Scx=hang}', "");
Expect(1, 65501, '\p{^Scx=hang}', "");
Expect(1, 65501, '\P{Scx=hang}', "");
Expect(0, 65501, '\P{^Scx=hang}', "");
Expect(1, 65500, '\p{Scx= Hang}', "");
Expect(0, 65500, '\p{^Scx= Hang}', "");
Expect(0, 65500, '\P{Scx= Hang}', "");
Expect(1, 65500, '\P{^Scx= Hang}', "");
Expect(0, 65501, '\p{Scx= Hang}', "");
Expect(1, 65501, '\p{^Scx= Hang}', "");
Expect(1, 65501, '\P{Scx= Hang}', "");
Expect(0, 65501, '\P{^Scx= Hang}', "");
Error('\p{Is_Script_Extensions=:=_ HANGUL}');
Error('\P{Is_Script_Extensions=:=_ HANGUL}');
Expect(1, 65500, '\p{Is_Script_Extensions=hangul}', "");
Expect(0, 65500, '\p{^Is_Script_Extensions=hangul}', "");
Expect(0, 65500, '\P{Is_Script_Extensions=hangul}', "");
Expect(1, 65500, '\P{^Is_Script_Extensions=hangul}', "");
Expect(0, 65501, '\p{Is_Script_Extensions=hangul}', "");
Expect(1, 65501, '\p{^Is_Script_Extensions=hangul}', "");
Expect(1, 65501, '\P{Is_Script_Extensions=hangul}', "");
Expect(0, 65501, '\P{^Is_Script_Extensions=hangul}', "");
Expect(1, 65500, '\p{Is_Script_Extensions=	 Hangul}', "");
Expect(0, 65500, '\p{^Is_Script_Extensions=	 Hangul}', "");
Expect(0, 65500, '\P{Is_Script_Extensions=	 Hangul}', "");
Expect(1, 65500, '\P{^Is_Script_Extensions=	 Hangul}', "");
Expect(0, 65501, '\p{Is_Script_Extensions=	 Hangul}', "");
Expect(1, 65501, '\p{^Is_Script_Extensions=	 Hangul}', "");
Expect(1, 65501, '\P{Is_Script_Extensions=	 Hangul}', "");
Expect(0, 65501, '\P{^Is_Script_Extensions=	 Hangul}', "");
Error('\p{Is_Scx=_/a/Hang}');
Error('\P{Is_Scx=_/a/Hang}');
Expect(1, 65500, '\p{Is_Scx: hang}', "");
Expect(0, 65500, '\p{^Is_Scx: hang}', "");
Expect(0, 65500, '\P{Is_Scx: hang}', "");
Expect(1, 65500, '\P{^Is_Scx: hang}', "");
Expect(0, 65501, '\p{Is_Scx: hang}', "");
Expect(1, 65501, '\p{^Is_Scx: hang}', "");
Expect(1, 65501, '\P{Is_Scx: hang}', "");
Expect(0, 65501, '\P{^Is_Scx: hang}', "");
Expect(1, 65500, '\p{Is_Scx=		HANG}', "");
Expect(0, 65500, '\p{^Is_Scx=		HANG}', "");
Expect(0, 65500, '\P{Is_Scx=		HANG}', "");
Expect(1, 65500, '\P{^Is_Scx=		HANG}', "");
Expect(0, 65501, '\p{Is_Scx=		HANG}', "");
Expect(1, 65501, '\p{^Is_Scx=		HANG}', "");
Expect(1, 65501, '\P{Is_Scx=		HANG}', "");
Expect(0, 65501, '\P{^Is_Scx=		HANG}', "");
Error('\p{Script_Extensions=-:=han}');
Error('\P{Script_Extensions=-:=han}');
Expect(1, 195101, '\p{Script_Extensions=han}', "");
Expect(0, 195101, '\p{^Script_Extensions=han}', "");
Expect(0, 195101, '\P{Script_Extensions=han}', "");
Expect(1, 195101, '\P{^Script_Extensions=han}', "");
Expect(0, 195102, '\p{Script_Extensions=han}', "");
Expect(1, 195102, '\p{^Script_Extensions=han}', "");
Expect(1, 195102, '\P{Script_Extensions=han}', "");
Expect(0, 195102, '\P{^Script_Extensions=han}', "");
Expect(1, 195101, '\p{Script_Extensions=	_HAN}', "");
Expect(0, 195101, '\p{^Script_Extensions=	_HAN}', "");
Expect(0, 195101, '\P{Script_Extensions=	_HAN}', "");
Expect(1, 195101, '\P{^Script_Extensions=	_HAN}', "");
Expect(0, 195102, '\p{Script_Extensions=	_HAN}', "");
Expect(1, 195102, '\p{^Script_Extensions=	_HAN}', "");
Expect(1, 195102, '\P{Script_Extensions=	_HAN}', "");
Expect(0, 195102, '\P{^Script_Extensions=	_HAN}', "");
Error('\p{Scx=/a/ 	HANI}');
Error('\P{Scx=/a/ 	HANI}');
Expect(1, 195101, '\p{Scx=hani}', "");
Expect(0, 195101, '\p{^Scx=hani}', "");
Expect(0, 195101, '\P{Scx=hani}', "");
Expect(1, 195101, '\P{^Scx=hani}', "");
Expect(0, 195102, '\p{Scx=hani}', "");
Expect(1, 195102, '\p{^Scx=hani}', "");
Expect(1, 195102, '\P{Scx=hani}', "");
Expect(0, 195102, '\P{^Scx=hani}', "");
Expect(1, 195101, '\p{Scx=	-Hani}', "");
Expect(0, 195101, '\p{^Scx=	-Hani}', "");
Expect(0, 195101, '\P{Scx=	-Hani}', "");
Expect(1, 195101, '\P{^Scx=	-Hani}', "");
Expect(0, 195102, '\p{Scx=	-Hani}', "");
Expect(1, 195102, '\p{^Scx=	-Hani}', "");
Expect(1, 195102, '\P{Scx=	-Hani}', "");
Expect(0, 195102, '\P{^Scx=	-Hani}', "");
Error('\p{Is_Script_Extensions=-/a/han}');
Error('\P{Is_Script_Extensions=-/a/han}');
Expect(1, 195101, '\p{Is_Script_Extensions=han}', "");
Expect(0, 195101, '\p{^Is_Script_Extensions=han}', "");
Expect(0, 195101, '\P{Is_Script_Extensions=han}', "");
Expect(1, 195101, '\P{^Is_Script_Extensions=han}', "");
Expect(0, 195102, '\p{Is_Script_Extensions=han}', "");
Expect(1, 195102, '\p{^Is_Script_Extensions=han}', "");
Expect(1, 195102, '\P{Is_Script_Extensions=han}', "");
Expect(0, 195102, '\P{^Is_Script_Extensions=han}', "");
Expect(1, 195101, '\p{Is_Script_Extensions=-_Han}', "");
Expect(0, 195101, '\p{^Is_Script_Extensions=-_Han}', "");
Expect(0, 195101, '\P{Is_Script_Extensions=-_Han}', "");
Expect(1, 195101, '\P{^Is_Script_Extensions=-_Han}', "");
Expect(0, 195102, '\p{Is_Script_Extensions=-_Han}', "");
Expect(1, 195102, '\p{^Is_Script_Extensions=-_Han}', "");
Expect(1, 195102, '\P{Is_Script_Extensions=-_Han}', "");
Expect(0, 195102, '\P{^Is_Script_Extensions=-_Han}', "");
Error('\p{Is_Scx=:=_hani}');
Error('\P{Is_Scx=:=_hani}');
Expect(1, 195101, '\p{Is_Scx=hani}', "");
Expect(0, 195101, '\p{^Is_Scx=hani}', "");
Expect(0, 195101, '\P{Is_Scx=hani}', "");
Expect(1, 195101, '\P{^Is_Scx=hani}', "");
Expect(0, 195102, '\p{Is_Scx=hani}', "");
Expect(1, 195102, '\p{^Is_Scx=hani}', "");
Expect(1, 195102, '\P{Is_Scx=hani}', "");
Expect(0, 195102, '\P{^Is_Scx=hani}', "");
Expect(1, 195101, '\p{Is_Scx= Hani}', "");
Expect(0, 195101, '\p{^Is_Scx= Hani}', "");
Expect(0, 195101, '\P{Is_Scx= Hani}', "");
Expect(1, 195101, '\P{^Is_Scx= Hani}', "");
Expect(0, 195102, '\p{Is_Scx= Hani}', "");
Expect(1, 195102, '\p{^Is_Scx= Hani}', "");
Expect(1, 195102, '\P{Is_Scx= Hani}', "");
Expect(0, 195102, '\P{^Is_Scx= Hani}', "");
Error('\p{Script_Extensions=_/a/Hanunoo}');
Error('\P{Script_Extensions=_/a/Hanunoo}');
Expect(1, 5942, '\p{Script_Extensions=hanunoo}', "");
Expect(0, 5942, '\p{^Script_Extensions=hanunoo}', "");
Expect(0, 5942, '\P{Script_Extensions=hanunoo}', "");
Expect(1, 5942, '\P{^Script_Extensions=hanunoo}', "");
Expect(0, 5943, '\p{Script_Extensions=hanunoo}', "");
Expect(1, 5943, '\p{^Script_Extensions=hanunoo}', "");
Expect(1, 5943, '\P{Script_Extensions=hanunoo}', "");
Expect(0, 5943, '\P{^Script_Extensions=hanunoo}', "");
Expect(1, 5942, '\p{Script_Extensions= _Hanunoo}', "");
Expect(0, 5942, '\p{^Script_Extensions= _Hanunoo}', "");
Expect(0, 5942, '\P{Script_Extensions= _Hanunoo}', "");
Expect(1, 5942, '\P{^Script_Extensions= _Hanunoo}', "");
Expect(0, 5943, '\p{Script_Extensions= _Hanunoo}', "");
Expect(1, 5943, '\p{^Script_Extensions= _Hanunoo}', "");
Expect(1, 5943, '\P{Script_Extensions= _Hanunoo}', "");
Expect(0, 5943, '\P{^Script_Extensions= _Hanunoo}', "");
Error('\p{Scx=:=-_Hano}');
Error('\P{Scx=:=-_Hano}');
Expect(1, 5942, '\p{Scx=hano}', "");
Expect(0, 5942, '\p{^Scx=hano}', "");
Expect(0, 5942, '\P{Scx=hano}', "");
Expect(1, 5942, '\P{^Scx=hano}', "");
Expect(0, 5943, '\p{Scx=hano}', "");
Expect(1, 5943, '\p{^Scx=hano}', "");
Expect(1, 5943, '\P{Scx=hano}', "");
Expect(0, 5943, '\P{^Scx=hano}', "");
Expect(1, 5942, '\p{Scx=_ Hano}', "");
Expect(0, 5942, '\p{^Scx=_ Hano}', "");
Expect(0, 5942, '\P{Scx=_ Hano}', "");
Expect(1, 5942, '\P{^Scx=_ Hano}', "");
Expect(0, 5943, '\p{Scx=_ Hano}', "");
Expect(1, 5943, '\p{^Scx=_ Hano}', "");
Expect(1, 5943, '\P{Scx=_ Hano}', "");
Expect(0, 5943, '\P{^Scx=_ Hano}', "");
Error('\p{Is_Script_Extensions=	/a/Hanunoo}');
Error('\P{Is_Script_Extensions=	/a/Hanunoo}');
Expect(1, 5942, '\p{Is_Script_Extensions=hanunoo}', "");
Expect(0, 5942, '\p{^Is_Script_Extensions=hanunoo}', "");
Expect(0, 5942, '\P{Is_Script_Extensions=hanunoo}', "");
Expect(1, 5942, '\P{^Is_Script_Extensions=hanunoo}', "");
Expect(0, 5943, '\p{Is_Script_Extensions=hanunoo}', "");
Expect(1, 5943, '\p{^Is_Script_Extensions=hanunoo}', "");
Expect(1, 5943, '\P{Is_Script_Extensions=hanunoo}', "");
Expect(0, 5943, '\P{^Is_Script_Extensions=hanunoo}', "");
Expect(1, 5942, '\p{Is_Script_Extensions= _Hanunoo}', "");
Expect(0, 5942, '\p{^Is_Script_Extensions= _Hanunoo}', "");
Expect(0, 5942, '\P{Is_Script_Extensions= _Hanunoo}', "");
Expect(1, 5942, '\P{^Is_Script_Extensions= _Hanunoo}', "");
Expect(0, 5943, '\p{Is_Script_Extensions= _Hanunoo}', "");
Expect(1, 5943, '\p{^Is_Script_Extensions= _Hanunoo}', "");
Expect(1, 5943, '\P{Is_Script_Extensions= _Hanunoo}', "");
Expect(0, 5943, '\P{^Is_Script_Extensions= _Hanunoo}', "");
Error('\p{Is_Scx=_-Hano/a/}');
Error('\P{Is_Scx=_-Hano/a/}');
Expect(1, 5942, '\p{Is_Scx=hano}', "");
Expect(0, 5942, '\p{^Is_Scx=hano}', "");
Expect(0, 5942, '\P{Is_Scx=hano}', "");
Expect(1, 5942, '\P{^Is_Scx=hano}', "");
Expect(0, 5943, '\p{Is_Scx=hano}', "");
Expect(1, 5943, '\p{^Is_Scx=hano}', "");
Expect(1, 5943, '\P{Is_Scx=hano}', "");
Expect(0, 5943, '\P{^Is_Scx=hano}', "");
Expect(1, 5942, '\p{Is_Scx:   -Hano}', "");
Expect(0, 5942, '\p{^Is_Scx:   -Hano}', "");
Expect(0, 5942, '\P{Is_Scx:   -Hano}', "");
Expect(1, 5942, '\P{^Is_Scx:   -Hano}', "");
Expect(0, 5943, '\p{Is_Scx:   -Hano}', "");
Expect(1, 5943, '\p{^Is_Scx:   -Hano}', "");
Expect(1, 5943, '\P{Is_Scx:   -Hano}', "");
Expect(0, 5943, '\P{^Is_Scx:   -Hano}', "");
Error('\p{Script_Extensions=	HEBREW:=}');
Error('\P{Script_Extensions=	HEBREW:=}');
Expect(1, 64335, '\p{Script_Extensions:   hebrew}', "");
Expect(0, 64335, '\p{^Script_Extensions:   hebrew}', "");
Expect(0, 64335, '\P{Script_Extensions:   hebrew}', "");
Expect(1, 64335, '\P{^Script_Extensions:   hebrew}', "");
Expect(0, 64336, '\p{Script_Extensions:   hebrew}', "");
Expect(1, 64336, '\p{^Script_Extensions:   hebrew}', "");
Expect(1, 64336, '\P{Script_Extensions:   hebrew}', "");
Expect(0, 64336, '\P{^Script_Extensions:   hebrew}', "");
Expect(1, 64335, '\p{Script_Extensions:	-Hebrew}', "");
Expect(0, 64335, '\p{^Script_Extensions:	-Hebrew}', "");
Expect(0, 64335, '\P{Script_Extensions:	-Hebrew}', "");
Expect(1, 64335, '\P{^Script_Extensions:	-Hebrew}', "");
Expect(0, 64336, '\p{Script_Extensions:	-Hebrew}', "");
Expect(1, 64336, '\p{^Script_Extensions:	-Hebrew}', "");
Expect(1, 64336, '\P{Script_Extensions:	-Hebrew}', "");
Expect(0, 64336, '\P{^Script_Extensions:	-Hebrew}', "");
Error('\p{Scx=:=__hebr}');
Error('\P{Scx=:=__hebr}');
Expect(1, 64335, '\p{Scx=hebr}', "");
Expect(0, 64335, '\p{^Scx=hebr}', "");
Expect(0, 64335, '\P{Scx=hebr}', "");
Expect(1, 64335, '\P{^Scx=hebr}', "");
Expect(0, 64336, '\p{Scx=hebr}', "");
Expect(1, 64336, '\p{^Scx=hebr}', "");
Expect(1, 64336, '\P{Scx=hebr}', "");
Expect(0, 64336, '\P{^Scx=hebr}', "");
Expect(1, 64335, '\p{Scx=		Hebr}', "");
Expect(0, 64335, '\p{^Scx=		Hebr}', "");
Expect(0, 64335, '\P{Scx=		Hebr}', "");
Expect(1, 64335, '\P{^Scx=		Hebr}', "");
Expect(0, 64336, '\p{Scx=		Hebr}', "");
Expect(1, 64336, '\p{^Scx=		Hebr}', "");
Expect(1, 64336, '\P{Scx=		Hebr}', "");
Expect(0, 64336, '\P{^Scx=		Hebr}', "");
Error('\p{Is_Script_Extensions=_	Hebrew:=}');
Error('\P{Is_Script_Extensions=_	Hebrew:=}');
Expect(1, 64335, '\p{Is_Script_Extensions=hebrew}', "");
Expect(0, 64335, '\p{^Is_Script_Extensions=hebrew}', "");
Expect(0, 64335, '\P{Is_Script_Extensions=hebrew}', "");
Expect(1, 64335, '\P{^Is_Script_Extensions=hebrew}', "");
Expect(0, 64336, '\p{Is_Script_Extensions=hebrew}', "");
Expect(1, 64336, '\p{^Is_Script_Extensions=hebrew}', "");
Expect(1, 64336, '\P{Is_Script_Extensions=hebrew}', "");
Expect(0, 64336, '\P{^Is_Script_Extensions=hebrew}', "");
Expect(1, 64335, '\p{Is_Script_Extensions=_Hebrew}', "");
Expect(0, 64335, '\p{^Is_Script_Extensions=_Hebrew}', "");
Expect(0, 64335, '\P{Is_Script_Extensions=_Hebrew}', "");
Expect(1, 64335, '\P{^Is_Script_Extensions=_Hebrew}', "");
Expect(0, 64336, '\p{Is_Script_Extensions=_Hebrew}', "");
Expect(1, 64336, '\p{^Is_Script_Extensions=_Hebrew}', "");
Expect(1, 64336, '\P{Is_Script_Extensions=_Hebrew}', "");
Expect(0, 64336, '\P{^Is_Script_Extensions=_Hebrew}', "");
Error('\p{Is_Scx=	 Hebr/a/}');
Error('\P{Is_Scx=	 Hebr/a/}');
Expect(1, 64335, '\p{Is_Scx=hebr}', "");
Expect(0, 64335, '\p{^Is_Scx=hebr}', "");
Expect(0, 64335, '\P{Is_Scx=hebr}', "");
Expect(1, 64335, '\P{^Is_Scx=hebr}', "");
Expect(0, 64336, '\p{Is_Scx=hebr}', "");
Expect(1, 64336, '\p{^Is_Scx=hebr}', "");
Expect(1, 64336, '\P{Is_Scx=hebr}', "");
Expect(0, 64336, '\P{^Is_Scx=hebr}', "");
Expect(1, 64335, '\p{Is_Scx= Hebr}', "");
Expect(0, 64335, '\p{^Is_Scx= Hebr}', "");
Expect(0, 64335, '\P{Is_Scx= Hebr}', "");
Expect(1, 64335, '\P{^Is_Scx= Hebr}', "");
Expect(0, 64336, '\p{Is_Scx= Hebr}', "");
Expect(1, 64336, '\p{^Is_Scx= Hebr}', "");
Expect(1, 64336, '\P{Is_Scx= Hebr}', "");
Expect(0, 64336, '\P{^Is_Scx= Hebr}', "");
Error('\p{Script_Extensions=:=Hiragana}');
Error('\P{Script_Extensions=:=Hiragana}');
Expect(1, 127488, '\p{Script_Extensions=hiragana}', "");
Expect(0, 127488, '\p{^Script_Extensions=hiragana}', "");
Expect(0, 127488, '\P{Script_Extensions=hiragana}', "");
Expect(1, 127488, '\P{^Script_Extensions=hiragana}', "");
Expect(0, 127489, '\p{Script_Extensions=hiragana}', "");
Expect(1, 127489, '\p{^Script_Extensions=hiragana}', "");
Expect(1, 127489, '\P{Script_Extensions=hiragana}', "");
Expect(0, 127489, '\P{^Script_Extensions=hiragana}', "");
Expect(1, 127488, '\p{Script_Extensions=_	Hiragana}', "");
Expect(0, 127488, '\p{^Script_Extensions=_	Hiragana}', "");
Expect(0, 127488, '\P{Script_Extensions=_	Hiragana}', "");
Expect(1, 127488, '\P{^Script_Extensions=_	Hiragana}', "");
Expect(0, 127489, '\p{Script_Extensions=_	Hiragana}', "");
Expect(1, 127489, '\p{^Script_Extensions=_	Hiragana}', "");
Expect(1, 127489, '\P{Script_Extensions=_	Hiragana}', "");
Expect(0, 127489, '\P{^Script_Extensions=_	Hiragana}', "");
Error('\p{Scx=:= -Hira}');
Error('\P{Scx=:= -Hira}');
Expect(1, 127488, '\p{Scx=hira}', "");
Expect(0, 127488, '\p{^Scx=hira}', "");
Expect(0, 127488, '\P{Scx=hira}', "");
Expect(1, 127488, '\P{^Scx=hira}', "");
Expect(0, 127489, '\p{Scx=hira}', "");
Expect(1, 127489, '\p{^Scx=hira}', "");
Expect(1, 127489, '\P{Scx=hira}', "");
Expect(0, 127489, '\P{^Scx=hira}', "");
Expect(1, 127488, '\p{Scx=HIRA}', "");
Expect(0, 127488, '\p{^Scx=HIRA}', "");
Expect(0, 127488, '\P{Scx=HIRA}', "");
Expect(1, 127488, '\P{^Scx=HIRA}', "");
Expect(0, 127489, '\p{Scx=HIRA}', "");
Expect(1, 127489, '\p{^Scx=HIRA}', "");
Expect(1, 127489, '\P{Scx=HIRA}', "");
Expect(0, 127489, '\P{^Scx=HIRA}', "");
Error('\p{Is_Script_Extensions:	:=_-hiragana}');
Error('\P{Is_Script_Extensions:	:=_-hiragana}');
Expect(1, 127488, '\p{Is_Script_Extensions=hiragana}', "");
Expect(0, 127488, '\p{^Is_Script_Extensions=hiragana}', "");
Expect(0, 127488, '\P{Is_Script_Extensions=hiragana}', "");
Expect(1, 127488, '\P{^Is_Script_Extensions=hiragana}', "");
Expect(0, 127489, '\p{Is_Script_Extensions=hiragana}', "");
Expect(1, 127489, '\p{^Is_Script_Extensions=hiragana}', "");
Expect(1, 127489, '\P{Is_Script_Extensions=hiragana}', "");
Expect(0, 127489, '\P{^Is_Script_Extensions=hiragana}', "");
Expect(1, 127488, '\p{Is_Script_Extensions=	HIRAGANA}', "");
Expect(0, 127488, '\p{^Is_Script_Extensions=	HIRAGANA}', "");
Expect(0, 127488, '\P{Is_Script_Extensions=	HIRAGANA}', "");
Expect(1, 127488, '\P{^Is_Script_Extensions=	HIRAGANA}', "");
Expect(0, 127489, '\p{Is_Script_Extensions=	HIRAGANA}', "");
Expect(1, 127489, '\p{^Is_Script_Extensions=	HIRAGANA}', "");
Expect(1, 127489, '\P{Is_Script_Extensions=	HIRAGANA}', "");
Expect(0, 127489, '\P{^Is_Script_Extensions=	HIRAGANA}', "");
Error('\p{Is_Scx=:=HIRA}');
Error('\P{Is_Scx=:=HIRA}');
Expect(1, 127488, '\p{Is_Scx=hira}', "");
Expect(0, 127488, '\p{^Is_Scx=hira}', "");
Expect(0, 127488, '\P{Is_Scx=hira}', "");
Expect(1, 127488, '\P{^Is_Scx=hira}', "");
Expect(0, 127489, '\p{Is_Scx=hira}', "");
Expect(1, 127489, '\p{^Is_Scx=hira}', "");
Expect(1, 127489, '\P{Is_Scx=hira}', "");
Expect(0, 127489, '\P{^Is_Scx=hira}', "");
Expect(1, 127488, '\p{Is_Scx=	_HIRA}', "");
Expect(0, 127488, '\p{^Is_Scx=	_HIRA}', "");
Expect(0, 127488, '\P{Is_Scx=	_HIRA}', "");
Expect(1, 127488, '\P{^Is_Scx=	_HIRA}', "");
Expect(0, 127489, '\p{Is_Scx=	_HIRA}', "");
Expect(1, 127489, '\p{^Is_Scx=	_HIRA}', "");
Expect(1, 127489, '\P{Is_Scx=	_HIRA}', "");
Expect(0, 127489, '\P{^Is_Scx=	_HIRA}', "");
Error('\p{Script_Extensions=:= Pahawh_Hmong}');
Error('\P{Script_Extensions=:= Pahawh_Hmong}');
Expect(1, 93071, '\p{Script_Extensions=pahawhhmong}', "");
Expect(0, 93071, '\p{^Script_Extensions=pahawhhmong}', "");
Expect(0, 93071, '\P{Script_Extensions=pahawhhmong}', "");
Expect(1, 93071, '\P{^Script_Extensions=pahawhhmong}', "");
Expect(0, 93072, '\p{Script_Extensions=pahawhhmong}', "");
Expect(1, 93072, '\p{^Script_Extensions=pahawhhmong}', "");
Expect(1, 93072, '\P{Script_Extensions=pahawhhmong}', "");
Expect(0, 93072, '\P{^Script_Extensions=pahawhhmong}', "");
Expect(1, 93071, '\p{Script_Extensions=__pahawh_Hmong}', "");
Expect(0, 93071, '\p{^Script_Extensions=__pahawh_Hmong}', "");
Expect(0, 93071, '\P{Script_Extensions=__pahawh_Hmong}', "");
Expect(1, 93071, '\P{^Script_Extensions=__pahawh_Hmong}', "");
Expect(0, 93072, '\p{Script_Extensions=__pahawh_Hmong}', "");
Expect(1, 93072, '\p{^Script_Extensions=__pahawh_Hmong}', "");
Expect(1, 93072, '\P{Script_Extensions=__pahawh_Hmong}', "");
Expect(0, 93072, '\P{^Script_Extensions=__pahawh_Hmong}', "");
Error('\p{Scx=_/a/HMNG}');
Error('\P{Scx=_/a/HMNG}');
Expect(1, 93071, '\p{Scx=hmng}', "");
Expect(0, 93071, '\p{^Scx=hmng}', "");
Expect(0, 93071, '\P{Scx=hmng}', "");
Expect(1, 93071, '\P{^Scx=hmng}', "");
Expect(0, 93072, '\p{Scx=hmng}', "");
Expect(1, 93072, '\p{^Scx=hmng}', "");
Expect(1, 93072, '\P{Scx=hmng}', "");
Expect(0, 93072, '\P{^Scx=hmng}', "");
Expect(1, 93071, '\p{Scx=HMNG}', "");
Expect(0, 93071, '\p{^Scx=HMNG}', "");
Expect(0, 93071, '\P{Scx=HMNG}', "");
Expect(1, 93071, '\P{^Scx=HMNG}', "");
Expect(0, 93072, '\p{Scx=HMNG}', "");
Expect(1, 93072, '\p{^Scx=HMNG}', "");
Expect(1, 93072, '\P{Scx=HMNG}', "");
Expect(0, 93072, '\P{^Scx=HMNG}', "");
Error('\p{Is_Script_Extensions=/a/_pahawh_Hmong}');
Error('\P{Is_Script_Extensions=/a/_pahawh_Hmong}');
Expect(1, 93071, '\p{Is_Script_Extensions=pahawhhmong}', "");
Expect(0, 93071, '\p{^Is_Script_Extensions=pahawhhmong}', "");
Expect(0, 93071, '\P{Is_Script_Extensions=pahawhhmong}', "");
Expect(1, 93071, '\P{^Is_Script_Extensions=pahawhhmong}', "");
Expect(0, 93072, '\p{Is_Script_Extensions=pahawhhmong}', "");
Expect(1, 93072, '\p{^Is_Script_Extensions=pahawhhmong}', "");
Expect(1, 93072, '\P{Is_Script_Extensions=pahawhhmong}', "");
Expect(0, 93072, '\P{^Is_Script_Extensions=pahawhhmong}', "");
Expect(1, 93071, '\p{Is_Script_Extensions=		Pahawh_hmong}', "");
Expect(0, 93071, '\p{^Is_Script_Extensions=		Pahawh_hmong}', "");
Expect(0, 93071, '\P{Is_Script_Extensions=		Pahawh_hmong}', "");
Expect(1, 93071, '\P{^Is_Script_Extensions=		Pahawh_hmong}', "");
Expect(0, 93072, '\p{Is_Script_Extensions=		Pahawh_hmong}', "");
Expect(1, 93072, '\p{^Is_Script_Extensions=		Pahawh_hmong}', "");
Expect(1, 93072, '\P{Is_Script_Extensions=		Pahawh_hmong}', "");
Expect(0, 93072, '\P{^Is_Script_Extensions=		Pahawh_hmong}', "");
Error('\p{Is_Scx=/a/_HMNG}');
Error('\P{Is_Scx=/a/_HMNG}');
Expect(1, 93071, '\p{Is_Scx=hmng}', "");
Expect(0, 93071, '\p{^Is_Scx=hmng}', "");
Expect(0, 93071, '\P{Is_Scx=hmng}', "");
Expect(1, 93071, '\P{^Is_Scx=hmng}', "");
Expect(0, 93072, '\p{Is_Scx=hmng}', "");
Expect(1, 93072, '\p{^Is_Scx=hmng}', "");
Expect(1, 93072, '\P{Is_Scx=hmng}', "");
Expect(0, 93072, '\P{^Is_Scx=hmng}', "");
Expect(1, 93071, '\p{Is_Scx=_ hmng}', "");
Expect(0, 93071, '\p{^Is_Scx=_ hmng}', "");
Expect(0, 93071, '\P{Is_Scx=_ hmng}', "");
Expect(1, 93071, '\P{^Is_Scx=_ hmng}', "");
Expect(0, 93072, '\p{Is_Scx=_ hmng}', "");
Expect(1, 93072, '\p{^Is_Scx=_ hmng}', "");
Expect(1, 93072, '\P{Is_Scx=_ hmng}', "");
Expect(0, 93072, '\P{^Is_Scx=_ hmng}', "");
Error('\p{Script_Extensions:	Katakana_Or_Hiragana}');
Error('\P{Script_Extensions:	Katakana_Or_Hiragana}');
Error('\p{Scx=Hrkt}');
Error('\P{Scx=Hrkt}');
Error('\p{Is_Script_Extensions:	Katakana_Or_Hiragana}');
Error('\P{Is_Script_Extensions:	Katakana_Or_Hiragana}');
Error('\p{Is_Scx=Hrkt}');
Error('\P{Is_Scx=Hrkt}');
Error('\p{Script_Extensions=	:=Old_italic}');
Error('\P{Script_Extensions=	:=Old_italic}');
Expect(1, 66339, '\p{Script_Extensions=olditalic}', "");
Expect(0, 66339, '\p{^Script_Extensions=olditalic}', "");
Expect(0, 66339, '\P{Script_Extensions=olditalic}', "");
Expect(1, 66339, '\P{^Script_Extensions=olditalic}', "");
Expect(0, 66340, '\p{Script_Extensions=olditalic}', "");
Expect(1, 66340, '\p{^Script_Extensions=olditalic}', "");
Expect(1, 66340, '\P{Script_Extensions=olditalic}', "");
Expect(0, 66340, '\P{^Script_Extensions=olditalic}', "");
Expect(1, 66339, '\p{Script_Extensions=_old_italic}', "");
Expect(0, 66339, '\p{^Script_Extensions=_old_italic}', "");
Expect(0, 66339, '\P{Script_Extensions=_old_italic}', "");
Expect(1, 66339, '\P{^Script_Extensions=_old_italic}', "");
Expect(0, 66340, '\p{Script_Extensions=_old_italic}', "");
Expect(1, 66340, '\p{^Script_Extensions=_old_italic}', "");
Expect(1, 66340, '\P{Script_Extensions=_old_italic}', "");
Expect(0, 66340, '\P{^Script_Extensions=_old_italic}', "");
Error('\p{Scx=__ital:=}');
Error('\P{Scx=__ital:=}');
Expect(1, 66339, '\p{Scx=ital}', "");
Expect(0, 66339, '\p{^Scx=ital}', "");
Expect(0, 66339, '\P{Scx=ital}', "");
Expect(1, 66339, '\P{^Scx=ital}', "");
Expect(0, 66340, '\p{Scx=ital}', "");
Expect(1, 66340, '\p{^Scx=ital}', "");
Expect(1, 66340, '\P{Scx=ital}', "");
Expect(0, 66340, '\P{^Scx=ital}', "");
Expect(1, 66339, '\p{Scx= 	Ital}', "");
Expect(0, 66339, '\p{^Scx= 	Ital}', "");
Expect(0, 66339, '\P{Scx= 	Ital}', "");
Expect(1, 66339, '\P{^Scx= 	Ital}', "");
Expect(0, 66340, '\p{Scx= 	Ital}', "");
Expect(1, 66340, '\p{^Scx= 	Ital}', "");
Expect(1, 66340, '\P{Scx= 	Ital}', "");
Expect(0, 66340, '\P{^Scx= 	Ital}', "");
Error('\p{Is_Script_Extensions:_	old_italic/a/}');
Error('\P{Is_Script_Extensions:_	old_italic/a/}');
Expect(1, 66339, '\p{Is_Script_Extensions=olditalic}', "");
Expect(0, 66339, '\p{^Is_Script_Extensions=olditalic}', "");
Expect(0, 66339, '\P{Is_Script_Extensions=olditalic}', "");
Expect(1, 66339, '\P{^Is_Script_Extensions=olditalic}', "");
Expect(0, 66340, '\p{Is_Script_Extensions=olditalic}', "");
Expect(1, 66340, '\p{^Is_Script_Extensions=olditalic}', "");
Expect(1, 66340, '\P{Is_Script_Extensions=olditalic}', "");
Expect(0, 66340, '\P{^Is_Script_Extensions=olditalic}', "");
Expect(1, 66339, '\p{Is_Script_Extensions=	 Old_Italic}', "");
Expect(0, 66339, '\p{^Is_Script_Extensions=	 Old_Italic}', "");
Expect(0, 66339, '\P{Is_Script_Extensions=	 Old_Italic}', "");
Expect(1, 66339, '\P{^Is_Script_Extensions=	 Old_Italic}', "");
Expect(0, 66340, '\p{Is_Script_Extensions=	 Old_Italic}', "");
Expect(1, 66340, '\p{^Is_Script_Extensions=	 Old_Italic}', "");
Expect(1, 66340, '\P{Is_Script_Extensions=	 Old_Italic}', "");
Expect(0, 66340, '\P{^Is_Script_Extensions=	 Old_Italic}', "");
Error('\p{Is_Scx=:=-ital}');
Error('\P{Is_Scx=:=-ital}');
Expect(1, 66339, '\p{Is_Scx=ital}', "");
Expect(0, 66339, '\p{^Is_Scx=ital}', "");
Expect(0, 66339, '\P{Is_Scx=ital}', "");
Expect(1, 66339, '\P{^Is_Scx=ital}', "");
Expect(0, 66340, '\p{Is_Scx=ital}', "");
Expect(1, 66340, '\p{^Is_Scx=ital}', "");
Expect(1, 66340, '\P{Is_Scx=ital}', "");
Expect(0, 66340, '\P{^Is_Scx=ital}', "");
Expect(1, 66339, '\p{Is_Scx= 	ITAL}', "");
Expect(0, 66339, '\p{^Is_Scx= 	ITAL}', "");
Expect(0, 66339, '\P{Is_Scx= 	ITAL}', "");
Expect(1, 66339, '\P{^Is_Scx= 	ITAL}', "");
Expect(0, 66340, '\p{Is_Scx= 	ITAL}', "");
Expect(1, 66340, '\p{^Is_Scx= 	ITAL}', "");
Expect(1, 66340, '\P{Is_Scx= 	ITAL}', "");
Expect(0, 66340, '\P{^Is_Scx= 	ITAL}', "");
Error('\p{Script_Extensions=/a/_-Javanese}');
Error('\P{Script_Extensions=/a/_-Javanese}');
Expect(1, 43487, '\p{Script_Extensions=javanese}', "");
Expect(0, 43487, '\p{^Script_Extensions=javanese}', "");
Expect(0, 43487, '\P{Script_Extensions=javanese}', "");
Expect(1, 43487, '\P{^Script_Extensions=javanese}', "");
Expect(0, 43488, '\p{Script_Extensions=javanese}', "");
Expect(1, 43488, '\p{^Script_Extensions=javanese}', "");
Expect(1, 43488, '\P{Script_Extensions=javanese}', "");
Expect(0, 43488, '\P{^Script_Extensions=javanese}', "");
Expect(1, 43487, '\p{Script_Extensions=_ Javanese}', "");
Expect(0, 43487, '\p{^Script_Extensions=_ Javanese}', "");
Expect(0, 43487, '\P{Script_Extensions=_ Javanese}', "");
Expect(1, 43487, '\P{^Script_Extensions=_ Javanese}', "");
Expect(0, 43488, '\p{Script_Extensions=_ Javanese}', "");
Expect(1, 43488, '\p{^Script_Extensions=_ Javanese}', "");
Expect(1, 43488, '\P{Script_Extensions=_ Javanese}', "");
Expect(0, 43488, '\P{^Script_Extensions=_ Javanese}', "");
Error('\p{Scx=-_java/a/}');
Error('\P{Scx=-_java/a/}');
Expect(1, 43487, '\p{Scx=java}', "");
Expect(0, 43487, '\p{^Scx=java}', "");
Expect(0, 43487, '\P{Scx=java}', "");
Expect(1, 43487, '\P{^Scx=java}', "");
Expect(0, 43488, '\p{Scx=java}', "");
Expect(1, 43488, '\p{^Scx=java}', "");
Expect(1, 43488, '\P{Scx=java}', "");
Expect(0, 43488, '\P{^Scx=java}', "");
Expect(1, 43487, '\p{Scx=	JAVA}', "");
Expect(0, 43487, '\p{^Scx=	JAVA}', "");
Expect(0, 43487, '\P{Scx=	JAVA}', "");
Expect(1, 43487, '\P{^Scx=	JAVA}', "");
Expect(0, 43488, '\p{Scx=	JAVA}', "");
Expect(1, 43488, '\p{^Scx=	JAVA}', "");
Expect(1, 43488, '\P{Scx=	JAVA}', "");
Expect(0, 43488, '\P{^Scx=	JAVA}', "");
Error('\p{Is_Script_Extensions=-_JAVANESE/a/}');
Error('\P{Is_Script_Extensions=-_JAVANESE/a/}');
Expect(1, 43487, '\p{Is_Script_Extensions=javanese}', "");
Expect(0, 43487, '\p{^Is_Script_Extensions=javanese}', "");
Expect(0, 43487, '\P{Is_Script_Extensions=javanese}', "");
Expect(1, 43487, '\P{^Is_Script_Extensions=javanese}', "");
Expect(0, 43488, '\p{Is_Script_Extensions=javanese}', "");
Expect(1, 43488, '\p{^Is_Script_Extensions=javanese}', "");
Expect(1, 43488, '\P{Is_Script_Extensions=javanese}', "");
Expect(0, 43488, '\P{^Is_Script_Extensions=javanese}', "");
Expect(1, 43487, '\p{Is_Script_Extensions=-JAVANESE}', "");
Expect(0, 43487, '\p{^Is_Script_Extensions=-JAVANESE}', "");
Expect(0, 43487, '\P{Is_Script_Extensions=-JAVANESE}', "");
Expect(1, 43487, '\P{^Is_Script_Extensions=-JAVANESE}', "");
Expect(0, 43488, '\p{Is_Script_Extensions=-JAVANESE}', "");
Expect(1, 43488, '\p{^Is_Script_Extensions=-JAVANESE}', "");
Expect(1, 43488, '\P{Is_Script_Extensions=-JAVANESE}', "");
Expect(0, 43488, '\P{^Is_Script_Extensions=-JAVANESE}', "");
Error('\p{Is_Scx=:=-	Java}');
Error('\P{Is_Scx=:=-	Java}');
Expect(1, 43487, '\p{Is_Scx: java}', "");
Expect(0, 43487, '\p{^Is_Scx: java}', "");
Expect(0, 43487, '\P{Is_Scx: java}', "");
Expect(1, 43487, '\P{^Is_Scx: java}', "");
Expect(0, 43488, '\p{Is_Scx: java}', "");
Expect(1, 43488, '\p{^Is_Scx: java}', "");
Expect(1, 43488, '\P{Is_Scx: java}', "");
Expect(0, 43488, '\P{^Is_Scx: java}', "");
Expect(1, 43487, '\p{Is_Scx=-Java}', "");
Expect(0, 43487, '\p{^Is_Scx=-Java}', "");
Expect(0, 43487, '\P{Is_Scx=-Java}', "");
Expect(1, 43487, '\P{^Is_Scx=-Java}', "");
Expect(0, 43488, '\p{Is_Scx=-Java}', "");
Expect(1, 43488, '\p{^Is_Scx=-Java}', "");
Expect(1, 43488, '\P{Is_Scx=-Java}', "");
Expect(0, 43488, '\P{^Is_Scx=-Java}', "");
Error('\p{Script_Extensions=	_KAYAH_LI/a/}');
Error('\P{Script_Extensions=	_KAYAH_LI/a/}');
Expect(1, 43311, '\p{Script_Extensions:	kayahli}', "");
Expect(0, 43311, '\p{^Script_Extensions:	kayahli}', "");
Expect(0, 43311, '\P{Script_Extensions:	kayahli}', "");
Expect(1, 43311, '\P{^Script_Extensions:	kayahli}', "");
Expect(0, 43312, '\p{Script_Extensions:	kayahli}', "");
Expect(1, 43312, '\p{^Script_Extensions:	kayahli}', "");
Expect(1, 43312, '\P{Script_Extensions:	kayahli}', "");
Expect(0, 43312, '\P{^Script_Extensions:	kayahli}', "");
Expect(1, 43311, '\p{Script_Extensions=	 KAYAH_li}', "");
Expect(0, 43311, '\p{^Script_Extensions=	 KAYAH_li}', "");
Expect(0, 43311, '\P{Script_Extensions=	 KAYAH_li}', "");
Expect(1, 43311, '\P{^Script_Extensions=	 KAYAH_li}', "");
Expect(0, 43312, '\p{Script_Extensions=	 KAYAH_li}', "");
Expect(1, 43312, '\p{^Script_Extensions=	 KAYAH_li}', "");
Expect(1, 43312, '\P{Script_Extensions=	 KAYAH_li}', "");
Expect(0, 43312, '\P{^Script_Extensions=	 KAYAH_li}', "");
Error('\p{Scx=:=	-Kali}');
Error('\P{Scx=:=	-Kali}');
Expect(1, 43311, '\p{Scx=kali}', "");
Expect(0, 43311, '\p{^Scx=kali}', "");
Expect(0, 43311, '\P{Scx=kali}', "");
Expect(1, 43311, '\P{^Scx=kali}', "");
Expect(0, 43312, '\p{Scx=kali}', "");
Expect(1, 43312, '\p{^Scx=kali}', "");
Expect(1, 43312, '\P{Scx=kali}', "");
Expect(0, 43312, '\P{^Scx=kali}', "");
Expect(1, 43311, '\p{Scx=	Kali}', "");
Expect(0, 43311, '\p{^Scx=	Kali}', "");
Expect(0, 43311, '\P{Scx=	Kali}', "");
Expect(1, 43311, '\P{^Scx=	Kali}', "");
Expect(0, 43312, '\p{Scx=	Kali}', "");
Expect(1, 43312, '\p{^Scx=	Kali}', "");
Expect(1, 43312, '\P{Scx=	Kali}', "");
Expect(0, 43312, '\P{^Scx=	Kali}', "");
Error('\p{Is_Script_Extensions=-	KAYAH_Li/a/}');
Error('\P{Is_Script_Extensions=-	KAYAH_Li/a/}');
Expect(1, 43311, '\p{Is_Script_Extensions=kayahli}', "");
Expect(0, 43311, '\p{^Is_Script_Extensions=kayahli}', "");
Expect(0, 43311, '\P{Is_Script_Extensions=kayahli}', "");
Expect(1, 43311, '\P{^Is_Script_Extensions=kayahli}', "");
Expect(0, 43312, '\p{Is_Script_Extensions=kayahli}', "");
Expect(1, 43312, '\p{^Is_Script_Extensions=kayahli}', "");
Expect(1, 43312, '\P{Is_Script_Extensions=kayahli}', "");
Expect(0, 43312, '\P{^Is_Script_Extensions=kayahli}', "");
Expect(1, 43311, '\p{Is_Script_Extensions=	_Kayah_li}', "");
Expect(0, 43311, '\p{^Is_Script_Extensions=	_Kayah_li}', "");
Expect(0, 43311, '\P{Is_Script_Extensions=	_Kayah_li}', "");
Expect(1, 43311, '\P{^Is_Script_Extensions=	_Kayah_li}', "");
Expect(0, 43312, '\p{Is_Script_Extensions=	_Kayah_li}', "");
Expect(1, 43312, '\p{^Is_Script_Extensions=	_Kayah_li}', "");
Expect(1, 43312, '\P{Is_Script_Extensions=	_Kayah_li}', "");
Expect(0, 43312, '\P{^Is_Script_Extensions=	_Kayah_li}', "");
Error('\p{Is_Scx=:=	-Kali}');
Error('\P{Is_Scx=:=	-Kali}');
Expect(1, 43311, '\p{Is_Scx=kali}', "");
Expect(0, 43311, '\p{^Is_Scx=kali}', "");
Expect(0, 43311, '\P{Is_Scx=kali}', "");
Expect(1, 43311, '\P{^Is_Scx=kali}', "");
Expect(0, 43312, '\p{Is_Scx=kali}', "");
Expect(1, 43312, '\p{^Is_Scx=kali}', "");
Expect(1, 43312, '\P{Is_Scx=kali}', "");
Expect(0, 43312, '\P{^Is_Scx=kali}', "");
Expect(1, 43311, '\p{Is_Scx=_ Kali}', "");
Expect(0, 43311, '\p{^Is_Scx=_ Kali}', "");
Expect(0, 43311, '\P{Is_Scx=_ Kali}', "");
Expect(1, 43311, '\P{^Is_Scx=_ Kali}', "");
Expect(0, 43312, '\p{Is_Scx=_ Kali}', "");
Expect(1, 43312, '\p{^Is_Scx=_ Kali}', "");
Expect(1, 43312, '\P{Is_Scx=_ Kali}', "");
Expect(0, 43312, '\P{^Is_Scx=_ Kali}', "");
Error('\p{Script_Extensions=	/a/Katakana}');
Error('\P{Script_Extensions=	/a/Katakana}');
Expect(1, 110592, '\p{Script_Extensions=katakana}', "");
Expect(0, 110592, '\p{^Script_Extensions=katakana}', "");
Expect(0, 110592, '\P{Script_Extensions=katakana}', "");
Expect(1, 110592, '\P{^Script_Extensions=katakana}', "");
Expect(0, 110593, '\p{Script_Extensions=katakana}', "");
Expect(1, 110593, '\p{^Script_Extensions=katakana}', "");
Expect(1, 110593, '\P{Script_Extensions=katakana}', "");
Expect(0, 110593, '\P{^Script_Extensions=katakana}', "");
Expect(1, 110592, '\p{Script_Extensions=Katakana}', "");
Expect(0, 110592, '\p{^Script_Extensions=Katakana}', "");
Expect(0, 110592, '\P{Script_Extensions=Katakana}', "");
Expect(1, 110592, '\P{^Script_Extensions=Katakana}', "");
Expect(0, 110593, '\p{Script_Extensions=Katakana}', "");
Expect(1, 110593, '\p{^Script_Extensions=Katakana}', "");
Expect(1, 110593, '\P{Script_Extensions=Katakana}', "");
Expect(0, 110593, '\P{^Script_Extensions=Katakana}', "");
Error('\p{Scx= _kana/a/}');
Error('\P{Scx= _kana/a/}');
Expect(1, 110592, '\p{Scx=kana}', "");
Expect(0, 110592, '\p{^Scx=kana}', "");
Expect(0, 110592, '\P{Scx=kana}', "");
Expect(1, 110592, '\P{^Scx=kana}', "");
Expect(0, 110593, '\p{Scx=kana}', "");
Expect(1, 110593, '\p{^Scx=kana}', "");
Expect(1, 110593, '\P{Scx=kana}', "");
Expect(0, 110593, '\P{^Scx=kana}', "");
Expect(1, 110592, '\p{Scx=--kana}', "");
Expect(0, 110592, '\p{^Scx=--kana}', "");
Expect(0, 110592, '\P{Scx=--kana}', "");
Expect(1, 110592, '\P{^Scx=--kana}', "");
Expect(0, 110593, '\p{Scx=--kana}', "");
Expect(1, 110593, '\p{^Scx=--kana}', "");
Expect(1, 110593, '\P{Scx=--kana}', "");
Expect(0, 110593, '\P{^Scx=--kana}', "");
Error('\p{Is_Script_Extensions:	-:=Katakana}');
Error('\P{Is_Script_Extensions:	-:=Katakana}');
Expect(1, 110592, '\p{Is_Script_Extensions=katakana}', "");
Expect(0, 110592, '\p{^Is_Script_Extensions=katakana}', "");
Expect(0, 110592, '\P{Is_Script_Extensions=katakana}', "");
Expect(1, 110592, '\P{^Is_Script_Extensions=katakana}', "");
Expect(0, 110593, '\p{Is_Script_Extensions=katakana}', "");
Expect(1, 110593, '\p{^Is_Script_Extensions=katakana}', "");
Expect(1, 110593, '\P{Is_Script_Extensions=katakana}', "");
Expect(0, 110593, '\P{^Is_Script_Extensions=katakana}', "");
Expect(1, 110592, '\p{Is_Script_Extensions=	katakana}', "");
Expect(0, 110592, '\p{^Is_Script_Extensions=	katakana}', "");
Expect(0, 110592, '\P{Is_Script_Extensions=	katakana}', "");
Expect(1, 110592, '\P{^Is_Script_Extensions=	katakana}', "");
Expect(0, 110593, '\p{Is_Script_Extensions=	katakana}', "");
Expect(1, 110593, '\p{^Is_Script_Extensions=	katakana}', "");
Expect(1, 110593, '\P{Is_Script_Extensions=	katakana}', "");
Expect(0, 110593, '\P{^Is_Script_Extensions=	katakana}', "");
Error('\p{Is_Scx=_/a/KANA}');
Error('\P{Is_Scx=_/a/KANA}');
Expect(1, 110592, '\p{Is_Scx=kana}', "");
Expect(0, 110592, '\p{^Is_Scx=kana}', "");
Expect(0, 110592, '\P{Is_Scx=kana}', "");
Expect(1, 110592, '\P{^Is_Scx=kana}', "");
Expect(0, 110593, '\p{Is_Scx=kana}', "");
Expect(1, 110593, '\p{^Is_Scx=kana}', "");
Expect(1, 110593, '\P{Is_Scx=kana}', "");
Expect(0, 110593, '\P{^Is_Scx=kana}', "");
Expect(1, 110592, '\p{Is_Scx= -Kana}', "");
Expect(0, 110592, '\p{^Is_Scx= -Kana}', "");
Expect(0, 110592, '\P{Is_Scx= -Kana}', "");
Expect(1, 110592, '\P{^Is_Scx= -Kana}', "");
Expect(0, 110593, '\p{Is_Scx= -Kana}', "");
Expect(1, 110593, '\p{^Is_Scx= -Kana}', "");
Expect(1, 110593, '\P{Is_Scx= -Kana}', "");
Expect(0, 110593, '\P{^Is_Scx= -Kana}', "");
Error('\p{Script_Extensions=:= -Kharoshthi}');
Error('\P{Script_Extensions=:= -Kharoshthi}');
Expect(1, 68184, '\p{Script_Extensions=kharoshthi}', "");
Expect(0, 68184, '\p{^Script_Extensions=kharoshthi}', "");
Expect(0, 68184, '\P{Script_Extensions=kharoshthi}', "");
Expect(1, 68184, '\P{^Script_Extensions=kharoshthi}', "");
Expect(0, 68185, '\p{Script_Extensions=kharoshthi}', "");
Expect(1, 68185, '\p{^Script_Extensions=kharoshthi}', "");
Expect(1, 68185, '\P{Script_Extensions=kharoshthi}', "");
Expect(0, 68185, '\P{^Script_Extensions=kharoshthi}', "");
Expect(1, 68184, '\p{Script_Extensions: 	-kharoshthi}', "");
Expect(0, 68184, '\p{^Script_Extensions: 	-kharoshthi}', "");
Expect(0, 68184, '\P{Script_Extensions: 	-kharoshthi}', "");
Expect(1, 68184, '\P{^Script_Extensions: 	-kharoshthi}', "");
Expect(0, 68185, '\p{Script_Extensions: 	-kharoshthi}', "");
Expect(1, 68185, '\p{^Script_Extensions: 	-kharoshthi}', "");
Expect(1, 68185, '\P{Script_Extensions: 	-kharoshthi}', "");
Expect(0, 68185, '\P{^Script_Extensions: 	-kharoshthi}', "");
Error('\p{Scx=/a/ _Khar}');
Error('\P{Scx=/a/ _Khar}');
Expect(1, 68184, '\p{Scx=khar}', "");
Expect(0, 68184, '\p{^Scx=khar}', "");
Expect(0, 68184, '\P{Scx=khar}', "");
Expect(1, 68184, '\P{^Scx=khar}', "");
Expect(0, 68185, '\p{Scx=khar}', "");
Expect(1, 68185, '\p{^Scx=khar}', "");
Expect(1, 68185, '\P{Scx=khar}', "");
Expect(0, 68185, '\P{^Scx=khar}', "");
Expect(1, 68184, '\p{Scx:-_KHAR}', "");
Expect(0, 68184, '\p{^Scx:-_KHAR}', "");
Expect(0, 68184, '\P{Scx:-_KHAR}', "");
Expect(1, 68184, '\P{^Scx:-_KHAR}', "");
Expect(0, 68185, '\p{Scx:-_KHAR}', "");
Expect(1, 68185, '\p{^Scx:-_KHAR}', "");
Expect(1, 68185, '\P{Scx:-_KHAR}', "");
Expect(0, 68185, '\P{^Scx:-_KHAR}', "");
Error('\p{Is_Script_Extensions=:=_ KHAROSHTHI}');
Error('\P{Is_Script_Extensions=:=_ KHAROSHTHI}');
Expect(1, 68184, '\p{Is_Script_Extensions:   kharoshthi}', "");
Expect(0, 68184, '\p{^Is_Script_Extensions:   kharoshthi}', "");
Expect(0, 68184, '\P{Is_Script_Extensions:   kharoshthi}', "");
Expect(1, 68184, '\P{^Is_Script_Extensions:   kharoshthi}', "");
Expect(0, 68185, '\p{Is_Script_Extensions:   kharoshthi}', "");
Expect(1, 68185, '\p{^Is_Script_Extensions:   kharoshthi}', "");
Expect(1, 68185, '\P{Is_Script_Extensions:   kharoshthi}', "");
Expect(0, 68185, '\P{^Is_Script_Extensions:   kharoshthi}', "");
Expect(1, 68184, '\p{Is_Script_Extensions=_-KHAROSHTHI}', "");
Expect(0, 68184, '\p{^Is_Script_Extensions=_-KHAROSHTHI}', "");
Expect(0, 68184, '\P{Is_Script_Extensions=_-KHAROSHTHI}', "");
Expect(1, 68184, '\P{^Is_Script_Extensions=_-KHAROSHTHI}', "");
Expect(0, 68185, '\p{Is_Script_Extensions=_-KHAROSHTHI}', "");
Expect(1, 68185, '\p{^Is_Script_Extensions=_-KHAROSHTHI}', "");
Expect(1, 68185, '\P{Is_Script_Extensions=_-KHAROSHTHI}', "");
Expect(0, 68185, '\P{^Is_Script_Extensions=_-KHAROSHTHI}', "");
Error('\p{Is_Scx=/a/ 	KHAR}');
Error('\P{Is_Scx=/a/ 	KHAR}');
Expect(1, 68184, '\p{Is_Scx=khar}', "");
Expect(0, 68184, '\p{^Is_Scx=khar}', "");
Expect(0, 68184, '\P{Is_Scx=khar}', "");
Expect(1, 68184, '\P{^Is_Scx=khar}', "");
Expect(0, 68185, '\p{Is_Scx=khar}', "");
Expect(1, 68185, '\p{^Is_Scx=khar}', "");
Expect(1, 68185, '\P{Is_Scx=khar}', "");
Expect(0, 68185, '\P{^Is_Scx=khar}', "");
Expect(1, 68184, '\p{Is_Scx=  Khar}', "");
Expect(0, 68184, '\p{^Is_Scx=  Khar}', "");
Expect(0, 68184, '\P{Is_Scx=  Khar}', "");
Expect(1, 68184, '\P{^Is_Scx=  Khar}', "");
Expect(0, 68185, '\p{Is_Scx=  Khar}', "");
Expect(1, 68185, '\p{^Is_Scx=  Khar}', "");
Expect(1, 68185, '\P{Is_Scx=  Khar}', "");
Expect(0, 68185, '\P{^Is_Scx=  Khar}', "");
Error('\p{Script_Extensions=-/a/khmer}');
Error('\P{Script_Extensions=-/a/khmer}');
Expect(1, 6655, '\p{Script_Extensions=khmer}', "");
Expect(0, 6655, '\p{^Script_Extensions=khmer}', "");
Expect(0, 6655, '\P{Script_Extensions=khmer}', "");
Expect(1, 6655, '\P{^Script_Extensions=khmer}', "");
Expect(0, 6656, '\p{Script_Extensions=khmer}', "");
Expect(1, 6656, '\p{^Script_Extensions=khmer}', "");
Expect(1, 6656, '\P{Script_Extensions=khmer}', "");
Expect(0, 6656, '\P{^Script_Extensions=khmer}', "");
Expect(1, 6655, '\p{Script_Extensions=	-Khmer}', "");
Expect(0, 6655, '\p{^Script_Extensions=	-Khmer}', "");
Expect(0, 6655, '\P{Script_Extensions=	-Khmer}', "");
Expect(1, 6655, '\P{^Script_Extensions=	-Khmer}', "");
Expect(0, 6656, '\p{Script_Extensions=	-Khmer}', "");
Expect(1, 6656, '\p{^Script_Extensions=	-Khmer}', "");
Expect(1, 6656, '\P{Script_Extensions=	-Khmer}', "");
Expect(0, 6656, '\P{^Script_Extensions=	-Khmer}', "");
Error('\p{Scx=-:=Khmr}');
Error('\P{Scx=-:=Khmr}');
Expect(1, 6655, '\p{Scx=khmr}', "");
Expect(0, 6655, '\p{^Scx=khmr}', "");
Expect(0, 6655, '\P{Scx=khmr}', "");
Expect(1, 6655, '\P{^Scx=khmr}', "");
Expect(0, 6656, '\p{Scx=khmr}', "");
Expect(1, 6656, '\p{^Scx=khmr}', "");
Expect(1, 6656, '\P{Scx=khmr}', "");
Expect(0, 6656, '\P{^Scx=khmr}', "");
Expect(1, 6655, '\p{Scx=_	KHMR}', "");
Expect(0, 6655, '\p{^Scx=_	KHMR}', "");
Expect(0, 6655, '\P{Scx=_	KHMR}', "");
Expect(1, 6655, '\P{^Scx=_	KHMR}', "");
Expect(0, 6656, '\p{Scx=_	KHMR}', "");
Expect(1, 6656, '\p{^Scx=_	KHMR}', "");
Expect(1, 6656, '\P{Scx=_	KHMR}', "");
Expect(0, 6656, '\P{^Scx=_	KHMR}', "");
Error('\p{Is_Script_Extensions=/a/_khmer}');
Error('\P{Is_Script_Extensions=/a/_khmer}');
Expect(1, 6655, '\p{Is_Script_Extensions=khmer}', "");
Expect(0, 6655, '\p{^Is_Script_Extensions=khmer}', "");
Expect(0, 6655, '\P{Is_Script_Extensions=khmer}', "");
Expect(1, 6655, '\P{^Is_Script_Extensions=khmer}', "");
Expect(0, 6656, '\p{Is_Script_Extensions=khmer}', "");
Expect(1, 6656, '\p{^Is_Script_Extensions=khmer}', "");
Expect(1, 6656, '\P{Is_Script_Extensions=khmer}', "");
Expect(0, 6656, '\P{^Is_Script_Extensions=khmer}', "");
Expect(1, 6655, '\p{Is_Script_Extensions:_-Khmer}', "");
Expect(0, 6655, '\p{^Is_Script_Extensions:_-Khmer}', "");
Expect(0, 6655, '\P{Is_Script_Extensions:_-Khmer}', "");
Expect(1, 6655, '\P{^Is_Script_Extensions:_-Khmer}', "");
Expect(0, 6656, '\p{Is_Script_Extensions:_-Khmer}', "");
Expect(1, 6656, '\p{^Is_Script_Extensions:_-Khmer}', "");
Expect(1, 6656, '\P{Is_Script_Extensions:_-Khmer}', "");
Expect(0, 6656, '\P{^Is_Script_Extensions:_-Khmer}', "");
Error('\p{Is_Scx=-:=KHMR}');
Error('\P{Is_Scx=-:=KHMR}');
Expect(1, 6655, '\p{Is_Scx:khmr}', "");
Expect(0, 6655, '\p{^Is_Scx:khmr}', "");
Expect(0, 6655, '\P{Is_Scx:khmr}', "");
Expect(1, 6655, '\P{^Is_Scx:khmr}', "");
Expect(0, 6656, '\p{Is_Scx:khmr}', "");
Expect(1, 6656, '\p{^Is_Scx:khmr}', "");
Expect(1, 6656, '\P{Is_Scx:khmr}', "");
Expect(0, 6656, '\P{^Is_Scx:khmr}', "");
Expect(1, 6655, '\p{Is_Scx=- Khmr}', "");
Expect(0, 6655, '\p{^Is_Scx=- Khmr}', "");
Expect(0, 6655, '\P{Is_Scx=- Khmr}', "");
Expect(1, 6655, '\P{^Is_Scx=- Khmr}', "");
Expect(0, 6656, '\p{Is_Scx=- Khmr}', "");
Expect(1, 6656, '\p{^Is_Scx=- Khmr}', "");
Expect(1, 6656, '\P{Is_Scx=- Khmr}', "");
Expect(0, 6656, '\P{^Is_Scx=- Khmr}', "");
Error('\p{Script_Extensions=	 KHOJKI:=}');
Error('\P{Script_Extensions=	 KHOJKI:=}');
Expect(1, 70205, '\p{Script_Extensions=khojki}', "");
Expect(0, 70205, '\p{^Script_Extensions=khojki}', "");
Expect(0, 70205, '\P{Script_Extensions=khojki}', "");
Expect(1, 70205, '\P{^Script_Extensions=khojki}', "");
Expect(0, 70206, '\p{Script_Extensions=khojki}', "");
Expect(1, 70206, '\p{^Script_Extensions=khojki}', "");
Expect(1, 70206, '\P{Script_Extensions=khojki}', "");
Expect(0, 70206, '\P{^Script_Extensions=khojki}', "");
Expect(1, 70205, '\p{Script_Extensions=-khojki}', "");
Expect(0, 70205, '\p{^Script_Extensions=-khojki}', "");
Expect(0, 70205, '\P{Script_Extensions=-khojki}', "");
Expect(1, 70205, '\P{^Script_Extensions=-khojki}', "");
Expect(0, 70206, '\p{Script_Extensions=-khojki}', "");
Expect(1, 70206, '\p{^Script_Extensions=-khojki}', "");
Expect(1, 70206, '\P{Script_Extensions=-khojki}', "");
Expect(0, 70206, '\P{^Script_Extensions=-khojki}', "");
Error('\p{Scx=Khoj/a/}');
Error('\P{Scx=Khoj/a/}');
Expect(1, 70205, '\p{Scx=khoj}', "");
Expect(0, 70205, '\p{^Scx=khoj}', "");
Expect(0, 70205, '\P{Scx=khoj}', "");
Expect(1, 70205, '\P{^Scx=khoj}', "");
Expect(0, 70206, '\p{Scx=khoj}', "");
Expect(1, 70206, '\p{^Scx=khoj}', "");
Expect(1, 70206, '\P{Scx=khoj}', "");
Expect(0, 70206, '\P{^Scx=khoj}', "");
Expect(1, 70205, '\p{Scx= _khoj}', "");
Expect(0, 70205, '\p{^Scx= _khoj}', "");
Expect(0, 70205, '\P{Scx= _khoj}', "");
Expect(1, 70205, '\P{^Scx= _khoj}', "");
Expect(0, 70206, '\p{Scx= _khoj}', "");
Expect(1, 70206, '\p{^Scx= _khoj}', "");
Expect(1, 70206, '\P{Scx= _khoj}', "");
Expect(0, 70206, '\P{^Scx= _khoj}', "");
Error('\p{Is_Script_Extensions=:=  khojki}');
Error('\P{Is_Script_Extensions=:=  khojki}');
Expect(1, 70205, '\p{Is_Script_Extensions=khojki}', "");
Expect(0, 70205, '\p{^Is_Script_Extensions=khojki}', "");
Expect(0, 70205, '\P{Is_Script_Extensions=khojki}', "");
Expect(1, 70205, '\P{^Is_Script_Extensions=khojki}', "");
Expect(0, 70206, '\p{Is_Script_Extensions=khojki}', "");
Expect(1, 70206, '\p{^Is_Script_Extensions=khojki}', "");
Expect(1, 70206, '\P{Is_Script_Extensions=khojki}', "");
Expect(0, 70206, '\P{^Is_Script_Extensions=khojki}', "");
Expect(1, 70205, '\p{Is_Script_Extensions=-_khojki}', "");
Expect(0, 70205, '\p{^Is_Script_Extensions=-_khojki}', "");
Expect(0, 70205, '\P{Is_Script_Extensions=-_khojki}', "");
Expect(1, 70205, '\P{^Is_Script_Extensions=-_khojki}', "");
Expect(0, 70206, '\p{Is_Script_Extensions=-_khojki}', "");
Expect(1, 70206, '\p{^Is_Script_Extensions=-_khojki}', "");
Expect(1, 70206, '\P{Is_Script_Extensions=-_khojki}', "");
Expect(0, 70206, '\P{^Is_Script_Extensions=-_khojki}', "");
Error('\p{Is_Scx=:=  KHOJ}');
Error('\P{Is_Scx=:=  KHOJ}');
Expect(1, 70205, '\p{Is_Scx=khoj}', "");
Expect(0, 70205, '\p{^Is_Scx=khoj}', "");
Expect(0, 70205, '\P{Is_Scx=khoj}', "");
Expect(1, 70205, '\P{^Is_Scx=khoj}', "");
Expect(0, 70206, '\p{Is_Scx=khoj}', "");
Expect(1, 70206, '\p{^Is_Scx=khoj}', "");
Expect(1, 70206, '\P{Is_Scx=khoj}', "");
Expect(0, 70206, '\P{^Is_Scx=khoj}', "");
Expect(1, 70205, '\p{Is_Scx= -khoj}', "");
Expect(0, 70205, '\p{^Is_Scx= -khoj}', "");
Expect(0, 70205, '\P{Is_Scx= -khoj}', "");
Expect(1, 70205, '\P{^Is_Scx= -khoj}', "");
Expect(0, 70206, '\p{Is_Scx= -khoj}', "");
Expect(1, 70206, '\p{^Is_Scx= -khoj}', "");
Expect(1, 70206, '\P{Is_Scx= -khoj}', "");
Expect(0, 70206, '\P{^Is_Scx= -khoj}', "");
Error('\p{Script_Extensions=:=-_KANNADA}');
Error('\P{Script_Extensions=:=-_KANNADA}');
Expect(1, 3314, '\p{Script_Extensions=kannada}', "");
Expect(0, 3314, '\p{^Script_Extensions=kannada}', "");
Expect(0, 3314, '\P{Script_Extensions=kannada}', "");
Expect(1, 3314, '\P{^Script_Extensions=kannada}', "");
Expect(0, 3315, '\p{Script_Extensions=kannada}', "");
Expect(1, 3315, '\p{^Script_Extensions=kannada}', "");
Expect(1, 3315, '\P{Script_Extensions=kannada}', "");
Expect(0, 3315, '\P{^Script_Extensions=kannada}', "");
Error('\p{Scx=/a/	KNDA}');
Error('\P{Scx=/a/	KNDA}');
Expect(1, 3314, '\p{Scx=knda}', "");
Expect(0, 3314, '\p{^Scx=knda}', "");
Expect(0, 3314, '\P{Scx=knda}', "");
Expect(1, 3314, '\P{^Scx=knda}', "");
Expect(0, 3315, '\p{Scx=knda}', "");
Expect(1, 3315, '\p{^Scx=knda}', "");
Expect(1, 3315, '\P{Scx=knda}', "");
Expect(0, 3315, '\P{^Scx=knda}', "");
Expect(1, 3314, '\p{Scx=_ Knda}', "");
Expect(0, 3314, '\p{^Scx=_ Knda}', "");
Expect(0, 3314, '\P{Scx=_ Knda}', "");
Expect(1, 3314, '\P{^Scx=_ Knda}', "");
Expect(0, 3315, '\p{Scx=_ Knda}', "");
Expect(1, 3315, '\p{^Scx=_ Knda}', "");
Expect(1, 3315, '\P{Scx=_ Knda}', "");
Expect(0, 3315, '\P{^Scx=_ Knda}', "");
Error('\p{Is_Script_Extensions=_/a/Kannada}');
Error('\P{Is_Script_Extensions=_/a/Kannada}');
Expect(1, 3314, '\p{Is_Script_Extensions=kannada}', "");
Expect(0, 3314, '\p{^Is_Script_Extensions=kannada}', "");
Expect(0, 3314, '\P{Is_Script_Extensions=kannada}', "");
Expect(1, 3314, '\P{^Is_Script_Extensions=kannada}', "");
Expect(0, 3315, '\p{Is_Script_Extensions=kannada}', "");
Expect(1, 3315, '\p{^Is_Script_Extensions=kannada}', "");
Expect(1, 3315, '\P{Is_Script_Extensions=kannada}', "");
Expect(0, 3315, '\P{^Is_Script_Extensions=kannada}', "");
Expect(1, 3314, '\p{Is_Script_Extensions: - Kannada}', "");
Expect(0, 3314, '\p{^Is_Script_Extensions: - Kannada}', "");
Expect(0, 3314, '\P{Is_Script_Extensions: - Kannada}', "");
Expect(1, 3314, '\P{^Is_Script_Extensions: - Kannada}', "");
Expect(0, 3315, '\p{Is_Script_Extensions: - Kannada}', "");
Expect(1, 3315, '\p{^Is_Script_Extensions: - Kannada}', "");
Expect(1, 3315, '\P{Is_Script_Extensions: - Kannada}', "");
Expect(0, 3315, '\P{^Is_Script_Extensions: - Kannada}', "");
Error('\p{Is_Scx=- Knda/a/}');
Error('\P{Is_Scx=- Knda/a/}');
Expect(1, 3314, '\p{Is_Scx=knda}', "");
Expect(0, 3314, '\p{^Is_Scx=knda}', "");
Expect(0, 3314, '\P{Is_Scx=knda}', "");
Expect(1, 3314, '\P{^Is_Scx=knda}', "");
Expect(0, 3315, '\p{Is_Scx=knda}', "");
Expect(1, 3315, '\p{^Is_Scx=knda}', "");
Expect(1, 3315, '\P{Is_Scx=knda}', "");
Expect(0, 3315, '\P{^Is_Scx=knda}', "");
Expect(1, 3314, '\p{Is_Scx= 	knda}', "");
Expect(0, 3314, '\p{^Is_Scx= 	knda}', "");
Expect(0, 3314, '\P{Is_Scx= 	knda}', "");
Expect(1, 3314, '\P{^Is_Scx= 	knda}', "");
Expect(0, 3315, '\p{Is_Scx= 	knda}', "");
Expect(1, 3315, '\p{^Is_Scx= 	knda}', "");
Expect(1, 3315, '\P{Is_Scx= 	knda}', "");
Expect(0, 3315, '\P{^Is_Scx= 	knda}', "");
Error('\p{Script_Extensions=:=--Kaithi}');
Error('\P{Script_Extensions=:=--Kaithi}');
Expect(1, 69825, '\p{Script_Extensions:	kaithi}', "");
Expect(0, 69825, '\p{^Script_Extensions:	kaithi}', "");
Expect(0, 69825, '\P{Script_Extensions:	kaithi}', "");
Expect(1, 69825, '\P{^Script_Extensions:	kaithi}', "");
Expect(0, 69826, '\p{Script_Extensions:	kaithi}', "");
Expect(1, 69826, '\p{^Script_Extensions:	kaithi}', "");
Expect(1, 69826, '\P{Script_Extensions:	kaithi}', "");
Expect(0, 69826, '\P{^Script_Extensions:	kaithi}', "");
Expect(1, 69825, '\p{Script_Extensions=Kaithi}', "");
Expect(0, 69825, '\p{^Script_Extensions=Kaithi}', "");
Expect(0, 69825, '\P{Script_Extensions=Kaithi}', "");
Expect(1, 69825, '\P{^Script_Extensions=Kaithi}', "");
Expect(0, 69826, '\p{Script_Extensions=Kaithi}', "");
Expect(1, 69826, '\p{^Script_Extensions=Kaithi}', "");
Expect(1, 69826, '\P{Script_Extensions=Kaithi}', "");
Expect(0, 69826, '\P{^Script_Extensions=Kaithi}', "");
Error('\p{Scx= kthi:=}');
Error('\P{Scx= kthi:=}');
Expect(1, 69825, '\p{Scx=kthi}', "");
Expect(0, 69825, '\p{^Scx=kthi}', "");
Expect(0, 69825, '\P{Scx=kthi}', "");
Expect(1, 69825, '\P{^Scx=kthi}', "");
Expect(0, 69826, '\p{Scx=kthi}', "");
Expect(1, 69826, '\p{^Scx=kthi}', "");
Expect(1, 69826, '\P{Scx=kthi}', "");
Expect(0, 69826, '\P{^Scx=kthi}', "");
Expect(1, 69825, '\p{Scx=-	KTHI}', "");
Expect(0, 69825, '\p{^Scx=-	KTHI}', "");
Expect(0, 69825, '\P{Scx=-	KTHI}', "");
Expect(1, 69825, '\P{^Scx=-	KTHI}', "");
Expect(0, 69826, '\p{Scx=-	KTHI}', "");
Expect(1, 69826, '\p{^Scx=-	KTHI}', "");
Expect(1, 69826, '\P{Scx=-	KTHI}', "");
Expect(0, 69826, '\P{^Scx=-	KTHI}', "");
Error('\p{Is_Script_Extensions=		Kaithi/a/}');
Error('\P{Is_Script_Extensions=		Kaithi/a/}');
Expect(1, 69825, '\p{Is_Script_Extensions=kaithi}', "");
Expect(0, 69825, '\p{^Is_Script_Extensions=kaithi}', "");
Expect(0, 69825, '\P{Is_Script_Extensions=kaithi}', "");
Expect(1, 69825, '\P{^Is_Script_Extensions=kaithi}', "");
Expect(0, 69826, '\p{Is_Script_Extensions=kaithi}', "");
Expect(1, 69826, '\p{^Is_Script_Extensions=kaithi}', "");
Expect(1, 69826, '\P{Is_Script_Extensions=kaithi}', "");
Expect(0, 69826, '\P{^Is_Script_Extensions=kaithi}', "");
Expect(1, 69825, '\p{Is_Script_Extensions=	 Kaithi}', "");
Expect(0, 69825, '\p{^Is_Script_Extensions=	 Kaithi}', "");
Expect(0, 69825, '\P{Is_Script_Extensions=	 Kaithi}', "");
Expect(1, 69825, '\P{^Is_Script_Extensions=	 Kaithi}', "");
Expect(0, 69826, '\p{Is_Script_Extensions=	 Kaithi}', "");
Expect(1, 69826, '\p{^Is_Script_Extensions=	 Kaithi}', "");
Expect(1, 69826, '\P{Is_Script_Extensions=	 Kaithi}', "");
Expect(0, 69826, '\P{^Is_Script_Extensions=	 Kaithi}', "");
Error('\p{Is_Scx=:=-Kthi}');
Error('\P{Is_Scx=:=-Kthi}');
Expect(1, 69825, '\p{Is_Scx=kthi}', "");
Expect(0, 69825, '\p{^Is_Scx=kthi}', "");
Expect(0, 69825, '\P{Is_Scx=kthi}', "");
Expect(1, 69825, '\P{^Is_Scx=kthi}', "");
Expect(0, 69826, '\p{Is_Scx=kthi}', "");
Expect(1, 69826, '\p{^Is_Scx=kthi}', "");
Expect(1, 69826, '\P{Is_Scx=kthi}', "");
Expect(0, 69826, '\P{^Is_Scx=kthi}', "");
Expect(1, 69825, '\p{Is_Scx=		Kthi}', "");
Expect(0, 69825, '\p{^Is_Scx=		Kthi}', "");
Expect(0, 69825, '\P{Is_Scx=		Kthi}', "");
Expect(1, 69825, '\P{^Is_Scx=		Kthi}', "");
Expect(0, 69826, '\p{Is_Scx=		Kthi}', "");
Expect(1, 69826, '\p{^Is_Scx=		Kthi}', "");
Expect(1, 69826, '\P{Is_Scx=		Kthi}', "");
Expect(0, 69826, '\P{^Is_Scx=		Kthi}', "");
Error('\p{Script_Extensions= -tai_Tham:=}');
Error('\P{Script_Extensions= -tai_Tham:=}');
Expect(1, 6829, '\p{Script_Extensions=taitham}', "");
Expect(0, 6829, '\p{^Script_Extensions=taitham}', "");
Expect(0, 6829, '\P{Script_Extensions=taitham}', "");
Expect(1, 6829, '\P{^Script_Extensions=taitham}', "");
Expect(0, 6830, '\p{Script_Extensions=taitham}', "");
Expect(1, 6830, '\p{^Script_Extensions=taitham}', "");
Expect(1, 6830, '\P{Script_Extensions=taitham}', "");
Expect(0, 6830, '\P{^Script_Extensions=taitham}', "");
Expect(1, 6829, '\p{Script_Extensions: 	TAI_Tham}', "");
Expect(0, 6829, '\p{^Script_Extensions: 	TAI_Tham}', "");
Expect(0, 6829, '\P{Script_Extensions: 	TAI_Tham}', "");
Expect(1, 6829, '\P{^Script_Extensions: 	TAI_Tham}', "");
Expect(0, 6830, '\p{Script_Extensions: 	TAI_Tham}', "");
Expect(1, 6830, '\p{^Script_Extensions: 	TAI_Tham}', "");
Expect(1, 6830, '\P{Script_Extensions: 	TAI_Tham}', "");
Expect(0, 6830, '\P{^Script_Extensions: 	TAI_Tham}', "");
Error('\p{Scx=:=lana}');
Error('\P{Scx=:=lana}');
Expect(1, 6829, '\p{Scx=lana}', "");
Expect(0, 6829, '\p{^Scx=lana}', "");
Expect(0, 6829, '\P{Scx=lana}', "");
Expect(1, 6829, '\P{^Scx=lana}', "");
Expect(0, 6830, '\p{Scx=lana}', "");
Expect(1, 6830, '\p{^Scx=lana}', "");
Expect(1, 6830, '\P{Scx=lana}', "");
Expect(0, 6830, '\P{^Scx=lana}', "");
Expect(1, 6829, '\p{Scx=_Lana}', "");
Expect(0, 6829, '\p{^Scx=_Lana}', "");
Expect(0, 6829, '\P{Scx=_Lana}', "");
Expect(1, 6829, '\P{^Scx=_Lana}', "");
Expect(0, 6830, '\p{Scx=_Lana}', "");
Expect(1, 6830, '\p{^Scx=_Lana}', "");
Expect(1, 6830, '\P{Scx=_Lana}', "");
Expect(0, 6830, '\P{^Scx=_Lana}', "");
Error('\p{Is_Script_Extensions=:=	 Tai_Tham}');
Error('\P{Is_Script_Extensions=:=	 Tai_Tham}');
Expect(1, 6829, '\p{Is_Script_Extensions=taitham}', "");
Expect(0, 6829, '\p{^Is_Script_Extensions=taitham}', "");
Expect(0, 6829, '\P{Is_Script_Extensions=taitham}', "");
Expect(1, 6829, '\P{^Is_Script_Extensions=taitham}', "");
Expect(0, 6830, '\p{Is_Script_Extensions=taitham}', "");
Expect(1, 6830, '\p{^Is_Script_Extensions=taitham}', "");
Expect(1, 6830, '\P{Is_Script_Extensions=taitham}', "");
Expect(0, 6830, '\P{^Is_Script_Extensions=taitham}', "");
Expect(1, 6829, '\p{Is_Script_Extensions=- Tai_Tham}', "");
Expect(0, 6829, '\p{^Is_Script_Extensions=- Tai_Tham}', "");
Expect(0, 6829, '\P{Is_Script_Extensions=- Tai_Tham}', "");
Expect(1, 6829, '\P{^Is_Script_Extensions=- Tai_Tham}', "");
Expect(0, 6830, '\p{Is_Script_Extensions=- Tai_Tham}', "");
Expect(1, 6830, '\p{^Is_Script_Extensions=- Tai_Tham}', "");
Expect(1, 6830, '\P{Is_Script_Extensions=- Tai_Tham}', "");
Expect(0, 6830, '\P{^Is_Script_Extensions=- Tai_Tham}', "");
Error('\p{Is_Scx=_	LANA:=}');
Error('\P{Is_Scx=_	LANA:=}');
Expect(1, 6829, '\p{Is_Scx=lana}', "");
Expect(0, 6829, '\p{^Is_Scx=lana}', "");
Expect(0, 6829, '\P{Is_Scx=lana}', "");
Expect(1, 6829, '\P{^Is_Scx=lana}', "");
Expect(0, 6830, '\p{Is_Scx=lana}', "");
Expect(1, 6830, '\p{^Is_Scx=lana}', "");
Expect(1, 6830, '\P{Is_Scx=lana}', "");
Expect(0, 6830, '\P{^Is_Scx=lana}', "");
Error('\p{Script_Extensions= :=Lao}');
Error('\P{Script_Extensions= :=Lao}');
Expect(1, 3807, '\p{Script_Extensions=lao}', "");
Expect(0, 3807, '\p{^Script_Extensions=lao}', "");
Expect(0, 3807, '\P{Script_Extensions=lao}', "");
Expect(1, 3807, '\P{^Script_Extensions=lao}', "");
Expect(0, 3808, '\p{Script_Extensions=lao}', "");
Expect(1, 3808, '\p{^Script_Extensions=lao}', "");
Expect(1, 3808, '\P{Script_Extensions=lao}', "");
Expect(0, 3808, '\P{^Script_Extensions=lao}', "");
Expect(1, 3807, '\p{Script_Extensions=-	Lao}', "");
Expect(0, 3807, '\p{^Script_Extensions=-	Lao}', "");
Expect(0, 3807, '\P{Script_Extensions=-	Lao}', "");
Expect(1, 3807, '\P{^Script_Extensions=-	Lao}', "");
Expect(0, 3808, '\p{Script_Extensions=-	Lao}', "");
Expect(1, 3808, '\p{^Script_Extensions=-	Lao}', "");
Expect(1, 3808, '\P{Script_Extensions=-	Lao}', "");
Expect(0, 3808, '\P{^Script_Extensions=-	Lao}', "");
Error('\p{Scx=Laoo/a/}');
Error('\P{Scx=Laoo/a/}');
Expect(1, 3807, '\p{Scx=laoo}', "");
Expect(0, 3807, '\p{^Scx=laoo}', "");
Expect(0, 3807, '\P{Scx=laoo}', "");
Expect(1, 3807, '\P{^Scx=laoo}', "");
Expect(0, 3808, '\p{Scx=laoo}', "");
Expect(1, 3808, '\p{^Scx=laoo}', "");
Expect(1, 3808, '\P{Scx=laoo}', "");
Expect(0, 3808, '\P{^Scx=laoo}', "");
Expect(1, 3807, '\p{Scx= LAOO}', "");
Expect(0, 3807, '\p{^Scx= LAOO}', "");
Expect(0, 3807, '\P{Scx= LAOO}', "");
Expect(1, 3807, '\P{^Scx= LAOO}', "");
Expect(0, 3808, '\p{Scx= LAOO}', "");
Expect(1, 3808, '\p{^Scx= LAOO}', "");
Expect(1, 3808, '\P{Scx= LAOO}', "");
Expect(0, 3808, '\P{^Scx= LAOO}', "");
Error('\p{Is_Script_Extensions=_	LAO/a/}');
Error('\P{Is_Script_Extensions=_	LAO/a/}');
Expect(1, 3807, '\p{Is_Script_Extensions=lao}', "");
Expect(0, 3807, '\p{^Is_Script_Extensions=lao}', "");
Expect(0, 3807, '\P{Is_Script_Extensions=lao}', "");
Expect(1, 3807, '\P{^Is_Script_Extensions=lao}', "");
Expect(0, 3808, '\p{Is_Script_Extensions=lao}', "");
Expect(1, 3808, '\p{^Is_Script_Extensions=lao}', "");
Expect(1, 3808, '\P{Is_Script_Extensions=lao}', "");
Expect(0, 3808, '\P{^Is_Script_Extensions=lao}', "");
Expect(1, 3807, '\p{Is_Script_Extensions=-_Lao}', "");
Expect(0, 3807, '\p{^Is_Script_Extensions=-_Lao}', "");
Expect(0, 3807, '\P{Is_Script_Extensions=-_Lao}', "");
Expect(1, 3807, '\P{^Is_Script_Extensions=-_Lao}', "");
Expect(0, 3808, '\p{Is_Script_Extensions=-_Lao}', "");
Expect(1, 3808, '\p{^Is_Script_Extensions=-_Lao}', "");
Expect(1, 3808, '\P{Is_Script_Extensions=-_Lao}', "");
Expect(0, 3808, '\P{^Is_Script_Extensions=-_Lao}', "");
Error('\p{Is_Scx=-:=laoo}');
Error('\P{Is_Scx=-:=laoo}');
Expect(1, 3807, '\p{Is_Scx=laoo}', "");
Expect(0, 3807, '\p{^Is_Scx=laoo}', "");
Expect(0, 3807, '\P{Is_Scx=laoo}', "");
Expect(1, 3807, '\P{^Is_Scx=laoo}', "");
Expect(0, 3808, '\p{Is_Scx=laoo}', "");
Expect(1, 3808, '\p{^Is_Scx=laoo}', "");
Expect(1, 3808, '\P{Is_Scx=laoo}', "");
Expect(0, 3808, '\P{^Is_Scx=laoo}', "");
Expect(1, 3807, '\p{Is_Scx=--Laoo}', "");
Expect(0, 3807, '\p{^Is_Scx=--Laoo}', "");
Expect(0, 3807, '\P{Is_Scx=--Laoo}', "");
Expect(1, 3807, '\P{^Is_Scx=--Laoo}', "");
Expect(0, 3808, '\p{Is_Scx=--Laoo}', "");
Expect(1, 3808, '\p{^Is_Scx=--Laoo}', "");
Expect(1, 3808, '\P{Is_Scx=--Laoo}', "");
Expect(0, 3808, '\P{^Is_Scx=--Laoo}', "");
Error('\p{Script_Extensions: /a/-Latin}');
Error('\P{Script_Extensions: /a/-Latin}');
Expect(1, 65370, '\p{Script_Extensions=latin}', "");
Expect(0, 65370, '\p{^Script_Extensions=latin}', "");
Expect(0, 65370, '\P{Script_Extensions=latin}', "");
Expect(1, 65370, '\P{^Script_Extensions=latin}', "");
Expect(0, 65371, '\p{Script_Extensions=latin}', "");
Expect(1, 65371, '\p{^Script_Extensions=latin}', "");
Expect(1, 65371, '\P{Script_Extensions=latin}', "");
Expect(0, 65371, '\P{^Script_Extensions=latin}', "");
Expect(1, 65370, '\p{Script_Extensions=_LATIN}', "");
Expect(0, 65370, '\p{^Script_Extensions=_LATIN}', "");
Expect(0, 65370, '\P{Script_Extensions=_LATIN}', "");
Expect(1, 65370, '\P{^Script_Extensions=_LATIN}', "");
Expect(0, 65371, '\p{Script_Extensions=_LATIN}', "");
Expect(1, 65371, '\p{^Script_Extensions=_LATIN}', "");
Expect(1, 65371, '\P{Script_Extensions=_LATIN}', "");
Expect(0, 65371, '\P{^Script_Extensions=_LATIN}', "");
Error('\p{Scx::=_ Latn}');
Error('\P{Scx::=_ Latn}');
Expect(1, 65370, '\p{Scx:   latn}', "");
Expect(0, 65370, '\p{^Scx:   latn}', "");
Expect(0, 65370, '\P{Scx:   latn}', "");
Expect(1, 65370, '\P{^Scx:   latn}', "");
Expect(0, 65371, '\p{Scx:   latn}', "");
Expect(1, 65371, '\p{^Scx:   latn}', "");
Expect(1, 65371, '\P{Scx:   latn}', "");
Expect(0, 65371, '\P{^Scx:   latn}', "");
Expect(1, 65370, '\p{Scx= -Latn}', "");
Expect(0, 65370, '\p{^Scx= -Latn}', "");
Expect(0, 65370, '\P{Scx= -Latn}', "");
Expect(1, 65370, '\P{^Scx= -Latn}', "");
Expect(0, 65371, '\p{Scx= -Latn}', "");
Expect(1, 65371, '\p{^Scx= -Latn}', "");
Expect(1, 65371, '\P{Scx= -Latn}', "");
Expect(0, 65371, '\P{^Scx= -Latn}', "");
Error('\p{Is_Script_Extensions=:=_-Latin}');
Error('\P{Is_Script_Extensions=:=_-Latin}');
Expect(1, 65370, '\p{Is_Script_Extensions=latin}', "");
Expect(0, 65370, '\p{^Is_Script_Extensions=latin}', "");
Expect(0, 65370, '\P{Is_Script_Extensions=latin}', "");
Expect(1, 65370, '\P{^Is_Script_Extensions=latin}', "");
Expect(0, 65371, '\p{Is_Script_Extensions=latin}', "");
Expect(1, 65371, '\p{^Is_Script_Extensions=latin}', "");
Expect(1, 65371, '\P{Is_Script_Extensions=latin}', "");
Expect(0, 65371, '\P{^Is_Script_Extensions=latin}', "");
Expect(1, 65370, '\p{Is_Script_Extensions=-Latin}', "");
Expect(0, 65370, '\p{^Is_Script_Extensions=-Latin}', "");
Expect(0, 65370, '\P{Is_Script_Extensions=-Latin}', "");
Expect(1, 65370, '\P{^Is_Script_Extensions=-Latin}', "");
Expect(0, 65371, '\p{Is_Script_Extensions=-Latin}', "");
Expect(1, 65371, '\p{^Is_Script_Extensions=-Latin}', "");
Expect(1, 65371, '\P{Is_Script_Extensions=-Latin}', "");
Expect(0, 65371, '\P{^Is_Script_Extensions=-Latin}', "");
Error('\p{Is_Scx=__Latn/a/}');
Error('\P{Is_Scx=__Latn/a/}');
Expect(1, 65370, '\p{Is_Scx:latn}', "");
Expect(0, 65370, '\p{^Is_Scx:latn}', "");
Expect(0, 65370, '\P{Is_Scx:latn}', "");
Expect(1, 65370, '\P{^Is_Scx:latn}', "");
Expect(0, 65371, '\p{Is_Scx:latn}', "");
Expect(1, 65371, '\p{^Is_Scx:latn}', "");
Expect(1, 65371, '\P{Is_Scx:latn}', "");
Expect(0, 65371, '\P{^Is_Scx:latn}', "");
Expect(1, 65370, '\p{Is_Scx=  LATN}', "");
Expect(0, 65370, '\p{^Is_Scx=  LATN}', "");
Expect(0, 65370, '\P{Is_Scx=  LATN}', "");
Expect(1, 65370, '\P{^Is_Scx=  LATN}', "");
Expect(0, 65371, '\p{Is_Scx=  LATN}', "");
Expect(1, 65371, '\p{^Is_Scx=  LATN}', "");
Expect(1, 65371, '\P{Is_Scx=  LATN}', "");
Expect(0, 65371, '\P{^Is_Scx=  LATN}', "");
Error('\p{Script_Extensions=:=_lepcha}');
Error('\P{Script_Extensions=:=_lepcha}');
Expect(1, 7247, '\p{Script_Extensions=lepcha}', "");
Expect(0, 7247, '\p{^Script_Extensions=lepcha}', "");
Expect(0, 7247, '\P{Script_Extensions=lepcha}', "");
Expect(1, 7247, '\P{^Script_Extensions=lepcha}', "");
Expect(0, 7248, '\p{Script_Extensions=lepcha}', "");
Expect(1, 7248, '\p{^Script_Extensions=lepcha}', "");
Expect(1, 7248, '\P{Script_Extensions=lepcha}', "");
Expect(0, 7248, '\P{^Script_Extensions=lepcha}', "");
Expect(1, 7247, '\p{Script_Extensions=_LEPCHA}', "");
Expect(0, 7247, '\p{^Script_Extensions=_LEPCHA}', "");
Expect(0, 7247, '\P{Script_Extensions=_LEPCHA}', "");
Expect(1, 7247, '\P{^Script_Extensions=_LEPCHA}', "");
Expect(0, 7248, '\p{Script_Extensions=_LEPCHA}', "");
Expect(1, 7248, '\p{^Script_Extensions=_LEPCHA}', "");
Expect(1, 7248, '\P{Script_Extensions=_LEPCHA}', "");
Expect(0, 7248, '\P{^Script_Extensions=_LEPCHA}', "");
Error('\p{Scx=	 Lepc:=}');
Error('\P{Scx=	 Lepc:=}');
Expect(1, 7247, '\p{Scx=lepc}', "");
Expect(0, 7247, '\p{^Scx=lepc}', "");
Expect(0, 7247, '\P{Scx=lepc}', "");
Expect(1, 7247, '\P{^Scx=lepc}', "");
Expect(0, 7248, '\p{Scx=lepc}', "");
Expect(1, 7248, '\p{^Scx=lepc}', "");
Expect(1, 7248, '\P{Scx=lepc}', "");
Expect(0, 7248, '\P{^Scx=lepc}', "");
Expect(1, 7247, '\p{Scx: - Lepc}', "");
Expect(0, 7247, '\p{^Scx: - Lepc}', "");
Expect(0, 7247, '\P{Scx: - Lepc}', "");
Expect(1, 7247, '\P{^Scx: - Lepc}', "");
Expect(0, 7248, '\p{Scx: - Lepc}', "");
Expect(1, 7248, '\p{^Scx: - Lepc}', "");
Expect(1, 7248, '\P{Scx: - Lepc}', "");
Expect(0, 7248, '\P{^Scx: - Lepc}', "");
Error('\p{Is_Script_Extensions=/a/--Lepcha}');
Error('\P{Is_Script_Extensions=/a/--Lepcha}');
Expect(1, 7247, '\p{Is_Script_Extensions=lepcha}', "");
Expect(0, 7247, '\p{^Is_Script_Extensions=lepcha}', "");
Expect(0, 7247, '\P{Is_Script_Extensions=lepcha}', "");
Expect(1, 7247, '\P{^Is_Script_Extensions=lepcha}', "");
Expect(0, 7248, '\p{Is_Script_Extensions=lepcha}', "");
Expect(1, 7248, '\p{^Is_Script_Extensions=lepcha}', "");
Expect(1, 7248, '\P{Is_Script_Extensions=lepcha}', "");
Expect(0, 7248, '\P{^Is_Script_Extensions=lepcha}', "");
Expect(1, 7247, '\p{Is_Script_Extensions=_lepcha}', "");
Expect(0, 7247, '\p{^Is_Script_Extensions=_lepcha}', "");
Expect(0, 7247, '\P{Is_Script_Extensions=_lepcha}', "");
Expect(1, 7247, '\P{^Is_Script_Extensions=_lepcha}', "");
Expect(0, 7248, '\p{Is_Script_Extensions=_lepcha}', "");
Expect(1, 7248, '\p{^Is_Script_Extensions=_lepcha}', "");
Expect(1, 7248, '\P{Is_Script_Extensions=_lepcha}', "");
Expect(0, 7248, '\P{^Is_Script_Extensions=_lepcha}', "");
Error('\p{Is_Scx=:= _Lepc}');
Error('\P{Is_Scx=:= _Lepc}');
Expect(1, 7247, '\p{Is_Scx=lepc}', "");
Expect(0, 7247, '\p{^Is_Scx=lepc}', "");
Expect(0, 7247, '\P{Is_Scx=lepc}', "");
Expect(1, 7247, '\P{^Is_Scx=lepc}', "");
Expect(0, 7248, '\p{Is_Scx=lepc}', "");
Expect(1, 7248, '\p{^Is_Scx=lepc}', "");
Expect(1, 7248, '\P{Is_Scx=lepc}', "");
Expect(0, 7248, '\P{^Is_Scx=lepc}', "");
Expect(1, 7247, '\p{Is_Scx=Lepc}', "");
Expect(0, 7247, '\p{^Is_Scx=Lepc}', "");
Expect(0, 7247, '\P{Is_Scx=Lepc}', "");
Expect(1, 7247, '\P{^Is_Scx=Lepc}', "");
Expect(0, 7248, '\p{Is_Scx=Lepc}', "");
Expect(1, 7248, '\p{^Is_Scx=Lepc}', "");
Expect(1, 7248, '\P{Is_Scx=Lepc}', "");
Expect(0, 7248, '\P{^Is_Scx=Lepc}', "");
Error('\p{Script_Extensions=/a/ _Limbu}');
Error('\P{Script_Extensions=/a/ _Limbu}');
Expect(1, 6479, '\p{Script_Extensions:	limbu}', "");
Expect(0, 6479, '\p{^Script_Extensions:	limbu}', "");
Expect(0, 6479, '\P{Script_Extensions:	limbu}', "");
Expect(1, 6479, '\P{^Script_Extensions:	limbu}', "");
Expect(0, 6480, '\p{Script_Extensions:	limbu}', "");
Expect(1, 6480, '\p{^Script_Extensions:	limbu}', "");
Expect(1, 6480, '\P{Script_Extensions:	limbu}', "");
Expect(0, 6480, '\P{^Script_Extensions:	limbu}', "");
Expect(1, 6479, '\p{Script_Extensions= LIMBU}', "");
Expect(0, 6479, '\p{^Script_Extensions= LIMBU}', "");
Expect(0, 6479, '\P{Script_Extensions= LIMBU}', "");
Expect(1, 6479, '\P{^Script_Extensions= LIMBU}', "");
Expect(0, 6480, '\p{Script_Extensions= LIMBU}', "");
Expect(1, 6480, '\p{^Script_Extensions= LIMBU}', "");
Expect(1, 6480, '\P{Script_Extensions= LIMBU}', "");
Expect(0, 6480, '\P{^Script_Extensions= LIMBU}', "");
Error('\p{Scx=_	LIMB:=}');
Error('\P{Scx=_	LIMB:=}');
Expect(1, 6479, '\p{Scx=limb}', "");
Expect(0, 6479, '\p{^Scx=limb}', "");
Expect(0, 6479, '\P{Scx=limb}', "");
Expect(1, 6479, '\P{^Scx=limb}', "");
Expect(0, 6480, '\p{Scx=limb}', "");
Expect(1, 6480, '\p{^Scx=limb}', "");
Expect(1, 6480, '\P{Scx=limb}', "");
Expect(0, 6480, '\P{^Scx=limb}', "");
Expect(1, 6479, '\p{Scx=-	Limb}', "");
Expect(0, 6479, '\p{^Scx=-	Limb}', "");
Expect(0, 6479, '\P{Scx=-	Limb}', "");
Expect(1, 6479, '\P{^Scx=-	Limb}', "");
Expect(0, 6480, '\p{Scx=-	Limb}', "");
Expect(1, 6480, '\p{^Scx=-	Limb}', "");
Expect(1, 6480, '\P{Scx=-	Limb}', "");
Expect(0, 6480, '\P{^Scx=-	Limb}', "");
Error('\p{Is_Script_Extensions=:= 	Limbu}');
Error('\P{Is_Script_Extensions=:= 	Limbu}');
Expect(1, 6479, '\p{Is_Script_Extensions=limbu}', "");
Expect(0, 6479, '\p{^Is_Script_Extensions=limbu}', "");
Expect(0, 6479, '\P{Is_Script_Extensions=limbu}', "");
Expect(1, 6479, '\P{^Is_Script_Extensions=limbu}', "");
Expect(0, 6480, '\p{Is_Script_Extensions=limbu}', "");
Expect(1, 6480, '\p{^Is_Script_Extensions=limbu}', "");
Expect(1, 6480, '\P{Is_Script_Extensions=limbu}', "");
Expect(0, 6480, '\P{^Is_Script_Extensions=limbu}', "");
Expect(1, 6479, '\p{Is_Script_Extensions:   _-LIMBU}', "");
Expect(0, 6479, '\p{^Is_Script_Extensions:   _-LIMBU}', "");
Expect(0, 6479, '\P{Is_Script_Extensions:   _-LIMBU}', "");
Expect(1, 6479, '\P{^Is_Script_Extensions:   _-LIMBU}', "");
Expect(0, 6480, '\p{Is_Script_Extensions:   _-LIMBU}', "");
Expect(1, 6480, '\p{^Is_Script_Extensions:   _-LIMBU}', "");
Expect(1, 6480, '\P{Is_Script_Extensions:   _-LIMBU}', "");
Expect(0, 6480, '\P{^Is_Script_Extensions:   _-LIMBU}', "");
Error('\p{Is_Scx:	-limb/a/}');
Error('\P{Is_Scx:	-limb/a/}');
Expect(1, 6479, '\p{Is_Scx=limb}', "");
Expect(0, 6479, '\p{^Is_Scx=limb}', "");
Expect(0, 6479, '\P{Is_Scx=limb}', "");
Expect(1, 6479, '\P{^Is_Scx=limb}', "");
Expect(0, 6480, '\p{Is_Scx=limb}', "");
Expect(1, 6480, '\p{^Is_Scx=limb}', "");
Expect(1, 6480, '\P{Is_Scx=limb}', "");
Expect(0, 6480, '\P{^Is_Scx=limb}', "");
Expect(1, 6479, '\p{Is_Scx=	_Limb}', "");
Expect(0, 6479, '\p{^Is_Scx=	_Limb}', "");
Expect(0, 6479, '\P{Is_Scx=	_Limb}', "");
Expect(1, 6479, '\P{^Is_Scx=	_Limb}', "");
Expect(0, 6480, '\p{Is_Scx=	_Limb}', "");
Expect(1, 6480, '\p{^Is_Scx=	_Limb}', "");
Expect(1, 6480, '\P{Is_Scx=	_Limb}', "");
Expect(0, 6480, '\P{^Is_Scx=	_Limb}', "");
Error('\p{Script_Extensions=_/a/Linear_A}');
Error('\P{Script_Extensions=_/a/Linear_A}');
Expect(1, 67431, '\p{Script_Extensions=lineara}', "");
Expect(0, 67431, '\p{^Script_Extensions=lineara}', "");
Expect(0, 67431, '\P{Script_Extensions=lineara}', "");
Expect(1, 67431, '\P{^Script_Extensions=lineara}', "");
Expect(0, 67432, '\p{Script_Extensions=lineara}', "");
Expect(1, 67432, '\p{^Script_Extensions=lineara}', "");
Expect(1, 67432, '\P{Script_Extensions=lineara}', "");
Expect(0, 67432, '\P{^Script_Extensions=lineara}', "");
Expect(1, 67431, '\p{Script_Extensions=	Linear_A}', "");
Expect(0, 67431, '\p{^Script_Extensions=	Linear_A}', "");
Expect(0, 67431, '\P{Script_Extensions=	Linear_A}', "");
Expect(1, 67431, '\P{^Script_Extensions=	Linear_A}', "");
Expect(0, 67432, '\p{Script_Extensions=	Linear_A}', "");
Expect(1, 67432, '\p{^Script_Extensions=	Linear_A}', "");
Expect(1, 67432, '\P{Script_Extensions=	Linear_A}', "");
Expect(0, 67432, '\P{^Script_Extensions=	Linear_A}', "");
Error('\p{Scx: -:=Lina}');
Error('\P{Scx: -:=Lina}');
Expect(1, 67431, '\p{Scx:   lina}', "");
Expect(0, 67431, '\p{^Scx:   lina}', "");
Expect(0, 67431, '\P{Scx:   lina}', "");
Expect(1, 67431, '\P{^Scx:   lina}', "");
Expect(0, 67432, '\p{Scx:   lina}', "");
Expect(1, 67432, '\p{^Scx:   lina}', "");
Expect(1, 67432, '\P{Scx:   lina}', "");
Expect(0, 67432, '\P{^Scx:   lina}', "");
Expect(1, 67431, '\p{Scx= _LINA}', "");
Expect(0, 67431, '\p{^Scx= _LINA}', "");
Expect(0, 67431, '\P{Scx= _LINA}', "");
Expect(1, 67431, '\P{^Scx= _LINA}', "");
Expect(0, 67432, '\p{Scx= _LINA}', "");
Expect(1, 67432, '\p{^Scx= _LINA}', "");
Expect(1, 67432, '\P{Scx= _LINA}', "");
Expect(0, 67432, '\P{^Scx= _LINA}', "");
Error('\p{Is_Script_Extensions=:=Linear_A}');
Error('\P{Is_Script_Extensions=:=Linear_A}');
Expect(1, 67431, '\p{Is_Script_Extensions=lineara}', "");
Expect(0, 67431, '\p{^Is_Script_Extensions=lineara}', "");
Expect(0, 67431, '\P{Is_Script_Extensions=lineara}', "");
Expect(1, 67431, '\P{^Is_Script_Extensions=lineara}', "");
Expect(0, 67432, '\p{Is_Script_Extensions=lineara}', "");
Expect(1, 67432, '\p{^Is_Script_Extensions=lineara}', "");
Expect(1, 67432, '\P{Is_Script_Extensions=lineara}', "");
Expect(0, 67432, '\P{^Is_Script_Extensions=lineara}', "");
Expect(1, 67431, '\p{Is_Script_Extensions=- Linear_a}', "");
Expect(0, 67431, '\p{^Is_Script_Extensions=- Linear_a}', "");
Expect(0, 67431, '\P{Is_Script_Extensions=- Linear_a}', "");
Expect(1, 67431, '\P{^Is_Script_Extensions=- Linear_a}', "");
Expect(0, 67432, '\p{Is_Script_Extensions=- Linear_a}', "");
Expect(1, 67432, '\p{^Is_Script_Extensions=- Linear_a}', "");
Expect(1, 67432, '\P{Is_Script_Extensions=- Linear_a}', "");
Expect(0, 67432, '\P{^Is_Script_Extensions=- Linear_a}', "");
Error('\p{Is_Scx= Lina:=}');
Error('\P{Is_Scx= Lina:=}');
Expect(1, 67431, '\p{Is_Scx:   lina}', "");
Expect(0, 67431, '\p{^Is_Scx:   lina}', "");
Expect(0, 67431, '\P{Is_Scx:   lina}', "");
Expect(1, 67431, '\P{^Is_Scx:   lina}', "");
Expect(0, 67432, '\p{Is_Scx:   lina}', "");
Expect(1, 67432, '\p{^Is_Scx:   lina}', "");
Expect(1, 67432, '\P{Is_Scx:   lina}', "");
Expect(0, 67432, '\P{^Is_Scx:   lina}', "");
Expect(1, 67431, '\p{Is_Scx=	 Lina}', "");
Expect(0, 67431, '\p{^Is_Scx=	 Lina}', "");
Expect(0, 67431, '\P{Is_Scx=	 Lina}', "");
Expect(1, 67431, '\P{^Is_Scx=	 Lina}', "");
Expect(0, 67432, '\p{Is_Scx=	 Lina}', "");
Expect(1, 67432, '\p{^Is_Scx=	 Lina}', "");
Expect(1, 67432, '\P{Is_Scx=	 Lina}', "");
Expect(0, 67432, '\P{^Is_Scx=	 Lina}', "");
Error('\p{Script_Extensions:  /a/linear_B}');
Error('\P{Script_Extensions:  /a/linear_B}');
Expect(1, 65855, '\p{Script_Extensions=linearb}', "");
Expect(0, 65855, '\p{^Script_Extensions=linearb}', "");
Expect(0, 65855, '\P{Script_Extensions=linearb}', "");
Expect(1, 65855, '\P{^Script_Extensions=linearb}', "");
Expect(0, 65856, '\p{Script_Extensions=linearb}', "");
Expect(1, 65856, '\p{^Script_Extensions=linearb}', "");
Expect(1, 65856, '\P{Script_Extensions=linearb}', "");
Expect(0, 65856, '\P{^Script_Extensions=linearb}', "");
Expect(1, 65855, '\p{Script_Extensions= 	Linear_B}', "");
Expect(0, 65855, '\p{^Script_Extensions= 	Linear_B}', "");
Expect(0, 65855, '\P{Script_Extensions= 	Linear_B}', "");
Expect(1, 65855, '\P{^Script_Extensions= 	Linear_B}', "");
Expect(0, 65856, '\p{Script_Extensions= 	Linear_B}', "");
Expect(1, 65856, '\p{^Script_Extensions= 	Linear_B}', "");
Expect(1, 65856, '\P{Script_Extensions= 	Linear_B}', "");
Expect(0, 65856, '\P{^Script_Extensions= 	Linear_B}', "");
Error('\p{Scx= Linb/a/}');
Error('\P{Scx= Linb/a/}');
Expect(1, 65855, '\p{Scx=linb}', "");
Expect(0, 65855, '\p{^Scx=linb}', "");
Expect(0, 65855, '\P{Scx=linb}', "");
Expect(1, 65855, '\P{^Scx=linb}', "");
Expect(0, 65856, '\p{Scx=linb}', "");
Expect(1, 65856, '\p{^Scx=linb}', "");
Expect(1, 65856, '\P{Scx=linb}', "");
Expect(0, 65856, '\P{^Scx=linb}', "");
Expect(1, 65855, '\p{Scx=  Linb}', "");
Expect(0, 65855, '\p{^Scx=  Linb}', "");
Expect(0, 65855, '\P{Scx=  Linb}', "");
Expect(1, 65855, '\P{^Scx=  Linb}', "");
Expect(0, 65856, '\p{Scx=  Linb}', "");
Expect(1, 65856, '\p{^Scx=  Linb}', "");
Expect(1, 65856, '\P{Scx=  Linb}', "");
Expect(0, 65856, '\P{^Scx=  Linb}', "");
Error('\p{Is_Script_Extensions:	/a/_	Linear_B}');
Error('\P{Is_Script_Extensions:	/a/_	Linear_B}');
Expect(1, 65855, '\p{Is_Script_Extensions=linearb}', "");
Expect(0, 65855, '\p{^Is_Script_Extensions=linearb}', "");
Expect(0, 65855, '\P{Is_Script_Extensions=linearb}', "");
Expect(1, 65855, '\P{^Is_Script_Extensions=linearb}', "");
Expect(0, 65856, '\p{Is_Script_Extensions=linearb}', "");
Expect(1, 65856, '\p{^Is_Script_Extensions=linearb}', "");
Expect(1, 65856, '\P{Is_Script_Extensions=linearb}', "");
Expect(0, 65856, '\P{^Is_Script_Extensions=linearb}', "");
Expect(1, 65855, '\p{Is_Script_Extensions=  Linear_B}', "");
Expect(0, 65855, '\p{^Is_Script_Extensions=  Linear_B}', "");
Expect(0, 65855, '\P{Is_Script_Extensions=  Linear_B}', "");
Expect(1, 65855, '\P{^Is_Script_Extensions=  Linear_B}', "");
Expect(0, 65856, '\p{Is_Script_Extensions=  Linear_B}', "");
Expect(1, 65856, '\p{^Is_Script_Extensions=  Linear_B}', "");
Expect(1, 65856, '\P{Is_Script_Extensions=  Linear_B}', "");
Expect(0, 65856, '\P{^Is_Script_Extensions=  Linear_B}', "");
Error('\p{Is_Scx=:=-linb}');
Error('\P{Is_Scx=:=-linb}');
Expect(1, 65855, '\p{Is_Scx=linb}', "");
Expect(0, 65855, '\p{^Is_Scx=linb}', "");
Expect(0, 65855, '\P{Is_Scx=linb}', "");
Expect(1, 65855, '\P{^Is_Scx=linb}', "");
Expect(0, 65856, '\p{Is_Scx=linb}', "");
Expect(1, 65856, '\p{^Is_Scx=linb}', "");
Expect(1, 65856, '\P{Is_Scx=linb}', "");
Expect(0, 65856, '\P{^Is_Scx=linb}', "");
Expect(1, 65855, '\p{Is_Scx= _Linb}', "");
Expect(0, 65855, '\p{^Is_Scx= _Linb}', "");
Expect(0, 65855, '\P{Is_Scx= _Linb}', "");
Expect(1, 65855, '\P{^Is_Scx= _Linb}', "");
Expect(0, 65856, '\p{Is_Scx= _Linb}', "");
Expect(1, 65856, '\p{^Is_Scx= _Linb}', "");
Expect(1, 65856, '\P{Is_Scx= _Linb}', "");
Expect(0, 65856, '\P{^Is_Scx= _Linb}', "");
Error('\p{Script_Extensions:	 :=Lisu}');
Error('\P{Script_Extensions:	 :=Lisu}');
Expect(1, 42239, '\p{Script_Extensions=lisu}', "");
Expect(0, 42239, '\p{^Script_Extensions=lisu}', "");
Expect(0, 42239, '\P{Script_Extensions=lisu}', "");
Expect(1, 42239, '\P{^Script_Extensions=lisu}', "");
Expect(0, 42240, '\p{Script_Extensions=lisu}', "");
Expect(1, 42240, '\p{^Script_Extensions=lisu}', "");
Expect(1, 42240, '\P{Script_Extensions=lisu}', "");
Expect(0, 42240, '\P{^Script_Extensions=lisu}', "");
Expect(1, 42239, '\p{Script_Extensions: LISU}', "");
Expect(0, 42239, '\p{^Script_Extensions: LISU}', "");
Expect(0, 42239, '\P{Script_Extensions: LISU}', "");
Expect(1, 42239, '\P{^Script_Extensions: LISU}', "");
Expect(0, 42240, '\p{Script_Extensions: LISU}', "");
Expect(1, 42240, '\p{^Script_Extensions: LISU}', "");
Expect(1, 42240, '\P{Script_Extensions: LISU}', "");
Expect(0, 42240, '\P{^Script_Extensions: LISU}', "");
Error('\p{Scx=/a/ 	Lisu}');
Error('\P{Scx=/a/ 	Lisu}');
Expect(1, 42239, '\p{Scx=lisu}', "");
Expect(0, 42239, '\p{^Scx=lisu}', "");
Expect(0, 42239, '\P{Scx=lisu}', "");
Expect(1, 42239, '\P{^Scx=lisu}', "");
Expect(0, 42240, '\p{Scx=lisu}', "");
Expect(1, 42240, '\p{^Scx=lisu}', "");
Expect(1, 42240, '\P{Scx=lisu}', "");
Expect(0, 42240, '\P{^Scx=lisu}', "");
Expect(1, 42239, '\p{Scx=	Lisu}', "");
Expect(0, 42239, '\p{^Scx=	Lisu}', "");
Expect(0, 42239, '\P{Scx=	Lisu}', "");
Expect(1, 42239, '\P{^Scx=	Lisu}', "");
Expect(0, 42240, '\p{Scx=	Lisu}', "");
Expect(1, 42240, '\p{^Scx=	Lisu}', "");
Expect(1, 42240, '\P{Scx=	Lisu}', "");
Expect(0, 42240, '\P{^Scx=	Lisu}', "");
Error('\p{Is_Script_Extensions=:=	 lisu}');
Error('\P{Is_Script_Extensions=:=	 lisu}');
Expect(1, 42239, '\p{Is_Script_Extensions:	lisu}', "");
Expect(0, 42239, '\p{^Is_Script_Extensions:	lisu}', "");
Expect(0, 42239, '\P{Is_Script_Extensions:	lisu}', "");
Expect(1, 42239, '\P{^Is_Script_Extensions:	lisu}', "");
Expect(0, 42240, '\p{Is_Script_Extensions:	lisu}', "");
Expect(1, 42240, '\p{^Is_Script_Extensions:	lisu}', "");
Expect(1, 42240, '\P{Is_Script_Extensions:	lisu}', "");
Expect(0, 42240, '\P{^Is_Script_Extensions:	lisu}', "");
Expect(1, 42239, '\p{Is_Script_Extensions=_ Lisu}', "");
Expect(0, 42239, '\p{^Is_Script_Extensions=_ Lisu}', "");
Expect(0, 42239, '\P{Is_Script_Extensions=_ Lisu}', "");
Expect(1, 42239, '\P{^Is_Script_Extensions=_ Lisu}', "");
Expect(0, 42240, '\p{Is_Script_Extensions=_ Lisu}', "");
Expect(1, 42240, '\p{^Is_Script_Extensions=_ Lisu}', "");
Expect(1, 42240, '\P{Is_Script_Extensions=_ Lisu}', "");
Expect(0, 42240, '\P{^Is_Script_Extensions=_ Lisu}', "");
Error('\p{Is_Scx=_Lisu/a/}');
Error('\P{Is_Scx=_Lisu/a/}');
Expect(1, 42239, '\p{Is_Scx=lisu}', "");
Expect(0, 42239, '\p{^Is_Scx=lisu}', "");
Expect(0, 42239, '\P{Is_Scx=lisu}', "");
Expect(1, 42239, '\P{^Is_Scx=lisu}', "");
Expect(0, 42240, '\p{Is_Scx=lisu}', "");
Expect(1, 42240, '\p{^Is_Scx=lisu}', "");
Expect(1, 42240, '\P{Is_Scx=lisu}', "");
Expect(0, 42240, '\P{^Is_Scx=lisu}', "");
Expect(1, 42239, '\p{Is_Scx= Lisu}', "");
Expect(0, 42239, '\p{^Is_Scx= Lisu}', "");
Expect(0, 42239, '\P{Is_Scx= Lisu}', "");
Expect(1, 42239, '\P{^Is_Scx= Lisu}', "");
Expect(0, 42240, '\p{Is_Scx= Lisu}', "");
Expect(1, 42240, '\p{^Is_Scx= Lisu}', "");
Expect(1, 42240, '\P{Is_Scx= Lisu}', "");
Expect(0, 42240, '\P{^Is_Scx= Lisu}', "");
Error('\p{Script_Extensions=  Lycian/a/}');
Error('\P{Script_Extensions=  Lycian/a/}');
Expect(1, 66204, '\p{Script_Extensions=lycian}', "");
Expect(0, 66204, '\p{^Script_Extensions=lycian}', "");
Expect(0, 66204, '\P{Script_Extensions=lycian}', "");
Expect(1, 66204, '\P{^Script_Extensions=lycian}', "");
Expect(0, 66205, '\p{Script_Extensions=lycian}', "");
Expect(1, 66205, '\p{^Script_Extensions=lycian}', "");
Expect(1, 66205, '\P{Script_Extensions=lycian}', "");
Expect(0, 66205, '\P{^Script_Extensions=lycian}', "");
Expect(1, 66204, '\p{Script_Extensions= Lycian}', "");
Expect(0, 66204, '\p{^Script_Extensions= Lycian}', "");
Expect(0, 66204, '\P{Script_Extensions= Lycian}', "");
Expect(1, 66204, '\P{^Script_Extensions= Lycian}', "");
Expect(0, 66205, '\p{Script_Extensions= Lycian}', "");
Expect(1, 66205, '\p{^Script_Extensions= Lycian}', "");
Expect(1, 66205, '\P{Script_Extensions= Lycian}', "");
Expect(0, 66205, '\P{^Script_Extensions= Lycian}', "");
Error('\p{Scx=	 LYCI:=}');
Error('\P{Scx=	 LYCI:=}');
Expect(1, 66204, '\p{Scx=lyci}', "");
Expect(0, 66204, '\p{^Scx=lyci}', "");
Expect(0, 66204, '\P{Scx=lyci}', "");
Expect(1, 66204, '\P{^Scx=lyci}', "");
Expect(0, 66205, '\p{Scx=lyci}', "");
Expect(1, 66205, '\p{^Scx=lyci}', "");
Expect(1, 66205, '\P{Scx=lyci}', "");
Expect(0, 66205, '\P{^Scx=lyci}', "");
Expect(1, 66204, '\p{Scx=-	lyci}', "");
Expect(0, 66204, '\p{^Scx=-	lyci}', "");
Expect(0, 66204, '\P{Scx=-	lyci}', "");
Expect(1, 66204, '\P{^Scx=-	lyci}', "");
Expect(0, 66205, '\p{Scx=-	lyci}', "");
Expect(1, 66205, '\p{^Scx=-	lyci}', "");
Expect(1, 66205, '\P{Scx=-	lyci}', "");
Expect(0, 66205, '\P{^Scx=-	lyci}', "");
Error('\p{Is_Script_Extensions:   := _Lycian}');
Error('\P{Is_Script_Extensions:   := _Lycian}');
Expect(1, 66204, '\p{Is_Script_Extensions=lycian}', "");
Expect(0, 66204, '\p{^Is_Script_Extensions=lycian}', "");
Expect(0, 66204, '\P{Is_Script_Extensions=lycian}', "");
Expect(1, 66204, '\P{^Is_Script_Extensions=lycian}', "");
Expect(0, 66205, '\p{Is_Script_Extensions=lycian}', "");
Expect(1, 66205, '\p{^Is_Script_Extensions=lycian}', "");
Expect(1, 66205, '\P{Is_Script_Extensions=lycian}', "");
Expect(0, 66205, '\P{^Is_Script_Extensions=lycian}', "");
Expect(1, 66204, '\p{Is_Script_Extensions=	_LYCIAN}', "");
Expect(0, 66204, '\p{^Is_Script_Extensions=	_LYCIAN}', "");
Expect(0, 66204, '\P{Is_Script_Extensions=	_LYCIAN}', "");
Expect(1, 66204, '\P{^Is_Script_Extensions=	_LYCIAN}', "");
Expect(0, 66205, '\p{Is_Script_Extensions=	_LYCIAN}', "");
Expect(1, 66205, '\p{^Is_Script_Extensions=	_LYCIAN}', "");
Expect(1, 66205, '\P{Is_Script_Extensions=	_LYCIAN}', "");
Expect(0, 66205, '\P{^Is_Script_Extensions=	_LYCIAN}', "");
Error('\p{Is_Scx=:=-_Lyci}');
Error('\P{Is_Scx=:=-_Lyci}');
Expect(1, 66204, '\p{Is_Scx:	lyci}', "");
Expect(0, 66204, '\p{^Is_Scx:	lyci}', "");
Expect(0, 66204, '\P{Is_Scx:	lyci}', "");
Expect(1, 66204, '\P{^Is_Scx:	lyci}', "");
Expect(0, 66205, '\p{Is_Scx:	lyci}', "");
Expect(1, 66205, '\p{^Is_Scx:	lyci}', "");
Expect(1, 66205, '\P{Is_Scx:	lyci}', "");
Expect(0, 66205, '\P{^Is_Scx:	lyci}', "");
Expect(1, 66204, '\p{Is_Scx=_lyci}', "");
Expect(0, 66204, '\p{^Is_Scx=_lyci}', "");
Expect(0, 66204, '\P{Is_Scx=_lyci}', "");
Expect(1, 66204, '\P{^Is_Scx=_lyci}', "");
Expect(0, 66205, '\p{Is_Scx=_lyci}', "");
Expect(1, 66205, '\p{^Is_Scx=_lyci}', "");
Expect(1, 66205, '\P{Is_Scx=_lyci}', "");
Expect(0, 66205, '\P{^Is_Scx=_lyci}', "");
Error('\p{Script_Extensions=/a/ _LYDIAN}');
Error('\P{Script_Extensions=/a/ _LYDIAN}');
Expect(1, 67903, '\p{Script_Extensions=lydian}', "");
Expect(0, 67903, '\p{^Script_Extensions=lydian}', "");
Expect(0, 67903, '\P{Script_Extensions=lydian}', "");
Expect(1, 67903, '\P{^Script_Extensions=lydian}', "");
Expect(0, 67904, '\p{Script_Extensions=lydian}', "");
Expect(1, 67904, '\p{^Script_Extensions=lydian}', "");
Expect(1, 67904, '\P{Script_Extensions=lydian}', "");
Expect(0, 67904, '\P{^Script_Extensions=lydian}', "");
Expect(1, 67903, '\p{Script_Extensions= LYDIAN}', "");
Expect(0, 67903, '\p{^Script_Extensions= LYDIAN}', "");
Expect(0, 67903, '\P{Script_Extensions= LYDIAN}', "");
Expect(1, 67903, '\P{^Script_Extensions= LYDIAN}', "");
Expect(0, 67904, '\p{Script_Extensions= LYDIAN}', "");
Expect(1, 67904, '\p{^Script_Extensions= LYDIAN}', "");
Expect(1, 67904, '\P{Script_Extensions= LYDIAN}', "");
Expect(0, 67904, '\P{^Script_Extensions= LYDIAN}', "");
Error('\p{Scx=-_lydi/a/}');
Error('\P{Scx=-_lydi/a/}');
Expect(1, 67903, '\p{Scx=lydi}', "");
Expect(0, 67903, '\p{^Scx=lydi}', "");
Expect(0, 67903, '\P{Scx=lydi}', "");
Expect(1, 67903, '\P{^Scx=lydi}', "");
Expect(0, 67904, '\p{Scx=lydi}', "");
Expect(1, 67904, '\p{^Scx=lydi}', "");
Expect(1, 67904, '\P{Scx=lydi}', "");
Expect(0, 67904, '\P{^Scx=lydi}', "");
Expect(1, 67903, '\p{Scx=_-Lydi}', "");
Expect(0, 67903, '\p{^Scx=_-Lydi}', "");
Expect(0, 67903, '\P{Scx=_-Lydi}', "");
Expect(1, 67903, '\P{^Scx=_-Lydi}', "");
Expect(0, 67904, '\p{Scx=_-Lydi}', "");
Expect(1, 67904, '\p{^Scx=_-Lydi}', "");
Expect(1, 67904, '\P{Scx=_-Lydi}', "");
Expect(0, 67904, '\P{^Scx=_-Lydi}', "");
Error('\p{Is_Script_Extensions:	:=	 Lydian}');
Error('\P{Is_Script_Extensions:	:=	 Lydian}');
Expect(1, 67903, '\p{Is_Script_Extensions=lydian}', "");
Expect(0, 67903, '\p{^Is_Script_Extensions=lydian}', "");
Expect(0, 67903, '\P{Is_Script_Extensions=lydian}', "");
Expect(1, 67903, '\P{^Is_Script_Extensions=lydian}', "");
Expect(0, 67904, '\p{Is_Script_Extensions=lydian}', "");
Expect(1, 67904, '\p{^Is_Script_Extensions=lydian}', "");
Expect(1, 67904, '\P{Is_Script_Extensions=lydian}', "");
Expect(0, 67904, '\P{^Is_Script_Extensions=lydian}', "");
Expect(1, 67903, '\p{Is_Script_Extensions= Lydian}', "");
Expect(0, 67903, '\p{^Is_Script_Extensions= Lydian}', "");
Expect(0, 67903, '\P{Is_Script_Extensions= Lydian}', "");
Expect(1, 67903, '\P{^Is_Script_Extensions= Lydian}', "");
Expect(0, 67904, '\p{Is_Script_Extensions= Lydian}', "");
Expect(1, 67904, '\p{^Is_Script_Extensions= Lydian}', "");
Expect(1, 67904, '\P{Is_Script_Extensions= Lydian}', "");
Expect(0, 67904, '\P{^Is_Script_Extensions= Lydian}', "");
Error('\p{Is_Scx=:=	-Lydi}');
Error('\P{Is_Scx=:=	-Lydi}');
Expect(1, 67903, '\p{Is_Scx:   lydi}', "");
Expect(0, 67903, '\p{^Is_Scx:   lydi}', "");
Expect(0, 67903, '\P{Is_Scx:   lydi}', "");
Expect(1, 67903, '\P{^Is_Scx:   lydi}', "");
Expect(0, 67904, '\p{Is_Scx:   lydi}', "");
Expect(1, 67904, '\p{^Is_Scx:   lydi}', "");
Expect(1, 67904, '\P{Is_Scx:   lydi}', "");
Expect(0, 67904, '\P{^Is_Scx:   lydi}', "");
Expect(1, 67903, '\p{Is_Scx=		Lydi}', "");
Expect(0, 67903, '\p{^Is_Scx=		Lydi}', "");
Expect(0, 67903, '\P{Is_Scx=		Lydi}', "");
Expect(1, 67903, '\P{^Is_Scx=		Lydi}', "");
Expect(0, 67904, '\p{Is_Scx=		Lydi}', "");
Expect(1, 67904, '\p{^Is_Scx=		Lydi}', "");
Expect(1, 67904, '\P{Is_Scx=		Lydi}', "");
Expect(0, 67904, '\P{^Is_Scx=		Lydi}', "");
Error('\p{Script_Extensions= _mahajani:=}');
Error('\P{Script_Extensions= _mahajani:=}');
Expect(1, 70006, '\p{Script_Extensions=mahajani}', "");
Expect(0, 70006, '\p{^Script_Extensions=mahajani}', "");
Expect(0, 70006, '\P{Script_Extensions=mahajani}', "");
Expect(1, 70006, '\P{^Script_Extensions=mahajani}', "");
Expect(0, 70007, '\p{Script_Extensions=mahajani}', "");
Expect(1, 70007, '\p{^Script_Extensions=mahajani}', "");
Expect(1, 70007, '\P{Script_Extensions=mahajani}', "");
Expect(0, 70007, '\P{^Script_Extensions=mahajani}', "");
Expect(1, 70006, '\p{Script_Extensions=__Mahajani}', "");
Expect(0, 70006, '\p{^Script_Extensions=__Mahajani}', "");
Expect(0, 70006, '\P{Script_Extensions=__Mahajani}', "");
Expect(1, 70006, '\P{^Script_Extensions=__Mahajani}', "");
Expect(0, 70007, '\p{Script_Extensions=__Mahajani}', "");
Expect(1, 70007, '\p{^Script_Extensions=__Mahajani}', "");
Expect(1, 70007, '\P{Script_Extensions=__Mahajani}', "");
Expect(0, 70007, '\P{^Script_Extensions=__Mahajani}', "");
Error('\p{Scx:	:= MAHJ}');
Error('\P{Scx:	:= MAHJ}');
Expect(1, 70006, '\p{Scx=mahj}', "");
Expect(0, 70006, '\p{^Scx=mahj}', "");
Expect(0, 70006, '\P{Scx=mahj}', "");
Expect(1, 70006, '\P{^Scx=mahj}', "");
Expect(0, 70007, '\p{Scx=mahj}', "");
Expect(1, 70007, '\p{^Scx=mahj}', "");
Expect(1, 70007, '\P{Scx=mahj}', "");
Expect(0, 70007, '\P{^Scx=mahj}', "");
Expect(1, 70006, '\p{Scx=_Mahj}', "");
Expect(0, 70006, '\p{^Scx=_Mahj}', "");
Expect(0, 70006, '\P{Scx=_Mahj}', "");
Expect(1, 70006, '\P{^Scx=_Mahj}', "");
Expect(0, 70007, '\p{Scx=_Mahj}', "");
Expect(1, 70007, '\p{^Scx=_Mahj}', "");
Expect(1, 70007, '\P{Scx=_Mahj}', "");
Expect(0, 70007, '\P{^Scx=_Mahj}', "");
Error('\p{Is_Script_Extensions=_ mahajani/a/}');
Error('\P{Is_Script_Extensions=_ mahajani/a/}');
Expect(1, 70006, '\p{Is_Script_Extensions=mahajani}', "");
Expect(0, 70006, '\p{^Is_Script_Extensions=mahajani}', "");
Expect(0, 70006, '\P{Is_Script_Extensions=mahajani}', "");
Expect(1, 70006, '\P{^Is_Script_Extensions=mahajani}', "");
Expect(0, 70007, '\p{Is_Script_Extensions=mahajani}', "");
Expect(1, 70007, '\p{^Is_Script_Extensions=mahajani}', "");
Expect(1, 70007, '\P{Is_Script_Extensions=mahajani}', "");
Expect(0, 70007, '\P{^Is_Script_Extensions=mahajani}', "");
Expect(1, 70006, '\p{Is_Script_Extensions: 	MAHAJANI}', "");
Expect(0, 70006, '\p{^Is_Script_Extensions: 	MAHAJANI}', "");
Expect(0, 70006, '\P{Is_Script_Extensions: 	MAHAJANI}', "");
Expect(1, 70006, '\P{^Is_Script_Extensions: 	MAHAJANI}', "");
Expect(0, 70007, '\p{Is_Script_Extensions: 	MAHAJANI}', "");
Expect(1, 70007, '\p{^Is_Script_Extensions: 	MAHAJANI}', "");
Expect(1, 70007, '\P{Is_Script_Extensions: 	MAHAJANI}', "");
Expect(0, 70007, '\P{^Is_Script_Extensions: 	MAHAJANI}', "");
Error('\p{Is_Scx:--Mahj:=}');
Error('\P{Is_Scx:--Mahj:=}');
Expect(1, 70006, '\p{Is_Scx=mahj}', "");
Expect(0, 70006, '\p{^Is_Scx=mahj}', "");
Expect(0, 70006, '\P{Is_Scx=mahj}', "");
Expect(1, 70006, '\P{^Is_Scx=mahj}', "");
Expect(0, 70007, '\p{Is_Scx=mahj}', "");
Expect(1, 70007, '\p{^Is_Scx=mahj}', "");
Expect(1, 70007, '\P{Is_Scx=mahj}', "");
Expect(0, 70007, '\P{^Is_Scx=mahj}', "");
Expect(1, 70006, '\p{Is_Scx=-_Mahj}', "");
Expect(0, 70006, '\p{^Is_Scx=-_Mahj}', "");
Expect(0, 70006, '\P{Is_Scx=-_Mahj}', "");
Expect(1, 70006, '\P{^Is_Scx=-_Mahj}', "");
Expect(0, 70007, '\p{Is_Scx=-_Mahj}', "");
Expect(1, 70007, '\p{^Is_Scx=-_Mahj}', "");
Expect(1, 70007, '\P{Is_Scx=-_Mahj}', "");
Expect(0, 70007, '\P{^Is_Scx=-_Mahj}', "");
Error('\p{Script_Extensions=/a/  Mandaic}');
Error('\P{Script_Extensions=/a/  Mandaic}');
Expect(1, 2142, '\p{Script_Extensions:	mandaic}', "");
Expect(0, 2142, '\p{^Script_Extensions:	mandaic}', "");
Expect(0, 2142, '\P{Script_Extensions:	mandaic}', "");
Expect(1, 2142, '\P{^Script_Extensions:	mandaic}', "");
Expect(0, 2143, '\p{Script_Extensions:	mandaic}', "");
Expect(1, 2143, '\p{^Script_Extensions:	mandaic}', "");
Expect(1, 2143, '\P{Script_Extensions:	mandaic}', "");
Expect(0, 2143, '\P{^Script_Extensions:	mandaic}', "");
Expect(1, 2142, '\p{Script_Extensions=--mandaic}', "");
Expect(0, 2142, '\p{^Script_Extensions=--mandaic}', "");
Expect(0, 2142, '\P{Script_Extensions=--mandaic}', "");
Expect(1, 2142, '\P{^Script_Extensions=--mandaic}', "");
Expect(0, 2143, '\p{Script_Extensions=--mandaic}', "");
Expect(1, 2143, '\p{^Script_Extensions=--mandaic}', "");
Expect(1, 2143, '\P{Script_Extensions=--mandaic}', "");
Expect(0, 2143, '\P{^Script_Extensions=--mandaic}', "");
Error('\p{Scx=/a/ _Mand}');
Error('\P{Scx=/a/ _Mand}');
Expect(1, 2142, '\p{Scx=mand}', "");
Expect(0, 2142, '\p{^Scx=mand}', "");
Expect(0, 2142, '\P{Scx=mand}', "");
Expect(1, 2142, '\P{^Scx=mand}', "");
Expect(0, 2143, '\p{Scx=mand}', "");
Expect(1, 2143, '\p{^Scx=mand}', "");
Expect(1, 2143, '\P{Scx=mand}', "");
Expect(0, 2143, '\P{^Scx=mand}', "");
Expect(1, 2142, '\p{Scx=-	mand}', "");
Expect(0, 2142, '\p{^Scx=-	mand}', "");
Expect(0, 2142, '\P{Scx=-	mand}', "");
Expect(1, 2142, '\P{^Scx=-	mand}', "");
Expect(0, 2143, '\p{Scx=-	mand}', "");
Expect(1, 2143, '\p{^Scx=-	mand}', "");
Expect(1, 2143, '\P{Scx=-	mand}', "");
Expect(0, 2143, '\P{^Scx=-	mand}', "");
Error('\p{Is_Script_Extensions=:=_	Mandaic}');
Error('\P{Is_Script_Extensions=:=_	Mandaic}');
Expect(1, 2142, '\p{Is_Script_Extensions=mandaic}', "");
Expect(0, 2142, '\p{^Is_Script_Extensions=mandaic}', "");
Expect(0, 2142, '\P{Is_Script_Extensions=mandaic}', "");
Expect(1, 2142, '\P{^Is_Script_Extensions=mandaic}', "");
Expect(0, 2143, '\p{Is_Script_Extensions=mandaic}', "");
Expect(1, 2143, '\p{^Is_Script_Extensions=mandaic}', "");
Expect(1, 2143, '\P{Is_Script_Extensions=mandaic}', "");
Expect(0, 2143, '\P{^Is_Script_Extensions=mandaic}', "");
Expect(1, 2142, '\p{Is_Script_Extensions=_-Mandaic}', "");
Expect(0, 2142, '\p{^Is_Script_Extensions=_-Mandaic}', "");
Expect(0, 2142, '\P{Is_Script_Extensions=_-Mandaic}', "");
Expect(1, 2142, '\P{^Is_Script_Extensions=_-Mandaic}', "");
Expect(0, 2143, '\p{Is_Script_Extensions=_-Mandaic}', "");
Expect(1, 2143, '\p{^Is_Script_Extensions=_-Mandaic}', "");
Expect(1, 2143, '\P{Is_Script_Extensions=_-Mandaic}', "");
Expect(0, 2143, '\P{^Is_Script_Extensions=_-Mandaic}', "");
Error('\p{Is_Scx=:=_	Mand}');
Error('\P{Is_Scx=:=_	Mand}');
Expect(1, 2142, '\p{Is_Scx=mand}', "");
Expect(0, 2142, '\p{^Is_Scx=mand}', "");
Expect(0, 2142, '\P{Is_Scx=mand}', "");
Expect(1, 2142, '\P{^Is_Scx=mand}', "");
Expect(0, 2143, '\p{Is_Scx=mand}', "");
Expect(1, 2143, '\p{^Is_Scx=mand}', "");
Expect(1, 2143, '\P{Is_Scx=mand}', "");
Expect(0, 2143, '\P{^Is_Scx=mand}', "");
Expect(1, 2142, '\p{Is_Scx:-mand}', "");
Expect(0, 2142, '\p{^Is_Scx:-mand}', "");
Expect(0, 2142, '\P{Is_Scx:-mand}', "");
Expect(1, 2142, '\P{^Is_Scx:-mand}', "");
Expect(0, 2143, '\p{Is_Scx:-mand}', "");
Expect(1, 2143, '\p{^Is_Scx:-mand}', "");
Expect(1, 2143, '\P{Is_Scx:-mand}', "");
Expect(0, 2143, '\P{^Is_Scx:-mand}', "");
Error('\p{Script_Extensions=/a/ -Manichaean}');
Error('\P{Script_Extensions=/a/ -Manichaean}');
Expect(1, 68342, '\p{Script_Extensions=manichaean}', "");
Expect(0, 68342, '\p{^Script_Extensions=manichaean}', "");
Expect(0, 68342, '\P{Script_Extensions=manichaean}', "");
Expect(1, 68342, '\P{^Script_Extensions=manichaean}', "");
Expect(0, 68343, '\p{Script_Extensions=manichaean}', "");
Expect(1, 68343, '\p{^Script_Extensions=manichaean}', "");
Expect(1, 68343, '\P{Script_Extensions=manichaean}', "");
Expect(0, 68343, '\P{^Script_Extensions=manichaean}', "");
Expect(1, 68342, '\p{Script_Extensions=_	Manichaean}', "");
Expect(0, 68342, '\p{^Script_Extensions=_	Manichaean}', "");
Expect(0, 68342, '\P{Script_Extensions=_	Manichaean}', "");
Expect(1, 68342, '\P{^Script_Extensions=_	Manichaean}', "");
Expect(0, 68343, '\p{Script_Extensions=_	Manichaean}', "");
Expect(1, 68343, '\p{^Script_Extensions=_	Manichaean}', "");
Expect(1, 68343, '\P{Script_Extensions=_	Manichaean}', "");
Expect(0, 68343, '\P{^Script_Extensions=_	Manichaean}', "");
Error('\p{Scx=/a/Mani}');
Error('\P{Scx=/a/Mani}');
Expect(1, 68342, '\p{Scx:   mani}', "");
Expect(0, 68342, '\p{^Scx:   mani}', "");
Expect(0, 68342, '\P{Scx:   mani}', "");
Expect(1, 68342, '\P{^Scx:   mani}', "");
Expect(0, 68343, '\p{Scx:   mani}', "");
Expect(1, 68343, '\p{^Scx:   mani}', "");
Expect(1, 68343, '\P{Scx:   mani}', "");
Expect(0, 68343, '\P{^Scx:   mani}', "");
Expect(1, 68342, '\p{Scx=_	MANI}', "");
Expect(0, 68342, '\p{^Scx=_	MANI}', "");
Expect(0, 68342, '\P{Scx=_	MANI}', "");
Expect(1, 68342, '\P{^Scx=_	MANI}', "");
Expect(0, 68343, '\p{Scx=_	MANI}', "");
Expect(1, 68343, '\p{^Scx=_	MANI}', "");
Expect(1, 68343, '\P{Scx=_	MANI}', "");
Expect(0, 68343, '\P{^Scx=_	MANI}', "");
Error('\p{Is_Script_Extensions=	/a/Manichaean}');
Error('\P{Is_Script_Extensions=	/a/Manichaean}');
Expect(1, 68342, '\p{Is_Script_Extensions=manichaean}', "");
Expect(0, 68342, '\p{^Is_Script_Extensions=manichaean}', "");
Expect(0, 68342, '\P{Is_Script_Extensions=manichaean}', "");
Expect(1, 68342, '\P{^Is_Script_Extensions=manichaean}', "");
Expect(0, 68343, '\p{Is_Script_Extensions=manichaean}', "");
Expect(1, 68343, '\p{^Is_Script_Extensions=manichaean}', "");
Expect(1, 68343, '\P{Is_Script_Extensions=manichaean}', "");
Expect(0, 68343, '\P{^Is_Script_Extensions=manichaean}', "");
Expect(1, 68342, '\p{Is_Script_Extensions=	manichaean}', "");
Expect(0, 68342, '\p{^Is_Script_Extensions=	manichaean}', "");
Expect(0, 68342, '\P{Is_Script_Extensions=	manichaean}', "");
Expect(1, 68342, '\P{^Is_Script_Extensions=	manichaean}', "");
Expect(0, 68343, '\p{Is_Script_Extensions=	manichaean}', "");
Expect(1, 68343, '\p{^Is_Script_Extensions=	manichaean}', "");
Expect(1, 68343, '\P{Is_Script_Extensions=	manichaean}', "");
Expect(0, 68343, '\P{^Is_Script_Extensions=	manichaean}', "");
Error('\p{Is_Scx= MANI/a/}');
Error('\P{Is_Scx= MANI/a/}');
Expect(1, 68342, '\p{Is_Scx:   mani}', "");
Expect(0, 68342, '\p{^Is_Scx:   mani}', "");
Expect(0, 68342, '\P{Is_Scx:   mani}', "");
Expect(1, 68342, '\P{^Is_Scx:   mani}', "");
Expect(0, 68343, '\p{Is_Scx:   mani}', "");
Expect(1, 68343, '\p{^Is_Scx:   mani}', "");
Expect(1, 68343, '\P{Is_Scx:   mani}', "");
Expect(0, 68343, '\P{^Is_Scx:   mani}', "");
Expect(1, 68342, '\p{Is_Scx=Mani}', "");
Expect(0, 68342, '\p{^Is_Scx=Mani}', "");
Expect(0, 68342, '\P{Is_Scx=Mani}', "");
Expect(1, 68342, '\P{^Is_Scx=Mani}', "");
Expect(0, 68343, '\p{Is_Scx=Mani}', "");
Expect(1, 68343, '\p{^Is_Scx=Mani}', "");
Expect(1, 68343, '\P{Is_Scx=Mani}', "");
Expect(0, 68343, '\P{^Is_Scx=Mani}', "");
Error('\p{Script_Extensions=/a/-mende_KIKAKUI}');
Error('\P{Script_Extensions=/a/-mende_KIKAKUI}');
Expect(1, 125142, '\p{Script_Extensions=mendekikakui}', "");
Expect(0, 125142, '\p{^Script_Extensions=mendekikakui}', "");
Expect(0, 125142, '\P{Script_Extensions=mendekikakui}', "");
Expect(1, 125142, '\P{^Script_Extensions=mendekikakui}', "");
Expect(0, 125143, '\p{Script_Extensions=mendekikakui}', "");
Expect(1, 125143, '\p{^Script_Extensions=mendekikakui}', "");
Expect(1, 125143, '\P{Script_Extensions=mendekikakui}', "");
Expect(0, 125143, '\P{^Script_Extensions=mendekikakui}', "");
Expect(1, 125142, '\p{Script_Extensions:--Mende_kikakui}', "");
Expect(0, 125142, '\p{^Script_Extensions:--Mende_kikakui}', "");
Expect(0, 125142, '\P{Script_Extensions:--Mende_kikakui}', "");
Expect(1, 125142, '\P{^Script_Extensions:--Mende_kikakui}', "");
Expect(0, 125143, '\p{Script_Extensions:--Mende_kikakui}', "");
Expect(1, 125143, '\p{^Script_Extensions:--Mende_kikakui}', "");
Expect(1, 125143, '\P{Script_Extensions:--Mende_kikakui}', "");
Expect(0, 125143, '\P{^Script_Extensions:--Mende_kikakui}', "");
Error('\p{Scx=	:=Mend}');
Error('\P{Scx=	:=Mend}');
Expect(1, 125142, '\p{Scx=mend}', "");
Expect(0, 125142, '\p{^Scx=mend}', "");
Expect(0, 125142, '\P{Scx=mend}', "");
Expect(1, 125142, '\P{^Scx=mend}', "");
Expect(0, 125143, '\p{Scx=mend}', "");
Expect(1, 125143, '\p{^Scx=mend}', "");
Expect(1, 125143, '\P{Scx=mend}', "");
Expect(0, 125143, '\P{^Scx=mend}', "");
Expect(1, 125142, '\p{Scx=- Mend}', "");
Expect(0, 125142, '\p{^Scx=- Mend}', "");
Expect(0, 125142, '\P{Scx=- Mend}', "");
Expect(1, 125142, '\P{^Scx=- Mend}', "");
Expect(0, 125143, '\p{Scx=- Mend}', "");
Expect(1, 125143, '\p{^Scx=- Mend}', "");
Expect(1, 125143, '\P{Scx=- Mend}', "");
Expect(0, 125143, '\P{^Scx=- Mend}', "");
Error('\p{Is_Script_Extensions=_:=mende_kikakui}');
Error('\P{Is_Script_Extensions=_:=mende_kikakui}');
Expect(1, 125142, '\p{Is_Script_Extensions=mendekikakui}', "");
Expect(0, 125142, '\p{^Is_Script_Extensions=mendekikakui}', "");
Expect(0, 125142, '\P{Is_Script_Extensions=mendekikakui}', "");
Expect(1, 125142, '\P{^Is_Script_Extensions=mendekikakui}', "");
Expect(0, 125143, '\p{Is_Script_Extensions=mendekikakui}', "");
Expect(1, 125143, '\p{^Is_Script_Extensions=mendekikakui}', "");
Expect(1, 125143, '\P{Is_Script_Extensions=mendekikakui}', "");
Expect(0, 125143, '\P{^Is_Script_Extensions=mendekikakui}', "");
Expect(1, 125142, '\p{Is_Script_Extensions=	 Mende_KIKAKUI}', "");
Expect(0, 125142, '\p{^Is_Script_Extensions=	 Mende_KIKAKUI}', "");
Expect(0, 125142, '\P{Is_Script_Extensions=	 Mende_KIKAKUI}', "");
Expect(1, 125142, '\P{^Is_Script_Extensions=	 Mende_KIKAKUI}', "");
Expect(0, 125143, '\p{Is_Script_Extensions=	 Mende_KIKAKUI}', "");
Expect(1, 125143, '\p{^Is_Script_Extensions=	 Mende_KIKAKUI}', "");
Expect(1, 125143, '\P{Is_Script_Extensions=	 Mende_KIKAKUI}', "");
Expect(0, 125143, '\P{^Is_Script_Extensions=	 Mende_KIKAKUI}', "");
Error('\p{Is_Scx:	:=Mend}');
Error('\P{Is_Scx:	:=Mend}');
Expect(1, 125142, '\p{Is_Scx=mend}', "");
Expect(0, 125142, '\p{^Is_Scx=mend}', "");
Expect(0, 125142, '\P{Is_Scx=mend}', "");
Expect(1, 125142, '\P{^Is_Scx=mend}', "");
Expect(0, 125143, '\p{Is_Scx=mend}', "");
Expect(1, 125143, '\p{^Is_Scx=mend}', "");
Expect(1, 125143, '\P{Is_Scx=mend}', "");
Expect(0, 125143, '\P{^Is_Scx=mend}', "");
Expect(1, 125142, '\p{Is_Scx=_mend}', "");
Expect(0, 125142, '\p{^Is_Scx=_mend}', "");
Expect(0, 125142, '\P{Is_Scx=_mend}', "");
Expect(1, 125142, '\P{^Is_Scx=_mend}', "");
Expect(0, 125143, '\p{Is_Scx=_mend}', "");
Expect(1, 125143, '\p{^Is_Scx=_mend}', "");
Expect(1, 125143, '\P{Is_Scx=_mend}', "");
Expect(0, 125143, '\P{^Is_Scx=_mend}', "");
Error('\p{Script_Extensions=:=--meroitic_cursive}');
Error('\P{Script_Extensions=:=--meroitic_cursive}');
Expect(1, 68031, '\p{Script_Extensions=meroiticcursive}', "");
Expect(0, 68031, '\p{^Script_Extensions=meroiticcursive}', "");
Expect(0, 68031, '\P{Script_Extensions=meroiticcursive}', "");
Expect(1, 68031, '\P{^Script_Extensions=meroiticcursive}', "");
Expect(0, 68032, '\p{Script_Extensions=meroiticcursive}', "");
Expect(1, 68032, '\p{^Script_Extensions=meroiticcursive}', "");
Expect(1, 68032, '\P{Script_Extensions=meroiticcursive}', "");
Expect(0, 68032, '\P{^Script_Extensions=meroiticcursive}', "");
Expect(1, 68031, '\p{Script_Extensions=	Meroitic_Cursive}', "");
Expect(0, 68031, '\p{^Script_Extensions=	Meroitic_Cursive}', "");
Expect(0, 68031, '\P{Script_Extensions=	Meroitic_Cursive}', "");
Expect(1, 68031, '\P{^Script_Extensions=	Meroitic_Cursive}', "");
Expect(0, 68032, '\p{Script_Extensions=	Meroitic_Cursive}', "");
Expect(1, 68032, '\p{^Script_Extensions=	Meroitic_Cursive}', "");
Expect(1, 68032, '\P{Script_Extensions=	Meroitic_Cursive}', "");
Expect(0, 68032, '\P{^Script_Extensions=	Meroitic_Cursive}', "");
Error('\p{Scx:	 merc/a/}');
Error('\P{Scx:	 merc/a/}');
Expect(1, 68031, '\p{Scx=merc}', "");
Expect(0, 68031, '\p{^Scx=merc}', "");
Expect(0, 68031, '\P{Scx=merc}', "");
Expect(1, 68031, '\P{^Scx=merc}', "");
Expect(0, 68032, '\p{Scx=merc}', "");
Expect(1, 68032, '\p{^Scx=merc}', "");
Expect(1, 68032, '\P{Scx=merc}', "");
Expect(0, 68032, '\P{^Scx=merc}', "");
Expect(1, 68031, '\p{Scx= 	merc}', "");
Expect(0, 68031, '\p{^Scx= 	merc}', "");
Expect(0, 68031, '\P{Scx= 	merc}', "");
Expect(1, 68031, '\P{^Scx= 	merc}', "");
Expect(0, 68032, '\p{Scx= 	merc}', "");
Expect(1, 68032, '\p{^Scx= 	merc}', "");
Expect(1, 68032, '\P{Scx= 	merc}', "");
Expect(0, 68032, '\P{^Scx= 	merc}', "");
Error('\p{Is_Script_Extensions=_-meroitic_Cursive:=}');
Error('\P{Is_Script_Extensions=_-meroitic_Cursive:=}');
Expect(1, 68031, '\p{Is_Script_Extensions:meroiticcursive}', "");
Expect(0, 68031, '\p{^Is_Script_Extensions:meroiticcursive}', "");
Expect(0, 68031, '\P{Is_Script_Extensions:meroiticcursive}', "");
Expect(1, 68031, '\P{^Is_Script_Extensions:meroiticcursive}', "");
Expect(0, 68032, '\p{Is_Script_Extensions:meroiticcursive}', "");
Expect(1, 68032, '\p{^Is_Script_Extensions:meroiticcursive}', "");
Expect(1, 68032, '\P{Is_Script_Extensions:meroiticcursive}', "");
Expect(0, 68032, '\P{^Is_Script_Extensions:meroiticcursive}', "");
Expect(1, 68031, '\p{Is_Script_Extensions=-	Meroitic_Cursive}', "");
Expect(0, 68031, '\p{^Is_Script_Extensions=-	Meroitic_Cursive}', "");
Expect(0, 68031, '\P{Is_Script_Extensions=-	Meroitic_Cursive}', "");
Expect(1, 68031, '\P{^Is_Script_Extensions=-	Meroitic_Cursive}', "");
Expect(0, 68032, '\p{Is_Script_Extensions=-	Meroitic_Cursive}', "");
Expect(1, 68032, '\p{^Is_Script_Extensions=-	Meroitic_Cursive}', "");
Expect(1, 68032, '\P{Is_Script_Extensions=-	Meroitic_Cursive}', "");
Expect(0, 68032, '\P{^Is_Script_Extensions=-	Meroitic_Cursive}', "");
Error('\p{Is_Scx=-MERC/a/}');
Error('\P{Is_Scx=-MERC/a/}');
Expect(1, 68031, '\p{Is_Scx:   merc}', "");
Expect(0, 68031, '\p{^Is_Scx:   merc}', "");
Expect(0, 68031, '\P{Is_Scx:   merc}', "");
Expect(1, 68031, '\P{^Is_Scx:   merc}', "");
Expect(0, 68032, '\p{Is_Scx:   merc}', "");
Expect(1, 68032, '\p{^Is_Scx:   merc}', "");
Expect(1, 68032, '\P{Is_Scx:   merc}', "");
Expect(0, 68032, '\P{^Is_Scx:   merc}', "");
Expect(1, 68031, '\p{Is_Scx=	MERC}', "");
Expect(0, 68031, '\p{^Is_Scx=	MERC}', "");
Expect(0, 68031, '\P{Is_Scx=	MERC}', "");
Expect(1, 68031, '\P{^Is_Scx=	MERC}', "");
Expect(0, 68032, '\p{Is_Scx=	MERC}', "");
Expect(1, 68032, '\p{^Is_Scx=	MERC}', "");
Expect(1, 68032, '\P{Is_Scx=	MERC}', "");
Expect(0, 68032, '\P{^Is_Scx=	MERC}', "");
Error('\p{Script_Extensions=/a/-Meroitic_Hieroglyphs}');
Error('\P{Script_Extensions=/a/-Meroitic_Hieroglyphs}');
Expect(1, 67999, '\p{Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Script_Extensions=-MEROITIC_hieroglyphs}', "");
Expect(0, 67999, '\p{^Script_Extensions=-MEROITIC_hieroglyphs}', "");
Expect(0, 67999, '\P{Script_Extensions=-MEROITIC_hieroglyphs}', "");
Expect(1, 67999, '\P{^Script_Extensions=-MEROITIC_hieroglyphs}', "");
Expect(0, 68000, '\p{Script_Extensions=-MEROITIC_hieroglyphs}', "");
Expect(1, 68000, '\p{^Script_Extensions=-MEROITIC_hieroglyphs}', "");
Expect(1, 68000, '\P{Script_Extensions=-MEROITIC_hieroglyphs}', "");
Expect(0, 68000, '\P{^Script_Extensions=-MEROITIC_hieroglyphs}', "");
Error('\p{Scx=:= MERO}');
Error('\P{Scx=:= MERO}');
Expect(1, 67999, '\p{Scx=mero}', "");
Expect(0, 67999, '\p{^Scx=mero}', "");
Expect(0, 67999, '\P{Scx=mero}', "");
Expect(1, 67999, '\P{^Scx=mero}', "");
Expect(0, 68000, '\p{Scx=mero}', "");
Expect(1, 68000, '\p{^Scx=mero}', "");
Expect(1, 68000, '\P{Scx=mero}', "");
Expect(0, 68000, '\P{^Scx=mero}', "");
Expect(1, 67999, '\p{Scx=-	Mero}', "");
Expect(0, 67999, '\p{^Scx=-	Mero}', "");
Expect(0, 67999, '\P{Scx=-	Mero}', "");
Expect(1, 67999, '\P{^Scx=-	Mero}', "");
Expect(0, 68000, '\p{Scx=-	Mero}', "");
Expect(1, 68000, '\p{^Scx=-	Mero}', "");
Expect(1, 68000, '\P{Scx=-	Mero}', "");
Expect(0, 68000, '\P{^Scx=-	Mero}', "");
Error('\p{Is_Script_Extensions=	meroitic_HIEROGLYPHS/a/}');
Error('\P{Is_Script_Extensions=	meroitic_HIEROGLYPHS/a/}');
Expect(1, 67999, '\p{Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Is_Script_Extensions=	 MEROITIC_hieroglyphs}', "");
Expect(0, 67999, '\p{^Is_Script_Extensions=	 MEROITIC_hieroglyphs}', "");
Expect(0, 67999, '\P{Is_Script_Extensions=	 MEROITIC_hieroglyphs}', "");
Expect(1, 67999, '\P{^Is_Script_Extensions=	 MEROITIC_hieroglyphs}', "");
Expect(0, 68000, '\p{Is_Script_Extensions=	 MEROITIC_hieroglyphs}', "");
Expect(1, 68000, '\p{^Is_Script_Extensions=	 MEROITIC_hieroglyphs}', "");
Expect(1, 68000, '\P{Is_Script_Extensions=	 MEROITIC_hieroglyphs}', "");
Expect(0, 68000, '\P{^Is_Script_Extensions=	 MEROITIC_hieroglyphs}', "");
Error('\p{Is_Scx=--Mero/a/}');
Error('\P{Is_Scx=--Mero/a/}');
Expect(1, 67999, '\p{Is_Scx=mero}', "");
Expect(0, 67999, '\p{^Is_Scx=mero}', "");
Expect(0, 67999, '\P{Is_Scx=mero}', "");
Expect(1, 67999, '\P{^Is_Scx=mero}', "");
Expect(0, 68000, '\p{Is_Scx=mero}', "");
Expect(1, 68000, '\p{^Is_Scx=mero}', "");
Expect(1, 68000, '\P{Is_Scx=mero}', "");
Expect(0, 68000, '\P{^Is_Scx=mero}', "");
Expect(1, 67999, '\p{Is_Scx:	-Mero}', "");
Expect(0, 67999, '\p{^Is_Scx:	-Mero}', "");
Expect(0, 67999, '\P{Is_Scx:	-Mero}', "");
Expect(1, 67999, '\P{^Is_Scx:	-Mero}', "");
Expect(0, 68000, '\p{Is_Scx:	-Mero}', "");
Expect(1, 68000, '\p{^Is_Scx:	-Mero}', "");
Expect(1, 68000, '\P{Is_Scx:	-Mero}', "");
Expect(0, 68000, '\P{^Is_Scx:	-Mero}', "");
Error('\p{Script_Extensions=_Malayalam:=}');
Error('\P{Script_Extensions=_Malayalam:=}');
Expect(1, 3455, '\p{Script_Extensions=malayalam}', "");
Expect(0, 3455, '\p{^Script_Extensions=malayalam}', "");
Expect(0, 3455, '\P{Script_Extensions=malayalam}', "");
Expect(1, 3455, '\P{^Script_Extensions=malayalam}', "");
Expect(0, 3456, '\p{Script_Extensions=malayalam}', "");
Expect(1, 3456, '\p{^Script_Extensions=malayalam}', "");
Expect(1, 3456, '\P{Script_Extensions=malayalam}', "");
Expect(0, 3456, '\P{^Script_Extensions=malayalam}', "");
Expect(1, 3455, '\p{Script_Extensions= 	MALAYALAM}', "");
Expect(0, 3455, '\p{^Script_Extensions= 	MALAYALAM}', "");
Expect(0, 3455, '\P{Script_Extensions= 	MALAYALAM}', "");
Expect(1, 3455, '\P{^Script_Extensions= 	MALAYALAM}', "");
Expect(0, 3456, '\p{Script_Extensions= 	MALAYALAM}', "");
Expect(1, 3456, '\p{^Script_Extensions= 	MALAYALAM}', "");
Expect(1, 3456, '\P{Script_Extensions= 	MALAYALAM}', "");
Expect(0, 3456, '\P{^Script_Extensions= 	MALAYALAM}', "");
Error('\p{Scx= _Mlym/a/}');
Error('\P{Scx= _Mlym/a/}');
Expect(1, 3455, '\p{Scx=mlym}', "");
Expect(0, 3455, '\p{^Scx=mlym}', "");
Expect(0, 3455, '\P{Scx=mlym}', "");
Expect(1, 3455, '\P{^Scx=mlym}', "");
Expect(0, 3456, '\p{Scx=mlym}', "");
Expect(1, 3456, '\p{^Scx=mlym}', "");
Expect(1, 3456, '\P{Scx=mlym}', "");
Expect(0, 3456, '\P{^Scx=mlym}', "");
Expect(1, 3455, '\p{Scx=--Mlym}', "");
Expect(0, 3455, '\p{^Scx=--Mlym}', "");
Expect(0, 3455, '\P{Scx=--Mlym}', "");
Expect(1, 3455, '\P{^Scx=--Mlym}', "");
Expect(0, 3456, '\p{Scx=--Mlym}', "");
Expect(1, 3456, '\p{^Scx=--Mlym}', "");
Expect(1, 3456, '\P{Scx=--Mlym}', "");
Expect(0, 3456, '\P{^Scx=--Mlym}', "");
Error('\p{Is_Script_Extensions=/a/_-malayalam}');
Error('\P{Is_Script_Extensions=/a/_-malayalam}');
Expect(1, 3455, '\p{Is_Script_Extensions=malayalam}', "");
Expect(0, 3455, '\p{^Is_Script_Extensions=malayalam}', "");
Expect(0, 3455, '\P{Is_Script_Extensions=malayalam}', "");
Expect(1, 3455, '\P{^Is_Script_Extensions=malayalam}', "");
Expect(0, 3456, '\p{Is_Script_Extensions=malayalam}', "");
Expect(1, 3456, '\p{^Is_Script_Extensions=malayalam}', "");
Expect(1, 3456, '\P{Is_Script_Extensions=malayalam}', "");
Expect(0, 3456, '\P{^Is_Script_Extensions=malayalam}', "");
Expect(1, 3455, '\p{Is_Script_Extensions=_Malayalam}', "");
Expect(0, 3455, '\p{^Is_Script_Extensions=_Malayalam}', "");
Expect(0, 3455, '\P{Is_Script_Extensions=_Malayalam}', "");
Expect(1, 3455, '\P{^Is_Script_Extensions=_Malayalam}', "");
Expect(0, 3456, '\p{Is_Script_Extensions=_Malayalam}', "");
Expect(1, 3456, '\p{^Is_Script_Extensions=_Malayalam}', "");
Expect(1, 3456, '\P{Is_Script_Extensions=_Malayalam}', "");
Expect(0, 3456, '\P{^Is_Script_Extensions=_Malayalam}', "");
Error('\p{Is_Scx=	_Mlym/a/}');
Error('\P{Is_Scx=	_Mlym/a/}');
Expect(1, 3455, '\p{Is_Scx=mlym}', "");
Expect(0, 3455, '\p{^Is_Scx=mlym}', "");
Expect(0, 3455, '\P{Is_Scx=mlym}', "");
Expect(1, 3455, '\P{^Is_Scx=mlym}', "");
Expect(0, 3456, '\p{Is_Scx=mlym}', "");
Expect(1, 3456, '\p{^Is_Scx=mlym}', "");
Expect(1, 3456, '\P{Is_Scx=mlym}', "");
Expect(0, 3456, '\P{^Is_Scx=mlym}', "");
Expect(1, 3455, '\p{Is_Scx=-	mlym}', "");
Expect(0, 3455, '\p{^Is_Scx=-	mlym}', "");
Expect(0, 3455, '\P{Is_Scx=-	mlym}', "");
Expect(1, 3455, '\P{^Is_Scx=-	mlym}', "");
Expect(0, 3456, '\p{Is_Scx=-	mlym}', "");
Expect(1, 3456, '\p{^Is_Scx=-	mlym}', "");
Expect(1, 3456, '\P{Is_Scx=-	mlym}', "");
Expect(0, 3456, '\P{^Is_Scx=-	mlym}', "");
Error('\p{Script_Extensions=_/a/MODI}');
Error('\P{Script_Extensions=_/a/MODI}');
Expect(1, 71257, '\p{Script_Extensions: modi}', "");
Expect(0, 71257, '\p{^Script_Extensions: modi}', "");
Expect(0, 71257, '\P{Script_Extensions: modi}', "");
Expect(1, 71257, '\P{^Script_Extensions: modi}', "");
Expect(0, 71258, '\p{Script_Extensions: modi}', "");
Expect(1, 71258, '\p{^Script_Extensions: modi}', "");
Expect(1, 71258, '\P{Script_Extensions: modi}', "");
Expect(0, 71258, '\P{^Script_Extensions: modi}', "");
Expect(1, 71257, '\p{Script_Extensions=	-Modi}', "");
Expect(0, 71257, '\p{^Script_Extensions=	-Modi}', "");
Expect(0, 71257, '\P{Script_Extensions=	-Modi}', "");
Expect(1, 71257, '\P{^Script_Extensions=	-Modi}', "");
Expect(0, 71258, '\p{Script_Extensions=	-Modi}', "");
Expect(1, 71258, '\p{^Script_Extensions=	-Modi}', "");
Expect(1, 71258, '\P{Script_Extensions=	-Modi}', "");
Expect(0, 71258, '\P{^Script_Extensions=	-Modi}', "");
Error('\p{Scx=	modi:=}');
Error('\P{Scx=	modi:=}');
Expect(1, 71257, '\p{Scx=modi}', "");
Expect(0, 71257, '\p{^Scx=modi}', "");
Expect(0, 71257, '\P{Scx=modi}', "");
Expect(1, 71257, '\P{^Scx=modi}', "");
Expect(0, 71258, '\p{Scx=modi}', "");
Expect(1, 71258, '\p{^Scx=modi}', "");
Expect(1, 71258, '\P{Scx=modi}', "");
Expect(0, 71258, '\P{^Scx=modi}', "");
Expect(1, 71257, '\p{Scx=-modi}', "");
Expect(0, 71257, '\p{^Scx=-modi}', "");
Expect(0, 71257, '\P{Scx=-modi}', "");
Expect(1, 71257, '\P{^Scx=-modi}', "");
Expect(0, 71258, '\p{Scx=-modi}', "");
Expect(1, 71258, '\p{^Scx=-modi}', "");
Expect(1, 71258, '\P{Scx=-modi}', "");
Expect(0, 71258, '\P{^Scx=-modi}', "");
Error('\p{Is_Script_Extensions=	:=modi}');
Error('\P{Is_Script_Extensions=	:=modi}');
Expect(1, 71257, '\p{Is_Script_Extensions=modi}', "");
Expect(0, 71257, '\p{^Is_Script_Extensions=modi}', "");
Expect(0, 71257, '\P{Is_Script_Extensions=modi}', "");
Expect(1, 71257, '\P{^Is_Script_Extensions=modi}', "");
Expect(0, 71258, '\p{Is_Script_Extensions=modi}', "");
Expect(1, 71258, '\p{^Is_Script_Extensions=modi}', "");
Expect(1, 71258, '\P{Is_Script_Extensions=modi}', "");
Expect(0, 71258, '\P{^Is_Script_Extensions=modi}', "");
Expect(1, 71257, '\p{Is_Script_Extensions=	Modi}', "");
Expect(0, 71257, '\p{^Is_Script_Extensions=	Modi}', "");
Expect(0, 71257, '\P{Is_Script_Extensions=	Modi}', "");
Expect(1, 71257, '\P{^Is_Script_Extensions=	Modi}', "");
Expect(0, 71258, '\p{Is_Script_Extensions=	Modi}', "");
Expect(1, 71258, '\p{^Is_Script_Extensions=	Modi}', "");
Expect(1, 71258, '\P{Is_Script_Extensions=	Modi}', "");
Expect(0, 71258, '\P{^Is_Script_Extensions=	Modi}', "");
Error('\p{Is_Scx=_:=Modi}');
Error('\P{Is_Scx=_:=Modi}');
Expect(1, 71257, '\p{Is_Scx=modi}', "");
Expect(0, 71257, '\p{^Is_Scx=modi}', "");
Expect(0, 71257, '\P{Is_Scx=modi}', "");
Expect(1, 71257, '\P{^Is_Scx=modi}', "");
Expect(0, 71258, '\p{Is_Scx=modi}', "");
Expect(1, 71258, '\p{^Is_Scx=modi}', "");
Expect(1, 71258, '\P{Is_Scx=modi}', "");
Expect(0, 71258, '\P{^Is_Scx=modi}', "");
Expect(1, 71257, '\p{Is_Scx= -Modi}', "");
Expect(0, 71257, '\p{^Is_Scx= -Modi}', "");
Expect(0, 71257, '\P{Is_Scx= -Modi}', "");
Expect(1, 71257, '\P{^Is_Scx= -Modi}', "");
Expect(0, 71258, '\p{Is_Scx= -Modi}', "");
Expect(1, 71258, '\p{^Is_Scx= -Modi}', "");
Expect(1, 71258, '\P{Is_Scx= -Modi}', "");
Expect(0, 71258, '\P{^Is_Scx= -Modi}', "");
Error('\p{Script_Extensions=- mongolian:=}');
Error('\P{Script_Extensions=- mongolian:=}');
Expect(1, 6314, '\p{Script_Extensions=mongolian}', "");
Expect(0, 6314, '\p{^Script_Extensions=mongolian}', "");
Expect(0, 6314, '\P{Script_Extensions=mongolian}', "");
Expect(1, 6314, '\P{^Script_Extensions=mongolian}', "");
Expect(0, 6315, '\p{Script_Extensions=mongolian}', "");
Expect(1, 6315, '\p{^Script_Extensions=mongolian}', "");
Expect(1, 6315, '\P{Script_Extensions=mongolian}', "");
Expect(0, 6315, '\P{^Script_Extensions=mongolian}', "");
Expect(1, 6314, '\p{Script_Extensions=_ MONGOLIAN}', "");
Expect(0, 6314, '\p{^Script_Extensions=_ MONGOLIAN}', "");
Expect(0, 6314, '\P{Script_Extensions=_ MONGOLIAN}', "");
Expect(1, 6314, '\P{^Script_Extensions=_ MONGOLIAN}', "");
Expect(0, 6315, '\p{Script_Extensions=_ MONGOLIAN}', "");
Expect(1, 6315, '\p{^Script_Extensions=_ MONGOLIAN}', "");
Expect(1, 6315, '\P{Script_Extensions=_ MONGOLIAN}', "");
Expect(0, 6315, '\P{^Script_Extensions=_ MONGOLIAN}', "");
Error('\p{Scx=/a/ Mong}');
Error('\P{Scx=/a/ Mong}');
Expect(1, 6314, '\p{Scx=mong}', "");
Expect(0, 6314, '\p{^Scx=mong}', "");
Expect(0, 6314, '\P{Scx=mong}', "");
Expect(1, 6314, '\P{^Scx=mong}', "");
Expect(0, 6315, '\p{Scx=mong}', "");
Expect(1, 6315, '\p{^Scx=mong}', "");
Expect(1, 6315, '\P{Scx=mong}', "");
Expect(0, 6315, '\P{^Scx=mong}', "");
Expect(1, 6314, '\p{Scx=- Mong}', "");
Expect(0, 6314, '\p{^Scx=- Mong}', "");
Expect(0, 6314, '\P{Scx=- Mong}', "");
Expect(1, 6314, '\P{^Scx=- Mong}', "");
Expect(0, 6315, '\p{Scx=- Mong}', "");
Expect(1, 6315, '\p{^Scx=- Mong}', "");
Expect(1, 6315, '\P{Scx=- Mong}', "");
Expect(0, 6315, '\P{^Scx=- Mong}', "");
Error('\p{Is_Script_Extensions= 	mongolian:=}');
Error('\P{Is_Script_Extensions= 	mongolian:=}');
Expect(1, 6314, '\p{Is_Script_Extensions=mongolian}', "");
Expect(0, 6314, '\p{^Is_Script_Extensions=mongolian}', "");
Expect(0, 6314, '\P{Is_Script_Extensions=mongolian}', "");
Expect(1, 6314, '\P{^Is_Script_Extensions=mongolian}', "");
Expect(0, 6315, '\p{Is_Script_Extensions=mongolian}', "");
Expect(1, 6315, '\p{^Is_Script_Extensions=mongolian}', "");
Expect(1, 6315, '\P{Is_Script_Extensions=mongolian}', "");
Expect(0, 6315, '\P{^Is_Script_Extensions=mongolian}', "");
Expect(1, 6314, '\p{Is_Script_Extensions: 	-MONGOLIAN}', "");
Expect(0, 6314, '\p{^Is_Script_Extensions: 	-MONGOLIAN}', "");
Expect(0, 6314, '\P{Is_Script_Extensions: 	-MONGOLIAN}', "");
Expect(1, 6314, '\P{^Is_Script_Extensions: 	-MONGOLIAN}', "");
Expect(0, 6315, '\p{Is_Script_Extensions: 	-MONGOLIAN}', "");
Expect(1, 6315, '\p{^Is_Script_Extensions: 	-MONGOLIAN}', "");
Expect(1, 6315, '\P{Is_Script_Extensions: 	-MONGOLIAN}', "");
Expect(0, 6315, '\P{^Is_Script_Extensions: 	-MONGOLIAN}', "");
Error('\p{Is_Scx=	 Mong:=}');
Error('\P{Is_Scx=	 Mong:=}');
Expect(1, 6314, '\p{Is_Scx=mong}', "");
Expect(0, 6314, '\p{^Is_Scx=mong}', "");
Expect(0, 6314, '\P{Is_Scx=mong}', "");
Expect(1, 6314, '\P{^Is_Scx=mong}', "");
Expect(0, 6315, '\p{Is_Scx=mong}', "");
Expect(1, 6315, '\p{^Is_Scx=mong}', "");
Expect(1, 6315, '\P{Is_Scx=mong}', "");
Expect(0, 6315, '\P{^Is_Scx=mong}', "");
Expect(1, 6314, '\p{Is_Scx= _Mong}', "");
Expect(0, 6314, '\p{^Is_Scx= _Mong}', "");
Expect(0, 6314, '\P{Is_Scx= _Mong}', "");
Expect(1, 6314, '\P{^Is_Scx= _Mong}', "");
Expect(0, 6315, '\p{Is_Scx= _Mong}', "");
Expect(1, 6315, '\p{^Is_Scx= _Mong}', "");
Expect(1, 6315, '\P{Is_Scx= _Mong}', "");
Expect(0, 6315, '\P{^Is_Scx= _Mong}', "");
Error('\p{Script_Extensions= /a/Mro}');
Error('\P{Script_Extensions= /a/Mro}');
Expect(1, 92783, '\p{Script_Extensions=mro}', "");
Expect(0, 92783, '\p{^Script_Extensions=mro}', "");
Expect(0, 92783, '\P{Script_Extensions=mro}', "");
Expect(1, 92783, '\P{^Script_Extensions=mro}', "");
Expect(0, 92784, '\p{Script_Extensions=mro}', "");
Expect(1, 92784, '\p{^Script_Extensions=mro}', "");
Expect(1, 92784, '\P{Script_Extensions=mro}', "");
Expect(0, 92784, '\P{^Script_Extensions=mro}', "");
Expect(1, 92783, '\p{Script_Extensions=-Mro}', "");
Expect(0, 92783, '\p{^Script_Extensions=-Mro}', "");
Expect(0, 92783, '\P{Script_Extensions=-Mro}', "");
Expect(1, 92783, '\P{^Script_Extensions=-Mro}', "");
Expect(0, 92784, '\p{Script_Extensions=-Mro}', "");
Expect(1, 92784, '\p{^Script_Extensions=-Mro}', "");
Expect(1, 92784, '\P{Script_Extensions=-Mro}', "");
Expect(0, 92784, '\P{^Script_Extensions=-Mro}', "");
Error('\p{Scx=/a/	_mroo}');
Error('\P{Scx=/a/	_mroo}');
Expect(1, 92783, '\p{Scx:	mroo}', "");
Expect(0, 92783, '\p{^Scx:	mroo}', "");
Expect(0, 92783, '\P{Scx:	mroo}', "");
Expect(1, 92783, '\P{^Scx:	mroo}', "");
Expect(0, 92784, '\p{Scx:	mroo}', "");
Expect(1, 92784, '\p{^Scx:	mroo}', "");
Expect(1, 92784, '\P{Scx:	mroo}', "");
Expect(0, 92784, '\P{^Scx:	mroo}', "");
Expect(1, 92783, '\p{Scx=_Mroo}', "");
Expect(0, 92783, '\p{^Scx=_Mroo}', "");
Expect(0, 92783, '\P{Scx=_Mroo}', "");
Expect(1, 92783, '\P{^Scx=_Mroo}', "");
Expect(0, 92784, '\p{Scx=_Mroo}', "");
Expect(1, 92784, '\p{^Scx=_Mroo}', "");
Expect(1, 92784, '\P{Scx=_Mroo}', "");
Expect(0, 92784, '\P{^Scx=_Mroo}', "");
Error('\p{Is_Script_Extensions=	/a/Mro}');
Error('\P{Is_Script_Extensions=	/a/Mro}');
Expect(1, 92783, '\p{Is_Script_Extensions=mro}', "");
Expect(0, 92783, '\p{^Is_Script_Extensions=mro}', "");
Expect(0, 92783, '\P{Is_Script_Extensions=mro}', "");
Expect(1, 92783, '\P{^Is_Script_Extensions=mro}', "");
Expect(0, 92784, '\p{Is_Script_Extensions=mro}', "");
Expect(1, 92784, '\p{^Is_Script_Extensions=mro}', "");
Expect(1, 92784, '\P{Is_Script_Extensions=mro}', "");
Expect(0, 92784, '\P{^Is_Script_Extensions=mro}', "");
Expect(1, 92783, '\p{Is_Script_Extensions=-_Mro}', "");
Expect(0, 92783, '\p{^Is_Script_Extensions=-_Mro}', "");
Expect(0, 92783, '\P{Is_Script_Extensions=-_Mro}', "");
Expect(1, 92783, '\P{^Is_Script_Extensions=-_Mro}', "");
Expect(0, 92784, '\p{Is_Script_Extensions=-_Mro}', "");
Expect(1, 92784, '\p{^Is_Script_Extensions=-_Mro}', "");
Expect(1, 92784, '\P{Is_Script_Extensions=-_Mro}', "");
Expect(0, 92784, '\P{^Is_Script_Extensions=-_Mro}', "");
Error('\p{Is_Scx: :=Mroo}');
Error('\P{Is_Scx: :=Mroo}');
Expect(1, 92783, '\p{Is_Scx=mroo}', "");
Expect(0, 92783, '\p{^Is_Scx=mroo}', "");
Expect(0, 92783, '\P{Is_Scx=mroo}', "");
Expect(1, 92783, '\P{^Is_Scx=mroo}', "");
Expect(0, 92784, '\p{Is_Scx=mroo}', "");
Expect(1, 92784, '\p{^Is_Scx=mroo}', "");
Expect(1, 92784, '\P{Is_Scx=mroo}', "");
Expect(0, 92784, '\P{^Is_Scx=mroo}', "");
Expect(1, 92783, '\p{Is_Scx=	MROO}', "");
Expect(0, 92783, '\p{^Is_Scx=	MROO}', "");
Expect(0, 92783, '\P{Is_Scx=	MROO}', "");
Expect(1, 92783, '\P{^Is_Scx=	MROO}', "");
Expect(0, 92784, '\p{Is_Scx=	MROO}', "");
Expect(1, 92784, '\p{^Is_Scx=	MROO}', "");
Expect(1, 92784, '\P{Is_Scx=	MROO}', "");
Expect(0, 92784, '\P{^Is_Scx=	MROO}', "");
Error('\p{Script_Extensions=:=		MEETEI_Mayek}');
Error('\P{Script_Extensions=:=		MEETEI_Mayek}');
Expect(1, 44025, '\p{Script_Extensions=meeteimayek}', "");
Expect(0, 44025, '\p{^Script_Extensions=meeteimayek}', "");
Expect(0, 44025, '\P{Script_Extensions=meeteimayek}', "");
Expect(1, 44025, '\P{^Script_Extensions=meeteimayek}', "");
Expect(0, 44026, '\p{Script_Extensions=meeteimayek}', "");
Expect(1, 44026, '\p{^Script_Extensions=meeteimayek}', "");
Expect(1, 44026, '\P{Script_Extensions=meeteimayek}', "");
Expect(0, 44026, '\P{^Script_Extensions=meeteimayek}', "");
Expect(1, 44025, '\p{Script_Extensions=_-Meetei_MAYEK}', "");
Expect(0, 44025, '\p{^Script_Extensions=_-Meetei_MAYEK}', "");
Expect(0, 44025, '\P{Script_Extensions=_-Meetei_MAYEK}', "");
Expect(1, 44025, '\P{^Script_Extensions=_-Meetei_MAYEK}', "");
Expect(0, 44026, '\p{Script_Extensions=_-Meetei_MAYEK}', "");
Expect(1, 44026, '\p{^Script_Extensions=_-Meetei_MAYEK}', "");
Expect(1, 44026, '\P{Script_Extensions=_-Meetei_MAYEK}', "");
Expect(0, 44026, '\P{^Script_Extensions=_-Meetei_MAYEK}', "");
Error('\p{Scx=:= 	mtei}');
Error('\P{Scx=:= 	mtei}');
Expect(1, 44025, '\p{Scx=mtei}', "");
Expect(0, 44025, '\p{^Scx=mtei}', "");
Expect(0, 44025, '\P{Scx=mtei}', "");
Expect(1, 44025, '\P{^Scx=mtei}', "");
Expect(0, 44026, '\p{Scx=mtei}', "");
Expect(1, 44026, '\p{^Scx=mtei}', "");
Expect(1, 44026, '\P{Scx=mtei}', "");
Expect(0, 44026, '\P{^Scx=mtei}', "");
Expect(1, 44025, '\p{Scx=-mtei}', "");
Expect(0, 44025, '\p{^Scx=-mtei}', "");
Expect(0, 44025, '\P{Scx=-mtei}', "");
Expect(1, 44025, '\P{^Scx=-mtei}', "");
Expect(0, 44026, '\p{Scx=-mtei}', "");
Expect(1, 44026, '\p{^Scx=-mtei}', "");
Expect(1, 44026, '\P{Scx=-mtei}', "");
Expect(0, 44026, '\P{^Scx=-mtei}', "");
Error('\p{Is_Script_Extensions=/a/-	MEETEI_mayek}');
Error('\P{Is_Script_Extensions=/a/-	MEETEI_mayek}');
Expect(1, 44025, '\p{Is_Script_Extensions=meeteimayek}', "");
Expect(0, 44025, '\p{^Is_Script_Extensions=meeteimayek}', "");
Expect(0, 44025, '\P{Is_Script_Extensions=meeteimayek}', "");
Expect(1, 44025, '\P{^Is_Script_Extensions=meeteimayek}', "");
Expect(0, 44026, '\p{Is_Script_Extensions=meeteimayek}', "");
Expect(1, 44026, '\p{^Is_Script_Extensions=meeteimayek}', "");
Expect(1, 44026, '\P{Is_Script_Extensions=meeteimayek}', "");
Expect(0, 44026, '\P{^Is_Script_Extensions=meeteimayek}', "");
Expect(1, 44025, '\p{Is_Script_Extensions=	_MEETEI_Mayek}', "");
Expect(0, 44025, '\p{^Is_Script_Extensions=	_MEETEI_Mayek}', "");
Expect(0, 44025, '\P{Is_Script_Extensions=	_MEETEI_Mayek}', "");
Expect(1, 44025, '\P{^Is_Script_Extensions=	_MEETEI_Mayek}', "");
Expect(0, 44026, '\p{Is_Script_Extensions=	_MEETEI_Mayek}', "");
Expect(1, 44026, '\p{^Is_Script_Extensions=	_MEETEI_Mayek}', "");
Expect(1, 44026, '\P{Is_Script_Extensions=	_MEETEI_Mayek}', "");
Expect(0, 44026, '\P{^Is_Script_Extensions=	_MEETEI_Mayek}', "");
Error('\p{Is_Scx= :=Mtei}');
Error('\P{Is_Scx= :=Mtei}');
Expect(1, 44025, '\p{Is_Scx=mtei}', "");
Expect(0, 44025, '\p{^Is_Scx=mtei}', "");
Expect(0, 44025, '\P{Is_Scx=mtei}', "");
Expect(1, 44025, '\P{^Is_Scx=mtei}', "");
Expect(0, 44026, '\p{Is_Scx=mtei}', "");
Expect(1, 44026, '\p{^Is_Scx=mtei}', "");
Expect(1, 44026, '\P{Is_Scx=mtei}', "");
Expect(0, 44026, '\P{^Is_Scx=mtei}', "");
Expect(1, 44025, '\p{Is_Scx=__Mtei}', "");
Expect(0, 44025, '\p{^Is_Scx=__Mtei}', "");
Expect(0, 44025, '\P{Is_Scx=__Mtei}', "");
Expect(1, 44025, '\P{^Is_Scx=__Mtei}', "");
Expect(0, 44026, '\p{Is_Scx=__Mtei}', "");
Expect(1, 44026, '\p{^Is_Scx=__Mtei}', "");
Expect(1, 44026, '\P{Is_Scx=__Mtei}', "");
Expect(0, 44026, '\P{^Is_Scx=__Mtei}', "");
Error('\p{Script_Extensions= /a/Myanmar}');
Error('\P{Script_Extensions= /a/Myanmar}');
Expect(1, 43647, '\p{Script_Extensions=myanmar}', "");
Expect(0, 43647, '\p{^Script_Extensions=myanmar}', "");
Expect(0, 43647, '\P{Script_Extensions=myanmar}', "");
Expect(1, 43647, '\P{^Script_Extensions=myanmar}', "");
Expect(0, 43648, '\p{Script_Extensions=myanmar}', "");
Expect(1, 43648, '\p{^Script_Extensions=myanmar}', "");
Expect(1, 43648, '\P{Script_Extensions=myanmar}', "");
Expect(0, 43648, '\P{^Script_Extensions=myanmar}', "");
Expect(1, 43647, '\p{Script_Extensions=-	myanmar}', "");
Expect(0, 43647, '\p{^Script_Extensions=-	myanmar}', "");
Expect(0, 43647, '\P{Script_Extensions=-	myanmar}', "");
Expect(1, 43647, '\P{^Script_Extensions=-	myanmar}', "");
Expect(0, 43648, '\p{Script_Extensions=-	myanmar}', "");
Expect(1, 43648, '\p{^Script_Extensions=-	myanmar}', "");
Expect(1, 43648, '\P{Script_Extensions=-	myanmar}', "");
Expect(0, 43648, '\P{^Script_Extensions=-	myanmar}', "");
Error('\p{Scx:   :=Mymr}');
Error('\P{Scx:   :=Mymr}');
Expect(1, 43647, '\p{Scx=mymr}', "");
Expect(0, 43647, '\p{^Scx=mymr}', "");
Expect(0, 43647, '\P{Scx=mymr}', "");
Expect(1, 43647, '\P{^Scx=mymr}', "");
Expect(0, 43648, '\p{Scx=mymr}', "");
Expect(1, 43648, '\p{^Scx=mymr}', "");
Expect(1, 43648, '\P{Scx=mymr}', "");
Expect(0, 43648, '\P{^Scx=mymr}', "");
Expect(1, 43647, '\p{Scx=		Mymr}', "");
Expect(0, 43647, '\p{^Scx=		Mymr}', "");
Expect(0, 43647, '\P{Scx=		Mymr}', "");
Expect(1, 43647, '\P{^Scx=		Mymr}', "");
Expect(0, 43648, '\p{Scx=		Mymr}', "");
Expect(1, 43648, '\p{^Scx=		Mymr}', "");
Expect(1, 43648, '\P{Scx=		Mymr}', "");
Expect(0, 43648, '\P{^Scx=		Mymr}', "");
Error('\p{Is_Script_Extensions:   	/a/myanmar}');
Error('\P{Is_Script_Extensions:   	/a/myanmar}');
Expect(1, 43647, '\p{Is_Script_Extensions=myanmar}', "");
Expect(0, 43647, '\p{^Is_Script_Extensions=myanmar}', "");
Expect(0, 43647, '\P{Is_Script_Extensions=myanmar}', "");
Expect(1, 43647, '\P{^Is_Script_Extensions=myanmar}', "");
Expect(0, 43648, '\p{Is_Script_Extensions=myanmar}', "");
Expect(1, 43648, '\p{^Is_Script_Extensions=myanmar}', "");
Expect(1, 43648, '\P{Is_Script_Extensions=myanmar}', "");
Expect(0, 43648, '\P{^Is_Script_Extensions=myanmar}', "");
Expect(1, 43647, '\p{Is_Script_Extensions=		MYANMAR}', "");
Expect(0, 43647, '\p{^Is_Script_Extensions=		MYANMAR}', "");
Expect(0, 43647, '\P{Is_Script_Extensions=		MYANMAR}', "");
Expect(1, 43647, '\P{^Is_Script_Extensions=		MYANMAR}', "");
Expect(0, 43648, '\p{Is_Script_Extensions=		MYANMAR}', "");
Expect(1, 43648, '\p{^Is_Script_Extensions=		MYANMAR}', "");
Expect(1, 43648, '\P{Is_Script_Extensions=		MYANMAR}', "");
Expect(0, 43648, '\P{^Is_Script_Extensions=		MYANMAR}', "");
Error('\p{Is_Scx=:=	Mymr}');
Error('\P{Is_Scx=:=	Mymr}');
Expect(1, 43647, '\p{Is_Scx=mymr}', "");
Expect(0, 43647, '\p{^Is_Scx=mymr}', "");
Expect(0, 43647, '\P{Is_Scx=mymr}', "");
Expect(1, 43647, '\P{^Is_Scx=mymr}', "");
Expect(0, 43648, '\p{Is_Scx=mymr}', "");
Expect(1, 43648, '\p{^Is_Scx=mymr}', "");
Expect(1, 43648, '\P{Is_Scx=mymr}', "");
Expect(0, 43648, '\P{^Is_Scx=mymr}', "");
Expect(1, 43647, '\p{Is_Scx=	Mymr}', "");
Expect(0, 43647, '\p{^Is_Scx=	Mymr}', "");
Expect(0, 43647, '\P{Is_Scx=	Mymr}', "");
Expect(1, 43647, '\P{^Is_Scx=	Mymr}', "");
Expect(0, 43648, '\p{Is_Scx=	Mymr}', "");
Expect(1, 43648, '\p{^Is_Scx=	Mymr}', "");
Expect(1, 43648, '\P{Is_Scx=	Mymr}', "");
Expect(0, 43648, '\P{^Is_Scx=	Mymr}', "");
Error('\p{Script_Extensions: 	OLD_North_ARABIAN:=}');
Error('\P{Script_Extensions: 	OLD_North_ARABIAN:=}');
Expect(1, 68255, '\p{Script_Extensions=oldnortharabian}', "");
Expect(0, 68255, '\p{^Script_Extensions=oldnortharabian}', "");
Expect(0, 68255, '\P{Script_Extensions=oldnortharabian}', "");
Expect(1, 68255, '\P{^Script_Extensions=oldnortharabian}', "");
Expect(0, 68256, '\p{Script_Extensions=oldnortharabian}', "");
Expect(1, 68256, '\p{^Script_Extensions=oldnortharabian}', "");
Expect(1, 68256, '\P{Script_Extensions=oldnortharabian}', "");
Expect(0, 68256, '\P{^Script_Extensions=oldnortharabian}', "");
Expect(1, 68255, '\p{Script_Extensions=OLD_North_arabian}', "");
Expect(0, 68255, '\p{^Script_Extensions=OLD_North_arabian}', "");
Expect(0, 68255, '\P{Script_Extensions=OLD_North_arabian}', "");
Expect(1, 68255, '\P{^Script_Extensions=OLD_North_arabian}', "");
Expect(0, 68256, '\p{Script_Extensions=OLD_North_arabian}', "");
Expect(1, 68256, '\p{^Script_Extensions=OLD_North_arabian}', "");
Expect(1, 68256, '\P{Script_Extensions=OLD_North_arabian}', "");
Expect(0, 68256, '\P{^Script_Extensions=OLD_North_arabian}', "");
Error('\p{Scx=	/a/narb}');
Error('\P{Scx=	/a/narb}');
Expect(1, 68255, '\p{Scx=narb}', "");
Expect(0, 68255, '\p{^Scx=narb}', "");
Expect(0, 68255, '\P{Scx=narb}', "");
Expect(1, 68255, '\P{^Scx=narb}', "");
Expect(0, 68256, '\p{Scx=narb}', "");
Expect(1, 68256, '\p{^Scx=narb}', "");
Expect(1, 68256, '\P{Scx=narb}', "");
Expect(0, 68256, '\P{^Scx=narb}', "");
Expect(1, 68255, '\p{Scx=Narb}', "");
Expect(0, 68255, '\p{^Scx=Narb}', "");
Expect(0, 68255, '\P{Scx=Narb}', "");
Expect(1, 68255, '\P{^Scx=Narb}', "");
Expect(0, 68256, '\p{Scx=Narb}', "");
Expect(1, 68256, '\p{^Scx=Narb}', "");
Expect(1, 68256, '\P{Scx=Narb}', "");
Expect(0, 68256, '\P{^Scx=Narb}', "");
Error('\p{Is_Script_Extensions= old_north_Arabian:=}');
Error('\P{Is_Script_Extensions= old_north_Arabian:=}');
Expect(1, 68255, '\p{Is_Script_Extensions=oldnortharabian}', "");
Expect(0, 68255, '\p{^Is_Script_Extensions=oldnortharabian}', "");
Expect(0, 68255, '\P{Is_Script_Extensions=oldnortharabian}', "");
Expect(1, 68255, '\P{^Is_Script_Extensions=oldnortharabian}', "");
Expect(0, 68256, '\p{Is_Script_Extensions=oldnortharabian}', "");
Expect(1, 68256, '\p{^Is_Script_Extensions=oldnortharabian}', "");
Expect(1, 68256, '\P{Is_Script_Extensions=oldnortharabian}', "");
Expect(0, 68256, '\P{^Is_Script_Extensions=oldnortharabian}', "");
Expect(1, 68255, '\p{Is_Script_Extensions=-Old_North_Arabian}', "");
Expect(0, 68255, '\p{^Is_Script_Extensions=-Old_North_Arabian}', "");
Expect(0, 68255, '\P{Is_Script_Extensions=-Old_North_Arabian}', "");
Expect(1, 68255, '\P{^Is_Script_Extensions=-Old_North_Arabian}', "");
Expect(0, 68256, '\p{Is_Script_Extensions=-Old_North_Arabian}', "");
Expect(1, 68256, '\p{^Is_Script_Extensions=-Old_North_Arabian}', "");
Expect(1, 68256, '\P{Is_Script_Extensions=-Old_North_Arabian}', "");
Expect(0, 68256, '\P{^Is_Script_Extensions=-Old_North_Arabian}', "");
Error('\p{Is_Scx= -Narb/a/}');
Error('\P{Is_Scx= -Narb/a/}');
Expect(1, 68255, '\p{Is_Scx=narb}', "");
Expect(0, 68255, '\p{^Is_Scx=narb}', "");
Expect(0, 68255, '\P{Is_Scx=narb}', "");
Expect(1, 68255, '\P{^Is_Scx=narb}', "");
Expect(0, 68256, '\p{Is_Scx=narb}', "");
Expect(1, 68256, '\p{^Is_Scx=narb}', "");
Expect(1, 68256, '\P{Is_Scx=narb}', "");
Expect(0, 68256, '\P{^Is_Scx=narb}', "");
Expect(1, 68255, '\p{Is_Scx=	-NARB}', "");
Expect(0, 68255, '\p{^Is_Scx=	-NARB}', "");
Expect(0, 68255, '\P{Is_Scx=	-NARB}', "");
Expect(1, 68255, '\P{^Is_Scx=	-NARB}', "");
Expect(0, 68256, '\p{Is_Scx=	-NARB}', "");
Expect(1, 68256, '\p{^Is_Scx=	-NARB}', "");
Expect(1, 68256, '\P{Is_Scx=	-NARB}', "");
Expect(0, 68256, '\P{^Is_Scx=	-NARB}', "");
Error('\p{Script_Extensions=-/a/nabataean}');
Error('\P{Script_Extensions=-/a/nabataean}');
Expect(1, 67759, '\p{Script_Extensions=nabataean}', "");
Expect(0, 67759, '\p{^Script_Extensions=nabataean}', "");
Expect(0, 67759, '\P{Script_Extensions=nabataean}', "");
Expect(1, 67759, '\P{^Script_Extensions=nabataean}', "");
Expect(0, 67760, '\p{Script_Extensions=nabataean}', "");
Expect(1, 67760, '\p{^Script_Extensions=nabataean}', "");
Expect(1, 67760, '\P{Script_Extensions=nabataean}', "");
Expect(0, 67760, '\P{^Script_Extensions=nabataean}', "");
Expect(1, 67759, '\p{Script_Extensions=_NABATAEAN}', "");
Expect(0, 67759, '\p{^Script_Extensions=_NABATAEAN}', "");
Expect(0, 67759, '\P{Script_Extensions=_NABATAEAN}', "");
Expect(1, 67759, '\P{^Script_Extensions=_NABATAEAN}', "");
Expect(0, 67760, '\p{Script_Extensions=_NABATAEAN}', "");
Expect(1, 67760, '\p{^Script_Extensions=_NABATAEAN}', "");
Expect(1, 67760, '\P{Script_Extensions=_NABATAEAN}', "");
Expect(0, 67760, '\P{^Script_Extensions=_NABATAEAN}', "");
Error('\p{Scx=/a/_-Nbat}');
Error('\P{Scx=/a/_-Nbat}');
Expect(1, 67759, '\p{Scx=nbat}', "");
Expect(0, 67759, '\p{^Scx=nbat}', "");
Expect(0, 67759, '\P{Scx=nbat}', "");
Expect(1, 67759, '\P{^Scx=nbat}', "");
Expect(0, 67760, '\p{Scx=nbat}', "");
Expect(1, 67760, '\p{^Scx=nbat}', "");
Expect(1, 67760, '\P{Scx=nbat}', "");
Expect(0, 67760, '\P{^Scx=nbat}', "");
Expect(1, 67759, '\p{Scx=_-NBAT}', "");
Expect(0, 67759, '\p{^Scx=_-NBAT}', "");
Expect(0, 67759, '\P{Scx=_-NBAT}', "");
Expect(1, 67759, '\P{^Scx=_-NBAT}', "");
Expect(0, 67760, '\p{Scx=_-NBAT}', "");
Expect(1, 67760, '\p{^Scx=_-NBAT}', "");
Expect(1, 67760, '\P{Scx=_-NBAT}', "");
Expect(0, 67760, '\P{^Scx=_-NBAT}', "");
Error('\p{Is_Script_Extensions=	_nabataean:=}');
Error('\P{Is_Script_Extensions=	_nabataean:=}');
Expect(1, 67759, '\p{Is_Script_Extensions=nabataean}', "");
Expect(0, 67759, '\p{^Is_Script_Extensions=nabataean}', "");
Expect(0, 67759, '\P{Is_Script_Extensions=nabataean}', "");
Expect(1, 67759, '\P{^Is_Script_Extensions=nabataean}', "");
Expect(0, 67760, '\p{Is_Script_Extensions=nabataean}', "");
Expect(1, 67760, '\p{^Is_Script_Extensions=nabataean}', "");
Expect(1, 67760, '\P{Is_Script_Extensions=nabataean}', "");
Expect(0, 67760, '\P{^Is_Script_Extensions=nabataean}', "");
Expect(1, 67759, '\p{Is_Script_Extensions: 	Nabataean}', "");
Expect(0, 67759, '\p{^Is_Script_Extensions: 	Nabataean}', "");
Expect(0, 67759, '\P{Is_Script_Extensions: 	Nabataean}', "");
Expect(1, 67759, '\P{^Is_Script_Extensions: 	Nabataean}', "");
Expect(0, 67760, '\p{Is_Script_Extensions: 	Nabataean}', "");
Expect(1, 67760, '\p{^Is_Script_Extensions: 	Nabataean}', "");
Expect(1, 67760, '\P{Is_Script_Extensions: 	Nabataean}', "");
Expect(0, 67760, '\P{^Is_Script_Extensions: 	Nabataean}', "");
Error('\p{Is_Scx=/a/Nbat}');
Error('\P{Is_Scx=/a/Nbat}');
Expect(1, 67759, '\p{Is_Scx=nbat}', "");
Expect(0, 67759, '\p{^Is_Scx=nbat}', "");
Expect(0, 67759, '\P{Is_Scx=nbat}', "");
Expect(1, 67759, '\P{^Is_Scx=nbat}', "");
Expect(0, 67760, '\p{Is_Scx=nbat}', "");
Expect(1, 67760, '\p{^Is_Scx=nbat}', "");
Expect(1, 67760, '\P{Is_Scx=nbat}', "");
Expect(0, 67760, '\P{^Is_Scx=nbat}', "");
Expect(1, 67759, '\p{Is_Scx=_ Nbat}', "");
Expect(0, 67759, '\p{^Is_Scx=_ Nbat}', "");
Expect(0, 67759, '\P{Is_Scx=_ Nbat}', "");
Expect(1, 67759, '\P{^Is_Scx=_ Nbat}', "");
Expect(0, 67760, '\p{Is_Scx=_ Nbat}', "");
Expect(1, 67760, '\p{^Is_Scx=_ Nbat}', "");
Expect(1, 67760, '\P{Is_Scx=_ Nbat}', "");
Expect(0, 67760, '\P{^Is_Scx=_ Nbat}', "");
Error('\p{Script_Extensions=:= _NKO}');
Error('\P{Script_Extensions=:= _NKO}');
Expect(1, 2042, '\p{Script_Extensions=nko}', "");
Expect(0, 2042, '\p{^Script_Extensions=nko}', "");
Expect(0, 2042, '\P{Script_Extensions=nko}', "");
Expect(1, 2042, '\P{^Script_Extensions=nko}', "");
Expect(0, 2043, '\p{Script_Extensions=nko}', "");
Expect(1, 2043, '\p{^Script_Extensions=nko}', "");
Expect(1, 2043, '\P{Script_Extensions=nko}', "");
Expect(0, 2043, '\P{^Script_Extensions=nko}', "");
Expect(1, 2042, '\p{Script_Extensions=_ Nko}', "");
Expect(0, 2042, '\p{^Script_Extensions=_ Nko}', "");
Expect(0, 2042, '\P{Script_Extensions=_ Nko}', "");
Expect(1, 2042, '\P{^Script_Extensions=_ Nko}', "");
Expect(0, 2043, '\p{Script_Extensions=_ Nko}', "");
Expect(1, 2043, '\p{^Script_Extensions=_ Nko}', "");
Expect(1, 2043, '\P{Script_Extensions=_ Nko}', "");
Expect(0, 2043, '\P{^Script_Extensions=_ Nko}', "");
Error('\p{Scx=:=	Nkoo}');
Error('\P{Scx=:=	Nkoo}');
Expect(1, 2042, '\p{Scx=nkoo}', "");
Expect(0, 2042, '\p{^Scx=nkoo}', "");
Expect(0, 2042, '\P{Scx=nkoo}', "");
Expect(1, 2042, '\P{^Scx=nkoo}', "");
Expect(0, 2043, '\p{Scx=nkoo}', "");
Expect(1, 2043, '\p{^Scx=nkoo}', "");
Expect(1, 2043, '\P{Scx=nkoo}', "");
Expect(0, 2043, '\P{^Scx=nkoo}', "");
Expect(1, 2042, '\p{Scx=		nkoo}', "");
Expect(0, 2042, '\p{^Scx=		nkoo}', "");
Expect(0, 2042, '\P{Scx=		nkoo}', "");
Expect(1, 2042, '\P{^Scx=		nkoo}', "");
Expect(0, 2043, '\p{Scx=		nkoo}', "");
Expect(1, 2043, '\p{^Scx=		nkoo}', "");
Expect(1, 2043, '\P{Scx=		nkoo}', "");
Expect(0, 2043, '\P{^Scx=		nkoo}', "");
Error('\p{Is_Script_Extensions=-	nko/a/}');
Error('\P{Is_Script_Extensions=-	nko/a/}');
Expect(1, 2042, '\p{Is_Script_Extensions: nko}', "");
Expect(0, 2042, '\p{^Is_Script_Extensions: nko}', "");
Expect(0, 2042, '\P{Is_Script_Extensions: nko}', "");
Expect(1, 2042, '\P{^Is_Script_Extensions: nko}', "");
Expect(0, 2043, '\p{Is_Script_Extensions: nko}', "");
Expect(1, 2043, '\p{^Is_Script_Extensions: nko}', "");
Expect(1, 2043, '\P{Is_Script_Extensions: nko}', "");
Expect(0, 2043, '\P{^Is_Script_Extensions: nko}', "");
Expect(1, 2042, '\p{Is_Script_Extensions:	_NKO}', "");
Expect(0, 2042, '\p{^Is_Script_Extensions:	_NKO}', "");
Expect(0, 2042, '\P{Is_Script_Extensions:	_NKO}', "");
Expect(1, 2042, '\P{^Is_Script_Extensions:	_NKO}', "");
Expect(0, 2043, '\p{Is_Script_Extensions:	_NKO}', "");
Expect(1, 2043, '\p{^Is_Script_Extensions:	_NKO}', "");
Expect(1, 2043, '\P{Is_Script_Extensions:	_NKO}', "");
Expect(0, 2043, '\P{^Is_Script_Extensions:	_NKO}', "");
Error('\p{Is_Scx=:=-Nkoo}');
Error('\P{Is_Scx=:=-Nkoo}');
Expect(1, 2042, '\p{Is_Scx:	nkoo}', "");
Expect(0, 2042, '\p{^Is_Scx:	nkoo}', "");
Expect(0, 2042, '\P{Is_Scx:	nkoo}', "");
Expect(1, 2042, '\P{^Is_Scx:	nkoo}', "");
Expect(0, 2043, '\p{Is_Scx:	nkoo}', "");
Expect(1, 2043, '\p{^Is_Scx:	nkoo}', "");
Expect(1, 2043, '\P{Is_Scx:	nkoo}', "");
Expect(0, 2043, '\P{^Is_Scx:	nkoo}', "");
Expect(1, 2042, '\p{Is_Scx=		NKOO}', "");
Expect(0, 2042, '\p{^Is_Scx=		NKOO}', "");
Expect(0, 2042, '\P{Is_Scx=		NKOO}', "");
Expect(1, 2042, '\P{^Is_Scx=		NKOO}', "");
Expect(0, 2043, '\p{Is_Scx=		NKOO}', "");
Expect(1, 2043, '\p{^Is_Scx=		NKOO}', "");
Expect(1, 2043, '\P{Is_Scx=		NKOO}', "");
Expect(0, 2043, '\P{^Is_Scx=		NKOO}', "");
Error('\p{Script_Extensions= :=Ogham}');
Error('\P{Script_Extensions= :=Ogham}');
Expect(1, 5788, '\p{Script_Extensions=ogham}', "");
Expect(0, 5788, '\p{^Script_Extensions=ogham}', "");
Expect(0, 5788, '\P{Script_Extensions=ogham}', "");
Expect(1, 5788, '\P{^Script_Extensions=ogham}', "");
Expect(0, 5789, '\p{Script_Extensions=ogham}', "");
Expect(1, 5789, '\p{^Script_Extensions=ogham}', "");
Expect(1, 5789, '\P{Script_Extensions=ogham}', "");
Expect(0, 5789, '\P{^Script_Extensions=ogham}', "");
Expect(1, 5788, '\p{Script_Extensions=	Ogham}', "");
Expect(0, 5788, '\p{^Script_Extensions=	Ogham}', "");
Expect(0, 5788, '\P{Script_Extensions=	Ogham}', "");
Expect(1, 5788, '\P{^Script_Extensions=	Ogham}', "");
Expect(0, 5789, '\p{Script_Extensions=	Ogham}', "");
Expect(1, 5789, '\p{^Script_Extensions=	Ogham}', "");
Expect(1, 5789, '\P{Script_Extensions=	Ogham}', "");
Expect(0, 5789, '\P{^Script_Extensions=	Ogham}', "");
Error('\p{Scx=	OGAM/a/}');
Error('\P{Scx=	OGAM/a/}');
Expect(1, 5788, '\p{Scx=ogam}', "");
Expect(0, 5788, '\p{^Scx=ogam}', "");
Expect(0, 5788, '\P{Scx=ogam}', "");
Expect(1, 5788, '\P{^Scx=ogam}', "");
Expect(0, 5789, '\p{Scx=ogam}', "");
Expect(1, 5789, '\p{^Scx=ogam}', "");
Expect(1, 5789, '\P{Scx=ogam}', "");
Expect(0, 5789, '\P{^Scx=ogam}', "");
Expect(1, 5788, '\p{Scx=	Ogam}', "");
Expect(0, 5788, '\p{^Scx=	Ogam}', "");
Expect(0, 5788, '\P{Scx=	Ogam}', "");
Expect(1, 5788, '\P{^Scx=	Ogam}', "");
Expect(0, 5789, '\p{Scx=	Ogam}', "");
Expect(1, 5789, '\p{^Scx=	Ogam}', "");
Expect(1, 5789, '\P{Scx=	Ogam}', "");
Expect(0, 5789, '\P{^Scx=	Ogam}', "");
Error('\p{Is_Script_Extensions=/a/Ogham}');
Error('\P{Is_Script_Extensions=/a/Ogham}');
Expect(1, 5788, '\p{Is_Script_Extensions=ogham}', "");
Expect(0, 5788, '\p{^Is_Script_Extensions=ogham}', "");
Expect(0, 5788, '\P{Is_Script_Extensions=ogham}', "");
Expect(1, 5788, '\P{^Is_Script_Extensions=ogham}', "");
Expect(0, 5789, '\p{Is_Script_Extensions=ogham}', "");
Expect(1, 5789, '\p{^Is_Script_Extensions=ogham}', "");
Expect(1, 5789, '\P{Is_Script_Extensions=ogham}', "");
Expect(0, 5789, '\P{^Is_Script_Extensions=ogham}', "");
Expect(1, 5788, '\p{Is_Script_Extensions=	-OGHAM}', "");
Expect(0, 5788, '\p{^Is_Script_Extensions=	-OGHAM}', "");
Expect(0, 5788, '\P{Is_Script_Extensions=	-OGHAM}', "");
Expect(1, 5788, '\P{^Is_Script_Extensions=	-OGHAM}', "");
Expect(0, 5789, '\p{Is_Script_Extensions=	-OGHAM}', "");
Expect(1, 5789, '\p{^Is_Script_Extensions=	-OGHAM}', "");
Expect(1, 5789, '\P{Is_Script_Extensions=	-OGHAM}', "");
Expect(0, 5789, '\P{^Is_Script_Extensions=	-OGHAM}', "");
Error('\p{Is_Scx=__Ogam/a/}');
Error('\P{Is_Scx=__Ogam/a/}');
Expect(1, 5788, '\p{Is_Scx=ogam}', "");
Expect(0, 5788, '\p{^Is_Scx=ogam}', "");
Expect(0, 5788, '\P{Is_Scx=ogam}', "");
Expect(1, 5788, '\P{^Is_Scx=ogam}', "");
Expect(0, 5789, '\p{Is_Scx=ogam}', "");
Expect(1, 5789, '\p{^Is_Scx=ogam}', "");
Expect(1, 5789, '\P{Is_Scx=ogam}', "");
Expect(0, 5789, '\P{^Is_Scx=ogam}', "");
Expect(1, 5788, '\p{Is_Scx=_ Ogam}', "");
Expect(0, 5788, '\p{^Is_Scx=_ Ogam}', "");
Expect(0, 5788, '\P{Is_Scx=_ Ogam}', "");
Expect(1, 5788, '\P{^Is_Scx=_ Ogam}', "");
Expect(0, 5789, '\p{Is_Scx=_ Ogam}', "");
Expect(1, 5789, '\p{^Is_Scx=_ Ogam}', "");
Expect(1, 5789, '\P{Is_Scx=_ Ogam}', "");
Expect(0, 5789, '\P{^Is_Scx=_ Ogam}', "");
Error('\p{Script_Extensions=/a/__ol_Chiki}');
Error('\P{Script_Extensions=/a/__ol_Chiki}');
Expect(1, 7295, '\p{Script_Extensions=olchiki}', "");
Expect(0, 7295, '\p{^Script_Extensions=olchiki}', "");
Expect(0, 7295, '\P{Script_Extensions=olchiki}', "");
Expect(1, 7295, '\P{^Script_Extensions=olchiki}', "");
Expect(0, 7296, '\p{Script_Extensions=olchiki}', "");
Expect(1, 7296, '\p{^Script_Extensions=olchiki}', "");
Expect(1, 7296, '\P{Script_Extensions=olchiki}', "");
Expect(0, 7296, '\P{^Script_Extensions=olchiki}', "");
Expect(1, 7295, '\p{Script_Extensions=_	Ol_Chiki}', "");
Expect(0, 7295, '\p{^Script_Extensions=_	Ol_Chiki}', "");
Expect(0, 7295, '\P{Script_Extensions=_	Ol_Chiki}', "");
Expect(1, 7295, '\P{^Script_Extensions=_	Ol_Chiki}', "");
Expect(0, 7296, '\p{Script_Extensions=_	Ol_Chiki}', "");
Expect(1, 7296, '\p{^Script_Extensions=_	Ol_Chiki}', "");
Expect(1, 7296, '\P{Script_Extensions=_	Ol_Chiki}', "");
Expect(0, 7296, '\P{^Script_Extensions=_	Ol_Chiki}', "");
Error('\p{Scx::=_	Olck}');
Error('\P{Scx::=_	Olck}');
Expect(1, 7295, '\p{Scx=olck}', "");
Expect(0, 7295, '\p{^Scx=olck}', "");
Expect(0, 7295, '\P{Scx=olck}', "");
Expect(1, 7295, '\P{^Scx=olck}', "");
Expect(0, 7296, '\p{Scx=olck}', "");
Expect(1, 7296, '\p{^Scx=olck}', "");
Expect(1, 7296, '\P{Scx=olck}', "");
Expect(0, 7296, '\P{^Scx=olck}', "");
Expect(1, 7295, '\p{Scx=	 Olck}', "");
Expect(0, 7295, '\p{^Scx=	 Olck}', "");
Expect(0, 7295, '\P{Scx=	 Olck}', "");
Expect(1, 7295, '\P{^Scx=	 Olck}', "");
Expect(0, 7296, '\p{Scx=	 Olck}', "");
Expect(1, 7296, '\p{^Scx=	 Olck}', "");
Expect(1, 7296, '\P{Scx=	 Olck}', "");
Expect(0, 7296, '\P{^Scx=	 Olck}', "");
Error('\p{Is_Script_Extensions=:=__Ol_Chiki}');
Error('\P{Is_Script_Extensions=:=__Ol_Chiki}');
Expect(1, 7295, '\p{Is_Script_Extensions=olchiki}', "");
Expect(0, 7295, '\p{^Is_Script_Extensions=olchiki}', "");
Expect(0, 7295, '\P{Is_Script_Extensions=olchiki}', "");
Expect(1, 7295, '\P{^Is_Script_Extensions=olchiki}', "");
Expect(0, 7296, '\p{Is_Script_Extensions=olchiki}', "");
Expect(1, 7296, '\p{^Is_Script_Extensions=olchiki}', "");
Expect(1, 7296, '\P{Is_Script_Extensions=olchiki}', "");
Expect(0, 7296, '\P{^Is_Script_Extensions=olchiki}', "");
Expect(1, 7295, '\p{Is_Script_Extensions=	OL_CHIKI}', "");
Expect(0, 7295, '\p{^Is_Script_Extensions=	OL_CHIKI}', "");
Expect(0, 7295, '\P{Is_Script_Extensions=	OL_CHIKI}', "");
Expect(1, 7295, '\P{^Is_Script_Extensions=	OL_CHIKI}', "");
Expect(0, 7296, '\p{Is_Script_Extensions=	OL_CHIKI}', "");
Expect(1, 7296, '\p{^Is_Script_Extensions=	OL_CHIKI}', "");
Expect(1, 7296, '\P{Is_Script_Extensions=	OL_CHIKI}', "");
Expect(0, 7296, '\P{^Is_Script_Extensions=	OL_CHIKI}', "");
Error('\p{Is_Scx=/a/	_OLCK}');
Error('\P{Is_Scx=/a/	_OLCK}');
Expect(1, 7295, '\p{Is_Scx=olck}', "");
Expect(0, 7295, '\p{^Is_Scx=olck}', "");
Expect(0, 7295, '\P{Is_Scx=olck}', "");
Expect(1, 7295, '\P{^Is_Scx=olck}', "");
Expect(0, 7296, '\p{Is_Scx=olck}', "");
Expect(1, 7296, '\p{^Is_Scx=olck}', "");
Expect(1, 7296, '\P{Is_Scx=olck}', "");
Expect(0, 7296, '\P{^Is_Scx=olck}', "");
Expect(1, 7295, '\p{Is_Scx=	 Olck}', "");
Expect(0, 7295, '\p{^Is_Scx=	 Olck}', "");
Expect(0, 7295, '\P{Is_Scx=	 Olck}', "");
Expect(1, 7295, '\P{^Is_Scx=	 Olck}', "");
Expect(0, 7296, '\p{Is_Scx=	 Olck}', "");
Expect(1, 7296, '\p{^Is_Scx=	 Olck}', "");
Expect(1, 7296, '\P{Is_Scx=	 Olck}', "");
Expect(0, 7296, '\P{^Is_Scx=	 Olck}', "");
Error('\p{Script_Extensions=	 old_Turkic/a/}');
Error('\P{Script_Extensions=	 old_Turkic/a/}');
Expect(1, 68680, '\p{Script_Extensions=oldturkic}', "");
Expect(0, 68680, '\p{^Script_Extensions=oldturkic}', "");
Expect(0, 68680, '\P{Script_Extensions=oldturkic}', "");
Expect(1, 68680, '\P{^Script_Extensions=oldturkic}', "");
Expect(0, 68681, '\p{Script_Extensions=oldturkic}', "");
Expect(1, 68681, '\p{^Script_Extensions=oldturkic}', "");
Expect(1, 68681, '\P{Script_Extensions=oldturkic}', "");
Expect(0, 68681, '\P{^Script_Extensions=oldturkic}', "");
Expect(1, 68680, '\p{Script_Extensions=_old_turkic}', "");
Expect(0, 68680, '\p{^Script_Extensions=_old_turkic}', "");
Expect(0, 68680, '\P{Script_Extensions=_old_turkic}', "");
Expect(1, 68680, '\P{^Script_Extensions=_old_turkic}', "");
Expect(0, 68681, '\p{Script_Extensions=_old_turkic}', "");
Expect(1, 68681, '\p{^Script_Extensions=_old_turkic}', "");
Expect(1, 68681, '\P{Script_Extensions=_old_turkic}', "");
Expect(0, 68681, '\P{^Script_Extensions=_old_turkic}', "");
Error('\p{Scx=:=-orkh}');
Error('\P{Scx=:=-orkh}');
Expect(1, 68680, '\p{Scx=orkh}', "");
Expect(0, 68680, '\p{^Scx=orkh}', "");
Expect(0, 68680, '\P{Scx=orkh}', "");
Expect(1, 68680, '\P{^Scx=orkh}', "");
Expect(0, 68681, '\p{Scx=orkh}', "");
Expect(1, 68681, '\p{^Scx=orkh}', "");
Expect(1, 68681, '\P{Scx=orkh}', "");
Expect(0, 68681, '\P{^Scx=orkh}', "");
Expect(1, 68680, '\p{Scx= 	Orkh}', "");
Expect(0, 68680, '\p{^Scx= 	Orkh}', "");
Expect(0, 68680, '\P{Scx= 	Orkh}', "");
Expect(1, 68680, '\P{^Scx= 	Orkh}', "");
Expect(0, 68681, '\p{Scx= 	Orkh}', "");
Expect(1, 68681, '\p{^Scx= 	Orkh}', "");
Expect(1, 68681, '\P{Scx= 	Orkh}', "");
Expect(0, 68681, '\P{^Scx= 	Orkh}', "");
Error('\p{Is_Script_Extensions=	:=Old_TURKIC}');
Error('\P{Is_Script_Extensions=	:=Old_TURKIC}');
Expect(1, 68680, '\p{Is_Script_Extensions=oldturkic}', "");
Expect(0, 68680, '\p{^Is_Script_Extensions=oldturkic}', "");
Expect(0, 68680, '\P{Is_Script_Extensions=oldturkic}', "");
Expect(1, 68680, '\P{^Is_Script_Extensions=oldturkic}', "");
Expect(0, 68681, '\p{Is_Script_Extensions=oldturkic}', "");
Expect(1, 68681, '\p{^Is_Script_Extensions=oldturkic}', "");
Expect(1, 68681, '\P{Is_Script_Extensions=oldturkic}', "");
Expect(0, 68681, '\P{^Is_Script_Extensions=oldturkic}', "");
Expect(1, 68680, '\p{Is_Script_Extensions= 	Old_Turkic}', "");
Expect(0, 68680, '\p{^Is_Script_Extensions= 	Old_Turkic}', "");
Expect(0, 68680, '\P{Is_Script_Extensions= 	Old_Turkic}', "");
Expect(1, 68680, '\P{^Is_Script_Extensions= 	Old_Turkic}', "");
Expect(0, 68681, '\p{Is_Script_Extensions= 	Old_Turkic}', "");
Expect(1, 68681, '\p{^Is_Script_Extensions= 	Old_Turkic}', "");
Expect(1, 68681, '\P{Is_Script_Extensions= 	Old_Turkic}', "");
Expect(0, 68681, '\P{^Is_Script_Extensions= 	Old_Turkic}', "");
Error('\p{Is_Scx=:=Orkh}');
Error('\P{Is_Scx=:=Orkh}');
Expect(1, 68680, '\p{Is_Scx=orkh}', "");
Expect(0, 68680, '\p{^Is_Scx=orkh}', "");
Expect(0, 68680, '\P{Is_Scx=orkh}', "");
Expect(1, 68680, '\P{^Is_Scx=orkh}', "");
Expect(0, 68681, '\p{Is_Scx=orkh}', "");
Expect(1, 68681, '\p{^Is_Scx=orkh}', "");
Expect(1, 68681, '\P{Is_Scx=orkh}', "");
Expect(0, 68681, '\P{^Is_Scx=orkh}', "");
Expect(1, 68680, '\p{Is_Scx= -ORKH}', "");
Expect(0, 68680, '\p{^Is_Scx= -ORKH}', "");
Expect(0, 68680, '\P{Is_Scx= -ORKH}', "");
Expect(1, 68680, '\P{^Is_Scx= -ORKH}', "");
Expect(0, 68681, '\p{Is_Scx= -ORKH}', "");
Expect(1, 68681, '\p{^Is_Scx= -ORKH}', "");
Expect(1, 68681, '\P{Is_Scx= -ORKH}', "");
Expect(0, 68681, '\P{^Is_Scx= -ORKH}', "");
Error('\p{Script_Extensions: /a/	 oriya}');
Error('\P{Script_Extensions: /a/	 oriya}');
Expect(1, 2935, '\p{Script_Extensions=oriya}', "");
Expect(0, 2935, '\p{^Script_Extensions=oriya}', "");
Expect(0, 2935, '\P{Script_Extensions=oriya}', "");
Expect(1, 2935, '\P{^Script_Extensions=oriya}', "");
Expect(0, 2936, '\p{Script_Extensions=oriya}', "");
Expect(1, 2936, '\p{^Script_Extensions=oriya}', "");
Expect(1, 2936, '\P{Script_Extensions=oriya}', "");
Expect(0, 2936, '\P{^Script_Extensions=oriya}', "");
Expect(1, 2935, '\p{Script_Extensions=	 Oriya}', "");
Expect(0, 2935, '\p{^Script_Extensions=	 Oriya}', "");
Expect(0, 2935, '\P{Script_Extensions=	 Oriya}', "");
Expect(1, 2935, '\P{^Script_Extensions=	 Oriya}', "");
Expect(0, 2936, '\p{Script_Extensions=	 Oriya}', "");
Expect(1, 2936, '\p{^Script_Extensions=	 Oriya}', "");
Expect(1, 2936, '\P{Script_Extensions=	 Oriya}', "");
Expect(0, 2936, '\P{^Script_Extensions=	 Oriya}', "");
Error('\p{Scx= -Orya/a/}');
Error('\P{Scx= -Orya/a/}');
Expect(1, 2935, '\p{Scx=orya}', "");
Expect(0, 2935, '\p{^Scx=orya}', "");
Expect(0, 2935, '\P{Scx=orya}', "");
Expect(1, 2935, '\P{^Scx=orya}', "");
Expect(0, 2936, '\p{Scx=orya}', "");
Expect(1, 2936, '\p{^Scx=orya}', "");
Expect(1, 2936, '\P{Scx=orya}', "");
Expect(0, 2936, '\P{^Scx=orya}', "");
Expect(1, 2935, '\p{Scx=  Orya}', "");
Expect(0, 2935, '\p{^Scx=  Orya}', "");
Expect(0, 2935, '\P{Scx=  Orya}', "");
Expect(1, 2935, '\P{^Scx=  Orya}', "");
Expect(0, 2936, '\p{Scx=  Orya}', "");
Expect(1, 2936, '\p{^Scx=  Orya}', "");
Expect(1, 2936, '\P{Scx=  Orya}', "");
Expect(0, 2936, '\P{^Scx=  Orya}', "");
Error('\p{Is_Script_Extensions=:=Oriya}');
Error('\P{Is_Script_Extensions=:=Oriya}');
Expect(1, 2935, '\p{Is_Script_Extensions:	oriya}', "");
Expect(0, 2935, '\p{^Is_Script_Extensions:	oriya}', "");
Expect(0, 2935, '\P{Is_Script_Extensions:	oriya}', "");
Expect(1, 2935, '\P{^Is_Script_Extensions:	oriya}', "");
Expect(0, 2936, '\p{Is_Script_Extensions:	oriya}', "");
Expect(1, 2936, '\p{^Is_Script_Extensions:	oriya}', "");
Expect(1, 2936, '\P{Is_Script_Extensions:	oriya}', "");
Expect(0, 2936, '\P{^Is_Script_Extensions:	oriya}', "");
Expect(1, 2935, '\p{Is_Script_Extensions=_ORIYA}', "");
Expect(0, 2935, '\p{^Is_Script_Extensions=_ORIYA}', "");
Expect(0, 2935, '\P{Is_Script_Extensions=_ORIYA}', "");
Expect(1, 2935, '\P{^Is_Script_Extensions=_ORIYA}', "");
Expect(0, 2936, '\p{Is_Script_Extensions=_ORIYA}', "");
Expect(1, 2936, '\p{^Is_Script_Extensions=_ORIYA}', "");
Expect(1, 2936, '\P{Is_Script_Extensions=_ORIYA}', "");
Expect(0, 2936, '\P{^Is_Script_Extensions=_ORIYA}', "");
Error('\p{Is_Scx=	 Orya:=}');
Error('\P{Is_Scx=	 Orya:=}');
Expect(1, 2935, '\p{Is_Scx=orya}', "");
Expect(0, 2935, '\p{^Is_Scx=orya}', "");
Expect(0, 2935, '\P{Is_Scx=orya}', "");
Expect(1, 2935, '\P{^Is_Scx=orya}', "");
Expect(0, 2936, '\p{Is_Scx=orya}', "");
Expect(1, 2936, '\p{^Is_Scx=orya}', "");
Expect(1, 2936, '\P{Is_Scx=orya}', "");
Expect(0, 2936, '\P{^Is_Scx=orya}', "");
Expect(1, 2935, '\p{Is_Scx=_	ORYA}', "");
Expect(0, 2935, '\p{^Is_Scx=_	ORYA}', "");
Expect(0, 2935, '\P{Is_Scx=_	ORYA}', "");
Expect(1, 2935, '\P{^Is_Scx=_	ORYA}', "");
Expect(0, 2936, '\p{Is_Scx=_	ORYA}', "");
Expect(1, 2936, '\p{^Is_Scx=_	ORYA}', "");
Expect(1, 2936, '\P{Is_Scx=_	ORYA}', "");
Expect(0, 2936, '\P{^Is_Scx=_	ORYA}', "");
Error('\p{Script_Extensions=/a/	-osmanya}');
Error('\P{Script_Extensions=/a/	-osmanya}');
Expect(1, 66729, '\p{Script_Extensions=osmanya}', "");
Expect(0, 66729, '\p{^Script_Extensions=osmanya}', "");
Expect(0, 66729, '\P{Script_Extensions=osmanya}', "");
Expect(1, 66729, '\P{^Script_Extensions=osmanya}', "");
Expect(0, 66730, '\p{Script_Extensions=osmanya}', "");
Expect(1, 66730, '\p{^Script_Extensions=osmanya}', "");
Expect(1, 66730, '\P{Script_Extensions=osmanya}', "");
Expect(0, 66730, '\P{^Script_Extensions=osmanya}', "");
Expect(1, 66729, '\p{Script_Extensions=_osmanya}', "");
Expect(0, 66729, '\p{^Script_Extensions=_osmanya}', "");
Expect(0, 66729, '\P{Script_Extensions=_osmanya}', "");
Expect(1, 66729, '\P{^Script_Extensions=_osmanya}', "");
Expect(0, 66730, '\p{Script_Extensions=_osmanya}', "");
Expect(1, 66730, '\p{^Script_Extensions=_osmanya}', "");
Expect(1, 66730, '\P{Script_Extensions=_osmanya}', "");
Expect(0, 66730, '\P{^Script_Extensions=_osmanya}', "");
Error('\p{Scx=Osma/a/}');
Error('\P{Scx=Osma/a/}');
Expect(1, 66729, '\p{Scx=osma}', "");
Expect(0, 66729, '\p{^Scx=osma}', "");
Expect(0, 66729, '\P{Scx=osma}', "");
Expect(1, 66729, '\P{^Scx=osma}', "");
Expect(0, 66730, '\p{Scx=osma}', "");
Expect(1, 66730, '\p{^Scx=osma}', "");
Expect(1, 66730, '\P{Scx=osma}', "");
Expect(0, 66730, '\P{^Scx=osma}', "");
Expect(1, 66729, '\p{Scx= 	OSMA}', "");
Expect(0, 66729, '\p{^Scx= 	OSMA}', "");
Expect(0, 66729, '\P{Scx= 	OSMA}', "");
Expect(1, 66729, '\P{^Scx= 	OSMA}', "");
Expect(0, 66730, '\p{Scx= 	OSMA}', "");
Expect(1, 66730, '\p{^Scx= 	OSMA}', "");
Expect(1, 66730, '\P{Scx= 	OSMA}', "");
Expect(0, 66730, '\P{^Scx= 	OSMA}', "");
Error('\p{Is_Script_Extensions=_:=Osmanya}');
Error('\P{Is_Script_Extensions=_:=Osmanya}');
Expect(1, 66729, '\p{Is_Script_Extensions=osmanya}', "");
Expect(0, 66729, '\p{^Is_Script_Extensions=osmanya}', "");
Expect(0, 66729, '\P{Is_Script_Extensions=osmanya}', "");
Expect(1, 66729, '\P{^Is_Script_Extensions=osmanya}', "");
Expect(0, 66730, '\p{Is_Script_Extensions=osmanya}', "");
Expect(1, 66730, '\p{^Is_Script_Extensions=osmanya}', "");
Expect(1, 66730, '\P{Is_Script_Extensions=osmanya}', "");
Expect(0, 66730, '\P{^Is_Script_Extensions=osmanya}', "");
Expect(1, 66729, '\p{Is_Script_Extensions= 	Osmanya}', "");
Expect(0, 66729, '\p{^Is_Script_Extensions= 	Osmanya}', "");
Expect(0, 66729, '\P{Is_Script_Extensions= 	Osmanya}', "");
Expect(1, 66729, '\P{^Is_Script_Extensions= 	Osmanya}', "");
Expect(0, 66730, '\p{Is_Script_Extensions= 	Osmanya}', "");
Expect(1, 66730, '\p{^Is_Script_Extensions= 	Osmanya}', "");
Expect(1, 66730, '\P{Is_Script_Extensions= 	Osmanya}', "");
Expect(0, 66730, '\P{^Is_Script_Extensions= 	Osmanya}', "");
Error('\p{Is_Scx:   :=-osma}');
Error('\P{Is_Scx:   :=-osma}');
Expect(1, 66729, '\p{Is_Scx=osma}', "");
Expect(0, 66729, '\p{^Is_Scx=osma}', "");
Expect(0, 66729, '\P{Is_Scx=osma}', "");
Expect(1, 66729, '\P{^Is_Scx=osma}', "");
Expect(0, 66730, '\p{Is_Scx=osma}', "");
Expect(1, 66730, '\p{^Is_Scx=osma}', "");
Expect(1, 66730, '\P{Is_Scx=osma}', "");
Expect(0, 66730, '\P{^Is_Scx=osma}', "");
Expect(1, 66729, '\p{Is_Scx=-Osma}', "");
Expect(0, 66729, '\p{^Is_Scx=-Osma}', "");
Expect(0, 66729, '\P{Is_Scx=-Osma}', "");
Expect(1, 66729, '\P{^Is_Scx=-Osma}', "");
Expect(0, 66730, '\p{Is_Scx=-Osma}', "");
Expect(1, 66730, '\p{^Is_Scx=-Osma}', "");
Expect(1, 66730, '\P{Is_Scx=-Osma}', "");
Expect(0, 66730, '\P{^Is_Scx=-Osma}', "");
Error('\p{Script_Extensions= 	PALMYRENE:=}');
Error('\P{Script_Extensions= 	PALMYRENE:=}');
Expect(1, 67711, '\p{Script_Extensions=palmyrene}', "");
Expect(0, 67711, '\p{^Script_Extensions=palmyrene}', "");
Expect(0, 67711, '\P{Script_Extensions=palmyrene}', "");
Expect(1, 67711, '\P{^Script_Extensions=palmyrene}', "");
Expect(0, 67712, '\p{Script_Extensions=palmyrene}', "");
Expect(1, 67712, '\p{^Script_Extensions=palmyrene}', "");
Expect(1, 67712, '\P{Script_Extensions=palmyrene}', "");
Expect(0, 67712, '\P{^Script_Extensions=palmyrene}', "");
Expect(1, 67711, '\p{Script_Extensions:_ Palmyrene}', "");
Expect(0, 67711, '\p{^Script_Extensions:_ Palmyrene}', "");
Expect(0, 67711, '\P{Script_Extensions:_ Palmyrene}', "");
Expect(1, 67711, '\P{^Script_Extensions:_ Palmyrene}', "");
Expect(0, 67712, '\p{Script_Extensions:_ Palmyrene}', "");
Expect(1, 67712, '\p{^Script_Extensions:_ Palmyrene}', "");
Expect(1, 67712, '\P{Script_Extensions:_ Palmyrene}', "");
Expect(0, 67712, '\P{^Script_Extensions:_ Palmyrene}', "");
Error('\p{Scx=:=palm}');
Error('\P{Scx=:=palm}');
Expect(1, 67711, '\p{Scx:palm}', "");
Expect(0, 67711, '\p{^Scx:palm}', "");
Expect(0, 67711, '\P{Scx:palm}', "");
Expect(1, 67711, '\P{^Scx:palm}', "");
Expect(0, 67712, '\p{Scx:palm}', "");
Expect(1, 67712, '\p{^Scx:palm}', "");
Expect(1, 67712, '\P{Scx:palm}', "");
Expect(0, 67712, '\P{^Scx:palm}', "");
Expect(1, 67711, '\p{Scx=_ Palm}', "");
Expect(0, 67711, '\p{^Scx=_ Palm}', "");
Expect(0, 67711, '\P{Scx=_ Palm}', "");
Expect(1, 67711, '\P{^Scx=_ Palm}', "");
Expect(0, 67712, '\p{Scx=_ Palm}', "");
Expect(1, 67712, '\p{^Scx=_ Palm}', "");
Expect(1, 67712, '\P{Scx=_ Palm}', "");
Expect(0, 67712, '\P{^Scx=_ Palm}', "");
Error('\p{Is_Script_Extensions=	:=Palmyrene}');
Error('\P{Is_Script_Extensions=	:=Palmyrene}');
Expect(1, 67711, '\p{Is_Script_Extensions=palmyrene}', "");
Expect(0, 67711, '\p{^Is_Script_Extensions=palmyrene}', "");
Expect(0, 67711, '\P{Is_Script_Extensions=palmyrene}', "");
Expect(1, 67711, '\P{^Is_Script_Extensions=palmyrene}', "");
Expect(0, 67712, '\p{Is_Script_Extensions=palmyrene}', "");
Expect(1, 67712, '\p{^Is_Script_Extensions=palmyrene}', "");
Expect(1, 67712, '\P{Is_Script_Extensions=palmyrene}', "");
Expect(0, 67712, '\P{^Is_Script_Extensions=palmyrene}', "");
Expect(1, 67711, '\p{Is_Script_Extensions:   _palmyrene}', "");
Expect(0, 67711, '\p{^Is_Script_Extensions:   _palmyrene}', "");
Expect(0, 67711, '\P{Is_Script_Extensions:   _palmyrene}', "");
Expect(1, 67711, '\P{^Is_Script_Extensions:   _palmyrene}', "");
Expect(0, 67712, '\p{Is_Script_Extensions:   _palmyrene}', "");
Expect(1, 67712, '\p{^Is_Script_Extensions:   _palmyrene}', "");
Expect(1, 67712, '\P{Is_Script_Extensions:   _palmyrene}', "");
Expect(0, 67712, '\P{^Is_Script_Extensions:   _palmyrene}', "");
Error('\p{Is_Scx=/a/Palm}');
Error('\P{Is_Scx=/a/Palm}');
Expect(1, 67711, '\p{Is_Scx=palm}', "");
Expect(0, 67711, '\p{^Is_Scx=palm}', "");
Expect(0, 67711, '\P{Is_Scx=palm}', "");
Expect(1, 67711, '\P{^Is_Scx=palm}', "");
Expect(0, 67712, '\p{Is_Scx=palm}', "");
Expect(1, 67712, '\p{^Is_Scx=palm}', "");
Expect(1, 67712, '\P{Is_Scx=palm}', "");
Expect(0, 67712, '\P{^Is_Scx=palm}', "");
Expect(1, 67711, '\p{Is_Scx=	-Palm}', "");
Expect(0, 67711, '\p{^Is_Scx=	-Palm}', "");
Expect(0, 67711, '\P{Is_Scx=	-Palm}', "");
Expect(1, 67711, '\P{^Is_Scx=	-Palm}', "");
Expect(0, 67712, '\p{Is_Scx=	-Palm}', "");
Expect(1, 67712, '\p{^Is_Scx=	-Palm}', "");
Expect(1, 67712, '\P{Is_Scx=	-Palm}', "");
Expect(0, 67712, '\P{^Is_Scx=	-Palm}', "");
Error('\p{Script_Extensions=		PAU_cin_Hau/a/}');
Error('\P{Script_Extensions=		PAU_cin_Hau/a/}');
Expect(1, 72440, '\p{Script_Extensions=paucinhau}', "");
Expect(0, 72440, '\p{^Script_Extensions=paucinhau}', "");
Expect(0, 72440, '\P{Script_Extensions=paucinhau}', "");
Expect(1, 72440, '\P{^Script_Extensions=paucinhau}', "");
Expect(0, 72441, '\p{Script_Extensions=paucinhau}', "");
Expect(1, 72441, '\p{^Script_Extensions=paucinhau}', "");
Expect(1, 72441, '\P{Script_Extensions=paucinhau}', "");
Expect(0, 72441, '\P{^Script_Extensions=paucinhau}', "");
Expect(1, 72440, '\p{Script_Extensions= -Pau_Cin_HAU}', "");
Expect(0, 72440, '\p{^Script_Extensions= -Pau_Cin_HAU}', "");
Expect(0, 72440, '\P{Script_Extensions= -Pau_Cin_HAU}', "");
Expect(1, 72440, '\P{^Script_Extensions= -Pau_Cin_HAU}', "");
Expect(0, 72441, '\p{Script_Extensions= -Pau_Cin_HAU}', "");
Expect(1, 72441, '\p{^Script_Extensions= -Pau_Cin_HAU}', "");
Expect(1, 72441, '\P{Script_Extensions= -Pau_Cin_HAU}', "");
Expect(0, 72441, '\P{^Script_Extensions= -Pau_Cin_HAU}', "");
Error('\p{Scx=_Pauc/a/}');
Error('\P{Scx=_Pauc/a/}');
Expect(1, 72440, '\p{Scx=pauc}', "");
Expect(0, 72440, '\p{^Scx=pauc}', "");
Expect(0, 72440, '\P{Scx=pauc}', "");
Expect(1, 72440, '\P{^Scx=pauc}', "");
Expect(0, 72441, '\p{Scx=pauc}', "");
Expect(1, 72441, '\p{^Scx=pauc}', "");
Expect(1, 72441, '\P{Scx=pauc}', "");
Expect(0, 72441, '\P{^Scx=pauc}', "");
Expect(1, 72440, '\p{Scx=- PAUC}', "");
Expect(0, 72440, '\p{^Scx=- PAUC}', "");
Expect(0, 72440, '\P{Scx=- PAUC}', "");
Expect(1, 72440, '\P{^Scx=- PAUC}', "");
Expect(0, 72441, '\p{Scx=- PAUC}', "");
Expect(1, 72441, '\p{^Scx=- PAUC}', "");
Expect(1, 72441, '\P{Scx=- PAUC}', "");
Expect(0, 72441, '\P{^Scx=- PAUC}', "");
Error('\p{Is_Script_Extensions=_Pau_CIN_Hau:=}');
Error('\P{Is_Script_Extensions=_Pau_CIN_Hau:=}');
Expect(1, 72440, '\p{Is_Script_Extensions=paucinhau}', "");
Expect(0, 72440, '\p{^Is_Script_Extensions=paucinhau}', "");
Expect(0, 72440, '\P{Is_Script_Extensions=paucinhau}', "");
Expect(1, 72440, '\P{^Is_Script_Extensions=paucinhau}', "");
Expect(0, 72441, '\p{Is_Script_Extensions=paucinhau}', "");
Expect(1, 72441, '\p{^Is_Script_Extensions=paucinhau}', "");
Expect(1, 72441, '\P{Is_Script_Extensions=paucinhau}', "");
Expect(0, 72441, '\P{^Is_Script_Extensions=paucinhau}', "");
Expect(1, 72440, '\p{Is_Script_Extensions=	-Pau_cin_Hau}', "");
Expect(0, 72440, '\p{^Is_Script_Extensions=	-Pau_cin_Hau}', "");
Expect(0, 72440, '\P{Is_Script_Extensions=	-Pau_cin_Hau}', "");
Expect(1, 72440, '\P{^Is_Script_Extensions=	-Pau_cin_Hau}', "");
Expect(0, 72441, '\p{Is_Script_Extensions=	-Pau_cin_Hau}', "");
Expect(1, 72441, '\p{^Is_Script_Extensions=	-Pau_cin_Hau}', "");
Expect(1, 72441, '\P{Is_Script_Extensions=	-Pau_cin_Hau}', "");
Expect(0, 72441, '\P{^Is_Script_Extensions=	-Pau_cin_Hau}', "");
Error('\p{Is_Scx=:=PAUC}');
Error('\P{Is_Scx=:=PAUC}');
Expect(1, 72440, '\p{Is_Scx=pauc}', "");
Expect(0, 72440, '\p{^Is_Scx=pauc}', "");
Expect(0, 72440, '\P{Is_Scx=pauc}', "");
Expect(1, 72440, '\P{^Is_Scx=pauc}', "");
Expect(0, 72441, '\p{Is_Scx=pauc}', "");
Expect(1, 72441, '\p{^Is_Scx=pauc}', "");
Expect(1, 72441, '\P{Is_Scx=pauc}', "");
Expect(0, 72441, '\P{^Is_Scx=pauc}', "");
Expect(1, 72440, '\p{Is_Scx=  Pauc}', "");
Expect(0, 72440, '\p{^Is_Scx=  Pauc}', "");
Expect(0, 72440, '\P{Is_Scx=  Pauc}', "");
Expect(1, 72440, '\P{^Is_Scx=  Pauc}', "");
Expect(0, 72441, '\p{Is_Scx=  Pauc}', "");
Expect(1, 72441, '\p{^Is_Scx=  Pauc}', "");
Expect(1, 72441, '\P{Is_Scx=  Pauc}', "");
Expect(0, 72441, '\P{^Is_Scx=  Pauc}', "");
Error('\p{Script_Extensions:	:=OLD_permic}');
Error('\P{Script_Extensions:	:=OLD_permic}');
Expect(1, 66426, '\p{Script_Extensions:   oldpermic}', "");
Expect(0, 66426, '\p{^Script_Extensions:   oldpermic}', "");
Expect(0, 66426, '\P{Script_Extensions:   oldpermic}', "");
Expect(1, 66426, '\P{^Script_Extensions:   oldpermic}', "");
Expect(0, 66427, '\p{Script_Extensions:   oldpermic}', "");
Expect(1, 66427, '\p{^Script_Extensions:   oldpermic}', "");
Expect(1, 66427, '\P{Script_Extensions:   oldpermic}', "");
Expect(0, 66427, '\P{^Script_Extensions:   oldpermic}', "");
Expect(1, 66426, '\p{Script_Extensions= -Old_PERMIC}', "");
Expect(0, 66426, '\p{^Script_Extensions= -Old_PERMIC}', "");
Expect(0, 66426, '\P{Script_Extensions= -Old_PERMIC}', "");
Expect(1, 66426, '\P{^Script_Extensions= -Old_PERMIC}', "");
Expect(0, 66427, '\p{Script_Extensions= -Old_PERMIC}', "");
Expect(1, 66427, '\p{^Script_Extensions= -Old_PERMIC}', "");
Expect(1, 66427, '\P{Script_Extensions= -Old_PERMIC}', "");
Expect(0, 66427, '\P{^Script_Extensions= -Old_PERMIC}', "");
Error('\p{Scx=_:=Perm}');
Error('\P{Scx=_:=Perm}');
Expect(1, 66426, '\p{Scx=perm}', "");
Expect(0, 66426, '\p{^Scx=perm}', "");
Expect(0, 66426, '\P{Scx=perm}', "");
Expect(1, 66426, '\P{^Scx=perm}', "");
Expect(0, 66427, '\p{Scx=perm}', "");
Expect(1, 66427, '\p{^Scx=perm}', "");
Expect(1, 66427, '\P{Scx=perm}', "");
Expect(0, 66427, '\P{^Scx=perm}', "");
Expect(1, 66426, '\p{Scx= 	PERM}', "");
Expect(0, 66426, '\p{^Scx= 	PERM}', "");
Expect(0, 66426, '\P{Scx= 	PERM}', "");
Expect(1, 66426, '\P{^Scx= 	PERM}', "");
Expect(0, 66427, '\p{Scx= 	PERM}', "");
Expect(1, 66427, '\p{^Scx= 	PERM}', "");
Expect(1, 66427, '\P{Scx= 	PERM}', "");
Expect(0, 66427, '\P{^Scx= 	PERM}', "");
Error('\p{Is_Script_Extensions=-/a/Old_PERMIC}');
Error('\P{Is_Script_Extensions=-/a/Old_PERMIC}');
Expect(1, 66426, '\p{Is_Script_Extensions=oldpermic}', "");
Expect(0, 66426, '\p{^Is_Script_Extensions=oldpermic}', "");
Expect(0, 66426, '\P{Is_Script_Extensions=oldpermic}', "");
Expect(1, 66426, '\P{^Is_Script_Extensions=oldpermic}', "");
Expect(0, 66427, '\p{Is_Script_Extensions=oldpermic}', "");
Expect(1, 66427, '\p{^Is_Script_Extensions=oldpermic}', "");
Expect(1, 66427, '\P{Is_Script_Extensions=oldpermic}', "");
Expect(0, 66427, '\P{^Is_Script_Extensions=oldpermic}', "");
Expect(1, 66426, '\p{Is_Script_Extensions=	_OLD_Permic}', "");
Expect(0, 66426, '\p{^Is_Script_Extensions=	_OLD_Permic}', "");
Expect(0, 66426, '\P{Is_Script_Extensions=	_OLD_Permic}', "");
Expect(1, 66426, '\P{^Is_Script_Extensions=	_OLD_Permic}', "");
Expect(0, 66427, '\p{Is_Script_Extensions=	_OLD_Permic}', "");
Expect(1, 66427, '\p{^Is_Script_Extensions=	_OLD_Permic}', "");
Expect(1, 66427, '\P{Is_Script_Extensions=	_OLD_Permic}', "");
Expect(0, 66427, '\P{^Is_Script_Extensions=	_OLD_Permic}', "");
Error('\p{Is_Scx=-	Perm:=}');
Error('\P{Is_Scx=-	Perm:=}');
Expect(1, 66426, '\p{Is_Scx=perm}', "");
Expect(0, 66426, '\p{^Is_Scx=perm}', "");
Expect(0, 66426, '\P{Is_Scx=perm}', "");
Expect(1, 66426, '\P{^Is_Scx=perm}', "");
Expect(0, 66427, '\p{Is_Scx=perm}', "");
Expect(1, 66427, '\p{^Is_Scx=perm}', "");
Expect(1, 66427, '\P{Is_Scx=perm}', "");
Expect(0, 66427, '\P{^Is_Scx=perm}', "");
Expect(1, 66426, '\p{Is_Scx=	 Perm}', "");
Expect(0, 66426, '\p{^Is_Scx=	 Perm}', "");
Expect(0, 66426, '\P{Is_Scx=	 Perm}', "");
Expect(1, 66426, '\P{^Is_Scx=	 Perm}', "");
Expect(0, 66427, '\p{Is_Scx=	 Perm}', "");
Expect(1, 66427, '\p{^Is_Scx=	 Perm}', "");
Expect(1, 66427, '\P{Is_Scx=	 Perm}', "");
Expect(0, 66427, '\P{^Is_Scx=	 Perm}', "");
Error('\p{Script_Extensions=	phags_Pa:=}');
Error('\P{Script_Extensions=	phags_Pa:=}');
Expect(1, 43127, '\p{Script_Extensions=phagspa}', "");
Expect(0, 43127, '\p{^Script_Extensions=phagspa}', "");
Expect(0, 43127, '\P{Script_Extensions=phagspa}', "");
Expect(1, 43127, '\P{^Script_Extensions=phagspa}', "");
Expect(0, 43128, '\p{Script_Extensions=phagspa}', "");
Expect(1, 43128, '\p{^Script_Extensions=phagspa}', "");
Expect(1, 43128, '\P{Script_Extensions=phagspa}', "");
Expect(0, 43128, '\P{^Script_Extensions=phagspa}', "");
Expect(1, 43127, '\p{Script_Extensions=_	Phags_Pa}', "");
Expect(0, 43127, '\p{^Script_Extensions=_	Phags_Pa}', "");
Expect(0, 43127, '\P{Script_Extensions=_	Phags_Pa}', "");
Expect(1, 43127, '\P{^Script_Extensions=_	Phags_Pa}', "");
Expect(0, 43128, '\p{Script_Extensions=_	Phags_Pa}', "");
Expect(1, 43128, '\p{^Script_Extensions=_	Phags_Pa}', "");
Expect(1, 43128, '\P{Script_Extensions=_	Phags_Pa}', "");
Expect(0, 43128, '\P{^Script_Extensions=_	Phags_Pa}', "");
Error('\p{Scx= :=phag}');
Error('\P{Scx= :=phag}');
Expect(1, 43127, '\p{Scx=phag}', "");
Expect(0, 43127, '\p{^Scx=phag}', "");
Expect(0, 43127, '\P{Scx=phag}', "");
Expect(1, 43127, '\P{^Scx=phag}', "");
Expect(0, 43128, '\p{Scx=phag}', "");
Expect(1, 43128, '\p{^Scx=phag}', "");
Expect(1, 43128, '\P{Scx=phag}', "");
Expect(0, 43128, '\P{^Scx=phag}', "");
Expect(1, 43127, '\p{Scx=  Phag}', "");
Expect(0, 43127, '\p{^Scx=  Phag}', "");
Expect(0, 43127, '\P{Scx=  Phag}', "");
Expect(1, 43127, '\P{^Scx=  Phag}', "");
Expect(0, 43128, '\p{Scx=  Phag}', "");
Expect(1, 43128, '\p{^Scx=  Phag}', "");
Expect(1, 43128, '\P{Scx=  Phag}', "");
Expect(0, 43128, '\P{^Scx=  Phag}', "");
Error('\p{Is_Script_Extensions=_/a/phags_Pa}');
Error('\P{Is_Script_Extensions=_/a/phags_Pa}');
Expect(1, 43127, '\p{Is_Script_Extensions=phagspa}', "");
Expect(0, 43127, '\p{^Is_Script_Extensions=phagspa}', "");
Expect(0, 43127, '\P{Is_Script_Extensions=phagspa}', "");
Expect(1, 43127, '\P{^Is_Script_Extensions=phagspa}', "");
Expect(0, 43128, '\p{Is_Script_Extensions=phagspa}', "");
Expect(1, 43128, '\p{^Is_Script_Extensions=phagspa}', "");
Expect(1, 43128, '\P{Is_Script_Extensions=phagspa}', "");
Expect(0, 43128, '\P{^Is_Script_Extensions=phagspa}', "");
Expect(1, 43127, '\p{Is_Script_Extensions=	_Phags_Pa}', "");
Expect(0, 43127, '\p{^Is_Script_Extensions=	_Phags_Pa}', "");
Expect(0, 43127, '\P{Is_Script_Extensions=	_Phags_Pa}', "");
Expect(1, 43127, '\P{^Is_Script_Extensions=	_Phags_Pa}', "");
Expect(0, 43128, '\p{Is_Script_Extensions=	_Phags_Pa}', "");
Expect(1, 43128, '\p{^Is_Script_Extensions=	_Phags_Pa}', "");
Expect(1, 43128, '\P{Is_Script_Extensions=	_Phags_Pa}', "");
Expect(0, 43128, '\P{^Is_Script_Extensions=	_Phags_Pa}', "");
Error('\p{Is_Scx=-PHAG/a/}');
Error('\P{Is_Scx=-PHAG/a/}');
Expect(1, 43127, '\p{Is_Scx=phag}', "");
Expect(0, 43127, '\p{^Is_Scx=phag}', "");
Expect(0, 43127, '\P{Is_Scx=phag}', "");
Expect(1, 43127, '\P{^Is_Scx=phag}', "");
Expect(0, 43128, '\p{Is_Scx=phag}', "");
Expect(1, 43128, '\p{^Is_Scx=phag}', "");
Expect(1, 43128, '\P{Is_Scx=phag}', "");
Expect(0, 43128, '\P{^Is_Scx=phag}', "");
Expect(1, 43127, '\p{Is_Scx:	_Phag}', "");
Expect(0, 43127, '\p{^Is_Scx:	_Phag}', "");
Expect(0, 43127, '\P{Is_Scx:	_Phag}', "");
Expect(1, 43127, '\P{^Is_Scx:	_Phag}', "");
Expect(0, 43128, '\p{Is_Scx:	_Phag}', "");
Expect(1, 43128, '\p{^Is_Scx:	_Phag}', "");
Expect(1, 43128, '\P{Is_Scx:	_Phag}', "");
Expect(0, 43128, '\P{^Is_Scx:	_Phag}', "");
Error('\p{Script_Extensions=_:=Inscriptional_Pahlavi}');
Error('\P{Script_Extensions=_:=Inscriptional_Pahlavi}');
Expect(1, 68479, '\p{Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Script_Extensions=_Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\p{^Script_Extensions=_Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\P{Script_Extensions=_Inscriptional_Pahlavi}', "");
Expect(1, 68479, '\P{^Script_Extensions=_Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\p{Script_Extensions=_Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\p{^Script_Extensions=_Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\P{Script_Extensions=_Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\P{^Script_Extensions=_Inscriptional_Pahlavi}', "");
Error('\p{Scx=/a/- Phli}');
Error('\P{Scx=/a/- Phli}');
Expect(1, 68479, '\p{Scx:	phli}', "");
Expect(0, 68479, '\p{^Scx:	phli}', "");
Expect(0, 68479, '\P{Scx:	phli}', "");
Expect(1, 68479, '\P{^Scx:	phli}', "");
Expect(0, 68480, '\p{Scx:	phli}', "");
Expect(1, 68480, '\p{^Scx:	phli}', "");
Expect(1, 68480, '\P{Scx:	phli}', "");
Expect(0, 68480, '\P{^Scx:	phli}', "");
Expect(1, 68479, '\p{Scx=--Phli}', "");
Expect(0, 68479, '\p{^Scx=--Phli}', "");
Expect(0, 68479, '\P{Scx=--Phli}', "");
Expect(1, 68479, '\P{^Scx=--Phli}', "");
Expect(0, 68480, '\p{Scx=--Phli}', "");
Expect(1, 68480, '\p{^Scx=--Phli}', "");
Expect(1, 68480, '\P{Scx=--Phli}', "");
Expect(0, 68480, '\P{^Scx=--Phli}', "");
Error('\p{Is_Script_Extensions=/a/-_Inscriptional_PAHLAVI}');
Error('\P{Is_Script_Extensions=/a/-_Inscriptional_PAHLAVI}');
Expect(1, 68479, '\p{Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Is_Script_Extensions=  Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\p{^Is_Script_Extensions=  Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\P{Is_Script_Extensions=  Inscriptional_Pahlavi}', "");
Expect(1, 68479, '\P{^Is_Script_Extensions=  Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\p{Is_Script_Extensions=  Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\p{^Is_Script_Extensions=  Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\P{Is_Script_Extensions=  Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\P{^Is_Script_Extensions=  Inscriptional_Pahlavi}', "");
Error('\p{Is_Scx=:=_-phli}');
Error('\P{Is_Scx=:=_-phli}');
Expect(1, 68479, '\p{Is_Scx=phli}', "");
Expect(0, 68479, '\p{^Is_Scx=phli}', "");
Expect(0, 68479, '\P{Is_Scx=phli}', "");
Expect(1, 68479, '\P{^Is_Scx=phli}', "");
Expect(0, 68480, '\p{Is_Scx=phli}', "");
Expect(1, 68480, '\p{^Is_Scx=phli}', "");
Expect(1, 68480, '\P{Is_Scx=phli}', "");
Expect(0, 68480, '\P{^Is_Scx=phli}', "");
Expect(1, 68479, '\p{Is_Scx:  Phli}', "");
Expect(0, 68479, '\p{^Is_Scx:  Phli}', "");
Expect(0, 68479, '\P{Is_Scx:  Phli}', "");
Expect(1, 68479, '\P{^Is_Scx:  Phli}', "");
Expect(0, 68480, '\p{Is_Scx:  Phli}', "");
Expect(1, 68480, '\p{^Is_Scx:  Phli}', "");
Expect(1, 68480, '\P{Is_Scx:  Phli}', "");
Expect(0, 68480, '\P{^Is_Scx:  Phli}', "");
Error('\p{Script_Extensions=-psalter_PAHLAVI/a/}');
Error('\P{Script_Extensions=-psalter_PAHLAVI/a/}');
Expect(1, 68527, '\p{Script_Extensions=psalterpahlavi}', "");
Expect(0, 68527, '\p{^Script_Extensions=psalterpahlavi}', "");
Expect(0, 68527, '\P{Script_Extensions=psalterpahlavi}', "");
Expect(1, 68527, '\P{^Script_Extensions=psalterpahlavi}', "");
Expect(0, 68528, '\p{Script_Extensions=psalterpahlavi}', "");
Expect(1, 68528, '\p{^Script_Extensions=psalterpahlavi}', "");
Expect(1, 68528, '\P{Script_Extensions=psalterpahlavi}', "");
Expect(0, 68528, '\P{^Script_Extensions=psalterpahlavi}', "");
Expect(1, 68527, '\p{Script_Extensions=- Psalter_PAHLAVI}', "");
Expect(0, 68527, '\p{^Script_Extensions=- Psalter_PAHLAVI}', "");
Expect(0, 68527, '\P{Script_Extensions=- Psalter_PAHLAVI}', "");
Expect(1, 68527, '\P{^Script_Extensions=- Psalter_PAHLAVI}', "");
Expect(0, 68528, '\p{Script_Extensions=- Psalter_PAHLAVI}', "");
Expect(1, 68528, '\p{^Script_Extensions=- Psalter_PAHLAVI}', "");
Expect(1, 68528, '\P{Script_Extensions=- Psalter_PAHLAVI}', "");
Expect(0, 68528, '\P{^Script_Extensions=- Psalter_PAHLAVI}', "");
Error('\p{Scx=-	Phlp/a/}');
Error('\P{Scx=-	Phlp/a/}');
Expect(1, 68527, '\p{Scx=phlp}', "");
Expect(0, 68527, '\p{^Scx=phlp}', "");
Expect(0, 68527, '\P{Scx=phlp}', "");
Expect(1, 68527, '\P{^Scx=phlp}', "");
Expect(0, 68528, '\p{Scx=phlp}', "");
Expect(1, 68528, '\p{^Scx=phlp}', "");
Expect(1, 68528, '\P{Scx=phlp}', "");
Expect(0, 68528, '\P{^Scx=phlp}', "");
Expect(1, 68527, '\p{Scx=_-phlp}', "");
Expect(0, 68527, '\p{^Scx=_-phlp}', "");
Expect(0, 68527, '\P{Scx=_-phlp}', "");
Expect(1, 68527, '\P{^Scx=_-phlp}', "");
Expect(0, 68528, '\p{Scx=_-phlp}', "");
Expect(1, 68528, '\p{^Scx=_-phlp}', "");
Expect(1, 68528, '\P{Scx=_-phlp}', "");
Expect(0, 68528, '\P{^Scx=_-phlp}', "");
Error('\p{Is_Script_Extensions= Psalter_PAHLAVI/a/}');
Error('\P{Is_Script_Extensions= Psalter_PAHLAVI/a/}');
Expect(1, 68527, '\p{Is_Script_Extensions=psalterpahlavi}', "");
Expect(0, 68527, '\p{^Is_Script_Extensions=psalterpahlavi}', "");
Expect(0, 68527, '\P{Is_Script_Extensions=psalterpahlavi}', "");
Expect(1, 68527, '\P{^Is_Script_Extensions=psalterpahlavi}', "");
Expect(0, 68528, '\p{Is_Script_Extensions=psalterpahlavi}', "");
Expect(1, 68528, '\p{^Is_Script_Extensions=psalterpahlavi}', "");
Expect(1, 68528, '\P{Is_Script_Extensions=psalterpahlavi}', "");
Expect(0, 68528, '\P{^Is_Script_Extensions=psalterpahlavi}', "");
Expect(1, 68527, '\p{Is_Script_Extensions=	_psalter_pahlavi}', "");
Expect(0, 68527, '\p{^Is_Script_Extensions=	_psalter_pahlavi}', "");
Expect(0, 68527, '\P{Is_Script_Extensions=	_psalter_pahlavi}', "");
Expect(1, 68527, '\P{^Is_Script_Extensions=	_psalter_pahlavi}', "");
Expect(0, 68528, '\p{Is_Script_Extensions=	_psalter_pahlavi}', "");
Expect(1, 68528, '\p{^Is_Script_Extensions=	_psalter_pahlavi}', "");
Expect(1, 68528, '\P{Is_Script_Extensions=	_psalter_pahlavi}', "");
Expect(0, 68528, '\P{^Is_Script_Extensions=	_psalter_pahlavi}', "");
Error('\p{Is_Scx=_Phlp:=}');
Error('\P{Is_Scx=_Phlp:=}');
Expect(1, 68527, '\p{Is_Scx=phlp}', "");
Expect(0, 68527, '\p{^Is_Scx=phlp}', "");
Expect(0, 68527, '\P{Is_Scx=phlp}', "");
Expect(1, 68527, '\P{^Is_Scx=phlp}', "");
Expect(0, 68528, '\p{Is_Scx=phlp}', "");
Expect(1, 68528, '\p{^Is_Scx=phlp}', "");
Expect(1, 68528, '\P{Is_Scx=phlp}', "");
Expect(0, 68528, '\P{^Is_Scx=phlp}', "");
Expect(1, 68527, '\p{Is_Scx= 	Phlp}', "");
Expect(0, 68527, '\p{^Is_Scx= 	Phlp}', "");
Expect(0, 68527, '\P{Is_Scx= 	Phlp}', "");
Expect(1, 68527, '\P{^Is_Scx= 	Phlp}', "");
Expect(0, 68528, '\p{Is_Scx= 	Phlp}', "");
Expect(1, 68528, '\p{^Is_Scx= 	Phlp}', "");
Expect(1, 68528, '\P{Is_Scx= 	Phlp}', "");
Expect(0, 68528, '\P{^Is_Scx= 	Phlp}', "");
Error('\p{Script_Extensions=	Phoenician/a/}');
Error('\P{Script_Extensions=	Phoenician/a/}');
Expect(1, 67871, '\p{Script_Extensions=phoenician}', "");
Expect(0, 67871, '\p{^Script_Extensions=phoenician}', "");
Expect(0, 67871, '\P{Script_Extensions=phoenician}', "");
Expect(1, 67871, '\P{^Script_Extensions=phoenician}', "");
Expect(0, 67872, '\p{Script_Extensions=phoenician}', "");
Expect(1, 67872, '\p{^Script_Extensions=phoenician}', "");
Expect(1, 67872, '\P{Script_Extensions=phoenician}', "");
Expect(0, 67872, '\P{^Script_Extensions=phoenician}', "");
Expect(1, 67871, '\p{Script_Extensions:   	 Phoenician}', "");
Expect(0, 67871, '\p{^Script_Extensions:   	 Phoenician}', "");
Expect(0, 67871, '\P{Script_Extensions:   	 Phoenician}', "");
Expect(1, 67871, '\P{^Script_Extensions:   	 Phoenician}', "");
Expect(0, 67872, '\p{Script_Extensions:   	 Phoenician}', "");
Expect(1, 67872, '\p{^Script_Extensions:   	 Phoenician}', "");
Expect(1, 67872, '\P{Script_Extensions:   	 Phoenician}', "");
Expect(0, 67872, '\P{^Script_Extensions:   	 Phoenician}', "");
Error('\p{Scx=_phnx:=}');
Error('\P{Scx=_phnx:=}');
Expect(1, 67871, '\p{Scx=phnx}', "");
Expect(0, 67871, '\p{^Scx=phnx}', "");
Expect(0, 67871, '\P{Scx=phnx}', "");
Expect(1, 67871, '\P{^Scx=phnx}', "");
Expect(0, 67872, '\p{Scx=phnx}', "");
Expect(1, 67872, '\p{^Scx=phnx}', "");
Expect(1, 67872, '\P{Scx=phnx}', "");
Expect(0, 67872, '\P{^Scx=phnx}', "");
Expect(1, 67871, '\p{Scx= 	Phnx}', "");
Expect(0, 67871, '\p{^Scx= 	Phnx}', "");
Expect(0, 67871, '\P{Scx= 	Phnx}', "");
Expect(1, 67871, '\P{^Scx= 	Phnx}', "");
Expect(0, 67872, '\p{Scx= 	Phnx}', "");
Expect(1, 67872, '\p{^Scx= 	Phnx}', "");
Expect(1, 67872, '\P{Scx= 	Phnx}', "");
Expect(0, 67872, '\P{^Scx= 	Phnx}', "");
Error('\p{Is_Script_Extensions=:=-_PHOENICIAN}');
Error('\P{Is_Script_Extensions=:=-_PHOENICIAN}');
Expect(1, 67871, '\p{Is_Script_Extensions=phoenician}', "");
Expect(0, 67871, '\p{^Is_Script_Extensions=phoenician}', "");
Expect(0, 67871, '\P{Is_Script_Extensions=phoenician}', "");
Expect(1, 67871, '\P{^Is_Script_Extensions=phoenician}', "");
Expect(0, 67872, '\p{Is_Script_Extensions=phoenician}', "");
Expect(1, 67872, '\p{^Is_Script_Extensions=phoenician}', "");
Expect(1, 67872, '\P{Is_Script_Extensions=phoenician}', "");
Expect(0, 67872, '\P{^Is_Script_Extensions=phoenician}', "");
Expect(1, 67871, '\p{Is_Script_Extensions: -PHOENICIAN}', "");
Expect(0, 67871, '\p{^Is_Script_Extensions: -PHOENICIAN}', "");
Expect(0, 67871, '\P{Is_Script_Extensions: -PHOENICIAN}', "");
Expect(1, 67871, '\P{^Is_Script_Extensions: -PHOENICIAN}', "");
Expect(0, 67872, '\p{Is_Script_Extensions: -PHOENICIAN}', "");
Expect(1, 67872, '\p{^Is_Script_Extensions: -PHOENICIAN}', "");
Expect(1, 67872, '\P{Is_Script_Extensions: -PHOENICIAN}', "");
Expect(0, 67872, '\P{^Is_Script_Extensions: -PHOENICIAN}', "");
Error('\p{Is_Scx=-_Phnx/a/}');
Error('\P{Is_Scx=-_Phnx/a/}');
Expect(1, 67871, '\p{Is_Scx=phnx}', "");
Expect(0, 67871, '\p{^Is_Scx=phnx}', "");
Expect(0, 67871, '\P{Is_Scx=phnx}', "");
Expect(1, 67871, '\P{^Is_Scx=phnx}', "");
Expect(0, 67872, '\p{Is_Scx=phnx}', "");
Expect(1, 67872, '\p{^Is_Scx=phnx}', "");
Expect(1, 67872, '\P{Is_Scx=phnx}', "");
Expect(0, 67872, '\P{^Is_Scx=phnx}', "");
Expect(1, 67871, '\p{Is_Scx=- phnx}', "");
Expect(0, 67871, '\p{^Is_Scx=- phnx}', "");
Expect(0, 67871, '\P{Is_Scx=- phnx}', "");
Expect(1, 67871, '\P{^Is_Scx=- phnx}', "");
Expect(0, 67872, '\p{Is_Scx=- phnx}', "");
Expect(1, 67872, '\p{^Is_Scx=- phnx}', "");
Expect(1, 67872, '\P{Is_Scx=- phnx}', "");
Expect(0, 67872, '\P{^Is_Scx=- phnx}', "");
Error('\p{Script_Extensions:   :=MIAO}');
Error('\P{Script_Extensions:   :=MIAO}');
Expect(1, 94111, '\p{Script_Extensions: miao}', "");
Expect(0, 94111, '\p{^Script_Extensions: miao}', "");
Expect(0, 94111, '\P{Script_Extensions: miao}', "");
Expect(1, 94111, '\P{^Script_Extensions: miao}', "");
Expect(0, 94112, '\p{Script_Extensions: miao}', "");
Expect(1, 94112, '\p{^Script_Extensions: miao}', "");
Expect(1, 94112, '\P{Script_Extensions: miao}', "");
Expect(0, 94112, '\P{^Script_Extensions: miao}', "");
Expect(1, 94111, '\p{Script_Extensions=-	Miao}', "");
Expect(0, 94111, '\p{^Script_Extensions=-	Miao}', "");
Expect(0, 94111, '\P{Script_Extensions=-	Miao}', "");
Expect(1, 94111, '\P{^Script_Extensions=-	Miao}', "");
Expect(0, 94112, '\p{Script_Extensions=-	Miao}', "");
Expect(1, 94112, '\p{^Script_Extensions=-	Miao}', "");
Expect(1, 94112, '\P{Script_Extensions=-	Miao}', "");
Expect(0, 94112, '\P{^Script_Extensions=-	Miao}', "");
Error('\p{Scx=	/a/Plrd}');
Error('\P{Scx=	/a/Plrd}');
Expect(1, 94111, '\p{Scx=plrd}', "");
Expect(0, 94111, '\p{^Scx=plrd}', "");
Expect(0, 94111, '\P{Scx=plrd}', "");
Expect(1, 94111, '\P{^Scx=plrd}', "");
Expect(0, 94112, '\p{Scx=plrd}', "");
Expect(1, 94112, '\p{^Scx=plrd}', "");
Expect(1, 94112, '\P{Scx=plrd}', "");
Expect(0, 94112, '\P{^Scx=plrd}', "");
Expect(1, 94111, '\p{Scx= PLRD}', "");
Expect(0, 94111, '\p{^Scx= PLRD}', "");
Expect(0, 94111, '\P{Scx= PLRD}', "");
Expect(1, 94111, '\P{^Scx= PLRD}', "");
Expect(0, 94112, '\p{Scx= PLRD}', "");
Expect(1, 94112, '\p{^Scx= PLRD}', "");
Expect(1, 94112, '\P{Scx= PLRD}', "");
Expect(0, 94112, '\P{^Scx= PLRD}', "");
Error('\p{Is_Script_Extensions=-/a/MIAO}');
Error('\P{Is_Script_Extensions=-/a/MIAO}');
Expect(1, 94111, '\p{Is_Script_Extensions=miao}', "");
Expect(0, 94111, '\p{^Is_Script_Extensions=miao}', "");
Expect(0, 94111, '\P{Is_Script_Extensions=miao}', "");
Expect(1, 94111, '\P{^Is_Script_Extensions=miao}', "");
Expect(0, 94112, '\p{Is_Script_Extensions=miao}', "");
Expect(1, 94112, '\p{^Is_Script_Extensions=miao}', "");
Expect(1, 94112, '\P{Is_Script_Extensions=miao}', "");
Expect(0, 94112, '\P{^Is_Script_Extensions=miao}', "");
Expect(1, 94111, '\p{Is_Script_Extensions=Miao}', "");
Expect(0, 94111, '\p{^Is_Script_Extensions=Miao}', "");
Expect(0, 94111, '\P{Is_Script_Extensions=Miao}', "");
Expect(1, 94111, '\P{^Is_Script_Extensions=Miao}', "");
Expect(0, 94112, '\p{Is_Script_Extensions=Miao}', "");
Expect(1, 94112, '\p{^Is_Script_Extensions=Miao}', "");
Expect(1, 94112, '\P{Is_Script_Extensions=Miao}', "");
Expect(0, 94112, '\P{^Is_Script_Extensions=Miao}', "");
Error('\p{Is_Scx=/a/ _plrd}');
Error('\P{Is_Scx=/a/ _plrd}');
Expect(1, 94111, '\p{Is_Scx: plrd}', "");
Expect(0, 94111, '\p{^Is_Scx: plrd}', "");
Expect(0, 94111, '\P{Is_Scx: plrd}', "");
Expect(1, 94111, '\P{^Is_Scx: plrd}', "");
Expect(0, 94112, '\p{Is_Scx: plrd}', "");
Expect(1, 94112, '\p{^Is_Scx: plrd}', "");
Expect(1, 94112, '\P{Is_Scx: plrd}', "");
Expect(0, 94112, '\P{^Is_Scx: plrd}', "");
Expect(1, 94111, '\p{Is_Scx=__Plrd}', "");
Expect(0, 94111, '\p{^Is_Scx=__Plrd}', "");
Expect(0, 94111, '\P{Is_Scx=__Plrd}', "");
Expect(1, 94111, '\P{^Is_Scx=__Plrd}', "");
Expect(0, 94112, '\p{Is_Scx=__Plrd}', "");
Expect(1, 94112, '\p{^Is_Scx=__Plrd}', "");
Expect(1, 94112, '\P{Is_Scx=__Plrd}', "");
Expect(0, 94112, '\P{^Is_Scx=__Plrd}', "");
Error('\p{Script_Extensions=Inscriptional_Parthian:=}');
Error('\P{Script_Extensions=Inscriptional_Parthian:=}');
Expect(1, 68447, '\p{Script_Extensions=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Script_Extensions=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Script_Extensions=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Script_Extensions=inscriptionalparthian}', "");
Expect(0, 68448, '\p{Script_Extensions=inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Script_Extensions=inscriptionalparthian}', "");
Expect(1, 68448, '\P{Script_Extensions=inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Script_Extensions=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Script_Extensions=-	inscriptional_PARTHIAN}', "");
Expect(0, 68447, '\p{^Script_Extensions=-	inscriptional_PARTHIAN}', "");
Expect(0, 68447, '\P{Script_Extensions=-	inscriptional_PARTHIAN}', "");
Expect(1, 68447, '\P{^Script_Extensions=-	inscriptional_PARTHIAN}', "");
Expect(0, 68448, '\p{Script_Extensions=-	inscriptional_PARTHIAN}', "");
Expect(1, 68448, '\p{^Script_Extensions=-	inscriptional_PARTHIAN}', "");
Expect(1, 68448, '\P{Script_Extensions=-	inscriptional_PARTHIAN}', "");
Expect(0, 68448, '\P{^Script_Extensions=-	inscriptional_PARTHIAN}', "");
Error('\p{Scx=/a/ _PRTI}');
Error('\P{Scx=/a/ _PRTI}');
Expect(1, 68447, '\p{Scx=prti}', "");
Expect(0, 68447, '\p{^Scx=prti}', "");
Expect(0, 68447, '\P{Scx=prti}', "");
Expect(1, 68447, '\P{^Scx=prti}', "");
Expect(0, 68448, '\p{Scx=prti}', "");
Expect(1, 68448, '\p{^Scx=prti}', "");
Expect(1, 68448, '\P{Scx=prti}', "");
Expect(0, 68448, '\P{^Scx=prti}', "");
Expect(1, 68447, '\p{Scx=_ Prti}', "");
Expect(0, 68447, '\p{^Scx=_ Prti}', "");
Expect(0, 68447, '\P{Scx=_ Prti}', "");
Expect(1, 68447, '\P{^Scx=_ Prti}', "");
Expect(0, 68448, '\p{Scx=_ Prti}', "");
Expect(1, 68448, '\p{^Scx=_ Prti}', "");
Expect(1, 68448, '\P{Scx=_ Prti}', "");
Expect(0, 68448, '\P{^Scx=_ Prti}', "");
Error('\p{Is_Script_Extensions=_ Inscriptional_Parthian:=}');
Error('\P{Is_Script_Extensions=_ Inscriptional_Parthian:=}');
Expect(1, 68447, '\p{Is_Script_Extensions=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Is_Script_Extensions=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Is_Script_Extensions=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Is_Script_Extensions=inscriptionalparthian}', "");
Expect(0, 68448, '\p{Is_Script_Extensions=inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Is_Script_Extensions=inscriptionalparthian}', "");
Expect(1, 68448, '\P{Is_Script_Extensions=inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Is_Script_Extensions=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Is_Script_Extensions= 	INSCRIPTIONAL_PARTHIAN}', "");
Expect(0, 68447, '\p{^Is_Script_Extensions= 	INSCRIPTIONAL_PARTHIAN}', "");
Expect(0, 68447, '\P{Is_Script_Extensions= 	INSCRIPTIONAL_PARTHIAN}', "");
Expect(1, 68447, '\P{^Is_Script_Extensions= 	INSCRIPTIONAL_PARTHIAN}', "");
Expect(0, 68448, '\p{Is_Script_Extensions= 	INSCRIPTIONAL_PARTHIAN}', "");
Expect(1, 68448, '\p{^Is_Script_Extensions= 	INSCRIPTIONAL_PARTHIAN}', "");
Expect(1, 68448, '\P{Is_Script_Extensions= 	INSCRIPTIONAL_PARTHIAN}', "");
Expect(0, 68448, '\P{^Is_Script_Extensions= 	INSCRIPTIONAL_PARTHIAN}', "");
Error('\p{Is_Scx=:=- prti}');
Error('\P{Is_Scx=:=- prti}');
Expect(1, 68447, '\p{Is_Scx=prti}', "");
Expect(0, 68447, '\p{^Is_Scx=prti}', "");
Expect(0, 68447, '\P{Is_Scx=prti}', "");
Expect(1, 68447, '\P{^Is_Scx=prti}', "");
Expect(0, 68448, '\p{Is_Scx=prti}', "");
Expect(1, 68448, '\p{^Is_Scx=prti}', "");
Expect(1, 68448, '\P{Is_Scx=prti}', "");
Expect(0, 68448, '\P{^Is_Scx=prti}', "");
Expect(1, 68447, '\p{Is_Scx=	_Prti}', "");
Expect(0, 68447, '\p{^Is_Scx=	_Prti}', "");
Expect(0, 68447, '\P{Is_Scx=	_Prti}', "");
Expect(1, 68447, '\P{^Is_Scx=	_Prti}', "");
Expect(0, 68448, '\p{Is_Scx=	_Prti}', "");
Expect(1, 68448, '\p{^Is_Scx=	_Prti}', "");
Expect(1, 68448, '\P{Is_Scx=	_Prti}', "");
Expect(0, 68448, '\P{^Is_Scx=	_Prti}', "");
Error('\p{Script_Extensions=REJANG:=}');
Error('\P{Script_Extensions=REJANG:=}');
Expect(1, 43359, '\p{Script_Extensions=rejang}', "");
Expect(0, 43359, '\p{^Script_Extensions=rejang}', "");
Expect(0, 43359, '\P{Script_Extensions=rejang}', "");
Expect(1, 43359, '\P{^Script_Extensions=rejang}', "");
Expect(0, 43360, '\p{Script_Extensions=rejang}', "");
Expect(1, 43360, '\p{^Script_Extensions=rejang}', "");
Expect(1, 43360, '\P{Script_Extensions=rejang}', "");
Expect(0, 43360, '\P{^Script_Extensions=rejang}', "");
Expect(1, 43359, '\p{Script_Extensions=	 Rejang}', "");
Expect(0, 43359, '\p{^Script_Extensions=	 Rejang}', "");
Expect(0, 43359, '\P{Script_Extensions=	 Rejang}', "");
Expect(1, 43359, '\P{^Script_Extensions=	 Rejang}', "");
Expect(0, 43360, '\p{Script_Extensions=	 Rejang}', "");
Expect(1, 43360, '\p{^Script_Extensions=	 Rejang}', "");
Expect(1, 43360, '\P{Script_Extensions=	 Rejang}', "");
Expect(0, 43360, '\P{^Script_Extensions=	 Rejang}', "");
Error('\p{Scx= rjng:=}');
Error('\P{Scx= rjng:=}');
Expect(1, 43359, '\p{Scx=rjng}', "");
Expect(0, 43359, '\p{^Scx=rjng}', "");
Expect(0, 43359, '\P{Scx=rjng}', "");
Expect(1, 43359, '\P{^Scx=rjng}', "");
Expect(0, 43360, '\p{Scx=rjng}', "");
Expect(1, 43360, '\p{^Scx=rjng}', "");
Expect(1, 43360, '\P{Scx=rjng}', "");
Expect(0, 43360, '\P{^Scx=rjng}', "");
Expect(1, 43359, '\p{Scx=__rjng}', "");
Expect(0, 43359, '\p{^Scx=__rjng}', "");
Expect(0, 43359, '\P{Scx=__rjng}', "");
Expect(1, 43359, '\P{^Scx=__rjng}', "");
Expect(0, 43360, '\p{Scx=__rjng}', "");
Expect(1, 43360, '\p{^Scx=__rjng}', "");
Expect(1, 43360, '\P{Scx=__rjng}', "");
Expect(0, 43360, '\P{^Scx=__rjng}', "");
Error('\p{Is_Script_Extensions= 	REJANG:=}');
Error('\P{Is_Script_Extensions= 	REJANG:=}');
Expect(1, 43359, '\p{Is_Script_Extensions=rejang}', "");
Expect(0, 43359, '\p{^Is_Script_Extensions=rejang}', "");
Expect(0, 43359, '\P{Is_Script_Extensions=rejang}', "");
Expect(1, 43359, '\P{^Is_Script_Extensions=rejang}', "");
Expect(0, 43360, '\p{Is_Script_Extensions=rejang}', "");
Expect(1, 43360, '\p{^Is_Script_Extensions=rejang}', "");
Expect(1, 43360, '\P{Is_Script_Extensions=rejang}', "");
Expect(0, 43360, '\P{^Is_Script_Extensions=rejang}', "");
Expect(1, 43359, '\p{Is_Script_Extensions= _REJANG}', "");
Expect(0, 43359, '\p{^Is_Script_Extensions= _REJANG}', "");
Expect(0, 43359, '\P{Is_Script_Extensions= _REJANG}', "");
Expect(1, 43359, '\P{^Is_Script_Extensions= _REJANG}', "");
Expect(0, 43360, '\p{Is_Script_Extensions= _REJANG}', "");
Expect(1, 43360, '\p{^Is_Script_Extensions= _REJANG}', "");
Expect(1, 43360, '\P{Is_Script_Extensions= _REJANG}', "");
Expect(0, 43360, '\P{^Is_Script_Extensions= _REJANG}', "");
Error('\p{Is_Scx=/a/-rjng}');
Error('\P{Is_Scx=/a/-rjng}');
Expect(1, 43359, '\p{Is_Scx=rjng}', "");
Expect(0, 43359, '\p{^Is_Scx=rjng}', "");
Expect(0, 43359, '\P{Is_Scx=rjng}', "");
Expect(1, 43359, '\P{^Is_Scx=rjng}', "");
Expect(0, 43360, '\p{Is_Scx=rjng}', "");
Expect(1, 43360, '\p{^Is_Scx=rjng}', "");
Expect(1, 43360, '\P{Is_Scx=rjng}', "");
Expect(0, 43360, '\P{^Is_Scx=rjng}', "");
Expect(1, 43359, '\p{Is_Scx:   __Rjng}', "");
Expect(0, 43359, '\p{^Is_Scx:   __Rjng}', "");
Expect(0, 43359, '\P{Is_Scx:   __Rjng}', "");
Expect(1, 43359, '\P{^Is_Scx:   __Rjng}', "");
Expect(0, 43360, '\p{Is_Scx:   __Rjng}', "");
Expect(1, 43360, '\p{^Is_Scx:   __Rjng}', "");
Expect(1, 43360, '\P{Is_Scx:   __Rjng}', "");
Expect(0, 43360, '\P{^Is_Scx:   __Rjng}', "");
Error('\p{Script_Extensions=/a/ 	Runic}');
Error('\P{Script_Extensions=/a/ 	Runic}');
Expect(1, 5880, '\p{Script_Extensions=runic}', "");
Expect(0, 5880, '\p{^Script_Extensions=runic}', "");
Expect(0, 5880, '\P{Script_Extensions=runic}', "");
Expect(1, 5880, '\P{^Script_Extensions=runic}', "");
Expect(0, 5881, '\p{Script_Extensions=runic}', "");
Expect(1, 5881, '\p{^Script_Extensions=runic}', "");
Expect(1, 5881, '\P{Script_Extensions=runic}', "");
Expect(0, 5881, '\P{^Script_Extensions=runic}', "");
Expect(1, 5880, '\p{Script_Extensions=-_Runic}', "");
Expect(0, 5880, '\p{^Script_Extensions=-_Runic}', "");
Expect(0, 5880, '\P{Script_Extensions=-_Runic}', "");
Expect(1, 5880, '\P{^Script_Extensions=-_Runic}', "");
Expect(0, 5881, '\p{Script_Extensions=-_Runic}', "");
Expect(1, 5881, '\p{^Script_Extensions=-_Runic}', "");
Expect(1, 5881, '\P{Script_Extensions=-_Runic}', "");
Expect(0, 5881, '\P{^Script_Extensions=-_Runic}', "");
Error('\p{Scx= _Runr:=}');
Error('\P{Scx= _Runr:=}');
Expect(1, 5880, '\p{Scx=runr}', "");
Expect(0, 5880, '\p{^Scx=runr}', "");
Expect(0, 5880, '\P{Scx=runr}', "");
Expect(1, 5880, '\P{^Scx=runr}', "");
Expect(0, 5881, '\p{Scx=runr}', "");
Expect(1, 5881, '\p{^Scx=runr}', "");
Expect(1, 5881, '\P{Scx=runr}', "");
Expect(0, 5881, '\P{^Scx=runr}', "");
Expect(1, 5880, '\p{Scx=-_runr}', "");
Expect(0, 5880, '\p{^Scx=-_runr}', "");
Expect(0, 5880, '\P{Scx=-_runr}', "");
Expect(1, 5880, '\P{^Scx=-_runr}', "");
Expect(0, 5881, '\p{Scx=-_runr}', "");
Expect(1, 5881, '\p{^Scx=-_runr}', "");
Expect(1, 5881, '\P{Scx=-_runr}', "");
Expect(0, 5881, '\P{^Scx=-_runr}', "");
Error('\p{Is_Script_Extensions=:=	runic}');
Error('\P{Is_Script_Extensions=:=	runic}');
Expect(1, 5880, '\p{Is_Script_Extensions=runic}', "");
Expect(0, 5880, '\p{^Is_Script_Extensions=runic}', "");
Expect(0, 5880, '\P{Is_Script_Extensions=runic}', "");
Expect(1, 5880, '\P{^Is_Script_Extensions=runic}', "");
Expect(0, 5881, '\p{Is_Script_Extensions=runic}', "");
Expect(1, 5881, '\p{^Is_Script_Extensions=runic}', "");
Expect(1, 5881, '\P{Is_Script_Extensions=runic}', "");
Expect(0, 5881, '\P{^Is_Script_Extensions=runic}', "");
Expect(1, 5880, '\p{Is_Script_Extensions=__runic}', "");
Expect(0, 5880, '\p{^Is_Script_Extensions=__runic}', "");
Expect(0, 5880, '\P{Is_Script_Extensions=__runic}', "");
Expect(1, 5880, '\P{^Is_Script_Extensions=__runic}', "");
Expect(0, 5881, '\p{Is_Script_Extensions=__runic}', "");
Expect(1, 5881, '\p{^Is_Script_Extensions=__runic}', "");
Expect(1, 5881, '\P{Is_Script_Extensions=__runic}', "");
Expect(0, 5881, '\P{^Is_Script_Extensions=__runic}', "");
Error('\p{Is_Scx=	:=Runr}');
Error('\P{Is_Scx=	:=Runr}');
Expect(1, 5880, '\p{Is_Scx=runr}', "");
Expect(0, 5880, '\p{^Is_Scx=runr}', "");
Expect(0, 5880, '\P{Is_Scx=runr}', "");
Expect(1, 5880, '\P{^Is_Scx=runr}', "");
Expect(0, 5881, '\p{Is_Scx=runr}', "");
Expect(1, 5881, '\p{^Is_Scx=runr}', "");
Expect(1, 5881, '\P{Is_Scx=runr}', "");
Expect(0, 5881, '\P{^Is_Scx=runr}', "");
Expect(1, 5880, '\p{Is_Scx=	Runr}', "");
Expect(0, 5880, '\p{^Is_Scx=	Runr}', "");
Expect(0, 5880, '\P{Is_Scx=	Runr}', "");
Expect(1, 5880, '\P{^Is_Scx=	Runr}', "");
Expect(0, 5881, '\p{Is_Scx=	Runr}', "");
Expect(1, 5881, '\p{^Is_Scx=	Runr}', "");
Expect(1, 5881, '\P{Is_Scx=	Runr}', "");
Expect(0, 5881, '\P{^Is_Scx=	Runr}', "");
Error('\p{Script_Extensions=	:=Samaritan}');
Error('\P{Script_Extensions=	:=Samaritan}');
Expect(1, 2110, '\p{Script_Extensions=samaritan}', "");
Expect(0, 2110, '\p{^Script_Extensions=samaritan}', "");
Expect(0, 2110, '\P{Script_Extensions=samaritan}', "");
Expect(1, 2110, '\P{^Script_Extensions=samaritan}', "");
Expect(0, 2111, '\p{Script_Extensions=samaritan}', "");
Expect(1, 2111, '\p{^Script_Extensions=samaritan}', "");
Expect(1, 2111, '\P{Script_Extensions=samaritan}', "");
Expect(0, 2111, '\P{^Script_Extensions=samaritan}', "");
Expect(1, 2110, '\p{Script_Extensions=_	SAMARITAN}', "");
Expect(0, 2110, '\p{^Script_Extensions=_	SAMARITAN}', "");
Expect(0, 2110, '\P{Script_Extensions=_	SAMARITAN}', "");
Expect(1, 2110, '\P{^Script_Extensions=_	SAMARITAN}', "");
Expect(0, 2111, '\p{Script_Extensions=_	SAMARITAN}', "");
Expect(1, 2111, '\p{^Script_Extensions=_	SAMARITAN}', "");
Expect(1, 2111, '\P{Script_Extensions=_	SAMARITAN}', "");
Expect(0, 2111, '\P{^Script_Extensions=_	SAMARITAN}', "");
Error('\p{Scx=	_Samr/a/}');
Error('\P{Scx=	_Samr/a/}');
Expect(1, 2110, '\p{Scx=samr}', "");
Expect(0, 2110, '\p{^Scx=samr}', "");
Expect(0, 2110, '\P{Scx=samr}', "");
Expect(1, 2110, '\P{^Scx=samr}', "");
Expect(0, 2111, '\p{Scx=samr}', "");
Expect(1, 2111, '\p{^Scx=samr}', "");
Expect(1, 2111, '\P{Scx=samr}', "");
Expect(0, 2111, '\P{^Scx=samr}', "");
Expect(1, 2110, '\p{Scx=  samr}', "");
Expect(0, 2110, '\p{^Scx=  samr}', "");
Expect(0, 2110, '\P{Scx=  samr}', "");
Expect(1, 2110, '\P{^Scx=  samr}', "");
Expect(0, 2111, '\p{Scx=  samr}', "");
Expect(1, 2111, '\p{^Scx=  samr}', "");
Expect(1, 2111, '\P{Scx=  samr}', "");
Expect(0, 2111, '\P{^Scx=  samr}', "");
Error('\p{Is_Script_Extensions: _Samaritan/a/}');
Error('\P{Is_Script_Extensions: _Samaritan/a/}');
Expect(1, 2110, '\p{Is_Script_Extensions=samaritan}', "");
Expect(0, 2110, '\p{^Is_Script_Extensions=samaritan}', "");
Expect(0, 2110, '\P{Is_Script_Extensions=samaritan}', "");
Expect(1, 2110, '\P{^Is_Script_Extensions=samaritan}', "");
Expect(0, 2111, '\p{Is_Script_Extensions=samaritan}', "");
Expect(1, 2111, '\p{^Is_Script_Extensions=samaritan}', "");
Expect(1, 2111, '\P{Is_Script_Extensions=samaritan}', "");
Expect(0, 2111, '\P{^Is_Script_Extensions=samaritan}', "");
Expect(1, 2110, '\p{Is_Script_Extensions= Samaritan}', "");
Expect(0, 2110, '\p{^Is_Script_Extensions= Samaritan}', "");
Expect(0, 2110, '\P{Is_Script_Extensions= Samaritan}', "");
Expect(1, 2110, '\P{^Is_Script_Extensions= Samaritan}', "");
Expect(0, 2111, '\p{Is_Script_Extensions= Samaritan}', "");
Expect(1, 2111, '\p{^Is_Script_Extensions= Samaritan}', "");
Expect(1, 2111, '\P{Is_Script_Extensions= Samaritan}', "");
Expect(0, 2111, '\P{^Is_Script_Extensions= Samaritan}', "");
Error('\p{Is_Scx= _SAMR:=}');
Error('\P{Is_Scx= _SAMR:=}');
Expect(1, 2110, '\p{Is_Scx=samr}', "");
Expect(0, 2110, '\p{^Is_Scx=samr}', "");
Expect(0, 2110, '\P{Is_Scx=samr}', "");
Expect(1, 2110, '\P{^Is_Scx=samr}', "");
Expect(0, 2111, '\p{Is_Scx=samr}', "");
Expect(1, 2111, '\p{^Is_Scx=samr}', "");
Expect(1, 2111, '\P{Is_Scx=samr}', "");
Expect(0, 2111, '\P{^Is_Scx=samr}', "");
Expect(1, 2110, '\p{Is_Scx=_-SAMR}', "");
Expect(0, 2110, '\p{^Is_Scx=_-SAMR}', "");
Expect(0, 2110, '\P{Is_Scx=_-SAMR}', "");
Expect(1, 2110, '\P{^Is_Scx=_-SAMR}', "");
Expect(0, 2111, '\p{Is_Scx=_-SAMR}', "");
Expect(1, 2111, '\p{^Is_Scx=_-SAMR}', "");
Expect(1, 2111, '\P{Is_Scx=_-SAMR}', "");
Expect(0, 2111, '\P{^Is_Scx=_-SAMR}', "");
Error('\p{Script_Extensions=		old_SOUTH_ARABIAN:=}');
Error('\P{Script_Extensions=		old_SOUTH_ARABIAN:=}');
Expect(1, 68223, '\p{Script_Extensions=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Script_Extensions=oldsoutharabian}', "");
Expect(0, 68223, '\P{Script_Extensions=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Script_Extensions=oldsoutharabian}', "");
Expect(0, 68224, '\p{Script_Extensions=oldsoutharabian}', "");
Expect(1, 68224, '\p{^Script_Extensions=oldsoutharabian}', "");
Expect(1, 68224, '\P{Script_Extensions=oldsoutharabian}', "");
Expect(0, 68224, '\P{^Script_Extensions=oldsoutharabian}', "");
Expect(1, 68223, '\p{Script_Extensions=  Old_south_Arabian}', "");
Expect(0, 68223, '\p{^Script_Extensions=  Old_south_Arabian}', "");
Expect(0, 68223, '\P{Script_Extensions=  Old_south_Arabian}', "");
Expect(1, 68223, '\P{^Script_Extensions=  Old_south_Arabian}', "");
Expect(0, 68224, '\p{Script_Extensions=  Old_south_Arabian}', "");
Expect(1, 68224, '\p{^Script_Extensions=  Old_south_Arabian}', "");
Expect(1, 68224, '\P{Script_Extensions=  Old_south_Arabian}', "");
Expect(0, 68224, '\P{^Script_Extensions=  Old_south_Arabian}', "");
Error('\p{Scx=/a/-Sarb}');
Error('\P{Scx=/a/-Sarb}');
Expect(1, 68223, '\p{Scx=sarb}', "");
Expect(0, 68223, '\p{^Scx=sarb}', "");
Expect(0, 68223, '\P{Scx=sarb}', "");
Expect(1, 68223, '\P{^Scx=sarb}', "");
Expect(0, 68224, '\p{Scx=sarb}', "");
Expect(1, 68224, '\p{^Scx=sarb}', "");
Expect(1, 68224, '\P{Scx=sarb}', "");
Expect(0, 68224, '\P{^Scx=sarb}', "");
Expect(1, 68223, '\p{Scx:	_SARB}', "");
Expect(0, 68223, '\p{^Scx:	_SARB}', "");
Expect(0, 68223, '\P{Scx:	_SARB}', "");
Expect(1, 68223, '\P{^Scx:	_SARB}', "");
Expect(0, 68224, '\p{Scx:	_SARB}', "");
Expect(1, 68224, '\p{^Scx:	_SARB}', "");
Expect(1, 68224, '\P{Scx:	_SARB}', "");
Expect(0, 68224, '\P{^Scx:	_SARB}', "");
Error('\p{Is_Script_Extensions=-/a/Old_SOUTH_ARABIAN}');
Error('\P{Is_Script_Extensions=-/a/Old_SOUTH_ARABIAN}');
Expect(1, 68223, '\p{Is_Script_Extensions=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Is_Script_Extensions=oldsoutharabian}', "");
Expect(0, 68223, '\P{Is_Script_Extensions=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Is_Script_Extensions=oldsoutharabian}', "");
Expect(0, 68224, '\p{Is_Script_Extensions=oldsoutharabian}', "");
Expect(1, 68224, '\p{^Is_Script_Extensions=oldsoutharabian}', "");
Expect(1, 68224, '\P{Is_Script_Extensions=oldsoutharabian}', "");
Expect(0, 68224, '\P{^Is_Script_Extensions=oldsoutharabian}', "");
Expect(1, 68223, '\p{Is_Script_Extensions=-old_SOUTH_arabian}', "");
Expect(0, 68223, '\p{^Is_Script_Extensions=-old_SOUTH_arabian}', "");
Expect(0, 68223, '\P{Is_Script_Extensions=-old_SOUTH_arabian}', "");
Expect(1, 68223, '\P{^Is_Script_Extensions=-old_SOUTH_arabian}', "");
Expect(0, 68224, '\p{Is_Script_Extensions=-old_SOUTH_arabian}', "");
Expect(1, 68224, '\p{^Is_Script_Extensions=-old_SOUTH_arabian}', "");
Expect(1, 68224, '\P{Is_Script_Extensions=-old_SOUTH_arabian}', "");
Expect(0, 68224, '\P{^Is_Script_Extensions=-old_SOUTH_arabian}', "");
Error('\p{Is_Scx=:= -SARB}');
Error('\P{Is_Scx=:= -SARB}');
Expect(1, 68223, '\p{Is_Scx=sarb}', "");
Expect(0, 68223, '\p{^Is_Scx=sarb}', "");
Expect(0, 68223, '\P{Is_Scx=sarb}', "");
Expect(1, 68223, '\P{^Is_Scx=sarb}', "");
Expect(0, 68224, '\p{Is_Scx=sarb}', "");
Expect(1, 68224, '\p{^Is_Scx=sarb}', "");
Expect(1, 68224, '\P{Is_Scx=sarb}', "");
Expect(0, 68224, '\P{^Is_Scx=sarb}', "");
Expect(1, 68223, '\p{Is_Scx=-_Sarb}', "");
Expect(0, 68223, '\p{^Is_Scx=-_Sarb}', "");
Expect(0, 68223, '\P{Is_Scx=-_Sarb}', "");
Expect(1, 68223, '\P{^Is_Scx=-_Sarb}', "");
Expect(0, 68224, '\p{Is_Scx=-_Sarb}', "");
Expect(1, 68224, '\p{^Is_Scx=-_Sarb}', "");
Expect(1, 68224, '\P{Is_Scx=-_Sarb}', "");
Expect(0, 68224, '\P{^Is_Scx=-_Sarb}', "");
Error('\p{Script_Extensions=/a/_	saurashtra}');
Error('\P{Script_Extensions=/a/_	saurashtra}');
Expect(1, 43225, '\p{Script_Extensions=saurashtra}', "");
Expect(0, 43225, '\p{^Script_Extensions=saurashtra}', "");
Expect(0, 43225, '\P{Script_Extensions=saurashtra}', "");
Expect(1, 43225, '\P{^Script_Extensions=saurashtra}', "");
Expect(0, 43226, '\p{Script_Extensions=saurashtra}', "");
Expect(1, 43226, '\p{^Script_Extensions=saurashtra}', "");
Expect(1, 43226, '\P{Script_Extensions=saurashtra}', "");
Expect(0, 43226, '\P{^Script_Extensions=saurashtra}', "");
Expect(1, 43225, '\p{Script_Extensions:   SAURASHTRA}', "");
Expect(0, 43225, '\p{^Script_Extensions:   SAURASHTRA}', "");
Expect(0, 43225, '\P{Script_Extensions:   SAURASHTRA}', "");
Expect(1, 43225, '\P{^Script_Extensions:   SAURASHTRA}', "");
Expect(0, 43226, '\p{Script_Extensions:   SAURASHTRA}', "");
Expect(1, 43226, '\p{^Script_Extensions:   SAURASHTRA}', "");
Expect(1, 43226, '\P{Script_Extensions:   SAURASHTRA}', "");
Expect(0, 43226, '\P{^Script_Extensions:   SAURASHTRA}', "");
Error('\p{Scx=/a/Saur}');
Error('\P{Scx=/a/Saur}');
Expect(1, 43225, '\p{Scx:	saur}', "");
Expect(0, 43225, '\p{^Scx:	saur}', "");
Expect(0, 43225, '\P{Scx:	saur}', "");
Expect(1, 43225, '\P{^Scx:	saur}', "");
Expect(0, 43226, '\p{Scx:	saur}', "");
Expect(1, 43226, '\p{^Scx:	saur}', "");
Expect(1, 43226, '\P{Scx:	saur}', "");
Expect(0, 43226, '\P{^Scx:	saur}', "");
Expect(1, 43225, '\p{Scx=-_Saur}', "");
Expect(0, 43225, '\p{^Scx=-_Saur}', "");
Expect(0, 43225, '\P{Scx=-_Saur}', "");
Expect(1, 43225, '\P{^Scx=-_Saur}', "");
Expect(0, 43226, '\p{Scx=-_Saur}', "");
Expect(1, 43226, '\p{^Scx=-_Saur}', "");
Expect(1, 43226, '\P{Scx=-_Saur}', "");
Expect(0, 43226, '\P{^Scx=-_Saur}', "");
Error('\p{Is_Script_Extensions=:=		saurashtra}');
Error('\P{Is_Script_Extensions=:=		saurashtra}');
Expect(1, 43225, '\p{Is_Script_Extensions=saurashtra}', "");
Expect(0, 43225, '\p{^Is_Script_Extensions=saurashtra}', "");
Expect(0, 43225, '\P{Is_Script_Extensions=saurashtra}', "");
Expect(1, 43225, '\P{^Is_Script_Extensions=saurashtra}', "");
Expect(0, 43226, '\p{Is_Script_Extensions=saurashtra}', "");
Expect(1, 43226, '\p{^Is_Script_Extensions=saurashtra}', "");
Expect(1, 43226, '\P{Is_Script_Extensions=saurashtra}', "");
Expect(0, 43226, '\P{^Is_Script_Extensions=saurashtra}', "");
Expect(1, 43225, '\p{Is_Script_Extensions= Saurashtra}', "");
Expect(0, 43225, '\p{^Is_Script_Extensions= Saurashtra}', "");
Expect(0, 43225, '\P{Is_Script_Extensions= Saurashtra}', "");
Expect(1, 43225, '\P{^Is_Script_Extensions= Saurashtra}', "");
Expect(0, 43226, '\p{Is_Script_Extensions= Saurashtra}', "");
Expect(1, 43226, '\p{^Is_Script_Extensions= Saurashtra}', "");
Expect(1, 43226, '\P{Is_Script_Extensions= Saurashtra}', "");
Expect(0, 43226, '\P{^Is_Script_Extensions= Saurashtra}', "");
Error('\p{Is_Scx=	/a/Saur}');
Error('\P{Is_Scx=	/a/Saur}');
Expect(1, 43225, '\p{Is_Scx=saur}', "");
Expect(0, 43225, '\p{^Is_Scx=saur}', "");
Expect(0, 43225, '\P{Is_Scx=saur}', "");
Expect(1, 43225, '\P{^Is_Scx=saur}', "");
Expect(0, 43226, '\p{Is_Scx=saur}', "");
Expect(1, 43226, '\p{^Is_Scx=saur}', "");
Expect(1, 43226, '\P{Is_Scx=saur}', "");
Expect(0, 43226, '\P{^Is_Scx=saur}', "");
Expect(1, 43225, '\p{Is_Scx=	 SAUR}', "");
Expect(0, 43225, '\p{^Is_Scx=	 SAUR}', "");
Expect(0, 43225, '\P{Is_Scx=	 SAUR}', "");
Expect(1, 43225, '\P{^Is_Scx=	 SAUR}', "");
Expect(0, 43226, '\p{Is_Scx=	 SAUR}', "");
Expect(1, 43226, '\p{^Is_Scx=	 SAUR}', "");
Expect(1, 43226, '\P{Is_Scx=	 SAUR}', "");
Expect(0, 43226, '\P{^Is_Scx=	 SAUR}', "");
Error('\p{Script_Extensions=:=SHAVIAN}');
Error('\P{Script_Extensions=:=SHAVIAN}');
Expect(1, 66687, '\p{Script_Extensions=shavian}', "");
Expect(0, 66687, '\p{^Script_Extensions=shavian}', "");
Expect(0, 66687, '\P{Script_Extensions=shavian}', "");
Expect(1, 66687, '\P{^Script_Extensions=shavian}', "");
Expect(0, 66688, '\p{Script_Extensions=shavian}', "");
Expect(1, 66688, '\p{^Script_Extensions=shavian}', "");
Expect(1, 66688, '\P{Script_Extensions=shavian}', "");
Expect(0, 66688, '\P{^Script_Extensions=shavian}', "");
Expect(1, 66687, '\p{Script_Extensions=-_shavian}', "");
Expect(0, 66687, '\p{^Script_Extensions=-_shavian}', "");
Expect(0, 66687, '\P{Script_Extensions=-_shavian}', "");
Expect(1, 66687, '\P{^Script_Extensions=-_shavian}', "");
Expect(0, 66688, '\p{Script_Extensions=-_shavian}', "");
Expect(1, 66688, '\p{^Script_Extensions=-_shavian}', "");
Expect(1, 66688, '\P{Script_Extensions=-_shavian}', "");
Expect(0, 66688, '\P{^Script_Extensions=-_shavian}', "");
Error('\p{Scx=	:=SHAW}');
Error('\P{Scx=	:=SHAW}');
Expect(1, 66687, '\p{Scx=shaw}', "");
Expect(0, 66687, '\p{^Scx=shaw}', "");
Expect(0, 66687, '\P{Scx=shaw}', "");
Expect(1, 66687, '\P{^Scx=shaw}', "");
Expect(0, 66688, '\p{Scx=shaw}', "");
Expect(1, 66688, '\p{^Scx=shaw}', "");
Expect(1, 66688, '\P{Scx=shaw}', "");
Expect(0, 66688, '\P{^Scx=shaw}', "");
Expect(1, 66687, '\p{Scx=__Shaw}', "");
Expect(0, 66687, '\p{^Scx=__Shaw}', "");
Expect(0, 66687, '\P{Scx=__Shaw}', "");
Expect(1, 66687, '\P{^Scx=__Shaw}', "");
Expect(0, 66688, '\p{Scx=__Shaw}', "");
Expect(1, 66688, '\p{^Scx=__Shaw}', "");
Expect(1, 66688, '\P{Scx=__Shaw}', "");
Expect(0, 66688, '\P{^Scx=__Shaw}', "");
Error('\p{Is_Script_Extensions= _shavian:=}');
Error('\P{Is_Script_Extensions= _shavian:=}');
Expect(1, 66687, '\p{Is_Script_Extensions=shavian}', "");
Expect(0, 66687, '\p{^Is_Script_Extensions=shavian}', "");
Expect(0, 66687, '\P{Is_Script_Extensions=shavian}', "");
Expect(1, 66687, '\P{^Is_Script_Extensions=shavian}', "");
Expect(0, 66688, '\p{Is_Script_Extensions=shavian}', "");
Expect(1, 66688, '\p{^Is_Script_Extensions=shavian}', "");
Expect(1, 66688, '\P{Is_Script_Extensions=shavian}', "");
Expect(0, 66688, '\P{^Is_Script_Extensions=shavian}', "");
Expect(1, 66687, '\p{Is_Script_Extensions=-	Shavian}', "");
Expect(0, 66687, '\p{^Is_Script_Extensions=-	Shavian}', "");
Expect(0, 66687, '\P{Is_Script_Extensions=-	Shavian}', "");
Expect(1, 66687, '\P{^Is_Script_Extensions=-	Shavian}', "");
Expect(0, 66688, '\p{Is_Script_Extensions=-	Shavian}', "");
Expect(1, 66688, '\p{^Is_Script_Extensions=-	Shavian}', "");
Expect(1, 66688, '\P{Is_Script_Extensions=-	Shavian}', "");
Expect(0, 66688, '\P{^Is_Script_Extensions=-	Shavian}', "");
Error('\p{Is_Scx=	-SHAW:=}');
Error('\P{Is_Scx=	-SHAW:=}');
Expect(1, 66687, '\p{Is_Scx=shaw}', "");
Expect(0, 66687, '\p{^Is_Scx=shaw}', "");
Expect(0, 66687, '\P{Is_Scx=shaw}', "");
Expect(1, 66687, '\P{^Is_Scx=shaw}', "");
Expect(0, 66688, '\p{Is_Scx=shaw}', "");
Expect(1, 66688, '\p{^Is_Scx=shaw}', "");
Expect(1, 66688, '\P{Is_Scx=shaw}', "");
Expect(0, 66688, '\P{^Is_Scx=shaw}', "");
Expect(1, 66687, '\p{Is_Scx=_shaw}', "");
Expect(0, 66687, '\p{^Is_Scx=_shaw}', "");
Expect(0, 66687, '\P{Is_Scx=_shaw}', "");
Expect(1, 66687, '\P{^Is_Scx=_shaw}', "");
Expect(0, 66688, '\p{Is_Scx=_shaw}', "");
Expect(1, 66688, '\p{^Is_Scx=_shaw}', "");
Expect(1, 66688, '\P{Is_Scx=_shaw}', "");
Expect(0, 66688, '\P{^Is_Scx=_shaw}', "");
Error('\p{Script_Extensions=:=-	Sharada}');
Error('\P{Script_Extensions=:=-	Sharada}');
Expect(1, 70106, '\p{Script_Extensions=sharada}', "");
Expect(0, 70106, '\p{^Script_Extensions=sharada}', "");
Expect(0, 70106, '\P{Script_Extensions=sharada}', "");
Expect(1, 70106, '\P{^Script_Extensions=sharada}', "");
Expect(0, 70107, '\p{Script_Extensions=sharada}', "");
Expect(1, 70107, '\p{^Script_Extensions=sharada}', "");
Expect(1, 70107, '\P{Script_Extensions=sharada}', "");
Expect(0, 70107, '\P{^Script_Extensions=sharada}', "");
Expect(1, 70106, '\p{Script_Extensions=  Sharada}', "");
Expect(0, 70106, '\p{^Script_Extensions=  Sharada}', "");
Expect(0, 70106, '\P{Script_Extensions=  Sharada}', "");
Expect(1, 70106, '\P{^Script_Extensions=  Sharada}', "");
Expect(0, 70107, '\p{Script_Extensions=  Sharada}', "");
Expect(1, 70107, '\p{^Script_Extensions=  Sharada}', "");
Expect(1, 70107, '\P{Script_Extensions=  Sharada}', "");
Expect(0, 70107, '\P{^Script_Extensions=  Sharada}', "");
Error('\p{Scx=:=-Shrd}');
Error('\P{Scx=:=-Shrd}');
Expect(1, 70106, '\p{Scx=shrd}', "");
Expect(0, 70106, '\p{^Scx=shrd}', "");
Expect(0, 70106, '\P{Scx=shrd}', "");
Expect(1, 70106, '\P{^Scx=shrd}', "");
Expect(0, 70107, '\p{Scx=shrd}', "");
Expect(1, 70107, '\p{^Scx=shrd}', "");
Expect(1, 70107, '\P{Scx=shrd}', "");
Expect(0, 70107, '\P{^Scx=shrd}', "");
Expect(1, 70106, '\p{Scx=-	SHRD}', "");
Expect(0, 70106, '\p{^Scx=-	SHRD}', "");
Expect(0, 70106, '\P{Scx=-	SHRD}', "");
Expect(1, 70106, '\P{^Scx=-	SHRD}', "");
Expect(0, 70107, '\p{Scx=-	SHRD}', "");
Expect(1, 70107, '\p{^Scx=-	SHRD}', "");
Expect(1, 70107, '\P{Scx=-	SHRD}', "");
Expect(0, 70107, '\P{^Scx=-	SHRD}', "");
Error('\p{Is_Script_Extensions=__SHARADA/a/}');
Error('\P{Is_Script_Extensions=__SHARADA/a/}');
Expect(1, 70106, '\p{Is_Script_Extensions=sharada}', "");
Expect(0, 70106, '\p{^Is_Script_Extensions=sharada}', "");
Expect(0, 70106, '\P{Is_Script_Extensions=sharada}', "");
Expect(1, 70106, '\P{^Is_Script_Extensions=sharada}', "");
Expect(0, 70107, '\p{Is_Script_Extensions=sharada}', "");
Expect(1, 70107, '\p{^Is_Script_Extensions=sharada}', "");
Expect(1, 70107, '\P{Is_Script_Extensions=sharada}', "");
Expect(0, 70107, '\P{^Is_Script_Extensions=sharada}', "");
Expect(1, 70106, '\p{Is_Script_Extensions=	_Sharada}', "");
Expect(0, 70106, '\p{^Is_Script_Extensions=	_Sharada}', "");
Expect(0, 70106, '\P{Is_Script_Extensions=	_Sharada}', "");
Expect(1, 70106, '\P{^Is_Script_Extensions=	_Sharada}', "");
Expect(0, 70107, '\p{Is_Script_Extensions=	_Sharada}', "");
Expect(1, 70107, '\p{^Is_Script_Extensions=	_Sharada}', "");
Expect(1, 70107, '\P{Is_Script_Extensions=	_Sharada}', "");
Expect(0, 70107, '\P{^Is_Script_Extensions=	_Sharada}', "");
Error('\p{Is_Scx=:=shrd}');
Error('\P{Is_Scx=:=shrd}');
Expect(1, 70106, '\p{Is_Scx=shrd}', "");
Expect(0, 70106, '\p{^Is_Scx=shrd}', "");
Expect(0, 70106, '\P{Is_Scx=shrd}', "");
Expect(1, 70106, '\P{^Is_Scx=shrd}', "");
Expect(0, 70107, '\p{Is_Scx=shrd}', "");
Expect(1, 70107, '\p{^Is_Scx=shrd}', "");
Expect(1, 70107, '\P{Is_Scx=shrd}', "");
Expect(0, 70107, '\P{^Is_Scx=shrd}', "");
Expect(1, 70106, '\p{Is_Scx=_ Shrd}', "");
Expect(0, 70106, '\p{^Is_Scx=_ Shrd}', "");
Expect(0, 70106, '\P{Is_Scx=_ Shrd}', "");
Expect(1, 70106, '\P{^Is_Scx=_ Shrd}', "");
Expect(0, 70107, '\p{Is_Scx=_ Shrd}', "");
Expect(1, 70107, '\p{^Is_Scx=_ Shrd}', "");
Expect(1, 70107, '\P{Is_Scx=_ Shrd}', "");
Expect(0, 70107, '\P{^Is_Scx=_ Shrd}', "");
Error('\p{Script_Extensions=/a/ 	siddham}');
Error('\P{Script_Extensions=/a/ 	siddham}');
Expect(1, 71113, '\p{Script_Extensions=siddham}', "");
Expect(0, 71113, '\p{^Script_Extensions=siddham}', "");
Expect(0, 71113, '\P{Script_Extensions=siddham}', "");
Expect(1, 71113, '\P{^Script_Extensions=siddham}', "");
Expect(0, 71114, '\p{Script_Extensions=siddham}', "");
Expect(1, 71114, '\p{^Script_Extensions=siddham}', "");
Expect(1, 71114, '\P{Script_Extensions=siddham}', "");
Expect(0, 71114, '\P{^Script_Extensions=siddham}', "");
Expect(1, 71113, '\p{Script_Extensions=Siddham}', "");
Expect(0, 71113, '\p{^Script_Extensions=Siddham}', "");
Expect(0, 71113, '\P{Script_Extensions=Siddham}', "");
Expect(1, 71113, '\P{^Script_Extensions=Siddham}', "");
Expect(0, 71114, '\p{Script_Extensions=Siddham}', "");
Expect(1, 71114, '\p{^Script_Extensions=Siddham}', "");
Expect(1, 71114, '\P{Script_Extensions=Siddham}', "");
Expect(0, 71114, '\P{^Script_Extensions=Siddham}', "");
Error('\p{Scx=  Sidd/a/}');
Error('\P{Scx=  Sidd/a/}');
Expect(1, 71113, '\p{Scx=sidd}', "");
Expect(0, 71113, '\p{^Scx=sidd}', "");
Expect(0, 71113, '\P{Scx=sidd}', "");
Expect(1, 71113, '\P{^Scx=sidd}', "");
Expect(0, 71114, '\p{Scx=sidd}', "");
Expect(1, 71114, '\p{^Scx=sidd}', "");
Expect(1, 71114, '\P{Scx=sidd}', "");
Expect(0, 71114, '\P{^Scx=sidd}', "");
Expect(1, 71113, '\p{Scx=	-SIDD}', "");
Expect(0, 71113, '\p{^Scx=	-SIDD}', "");
Expect(0, 71113, '\P{Scx=	-SIDD}', "");
Expect(1, 71113, '\P{^Scx=	-SIDD}', "");
Expect(0, 71114, '\p{Scx=	-SIDD}', "");
Expect(1, 71114, '\p{^Scx=	-SIDD}', "");
Expect(1, 71114, '\P{Scx=	-SIDD}', "");
Expect(0, 71114, '\P{^Scx=	-SIDD}', "");
Error('\p{Is_Script_Extensions=_-siddham/a/}');
Error('\P{Is_Script_Extensions=_-siddham/a/}');
Expect(1, 71113, '\p{Is_Script_Extensions=siddham}', "");
Expect(0, 71113, '\p{^Is_Script_Extensions=siddham}', "");
Expect(0, 71113, '\P{Is_Script_Extensions=siddham}', "");
Expect(1, 71113, '\P{^Is_Script_Extensions=siddham}', "");
Expect(0, 71114, '\p{Is_Script_Extensions=siddham}', "");
Expect(1, 71114, '\p{^Is_Script_Extensions=siddham}', "");
Expect(1, 71114, '\P{Is_Script_Extensions=siddham}', "");
Expect(0, 71114, '\P{^Is_Script_Extensions=siddham}', "");
Expect(1, 71113, '\p{Is_Script_Extensions= SIDDHAM}', "");
Expect(0, 71113, '\p{^Is_Script_Extensions= SIDDHAM}', "");
Expect(0, 71113, '\P{Is_Script_Extensions= SIDDHAM}', "");
Expect(1, 71113, '\P{^Is_Script_Extensions= SIDDHAM}', "");
Expect(0, 71114, '\p{Is_Script_Extensions= SIDDHAM}', "");
Expect(1, 71114, '\p{^Is_Script_Extensions= SIDDHAM}', "");
Expect(1, 71114, '\P{Is_Script_Extensions= SIDDHAM}', "");
Expect(0, 71114, '\P{^Is_Script_Extensions= SIDDHAM}', "");
Error('\p{Is_Scx: :=-Sidd}');
Error('\P{Is_Scx: :=-Sidd}');
Expect(1, 71113, '\p{Is_Scx=sidd}', "");
Expect(0, 71113, '\p{^Is_Scx=sidd}', "");
Expect(0, 71113, '\P{Is_Scx=sidd}', "");
Expect(1, 71113, '\P{^Is_Scx=sidd}', "");
Expect(0, 71114, '\p{Is_Scx=sidd}', "");
Expect(1, 71114, '\p{^Is_Scx=sidd}', "");
Expect(1, 71114, '\P{Is_Scx=sidd}', "");
Expect(0, 71114, '\P{^Is_Scx=sidd}', "");
Expect(1, 71113, '\p{Is_Scx=  sidd}', "");
Expect(0, 71113, '\p{^Is_Scx=  sidd}', "");
Expect(0, 71113, '\P{Is_Scx=  sidd}', "");
Expect(1, 71113, '\P{^Is_Scx=  sidd}', "");
Expect(0, 71114, '\p{Is_Scx=  sidd}', "");
Expect(1, 71114, '\p{^Is_Scx=  sidd}', "");
Expect(1, 71114, '\P{Is_Scx=  sidd}', "");
Expect(0, 71114, '\P{^Is_Scx=  sidd}', "");
Error('\p{Script_Extensions=	/a/khudawadi}');
Error('\P{Script_Extensions=	/a/khudawadi}');
Expect(1, 70393, '\p{Script_Extensions:khudawadi}', "");
Expect(0, 70393, '\p{^Script_Extensions:khudawadi}', "");
Expect(0, 70393, '\P{Script_Extensions:khudawadi}', "");
Expect(1, 70393, '\P{^Script_Extensions:khudawadi}', "");
Expect(0, 70394, '\p{Script_Extensions:khudawadi}', "");
Expect(1, 70394, '\p{^Script_Extensions:khudawadi}', "");
Expect(1, 70394, '\P{Script_Extensions:khudawadi}', "");
Expect(0, 70394, '\P{^Script_Extensions:khudawadi}', "");
Expect(1, 70393, '\p{Script_Extensions=__Khudawadi}', "");
Expect(0, 70393, '\p{^Script_Extensions=__Khudawadi}', "");
Expect(0, 70393, '\P{Script_Extensions=__Khudawadi}', "");
Expect(1, 70393, '\P{^Script_Extensions=__Khudawadi}', "");
Expect(0, 70394, '\p{Script_Extensions=__Khudawadi}', "");
Expect(1, 70394, '\p{^Script_Extensions=__Khudawadi}', "");
Expect(1, 70394, '\P{Script_Extensions=__Khudawadi}', "");
Expect(0, 70394, '\P{^Script_Extensions=__Khudawadi}', "");
Error('\p{Scx= sind:=}');
Error('\P{Scx= sind:=}');
Expect(1, 70393, '\p{Scx=sind}', "");
Expect(0, 70393, '\p{^Scx=sind}', "");
Expect(0, 70393, '\P{Scx=sind}', "");
Expect(1, 70393, '\P{^Scx=sind}', "");
Expect(0, 70394, '\p{Scx=sind}', "");
Expect(1, 70394, '\p{^Scx=sind}', "");
Expect(1, 70394, '\P{Scx=sind}', "");
Expect(0, 70394, '\P{^Scx=sind}', "");
Expect(1, 70393, '\p{Scx=	-sind}', "");
Expect(0, 70393, '\p{^Scx=	-sind}', "");
Expect(0, 70393, '\P{Scx=	-sind}', "");
Expect(1, 70393, '\P{^Scx=	-sind}', "");
Expect(0, 70394, '\p{Scx=	-sind}', "");
Expect(1, 70394, '\p{^Scx=	-sind}', "");
Expect(1, 70394, '\P{Scx=	-sind}', "");
Expect(0, 70394, '\P{^Scx=	-sind}', "");
Error('\p{Is_Script_Extensions: 		Khudawadi/a/}');
Error('\P{Is_Script_Extensions: 		Khudawadi/a/}');
Expect(1, 70393, '\p{Is_Script_Extensions=khudawadi}', "");
Expect(0, 70393, '\p{^Is_Script_Extensions=khudawadi}', "");
Expect(0, 70393, '\P{Is_Script_Extensions=khudawadi}', "");
Expect(1, 70393, '\P{^Is_Script_Extensions=khudawadi}', "");
Expect(0, 70394, '\p{Is_Script_Extensions=khudawadi}', "");
Expect(1, 70394, '\p{^Is_Script_Extensions=khudawadi}', "");
Expect(1, 70394, '\P{Is_Script_Extensions=khudawadi}', "");
Expect(0, 70394, '\P{^Is_Script_Extensions=khudawadi}', "");
Expect(1, 70393, '\p{Is_Script_Extensions=-	khudawadi}', "");
Expect(0, 70393, '\p{^Is_Script_Extensions=-	khudawadi}', "");
Expect(0, 70393, '\P{Is_Script_Extensions=-	khudawadi}', "");
Expect(1, 70393, '\P{^Is_Script_Extensions=-	khudawadi}', "");
Expect(0, 70394, '\p{Is_Script_Extensions=-	khudawadi}', "");
Expect(1, 70394, '\p{^Is_Script_Extensions=-	khudawadi}', "");
Expect(1, 70394, '\P{Is_Script_Extensions=-	khudawadi}', "");
Expect(0, 70394, '\P{^Is_Script_Extensions=-	khudawadi}', "");
Error('\p{Is_Scx=	-sind/a/}');
Error('\P{Is_Scx=	-sind/a/}');
Expect(1, 70393, '\p{Is_Scx=sind}', "");
Expect(0, 70393, '\p{^Is_Scx=sind}', "");
Expect(0, 70393, '\P{Is_Scx=sind}', "");
Expect(1, 70393, '\P{^Is_Scx=sind}', "");
Expect(0, 70394, '\p{Is_Scx=sind}', "");
Expect(1, 70394, '\p{^Is_Scx=sind}', "");
Expect(1, 70394, '\P{Is_Scx=sind}', "");
Expect(0, 70394, '\P{^Is_Scx=sind}', "");
Expect(1, 70393, '\p{Is_Scx= SIND}', "");
Expect(0, 70393, '\p{^Is_Scx= SIND}', "");
Expect(0, 70393, '\P{Is_Scx= SIND}', "");
Expect(1, 70393, '\P{^Is_Scx= SIND}', "");
Expect(0, 70394, '\p{Is_Scx= SIND}', "");
Expect(1, 70394, '\p{^Is_Scx= SIND}', "");
Expect(1, 70394, '\P{Is_Scx= SIND}', "");
Expect(0, 70394, '\P{^Is_Scx= SIND}', "");
Error('\p{Script_Extensions=_:=Sinhala}');
Error('\P{Script_Extensions=_:=Sinhala}');
Expect(1, 70132, '\p{Script_Extensions=sinhala}', "");
Expect(0, 70132, '\p{^Script_Extensions=sinhala}', "");
Expect(0, 70132, '\P{Script_Extensions=sinhala}', "");
Expect(1, 70132, '\P{^Script_Extensions=sinhala}', "");
Expect(0, 70133, '\p{Script_Extensions=sinhala}', "");
Expect(1, 70133, '\p{^Script_Extensions=sinhala}', "");
Expect(1, 70133, '\P{Script_Extensions=sinhala}', "");
Expect(0, 70133, '\P{^Script_Extensions=sinhala}', "");
Expect(1, 70132, '\p{Script_Extensions=- SINHALA}', "");
Expect(0, 70132, '\p{^Script_Extensions=- SINHALA}', "");
Expect(0, 70132, '\P{Script_Extensions=- SINHALA}', "");
Expect(1, 70132, '\P{^Script_Extensions=- SINHALA}', "");
Expect(0, 70133, '\p{Script_Extensions=- SINHALA}', "");
Expect(1, 70133, '\p{^Script_Extensions=- SINHALA}', "");
Expect(1, 70133, '\P{Script_Extensions=- SINHALA}', "");
Expect(0, 70133, '\P{^Script_Extensions=- SINHALA}', "");
Error('\p{Scx=:=  Sinh}');
Error('\P{Scx=:=  Sinh}');
Expect(1, 70132, '\p{Scx:sinh}', "");
Expect(0, 70132, '\p{^Scx:sinh}', "");
Expect(0, 70132, '\P{Scx:sinh}', "");
Expect(1, 70132, '\P{^Scx:sinh}', "");
Expect(0, 70133, '\p{Scx:sinh}', "");
Expect(1, 70133, '\p{^Scx:sinh}', "");
Expect(1, 70133, '\P{Scx:sinh}', "");
Expect(0, 70133, '\P{^Scx:sinh}', "");
Expect(1, 70132, '\p{Scx=--sinh}', "");
Expect(0, 70132, '\p{^Scx=--sinh}', "");
Expect(0, 70132, '\P{Scx=--sinh}', "");
Expect(1, 70132, '\P{^Scx=--sinh}', "");
Expect(0, 70133, '\p{Scx=--sinh}', "");
Expect(1, 70133, '\p{^Scx=--sinh}', "");
Expect(1, 70133, '\P{Scx=--sinh}', "");
Expect(0, 70133, '\P{^Scx=--sinh}', "");
Error('\p{Is_Script_Extensions= _Sinhala/a/}');
Error('\P{Is_Script_Extensions= _Sinhala/a/}');
Expect(1, 70132, '\p{Is_Script_Extensions=sinhala}', "");
Expect(0, 70132, '\p{^Is_Script_Extensions=sinhala}', "");
Expect(0, 70132, '\P{Is_Script_Extensions=sinhala}', "");
Expect(1, 70132, '\P{^Is_Script_Extensions=sinhala}', "");
Expect(0, 70133, '\p{Is_Script_Extensions=sinhala}', "");
Expect(1, 70133, '\p{^Is_Script_Extensions=sinhala}', "");
Expect(1, 70133, '\P{Is_Script_Extensions=sinhala}', "");
Expect(0, 70133, '\P{^Is_Script_Extensions=sinhala}', "");
Expect(1, 70132, '\p{Is_Script_Extensions=	Sinhala}', "");
Expect(0, 70132, '\p{^Is_Script_Extensions=	Sinhala}', "");
Expect(0, 70132, '\P{Is_Script_Extensions=	Sinhala}', "");
Expect(1, 70132, '\P{^Is_Script_Extensions=	Sinhala}', "");
Expect(0, 70133, '\p{Is_Script_Extensions=	Sinhala}', "");
Expect(1, 70133, '\p{^Is_Script_Extensions=	Sinhala}', "");
Expect(1, 70133, '\P{Is_Script_Extensions=	Sinhala}', "");
Expect(0, 70133, '\P{^Is_Script_Extensions=	Sinhala}', "");
Error('\p{Is_Scx=	_Sinh/a/}');
Error('\P{Is_Scx=	_Sinh/a/}');
Expect(1, 70132, '\p{Is_Scx=sinh}', "");
Expect(0, 70132, '\p{^Is_Scx=sinh}', "");
Expect(0, 70132, '\P{Is_Scx=sinh}', "");
Expect(1, 70132, '\P{^Is_Scx=sinh}', "");
Expect(0, 70133, '\p{Is_Scx=sinh}', "");
Expect(1, 70133, '\p{^Is_Scx=sinh}', "");
Expect(1, 70133, '\P{Is_Scx=sinh}', "");
Expect(0, 70133, '\P{^Is_Scx=sinh}', "");
Expect(1, 70132, '\p{Is_Scx= 	sinh}', "");
Expect(0, 70132, '\p{^Is_Scx= 	sinh}', "");
Expect(0, 70132, '\P{Is_Scx= 	sinh}', "");
Expect(1, 70132, '\P{^Is_Scx= 	sinh}', "");
Expect(0, 70133, '\p{Is_Scx= 	sinh}', "");
Expect(1, 70133, '\p{^Is_Scx= 	sinh}', "");
Expect(1, 70133, '\P{Is_Scx= 	sinh}', "");
Expect(0, 70133, '\P{^Is_Scx= 	sinh}', "");
Error('\p{Script_Extensions=:= -SORA_SOMPENG}');
Error('\P{Script_Extensions=:= -SORA_SOMPENG}');
Expect(1, 69881, '\p{Script_Extensions:sorasompeng}', "");
Expect(0, 69881, '\p{^Script_Extensions:sorasompeng}', "");
Expect(0, 69881, '\P{Script_Extensions:sorasompeng}', "");
Expect(1, 69881, '\P{^Script_Extensions:sorasompeng}', "");
Expect(0, 69882, '\p{Script_Extensions:sorasompeng}', "");
Expect(1, 69882, '\p{^Script_Extensions:sorasompeng}', "");
Expect(1, 69882, '\P{Script_Extensions:sorasompeng}', "");
Expect(0, 69882, '\P{^Script_Extensions:sorasompeng}', "");
Expect(1, 69881, '\p{Script_Extensions=Sora_sompeng}', "");
Expect(0, 69881, '\p{^Script_Extensions=Sora_sompeng}', "");
Expect(0, 69881, '\P{Script_Extensions=Sora_sompeng}', "");
Expect(1, 69881, '\P{^Script_Extensions=Sora_sompeng}', "");
Expect(0, 69882, '\p{Script_Extensions=Sora_sompeng}', "");
Expect(1, 69882, '\p{^Script_Extensions=Sora_sompeng}', "");
Expect(1, 69882, '\P{Script_Extensions=Sora_sompeng}', "");
Expect(0, 69882, '\P{^Script_Extensions=Sora_sompeng}', "");
Error('\p{Scx=- sora:=}');
Error('\P{Scx=- sora:=}');
Expect(1, 69881, '\p{Scx=sora}', "");
Expect(0, 69881, '\p{^Scx=sora}', "");
Expect(0, 69881, '\P{Scx=sora}', "");
Expect(1, 69881, '\P{^Scx=sora}', "");
Expect(0, 69882, '\p{Scx=sora}', "");
Expect(1, 69882, '\p{^Scx=sora}', "");
Expect(1, 69882, '\P{Scx=sora}', "");
Expect(0, 69882, '\P{^Scx=sora}', "");
Expect(1, 69881, '\p{Scx=	Sora}', "");
Expect(0, 69881, '\p{^Scx=	Sora}', "");
Expect(0, 69881, '\P{Scx=	Sora}', "");
Expect(1, 69881, '\P{^Scx=	Sora}', "");
Expect(0, 69882, '\p{Scx=	Sora}', "");
Expect(1, 69882, '\p{^Scx=	Sora}', "");
Expect(1, 69882, '\P{Scx=	Sora}', "");
Expect(0, 69882, '\P{^Scx=	Sora}', "");
Error('\p{Is_Script_Extensions=-Sora_sompeng/a/}');
Error('\P{Is_Script_Extensions=-Sora_sompeng/a/}');
Expect(1, 69881, '\p{Is_Script_Extensions=sorasompeng}', "");
Expect(0, 69881, '\p{^Is_Script_Extensions=sorasompeng}', "");
Expect(0, 69881, '\P{Is_Script_Extensions=sorasompeng}', "");
Expect(1, 69881, '\P{^Is_Script_Extensions=sorasompeng}', "");
Expect(0, 69882, '\p{Is_Script_Extensions=sorasompeng}', "");
Expect(1, 69882, '\p{^Is_Script_Extensions=sorasompeng}', "");
Expect(1, 69882, '\P{Is_Script_Extensions=sorasompeng}', "");
Expect(0, 69882, '\P{^Is_Script_Extensions=sorasompeng}', "");
Expect(1, 69881, '\p{Is_Script_Extensions= -Sora_Sompeng}', "");
Expect(0, 69881, '\p{^Is_Script_Extensions= -Sora_Sompeng}', "");
Expect(0, 69881, '\P{Is_Script_Extensions= -Sora_Sompeng}', "");
Expect(1, 69881, '\P{^Is_Script_Extensions= -Sora_Sompeng}', "");
Expect(0, 69882, '\p{Is_Script_Extensions= -Sora_Sompeng}', "");
Expect(1, 69882, '\p{^Is_Script_Extensions= -Sora_Sompeng}', "");
Expect(1, 69882, '\P{Is_Script_Extensions= -Sora_Sompeng}', "");
Expect(0, 69882, '\P{^Is_Script_Extensions= -Sora_Sompeng}', "");
Error('\p{Is_Scx=:=	 Sora}');
Error('\P{Is_Scx=:=	 Sora}');
Expect(1, 69881, '\p{Is_Scx=sora}', "");
Expect(0, 69881, '\p{^Is_Scx=sora}', "");
Expect(0, 69881, '\P{Is_Scx=sora}', "");
Expect(1, 69881, '\P{^Is_Scx=sora}', "");
Expect(0, 69882, '\p{Is_Scx=sora}', "");
Expect(1, 69882, '\p{^Is_Scx=sora}', "");
Expect(1, 69882, '\P{Is_Scx=sora}', "");
Expect(0, 69882, '\P{^Is_Scx=sora}', "");
Expect(1, 69881, '\p{Is_Scx=-	Sora}', "");
Expect(0, 69881, '\p{^Is_Scx=-	Sora}', "");
Expect(0, 69881, '\P{Is_Scx=-	Sora}', "");
Expect(1, 69881, '\P{^Is_Scx=-	Sora}', "");
Expect(0, 69882, '\p{Is_Scx=-	Sora}', "");
Expect(1, 69882, '\p{^Is_Scx=-	Sora}', "");
Expect(1, 69882, '\P{Is_Scx=-	Sora}', "");
Expect(0, 69882, '\P{^Is_Scx=-	Sora}', "");
Error('\p{Script_Extensions= /a/SUNDANESE}');
Error('\P{Script_Extensions= /a/SUNDANESE}');
Expect(1, 7367, '\p{Script_Extensions=sundanese}', "");
Expect(0, 7367, '\p{^Script_Extensions=sundanese}', "");
Expect(0, 7367, '\P{Script_Extensions=sundanese}', "");
Expect(1, 7367, '\P{^Script_Extensions=sundanese}', "");
Expect(0, 7368, '\p{Script_Extensions=sundanese}', "");
Expect(1, 7368, '\p{^Script_Extensions=sundanese}', "");
Expect(1, 7368, '\P{Script_Extensions=sundanese}', "");
Expect(0, 7368, '\P{^Script_Extensions=sundanese}', "");
Expect(1, 7367, '\p{Script_Extensions=  sundanese}', "");
Expect(0, 7367, '\p{^Script_Extensions=  sundanese}', "");
Expect(0, 7367, '\P{Script_Extensions=  sundanese}', "");
Expect(1, 7367, '\P{^Script_Extensions=  sundanese}', "");
Expect(0, 7368, '\p{Script_Extensions=  sundanese}', "");
Expect(1, 7368, '\p{^Script_Extensions=  sundanese}', "");
Expect(1, 7368, '\P{Script_Extensions=  sundanese}', "");
Expect(0, 7368, '\P{^Script_Extensions=  sundanese}', "");
Error('\p{Scx=_	SUND:=}');
Error('\P{Scx=_	SUND:=}');
Expect(1, 7367, '\p{Scx=sund}', "");
Expect(0, 7367, '\p{^Scx=sund}', "");
Expect(0, 7367, '\P{Scx=sund}', "");
Expect(1, 7367, '\P{^Scx=sund}', "");
Expect(0, 7368, '\p{Scx=sund}', "");
Expect(1, 7368, '\p{^Scx=sund}', "");
Expect(1, 7368, '\P{Scx=sund}', "");
Expect(0, 7368, '\P{^Scx=sund}', "");
Expect(1, 7367, '\p{Scx=	-Sund}', "");
Expect(0, 7367, '\p{^Scx=	-Sund}', "");
Expect(0, 7367, '\P{Scx=	-Sund}', "");
Expect(1, 7367, '\P{^Scx=	-Sund}', "");
Expect(0, 7368, '\p{Scx=	-Sund}', "");
Expect(1, 7368, '\p{^Scx=	-Sund}', "");
Expect(1, 7368, '\P{Scx=	-Sund}', "");
Expect(0, 7368, '\P{^Scx=	-Sund}', "");
Error('\p{Is_Script_Extensions= :=SUNDANESE}');
Error('\P{Is_Script_Extensions= :=SUNDANESE}');
Expect(1, 7367, '\p{Is_Script_Extensions=sundanese}', "");
Expect(0, 7367, '\p{^Is_Script_Extensions=sundanese}', "");
Expect(0, 7367, '\P{Is_Script_Extensions=sundanese}', "");
Expect(1, 7367, '\P{^Is_Script_Extensions=sundanese}', "");
Expect(0, 7368, '\p{Is_Script_Extensions=sundanese}', "");
Expect(1, 7368, '\p{^Is_Script_Extensions=sundanese}', "");
Expect(1, 7368, '\P{Is_Script_Extensions=sundanese}', "");
Expect(0, 7368, '\P{^Is_Script_Extensions=sundanese}', "");
Expect(1, 7367, '\p{Is_Script_Extensions=-	SUNDANESE}', "");
Expect(0, 7367, '\p{^Is_Script_Extensions=-	SUNDANESE}', "");
Expect(0, 7367, '\P{Is_Script_Extensions=-	SUNDANESE}', "");
Expect(1, 7367, '\P{^Is_Script_Extensions=-	SUNDANESE}', "");
Expect(0, 7368, '\p{Is_Script_Extensions=-	SUNDANESE}', "");
Expect(1, 7368, '\p{^Is_Script_Extensions=-	SUNDANESE}', "");
Expect(1, 7368, '\P{Is_Script_Extensions=-	SUNDANESE}', "");
Expect(0, 7368, '\P{^Is_Script_Extensions=-	SUNDANESE}', "");
Error('\p{Is_Scx=Sund:=}');
Error('\P{Is_Scx=Sund:=}');
Expect(1, 7367, '\p{Is_Scx=sund}', "");
Expect(0, 7367, '\p{^Is_Scx=sund}', "");
Expect(0, 7367, '\P{Is_Scx=sund}', "");
Expect(1, 7367, '\P{^Is_Scx=sund}', "");
Expect(0, 7368, '\p{Is_Scx=sund}', "");
Expect(1, 7368, '\p{^Is_Scx=sund}', "");
Expect(1, 7368, '\P{Is_Scx=sund}', "");
Expect(0, 7368, '\P{^Is_Scx=sund}', "");
Expect(1, 7367, '\p{Is_Scx=_	Sund}', "");
Expect(0, 7367, '\p{^Is_Scx=_	Sund}', "");
Expect(0, 7367, '\P{Is_Scx=_	Sund}', "");
Expect(1, 7367, '\P{^Is_Scx=_	Sund}', "");
Expect(0, 7368, '\p{Is_Scx=_	Sund}', "");
Expect(1, 7368, '\p{^Is_Scx=_	Sund}', "");
Expect(1, 7368, '\P{Is_Scx=_	Sund}', "");
Expect(0, 7368, '\P{^Is_Scx=_	Sund}', "");
Error('\p{Script_Extensions=/a/ Syloti_nagri}');
Error('\P{Script_Extensions=/a/ Syloti_nagri}');
Expect(1, 43051, '\p{Script_Extensions:sylotinagri}', "");
Expect(0, 43051, '\p{^Script_Extensions:sylotinagri}', "");
Expect(0, 43051, '\P{Script_Extensions:sylotinagri}', "");
Expect(1, 43051, '\P{^Script_Extensions:sylotinagri}', "");
Expect(0, 43052, '\p{Script_Extensions:sylotinagri}', "");
Expect(1, 43052, '\p{^Script_Extensions:sylotinagri}', "");
Expect(1, 43052, '\P{Script_Extensions:sylotinagri}', "");
Expect(0, 43052, '\P{^Script_Extensions:sylotinagri}', "");
Expect(1, 43051, '\p{Script_Extensions=-Syloti_NAGRI}', "");
Expect(0, 43051, '\p{^Script_Extensions=-Syloti_NAGRI}', "");
Expect(0, 43051, '\P{Script_Extensions=-Syloti_NAGRI}', "");
Expect(1, 43051, '\P{^Script_Extensions=-Syloti_NAGRI}', "");
Expect(0, 43052, '\p{Script_Extensions=-Syloti_NAGRI}', "");
Expect(1, 43052, '\p{^Script_Extensions=-Syloti_NAGRI}', "");
Expect(1, 43052, '\P{Script_Extensions=-Syloti_NAGRI}', "");
Expect(0, 43052, '\P{^Script_Extensions=-Syloti_NAGRI}', "");
Error('\p{Scx= 	Sylo/a/}');
Error('\P{Scx= 	Sylo/a/}');
Expect(1, 43051, '\p{Scx:sylo}', "");
Expect(0, 43051, '\p{^Scx:sylo}', "");
Expect(0, 43051, '\P{Scx:sylo}', "");
Expect(1, 43051, '\P{^Scx:sylo}', "");
Expect(0, 43052, '\p{Scx:sylo}', "");
Expect(1, 43052, '\p{^Scx:sylo}', "");
Expect(1, 43052, '\P{Scx:sylo}', "");
Expect(0, 43052, '\P{^Scx:sylo}', "");
Expect(1, 43051, '\p{Scx=		sylo}', "");
Expect(0, 43051, '\p{^Scx=		sylo}', "");
Expect(0, 43051, '\P{Scx=		sylo}', "");
Expect(1, 43051, '\P{^Scx=		sylo}', "");
Expect(0, 43052, '\p{Scx=		sylo}', "");
Expect(1, 43052, '\p{^Scx=		sylo}', "");
Expect(1, 43052, '\P{Scx=		sylo}', "");
Expect(0, 43052, '\P{^Scx=		sylo}', "");
Error('\p{Is_Script_Extensions=:=  SYLOTI_nagri}');
Error('\P{Is_Script_Extensions=:=  SYLOTI_nagri}');
Expect(1, 43051, '\p{Is_Script_Extensions=sylotinagri}', "");
Expect(0, 43051, '\p{^Is_Script_Extensions=sylotinagri}', "");
Expect(0, 43051, '\P{Is_Script_Extensions=sylotinagri}', "");
Expect(1, 43051, '\P{^Is_Script_Extensions=sylotinagri}', "");
Expect(0, 43052, '\p{Is_Script_Extensions=sylotinagri}', "");
Expect(1, 43052, '\p{^Is_Script_Extensions=sylotinagri}', "");
Expect(1, 43052, '\P{Is_Script_Extensions=sylotinagri}', "");
Expect(0, 43052, '\P{^Is_Script_Extensions=sylotinagri}', "");
Expect(1, 43051, '\p{Is_Script_Extensions=_-Syloti_Nagri}', "");
Expect(0, 43051, '\p{^Is_Script_Extensions=_-Syloti_Nagri}', "");
Expect(0, 43051, '\P{Is_Script_Extensions=_-Syloti_Nagri}', "");
Expect(1, 43051, '\P{^Is_Script_Extensions=_-Syloti_Nagri}', "");
Expect(0, 43052, '\p{Is_Script_Extensions=_-Syloti_Nagri}', "");
Expect(1, 43052, '\p{^Is_Script_Extensions=_-Syloti_Nagri}', "");
Expect(1, 43052, '\P{Is_Script_Extensions=_-Syloti_Nagri}', "");
Expect(0, 43052, '\P{^Is_Script_Extensions=_-Syloti_Nagri}', "");
Error('\p{Is_Scx=/a/-_sylo}');
Error('\P{Is_Scx=/a/-_sylo}');
Expect(1, 43051, '\p{Is_Scx=sylo}', "");
Expect(0, 43051, '\p{^Is_Scx=sylo}', "");
Expect(0, 43051, '\P{Is_Scx=sylo}', "");
Expect(1, 43051, '\P{^Is_Scx=sylo}', "");
Expect(0, 43052, '\p{Is_Scx=sylo}', "");
Expect(1, 43052, '\p{^Is_Scx=sylo}', "");
Expect(1, 43052, '\P{Is_Scx=sylo}', "");
Expect(0, 43052, '\P{^Is_Scx=sylo}', "");
Expect(1, 43051, '\p{Is_Scx= sylo}', "");
Expect(0, 43051, '\p{^Is_Scx= sylo}', "");
Expect(0, 43051, '\P{Is_Scx= sylo}', "");
Expect(1, 43051, '\P{^Is_Scx= sylo}', "");
Expect(0, 43052, '\p{Is_Scx= sylo}', "");
Expect(1, 43052, '\p{^Is_Scx= sylo}', "");
Expect(1, 43052, '\P{Is_Scx= sylo}', "");
Expect(0, 43052, '\P{^Is_Scx= sylo}', "");
Error('\p{Script_Extensions=/a/ SYRIAC}');
Error('\P{Script_Extensions=/a/ SYRIAC}');
Expect(1, 1871, '\p{Script_Extensions=syriac}', "");
Expect(0, 1871, '\p{^Script_Extensions=syriac}', "");
Expect(0, 1871, '\P{Script_Extensions=syriac}', "");
Expect(1, 1871, '\P{^Script_Extensions=syriac}', "");
Expect(0, 1872, '\p{Script_Extensions=syriac}', "");
Expect(1, 1872, '\p{^Script_Extensions=syriac}', "");
Expect(1, 1872, '\P{Script_Extensions=syriac}', "");
Expect(0, 1872, '\P{^Script_Extensions=syriac}', "");
Expect(1, 1871, '\p{Script_Extensions=__SYRIAC}', "");
Expect(0, 1871, '\p{^Script_Extensions=__SYRIAC}', "");
Expect(0, 1871, '\P{Script_Extensions=__SYRIAC}', "");
Expect(1, 1871, '\P{^Script_Extensions=__SYRIAC}', "");
Expect(0, 1872, '\p{Script_Extensions=__SYRIAC}', "");
Expect(1, 1872, '\p{^Script_Extensions=__SYRIAC}', "");
Expect(1, 1872, '\P{Script_Extensions=__SYRIAC}', "");
Expect(0, 1872, '\P{^Script_Extensions=__SYRIAC}', "");
Error('\p{Scx:	Syrc/a/}');
Error('\P{Scx:	Syrc/a/}');
Expect(1, 1871, '\p{Scx=syrc}', "");
Expect(0, 1871, '\p{^Scx=syrc}', "");
Expect(0, 1871, '\P{Scx=syrc}', "");
Expect(1, 1871, '\P{^Scx=syrc}', "");
Expect(0, 1872, '\p{Scx=syrc}', "");
Expect(1, 1872, '\p{^Scx=syrc}', "");
Expect(1, 1872, '\P{Scx=syrc}', "");
Expect(0, 1872, '\P{^Scx=syrc}', "");
Expect(1, 1871, '\p{Scx: _SYRC}', "");
Expect(0, 1871, '\p{^Scx: _SYRC}', "");
Expect(0, 1871, '\P{Scx: _SYRC}', "");
Expect(1, 1871, '\P{^Scx: _SYRC}', "");
Expect(0, 1872, '\p{Scx: _SYRC}', "");
Expect(1, 1872, '\p{^Scx: _SYRC}', "");
Expect(1, 1872, '\P{Scx: _SYRC}', "");
Expect(0, 1872, '\P{^Scx: _SYRC}', "");
Error('\p{Is_Script_Extensions:	Syriac:=}');
Error('\P{Is_Script_Extensions:	Syriac:=}');
Expect(1, 1871, '\p{Is_Script_Extensions=syriac}', "");
Expect(0, 1871, '\p{^Is_Script_Extensions=syriac}', "");
Expect(0, 1871, '\P{Is_Script_Extensions=syriac}', "");
Expect(1, 1871, '\P{^Is_Script_Extensions=syriac}', "");
Expect(0, 1872, '\p{Is_Script_Extensions=syriac}', "");
Expect(1, 1872, '\p{^Is_Script_Extensions=syriac}', "");
Expect(1, 1872, '\P{Is_Script_Extensions=syriac}', "");
Expect(0, 1872, '\P{^Is_Script_Extensions=syriac}', "");
Expect(1, 1871, '\p{Is_Script_Extensions: __Syriac}', "");
Expect(0, 1871, '\p{^Is_Script_Extensions: __Syriac}', "");
Expect(0, 1871, '\P{Is_Script_Extensions: __Syriac}', "");
Expect(1, 1871, '\P{^Is_Script_Extensions: __Syriac}', "");
Expect(0, 1872, '\p{Is_Script_Extensions: __Syriac}', "");
Expect(1, 1872, '\p{^Is_Script_Extensions: __Syriac}', "");
Expect(1, 1872, '\P{Is_Script_Extensions: __Syriac}', "");
Expect(0, 1872, '\P{^Is_Script_Extensions: __Syriac}', "");
Error('\p{Is_Scx=/a/- Syrc}');
Error('\P{Is_Scx=/a/- Syrc}');
Expect(1, 1871, '\p{Is_Scx=syrc}', "");
Expect(0, 1871, '\p{^Is_Scx=syrc}', "");
Expect(0, 1871, '\P{Is_Scx=syrc}', "");
Expect(1, 1871, '\P{^Is_Scx=syrc}', "");
Expect(0, 1872, '\p{Is_Scx=syrc}', "");
Expect(1, 1872, '\p{^Is_Scx=syrc}', "");
Expect(1, 1872, '\P{Is_Scx=syrc}', "");
Expect(0, 1872, '\P{^Is_Scx=syrc}', "");
Expect(1, 1871, '\p{Is_Scx=	_SYRC}', "");
Expect(0, 1871, '\p{^Is_Scx=	_SYRC}', "");
Expect(0, 1871, '\P{Is_Scx=	_SYRC}', "");
Expect(1, 1871, '\P{^Is_Scx=	_SYRC}', "");
Expect(0, 1872, '\p{Is_Scx=	_SYRC}', "");
Expect(1, 1872, '\p{^Is_Scx=	_SYRC}', "");
Expect(1, 1872, '\P{Is_Scx=	_SYRC}', "");
Expect(0, 1872, '\P{^Is_Scx=	_SYRC}', "");
Error('\p{Script_Extensions=-Tagbanwa/a/}');
Error('\P{Script_Extensions=-Tagbanwa/a/}');
Expect(1, 6003, '\p{Script_Extensions:	tagbanwa}', "");
Expect(0, 6003, '\p{^Script_Extensions:	tagbanwa}', "");
Expect(0, 6003, '\P{Script_Extensions:	tagbanwa}', "");
Expect(1, 6003, '\P{^Script_Extensions:	tagbanwa}', "");
Expect(0, 6004, '\p{Script_Extensions:	tagbanwa}', "");
Expect(1, 6004, '\p{^Script_Extensions:	tagbanwa}', "");
Expect(1, 6004, '\P{Script_Extensions:	tagbanwa}', "");
Expect(0, 6004, '\P{^Script_Extensions:	tagbanwa}', "");
Expect(1, 6003, '\p{Script_Extensions=		tagbanwa}', "");
Expect(0, 6003, '\p{^Script_Extensions=		tagbanwa}', "");
Expect(0, 6003, '\P{Script_Extensions=		tagbanwa}', "");
Expect(1, 6003, '\P{^Script_Extensions=		tagbanwa}', "");
Expect(0, 6004, '\p{Script_Extensions=		tagbanwa}', "");
Expect(1, 6004, '\p{^Script_Extensions=		tagbanwa}', "");
Expect(1, 6004, '\P{Script_Extensions=		tagbanwa}', "");
Expect(0, 6004, '\P{^Script_Extensions=		tagbanwa}', "");
Error('\p{Scx=/a/__TAGB}');
Error('\P{Scx=/a/__TAGB}');
Expect(1, 6003, '\p{Scx=tagb}', "");
Expect(0, 6003, '\p{^Scx=tagb}', "");
Expect(0, 6003, '\P{Scx=tagb}', "");
Expect(1, 6003, '\P{^Scx=tagb}', "");
Expect(0, 6004, '\p{Scx=tagb}', "");
Expect(1, 6004, '\p{^Scx=tagb}', "");
Expect(1, 6004, '\P{Scx=tagb}', "");
Expect(0, 6004, '\P{^Scx=tagb}', "");
Expect(1, 6003, '\p{Scx=_tagb}', "");
Expect(0, 6003, '\p{^Scx=_tagb}', "");
Expect(0, 6003, '\P{Scx=_tagb}', "");
Expect(1, 6003, '\P{^Scx=_tagb}', "");
Expect(0, 6004, '\p{Scx=_tagb}', "");
Expect(1, 6004, '\p{^Scx=_tagb}', "");
Expect(1, 6004, '\P{Scx=_tagb}', "");
Expect(0, 6004, '\P{^Scx=_tagb}', "");
Error('\p{Is_Script_Extensions=	/a/tagbanwa}');
Error('\P{Is_Script_Extensions=	/a/tagbanwa}');
Expect(1, 6003, '\p{Is_Script_Extensions=tagbanwa}', "");
Expect(0, 6003, '\p{^Is_Script_Extensions=tagbanwa}', "");
Expect(0, 6003, '\P{Is_Script_Extensions=tagbanwa}', "");
Expect(1, 6003, '\P{^Is_Script_Extensions=tagbanwa}', "");
Expect(0, 6004, '\p{Is_Script_Extensions=tagbanwa}', "");
Expect(1, 6004, '\p{^Is_Script_Extensions=tagbanwa}', "");
Expect(1, 6004, '\P{Is_Script_Extensions=tagbanwa}', "");
Expect(0, 6004, '\P{^Is_Script_Extensions=tagbanwa}', "");
Expect(1, 6003, '\p{Is_Script_Extensions:	-Tagbanwa}', "");
Expect(0, 6003, '\p{^Is_Script_Extensions:	-Tagbanwa}', "");
Expect(0, 6003, '\P{Is_Script_Extensions:	-Tagbanwa}', "");
Expect(1, 6003, '\P{^Is_Script_Extensions:	-Tagbanwa}', "");
Expect(0, 6004, '\p{Is_Script_Extensions:	-Tagbanwa}', "");
Expect(1, 6004, '\p{^Is_Script_Extensions:	-Tagbanwa}', "");
Expect(1, 6004, '\P{Is_Script_Extensions:	-Tagbanwa}', "");
Expect(0, 6004, '\P{^Is_Script_Extensions:	-Tagbanwa}', "");
Error('\p{Is_Scx=/a/Tagb}');
Error('\P{Is_Scx=/a/Tagb}');
Expect(1, 6003, '\p{Is_Scx=tagb}', "");
Expect(0, 6003, '\p{^Is_Scx=tagb}', "");
Expect(0, 6003, '\P{Is_Scx=tagb}', "");
Expect(1, 6003, '\P{^Is_Scx=tagb}', "");
Expect(0, 6004, '\p{Is_Scx=tagb}', "");
Expect(1, 6004, '\p{^Is_Scx=tagb}', "");
Expect(1, 6004, '\P{Is_Scx=tagb}', "");
Expect(0, 6004, '\P{^Is_Scx=tagb}', "");
Expect(1, 6003, '\p{Is_Scx=_tagb}', "");
Expect(0, 6003, '\p{^Is_Scx=_tagb}', "");
Expect(0, 6003, '\P{Is_Scx=_tagb}', "");
Expect(1, 6003, '\P{^Is_Scx=_tagb}', "");
Expect(0, 6004, '\p{Is_Scx=_tagb}', "");
Expect(1, 6004, '\p{^Is_Scx=_tagb}', "");
Expect(1, 6004, '\P{Is_Scx=_tagb}', "");
Expect(0, 6004, '\P{^Is_Scx=_tagb}', "");
Error('\p{Script_Extensions=:=- takri}');
Error('\P{Script_Extensions=:=- takri}');
Expect(1, 71369, '\p{Script_Extensions=takri}', "");
Expect(0, 71369, '\p{^Script_Extensions=takri}', "");
Expect(0, 71369, '\P{Script_Extensions=takri}', "");
Expect(1, 71369, '\P{^Script_Extensions=takri}', "");
Expect(0, 71370, '\p{Script_Extensions=takri}', "");
Expect(1, 71370, '\p{^Script_Extensions=takri}', "");
Expect(1, 71370, '\P{Script_Extensions=takri}', "");
Expect(0, 71370, '\P{^Script_Extensions=takri}', "");
Expect(1, 71369, '\p{Script_Extensions=_ TAKRI}', "");
Expect(0, 71369, '\p{^Script_Extensions=_ TAKRI}', "");
Expect(0, 71369, '\P{Script_Extensions=_ TAKRI}', "");
Expect(1, 71369, '\P{^Script_Extensions=_ TAKRI}', "");
Expect(0, 71370, '\p{Script_Extensions=_ TAKRI}', "");
Expect(1, 71370, '\p{^Script_Extensions=_ TAKRI}', "");
Expect(1, 71370, '\P{Script_Extensions=_ TAKRI}', "");
Expect(0, 71370, '\P{^Script_Extensions=_ TAKRI}', "");
Error('\p{Scx= -takr/a/}');
Error('\P{Scx= -takr/a/}');
Expect(1, 71369, '\p{Scx=takr}', "");
Expect(0, 71369, '\p{^Scx=takr}', "");
Expect(0, 71369, '\P{Scx=takr}', "");
Expect(1, 71369, '\P{^Scx=takr}', "");
Expect(0, 71370, '\p{Scx=takr}', "");
Expect(1, 71370, '\p{^Scx=takr}', "");
Expect(1, 71370, '\P{Scx=takr}', "");
Expect(0, 71370, '\P{^Scx=takr}', "");
Expect(1, 71369, '\p{Scx=_takr}', "");
Expect(0, 71369, '\p{^Scx=_takr}', "");
Expect(0, 71369, '\P{Scx=_takr}', "");
Expect(1, 71369, '\P{^Scx=_takr}', "");
Expect(0, 71370, '\p{Scx=_takr}', "");
Expect(1, 71370, '\p{^Scx=_takr}', "");
Expect(1, 71370, '\P{Scx=_takr}', "");
Expect(0, 71370, '\P{^Scx=_takr}', "");
Error('\p{Is_Script_Extensions=	:=TAKRI}');
Error('\P{Is_Script_Extensions=	:=TAKRI}');
Expect(1, 71369, '\p{Is_Script_Extensions=takri}', "");
Expect(0, 71369, '\p{^Is_Script_Extensions=takri}', "");
Expect(0, 71369, '\P{Is_Script_Extensions=takri}', "");
Expect(1, 71369, '\P{^Is_Script_Extensions=takri}', "");
Expect(0, 71370, '\p{Is_Script_Extensions=takri}', "");
Expect(1, 71370, '\p{^Is_Script_Extensions=takri}', "");
Expect(1, 71370, '\P{Is_Script_Extensions=takri}', "");
Expect(0, 71370, '\P{^Is_Script_Extensions=takri}', "");
Expect(1, 71369, '\p{Is_Script_Extensions=-takri}', "");
Expect(0, 71369, '\p{^Is_Script_Extensions=-takri}', "");
Expect(0, 71369, '\P{Is_Script_Extensions=-takri}', "");
Expect(1, 71369, '\P{^Is_Script_Extensions=-takri}', "");
Expect(0, 71370, '\p{Is_Script_Extensions=-takri}', "");
Expect(1, 71370, '\p{^Is_Script_Extensions=-takri}', "");
Expect(1, 71370, '\P{Is_Script_Extensions=-takri}', "");
Expect(0, 71370, '\P{^Is_Script_Extensions=-takri}', "");
Error('\p{Is_Scx=/a/_Takr}');
Error('\P{Is_Scx=/a/_Takr}');
Expect(1, 71369, '\p{Is_Scx=takr}', "");
Expect(0, 71369, '\p{^Is_Scx=takr}', "");
Expect(0, 71369, '\P{Is_Scx=takr}', "");
Expect(1, 71369, '\P{^Is_Scx=takr}', "");
Expect(0, 71370, '\p{Is_Scx=takr}', "");
Expect(1, 71370, '\p{^Is_Scx=takr}', "");
Expect(1, 71370, '\P{Is_Scx=takr}', "");
Expect(0, 71370, '\P{^Is_Scx=takr}', "");
Expect(1, 71369, '\p{Is_Scx:-Takr}', "");
Expect(0, 71369, '\p{^Is_Scx:-Takr}', "");
Expect(0, 71369, '\P{Is_Scx:-Takr}', "");
Expect(1, 71369, '\P{^Is_Scx:-Takr}', "");
Expect(0, 71370, '\p{Is_Scx:-Takr}', "");
Expect(1, 71370, '\p{^Is_Scx:-Takr}', "");
Expect(1, 71370, '\P{Is_Scx:-Takr}', "");
Expect(0, 71370, '\P{^Is_Scx:-Takr}', "");
Error('\p{Script_Extensions=_:=TAI_Le}');
Error('\P{Script_Extensions=_:=TAI_Le}');
Expect(1, 6516, '\p{Script_Extensions=taile}', "");
Expect(0, 6516, '\p{^Script_Extensions=taile}', "");
Expect(0, 6516, '\P{Script_Extensions=taile}', "");
Expect(1, 6516, '\P{^Script_Extensions=taile}', "");
Expect(0, 6517, '\p{Script_Extensions=taile}', "");
Expect(1, 6517, '\p{^Script_Extensions=taile}', "");
Expect(1, 6517, '\P{Script_Extensions=taile}', "");
Expect(0, 6517, '\P{^Script_Extensions=taile}', "");
Expect(1, 6516, '\p{Script_Extensions= Tai_le}', "");
Expect(0, 6516, '\p{^Script_Extensions= Tai_le}', "");
Expect(0, 6516, '\P{Script_Extensions= Tai_le}', "");
Expect(1, 6516, '\P{^Script_Extensions= Tai_le}', "");
Expect(0, 6517, '\p{Script_Extensions= Tai_le}', "");
Expect(1, 6517, '\p{^Script_Extensions= Tai_le}', "");
Expect(1, 6517, '\P{Script_Extensions= Tai_le}', "");
Expect(0, 6517, '\P{^Script_Extensions= Tai_le}', "");
Error('\p{Scx=:=TALE}');
Error('\P{Scx=:=TALE}');
Expect(1, 6516, '\p{Scx=tale}', "");
Expect(0, 6516, '\p{^Scx=tale}', "");
Expect(0, 6516, '\P{Scx=tale}', "");
Expect(1, 6516, '\P{^Scx=tale}', "");
Expect(0, 6517, '\p{Scx=tale}', "");
Expect(1, 6517, '\p{^Scx=tale}', "");
Expect(1, 6517, '\P{Scx=tale}', "");
Expect(0, 6517, '\P{^Scx=tale}', "");
Expect(1, 6516, '\p{Scx=_TALE}', "");
Expect(0, 6516, '\p{^Scx=_TALE}', "");
Expect(0, 6516, '\P{Scx=_TALE}', "");
Expect(1, 6516, '\P{^Scx=_TALE}', "");
Expect(0, 6517, '\p{Scx=_TALE}', "");
Expect(1, 6517, '\p{^Scx=_TALE}', "");
Expect(1, 6517, '\P{Scx=_TALE}', "");
Expect(0, 6517, '\P{^Scx=_TALE}', "");
Error('\p{Is_Script_Extensions:	_/a/Tai_le}');
Error('\P{Is_Script_Extensions:	_/a/Tai_le}');
Expect(1, 6516, '\p{Is_Script_Extensions:	taile}', "");
Expect(0, 6516, '\p{^Is_Script_Extensions:	taile}', "");
Expect(0, 6516, '\P{Is_Script_Extensions:	taile}', "");
Expect(1, 6516, '\P{^Is_Script_Extensions:	taile}', "");
Expect(0, 6517, '\p{Is_Script_Extensions:	taile}', "");
Expect(1, 6517, '\p{^Is_Script_Extensions:	taile}', "");
Expect(1, 6517, '\P{Is_Script_Extensions:	taile}', "");
Expect(0, 6517, '\P{^Is_Script_Extensions:	taile}', "");
Expect(1, 6516, '\p{Is_Script_Extensions= 	tai_le}', "");
Expect(0, 6516, '\p{^Is_Script_Extensions= 	tai_le}', "");
Expect(0, 6516, '\P{Is_Script_Extensions= 	tai_le}', "");
Expect(1, 6516, '\P{^Is_Script_Extensions= 	tai_le}', "");
Expect(0, 6517, '\p{Is_Script_Extensions= 	tai_le}', "");
Expect(1, 6517, '\p{^Is_Script_Extensions= 	tai_le}', "");
Expect(1, 6517, '\P{Is_Script_Extensions= 	tai_le}', "");
Expect(0, 6517, '\P{^Is_Script_Extensions= 	tai_le}', "");
Error('\p{Is_Scx=-:=TALE}');
Error('\P{Is_Scx=-:=TALE}');
Expect(1, 6516, '\p{Is_Scx:	tale}', "");
Expect(0, 6516, '\p{^Is_Scx:	tale}', "");
Expect(0, 6516, '\P{Is_Scx:	tale}', "");
Expect(1, 6516, '\P{^Is_Scx:	tale}', "");
Expect(0, 6517, '\p{Is_Scx:	tale}', "");
Expect(1, 6517, '\p{^Is_Scx:	tale}', "");
Expect(1, 6517, '\P{Is_Scx:	tale}', "");
Expect(0, 6517, '\P{^Is_Scx:	tale}', "");
Expect(1, 6516, '\p{Is_Scx=-	tale}', "");
Expect(0, 6516, '\p{^Is_Scx=-	tale}', "");
Expect(0, 6516, '\P{Is_Scx=-	tale}', "");
Expect(1, 6516, '\P{^Is_Scx=-	tale}', "");
Expect(0, 6517, '\p{Is_Scx=-	tale}', "");
Expect(1, 6517, '\p{^Is_Scx=-	tale}', "");
Expect(1, 6517, '\P{Is_Scx=-	tale}', "");
Expect(0, 6517, '\P{^Is_Scx=-	tale}', "");
Error('\p{Script_Extensions= New_tai_LUE/a/}');
Error('\P{Script_Extensions= New_tai_LUE/a/}');
Expect(1, 6623, '\p{Script_Extensions=newtailue}', "");
Expect(0, 6623, '\p{^Script_Extensions=newtailue}', "");
Expect(0, 6623, '\P{Script_Extensions=newtailue}', "");
Expect(1, 6623, '\P{^Script_Extensions=newtailue}', "");
Expect(0, 6624, '\p{Script_Extensions=newtailue}', "");
Expect(1, 6624, '\p{^Script_Extensions=newtailue}', "");
Expect(1, 6624, '\P{Script_Extensions=newtailue}', "");
Expect(0, 6624, '\P{^Script_Extensions=newtailue}', "");
Expect(1, 6623, '\p{Script_Extensions=New_Tai_lue}', "");
Expect(0, 6623, '\p{^Script_Extensions=New_Tai_lue}', "");
Expect(0, 6623, '\P{Script_Extensions=New_Tai_lue}', "");
Expect(1, 6623, '\P{^Script_Extensions=New_Tai_lue}', "");
Expect(0, 6624, '\p{Script_Extensions=New_Tai_lue}', "");
Expect(1, 6624, '\p{^Script_Extensions=New_Tai_lue}', "");
Expect(1, 6624, '\P{Script_Extensions=New_Tai_lue}', "");
Expect(0, 6624, '\P{^Script_Extensions=New_Tai_lue}', "");
Error('\p{Scx=:= 	Talu}');
Error('\P{Scx=:= 	Talu}');
Expect(1, 6623, '\p{Scx=talu}', "");
Expect(0, 6623, '\p{^Scx=talu}', "");
Expect(0, 6623, '\P{Scx=talu}', "");
Expect(1, 6623, '\P{^Scx=talu}', "");
Expect(0, 6624, '\p{Scx=talu}', "");
Expect(1, 6624, '\p{^Scx=talu}', "");
Expect(1, 6624, '\P{Scx=talu}', "");
Expect(0, 6624, '\P{^Scx=talu}', "");
Expect(1, 6623, '\p{Scx=_-TALU}', "");
Expect(0, 6623, '\p{^Scx=_-TALU}', "");
Expect(0, 6623, '\P{Scx=_-TALU}', "");
Expect(1, 6623, '\P{^Scx=_-TALU}', "");
Expect(0, 6624, '\p{Scx=_-TALU}', "");
Expect(1, 6624, '\p{^Scx=_-TALU}', "");
Expect(1, 6624, '\P{Scx=_-TALU}', "");
Expect(0, 6624, '\P{^Scx=_-TALU}', "");
Error('\p{Is_Script_Extensions= _New_tai_Lue:=}');
Error('\P{Is_Script_Extensions= _New_tai_Lue:=}');
Expect(1, 6623, '\p{Is_Script_Extensions=newtailue}', "");
Expect(0, 6623, '\p{^Is_Script_Extensions=newtailue}', "");
Expect(0, 6623, '\P{Is_Script_Extensions=newtailue}', "");
Expect(1, 6623, '\P{^Is_Script_Extensions=newtailue}', "");
Expect(0, 6624, '\p{Is_Script_Extensions=newtailue}', "");
Expect(1, 6624, '\p{^Is_Script_Extensions=newtailue}', "");
Expect(1, 6624, '\P{Is_Script_Extensions=newtailue}', "");
Expect(0, 6624, '\P{^Is_Script_Extensions=newtailue}', "");
Expect(1, 6623, '\p{Is_Script_Extensions=_New_tai_LUE}', "");
Expect(0, 6623, '\p{^Is_Script_Extensions=_New_tai_LUE}', "");
Expect(0, 6623, '\P{Is_Script_Extensions=_New_tai_LUE}', "");
Expect(1, 6623, '\P{^Is_Script_Extensions=_New_tai_LUE}', "");
Expect(0, 6624, '\p{Is_Script_Extensions=_New_tai_LUE}', "");
Expect(1, 6624, '\p{^Is_Script_Extensions=_New_tai_LUE}', "");
Expect(1, 6624, '\P{Is_Script_Extensions=_New_tai_LUE}', "");
Expect(0, 6624, '\P{^Is_Script_Extensions=_New_tai_LUE}', "");
Error('\p{Is_Scx=__talu:=}');
Error('\P{Is_Scx=__talu:=}');
Expect(1, 6623, '\p{Is_Scx=talu}', "");
Expect(0, 6623, '\p{^Is_Scx=talu}', "");
Expect(0, 6623, '\P{Is_Scx=talu}', "");
Expect(1, 6623, '\P{^Is_Scx=talu}', "");
Expect(0, 6624, '\p{Is_Scx=talu}', "");
Expect(1, 6624, '\p{^Is_Scx=talu}', "");
Expect(1, 6624, '\P{Is_Scx=talu}', "");
Expect(0, 6624, '\P{^Is_Scx=talu}', "");
Expect(1, 6623, '\p{Is_Scx= -talu}', "");
Expect(0, 6623, '\p{^Is_Scx= -talu}', "");
Expect(0, 6623, '\P{Is_Scx= -talu}', "");
Expect(1, 6623, '\P{^Is_Scx= -talu}', "");
Expect(0, 6624, '\p{Is_Scx= -talu}', "");
Expect(1, 6624, '\p{^Is_Scx= -talu}', "");
Expect(1, 6624, '\P{Is_Scx= -talu}', "");
Expect(0, 6624, '\P{^Is_Scx= -talu}', "");
Error('\p{Script_Extensions=Tamil/a/}');
Error('\P{Script_Extensions=Tamil/a/}');
Expect(1, 3066, '\p{Script_Extensions=tamil}', "");
Expect(0, 3066, '\p{^Script_Extensions=tamil}', "");
Expect(0, 3066, '\P{Script_Extensions=tamil}', "");
Expect(1, 3066, '\P{^Script_Extensions=tamil}', "");
Expect(0, 3067, '\p{Script_Extensions=tamil}', "");
Expect(1, 3067, '\p{^Script_Extensions=tamil}', "");
Expect(1, 3067, '\P{Script_Extensions=tamil}', "");
Expect(0, 3067, '\P{^Script_Extensions=tamil}', "");
Expect(1, 3066, '\p{Script_Extensions:- tamil}', "");
Expect(0, 3066, '\p{^Script_Extensions:- tamil}', "");
Expect(0, 3066, '\P{Script_Extensions:- tamil}', "");
Expect(1, 3066, '\P{^Script_Extensions:- tamil}', "");
Expect(0, 3067, '\p{Script_Extensions:- tamil}', "");
Expect(1, 3067, '\p{^Script_Extensions:- tamil}', "");
Expect(1, 3067, '\P{Script_Extensions:- tamil}', "");
Expect(0, 3067, '\P{^Script_Extensions:- tamil}', "");
Error('\p{Scx=/a/taml}');
Error('\P{Scx=/a/taml}');
Expect(1, 3066, '\p{Scx=taml}', "");
Expect(0, 3066, '\p{^Scx=taml}', "");
Expect(0, 3066, '\P{Scx=taml}', "");
Expect(1, 3066, '\P{^Scx=taml}', "");
Expect(0, 3067, '\p{Scx=taml}', "");
Expect(1, 3067, '\p{^Scx=taml}', "");
Expect(1, 3067, '\P{Scx=taml}', "");
Expect(0, 3067, '\P{^Scx=taml}', "");
Expect(1, 3066, '\p{Scx=	 TAML}', "");
Expect(0, 3066, '\p{^Scx=	 TAML}', "");
Expect(0, 3066, '\P{Scx=	 TAML}', "");
Expect(1, 3066, '\P{^Scx=	 TAML}', "");
Expect(0, 3067, '\p{Scx=	 TAML}', "");
Expect(1, 3067, '\p{^Scx=	 TAML}', "");
Expect(1, 3067, '\P{Scx=	 TAML}', "");
Expect(0, 3067, '\P{^Scx=	 TAML}', "");
Error('\p{Is_Script_Extensions=:=	Tamil}');
Error('\P{Is_Script_Extensions=:=	Tamil}');
Expect(1, 3066, '\p{Is_Script_Extensions=tamil}', "");
Expect(0, 3066, '\p{^Is_Script_Extensions=tamil}', "");
Expect(0, 3066, '\P{Is_Script_Extensions=tamil}', "");
Expect(1, 3066, '\P{^Is_Script_Extensions=tamil}', "");
Expect(0, 3067, '\p{Is_Script_Extensions=tamil}', "");
Expect(1, 3067, '\p{^Is_Script_Extensions=tamil}', "");
Expect(1, 3067, '\P{Is_Script_Extensions=tamil}', "");
Expect(0, 3067, '\P{^Is_Script_Extensions=tamil}', "");
Expect(1, 3066, '\p{Is_Script_Extensions= 	Tamil}', "");
Expect(0, 3066, '\p{^Is_Script_Extensions= 	Tamil}', "");
Expect(0, 3066, '\P{Is_Script_Extensions= 	Tamil}', "");
Expect(1, 3066, '\P{^Is_Script_Extensions= 	Tamil}', "");
Expect(0, 3067, '\p{Is_Script_Extensions= 	Tamil}', "");
Expect(1, 3067, '\p{^Is_Script_Extensions= 	Tamil}', "");
Expect(1, 3067, '\P{Is_Script_Extensions= 	Tamil}', "");
Expect(0, 3067, '\P{^Is_Script_Extensions= 	Tamil}', "");
Error('\p{Is_Scx:	_:=Taml}');
Error('\P{Is_Scx:	_:=Taml}');
Expect(1, 3066, '\p{Is_Scx=taml}', "");
Expect(0, 3066, '\p{^Is_Scx=taml}', "");
Expect(0, 3066, '\P{Is_Scx=taml}', "");
Expect(1, 3066, '\P{^Is_Scx=taml}', "");
Expect(0, 3067, '\p{Is_Scx=taml}', "");
Expect(1, 3067, '\p{^Is_Scx=taml}', "");
Expect(1, 3067, '\P{Is_Scx=taml}', "");
Expect(0, 3067, '\P{^Is_Scx=taml}', "");
Expect(1, 3066, '\p{Is_Scx=	Taml}', "");
Expect(0, 3066, '\p{^Is_Scx=	Taml}', "");
Expect(0, 3066, '\P{Is_Scx=	Taml}', "");
Expect(1, 3066, '\P{^Is_Scx=	Taml}', "");
Expect(0, 3067, '\p{Is_Scx=	Taml}', "");
Expect(1, 3067, '\p{^Is_Scx=	Taml}', "");
Expect(1, 3067, '\P{Is_Scx=	Taml}', "");
Expect(0, 3067, '\P{^Is_Scx=	Taml}', "");
Error('\p{Script_Extensions= tai_Viet/a/}');
Error('\P{Script_Extensions= tai_Viet/a/}');
Expect(1, 43743, '\p{Script_Extensions=taiviet}', "");
Expect(0, 43743, '\p{^Script_Extensions=taiviet}', "");
Expect(0, 43743, '\P{Script_Extensions=taiviet}', "");
Expect(1, 43743, '\P{^Script_Extensions=taiviet}', "");
Expect(0, 43744, '\p{Script_Extensions=taiviet}', "");
Expect(1, 43744, '\p{^Script_Extensions=taiviet}', "");
Expect(1, 43744, '\P{Script_Extensions=taiviet}', "");
Expect(0, 43744, '\P{^Script_Extensions=taiviet}', "");
Expect(1, 43743, '\p{Script_Extensions=	 Tai_viet}', "");
Expect(0, 43743, '\p{^Script_Extensions=	 Tai_viet}', "");
Expect(0, 43743, '\P{Script_Extensions=	 Tai_viet}', "");
Expect(1, 43743, '\P{^Script_Extensions=	 Tai_viet}', "");
Expect(0, 43744, '\p{Script_Extensions=	 Tai_viet}', "");
Expect(1, 43744, '\p{^Script_Extensions=	 Tai_viet}', "");
Expect(1, 43744, '\P{Script_Extensions=	 Tai_viet}', "");
Expect(0, 43744, '\P{^Script_Extensions=	 Tai_viet}', "");
Error('\p{Scx=/a/  TAVT}');
Error('\P{Scx=/a/  TAVT}');
Expect(1, 43743, '\p{Scx=tavt}', "");
Expect(0, 43743, '\p{^Scx=tavt}', "");
Expect(0, 43743, '\P{Scx=tavt}', "");
Expect(1, 43743, '\P{^Scx=tavt}', "");
Expect(0, 43744, '\p{Scx=tavt}', "");
Expect(1, 43744, '\p{^Scx=tavt}', "");
Expect(1, 43744, '\P{Scx=tavt}', "");
Expect(0, 43744, '\P{^Scx=tavt}', "");
Expect(1, 43743, '\p{Scx=_ Tavt}', "");
Expect(0, 43743, '\p{^Scx=_ Tavt}', "");
Expect(0, 43743, '\P{Scx=_ Tavt}', "");
Expect(1, 43743, '\P{^Scx=_ Tavt}', "");
Expect(0, 43744, '\p{Scx=_ Tavt}', "");
Expect(1, 43744, '\p{^Scx=_ Tavt}', "");
Expect(1, 43744, '\P{Scx=_ Tavt}', "");
Expect(0, 43744, '\P{^Scx=_ Tavt}', "");
Error('\p{Is_Script_Extensions=/a/_	Tai_VIET}');
Error('\P{Is_Script_Extensions=/a/_	Tai_VIET}');
Expect(1, 43743, '\p{Is_Script_Extensions: taiviet}', "");
Expect(0, 43743, '\p{^Is_Script_Extensions: taiviet}', "");
Expect(0, 43743, '\P{Is_Script_Extensions: taiviet}', "");
Expect(1, 43743, '\P{^Is_Script_Extensions: taiviet}', "");
Expect(0, 43744, '\p{Is_Script_Extensions: taiviet}', "");
Expect(1, 43744, '\p{^Is_Script_Extensions: taiviet}', "");
Expect(1, 43744, '\P{Is_Script_Extensions: taiviet}', "");
Expect(0, 43744, '\P{^Is_Script_Extensions: taiviet}', "");
Expect(1, 43743, '\p{Is_Script_Extensions=-TAI_Viet}', "");
Expect(0, 43743, '\p{^Is_Script_Extensions=-TAI_Viet}', "");
Expect(0, 43743, '\P{Is_Script_Extensions=-TAI_Viet}', "");
Expect(1, 43743, '\P{^Is_Script_Extensions=-TAI_Viet}', "");
Expect(0, 43744, '\p{Is_Script_Extensions=-TAI_Viet}', "");
Expect(1, 43744, '\p{^Is_Script_Extensions=-TAI_Viet}', "");
Expect(1, 43744, '\P{Is_Script_Extensions=-TAI_Viet}', "");
Expect(0, 43744, '\P{^Is_Script_Extensions=-TAI_Viet}', "");
Error('\p{Is_Scx=/a/Tavt}');
Error('\P{Is_Scx=/a/Tavt}');
Expect(1, 43743, '\p{Is_Scx: tavt}', "");
Expect(0, 43743, '\p{^Is_Scx: tavt}', "");
Expect(0, 43743, '\P{Is_Scx: tavt}', "");
Expect(1, 43743, '\P{^Is_Scx: tavt}', "");
Expect(0, 43744, '\p{Is_Scx: tavt}', "");
Expect(1, 43744, '\p{^Is_Scx: tavt}', "");
Expect(1, 43744, '\P{Is_Scx: tavt}', "");
Expect(0, 43744, '\P{^Is_Scx: tavt}', "");
Expect(1, 43743, '\p{Is_Scx=	Tavt}', "");
Expect(0, 43743, '\p{^Is_Scx=	Tavt}', "");
Expect(0, 43743, '\P{Is_Scx=	Tavt}', "");
Expect(1, 43743, '\P{^Is_Scx=	Tavt}', "");
Expect(0, 43744, '\p{Is_Scx=	Tavt}', "");
Expect(1, 43744, '\p{^Is_Scx=	Tavt}', "");
Expect(1, 43744, '\P{Is_Scx=	Tavt}', "");
Expect(0, 43744, '\P{^Is_Scx=	Tavt}', "");
Error('\p{Script_Extensions=_/a/TELUGU}');
Error('\P{Script_Extensions=_/a/TELUGU}');
Expect(1, 3199, '\p{Script_Extensions=telugu}', "");
Expect(0, 3199, '\p{^Script_Extensions=telugu}', "");
Expect(0, 3199, '\P{Script_Extensions=telugu}', "");
Expect(1, 3199, '\P{^Script_Extensions=telugu}', "");
Expect(0, 3200, '\p{Script_Extensions=telugu}', "");
Expect(1, 3200, '\p{^Script_Extensions=telugu}', "");
Expect(1, 3200, '\P{Script_Extensions=telugu}', "");
Expect(0, 3200, '\P{^Script_Extensions=telugu}', "");
Expect(1, 3199, '\p{Script_Extensions:	  TELUGU}', "");
Expect(0, 3199, '\p{^Script_Extensions:	  TELUGU}', "");
Expect(0, 3199, '\P{Script_Extensions:	  TELUGU}', "");
Expect(1, 3199, '\P{^Script_Extensions:	  TELUGU}', "");
Expect(0, 3200, '\p{Script_Extensions:	  TELUGU}', "");
Expect(1, 3200, '\p{^Script_Extensions:	  TELUGU}', "");
Expect(1, 3200, '\P{Script_Extensions:	  TELUGU}', "");
Expect(0, 3200, '\P{^Script_Extensions:	  TELUGU}', "");
Error('\p{Scx: -/a/Telu}');
Error('\P{Scx: -/a/Telu}');
Expect(1, 3199, '\p{Scx=telu}', "");
Expect(0, 3199, '\p{^Scx=telu}', "");
Expect(0, 3199, '\P{Scx=telu}', "");
Expect(1, 3199, '\P{^Scx=telu}', "");
Expect(0, 3200, '\p{Scx=telu}', "");
Expect(1, 3200, '\p{^Scx=telu}', "");
Expect(1, 3200, '\P{Scx=telu}', "");
Expect(0, 3200, '\P{^Scx=telu}', "");
Expect(1, 3199, '\p{Scx=  TELU}', "");
Expect(0, 3199, '\p{^Scx=  TELU}', "");
Expect(0, 3199, '\P{Scx=  TELU}', "");
Expect(1, 3199, '\P{^Scx=  TELU}', "");
Expect(0, 3200, '\p{Scx=  TELU}', "");
Expect(1, 3200, '\p{^Scx=  TELU}', "");
Expect(1, 3200, '\P{Scx=  TELU}', "");
Expect(0, 3200, '\P{^Scx=  TELU}', "");
Error('\p{Is_Script_Extensions=/a/	_TELUGU}');
Error('\P{Is_Script_Extensions=/a/	_TELUGU}');
Expect(1, 3199, '\p{Is_Script_Extensions=telugu}', "");
Expect(0, 3199, '\p{^Is_Script_Extensions=telugu}', "");
Expect(0, 3199, '\P{Is_Script_Extensions=telugu}', "");
Expect(1, 3199, '\P{^Is_Script_Extensions=telugu}', "");
Expect(0, 3200, '\p{Is_Script_Extensions=telugu}', "");
Expect(1, 3200, '\p{^Is_Script_Extensions=telugu}', "");
Expect(1, 3200, '\P{Is_Script_Extensions=telugu}', "");
Expect(0, 3200, '\P{^Is_Script_Extensions=telugu}', "");
Expect(1, 3199, '\p{Is_Script_Extensions= 	Telugu}', "");
Expect(0, 3199, '\p{^Is_Script_Extensions= 	Telugu}', "");
Expect(0, 3199, '\P{Is_Script_Extensions= 	Telugu}', "");
Expect(1, 3199, '\P{^Is_Script_Extensions= 	Telugu}', "");
Expect(0, 3200, '\p{Is_Script_Extensions= 	Telugu}', "");
Expect(1, 3200, '\p{^Is_Script_Extensions= 	Telugu}', "");
Expect(1, 3200, '\P{Is_Script_Extensions= 	Telugu}', "");
Expect(0, 3200, '\P{^Is_Script_Extensions= 	Telugu}', "");
Error('\p{Is_Scx=/a/__Telu}');
Error('\P{Is_Scx=/a/__Telu}');
Expect(1, 3199, '\p{Is_Scx=telu}', "");
Expect(0, 3199, '\p{^Is_Scx=telu}', "");
Expect(0, 3199, '\P{Is_Scx=telu}', "");
Expect(1, 3199, '\P{^Is_Scx=telu}', "");
Expect(0, 3200, '\p{Is_Scx=telu}', "");
Expect(1, 3200, '\p{^Is_Scx=telu}', "");
Expect(1, 3200, '\P{Is_Scx=telu}', "");
Expect(0, 3200, '\P{^Is_Scx=telu}', "");
Expect(1, 3199, '\p{Is_Scx:	-TELU}', "");
Expect(0, 3199, '\p{^Is_Scx:	-TELU}', "");
Expect(0, 3199, '\P{Is_Scx:	-TELU}', "");
Expect(1, 3199, '\P{^Is_Scx:	-TELU}', "");
Expect(0, 3200, '\p{Is_Scx:	-TELU}', "");
Expect(1, 3200, '\p{^Is_Scx:	-TELU}', "");
Expect(1, 3200, '\P{Is_Scx:	-TELU}', "");
Expect(0, 3200, '\P{^Is_Scx:	-TELU}', "");
Error('\p{Script_Extensions=-TIFINAGH:=}');
Error('\P{Script_Extensions=-TIFINAGH:=}');
Expect(1, 11647, '\p{Script_Extensions=tifinagh}', "");
Expect(0, 11647, '\p{^Script_Extensions=tifinagh}', "");
Expect(0, 11647, '\P{Script_Extensions=tifinagh}', "");
Expect(1, 11647, '\P{^Script_Extensions=tifinagh}', "");
Expect(0, 11648, '\p{Script_Extensions=tifinagh}', "");
Expect(1, 11648, '\p{^Script_Extensions=tifinagh}', "");
Expect(1, 11648, '\P{Script_Extensions=tifinagh}', "");
Expect(0, 11648, '\P{^Script_Extensions=tifinagh}', "");
Expect(1, 11647, '\p{Script_Extensions=-TIFINAGH}', "");
Expect(0, 11647, '\p{^Script_Extensions=-TIFINAGH}', "");
Expect(0, 11647, '\P{Script_Extensions=-TIFINAGH}', "");
Expect(1, 11647, '\P{^Script_Extensions=-TIFINAGH}', "");
Expect(0, 11648, '\p{Script_Extensions=-TIFINAGH}', "");
Expect(1, 11648, '\p{^Script_Extensions=-TIFINAGH}', "");
Expect(1, 11648, '\P{Script_Extensions=-TIFINAGH}', "");
Expect(0, 11648, '\P{^Script_Extensions=-TIFINAGH}', "");
Error('\p{Scx=:=	 Tfng}');
Error('\P{Scx=:=	 Tfng}');
Expect(1, 11647, '\p{Scx=tfng}', "");
Expect(0, 11647, '\p{^Scx=tfng}', "");
Expect(0, 11647, '\P{Scx=tfng}', "");
Expect(1, 11647, '\P{^Scx=tfng}', "");
Expect(0, 11648, '\p{Scx=tfng}', "");
Expect(1, 11648, '\p{^Scx=tfng}', "");
Expect(1, 11648, '\P{Scx=tfng}', "");
Expect(0, 11648, '\P{^Scx=tfng}', "");
Expect(1, 11647, '\p{Scx=		tfng}', "");
Expect(0, 11647, '\p{^Scx=		tfng}', "");
Expect(0, 11647, '\P{Scx=		tfng}', "");
Expect(1, 11647, '\P{^Scx=		tfng}', "");
Expect(0, 11648, '\p{Scx=		tfng}', "");
Expect(1, 11648, '\p{^Scx=		tfng}', "");
Expect(1, 11648, '\P{Scx=		tfng}', "");
Expect(0, 11648, '\P{^Scx=		tfng}', "");
Error('\p{Is_Script_Extensions=  Tifinagh:=}');
Error('\P{Is_Script_Extensions=  Tifinagh:=}');
Expect(1, 11647, '\p{Is_Script_Extensions=tifinagh}', "");
Expect(0, 11647, '\p{^Is_Script_Extensions=tifinagh}', "");
Expect(0, 11647, '\P{Is_Script_Extensions=tifinagh}', "");
Expect(1, 11647, '\P{^Is_Script_Extensions=tifinagh}', "");
Expect(0, 11648, '\p{Is_Script_Extensions=tifinagh}', "");
Expect(1, 11648, '\p{^Is_Script_Extensions=tifinagh}', "");
Expect(1, 11648, '\P{Is_Script_Extensions=tifinagh}', "");
Expect(0, 11648, '\P{^Is_Script_Extensions=tifinagh}', "");
Expect(1, 11647, '\p{Is_Script_Extensions=Tifinagh}', "");
Expect(0, 11647, '\p{^Is_Script_Extensions=Tifinagh}', "");
Expect(0, 11647, '\P{Is_Script_Extensions=Tifinagh}', "");
Expect(1, 11647, '\P{^Is_Script_Extensions=Tifinagh}', "");
Expect(0, 11648, '\p{Is_Script_Extensions=Tifinagh}', "");
Expect(1, 11648, '\p{^Is_Script_Extensions=Tifinagh}', "");
Expect(1, 11648, '\P{Is_Script_Extensions=Tifinagh}', "");
Expect(0, 11648, '\P{^Is_Script_Extensions=Tifinagh}', "");
Error('\p{Is_Scx=  TFNG:=}');
Error('\P{Is_Scx=  TFNG:=}');
Expect(1, 11647, '\p{Is_Scx=tfng}', "");
Expect(0, 11647, '\p{^Is_Scx=tfng}', "");
Expect(0, 11647, '\P{Is_Scx=tfng}', "");
Expect(1, 11647, '\P{^Is_Scx=tfng}', "");
Expect(0, 11648, '\p{Is_Scx=tfng}', "");
Expect(1, 11648, '\p{^Is_Scx=tfng}', "");
Expect(1, 11648, '\P{Is_Scx=tfng}', "");
Expect(0, 11648, '\P{^Is_Scx=tfng}', "");
Expect(1, 11647, '\p{Is_Scx=--tfng}', "");
Expect(0, 11647, '\p{^Is_Scx=--tfng}', "");
Expect(0, 11647, '\P{Is_Scx=--tfng}', "");
Expect(1, 11647, '\P{^Is_Scx=--tfng}', "");
Expect(0, 11648, '\p{Is_Scx=--tfng}', "");
Expect(1, 11648, '\p{^Is_Scx=--tfng}', "");
Expect(1, 11648, '\P{Is_Scx=--tfng}', "");
Expect(0, 11648, '\P{^Is_Scx=--tfng}', "");
Error('\p{Script_Extensions: Tagalog:=}');
Error('\P{Script_Extensions: Tagalog:=}');
Expect(1, 5942, '\p{Script_Extensions=tagalog}', "");
Expect(0, 5942, '\p{^Script_Extensions=tagalog}', "");
Expect(0, 5942, '\P{Script_Extensions=tagalog}', "");
Expect(1, 5942, '\P{^Script_Extensions=tagalog}', "");
Expect(0, 5943, '\p{Script_Extensions=tagalog}', "");
Expect(1, 5943, '\p{^Script_Extensions=tagalog}', "");
Expect(1, 5943, '\P{Script_Extensions=tagalog}', "");
Expect(0, 5943, '\P{^Script_Extensions=tagalog}', "");
Expect(1, 5942, '\p{Script_Extensions=	_tagalog}', "");
Expect(0, 5942, '\p{^Script_Extensions=	_tagalog}', "");
Expect(0, 5942, '\P{Script_Extensions=	_tagalog}', "");
Expect(1, 5942, '\P{^Script_Extensions=	_tagalog}', "");
Expect(0, 5943, '\p{Script_Extensions=	_tagalog}', "");
Expect(1, 5943, '\p{^Script_Extensions=	_tagalog}', "");
Expect(1, 5943, '\P{Script_Extensions=	_tagalog}', "");
Expect(0, 5943, '\P{^Script_Extensions=	_tagalog}', "");
Error('\p{Scx=-/a/tglg}');
Error('\P{Scx=-/a/tglg}');
Expect(1, 5942, '\p{Scx=tglg}', "");
Expect(0, 5942, '\p{^Scx=tglg}', "");
Expect(0, 5942, '\P{Scx=tglg}', "");
Expect(1, 5942, '\P{^Scx=tglg}', "");
Expect(0, 5943, '\p{Scx=tglg}', "");
Expect(1, 5943, '\p{^Scx=tglg}', "");
Expect(1, 5943, '\P{Scx=tglg}', "");
Expect(0, 5943, '\P{^Scx=tglg}', "");
Expect(1, 5942, '\p{Scx=- Tglg}', "");
Expect(0, 5942, '\p{^Scx=- Tglg}', "");
Expect(0, 5942, '\P{Scx=- Tglg}', "");
Expect(1, 5942, '\P{^Scx=- Tglg}', "");
Expect(0, 5943, '\p{Scx=- Tglg}', "");
Expect(1, 5943, '\p{^Scx=- Tglg}', "");
Expect(1, 5943, '\P{Scx=- Tglg}', "");
Expect(0, 5943, '\P{^Scx=- Tglg}', "");
Error('\p{Is_Script_Extensions=/a/_Tagalog}');
Error('\P{Is_Script_Extensions=/a/_Tagalog}');
Expect(1, 5942, '\p{Is_Script_Extensions:tagalog}', "");
Expect(0, 5942, '\p{^Is_Script_Extensions:tagalog}', "");
Expect(0, 5942, '\P{Is_Script_Extensions:tagalog}', "");
Expect(1, 5942, '\P{^Is_Script_Extensions:tagalog}', "");
Expect(0, 5943, '\p{Is_Script_Extensions:tagalog}', "");
Expect(1, 5943, '\p{^Is_Script_Extensions:tagalog}', "");
Expect(1, 5943, '\P{Is_Script_Extensions:tagalog}', "");
Expect(0, 5943, '\P{^Is_Script_Extensions:tagalog}', "");
Expect(1, 5942, '\p{Is_Script_Extensions=  tagalog}', "");
Expect(0, 5942, '\p{^Is_Script_Extensions=  tagalog}', "");
Expect(0, 5942, '\P{Is_Script_Extensions=  tagalog}', "");
Expect(1, 5942, '\P{^Is_Script_Extensions=  tagalog}', "");
Expect(0, 5943, '\p{Is_Script_Extensions=  tagalog}', "");
Expect(1, 5943, '\p{^Is_Script_Extensions=  tagalog}', "");
Expect(1, 5943, '\P{Is_Script_Extensions=  tagalog}', "");
Expect(0, 5943, '\P{^Is_Script_Extensions=  tagalog}', "");
Error('\p{Is_Scx=__Tglg/a/}');
Error('\P{Is_Scx=__Tglg/a/}');
Expect(1, 5942, '\p{Is_Scx=tglg}', "");
Expect(0, 5942, '\p{^Is_Scx=tglg}', "");
Expect(0, 5942, '\P{Is_Scx=tglg}', "");
Expect(1, 5942, '\P{^Is_Scx=tglg}', "");
Expect(0, 5943, '\p{Is_Scx=tglg}', "");
Expect(1, 5943, '\p{^Is_Scx=tglg}', "");
Expect(1, 5943, '\P{Is_Scx=tglg}', "");
Expect(0, 5943, '\P{^Is_Scx=tglg}', "");
Expect(1, 5942, '\p{Is_Scx=_ Tglg}', "");
Expect(0, 5942, '\p{^Is_Scx=_ Tglg}', "");
Expect(0, 5942, '\P{Is_Scx=_ Tglg}', "");
Expect(1, 5942, '\P{^Is_Scx=_ Tglg}', "");
Expect(0, 5943, '\p{Is_Scx=_ Tglg}', "");
Expect(1, 5943, '\p{^Is_Scx=_ Tglg}', "");
Expect(1, 5943, '\P{Is_Scx=_ Tglg}', "");
Expect(0, 5943, '\P{^Is_Scx=_ Tglg}', "");
Error('\p{Script_Extensions=:=_-Thaana}');
Error('\P{Script_Extensions=:=_-Thaana}');
Expect(1, 65021, '\p{Script_Extensions=thaana}', "");
Expect(0, 65021, '\p{^Script_Extensions=thaana}', "");
Expect(0, 65021, '\P{Script_Extensions=thaana}', "");
Expect(1, 65021, '\P{^Script_Extensions=thaana}', "");
Expect(0, 65022, '\p{Script_Extensions=thaana}', "");
Expect(1, 65022, '\p{^Script_Extensions=thaana}', "");
Expect(1, 65022, '\P{Script_Extensions=thaana}', "");
Expect(0, 65022, '\P{^Script_Extensions=thaana}', "");
Expect(1, 65021, '\p{Script_Extensions: 	Thaana}', "");
Expect(0, 65021, '\p{^Script_Extensions: 	Thaana}', "");
Expect(0, 65021, '\P{Script_Extensions: 	Thaana}', "");
Expect(1, 65021, '\P{^Script_Extensions: 	Thaana}', "");
Expect(0, 65022, '\p{Script_Extensions: 	Thaana}', "");
Expect(1, 65022, '\p{^Script_Extensions: 	Thaana}', "");
Expect(1, 65022, '\P{Script_Extensions: 	Thaana}', "");
Expect(0, 65022, '\P{^Script_Extensions: 	Thaana}', "");
Error('\p{Scx=-/a/THAA}');
Error('\P{Scx=-/a/THAA}');
Expect(1, 65021, '\p{Scx=thaa}', "");
Expect(0, 65021, '\p{^Scx=thaa}', "");
Expect(0, 65021, '\P{Scx=thaa}', "");
Expect(1, 65021, '\P{^Scx=thaa}', "");
Expect(0, 65022, '\p{Scx=thaa}', "");
Expect(1, 65022, '\p{^Scx=thaa}', "");
Expect(1, 65022, '\P{Scx=thaa}', "");
Expect(0, 65022, '\P{^Scx=thaa}', "");
Expect(1, 65021, '\p{Scx= 	thaa}', "");
Expect(0, 65021, '\p{^Scx= 	thaa}', "");
Expect(0, 65021, '\P{Scx= 	thaa}', "");
Expect(1, 65021, '\P{^Scx= 	thaa}', "");
Expect(0, 65022, '\p{Scx= 	thaa}', "");
Expect(1, 65022, '\p{^Scx= 	thaa}', "");
Expect(1, 65022, '\P{Scx= 	thaa}', "");
Expect(0, 65022, '\P{^Scx= 	thaa}', "");
Error('\p{Is_Script_Extensions=/a/thaana}');
Error('\P{Is_Script_Extensions=/a/thaana}');
Expect(1, 65021, '\p{Is_Script_Extensions=thaana}', "");
Expect(0, 65021, '\p{^Is_Script_Extensions=thaana}', "");
Expect(0, 65021, '\P{Is_Script_Extensions=thaana}', "");
Expect(1, 65021, '\P{^Is_Script_Extensions=thaana}', "");
Expect(0, 65022, '\p{Is_Script_Extensions=thaana}', "");
Expect(1, 65022, '\p{^Is_Script_Extensions=thaana}', "");
Expect(1, 65022, '\P{Is_Script_Extensions=thaana}', "");
Expect(0, 65022, '\P{^Is_Script_Extensions=thaana}', "");
Expect(1, 65021, '\p{Is_Script_Extensions=_ THAANA}', "");
Expect(0, 65021, '\p{^Is_Script_Extensions=_ THAANA}', "");
Expect(0, 65021, '\P{Is_Script_Extensions=_ THAANA}', "");
Expect(1, 65021, '\P{^Is_Script_Extensions=_ THAANA}', "");
Expect(0, 65022, '\p{Is_Script_Extensions=_ THAANA}', "");
Expect(1, 65022, '\p{^Is_Script_Extensions=_ THAANA}', "");
Expect(1, 65022, '\P{Is_Script_Extensions=_ THAANA}', "");
Expect(0, 65022, '\P{^Is_Script_Extensions=_ THAANA}', "");
Error('\p{Is_Scx=-/a/THAA}');
Error('\P{Is_Scx=-/a/THAA}');
Expect(1, 65021, '\p{Is_Scx=thaa}', "");
Expect(0, 65021, '\p{^Is_Scx=thaa}', "");
Expect(0, 65021, '\P{Is_Scx=thaa}', "");
Expect(1, 65021, '\P{^Is_Scx=thaa}', "");
Expect(0, 65022, '\p{Is_Scx=thaa}', "");
Expect(1, 65022, '\p{^Is_Scx=thaa}', "");
Expect(1, 65022, '\P{Is_Scx=thaa}', "");
Expect(0, 65022, '\P{^Is_Scx=thaa}', "");
Expect(1, 65021, '\p{Is_Scx:		 thaa}', "");
Expect(0, 65021, '\p{^Is_Scx:		 thaa}', "");
Expect(0, 65021, '\P{Is_Scx:		 thaa}', "");
Expect(1, 65021, '\P{^Is_Scx:		 thaa}', "");
Expect(0, 65022, '\p{Is_Scx:		 thaa}', "");
Expect(1, 65022, '\p{^Is_Scx:		 thaa}', "");
Expect(1, 65022, '\P{Is_Scx:		 thaa}', "");
Expect(0, 65022, '\P{^Is_Scx:		 thaa}', "");
Error('\p{Script_Extensions:	:=-THAI}');
Error('\P{Script_Extensions:	:=-THAI}');
Expect(1, 3675, '\p{Script_Extensions: thai}', "");
Expect(0, 3675, '\p{^Script_Extensions: thai}', "");
Expect(0, 3675, '\P{Script_Extensions: thai}', "");
Expect(1, 3675, '\P{^Script_Extensions: thai}', "");
Expect(0, 3676, '\p{Script_Extensions: thai}', "");
Expect(1, 3676, '\p{^Script_Extensions: thai}', "");
Expect(1, 3676, '\P{Script_Extensions: thai}', "");
Expect(0, 3676, '\P{^Script_Extensions: thai}', "");
Expect(1, 3675, '\p{Script_Extensions=-Thai}', "");
Expect(0, 3675, '\p{^Script_Extensions=-Thai}', "");
Expect(0, 3675, '\P{Script_Extensions=-Thai}', "");
Expect(1, 3675, '\P{^Script_Extensions=-Thai}', "");
Expect(0, 3676, '\p{Script_Extensions=-Thai}', "");
Expect(1, 3676, '\p{^Script_Extensions=-Thai}', "");
Expect(1, 3676, '\P{Script_Extensions=-Thai}', "");
Expect(0, 3676, '\P{^Script_Extensions=-Thai}', "");
Error('\p{Scx=/a/_ thai}');
Error('\P{Scx=/a/_ thai}');
Expect(1, 3675, '\p{Scx=thai}', "");
Expect(0, 3675, '\p{^Scx=thai}', "");
Expect(0, 3675, '\P{Scx=thai}', "");
Expect(1, 3675, '\P{^Scx=thai}', "");
Expect(0, 3676, '\p{Scx=thai}', "");
Expect(1, 3676, '\p{^Scx=thai}', "");
Expect(1, 3676, '\P{Scx=thai}', "");
Expect(0, 3676, '\P{^Scx=thai}', "");
Expect(1, 3675, '\p{Scx=-	Thai}', "");
Expect(0, 3675, '\p{^Scx=-	Thai}', "");
Expect(0, 3675, '\P{Scx=-	Thai}', "");
Expect(1, 3675, '\P{^Scx=-	Thai}', "");
Expect(0, 3676, '\p{Scx=-	Thai}', "");
Expect(1, 3676, '\p{^Scx=-	Thai}', "");
Expect(1, 3676, '\P{Scx=-	Thai}', "");
Expect(0, 3676, '\P{^Scx=-	Thai}', "");
Error('\p{Is_Script_Extensions=:= 	thai}');
Error('\P{Is_Script_Extensions=:= 	thai}');
Expect(1, 3675, '\p{Is_Script_Extensions: thai}', "");
Expect(0, 3675, '\p{^Is_Script_Extensions: thai}', "");
Expect(0, 3675, '\P{Is_Script_Extensions: thai}', "");
Expect(1, 3675, '\P{^Is_Script_Extensions: thai}', "");
Expect(0, 3676, '\p{Is_Script_Extensions: thai}', "");
Expect(1, 3676, '\p{^Is_Script_Extensions: thai}', "");
Expect(1, 3676, '\P{Is_Script_Extensions: thai}', "");
Expect(0, 3676, '\P{^Is_Script_Extensions: thai}', "");
Expect(1, 3675, '\p{Is_Script_Extensions=-	Thai}', "");
Expect(0, 3675, '\p{^Is_Script_Extensions=-	Thai}', "");
Expect(0, 3675, '\P{Is_Script_Extensions=-	Thai}', "");
Expect(1, 3675, '\P{^Is_Script_Extensions=-	Thai}', "");
Expect(0, 3676, '\p{Is_Script_Extensions=-	Thai}', "");
Expect(1, 3676, '\p{^Is_Script_Extensions=-	Thai}', "");
Expect(1, 3676, '\P{Is_Script_Extensions=-	Thai}', "");
Expect(0, 3676, '\P{^Is_Script_Extensions=-	Thai}', "");
Error('\p{Is_Scx=/a/	-THAI}');
Error('\P{Is_Scx=/a/	-THAI}');
Expect(1, 3675, '\p{Is_Scx=thai}', "");
Expect(0, 3675, '\p{^Is_Scx=thai}', "");
Expect(0, 3675, '\P{Is_Scx=thai}', "");
Expect(1, 3675, '\P{^Is_Scx=thai}', "");
Expect(0, 3676, '\p{Is_Scx=thai}', "");
Expect(1, 3676, '\p{^Is_Scx=thai}', "");
Expect(1, 3676, '\P{Is_Scx=thai}', "");
Expect(0, 3676, '\P{^Is_Scx=thai}', "");
Expect(1, 3675, '\p{Is_Scx= -THAI}', "");
Expect(0, 3675, '\p{^Is_Scx= -THAI}', "");
Expect(0, 3675, '\P{Is_Scx= -THAI}', "");
Expect(1, 3675, '\P{^Is_Scx= -THAI}', "");
Expect(0, 3676, '\p{Is_Scx= -THAI}', "");
Expect(1, 3676, '\p{^Is_Scx= -THAI}', "");
Expect(1, 3676, '\P{Is_Scx= -THAI}', "");
Expect(0, 3676, '\P{^Is_Scx= -THAI}', "");
Error('\p{Script_Extensions=:= 	tibetan}');
Error('\P{Script_Extensions=:= 	tibetan}');
Expect(1, 4058, '\p{Script_Extensions=tibetan}', "");
Expect(0, 4058, '\p{^Script_Extensions=tibetan}', "");
Expect(0, 4058, '\P{Script_Extensions=tibetan}', "");
Expect(1, 4058, '\P{^Script_Extensions=tibetan}', "");
Expect(0, 4059, '\p{Script_Extensions=tibetan}', "");
Expect(1, 4059, '\p{^Script_Extensions=tibetan}', "");
Expect(1, 4059, '\P{Script_Extensions=tibetan}', "");
Expect(0, 4059, '\P{^Script_Extensions=tibetan}', "");
Expect(1, 4058, '\p{Script_Extensions=	_Tibetan}', "");
Expect(0, 4058, '\p{^Script_Extensions=	_Tibetan}', "");
Expect(0, 4058, '\P{Script_Extensions=	_Tibetan}', "");
Expect(1, 4058, '\P{^Script_Extensions=	_Tibetan}', "");
Expect(0, 4059, '\p{Script_Extensions=	_Tibetan}', "");
Expect(1, 4059, '\p{^Script_Extensions=	_Tibetan}', "");
Expect(1, 4059, '\P{Script_Extensions=	_Tibetan}', "");
Expect(0, 4059, '\P{^Script_Extensions=	_Tibetan}', "");
Error('\p{Scx= /a/tibt}');
Error('\P{Scx= /a/tibt}');
Expect(1, 4058, '\p{Scx=tibt}', "");
Expect(0, 4058, '\p{^Scx=tibt}', "");
Expect(0, 4058, '\P{Scx=tibt}', "");
Expect(1, 4058, '\P{^Scx=tibt}', "");
Expect(0, 4059, '\p{Scx=tibt}', "");
Expect(1, 4059, '\p{^Scx=tibt}', "");
Expect(1, 4059, '\P{Scx=tibt}', "");
Expect(0, 4059, '\P{^Scx=tibt}', "");
Expect(1, 4058, '\p{Scx= _Tibt}', "");
Expect(0, 4058, '\p{^Scx= _Tibt}', "");
Expect(0, 4058, '\P{Scx= _Tibt}', "");
Expect(1, 4058, '\P{^Scx= _Tibt}', "");
Expect(0, 4059, '\p{Scx= _Tibt}', "");
Expect(1, 4059, '\p{^Scx= _Tibt}', "");
Expect(1, 4059, '\P{Scx= _Tibt}', "");
Expect(0, 4059, '\P{^Scx= _Tibt}', "");
Error('\p{Is_Script_Extensions=/a/_tibetan}');
Error('\P{Is_Script_Extensions=/a/_tibetan}');
Expect(1, 4058, '\p{Is_Script_Extensions=tibetan}', "");
Expect(0, 4058, '\p{^Is_Script_Extensions=tibetan}', "");
Expect(0, 4058, '\P{Is_Script_Extensions=tibetan}', "");
Expect(1, 4058, '\P{^Is_Script_Extensions=tibetan}', "");
Expect(0, 4059, '\p{Is_Script_Extensions=tibetan}', "");
Expect(1, 4059, '\p{^Is_Script_Extensions=tibetan}', "");
Expect(1, 4059, '\P{Is_Script_Extensions=tibetan}', "");
Expect(0, 4059, '\P{^Is_Script_Extensions=tibetan}', "");
Expect(1, 4058, '\p{Is_Script_Extensions=-TIBETAN}', "");
Expect(0, 4058, '\p{^Is_Script_Extensions=-TIBETAN}', "");
Expect(0, 4058, '\P{Is_Script_Extensions=-TIBETAN}', "");
Expect(1, 4058, '\P{^Is_Script_Extensions=-TIBETAN}', "");
Expect(0, 4059, '\p{Is_Script_Extensions=-TIBETAN}', "");
Expect(1, 4059, '\p{^Is_Script_Extensions=-TIBETAN}', "");
Expect(1, 4059, '\P{Is_Script_Extensions=-TIBETAN}', "");
Expect(0, 4059, '\P{^Is_Script_Extensions=-TIBETAN}', "");
Error('\p{Is_Scx=:= -Tibt}');
Error('\P{Is_Scx=:= -Tibt}');
Expect(1, 4058, '\p{Is_Scx=tibt}', "");
Expect(0, 4058, '\p{^Is_Scx=tibt}', "");
Expect(0, 4058, '\P{Is_Scx=tibt}', "");
Expect(1, 4058, '\P{^Is_Scx=tibt}', "");
Expect(0, 4059, '\p{Is_Scx=tibt}', "");
Expect(1, 4059, '\p{^Is_Scx=tibt}', "");
Expect(1, 4059, '\P{Is_Scx=tibt}', "");
Expect(0, 4059, '\P{^Is_Scx=tibt}', "");
Expect(1, 4058, '\p{Is_Scx= tibt}', "");
Expect(0, 4058, '\p{^Is_Scx= tibt}', "");
Expect(0, 4058, '\P{Is_Scx= tibt}', "");
Expect(1, 4058, '\P{^Is_Scx= tibt}', "");
Expect(0, 4059, '\p{Is_Scx= tibt}', "");
Expect(1, 4059, '\p{^Is_Scx= tibt}', "");
Expect(1, 4059, '\P{Is_Scx= tibt}', "");
Expect(0, 4059, '\P{^Is_Scx= tibt}', "");
Error('\p{Script_Extensions= /a/Tirhuta}');
Error('\P{Script_Extensions= /a/Tirhuta}');
Expect(1, 70873, '\p{Script_Extensions=tirhuta}', "");
Expect(0, 70873, '\p{^Script_Extensions=tirhuta}', "");
Expect(0, 70873, '\P{Script_Extensions=tirhuta}', "");
Expect(1, 70873, '\P{^Script_Extensions=tirhuta}', "");
Expect(0, 70874, '\p{Script_Extensions=tirhuta}', "");
Expect(1, 70874, '\p{^Script_Extensions=tirhuta}', "");
Expect(1, 70874, '\P{Script_Extensions=tirhuta}', "");
Expect(0, 70874, '\P{^Script_Extensions=tirhuta}', "");
Expect(1, 70873, '\p{Script_Extensions=		TIRHUTA}', "");
Expect(0, 70873, '\p{^Script_Extensions=		TIRHUTA}', "");
Expect(0, 70873, '\P{Script_Extensions=		TIRHUTA}', "");
Expect(1, 70873, '\P{^Script_Extensions=		TIRHUTA}', "");
Expect(0, 70874, '\p{Script_Extensions=		TIRHUTA}', "");
Expect(1, 70874, '\p{^Script_Extensions=		TIRHUTA}', "");
Expect(1, 70874, '\P{Script_Extensions=		TIRHUTA}', "");
Expect(0, 70874, '\P{^Script_Extensions=		TIRHUTA}', "");
Error('\p{Scx=	/a/Tirh}');
Error('\P{Scx=	/a/Tirh}');
Expect(1, 70873, '\p{Scx:tirh}', "");
Expect(0, 70873, '\p{^Scx:tirh}', "");
Expect(0, 70873, '\P{Scx:tirh}', "");
Expect(1, 70873, '\P{^Scx:tirh}', "");
Expect(0, 70874, '\p{Scx:tirh}', "");
Expect(1, 70874, '\p{^Scx:tirh}', "");
Expect(1, 70874, '\P{Scx:tirh}', "");
Expect(0, 70874, '\P{^Scx:tirh}', "");
Expect(1, 70873, '\p{Scx:  	TIRH}', "");
Expect(0, 70873, '\p{^Scx:  	TIRH}', "");
Expect(0, 70873, '\P{Scx:  	TIRH}', "");
Expect(1, 70873, '\P{^Scx:  	TIRH}', "");
Expect(0, 70874, '\p{Scx:  	TIRH}', "");
Expect(1, 70874, '\p{^Scx:  	TIRH}', "");
Expect(1, 70874, '\P{Scx:  	TIRH}', "");
Expect(0, 70874, '\P{^Scx:  	TIRH}', "");
Error('\p{Is_Script_Extensions= 	tirhuta/a/}');
Error('\P{Is_Script_Extensions= 	tirhuta/a/}');
Expect(1, 70873, '\p{Is_Script_Extensions=tirhuta}', "");
Expect(0, 70873, '\p{^Is_Script_Extensions=tirhuta}', "");
Expect(0, 70873, '\P{Is_Script_Extensions=tirhuta}', "");
Expect(1, 70873, '\P{^Is_Script_Extensions=tirhuta}', "");
Expect(0, 70874, '\p{Is_Script_Extensions=tirhuta}', "");
Expect(1, 70874, '\p{^Is_Script_Extensions=tirhuta}', "");
Expect(1, 70874, '\P{Is_Script_Extensions=tirhuta}', "");
Expect(0, 70874, '\P{^Is_Script_Extensions=tirhuta}', "");
Expect(1, 70873, '\p{Is_Script_Extensions=-_tirhuta}', "");
Expect(0, 70873, '\p{^Is_Script_Extensions=-_tirhuta}', "");
Expect(0, 70873, '\P{Is_Script_Extensions=-_tirhuta}', "");
Expect(1, 70873, '\P{^Is_Script_Extensions=-_tirhuta}', "");
Expect(0, 70874, '\p{Is_Script_Extensions=-_tirhuta}', "");
Expect(1, 70874, '\p{^Is_Script_Extensions=-_tirhuta}', "");
Expect(1, 70874, '\P{Is_Script_Extensions=-_tirhuta}', "");
Expect(0, 70874, '\P{^Is_Script_Extensions=-_tirhuta}', "");
Error('\p{Is_Scx= -TIRH/a/}');
Error('\P{Is_Scx= -TIRH/a/}');
Expect(1, 70873, '\p{Is_Scx=tirh}', "");
Expect(0, 70873, '\p{^Is_Scx=tirh}', "");
Expect(0, 70873, '\P{Is_Scx=tirh}', "");
Expect(1, 70873, '\P{^Is_Scx=tirh}', "");
Expect(0, 70874, '\p{Is_Scx=tirh}', "");
Expect(1, 70874, '\p{^Is_Scx=tirh}', "");
Expect(1, 70874, '\P{Is_Scx=tirh}', "");
Expect(0, 70874, '\P{^Is_Scx=tirh}', "");
Error('\p{Script_Extensions= _ugaritic:=}');
Error('\P{Script_Extensions= _ugaritic:=}');
Expect(1, 66463, '\p{Script_Extensions=ugaritic}', "");
Expect(0, 66463, '\p{^Script_Extensions=ugaritic}', "");
Expect(0, 66463, '\P{Script_Extensions=ugaritic}', "");
Expect(1, 66463, '\P{^Script_Extensions=ugaritic}', "");
Expect(0, 66464, '\p{Script_Extensions=ugaritic}', "");
Expect(1, 66464, '\p{^Script_Extensions=ugaritic}', "");
Expect(1, 66464, '\P{Script_Extensions=ugaritic}', "");
Expect(0, 66464, '\P{^Script_Extensions=ugaritic}', "");
Expect(1, 66463, '\p{Script_Extensions=	 Ugaritic}', "");
Expect(0, 66463, '\p{^Script_Extensions=	 Ugaritic}', "");
Expect(0, 66463, '\P{Script_Extensions=	 Ugaritic}', "");
Expect(1, 66463, '\P{^Script_Extensions=	 Ugaritic}', "");
Expect(0, 66464, '\p{Script_Extensions=	 Ugaritic}', "");
Expect(1, 66464, '\p{^Script_Extensions=	 Ugaritic}', "");
Expect(1, 66464, '\P{Script_Extensions=	 Ugaritic}', "");
Expect(0, 66464, '\P{^Script_Extensions=	 Ugaritic}', "");
Error('\p{Scx=_ugar:=}');
Error('\P{Scx=_ugar:=}');
Expect(1, 66463, '\p{Scx=ugar}', "");
Expect(0, 66463, '\p{^Scx=ugar}', "");
Expect(0, 66463, '\P{Scx=ugar}', "");
Expect(1, 66463, '\P{^Scx=ugar}', "");
Expect(0, 66464, '\p{Scx=ugar}', "");
Expect(1, 66464, '\p{^Scx=ugar}', "");
Expect(1, 66464, '\P{Scx=ugar}', "");
Expect(0, 66464, '\P{^Scx=ugar}', "");
Expect(1, 66463, '\p{Scx: __Ugar}', "");
Expect(0, 66463, '\p{^Scx: __Ugar}', "");
Expect(0, 66463, '\P{Scx: __Ugar}', "");
Expect(1, 66463, '\P{^Scx: __Ugar}', "");
Expect(0, 66464, '\p{Scx: __Ugar}', "");
Expect(1, 66464, '\p{^Scx: __Ugar}', "");
Expect(1, 66464, '\P{Scx: __Ugar}', "");
Expect(0, 66464, '\P{^Scx: __Ugar}', "");
Error('\p{Is_Script_Extensions=-:=UGARITIC}');
Error('\P{Is_Script_Extensions=-:=UGARITIC}');
Expect(1, 66463, '\p{Is_Script_Extensions=ugaritic}', "");
Expect(0, 66463, '\p{^Is_Script_Extensions=ugaritic}', "");
Expect(0, 66463, '\P{Is_Script_Extensions=ugaritic}', "");
Expect(1, 66463, '\P{^Is_Script_Extensions=ugaritic}', "");
Expect(0, 66464, '\p{Is_Script_Extensions=ugaritic}', "");
Expect(1, 66464, '\p{^Is_Script_Extensions=ugaritic}', "");
Expect(1, 66464, '\P{Is_Script_Extensions=ugaritic}', "");
Expect(0, 66464, '\P{^Is_Script_Extensions=ugaritic}', "");
Expect(1, 66463, '\p{Is_Script_Extensions=_	Ugaritic}', "");
Expect(0, 66463, '\p{^Is_Script_Extensions=_	Ugaritic}', "");
Expect(0, 66463, '\P{Is_Script_Extensions=_	Ugaritic}', "");
Expect(1, 66463, '\P{^Is_Script_Extensions=_	Ugaritic}', "");
Expect(0, 66464, '\p{Is_Script_Extensions=_	Ugaritic}', "");
Expect(1, 66464, '\p{^Is_Script_Extensions=_	Ugaritic}', "");
Expect(1, 66464, '\P{Is_Script_Extensions=_	Ugaritic}', "");
Expect(0, 66464, '\P{^Is_Script_Extensions=_	Ugaritic}', "");
Error('\p{Is_Scx=	/a/Ugar}');
Error('\P{Is_Scx=	/a/Ugar}');
Expect(1, 66463, '\p{Is_Scx=ugar}', "");
Expect(0, 66463, '\p{^Is_Scx=ugar}', "");
Expect(0, 66463, '\P{Is_Scx=ugar}', "");
Expect(1, 66463, '\P{^Is_Scx=ugar}', "");
Expect(0, 66464, '\p{Is_Scx=ugar}', "");
Expect(1, 66464, '\p{^Is_Scx=ugar}', "");
Expect(1, 66464, '\P{Is_Scx=ugar}', "");
Expect(0, 66464, '\P{^Is_Scx=ugar}', "");
Expect(1, 66463, '\p{Is_Scx: 	Ugar}', "");
Expect(0, 66463, '\p{^Is_Scx: 	Ugar}', "");
Expect(0, 66463, '\P{Is_Scx: 	Ugar}', "");
Expect(1, 66463, '\P{^Is_Scx: 	Ugar}', "");
Expect(0, 66464, '\p{Is_Scx: 	Ugar}', "");
Expect(1, 66464, '\p{^Is_Scx: 	Ugar}', "");
Expect(1, 66464, '\P{Is_Scx: 	Ugar}', "");
Expect(0, 66464, '\P{^Is_Scx: 	Ugar}', "");
Error('\p{Script_Extensions=:=Vai}');
Error('\P{Script_Extensions=:=Vai}');
Expect(1, 42539, '\p{Script_Extensions=vai}', "");
Expect(0, 42539, '\p{^Script_Extensions=vai}', "");
Expect(0, 42539, '\P{Script_Extensions=vai}', "");
Expect(1, 42539, '\P{^Script_Extensions=vai}', "");
Expect(0, 42540, '\p{Script_Extensions=vai}', "");
Expect(1, 42540, '\p{^Script_Extensions=vai}', "");
Expect(1, 42540, '\P{Script_Extensions=vai}', "");
Expect(0, 42540, '\P{^Script_Extensions=vai}', "");
Expect(1, 42539, '\p{Script_Extensions= vai}', "");
Expect(0, 42539, '\p{^Script_Extensions= vai}', "");
Expect(0, 42539, '\P{Script_Extensions= vai}', "");
Expect(1, 42539, '\P{^Script_Extensions= vai}', "");
Expect(0, 42540, '\p{Script_Extensions= vai}', "");
Expect(1, 42540, '\p{^Script_Extensions= vai}', "");
Expect(1, 42540, '\P{Script_Extensions= vai}', "");
Expect(0, 42540, '\P{^Script_Extensions= vai}', "");
Error('\p{Scx=:=VAII}');
Error('\P{Scx=:=VAII}');
Expect(1, 42539, '\p{Scx=vaii}', "");
Expect(0, 42539, '\p{^Scx=vaii}', "");
Expect(0, 42539, '\P{Scx=vaii}', "");
Expect(1, 42539, '\P{^Scx=vaii}', "");
Expect(0, 42540, '\p{Scx=vaii}', "");
Expect(1, 42540, '\p{^Scx=vaii}', "");
Expect(1, 42540, '\P{Scx=vaii}', "");
Expect(0, 42540, '\P{^Scx=vaii}', "");
Expect(1, 42539, '\p{Scx=_ Vaii}', "");
Expect(0, 42539, '\p{^Scx=_ Vaii}', "");
Expect(0, 42539, '\P{Scx=_ Vaii}', "");
Expect(1, 42539, '\P{^Scx=_ Vaii}', "");
Expect(0, 42540, '\p{Scx=_ Vaii}', "");
Expect(1, 42540, '\p{^Scx=_ Vaii}', "");
Expect(1, 42540, '\P{Scx=_ Vaii}', "");
Expect(0, 42540, '\P{^Scx=_ Vaii}', "");
Error('\p{Is_Script_Extensions=_Vai:=}');
Error('\P{Is_Script_Extensions=_Vai:=}');
Expect(1, 42539, '\p{Is_Script_Extensions=vai}', "");
Expect(0, 42539, '\p{^Is_Script_Extensions=vai}', "");
Expect(0, 42539, '\P{Is_Script_Extensions=vai}', "");
Expect(1, 42539, '\P{^Is_Script_Extensions=vai}', "");
Expect(0, 42540, '\p{Is_Script_Extensions=vai}', "");
Expect(1, 42540, '\p{^Is_Script_Extensions=vai}', "");
Expect(1, 42540, '\P{Is_Script_Extensions=vai}', "");
Expect(0, 42540, '\P{^Is_Script_Extensions=vai}', "");
Expect(1, 42539, '\p{Is_Script_Extensions=_ Vai}', "");
Expect(0, 42539, '\p{^Is_Script_Extensions=_ Vai}', "");
Expect(0, 42539, '\P{Is_Script_Extensions=_ Vai}', "");
Expect(1, 42539, '\P{^Is_Script_Extensions=_ Vai}', "");
Expect(0, 42540, '\p{Is_Script_Extensions=_ Vai}', "");
Expect(1, 42540, '\p{^Is_Script_Extensions=_ Vai}', "");
Expect(1, 42540, '\P{Is_Script_Extensions=_ Vai}', "");
Expect(0, 42540, '\P{^Is_Script_Extensions=_ Vai}', "");
Error('\p{Is_Scx=:=_-vaii}');
Error('\P{Is_Scx=:=_-vaii}');
Expect(1, 42539, '\p{Is_Scx:	vaii}', "");
Expect(0, 42539, '\p{^Is_Scx:	vaii}', "");
Expect(0, 42539, '\P{Is_Scx:	vaii}', "");
Expect(1, 42539, '\P{^Is_Scx:	vaii}', "");
Expect(0, 42540, '\p{Is_Scx:	vaii}', "");
Expect(1, 42540, '\p{^Is_Scx:	vaii}', "");
Expect(1, 42540, '\P{Is_Scx:	vaii}', "");
Expect(0, 42540, '\P{^Is_Scx:	vaii}', "");
Expect(1, 42539, '\p{Is_Scx=__vaii}', "");
Expect(0, 42539, '\p{^Is_Scx=__vaii}', "");
Expect(0, 42539, '\P{Is_Scx=__vaii}', "");
Expect(1, 42539, '\P{^Is_Scx=__vaii}', "");
Expect(0, 42540, '\p{Is_Scx=__vaii}', "");
Expect(1, 42540, '\p{^Is_Scx=__vaii}', "");
Expect(1, 42540, '\P{Is_Scx=__vaii}', "");
Expect(0, 42540, '\P{^Is_Scx=__vaii}', "");
Error('\p{Script_Extensions=	:=WARANG_CITI}');
Error('\P{Script_Extensions=	:=WARANG_CITI}');
Expect(1, 71935, '\p{Script_Extensions=warangciti}', "");
Expect(0, 71935, '\p{^Script_Extensions=warangciti}', "");
Expect(0, 71935, '\P{Script_Extensions=warangciti}', "");
Expect(1, 71935, '\P{^Script_Extensions=warangciti}', "");
Expect(0, 71936, '\p{Script_Extensions=warangciti}', "");
Expect(1, 71936, '\p{^Script_Extensions=warangciti}', "");
Expect(1, 71936, '\P{Script_Extensions=warangciti}', "");
Expect(0, 71936, '\P{^Script_Extensions=warangciti}', "");
Expect(1, 71935, '\p{Script_Extensions=  Warang_Citi}', "");
Expect(0, 71935, '\p{^Script_Extensions=  Warang_Citi}', "");
Expect(0, 71935, '\P{Script_Extensions=  Warang_Citi}', "");
Expect(1, 71935, '\P{^Script_Extensions=  Warang_Citi}', "");
Expect(0, 71936, '\p{Script_Extensions=  Warang_Citi}', "");
Expect(1, 71936, '\p{^Script_Extensions=  Warang_Citi}', "");
Expect(1, 71936, '\P{Script_Extensions=  Warang_Citi}', "");
Expect(0, 71936, '\P{^Script_Extensions=  Warang_Citi}', "");
Error('\p{Scx=_:=wara}');
Error('\P{Scx=_:=wara}');
Expect(1, 71935, '\p{Scx=wara}', "");
Expect(0, 71935, '\p{^Scx=wara}', "");
Expect(0, 71935, '\P{Scx=wara}', "");
Expect(1, 71935, '\P{^Scx=wara}', "");
Expect(0, 71936, '\p{Scx=wara}', "");
Expect(1, 71936, '\p{^Scx=wara}', "");
Expect(1, 71936, '\P{Scx=wara}', "");
Expect(0, 71936, '\P{^Scx=wara}', "");
Expect(1, 71935, '\p{Scx=-	WARA}', "");
Expect(0, 71935, '\p{^Scx=-	WARA}', "");
Expect(0, 71935, '\P{Scx=-	WARA}', "");
Expect(1, 71935, '\P{^Scx=-	WARA}', "");
Expect(0, 71936, '\p{Scx=-	WARA}', "");
Expect(1, 71936, '\p{^Scx=-	WARA}', "");
Expect(1, 71936, '\P{Scx=-	WARA}', "");
Expect(0, 71936, '\P{^Scx=-	WARA}', "");
Error('\p{Is_Script_Extensions=/a/	-Warang_Citi}');
Error('\P{Is_Script_Extensions=/a/	-Warang_Citi}');
Expect(1, 71935, '\p{Is_Script_Extensions=warangciti}', "");
Expect(0, 71935, '\p{^Is_Script_Extensions=warangciti}', "");
Expect(0, 71935, '\P{Is_Script_Extensions=warangciti}', "");
Expect(1, 71935, '\P{^Is_Script_Extensions=warangciti}', "");
Expect(0, 71936, '\p{Is_Script_Extensions=warangciti}', "");
Expect(1, 71936, '\p{^Is_Script_Extensions=warangciti}', "");
Expect(1, 71936, '\P{Is_Script_Extensions=warangciti}', "");
Expect(0, 71936, '\P{^Is_Script_Extensions=warangciti}', "");
Expect(1, 71935, '\p{Is_Script_Extensions=  Warang_Citi}', "");
Expect(0, 71935, '\p{^Is_Script_Extensions=  Warang_Citi}', "");
Expect(0, 71935, '\P{Is_Script_Extensions=  Warang_Citi}', "");
Expect(1, 71935, '\P{^Is_Script_Extensions=  Warang_Citi}', "");
Expect(0, 71936, '\p{Is_Script_Extensions=  Warang_Citi}', "");
Expect(1, 71936, '\p{^Is_Script_Extensions=  Warang_Citi}', "");
Expect(1, 71936, '\P{Is_Script_Extensions=  Warang_Citi}', "");
Expect(0, 71936, '\P{^Is_Script_Extensions=  Warang_Citi}', "");
Error('\p{Is_Scx= 	Wara/a/}');
Error('\P{Is_Scx= 	Wara/a/}');
Expect(1, 71935, '\p{Is_Scx:	wara}', "");
Expect(0, 71935, '\p{^Is_Scx:	wara}', "");
Expect(0, 71935, '\P{Is_Scx:	wara}', "");
Expect(1, 71935, '\P{^Is_Scx:	wara}', "");
Expect(0, 71936, '\p{Is_Scx:	wara}', "");
Expect(1, 71936, '\p{^Is_Scx:	wara}', "");
Expect(1, 71936, '\P{Is_Scx:	wara}', "");
Expect(0, 71936, '\P{^Is_Scx:	wara}', "");
Expect(1, 71935, '\p{Is_Scx:	_ wara}', "");
Expect(0, 71935, '\p{^Is_Scx:	_ wara}', "");
Expect(0, 71935, '\P{Is_Scx:	_ wara}', "");
Expect(1, 71935, '\P{^Is_Scx:	_ wara}', "");
Expect(0, 71936, '\p{Is_Scx:	_ wara}', "");
Expect(1, 71936, '\p{^Is_Scx:	_ wara}', "");
Expect(1, 71936, '\P{Is_Scx:	_ wara}', "");
Expect(0, 71936, '\P{^Is_Scx:	_ wara}', "");
Error('\p{Script_Extensions= :=Old_persian}');
Error('\P{Script_Extensions= :=Old_persian}');
Expect(1, 66517, '\p{Script_Extensions=oldpersian}', "");
Expect(0, 66517, '\p{^Script_Extensions=oldpersian}', "");
Expect(0, 66517, '\P{Script_Extensions=oldpersian}', "");
Expect(1, 66517, '\P{^Script_Extensions=oldpersian}', "");
Expect(0, 66518, '\p{Script_Extensions=oldpersian}', "");
Expect(1, 66518, '\p{^Script_Extensions=oldpersian}', "");
Expect(1, 66518, '\P{Script_Extensions=oldpersian}', "");
Expect(0, 66518, '\P{^Script_Extensions=oldpersian}', "");
Expect(1, 66517, '\p{Script_Extensions=-old_PERSIAN}', "");
Expect(0, 66517, '\p{^Script_Extensions=-old_PERSIAN}', "");
Expect(0, 66517, '\P{Script_Extensions=-old_PERSIAN}', "");
Expect(1, 66517, '\P{^Script_Extensions=-old_PERSIAN}', "");
Expect(0, 66518, '\p{Script_Extensions=-old_PERSIAN}', "");
Expect(1, 66518, '\p{^Script_Extensions=-old_PERSIAN}', "");
Expect(1, 66518, '\P{Script_Extensions=-old_PERSIAN}', "");
Expect(0, 66518, '\P{^Script_Extensions=-old_PERSIAN}', "");
Error('\p{Scx=	Xpeo:=}');
Error('\P{Scx=	Xpeo:=}');
Expect(1, 66517, '\p{Scx=xpeo}', "");
Expect(0, 66517, '\p{^Scx=xpeo}', "");
Expect(0, 66517, '\P{Scx=xpeo}', "");
Expect(1, 66517, '\P{^Scx=xpeo}', "");
Expect(0, 66518, '\p{Scx=xpeo}', "");
Expect(1, 66518, '\p{^Scx=xpeo}', "");
Expect(1, 66518, '\P{Scx=xpeo}', "");
Expect(0, 66518, '\P{^Scx=xpeo}', "");
Expect(1, 66517, '\p{Scx=-XPEO}', "");
Expect(0, 66517, '\p{^Scx=-XPEO}', "");
Expect(0, 66517, '\P{Scx=-XPEO}', "");
Expect(1, 66517, '\P{^Scx=-XPEO}', "");
Expect(0, 66518, '\p{Scx=-XPEO}', "");
Expect(1, 66518, '\p{^Scx=-XPEO}', "");
Expect(1, 66518, '\P{Scx=-XPEO}', "");
Expect(0, 66518, '\P{^Scx=-XPEO}', "");
Error('\p{Is_Script_Extensions=:= Old_Persian}');
Error('\P{Is_Script_Extensions=:= Old_Persian}');
Expect(1, 66517, '\p{Is_Script_Extensions=oldpersian}', "");
Expect(0, 66517, '\p{^Is_Script_Extensions=oldpersian}', "");
Expect(0, 66517, '\P{Is_Script_Extensions=oldpersian}', "");
Expect(1, 66517, '\P{^Is_Script_Extensions=oldpersian}', "");
Expect(0, 66518, '\p{Is_Script_Extensions=oldpersian}', "");
Expect(1, 66518, '\p{^Is_Script_Extensions=oldpersian}', "");
Expect(1, 66518, '\P{Is_Script_Extensions=oldpersian}', "");
Expect(0, 66518, '\P{^Is_Script_Extensions=oldpersian}', "");
Expect(1, 66517, '\p{Is_Script_Extensions=--OLD_PERSIAN}', "");
Expect(0, 66517, '\p{^Is_Script_Extensions=--OLD_PERSIAN}', "");
Expect(0, 66517, '\P{Is_Script_Extensions=--OLD_PERSIAN}', "");
Expect(1, 66517, '\P{^Is_Script_Extensions=--OLD_PERSIAN}', "");
Expect(0, 66518, '\p{Is_Script_Extensions=--OLD_PERSIAN}', "");
Expect(1, 66518, '\p{^Is_Script_Extensions=--OLD_PERSIAN}', "");
Expect(1, 66518, '\P{Is_Script_Extensions=--OLD_PERSIAN}', "");
Expect(0, 66518, '\P{^Is_Script_Extensions=--OLD_PERSIAN}', "");
Error('\p{Is_Scx=:=Xpeo}');
Error('\P{Is_Scx=:=Xpeo}');
Expect(1, 66517, '\p{Is_Scx=xpeo}', "");
Expect(0, 66517, '\p{^Is_Scx=xpeo}', "");
Expect(0, 66517, '\P{Is_Scx=xpeo}', "");
Expect(1, 66517, '\P{^Is_Scx=xpeo}', "");
Expect(0, 66518, '\p{Is_Scx=xpeo}', "");
Expect(1, 66518, '\p{^Is_Scx=xpeo}', "");
Expect(1, 66518, '\P{Is_Scx=xpeo}', "");
Expect(0, 66518, '\P{^Is_Scx=xpeo}', "");
Expect(1, 66517, '\p{Is_Scx=	XPEO}', "");
Expect(0, 66517, '\p{^Is_Scx=	XPEO}', "");
Expect(0, 66517, '\P{Is_Scx=	XPEO}', "");
Expect(1, 66517, '\P{^Is_Scx=	XPEO}', "");
Expect(0, 66518, '\p{Is_Scx=	XPEO}', "");
Expect(1, 66518, '\p{^Is_Scx=	XPEO}', "");
Expect(1, 66518, '\P{Is_Scx=	XPEO}', "");
Expect(0, 66518, '\P{^Is_Scx=	XPEO}', "");
Error('\p{Script_Extensions=	_Cuneiform:=}');
Error('\P{Script_Extensions=	_Cuneiform:=}');
Expect(1, 74868, '\p{Script_Extensions=cuneiform}', "");
Expect(0, 74868, '\p{^Script_Extensions=cuneiform}', "");
Expect(0, 74868, '\P{Script_Extensions=cuneiform}', "");
Expect(1, 74868, '\P{^Script_Extensions=cuneiform}', "");
Expect(0, 74869, '\p{Script_Extensions=cuneiform}', "");
Expect(1, 74869, '\p{^Script_Extensions=cuneiform}', "");
Expect(1, 74869, '\P{Script_Extensions=cuneiform}', "");
Expect(0, 74869, '\P{^Script_Extensions=cuneiform}', "");
Expect(1, 74868, '\p{Script_Extensions= 	Cuneiform}', "");
Expect(0, 74868, '\p{^Script_Extensions= 	Cuneiform}', "");
Expect(0, 74868, '\P{Script_Extensions= 	Cuneiform}', "");
Expect(1, 74868, '\P{^Script_Extensions= 	Cuneiform}', "");
Expect(0, 74869, '\p{Script_Extensions= 	Cuneiform}', "");
Expect(1, 74869, '\p{^Script_Extensions= 	Cuneiform}', "");
Expect(1, 74869, '\P{Script_Extensions= 	Cuneiform}', "");
Expect(0, 74869, '\P{^Script_Extensions= 	Cuneiform}', "");
Error('\p{Scx:_:=Xsux}');
Error('\P{Scx:_:=Xsux}');
Expect(1, 74868, '\p{Scx=xsux}', "");
Expect(0, 74868, '\p{^Scx=xsux}', "");
Expect(0, 74868, '\P{Scx=xsux}', "");
Expect(1, 74868, '\P{^Scx=xsux}', "");
Expect(0, 74869, '\p{Scx=xsux}', "");
Expect(1, 74869, '\p{^Scx=xsux}', "");
Expect(1, 74869, '\P{Scx=xsux}', "");
Expect(0, 74869, '\P{^Scx=xsux}', "");
Expect(1, 74868, '\p{Scx=		XSUX}', "");
Expect(0, 74868, '\p{^Scx=		XSUX}', "");
Expect(0, 74868, '\P{Scx=		XSUX}', "");
Expect(1, 74868, '\P{^Scx=		XSUX}', "");
Expect(0, 74869, '\p{Scx=		XSUX}', "");
Expect(1, 74869, '\p{^Scx=		XSUX}', "");
Expect(1, 74869, '\P{Scx=		XSUX}', "");
Expect(0, 74869, '\P{^Scx=		XSUX}', "");
Error('\p{Is_Script_Extensions=:=_Cuneiform}');
Error('\P{Is_Script_Extensions=:=_Cuneiform}');
Expect(1, 74868, '\p{Is_Script_Extensions=cuneiform}', "");
Expect(0, 74868, '\p{^Is_Script_Extensions=cuneiform}', "");
Expect(0, 74868, '\P{Is_Script_Extensions=cuneiform}', "");
Expect(1, 74868, '\P{^Is_Script_Extensions=cuneiform}', "");
Expect(0, 74869, '\p{Is_Script_Extensions=cuneiform}', "");
Expect(1, 74869, '\p{^Is_Script_Extensions=cuneiform}', "");
Expect(1, 74869, '\P{Is_Script_Extensions=cuneiform}', "");
Expect(0, 74869, '\P{^Is_Script_Extensions=cuneiform}', "");
Expect(1, 74868, '\p{Is_Script_Extensions=__CUNEIFORM}', "");
Expect(0, 74868, '\p{^Is_Script_Extensions=__CUNEIFORM}', "");
Expect(0, 74868, '\P{Is_Script_Extensions=__CUNEIFORM}', "");
Expect(1, 74868, '\P{^Is_Script_Extensions=__CUNEIFORM}', "");
Expect(0, 74869, '\p{Is_Script_Extensions=__CUNEIFORM}', "");
Expect(1, 74869, '\p{^Is_Script_Extensions=__CUNEIFORM}', "");
Expect(1, 74869, '\P{Is_Script_Extensions=__CUNEIFORM}', "");
Expect(0, 74869, '\P{^Is_Script_Extensions=__CUNEIFORM}', "");
Error('\p{Is_Scx=--Xsux/a/}');
Error('\P{Is_Scx=--Xsux/a/}');
Expect(1, 74868, '\p{Is_Scx=xsux}', "");
Expect(0, 74868, '\p{^Is_Scx=xsux}', "");
Expect(0, 74868, '\P{Is_Scx=xsux}', "");
Expect(1, 74868, '\P{^Is_Scx=xsux}', "");
Expect(0, 74869, '\p{Is_Scx=xsux}', "");
Expect(1, 74869, '\p{^Is_Scx=xsux}', "");
Expect(1, 74869, '\P{Is_Scx=xsux}', "");
Expect(0, 74869, '\P{^Is_Scx=xsux}', "");
Expect(1, 74868, '\p{Is_Scx=	 XSUX}', "");
Expect(0, 74868, '\p{^Is_Scx=	 XSUX}', "");
Expect(0, 74868, '\P{Is_Scx=	 XSUX}', "");
Expect(1, 74868, '\P{^Is_Scx=	 XSUX}', "");
Expect(0, 74869, '\p{Is_Scx=	 XSUX}', "");
Expect(1, 74869, '\p{^Is_Scx=	 XSUX}', "");
Expect(1, 74869, '\P{Is_Scx=	 XSUX}', "");
Expect(0, 74869, '\P{^Is_Scx=	 XSUX}', "");
Error('\p{Script_Extensions=	Yi/a/}');
Error('\P{Script_Extensions=	Yi/a/}');
Expect(1, 65381, '\p{Script_Extensions:	yi}', "");
Expect(0, 65381, '\p{^Script_Extensions:	yi}', "");
Expect(0, 65381, '\P{Script_Extensions:	yi}', "");
Expect(1, 65381, '\P{^Script_Extensions:	yi}', "");
Expect(0, 65382, '\p{Script_Extensions:	yi}', "");
Expect(1, 65382, '\p{^Script_Extensions:	yi}', "");
Expect(1, 65382, '\P{Script_Extensions:	yi}', "");
Expect(0, 65382, '\P{^Script_Extensions:	yi}', "");
Expect(1, 65381, '\p{Script_Extensions:   - YI}', "");
Expect(0, 65381, '\p{^Script_Extensions:   - YI}', "");
Expect(0, 65381, '\P{Script_Extensions:   - YI}', "");
Expect(1, 65381, '\P{^Script_Extensions:   - YI}', "");
Expect(0, 65382, '\p{Script_Extensions:   - YI}', "");
Expect(1, 65382, '\p{^Script_Extensions:   - YI}', "");
Expect(1, 65382, '\P{Script_Extensions:   - YI}', "");
Expect(0, 65382, '\P{^Script_Extensions:   - YI}', "");
Error('\p{Scx=YIII/a/}');
Error('\P{Scx=YIII/a/}');
Expect(1, 65381, '\p{Scx=yiii}', "");
Expect(0, 65381, '\p{^Scx=yiii}', "");
Expect(0, 65381, '\P{Scx=yiii}', "");
Expect(1, 65381, '\P{^Scx=yiii}', "");
Expect(0, 65382, '\p{Scx=yiii}', "");
Expect(1, 65382, '\p{^Scx=yiii}', "");
Expect(1, 65382, '\P{Scx=yiii}', "");
Expect(0, 65382, '\P{^Scx=yiii}', "");
Expect(1, 65381, '\p{Scx=	Yiii}', "");
Expect(0, 65381, '\p{^Scx=	Yiii}', "");
Expect(0, 65381, '\P{Scx=	Yiii}', "");
Expect(1, 65381, '\P{^Scx=	Yiii}', "");
Expect(0, 65382, '\p{Scx=	Yiii}', "");
Expect(1, 65382, '\p{^Scx=	Yiii}', "");
Expect(1, 65382, '\P{Scx=	Yiii}', "");
Expect(0, 65382, '\P{^Scx=	Yiii}', "");
Error('\p{Is_Script_Extensions: /a/YI}');
Error('\P{Is_Script_Extensions: /a/YI}');
Expect(1, 65381, '\p{Is_Script_Extensions=yi}', "");
Expect(0, 65381, '\p{^Is_Script_Extensions=yi}', "");
Expect(0, 65381, '\P{Is_Script_Extensions=yi}', "");
Expect(1, 65381, '\P{^Is_Script_Extensions=yi}', "");
Expect(0, 65382, '\p{Is_Script_Extensions=yi}', "");
Expect(1, 65382, '\p{^Is_Script_Extensions=yi}', "");
Expect(1, 65382, '\P{Is_Script_Extensions=yi}', "");
Expect(0, 65382, '\P{^Is_Script_Extensions=yi}', "");
Expect(1, 65381, '\p{Is_Script_Extensions=-	yi}', "");
Expect(0, 65381, '\p{^Is_Script_Extensions=-	yi}', "");
Expect(0, 65381, '\P{Is_Script_Extensions=-	yi}', "");
Expect(1, 65381, '\P{^Is_Script_Extensions=-	yi}', "");
Expect(0, 65382, '\p{Is_Script_Extensions=-	yi}', "");
Expect(1, 65382, '\p{^Is_Script_Extensions=-	yi}', "");
Expect(1, 65382, '\P{Is_Script_Extensions=-	yi}', "");
Expect(0, 65382, '\P{^Is_Script_Extensions=-	yi}', "");
Error('\p{Is_Scx=	yiii/a/}');
Error('\P{Is_Scx=	yiii/a/}');
Expect(1, 65381, '\p{Is_Scx=yiii}', "");
Expect(0, 65381, '\p{^Is_Scx=yiii}', "");
Expect(0, 65381, '\P{Is_Scx=yiii}', "");
Expect(1, 65381, '\P{^Is_Scx=yiii}', "");
Expect(0, 65382, '\p{Is_Scx=yiii}', "");
Expect(1, 65382, '\p{^Is_Scx=yiii}', "");
Expect(1, 65382, '\P{Is_Scx=yiii}', "");
Expect(0, 65382, '\P{^Is_Scx=yiii}', "");
Expect(1, 65381, '\p{Is_Scx=-yiii}', "");
Expect(0, 65381, '\p{^Is_Scx=-yiii}', "");
Expect(0, 65381, '\P{Is_Scx=-yiii}', "");
Expect(1, 65381, '\P{^Is_Scx=-yiii}', "");
Expect(0, 65382, '\p{Is_Scx=-yiii}', "");
Expect(1, 65382, '\p{^Is_Scx=-yiii}', "");
Expect(1, 65382, '\P{Is_Scx=-yiii}', "");
Expect(0, 65382, '\P{^Is_Scx=-yiii}', "");
Error('\p{Script_Extensions:   		inherited:=}');
Error('\P{Script_Extensions:   		inherited:=}');
Expect(1, 917999, '\p{Script_Extensions:inherited}', "");
Expect(0, 917999, '\p{^Script_Extensions:inherited}', "");
Expect(0, 917999, '\P{Script_Extensions:inherited}', "");
Expect(1, 917999, '\P{^Script_Extensions:inherited}', "");
Expect(0, 918000, '\p{Script_Extensions:inherited}', "");
Expect(1, 918000, '\p{^Script_Extensions:inherited}', "");
Expect(1, 918000, '\P{Script_Extensions:inherited}', "");
Expect(0, 918000, '\P{^Script_Extensions:inherited}', "");
Expect(1, 917999, '\p{Script_Extensions= _INHERITED}', "");
Expect(0, 917999, '\p{^Script_Extensions= _INHERITED}', "");
Expect(0, 917999, '\P{Script_Extensions= _INHERITED}', "");
Expect(1, 917999, '\P{^Script_Extensions= _INHERITED}', "");
Expect(0, 918000, '\p{Script_Extensions= _INHERITED}', "");
Expect(1, 918000, '\p{^Script_Extensions= _INHERITED}', "");
Expect(1, 918000, '\P{Script_Extensions= _INHERITED}', "");
Expect(0, 918000, '\P{^Script_Extensions= _INHERITED}', "");
Error('\p{Scx:	_/a/Zinh}');
Error('\P{Scx:	_/a/Zinh}');
Expect(1, 917999, '\p{Scx=zinh}', "");
Expect(0, 917999, '\p{^Scx=zinh}', "");
Expect(0, 917999, '\P{Scx=zinh}', "");
Expect(1, 917999, '\P{^Scx=zinh}', "");
Expect(0, 918000, '\p{Scx=zinh}', "");
Expect(1, 918000, '\p{^Scx=zinh}', "");
Expect(1, 918000, '\P{Scx=zinh}', "");
Expect(0, 918000, '\P{^Scx=zinh}', "");
Expect(1, 917999, '\p{Scx:  _ZINH}', "");
Expect(0, 917999, '\p{^Scx:  _ZINH}', "");
Expect(0, 917999, '\P{Scx:  _ZINH}', "");
Expect(1, 917999, '\P{^Scx:  _ZINH}', "");
Expect(0, 918000, '\p{Scx:  _ZINH}', "");
Expect(1, 918000, '\p{^Scx:  _ZINH}', "");
Expect(1, 918000, '\P{Scx:  _ZINH}', "");
Expect(0, 918000, '\P{^Scx:  _ZINH}', "");
Error('\p{Is_Script_Extensions=/a/	QAAI}');
Error('\P{Is_Script_Extensions=/a/	QAAI}');
Expect(1, 917999, '\p{Is_Script_Extensions=qaai}', "");
Expect(0, 917999, '\p{^Is_Script_Extensions=qaai}', "");
Expect(0, 917999, '\P{Is_Script_Extensions=qaai}', "");
Expect(1, 917999, '\P{^Is_Script_Extensions=qaai}', "");
Expect(0, 918000, '\p{Is_Script_Extensions=qaai}', "");
Expect(1, 918000, '\p{^Is_Script_Extensions=qaai}', "");
Expect(1, 918000, '\P{Is_Script_Extensions=qaai}', "");
Expect(0, 918000, '\P{^Is_Script_Extensions=qaai}', "");
Expect(1, 917999, '\p{Is_Script_Extensions=-_qaai}', "");
Expect(0, 917999, '\p{^Is_Script_Extensions=-_qaai}', "");
Expect(0, 917999, '\P{Is_Script_Extensions=-_qaai}', "");
Expect(1, 917999, '\P{^Is_Script_Extensions=-_qaai}', "");
Expect(0, 918000, '\p{Is_Script_Extensions=-_qaai}', "");
Expect(1, 918000, '\p{^Is_Script_Extensions=-_qaai}', "");
Expect(1, 918000, '\P{Is_Script_Extensions=-_qaai}', "");
Expect(0, 918000, '\P{^Is_Script_Extensions=-_qaai}', "");
Error('\p{Is_Scx=-/a/Inherited}');
Error('\P{Is_Scx=-/a/Inherited}');
Expect(1, 917999, '\p{Is_Scx=inherited}', "");
Expect(0, 917999, '\p{^Is_Scx=inherited}', "");
Expect(0, 917999, '\P{Is_Scx=inherited}', "");
Expect(1, 917999, '\P{^Is_Scx=inherited}', "");
Expect(0, 918000, '\p{Is_Scx=inherited}', "");
Expect(1, 918000, '\p{^Is_Scx=inherited}', "");
Expect(1, 918000, '\P{Is_Scx=inherited}', "");
Expect(0, 918000, '\P{^Is_Scx=inherited}', "");
Error('\p{Script_Extensions= 	Common:=}');
Error('\P{Script_Extensions= 	Common:=}');
Expect(1, 917631, '\p{Script_Extensions: common}', "");
Expect(0, 917631, '\p{^Script_Extensions: common}', "");
Expect(0, 917631, '\P{Script_Extensions: common}', "");
Expect(1, 917631, '\P{^Script_Extensions: common}', "");
Expect(0, 917632, '\p{Script_Extensions: common}', "");
Expect(1, 917632, '\p{^Script_Extensions: common}', "");
Expect(1, 917632, '\P{Script_Extensions: common}', "");
Expect(0, 917632, '\P{^Script_Extensions: common}', "");
Expect(1, 917631, '\p{Script_Extensions= -common}', "");
Expect(0, 917631, '\p{^Script_Extensions= -common}', "");
Expect(0, 917631, '\P{Script_Extensions= -common}', "");
Expect(1, 917631, '\P{^Script_Extensions= -common}', "");
Expect(0, 917632, '\p{Script_Extensions= -common}', "");
Expect(1, 917632, '\p{^Script_Extensions= -common}', "");
Expect(1, 917632, '\P{Script_Extensions= -common}', "");
Expect(0, 917632, '\P{^Script_Extensions= -common}', "");
Error('\p{Scx=_:=Zyyy}');
Error('\P{Scx=_:=Zyyy}');
Expect(1, 917631, '\p{Scx=zyyy}', "");
Expect(0, 917631, '\p{^Scx=zyyy}', "");
Expect(0, 917631, '\P{Scx=zyyy}', "");
Expect(1, 917631, '\P{^Scx=zyyy}', "");
Expect(0, 917632, '\p{Scx=zyyy}', "");
Expect(1, 917632, '\p{^Scx=zyyy}', "");
Expect(1, 917632, '\P{Scx=zyyy}', "");
Expect(0, 917632, '\P{^Scx=zyyy}', "");
Expect(1, 917631, '\p{Scx=--Zyyy}', "");
Expect(0, 917631, '\p{^Scx=--Zyyy}', "");
Expect(0, 917631, '\P{Scx=--Zyyy}', "");
Expect(1, 917631, '\P{^Scx=--Zyyy}', "");
Expect(0, 917632, '\p{Scx=--Zyyy}', "");
Expect(1, 917632, '\p{^Scx=--Zyyy}', "");
Expect(1, 917632, '\P{Scx=--Zyyy}', "");
Expect(0, 917632, '\P{^Scx=--Zyyy}', "");
Error('\p{Is_Script_Extensions=:=	_Common}');
Error('\P{Is_Script_Extensions=:=	_Common}');
Expect(1, 917631, '\p{Is_Script_Extensions=common}', "");
Expect(0, 917631, '\p{^Is_Script_Extensions=common}', "");
Expect(0, 917631, '\P{Is_Script_Extensions=common}', "");
Expect(1, 917631, '\P{^Is_Script_Extensions=common}', "");
Expect(0, 917632, '\p{Is_Script_Extensions=common}', "");
Expect(1, 917632, '\p{^Is_Script_Extensions=common}', "");
Expect(1, 917632, '\P{Is_Script_Extensions=common}', "");
Expect(0, 917632, '\P{^Is_Script_Extensions=common}', "");
Expect(1, 917631, '\p{Is_Script_Extensions=_COMMON}', "");
Expect(0, 917631, '\p{^Is_Script_Extensions=_COMMON}', "");
Expect(0, 917631, '\P{Is_Script_Extensions=_COMMON}', "");
Expect(1, 917631, '\P{^Is_Script_Extensions=_COMMON}', "");
Expect(0, 917632, '\p{Is_Script_Extensions=_COMMON}', "");
Expect(1, 917632, '\p{^Is_Script_Extensions=_COMMON}', "");
Expect(1, 917632, '\P{Is_Script_Extensions=_COMMON}', "");
Expect(0, 917632, '\P{^Is_Script_Extensions=_COMMON}', "");
Error('\p{Is_Scx=/a/-Zyyy}');
Error('\P{Is_Scx=/a/-Zyyy}');
Expect(1, 917631, '\p{Is_Scx=zyyy}', "");
Expect(0, 917631, '\p{^Is_Scx=zyyy}', "");
Expect(0, 917631, '\P{Is_Scx=zyyy}', "");
Expect(1, 917631, '\P{^Is_Scx=zyyy}', "");
Expect(0, 917632, '\p{Is_Scx=zyyy}', "");
Expect(1, 917632, '\p{^Is_Scx=zyyy}', "");
Expect(1, 917632, '\P{Is_Scx=zyyy}', "");
Expect(0, 917632, '\P{^Is_Scx=zyyy}', "");
Expect(1, 917631, '\p{Is_Scx= -Zyyy}', "");
Expect(0, 917631, '\p{^Is_Scx= -Zyyy}', "");
Expect(0, 917631, '\P{Is_Scx= -Zyyy}', "");
Expect(1, 917631, '\P{^Is_Scx= -Zyyy}', "");
Expect(0, 917632, '\p{Is_Scx= -Zyyy}', "");
Expect(1, 917632, '\p{^Is_Scx= -Zyyy}', "");
Expect(1, 917632, '\P{Is_Scx= -Zyyy}', "");
Expect(0, 917632, '\P{^Is_Scx= -Zyyy}', "");
Error('\p{Script_Extensions=/a/ _UNKNOWN}');
Error('\P{Script_Extensions=/a/ _UNKNOWN}');
Expect(1, 918000, '\p{Script_Extensions=unknown}', "");
Expect(0, 918000, '\p{^Script_Extensions=unknown}', "");
Expect(0, 918000, '\P{Script_Extensions=unknown}', "");
Expect(1, 918000, '\P{^Script_Extensions=unknown}', "");
Expect(0, 917999, '\p{Script_Extensions=unknown}', "");
Expect(1, 917999, '\p{^Script_Extensions=unknown}', "");
Expect(1, 917999, '\P{Script_Extensions=unknown}', "");
Expect(0, 917999, '\P{^Script_Extensions=unknown}', "");
Expect(1, 918000, '\p{Script_Extensions=	-unknown}', "");
Expect(0, 918000, '\p{^Script_Extensions=	-unknown}', "");
Expect(0, 918000, '\P{Script_Extensions=	-unknown}', "");
Expect(1, 918000, '\P{^Script_Extensions=	-unknown}', "");
Expect(0, 917999, '\p{Script_Extensions=	-unknown}', "");
Expect(1, 917999, '\p{^Script_Extensions=	-unknown}', "");
Expect(1, 917999, '\P{Script_Extensions=	-unknown}', "");
Expect(0, 917999, '\P{^Script_Extensions=	-unknown}', "");
Error('\p{Scx: 		ZZZZ:=}');
Error('\P{Scx: 		ZZZZ:=}');
Expect(1, 918000, '\p{Scx=zzzz}', "");
Expect(0, 918000, '\p{^Scx=zzzz}', "");
Expect(0, 918000, '\P{Scx=zzzz}', "");
Expect(1, 918000, '\P{^Scx=zzzz}', "");
Expect(0, 917999, '\p{Scx=zzzz}', "");
Expect(1, 917999, '\p{^Scx=zzzz}', "");
Expect(1, 917999, '\P{Scx=zzzz}', "");
Expect(0, 917999, '\P{^Scx=zzzz}', "");
Expect(1, 918000, '\p{Scx=-_ZZZZ}', "");
Expect(0, 918000, '\p{^Scx=-_ZZZZ}', "");
Expect(0, 918000, '\P{Scx=-_ZZZZ}', "");
Expect(1, 918000, '\P{^Scx=-_ZZZZ}', "");
Expect(0, 917999, '\p{Scx=-_ZZZZ}', "");
Expect(1, 917999, '\p{^Scx=-_ZZZZ}', "");
Expect(1, 917999, '\P{Scx=-_ZZZZ}', "");
Expect(0, 917999, '\P{^Scx=-_ZZZZ}', "");
Error('\p{Is_Script_Extensions=/a/UNKNOWN}');
Error('\P{Is_Script_Extensions=/a/UNKNOWN}');
Expect(1, 918000, '\p{Is_Script_Extensions=unknown}', "");
Expect(0, 918000, '\p{^Is_Script_Extensions=unknown}', "");
Expect(0, 918000, '\P{Is_Script_Extensions=unknown}', "");
Expect(1, 918000, '\P{^Is_Script_Extensions=unknown}', "");
Expect(0, 917999, '\p{Is_Script_Extensions=unknown}', "");
Expect(1, 917999, '\p{^Is_Script_Extensions=unknown}', "");
Expect(1, 917999, '\P{Is_Script_Extensions=unknown}', "");
Expect(0, 917999, '\P{^Is_Script_Extensions=unknown}', "");
Expect(1, 918000, '\p{Is_Script_Extensions:	--unknown}', "");
Expect(0, 918000, '\p{^Is_Script_Extensions:	--unknown}', "");
Expect(0, 918000, '\P{Is_Script_Extensions:	--unknown}', "");
Expect(1, 918000, '\P{^Is_Script_Extensions:	--unknown}', "");
Expect(0, 917999, '\p{Is_Script_Extensions:	--unknown}', "");
Expect(1, 917999, '\p{^Is_Script_Extensions:	--unknown}', "");
Expect(1, 917999, '\P{Is_Script_Extensions:	--unknown}', "");
Expect(0, 917999, '\P{^Is_Script_Extensions:	--unknown}', "");
Error('\p{Is_Scx=/a/  ZZZZ}');
Error('\P{Is_Scx=/a/  ZZZZ}');
Expect(1, 918000, '\p{Is_Scx=zzzz}', "");
Expect(0, 918000, '\p{^Is_Scx=zzzz}', "");
Expect(0, 918000, '\P{Is_Scx=zzzz}', "");
Expect(1, 918000, '\P{^Is_Scx=zzzz}', "");
Expect(0, 917999, '\p{Is_Scx=zzzz}', "");
Expect(1, 917999, '\p{^Is_Scx=zzzz}', "");
Expect(1, 917999, '\P{Is_Scx=zzzz}', "");
Expect(0, 917999, '\P{^Is_Scx=zzzz}', "");
Expect(1, 918000, '\p{Is_Scx=-zzzz}', "");
Expect(0, 918000, '\p{^Is_Scx=-zzzz}', "");
Expect(0, 918000, '\P{Is_Scx=-zzzz}', "");
Expect(1, 918000, '\P{^Is_Scx=-zzzz}', "");
Expect(0, 917999, '\p{Is_Scx=-zzzz}', "");
Expect(1, 917999, '\p{^Is_Scx=-zzzz}', "");
Expect(1, 917999, '\P{Is_Scx=-zzzz}', "");
Expect(0, 917999, '\P{^Is_Scx=-zzzz}', "");
Test_GCB('÷ 0020 ÷ 0020 ÷');
Test_GCB('÷ 0020 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 0020 ÷ 000D ÷');
Test_GCB('÷ 0020 × 0308 ÷ 000D ÷');
Test_GCB('÷ 0020 ÷ 000A ÷');
Test_GCB('÷ 0020 × 0308 ÷ 000A ÷');
Test_GCB('÷ 0020 ÷ 0001 ÷');
Test_GCB('÷ 0020 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 0020 × 0300 ÷');
Test_GCB('÷ 0020 × 0308 × 0300 ÷');
Test_GCB('÷ 0020 × 0903 ÷');
Test_GCB('÷ 0020 × 0308 × 0903 ÷');
Test_GCB('÷ 0020 ÷ 1100 ÷');
Test_GCB('÷ 0020 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 0020 ÷ 1160 ÷');
Test_GCB('÷ 0020 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 0020 ÷ 11A8 ÷');
Test_GCB('÷ 0020 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 0020 ÷ AC00 ÷');
Test_GCB('÷ 0020 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 0020 ÷ AC01 ÷');
Test_GCB('÷ 0020 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 0020 ÷ 1F1E6 ÷');
Test_GCB('÷ 0020 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 0020 ÷ 0378 ÷');
Test_GCB('÷ 0020 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 0020 ÷ D800 ÷');
Test_GCB('÷ 0020 × 0308 ÷ D800 ÷');
Test_GCB('÷ 000D ÷ 0020 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 0020 ÷');
Test_GCB('÷ 000D ÷ 000D ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 000D ÷');
Test_GCB('÷ 000D × 000A ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 000A ÷');
Test_GCB('÷ 000D ÷ 0001 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 0001 ÷');
Test_GCB('÷ 000D ÷ 0300 ÷');
Test_GCB('÷ 000D ÷ 0308 × 0300 ÷');
Test_GCB('÷ 000D ÷ 0903 ÷');
Test_GCB('÷ 000D ÷ 0308 × 0903 ÷');
Test_GCB('÷ 000D ÷ 1100 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 1100 ÷');
Test_GCB('÷ 000D ÷ 1160 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 1160 ÷');
Test_GCB('÷ 000D ÷ 11A8 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 11A8 ÷');
Test_GCB('÷ 000D ÷ AC00 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ AC00 ÷');
Test_GCB('÷ 000D ÷ AC01 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ AC01 ÷');
Test_GCB('÷ 000D ÷ 1F1E6 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 000D ÷ 0378 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 0378 ÷');
Test_GCB('÷ 000D ÷ D800 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ D800 ÷');
Test_GCB('÷ 000A ÷ 0020 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 0020 ÷');
Test_GCB('÷ 000A ÷ 000D ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 000D ÷');
Test_GCB('÷ 000A ÷ 000A ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 000A ÷');
Test_GCB('÷ 000A ÷ 0001 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 0001 ÷');
Test_GCB('÷ 000A ÷ 0300 ÷');
Test_GCB('÷ 000A ÷ 0308 × 0300 ÷');
Test_GCB('÷ 000A ÷ 0903 ÷');
Test_GCB('÷ 000A ÷ 0308 × 0903 ÷');
Test_GCB('÷ 000A ÷ 1100 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 1100 ÷');
Test_GCB('÷ 000A ÷ 1160 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 1160 ÷');
Test_GCB('÷ 000A ÷ 11A8 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 11A8 ÷');
Test_GCB('÷ 000A ÷ AC00 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ AC00 ÷');
Test_GCB('÷ 000A ÷ AC01 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ AC01 ÷');
Test_GCB('÷ 000A ÷ 1F1E6 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 000A ÷ 0378 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 0378 ÷');
Test_GCB('÷ 000A ÷ D800 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ D800 ÷');
Test_GCB('÷ 0001 ÷ 0020 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 0020 ÷');
Test_GCB('÷ 0001 ÷ 000D ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 000D ÷');
Test_GCB('÷ 0001 ÷ 000A ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 000A ÷');
Test_GCB('÷ 0001 ÷ 0001 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 0001 ÷');
Test_GCB('÷ 0001 ÷ 0300 ÷');
Test_GCB('÷ 0001 ÷ 0308 × 0300 ÷');
Test_GCB('÷ 0001 ÷ 0903 ÷');
Test_GCB('÷ 0001 ÷ 0308 × 0903 ÷');
Test_GCB('÷ 0001 ÷ 1100 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 1100 ÷');
Test_GCB('÷ 0001 ÷ 1160 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 1160 ÷');
Test_GCB('÷ 0001 ÷ 11A8 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 11A8 ÷');
Test_GCB('÷ 0001 ÷ AC00 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ AC00 ÷');
Test_GCB('÷ 0001 ÷ AC01 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ AC01 ÷');
Test_GCB('÷ 0001 ÷ 1F1E6 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 0001 ÷ 0378 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 0378 ÷');
Test_GCB('÷ 0001 ÷ D800 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ D800 ÷');
Test_GCB('÷ 0300 ÷ 0020 ÷');
Test_GCB('÷ 0300 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 0300 ÷ 000D ÷');
Test_GCB('÷ 0300 × 0308 ÷ 000D ÷');
Test_GCB('÷ 0300 ÷ 000A ÷');
Test_GCB('÷ 0300 × 0308 ÷ 000A ÷');
Test_GCB('÷ 0300 ÷ 0001 ÷');
Test_GCB('÷ 0300 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 0300 × 0300 ÷');
Test_GCB('÷ 0300 × 0308 × 0300 ÷');
Test_GCB('÷ 0300 × 0903 ÷');
Test_GCB('÷ 0300 × 0308 × 0903 ÷');
Test_GCB('÷ 0300 ÷ 1100 ÷');
Test_GCB('÷ 0300 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 0300 ÷ 1160 ÷');
Test_GCB('÷ 0300 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 0300 ÷ 11A8 ÷');
Test_GCB('÷ 0300 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 0300 ÷ AC00 ÷');
Test_GCB('÷ 0300 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 0300 ÷ AC01 ÷');
Test_GCB('÷ 0300 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 0300 ÷ 1F1E6 ÷');
Test_GCB('÷ 0300 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 0300 ÷ 0378 ÷');
Test_GCB('÷ 0300 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 0300 ÷ D800 ÷');
Test_GCB('÷ 0300 × 0308 ÷ D800 ÷');
Test_GCB('÷ 0903 ÷ 0020 ÷');
Test_GCB('÷ 0903 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 0903 ÷ 000D ÷');
Test_GCB('÷ 0903 × 0308 ÷ 000D ÷');
Test_GCB('÷ 0903 ÷ 000A ÷');
Test_GCB('÷ 0903 × 0308 ÷ 000A ÷');
Test_GCB('÷ 0903 ÷ 0001 ÷');
Test_GCB('÷ 0903 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 0903 × 0300 ÷');
Test_GCB('÷ 0903 × 0308 × 0300 ÷');
Test_GCB('÷ 0903 × 0903 ÷');
Test_GCB('÷ 0903 × 0308 × 0903 ÷');
Test_GCB('÷ 0903 ÷ 1100 ÷');
Test_GCB('÷ 0903 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 0903 ÷ 1160 ÷');
Test_GCB('÷ 0903 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 0903 ÷ 11A8 ÷');
Test_GCB('÷ 0903 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 0903 ÷ AC00 ÷');
Test_GCB('÷ 0903 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 0903 ÷ AC01 ÷');
Test_GCB('÷ 0903 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 0903 ÷ 1F1E6 ÷');
Test_GCB('÷ 0903 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 0903 ÷ 0378 ÷');
Test_GCB('÷ 0903 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 0903 ÷ D800 ÷');
Test_GCB('÷ 0903 × 0308 ÷ D800 ÷');
Test_GCB('÷ 1100 ÷ 0020 ÷');
Test_GCB('÷ 1100 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 1100 ÷ 000D ÷');
Test_GCB('÷ 1100 × 0308 ÷ 000D ÷');
Test_GCB('÷ 1100 ÷ 000A ÷');
Test_GCB('÷ 1100 × 0308 ÷ 000A ÷');
Test_GCB('÷ 1100 ÷ 0001 ÷');
Test_GCB('÷ 1100 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 1100 × 0300 ÷');
Test_GCB('÷ 1100 × 0308 × 0300 ÷');
Test_GCB('÷ 1100 × 0903 ÷');
Test_GCB('÷ 1100 × 0308 × 0903 ÷');
Test_GCB('÷ 1100 × 1100 ÷');
Test_GCB('÷ 1100 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 1100 × 1160 ÷');
Test_GCB('÷ 1100 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 1100 ÷ 11A8 ÷');
Test_GCB('÷ 1100 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 1100 × AC00 ÷');
Test_GCB('÷ 1100 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 1100 × AC01 ÷');
Test_GCB('÷ 1100 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 1100 ÷ 1F1E6 ÷');
Test_GCB('÷ 1100 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 1100 ÷ 0378 ÷');
Test_GCB('÷ 1100 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 1100 ÷ D800 ÷');
Test_GCB('÷ 1100 × 0308 ÷ D800 ÷');
Test_GCB('÷ 1160 ÷ 0020 ÷');
Test_GCB('÷ 1160 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 1160 ÷ 000D ÷');
Test_GCB('÷ 1160 × 0308 ÷ 000D ÷');
Test_GCB('÷ 1160 ÷ 000A ÷');
Test_GCB('÷ 1160 × 0308 ÷ 000A ÷');
Test_GCB('÷ 1160 ÷ 0001 ÷');
Test_GCB('÷ 1160 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 1160 × 0300 ÷');
Test_GCB('÷ 1160 × 0308 × 0300 ÷');
Test_GCB('÷ 1160 × 0903 ÷');
Test_GCB('÷ 1160 × 0308 × 0903 ÷');
Test_GCB('÷ 1160 ÷ 1100 ÷');
Test_GCB('÷ 1160 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 1160 × 1160 ÷');
Test_GCB('÷ 1160 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 1160 × 11A8 ÷');
Test_GCB('÷ 1160 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 1160 ÷ AC00 ÷');
Test_GCB('÷ 1160 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 1160 ÷ AC01 ÷');
Test_GCB('÷ 1160 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 1160 ÷ 1F1E6 ÷');
Test_GCB('÷ 1160 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 1160 ÷ 0378 ÷');
Test_GCB('÷ 1160 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 1160 ÷ D800 ÷');
Test_GCB('÷ 1160 × 0308 ÷ D800 ÷');
Test_GCB('÷ 11A8 ÷ 0020 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 11A8 ÷ 000D ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 000D ÷');
Test_GCB('÷ 11A8 ÷ 000A ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 000A ÷');
Test_GCB('÷ 11A8 ÷ 0001 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 11A8 × 0300 ÷');
Test_GCB('÷ 11A8 × 0308 × 0300 ÷');
Test_GCB('÷ 11A8 × 0903 ÷');
Test_GCB('÷ 11A8 × 0308 × 0903 ÷');
Test_GCB('÷ 11A8 ÷ 1100 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 11A8 ÷ 1160 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 11A8 × 11A8 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 11A8 ÷ AC00 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 11A8 ÷ AC01 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 11A8 ÷ 1F1E6 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 11A8 ÷ 0378 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 11A8 ÷ D800 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ D800 ÷');
Test_GCB('÷ AC00 ÷ 0020 ÷');
Test_GCB('÷ AC00 × 0308 ÷ 0020 ÷');
Test_GCB('÷ AC00 ÷ 000D ÷');
Test_GCB('÷ AC00 × 0308 ÷ 000D ÷');
Test_GCB('÷ AC00 ÷ 000A ÷');
Test_GCB('÷ AC00 × 0308 ÷ 000A ÷');
Test_GCB('÷ AC00 ÷ 0001 ÷');
Test_GCB('÷ AC00 × 0308 ÷ 0001 ÷');
Test_GCB('÷ AC00 × 0300 ÷');
Test_GCB('÷ AC00 × 0308 × 0300 ÷');
Test_GCB('÷ AC00 × 0903 ÷');
Test_GCB('÷ AC00 × 0308 × 0903 ÷');
Test_GCB('÷ AC00 ÷ 1100 ÷');
Test_GCB('÷ AC00 × 0308 ÷ 1100 ÷');
Test_GCB('÷ AC00 × 1160 ÷');
Test_GCB('÷ AC00 × 0308 ÷ 1160 ÷');
Test_GCB('÷ AC00 × 11A8 ÷');
Test_GCB('÷ AC00 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ AC00 ÷ AC00 ÷');
Test_GCB('÷ AC00 × 0308 ÷ AC00 ÷');
Test_GCB('÷ AC00 ÷ AC01 ÷');
Test_GCB('÷ AC00 × 0308 ÷ AC01 ÷');
Test_GCB('÷ AC00 ÷ 1F1E6 ÷');
Test_GCB('÷ AC00 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ AC00 ÷ 0378 ÷');
Test_GCB('÷ AC00 × 0308 ÷ 0378 ÷');
Test_GCB('÷ AC00 ÷ D800 ÷');
Test_GCB('÷ AC00 × 0308 ÷ D800 ÷');
Test_GCB('÷ AC01 ÷ 0020 ÷');
Test_GCB('÷ AC01 × 0308 ÷ 0020 ÷');
Test_GCB('÷ AC01 ÷ 000D ÷');
Test_GCB('÷ AC01 × 0308 ÷ 000D ÷');
Test_GCB('÷ AC01 ÷ 000A ÷');
Test_GCB('÷ AC01 × 0308 ÷ 000A ÷');
Test_GCB('÷ AC01 ÷ 0001 ÷');
Test_GCB('÷ AC01 × 0308 ÷ 0001 ÷');
Test_GCB('÷ AC01 × 0300 ÷');
Test_GCB('÷ AC01 × 0308 × 0300 ÷');
Test_GCB('÷ AC01 × 0903 ÷');
Test_GCB('÷ AC01 × 0308 × 0903 ÷');
Test_GCB('÷ AC01 ÷ 1100 ÷');
Test_GCB('÷ AC01 × 0308 ÷ 1100 ÷');
Test_GCB('÷ AC01 ÷ 1160 ÷');
Test_GCB('÷ AC01 × 0308 ÷ 1160 ÷');
Test_GCB('÷ AC01 × 11A8 ÷');
Test_GCB('÷ AC01 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ AC01 ÷ AC00 ÷');
Test_GCB('÷ AC01 × 0308 ÷ AC00 ÷');
Test_GCB('÷ AC01 ÷ AC01 ÷');
Test_GCB('÷ AC01 × 0308 ÷ AC01 ÷');
Test_GCB('÷ AC01 ÷ 1F1E6 ÷');
Test_GCB('÷ AC01 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ AC01 ÷ 0378 ÷');
Test_GCB('÷ AC01 × 0308 ÷ 0378 ÷');
Test_GCB('÷ AC01 ÷ D800 ÷');
Test_GCB('÷ AC01 × 0308 ÷ D800 ÷');
Test_GCB('÷ 1F1E6 ÷ 0020 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 1F1E6 ÷ 000D ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 000D ÷');
Test_GCB('÷ 1F1E6 ÷ 000A ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 000A ÷');
Test_GCB('÷ 1F1E6 ÷ 0001 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 1F1E6 × 0300 ÷');
Test_GCB('÷ 1F1E6 × 0308 × 0300 ÷');
Test_GCB('÷ 1F1E6 × 0903 ÷');
Test_GCB('÷ 1F1E6 × 0308 × 0903 ÷');
Test_GCB('÷ 1F1E6 ÷ 1100 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 1F1E6 ÷ 1160 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 1F1E6 ÷ 11A8 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 1F1E6 ÷ AC00 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 1F1E6 ÷ AC01 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 1F1E6 × 1F1E6 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 1F1E6 ÷ 0378 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 1F1E6 ÷ D800 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ D800 ÷');
Test_GCB('÷ 0378 ÷ 0020 ÷');
Test_GCB('÷ 0378 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 0378 ÷ 000D ÷');
Test_GCB('÷ 0378 × 0308 ÷ 000D ÷');
Test_GCB('÷ 0378 ÷ 000A ÷');
Test_GCB('÷ 0378 × 0308 ÷ 000A ÷');
Test_GCB('÷ 0378 ÷ 0001 ÷');
Test_GCB('÷ 0378 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 0378 × 0300 ÷');
Test_GCB('÷ 0378 × 0308 × 0300 ÷');
Test_GCB('÷ 0378 × 0903 ÷');
Test_GCB('÷ 0378 × 0308 × 0903 ÷');
Test_GCB('÷ 0378 ÷ 1100 ÷');
Test_GCB('÷ 0378 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 0378 ÷ 1160 ÷');
Test_GCB('÷ 0378 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 0378 ÷ 11A8 ÷');
Test_GCB('÷ 0378 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 0378 ÷ AC00 ÷');
Test_GCB('÷ 0378 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 0378 ÷ AC01 ÷');
Test_GCB('÷ 0378 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 0378 ÷ 1F1E6 ÷');
Test_GCB('÷ 0378 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 0378 ÷ 0378 ÷');
Test_GCB('÷ 0378 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 0378 ÷ D800 ÷');
Test_GCB('÷ 0378 × 0308 ÷ D800 ÷');
Test_GCB('÷ D800 ÷ 0020 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 0020 ÷');
Test_GCB('÷ D800 ÷ 000D ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 000D ÷');
Test_GCB('÷ D800 ÷ 000A ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 000A ÷');
Test_GCB('÷ D800 ÷ 0001 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 0001 ÷');
Test_GCB('÷ D800 ÷ 0300 ÷');
Test_GCB('÷ D800 ÷ 0308 × 0300 ÷');
Test_GCB('÷ D800 ÷ 0903 ÷');
Test_GCB('÷ D800 ÷ 0308 × 0903 ÷');
Test_GCB('÷ D800 ÷ 1100 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 1100 ÷');
Test_GCB('÷ D800 ÷ 1160 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 1160 ÷');
Test_GCB('÷ D800 ÷ 11A8 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 11A8 ÷');
Test_GCB('÷ D800 ÷ AC00 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ AC00 ÷');
Test_GCB('÷ D800 ÷ AC01 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ AC01 ÷');
Test_GCB('÷ D800 ÷ 1F1E6 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ D800 ÷ 0378 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 0378 ÷');
Test_GCB('÷ D800 ÷ D800 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ D800 ÷');
Test_GCB('÷ 0061 ÷ 1F1E6 ÷ 0062 ÷');
Test_GCB('÷ 1F1F7 × 1F1FA ÷');
Test_GCB('÷ 1F1F7 × 1F1FA × 1F1F8 ÷');
Test_GCB('÷ 1F1F7 × 1F1FA × 1F1F8 × 1F1EA ÷');
Test_GCB('÷ 1F1F7 × 1F1FA ÷ 200B ÷ 1F1F8 × 1F1EA ÷');
Test_GCB('÷ 1F1E6 × 1F1E7 × 1F1E8 ÷');
Test_GCB('÷ 1F1E6 × 200D ÷ 1F1E7 × 1F1E8 ÷');
Test_GCB('÷ 1F1E6 × 1F1E7 × 200D ÷ 1F1E8 ÷');
Test_GCB('÷ 0020 × 200D ÷ 0646 ÷');
Test_GCB('÷ 0646 × 200D ÷ 0020 ÷');
Test_SB('÷ 0001 × 0001 ÷');
Test_SB('÷ 0001 × 0308 × 0001 ÷');
Test_SB('÷ 0001 × 000D ÷');
Test_SB('÷ 0001 × 0308 × 000D ÷');
Test_SB('÷ 0001 × 000A ÷');
Test_SB('÷ 0001 × 0308 × 000A ÷');
Test_SB('÷ 0001 × 0085 ÷');
Test_SB('÷ 0001 × 0308 × 0085 ÷');
Test_SB('÷ 0001 × 0009 ÷');
Test_SB('÷ 0001 × 0308 × 0009 ÷');
Test_SB('÷ 0001 × 0061 ÷');
Test_SB('÷ 0001 × 0308 × 0061 ÷');
Test_SB('÷ 0001 × 0041 ÷');
Test_SB('÷ 0001 × 0308 × 0041 ÷');
Test_SB('÷ 0001 × 01BB ÷');
Test_SB('÷ 0001 × 0308 × 01BB ÷');
Test_SB('÷ 0001 × 0030 ÷');
Test_SB('÷ 0001 × 0308 × 0030 ÷');
Test_SB('÷ 0001 × 002E ÷');
Test_SB('÷ 0001 × 0308 × 002E ÷');
Test_SB('÷ 0001 × 0021 ÷');
Test_SB('÷ 0001 × 0308 × 0021 ÷');
Test_SB('÷ 0001 × 0022 ÷');
Test_SB('÷ 0001 × 0308 × 0022 ÷');
Test_SB('÷ 0001 × 002C ÷');
Test_SB('÷ 0001 × 0308 × 002C ÷');
Test_SB('÷ 0001 × 00AD ÷');
Test_SB('÷ 0001 × 0308 × 00AD ÷');
Test_SB('÷ 0001 × 0300 ÷');
Test_SB('÷ 0001 × 0308 × 0300 ÷');
Test_SB('÷ 000D ÷ 0001 ÷');
Test_SB('÷ 000D ÷ 0308 × 0001 ÷');
Test_SB('÷ 000D ÷ 000D ÷');
Test_SB('÷ 000D ÷ 0308 × 000D ÷');
Test_SB('÷ 000D × 000A ÷');
Test_SB('÷ 000D ÷ 0308 × 000A ÷');
Test_SB('÷ 000D ÷ 0085 ÷');
Test_SB('÷ 000D ÷ 0308 × 0085 ÷');
Test_SB('÷ 000D ÷ 0009 ÷');
Test_SB('÷ 000D ÷ 0308 × 0009 ÷');
Test_SB('÷ 000D ÷ 0061 ÷');
Test_SB('÷ 000D ÷ 0308 × 0061 ÷');
Test_SB('÷ 000D ÷ 0041 ÷');
Test_SB('÷ 000D ÷ 0308 × 0041 ÷');
Test_SB('÷ 000D ÷ 01BB ÷');
Test_SB('÷ 000D ÷ 0308 × 01BB ÷');
Test_SB('÷ 000D ÷ 0030 ÷');
Test_SB('÷ 000D ÷ 0308 × 0030 ÷');
Test_SB('÷ 000D ÷ 002E ÷');
Test_SB('÷ 000D ÷ 0308 × 002E ÷');
Test_SB('÷ 000D ÷ 0021 ÷');
Test_SB('÷ 000D ÷ 0308 × 0021 ÷');
Test_SB('÷ 000D ÷ 0022 ÷');
Test_SB('÷ 000D ÷ 0308 × 0022 ÷');
Test_SB('÷ 000D ÷ 002C ÷');
Test_SB('÷ 000D ÷ 0308 × 002C ÷');
Test_SB('÷ 000D ÷ 00AD ÷');
Test_SB('÷ 000D ÷ 0308 × 00AD ÷');
Test_SB('÷ 000D ÷ 0300 ÷');
Test_SB('÷ 000D ÷ 0308 × 0300 ÷');
Test_SB('÷ 000A ÷ 0001 ÷');
Test_SB('÷ 000A ÷ 0308 × 0001 ÷');
Test_SB('÷ 000A ÷ 000D ÷');
Test_SB('÷ 000A ÷ 0308 × 000D ÷');
Test_SB('÷ 000A ÷ 000A ÷');
Test_SB('÷ 000A ÷ 0308 × 000A ÷');
Test_SB('÷ 000A ÷ 0085 ÷');
Test_SB('÷ 000A ÷ 0308 × 0085 ÷');
Test_SB('÷ 000A ÷ 0009 ÷');
Test_SB('÷ 000A ÷ 0308 × 0009 ÷');
Test_SB('÷ 000A ÷ 0061 ÷');
Test_SB('÷ 000A ÷ 0308 × 0061 ÷');
Test_SB('÷ 000A ÷ 0041 ÷');
Test_SB('÷ 000A ÷ 0308 × 0041 ÷');
Test_SB('÷ 000A ÷ 01BB ÷');
Test_SB('÷ 000A ÷ 0308 × 01BB ÷');
Test_SB('÷ 000A ÷ 0030 ÷');
Test_SB('÷ 000A ÷ 0308 × 0030 ÷');
Test_SB('÷ 000A ÷ 002E ÷');
Test_SB('÷ 000A ÷ 0308 × 002E ÷');
Test_SB('÷ 000A ÷ 0021 ÷');
Test_SB('÷ 000A ÷ 0308 × 0021 ÷');
Test_SB('÷ 000A ÷ 0022 ÷');
Test_SB('÷ 000A ÷ 0308 × 0022 ÷');
Test_SB('÷ 000A ÷ 002C ÷');
Test_SB('÷ 000A ÷ 0308 × 002C ÷');
Test_SB('÷ 000A ÷ 00AD ÷');
Test_SB('÷ 000A ÷ 0308 × 00AD ÷');
Test_SB('÷ 000A ÷ 0300 ÷');
Test_SB('÷ 000A ÷ 0308 × 0300 ÷');
Test_SB('÷ 0085 ÷ 0001 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0001 ÷');
Test_SB('÷ 0085 ÷ 000D ÷');
Test_SB('÷ 0085 ÷ 0308 × 000D ÷');
Test_SB('÷ 0085 ÷ 000A ÷');
Test_SB('÷ 0085 ÷ 0308 × 000A ÷');
Test_SB('÷ 0085 ÷ 0085 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0085 ÷');
Test_SB('÷ 0085 ÷ 0009 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0009 ÷');
Test_SB('÷ 0085 ÷ 0061 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0061 ÷');
Test_SB('÷ 0085 ÷ 0041 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0041 ÷');
Test_SB('÷ 0085 ÷ 01BB ÷');
Test_SB('÷ 0085 ÷ 0308 × 01BB ÷');
Test_SB('÷ 0085 ÷ 0030 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0030 ÷');
Test_SB('÷ 0085 ÷ 002E ÷');
Test_SB('÷ 0085 ÷ 0308 × 002E ÷');
Test_SB('÷ 0085 ÷ 0021 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0021 ÷');
Test_SB('÷ 0085 ÷ 0022 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0022 ÷');
Test_SB('÷ 0085 ÷ 002C ÷');
Test_SB('÷ 0085 ÷ 0308 × 002C ÷');
Test_SB('÷ 0085 ÷ 00AD ÷');
Test_SB('÷ 0085 ÷ 0308 × 00AD ÷');
Test_SB('÷ 0085 ÷ 0300 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0300 ÷');
Test_SB('÷ 0009 × 0001 ÷');
Test_SB('÷ 0009 × 0308 × 0001 ÷');
Test_SB('÷ 0009 × 000D ÷');
Test_SB('÷ 0009 × 0308 × 000D ÷');
Test_SB('÷ 0009 × 000A ÷');
Test_SB('÷ 0009 × 0308 × 000A ÷');
Test_SB('÷ 0009 × 0085 ÷');
Test_SB('÷ 0009 × 0308 × 0085 ÷');
Test_SB('÷ 0009 × 0009 ÷');
Test_SB('÷ 0009 × 0308 × 0009 ÷');
Test_SB('÷ 0009 × 0061 ÷');
Test_SB('÷ 0009 × 0308 × 0061 ÷');
Test_SB('÷ 0009 × 0041 ÷');
Test_SB('÷ 0009 × 0308 × 0041 ÷');
Test_SB('÷ 0009 × 01BB ÷');
Test_SB('÷ 0009 × 0308 × 01BB ÷');
Test_SB('÷ 0009 × 0030 ÷');
Test_SB('÷ 0009 × 0308 × 0030 ÷');
Test_SB('÷ 0009 × 002E ÷');
Test_SB('÷ 0009 × 0308 × 002E ÷');
Test_SB('÷ 0009 × 0021 ÷');
Test_SB('÷ 0009 × 0308 × 0021 ÷');
Test_SB('÷ 0009 × 0022 ÷');
Test_SB('÷ 0009 × 0308 × 0022 ÷');
Test_SB('÷ 0009 × 002C ÷');
Test_SB('÷ 0009 × 0308 × 002C ÷');
Test_SB('÷ 0009 × 00AD ÷');
Test_SB('÷ 0009 × 0308 × 00AD ÷');
Test_SB('÷ 0009 × 0300 ÷');
Test_SB('÷ 0009 × 0308 × 0300 ÷');
Test_SB('÷ 0061 × 0001 ÷');
Test_SB('÷ 0061 × 0308 × 0001 ÷');
Test_SB('÷ 0061 × 000D ÷');
Test_SB('÷ 0061 × 0308 × 000D ÷');
Test_SB('÷ 0061 × 000A ÷');
Test_SB('÷ 0061 × 0308 × 000A ÷');
Test_SB('÷ 0061 × 0085 ÷');
Test_SB('÷ 0061 × 0308 × 0085 ÷');
Test_SB('÷ 0061 × 0009 ÷');
Test_SB('÷ 0061 × 0308 × 0009 ÷');
Test_SB('÷ 0061 × 0061 ÷');
Test_SB('÷ 0061 × 0308 × 0061 ÷');
Test_SB('÷ 0061 × 0041 ÷');
Test_SB('÷ 0061 × 0308 × 0041 ÷');
Test_SB('÷ 0061 × 01BB ÷');
Test_SB('÷ 0061 × 0308 × 01BB ÷');
Test_SB('÷ 0061 × 0030 ÷');
Test_SB('÷ 0061 × 0308 × 0030 ÷');
Test_SB('÷ 0061 × 002E ÷');
Test_SB('÷ 0061 × 0308 × 002E ÷');
Test_SB('÷ 0061 × 0021 ÷');
Test_SB('÷ 0061 × 0308 × 0021 ÷');
Test_SB('÷ 0061 × 0022 ÷');
Test_SB('÷ 0061 × 0308 × 0022 ÷');
Test_SB('÷ 0061 × 002C ÷');
Test_SB('÷ 0061 × 0308 × 002C ÷');
Test_SB('÷ 0061 × 00AD ÷');
Test_SB('÷ 0061 × 0308 × 00AD ÷');
Test_SB('÷ 0061 × 0300 ÷');
Test_SB('÷ 0061 × 0308 × 0300 ÷');
Test_SB('÷ 0041 × 0001 ÷');
Test_SB('÷ 0041 × 0308 × 0001 ÷');
Test_SB('÷ 0041 × 000D ÷');
Test_SB('÷ 0041 × 0308 × 000D ÷');
Test_SB('÷ 0041 × 000A ÷');
Test_SB('÷ 0041 × 0308 × 000A ÷');
Test_SB('÷ 0041 × 0085 ÷');
Test_SB('÷ 0041 × 0308 × 0085 ÷');
Test_SB('÷ 0041 × 0009 ÷');
Test_SB('÷ 0041 × 0308 × 0009 ÷');
Test_SB('÷ 0041 × 0061 ÷');
Test_SB('÷ 0041 × 0308 × 0061 ÷');
Test_SB('÷ 0041 × 0041 ÷');
Test_SB('÷ 0041 × 0308 × 0041 ÷');
Test_SB('÷ 0041 × 01BB ÷');
Test_SB('÷ 0041 × 0308 × 01BB ÷');
Test_SB('÷ 0041 × 0030 ÷');
Test_SB('÷ 0041 × 0308 × 0030 ÷');
Test_SB('÷ 0041 × 002E ÷');
Test_SB('÷ 0041 × 0308 × 002E ÷');
Test_SB('÷ 0041 × 0021 ÷');
Test_SB('÷ 0041 × 0308 × 0021 ÷');
Test_SB('÷ 0041 × 0022 ÷');
Test_SB('÷ 0041 × 0308 × 0022 ÷');
Test_SB('÷ 0041 × 002C ÷');
Test_SB('÷ 0041 × 0308 × 002C ÷');
Test_SB('÷ 0041 × 00AD ÷');
Test_SB('÷ 0041 × 0308 × 00AD ÷');
Test_SB('÷ 0041 × 0300 ÷');
Test_SB('÷ 0041 × 0308 × 0300 ÷');
Test_SB('÷ 01BB × 0001 ÷');
Test_SB('÷ 01BB × 0308 × 0001 ÷');
Test_SB('÷ 01BB × 000D ÷');
Test_SB('÷ 01BB × 0308 × 000D ÷');
Test_SB('÷ 01BB × 000A ÷');
Test_SB('÷ 01BB × 0308 × 000A ÷');
Test_SB('÷ 01BB × 0085 ÷');
Test_SB('÷ 01BB × 0308 × 0085 ÷');
Test_SB('÷ 01BB × 0009 ÷');
Test_SB('÷ 01BB × 0308 × 0009 ÷');
Test_SB('÷ 01BB × 0061 ÷');
Test_SB('÷ 01BB × 0308 × 0061 ÷');
Test_SB('÷ 01BB × 0041 ÷');
Test_SB('÷ 01BB × 0308 × 0041 ÷');
Test_SB('÷ 01BB × 01BB ÷');
Test_SB('÷ 01BB × 0308 × 01BB ÷');
Test_SB('÷ 01BB × 0030 ÷');
Test_SB('÷ 01BB × 0308 × 0030 ÷');
Test_SB('÷ 01BB × 002E ÷');
Test_SB('÷ 01BB × 0308 × 002E ÷');
Test_SB('÷ 01BB × 0021 ÷');
Test_SB('÷ 01BB × 0308 × 0021 ÷');
Test_SB('÷ 01BB × 0022 ÷');
Test_SB('÷ 01BB × 0308 × 0022 ÷');
Test_SB('÷ 01BB × 002C ÷');
Test_SB('÷ 01BB × 0308 × 002C ÷');
Test_SB('÷ 01BB × 00AD ÷');
Test_SB('÷ 01BB × 0308 × 00AD ÷');
Test_SB('÷ 01BB × 0300 ÷');
Test_SB('÷ 01BB × 0308 × 0300 ÷');
Test_SB('÷ 0030 × 0001 ÷');
Test_SB('÷ 0030 × 0308 × 0001 ÷');
Test_SB('÷ 0030 × 000D ÷');
Test_SB('÷ 0030 × 0308 × 000D ÷');
Test_SB('÷ 0030 × 000A ÷');
Test_SB('÷ 0030 × 0308 × 000A ÷');
Test_SB('÷ 0030 × 0085 ÷');
Test_SB('÷ 0030 × 0308 × 0085 ÷');
Test_SB('÷ 0030 × 0009 ÷');
Test_SB('÷ 0030 × 0308 × 0009 ÷');
Test_SB('÷ 0030 × 0061 ÷');
Test_SB('÷ 0030 × 0308 × 0061 ÷');
Test_SB('÷ 0030 × 0041 ÷');
Test_SB('÷ 0030 × 0308 × 0041 ÷');
Test_SB('÷ 0030 × 01BB ÷');
Test_SB('÷ 0030 × 0308 × 01BB ÷');
Test_SB('÷ 0030 × 0030 ÷');
Test_SB('÷ 0030 × 0308 × 0030 ÷');
Test_SB('÷ 0030 × 002E ÷');
Test_SB('÷ 0030 × 0308 × 002E ÷');
Test_SB('÷ 0030 × 0021 ÷');
Test_SB('÷ 0030 × 0308 × 0021 ÷');
Test_SB('÷ 0030 × 0022 ÷');
Test_SB('÷ 0030 × 0308 × 0022 ÷');
Test_SB('÷ 0030 × 002C ÷');
Test_SB('÷ 0030 × 0308 × 002C ÷');
Test_SB('÷ 0030 × 00AD ÷');
Test_SB('÷ 0030 × 0308 × 00AD ÷');
Test_SB('÷ 0030 × 0300 ÷');
Test_SB('÷ 0030 × 0308 × 0300 ÷');
Test_SB('÷ 002E ÷ 0001 ÷');
Test_SB('÷ 002E × 0308 ÷ 0001 ÷');
Test_SB('÷ 002E × 000D ÷');
Test_SB('÷ 002E × 0308 × 000D ÷');
Test_SB('÷ 002E × 000A ÷');
Test_SB('÷ 002E × 0308 × 000A ÷');
Test_SB('÷ 002E × 0085 ÷');
Test_SB('÷ 002E × 0308 × 0085 ÷');
Test_SB('÷ 002E × 0009 ÷');
Test_SB('÷ 002E × 0308 × 0009 ÷');
Test_SB('÷ 002E × 0061 ÷');
Test_SB('÷ 002E × 0308 × 0061 ÷');
Test_SB('÷ 002E ÷ 0041 ÷');
Test_SB('÷ 002E × 0308 ÷ 0041 ÷');
Test_SB('÷ 002E ÷ 01BB ÷');
Test_SB('÷ 002E × 0308 ÷ 01BB ÷');
Test_SB('÷ 002E × 0030 ÷');
Test_SB('÷ 002E × 0308 × 0030 ÷');
Test_SB('÷ 002E × 002E ÷');
Test_SB('÷ 002E × 0308 × 002E ÷');
Test_SB('÷ 002E × 0021 ÷');
Test_SB('÷ 002E × 0308 × 0021 ÷');
Test_SB('÷ 002E × 0022 ÷');
Test_SB('÷ 002E × 0308 × 0022 ÷');
Test_SB('÷ 002E × 002C ÷');
Test_SB('÷ 002E × 0308 × 002C ÷');
Test_SB('÷ 002E × 00AD ÷');
Test_SB('÷ 002E × 0308 × 00AD ÷');
Test_SB('÷ 002E × 0300 ÷');
Test_SB('÷ 002E × 0308 × 0300 ÷');
Test_SB('÷ 0021 ÷ 0001 ÷');
Test_SB('÷ 0021 × 0308 ÷ 0001 ÷');
Test_SB('÷ 0021 × 000D ÷');
Test_SB('÷ 0021 × 0308 × 000D ÷');
Test_SB('÷ 0021 × 000A ÷');
Test_SB('÷ 0021 × 0308 × 000A ÷');
Test_SB('÷ 0021 × 0085 ÷');
Test_SB('÷ 0021 × 0308 × 0085 ÷');
Test_SB('÷ 0021 × 0009 ÷');
Test_SB('÷ 0021 × 0308 × 0009 ÷');
Test_SB('÷ 0021 ÷ 0061 ÷');
Test_SB('÷ 0021 × 0308 ÷ 0061 ÷');
Test_SB('÷ 0021 ÷ 0041 ÷');
Test_SB('÷ 0021 × 0308 ÷ 0041 ÷');
Test_SB('÷ 0021 ÷ 01BB ÷');
Test_SB('÷ 0021 × 0308 ÷ 01BB ÷');
Test_SB('÷ 0021 ÷ 0030 ÷');
Test_SB('÷ 0021 × 0308 ÷ 0030 ÷');
Test_SB('÷ 0021 × 002E ÷');
Test_SB('÷ 0021 × 0308 × 002E ÷');
Test_SB('÷ 0021 × 0021 ÷');
Test_SB('÷ 0021 × 0308 × 0021 ÷');
Test_SB('÷ 0021 × 0022 ÷');
Test_SB('÷ 0021 × 0308 × 0022 ÷');
Test_SB('÷ 0021 × 002C ÷');
Test_SB('÷ 0021 × 0308 × 002C ÷');
Test_SB('÷ 0021 × 00AD ÷');
Test_SB('÷ 0021 × 0308 × 00AD ÷');
Test_SB('÷ 0021 × 0300 ÷');
Test_SB('÷ 0021 × 0308 × 0300 ÷');
Test_SB('÷ 0022 × 0001 ÷');
Test_SB('÷ 0022 × 0308 × 0001 ÷');
Test_SB('÷ 0022 × 000D ÷');
Test_SB('÷ 0022 × 0308 × 000D ÷');
Test_SB('÷ 0022 × 000A ÷');
Test_SB('÷ 0022 × 0308 × 000A ÷');
Test_SB('÷ 0022 × 0085 ÷');
Test_SB('÷ 0022 × 0308 × 0085 ÷');
Test_SB('÷ 0022 × 0009 ÷');
Test_SB('÷ 0022 × 0308 × 0009 ÷');
Test_SB('÷ 0022 × 0061 ÷');
Test_SB('÷ 0022 × 0308 × 0061 ÷');
Test_SB('÷ 0022 × 0041 ÷');
Test_SB('÷ 0022 × 0308 × 0041 ÷');
Test_SB('÷ 0022 × 01BB ÷');
Test_SB('÷ 0022 × 0308 × 01BB ÷');
Test_SB('÷ 0022 × 0030 ÷');
Test_SB('÷ 0022 × 0308 × 0030 ÷');
Test_SB('÷ 0022 × 002E ÷');
Test_SB('÷ 0022 × 0308 × 002E ÷');
Test_SB('÷ 0022 × 0021 ÷');
Test_SB('÷ 0022 × 0308 × 0021 ÷');
Test_SB('÷ 0022 × 0022 ÷');
Test_SB('÷ 0022 × 0308 × 0022 ÷');
Test_SB('÷ 0022 × 002C ÷');
Test_SB('÷ 0022 × 0308 × 002C ÷');
Test_SB('÷ 0022 × 00AD ÷');
Test_SB('÷ 0022 × 0308 × 00AD ÷');
Test_SB('÷ 0022 × 0300 ÷');
Test_SB('÷ 0022 × 0308 × 0300 ÷');
Test_SB('÷ 002C × 0001 ÷');
Test_SB('÷ 002C × 0308 × 0001 ÷');
Test_SB('÷ 002C × 000D ÷');
Test_SB('÷ 002C × 0308 × 000D ÷');
Test_SB('÷ 002C × 000A ÷');
Test_SB('÷ 002C × 0308 × 000A ÷');
Test_SB('÷ 002C × 0085 ÷');
Test_SB('÷ 002C × 0308 × 0085 ÷');
Test_SB('÷ 002C × 0009 ÷');
Test_SB('÷ 002C × 0308 × 0009 ÷');
Test_SB('÷ 002C × 0061 ÷');
Test_SB('÷ 002C × 0308 × 0061 ÷');
Test_SB('÷ 002C × 0041 ÷');
Test_SB('÷ 002C × 0308 × 0041 ÷');
Test_SB('÷ 002C × 01BB ÷');
Test_SB('÷ 002C × 0308 × 01BB ÷');
Test_SB('÷ 002C × 0030 ÷');
Test_SB('÷ 002C × 0308 × 0030 ÷');
Test_SB('÷ 002C × 002E ÷');
Test_SB('÷ 002C × 0308 × 002E ÷');
Test_SB('÷ 002C × 0021 ÷');
Test_SB('÷ 002C × 0308 × 0021 ÷');
Test_SB('÷ 002C × 0022 ÷');
Test_SB('÷ 002C × 0308 × 0022 ÷');
Test_SB('÷ 002C × 002C ÷');
Test_SB('÷ 002C × 0308 × 002C ÷');
Test_SB('÷ 002C × 00AD ÷');
Test_SB('÷ 002C × 0308 × 00AD ÷');
Test_SB('÷ 002C × 0300 ÷');
Test_SB('÷ 002C × 0308 × 0300 ÷');
Test_SB('÷ 00AD × 0001 ÷');
Test_SB('÷ 00AD × 0308 × 0001 ÷');
Test_SB('÷ 00AD × 000D ÷');
Test_SB('÷ 00AD × 0308 × 000D ÷');
Test_SB('÷ 00AD × 000A ÷');
Test_SB('÷ 00AD × 0308 × 000A ÷');
Test_SB('÷ 00AD × 0085 ÷');
Test_SB('÷ 00AD × 0308 × 0085 ÷');
Test_SB('÷ 00AD × 0009 ÷');
Test_SB('÷ 00AD × 0308 × 0009 ÷');
Test_SB('÷ 00AD × 0061 ÷');
Test_SB('÷ 00AD × 0308 × 0061 ÷');
Test_SB('÷ 00AD × 0041 ÷');
Test_SB('÷ 00AD × 0308 × 0041 ÷');
Test_SB('÷ 00AD × 01BB ÷');
Test_SB('÷ 00AD × 0308 × 01BB ÷');
Test_SB('÷ 00AD × 0030 ÷');
Test_SB('÷ 00AD × 0308 × 0030 ÷');
Test_SB('÷ 00AD × 002E ÷');
Test_SB('÷ 00AD × 0308 × 002E ÷');
Test_SB('÷ 00AD × 0021 ÷');
Test_SB('÷ 00AD × 0308 × 0021 ÷');
Test_SB('÷ 00AD × 0022 ÷');
Test_SB('÷ 00AD × 0308 × 0022 ÷');
Test_SB('÷ 00AD × 002C ÷');
Test_SB('÷ 00AD × 0308 × 002C ÷');
Test_SB('÷ 00AD × 00AD ÷');
Test_SB('÷ 00AD × 0308 × 00AD ÷');
Test_SB('÷ 00AD × 0300 ÷');
Test_SB('÷ 00AD × 0308 × 0300 ÷');
Test_SB('÷ 0300 × 0001 ÷');
Test_SB('÷ 0300 × 0308 × 0001 ÷');
Test_SB('÷ 0300 × 000D ÷');
Test_SB('÷ 0300 × 0308 × 000D ÷');
Test_SB('÷ 0300 × 000A ÷');
Test_SB('÷ 0300 × 0308 × 000A ÷');
Test_SB('÷ 0300 × 0085 ÷');
Test_SB('÷ 0300 × 0308 × 0085 ÷');
Test_SB('÷ 0300 × 0009 ÷');
Test_SB('÷ 0300 × 0308 × 0009 ÷');
Test_SB('÷ 0300 × 0061 ÷');
Test_SB('÷ 0300 × 0308 × 0061 ÷');
Test_SB('÷ 0300 × 0041 ÷');
Test_SB('÷ 0300 × 0308 × 0041 ÷');
Test_SB('÷ 0300 × 01BB ÷');
Test_SB('÷ 0300 × 0308 × 01BB ÷');
Test_SB('÷ 0300 × 0030 ÷');
Test_SB('÷ 0300 × 0308 × 0030 ÷');
Test_SB('÷ 0300 × 002E ÷');
Test_SB('÷ 0300 × 0308 × 002E ÷');
Test_SB('÷ 0300 × 0021 ÷');
Test_SB('÷ 0300 × 0308 × 0021 ÷');
Test_SB('÷ 0300 × 0022 ÷');
Test_SB('÷ 0300 × 0308 × 0022 ÷');
Test_SB('÷ 0300 × 002C ÷');
Test_SB('÷ 0300 × 0308 × 002C ÷');
Test_SB('÷ 0300 × 00AD ÷');
Test_SB('÷ 0300 × 0308 × 00AD ÷');
Test_SB('÷ 0300 × 0300 ÷');
Test_SB('÷ 0300 × 0308 × 0300 ÷');
Test_SB('÷ 0028 × 0022 × 0047 × 006F × 002E × 0022 × 0029 × 0020 ÷ 0028 × 0048 × 0065 × 0020 × 0064 × 0069 × 0064 × 002E × 0029 ÷');
Test_SB('÷ 0028 × 201C × 0047 × 006F × 003F × 201D × 0029 × 0020 ÷ 0028 × 0048 × 0065 × 0020 × 0064 × 0069 × 0064 × 002E × 0029 ÷');
Test_SB('÷ 0055 × 002E × 0053 × 002E × 0041 × 0300 × 002E × 0020 × 0069 × 0073 ÷');
Test_SB('÷ 0055 × 002E × 0053 × 002E × 0041 × 0300 × 003F × 0020 ÷ 0048 × 0065 ÷');
Test_SB('÷ 0055 × 002E × 0053 × 002E × 0041 × 0300 × 002E ÷');
Test_SB('÷ 0033 × 002E × 0034 ÷');
Test_SB('÷ 0063 × 002E × 0064 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 × 0074 × 0068 × 0065 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 ÷ 0054 × 0068 × 0065 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 × 2018 × 0028 × 0074 × 0068 × 0065 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 ÷ 2018 × 0028 × 0054 × 0068 × 0065 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 × 0308 × 0074 × 0068 × 0065 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 × 0308 ÷ 0054 × 0068 × 0065 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 0308 ÷ 0054 × 0068 × 0065 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 000A ÷ 0308 × 0054 × 0068 × 0065 ÷');
Test_SB('÷ 0074 × 0068 × 0065 × 0020 × 0072 × 0065 × 0073 × 0070 × 002E × 0020 × 006C × 0065 × 0061 × 0064 × 0065 × 0072 × 0073 × 0020 × 0061 × 0072 × 0065 ÷');
Test_SB('÷ 5B57 × 002E ÷ 5B57 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E ÷ 5B83 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 3002 ÷');
Test_SB('÷ 5B57 × 3002 ÷ 5B83 ÷');
Test_SB('÷ 2060 × 0028 × 2060 × 0022 × 2060 × 0047 × 2060 × 006F × 2060 × 002E × 2060 × 0022 × 2060 × 0029 × 2060 × 0020 × 2060 ÷ 0028 × 2060 × 0048 × 2060 × 0065 × 2060 × 0020 × 2060 × 0064 × 2060 × 0069 × 2060 × 0064 × 2060 × 002E × 2060 × 0029 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0028 × 2060 × 201C × 2060 × 0047 × 2060 × 006F × 2060 × 003F × 2060 × 201D × 2060 × 0029 × 2060 × 0020 × 2060 ÷ 0028 × 2060 × 0048 × 2060 × 0065 × 2060 × 0020 × 2060 × 0064 × 2060 × 0069 × 2060 × 0064 × 2060 × 002E × 2060 × 0029 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0055 × 2060 × 002E × 2060 × 0053 × 2060 × 002E × 2060 × 0041 × 2060 × 0300 × 002E × 2060 × 0020 × 2060 × 0069 × 2060 × 0073 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0055 × 2060 × 002E × 2060 × 0053 × 2060 × 002E × 2060 × 0041 × 2060 × 0300 × 003F × 2060 × 0020 × 2060 ÷ 0048 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0055 × 2060 × 002E × 2060 × 0053 × 2060 × 002E × 2060 × 0041 × 2060 × 0300 × 002E × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0033 × 2060 × 002E × 2060 × 0034 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0063 × 2060 × 002E × 2060 × 0064 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 × 0074 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 ÷ 0054 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 × 2018 × 2060 × 0028 × 2060 × 0074 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 ÷ 2018 × 2060 × 0028 × 2060 × 0054 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 × 0308 × 0074 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 × 0308 ÷ 0054 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 0308 ÷ 0054 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 000A ÷ 2060 × 0308 × 2060 × 0054 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0074 × 2060 × 0068 × 2060 × 0065 × 2060 × 0020 × 2060 × 0072 × 2060 × 0065 × 2060 × 0073 × 2060 × 0070 × 2060 × 002E × 2060 × 0020 × 2060 × 006C × 2060 × 0065 × 2060 × 0061 × 2060 × 0064 × 2060 × 0065 × 2060 × 0072 × 2060 × 0073 × 2060 × 0020 × 2060 × 0061 × 2060 × 0072 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 5B57 × 2060 × 002E × 2060 ÷ 5B57 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 ÷ 5B83 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 3002 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 5B57 × 2060 × 3002 × 2060 ÷ 5B83 × 2060 × 2060 ÷');
Test_SB('÷ 1F1E6 × 1F1E7 × 1F1E8 ÷');
Test_SB('÷ 1F1E6 × 200D × 1F1E7 × 1F1E8 ÷');
Test_SB('÷ 1F1E6 × 1F1E7 × 200D × 1F1E8 ÷');
Test_SB('÷ 0020 × 200D × 0646 ÷');
Test_SB('÷ 0646 × 200D × 0020 ÷');
Test_WB('÷ 0001 ÷ 0001 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0001 ÷ 000D ÷');
Test_WB('÷ 0001 × 0308 ÷ 000D ÷');
Test_WB('÷ 0001 ÷ 000A ÷');
Test_WB('÷ 0001 × 0308 ÷ 000A ÷');
Test_WB('÷ 0001 ÷ 000B ÷');
Test_WB('÷ 0001 × 0308 ÷ 000B ÷');
Test_WB('÷ 0001 ÷ 3031 ÷');
Test_WB('÷ 0001 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0001 ÷ 0041 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0041 ÷');
Test_WB('÷ 0001 ÷ 003A ÷');
Test_WB('÷ 0001 × 0308 ÷ 003A ÷');
Test_WB('÷ 0001 ÷ 002C ÷');
Test_WB('÷ 0001 × 0308 ÷ 002C ÷');
Test_WB('÷ 0001 ÷ 002E ÷');
Test_WB('÷ 0001 × 0308 ÷ 002E ÷');
Test_WB('÷ 0001 ÷ 0030 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0030 ÷');
Test_WB('÷ 0001 ÷ 005F ÷');
Test_WB('÷ 0001 × 0308 ÷ 005F ÷');
Test_WB('÷ 0001 ÷ 1F1E6 ÷');
Test_WB('÷ 0001 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0001 ÷ 05D0 ÷');
Test_WB('÷ 0001 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0001 ÷ 0022 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0001 ÷ 0027 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0001 × 00AD ÷');
Test_WB('÷ 0001 × 0308 × 00AD ÷');
Test_WB('÷ 0001 × 0300 ÷');
Test_WB('÷ 0001 × 0308 × 0300 ÷');
Test_WB('÷ 0001 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0001 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0001 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0001 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0001 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0001 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0001 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0001 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0001 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0001 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0001 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0001 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0001 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 000D ÷ 0001 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0001 ÷');
Test_WB('÷ 000D ÷ 000D ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 000D ÷');
Test_WB('÷ 000D × 000A ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 000A ÷');
Test_WB('÷ 000D ÷ 000B ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 000B ÷');
Test_WB('÷ 000D ÷ 3031 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 3031 ÷');
Test_WB('÷ 000D ÷ 0041 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0041 ÷');
Test_WB('÷ 000D ÷ 003A ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 003A ÷');
Test_WB('÷ 000D ÷ 002C ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 002C ÷');
Test_WB('÷ 000D ÷ 002E ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 002E ÷');
Test_WB('÷ 000D ÷ 0030 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0030 ÷');
Test_WB('÷ 000D ÷ 005F ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 005F ÷');
Test_WB('÷ 000D ÷ 1F1E6 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 000D ÷ 05D0 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 05D0 ÷');
Test_WB('÷ 000D ÷ 0022 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0022 ÷');
Test_WB('÷ 000D ÷ 0027 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0027 ÷');
Test_WB('÷ 000D ÷ 00AD ÷');
Test_WB('÷ 000D ÷ 0308 × 00AD ÷');
Test_WB('÷ 000D ÷ 0300 ÷');
Test_WB('÷ 000D ÷ 0308 × 0300 ÷');
Test_WB('÷ 000D ÷ 0061 × 2060 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 000D ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 000D ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 000D ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 000D ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 000D ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 000D ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 000D ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 000D ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 000A ÷ 0001 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0001 ÷');
Test_WB('÷ 000A ÷ 000D ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 000D ÷');
Test_WB('÷ 000A ÷ 000A ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 000A ÷');
Test_WB('÷ 000A ÷ 000B ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 000B ÷');
Test_WB('÷ 000A ÷ 3031 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 3031 ÷');
Test_WB('÷ 000A ÷ 0041 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0041 ÷');
Test_WB('÷ 000A ÷ 003A ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 003A ÷');
Test_WB('÷ 000A ÷ 002C ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 002C ÷');
Test_WB('÷ 000A ÷ 002E ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 002E ÷');
Test_WB('÷ 000A ÷ 0030 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0030 ÷');
Test_WB('÷ 000A ÷ 005F ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 005F ÷');
Test_WB('÷ 000A ÷ 1F1E6 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 000A ÷ 05D0 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 05D0 ÷');
Test_WB('÷ 000A ÷ 0022 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0022 ÷');
Test_WB('÷ 000A ÷ 0027 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0027 ÷');
Test_WB('÷ 000A ÷ 00AD ÷');
Test_WB('÷ 000A ÷ 0308 × 00AD ÷');
Test_WB('÷ 000A ÷ 0300 ÷');
Test_WB('÷ 000A ÷ 0308 × 0300 ÷');
Test_WB('÷ 000A ÷ 0061 × 2060 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 000A ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 000A ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 000A ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 000A ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 000A ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 000A ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 000A ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 000A ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 000B ÷ 0001 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0001 ÷');
Test_WB('÷ 000B ÷ 000D ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 000D ÷');
Test_WB('÷ 000B ÷ 000A ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 000A ÷');
Test_WB('÷ 000B ÷ 000B ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 000B ÷');
Test_WB('÷ 000B ÷ 3031 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 3031 ÷');
Test_WB('÷ 000B ÷ 0041 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0041 ÷');
Test_WB('÷ 000B ÷ 003A ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 003A ÷');
Test_WB('÷ 000B ÷ 002C ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 002C ÷');
Test_WB('÷ 000B ÷ 002E ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 002E ÷');
Test_WB('÷ 000B ÷ 0030 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0030 ÷');
Test_WB('÷ 000B ÷ 005F ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 005F ÷');
Test_WB('÷ 000B ÷ 1F1E6 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 000B ÷ 05D0 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 05D0 ÷');
Test_WB('÷ 000B ÷ 0022 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0022 ÷');
Test_WB('÷ 000B ÷ 0027 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0027 ÷');
Test_WB('÷ 000B ÷ 00AD ÷');
Test_WB('÷ 000B ÷ 0308 × 00AD ÷');
Test_WB('÷ 000B ÷ 0300 ÷');
Test_WB('÷ 000B ÷ 0308 × 0300 ÷');
Test_WB('÷ 000B ÷ 0061 × 2060 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 000B ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 000B ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 000B ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 000B ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 000B ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 000B ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 000B ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 000B ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 3031 ÷ 0001 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0001 ÷');
Test_WB('÷ 3031 ÷ 000D ÷');
Test_WB('÷ 3031 × 0308 ÷ 000D ÷');
Test_WB('÷ 3031 ÷ 000A ÷');
Test_WB('÷ 3031 × 0308 ÷ 000A ÷');
Test_WB('÷ 3031 ÷ 000B ÷');
Test_WB('÷ 3031 × 0308 ÷ 000B ÷');
Test_WB('÷ 3031 × 3031 ÷');
Test_WB('÷ 3031 × 0308 × 3031 ÷');
Test_WB('÷ 3031 ÷ 0041 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0041 ÷');
Test_WB('÷ 3031 ÷ 003A ÷');
Test_WB('÷ 3031 × 0308 ÷ 003A ÷');
Test_WB('÷ 3031 ÷ 002C ÷');
Test_WB('÷ 3031 × 0308 ÷ 002C ÷');
Test_WB('÷ 3031 ÷ 002E ÷');
Test_WB('÷ 3031 × 0308 ÷ 002E ÷');
Test_WB('÷ 3031 ÷ 0030 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0030 ÷');
Test_WB('÷ 3031 × 005F ÷');
Test_WB('÷ 3031 × 0308 × 005F ÷');
Test_WB('÷ 3031 ÷ 1F1E6 ÷');
Test_WB('÷ 3031 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 3031 ÷ 05D0 ÷');
Test_WB('÷ 3031 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 3031 ÷ 0022 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0022 ÷');
Test_WB('÷ 3031 ÷ 0027 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0027 ÷');
Test_WB('÷ 3031 × 00AD ÷');
Test_WB('÷ 3031 × 0308 × 00AD ÷');
Test_WB('÷ 3031 × 0300 ÷');
Test_WB('÷ 3031 × 0308 × 0300 ÷');
Test_WB('÷ 3031 ÷ 0061 × 2060 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 3031 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 3031 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 3031 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 3031 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 3031 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 3031 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 3031 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 3031 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 3031 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 3031 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 3031 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 3031 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0041 ÷ 0001 ÷');
Test_WB('÷ 0041 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0041 ÷ 000D ÷');
Test_WB('÷ 0041 × 0308 ÷ 000D ÷');
Test_WB('÷ 0041 ÷ 000A ÷');
Test_WB('÷ 0041 × 0308 ÷ 000A ÷');
Test_WB('÷ 0041 ÷ 000B ÷');
Test_WB('÷ 0041 × 0308 ÷ 000B ÷');
Test_WB('÷ 0041 ÷ 3031 ÷');
Test_WB('÷ 0041 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0041 × 0041 ÷');
Test_WB('÷ 0041 × 0308 × 0041 ÷');
Test_WB('÷ 0041 ÷ 003A ÷');
Test_WB('÷ 0041 × 0308 ÷ 003A ÷');
Test_WB('÷ 0041 ÷ 002C ÷');
Test_WB('÷ 0041 × 0308 ÷ 002C ÷');
Test_WB('÷ 0041 ÷ 002E ÷');
Test_WB('÷ 0041 × 0308 ÷ 002E ÷');
Test_WB('÷ 0041 × 0030 ÷');
Test_WB('÷ 0041 × 0308 × 0030 ÷');
Test_WB('÷ 0041 × 005F ÷');
Test_WB('÷ 0041 × 0308 × 005F ÷');
Test_WB('÷ 0041 ÷ 1F1E6 ÷');
Test_WB('÷ 0041 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0041 × 05D0 ÷');
Test_WB('÷ 0041 × 0308 × 05D0 ÷');
Test_WB('÷ 0041 ÷ 0022 ÷');
Test_WB('÷ 0041 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0041 ÷ 0027 ÷');
Test_WB('÷ 0041 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0041 × 00AD ÷');
Test_WB('÷ 0041 × 0308 × 00AD ÷');
Test_WB('÷ 0041 × 0300 ÷');
Test_WB('÷ 0041 × 0308 × 0300 ÷');
Test_WB('÷ 0041 × 0061 × 2060 ÷');
Test_WB('÷ 0041 × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 0041 × 0061 ÷ 003A ÷');
Test_WB('÷ 0041 × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 0041 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0041 × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0041 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0041 × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0041 × 0061 ÷ 002C ÷');
Test_WB('÷ 0041 × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 0041 × 0031 ÷ 003A ÷');
Test_WB('÷ 0041 × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 0041 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0041 × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0041 × 0031 ÷ 002C ÷');
Test_WB('÷ 0041 × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 0041 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0041 × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 003A ÷ 0001 ÷');
Test_WB('÷ 003A × 0308 ÷ 0001 ÷');
Test_WB('÷ 003A ÷ 000D ÷');
Test_WB('÷ 003A × 0308 ÷ 000D ÷');
Test_WB('÷ 003A ÷ 000A ÷');
Test_WB('÷ 003A × 0308 ÷ 000A ÷');
Test_WB('÷ 003A ÷ 000B ÷');
Test_WB('÷ 003A × 0308 ÷ 000B ÷');
Test_WB('÷ 003A ÷ 3031 ÷');
Test_WB('÷ 003A × 0308 ÷ 3031 ÷');
Test_WB('÷ 003A ÷ 0041 ÷');
Test_WB('÷ 003A × 0308 ÷ 0041 ÷');
Test_WB('÷ 003A ÷ 003A ÷');
Test_WB('÷ 003A × 0308 ÷ 003A ÷');
Test_WB('÷ 003A ÷ 002C ÷');
Test_WB('÷ 003A × 0308 ÷ 002C ÷');
Test_WB('÷ 003A ÷ 002E ÷');
Test_WB('÷ 003A × 0308 ÷ 002E ÷');
Test_WB('÷ 003A ÷ 0030 ÷');
Test_WB('÷ 003A × 0308 ÷ 0030 ÷');
Test_WB('÷ 003A ÷ 005F ÷');
Test_WB('÷ 003A × 0308 ÷ 005F ÷');
Test_WB('÷ 003A ÷ 1F1E6 ÷');
Test_WB('÷ 003A × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 003A ÷ 05D0 ÷');
Test_WB('÷ 003A × 0308 ÷ 05D0 ÷');
Test_WB('÷ 003A ÷ 0022 ÷');
Test_WB('÷ 003A × 0308 ÷ 0022 ÷');
Test_WB('÷ 003A ÷ 0027 ÷');
Test_WB('÷ 003A × 0308 ÷ 0027 ÷');
Test_WB('÷ 003A × 00AD ÷');
Test_WB('÷ 003A × 0308 × 00AD ÷');
Test_WB('÷ 003A × 0300 ÷');
Test_WB('÷ 003A × 0308 × 0300 ÷');
Test_WB('÷ 003A ÷ 0061 × 2060 ÷');
Test_WB('÷ 003A × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 003A ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 003A × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 003A ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 003A × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 003A ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 003A × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 003A ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 003A × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 003A ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 003A × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 003A ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 003A × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 003A ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 003A × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 003A ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 003A × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 002C ÷ 0001 ÷');
Test_WB('÷ 002C × 0308 ÷ 0001 ÷');
Test_WB('÷ 002C ÷ 000D ÷');
Test_WB('÷ 002C × 0308 ÷ 000D ÷');
Test_WB('÷ 002C ÷ 000A ÷');
Test_WB('÷ 002C × 0308 ÷ 000A ÷');
Test_WB('÷ 002C ÷ 000B ÷');
Test_WB('÷ 002C × 0308 ÷ 000B ÷');
Test_WB('÷ 002C ÷ 3031 ÷');
Test_WB('÷ 002C × 0308 ÷ 3031 ÷');
Test_WB('÷ 002C ÷ 0041 ÷');
Test_WB('÷ 002C × 0308 ÷ 0041 ÷');
Test_WB('÷ 002C ÷ 003A ÷');
Test_WB('÷ 002C × 0308 ÷ 003A ÷');
Test_WB('÷ 002C ÷ 002C ÷');
Test_WB('÷ 002C × 0308 ÷ 002C ÷');
Test_WB('÷ 002C ÷ 002E ÷');
Test_WB('÷ 002C × 0308 ÷ 002E ÷');
Test_WB('÷ 002C ÷ 0030 ÷');
Test_WB('÷ 002C × 0308 ÷ 0030 ÷');
Test_WB('÷ 002C ÷ 005F ÷');
Test_WB('÷ 002C × 0308 ÷ 005F ÷');
Test_WB('÷ 002C ÷ 1F1E6 ÷');
Test_WB('÷ 002C × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 002C ÷ 05D0 ÷');
Test_WB('÷ 002C × 0308 ÷ 05D0 ÷');
Test_WB('÷ 002C ÷ 0022 ÷');
Test_WB('÷ 002C × 0308 ÷ 0022 ÷');
Test_WB('÷ 002C ÷ 0027 ÷');
Test_WB('÷ 002C × 0308 ÷ 0027 ÷');
Test_WB('÷ 002C × 00AD ÷');
Test_WB('÷ 002C × 0308 × 00AD ÷');
Test_WB('÷ 002C × 0300 ÷');
Test_WB('÷ 002C × 0308 × 0300 ÷');
Test_WB('÷ 002C ÷ 0061 × 2060 ÷');
Test_WB('÷ 002C × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 002C ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 002C × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 002C ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 002C × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 002C ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 002C × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 002C ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 002C × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 002C ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 002C × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 002C ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 002C × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 002C ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 002C × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 002C ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 002C × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 002E ÷ 0001 ÷');
Test_WB('÷ 002E × 0308 ÷ 0001 ÷');
Test_WB('÷ 002E ÷ 000D ÷');
Test_WB('÷ 002E × 0308 ÷ 000D ÷');
Test_WB('÷ 002E ÷ 000A ÷');
Test_WB('÷ 002E × 0308 ÷ 000A ÷');
Test_WB('÷ 002E ÷ 000B ÷');
Test_WB('÷ 002E × 0308 ÷ 000B ÷');
Test_WB('÷ 002E ÷ 3031 ÷');
Test_WB('÷ 002E × 0308 ÷ 3031 ÷');
Test_WB('÷ 002E ÷ 0041 ÷');
Test_WB('÷ 002E × 0308 ÷ 0041 ÷');
Test_WB('÷ 002E ÷ 003A ÷');
Test_WB('÷ 002E × 0308 ÷ 003A ÷');
Test_WB('÷ 002E ÷ 002C ÷');
Test_WB('÷ 002E × 0308 ÷ 002C ÷');
Test_WB('÷ 002E ÷ 002E ÷');
Test_WB('÷ 002E × 0308 ÷ 002E ÷');
Test_WB('÷ 002E ÷ 0030 ÷');
Test_WB('÷ 002E × 0308 ÷ 0030 ÷');
Test_WB('÷ 002E ÷ 005F ÷');
Test_WB('÷ 002E × 0308 ÷ 005F ÷');
Test_WB('÷ 002E ÷ 1F1E6 ÷');
Test_WB('÷ 002E × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 002E ÷ 05D0 ÷');
Test_WB('÷ 002E × 0308 ÷ 05D0 ÷');
Test_WB('÷ 002E ÷ 0022 ÷');
Test_WB('÷ 002E × 0308 ÷ 0022 ÷');
Test_WB('÷ 002E ÷ 0027 ÷');
Test_WB('÷ 002E × 0308 ÷ 0027 ÷');
Test_WB('÷ 002E × 00AD ÷');
Test_WB('÷ 002E × 0308 × 00AD ÷');
Test_WB('÷ 002E × 0300 ÷');
Test_WB('÷ 002E × 0308 × 0300 ÷');
Test_WB('÷ 002E ÷ 0061 × 2060 ÷');
Test_WB('÷ 002E × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 002E ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 002E × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 002E ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 002E × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 002E ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 002E × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 002E ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 002E × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 002E ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 002E × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 002E ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 002E × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 002E ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 002E × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 002E ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 002E × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0030 ÷ 0001 ÷');
Test_WB('÷ 0030 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0030 ÷ 000D ÷');
Test_WB('÷ 0030 × 0308 ÷ 000D ÷');
Test_WB('÷ 0030 ÷ 000A ÷');
Test_WB('÷ 0030 × 0308 ÷ 000A ÷');
Test_WB('÷ 0030 ÷ 000B ÷');
Test_WB('÷ 0030 × 0308 ÷ 000B ÷');
Test_WB('÷ 0030 ÷ 3031 ÷');
Test_WB('÷ 0030 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0030 × 0041 ÷');
Test_WB('÷ 0030 × 0308 × 0041 ÷');
Test_WB('÷ 0030 ÷ 003A ÷');
Test_WB('÷ 0030 × 0308 ÷ 003A ÷');
Test_WB('÷ 0030 ÷ 002C ÷');
Test_WB('÷ 0030 × 0308 ÷ 002C ÷');
Test_WB('÷ 0030 ÷ 002E ÷');
Test_WB('÷ 0030 × 0308 ÷ 002E ÷');
Test_WB('÷ 0030 × 0030 ÷');
Test_WB('÷ 0030 × 0308 × 0030 ÷');
Test_WB('÷ 0030 × 005F ÷');
Test_WB('÷ 0030 × 0308 × 005F ÷');
Test_WB('÷ 0030 ÷ 1F1E6 ÷');
Test_WB('÷ 0030 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0030 × 05D0 ÷');
Test_WB('÷ 0030 × 0308 × 05D0 ÷');
Test_WB('÷ 0030 ÷ 0022 ÷');
Test_WB('÷ 0030 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0030 ÷ 0027 ÷');
Test_WB('÷ 0030 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0030 × 00AD ÷');
Test_WB('÷ 0030 × 0308 × 00AD ÷');
Test_WB('÷ 0030 × 0300 ÷');
Test_WB('÷ 0030 × 0308 × 0300 ÷');
Test_WB('÷ 0030 × 0061 × 2060 ÷');
Test_WB('÷ 0030 × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 0030 × 0061 ÷ 003A ÷');
Test_WB('÷ 0030 × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 0030 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0030 × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0030 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0030 × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0030 × 0061 ÷ 002C ÷');
Test_WB('÷ 0030 × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 0030 × 0031 ÷ 003A ÷');
Test_WB('÷ 0030 × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 0030 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0030 × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0030 × 0031 ÷ 002C ÷');
Test_WB('÷ 0030 × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 0030 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0030 × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 005F ÷ 0001 ÷');
Test_WB('÷ 005F × 0308 ÷ 0001 ÷');
Test_WB('÷ 005F ÷ 000D ÷');
Test_WB('÷ 005F × 0308 ÷ 000D ÷');
Test_WB('÷ 005F ÷ 000A ÷');
Test_WB('÷ 005F × 0308 ÷ 000A ÷');
Test_WB('÷ 005F ÷ 000B ÷');
Test_WB('÷ 005F × 0308 ÷ 000B ÷');
Test_WB('÷ 005F × 3031 ÷');
Test_WB('÷ 005F × 0308 × 3031 ÷');
Test_WB('÷ 005F × 0041 ÷');
Test_WB('÷ 005F × 0308 × 0041 ÷');
Test_WB('÷ 005F ÷ 003A ÷');
Test_WB('÷ 005F × 0308 ÷ 003A ÷');
Test_WB('÷ 005F ÷ 002C ÷');
Test_WB('÷ 005F × 0308 ÷ 002C ÷');
Test_WB('÷ 005F ÷ 002E ÷');
Test_WB('÷ 005F × 0308 ÷ 002E ÷');
Test_WB('÷ 005F × 0030 ÷');
Test_WB('÷ 005F × 0308 × 0030 ÷');
Test_WB('÷ 005F × 005F ÷');
Test_WB('÷ 005F × 0308 × 005F ÷');
Test_WB('÷ 005F ÷ 1F1E6 ÷');
Test_WB('÷ 005F × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 005F × 05D0 ÷');
Test_WB('÷ 005F × 0308 × 05D0 ÷');
Test_WB('÷ 005F ÷ 0022 ÷');
Test_WB('÷ 005F × 0308 ÷ 0022 ÷');
Test_WB('÷ 005F ÷ 0027 ÷');
Test_WB('÷ 005F × 0308 ÷ 0027 ÷');
Test_WB('÷ 005F × 00AD ÷');
Test_WB('÷ 005F × 0308 × 00AD ÷');
Test_WB('÷ 005F × 0300 ÷');
Test_WB('÷ 005F × 0308 × 0300 ÷');
Test_WB('÷ 005F × 0061 × 2060 ÷');
Test_WB('÷ 005F × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 005F × 0061 ÷ 003A ÷');
Test_WB('÷ 005F × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 005F × 0061 ÷ 0027 ÷');
Test_WB('÷ 005F × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 005F × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 005F × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 005F × 0061 ÷ 002C ÷');
Test_WB('÷ 005F × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 005F × 0031 ÷ 003A ÷');
Test_WB('÷ 005F × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 005F × 0031 ÷ 0027 ÷');
Test_WB('÷ 005F × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 005F × 0031 ÷ 002C ÷');
Test_WB('÷ 005F × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 005F × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 005F × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 1F1E6 ÷ 0001 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0001 ÷');
Test_WB('÷ 1F1E6 ÷ 000D ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 000D ÷');
Test_WB('÷ 1F1E6 ÷ 000A ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 000A ÷');
Test_WB('÷ 1F1E6 ÷ 000B ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 000B ÷');
Test_WB('÷ 1F1E6 ÷ 3031 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 3031 ÷');
Test_WB('÷ 1F1E6 ÷ 0041 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0041 ÷');
Test_WB('÷ 1F1E6 ÷ 003A ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 003A ÷');
Test_WB('÷ 1F1E6 ÷ 002C ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 002C ÷');
Test_WB('÷ 1F1E6 ÷ 002E ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 002E ÷');
Test_WB('÷ 1F1E6 ÷ 0030 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0030 ÷');
Test_WB('÷ 1F1E6 ÷ 005F ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 005F ÷');
Test_WB('÷ 1F1E6 × 1F1E6 ÷');
Test_WB('÷ 1F1E6 × 0308 × 1F1E6 ÷');
Test_WB('÷ 1F1E6 ÷ 05D0 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 1F1E6 ÷ 0022 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0022 ÷');
Test_WB('÷ 1F1E6 ÷ 0027 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0027 ÷');
Test_WB('÷ 1F1E6 × 00AD ÷');
Test_WB('÷ 1F1E6 × 0308 × 00AD ÷');
Test_WB('÷ 1F1E6 × 0300 ÷');
Test_WB('÷ 1F1E6 × 0308 × 0300 ÷');
Test_WB('÷ 1F1E6 ÷ 0061 × 2060 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 1F1E6 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 1F1E6 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 1F1E6 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 1F1E6 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 1F1E6 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 1F1E6 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 1F1E6 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 1F1E6 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 05D0 ÷ 0001 ÷');
Test_WB('÷ 05D0 × 0308 ÷ 0001 ÷');
Test_WB('÷ 05D0 ÷ 000D ÷');
Test_WB('÷ 05D0 × 0308 ÷ 000D ÷');
Test_WB('÷ 05D0 ÷ 000A ÷');
Test_WB('÷ 05D0 × 0308 ÷ 000A ÷');
Test_WB('÷ 05D0 ÷ 000B ÷');
Test_WB('÷ 05D0 × 0308 ÷ 000B ÷');
Test_WB('÷ 05D0 ÷ 3031 ÷');
Test_WB('÷ 05D0 × 0308 ÷ 3031 ÷');
Test_WB('÷ 05D0 × 0041 ÷');
Test_WB('÷ 05D0 × 0308 × 0041 ÷');
Test_WB('÷ 05D0 ÷ 003A ÷');
Test_WB('÷ 05D0 × 0308 ÷ 003A ÷');
Test_WB('÷ 05D0 ÷ 002C ÷');
Test_WB('÷ 05D0 × 0308 ÷ 002C ÷');
Test_WB('÷ 05D0 ÷ 002E ÷');
Test_WB('÷ 05D0 × 0308 ÷ 002E ÷');
Test_WB('÷ 05D0 × 0030 ÷');
Test_WB('÷ 05D0 × 0308 × 0030 ÷');
Test_WB('÷ 05D0 × 005F ÷');
Test_WB('÷ 05D0 × 0308 × 005F ÷');
Test_WB('÷ 05D0 ÷ 1F1E6 ÷');
Test_WB('÷ 05D0 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 05D0 × 05D0 ÷');
Test_WB('÷ 05D0 × 0308 × 05D0 ÷');
Test_WB('÷ 05D0 ÷ 0022 ÷');
Test_WB('÷ 05D0 × 0308 ÷ 0022 ÷');
Test_WB('÷ 05D0 × 0027 ÷');
Test_WB('÷ 05D0 × 0308 × 0027 ÷');
Test_WB('÷ 05D0 × 00AD ÷');
Test_WB('÷ 05D0 × 0308 × 00AD ÷');
Test_WB('÷ 05D0 × 0300 ÷');
Test_WB('÷ 05D0 × 0308 × 0300 ÷');
Test_WB('÷ 05D0 × 0061 × 2060 ÷');
Test_WB('÷ 05D0 × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 05D0 × 0061 ÷ 003A ÷');
Test_WB('÷ 05D0 × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 05D0 × 0061 ÷ 0027 ÷');
Test_WB('÷ 05D0 × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 05D0 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 05D0 × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 05D0 × 0061 ÷ 002C ÷');
Test_WB('÷ 05D0 × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 05D0 × 0031 ÷ 003A ÷');
Test_WB('÷ 05D0 × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 05D0 × 0031 ÷ 0027 ÷');
Test_WB('÷ 05D0 × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 05D0 × 0031 ÷ 002C ÷');
Test_WB('÷ 05D0 × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 05D0 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 05D0 × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0022 ÷ 0001 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0022 ÷ 000D ÷');
Test_WB('÷ 0022 × 0308 ÷ 000D ÷');
Test_WB('÷ 0022 ÷ 000A ÷');
Test_WB('÷ 0022 × 0308 ÷ 000A ÷');
Test_WB('÷ 0022 ÷ 000B ÷');
Test_WB('÷ 0022 × 0308 ÷ 000B ÷');
Test_WB('÷ 0022 ÷ 3031 ÷');
Test_WB('÷ 0022 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0022 ÷ 0041 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0041 ÷');
Test_WB('÷ 0022 ÷ 003A ÷');
Test_WB('÷ 0022 × 0308 ÷ 003A ÷');
Test_WB('÷ 0022 ÷ 002C ÷');
Test_WB('÷ 0022 × 0308 ÷ 002C ÷');
Test_WB('÷ 0022 ÷ 002E ÷');
Test_WB('÷ 0022 × 0308 ÷ 002E ÷');
Test_WB('÷ 0022 ÷ 0030 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0030 ÷');
Test_WB('÷ 0022 ÷ 005F ÷');
Test_WB('÷ 0022 × 0308 ÷ 005F ÷');
Test_WB('÷ 0022 ÷ 1F1E6 ÷');
Test_WB('÷ 0022 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0022 ÷ 05D0 ÷');
Test_WB('÷ 0022 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0022 ÷ 0022 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0022 ÷ 0027 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0022 × 00AD ÷');
Test_WB('÷ 0022 × 0308 × 00AD ÷');
Test_WB('÷ 0022 × 0300 ÷');
Test_WB('÷ 0022 × 0308 × 0300 ÷');
Test_WB('÷ 0022 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0022 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0022 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0022 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0022 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0022 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0022 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0022 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0022 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0022 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0022 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0022 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0022 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0027 ÷ 0001 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0027 ÷ 000D ÷');
Test_WB('÷ 0027 × 0308 ÷ 000D ÷');
Test_WB('÷ 0027 ÷ 000A ÷');
Test_WB('÷ 0027 × 0308 ÷ 000A ÷');
Test_WB('÷ 0027 ÷ 000B ÷');
Test_WB('÷ 0027 × 0308 ÷ 000B ÷');
Test_WB('÷ 0027 ÷ 3031 ÷');
Test_WB('÷ 0027 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0027 ÷ 0041 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0041 ÷');
Test_WB('÷ 0027 ÷ 003A ÷');
Test_WB('÷ 0027 × 0308 ÷ 003A ÷');
Test_WB('÷ 0027 ÷ 002C ÷');
Test_WB('÷ 0027 × 0308 ÷ 002C ÷');
Test_WB('÷ 0027 ÷ 002E ÷');
Test_WB('÷ 0027 × 0308 ÷ 002E ÷');
Test_WB('÷ 0027 ÷ 0030 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0030 ÷');
Test_WB('÷ 0027 ÷ 005F ÷');
Test_WB('÷ 0027 × 0308 ÷ 005F ÷');
Test_WB('÷ 0027 ÷ 1F1E6 ÷');
Test_WB('÷ 0027 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0027 ÷ 05D0 ÷');
Test_WB('÷ 0027 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0027 ÷ 0022 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0027 ÷ 0027 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0027 × 00AD ÷');
Test_WB('÷ 0027 × 0308 × 00AD ÷');
Test_WB('÷ 0027 × 0300 ÷');
Test_WB('÷ 0027 × 0308 × 0300 ÷');
Test_WB('÷ 0027 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0027 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0027 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0027 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0027 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0027 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0027 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0027 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0027 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0027 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0027 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0027 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0027 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 00AD ÷ 0001 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0001 ÷');
Test_WB('÷ 00AD ÷ 000D ÷');
Test_WB('÷ 00AD × 0308 ÷ 000D ÷');
Test_WB('÷ 00AD ÷ 000A ÷');
Test_WB('÷ 00AD × 0308 ÷ 000A ÷');
Test_WB('÷ 00AD ÷ 000B ÷');
Test_WB('÷ 00AD × 0308 ÷ 000B ÷');
Test_WB('÷ 00AD ÷ 3031 ÷');
Test_WB('÷ 00AD × 0308 ÷ 3031 ÷');
Test_WB('÷ 00AD ÷ 0041 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0041 ÷');
Test_WB('÷ 00AD ÷ 003A ÷');
Test_WB('÷ 00AD × 0308 ÷ 003A ÷');
Test_WB('÷ 00AD ÷ 002C ÷');
Test_WB('÷ 00AD × 0308 ÷ 002C ÷');
Test_WB('÷ 00AD ÷ 002E ÷');
Test_WB('÷ 00AD × 0308 ÷ 002E ÷');
Test_WB('÷ 00AD ÷ 0030 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0030 ÷');
Test_WB('÷ 00AD ÷ 005F ÷');
Test_WB('÷ 00AD × 0308 ÷ 005F ÷');
Test_WB('÷ 00AD ÷ 1F1E6 ÷');
Test_WB('÷ 00AD × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 00AD ÷ 05D0 ÷');
Test_WB('÷ 00AD × 0308 ÷ 05D0 ÷');
Test_WB('÷ 00AD ÷ 0022 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0022 ÷');
Test_WB('÷ 00AD ÷ 0027 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0027 ÷');
Test_WB('÷ 00AD × 00AD ÷');
Test_WB('÷ 00AD × 0308 × 00AD ÷');
Test_WB('÷ 00AD × 0300 ÷');
Test_WB('÷ 00AD × 0308 × 0300 ÷');
Test_WB('÷ 00AD ÷ 0061 × 2060 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 00AD ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 00AD × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 00AD ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 00AD ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 00AD ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 00AD × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 00AD ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 00AD × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 00AD ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 00AD ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 00AD × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 00AD ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0300 ÷ 0001 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0300 ÷ 000D ÷');
Test_WB('÷ 0300 × 0308 ÷ 000D ÷');
Test_WB('÷ 0300 ÷ 000A ÷');
Test_WB('÷ 0300 × 0308 ÷ 000A ÷');
Test_WB('÷ 0300 ÷ 000B ÷');
Test_WB('÷ 0300 × 0308 ÷ 000B ÷');
Test_WB('÷ 0300 ÷ 3031 ÷');
Test_WB('÷ 0300 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0300 ÷ 0041 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0041 ÷');
Test_WB('÷ 0300 ÷ 003A ÷');
Test_WB('÷ 0300 × 0308 ÷ 003A ÷');
Test_WB('÷ 0300 ÷ 002C ÷');
Test_WB('÷ 0300 × 0308 ÷ 002C ÷');
Test_WB('÷ 0300 ÷ 002E ÷');
Test_WB('÷ 0300 × 0308 ÷ 002E ÷');
Test_WB('÷ 0300 ÷ 0030 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0030 ÷');
Test_WB('÷ 0300 ÷ 005F ÷');
Test_WB('÷ 0300 × 0308 ÷ 005F ÷');
Test_WB('÷ 0300 ÷ 1F1E6 ÷');
Test_WB('÷ 0300 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0300 ÷ 05D0 ÷');
Test_WB('÷ 0300 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0300 ÷ 0022 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0300 ÷ 0027 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0300 × 00AD ÷');
Test_WB('÷ 0300 × 0308 × 00AD ÷');
Test_WB('÷ 0300 × 0300 ÷');
Test_WB('÷ 0300 × 0308 × 0300 ÷');
Test_WB('÷ 0300 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0300 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0300 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0300 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0300 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0300 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0300 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0300 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0300 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0300 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0300 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0300 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0300 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 × 2060 ÷ 0001 ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0061 × 2060 ÷ 000D ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 000D ÷');
Test_WB('÷ 0061 × 2060 ÷ 000A ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 000A ÷');
Test_WB('÷ 0061 × 2060 ÷ 000B ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 000B ÷');
Test_WB('÷ 0061 × 2060 ÷ 3031 ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0061 × 2060 × 0041 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0041 ÷');
Test_WB('÷ 0061 × 2060 ÷ 003A ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 003A ÷');
Test_WB('÷ 0061 × 2060 ÷ 002C ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 002C ÷');
Test_WB('÷ 0061 × 2060 ÷ 002E ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 002E ÷');
Test_WB('÷ 0061 × 2060 × 0030 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0030 ÷');
Test_WB('÷ 0061 × 2060 × 005F ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 005F ÷');
Test_WB('÷ 0061 × 2060 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 × 2060 × 05D0 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 05D0 ÷');
Test_WB('÷ 0061 × 2060 ÷ 0022 ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0061 × 2060 ÷ 0027 ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0061 × 2060 × 00AD ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 00AD ÷');
Test_WB('÷ 0061 × 2060 × 0300 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0300 ÷');
Test_WB('÷ 0061 × 2060 × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 2060 × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 2060 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 2060 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 2060 × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 × 2060 × 0031 ÷ 003A ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 0061 × 2060 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 × 2060 × 0031 ÷ 002C ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 0061 × 2060 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 3031 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 3031 ÷');
Test_WB('÷ 0061 × 003A × 0041 ÷');
Test_WB('÷ 0061 × 003A × 0308 × 0041 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 1F1E6 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 × 003A × 05D0 ÷');
Test_WB('÷ 0061 × 003A × 0308 × 05D0 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 003A × 00AD ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 × 00AD ÷');
Test_WB('÷ 0061 ÷ 003A × 0300 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 × 0300 ÷');
Test_WB('÷ 0061 × 003A × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 003A × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 003A × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 003A × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 003A × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 003A × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 003A × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 003A × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 003A × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 × 003A × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 3031 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0061 × 0027 × 0041 ÷');
Test_WB('÷ 0061 × 0027 × 0308 × 0041 ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 × 0027 × 05D0 ÷');
Test_WB('÷ 0061 × 0027 × 0308 × 05D0 ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 × 00AD ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 × 00AD ÷');
Test_WB('÷ 0061 ÷ 0027 × 0300 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 × 0300 ÷');
Test_WB('÷ 0061 × 0027 × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 0027 × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 0027 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 0027 × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 0027 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 × 0027 × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 3031 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0041 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0041 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 05D0 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 05D0 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 00AD ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 × 00AD ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0300 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 × 0300 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 3031 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 3031 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0041 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0041 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 1F1E6 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 05D0 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 002C × 00AD ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 × 00AD ÷');
Test_WB('÷ 0061 ÷ 002C × 0300 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 × 0300 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0061 × 2060 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 002E ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 002E ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0030 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0030 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 003A × 00AD ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 × 00AD ÷');
Test_WB('÷ 0031 ÷ 003A × 0300 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 × 0300 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 002E ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 002E ÷');
Test_WB('÷ 0031 × 0027 × 0030 ÷');
Test_WB('÷ 0031 × 0027 × 0308 × 0030 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 0027 × 00AD ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 × 00AD ÷');
Test_WB('÷ 0031 ÷ 0027 × 0300 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 × 0300 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 × 0027 × 0031 ÷ 003A ÷');
Test_WB('÷ 0031 × 0027 × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 0031 × 0027 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 × 0027 × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 × 0027 × 0031 ÷ 002C ÷');
Test_WB('÷ 0031 × 0027 × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 0031 × 0027 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 × 0027 × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 002E ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 002E ÷');
Test_WB('÷ 0031 × 002C × 0030 ÷');
Test_WB('÷ 0031 × 002C × 0308 × 0030 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002C × 00AD ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 × 00AD ÷');
Test_WB('÷ 0031 ÷ 002C × 0300 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 × 0300 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 × 002C × 0031 ÷ 003A ÷');
Test_WB('÷ 0031 × 002C × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 0031 × 002C × 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 × 002C × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 × 002C × 0031 ÷ 002C ÷');
Test_WB('÷ 0031 × 002C × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 0031 × 002C × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 × 002C × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 002E ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 002E ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0030 ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0308 × 0030 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 00AD ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 × 00AD ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0300 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 × 0300 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0031 ÷ 003A ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0031 ÷ 002C ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0063 × 0061 × 006E × 0027 × 0074 ÷');
Test_WB('÷ 0063 × 0061 × 006E × 2019 × 0074 ÷');
Test_WB('÷ 0061 × 0062 × 00AD × 0062 × 0079 ÷');
Test_WB('÷ 0061 ÷ 0024 ÷ 002D ÷ 0033 × 0034 × 002C × 0035 × 0036 × 0037 × 002E × 0031 × 0034 ÷ 0025 ÷ 0062 ÷');
Test_WB('÷ 0033 × 0061 ÷');
Test_WB('÷ 2060 ÷ 0063 × 2060 × 0061 × 2060 × 006E × 2060 × 0027 × 2060 × 0074 × 2060 × 2060 ÷');
Test_WB('÷ 2060 ÷ 0063 × 2060 × 0061 × 2060 × 006E × 2060 × 2019 × 2060 × 0074 × 2060 × 2060 ÷');
Test_WB('÷ 2060 ÷ 0061 × 2060 × 0062 × 2060 × 00AD × 2060 × 0062 × 2060 × 0079 × 2060 × 2060 ÷');
Test_WB('÷ 2060 ÷ 0061 × 2060 ÷ 0024 × 2060 ÷ 002D × 2060 ÷ 0033 × 2060 × 0034 × 2060 × 002C × 2060 × 0035 × 2060 × 0036 × 2060 × 0037 × 2060 × 002E × 2060 × 0031 × 2060 × 0034 × 2060 ÷ 0025 × 2060 ÷ 0062 × 2060 × 2060 ÷');
Test_WB('÷ 2060 ÷ 0033 × 2060 × 0061 × 2060 × 2060 ÷');
Test_WB('÷ 0061 ÷ 1F1E6 ÷ 0062 ÷');
Test_WB('÷ 1F1F7 × 1F1FA ÷');
Test_WB('÷ 1F1F7 × 1F1FA × 1F1F8 ÷');
Test_WB('÷ 1F1F7 × 1F1FA × 1F1F8 × 1F1EA ÷');
Test_WB('÷ 1F1F7 × 1F1FA ÷ 200B ÷ 1F1F8 × 1F1EA ÷');
Test_WB('÷ 1F1E6 × 1F1E7 × 1F1E8 ÷');
Test_WB('÷ 1F1E6 × 200D × 1F1E7 × 1F1E8 ÷');
Test_WB('÷ 1F1E6 × 1F1E7 × 200D × 1F1E8 ÷');
Test_WB('÷ 0020 × 200D ÷ 0646 ÷');
Test_WB('÷ 0646 × 200D ÷ 0020 ÷');
Finished();
